(CNN) -- The sweet aroma of blossoming orange trees wafts through the air as a white-haired figure moves slowly along the green-choked path. Aided by a yard stick, 85-year-old Sam Motsuenyane walks through his citrus orchard in South Africa's Winterveldt area, occasionally stopping to check the lush fruits hanging from the trees.

The scene strikes a sharp contrast to what the veteran agriculturalist encountered when he returned to the area in early 2000 to retire following a successful career as a South African diplomat and leading banker.

Weeds and bushes had reclaimed the deserted plots as much of the land laid fallow and under-utilized due to lack of resources and the local farmers' economic hardship.

"I decided that something had to be done and with my agricultural background, I thought I could perhaps initiate something that could help the people," says Motsuenyane.

As a result, the farming pioneer, whose first business was a plant nursery in 1963, embarked on a mission to show small plot owners how to lift themselves out of poverty by growing orange trees on a commercial scale.

See also: Agriculture 'next big thing' in Africa, says World Bank expert

He drummed up private sector financial support to buy orange trees and in 2002 he launched the Winterveldt Citrus Project, a community initiative which enables small holders to make a living and become self-sufficient by training them how to work the land.

So far, the project has helped to set up some 100 small farms.

"He helped us a lot, we didn't know anything about oranges," says Pauline Lueba, a smallholder who today earns a steady income by selling the oranges from her 800 trees to major retail chains across South Africa.

"There's enough income, I can manage to pay my helpers, we even eat there and buy fertilizers with that money," she adds.

Commercial farming is a major industry in South Africa -- it distributes produce all over the world while Johannesburg's fruit market sells about a million tons of goods every year.

But the picture is quite different in other parts of the continent -- more than two-thirds of African countries are net importers of agricultural products, with the continent importing $50 billion worth of food every year, according to U.N. figures.

See also: Africa can feed itself in a generation

Geoffrey Livingston, regional economist for the eastern and southern Africa division at the International Fund for Agricultural Development says these mass imports represent a "huge missed opportunity for African producers."

"This is related to very poor yields in a lot of African countries that make it a requirement for countries to go out of their borders and go outside of the continent to meet food requirements for their people," he says.

They are views echoed by Microsoft chairman Bill Gates who wrote in his 2012 letter, "Given the central role that food plays in human welfare and national stability, it is shocking - not to mention short-sighted and potentially dangerous - how little money is spent on agricultural research."

On the whole, only 3.5% of Africa's arable land is irrigated and about 9% of world fertilizer is used in the continent, according to the U.N.

Livingston says the low levels of African productivity are linked to a lack of investment in agriculture by African governments and donor organizations over the last two decades.

He notes, however, that a change is taking place now.

"In the last three or four years there's been a renaissance of interest by those African governments and donors regarding the critical role agriculture plays in economic development," he says.

"We are seeing that African governments are now spending more for basic research, for applied research, extension services and we feel there will be a pay-off in the medium-term for this increased investment."

Read more: 'Silent crisis' as food prices fuel hunger in Kenya

Livingston also calls governments across the continent to focus their efforts on improving transport infrastructure in order to boost productivity.

"Thirty-four per cent of sub-Saharan Africans live more than five hours away from a market town of 5,000 people," he says. "Increasing market access to particularly improve field roads and improve access to electricity for processing is absolutely fundamental to improving agricultural productivity and increasing economic growth in these countries."

Back in the Winterveldt fields, Motsuenyane also calls on South African leaders to take a greater role in encouraging people to work on the land.

"The government has to do a great deal to rekindle the enthusiasm which once existed in agriculture," Motsuenyane, who ran the first black-owned bank in post-Apartheid South Africa, says.

Passionate about farming, Motsuenyane believes it's smallholdings that have the potential to revitalize communities and help curb South Africa's soaring levels of unemployment.

"If we do not create sufficient employment opportunities in our country we will certainly end up in a very terrible situation," he says. "We must skill the black people to use that land in a way that can enable them to become job creators as well as contributors to the development of the country."

@highlight

A community initiative in South Africa helps poor farmers make a living by growing trees

@highlight

More than two-thirds of African countries are net importers of agricultural products

@highlight

Experts call African governments to invest in agriculture research and infrastructure