(CNN) -- Japanese Prime Minister Shinzo Abe's intended presence as chief guest of honor at India's Republic Day parade in New Delhi on Sunday symbolizes the significance India places on an ever-closer relationship with Japan in their mutual quest to counter the economic and strategic might of China.

Abe, whose Defense Minister, Itsunori Onodera, was in India earlier this month for talks on expanded bilateral defense cooperation, will see some of India's latest military hardware on display in the traditional parade, including its nuclear-capable long-range missiles, the Agni 4 and Agni 5.

India successfully tested a 4,000-km range Agni 4 on January 20 from its Wheeler Island launch site in the Bay of Bengal.

Republic Day is the most high-profile event on the Indian political calendar, and the government makes a point of inviting leaders from countries with whom it seeks to cultivate closer ties. Chief guests in recent years have included the presidents of Indonesia and South Korea, for example.

Last month, India and Japan held their first bilateral naval exercise in Indian waters off the coast of Chennai, following on from a similar exercise in Japanese waters in June 2012. The two sides have also taken part in the multilateral "Malabar" naval exercises in recent years, joining US, Australian and Singaporean ships.

Territorial disputes

Japan and India, the second and third-biggest economies in Asia behind China, both have an uneasy relationship with Beijing. Tensions between Japan and China are running high over territorial disputes in the East China Sea centered on the Senkaku/Diaoyu islands, and over the controversial December 26 visit by Abe to the Yasukuni Shrine, the Tokyo site regarded by China, North Korea and South Korea as a symbol of Japan's imperial military past and honors war criminals.

India and China fought a brief border war in 1962 and had a serious military standoff last April when India alleged that Chinese troops crossed into Indian-held territory near Ladakh in the Himalayan mountain range. China denied any incursion. There were further incidents in July near Ladakh and in August in Arunachal Pradesh, the northeastern Indian state where China also has laid claim to territory. Since then, Indian Prime Minister Manmohan Singh and Chinese Premier Li Keqiang have pledged "maximum restraint" on border issues. They vowed not to seek "unilateral superiority" along the 3,500-km border when they signed an agreement in Beijing last October.

Japan -- and Abe in particularly -- has long regarded India as a powerful counterweight to China's strategic rise in the Indo-Pacific region. In his 2007 book "Towards a Beautiful Country: My Vision for Japan," Abe singled out India for special attention, writing that it would not surprise him if "in another decade, Japan-India relations overtake Japan-U.S. and Japan-China ties."

China-Japan trade

That goal looks improbable -- at least on the economic front. Japan's $340 billion of annual two-way trade with China dwarfs its $20 billion trade ties with India -- a consequence of the many Japanese businesses based in China -- but India has long been the biggest recipient of Japanese development aid and both sides are keen to grow business and investment ties.

During Abe's upcoming visit, he and Singh are expected to discuss Japanese investment and assistance for the Delhi-Mumbai Industrial Corridor and other infrastructure projects such as the Mumbai Metro. Japan is also keen to sell its unique ShinMaywa US-2 search and rescue seaplane to the Indian defense forces.

Asked at a press conference in New Delhi on January 6 about Chinese concerns over the proposal, Japanese Defense Minister Onodera said he believed China was probably the world's biggest exporter of weapons.

"I feel there is an incongruity that China, which sells lots of weapons globally, is concerned about Japan's attempt to export the US-2, which is not even a weapon but just a seaplane. I speculate that the international community has the same view as ours," he said.

Mistakes of past

Abe, who became Japanese prime minister in December 2012 -- a role he also held in 2006-07 -- has shown an assertive style in his attempts to rebuild Japan's economic and military status in the Indo-Pacific region. His approach prompted sustained criticism from China during 2013, urging Japan to "adopt a correct attitude" and reflect on the mistakes of its militaristic past.

Predictably, Abe's December 26 visit to Yasukuni Shrine evoked strong reactions from both China and South Korea. Chinese Foreign Ministry spokesperson Hua Chunying said on January 9 that Abe, by his actions and words, had "shut the door" on dialogue with the Chinese side. "It shows that he does not have even the slightest interest in improving relations with China and other Asian neighbors," Hua said.

For China, a warmer relationship between Japan and India is just another indicator of what it regards as a U.S.-led attempt to encircle or contain China.

In its view, the Obama administration's "Asian pivot," with its enhanced military cooperation with countries such as Japan, Australia and the Philippines, is a vehicle to delay or derail China's natural ascension as the preeminent Asian power.

@highlight

India and Japan have been in talks on expanded bilateral defense cooperation

@highlight

Both Asian powers have endured an uneasy relationship with China

@highlight

Japan has long regarded India as a powerful counterweight to Beijing's strategic rise

@highlight

Yet trade between China and Japan dwarfs trade between Tokyo and India