(CNN) -- Facebook CEO Mark Zuckerberg's new initiative, Internet.org, is a global partnership aimed at "making Internet access available to all."

Is that an attainable goal? Perhaps. It's certainly very ambitious. There are several major hurdles to overcome.

Opinion: Zuckerberg's big idea is no charity

For many of the 5 billion people who live in less developed parts of the world, the two largest barriers to becoming Internet-connected are the cost of devices and the cost of connection. The next obstacle is the expense of maintaining a device. In many countries, electricity is still difficult to come by, with brownouts common.

In Africa, for example, people experience an average of 56 days of power outage a year, almost 15% of the year. Even if a network is running, the cost of electricity itself is very expensive.

The cost of a kilowatt hour of electricity in Africa can vary anywhere from $0.06 in South Africa to $0.68 in Chad. A phone like an iPhone 5 requires about 3.73 kWh a year to charge depending on use, meaning it could cost as much as $2.53 a year to just charge the phone. While this does not sound like a lot of money, the average income for a person in Chad is about $2,000, which means that 0.1% of annual income would be spent just on the electricity to power a phone.

Of course, this cost increases with more use. Typical usage in developing areas like Africa focuses on low consumption actions like sending SMS messages, phone calls and mobile banking. More demanding usage like streaming video, downloading and playing games, and spending time connecting on social networking sites, would require the most energy intensive part of the phone -- the screen -- to be on longer, which would raise the yearly costs of charging the phone.

Increasing the battery life and decreasing the energy requirements of transmission are great goals to strive for -- as Internet.org plans to pursue -- but they do not address the underlying issue of being able to afford a charge in the first place.

When the average yearly income is so low in developing countries, there is not much disposable income after housing, food and transportation costs. The fact of the matter is that most of the 5 billion people who are poor would rather spend their money on basic necessities like food and medicine than on the Internet.

For example, a few years ago I visited an orphanage in Lusaka, Zambia, that had no Internet connection even though a major fiber line is about 50 yards away. While the heads of the orphanage understood the importance of the Internet, and while many of the children would have liked to explore the Web, funds were better spent caring for the orphans. Even giving the connectivity away does not help pay all the other costs associated with accessing the Internet.

If we really want to get the next 5 billion people connected, we will have to steer governmental and consumer electronic interests to work together on a solution. Innovating new and inventive techniques to provide infrastructure, low-cost devices and energy generation stand the best chance of making a difference. Maybe Internet.org can look into devices like kinetic chargers, solar powered cell phones, and pico cells, which can make a far bigger impact to connect the underserved populations of the world.

The opinions expressed in this commentary are solely those of Jason A. Buckweitz.

@highlight

Mark Zuckerberg is starting an initiative to bring Internet access to 5 billion people

@highlight

Jason Buckweitz: Internet.org is very ambitious but there are major hurdles to overcome

@highlight

He says that connectivity is unaffordable for most people in the developing world

@highlight

Buckweitz: In places like Africa, there is not much disposable income left after paying for food