(CNN) -- As the country continues to debate police accountability and the all-too-routine killing of unarmed black men by white law enforcement, it's imperative to understand that this issue is not just about black people and white people.

In fact, despite the available statistical evidence, most people don't know that Native Americans are most likely to be killed by police, compared with other racial groups. Native Americans make up about 0.8% of the population, yet account for 1.9% of police killings.

When Native Americans are shot and killed by law enforcement, there's rarely much news coverage of those incidents. There are no outcries from any community other than our own.

There are no white or black faces rallying around us, marching with us, protesting with us over this injustice. Why? Because we are a forgotten people.

Take Mah-hi-vist Goodblanket, an 18-year-old Cheyenne and Arapaho youth, who died on December 21, 2013, after being shot seven times by two sheriff's deputies in Oklahoma.

The two Custer County deputies alleged that Goodblanket had a knife during an incident at his parents' home in the city of Clinton. Custer County Sheriff's spokesman Bruce Peoples said Goodblanket threw a knife at the deputies and then attacked with another knife. They tried a Taser on him, which had no effect.

But Goodblanket's girlfriend, Naomi Barron, who was present when he was killed, said in a statement that Goodblanket had no weapons when the two white deputies opened fire. "He [had] his arms up and his hands were free ... he had no weapons," she said.

Goodblanket was diagnosed in ninth grade with Oppositional Defiant Disorder -- a malady affecting 20% of boys. His mother, Melissa, said he experienced an episode when he thought that his girlfriend was breaking up with him that fateful night.

The attorney for the Goodblanket family, Ray Wall, said the Oklahoma State Bureau of Investigation has refused to release the police report regarding the incident. "Withholding an official police report ... I think that's a violation of the Freedom of Information Act," Wall told me when I reached out to him.

Goodblanket's mother, Melissa, said she can't comprehend why mainstream media does not report on the killings of unarmed Native Americans, and why the killing of her son has failed to spark a national response. "Our 18-year-old son was murdered -- [shot] seven times, once in the back of the head," she said. "This [incident] in itself should initiate an outrage among those who value life."

But the outrage isn't to be found -- at least not outside of Native American communities.

What's hard to believe is that the two white deputies both received the Medal of Honor and one received the Purple Heart by his department months after Goodblanket's death. On the Custer County Sheriff's Office Facebook page, a post said the awards were in "recognition of their performance above and beyond the call of duty while disregarding their own personal safety and exhibiting exceptional courage in a life threatening situation, stemming from a domestic call they responded to in December of 2013 ..."

It is notable that medals were given to the two white deputies in a county named for the infamous murderer and Indian fighter George Armstrong Custer no less.

Imagine if Darren Wilson or Daniel Pantaleo received commendations associated with the killing of Michael Brown and Eric Garner. There would be protests dwarfing any that have occurred to date. But giving out medals after the killing of a Native American? That doesn't seem to bother anyone but Native Americans.

History provides various unjust examples. Just think of the 20 U.S. cavalrymen who were awarded the Congressional Medal of Honor after they indiscriminately murdered an estimated 300 Lakota -- 200 of whom were women and children -- during the Wounded Knee Massacre on December 29, 1890. Those medals have yet to be rescinded.

Could it be that Hollywood and pop culture have made dead Indians and the killing of the "savages" too commonplace for people to flinch? Many old Western movies from Hollywood didn't portray Native Americans in a positive light. Contemporary designers such as Ralph Lauren continue to sell clothes with images of dead Indians emblazoned on them. We've all seem them -- it's the image of a skull donning a feather headdress.

There's another incident recently that outraged the Native American community. On October 4 in Pierre, South Dakota, four officers surrounded an irate 70-pound Sicangu Lakota girl and tased her after concern that she would harm herself with a knife. Though this outrageous incident was covered by CNN and other networks, the killing of Goodblanket and many other Native Americans who've died at the hands of law enforcement remains unspoken.

Is the message here that geography matters in cases of injustice and oppression? Had Mah-hi-vist Goodblanket been killed in a major city rather than in Clinton, Oklahoma, would the country have rallied in protest to his brutal death?

After a grand jury in Staten Island, New York, failed to indict Pantaleo, the white police officer who killed Garner, an unarmed black man, the hashtag #CrimingWhileWhite immediately grew in popularity. Utilizing the hashtag, users compared instances of white people receiving little or no punishments for crimes they had committed, whereas African-Americans were dealt harshly disproportionate sentences for theirs. Yet some people want to claim that we've grown much as a nation. Really?

On the day when white law enforcement officers are indicted for the killing of unarmed black men, and on the day when white men stop receiving medals associated with the killing of Native Americans, then I will say we've grown as a nation, but only a little. We will still have a long way to go.

@highlight

Simon Moya-Smith: Native Americans are more likely to be killed by police

@highlight

Moya-Smith: The death of Mah-hi-vist Goodblanket highlights the problem

@highlight

Why aren't protesters marching over the injustice? Because we are a forgotten people, he says

@highlight

Moya-Smith: Media should pay more attention to shootings of Native Americans