Los Angeles (CNN) -- Lawyers in the Conrad Murray manslaughter trial will take Wednesday off from court to prepare their closing arguments, a day after the doctor declined to testify in his defense in the death of singer Michael Jackson.

Murray announced in court Tuesday that he will not take the stand, pausing to look at each of his lawyers for several seconds before telling the judge, "My decision is that I will not testify in this matter."

His decision to remain silent ended the defense case in the trial of Michael Jackson's doctor, setting the stage for closing arguments on Thursday.

The end of testimony was emotional for dozens of the singer's fans who converged at the Los Angeles County courthouse during the six-week trial.

A fan was removed from the courthouse after yelling "Murderer, Murderer" at Murray as he walked down the hallway during a recess Tuesday.

Fans also surrounded and yelled at defense anesthesiology expert Dr. Paul White as he waited for a cab on a courthouse sidewalk. Others lined both sides of the hallway and held hands as members of Jackson's family walked past.

Parents Joe and Katherine Jackson attended court Tuesday, along with their daughter, LaToya Jackson and youngest son, Randy Jackson.

As Katherine and LaToya left the courthouse, they took with them several signs used by fans in loud protests each day.

Prosecutors briefly recalled their anesthesiology expert, Dr. Steven Shafer, for a rebuttal to defense propofol expert Dr. Paul White before resting their case Tuesday morning.

Los Angeles County Superior Court Judge Michael Pastor met with lawyers for both sides Tuesday afternoon to discuss what exhibits will be admitted into evidence and what instructions he will give jurors before they begin deliberations Thursday.

The prosecution contends that Murray's use of the surgical anesthetic propofol to treat Jackson's insomnia in his home deviated from the standards of care expected of a doctor so egregiously that it made him criminally responsible for Jackson's death.

Murray has pleaded not guilty.

If Murray had decided to tell jurors his version of what happened the day the pop star died under his care, it would have been at the risk of intensive cross-examination by Los Angeles County Deputy District Attorney David Walgren.

Walgren proved his cross-examination skills again Monday in a fiery battle with White over the defense anesthesiology expert's theory that Jackson died from drugs he gave himself.

White completed his testimony Tuesday morning.

White's bruises in his battle with Walgren on Monday included a contempt-of-court citation and a $1,000 fine after he ignored repeated warnings from Pastor not to refer to his personal conversations with Murray.

Walgren insisted that White answer his questions based only on what he knew from Murray's interview with police, not what Murray told him privately. It otherwise would have been a way for the defense to introduce statements from the defendant without him having to testify.

"Nice try," Pastor told the defense as he ruled they couldn't do that.

Walgren spent much of Monday trying to discredit what White said during his testimony Friday, and getting the defense expert to support the prosecution's argument that Murray's treatment of Jackson was reckless.

White conceded that Murray deviated from the standards of care, but he would not agree that they were so "egregious and extreme" that they make Murray criminally responsible for Jackson's death. Murray's deviations were "perhaps between minor and serious, but it's not extreme," he said.

Walgren also was successful in getting White to agree that he would not have done what Murray did -- take the job of sedating Jackson nearly every night at home with propofol.

"No amount of money" could get him to take the job, White said. "Absolutely not," he testified. "That would be a job I would never consider accepting."

The prosecution contends greed led Murray to leave his medical practice and put his ethics aside to serve as Jackson's private doctor for $150,000 a month.

But the biggest battle between Walgren and White was fought over the competing theories of how Jackson died and the scientific evidence that supports them.

The Los Angeles County coroner ruled that Jackson's June 25, 2009, death was caused by "acute propofol intoxication" in combination with two sedatives.

White concluded that the level of drugs found in Jackson's stomach, blood and urine, convinced him that Jackson died after he rapidly injected himself with propofol on top of a large dose of lorazepam he swallowed hours earlier.

Shafer, the prosecution's propofol expert, concluded the "only scenario" that fits the scientific evidence is that Jackson was on a constant intravenous drip of propofol for three hours before his death.

Shafer also testified that Murray must have also injected Jackson with a series of large doses of lorazepam, a sedative, hours before his death.

White theorized that Jackson could have "pushed" the drug into an catheter in his leg using a syringe over a 15- to 30-second period, much faster than a doctor would have done.

"I believe it could potentially have lethal consequences," White testified.

Under cross-examination Monday, White said he believed Jackson used the same syringe Murray had loaded with propofol an hour earlier to give Jackson a 25-milligram injection. Murray filled it with 50 milligrams initially, leaving it half-filled in Jackson's bedroom, under White's theory.

White ruled out the possibility that Murray would have injected the fatal dose unless "he wanted to potentially harm Mr. Jackson."

Walgren asked White whether he thought Jackson intended to harm himself.

"I don't think he realized the potential danger," White replied.

The defense contends Jackson was desperate for sleep, fearing his comeback concerts would be canceled if he missed another rehearsal from lack of rest.

Walgren pressed White for an opinion about Murray's decision to leave Jackson alone with a syringe of propofol, considering he should have known Jackson had "pushed" a syringe of propofol before.

"No, I would not leave the room," he said.

Prosecutors contend Murray is responsible for Jackson's death, even if he did not give him the final and fatal dose, because he was reckless in using the surgical anesthetic to help Jackson sleep without proper precautions.

@highlight

Testimony ends in the trial of Dr. Conrad Murray

@highlight

Lawyers are off from court Wednesday to prepare closing arguments.

@highlight

"My decision is that I will not testify in this matter," Murray tells the judge

@highlight

Closing arguments and jury deliberations will come Thursday