Washington (CNN) -- Two seconds. Take your eyes off the road any longer and your chances of crashing multiply.

With that in mind, the federal government on Tuesday asked automakers to equip cars with devices that require only fleeting glances to operate, instead of prolonged stares.

Under the new voluntary guidelines, drivers should be able to operate on-board electronics while removing their eyes from the road -- or a hand from the wheel -- no longer than two seconds at a time, or 12 seconds total.

Time-consuming functions -- such as text messaging and Internet browsing -- should be allowed only when a car is stopped and in park, the Department of Transportation said.

Drivers should not be allowed to text or browse even at slow speeds because of the danger it presents to pedestrians, the DOT said.

The guidelines, said Transportation Secretary Ray LaHood, "balance the innovation consumers want with the safety we all need."

Some 3,000 people were killed and 387,000 injured in 2011 in accidents involving distracted drivers, he said.

The new guidelines, which came after months of review, give automakers guidance about a wide range of electronic equipment installed in new automobiles, but considered "secondary" to the job of driving.

They include communications devices, such as hands-free phones, navigation equipment, such as GPS units, entertainment devices, such as DVD movie players, and information gathering devices, such as internet-enabled devices.

The technology advances are crucial selling points, especially for passenger cars, sport utilities, pickups and vans made by U.S. automakers. LaHood had met previously with car executives to express his overall concerns about distracted driving and to discuss ways to reduce it.

The guidelines do not apply to hand-held cell phones, the use of which the DOT has long discouraged. A separate guideline is being developed for those phones and all other after-market and portable devices.

LaHood and National Highway Traffic Safety Administration chief David Strickland said a new NHTSA study showed that "visual-manual tasks" associated with hand-held phones and other portable devices increase the risk of getting into a crash by three times.

Researches used video-cameras to study 204 drivers for an average 31 days. The study showed that drivers talked on a cell phone 10.6 percent of the time the vehicle was in operation.

The new guidelines seek to separate devices which assist in driving from those which might distract from it.

They explicitly allow static or moving maps found on GPS navigation devices, with information that assists the driver. But it recommends against imagery such as photorealistic, satellite or three-dimensional images.

The guidelines recommend that devices be designed so that tasks can be completed by the driver with glances away from the roadway of two seconds or less and a cumulative period of 12 seconds or less, in a series of 1.5 second glances.

The DOT is recommending the auto industry adopt the changes in the next three years for all cars, trucks and buses weighing up to 10,000 pounds. It has exempted police, fire, the military and other emergency vehicles.

It says the guidelines are voluntary -- instead of mandatory -- because of the "need for additional research on distraction and its effects on driving" and because of the rapid changes in technology.

@highlight

U.S. asks automakers to equip cars with electronics that require only a glance to operate

@highlight

Distracted driving is top priority for Transportation Secretary Ray LaHood

@highlight

DOT says texting and Web browsing should be allowed only when vehicle is stopped and in park

@highlight

Guidelines voluntary for industry, which is stocking cars with electronics as key selling point