(CNN) -- There is nothing wrong with professional athletes expressing their opinions about social or political issues. Just because you slip on a helmet or swing a racquet doesn't mean you don't have the right to voice an opinion on politics, the economy, faith or any other issue in America.

However, Charles Barkley's recent comments about the Ferguson grand jury decision and the subsequent unrest across the nation aren't just off-the-cuff comments from an athlete waxing political during an interview.

For the last several years Barkley has fashioned himself as some type of hard-truth-telling cultural critic -- especially on issues of race in America. What his Ferguson commentary makes obvious is that he's just an uninformed rich guy who is given way more credibility than he deserves when discussing racial and political issues in America.

In an interview on a Philadelphia sports radio station, the conversation meandered from sports to politics as Barkley began to express his frustration with looters and violence in the wake of the Ferguson grand jury decision to not indict Officer Darren Wilson for the death of Michael Brown.

Barkley's comments that those people damaging businesses and attacking police are "scumbags" is pretty boilerplate stuff that most Americans, including peaceful protesters, would agree with, even if different words were used. It was when Barkley began his riffs on race that things went out of bounds.

"The true story came out from the grand jury testimony," Barkley said, citing that "three or four witnesses, who were black, said exactly what the cop said."

In reference to Eric Garner's death at the hands of New York police he went even further. "When the cops are trying to arrest you, if you fight back, things go wrong. I don't think they were trying to kill Mr. Garner. He was a big man and they tried to get him down."

And then he followed up with generalized comments that there are lots of black criminals out there and that essentially black people are the cause of most of their problems with white police.

In an interview with CNN, Barkley said, "We as black people, we have a lot of crooks. We can't just wait until something like (the Brown shooting) happens. We have to look at ourselves in the mirror."

"There is a reason that they racially profile us in the way they do. Sometimes it is wrong, and sometimes it is right," Barkley said.

The problem with these statements isn't just that they are misleading -- 16 out of 29 witness statements said that Mike Brown had his hands up to surrender, in direct conflict with Darren Wilson's story; and police used a banned choke hold on Eric Garner, a measure that was known to cause death -- but that Charles Barkley is uniquely and astoundingly unqualified to discuss issues of race, law and police violence.

If property damage makes you a scumbag, then how would we describe someone who, in the 1990s, got into bar fights, throwing a man face first through a store window? (Barkley, who said he was provoked, was fined and sentenced to community service in that incident.)

If black folks need to take more responsibility how would you describe a black man who drives drunk, runs a red light and explains to police that he was rushing home to have sex with the woman in the passenger seat?

If those actions make you a scumbag, or show lack of responsibility, then Barkley should let it be known he's talking about himself. Because he has been charged with crimes over the course of his career but somehow he never ended up shot, or dead, and has spent three days in jail. Charles Barkley's personal failings don't disqualify him from social commentary, but his hypocrisy does.

Charles Barkley is a very, very rich man, whose fame and celebrity have protected him from the kind of hostility and harassment from the police that thousands of other Americans, especially African-Americans, experience every day. It's easy for Charles Barkley to lecture protesters and looters and mourning families about how to deal with anger. But most Americans can't defuse a "tense" police situation with the aid of celebrity.

Nevertheless, Barkley's hypocrisy about his own privilege and lack of real knowledge about Ferguson wouldn't be so bad if media outlets didn't keep giving him major opportunities to express his views. This preposterous phenomenon is captured perfectly by his "NBA on TNT" co-host Kenny "The Jet" Smith in an open letter to Barkley released on Wednesday.

"However, what I consistently find interesting is how writers and media members view your insights in politics, and now race relations, with the same reverence as your insights in sports.

"It's not that you shouldn't ever have an opinion, but you are often quoted alongside the likes of Al Sharpton and even President Obama. I would hope that Sharpton or President Obama would never be referenced with you when picking the next NBA Champs!

"The body of work that our Black Civil Rights leaders put in by planning, executing and activating does not justify you being in the conversation."

In other words, Charles Barkley gets a huge forum to talk about cases like Ferguson and the killing of Trayvon Martin because he's black and famous, not because he's informed, or credible or even representative of any segment of the population. And while that might make for entertaining television, it certainly doesn't amount to social criticism anyone should take seriously.

Whether it was Serena Williams on rape, or Reggie White on Asians, or Luke Scott on Obama, athletes say offensive or dumb things about politics and culture all the time, but analysts and journalists always give them a soft landing.

This is usually done by pointing out that said athlete is a Hall of Famer, or was great in some playoff series or donates to charity. Charles Barkley doesn't deserve that soft landing anymore. If networks are going to lob him easy questions about larger social issues, he should have to defend what he says just like any other guest. But if his comments over the last few years are any indicator, he probably can't.

In other words, if Sir Charles wants to post up in the world of politics about Ferguson, then he needs to get more informed, more prepared and more connected to what he's talking about. There's no room for him in the court of public opinion when lives, property and the health of our democracy are at stake.

Join us on Facebook.com/CNNOpinion.

@highlight

Charles Barkley weighed in on Ferguson, Garner, racial profiling

@highlight

Jason Johnson: Barkley is entitled to his opinions, but hypocrisy is evident

@highlight

He says Barkley is insulated from what most black men face