(CNN) -- Traversing the infamous Northwest Passage was an experience unlike any other I've been through.

During a grueling 14-day expedition through the ice-strewn Arctic, our seven-man team faced challenges that not even the intense training we went through beforehand could prepare us for.

It is one thing being told what the Arctic is like: seeing it and living it firsthand is quite another.

The only one among us with adventure experience was Bear Grylls, our unflappable expedition leader, but by the time we finished we all felt like hardened veterans.

From our start point in Pond Inlet, to the pride and relief of reaching Darnley Bay a fortnight later, the journey covered 5700 nautical miles. And if you're imagining us in an ice-breaking ship, think again. This was all done in a rigid inflatable boat, making us the first crew ever to navigate the Passage in such a vessel.

As if creating that piece of Arctic history wasn't a thrilling enough prospect, the encounters the journey threw up -- from rescuing a fellow explorer (and his dog) from an ice choke, to stumbling across the possible remains of legendary Arctic explorer Captain Franklin -- made the expedition truly unforgettable.

Both those incidents, however, were reminders that in the excitement and adrenaline of adventure, it is easy to forget the all-too-real dangers that the Passage has for centuries presented to those who take it on.

Ice chokes, growlers (floating icebergs) and freezing winds during the day, and turbulent seas when night fell (with a member of a team knocked unconscious during a particularly heavy storm) served as a constant reminder that we were very much at the mercy of the environment.

Standing guard with a shotgun during an overnight stop at Ross Point, scanning the horizon for grizzly bears, certainly brought that feeling home for me.

Perhaps the most frequent emotion I felt, however, was amazement at seeing up close the reason that brought me to the Arctic in the first place. The expanses of ice-strewn water in the Passage are an incredible sight, but they are also a brutal reminder of the climate change that has so changed this landscape.

There is a certain irony that the isolated seas of the Passage, the very outer limits of the populated world, should represent a universal concern for the world as a whole.

In embarking on the trip, we each knew the challenges that we would personally confront, but in the shifting ice we saw a vivid metaphor for maybe the biggest challenge facing all of us.

It is now almost unanimously acknowledged that industrial development and rapid population growth has modified the environment in which we live, and some of the changes in global climatic conditions are already obvious.

Nowhere is this more poignant that the Northwest Passage.

Until 30 years ago this series of very deep channels that wind through Canada's Arctic Islands was frozen all year round. In the last few years, however, changing climate has caused the ice to thin and melt, and during the summer months it is now possible to cross from the Atlantic to the Pacific. In 10 years, the legendary Passage could be open sea

This is why Future Capital Partners decided to back the expedition. Whilst raising awareness about the effects of global warming and fundraising for charity, we hoped we were also able to promote the role of businesses in reversing -- or at least slowing down -- the global warming process.

Crossing the Northwest Passage you understand why this is just the beginning of what has to be done.

@highlight

Expedition through Northwest Passage showed declining glaciers

@highlight

Journey through islands north of Canada covered 5700 nautical miles and lasted 14 days

@highlight

Changing climate has melted ice making it possible to cross from Atlantic to Pacific during summer