Washington (CNN)Is the Democratic party over for Israel?

For years, support for Israel has been one of the few reliably bipartisan issues on Capitol Hill, with members on both sides of the aisle embracing the embattled Middle East country and welcoming its leaders with open arms.

But when Prime Minister Benjamin Netanyahu accepted an invitation from Republican House Speaker John Boehner to address Congress on Tuesday — when he is expected to sharply criticize White House deal-making with Iran — he alienated more than the Democrat who sits in the Oval Office. As administration officials have exchanged increasingly hostile volleys with Netanyahu, party stalwarts are warning of a Democratic exodus away from Israel.

They caution that the rancor over the speech could accelerate demographic and political trends that suggest support for Israel is becoming a partisan issue, with Republicans strongly pro and Democrats less so.

Already 30 House Democrats have said they will boycott the speech. And when two senior Democratic senators invited Netanyahu for a private conversation during his visit to Capitol Hill, he said no. (His office said he also turned down similar requests from Republicans because he didn't want to politicize the visit.)

Senate leadership on Thursday announced that a bipartisan meeting with the Prime Minister had at last been arranged. But many in the Democratic Party say the damage done in the run-up to the speech will linger long past Tuesday.

Former Rep. Henry Waxman, a California Democrat and staunch supporter of Israel who left office this year, said that because Netanyahu's speech was seen as a rebuke of the President, Democrats feel the need to step up to defend Obama.

"A lot of Democrats feel that they have to stick with their president and not take this kind of bipartisan approach, because they're now looking at it as something that is a partisan attack," he said.

And one of the Democrats sitting out Netanyahu's speech, Tennessee Rep. Steve Cohen, said the address could further fuel Israel's detractors in the United States.

"The Palestinian cause has gained more and more support over the years," he said. "I think this has given more reason for people who might've been in the middle to side with the Palestinians."

A Gallup Poll out this week underscored Cohen's point. It found that the percentage of Democrats sympathizing with Israelis over Palestinians fell 10 points over the past year, to 48%, which Gallup pollster Lydia Saad wrote was "possibly reflecting the tension between Obama and Netanyahu."

Meanwhile, Republican approval of Israel has continued to grow. Eighty-three percent of Republicans supported Israelis over Palestinians in the Gallup survey. That number compensated for the steep drop in support from Democrats so that overall support for Israel among Americans remained steady.

The Democratic dip aligns with what many Democrats say is a growing pro-Palestinian streak within the progressive wing of the party, which is calling for U.S. leaders to be tougher on Israel and offer stronger support for Palestinian statehood.

Cohen said that trend could influence Democratic lawmakers on Capitol Hill.

"We've got our opinions, but we respond to our constituents as well," he said. "If they get to be less pro-Israel, it makes it more difficult for us to support Israel."

Some expressed concerns that Netanyahu's speech could also exacerbate demographic trends that suggest younger Americans may not offer as robust support for Israel as older Americans do.

Greg Rosenbaum, chairman of the board of the National Jewish Democratic Council, said he's seen less enthusiastic support among younger voters because, he believes, most of them have never experienced a world in which Israel was endangered and needed the strong backing of the United States.

"My concern about the long-term health of the U.S.-Israel relationship and the rock-solid bipartisanship it needs is that the more that Israel does that calls into question the support of this cohort of younger voters, the less it is going to be able to rely on this reservoir of good will," he said.

Democrats argue that Boehner sought to exploit this growing gap in Democratic support by inviting Netanyahu to rebut the President in his own backyard, without adequately consulting with the White House. Former Democratic Rep. Mel Levine, an outspoken supporter of Israel and critic of Netanyahu's move, referred to the invite as a ploy by Boehner intended to drive a wedge within the Democratic Party's backing for Israel.

"Speaker Boehner cooking up a scheme to invite the Prime Minister a few weeks before the election in Israel is very harmful to the U.S.-Israel relationship, and particularly harmful to constituents that have traditionally been very, very loyal to Israel but not sympathetic to the policies of the Israeli government," he said. The White House cited the proximity to the Israeli election in declining to arrange a Netanyau-Obama meeting during the Prime Minister's visit to Washington.

The eventual GOP aim, skeptics assert, is to coalesce Jewish voters and major Jewish donors behind Republicans.

Even those sounding the alarm over the potential politicization of Israel acknowledge that Democratic support for Israel, and Jewish support for the Democratic Party, remains strong. But if current trends continue, the United States could see a significant partisan shift on the issue in the coming decades.

American Jews' support for the Republican party has been growing as the population becomes more Orthodox and as some have become more critical of Obama's policies in the Middle East.

According to a Pew Forum analysis of exit polling data on midterm House elections, 33% of Jews voted for Republicans in 2014, up from  12% in 2006.

And the more observant Jewish voters are, the more Republican they tend to become. A 2013 Pew Forum survey of Jewish Americans found that Orthodox Jews, who are typically younger and have bigger families, lean Republican over Democratic by a 57% to 36% margin. That suggests the Jewish population as a whole may become increasingly Republican in the coming decades.

Boehner's office pushed back against the claim of Republican machinations in the Netanyahu invite, with spokesman Michael Steel saying that "support for the state of Israel in Congress and in America has always been bipartisan, and we hope it always will be."

But the White House has charged that Boehner's invitation was indeed motivated by partisanship — as well as Netanyahu's decision to accept so close to the Israeli vote — and on that basis has been particularly damaging to U.S.-Israel ties.

"On both sides, there has now been injected a degree of partisanship, which is not only unfortunate, I think it's destructive of the fabric of the relationship," National Security Adviser Susan Rice told journalist Charlie Rose on Tuesday.

Republicans have argued it's Democrats who are politicizing the issue by refusing to attend a speech by a visiting head of state, one of the strongest U.S. allies abroad, and pointed to Rice's comments as further evidence that Democrats are at fault.

But even some of Netanyahu's supporters acknowledge both sides may be to blame for the politicization of the issue.

Malcolm Hoenlein, head of the Conference of Presidents of Major Jewish Organizations and a close ally of Netanyahu, said "mistakes were made on both sides in the process." He said it was still in dispute whether Boehner mismanaged the invitation, but emphasized that the controversy was past and that the two nations need to move on. Hoenlein echoed concerns of Democrats that politicizing Israel could have grave practical consequences for both nations.

"We don't want this to ever become in any way partisan. It never has been. It can't be now. And all those who try to make it partisan, I think, should be held to account," he said.

Rosenbaum warned that the recent flap is likely to leave lasting damage. He charged that the GOP efforts "to make Israel a wedge issue" are "something they appear to be engaging in for short-term political gain but we believe will have a long-term negative impact."

@highlight

Benjamin Netanyahu's visit to Congress threatens U.S. bipartisanship on Israel

@highlight

GOP's Boehner invited Netanyahu;  30 House Democrats say they will boycott the speech