Hong Kong (CNN) -- The world's most valuable company is going head-to-head against a financially ailing Chinese electronics company over the right to use the iPad name in the vast market of China -- and the tech giant lost round one.

Round two is scheduled Wednesday as the Guangdong Higher People's Court is expected to hear an appeal of a lower court decision in favor of Proview Technology Shenzhen, a company which trademarked the IPAD name in China in 2000 -- 10 years before Apple's iPad hit global stores.

Stores in Huizhou and Shijiazhuang were ordered to stop sales of iPads by local authorities after a December 5 ruling in a Shenzhen court against Apple. Meanwhile, legal actions have been filed in Shanghai, Hong Kong and in California by Proview to block Apple from using the iPad name.

What's the dispute about?

The two companies are mired in an ever bitter battle here -- with both claiming the iPad name is legally theirs. Apple says it bought the name from the struggling Asian electronics firm in 10 different countries. Proview contends it did not sell the rights to the name in China.

"Proview wants to get Apple's full attention," said Ma Dongxiao, attorney for Proview.

"If Apple doesn't change the name, it will violate the law here. Apple might be punished by Chinese courts or forbidden from selling the iPad 3 in China."

In a statement to CNN, Apple says, "We bought Proview's worldwide rights to the iPad trademark in 10 different countries several years ago. Proview refuses to honor their agreement with Apple in China and a Hong Kong court has sided with Apple in this matter. Our case is still pending in mainland China."

As Apple is likely to unveil in March the iPad 3 -- the latest edition of the popular computer tablet -- the case is generating a hailstorm of international attention, and Proview has threatened legal action to block the export and import of the computer tablets -- a move that would disrupt the global supply chain for the tech giant, which depends on Chinese suppliers like Foxconn.

Who sold what to whom?

The case centers around Proview International Holdings, the Hong Kong-listed maker of computer monitors and other devices. A subsidiary, Proview Taiwan, sold Apple Inc. the rights to use the IPAD name, which the Chinese company had trademarked in China and in markets around the world.

But Proview -- which was seized by creditors in 2009 after defaulting on hundreds of millions of loans -- said it didn't know it was selling the rights to Apple. Moreover -- and this is the key point on which the legal dispute rests -- Proview Taiwan didn't own the rights to the IPAD trademark in China; another subsidiary, Proview Shenzhen, did.

Proview says Apple didn't negotiate in good faith - using a shell company that promised not to make competing products under the iPad label. The company alleges the negotiator concealed he was working for Apple, gave a false name, and said the company he represented was IP Application Development -- or IPAD for short.

How Apple snookered Proview to get iPad trademark

"Using shell companies is not uncommon but usually the conduct is honest," Ma said. "Proview was cheated by Apple."

Had Proview executives known they were dealing with Apple, they likely would have asked for more cash, says Kenny Wong, head of the intellectual property practice and partner at Hong Kong law firm Mayer Brown JSM.

"It seems that Proview realized somehow too late who they were dealing with and they felt they were tricked or cheated, so that's why they tried to find loopholes in the contract," Wong said. "And they found a very credible one, according to Chinese law."

Is this about intellectual property rights?

The fact that Apple is engaged in a large-scale lawsuit over property rights with a Chinese company in China seems, to many observers, odd. After all, sales of counterfeit movies happen out in the open in China. Even fake Apple and Ikea stores were discovered in China last year.

"I think it's going to increase the awareness of the value of intellectual property," technology analyst Andrew Mok told CNN. "It's ironic that Apple is being sued by a Chinese company where typically it's the other way around."

But Wong disputes the perception that there is a greater propensity to sell counterfeit goods in China. "You can see fake goods in Milan, you can see them on Fifth Avenue in New York," he said. "There is a perception in China there is very weak enforcement, which to some extent is true, because China is such a big country."

While the China-Proview dispute centers on a trademark deal, the current legal wrangling is ultimately a contract dispute, Wong said.

What's next?

The hearing on the case is scheduled to begin Wednesday, but any final ruling is likely to be weeks or months away. If Apple loses its appeal, it could take it to the Supreme People's Court -- but that would be a long-shot, Wong said. "The court hears less than 1% of cases put before them," he said.

Apple could throw up its hands and decide to rename the tablet in China, but Proview could still sue for damages on past use of its trademarked name, Wong said. But Apple dropping iPad name also could be bad for Proview -- or, more exactly, Proview's creditors.

"As Proview Shenzhen's financial position is dire, its eight creditor banks view the IPAD registrations to be its most valuable asset and would want to see it fetch a 'fair' value," Wong wrote in a recent note to clients. "It is claimed that a settlement (with Apple) will require the bank creditor's approval."

In China, netizens are asking could Apple's popular tablet computer soon be known as the HiPad or MiPad here.

But consumers in China say they'll take the Apple product - no matter what it's called. "I don't care how they play with the four letters," one Chinese customer told CNN.

CNN's Eunice Yoon contributed to this report.

@highlight

Apple is embroiled in a lawsuit over use of the iPad name in China

@highlight

Proview claims it never sold Apple the rights to use the name in the mainland

@highlight

A lower court sided with Proview, and led to some Chinese stores pulling iPads

@highlight

Case is now going before an appeals court in Guangdong Province