(CNN)"American Sniper," Clint Eastwood's film about Navy SEAL marksman Chris Kyle, stunned just about everyone by earning $107 million over its first weekend in wide release -- an unprecedented haul for a downbeat, R-rated drama released in the middle of winter.

The movie is drawing huge crowds across the moviegoing and political spectrum, from left-leaning cities to conservative small towns. Its audiences include large percentages of women and older viewers, two groups that don't typically flock to the multiplex.

"American Sniper" has the look of a bona fide cultural phenomenon. All of which has Hollywood executives, and a lot of other people, scrambling to understand why.

The movie has no doubt benefited from good timing: It hit 3,500 theaters the day after nabbing six Oscar nominations, including best picture. But Oscar love doesn't always translate to popular success -- "The Hurt Locker," the 2009 best picture winner about a U.S. Army bomb-disposal team in Iraq, earned only $17 million in North America over its entire run.

And until now, audiences have mostly stayed away from films about the unpopular wars in Iraq and Afghanistan.

So why has "American Sniper" -- distributed by Warner Bros., which is owned by Time Warner, the parent company of CNN -- struck a chord when so many other modern-day war movies have not?

Here are five reasons:

We're finally ready for a movie about the Iraq War

It's been three years since the U.S. involvement in Iraq formally ended, and we have some distance on it.

With the vast majority of U.S. troops out of harm's way, audiences may finally be receptive to a movie that no longer hits too close to home.

We saw a similar pattern after the Vietnam War in the 1970s. Although Hollywood movies about that war were made while it was still being fought, the most acclaimed Vietnam war dramas -- "The Deer Hunter," "Coming Home," "Apocalypse Now" -- began hitting U.S. theaters three to four years after the 1975 fall of Saigon.

Wrote Iraq veteran and film producer Paul Rieckhoff, in a recent column for Variety: "Most of America is tired of hearing about Iraq. But now, they're at least open to being entertained by it."

It's about someone many view as a hero

While characters in other recent combat movies such as "Zero Dark Thirty" have been loosely based on actual people, "American Sniper" is based on a firsthand account by a Navy SEAL who served four tours in Iraq.

Chris Kyle was already a legend in military circles thanks to his 160 confirmed kills (he said he had many more unconfirmed, or unwitnessed ones). His 2012 memoir, "American Sniper: The Autobiography of the Most Lethal Sniper in U.S. Military History," spent months on the best-seller lists.

As portrayed by Bradley Cooper in the movie, Kyle was about as stereotypically American as they come: A God-fearing good ol' boy from Texas who loved hunting, rodeos, his family and his country.

After Kyle died in 2013, thousands filled Cowboys Stadium outside Dallas for a memorial service. His funeral procession stretched for 200 miles.

"Most of the conversation about what happened with our country in Iraq is negative. This (movie) is a positive portrayal," said CNN senior media correspondent Brian Stelter. "This is a film with an American hero."

However, some critics on the left have questioned whether Hollywood is lionizing a bloodthirsty soldier who called Iraqis "savages" and wrote in his book that his "only regret is that I didn't kill more."

Palin's attack on 'Hollywood Leftists'

It's got a great trailer

For weeks, audiences have been seeing a riveting trailer for the movie that shows Cooper as Kyle, his rifle and scope trained on two Iraqi civilians in Fallujah who may or may not be trying to bomb a U.S. military convoy.

"I've got a woman and a kid, 200 yards out, moving towards the convoy. She's got a grenade ... she handed it to the kid," he says into his radio, his finger closing on the trigger.

"Your call," comes the reply from the radio. The tense scene is intercut with flashbacks from Kyle's life back home in Texas, including his wedding and the birth of a child. Then we're back to the Iraqi street and Kyle's split-second dilemma.

"They fry you if you're wrong," his fellow soldier tells him as Kyle stares down the crosshairs. We can hear his breathing. We hear music swelling ominously. We see the kid start running towards the American troops.

We don't know what happens next, but we want to find out.

It's a human story, not a political one

"American Sniper" has no grandstanding politicians or speeches about the folly of war. It's just Kyle's story, from before basic training to after he returns home for good.

"It doesn't deal with whether we should have been there, or what we were doing there," said CNN's Stelter. "It only deals with the reality of what it was like for one soldier once he was there. So it's a soldier's-eye point of view."

People with opposing opinions on the war might all find evidence in the movie to support their views. Military hawks could see the Iraqis, who are portrayed in the film almost entirely as insurgents bent on killing Americans, as evildoers who must be snuffed out.

Opponents of the conflict might see its effects on Cooper's character, who becomes jittery and withdrawn, as further proof of the corrosive effects of the war on returning soldiers.

Still, almost everything can be politicized if you try, and "American Sniper" is no exception.

Many conservatives, upset with what they saw as the morally ambiguous, anti-military tenor of such recent Iraq War films as the Matt Damon thriller "Green Zone," have hailed "American Sniper" as a tribute to an American patriot.

A review on right-wing website Breitbart.com called it a "patriotic, pro-war on terror masterpiece."

Meanwhile, documentary filmmaker Michael Moore expressed a more controversial view in a tweet that called snipers "cowards."

Opinion: Why I refuse to see 'American Sniper'

It stars Bradley Cooper

One of the most popular and charismatic young actors in Hollywood, Cooper has now been nominated for an acting Oscar  three years in a row (after "Silver Linings Playbook" and "American Hustle").

To play Kyle, he gained more than 30 pounds of muscle and mastered the SEAL's Texas drawl.

"Bradley did an amazing job and I truly don't believe there's anybody who could have done better," Taya Kyle, Chris Kyle's widow, told CNN's Jake Tapper. When her late husband's friends saw the movie, they told her "it's eerie how much it felt like Chris ... it's like the spirit of Chris is exuding from Bradley as he's playing this role."

So put it all together -- a likable star, a respected director, a compelling true story, strong marketing and some excellent timing -- and you get a surprise blockbuster that's not likely to be duplicated anytime soon. But of course, Hollywood will try.

Michael Moore explains snipers are 'cowards' tweet

@highlight

"American Sniper" earned $105 million over its first weekend in wide release

@highlight

Americans may be finally ready for a movie about the Iraq War

@highlight

Adding to its appeal: The movie is a human story, not a political one