LONDON, England (CNN) -- From Dallas, Texas to Dabancheng, China, energy companies are staking fortunes on harnessing wind power.

Texan energy companies are investing heavily to build wind turbines following a landmark ruling last week.

Several Texan transmission companies announced Monday they were forming a consortium to invest in the $5 billion cost of building new power lines to take advantage of the state's vast wind power.

The consortium, comprised of existing transmission operators, includes Dallas-based Oncor, the state's largest power delivery company, Electric Transmission Texas (ETT) and units of American Electric Power Co. among others.

Those new lines, dubbed by Oncor as a "renewable energy superhighway," will accommodate about 18,500 megawatts of wind generation by 2012-- enough energy to power 4 million homes.

Texas currently leads the nation in wind capacity at about 5,500 MW.

The companies are hoping to take advantage of a landmark ruling on Friday that gave Texas preliminary approval for a $4.9 billion plan to build transmission lines to carry wind power from West Texas to urban areas.

It is said to be the largest investment in clean, renewable energy in U.S. history. Texas citizens will have to assist with the plan's construction; paying an extra $3 to $4 per month on their bills for the next few years.

However, they stand to recoup these costs in what they will save in energy bills later.

Not surprisingly, energy companies are eager to jump on the bandwagon to build a large part of the superhighway.   Oncor Senior Vice President of Transmission Charles Jenkins said in a news release: "At Oncor we want to be an important part of the solution. Texas is already a leader in wind energy and this is the next step in maintaining that leadership position.

The wind energy industry has benefited from the support of billionaire oilman T. Boone Pickens, who is planning to build the world's largest wind farm on about 200,000 acres in the Texas Panhandle.

When completed, his 2,700 turbines will be capable of producing enough electricity to power 1.3 million homes.

Pickens spoke to CNN about his plans to increase reliance on natural resources like wind and solar.

He said: "What I want to do is to fold in the great resource we have in the central part of this country, which is wind. And then you have resource from Texas west to California.

"You've got solar. Those two resources have to be developed. So when you develop the wind, you can then remove natural gas from power generation and put it into a transportation fuel market.

"Wind power is ... clean, it's renewable. It's everything you want. And it's a stable supply of energy. It's unbelievable that we have not done more with wind."

Meanwhile, China could well be on its way to blowing the U.S. out of the water when it comes to harnessing wind energy.

This is a rare energy success story for a country whose carbon emissions were recorded as the highest in the world last year, according to the Netherlands Environmental Assessment Agency.

But the Chinese energy revolution has been quietly gaining strength, observers say.

Like their American counterparts, Chinese tycoons are increasingly directing their investment into renewable power.

Zhu Yuguo, ranks at 102 on the Forbes China Rich List, with a personal fortune of 5.71 billion Yuan and has invested heavily in the wind power industry.

Steve Sawyer of the Global Wind Energy Council said: "China's wind energy market is unrecognizable from two years ago."

"It is huge, huge, huge. But it is not realized yet in the outside world," Sawyer said in an interview with London's Guardian newspaper.

China's wind generation has increased by more than 100 percent per year since 2005 and 20 per cent of the power supply to the venues of the Beijing 2008 Olympic Games will come from wind generators, according to the official state agency, Xinhua.

It was initially hoped the country would generate 5 gigawatts of wind by 2010, but that goal was met three years early in 2007. The 2010 goal has now been revised to 10 gigawatts but experts say this could well hit 20 gigawatts.

The Guanting Wind Farm in Beijing has installed capacity of 64.5 megawatts and has supplied 35 million kilowatts of electricity to Beijing so far.

The wind farm is estimated to supply 100 million KWH per year to Beijing, or 300,000 KWH per day, enough to satisfy the consumption of 100,000 households.

However, China still relies heavily on using coal, which supplies 70 per cent of China's energy needs.

But Junfeng Li of the China Renewable Energy Industries Association has a more optimistic outlook.

In a paper last month, he wrote: "China is witnessing the start of a golden age of wind power development and the magnitude of the growth has caught policymakers off guard.

"It is widely believed that wind power will be able to compete with coal generation by as early as 2015."

@highlight

Texas energy group launch bid to develop "renewable energy superhighway"

@highlight

Texas given preliminary approval for a $4.9 billion plan to build new power lines

@highlight

Wind energy production in China set to overtake the U.S. experts say