(CNN) -- To help keep the peace with her in-laws during holidays, Julia Smith adopted a rule several years ago about talking politics: Don't do it, and don't take the bait if anyone starts in.

Her relationship with her father-in-law in particular had always been fraught with tension, said Smith, who asked that her name be changed to preserve family relations. She was the "screaming liberal from New York" who'd corrupted his Texas-bred son into moving to "Taxachusetts" and voting Democrat. As far as she was concerned, he was a good ol' boy who didn't like to talk politics as much as preach his views.

Her resolve was put to the test three years ago at Thanksgiving dinner, right after Barack Obama was elected president. She was picking at her turkey when, she says, her father-in-law suggested an act of violence toward Obama.

She attempted to keep cool by gathering her children and leaving the table. But then he repeated it at dessert.

"I finally said to him, 'you can't use that language in front my children.' Then he told me, 'you can't tell me what I can say in my home.' That led to a tirade with all kinds of four-letter words and him storming out," she said.

"Before this, I just tried to ignore him, change the topic or walk away. But this comment ... it couldn't be ignored," she said.

Unfortunately, things haven't been the same since, she says. They haven't spoken in more than two years, and he refuses to visit her family, though her mother-in-law visits regularly.

Smith's case represents an extreme example of a Thanksgiving horror story, but most of us have one. The holidays tend to bring out the best and worst in people, especially among those we love. But as election season heats up, politics becomes an increasingly common topic around the dinner table ... as if we needed more stress when visiting family.

"Politics is dangerous because people identify so closely with their beliefs. For my father-in-law, it wasn't just who he would vote for but a part of who he was, and if you disagreed with his political beliefs, it was like it was a rejection of him," Smith said. "For some people, political beliefs become too much a part of their personality, who they are, and they can't separate them from a person. That's where we ran into trouble, because I truly wanted to get along with this man, even though I didn't agree with him on most fronts. I still wanted to have a loving relationship for the sake of our family."

Politics may not be an easy topic for families with diverging viewpoints, but that doesn't mean it's off-limits, said etiquette expert Anna Post of the Emily Post Institute. In fact, people don't need to agree as long as they're capable of respectful back-and-forth, as opposed to testy debate.

"When people are willing to listen, which means not dominating the conversation and allowing yourself to be open to another idea, it can work," she said. "You may already know what the other person's going to say, but letting their voice say it is where respect comes in."

Avoiding anger in your tone is another way to keep things healthy and family-functional, she said.

"It's about respect, not making judgments and not using words that carry judgments. Given what a big deal the political conversation is, I think it's one worth making an effort over."

With some, a respectful conversation just isn't in the cards, and we usually know who those people are, Post said. Identify the people who are your triggers, and be proactive in your conversation choices: Set the agenda and the tone, and don't let it be politics if you already know that a lively conversation won't come out of it.

Another key consideration is what you hope to achieve by engaging in such a discussion. Are you there to change their mind or talk about what's going on in the news? If it's the former, you're probably barking up the wrong tree, and you may damage the relationship in the meantime, she said.

It goes both ways, of course. If it becomes clear that someone is not just listening but trying to convert you, have some exit phrases on hand to end the conversation or lead it elsewhere, she said.

Something like "we'll have to agree to disagree" or "I'll consider what you said" are good ways to get someone to let go and move on, Post said.

If the conversation proceeds, choosing your words wisely could mean the difference between a lively back-and-forth and an uncomfortable standoff, she said.

"Don't assume other people believe what you believe. People will casually mention something about a candidate or a position or a piece of news and mention it in a way that clearly states a position and assumes everyone agrees with it. That can be deeply uncomfortable and, depending on the position, leave someone stifled in a conversation," Post said.

In other words, leave the punditry to the pundits and focus on positions you can defend with facts instead of catchphrases.

"In your own language with politics, cleansing it of idioms can make it more about facts and not opinions," she said. "The goal is to avoid polarizing language. For example, ask someone what they think about health care rather than 'Obamacare.' Talk about the facts you know as opposed to 'I can't believe those guys are always pulling that stuff.' It makes a big difference."

Not everyone goes by the same facts in the digital age, so even assuming that your facts are the ones everybody agrees on can land you in risky territory, said Jodi R.R. Smith, author of "From Clueless to Class Act: Manners for the Modern Woman."

As much as you can prepare for the ones you love, a few variables inevitably pop up, such as the new significant other, the exchange student or the friend without a place to go.

"If someone brings home a new love interest, I'm going to hold back a little bit and say, 'what do you think of the debates so far?' so I will be able to gauge the new person's political leanings," she said.

"If we agree, that's great. I can launch into personal philosophies. If we don't agree, I will ask a couple of innocuous follow-up questions to see if this is someone who can have civilized political discourse. Maybe they can educate me, and it won't sway my vote, but it will make me a more well-rounded human being. If person gets red in the face and voice starts to rise, I will say, 'that's interesting. So, have you seen this new film?' "

If you're the one hosting dinner, lay down some ground rules and let guests know what to expect, especially those who are easily agitated by opposing viewpoints, Smith said. Tell your liberal parents that you're inviting friends from the young Republicans campus group. You might also consider sitting them on the same side of the table so they can't make eye contact, she said.

Setting ground rules for all guests is a new part of Smith's routine ever since that fateful Thanksgiving dinner three years ago. Politics are off-limits as a topic of discussion, especially if alcohol is being served.

She wishes it didn't have to be this way; she also wishes that she had a better relationship with her father-in-law, she said.

"Hopefully, sharing my story will let others know they're not alone. I also hope it makes people think about what they say and how they say it, especially when it comes to politics."

@highlight

It's possible to talk politics with family over turkey in a respectful conversation, experts say

@highlight

Anna Post: Avoid polarizing language; focus on positions you can defend with facts

@highlight

Know your limit, and devise an exit strategy if conversation takes turn for worst, Post says

@highlight

Keep in mind that not everyone agrees on same set of facts, expert says