(CNN) -- Almost three years after losing her right leg in a bomb explosion in Iraq, Tara Hutchinson decided to post her photo and profile online to ask for help.

Dave Mahler spent his entire career in technology and decided to apply his know-how to help veterans.

The soldier was having financial problems last fall and needed $1,000 for one month's mortgage on her house in San Antonio, Texas, where she is being treated for her injuries.

Her husband, who is also in the Army, is still deployed in Iraq.

Hutchinson, 32, is among dozens of active-duty U.S. troops and veterans who have asked for help through USAtogether.org, which listed their stories and specific needs online.

The charity is one of many set up to help U.S. troops beyond the compensation and benefits the government offers, but it's not run by a church group, a veterans association or even a military family.  Watch how some veterans are having tough times back home »

Instead, it was founded by a group of Silicon Valley professionals in California.

The project is the brainchild of Dave Mahler, whose résumé includes an engineering degree, 13 years at Hewlett-Packard designing servers and software, co-founding a start-up and serving on nonprofit boards -- but no military background.

Mahler also happens to live four miles from a Veterans Affairs hospital in Palo Alto, which he had driven past for 25 years but never visited, he said.

It was on his mind a year and a half ago when he was looking for a new community service project and decided to focus his energy on helping U.S. troops hurt in the line of duty.

Hatching a plan over coffee

Mahler described what he did next as a "very startup-oriented thing." He called a senior person at the hospital out of the blue and invited her out for coffee to learn how he could help. Mahler said he was ready to sweep the halls or read to a veteran but envisioned something with more leverage.

"I had a bias towards wanting to use the things that we've learned in Silicon Valley and across the country in building Internet properties to apply that technology into this arena," Mahler said.

So after finding out that there was usually an outpouring of help once a community knew about a veteran's financial plight, he decided to start a Web site showcasing specific stories and needs. Anyone who wanted to help could browse through the requests and decide exactly whom to support.

Mahler, 52, said the goal was to get rid of all the bureaucracy in the process by combining elements of Craigslist -- the popular go-to place for online classifieds and forums -- and Kiva.org, a micro-lending Web site that lets users browse profiles of entrepreneurs in the developing world and choose someone to give a small loan to.

"The unique thing about Kiva, and to some extent Craigslist, is that it's one to one. You're not giving money to some organization and then they decide who to give it to," Mahler said.

Visitors to USAtogether.org can search for requests by ZIP code, branch of service or type of need. Requests can be filled quickly, so the organization is looking for more service members and their families to list their needs, Mahler said. A recent visit to the site showed only two open appeals for help.

Hutchinson said her request for assistance with a mortgage payment was filled within a couple of months of posting and has made a big difference.

"There are a lot of people who believe that Americans are not giving, [but] I think that we're the most giving culture in the world," Hutchinson said.

"I am so grateful that there are people who were willing to help me."

Volunteers stay connected

Hutchinson didn't have any apprehension about posting her story online. But for some visitors, the pictures and requests for baby items, appliances and even job leads can be uncomfortable to see, Mahler said. The U.S. Department of Veterans Affairs declined to comment on whether it had any qualms about veterans listing their stories on the site.

"That's a personal choice," said VA spokesman Jim Benson.

USAtogether has no office or employees, keeping the operation "outrageously efficient," Mahler said. The handful of Silicon Valley professionals who run the nonprofit organization work on a volunteer basis out of their homes, using Skype conference calls, text messages and other technology to communicate.

The volunteers check out service members, who must meet eligibility criteria. They also make sure the requests are appropriate and within limits.

Direct financial assistance is limited to $1,000, for example, and someone asking for a plasma-screen TV might be coached to request help with an electric bill instead. The assistance is meant to be a short-term safety net, so service members with recurring financial problems are referred to the many other groups that help veterans.

Hearing the service members' stories can take a toll on the team, Mahler said.

"I've spent my entire career in technology, and the reality of it is, when you're building the next widget that's smaller or faster or cheaper, it's really impersonal," Mahler said.

"In this case, you're focusing on people's lives, and it's a very emotional business. It is draining when you first hear the stories. But that is for the most part balanced when we're able to get folks assistance."

@highlight

Silicon Valley professionals start Web site to connect donors with troops in need

@highlight

Founder models site on Craigslist and Kiva.org, so people can decide who to help

@highlight

Veterans and active-duty troops can list their stories, photos and specific requests

@highlight

"I am so grateful that there are people who were willing to help me," soldier says