(CNN)The passing of Saudi Arabia's King Abdullah Bin Abdul-Aziz may not have come as a surprise -- his health had deteriorated in recent years -- but until the very end, the monarch was determined to leave an indelible imprint on the throne by articulating and implementing a clear vision for the country.

Abdullah also seemed to possess the political acumen necessary to adjust to the changing needs and increased political awareness of the Saudi populace, as well as to the shifting political realities in the Middle East and elsewhere.

Abdullah didn't officially ascend until 2005, but he had been the de facto king since 1995, when his predecessor and half-brother Fahd's health started failing. It was Abdullah who had to steady the ship during the tumultuous aftermath of the September 11 attacks on the United States and subsequent terrorist attacks inside the kingdom in 2003 and 2004.

The specter of terrorism not only forced some to question the foundation of Saudi Arabia's "special" relationship with the US, but also posed a serious threat to the stability of the regime by challenging its Islamic bona fides on which its entire claim to legitimacy rests.

Although it was the late Interior Minister Naif Bin Abdulaziz and his successor who devised the kingdom's multi-pronged counter-terrorism strategy -- part security operation, part public awareness campaign -- that largely contained the threat from al Qaeda, Abdullah's resoluteness and assurances to Saudis and the international community should not be underestimated.

Many might remember Abdullah for his foreign policy initiatives, including his plan for comprehensive peace between Israel and its Arab neighbors -- adopted first by the Arab League in 2002 and then again 2007 -- or his efforts to foster interfaith understanding by sponsoring international forums aimed at bringing together followers of various religions to stress their shared values, as his meeting with Pope Benedict in 2009 illustrated.

But many Saudis are likely to think of him as the king who tried to dispel any lingering doubts about the validity of the narrative around which the state was founded: The idea of a Saudi "nation" and its concomitant notion of a unifying Saudi identity.

Abdullah convinced many Saudis that they are not merely passive observers but rather stakeholders in a still-ongoing nation-building endeavor.

Although he sometimes used the stern tenor of an avuncular patriarch -- as he did when he encouraged Saudis not to become their own worst enemy by questioning each other's loyalties -- the frank tone he often used in his speeches ushered in a new era, where Saudis of all walks of life felt more open to speak about not only what they considered to be the main impediments hindering the kingdom's development, but also some of the obstacles standing in the way of their own self-fulfilment.

Many in the Saudi media and burgeoning Saudi civil society, following the king's lead, felt emboldened to write and speak about subjects that were once considered off-limits, including extremism among some clerics, government corruption, the role of women, child and spousal abuse, and the soundness of the educational curriculum.

That is not to say that red lines do not remain and that some have not crossed them and paid a price.

The imprisonment of some outspoken advocates of reform in 2014 brought Saudi Arabia intense scrutiny from human rights organizations and the Western media.  Those who apparently stepped over the red lines included long-time activists as well as two young women with large followings on social media who tried to cross the Saudi border while driving.

The case of young blogger, Raif Badawi, who was accused of insulting the religious establishment garnered special attention, as his sentence included weekly public flogging. These cases prompted some to question whether the Saudi government was serious about reforms.

Abdullah's establishment of periodic "National Dialogs" allowed some leading Saudis to have these important debates openly. While criticized by some as mere photo ops, these meetings brought together Saudis from different ends of the political and religious spectrum -- including some leading Sunni and Shia clerics -- who would not have had the opportunity to meet face to face in such a public fashion.

Abdullah also expanded the membership of the consultative Shura Council, which now includes 30 women. Just as importantly, it was under his reign that thousands of Saudis experienced their first taste of democratic politics when they participated in nation-wide elections for municipal councils in 2005.

The fact that many Saudis took their children and even grandchildren with them to the polling booths indicates the symbolic importance of this exercise.

In 2011, Abdullah took a calculated risk by declaring that women will be eligible to participate and run in the next round of elections in 2015. Much like his pet project, the King Abdullah University for Science and Technology -- a coeducational graduate level institution aimed at preparing Saudis to compete in the global economy -- Abdullah's initiatives to empower Saudi women roiled conservative elements, who continue to view any change as inherently destructive.

But one of the keys to the longevity of Al Saud has been their ability to balance the competing and conflicting interests of the various segments of Saudi society and to reach a general consensus.

King Abdullah's reign however, was not controversy-free. The Saudi military's struggles against the vastly under-equipped Houthi rebels of northern Yemen in 2009 compelled some to question the preparedness of the army despite the billions of dollars spent on high tech weaponry and extensive training.

The kingdom's dispatch of troops to neighboring Bahrain in 2011 to help quell months of unrest in the tiny monarchy was criticized by Bahrain's Shia majority -- not to mention Iran -- and also raised eyebrows in the international community.

Intermittent clashes between Saudi security forces and the Shia majority in the kingdom's eastern province also created a sense of unease among some who considered the unrest a harbinger of the Arab Spring's arrival to the kingdom.

Along the same lines, and although widely hailed in the West as a positive move, Saudi Arabia's participation in the U.S.-led airstrikes against ISIS strongholds in Syria was not risk-free and seems to have only intensified the terror group's animosity for the Saudi government and leadership.

The Saudis have apparently also agreed to train "moderate" Syrian fighters on Saudi soil -- an uncharacteristically forceful and public intensification of its involvement in the Syrian crisis.

Despite what some considered his "weak" familial ties within the royal family, Abdullah's popularity among Saudis seemed to have been rooted in his realization that the monarch's most important base of support going forward must be the Saudi populace at large.

It is noteworthy that even some of the Saudi government's harshest critics both inside and outside the kingdom seldom blamed Abdullah personally for what they considered to be the kingdom's shortcomings.

Although some maintain that the persona of the wise yet humble patriarch was carefully constructed, Abdullah's affable demeanor and seemingly genuine concern for the well-being of average Saudis endeared him to many. Most Saudis will remember him fondly.

As for the new king, Salman, it is instructive to remember that some in the international community also expressed trepidation about King Abdullah before he ascended the throne. He was perceived by some as more conservative and less pro-Western than his predecessor, Fahd.

Some thought that these leanings would manifest themselves in a more "pan-Arab" stance and a less amenable posture towards the West, and especially the US. Those fears were largely unfounded.

While there is little doubt that the Syrian crisis, the aftermath of the Arab Spring and nuclear negotiations with Iran have created what seemed at times to be a serious rift in Saudi-U.S. relations, it is highly debatable that it was King Abdullah alone whose views on these issues differed from those of the U.S.

These still-unresolved crises and impasses will likely continue to be sticking points under King Salman.

King Salman will likely shuffle some top government positions around, and his style might be a little different than Abdullah's. At some point, he will likely try to put his own stamp on the throne. That, however, is not likely to be by changing the nature of Saudi-U.S. relations in any fundamental way.

Some have argued that the secret to the longevity of the Saudi royal family is its careful attention to three constants: Islam, oil and its relations with the U.S. Salman is not likely to lose sight of that. Under Salman, bilateral relations with the U.S. will likely continue to be "special."

@highlight

Until his passing, King Abdullah remained committed to articulating and implementing a clear vision for Saudi Arabia

@highlight

Many remember the monarch for his foreign policy initiatives, including his plan for comprehensive peace between Israel and its Arab neighbors

@highlight

King allowed Saudis to follow his lead and speak with greater freedom about a range of issues