(CNN) -- I logged onto Facebook this afternoon, terrified of what I would read.

I grew up near Newtown, Connecticut, and went to high school in Danbury, Connecticut. A close friend spent her childhood at Sandy Hook Elementary School, the school where a shooter killed at least 26 people today, police said, most of them children.

Police reports are still coming in, and we are only beginning to grasp the scale of this tragedy. Friends are describing their panic as they try to reach their children in schools that are on lockdown. One of my high school classmates is trying to support her best friend, whose daughter was one of the children killed.

My Facebook timeline is filled with expressions of relief for those who escaped the violence, sorrow for those lost, and prayers for recovery. It's also filled with friends demanding that America take action on gun control. Their calls are answered by others who protest that this is a time to mourn, not a time for politics.

A tragedy like today's shooting demands we both mourn and take action.

In April of this year, One L. Goh shot 10 nursing students at Oikos University in Oakland, California. In July, James Holmes shot 70 people in a movie theater in Aurora, Colorado. In August, Wade Michael Page shot 10 people in a Sikh gurdwara in Oak Creek, Wisconsin. With today's tragedy, 2012 is likely to be the worst year for mass gun violence in U.S. history. It follows a year in which a mass shooting killed six and critically injured Rep. Gabrielle Giffords. And on Tuesday two people killed when a gunman opened fire at a shopping mall in Oregon.

News: 'Our hearts are broken'

Outside of these mass shooting incidents covered by the media, 2012 is likely to be a bad one in terms of "ordinary" shootings. The CDC reports that 30,759 were treated in hospitals for gunshot wounds in 2011, a 47% increase over 2001. Homicide rates in the U.S. are going down while incidences of shootings are increasing, because doctors are now so experienced at treating gunshot wounds that they are saving more lives.

Yet conventional wisdom argues that the U.S. is too polarized and divided for any meaningful changes to our broken and inadequate gun laws. The National Rifle Association and other lobbying groups are too well-funded and powerful for politicians to stand behind even modest gun control measures, like Sen. Frank Lautenberg's proposed ban on high-capacity magazines, which lapsed in 2004.

Americans who follow the gun-control debate have stopped expecting change in the wake of events like today's shooting for the simple reason of precedent: If Aurora, Oak Creek, Tuscon and Columbine haven't changed the politics of gun control, why should we believe the tragedy in Newtown will have a different outcome?

The NRA's most powerful weapon against gun control isn't postcard campaigns, primary battles or political advertising. It's silence. So long as we assume gun control is impossible, we don't talk about gun control. So long as we don't talk about gun control, gun control is impossible.

The NRA fights any attempts to control firearms, no matter how common-sensical, because their greatest fear is public debate over any controls over guns. Once we begin discussing whether it's reasonable for civilians to be able to buy unlimited amounts of ammunition without a background check, we've moved gun control from the realm of the unthinkable into the possible.

News: Support crucial for kids after trauma

It sounds reasonable and compassionate when New Jersey Gov. Chris Christie responded to the Aurora shootings by demanding, "This is just not the appropriate time to be grandstanding about gun laws. Can we at least get through the initial grief and tragedy for these families?"

Christie, and my friends on Facebook who demand we mourn apolitically, have the best of intentions, but they are missing a simple truth. Moments like today's tragedy in Newtown remind us that the U.S. suffers from an epidemic of gun violence, a pattern that does not exist in other highly developed nations.

Moments of crisis, like the shooting in Newtown, tend to produce brief spikes of popular interest in gun control. My research on media attention suggests these spikes are extremely short-lived, and that they may be decreasing in intensity. There was less popular interest in gun control, as measured by Google searches, after the Gabrielle Giffords shooting and the Aurora killings than after Virginia Tech.

There were almost no spikes of popular interest in gun control after "smaller" mass shootings, like that in Oak Creek. To have any chance of combating the NRA's campaign of silence, gun control groups have to seize moments of media attention to push for change.

When the story about the Newtown shooter comes out, it is likely that we will hear about a disturbed and deranged shooter and about "senseless violence," as if to distinguish it from more sensible gun violence. This language turns mass shootings into natural disasters, as unpredictable and preventable as hurricanes and tornados.

Human behavior is unpredictable, but gun violence is not. In Chengping, Henan, China today, a deranged man slashed 22 schoolchildren with a knife. None died. School shootings in America are a product both of mad people and bad laws.

As we learn more about the young children killed in Newtown today, we will hear calls not to "politicize" their deaths. I urge you to ignore those calls. There is no better way to mourn these senseless deaths than to demand we change our laws and our culture so that the killing of innocent children truly becomes unthinkable.

The opinions expressed in this commentary are solely those of Ethan Zuckerman.

@highlight

Ethan Zuckerman: Friends react to Newtown shooting with grief, prayers, calls for gun control

@highlight

He says some say talk about gun control insensitive; he says no. We must mourn and act

@highlight

He says 2012 may be worst year for gun violence in U.S., yet we avoid talk of gun control

@highlight

Writer: Best way to mourn these deaths is to demand we change our laws, our culture