(CNN) -- So, you think you have it bad this tax season. Have you heard that Facebook founder Mark Zuckerberg will pay between $1 billion and $2 billion in taxes? That sounds like a tough pill for anyone to swallow.

But it is premature to start a pity party for Zuckerberg. The twenty-something billionaire reaped large financial gains from exercising the stock options that triggered his tax bill, and he has benefited from favorable tax rules along the way. Even better, Zuckerberg will survive his encounter with the tax man in a position to never have to pay taxes again for the rest of his life.

You heard that right.

Let's start with the tax bill. According to media reports, Zuckerberg reported $2.3 billion income from Facebook's IPO in May 2012. How did that happen?

By contract with his own highly controlled company, Zuckerberg has many stock options. The options give him the right to buy shares for a preset price: 6 cents, to be exact. So on the day of Facebook's IPO, with shares trading as high as $42, Zuckerberg bought 60 million shares for 6 cents each: a great way to net a cool $2.3 billion.

The IRS views that money as compensation -- wages -- taxable at "ordinary" income tax rates, the same that most of us pay on our regular salaries. This means, for 2012, Zuckerberg will have to pay tax on the $2.3 billion at close to a 50% rate, federal and California taxes combined. The resulting whopping $1 billion to $2 billion tax bill continues a theme, evident in my CNN.com columns on Warren Buffett, Mitt Romney and Phil Mickelson, that wage-earners are highly taxed, but not the wealthy.

So should we feel sorry for Zuckerberg? Before we start crying, let's step back a bit.

As soon as Zuckerberg exercises any of his stock options he triggers a tax hit. He did just that when he bought the 60 million Facebook shares for 6 cents each. But from that moment forward, Zuckerberg is responsible only for any further rise in the value of the stock, and only when he sells it, and, even then, only at the far more favorable "capital gains" rates.

Zuckerberg's $2.3 billion payday also came after years of building up value in Facebook, meaning that he was deferring paying taxes for years. This is considered a financial benefit: It is better to pay taxes later rather than sooner, all things being equal.

It also bears mention that all things were not equal, because 2012 featured one of the lowest top ordinary tax rates in a century of income taxes, at 35%. Most observers were assuming that rates would increase in 2013, as they in fact did. Zuckerberg cashed out at both a high market price and a low tax rate.

One puzzle to tax experts is why Zuckerberg waited so long to cash out, causing that large ordinary income tax hit. The answer likely has several parts. One, Zuckerberg's timing almost certainly played a role in boosting Facebook's stock price at the IPO stage, when it peaked. Two, it is obvious that Zuckerberg had indeed cashed out, in large part, before the IPO. How else did he get to a net worth of more than $11 billion, according to media reports, with a (mere) $2.3 billion payday, roughly cut in half by taxes, further reduced by a falling stock price?

At a minimum, buying shares during the IPO allowed Zuckerberg to cash out at the market top, and then to sell off shares -- as he did "for tax purposes" -- without any additional tax hit. Indeed, Zuckerberg now holds shares with tax losses built into them, which he can sell to offset capital gains elsewhere in his portfolio.

Zuckerberg also has plenty of other shares (and still more options), rising in value as we speak. He is playing what I call Tax Planning 101, simply holding onto assets as they appreciate without paying tax on them.

Zuckerberg's tale is really just another story about stock options, the coin of the realm in Silicon Valley. They can be tricky and easy to manipulate. Remember the backdating scandals? Those were about the timing of the exercise of stock options by highly paid executives.

After his big stock option exercise, Zuckerberg can walk in the footsteps of hi-tech icons such as Bill Gates and Steve Jobs. These entrepreneurs built up vast fortunes using stock options with great savvy and then, after they made it to the levels of the super-rich, simply got rid of their ordinary income salaries.

Jobs, famously, got paid $1 a year to run Apple. Gates one-upped that by stepping down altogether from his day job as CEO of Microsoft. The really rich leave wages and the W-2s that go with them to the little people, like us.

The truly rich do not have to pay any tax once they have their fortunes in hand. They can follow the simple tax planning advice to buy/borrow/die: Buy assets that appreciate in value without producing cash (like shares of Internet stocks), borrow to finance lifestyle, and die to pass on a "stepped up" basis to heirs wherein the tax gain miraculously disappears.

Zuckerberg now has $11 billion or more with which to play this game. He can live off money borrowed against that huge sum (rest assured, he can get good interest rates), never having to sell any asset at a gain, and never having to get an "ordinary" salary again.

As is so often the case, the real wizard here is Buffett, who got into the game in the early 1960s, buying up a company, Berkshire Hathaway, that pays no dividends. Buffett was able to amass his fortune, well north of $50 billion, without ever incurring a tax bill nearly as large as Zuckerberg's.

We cannot all be Warren Buffetts, of course, but being Mark Zuckerberg isn't too shabby, even with that more than a billion dollar tax bill coming due. Zuckerberg can rest peacefully knowing he won't have to worry about paying taxes again. The rest of us aren't quite so blessed.

The opinions expressed in this commentary are solely those of Edward J. McCaffery.

@highlight

Mark Zuckerberg will pay between $1 billion and $2 billion in taxes for 2012

@highlight

Edward McCaffery: But he never has to pay taxes again for the rest of his life

@highlight

He says Zuckerberg can hold on to assets as they appreciate without paying tax on them

@highlight

McCaffery: Like other tech titans, he can build wealth by using stock and stock options