(CNN) -- Tech visionary Elon Musk made headlines when he said recently that artificial intelligence is like "summoning the demon" and may well be humanity's "biggest existential threat." Just this month, researchers in Japan announced they had created a software system that could outperform the average Japanese high school student on a standardized college entrance exam. In other words, the machines are catching up to humans in intelligence.

Concerns about A.I. and robots can be divided into two broad categories and framed as questions. First, will the machines take our jobs and destroy our livelihoods? Second, do we have to worry that advanced artificial intelligence could truly threaten humanity, perhaps by acting to destroy us (as in the "Terminator" movies) or enslave us (as in the "Matrix" series).

The evidence suggests that, at least for the foreseeable future, the impact on employment is what should worry us.

The reality is that most people in our workforce are employed in occupations that are on some level fundamentally routine and predicable. Most people come to work and, regardless of their job title or industry, tend to face the same basic types of challenges again and again. Just as a trainee might learn to do a job by carefully observing everything done by an experienced worker, rapidly improving machine learning algorithms seem likely to eventually figure out how to do a great many jobs.

Last year, a team in Oxford University performed a detailed analysis of over 700 occupations in the United States. They came to the conclusion that jobs constituting a staggering 47% of U.S. employment—well over 60 million jobs—could become automated in a decade or two.

It's important to realize that projections like these do not rely on the stuff of science fiction. Machine learning technology is already in widespread use; it powers Google's language translation service as well as its self-driving cars, the book and movie recommendations made on websites like Amazon and Netflix, and the potential matches suggested by online dating sites.

The idea that smart software will eventually begin to eat any job that consists primarily of tasks that are predicable requires only a fairly simple extrapolation that technology will only get better and better.

Many people remain very skeptical that progress will ever result in a significant unemployment problem. So far, history is on their side. The classic example of technological disruption is the mechanization of agriculture. In the United States, most people once worked on farms. Now the number is roughly 2% of the population. Millions of jobs were lost, and yet we are clearly better off; food is much cheaper and workers moved on to often more fulfilling jobs in other industries. The farm workers of yesteryear were able to transition into a rising manufacturing sector and later into service industries.

But it may be overly optimistic to expect that scenario to play out again in the face of today's technology. Unlike the specialized, mechanical innovations that transformed agriculture, today's information technology is truly general purpose, and it will ultimately bring sophisticated artificial intelligence and robotics capability to every industry and employment sector.

Technology will certainly create new industries, but there is little reason to expect they will need many workers. We can get some idea of how the future is likely to look by examining one of the most successful technology companies. Google, for example, has become enormously influential and achieved a staggering market valuation with a workforce of only about 50,000 people. That's roughly half the number of jobs the U.S. economy needs to create in a single month, just to keep pace with growth in the population.

What about the even more frightening prospect of smart machines destroying or enslaving us? Unlike the prospect for technology to displace many workers, this outcome requires a quantum leap in technological progress. Building a machine that can truly think like a human, conceive new ideas and exhibit self-awareness remains a daunting challenge and likely lies at least decades in the future.

It is entirely possible that accelerating computer power coupled with advances in brain science may eventually result in a true thinking machine. Many researchers believe that such a truly advanced A.I. would be driven to turn its intellectual energies inward, repeatedly improving its own design and making itself even smarter. The result could be an "intelligence explosion" culminating in a silicon-based mind hundreds or even thousands of times more intelligent than any human being. And there is, of course, no guarantee that this new alien intelligence would be especially concerned about the welfare of humanity.

The chance that we'll see a true thinking machine anytime soon is small. Yet, the magnitude of the disruption—and potential threat—that would result is so large that the prospect should not be ignored.

For now, though, the pressing question is: How do we adapt our economy and society to a future in which machines do much of the work now performed by people? Will humans go the way of horses?

@highlight

Martin Ford: Concerns about artificial intelligence should be taken seriously

@highlight

Ford: In the immediate future, the risk that you'll lose your job to a machine is real

@highlight

47% of U.S. employment - well over 60 million jobs - could be automated in coming decades

@highlight

Ford: How do we adapt to an economy where humans' jobs are displaced by machines?