Editor's note: Mark Sawyer is associate professor of African American Studies and Political Science at UCLA and the director of the Center for the Study of Race, Ethnicity and Politics. His published work includes a book, "Racial Politics in Post-Revolutionary Cuba," which received the DuBois Award for the best book by the National Conference of Black Political Scientists and the Ralph Bunche Award from the American Political Science Association.

Mark Sawyer says practitioners of blackface always try to justify it, but the defenses don't ring true.

(CNN) -- Harry Connick Jr. almost got it right when he challenged the doctors who mocked the Jacksons in blackface on an Australian version of "the Gong Show."

The fact is, even Australians know better. It isn't that they did not know that what they were doing was shocking and offensive; they just thought they could get away with it.

"If they turned up looking like that in the United States," he said on the "Hey Hey It's Saturday" television show, "Hey, hey, there's no more show."

In a message posted on his Web site, Connick wrote that "in the American culture, the blackface image is steeped in a negative history and considered offensive." He also wrote, "I do not believe that the performers intended any harm."

Let's put this in context. Australians have their own ugly history of racism against Aborigines. One in which half-white, half-Aborigine children were forcibly taken from their mothers and raised in group homes so they could learn to properly integrate into white society. They know better. There is no cultural context in which blackface minstrelsy is okay or acceptable.

Blackface is one of the most pernicious and painful stereotypes about people of African descent. It is also global. Blackface has appeared everywhere from Mexico to Japan, and it is always ugly, despite what those who put it on claim. The doctors who did the Jackson "tribute" claimed that they were honoring Michael Jackson. They were mocking him, and that is what blackface has always been.

The same applies for those like a responder on the Guardian Web site who suggests that blackface models presented in French Vogue magazine are simply cultural play: "The American cultural imperialists of the Anglosphere are out in force again."

It is neither imperialist or wrong to point out racist imagery, even if done in good fun. In a cruel twist, the commenter takes the victims of racism and imperialism and calls them the perpetrators. But both the photographers and French Vogue are aware of the problems of racism in Europe and the barriers black women face in the fashion industry.

Like old blackface minstrelsy, when you can't find blacks you think are worthy to play the part, you simply blacken up white actors or, in this case, models. The message: Real black people aren't good enough at being themselves.

Whether it is the original white "Amos and Andy" or white fraternity/sorority girls and boys, blackface is always about mocking black skin and presenting stereotypical black behavior. Minstrels always clown around, sing and dance and otherwise dehumanize the individuals they represent.

The blackface itself by whites reduces them to one critical feature: their black skin. And in almost every case, even this one, it's exaggerated. None of the Jacksons are that dark; it is a rank racial caricature. It always has been.

Even in the early days of blackface minstrelsy, those who practiced it did not see themselves as promoting pernicious racial stereotypes and hatred but, like the doctors on the Australian show, honoring fun aspects of African-American culture and being. No one then or now who uses blackface cops to saying, "I intend to dehumanize black people." Everyone has an excuse or an alternative explanation of what it means.

From the frat boys to the Spanish Formula One fans mocking black driver Lewis Hamilton to the soccer fans who throw bananas on a soccer field in Europe just for fun, they all make attempts to excuse the behavior by saying they're personally not racist and they never meant to hurt anyone. The most common response is, they don't understand the reaction.

But they do. Blackface is always designed as comedy, to shock, to mock and to get a few laughs. For a Jackson tribute, one can see the prisoners from a jail in the Philippines dancing to Michael Jackson's "Thriller." Their moving homage didn't need blackface. Jackson's music and dancing were what moved, motivated and captivated them, not his skin color and hair texture.

So whether it's racist caricatures on Mexican stamps or Australian doctors, the signs and symbols of demeaning black people are universal. They transcend continents, cultures and genres. At the same time, so are the denials. The people who traffic in them always have the same set of denials.

They did in late 19th-century and early 20th-century America, and they do now in Australia, Mexico or Spain. They do it because they want to honor black people, they want to take in black culture and expression, and they can't do so without putting on blackface. They also all know it is offensive but think it isn't so offensive that they can't get away with it. They just can't resist race and blackness as the vehicle for comedy.

Research shows that whites in countries like Cuba, Brazil, France and many others often express higher levels of racism against blacks in surveys and experiments that tap unconscious attitudes than in the United States.

The rancor that has surrounded race in the United States -- while not creating a post-racial America -- has at least moved the dial substantially in terms of racial attitudes among whites and made a substantial portion of them more sensitive to the issue.

Though many other countries look down upon the U.S. racial past, they often do so at the expense of asking hard questions about their racial present. The United States is certainly not perfect, but we also have elected a black president and come a long way toward making anti-racism a norm. Such that a white Southern musician recognizes an ugly racial caricature when he sees one.

Harry, as a son of the South, you were both calling it right but also being polite. I applaud you for calling it as it is, but you gave them too much credit for ignorance. They knew they were offending; they just thought, like many others, they could get away with it. Fortunately, they didn't.

The opinions expressed in this commentary are solely those of Mark Sawyer.

@highlight

Mark Sawyer: Harry Connick Jr. was right to condemn Australian use of blackface

@highlight

He says blackface is always demeaning to people of color

@highlight

He says racial attitudes in U.S. are more progressive than in some nations

@highlight

Sawyer: Connick gave Australians too much credit for ignorance of the offense