(CNN) -- Rodents, piles of manure, uncaged birds and flies too numerous to count were found by investigators at Iowa farms at the heart of the recall of more than half a billion eggs, the Food and Drug Administration reported Monday.

Inspection reports released by the FDA noted numerous violations at six farms operated by Wright County Egg and Quality Egg, which are owned by the same family, and three Hillandale Farms locations.

The inspections -- conducted in August, after new egg safety rules went into effect -- were launched in response to the nationwide outbreaks of salmonella that have sickened an estimated 1,470 people, according to the FDA.

Neither company fully adhered to their Salmonella enteritidis prevention plans, the inspectors said.

Federal investigators found salmonella bacteria in chicken feed and in barn and walkway areas at some of the farms, officials said last week.

Monday, health officials detailed plans to launch an inspection program of these and other facilities in the coming weeks.

On a conference call Monday, FDA officials said they had also found salmonella in water used to wash eggs at a Hillandale facility. They said it is not clear whether the eggs were washed in contaminated water or if the water was sullied by the eggs.

"Regarding the positive finding in the egg wash water, it is important to note that after washing, all the eggs are rinsed with water containing chlorine as an additional sanitation step," said Hillandale spokeswoman Julie DeYoung.

At some Wright County Egg facilities, federal inspectors found chicken manure in piles up to eight feet high. In other spots, mounds of manure prevented doors from closing, allowing rodents and other animals to possibly come inside, FDA inspectors said. "The uncaged birds were using the manure [pile] ... to access the egg-laying area."

The report said Quality Egg and Wright County Egg workers did not always wear protective clothing, that birds were in storage and milling facilities, and feed bins had rusted holes and gaps. Inspectors also found maggots, and in some areas, "live and dead flies were too numerous to count."

Inspections at three Hillandale farms found -- among other things -- rodents and rodent holes, liquid manure leaking into a chicken house and uncaged chickens tracking manure from a manure pit into a caged henhouse, the inspectors said.

The Center for Science in the Public Interest, a food safety advocacy group, called the FDA findings "stomach churning."

FDA officials have said new egg safety rules, which took effect in mid-July after the outbreak began, will greatly reduce the possibility of a similar salmonella outbreak.

But the center said the companies didn't properly respond to the rules.

"Both companies involved had been on notice that they needed to meet requirements of the new egg-safety rule for over a year. Instead of finding companies that were ready to meet those requirements, FDA's inspections document companies with long-standing violations and apparently little intention to comply," the center said in a statement. "The decrepit conditions in these henhouses reflect the fact that companies know that FDA inspections are so rare -- even following the adoption of a new safety regulation -- that there is no urgency to fix their buildings and their operations to assure compliance with FDA statutes and regulations."

In a statement, Hillandale said it is committed to addressing all issues raised by the FDA in order to be in "full compliance as soon as possible," so that it can again ship shell eggs.

"We are in the process of responding to the FDA's written report to provide further explanation and clarification of what was observed. Several of the issues had been identified by the facilities prior to FDA's inspection and were already in the process of being addressed during the inspection period. Additionally, some of the issues were immediately corrected as soon as they were identified."

Wright County Egg said "the vast majority" of the concerns identified in the FDA report already have been addressed or are being addressed.

"We anticipate the expeditious completion of nearly all remaining items by mid-September," the company said in a statement.

"To demonstrate our continued commitment to running our farms in the most responsible manner and to ensuring the safety of the eggs we produce, our team has worked around the clock to address concerns that were raised verbally during FDA's inspection, with many of those being fixed as soon as they were identified. ...

"Members of our farm's management team actively participated alongside FDA officials during daily site inspections, and we have carefully documented details of those inspections."

An FDA spokeswoman on Monday said the inspection reports are "merely inspectional observations and [do] not outline any compliance or enforcement actions."

She said there would also be inspections at other companies to enforce the regulations.

"While we cannot disclose a list of inspection targets, ... some factors that we will take into consideration in compiling such a list include the size of the farm, the amount of eggs produced, history of violations and connection to previous outbreaks," said Siobhan DeLancey.

Federal officials pledged Monday to inspect all 600 facilities covered under the new egg rule within the next 15 months.

Hillandale's DeYoung said the company would not respond to specifics in the report. "We have put specific action plans in place to address each issue raised and are implementing those action plans," she said.

DeYoung also said she does not believe Hillandale is being singled out by federal inspectors.

CNN's Caleb Hellerman and Phil Gast contributed to this report

@highlight

Food safety advocacy group calls findings "stomach churning"

@highlight

Hillandale, Wright County Egg say some of the problems have been fixed

@highlight

Inspections find numerous violations at Iowa egg farms, FDA says

@highlight

Inspection reports do not outline compliance or enforcement actions