(CNN) -- I was walking to my study on the campus recently when I came across the annual ritual: Rows of cars were being unloaded by parents bringing their kids to college. There was a whole beehive of young people, with special T-shirts marked "staff," who helped the parents carry the computers, boxes, and other gear. A generation ago, I had to schlep that stuff myself (with the assistance of my bewildered freshman son).

By the time I walked back home in the late afternoon, about half a dozen parents were lingering, chatting with each other, obviously reluctant to leave. They must have skipped the "letting go" event that my university, like many colleges, organizes to make the parting easier -- as one college dean put it, "to take the gas out of the helicopters."

A couple asked me if I was a college professor. They wanted to know if my colleagues and I would notify them if their kid were to get into trouble. They assured me that they had no special concerns about their daughter. However, she had just turned 18, she had never been away from home for any long period of time, and she sometimes can be swept away by peer pressure, they allowed.

The father also wondered whether the parents of other students would be notified if their children showed signs of mental distress, referring to this summer's shooting by a student at a theater in Aurora, Colorado, and to the Virginia Tech massacre in 2007.

I reassured the couple that if I saw a student in trouble I would help, but explained that notifying parents is a surprisingly complicated matter. Help on the campus is readily available. My university, like most others, has elaborate psychological counseling services, medical clinics, and, of course, a police department. Beyond that, it has a "care network," whose staff members "connect the dots" of information about students from a variety of sources -- including concerned fellow students, staff, and faculty -- and when need be, reach out to troubled students.

But calling the parents of a student -- like so much in our lives -- runs into laws, regulations, and, yes, lawsuits. In 1974, Congress passed the Family Educational Rights and Privacy Act . It was enacted to protect students' records by requiring colleges to get written permission from students to share information about them with others, parents included.

Most colleges understood the law as posing a blanket ban on notifying parents, although lawyers found some loopholes; they argued that maybe a professor could share "personal observations." The Higher Education Amendment, passed by Congress in 1998, allowed colleges to share information about students under the age of 21 with their parents in certain cases, including the violation of policies regarding drugs and alcohol.

Following this amendment, many colleges started to notify parents, a change in policy that according to some research had beneficial effects. For instance, one study found that more than half (52%) of the colleges that increased parental notification saw a decrease in alcohol violations. (Critics argue that the main effect of such changes was to make the students more discreet when they abused alcohol.)

The law (by some interpretations at least) limits the disclosure of information to parents who pay the bill for college. My university, for instance, will provide some information to a parent who submits a tax return in which they list the student as a dependent, a return that has to be resubmitted each year.

The sociologist in me holds that family bonds do not suddenly end when a youngster goes to college, that the transition from being a kid at home to an adult on one's own should be a gradual one, and that students need their families' support. Colleges should nurture these bonds -- and benefit from them in promoting good conduct -- whether or not Mom and Pop pay.

As one student told me: "The legal firewall between universities and parents is unnecessarily strict. College life is a period of growth, and the university system does not always provide adequate guidance toward that end. Parents conintue to play a major role and should be encouraged, not dissuaded from doing so. Those students hoping to keep their affairs secret will just have to learn better discretion, which is in itself an important life skill for those hoping to hold on to their privacy in the modern world."

At the same time, I realize that some families are dysfunctional, and some students may have reasons to fear that the parents will yank them out of school (or at least stop paying) if they get less than an A average. Others may load students with so much guilt, or such heavy demands to respect the family legacy, that a student may yield to family pressures and major in law instead of, say, in music.

Hence, it seems that a good way to sustain family bonds while protecting students from undue pressure is to allow the students, as my university does, to indicate from Day One which family members should be contacted. These may be grandparents, older siblings, or a stepmother or father.

Families may have to hover less, but that doesn't mean students ought to be out of sight. The family's continued involvement is a major resource in helping students mature, even if they are no longer minors, as long as colleges also provide ways of protecting students from excessively intrusive parents. This is why the form that allows students to change their designated family contact is so useful.

An assistant dean who is called in the middle of the night because a parent is concerned about Junior's grades, or a parent who loads a student's e-mail with endless suggestions, should be free to work out with the student a change in the approved family contact form. Colleges need to nurture family bonds but cut the hovering.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Federal laws limit colleges' ability to inform parents how their children are doing

@highlight

Amitai Etzioni: Parents wonder about grades, how they'll know if a student gets in trouble

@highlight

Etzioni says policies vary, but it makes sense to keep parents informed about their kids

@highlight

He says colleges should also be wary of parents who hover too much