For such a small country -- it ranks 109th in the world for total area, right behind Iceland -- South Korea sure is in the news a lot.

Occasionally that news is grim -- something to do with a troublesome cousin across the border.

Sometimes it's pure mainstream pop -- a bunch of cute singers taking down Lady Gaga on the world stage.

Sometimes it's just plain astonishing -- no one throws out the first pitch at a baseball game with as much panache as South Koreans.

From the weird to the wonderful to sci-fi stuff from a Samsung galaxy far, far away, here are things South Korea pulls off more spectacularly than anywhere else.

More: 40 most beautiful places in South Korea

1. Wired culture

Want to see what the future looks like?

Book a ticket to the country with a worldwide high 82.7% Internet penetration and where 78.5% of the entire population is on smartphones (as of 2013).

Among 18 to 24 year olds, smartphone penetration is 97.7%.

While they're chatting away on emoticon-ridden messenger apps such as Naver Line or Kakao Talk, South Koreans also use their smartphones to pay at shops, watch TV (not Youtube but real-time channels) on the subway and scan QR codes at the world's first virtual supermarket.

Hyundai plans on rolling out a car that starts with your smartphone in 2015.

Samsung in the meantime has been designing a curved phone.

Crazy displays of technology already in place but not yet distributed can be seen (by appointment) at T.um, Korea's largest telecom company SK Telecom's future technology museum.

T.um, Jung-gu, Euljiro 2-ga 11, Seoul; +82 2 6100 0601

More: 50 reasons why Seoul is the world's greatest city

2. Whipping out the plastic

South Koreans became the world's top users of credit cards two years ago, according to data from the Bank of Korea.

While Americans made 77.9 credit card transactions per person in 2011 and Canadians made 89.6, South Koreans made 129.7.

It's technically illegal for any merchant in the country to refuse credit cards, no matter how low the price, and all cabs have credit card machines.

All that flying plastic makes Seoul one of our top shopping cities in the world.

More: 10 things Italy does better than anywhere else

3. Workaholics

South Koreans are so used to studying -- the country has the highest education level in Organization for Economic Co-operation and Development (OECD) countries, with 98% of the population completing secondary education and 63% with a college education -- they can't get out of the habit once they reach the work force.

According to this quirky map from thedoghousediaries, Brazil sets the standard for FIFA World Cup titles and North Korea leads in "censorship," but South Korea takes the crown for workaholics.

You can see it in any Korean city, where lights in buildings blaze into the late hours as workers slave away.

According to 2012 data from South Korea's Ministry of Strategy and Finance, South Koreans work 44.6 hours per week, compared with the OECD average of 32.8.

And according to a study released in August 2014, along with Tokyo residents, Seoulites get the least amount of sleep of any residents of major cities in the world, just less than six hours a night.

More: 10 things the U.S. does better than anywhere else

4. Business boozing

When they're not working, Koreans are celebrating their latest deals or drowning their sorrows in soju.

While many leading companies are trying to curb the working/drinking culture, there are still plenty of bosses who drag their teams out for way too many rounds of soju/beer/whiskey "bombs."

More: Business traveler's guide to surviving a Korean drinking session

Those who opt out are considered rude or hopelessly boring.

Yes, Japan and a few other countries can stake reasonable claims to this title, but South Korea has stats to back up the barroom brag.

Jinro soju was the world's best-selling liquor last year, for the eleventh year in a row, with its home country accounting for most of the sales.

The South Korean distilled rice liquor manufacturer outsold Smirnoff vodka, which came in second by 37.48 million cases.

More: 50 beautiful places to visit in South Korea

Innovative cosmetics

When it comes to makeup and cosmetics, South Koreans can't stop experimenting with ingredients or methods of application.

Snail creams (moisturizers made from snail guts) are so 2011.

Now it's all about Korean ingredients such as Innisfree's Jeju Island volcanic clay mask and fermented soybean moisturizer.

At VDL, Korea's latest trendy cosmetics line, products change monthly.

Right now, they're pushing "hair shockers" -- neon tints for hair -- and nail polish with real flowers in it.

Just as Korean men are less wary of going under the plastic surgery knife (see point 10) than their foreign counterparts, they also snap up skincare products and, yes, even makeup, namely foundation in the form of BB cream.

South Korea is by far the largest market for men's cosmetics, with Korean men buying a quarter of the world's men's cosmetics -- around $900 million a year, according to Euromonitor.

More: Complete Korean cosmetics shopping guide

6. Female golfers

The Economist posed a million-dollar question in 2013.

"Why are Korean women so good at golf?"

The rankings were staggering.

Of the top 100 female golfers in the world, 38 were Korean.

Of the current top 25, 9 are Korean (10 if you count Seoul-born Lydia Ko, who calls New Zealand home).

Inbee Park, 25, is the second-ranked player in women's golf and was the youngest player to win the U.S. Women's Open.

In January, Ko, 14, set the record for the youngest woman to ever win a professional golf tournament.

Chalk it up to crazy Korean competitiveness or to the Tiger Mom/Dad theory (golfer Se-Ri Pak's father is infamous for making her sleep alone in a cemetery every night to steel her nerves), but the phenomenon certainly begs study.

Widely thought to be a response to Korean domination of the sport, the U.S.-based LPGA passed a requirement in 2008 mandating that its members must learn to speak English, or face suspension.

7. Starcraft

One country's hopeless nerds are among another's highest earning celebrities.

Starcraft is actually a legitimate career in South Korea, with pro gamers raking in hundreds of thousands of dollars in earnings in addition to endorsements.

Since the game launched in 1998, nearly half of all games have been sold in South Korea, where boys, girls, men and women drop by for a night of gaming in giant video game parlors.

There are cable channels devoted solely to the games, and the culture has led to approximately 14% of Koreans between ages 9 and 12 suffering from Internet addiction, according to the National Information Agency.

To try to crack down, the government passed a ban dubbed the "shutdown law" or "Cinderella law" two years ago, prohibiting anyone 16 and younger from game websites. The ban has been widely ignored.

More: How to be a Seoul local: 10 tips on faking it

8. Flight attendants

Flight attendants from airlines around the world come to Korean airlines' training centers to learn proper airborne charm.

Ask anyone who's ever flown a Korean airline and dare them to say the service isn't the best they've ever had.

It's not just the sweet smiles that greet every little request, but the almost comical looks of suicidal despair when they somehow run out of bibimbap in the row before yours.

More: 10 things India does better than anywhere else

9. Blind dates

"When's your next sogeting (blind date)?"

That's one of the most frequently asked questions of any Korean single.

The standard answer is the epic horror story that was the last blind date, often involving a crippling Oedipus complex or intolerable physical flaw.

Followed immediately by a chirpy, "Why, do you know someone you can set me up with?"

Due to the high volume of blind dates, when Korean make up their minds, they move quickly.

According to data compiled by South Korea's largest matchmaking company, Duo, the average length of time of a relationship from the (blind) first date to marriage is approximately 10.2 months for working people, with an average of 62 dates per couple.

In a survey conducted by Duo, working singles interested in marriage say they typically go on two blind dates a week.

They should know. Of the top four matchmaking companies in Korea (there are 2,500 companies in the country), Duo has a 63.2% marketshare.

More: The real Gangnam Style: Beauty Belt, wedding town, 24-hour culture

10. Plastic surgery

Whether it's a lantern jaw, wide forehead or long teeth, there's no feature doctors can't beautify in the Asian capital for cosmetic surgery.

Russians, Chinese, Mongolians and Japanese flock to South Korea on plastic surgery "medical tours," not only for the skill of the surgeons, but for the good deals.

"An average -- not excellent -- face-lift in the United States will set you back about $10,000," Seoul National University Hospital plastic surgeon Kwon Seung-taik told CNN. "But in Korea you can get the same service for $2,000 or $3,000."

@highlight

Crazy competitiveness leads to surprising superlatives

@highlight

South Koreans are devoted to cramming for tests, overworking, drinking and Starcraft

@highlight

It's a plastic surgery mecca

@highlight

Most made-up men? You'll find them in South Korea