Los Angeles, California (CNN) -- I mentor a student who is a senior in a low-performing high school. About 50 percent of the students at his school drop out, while less than 25 percent go to college. His parents didn't graduate from high school, and his father earns about $14,000 a year. His grade point average is good enough to qualify him for admission at a few University of California schools.

His parents clearly cannot afford to pay his way, so how much debt should he incur to get a college education? And how many tax dollars should go toward supporting that education?

Such questions were on the minds of the thousands of students who demonstrated last week against cuts in public education funding in California. As the state government has struggled to balance its budget -- it faces a shortfall of $20 billion over the next 18 months after having cut an even greater amount in the past two years -- student fees have continued to rise.

Last fall, U.C. regents approved a 32 percent fee increase for incoming UC freshmen. Tuition will be more than $10,000 next year. The cost of an education at a California State University campus or a community college has also jumped significantly.

The protesting students believe these budget-balancing attempts have harmed public education and made it even more difficult for students such as the one I mentor to get an education.

I'm not so sure.

Fifty years ago, when its coffers were flush, California devised a master plan for higher education that made it possible for anyone who wanted a college degree to obtain one, mostly at taxpayer expense. The assumption was that a college degree was not only beneficial for the individual who earned it (better job prospects) but also for the state that subsidized it (an educated work force that would ensure economic growth).

Fifty years later, the state is broke. Costs to operate California's higher education system have sharply risen. Some critics say this is because university and college administrations are too bloated and enjoy too many perks. Others, including last week's student protesters, aim their ire at the legislature and governor for not being more supportive of students and faculty.

What no one seems to accept, however, is that the whole system is broken. California's taxpayers don't want to pay higher taxes.

In the face of less revenue, the legislature will continue to cut the higher-education budget where it can. The result: declining enrollments, fewer class offerings, teacher furloughs, staff layoffs and a decline in quality.

California's higher-education crisis comes at a critical juncture in its history.

President Obama has repeatedly remarked that the United States is no longer among the top industrialized nations in terms of college participation and graduation rates. To reverse the decline, he says the country needs to add 1 million more college graduates a year. For California, that translates into graduating about 100,000 more students a year over the next 10 years. But its public education system is projecting a 300,000-student cutback because of all the budget cuts.

So, how can California contribute its share of adding to the number of college graduates? If voters continue to resist higher taxes, then students fees and tuition will have to continue to go up.

Raising fees to match the real price of a U.C. or Cal State education is not necessarily bad if individuals who cannot afford to pay for college receive grants and loans.

Anyone who gains a college degree should be willing to accept some debt load, but not so much that he or she is forever burdened. The student I mentor will still get grants to attend a U.C. institution, but his loans are also going to increase. He is hesitant, but willing, to accept those debts. But how much more should he have to accept?

What seems crazy, however, is keeping the cost of college below market cost. That, in effect, gives discounts to those individuals who can afford to pay.

Most individuals, for example, assume that U.C. Berkeley and Stanford are equivalent institutions but the cost of tuition, room and board this year is roughly $25,000 at Berkeley and $50,000 at Stanford. Why should someone who can afford the cost of Stanford get a price reduction for going to school at Berkeley?

Californians can't have it both ways. If they want a system that effectively subsidizes a free college education for all who qualify for one, it needs a tax structure that pays for it.

If voters are unwilling to raise taxes, then those who can afford to pay for college should, and scarce tax dollars should go to those who would otherwise will be blocked from attending.

The student I mentor should receive financial help to attend college, and he will benefit from having a college education because he will earn higher earnings. The state will also benefit because he will pay higher taxes. That is a master plan for the 21st century.

The opinions expressed in this commentary are solely those of William G. Tierney.

@highlight

Students have protested increases in public university tuition fees

@highlight

William Tierney says taxpayers are balking at paying more to finance colleges

@highlight

He says that means more affluent students will have to pay more

@highlight

Why should fees for well-off students be so much lower at Berkeley than at Stanford?