Two days ago we heard that Dr. Sheik Umar Khan, a leading doctor from Sierra Leone specializing in viral hemorrhagic fever (VHF), had died aged 39. He contracted the Ebola virus while treating more than 100 patients and was called a "national hero" by the government.

Khan's sickness added to fear and vulnerability felt by many doctors and nurses treating Ebola patients. They reasoned "if even Dr. Khan can get sick, then any of us can."

Sierra Leone's health facilities were struggling to cope even before this outbreak.

The country has a major shortage of doctors, nurses and infrastructure, meaning we're all working in challenging circumstances. Tracing people who have had contact with Ebola sufferers is very difficult, and made more challenging by poor roads and overcrowded housing.

Amongst the wider Sierra Leone population we've seen a lot of mistrust -- many people believe that Ebola is a government myth created to steal their organs or money.

Others believe that if they go to hospital they will be killed. So many hide at home and are cared for by relatives -- who then get sick themselves.  Some patients have escaped from hospitals with relatives' help.

During this crisis, the King's team have all faced difficult questions. The most fundamental being whether our organization should be involved in the Ebola response at all.

Our work at Connaught Hospital in Freetown was not hands-on clinical care but consulting on how to strengthen the health system over the long term.

Although our small team is highly qualified, we didn't really have the funding or equipment to deal with such an outbreak.

But after team discussions and with senior colleagues back at King's in London we decided that as an organization we had a duty to respond and that we had the capacity to do so safely and effectively.

All our staff are volunteers and this isn't what they originally signed up for -- so we gave them the option to withdraw from clinical activities if they wanted to.

We were, however, fortunate to have Dr. Colin Brown on hand -- our infectious diseases adviser in the UK, who has experience with viral hemorrhagic fever.

Rumors and misinformation

Within hours of the first National Ebola Taskforce meeting in Sierra Leone, the King's team was invited to join the response, advising Connaught Hospital on how to develop a preparedness plan, identify cases, set up isolation units, protect staff and dispose of medical waste.

These guidelines were held up as a model for other hospitals, and we continue to act as advisers to the Health Ministry, along with groups such as Medicines Sans Frontieres, Emergency Hospital and the World Health Organization.

As the King's team ran urgent training for nursing and medical staff at Connaught, suspected cases began to emerge. Rumors and misinformation were rife with a nurse having been one of the first victims. The fear amongst hospital staff was palpable.

We found ourselves amongst the first responders, alongside heroic Connaught colleagues such as Sister Cecilia (Sister-in-Charge of A&E) and Dr. Modupe Cole (Consultant Physician) who did not hesitate to step forward and manage the response.

Staff worked into the night to set up an expanded isolation unit and now work to provide treatment and take blood specimens. It is sweaty and exhausting work, scrubbing floors with bleach in full gowns, masks and protective clothing in the intense rainy season heat.

We immediately isolate anyone who shows symptoms. They sometimes have to wait three to four days for the lab results. About a quarter of the patients who have been isolated have died at Connaught, meaning most recover or are referred for treatment elsewhere.

Most health workers are still coming to work, but almost everyone is afraid. We're all aware of how much is at stake. We ask ourselves -- are we acting beyond our competency and putting ourselves at risk?

Ebola is the main conversation, in government, the media and on the street. People are now starting to truly understand the scale of risk. Businesses have buckets of chlorine at the doorstep, people wear gloves and have stopped shaking hands.

The population is not yet panicking though. The people of Sierra Leone have been through many challenges over the years, from war to cholera, and they remain resolute.

There's no doubt that it's going to be an intense and exhausting next few months for medical staff as the outbreak continues.

But, after some initial nerves, they are working together, gaining experience and confidence to help Sierra Leone to fight its latest, life-threatening challenge.

@highlight

Two days ago one of Sierra Leone's leading doctors died after contracting Ebola

@highlight

Dr. Oliver Johnson of Kings College London went to Sierra Leone before the outbreak

@highlight

His team has now become part of the response effort, but he says staff faced a dilemma

@highlight

Sierra Leone's health system was struggling before the outbreak and lives are at stake