Republicans launched a blistering attack Friday on the health care reform law upheld by the Supreme Court, seeking to rally their base's opposition to the measure to bolster their fortunes in the November election.

Using the court's finding that the centerpiece of the law -- the individual mandate -- amounted to a legal exercise of congressional taxing power, GOP leaders accused President Barack Obama and Democrats of deceiving the nation about the Affordable Care Act during debate on the measure in 2009 and 2010.

Senate Republican leader Mitch McConnell of Kentucky led the charge, saying Democrats used a "deeply dishonest sales pitch" to overcome public opposition to the measure back then.

"Nearly every day since then, the promises that formed the heart of that sales pitch have been exposed for the false promises they were," McConnell said on the Senate floor, adding that the Supreme Court decision Thursday provided "powerful confirmation of what may have been the biggest deception of all."

He urged Democrats to stop "trying to defend the indefensible" and join with Republicans to repeal the health care law.

Health care ruling gives GOP new attack line

Meanwhile, Rep. Michele Bachmann, R-Minnesota, a tea party favorite and leading opponent of health care reform, said she and congressional colleagues were sending a letter to state officials urging them not to implement the health care bill until after the November vote.

"All across job creator boardrooms today, decisions are being made by millions of employers to drop the employer covered health insurance," Bachmann claimed Friday on CNN. "That's why we're telling the states just stop, take a breath, because we're going to turn the economy around after November."

The polarizing law is the signature legislation of Obama's time in office, and opposition to it helped spur the creation of the conservative tea party movement.

Friday's rhetoric by McConnell and other Republicans reflected their shock and anger at the high court decision, which rejected the challenges of opponents who contended the health care law was unconstitutional.

Breaking down the court's decision

In a 5-4 ruling, the court decided the individual mandate requiring people to have health insurance was valid as a tax, even though it was impermissible under the Constitution's Commerce Clause.

The most anticipated Supreme Court ruling in years allows the government to continue implementing the health care law, which doesn't take full effect until 2014. That means popular provisions that prohibit insurers from denying coverage for pre-existing medical conditions and allow parents to keep their children on family policies to the age of 26 will continue.

Opinion: Chief Justice Roberts: The decider

However, Republican opponents of the law's expansion of government vowed to continue fighting to repeal it, with certain presidential nominee Mitt Romney saying that defeating Obama in November is the only way to meet that goal.

Both presidential campaigns are citing fundraising spikes after the Supreme Court's decision.

Romney's organization said Friday that it had raised $4.6 million online, and Obama's operation, while not revealing specific numbers, said it had surpassed that total.

The individual mandate is the linchpin of the health care law signed by Obama in 2010 after an epic brawl in Congress in which no Republicans supported the measure.

Obama has denied that the mandate is a tax, including in a 2009 interview with ABC in which he compared it to state requirements that motorists carry auto insurance.

"Nobody considers that a tax increase," Obama said then. "People say to themselves, 'that is a fair way to make sure that if you hit my car, that I'm not covering all the costs.' "

At least 4 million people are expected to pay a penalty for not having health insurance when the rule takes full effect in 2016, bringing in about $54 billion to help offset the $1.7 trillion, 10-year cost of the act, according to the nonpartisan Congressional Budget Office.

It's one of several revenue-raising provisions in the health care law, according to Lawrence Jacobs, a University of Minnesota political scientist and co-author of a 2010 book on the health care battle.

Who's going to treat you?

Under the health care law when it is fully implemented in coming years, most Americans will be covered by employee health plans, either their own or that of a head of household, or by existing government programs such as Medicare, Medicaid or veterans' benefits, Jacobs noted.

Of the roughly 6% of the population remaining, a large portion of those will be exempted from the mandate because of poverty, religious beliefs or other reasons, he said.

White House spokesman Jay Carney said Friday that the fine for failing to have health insurance once the law is fully implemented is "a penalty, because you have a choice" of whether to obtain it.

"If you don't buy it, and you can afford it, it is an irresponsible thing to do to ask the rest of America's taxpayers to pay for your care when you go to the emergency room," Carney said. "So your choice is to purchase health (insurance), or a penalty will be administered."

By the numbers: Health insurance

Bachmann's allegation that the health care law would lead to fewer U.S. jobs was challenged on CNN by Democratic Gov. Jack Markell of Delaware.

"If they're not hiring, it's because they don't have demand," Markell said. "What they care most about when they're deciding whether to hire is where do they have access to the greatest work force. I mean, these charges are just ridiculous."

Democrats also noted that Romney, as governor of Massachusetts, implemented an individual mandate similar to the concept in the federal law.

Romney contends that the Massachusetts law was tailored to the state's needs and that such a solution was improper at the federal level. He called the law known as Obamacare bad policy and a bad law on the federal level.

That didn't stop Democratic Rep. Steve Israel of New York from noting on CNN that Romney "actually defended what he called a penalty" during his term as Massachusetts governor.

"Not my words, Mitt Romney's words, were the free riders -- who chose not to get health insurance but shift those costs onto society -- need to pay their fair share," Israel said. "I didn't call them free riders. Mitt Romney did."

In Thursday's majority opinion, Chief Justice John Roberts wrote that "the federal government does not have the power to order people to buy health insurance. ... The federal government does have the power to impose a tax on those without health insurance."

Roberts joined the high court's liberal wing -- Justices Stephen Breyer, Ruth Bader Ginsburg, Sonia Sotomayor and Elena Kagan -- in upholding the law.

Read the ruling (PDF)

Four conservative justices -- Samuel Alito, Antonin Scalia, Anthony Kennedy and Clarence Thomas -- dissented.

"To say that the individual mandate merely imposes a tax is not to interpret the statute but to rewrite it," the dissenting justices wrote in their opinion. "Imposing a tax through judicial legislation inverts the constitutional scheme, and places the power to tax in the branch of government least accountable to the citizenry."

How the court voted

An NBC News/Wall Street Journal poll released Tuesday indicated that 37% of Americans would have been pleased if the law had been found unconstitutional, compared with 28% who would have been pleased if it had been found constitutional. And the poll of 1,000 U.S. adults found that nearly four in 10 surveyed would have "mixed feelings" had the justices struck down the whole law.

Obama, in televised remarks, called Thursday's Supreme Court ruling a victory for the nation.

He used the focus on the issue to spell out the benefits of the law that remains unpopular with many Americans. The principle upheld by the high court's ruling is that no American should go bankrupt because of illness, the president said.

"I know the debate over this law has been divisive," Obama said. "It should be pretty clear that I didn't do this because it was good politics. I did it because I believe it is good for the country."

He said the country can't afford "to refight the political battle of two years ago or go back to the way things were."

House Democratic leader Nancy Pelosi of California, who helped push through the law when she was House speaker, cited the late Sen. Edward Kennedy of Massachusetts, a longtime proponent of health care reform who died before the bill became law.

"Now he can rest in peace," she said, echoing what she'd earlier told Kennedy's widow by phone.

In his opinion, Roberts appeared to note the political divisions, writing that "we do not consider whether the act embodies sound policies."

"That judgment is entrusted to the nation's elected leaders," the opinion said. "We ask only whether Congress has the power under the Constitution to enact the challenged provisions."

The narrow focus of the ruling on key issues such as the individual mandate -- limiting it to taxing powers rather than general commerce -- represented the court's effort to limit the government's authority.

"The framers created a federal government of limited powers and assigned to this court the duty of enforcing those limits," Roberts wrote. "The court does so today."

In another part of Thursday's decision, the high court ruled that a part of the law involving Medicaid must change.

The law calls for an expansion of eligibility for Medicaid, which involves spending by the federal government and the states, and threatens to remove existing Medicaid funding from states that don't participate in the expansion. Thursday's ruling said the government must remove that threat.

@highlight

White House says health care fine for lacking insurance is not a tax

@highlight

Opponents target the health care law after the Supreme Court upholds it

@highlight

Sen. Mitch McConnell says President Obama deceived the nation about the law

@highlight

Democrats note that Mitt Romney backed the concept as Massachusetts governor