(CNN)About 15 years ago, I was doing research on inheritance laws in Malawi and their impact on women.

Part of my research methodology was to engage in focus group discussions with women in village settings. In order to do this in any village in Malawi, one has to seek permission from the village chief.

And so I did. The chief told me to come back the next day so that he can have time to mobilize the women, as well as give them proper notice of the proposed discussion.

When I came back the next day, the "women" had indeed gathered waiting for me. However I noticed that the "women" were not women, as such. They were... kids. Teenage girls.

I said to the chief "I was hoping to talk to women and not to kids or girls, as I don't think they would understand much about inheritance." His response was, "but these are our women; look, they have babies with them and they are all married."

I was shocked. Then it dawned on me, "aah, girl-child marriages." After asking, I found the girls' ages ranged from 13 to 18, with two being 24.

This then spurred me into action and it was the beginning of a decade-plus journey of understanding girl-child marriages in my country and fighting for the practice to end.

What I found out was disheartening as the statistics came in. I was horrified to learn that Malawi has one of the highest rates of child marriage in the world. It is ranked eighth of the 20 countries that are considered to have the highest rates of child marriage by the U.N. Population Fund.

On average, one out of two girls in Malawi will be married by their 18th birthday, according to the United Nations. In 2010, half of the women (50%) aged 20--24 years were married or in a union before age 18 (compared to 6.4%of boys), while 12% of women married before they were 15 compared to only 1.2% of men. Child marriage is in both rural and urban areas. It is also higher than the regional average for sub-Saharan Africa (37%).

'Law, save the girls!'

Being a lawyer, I looked to the law. "My hero the law, save the girls," I thought! Yet, I soon found out that this was a complex story.

The Constitution of Malawi, which is the supreme law of the land from whom all legal authority is derived, has provided for some measures of protection for all children. However the same Constitution defines children as those aged 16 and below. The United Nations defines children as those aged 18 and below and so to that extent the Constitution does not comply with international standards on definitions of childhood.

The Constitution also allows marriages of persons aged 18 and below and it does not have a cut-off point where marriage is actually prohibited.

This means for all intents and purposes, the Constitution of the Republic of Malawi allows child marriages. Alas the law had failed me!

False hope?

But there was hope in the air. In February, Malawi's parliament passed the Marriage, Divorce & Family Relations Bill of 2015 into law.

This law was born amid the outcry against girl-child marriage, as the country had realized the dangers of girl-child marriage.

Save for a few areas, it is a very progressive piece of legislation, particularly from a women's rights perspective. Among other things, the law prohibits marriage for anybody below the age of 18.

So, does it mean that the Constitutional provisions fall away? The spanner in the works is that since the Constitution allows marriage below the age of 18, the new law to the extent that it prohibits child marriage is invalid.

So whilst many have celebrated the new law, I haven't, as girls remain shackled by a Constitutional provision that basically allows child marriage. So until the Constitution changes and recognizes children as those aged 18 and above, and therefore puts marriage age at 18 giving many girls the opportunity to go to school and get educated, I will remain sad as I was 15 years ago.

'Guarantee for poverty'

I will remain sad because I know the cost of child marriage. It deprives girls of education and undermines their self-confidence and self-identity. It also makes them prone to physical and emotional abuse by their so called husbands.

Further to this, girl-child marriage inevitably means early parentage and higher risks of maternal mortality. As if this is not enough, studies have shown  that girl-child marriage is a risk factor in the transmission of HIV and other sexually transmitted infections, as young wives do not have much bargaining power to negotiate safe sex with older men.

Girl-child marriages need to be prohibited tough the Constitution because they are a violation of every conceivable human right including the right to life, health, education, human dignity and development.

What I know for sure child marriage is a guarantee for poverty among girls in my country and I want it to end. No ifs or buts.

More from African Voices

More from Opinions

The views expressed in this commentary are solely those of Seodi White.

@highlight

50% of girls in Malawi will be married by the time they turn 18

@highlight

Studies show the practice increases the risks of childbirth for both mother and infant

@highlight

New laws preventing child marriage are still overruled by Malawi's Constitution