You've been told for years that popping a multivitamin every day might help you live longer. But the daily multi habit has been getting a bit of bad press lately.

Vitamins can help provide key nutrients for individuals whose diets are low on fruits and veggies.

First, ConsumerLab.com, a watchdog of the supplement industry, found that more than half of the 21 multis it tested had too much (or too little) of certain vitamins -- or had been contaminated with dangerous substances such as lead. Then a controversial paper from researchers in Denmark and other European countries, published in the Journal of the American Medical Association, made the claim that taking vitamins may actually shorten your life.

What's the real story? Health talked to leading nutrition experts at Harvard and Tufts universities to find out and to get some answers on this and other confusing info about vitamins.

Are multivitamins safe?

Vitamins have been recommended for years because they help you get key nutrients if your diet's low on fruits and veggies -- and may even help prevent cancer and heart disease. And it's unlikely that one critical paper (speculating that vitamin supplements might upset your body's natural healing process and boost your risk of death) will change that. Health.com: Your vitamin cheat sheet

Longtime vitamin experts at Tufts University and the Linus Pauling Institute at Oregon State University continue to say multis aren't dangerous and the paper's findings are wrong. The paper analyzed previous studies, including many with people who were sick before taking vitamins, so there's a good chance vitamins weren't responsible for shortening their lives. Experts say the paper also ignored two major studies that found vitamins reduced the risk of death.

At the same time, the study from ConsumerLab.com shows that you can't assume just any vitamin is safe. Because there are no uniform manufacturing rules for supplements, a multi may not contain what the bottle claims, could be contaminated with something from the manufacturing plant, or might have tainted ingredients. Health.com: 20 antioxidant powerhouses

Your best bet: Avoid the vitamins singled out by ConsumerLab.com, and stick with mainstream names such as Centrum Silver and One-A-Day Women's, which were found to be free of impurities and accurately labeled. Also, check vitamin bottles for the United States Pharmacopoeia (USP), NSF International (NSF), or ConsumerLab.com (CL) seals. The USP and NSF are nonprofit groups that verify whether companies offer contamination-free products and use good manufacturing practices. Not every brand has the seals -- some don't want to submit to testing--but those that do (Kirkland and Nature Made carry the USP seal, for instance) are reliable.

How much should I spend to get the biggest benefits?

Price isn't a sign of quality. In fact, some of the priciest vitamins -- like The Greatest Vitamin in the World and Eniva Vibe, which cost more than $39.95 per bottle -- failed the Consumer Lab.com tests. A mainstream brand such as One-A-Day Women's is $8.99 for a bottle of 100 tablets at drugstore.com, about 9 cents per day.

How do I find the right multi for me?

In your childbearing years, make sure your multi has 400 micrograms (mcg) of folic acid, which helps make and maintain new cells. And pregnant women should take a vitamin with 600 mcg of folic acid daily; this nutrient also reduces the incidence of neural tube birth defects such as spina bifida.

A premenopausal woman should look for a multivitamin with iron to replace the iron lost during menstruation. Menopausal women should go without the iron. "Too much iron may raise the risk of heart disease," says Meir Stampfer, Ph.D., professor of nutrition and epidemiology at Harvard School of Public Health. Health.com: A new way to "pop" your vitamins

If you're taking a prescription, check with your doctor about risky interactions. (Vitamin E, for instance, may be a problem if you're taking a blood thinner.) If you're a cancer patient, you should ask your doctor about risks before taking vitamins. "Cancer cells need vitamins to grow, too," Stampfer says. Plus, some vitamins can interfere with chemotherapy.

What's the best way to avoid that queasy feeling after taking a multi?

"Consider switching brands," Stampfer suggests. Trial and error is the best way to determine which brands won't break down poorly in your stomach and lead to irritation. Also, take your multi with food because your body needs some fat (or lipids) to absorb some of the individual vitamins. The delivery method (pill, liquid, gummy bear) makes no difference. But vitamins in liquid form may degrade more quickly on the shelf.

How much of each vitamin should my multi have?

The amount per serving numbers on the label should match the government's Dietary Reference Intakes (DRI). It's OK if they're higher as long as they don't exceed the tolerable upper limit (UL). (To find the DRIs and ULs, go to Health.com/links.) While most vitamins are listed in milligrams (mg) or micrograms (mcg), the label may use IUs (international units) for vitamins A, D, and E. The DRIs are 2,300 IUs for vitamin A, 200 for D, and 22 for E. What about the label's % Daily Value column? Look at it with a skeptical eye: Those numbers haven't been updated since 1968. E-mail to a friend

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Stick with mainstream names found to be free of impurities,  accurately labeled

@highlight

Price isn't a sign of quality

@highlight

Premenopausal women should take  multivitamin with iron

@highlight

Check with your doctor about risky interactions with prescription drugs