Chongqing, China (CNN) -- I glimpse the sprawling hotel from a distance, nestled into the lush hills on the outskirts of Chongqing. The air is fresher here, the temperature several degrees cooler than the sprawling metropolis of more than 30 million people below.

In its heyday this was a high-end resort area but as we drive along the windy road towards it, I can see it is well past its prime. There are rundown buildings, dogs sprawl on the concrete and the smattering of restaurants, massage centers and karaoke bars clearly haven't had a facelift in decades.

Last November, Neil Heywood, a British businessman with seemingly rare access to the rich and powerful in China, took this same journey. He would never return. His body was found in the Nanshan Lijing Holiday hotel, now the scene of a murder investigation.

China enters internet 'battlefield' over Bo

Heywood is at the center of one of the most extraordinary, mysterious and scandalous stories in recent Chinese history. His death is the vital link in a chain of events that has seen a man once touted as a potential President of China purged from the Communist Party leadership, his wife investigated for murder, and his deputy in custody after he sought asylum at a United States Consulate.

And it all started here, in this grimy, dilapidated hotel; a hotel my crew and I have now checked into.

Other TV crews have been turned away at the gate, the traditional hand over the camera shot, but we've managed to find rooms. With key in hand I'm walking in the footsteps of Heywood.

China promises thorough investigation into Bo scandal

It is a musty hotel corridor. There is a stale smell of damp carpet mixed with years of stale cigarette smoke. It's hardly the type of salubrious establishment befitting Heywood's high flying image.

When I open the door -- the lock itself was jammed and took several tries -- the room is hardly an improvement. The furnishings are old and chipped -- a faded, flimsy lounge and a double bed with a garish purple and white vinyl bed head.

There is a bug fighting for its life on the floor, skirting boards are busted and power points dislodged from the walls with exposed electrical wires.

The air conditioning switch is old and faded yellow. When I switch it on the fan splutters before rattling to life. This is a hotel that has seen better days.

The only decorations here are faded plastic flowers, and appropriately for this story, a jigsaw puzzle on the wall.

At night mini-skirted call girls can be seen in the corridors furtively knocking on doors.

I am reminded over and over again of how this seems such an unlikely setting for a baffling story that has captivated the country and thrown open the secretive doors of the all-powerful party.

There are police everywhere. Patrol cars parked in the driveway, plain clothed investigators moving around the grounds.

Oh to be a fly on the wall in the hotel staff rooms here, but publicly they will say nothing.

Over lunch we tempt waitresses for any morsel of information, but they are well versed in keeping their mouths shut.

"There are lots of police here, what's happening?" we ask.

"Nothing. They're just having lunch," one waitress replies before scurrying off the moment our plates hit the table.

Yet behind closed doors this is all anyone is talking about.

With each passing day more details are emerging of Heywood's business and personal links to one of China's most powerful families, and how it all allegedly went terribly wrong.

Bo Xilai was the Communist Party Chief of Chongqing, a man who ruled this city with an iron fist. He made his name by driving out criminal gangs, sending underground heavies to jail. He presided over strong economic growth and did it all to a soundtrack of communist revolutionary-era songs broadcast on local television.

To many locals, especially the poor we have spoken too, he was a hero. One shoe-shine lady told me he made the streets safer and the city greener.

But to his critics he was an ambitious authoritarian who used his crime-busting campaign to target enemies and rivals.

Now he's in disgrace, stripped of his titles and hidden from view. His former top cop and right-hand man, Wang Lijun, split from Bo and sought refuge in an American Consulate. Sources in the party now claim he'd argued with Bo after raising suspicions the Party boss' wife had a hand in Heywood's death.

The investigation has yet to reveal its findings, but multiple diplomatic, business and political sources talk of Heywood's business and personal dealings with the Bo family.

All the major players are dead or silenced. Dozens of people connected with the case have been arrested and Gu Kailai, Bo's wife, is under investigation for murder.

I finally get one local man to talk. He doesn't condemn Bo. "He should be remembered for the good things he did," he says. But like everyone he is fascinated by the twists and turns of this case.

"Bo Xilai is under investigation in Beijing," he says, "Gu Kailai is his wife, she's involved in the death of that British man Neil Heywood," he tells me excitedly.

As we walk the grounds of the hotel we get even closer to where it all began. Heywood was staying in what has been described as an upmarket villa in the complex. It has a price tag of $700 a night. If so it is greatly inflated.

No one will say which exact villa it was and there is tight security, but we do manage to get inside one of the dozen or so two-story units attached to the hotel. Inside it is as tired and dated as the standard rooms -- the same faded furniture and stains on the walls.

Yet the very state of this hotel, the sleaziness if you like, only lends to the fascination. What happened on the night Heywood died? What will this mean for Bo and his family?

Right now the answers to these questions are locked behind these walls and we can only peer through the windows.

@highlight

CNN's Stan Grant goes to Nanshan Lijing Holiday hotel in Chongqing

@highlight

Body of Briton Neil Heywood was found at the hotel last November

@highlight

Chinese authorities are investigating his death as a possible murder

@highlight

Wife of former Chongqing chief is being investigated for the alleged crime