Elma Dieppa wonders if her cousin Helen Casillas would still be alive today if she had been more aware of how her weight contributed to her diabetes.

"She refused to take care of herself by not watching what she ate or exercising," Dieppa wrote in a blog post honoring the woman she describes as the "life of the party" -- funny, beautiful and genuine.

Casillas died of a heart attack at age 44.

Although Casillas lived with diabetes for years and worked in the medical field, her perception of her own disease was skewed, Dieppa said. Casillas told her cousin that the doctor wanted to take an aggressive approach to her weight loss, but Casillas didn't believe she was obese.

"This is the problem within the Hispanic community," Dieppa wrote on the blog. "We love our curves, but the line between beautiful and deadly curves is blurred."

In a 2010 study, Abbey Berenson and her colleagues surveyed 1,076 Hispanic women who went to public health clinics in Texas about their weight. The researchers found about 25% of the overweight Hispanic women perceived their weight as "normal," while only 15% of non-Latino white women did.

"Hispanic and African-American women were more likely to consider their weight normal when in fact they were overweight," said Berenson, a professor at the University of Texas Medical Branch.

Latinos overall are also less likely to lose weight and "more vulnerable to cardiovascular disease risk factors and other obesity related diseases," the study authors wrote.

For example, diabetes affects close to 25.8 million people in the United States, according to the Centers for Disease Control and Prevention -- about 8.3% of the general population. But the debilitating disease disproportionately affects Hispanics, almost double those of non-Latino whites, according to the American Diabetes Association.

Unfortunately, diabetes isn't the only disease causing concern in the Latino community. Hispanics are also disproportionately affected by obesity and stroke, according to Dr. Helen Troncoso, who serves as a health and wellness consultant in New York.

Although stroke rates in the general population have declined dramatically over the last decade, Latinos are still more likely to experience a stroke compared to other ethnic groups. Particularly among Mexican-Americans -- the largest subgroup of Hispanics in the United States --  stroke is the leading cause of disability and third leading cause of death. Overall, Mexican-Americans suffer 34% more from this disease than non-Hispanic whites, according to a 2013 study published in the Annals of Neurology journal.

Experts say these health disparities can be attributed to many causes, but chief among them is a lack of access to quality health care.

The U.S. Department of Health and Human Services estimates 1 out of every 3 Hispanics doesn't have health insurance. About half of whites are covered through an employer-sponsored health plan, compared to 28% of Hispanics, according to a Gallup Poll.

"Right now, many Latinos are unable to manage the costs for preventative care," Troncoso said, "and will often develop secondary conditions that can be even more serious because they could not manage their chronic conditions with proper treatment."

Once the Affordable Care Act goes into effect on January 1, it should ease the stress for many Hispanics who have lower-paying jobs that don't offer health insurance.

Cultural factors also play a role in putting the Hispanic community at risk for cardiovascular diseases.

Latinos are raised to be self-reliant, which may be the reason 42% of them say they've had "zero visits" to a medical provider. It was the ethnic group least likely to use prescription medicine in 2010, according to the U.S. Census Bureau.

"But with some lifestyle adjustments, like switching to a healthier diet and getting regular exercise, Latinos can drastically change their health issues," Troncoso said.

At their core, authentic Latino dishes include fresh fruits, herbs and beans, all of which are healthy. But with immigration and acculturation to the United States often comes a change in eating behaviors, such as cooking fewer meals at home, eating larger portions, preparing foods differently, and buying more cheap and convenient fast foods loaded with sodium, fat and sugar.

Because food and family play such an important role in the Latino community, organizations like the National Council for La Raza are focusing their efforts on implementing more healthy shopping programs like the "Comprando Rico y Sano" (Buying Delicious and Healthy) to help Hispanics make healthier and more economical choices when grocery shopping.

"Familism is very strong in the Latino culture," said Manuela McDonough, program manager for the Institute for Hispanic Health at the National Council of La Raza. "The act of sitting down at the dinner table is more important than the actual food."

Many Latino parents feel guilty about putting their own health needs above those of their families, according to the American Diabetes Association. They feel their time and money could be better spent than using it for preventive care.

In an effort to break down this mindset, the diabetes association has a Latino Initiatives health campaign called Por tu familia — or "for your family" -- encouraging Latinos to stay healthy if they want to be there for their families.

While these efforts to help educate Latinos about lifestyle changes will help, Dr. Joel Zonszein, director of the Clinical Diabetes Center at Montefiore Medical Center, said the health care system also needs to change so physicians don't struggle to get their patients the treatments they deserve.

"For each patient I see, I have to spend at least 20 minutes on the phone with insurance companies begging them to approve the proper diabetes medication for my patients, and I don't get reimbursed for that time," said Zonszein. "Unfortunately, Obamacare will not improve this condition."

While the Affordable Care Act may leave something to be desired from physicians, Dieppa hopes that with widespread access to health care, Latinos around the country will better educate themselves about their health and heed the warnings of their doctors.

Because knowing that Helen Casillas' death could have been prevented hurts more than anything else.

@highlight

Hispanic population disproportionately affected by cardiovascular diseases

@highlight

25% of Hispanic women who are overweight perceive their weight as "normal"

@highlight

Experts say differences due to lack of health care access, cultural factors