Washington (CNN) -- As with any State of the Union address, President Barack Obama this year had several audiences and there were multiple aims for the White House: To show that he understands the economy is still struggling and that he will do more to help the unemployed find jobs, and to portray a different side of himself than what was seen on Inauguration Day -- one willing to reach out to the other party.

While the president did offer some new proposals -- including increasing the minimum wage and guaranteeing preschool -- many of the ideas he pushed were repeating what he had previously offered but went nowhere in divided Washington. And we saw a president trying to expand the use of executive power to help push his agenda.

State of the Union brings out more of the 'same old, same old'

Here are five things we learned Tuesday night:

1. It's still the economy, stupid

It very well could have been a campaign speech given last year -- the president talking about the need for a balanced approach to deficit reduction, at least four references to protecting the middle class, the need to reignite "the true engine of America's economic growth."

With the recovery still weak, unemployment at 7.9% and the nation's growth rate shrinking the last three months of 2012, the president and his team know much of his legacy may be dependent on helping reignite the economy. The president pushed for 15 manufacturing hubs to help spur high tech job growth.

With $85 billion in automatic across-the-board spending cuts set to take effect on March 1, Obama pushed for a replacement of them because some economists warn they could lead to a recession. However, he did not give any ground on what he would accept as an alternative -- setting up the next major fiscal fight with Republicans.

53% of those watching speech give Obama thumbs up

2. Mr. Bipartisan?

Facing hundreds of members of the opposing party, Obama took a decidedly different approach than he did in his aggressive inaugural address.

"They do expect us to put the nation's interests before party. They do expect us to forge reasonable compromise where we can. For they know that America moves forward only when we do so together and that the responsibility of improving this union remains the task of us all," the president said early on in the address.

He even praised some Republicans -- he pointed to how Sen. John McCain, his 2008 opponent, worked with then-Sen. Joe Lieberman, a Democrat turned Independent, on climate change. He mentioned his 2012 opponent, Mitt Romney, and said we should try his idea of tying the minimum wage to the cost of living.

GOP's Rubio rips Obama, says his plans will hurt middle class

While he talked about how chances are good for bipartisan approaches on tax and immigration reform, Republicans can be expected to say they haven't seen a different approach so far from the president on many key issues: He wants more tax revenues and more government spending on his priorities, which are non-starters among Republicans.

Fifty-three percent of those surveyed in a CNN/ORC instant poll of speech-watchers said they did not believe the address would lead to bipartisan cooperation while 39% said they thought it would.

Obama hearts Romney in State of the Union

3. Show me the money

Proposals he floated would make high-quality preschool available to every child, provide tax credits for businesses to hire and invest, promote more scientific research and development, further shift cars and trucks away from gasoline, and invest in infrastructure. "Nothing I'm proposing tonight should increase our deficit by a single dime." he said. "It's not a bigger government we need, but a smarter government that sets priorities and invests in broad-based growth."

But White House officials refuse to put a price tag on the programs -- or to reveal how, in fact, they would be paid for. They promised more details when the White House's budget proposal is released in a few weeks.

CNN Fact Check: Obama on fuel economy -- Your mileage may vary

4. If they won't, I will

The president demonstrated clearly how he plans to aggressively use executive actions to push policy if Congress thwarts him and he announced action on climate change and cybersecurity.

"If Congress won't act soon to protect future generations, I will," he said. "I will direct my Cabinet to come up with executive actions we can take, now and in the future, to reduce pollution, prepare our communities for the consequences of climate change, and speed the transition to more sustainable sources of energy."

After efforts dealing with cybersecurity failed to pass Congress, the president signed an executive order to increase information-sharing and to help the private sector develop standards. These moves came after the president last month approved 23 executive actions dealing with gun control.

Obama also used the speech to make his base happy by emphasizing such liberal priorities as climate change and equal treatment and benefits for gay Americans as well as announcing a bipartisan commission to improve the voting system and pushing for a hike in the minimum wage.

CNNMoney: The impact of a $9 minimum wage

5. Even presidents can't control the news

While the White House tried to build up suspense around what the president would say, as soon as news broke Tuesday afternoon that accused cop-killer Christopher Dorner was believed to be holed up in a cabin in the California mountains, much of the media immediately switched gears.

What would have been hours of coverage of what was expected from the speech, what Obama's message might be and discussion of his agenda did not happen.

Would this be another split-screen State of the Union similar to when networks flashed news of the verdict in O.J. Simpson's civil trial during Bill Clinton's 1997 address?

That did not happen this time but as soon as Obama wrapped up most news organizations quickly updated viewers on the Dorner story.

But the president might have gotten an unintended benefit from the other story of the day -- interest in Dorner might have helped boost the audience for the address.

Opinion: Obama dares Congress to get the job done

@highlight

Obama's State of the Union address could have been a campaign speech from last year

@highlight

While he did give a nod to the opposing party, some of his proposals are non-starters with GOP

@highlight

Obama says proposals won't increase debt, but officials won't say how they'll be paid for

@highlight

President made it clear that if Congress won't deal with issues, he'll do it by executive order