Editor's note: On CNN's "State of the Union," host and Chief National Correspondent John King goes outside the Beltway to report on the issues affecting communities across the country.

Herbert Hale lives on a check of a little less than $17 a week and whatever he can pick up from odd jobs.

CHERRY CREEK, South Dakota (CNN) -- The tiny one-room house rests on a hill; no electricity and no running water. A creaky metal cot and a rusting wood-burning stove is all the comfort Herbert Hale says he needs.

"All it is is logs, glue -- dirt and water put together -- then cement and the chicken string," Hale says of his home. "Long as the windows don't break, it's nice and warm in here."

The roof leaks a bit, and the floorboards are rotted in one corner, but Hale isn't one to complain.

"It's home," he says, almost under his breath, as he invites a visitor to have a look.

Firewood is stacked in one corner inside, and more outside as Hale uses the summer months to stockpile for prairie winters, where 20 below zero is not all that uncommon.

He also pulls bunches of long weeds in the prairie grass, to dry for use as a firestarter.

"I have to be careful," Hale says matter-of-factly as he pulls a few fistfuls. "Sometimes there are some snakes. Rattlesnakes. Nothing to mess around with."

He is 54 years old, a member of the Lakota tribe and part of two stunning statistics, even as communities across America deal with the pain and challenges of recession:

Hale worked 16 years as a firefighter. But he began having some back problems in the early 1980s and then, "cancer caught up with me. I have a brain tumor."

He says he gets a check for just shy of $17 every week from a tribal welfare fund, and tries to find odd jobs to pay for his food and to help out a diabetic sister.

But there's a catch: Tiny Cherry Creek has no such jobs. There are one or two one-room homes like Hale's, but it is mostly a collection of a couple dozen simple modular homes provided by a federal and tribal housing program. It doesn't even have a gas station or general store.

So Hale heads out most days toward Eagle Butte -- 17 miles up one road and then 21 miles more up the next. A few more twists and, "It's about 42 to 43 miles, someplace around there."

Herbert Hale can't afford a car.

"Well, I take off, go to my sister's, then get some water and take off. Somebody along the way will pick me up."

Often, that somebody is Bryce In The Woods, a member of the tribal council whose district includes Cherry Creek.

"It is bad," he says of the area's economic plight, walking a visitor through the gravel streets where many residents, idle because of the lack of jobs, are sitting out front or shout out a greeting from inside their small homes.

To spend a day crossing the reservation is to see a place stunningly beautiful and seemingly forgotten all at once, small, poor communities tucked into the hollows of western South Dakota's Cheyenne River Reservation. The poverty is all the more striking because of the richness of the setting: green and golden rolling hills, roaming horses and cattle, and tall corn and golden sunflowers sprouting from the fertile soil.

"Ziebach County is the No. 1 county statistically with child poverty," he said. "Now that alone is generational, with the trauma of poverty and the broken family."

Breaking that cycle is Bryce In The Woods' obsession. He highlights a bright spot: A building in the community converted to a makeshift classroom and library where residents can get tutoring help and then take the GED --- the high school equivalency exam.

"It is so difficult," he says of the challenge facing younger reservation residents. "Some of our young people join the services, the armed services, some of them go to college or apply to college," Bryce In The Woods told us. "The majority, if they are staying here, end up moving to Rapid City or some of the bigger cities to try to find employment."

In Eagle Butte, the largest community on the reservation, a bustling construction site is a new source of pride.

A medical center is under construction, thanks to funding from the Obama administration's stimulus plan, and Bryce In The Woods says about 65 construction-related jobs so far have gone to tribal members.

"At this point I am very appreciative of what we have received," Joseph Brings Plenty, the elected tribal chairman, says when we ask if the stimulus funding is enough. "But as far as expectation, I can say no. There would be a lot more need to be fulfilled by the U.S. government for our tribe before I can say yes."

Outside, Brings Plenty's office is a "First Americans for Obama" sign -- a reminder the tribe was an early backer of Barack Obama. Brings Plenty says he hopes the president remembers.

"I can sympathize, empathize, with the demands, with the pressures that are on his shoulders, on his plate and put in front of him," Brings Plenty said during a break from a Tribal Council meeting.

The biggest help Obama and Congress could give, the chairman and others told us, is greater water rights. The tribe has money for more housing, but can't build because the water pressure is too low and its treatment systems too outdated to handle increased demand.

"I feel that we are forgotten because we don't have that voice out there," Chairman Brings Plenty said. "It's demoralizing in a way for some of our members that go out and receive an education and come back and are unable to get a job here."

To be clear, Chairman Brings Plenty and Bryce In the Woods say not all of the tribe's problems rest with the federal government.

Both mentioned obstacles and disagreements born of factional tribal politics and rivalries, which were in full evidence during just a few minutes of the Tribal Council's debate.

In The Woods is also a strong advocate for land reforms he says would get the tribe a better deal for grazing rights on its property.

Still, they would welcome more economic development help, from the state and from Washington, but say their voices don't always get heard, even in the best of times.

"When it comes down to a vote, a lot of the urban representatives, I don't think they really know the plight on the reservation," Bryce In the Woods said. "I think there is a stereotype out there that all tribes have casinos and that's not true."

Herbert Hale shrugs when asked if Washington has a responsibility to help his struggling community.

"I can't really say," he said quietly. "I'm not into politics to tell you the truth. I was when I was younger, back in the '80s."

Now, he lives the simplest of lives.

A few hours of work if he is lucky, and perhaps an hour or two collecting wood, even in the scorching August sun. The temperature neared 100 degrees on the day of our visit, yet Hale's wood stove was warm to the touch. Prairie mornings can still be chilly.

More important, memories of winter's past remind Hale of the value of his growing stockpile.

"Sometimes it's a long walk," he says. "Especially in February. Twenty below and I have to walk. Often no cars ... A few times I felt like falling asleep on the road. I told myself, 'Fall asleep, you're froze and you're gone.' I pushed myself to keep walking."

Once home, he has a battery-powered radio and uses a small kerosene lamp to pass time at night reading. He's extra careful because he recently broke its glass chimney, so the flame burns without protection from the winds that can pick up suddenly.

Herbert's worries are more immediate than whether the president or any other politician understands his plight. "They never stopped up here," he says."If they did, I wasn't home."

On the odd jobs in town, $1 here and $5 there adds up -- not too much, but his goals are modest.

"You know, take the trash out. I sweep the front. A few dollars a day wouldn't hurt. That's as good as you need. That's all I care about. One day at a time."

@highlight

In nation's poorest county, about 56 percent of residents live below poverty line

@highlight

Herbert Hale, who is a member of the Lakota tribe, is unemployed

@highlight

Hale gets about $17 a week from a tribal welfare fund; tries to find odd jobs

@highlight

Lawmakers don't get "the plight on the reservation," tribal council member says