London (CNN) -- Britain's Prince William and his wife Kate are expecting their first child after 19 months of marriage, the palace announced Monday.

But until 2011, any daughter born to the Duke and Duchess of Cambridge would not have enjoyed an equal right to inherit the British throne. Rules dating back centuries decree that the crown passes to the eldest son and is only bestowed on a daughter when there are no sons.

All this changed at an October 2011 meeting of the leaders of 16 Commonwealth countries in Perth, Australia, where they unanimously agreed to amend the succession rules.

CNN examines the background to a controversial and long-running debate.

Latest: William and Catherine expecting royal child

What prompted the change?

The issue has been discussed in the UK for many years -- and changes have been proposed before -- but it requires an act of parliament and the agreement of the 15 other realms where British royalty is the head of state to alter the rules of succession.

Successive UK governments have failed to find parliamentary time to debate proposals to change the law. A spokesman at UK Prime Minister David Cameron's office said it had often been thought of as "too thorny and complicated to deal with quickly."

The marriage of William and Catherine in April 2011 brought the issue back into focus. David Cameron referred directly to the couple in his speech to Commonwealth leaders, saying the succession rules were "outdated."

"The idea that a younger son should become monarch instead of an elder daughter simply because he's a man... this way of thinking is at odds with the modern countries that we've all become," he said.

White House to royal couple: Congrats!

So what was agreed?

The leaders of the 16 Commonwealth countries that have Queen Elizabeth II as head of state unanimously agreed that sons and daughters of British monarchs will have an equal right to the throne. They also agreed that a future British monarch can marry a Roman Catholic -- something that is currently banned.

What was the historical basis for the old rules?

The tradition of favoring the male heir -- called male primogeniture -- goes back many centuries and can be seen in the extensive family tree of the British monarchy.

But a key law which governs the way British monarchs are chosen is the 1701 Act of Settlement which has its roots in the religious strife of the age. The official British Monarchy website explains that the act was designed to secure the protestant succession to the throne.

Royal commentator and former editor of the International Who's Who, Richard Fitzwilliams, explained that this has been a divisive issue ever since the English Tudor King Henry VIII split with the Catholic Church in Rome in the 16th Century, leading to decades of religious persecution.

The Act of Settlement decreed that no Roman Catholic or anyone married to a Catholic could hold the English crown. This is now to be amended so that an heir to the throne can still be monarch even if they marry a Catholic.

The British Monarchy website gives two examples of the current royal family who were removed from the line of succession because they married Roman Catholics -- George Windsor, Earl of St Andrews, and Prince Michael of Kent.

How are William and Catherine affected?

The changes mean that if the couple's first born is a girl, she will eventually become queen. Previously, a younger son would have taken precedence. However, this could be many years in the future. Prince Charles is first in line to the throne when Queen Elizabeth II dies, and his son William would ascend after his reign.

David Cameron's speech makes it clear that the new rules are not retroactive, so Prince Charles's eldest sibling, Anne, will not be in line to the throne in front of her younger brothers Andrew and Edward.

It also means that any heir born to the Duke and Duchess of Cambridge can marry a Catholic and retain the crown.

What isn't changing?

The British sovereign is also head of the Church of England -- part of the Anglican church -- and retains the title Defender of the Faith. David Cameron said at the 2011 meeting that "the monarch must be in communion with the Church of England because he or she is the head of that church." This would currently bar a Catholic holding the crown.

Prince Charles caused controversy in 1994 when he said in a TV interview that he would rather be seen as "defender of faiths" to include Catholic subjects of the sovereign which he described as "equally as important as the Anglican ones or the protestant ones." He went on to list other faiths as also being equally important.

What happens next?

David Cameron explained in his speech to Commonwealth leaders that "for historic reasons" the UK legislation needed to be published first but the necessary measures would be implemented at the same time across the Commonwealth.

However, the process is a complex one. The Downing Street spokesman said that in addition to the Act of Settlement, many other archaic laws would have to be amended -- these include the Bill of Rights 1689, the Coronation Oath Act 1688, the Acts of Union and the Royal Marriage Act 1772.

Each of the 15 other Commonwealth members would then have to amend their own legislation.

So which countries are affected?

The Commonwealth consists of 54 independent states, most of which have ties to the United Kingdom, but Queen Elizabeth II is head of state to only 16 of them including the UK. Those nations are Antigua and Barbuda, Australia, Bahamas, Barbados, Belize, Canada, Grenada, Jamaica, New Zealand, Papua New Guinea, St Kitts and Nevis, St Lucia, St Vincent and the Grenadines, Solomon Islands, and Tuvalu.

@highlight

The marriage of William and Catherine brought the succession back into focus

@highlight

Sons and daughters of British monarchs will now have an equal right to the throne

@highlight

Roman Catholics are still barred from holding the crown

@highlight

Both the UK laws and those of 15 other Commonwealth states will have to be amended