Scientists racing to develop something that will stop the largest Ebola epidemic in history are trying a variety of experimental drugs on patients.

Without a cure, the disease has killed at least 3,431 people and infected 7,470 at last count.

The first person known to have been diagnosed with the disease on U.S. soil, Thomas Duncan, is receiving a drug called Brincidofovir, according to his nephew Joe Weeks. So is the second Ebola patient to be treated in The Nebraska Medical Center's Biocontainment Unit, freelance cameraman Ashoka Mukpo.

"After looking at the data on this drug, collaborating with the CDC and FDA and speaking with the patient and his family, we decided this was currently our best option for treatment," Dr. Phil Smith, medical director of the Biocontainment Unit, said in a statement Tuesday. "Every patient is somewhat different, and we believe Brincidofovir is the best choice."

The biopharmaceutical company Chimerix got approval from the FDA for emergency use of Brincidofovir on Duncan on Friday.  Duncan is currently in critical condition in Dallas.

The experimental antiviral drug was initially being developed to treat life-threatening viruses like smallpox.  But antiviral drugs can be used to treat a wide variety of diseases.

This is the same drug that was originally denied to Josh Hardy, a 7-year-old who was treated for cancer and then developed an adenovirus that nearly killed him. In March, his parents launched a social media campaign to get the medicine, and it drew national attention. Josh then received the drug and recovered.

After the Ebola outbreak started this spring, Chimerix sent brincidofovir, to be tested against Ebola.  Test-tube data showed positive results. Further tests are being planned.

Here's what else is in the pipeline to fight Ebola.

'Extraordinary' race for Ebola vaccine raises ethical questions

ZMapp

Mapp Biopharmaceutical Inc. is in the early stages of developing its drug, ZMapp. It was given to the Americans taken from Africa to Emory University in Atlanta for treatment in August.  A total of seven patients got the drug, and it seems to have had success.

In July, the Defense Threat Reduction Agency gave Mapp additional funding because of the "promising results."

In animal studies, the therapy seemed to help.  Four monkeys infected with Ebola survived after getting ZMapp within 24 hours after infection. Two others survived after getting the treatment 48 hours after infection.

In the Emory patients' cases, Dr. Kent Brantly didn't get the drug until he'd been sick for nine days.

After just an hour of receiving the medication, Brantly's condition improved dramatically.  His labored breathing got better, and a rash faded away.  One of his doctors described the transformation as "miraculous."

Nancy Writebol also received the medication, but her response was not as immediate.  After a second dose of the medicine, her doctors said, there was significant improvement.

Since the drug is so new, there are no doses of it left.

The Department of Health and Human Services contracted with Mapp to make more for early-stage clinical safety studies.

Creating the drug is time-consuming and expensive. Scientists are looking for alternative ways to create it using the tobacco plant.  In August, Kentucky-based BioProcessing started working with Mapp to develop ZMapp using its plants.

TKM-Ebola

This year, the Food and Drug Administration approved the use of the experimental TKM-Ebola drug to test on suspected cases of the infection.

TKM-Ebola was used on Dr. Richard Sacra, the patient taken from Africa to Nebraska for treatment in September.  He had been working as a doctor in Liberia when he became infected.

The drug is made by Tekmira Pharmaceuticals, a Canadian company.

Studies in 2010 funded in part by the U.S. Department of Defense's Joint Project Manager Transformational Medical Technologies office showed "100 percent protection from an otherwise lethal dose of Zaire Ebola virus," according to Tekmira's website.

In January, Tekmira started phase I clinical trials on the drug, testing it on a small number of human subjects. Testing was put on hold after a volunteer developed moderate gastrointestinal side effects after getting a high dose of the medicine.

In August, the FDA modified its status to a "partial clinical hold" so Tekmira could give the drug to doctors or hospitals that requested it in emergencies like Sacra's.

In March, the FDA gave the drug a fast track designation, allowing the testing process to be sped up.  Tekmira was also given the authority to use it under the investigational new drug application rule, so patients could be treated outside a clinical trial.

A vaccine

The National Institutes of Health started human testing of a vaccine to prevent Ebola in early September. The U.S. Department of Defense is working with a company to develop a vaccine as well.

After an expedited review by the FDA, researchers were allowed to start a human safety trial.  Because there is such an urgent need for a vaccine, the FDA waived some of the preclinical studies that are normally required.

The vaccine was created by GlaxoSmithKline and the National Institute of Allergy and Infectious Diseases.

It's being tested in the United States and will be tested in healthy volunteers in the United Kingdom, Mali and Gambia.

The National Institutes of Health is also in talks with health leaders in Nigeria, which has seen 20 cases, to test the vaccine on people there.

An international consortium that formed to fight the epidemic gave money to the company to make up to 10,000 additional doses of the vaccine while the trials are ongoing.

Another vaccine developed by the Public Health Agency of Canada, licensed to Iowa-based NewLink Genetics, is also about to start trials.

It will be tested at the Clinical Trials Center at the Walter Reed Army Institute of Research.  That trial should start in mid-October.  The process is being accelerated, and the FDA will be monitoring the results to see whether it can move into the next phase.

The Canadian government shipped 800 to 1,000 doses of the vaccine to Liberia at the government's request.  An earlier version of that vaccine had been given to a German lab worker in 2009 after he thought he pricked himself with a needle that had the Ebola virus on it.  He did not get sick.

A third vaccine developed by the National Institutes of Health was tested in primates. It showed success in the animal study, in combination with Depovax, an adjuvant used with other vaccines to boost the body's immune response.

Other alternatives

A doctor in Liberia is trying an HIV drug called lamivudine.

Dr. Gorbee Logan has given the drug to 15 patients; all but two survived.  Compared with the 70% mortality rate in West Africa, those are good odds.

The drug can cause liver problems and has other side effects, but the doctor said it has been worth it in light of the disease's deadliness.

Scientists in Thailand believe they've found a new type of antibody that is effective against the virus. The team of doctors at Siriraj Hospital are confident that it will work and the side effects will be low, but it has not been tested in animals or humans and is at least a year away at least from being developed.

@highlight

Scientists are using an experimental drug, Brincidofovir, on two Ebola patients

@highlight

ZMapp showed promise in patients, but there are no doses left

@highlight

Several vaccines are in trials

@highlight

Thai doctors believe they've found a new antibody, but it has not been tested