Cairo (CNN) -- Egypt's military-backed government signaled Wednesday that it plans to disperse supporters of deposed President Mohamed Morsy camped out at sit-ins in Cairo, raising fears it will trigger violent confrontations.

Citing a threat to national security and traffic congestion, interim Interior Minister Mohamed Ibrahim was authorized to take "all necessary measures to face these dangers and end them," Information Minister Durriya Sharaf el-Din said in a televised speech following the weekly Cabinet meeting.

"The acts of terrorism and the blocking of roads are no longer acceptable and represent a threat to national security and terrorize citizens," Sharaf el-Din said.

The statement is being widely interpreted by local media outlets as a green light for security forces to disperse the thousands of protesters at the sit-ins at squares in Rabaa al-Adawiya and Nahda Masr.

The announcement comes just days after more than 150 people died in clashes in Cairo and Alexandria, killings that were widely condemned by world leaders and the United Nations. Protesters accused police of opening fire and killing 72 people during a pro-Morsy demonstration in Nasr City, an area of Cairo where the Muslim Brotherhood has made its base.

Amnesty International called the announcement "a recipe for further bloodshed."

"Given the Egyptian security forces' record of policing demonstrations with the routine use of excessive and unwarranted lethal force, this latest announcement gives a seal of approval to further abuse," said Hassiba Hadj Sahraoui, deputy director for the Middle East and North Africa at Amnesty International.

The Interior Ministry is studying the appropriate measures for dealing with the protesters and any weapons and "external elements" in the two squares, state-run EGYNews said, citing a high-level security source.

The source said forces would approach the mission according to the law and in phases, beginning with a warning, then use tear gas until the need for legitimate self-defense.

Since Morsy was ousted from office on July 3, hundreds of people have been killed and thousands more wounded.

The former Muslim Brotherhood leader became Egypt's first democratically president in June 2012 but quickly found himself at odds with the opposition before the military removed him from power and detained him this month.

He has not been seen publicly since he was overthrown. Morsy is being held in relation for a jailbreak that took place during Egypt's 2011 revolution but well before he came to power, state media reported.

One protester downplayed the Cabinet statement. "It would be ridiculous to assume that the military is waiting for permission from government," Reda Abdelaziz, a member of the pro-Morsy Anti-Coup Alliance, told CNN.

A doctor at the Muslim Brotherhood field hospital in Rabaa al-Adawiya said his entire family is at the sit-in and they're prepared for the worst. "We will never leave. All the families are coming here, and we will stay," said Hesham Ibrahim.

Several Egyptian human rights groups demanded in a statement released Tuesday the the interior minister resign over Saturday's killings and demanded that government forces refrain from further violence.

Muslim Brotherhood officials said on the group's website that they will continue protesting until Morsy is put back in office.

Also, prosecutors have extended the detention of top Muslim Brotherhood leaders for 15 days over charges of inciting to kill protesters in front of the Muslim Brotherhood office in the days before the July 3 military coup, state-run Nile TV said. They include Khairat el-Shater and Mohammed Rashad Bayoumi.

AU delegation visit

A high-level African Union delegation working to ease tensions in Egypt met with Morsy and the leaders who replaced his Muslim Brotherhood-backed administration after coup, the AU said Wednesday.

This comes amid international efforts to forge stability in a country seething with political tension and reeling from spurts of sporadic and deadly violence after Morsy was toppled on the heels of mass protests against his rule.

Opinion: Morsy holds key to Egypt's future

The three-person AU group is sitting down in Cairo with a range of people in the same week that Catherine Ashton, the European Union foreign policy chief, met with current leaders, Muslim Brotherhood members and Morsy -- now held at an undisclosed location on a variety of criminal charges.

"The establishment of the Panel and its current visit to Cairo are part of the AU's efforts to assist Egypt in addressing the challenges confronting the country and ensuring that the legitimate aspirations of its people are fulfilled," the AU said in a statement.

Opinion: How to rescue the Arab Spring

"In so doing, the AU is acting on the basis of its relevant instruments and in the spirit of African solidarity, as Egypt's challenges are also Africa's challenges. A stable, democratic and prosperous Egypt constitutes a tremendous asset for the AU, as it strives to achieve its stated objectives."

The delegation consists of three former leaders: former Malian President Alpha Oumar Konare, former Botswana President Festus Mogae and former Djibourti Prime Minister Dileita Mohammed Dileita.

Along with Morsy, the panel met with acting President Adly Mansour, interim Vice President Mohamed ElBaradei and Gen. Abdel Fattah al-Sisi, the man who led the coup.

Interactive: Africa's rocky road to democracy

It also sat down with Foreign Minister Nabil Fahmy, Arab League Secretary-General Nabil Elaraby and representatives of several political movements. It plans to meet with the pope of the Coptic Orthodox Church, a women's group and diplomats.

U.S. Senate acts

The Senate on Wednesday defeated a proposal to cut off U.S. aid to Egypt. The measure was pushed by Sen. Rand Paul, R-Kentucky, after the military takeover in Egypt.

Before the vote, Paul noted that the law is clear: Aid must end to a government where there is a military coup.

But the measure, which would have shut off $1.5 billion in aid to Cairo, got the backing of only 13 senators.

CNN's Schams Elwazer reported from Cairo. CNN's Joe Sterling reported from Atlanta. CNN's Chelsea J. Carter, Lisa Desjardins, Yousuf Basil, Arwa Damon and journalist Sarah Sirgany contributed to this report.

@highlight

NEW: Amnesty International calls the government plan a "recipe for bloodshed"

@highlight

Sit-ins called a "threat to national security"

@highlight

This comes on the same week the EU's Catherine Ashton visited

@highlight

The delegation consists of one-time national leaders