Christmas in the United States is a combination of traditions from around the world.

Evergreen trees inside homes were popularized in Germany during the 16th century.

Decorating with poinsettias? That idea came from Mexico (and the name of the plant came from Joel Roberts Poinsett, the first U.S. Minister to Mexico).

And 18th-century England helped to change mistletoe's image from a poisonous plant to a poisonous plant that's also a festive kissing trap.

However, there's one favorite tradition with an All-American origin: electric Christmas tree lights.

It started when Edward H. Johnson, a friend and business partner of Thomas Edison, put a string of 80 hand-wired red, white and blue electric lights on a Christmas tree in 1882.

Since the majority of Americans didn't have access to electric power until the 1930s, it took about 50 years for Johnson's creation to become popular.

Since then, it's become an essential part of American Christmas celebrations, whether that means a couple of strings of "tasteful" white lights around the family tree or a pulsating public display synchronized to "Jingle Bell Rock" that can be seen from low orbit.

With a nod to Mr. Johnson's first tree, here are eight of the best locations in the United States where the electric light tradition continues to shine brightly.

Disney's Hollywood Studios (Lake Buena Vista, Florida)

Back in 1986, Arkansas businessman Jennings Osborne started decorating his Little Rock home for his daughter during the holidays.

What began with 1,000 lights snowballed into three million lights and numerous court challenges to turn the lights off (though the U.S. Supreme Court refused to hear the case).

Eventually, Osborne agreed to move his display, now known as The Osborne Family Spectacle of Dancing Lights, to Disney's Hollywood Studios in Florida.

With five million lights, the show requires more than 10 miles of rope lighting and another 30 miles in extension cords.

Visitors can even don a special Made with Magic ear hat, a version of the classic Mickey Mouse ears that flashes colors along with the music.

November 7, 2014 to January 4, 2015

Disney's Hollywood Studios, 351 South Studio Drive, Lake Buena Vista, Florida

Las Vegas Motor Speedway (Las Vegas)

It may seem counterproductive to leave the Las Vegas Strip to look at bright lights, but to find Christmas lights in the Nevada desert, visitors can drive down to the racetrack.

The Las Vegas Motor Speedway hosts Glittering Lights, a 2.5-mile circuit that gives car-bound visitors the opportunity to see more than 400 animated displays.

It should be noted that while Glittering Lights is hosted at the speedway, the event doesn't have visitors drive on the superspeedway track, so crash helmets and lead feet aren't required.

For the upcoming holiday season, up to 30,000 vehicles are expected to make the circuit.

November 14, 2014 to January 4, 2015

Las Vegas Motor Speedway, 7000 Las Vegas Blvd. N., Las Vegas

Smithsonian's National Zoo (Washington, D.C.)

During the holidays, the nation's capitol is home to a unique event that manages to combine sparkling Christmas light displays with animals that prefer the dark.

Zoolights turns Smithsonian's National Zoo into a 500,000-LED-light winter wonderland.

At this free event, families can take a spin on the solar-powered Speedwell Conservation Carousel, which features custom-carved figures of 58 species of animals, including a clouded leopard and a sloth bear.

The zoo's Small Mammal House, Great Ape House and Reptile Discovery Center are open, so visitors can warm up and see some of the zoo's nocturnal animals.

November 28, 2014 to January 1, 2015, except for December 24, 25, and 31

Smithsonian's National Zoo, 3001 Connecticut Ave. NW, Washington, D.C.

Silver Dollar City (Branson, Missouri)

While Branson, Missouri, has grown by leaps and celebrity theaters over the last several decades, Silver Dollar City has been here since 1960.

The theme park is a celebration of Ozark Mountains culture and, for more than two decades, host to An Old Time Christmas festival.

With more than 5 million lights and 1,000 decorated trees, along with nightly parades and two musical productions, An Old Time Christmas is home to the 5-Story Special Effects Christmas Tree that features 350,000 LED lights and, synchronized with Christmas music, can make up to 100 light changes per second.

November 1, 2014 to December 30, 2014

Silver Dollar City, 399 Silver Dollar City Railroad, Branson, Missouri

Denver Botanic Gardens (Denver, Colorado)

For those who want to see Christmas lights dazzle in a Rocky Mountain setting, there's "Blossoms of Light" at the Denver Botanic Gardens.

Following a half-mile path through the Gardens' 24 acres, visitors see thousands of colorful lights highlight the winter beauty of Ponderosa pines, cottonwoods and other native Western plants.

December 5, 2014 to January 1, 2015

Denver Botanic Gardens, 1007 York St., Denver, Colorado

Macy's at Center City (Philadelphia)

Since 1956, parents have brought their children to Philadelphia's Center City to marvel at a department store's resident light display during the holidays.

Macy's (formerly Wanamaker's) Christmas Light Show has a Magic Christmas Tree and more than 100,000 LEDs arranged behind a four-story velvet curtain that tell a story with reindeer, toy soldiers and ballerinas.

At the end of the show, the 287-ton Wanamaker Organ, the largest operational pipe organ in the world, plays "O Tannenbaum."

Julie Andrews is the narrator of the light show, though it was formerly narrated by baritone John Facenda, known as the "Voice of God" from NFL Films.

November 28, 2014 to December 31, 2014

Macy's at Center City, 1300 Market St., Philadelphia

Zilker Park (Austin, Texas)

It takes an estimated 15,000 hours and 1,500 volunteers to put together Austin's Trail of Lights.

Located in the Texas capital's Zilker Park, the popular light show is currently celebrating its 50th anniversary.

The 1.25-mile walking circuit features more than 50 light displays, 100 lighted trees, a nightly Yule Log and a 90-foot Ferris wheel.

Standing above it all is the Zilker Tree, at 155 feet it's the tallest man-made free-standing Christmas tree in the world.

December 7, 2014 to December 21, 2014

Zilker Park, 2100 Barton Springs Road, Austin, Texas

Santa Claus House (North Pole, Alaska)

North Pole, Alaska's, name comes from an attempt to convince a toy company to move to town.

The toymaker never materialized, but residents of this Fairbanks suburb did embrace the Christmas spirit and for the last eight years have hosted the six-week Christmas on Ice festival that combines festive Christmas lights with intricately carved ice sculptures.

And despite the fact that this is Alaska in winter, there are outdoor activities for kids, including ice slides and massive ice bowl "twirlers" where kids can sit and be spun until the colorful lights become a nauseating blur.

November 29, 2014 to January 6, 2014

Santa Claus House, 101 Saint Nicholas Drive, North Pole, Alaska

@highlight

Osborne Family Spectacle of Dancing Lights at Disney's Hollywood Studios in Florida has 5 million lights

@highlight

A 2.5-mile circuit in Las Vegas shows off more than 400 animated displays

@highlight

A five-story Christmas tree in Branson, Missouri, features 350,000 LEDs