Philadelphia, Pennsylvania (CNN) -- About 20 years ago, 9-year-old Cameron Kocher fired a rifle out of a window of his home in upstate Pennsylvania and hit his 7-year-old neighbor, who was riding on a snowmobile, and killed her.

The prosecutor decided to try the 9-year-old as an adult. When the charge is murder, Pennsylvania is one of a handful of states that has no lower age limit for trying children as adults.

The district attorney argued that Cameron had lied when asked about the shooting -- and lying is something that adults do. The trial judge subsequently agreed to keep Cameron's case in adult court. The boy had seemed normal, the judge said, so there was nothing for the juvenile justice system to treat. Cameron had also dozed during pretrial motions, which showed "a lack of remorse."

Cameron stayed home on bail -- which is available to "adults" -- while his case was argued in appellate courts. He eventually pleaded guilty to a lesser charge and was placed on probation. He received no treatment and had no further involvement with the justice system.

Jump ahead 20 years, to the Western Pennsylvania prosecution of Jordan Brown, who was 11 when he was charged as an adult with shooting to death his father's pregnant fiancée. Jordan's attorneys have asked the trial judge to remand his case to juvenile court. The judge has taken the motion under advisement. It should be an easy decision.

There are common-sense reasons to keep Jordan in the juvenile system. Ask any parents of an 11-year-old if they think their child is really just a small adult!

If Jordan is adjudicated delinquent, the juvenile justice system can keep him until his 21st birthday. That is an extraordinary amount of time for an 11-year-old. It is certainly long enough to serve the needs of public protection, and enough time to rehabilitate a child. Indeed, studies routinely show that in these cases, the juvenile justice system protects the public better than the criminal justice system.

If common sense isn't enough, examine the recent science on adolescent development.

In the early part of the decade, researchers for the MacArthur Foundation Research Network on Adolescent Development and Juvenile Justice found that teenagers are less blameworthy than adults, and that their capacities change significantly over the course of adolescence.

The researchers found what many of us were trying to say years earlier about Cameron Kocher: that at the age of 9, he simply couldn't process information and plan a crime like an adult.

The MacArthur Foundation Research Network recognized that legal sanctions for misbehavior should not be based only on the harm a youth causes, but on the youth's culpability.

Most people would agree. Every day, different defendants receive different sentences even if they caused the same harm. This is because defendants differ in culpability, or blameworthiness. At no other time are these differences more pronounced than during adolescence, when youths struggle with their immaturity, undeveloped decision-making abilities, impulsiveness, lack of future orientation and susceptibility to negative peer pressure.

Recent brain imaging technology reinforces the adolescent development literature. From the prefrontal cortex to the limbic area, the teenage brain is undergoing dramatic changes during adolescence in ways that affect teens' ability to reason, to weigh consequences for their decisions and to delay gratification long enough to make careful short- and long-term choices.

In their 2008 book "Rethinking Juvenile Justice," MacArthur researchers Dr. Laurence Steinberg and Elizabeth Scott concluded that young people under age 15 should never be tried as adults.

Steinberg and Scott make clear that mitigation because of youth -- the fact that teens are less blameworthy than adults -- is not the same as an excuse. That is, trying youths in juvenile court is not the same as absolving them of responsibility.

Ten years under juvenile court supervision, for an 11-year-old, is a very long time. The point is that while youths should be punished for their crimes, it should be done in a developmentally appropriate way. Any parent would know that it makes little sense to punish a 10-year-old the same as a 17-year-old.

Another finding of the MacArthur Research Network was that young adolescents are not competent enough to be defendants. Young teens lack the skills to consult with their lawyers and shape trial strategy.

Think of Cameron Kocher, who couldn't even stay awake for his pretrial motions. Imagine Jordan Brown, now all of 12 years old, advising his lawyer on approaches to cross-examining witnesses, or discussing the pros and cons of pleading guilty.

It is in society's enlightened self-interest to keep young teens in the juvenile justice system, where public safety concerns can be addressed and young offenders can be held accountable and be rehabilitated. This is common sense. An 11-year-old is not an adult and should never be treated like one.

The opinions in the commentary are solely those of Robert Schwartz. The Juvenile Law Center, which he heads, filed a friend of the court brief in Cameron Kocher's case in 1989 and is not involved in the Jordan Brown case.

@highlight

Robert Schwartz tells of 9-year-old tried as adult; he was put on probation, received no treatment

@highlight

Schwartz: Jordan Brown should not be tried as an adult for crime committed at 11

@highlight

Writes: Kids incompetent to be tried as adults; trying them as juveniles not excusing crime

@highlight

It's in society's enlightened self-interest, Schwartz says, to try youngsters in juvenile court