Jerusalem (CNN)At times, he got raucous applause during his speech in Washington on Tuesday. But the reactions to Israeli Prime Minister Benjamin Netanyahu's message that may matter most came in Israel and Iran -- where emotions ran high, both in support and in opposition.

In an address before the U.S. Congress punctuated by one-liners, Netanyahu claimed that ongoing talks about Iran's nuclear program "would all but guarantee that Iran gets nuclear weapons, lots of them."

He portrayed Iran's leaders as untrustworthy and bloodthirsty, intent on annihilating Israel and threatening its allies.

That viewpoint, not surprisingly, didn't play well in Tehran.

While the speech wasn't carried live, Iranians quickly pounced with heated condemnations of Netanyahu and characterized him as a liar. TV banners labeled the speech an example of "Iranaphobia," with commentators saying that it humiliated U.S. President Barack Obama and deepened the wedge between Israel and its longtime allies.

"This speech was a sign of the weakness and extreme isolation of radical groups," Iranian Foreign Ministry spokeswoman Marzieh Afkham said of what she called "a deceitful theater play."

"... The continued lies of Netanyahu regarding the aims and intentions of the peaceful nuclear program of Iran are repetitive and sickening," she said.

The reaction in Israel was more diverse, albeit predictable, reflecting the divisions there ahead of its March 17 election.

Isaac Herzog -- the Labor Party chairman hoping to become Israel's next Prime Minister  -- said that Netanyahu's speech, "as impressive as it may be, did not prevent the Iranians' nuclear program" nor did it impact talks now underway in Montreux, Switzerland, to address it.

What the speech did accomplish, according to Herzog, is "greatly undermine ... the relationship between Israel and the United States," with Obama opposing Netanyahu's speech as a political move that threatened to thwart the nuclear talks.

"It will not change the position of (Obama's) administration and will only broaden the crisis of our great friend and our strategic ally," Herzog said of the speech. "That price, we will have to pay."

On the other side of the debate are people such as Danny Danon, a former Israel deputy defense minister.

"Prime Minister Netanyahu sounded the alarm for the survival of our country," Danon said from Jerusalem. "We are worried. And I am very proud of our prime minister, ... who said exactly what we feel: It is a bad deal."

The speech and the reactions to it came ahead of a March 24 deadline in which negotiators from six world powers, plus Iran, are trying to reach a long-term deal about Iran's nuclear program.

That looming date is why Netanyahu said he was compelled to address Congress at the invitation of House Speaker John Boehner (and without the advance knowledge of Obama). Prior to boarding a plane Sunday in Tel Aviv, the Prime Minister called his foray to Washington "a crucial trip, even a historical one."

The Iranian nuclear deadline isn't the only one looming for Netanyahu, or even the most immediate one.

Because of Israeli elections in two weeks, the man who has called himself the "messenger of all the people of Israel" might not be that for much longer. While it happened some 6,000 miles away, his speech in Washington on Tuesday could sway hearts and minds back home -- some admiring his strong leadership in protecting Israel and others, like Herzog, upset over how he has roiled relations with Obama and undermined peace efforts.

Given Israeli election guidelines, TV networks pulled Herzog's speech from air for fear it could be construed as campaigning. Netanyahu's remarks were on a 5-minute delay for the same reason.

Nachshon Carmi said he is "totally" convinced Netanyahu primarily aimed to speak to voters at home as much as to affect the American government's decisions on Iran.

"I think this is a classic move of distracting the voters from domestic issues to foreign policy," Carmi said in Jerusalem.

A fellow Israeli citizen, Malynnda Littky, disagrees. She thinks that Netanyahu had every right to make his case in Washington if he believes an Iranian deal could affect Israel's future.

"He's giving a speech on a topic he knows a lot about and is important to us," Littky said. "But it's still just a speech."

Given longstanding issues with the Palestinian territories and the fact that Israel is surrounded by nations with predominantly Muslim populations, Israeli leaders have ample experience with being isolated and on the defensive. They've also proven a willingness time and again to act out, if they feel doing so will safeguard their national security.

Iran has been a case in point.

Netanyahu has been the loudest voice in speaking about international efforts aimed at preventing Iran from developing a nuclear weapon. If the rest of the world can't act to stop this from happening, he's suggested, then Israel will.

There's precedent about how that might be done: Israel bombed Iraq's nuclear reactor in 1981. At the time, then-Prime Minister Menachem Begin drew a line in the sand, essentially vowing that no Israeli enemy could develop weapons of mass destruction and that Israel would defend itself "with all the means at our disposal."

That mentality is what appears to be driving Netanyahu, who has been adamant and consistent in expressing his distrust of Iran (whose supreme leader, Ayatollah Ali Khamenei, tweeted last year that Israel should be "annihilated.") The Prime Minister has been just as forthright in challenging international efforts to strike a deal with Tehran, an effort that's been accelerated since a more conciliatory Hassan Rouhani became Iran's president in 2013.

Several interim agreements have been made in recent months, though a long-term pact so far has been elusive. The Switzerland talks aim to bridge "gaps" between the various parties, with Iranian Foreign Minister Javad Zarif telling CNN on Tuesday that "we're starting to move forward, but it's a lot of work."

So is Netanyahu having a disruptive effect on these negotiations?

"He's trying to," Zarif said. "But I don't think trying to create tension and conflict helps anybody."

One thing that Netanyahu has certainly done is get the attention of Iranians.

News about what happened in Washington was the biggest item in Iranian media and high on the minds of people on the streets of Tehran.

In addition to citizens and TV commentators, Iranian officials took notice as well. But that doesn't mean they are taking much stock in what Netanyahu said.

Massoumeh Ebtekar, Iran's Vice President for Environmental Affairs, told AFP from Paris that she didn't think Netanyahu's opinion "carries much weight."

"They are making their efforts to derail the deal," Ebtekar said of Israeli officials. "But I think the more logical lobbies on both sides are looking forward to a solution."

There is a widespread opinion in Iran that Netanyahu has long been singularly intent on going after Iran, even before he started his second stint as Prime Minister in 2009. His position is often conflated with that of the United States, a view that could be exacerbated by the loud reception Netanyahu got as he entered the chamber of the U.S. House of Representatives on Tuesday and all the times cheers and applause interrupted his speech.

Of course, just because Iranians are mindful of what Netanyahu said doesn't mean they will change their minds.

Changing minds in Israel, ahead of the coming election, is another matter.

Whether Tuesday's speech will do that can't be ascertained until there's credible polling after his remarks, or arguably once citizens go to the polls in two weeks.

Until then, polls from various Israeli news outlets suggest a tight race. Some project Netanyahu's Likud party winning fewer seats than the so-called Zionist alliance opposing him, though exactly who will end up as prime minister depends on which parties join forces after the votes are cast.

Most Israelis don't think that Netanyahu has any hope of impacting opinions and policies out of Iran with his speech, Bar-Ilan University professor Eytan Gilboa said.

But many are worried about what Gilboa calls the worst crisis in the decades-long relationship between Israel and the United States, with Tuesday's speech doing little to help change the perception "there is very little trust between" Obama and Netanyahu.

Speaking from Jerusalem, Carmi said he understands the depth of this division but doesn't think the damage is irreparable.

"The connection between Israel and the United States goes so deep and is on so many levels," he said. "Yes, we're going through a bad time. But we'll get over it."

CNN's Kate Bolduan reported from Jerusalem, and CNN's Greg Botelho wrote this story from Atlanta. CNN's Jim Sciutto contributed to this report from Switzerland, and CNN's Shirzad Bozorgmehr and Frederik Pleitgen from Tehran, Iran.

@highlight

Iranian ministry spokeswoman: Speech a "deceitful theater play" full of "lies"

@highlight

Israelis are split on the speech and Netanyahu ahead of upcoming elections there