(CNN) -- It's perhaps fitting that a story with so many layers should be symbolized by a layer of clothing.

From fashion mainstay to symbol of injustice

The first layer, of course, is the crime story: What actually happened between high school student Trayvon Martin and neighborhood watchman George Zimmerman on that fateful February night in Sanford, Florida? Who attacked whom first?

The second layer is the law enforcement story: What did the cops know, how thoroughly did they investigate and why didn't they arrest Zimmerman?

The third is the legal story: What is the "stand your ground' law? Did it apply in this case and should it exist at all?

The fourth layer is the media story: Why did so many news organizations fail to cover the story for so long and was there a rush to judgment once they did?

The fifth is a family story: What if this had happened to your child? Should you tell your kids to stop wearing hoodies?

And then, of course, there is the race story: Was the dead teenager suspected and trailed just because he was black? What does it mean that the man who shot him was Hispanic? How much racial baggage has everyone brought to everything that has happened since: the protests, the calls for investigations and hearings, the celebrity videos, the opinion columns and TV commentaries on all sides?

More than a month after 17-year-old Martin was found dead, none of these questions has an entirely clear answer. So as we continue to report every aspect of the story, over the next week and a half, CNN will air a series of In Depth reports exploring the larger issues that it raised.

On Friday, we will air a special town hall at 8 p.m. ET called "Beyond Trayvon: Race and Justice in America."

Soledad O'Brien will moderate a discussion among family members and friends of Martin and Zimmerman, law enforcement officials, citizen watch organizers, civil rights leaders, pro-gun advocates, legal experts and concerned parents. The conversation will take place before an audience of ordinary citizens who will participate in the questioning.

Starting Monday, "Anderson Cooper 360Â°" will launch a week of reports and discussions at 8 and 10 p.m. ET that we are calling "Kids on Race: The Hidden Picture."

Inspired by the historic Doll Test research of the 1940s and guided by eminent child psychologist Melanie Killen, we will explore how children develop their attitudes about race.

What role does family upbringing and circumstance play? When are racial perceptions "wired," and can they be unwired? What disparities exist between the ways white and black children look at the world? O'Brien will join Cooper in guiding viewers through the research, which promises to be full of sometimes disturbing but always fascinating conclusions.

As the Martin story continues to unfold, CNN.com will also collect iReport videos reflecting the powerful emotions and opinions that the case has stirred up and telling personal stories about how all of these questions play out in the lives of ordinary Americans.

The term "national conversation" can be overused, but sometimes it is entirely appropriate, and the Trayvon Martin case is one of them.

At CNN, we are determined that our contribution to that conversation be based on sound and unbiased reporting, that it take into account all points of view and that it go beneath the surface of the daily headlines to examine every layer of this compelling but complicated story.

@highlight

In Depth: CNN takes a thoughtful look at the many facets of the Trayvon Martin story

@highlight

CNN's Mark Whitaker: It's a crime story, a legal story, a family story, a media story

@highlight

CNN will air a special town hall at 8 p.m. ET Friday; Soledad O'Brien hosts

@highlight

On Monday, "Anderson Cooper 360Â°" will launch a week of reports at 8 and 10 p.m. ET