(CNN) -- In the lush rainforests of Africa's Congo Basin, hundreds of thousands of indigenous people live as hunter gatherers, depending on the forest's natural resources for their survival. Yet most have no legal rights to the land that has been their home for millennia.

But GPS technology is helping indigenous people map the land they call home and produce documents that can help preserve their access to the forest that is their lifeblood.

Rainforest Foundation UK (RFUK) is one group that organizes "community mapping" projects in central Africa's Congo Basin. Spread across six countries, and covering more than 1.3 million square miles -- an area twice the size of Alaska -- the Congo Basin includes an expanse of rainforest second only in size to the Amazon.

It is also home to 40 million people, says Georges Thierry Handja, of RFUK. They include up to half a million hunter-gatherer people, often referred to as "pygmies," whose lives are intimately linked to the rainforest.

"In almost all of the Congo Basin official laws say the land belongs to the state," says Handja. "Our challenge is to support those people to be able challenge those laws."

Handja says that because forest people have no legal rights to the land where they live, their governments can simply give the land to logging and mining companies, who often prevent indigenous people from accessing the land.

"Hunter-gatherer communities suffer most from the situation because 80 to 90% of their livelihood comes from forest products to survive," says Handja. "When nothing is done ... you see a situation where communities start dying and the number of people in the communities diminishes throughout the years."

See also: Race to save the leatherback turtle

RFUK's "Mapping for Rights" program trains forest people to map their land using GPS devices, marking the areas they use for activities such as hunting and fishing -- as well as their sacred sites -- and the routes they use to access these vital areas.

The GPS information is used to create a definitive map of the land used by these semi-nomadic communities, which can be used to challenge decisions that see them excluded from areas of forest.

"The map is not an end, it's the beginning of the process," says Handja. "Once the indigenous people have the map we must support them to have discussions, negotiations with the decision makers."

Handja explains that if, for example, an area of rainforest has been earmarked for a palm oil plantation, the aim is to arrange discussions between the palm oil company, the government and the communities that live there, to ensure the needs of the community are considered. The maps provide objective evidence that people rely on the land, and that continued access to it is essential for them.

But is not just logging, mining and palm oil plantations that threaten the forest people; they can also find themselves excluded from land designated as a conservation area.

See also: Butterfly farmers help protect threatened forests

Handja says that when land in the Congo Basin is designated a national park or conservation area, indigenous people are often banned from hunting in, or even entering, the area.

But some indigenous communities have been fighting back. Cameroon's Centre for Environment and Development (CED) has been running community mapping projects for 10 years. Like RFUK, it trains forest communities to map their land using GPS technology.

In 2007 and 2008 CED partnered with the Forest Peoples Program to map rainforest used by the Baka hunter-gatherer people near the new Boumba Bek National Park in Cameroon. The maps revealed that the Baka people traditionally collected honey, mangoes and medicinal plants from land that was now designated part of the national park.

The maps were presented to the WWF, which manages the park. As a result of the maps, and those produced by the WWF's own community mapping projects, the WWF granted the local Baka people greater access to the national park.

Of course, maps themselves are no guarantee that indigenous people will be allowed access to forest, but they are a vital negotiating tool, according to CED's Diderot Nguepjouo.

"When you have a map it's easy to discuss with government -- you can even discuss with other actors, mining, logging companies," he says. "When it's not based on GIS (Geographic Information Systems) data, it's difficult; those people say you can't prove that, it's not real, it's not the situation in the field.

"With GIS technology ... it's easy for other people outside the mapping process to verify if that the information is exactly placed on the map and on the land at the same place."

RFUK and CED claim that not only can community mapping protect forest people's rights, but it can protect the rainforest itself. They say indigenous communities have a vested interest in conserving the rainforest they have lived in for thousands of years.

Following the Boumba Bek mapping project, the WWF concluded that, far from threatening the survival of the rainforest, the Baka people were "excellent nature conservators."

"When land is removed from communities and given to, say, a mining company, it is very few years before it is completely cut down," says Handja. "The way communities manage the forest really allows it to be sustainable for many years."

He adds: "Where you find protected areas you always find indigenous peoples -- if their way of living was harmful to the environment it would not be possible to have such biodiversity there and be able to create protected areas there.

"They have to be part of the management of such areas and allow them to keep on living the way they are living now -- when this is not the case it's very harmful to their lives."

@highlight

Indigenous communities in Congo Basin often have no legal rights to the land where they live

@highlight

"Community mapping" projects train forest people to use GPS to map their land

@highlight

Rainforest Foundation UK says maps help people retain access to the forest