A peace agreement that had halted violence in the former Soviet republic of Tajikistan was shattered Wednesday when a rebel commander who had given up his weapons was killed by government forces, neighbors and relatives said.

The incident occurred in the southeastern province of Pamir at 4 a.m., when government soldiers entered the house of Imumnazar Imumnazarov and killed him and two other men, said the sources, who spoke on condition of anonymity because they feared retribution.

Imumnazarov's legs had been paralyzed since the civil war, which lasted from 1992 until 1997.

Efforts to contact government officials for comment were not successful.

Shortly after Wednesday's killings, 3,000 residents of the city of Khorog demonstrated outside a regional government building, demanding that the government and President Emomali Rahmon investigate why the peace agreement had been broken.

When protesters threw rocks at the building, soldiers fired on them, wounding several, the sources said.

A representative of the Aga Khan Development Network pleaded with the protesters for calm. "Imumnazarov was loyal to this peace agreement until the end," he said.

During the protest, more than 40 suspected rebel fighters were taken into custody, the government said in a statement.

Last month, the Aga Khan Development Network brokered a peace agreement under which rebels laid down their arms in exchange for a promise from government officials not to attack.

The network is a private group that has worked to develop the region over the past two decades.

The Aga Khan himself, who wields considerable influence as leader of all Ismailis, adherents of the Islamic branch followed by many Pamiris, played a key role in persuading the rebels to accept the truce. He had urged his spiritual followers to refrain from violence, to work for peace and to uphold the law.

The Interior Ministry said July 31 that an offer of amnesty for anyone who disarmed voluntarily had resulted in 200 weapons' being handed over to the authorities.

But by Wednesday afternoon, the initial progress toward peace had reversed. Internet, cell phone and land line communications had been cut to the Gorno-Badakhshan region, residents said.

Such cutoffs have been routine during periods of unrest.

One government explanation appeared comical to some Pamiris. "The head of the state communications service, Beg Zukhurov, claimed that a stray bullet had severed telephone, mobile, and Internet connections to the region," Human Rights Watch said in a posting on its website.

The rights group expressed concern over the fate of the detainees. "Torture remains an enduring problem within Tajikistan's penitentiary system and is used to extract confessions from defendants, who are often denied access to family and legal counsel during initial detention," it said.

Authorities have not allowed representatives of the International Committee of the Red Cross to visit prisoners, it added.

An open letter to the president from "youth of Gorno Badakhshan" bemoaned the deteriorating situation. Since a military operation began in Khorog in the center of Pamir on July 24, "we have been witness to military actions, civilian deaths, and crying children and mothers," it said. "With every passing day, we are increasingly losing hope that peace and stability will prevail in the country again."

It said that the peace agreement had been adhered to by the former field commanders and that "the people of Khorog cooperated with the government in every possible way."

That tense peace was first interrupted two weeks ago, when government soldiers manning a checkpoint in the town of Bidurth -- north of Khorog -- shot at a civilian car, killing two occupants and wounding two others, the letter said.

"Despite this, we all hoped for an early resolution to the problems and the removal of the armed structures from the region to avoid further complication of the situation," the letter said.

But Wednesday's killing of Imumnazarov -- who had called for a peaceful resolution to the conflict -- "could provoke a further escalation of the situation and result in heavy casualties," it said. "And this, in turn, could become a pretext for the destruction of peace and accord in Tajikistan, as well as in the whole Central Asian region."

The letter asked that Rahmon and other government representatives "intervene in this complex situation as we believe that a purposeful process of destabilization is taking place in the country by third forces."

It did not elaborate on who those third forces might be.

Imumnazarov's killing was preceded in July, before the peace agreement was reached, by the killing of Sabzali Mamadrizoev, a representative of the opposition Islamic Renaissance Party. He had condemned what he said was the government's indiscriminate attack on residents of Khorog after a general was killed there.

A YouTube video shows soldiers dragging a man through the city streets and dumping him in a trash heap. Residents identified the man as Mamadrizoev; the government said it wasn't he. The residents have said they want the soldiers involved in the killing to be brought to justice.

Islamic Renaissance Party national leader Muhiddin Kabiri said in a statement that even if even if the dead man was not Mamadrizoev, he should have been treated humanely.

Tajikistan gained independence with the collapse of the Soviet Union in 1991 but was troubled by a five-year civil war that ended in 1997 and is still plagued by widespread corruption and poverty.

Tensions remain high between the Tajik government in the capital city of Dushanbe and warlords -- so-called Komandos -- of Gorno-Badakshan, who are members of the Pamiri ethnic minority.

The region was a stronghold of rebels during the civil war, which claimed thousands of lives. The war divided people along ethnic and regional lines, and the Pamiri largely sided with the opposition.

A United Nations-brokered peace plan left Rahmon's secular government in place but gave official jobs to some of his opponents, including the Komandos.

Rahmon, who has Moscow's support and faces reelection next year, has sought to consolidate power and stamp out remnants of the former opposition-turned-warlords.

@highlight

Government soldiers accused of shooting a former rebel commander

@highlight

The incident occurred at 4 a.m. in the southeastern province of Pamir

@highlight

"We are increasingly losing hope," says an open letter to the president

@highlight

Former commander had been paralyzed during the civil war