(CNN) -- The debate over teacher evaluations that's taken center stage in the Chicago schools strike could have major effects on the issue in the future, an education expert says.

"Chicago absolutely matters," said Elena Silva, senior associate for public policy engagement at the Carnegie Foundation for the Advancement of Teaching.

"I think what happens here will substantially matter for what we see happen with teacher evaluations nationwide," she said.

In the last three years, 21 states have passed have legislation or implemented new regulations designed to highlight teacher accountability, according to a report by Bellwether Education Partners, a consulting firm.

The changes came often by way of the kind of standardized testing that one Chicago Teachers Union board member referred to as "data-driven madness."

My View: A parent's take on the CPS teachers strike

In many -- but not all -- cases, the reforms were hotly contested, with teachers unions saying the changes put jobs at risk without enough evidence they would work in the way both sides say reforms should work -- helping students learn, said Sara Mead, a Bellwether analyst who tracks teacher effectiveness policy nationwide.

"In a lot of places, this has been fairly controversial, but that has not been universal," she said.

For instance, in New York, teachers unions sued over a 2010 law implementing teacher effectiveness standards in return for funding under President Barack Obama's Race to the Top initiative. But in Colorado, unions and state officials worked together on a law that calls for incentive pay based on performance, according to Mead.

Similar issues have arisen elsewhere.

In Boston, negotiations on a new contract stalled for a while, in part over differences in teacher evaluations. In 2009, then-Washington schools Superintendent Michelle Rhee ignited a firestorm with a teacher evaluation model that put heavy emphasis on standardized test scores. At the time, the president of the Washington Teachers Union called the evaluation standard a "flawed instrument with many loopholes."

Many of the state changes were part of what Mead's Bellwether report referred to as an "unprecedented wave of legislation," much of which could be traced back to the $4.25 billion Race to the Top program.

The 2009 initiative offers states money under a competitive grant program in return for adopting teacher effectiveness standards and a host of other reforms.

It's been an attractive proposition to reform advocates and to many cash-strapped state governors and legislatures -- do something to make teachers more accountable, among other things, and we'll give you more money, Silva said.

And unions have moved on the issue of accepting updated evaluation standards, dropping wholesale opposition for nuanced support.

Voices of the strike

Last year in Chicago, for instance, delegates to the National Education Association's annual conference approved a new policy statement that calls for "robust evaluations by highly qualified evaluators using multiple indicators, not a single narrow metric."

But those same unions have hotly contested such changes, arguing that making high-stakes decisions about teaching jobs shouldn't flow from the results of standardized test scores alone.

"Unions don't want teachers being evaluated on student achievement because, the strongest argument or the most common one is, there are too many factors outside control of teachers," Silva said.

In Boston, where the teachers union has been fighting with city officials over evaluations, union officials wrote on their website that the Race to the Top money "will dry up shortly, leaving bad policy in its wake. We cannot afford to give up our fight to restore some common sense to what have been mislabeled reforms."

Key issues in the strike

But the drumbeat for change is unlikely to abate, Silva said.

"There is a clear sign that teacher evaluation is changing and will change," she said. "Where it will go and what it will look like is still up for grabs."

Teachers: Why do you teach?

@highlight

After Race to the Top initiative, fights over teacher responsibility have become more common

@highlight

The initiative provides funding to states in exchange for reforms

@highlight

The Chicago schools strike could influence the outcome of the debate, expert says