A federal judge in Brooklyn, New York, has ordered the U.S. Food and Drug Administration to make the morning-after birth control pill available to people of any age without a prescription.

The order overturned a 2011 decision by Health and Human Services Secretary Kathleen Sebelius to require a prescription for girls under 17.

The FDA said it couldn't comment on an ongoing legal matter. But the U.S. Justice Department indicated an appeal of the ruling was under consideration. "The Department of Justice is reviewing the appellate options and expects to act promptly," department spokeswoman Allison Price said.

The American College of Obstetricians and Gynecologists recommended last year that oral contraceptives be sold over the counter in an effort to reduce the number of unintended pregnancies in the United States. Opponents of prescription requirements say prescriptions can delay access to the drug.

In 2011, Teva Women's Health Inc., maker of Plan B One-Step, had asked the FDA to make the drug available without prescription to all sexually active girls and women. Sebelius overruled the FDA's recommendation, saying, "I do not believe enough data were presented to support the application."

On Friday, U.S. District Court Judge Edward Korman said in his order, "The decisions of the Secretary with respect to Plan B One-Step and that of the FDA with respect to the Citizen Petition, which it had no choice but to deny, were arbitrary, capricious, and unreasonable."

Friday's order came in response to a lawsuit launched by the Center for Reproductive Rights. The group was seeking to expand access to all brands of the morning-after pill over the counter, such as Plan B One-Step and Next Choice, so that women of all ages would be able to purchase them without a prescription.

"Today science has finally prevailed over politics," Nancy Northup, the center's president and CEO, said in a statement. "This landmark court decision has struck a huge blow to the deep-seated discrimination that has for too long denied women access to a full range of safe and effective birth control methods."

In a press briefing, Northup said that according to the order, within 30 days, the pill would be available over the counter without "point of sale restrictions," such as needing to show identification or being a certain age.

There may be other settings besides drugstores where the morning-after pill will be sold, Susan Wood, associate professor at the George Washington University's School of Public Health and Health Services, told reporters.

"We no longer have to find, on a Sunday morning or a Saturday night, an open pharmacy counter with a pharmacist on duty," she said.

The American Society for Reproductive Medicine also supported the decision, applauding the stance that "science should guide policy."

But other groups, including the Family Research Council, expressed concerns about the order.

"There is a real danger that Plan B may be given to young girls, under coercion or without their consent. The involvement of parents and medical professionals act as a safeguard for these young girls.  However, today's ruling removes these common-sense protections," Anna Higgins, director of the organization's Center for Human Dignity, said in a statement.

Bill Donohue of the Catholic League for Religious and Civil Rights also disagreed with the ruling, citing what he sees as a "contempt shown for parental rights."

"A 12-year-old girl in a New York City school cannot be given an aspirin by her teacher, even if she has a fever. The same girl cannot buy a large soda during lunchtime because Mayor Michael Bloomberg has decreed that it is not good for her. But she can be given a pill, unbeknownst to her parents, that could arguably abort her baby," he said in a statement.

The FDA approved Plan B in 1999. The key ingredient in Plan B is a synthetic hormone called levonorgestrel.

This drug stops an egg from being released from the ovary, or preventing fertilization of the egg by sperm.

If there has been fertilization, Plan B may prevent a fertilized egg from embedding in the uterus. But if the egg has already been implanted in the uterus, the morning-after pill will not work.

Emergency contraceptives are intended for use within 72 hours after sex but are most effective if taken within 24 hours.

Many developed countries require a prescription for oral contraceptives, including Canada and most of Europe, but other countries sell the pill without a prescription even formally or informally.

A 2012 study in the journal Pediatrics found that there is misinformation about emergency contraception, including about what age women can obtain it without a prescription, and who can take it in general.

As far as pricing, the morning-after pill goes for about $50, said Susannah Baruch, interim president and CEO of Reproductive Health Technologies Project.

@highlight

NEW: Justice Department "reviewing the appellate options," spokeswoman says

@highlight

Morning-after pill ordered to be available for people of all ages

@highlight

Judge's order overturns Health and Human Services Secretary Kathleen Sebelius' decision