(CNN) -- In a dusty old attic in Chattanooga, Tennessee, Stephon Tull was rummaging through dilapidated boxes left there by his father many years before, when he came across an interesting find.

In one of the battered boxes was an audio reel marked, "Dr. King interview, Dec. 21, 1960."

"I'm a rummager, a packrat," said Tull. "That piqued my interest."

Tull acquired a reel-to-reel player and listened to what sounded like his father interviewing Dr. Martin Luther King Jr. about nonviolence and the civil rights movement.

"I could not believe what I was hearing," said Tull.

Tull's father had grown up in Tennessee during the years of racial tension, oppression, and the so-called "Jim Crow" segregation laws.

"He planned on writing a book on how bad things were back in that era," said Tull, but he never finished it, "He fell ill, and is now in Hospice care."

Tull's father's recorded his conversation with King three years before the civil rights leader delivered his famous "I Have a Dream" speech in Washington, four years before President Lyndon B. Johnson signed the Civil Rights Act into law and eight years before King was assassinated in Memphis, across the state from where Tull's father lived.

In the interview, King can clearly be heard discussing his definition of nonviolence, and its importance in the civil rights movement.

"I would ... say that it is a method which seeks to secure a moral end through moral means," he said, "and it grows out of the whole concept of love, because if one is truly nonviolent that person has a loving spirit, he refuses to inflict injury upon the opponent because he loves the opponent."

King continued, "I am convinced that when the history books are written in future years, historians will have to record this movement as one of the greatest epics of our heritage," he said. "It represents struggle on the highest level of dignity and discipline."

The Rev. Joseph Lowery, one of the founders of the Southern Christian Leadership Conference with King in 1957, said the tapes are a reminder of the work King started that is not finished.

"One of the things that occurred back then, we effectively communicated that nonviolence as a tactic, as a technique, was very effective for civil rights protests," said Lowery. "What we failed to do was express it's not just a tactic, but a way of life."

Lowery went on, "We're losing the battle of violence versus nonviolence as a means of resolving human conflict," he said, "I hope Dr. King's message, wherever it shows up will help us in the struggle."

In another part of Tull's recording, King describes a recent trip to Africa. He explains to Tull's father the importance of the civil rights movement both in the United States and abroad.

"There is quite a bit of interest and concern in Africa for the situation in the United States. African leaders in general, and African people in particular are greatly concerned about the struggle here and familiar with what has taken place," he said, "We must solve this problem of racial injustice if expect to maintain our leadership in the world, and if we expect to maintain a moral voice in a world that is two thirds color."

The recording is intriguing to Clayborne Carson, a professor of history and founding director of the Martin Luther King, Jr., Research and Education Institute at Stanford University.

"It's hard to know what we're dealing with," he said, "There are thousands of interviews with Dr. King, and it's hard to tell the historical significance of this (one)."

"What is interesting about this is rather than just a transcript, you can hear his voice," he added.

In 1985, King's widow, the late Coretta Scott King, invited Carson to direct a long-term project to edit and publish the civil rights leader's works.

Based on the dates, Carson believes the African trip King mentioned in the recording was his trip to Nigeria. This is what Carson and his colleagues are most interested in.

"The trip to Nigeria is something we don't have a lot of information about," he said, "In Nigeria he didn't do press conferences, didn't do interviews or write letters we know of."

Keya Morgan, a collector and expert on rare historical artifacts, authenticated the reel, and is working with Tull to arrange a sale through his Keya Gallery in New York. He says he hopes the recording will find a good home in a museum or at a university.

"When I heard it, I got goose bumps all over," Morgan said, "It feels like he's sitting in your living room and talking to you."

One scholar's commitment to Dr. King's teaching

@highlight

The reel-to-reel tape is an interview from 1960

@highlight

It was collecting dust in an attic in Chattanooga, Tennessee

@highlight

The interview was recorded three years before King's "I Have a Dream" speech

@highlight

The historical significance of the tape is unclear