(CNN) -- Apple's Steve Jobs gave quite a monologue Monday, dressing down competing makers of smartphones, tablets and software.

The brunt of that was aimed at Google, which makes the Android software that powers smartphones from a range of manufacturers including Motorola, Samsung Electronics and HTC.

First, Jobs expressed skepticism about how Google reports its number of Android users. This is an issue Jobs has raised in prior speeches, yet he freely addressed the point of comparison, saying Apple has activated 75,000 more iOS devices over the last 30 days compared to Google's last reported Android activation number.

Jobs, who made his comments in an unusual appearance on Apple's quarterly earnings call with investors, then took issue with the geeky argument of open versus closed, which refers to how transparent a system's source code is to developers.

"Google loves to characterize Android as open, and iOS and iPhone as closed," Jobs said. "We find this a bit disingenuous and clouding the differences between our two approaches."

He called Android "fragmented." He highlighted how Android handset makers install layers on top of Google's software, which can introduce unexpected problems. And Amazon, Verizon Wireless and Vodafone say they intend to create their own digital stores to sell applications to Android users, despite Google's own Marketplace.

"This is going to be a mess for both users and developers," Jobs said. "We believe integrated will trump fragmented every time."

Later, Jobs criticized Google for not having a version of Android that plays nicely with tablets. The animated executive then turned his attention to tablet-device makers, which are ramping up production in advance of the holiday season.

"Almost all of them use 7-inch screens, as opposed to the iPad's 10-inch screen," Jobs said. "This size isn't sufficient to create great tablet apps."

Jobs joked that people would need to sandpaper their fingers in order to use these gadgets comfortably. While a smaller tablet is obviously more portable, he says consumers won't want something that replaces a smartphone. "Every tablet user is also a smartphone user," he proclaimed.

His comments will perhaps put an end to speculation that Apple will make a 7-inch iPad. "We think the 10-inch screen size is the minimum screen size required to make great tablet apps," he added.

Additionally, Jobs said tablet makers will have a hard time matching Apple's prices. The most inexpensive iPad sells for $499. Competitors' tablets will be "dead on arrival," Jobs said. He added: "Sounds like lots of fun ahead."

Jobs began his comments Monday by relishing in Apple's successes with the iPhone 4, pointing to the 14.1 million smartphones the company sold during the recent three-month fiscal period. That tops Research in Motion's 12.1 million units sold, as Jobs was quick to note.

"We have now passed RIM, and I don't see them catching up to us in the foreseeable future," Jobs said. "I think it's going to be a challenge for them to create a competitive platform and to convince developers to create apps for yet a third software platform, after iOS and Android."

RIM, the Canadian smartphone manufacturer, is popular with corporate IT departments for its tight security mechanisms and reliable keyboards for tapping out long emails.

Despite the slow quarter for RIM, the BlackBerry maker still has the highest market share of smartphone users, according to independent data. The company is preparing to enter the tablet market with its PlayBook, an area dominated by Apple's iPad.

"RIM has a high mountain to climb," Jobs concluded.

On Adobe Systems, which makes the Flash platform that powers most of the Web's video, Jobs dodged questions. He finally addressed the lack of Flash support on the iPad, iPhone and iPod Touch, saying: "Flash hasn't presented any problem at all."

On Nokia, which sells the most cell phones worldwide, Jobs said: "Nokia is the biggest, and we admire them for being able to ship the number of handsets that they do. But we don't aspire to be like them."

"Nokia makes $50 handsets, and we don't know how to make a great smartphone for $50," Jobs said. "We're not smart enough to figure that one out yet."

For the famed business leader to take part in the company's earnings call is strange enough, as he acknowledged after being introduced in the meeting Monday. (Apple broke a number of its sales records this quarter.) But his comments were even more unexpected.

Oftentimes, his discussions would come back to Google, as they did again after a question about Nokia.

"Android is our biggest competitor," Jobs said. "They outshipped us in the June quarter when we were transitioning to the iPhone 4."

"Eventually it will turn into a zero-sum game or a lot closer to that," Jobs said of the smartphone market. "Right now, iPhone and Android are winning that battle."

@highlight

Apple's Steve Jobs participated in the company's earnings call, which is unusual

@highlight

Jobs had choice words for competitors including Google, RIM, Nokia and Adobe

@highlight

Android is Apple's biggest competitors in the smartphone industry, Jobs said