(CNN) -- The Pap test, the gold standard for detecting cervical cancer for 60 years, may be losing its luster.

An FDA advisory committee unanimously recommended this week that a particular HPV test become the first line of screening for the deadly disease.

The test developed by Roche detects the DNA of the human papillomavirus, or HPV, which is the cause of more than 99% of all cervical cancers. The Pap test is designed to look for abnormal squamous cells that could indicate cervical cancer. Both tests are performed with a vaginal swab.

Up until now, the Pap was the first test women had to detect the illness, with the HPV test as a second analysis. But if the FDA follows the advisory committee's recommendations, that would change.

The committee, which voted unanimously to make the switch, would only allow the Roche cobas test to be used alone as the primary evaluation for women 25 years and older. Although there are other HPV tests available, the Roche test detects two strains of the virus that are found in 70% of all cervical cancers.

"Every year, 12,000 women are diagnosed in the U.S. with cervical cancer. This is especially tragic because cervical cancer is a largely preventable disease, and it is well established that HPV is the cause of almost all cervical cancers worldwide. Women need better access to screening tools that include primary HPV screening in order to reduce their risk of developing cervical cancer," said Dr. Thomas Wright Jr., an expert in gynecology and pathology at Columbia University Medical Center.

"I am pleased that the FDA panel recognized the importance of validated, scientific evidence documenting the use of primary HPV screening to detect women at risk of invasive cervical cancer and allow us to prevent cervical cancer from developing."

This does not mean the Pap test will go away. It will really be up to the physician and the patient on how best to handle testing. But according to women's health experts, in most cases, patients who don't have HPV are less likely to need a Pap, which is why the advisory committee felt it best to recommend the Roche test be administered as the first form of detection.

"I think anytime guidelines are changed, it becomes confusing for both patients and physicians. And we're going to have to do more research on what's best," said Dr. Angela Marshall, director of Comprehensive Women's Health of Maryland. "But the fact that the FDA is looking to make these changes says we've made great strides in detecting and treating cervical cancer."

Many physicians are viewing the recommendations with caution.

"Use of the Pap test and HPV test in tandem, or co-testing, is currently the preferred method of cervical cancer screening in women over 30, so ob-gyns generally use the combination. The use of the HPV test as a first-line screen is promising, and appears better than the Pap test used by itself. The real question is how it compares to co-testing, which is not yet clear," said Dr. David Chelmow of the Department of Obstetrics and Gynecology at the Virginia Commonwealth University Medical Center. Chelmow also spoke on behalf of the American Congress of Obstetricians and Gynecologists at the advisory committee meeting.

"About half of the cervical cancers diagnosed in the United States are found in women who were never screened for the disease. At this time, primary screening is not part of any of the generally used clinical practice guidelines."

Current U.S. guidelines for cervical cancer detection recommend that women between age 30 and 65 undergo the Pap test alone every three years, or both the HPV and the Pap tests every five years.

Although the FDA does not have to follow the recommendations of its advisory committee, in most cases it does.

@highlight

FDA Advisory committee says a particular HPV test should be first line of screening

@highlight

Pap test has been first way to diagnose cervical cancer for 60 years

@highlight

Women's health experts say patients who don't have HPV are less likely to need a Pap