Washington (CNN) -- As President Barack Obama and his administration make their case for a military strike against Syria, officials from the president on down worry the regime's chemical weapons stockpiles could eventually endanger America's friends.

"If fighting spills beyond Syria's borders, these weapons could threaten allies like Turkey, Jordan and Israel," the president said in his speech to the nation Tuesday night.

The administration and its allies are careful to make sure the case to launch military action against Syria is not seen as being solely motivated by the desire to protect America's closest friend in the region: Israel.

Is the CIA arming Syrian rebels?

As part of its effort to build support for its position, the administration has reached out to American-Jewish leaders and groups, several sources familiar with the effort confirmed to CNN.

With the holiest days of the Jewish calendar being observed -- Yom Kippur begins at sundown on Friday -- the White House has had several conference calls with hundreds of rabbis just as they are readying the content of their sermons.

Obama participated in a previously scheduled call two weeks ago in which Syria was a major topic, and Deputy National Security Adviser Ben Rhodes took part in a special call Tuesday with 700 rabbis solely on Syria.

Rabbi Julie Schonfeld, executive vice president of the Rabbinical Assembly, helped organize Tuesday's session with Rhodes. She told CNN she solicited questions from the participating rabbis who mostly wanted to ask about the "complex moral and ethical concerns" of the Syria issue, such as the possible unintended consequences.

"That is what the rabbis were looking for -- more details about how they are addressing" those questions since Syria is going to be a major theme of their holiday sermons.

"This is not an Israel issue," Schonfeld said. "The Jewish community is always concerned about issues in the Middle East as we ought to be."

However, Israel and the impact of Syria are part of the unspoken equation. One argument made by the administration centers on Iran -- concerns about its nuclear capabilities and how strongly the United States is willing to push Iran are major points of interest for the Jewish community and Israeli Prime Minister Benjamin Netanyahu.

"A failure to stand against the use of chemical weapons would weaken prohibitions against other weapons of mass destruction and embolden Assad's ally, Iran -- which must decide whether to ignore international law by building a nuclear weapon, or to take a more peaceful path," the president said Tuesday evening.

Putin slaps down Obama, challenges U.S. exceptionalism

The Iran question also motivated several groups to call for congressional action.

About 250-300 activists from the pro-Israel lobbying group AIPAC descended on Washington on Tuesday, visiting 300 congressional offices, an AIPAC source told CNN.

"This critical decision comes at a time when Iran is racing toward obtaining nuclear capability. Failure to approve this resolution would weaken our country's credibility to prevent the use and proliferation of unconventional weapons and thereby greatly endanger our country's security and interests and those of our regional allies," AIPAC said in its statement last week.

Now that the White House has asked for a delay in any congressional vote as it pursues a possible diplomatic resolution, there is not the same urgency to help the administration build support. AIPAC has put its lobbying effort on hold for now, an AIPAC source told CNN.

Another major influential group, the Conference of Presidents of Major American Jewish Organizations, also weighed in. "Failing to take action would damage the credibility of the U.S. and negatively impact the effort to prevent Iran from achieving a nuclear weapons capability," read a statement released from the conference last week.

All eyes turn to U.S.-Russia talks

Sensitive to any criticism about why they are acting, community leaders insist Israel and its fate are not the reason. "The decision we reached was not because of outside pressure," Malcolm Hoenlein, executive vice chairman of the conference, told CNN, adding American security concerns because of the violation of norms could be "dangerous in the future." It "was not because of Israel....or pressure from Israel."

For its part, Israel has avoided publicly discussing the possible votes in Congress on a resolution to give the president authority to strike so as not to be seen as trying to influence the outcome.

Also, Jewish activists tell CNN that the history of the holocaust, the idea of a country gassing its own citizens, is a powerful motivator to help push the administration's case.

While many of the president's allies in Congress have been reluctant to support military action, he did get some support from one of his fiercest critics.

Nevada billionaire and major Republican donor Sheldon Adelson, a major supporter of Israel, told National Journal, "He is our commander in chief, whether we like what he says politically or not."

Adelson, who donated more than $100 million to Republican causes in last year's election, added, "I would be willing to help out the administration, because I believe it's the right thing to do. He is our only-we don't have any other commander in chief."

@highlight

Israel's fear of chemical weapons attacks is fueling increased conversations

@highlight

Jewish-American groups are quietly meeting with White House officials

@highlight

Conservative billionaire Sheldon Adelson supports the Obama administration's approach