(CNN) -- As Kenya celebrates 50 years of independence, many will be looking back on the events of the last half century, which saw country shake off British colonialism to carve its own identity. But it is also a time to look ahead to the next 50 years, and how technology can shape a new Kenya.

Kenya's 50th independence celebrations come at a moment of great economic promise for the continent. Much of the growth has been driven by export of raw materials, investment in infrastructure and expansion of trade in consumer goods.

The challenge for the future, however, is building a technological foundation for economic transformation. Probably Kenya's most important technological achievement was pioneering the world-first mobile money transfer system. The transformative innovation is part of a larger revolution in mobile banking.

Read more: Tech cities and mega dams: Africa's giant infrastructure projects

Kenya has contributed to the global mobile wallet market that is expanding exponentially. The market is projected to $5.25 billion in 2020 and will be driven by the rapid adoption of smartphones.

In its vision to become a middle-income country by 2030, Kenya has singled out scientific and technological advancement as a key driver for growth. Achieving this goal will require the country to do in other sectors what it has done for mobile money transfer and allied financial activities.

The first step for Kenya is to consolidate the gains already made in mobile technology. There are already plans underway to promote innovation in mobile technology. But these efforts need high-level political commitment to define the country as a world leader in the extension of mobile technology to other sectors.

The key to doing this is building new research universities whose curriculum and teaching are directly influenced by the evolution of the mobile industry. Kenya has recently created the Multimedia University, which was incubated by the ministry of telecommunications. But this university needs to be more directly integrated into the telecommunications sector with a clear focus on advancing all aspects of the mobile revolution.

Read more: Africa's super telescopes 'will inspire science boom'

Kenya can learn from other countries, such as South Korea, as it embarks on a technological path. In the early 1960s South Korea's main exports included wigs and false teeth. Its success as an industrial nation is largely a result of investing in new research institutions and universities.

Kenya needs to embark on a more ambitious technological initiative that can help to galvanize public attention and support the foundation for long-term economic development. One obvious next step for the country is geographic information science and technology. The Kenya Parliament has already passed a motion calling for the creation of a space sector for the country. Drafts of a policy, strategy and bill for creating the sector already exist.

The benefits of such an initiative would be profound. It could generate vital data for planning and decision-making in a wide range of areas such as environmental management, business planning and security. It could also help stimulate the creation of new firms marketing technologies and services.

Read more: Africa's new high-tech cities

Data generated by the space program would be distributed through existing mobile networks and would add value to current investments such as the fiber-optic backbone. Such a program could help strengthen Kenya's role as a regional technology hub. Such a space program could also help Kenya monitor climate change and support decisions on critical regional resources such as Lake Victoria.

Developing a space sector is not just a vanity effort but a critical investment for national development. Advances in technology are dramatically lowering the cost of running such a program. In fact, several sub-Saharan African countries have space plans or programs, of which Nigeria is the most advanced.

Read more: How African innovation can take on the world

A technological vision of Kenya's future demands at least two critical activities. First, the country will need to significantly expand its engineering education. One way to do this is to upgrade engineering-based training institutes in line ministries into graduate training institutes or research universities.

Second, the presidency will need to be supported on a regular basis by the best available science and technology advice. Such advice will need to be managed by an office of science and technology advice, directly answerable to the head of state.

Kenya is at a critical juncture where it has no alternative but to find new pathways for technological leapfrogging. The alternative is falling behind as other players in the region start to invest in moving to new technological frontiers. At 50, the country is overdue to reinvent itself using technological innovation as the engine of economic transformation.

Follow Calestous Juma on Twitter @calestous

The opinions expressed in this article are solely those of Calestous Juma.

@highlight

Kenya is celebrating 50 years of independence

@highlight

Tech and innovation can drive country's future, says Calestous Juma

@highlight

Needs to build new research universities and expand its engineering education

@highlight

A space program can aid national development, Juma argues