(CNN) -- Despite current world player of year Lionel Messi's recent declaration that he wants to finish his career in his native Argentina, there are very real concerns about the current well-being of football in the soccer-mad South American nation.

Messi may be the best player on the planet, but problems both on and off the pitch -- including Argentina's humiliating 4-0 defeat at the hands of Germany in the 2010 World Cup finals -- have put immense pressure on the national team to perform well in the Copa America tournament they currently host.

There is no doubt that the tournament is being staged on the back of a traumatic few months for Argentine football.

Serious crowd disorder, chronic financial problems, the continued drain of top talent to rich European clubs and the shock relegation of the mighty River Plate have all combined to leave many fans with furrowed brows.

Add to this the apparent strength of traditional rivals Brazil, who have just won the Copa Libertadores -- the biggest club prize in South American football -- with Santos, and whose teams are managing to keep hold of their better players due to an improved national economy, and it is clear to see why many are questioning the health of the sport.

River Plate's fate is a warning to Latin American giants

So far, the omens are not looking good. A late goal from Sergio Aguero rescued a point for Argentina in their opening group match against Bolivia.

And things got even worse for the hosts in their second group game when they were booed off after a dreadful 0-0 draw against Colombia. Next Monday's final match against Costa Rica is now a must-win affair, with the very real possibility that Argentina might crash out of the tournament at the first hurdle.

CNN's Buenos Aires correspondent Brian Byrnes summed up the mood that pervades many of the passionate followers of football in the nation.

"Argentina have some of the best players in the world and for some reason the team is not producing what it is capable of," said Byrnes.

"World-class players like Sergio Aguero (Atletico Madrid) and Gonzalo Higuain (Real Madrid) cannot even get in the side, while other nations would be proud to have players like that in their team, let alone on the bench.

"You only had to look at Lionel Messi's face after Wednesday's match. The team cannot get the best out of the world's top player and things are so bad that radio phone-ins and web sites are calling for the return of (former national coach) Diego Maradona, who was castigated after last year's World Cup failure."

Argentine football legend Osvaldo Ardiles also conceded that the national team have got problems at the moment.

Ardiles, a key member of the Argentina side that won the World Cup for the first time on home soil in 1978, told CNN: "We have drawn our first two games in the tournament and, to be honest, we were so bad that they could easily have been two defeats.

Argentina booed off after goalless draw

"Argentina are favorites for this tournament, and for them to miss out on reaching the knockout rounds would be unthinkable -- but Brazil also had a bad start (0-0 against Venezuela) so I don't agree that it is all doom and gloom yet.

"I also don't think Brazilian football is better than us at the moment. Both countries went out in the same stage of the World Cup finals, and although Santos won the Copa Libertadores, Argentina won it with Estudiantes in 2009 and Boca Juniors in 2007."

Ardiles continued: "I do believe the future of Brazilian football is in a better state than ours. The Brazilian economy is strong and they are able to bring back some of their better players from Europe. I think that will really have an effect on the national team in four or five years time."

The tournament comes just a week after the dramatic demise of River Plate.

The most famous football club in Argentina, and arguably the whole of the continent, are known as Los Millonarios (The Millionaires) for good reason.

A roll-call of honor that has seen the club lift the Primera Division title a record 33 times, as well as two Copa Libertadores crowns and an Intercontinental Cup, proved a distant memory as a steady financial decline, coupled with poor results over the past three years, ultimately proved River Plate's undoing.

Their demotion has sent shock waves throughout the country, resulting in a feeling of "mourning," even for non-River Plate fans.

Riots compound River Plate's relegation misery

However, Ardiles believes the fate of River Plate, and the current failings of the Argentine national team are not linked, and they should be viewed in completely different lights.

"It's a tragedy for River Plate's fans that the club were relegated, but I actually think it shows Argentine football is in a healthy state," he told CNN.

"Beforehand, people were saying that River Plate would never be allowed to be relegated, that somehow the football authorities would prevent it -- well, that did not happen.

"It is good that smaller clubs can beat the bigger clubs, it is healthy for football and shows a high standard. Football thrives on shocks and surprises, and there is something magical about that."

Byrnes followed the River Plate story closely and was present when the team were finally relegated.

"The River Plate relegation saga captivated the nation, not just football fans, and was front page news for weeks leading up to their decisive playoff match.

"The public as a whole viewed what happened at River Plate, the financial mismanagement of a great team, as symptomatic of what they perceive happens in Argentine politics and society as a whole -- hence the disbelief at their relegation."

Argentine soccer hooligans offered World Cup holiday

Byrnes continued: "There is a very real social story to this. River were 'The Millionaires' not only for the wealth of the side but also for their fans -- who traditionally came from the upper-class north of Buenos Aires.

"That is why their demotion has been such a major story, it shows what can happen if there is mismanagement involved."

If the shock of River Plate's relegation was bad enough, the subsequent crowd disturbances that followed their demise were then graphically viewed around the world.

"Crowd trouble is endemic in Argentine football," added Byrnes. "The police and football authorities seem unable to contain it, but what happened in the stadium that day was the worse I have ever seen.

"I was reporting live for CNN News, not sport, which gives you an indication how big the story was and, after the game, the supporters took their anger out on everybody, including the media. People in Argentina were embarrassed by those images going around the world."

With those images of crowd disturbances fresh in the memory, the Argentine national team are under real pressure to get a victory against Costa Rica on Monday.

Anything but a win would see a great football nation suffer the ultimate ignominy on home soil.

@highlight

Argentina are currently hosting the Copa America tournament

@highlight

The pressure is on the hosts to perform well in front of their home fans

@highlight

The tournament follows on from the shock relegation of top club River Plate