(CNET) -- With its launch of iPhoto 09, Apple has begun showing some reasons why it's worth enduring the hassle of geotagging your photos.

Phil Schiller, Apple's senior vice president, unveils iPhoto 09 at Macworld Tuesday.

It's generally not easy right now to label your photos with information about where you took the pictures -- the process usually is done with special software to marry the photos with location data taken from a separate GPS receiver.

Phil Schiller, Apple's senior vice president of worldwide product marketing, demonstrated what you can do with iPhoto at the Macworld 2009 keynote Tuesday.

iPhoto 09 works best with photos that already have been tagged.

That's getting more common, as GPS hardware support becomes less of a rarity. For example, Nikon's Coolpix P6000 has a built-in GPS receiver, and Nikon has begun selling its GP-1 GPS receiver, which can plug into its SLR's flash mount so location data is embedded in the photo.

Apple's iPhone can geotag its own photos, and camera manufacturers say GPS support in cameras has become a matter of when, not if.

But the software also can help you tag your own images. Clicking a photo flips it over, letting you type in a location, then showing the spot using a map. (Google supplies back-end mapping services). Helpfully, iPhoto then can spread that location data to other photos with similar time stamps, and they can be bundled together into a group called an event.

OK, but what can you do? Once you have geotagged photos, what can you do with them?

For one thing, sift through them geographically using iPhotos' new Places interface. Viewing an iPhoto event can show an associated collection of pushpins on a map, and clicking each pin shows the photo.

For another, you can search for photos based on where you took them, not on whatever filing system you might use. iPhoto can handle geographic hierarchies, so if you labeled a photo with "Eiffel Tower," it'll find it with a search for "France" or "Paris."

Last, you can create photo books based on location. For people who want to create albums of their travels, this is a good idea, especially since you can use the tags both for selecting photos to print and to add maps into the book itself.

There's no support for the painful part of geotagging, though: extracting location data from a GPS unit. There are other programs that can handle that chore, including Microsoft's Pro Photo Tools, Breeze Systems' Downloader Pro, or GPS Photo Linker.

iPhoto is bundled with Macs, along with other members of the iLife suite: iMovie, Garage Band, iWeb, and iDVD. People who have earlier versions can upgrade to iLife 09 for $79.

Tag, you're it

In some glorious future, computers might be able to understand the content of your photos just by "looking" at them, letting them retrieve just what you want when you ask.

But for now, it's mostly up to you to add metadata, textual information such as titles, captions, star ratings, and geotags. If you want to find pictures of the Sydney Opera House, you'll have to know when you took them, what folder you tucked them into, or hope you labeled them with appropriate tags.

iPhoto 09, like Google's Picasa Web Albums, adds another major tagging automation feature, though: face recognition. The software finds faces, lets you put a name to them, then offers other views of what it judges to be the same person. After you're done, you can view photos of a specific person.

And if you've tagged people in Facebook, it'll slurp up those tags through a synchronization process. Yahoo's Flickr, which has extensive tagging and geotagging abilities, also benefits from this synchronization ability.

So what's the upshot here? Good news and bad news.

The good news is that the world of digital photography is moving to a new organizational scheme, finally shedding the filing-cabinet metaphor of a hard drive's file system or the shoebox full of prints. The new tag-based world is more flexible and approachable in several ways, and it is still fully compatible with the older methods.

The bad news is that in order for it to work, you have to do a little more work getting the tags right in the first place.

I, for one, think that it's worthwhile. Here's an example why: my sister needed photos for an end-of-year letter, and because I am the de facto family photographer, she looked to my online shots. The way she found photos of her family members was simply by searching my photos by her family members' names at Flickr. That's far superior to clicking on every photo album for the year and seeing what's within.

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Software marries photos with location data taken from a separate GPS receiver

@highlight

Apple's iPhone can geotag its own photos

@highlight

Geotagging lets you search for photos based on where you took them

@highlight

Manufacturers say GPS support in cameras has become a matter of when, not if