Rome (CNN)A destination for the destitute, Sicily is the "promised land" for thousands of migrants and refugees making the desperate journey from North Africa to Europe's Mediterranean coast. More than 10,000 people have arrived from Libya since last weekend alone, according to the Italian Coast Guard.

Stories of death at sea and unimaginable suffering are nothing new in the waters between North Africa and Italy; boat people have been arriving on Italy's islands for more than a decade.

But what makes the current influx different is the increase in numbers and the absence of control from the ports of embarkation, specifically those in Libya, because when Moammar Gadhafi was in control, he also controlled the flow of migrant ships.

In 2008, the-then Italian Prime Minister Silvio Berlusconi and Gadhafi  signed an historic friendship agreement in which Italy promised to invest $5 billion in Libyan infrastructure and Gadhafi promised to close what he described as a "spigot" of migrants. During a three-day state visit to Italy in August 2010, he famously threatened to "turn Europe black" if Libya did not enjoy cordial relations with the European Union.

After the agreement, Gadhafi  kept his promise and the number of arrivals drastically decreased.

For a time, almost all migrant arrivals came from Tunisia, just 70 miles from the Italian island of Lampedusa. Because Italy sent most of those migrants who did not qualify for political asylum back to Tunisia, the flow eventually tapered off. And once a new Tunisian government was in place, after the Arab Spring, Italy signed an accord with Tunisia in which they promised to help patrol Tunisia's ports.

But after Gadhafi was overthrown, the flow of migrants from Libya exploded again: the International Organization for Migration (IOM) in Rome told CNN that more than 140,000 migrants arrived from the North Africa coast in 2011.

In October 2013, after a tragic boat accident off the coast of Lampedusa in which 349 people -- including an infant still attached to its mother by the umbilical cord -- died, trapped like sardines in their smugglers' boat as it sank, Italy decided it had to act.

In November of 2013, the Italian Navy launched a €9M-a-month search-and-rescue program called Mare Nostrum, in which Italian naval ships patrolled the seas to rescue migrants. In just one year, the program rescued more than 160,000 migrants, according to the Italian Navy.

Due to budget constraints and criticism from the European Union that the program itself was encouraging migrants to head across the Mediterranean, the mission ended in October 2014. By the end of the year, more than 174,000 people had been rescued in Italy; an estimated 3,072 people died making the journey, according to the IOM.

In November last year, the European Union's border control, Frontex, started its own mission -- Triton -- with a budget of less than a third that of Mare Nostrum. Frontex has no vessels or surveillance equipment of its own, so has to rely on European member states to lend them ships; a ship from Iceland, at the far north of the continent, is currently involved in Frontex's operations off southern Europe.

When Italy ended Mare Nostrum, the U.N. High Commissioner for Refugees Antonio Guterres warned that some European governments were making "keeping foreigners out a higher priority than upholding asylum standards."

"This is a mistake, and precisely the wrong reaction for an era in which record numbers of people are fleeing wars," Guterres told a UNHCR policy meeting. "Security and immigration management are concerns for any country, but policies must be designed in a way that human lives do not end up becoming collateral damage."

Once migrants arrive in Italy, they are supposed to be processed for political asylum and monitored until it is granted or denied, but Italy has been sanctioned by the European Union for not fingerprinting new arrivals.

By law, Italy has to take care of the arrivals, but many have no intention of staying in the country, and few of the reception centers are gated, meaning migrants can come and go as they please. And with no physical border controls between Italy and other European countries, they can then disperse across the continent.

Moutassem Yazbek, 27, an IT specialist who worked for six years in Dubai, arrived in Sicily in December on board a smuggler's boat. He told CNN he was never fingerprinted in Italy, and eventually made it to Germany where he is studying to learn the language and find work.

He says the human trafficking network is a finely-oiled machine that fills a growing need.

"I would have done anything to get here," Yazbek said. "It was worth the risk, the bad treatment and the fear. Hard as that may be to believe, it is a better life."

@highlight

Tens of thousands of migrants and refugees risk the perilous journey across the Mediterranean every year

@highlight

Many make the trip in dangerous boats owned by people smugglers; thousands have died along the way in recent years