Beijing (CNN) -- An expatriate corporate detective based in Beijing and Shanghai, who worked with GlaxoSmithKline's under-fire Chinese wing, could soon discover the cost of allegedly falling afoul of China's often hazy corporate law.

After more than a year in detention, Briton Peter Humphrey and his wife Yu Yingzeng, a U.S. citizen, stand trial in a Shanghai court Friday, charged with illegally obtaining private information.

Their 19-year-old son, who has returned to mainland China for the trial, says he's not convinced that, even if the couple is found guilty, they would even have known they were breaking the law.

Humphrey is a veteran corporate detective -- an investigator, similar to a private detective, but one which sniffs out corporate malfeasance -- who spent more than 20 years as a foreign correspondent with Reuters, including stints in Beijing and Eastern Europe.

ChinaWhys, the investigations company that Yu and Humphrey established, mainly catered to foreign companies and multinationals, such as pharmaceutical giant GlaxoSmithKline (GSK), assisting in assessing corporate risks, conducting background checks and investigating allegations of corruption and fraud.

It is a business fraught with risks, especially in a country like China, where even innocuous information is often classified as secret or confidential.

'Fully aware of risks'

The couple was detained on July 10, 2013 at their Shanghai office, and charged this year with illegally purchasing confidential information -- a serious allegation akin to espionage -- and operating an illegal business. On July 10, Chinese police raided their home in Beijing.

It was not until two days later that their son, Harvey Humphrey, who was undertaking an internship in Hong Kong at that time, managed to establish what befell his parents.

"They were fully aware of the risks that such a business carries," he told CNN. "But usually the risks are very small. The repercussions do not usually take place on the investigators. I guess this time they were definitely caught off guard. I think they were caught in the wrong place at the wrong time, and with the wrong client possibly as well."

Humphrey believes the case is linked to his father's client, GSK, which is under investigation in China amid allegations raised by a whistleblower.

"I would address the cause of the whole event which is GSK taking them on and not giving them the information they needed to do their investigations," he said. "It's effectively misleading them into a dangerous situation."

In response to CNN's request for comment, GSK referred CNN back to its July 3 statement.

GSK hired Humphrey's firm "in April 2013 to conduct an investigation following a serious breach of privacy and security related to the company's China general manager."

"They were not hired to investigate the substance of the allegations of misconduct made by the whistle-blower."

Chinese authorities have not said that the charges are related to the work Humphrey and Yu did for the pharmaceutical giant. The company has come under scrutiny by Chinese authorities.

On May 14 this year, Chinese police in a report accused GSK executives in China of presiding over a web of corruption and bribery.

"Our China business is now subject to an ongoing investigation by the Chinese authorities with which we are fully cooperating," GSK said in its statement. "We have also hired an external law firm, Ropes and Gray, to conduct an independent review into what happened in our China business during this period."

Last August, Peter Humphrey appeared on Chinese national television handcuffed and wearing orange prison vest to make an unusual "confession."

But his son says the confession may have been made under duress.

"I was quite upset by it as anyone not used to this sort of situation would be," he said. "I didn't understand why it was done, personally. It might have been done because they probably thought it could help to find some leniency. But it was quite humiliating."

The elder Humphrey and his wife could not be reached for comment.

Are parents innocent or guilty?

"I think it's highly likely they're innocent, but the charge, I believe, is obtaining private information and it's a very gray area of the law," the couple's son continues "It's not been very well established in China. It's theoretically possible they broke that law without even knowing it existed."

The Chinese authorities insist that the case is being prosecuted with all due care.

"China's judicial authorities are handling the relevant case according to law," Chinese foreign ministry spokesman Hong Lei told a daily news briefing in July this year. "China is a country with rule of law."

But the younger Humphrey notes a shift in the way Chinese authorities are handling the case -- he was allowed to visit his parents in jail, for instance.

"I was told by the U.S. Consular officer that to have a foreigner make a pre-trial visit to someone has never happened before since China opened up," said Humphrey, who is a dual U.S.-UK citizen.

The authorities have dropped other, more serious, charges -- initially the couple was charged with buying the information, rather than only obtaining it, and of operating an illegal business.

Further, the trial, which opened Friday, will be public, not secret as earlier reported. .

Deteriorating health

Thirteen months in jail, Humphrey said, had taken its toll on his parents' health. "Physically they looked aged, especially my mother," Humphrey said. "She looked a lot younger than her age before this. I think she looks her age now. And it all boils down to how their health was in prison."

His father, he said, suffers from a hernia, as well as compression fractures in his spine.

The couple are locked in separate cells in a Shanghai prison. Each shares a cell with six or seven inmates, all foreigners, according to the son.

"The visit last Friday was much more emotional for them than it was for me," Humphrey says. "I didn't feel that happy about being able to visit. Obviously it's a positive, but my end goal is to get them released and nothing is going to make me deviate from that path."

He plans to attend the Friday trial along with a relative and consular representatives from the U.S. and UK, but says he will not be surprised if his parents are found guilty.

Defense strategy

He says he believes it will be easier if his parents plead guilty -- even if they've done nothing wrong.

"I'm hoping it will be a situation where they plead guilty and they go for a mitigation defense strategy, and just try to make it as lenient a sentencing as possible."

Regardless of the court verdict, Humphrey said that he is proud of them for "holding up as long as they have.

"And I'm proud that they've tried to run such a business. Their whole standpoint was to cut down on corruption as much as they can wherever they could find it.

"That was the motivation to do this business. It's a very stressful business so in that sense I'm very proud of their moral standing."

READ MORE: China bars Glaxo exec from leaving country

READ MORE: China scandal takes toll on Glaxo

@highlight

Foreign corporate detectives based in China charged with 'illegally obtaining private information'

@highlight

Murky corporate laws in China make life difficult for companies engaged in this line of work

@highlight

Son of detained detectives: "I'm very proud of their moral standing"