(CNN) -- When the public thinks about suicide, they tend to see it as something that typically affects adolescents and people in later life. But alarmingly, more middle-aged Americans are dying by suicide.

A new report from the Centers for Disease Control and Prevention shows a nearly 30% increase in the suicide rate among adults 35 to 64, with the most significant increase in those 50 and older. Why the suicide rate is climbing in this age group is a question without a simple answer.

There are many risk factors, including high unemployment rates and a weak economy that has been pervasive at all levels of our society; the widespread abuse of prescription pain medication; the problems experienced by aging veterans of the Vietnam War or the Gulf War; the difficulty in convincing men, in particular, to seek help for physical and mental illnesses; and the realities of the baby boomer generation, a group that has experienced unusually high levels of addiction, suicide attempts and mental illness as young adults.

The CDC report makes it clear that we must continue to fund scientific research exploring the causes of suicide.

It confirms the need to use evidence-based knowledge to expand our research and prevention efforts, in particular, to underserved populations. Suicide prevention programs have typically focused on youth, young adults and the elderly. Now we know we need to do more for those in middle age.

Fortunately, there are measures we can take to prevent suicide.

We know that the majority of people who die by suicide have an underlying and often undiagnosed mental illness such as depression or bipolar disorder. Are we doing enough to reduce the stigma associated with talking about, and seeking treatment for, mental health conditions?

President Barack Obama has recently called on the nation to expand efforts to address mental health problems and to eliminate the stigma associated with seeking treatment. He is right.

We know, too, that there can be warning signs before a suicide attempt.

Are we educating health care professionals, teachers, social workers and family members to recognize the signs of serious depression, such as expressions of pessimism and hopelessness, a low mood that does not change, sleeping problems and withdrawal from typical activities?

We understand that suicide can be an impulsive act and that alcoholism, substance abuse and access to lethal means can increase its likelihood.

Are we doing enough to train physicians to recognize the signs of addiction? Are we training emergency room doctors to ask about access to firearms and drugs? Are we educating family members about how to provide safe and supportive environments for those with a mental illness?

Finally, are we talking openly about the reality of living with mental illness and sharing treatment options and approaches that may help those with disorders live productive and fulfilling lives? Are we moving to a place where we can be as comfortable discussing mental illness and its treatment as we are in discussing blood sugar levels related to diabetes or the cholesterol drugs for heart disease?

A world in which mental illness can be addressed openly without embarrassment or fear of discrimination is not beyond reach.

If we pay for the research that can uncover the mysteries of the brain, strive to understand what helps prevent suicide in diverse populations and are committed to helping those at risk receive the treatment they need, we can prevent the losses -- one life at a time.

The opinions expressed in this commentary are solely those of Robert Gebbia.

@highlight

A new report shows a 30% increase in the suicide rate among middle-aged Americans

@highlight

Robert Gebbia: There is no simple answer, but factors include joblessness, depression

@highlight

He says many people who die by suicide often have undiagnosed mental illness

@highlight

Gebbia: We must continue to pay for scientific research exploring the causes of suicide