Abu Dhabi (CNN) -- The new President of Egypt is taking the concept of getting work done in the first 100 days in office very seriously.

Mohamed Morsy forced out the long-serving head of the military Field Marshal Mohamed Hussein Tantawi, his number two, and a handful of other generals. At the same time, Morsy nullified the constitutional declaration made by the military council before he took office June 30th.

His message is clear. And while the military wanted to sustain its grip on power, Morsi was able to wrestle control after what was seen as a military lapse in the Sinai.

Morsy is taking a bold stand, ordering counter attacks against militant hideouts over the weekend near al-Arish in Northern Sinai, after 16 border guards were killed in a surprise attacks when they were breaking fast at sundown during Ramadan.

But the president is going down a tricky road.

Mohammed Al Issis, a political economist at the American University in Cairo, said Morsy's strategy is particularly difficult since it is "not clear who the enemy is. " Recent events, he said, provided an early indication of where the Sinai is headed.

The attacks, and changes at the top in the military, have far reaching implications -- not the least of which is the attempted rebuilding of the Egyptian economy.

Nearly a year and a half after the uprisings against the 30 year rule of Hosni Mubarak, Egypt is struggling to find its footing. The Sinai may be vast, but scenes of attacks in the north have real potential to spook tourists who were just getting comfortable with coming back to Red Sea resorts in the south.

Blog: Was Clinton's Egypt visit a mistake?

Tourism is the number one foreign exchange earner in the country, but revenues dropped in 2011 to just under $9 billion, from $12.5 billion the year before the uprisings.

The southern Sinai, especially Sharm El Sheikh, is the main foreign tourist destination. There is a genuine cash crunch, with foreign exchange reserves at roughly $14 billion -- half the level of early 2011. Strategists say the cash will last only four months if revenues don't start coming in at a faster pace.

The Egyptian government is still pegging growth during the current fiscal year at 3.5% to 4%, but economists who closely track the Middle East and North Africa region, known as MENA, are beginning to mark down expectations.

Alia Moubayed, of Barclays, says the security challenge "not only puts the recovery in this particular region on negative outlook, but highlights the volatility of the challenges that this new government and president will face."

Strategically, it was thought that Morsy and Tantawi could work together against a common enemy in the Sinai. This was expected to include Bedouin tribal leaders who also want to bring their territory under control. That plan moves ahead, but Tantawi and his team are not part of it.

Read more: With global instability, who wants to be a tourist?

The new president wants to get this military challenge under control -- hence the strong and quick use of force -- so he can focus on the bigger picture, which remains hazy.

The International Monetary Fund mission is still planning to visit Egypt this month to jump-start negotiations on a $3.2 billion loan program. Talks took place last spring but there was reluctance to push ahead with that program until a government was in place with a new plan of action.

Knowing the importance of Egypt to the broader region, Gulf players with ample oil and gas revenues are stepping up funding. Qatar has said it would inject $2 billion into the Egyptian Central Bank, and Saudi Arabia earlier this year pledged a billion dollars.

Candidate Morsy campaigned on delivering what he called a Renaissance Project for Egypt, an economic blueprint that engages wider swaths of society. One of the key criticisms of the Mubarak regime was that the reform program started too late in the middle of the last decade and then trickled down too slowly.

London based Arabia Monitor, commenting after attacks in Sinai, said the new government "faces the difficult challenge of striking the right balance between propping up the economy, achieving fiscal consolidation, and improving the socio-economic conditions that helped overturn the old order."

The budget deficit could top 9% this year, but most agree this is not the time for austerity. It is a time to wrest back control of the trouble spot on the volatile border with Israel and Gaza and get Egyptians back to work, and the economy growing again.

@highlight

Morsy's actions towards the military show he is taking a bold stand

@highlight

But these changes have far reaching implications, including on the economy

@highlight

Attack scenes in the Sinai also have potential to spook tourists

@highlight

It's time to take back control of the trouble spot and get Egyptians back to work