(CNN) -- Word on the cobblestone street is Istria is the "new Tuscany." I disagree. The landscape of this northern part of Croatia is less cultivated. It's less wealthy. And, last I checked, the Renaissance didn't happen here. Plus, "Istria" is still a little-known proper noun and "Tuscany" has moved into adjective territory.

Show me an American suburb and I'll show you a "Tuscan" kitchen, if not an entire foreclosed development named "Tuscan Hills." Earlier this year when Olive Garden -- the strip mall home of endless breadsticks -- wanted to make itself more appealing, it announced it was making over its restaurants in the style of Tuscan farmhouses. Now, I don't know if they serve shark in Tuscany, but the region has certainly jumped it.

That's not going to happen to Istria anytime soon. No, it will continue to hide in plain sight. Right in the middle of Europe. A small peninsula the shape of a crudely drawn heart tucked behind the boot of Italy. Capped by the Alps, bottom dangling in the cartoon blue of the Adriatic sea.

Eventually the tour buses and cookbook authors will arrive en masse, but for now the region is so sparsely populated that sometimes with its raw grandeur and new highways it can feel like an imaginary world in a video game where you build your own civilization.

Turns out civilization has existed in Istria since at least the Bronze Age, when people lived in "gradines," fortified castles built on the tops of hills. Houses and walls from that time are still visible as are the many structures left behind by all those who have ruled this region: The Illyrians, the Romans, the Venetians, the Austro-Hungarians. You name them, and they probably killed people and built churches here.

The Italians controlled the area until 1947 when it was ceded to then-Yugoslavia after the World War II. Now it is part of Croatia.

For the modern invader, Istria comes in two flavors: coastal paradise and rustic hilltop hamlet. Because the region is only about 50 miles wide and 60 miles north to south you can have both in the same day.

The coast is necklaced with tourist towns and fishing villages. From glamorous Opatija, a 19th century playground for Austro-Hungarian nobility, to Pula, a gritty port town with an ace up its sleeve: a stunning Roman amphitheater built between 27 B.C. and 68 A.D. (Once used for gladiator fights, the arena is still used for, depending on your point of view, less menacing entertainment from the likes of Norah Jones and Sting.)

But the most beautiful coastal town in Istria, and possibly all of Croatia, is Rovinj.

A perennial contender for the best-place-to-watch-a-sunset, Rovinj is a stunner of pastel homes, polished stones and blue water. The town flag could very well be one of the bathing suits or dish towels that charmingly flap along the laundry lines strung throughout this picturesque but lived-in little peninsula off a peninsula.

Rovinj feels very Italian (it has been described as "a bit of Venice spilled on a hill") right down to the fashionably dressed women accompanied by tidy men in leather loafers and colorful sweaters hugging their necks.

The town's narrow alleyways and courtyards house several great restaurants and numerous places to have a drink while the sun disappears. Day and night it's the ideal venue to run the Croatian triathlon: swim, eat and lounge at a cafe.

But that's not my favorite part of Istria. And it's not the part that people are thinking of when they label this area the "new Tuscany." They are referring to the heart of the heart-shaped peninsula. The verdant interior filled with surprises like mistletoe brandy, hilltop hamlets and Hum, the smallest town in the world.

Although the air is perfumed by the nearby sea, inland Istria is a world away from the coast's busy beaches and ice cream stands. Take any exit off the highway and you'll find one tiny village after another, each with its own shambolic charm and unique architectural legacy.

Ever since the Romans ripped out cypresses and replaced them with olive groves, this area has been renowned for its cuisine. Pliny the Elder called Istrian olive oil the second best in the world (after Italian olive oil, of course) and contemporary foodies geek out over the area's distinguished grape varietals and artisanal hams and cheeses.

Istria's forests are filled with game, but the most hunted creature in the region is the truffle -- a noble fungus immune to cultivation that fetches up to $2,000 a pound. They come in black and white (the latter is more prized) and they come on top of steak, shaved on pasta, drowned in olive oil and blended with rice. A well-prepared local lunch here rivals any meal in Europe.

Recently I was enjoying one of those meals in the mesmerizing town of Groznjan, a medieval hamlet on a hill that's home to 30 galleries and a summer jazz school that bestows an intermittent bebop soundtrack to the ancient landscape. As I sat in the shaded stone courtyard taking in the soft breeze and lazily scraping up the last bits of lunch from my plate, it occurred to me that this must have been what Tuscany was like before the Hollywood movies, the cookbooks and the hordes of tourists: Tuscany when it was still under-the-radar and affordable.

Before the Olive Garden had ever laid eyes on it.

"No, Istria is not the new Tuscany," I thought. "It's the old Tuscany."

@highlight

Croatia's Istrian peninsula inspires comparisons with Italy's Tuscany region

@highlight

While there are similarities, this pocket of Croatia hasn't suffered a tourism crush

@highlight

Its villages are less cultivated, less wealthy and delightfully unspoiled