The United States says it has carried out airstrikes and dropped humanitarian aid in the Iraqi town of Amerli to protect an ethnic minority that one official says faces the threat of an "imminent massacre."

The town of Amerli, which has been besieged by ISIS fighters, is home to many of Iraq's Shiite Turkmen.

To help the trapped people, the United States has carried out humanitarian airdrops, Pentagon press secretary Rear Adm. John Kirby said late Saturday.

Australia, France and the UK also participated in the aid drop.

The U.S. military conducted "coordinated airstrikes" against ISIS targets as part of an effort to support the humanitarian operation, Kirby said.

Video released by the Iraqi Ministry of Defense was strikingly similar to the scenes of the dire situation faced by the Yazidis, who were trapped on the Sinjar Mountains by ISIS, earlier this month. Dozens of people crowded helicopters, hoping to be rescued. Scores more awaited the arrival life-saving supplies in the scorching summer sun.

ISIS fighters have surrounded Amerli, 70 miles north of Baquba, since since mid-June. The town's fewer than 20,000 residents are without power.

"Residents are enduring harsh living conditions with severe food and water shortages, and a complete absence of medical services -- and there are fears of a possible imminent massacre," U.N. High Commissioner for Human Rights Navi Pillay said last week.

ISIS has called the Shiite Turkmen heretics and vowed to push them out.

Turkmen are descendants of a Turkic-speaking, traditionally nomadic people, who share culture ties with Turkey. There are Sunni and Shiite Turkmen in Iraq, and they account for up to 3% of Iraq's population.

Turkmen have been subjected to violence before at the hands of Sunni extremists.

A truck bomb explosion in 2008 Amerli killed more than 100 people --  an attack that was considered one of the single deadliest attacks of the Iraq War at the time.

Report: ISIS selling Yazidi women in Syria

Hundreds of Yazidi women abducted by ISIS have either been sold or handed out to members of the Sunni extremist group, according to an organization that monitors the crisis.

In the past few weeks, ISIS has "distributed" to its rank and file about 300 female members of the persecuted religious minority, says the Syrian Observatory for Human Rights, a UK-based monitoring group aligned with the opposition in Syria.

Those women were initially kidnapped in Iraq before being taken to Syria.

In ISIS' eyes, the girls and women are "captives of the spoils of war with the infidels," the Syria monitors said, claiming that some had converted to Islam so ISIS fighters can marry them.

SOHR says it could confirm at least 27 cases in which women were "sold and married" for about $1,000 each to ISIS militants in Aleppo and Raqqa suburbs and Al-Hassakah.

Who are the Yazidis and why does ISIS want to kill them?

Tens of thousands of Yazidis fled to Mount Sinjar in northern Iraq as ISIS fighters made deadly advances on their villages. They became trapped on the mountain, leading to air drops of water, food and other supplies, and eventually airstrikes to dislodge ISIS from the area.

Peshmerga forces managed to help most of the Yazidis escape into Iraqi Kurdistan.

U.S. President Barack Obama declared an end to the ISIS siege at Mount Sinjar on August 15, citing the success of the airstrikes.

Since early August, nearly 122,600 people in the Sinjar district -- mostly Yazidis -- have taken refuge in Kurdistan, according to USAID.

A U.N. report warned of increasing kidnappings by armed groups in Mosul and the area of Mount Sinjar.

The U.N. High Commissioner for Refugees (UNHCR) reported that some of the victims reportedly have been forced to convert to Islam and have been trafficked by the terrorist groups inside and outside of Iraq.

A number of villages in Sinjar remain besieged by ISIS and other armed groups, the refugee agency reported.

ISIS, which calls itself the Islamic State, was previously referred to as the Islamic State in Iraq and Syria.

Who are ISIS?

Attacks across Iraq

At least three Iraqi soldiers were killed Saturday in a suicide car bombing south of Iraq's capital, police said, dealing a blow to the military in that area for a second straight day as government forces fight ISIS militants across the country.

Seven other soldiers were injured in the attack, which happened at an army checkpoint in Yousifiya, a predominantly Sunni Muslim area about 35 kilometers (22 miles) south of Baghdad, police in Baghdad said.

It wasn't immediately clear who conducted the bombing.

The blast came a day after nine Iraqi soldiers and Shiite Muslim militiamen were killed in clashes with suspected ISIS militants in nearby Mahmoudiya, a Sunni Muslim community about 29 kilometers south of Baghdad.

During the height of Iraq's insurgency last decade following a U.S.-led invasion, Yousifiya and Mahmoudiya, along with the town of Latifiya, made up the Sunni area known as the "Triangle of Death" because it was an al Qaeda stronghold and a lair for criminals.

Iraqi forces under a Shiite-led regime, as well as ethnic Kurdish forces, have been battling ISIS, which this year took over large portions of northern and western Iraq and eastern Syria for what it calls its new caliphate.

Well before ISIS made gains, Iraq was beset for years by sectarian violence, with Sunnis feeling politically marginalized under a Shiite-led government since the U.S.-led ouster of longtime leader Saddam Hussein in 2003.

More U.S. airstrikes

U.S. forces conducted more airstrikes against ISIS targets near the Mosul on Saturday, according to the U.S. military, destroying a militant fighting position and armed vehicle.

"The strikes were conducted under the authority to support Iraqi security force and Kurdish defense force operations, as well as to protect critical infrastructure, U.S. personnel and facilities, and support humanitarian efforts," U.S. Central Command said in a press release.

CENTCOM said it has carried 115 strikes across Iraq.

Kerry: 'The cancer of ISIS will not be allowed to spread'

@highlight

U.S. begins aid drops to Iraqi town surrounded by ISIS, the Pentagon says

@highlight

Syrian Observatory for Human Rights says ISIS has sold Yazidi girls and women

@highlight

About 300 have been abducted, the rights group says

@highlight

Syria monitors: ISIS sees them as "captives of the spoils of war with the infidels"