Washington (CNN) -- Rapid advances in communications are eroding police departments' abilities to conduct wiretaps, and Congress needs to take steps to ensure that new telephone, computer and wireless systems are designed to allow lawful police access, FBI and police officials told Congress Thursday.

But other witnesses cautioned that any such move could stifle innovation, place U.S. technology companies at a competitive disadvantage and unintentionally create systems vulnerable to hackers, criminals and terrorists.

At issue is the diminished capability of law enforcement agencies to conduct quick wiretaps in an age of Twitter accounts, Facebook and MySpace pages, BlackBerrys, Androids, iPhones and iPads. The Justice Department calls the phenomenon "going dark."

In testimony before a House Judiciary subcommittee, FBI General Counsel Valerie Caproni said it is "exponentially more difficult" to execute court-authorized wiretaps on new technology, noting that criminals can now communicate using wireless devices and anonymous avatars.

Caproni said the FBI is not seeking additional authority to conduct wiretaps, but rather is looking for solutions to technical problems the agency encounters in conducting court-authorized intercepts. The Obama administration currently has no proposal to increase the technological ease of wiretapping, she said, but she added that one may be coming soon.

A 1994 law, the Communications Assistance for Law Enforcement Act, required telephone companies to build in the means to conduct intercepts. But the law was designed to keep pace with changes in telecommunications, not in internet-based communications services, and is now antiquated, she said.

As an example, Caproni cites a 2009 case in which a pimp used a social networking site to entice children into prostitution. Investigators had enough evidence for a court-ordered wiretap, but did not seek one because the website did not provide a means of conducting electronic surveillance, she wrote.

"There are a lot of things that keep me up at night. One thing is the privacy of people who are communicating on the Internet," Caproni said. "But I also get kept up by worrying that we've got criminals running around that we can't arrest and can't prosecute because we can't actually execute a wiretap order. And that criminal may be a massive drug dealer. They may be an arms trafficker. They may be a child pornographer or a child molester.

"I worry about things like a Mumbai-style attack where, God forbid, the attackers are using communications modalities that we don't have an interception (for)."

But another witness told the committee moves to change technology come with risks of their own.

"Switches" designed to give police wiretapping capabilities were hacked in Greece, leading to the unlawful wiretapping of 100 senior government officials for 10 months, and a system was breached in Italy, allowing unlawful wiretaps of 6,000 Italians, said Susan Landau of Harvard University's Radcliffe Institute for Advanced Study.

Another concern is stifling innovation.

"The person in the dorm room building the next great app may never build it if they have to comply with a government imposed mandate," said Greg Nojeim of the Center for Democracy and Technology. "They might not even think about building the next great application. And if they did they might have to re-architect it in a way that would be less efficient, less useful to users than it would have been if they had been able to build according to what they wanted to do."

Nojeim also takes issue with the idea that the law enforcement is "going dark."

"Wiretapping is at record levels," he said. "There were more wiretaps placed in 2009 by federal and state officials than ever in history. For each of the thousands of wiretaps that are placed, over 3,000 communications are intercepted. That's not an FBI going dark. That's an awful lot of light."

CNN's Carol Cratty contributed to this report.

@highlight

New technology is giving suspects the edge over authorities, an FBI official says

@highlight

"I worry about things like a Mumbai-style attack," the FBI's general counsel says

@highlight

But changes might bring security risks and stifle innovation, critics tell a House panel