BEIJING, China (CNN)  -- China's worst winter in more than half a century showed no signs of abating Wednesday as forecasters warned of three more days of snow and sleet.

Stranded passengers wait to get into the railway station at Wuhan in central China's Hubei province

The weather has paralyzed transportation, frozen the power grid and delivered a $4.5 billion hit to the economy, according to figures released Wednesday by the Civil Affairs Ministry.

The situation is compounding economic problems for China. Destroyed crops have resulted in increased food prices, while the inability to transport goods has further inflated prices and led to shortages at stores.

China's railways and roads are the lifeblood for its manufacturing sector, one of the fastest growing in the world.

"Being a manufacturer, we are so worried," said marketing manager Calvina Chan, who works for a Hong Kong-based firm that relies on a factory in mainland China to produce luggage for brands such as Samsonite.

"Because of the snowstorm, the transportation isn't very good and so there might be a late delivery."

Automakers Toyota and Ford halted their China-based production this week.

The transportation stoppage has had a domino effect, preventing the delivery of coal, which is vital to China's power plants. That is amplifying China's energy problems.

"Most of the coal is produced in the north and northeast, (while) the users are along the coast," said economist Nicholas Kwan.

"This time the snowstorm's problem is not so much freezing the production but freezing the transportation line which makes transportation of coal to those power plants more difficult."

Kwan said some of the power plants have already depleted their coal reserves.

All this comes during the Lunar New Year holiday, the country's busiest shopping season.

In Guangzhou, hundreds of factory workers who had saved money all year to visit their families during China's Lunar New Year filled the city's train station, waiting for trains that were not expected to arrive for days.

Up to half a million people have camped out in the southern city for nearly a week, hoping to get home for the holiday.

Factories in the province of Guangzhou shut down Wednesday ahead of the February 7 holiday with workers joining the masses around the train station -- hoping the government would deliver on its promise of quick action and immediate relief for those trying to make it home.

"I have been sleeping out here for six days. I have spent all my money. I don't know how I will get home," one man said.

Another man told CNN's Hugh Riminton he had tried to get out of Guangzhou every way possible -- by airplane, bus and his own car -- but could not make it because of the weather conditions.

"Now he's in the queue with everyone else trying to get on a train," Riminton said. "And the trains simply aren't going at the moment and it's unlikely they'll be going really in sufficient numbers for days to come"

Security is tight at the railway station as people occasionally stampeded the barricade in an attempt to get closer to the train platforms, to no avail. Armed riot police entered the station on Wednesday to regain control of the situation.

So far, Chinese authorities have managed to persuade nearly 470,000 people to abandon their travel plans and accept a refund for their train tickets.

Prime Minister Wen Jiabao apologized Tuesday to the hundreds of thousands of people stranded in train stations across his country -- a rare move by a Chinese politician.

"First we'll fix the electric grid. After that, the trains will run again. ... Then all of you can go home for the Chinese New Year," the premier said.

President Hu Jintao called an emergency meeting of the policy-making politburo and vowed a quick government response.

More than 177 million Chinese were expected to travel by train, and 22 million more by plane, for Chinese Lunar New Year, also known as the Spring Festival.

"Going home every year is an obligation," one Chinese woman explained. "It is family reunion, and no matter how difficult it is, we have to do it."

Brian Blackwell of Chicago was stranded for two days at Shanghai's Hongqiao International Airport. "There were thousands of people there and they were pushing toward the counter. You had no idea what the status of your flight was."

Brutal winter weather has pounded China's central, eastern and southern sections. In its 10-day forecast, the China Meteorological Administration said Wednesday that southwestern, eastern and southern China can expect more snow and sleet with freezing temperatures, while northern China will stay clear but windy.

The winter precipitation had caused at least 49 deaths due to collapsed roofs and treacherous travel conditions, the Ministry of Civil Affairs and local officials said.

Nearly a million police have been dispatched to help keep roadways open as thousands of vehicles have become stranded in the snow and ice, according to Chinese Ministry of Public Safety spokesman Wu Heping. E-mail to a friend

@highlight

NEW: Toyota, Ford halt Chinese production; power plants not getting coal deliveries

@highlight

Forecasters expect three more days of bad weather in China

@highlight

Millions heading home for the Chinese New Year holiday are stranded

@highlight

Economic cost of winter storms reaches $4.5 billion, ministry says