(Health.com) -- Intrauterine devices (IUDs) prevent unwanted pregnancies, and as an added benefit they may also help protect against cervical cancer, according to a new study in the Lancet Oncology, a British medical journal.

Women who use IUDs are roughly half as likely to develop cervical cancer as women who have never used one, the study found. Nor does IUD use appear to increase the risk of human papillomavirus (HPV) infection, a known cause of cervical cancer.

European researchers combined and analyzed data from nearly 20,000 women around the world who participated in various studies and surveys between 1985 and 2007. The new analysis does not prove that IUDs directly prevent cervical cancer; it simply suggests that the devices are associated with a lower risk of cancer for reasons that aren't fully understood.

Health.com: Which birth control method is best for you?

"This study does not show cause and effect," says Mehdi Moslemi-Kebria, M.D., a gynecologic oncologist at the Cleveland Clinic who was not involved in the new research. "For that you would need a prospective, randomized study. But this does tell us with pretty good accuracy that an IUD is not a risk factor for cervical cancer."

Compared to women who had never used an IUD, the study participants who had used the devices had 44% lower odds of developing squamous cell carcinoma, by far the most common type of cervical cancer. They also had 54% lower odds of developing adenocarcinoma cancers and a mixed type of cancer known as adenosquamous carcinoma.

Roughly 12,000 women in the U.S. -- the majority of them over 30 -- receive a cervical cancer diagnosis each year, according to the Centers for Disease Control and Prevention. Most cases are caused by a persistent infection with HPV, a common sexually transmitted virus that is usually defeated by the body's immune system. (Pap smears can tell if HPV is damaging the cervix.)

Health.com: Top 10 myths about safe sex

In the study, which was funded by the World Health Organization (WHO) and several other government and philanthropic organizations, IUD use neither increased nor decreased the risk of HPV infection. The rates of infection were the same among women who had used an IUD as among those who hadn't, even after researchers took into account various risk factors for HPV, such as a woman's number of sexual partners, the number of Pap smears she'd had in her life, and her menopausal status.

Although they have no firm evidence, the researchers speculate that the contraceptive devices may disrupt HPV's cancer-causing mechanism. The devices may cause a low-level immune-system response that fights cancer cells, for instance, or their insertion and withdrawal may physically remove precancerous lesions, the study notes.

Health.com: 7 common birth control side effects

"More research is definitely needed to study the biological mechanisms by which IUDs may induce this risk reduction," says the lead author of the study, Xavier CastellsaguÃ©, M.D., a cancer epidemiology researcher at the Institut CatalÃ  d'Oncologia, in Barcelona, Spain.

Whatever the mechanism, it seems to work quickly. Women who used an IUD for less than a year were no more likely to be diagnosed with cervical cancer than women who'd had an IUD implanted for several years.

There are two kinds of IUD available in the U.S., both of which are T-shaped and made from molded plastic. One uses copper as a contraceptive, and the other prevents pregnancy by releasing the hormone progestin into the uterus. Both are extremely effective forms of birth control, but because the study did not include data on the type of IUD used, the authors were unable to assess whether one type of IUD is more likely than another to lower the risk of cervical cancer.

Health.com: Amazing moments in birth control

The new findings do not mean that women worried about cervical cancer should be fitted for an IUD, says Karl Ulrich Petry, M.D., a gynecologic oncologist at the Klinikum Wolfsburg, in Germany.

Petry, who wrote an editorial accompanying the study, points out that HPV testing and Pap smears already reduce the risk of cervical cancer by 80% to 90%.

"Women in countries with screening programs are well protected," he says. "Cervical cancer is a preventable disease -- we have more tools to prevent this cancer than any other malignancy in humans. Women should really use [HPV] vaccine and screening to protect themselves from this cancer."

Copyright Health Magazine 2011

@highlight

Intrauterine devices (IUDs) prevent unwanted pregnancies

@highlight

As an added benefit, they may also help protect against cervical cancer

@highlight

Women who use IUDs are roughly half as likely to develop cervical cancer