New York (CNN) -- When a Goldman Sachs employee unexpectedly wrote a scathing op-ed in the New York Times in March 2012 about why he was leaving the investment bank, he painted a picture of a "toxic" workplace that embraced morally corrupt practices at the expense of their clients.

Edith Cooper's reaction wasn't rooted in damage control. Instead, as the firm's global head of human capital management -- overseeing more than 30,000 employees -- she wanted to know why.

"It was to figure out why it was that there was an individual who worked at Goldman Sachs who felt that the only way they could voice their experience was to write an op-ed in the New York Times," she recalls to CNN's Poppy Harlow.

"We've emerged from what was one of the most challenging periods of financial services history, and we've come into a better, more normalized position ... We've been able to take a step back and really think about the future," says Cooper.

As one of Wall Street's most sought after investment banks, named one of Fortune's 100 Best Companies to work for this year, Cooper has led the human capital management department for the past six years and is responsible for recruiting the best and brightest talent for the firm.

"We continue to be amazed by the extraordinary talents of this generation. They are smart. They get information instantly. And they ask really tough questions. As a result we've got to stay on our toes.

Data drives performance

To find the best candidates, she explains, Goldman Sachs uses employee performance metrics.

"Value add is being able to mine all the data that's out there. Think about the people landscape right now ... We develop, we invest, we compensate thousands of people every year. How are we using that data to inform our decisions going forward?

"If you had asked me 30 years ago, 'would I be on the management committee at Goldman Sachs and be the influence of our success through our people?' Oh no way. And so, I think that I've come to expect the unexpected," she says.

As one of the most powerful people on Wall Street, surprisingly Cooper never planned for a career in finance. As a young woman, her ambition was to own her own clothing boutique in New York City.

To make her dream a reality, after graduating from Harvard College Cooper decided she needed to go to business school. She took a job at a Chicago bank while attending business school at the same time at Northwestern's Kellogg School of Management.

Three decades later, she's still in finance and the clothing store is a fond but distant memory.

Broadening horizons

Looking back over her career, Cooper credits much of her rise at Goldman Sachs to her time spent working overseas in the firm's London office.

"I think in today's economy, operating outside of your comfort zone is really, really important. I can't think of any industry where it's not important to be able to take that risk of stepping forward into the unfamiliar."

She describes moving abroad as an "extraordinary experience" where she reveled in learning how to work with people from all over the world. With some 30,000 employees around the globe, the management skills she honed in London continue to help Cooper in her role today.

"I'm responsible for them -- the good, the bad and the not so perfect," says Cooper. "[I] need to make sure that we are continuing to be viewed as a terrific place to work."

Cooper is also one of four women on Goldman Sachs' 29-member executive committee. It's a number she says needs to rise and notes diversity in all areas -- not just gender -- is key to success.

"There are four women, but I also see that there's other types of diversity as well and we need more of everything." We can't be the great firm that we need to be, to be relevant to our clients, if we don't have diversity at every level."

Corporate confidants

As she has risen up the ranks, Cooper is well aware of the help she has received from peers along the way. She recalls when she joined the management committee and was pulled aside after the first Monday morning meeting by the bank's president and COO Gary Cohn.

"He said, 'You know what? You did not represent what you do and what you know at the management committee this morning. Going forward, every Sunday ... we have a call -- you're going to go through with me what you're going to talk about."

Had she failed? Had Goldman Sachs made the wrong decision in promoting her? These questions raced through Cooper's mind. But in retrospect she says it was the guidance she needed.

In the end, she had only two calls with Cohn. It was all she needed.

"It meant that I wasn't alone in the experience.

"A lot of times, mentoring is listening and feeding back to people that they can actually figure it out but they just need the confidence boost to do that," she explains. "I'm successful because other people have gotten behind me. It's my passion to be there for other people as well."

CNN's Poppy Harlow contributed to this piece.

@highlight

Edith Cooper is executive vice president of investment banking firm Goldman Sachs

@highlight

Since joining in 1996, Cooper has worked her way up the ranks

@highlight

She is also global head of human capital management in charge of finding new talent