(Health.com) -- Waste happens. Every cook knows that. Still, discovering wilted herbs or a loaf of stale bread can make you feel careless. Plus, tossing out food is expensive! The average American household discards between $500 and $2,000 worth of food a year.

But there are clever ways to minimize waste, by storing food carefully or preserving it at its peak to enjoy later, says Sherri Brooks Vinton, author of "Put 'Em Up," a book about preserving food. Here, a few of our favorites.

Bread

The problem: You bought more loaves than you need.

Use it now: Cooks the world over have come up with smart ways to use old bread. A super-quick one: croutons. Cut bread into cubes, toss with a little olive oil and salt, and toast in a 275-degree oven for about 20 minutes, shaking the pan halfway through, until golden. Cool, then store in an airtight container for up to two weeks. They're delicious in soups and salads, or crushed and sprinkled over pasta.

Save it for later: While it's still fresh, place a sliced loaf right in the freezer. Then, pull out slices as you need them and pop them in the toaster. "People don't think of the freezer as a preserving mechanism, but it is," Vinton says.

Health.com: Essential items for a healthy pantry

Fresh fruit

The problem: Buying fruit in season is wise. "The vitamin content of seasonal produce is at its peak," says Christina Munsell, research associate at the Yale Rudd Center for Food Policy and Obesity. But we often buy more than we can eat.

Use it now: You don't need a recipe to make fruit salad -- most kinds go together naturally. Just cut up what you have (skip bananas, which go mushy; see the tip below). Add one-quarter teaspoon of vanilla, a generous squeeze of citrus (to slow browning), and a drizzle of honey. Set the bowl front and center in your fridge; it'll be the first thing everyone sees when they go snack-hunting.

40% of U.S. food wasted, report says

Save it for later: Most soft fruit (berries, kiwi, peaches) freeze well in lightly sweetened syrup. Toss with sugar (1 teaspoon per cup of fruit) and let it stand until it releases its juices; transfer to a freezer-safe plastic bag, squeeze out the air, and freeze for up to nine months. Firmer fruit like apples and pears can be simmered in a covered pot, with a squeeze of lemon juice, a splash of water, and a couple of tablespoons of sugar, until barely limp; when cool, transfer to a container, and freeze.

What about bananas? Peel ripe bananas, break into chunks, and place in a freezer-safe bag. You won't like them thawed -- too mushy -- but you can add frozen pieces to smoothies (they won't make them watery, as ice does).

Health.com: Healthy milk shake and smoothie recipes

Seasonal vegetables

The problem: They have a habit of hiding out in dark corners of the fridge until they're beyond revival.

Use it now: As with fruit, the flavors of most vegetables marry well. Cut whatever you have into bite-size pieces, sautÃ© a diced onion in a soup pot, and add the veggies (starting with the firmest, since they take longest to cook). Cover with vegetable broth and simmer until tender. PurÃ©e or eat chunky.

Save it for later: Make your own frozen veggies. Prepare them as you'd cook them, except stop when they're halfway done. You can steam or boil green beans, corn, broccoli, and chard, then quickly rinse in cold water to stop the cooking, and drain and pack in freezer-safe bags. Or pickle your veggies.

Health.com: 11 things it's best to buy organic

Herbs

The problem: Your holiday dish calls for a pinch of dill. That leaves you with nine sprigs that are fading fast.

Use it now: Fresh herbs are flavor powerhouses, so it can be tricky to improvise without a recipe. A few combos that work deliciously: Try thyme, rosemary, and bay leaf with chicken; add rosemary, parsley, and sage to pork. Toss mint, dill, and cilantro in your salads or green veggie dishes.

Save it for later: To preserve tender herbs (dill, cilantro, parsley), make a sauce or paste (think pesto) with olive or vegetable oil. PurÃ©e the cleaned leaves in a food processor with the oil and a little salt. Cilantro oil, for example, can later be mixed with coconut milk, chilies, lime, and soy sauce to make a Thai sauce for fish or chicken. Herb pastes keep up to one week in the refrigerator (drizzle oil over the top to prevent browning) and up to six months in the freezer.

Health.com: The healthiest alternatives to olive oil

Hardy herbs, like rosemary and sage, meanwhile, are easy to dry. Clean a bunch, grasp the stems, tie with string, then suspend, leaves down, in a dry room. When herbs crumble, transfer to a jar and store in a cool, dry place. Or submerge herbs in a bottle of white-wine vinegar. The flavor will spruce up your salads for months.

Copyright Health Magazine 2011

@highlight

The average U.S. household discards up to $2,000 in food each year

@highlight

There are ways to store food carefully or preserve it to enjoy later

@highlight

Fruit can be made into a fruit salad or frozen for later use

@highlight

Preserve herbs by making a paste or sauce, or dry hardier herbs