MOSCOW, Russia (CNN) -- Garry Kasparov has defeated the world's greatest chess players and battled a supercomputer for supremacy. Now, he's facing his toughest opponent, but trying to check the power of Russian President Vladimir Putin hasn't been easy.

Garry Kasparov, right, says Vladimir Putin's regime is at a "dangerous phase" of turning into a dictatorship.

Intensely sharp, the energetic 44-year-old Kasparov, whose political opposition party has been the most vocal against Putin's Kremlin, can hardly suppress his fury with the country's leadership.

Jailed for five days before Sunday's parliamentary elections, the brooding grandmaster has spent long hours plotting his moves and countermoves.

"This regime is entering a very dangerous phase that is turning it into a dictatorship," he told journalists as he arrived at his Moscow apartment shortly after his release on Thursday.

He said he had been denied access to a lawyer since his arrest at a banned anti-government protest that he organized in Moscow last weekend, but that his commitment to opposing Putin remained strong.

"I'm undeterred in my resolution to fight this regime," he said.  Watch Kasparov won't be a pawn »

Maxim Mishchenko, a Putin youth leader, is equally undeterred.

The 30-year-old leader of a group called "Young Russia" -- one of many  organizations that have sprouted up in support of Putin -- is ardent in his defense of the Kremlin's path. Terms like dictatorship, autocracy and undemocratic make no sense when applied to Russia, he says.

"It is complete nonsense. These accusations are part of the hysteria, which is fueled against our country," he said.

Sunday's parliamentary elections are expected to reinforce the hold on power of Putin's United Russia Party, although it's not clear what role Putin may have in the regime when his presidential term expires next year.

Mishchenko accuses what he calls enemies of Russia of plotting to keep his country weak. "It doesn't suit certain forces inside and outside Russia to have stability inside of Russia. Therefore, these forces are attempting to shake the situation from inside," he said.

"We have seen how it was done in Ukraine and in Georgia, when a minority with the use of political technologies has captured power," Mishchenko says, referring to the pro-Western revolutions that took place in the two former Soviet republics in recent years.

Kasparov dismisses claims of a U.S.-backed conspiracy funding the opposition movement he has galvanized.

Intellectually, he says, the Russian leader is no match.

"I think Putin is a KGB officer, and he is an expert on judo, and he relies only on brute force," Kasparov says. "He is used to playing with an overwhelming advantage and now he's still ahead, but his position is getting worse while we are gaining the momentum."

Putin has been fortunate, he says, to have such high oil prices supporting his regime. Fortunate, not clever.

"He is a lucky president, or a lucky dictator, but that tells us nothing about his ability to play on a level playing field. He was never a part of a public debate, his regime does not know how to deal with a public protest. They don't understand the nature of compromise," he said.

"And the only way to make sure the Russian government reflects the views of the Russian people is to learn how to get compromise and create a broad coalition."

But it is precisely Putin's uncompromising stance on a range of issues -- like energy supply to European nations -- that Mishchenko says makes the Russian leader so popular in his country.

"People link their hopes for revival of Russia as a superpower with Putin," Mishchenko said.

"Putin has stood up against those wishing that Russia dies as a nation. He gave to Russia the right for revival and he works for saving Russia as a culture and as a nation."

But while Russia's economy -- fueled by high prices for gas and oil -- is booming, and the country is resurgent on the international stage, it is still a nation ravaged by problems.

On this, even Kasparov and Mishchenko agree.

"I will work on improving Russian roads, for example, to complete a road from Central Russia to Chita, in the Russian Far East," says Mishchenko of his political ambition.

"I think I will also work on improving social conditions for young families, tackling the problem of access to kindergartens."

Kasparov sees the wide wealth gap as the major political problem facing his nation.

"People ask me this question time and again: 'Why, Mr. Kasparov, tell us, there's so much money in the country, but nothing in our pockets?'" Kasparov said.

"I think people are slowly beginning to understand there is a connection -- a mystical connection for Russians -- between high living standards and political freedom." E-mail to a friend

@highlight

Kasparov: "This regime is entering a very dangerous phase"

@highlight

The chess grandmaster has become Russia's leading opposition figure

@highlight

A Putin youth leader says accusations against Russian leader are "nonsense"

@highlight

Parliamentary elections to be held Sunday