Inside one of the many busy open markets in Kampala, rows of hanged trousers and dresses swing in midair, casting a shadow over the colorful stacks of unsorted clothes sitting on rickety wooden stalls.

Amidst the hustle and bustle, bargain-hunting shoppers rummage through the large piles of printed t-shirts, short-sleeved blouses and retro jackets in search of a great deal.

This is the Ugandan capital's version of a thrift store, fully stocked with second-hand garments from the West. Here, European-made clothing, American sports jerseys and designer labels are all offered at discount prices, turning second-hand markets like this into a prime destination for cheap garments.

"Things from U.S. and UK, London, they are nice," says Karol, owner of a local second-hand market stall. "My customers keep on coming."

Short-term gain, long-term pain?

The sale of Western cast-offs starts with charities in European and North American countries that earn money by offloading donated clothes they cannot find buyers for. The unwanted used clothes often end up in landfills. Increasingly, however, they are also being purchased by wholesalers, who then sort, label and package them into containers for export to different markets.

A large portion of these previously owned clothes ends up in market stalls across Africa -- according to an Oxfam report, used garments account for over 50% of the clothing sector by volume in many sub-Saharan African countries.

For customers in Kampala's bustling markets, however, this is no dumping ground. Instead, these clothes are as desirable as they are affordable.

"Yes, the price is right and the clothes are still looking good," says Brenda, a local shopper.

In the beginning, it appears to be a win-win situation for everyone involved; Western charities receive much-needed revenue, African buyers with weak purchasing power get low-priced, well-made clothing, and merchants find eager customers for their merchandise.

But some experts say that the mass influx of cheap hand-me-downs from the West could have a much more negative impact.

"The long-term effect is that countries such as Malawi or Mozambique or Zambia can't really establish or protect their own clothing industries if they are importing second-hand goods," says Andrew Brooks, lecturer at King's College London and co-author of a study called "Unravelling the Relationships between Used-Clothing Imports and the Decline of African Clothing Industries."

"Your t-shirt may be quite cheap for someone to buy, but it would be better if that person could buy a locally manufactured t-shirt, so the money stays within the economy and that helps generate jobs," he adds.

Watch video: Cashing in on second-hand clothes

Big business

Analysts say textile industries are relatively easy to develop and, as success stories like South Korea showcase, can provide the first step in the ladder towards economic growth. A booming clothing sector is labor intensive, generates national revenues through taxes and, ultimately, can help end dependency on aid.

But in Africa, the introduction of trade-liberalization policies and the opening of economies in the 1980s and 1990 allowed both second-hand and cheap new imports, especially from Asian countries, to enter markets across the continent.

This undermined growth opportunities for many local industries and led to the closure of several African clothing factories, say experts.

According to a 2006 report, textile and clothing employment in Ghana declined by 80% from 1975 to 2000; in Zambia it fell from 25,000 workers in the 1980s to below 10,000 in 2002; and in Nigeria the number of workers fell from 200,000 to being insignificant.

Meanwhile, second-hand became a highly lucrative industry across African markets. Whilst exact continent-wide figures are hard to come by, global used clothing exports from OECD countries stood at $1.9 billion in 2009, according to 2011 U.N. Comtrade data.

Yet Brooks claims the figure is an underestimation, largely because of the widespread smuggling of used clothes that occurs in many countries, as well as trans-shipments that are not documented in official statistics.

"The best estimate that probably gives the value of the global trade of second-hand clothing would be about $3 billion," he says. "Obviously, that's the import cost and once things are sold on retail, [it's] probably twice that," he adds.

Read this: 'Africa's tallest building' set for $10 billion tech city

Hard to compete

For many people across Africa's fashion industries, this curtails local new-clothing production and prevents their sector from growing. Designer Sylvia Owori, who's been in business in Kampala for more than a decade, says it's very difficult to rival the second-hand market.

"Probably 90% of the clothing people are buying in the whole country are second-hand clothes," says Owori. "It's a multimillion dollar industry -- so, as a small fish, how are you going to start to compete with that?"

To deal with the problem, a number of African countries have banned imports of second-hand clothes in recent years as part of efforts aimed at protecting their national textiles industries. Amongst them are the continent's two biggest economies -- South Africa and Nigeria -- while many more are also debating restrictions.

But there's also another threat to the local industries: Chinese imports that are even cheaper than the Western hand-me-downs and locally made clothes.

Read this: 'China can transform Africa'

"One of the problems is that these local clothing industries are often more expensive than clothing that's produced in Asia," says Brooks. "So if you ban second-hand clothing sometimes this gets replaced with imports of clothing from China or elsewhere in the Far East."

Back in Owuri's shop, the designer says she is resigned to the reality of her competition. She adds, however, that she looks forward to the day that homegrown businesses like her own prevail.

"As much as I don't like second-hand clothes to be in the market, I don't have an alternative," she says. "I cannot make enough clothes to support a population of 33 million. So we need to actually first grow the manufacturing and production side of the business locally for us to say, 'OK, all the other stuff can't come in.'"

Brooks says that whilst used t-shirts, jeans and dresses can satisfy a basic need for affordable clothing, they ultimately help keep people in poverty.

"Second-hand clothing maintains the status quo," he says. "It doesn't help the poor get richer, it just keeps things as they are at the moment."

@highlight

Previously owned clothing is big business in Africa

@highlight

But mass influx of second-hand clothes from the West damages local industries

@highlight

Designers say cast-offs are preventing their businesses from growing

@highlight

Several African countries have banned imports of second-hand clothes