(CNN) -- Even if they don't admit it, most people know when they're hammered.

But they may not always know when they're legally drunk.

If states heed the new recommendations of the National Transportation Safety Board, it will be easier for motorists in the U.S. to be arrested for drunken driving. The NTSB wants states to reduce the blood-alcohol content threshold used by law enforcement to prosecute drunken driving from 0.08 to 0.05.

In plainer language, that means drivers could be subject to arrest after downing as few as two recent drinks.

How do you know when it's safe to get behind the wheel and when you should hand the keys to someone else? Here are some tech tools that can help.

Blood-alcohol calculators

If you have access to a computer, there are sites that can estimate your blood-alcohol level. You enter information such as your body weight, the types of drinks you've had and how long you've been drinking, and these online calculators will spit out a number.

For example, a 180-pound man typically will hit the 0.05 threshold after two or three drinks over an hour, according to an online blood alcohol calculator published by the University of Oklahoma. But a 125-pound woman would register an estimated 0.092 after three glasses of wine over the same period, according to BloodAlcoholCalculator.org, whose slogan is "Check yourself before you wreck yourself."

If you'd prefer to estimate your BAC on your phone, there are calculator apps such as DrinkTracker and IntelliDrink.

Keep in mind that these numbers are only estimates and that many factors besides gender and weight influence a person's blood-alcohol content. Don't treat the results as legal advice.

Hand-held breathalyzers

Breathalyzers aren't just for law enforcement anymore. Many manufacturers make small, hand-held versions for people who want to monitor their alcohol intake, or just use them for party games.

The battery-powered gadgets, about the size of a cellphone, contain a breath tube and an internal alcohol sensor that gives instantaneous readings. Prices range from $4 for a one-time disposable model to $29 for small keychain devices to $200 or more for more sophisticated "professional" models used by police.

Beware, however: Some of the cheaper models have been known to produce inconsistent readings. The pricier ones employ fuel-cell sensors, which turn your breath into electrical current that can be precisely measured for levels of booze.

The devices are available at sites such as Breathalyzer.net and Alcotester.com.

Apps/devices for your phone

If you're looking for a less expensive alternative and want to track your results online, these may be for you. Matchbook-size devices such as the Breathometer and the Alcohoot plug into the audio jack of your iPhone or Android phone. You download the accompanying app, blow into the device's mouthpiece and view the results on your phone.

There's only one problem: They're not readily available yet. The Breathometer is available for pre-order for $49 and will ship to customers this fall. The first batch of the $75 Alcohoot sold out, and devices ordered now won't be delivered until at least October.

When used over time, the apps give you a history of your drink consumption and blood-alcohol levels to help you understand how your body reacts to alcohol. (In case you didn't know.) If you've had too much, you can also call a taxi via the Alcohoot app.

A similar $149 device, the BACtrack, works wirelessly with your phone via Bluetooth and is available now.

@highlight

New laws could potentially make it easier for U.S. motorists to be arrested for drunken driving

@highlight

The NTSB wants states to reduce drivers' blood-alcohol limit from 0.08 to 0.05

@highlight

Gadgets and apps can help drivers monitor their blood-alcohol levels