(CNN) -- A polar bear falls through thin Arctic ice while searching for food for his family. A humpback whale guides her calf on a perilous 4,000-mile journey. A herd of African elephants in search of water battles a sandstorm in the Kalahari Desert.

"Earth," a documentary in theaters Wednesday, follows families of polar bears and other animals.

These dramatic scenes await viewers in "Earth," a feature-length documentary hitting theaters Wednesday for Earth Day.

For British filmmakers Alastair Fothergill and Mark Linfield, surveying the whole planet for Earth's most exotic species and magnificent landscapes was a daunting task.

"We wanted to tell an epic story about the whole planet," co-director Fothergill told CNN in an interview. "We spent a record 2,000 days in the field. We filmed in 46 countries worldwide, on every continent."

Fothergill and Linfield shot the footage for the film while making "Planet Earth," the Emmy-award-winning nature series that aired on the BBC and the Discovery Channel in 2007.  See photos from "Planet Earth" »

But the filmmakers say "Earth" is not just a remix of the previous project.

"The movie has over 40 percent original footage. It has a very distinctly different story line than the TV series," said Fothergill, who believes small TV screens don't do justice to the images he and Linfield captured.  Watch directors give behind-the-scenes look at 'Earth' »

"It's very hard [on TV] to give people a true sense of what it's like to be there," he said. "What we think is very special about the movie is its surround sound. When the lions roar, you get a real feeling for being there."

"Earth" is the first of a series of movies set to be released under the newly branded Disneynature label -- a spin-off of "True-Life Adventure," Disney's first nature documentary series of the '40s and '50s.

Nature movies have made a big impression on national and international audiences in recent years. The 2005 documentary "March of the Penguins" cost roughly $3 million to make and sold over $127.4 million in tickets worldwide.

Disney plans to release one feature-length film a year. The next one is "Oceans" in 2010 followed by "Big Cats" and "Chimpanzees." In honor of Earth Day 2009, Disney promised to plant a tree for each person who goes to see the movie on its opening weekend.

"Earth" examines the resilience of life in the face of ever-present danger through three stories of mothers and their young: polar bears in the Arctic, elephants in Africa's Kalahari Desert and humpback whales in the tropical oceans. Thirty-nine other exotic species from all corners of the world get supporting roles.

The film is narrated by James Earl Jones, and George Fenton composed the score, which is performed by the Berlin Philharmonic Orchestra. iReport.com: Tell us about nature and environmental issues near you

Over the course of five years, the filmmakers collected video footage from some of the most remote places on the planet, including the Aurora Australis in Antarctica, the peaks of the Himalayas, and the tropical birds of Papua New Guinea, to reveal the earth's intrinsic beauty and harsh realities.

Central to the movie's storyline is the constant tug-of-war between the animal "actors" and their ever-changing environment.  See iReporters' photos and video of local ecological issues »

"Although the elephants and the humpback whales and polar bears are the animal stars, the other big star of the movie is the earth -- the planet itself," said Fothergill. "Really the one thing that unites all of our planet and all the animals that live on it is the seasonality of it."

Without the earth's 23.5-degree tilt to the sun there would be no seasons, no variation in daylight and darkness, said Fothergill.

Fothergill and Linfield used state-of-the-art camera technology to capture nature's predator-prey interplay from great distances without disrupting the hunt. Aerial shots of the elephant herd, for example, were shot using a gyro-stabilized Cineflex aerial camera system mounted to the bottom of a helicopter.

"A lot of the breathtaking cinematography in the movie was only achieved through this special camera system," Fothergill said. "We were ... almost a mile away from our action and we could still get all the close-ups we needed."

The filmmakers used this technology to film a sequence of a wolf chasing a herd of caribou.

"Wolves are very shy animals and they run very fast. If you are on the ground, you can never keep up with the action. We filmed the whole hunt from our helicopters and because we were flying so high, the wolves could hardly hear us," added Fothergill.

The filmmakers also used infrared cameras to film a dramatic nighttime sequence of 30 lions in Botswana joining forces to attack an elephant. Fothergill and Linfield couldn't use lights or normal cameras because they would have frightened away the animals.

"Probably the most dangerous single situation was filming the lions at night attacking the elephant," Fothergill said. "Apart from the woman who was looking through an infrared sensitive camera, nobody else could see anything. We were right in the middle of the action and there was a constant concern that the elephants would come charging through our vehicle. That was pretty hairy."

Another high-speed, high-definition camera, originally developed to film car crash tests, was used to capture an eye-popping scene of a Great White shark leaping out of the water to devour a seal in midair.

The camera was able to film shots at 1,000 frames per second, slowing shots by as much as 40 times their original speed. The images were captured directly onto a computer allowing for an endless stream of video while maintaining the detail and clarity of the shot.

"In normal speeds it's gone in seconds, but in slow motion, when you see it lasting 40 seconds to a minute, you get a real sense of the beauty, the scale and the size and power of that shot which is exactly what we wanted," Fothergill said.

Not a single image in the film was computer generated, Fothergill said.

Time-lapse camera technology allowed the filmmakers to condense a year's worth of seasonal changes into a seamless 30-second shot.

Fothergill says his formula for movie-making success is simple: "A lot of waiting around, a lot of patience and a lot of failure."

The filmmaker believes those failures -- missed opportunities, days of waiting for animals to appear -- paid off in the end. He hopes audiences will be entertained while escaping into the wonders of a world they don't often see.

"We wanted to give people this wonderful journey and say, 'Look, it's a really beautiful planet and it's still ... worth preserving."

@highlight

"Earth," a movie about animals and their dramatic journeys, hits theaters Earth Day

@highlight

The documentary was shot by the same filmmakers who made "Planet Earth"

@highlight

The movie is the first released under Disney's newly branded Disneynature label

@highlight

Disney vowed to plant a tree for everyone who sees the film opening week