(CNN) -- Adventure travel isn't always about riding waves and ascending heights -- sometimes it's about heading inside, to explore the realm of our inner worlds.

While it might be counter-intuitive to travel long distances to sit with a bunch of silent strangers, meditation retreats offer guidance to those on an internal quest.

"Every wise culture knows that there are times that are important to walk out in the desert or in the mountains, or go on retreat and listen," says Jack Kornfield, a meditation teacher whose books include "The Wise Heart" and "Bringing Home the Dharma."

"Quiet the mind and open the heart and listen deeply. In the cycles of our life, that serves almost everyone."

It's common to worry about a week without conversation, meat or sleeping in. But those who persevere are rewarded.

"It turns out in almost every case that they love it," says Kornfield. "Things that seem like they might be difficult, such as silence, turn out to be right away a splendid gift."

Rules vary, but many dedicated centers will ask for a temporary vow of silence during most or all of your time as a visitor.

A rule of thumb is to look for teachers with a good reputation and who come from a long tradition rather than a self-proclaimed guru.

Be realistic about your physical needs and creature comforts. Austere conditions may prompt insight into the difference between what you want and want you need.

A traditional Buddhist meditation retreat starts early in the morning; nonprofits will likely expect you to do a work period (cut those carrots mindfully) and to pick up after yourself.

More than anything, says Kornfield, look for "a place that's known for love, [with] a spirit of loving kindness and compassion in everything that it does."

Spirit Rock, California

Once San Francisco's northern suburbs give way to what looks like Tolkein's shire, the hills of Spirit Rock appear.

Native Americans once used this land for spiritual rites; even the wild deer and turkeys are calm, without any need to flinch from humans.

Residential retreats, held throughout the year, run as long as two months.

"Some come for healing, either the healing of the heart or the healing of the body," says Jack Kornfield, one of Spirit Rock's founding teachers. "Some come because they are in life transition and need to listen deeply to what is the next thing that is asked of them or how to deal with some great change.

"As they quiet themselves, as they walk in nature, as they listen to their own breath and their own feelings and thoughts more deeply, they grow a sense of stillness and clarity.

"And we see it on their faces. We call it sometimes the vipassana [insight meditation] facelift. You look at the shining faces of people after a week of retreat, and they look like they are 10 years younger. They're brighter; their presence and spirit has been renewed."

www.spiritrock.org

Plum Village, France

For Thich Nhat Hanh, the Vietnamese monk whom Martin Luther King Jr. nominated for the Nobel Peace Prize, cultivating lucidity is a means to connecting with yourself and others.

"When you are mindful of something, you are concentrated on it, and the power of mindful concentration can help you see things as they really are and you discover the nature of interbeing," he recently told Shambhala Sun.

The monastery in southern France that he and about 200 monks and nuns call home welcomes visitors of all ages and features one lazy, unstructured day per week.

www.plumvillage.org

Dalai Lama's teachings, Dharamsala, India

When the Dalai Lama teaches in India, where he sought refuge after fleeing his native Tibet, his talks are typically free and open to the public.

Eleven Directions bridges the gap between the Nobel Peace Prize winner's talks and negotiating a week or so in Dharamsala, the center of the Tibetan community in exile and destination for many a spiritual pilgrim.

Accommodation options include a guesthouse run by the Dalai Lama's brother.

Shantum Seth, a Zen priest, advocates being fully open and aware when traveling, and is widely praised by Western Buddhists as the go-to guide in the Himalayas.

His tour in Dharamsala is for those who want to connect with and discuss Tibetan culture and practices; other itineraries include "In the Footsteps of the Buddha."

www.buddhapath.com

Mindfulness-based stress reduction at Glenview Hotel and Leisure Club, Ireland

In the 1970s, Jon Kabat-Zinn pioneered Mindfulness-Based Stress Reduction (MBSR) at the University of Massachusetts Medical School for patients (and staff) to help manage the physical and psychological impacts of stress, pain and sickness.

The approach strips away talk about dharma and karma to offer meditation techniques straight up.

Their Center for Mindfulness hosts an annual conference for scientists on how meditation impacts health care and vice versa, and has contributed to scientific understanding of how meditation affects the brain and immune system.

Mindfulness Tools for Living the Full Catastrophe is a five-day residential version of MBSR, which is taught around the world.

This summer, Ananda hosts a session at Ireland's Glenview Hotel -- ideal for somebody who wants a location with all the typical traveler amenities.

www.umassmed.edu

The Buddhist Retreat Centre, KwaZulu-Natal, South Africa

Just a 90-minute drive from Durban, the Buddhist Retreat Centre's remote location in Ixopo feels fully rural.

Former President Nelson Mandela awarded the center National Heritage status for its environmentally friendly approach to using indigenous plants and helping to save the endangered Blue Swallow.

Accordingly, walking and bird-watching on the extensive property are encouraged.

In addition to scheduled meditation retreats, people in search of solitude are also welcome to come and get away from the modern world on their own.

Located in a traditional Zulu tribal area, the community here does outreach work with the local population through Woza Moya in the Ufafa Valley.

www.brcixopo.co.za

Wat Suan Mokkh, Chaiya, Thailand

Starting on the first day of each month, this forest refuge offers 10-day meditation retreats.

All levels are welcome, but the conditions are rugged; in the words of Ajahn Buddhadasa, who founded the hermitage: "Live plainly, aim high."

At registration, you turn in your cell phone; beds are a straw mat and wooden pillow.

The wake-up bell is at 4 a.m.

The Garden of Liberation regularly attracts foreigners and is a good choice for those seeking an authentic forest monk experience with instruction in English.

www.suanmokkh-idh.org

Ala Kukui, Hawaii

The idea for Ala Kukui, or "Pathway of Illumination," was inspired by the events of September 11.

This sanctuary is situated among hills and fruit trees on 12 rural acres in Maui, with views of both the Pacific Ocean and Haleakala.

Various offerings throughout the year draw locals and long-haul visitors.

Among specialties is a residential retreat for war veterans that acknowledges and aims to heal the extreme PTSD, grief and loss that soldiers often struggle with.

Programs in hula, writing and yoga are also available.

www.alakukui.org

Assisi Retreat Home & Hermitage, Assisi, Italy

If the Italian countryside gives you piece of mind, you can take comfort in the centuries-old farmhouse with four guest rooms.

Morning and evening meditation periods are bookends for days spent exploring Assisi -- a "spiritual walking tour of the ancient holy sites" is an option -- or the Umbrian countryside.

Retreats are conducted in English; kitchen space is provided to prepare your own meals.

www.assisiretreats.org

Gampo Abbey, Nova Scotia, Canada

Gampo Abbey is geared toward monastic life in the Shambhala tradition. Residents typically make at least a yearlong commitment, but those with a regular meditation practice are welcome to come for a week during the summer in-house season.

Those wanting to study with Gampo Abbey's principal teacher Ani Pema Chödrön (born Deirdre Blomfield-Brown in New York) can do so this year at the less austere Omega Institute in New York State.

www.gampoabbey.org

Kripalu, Massachusetts

Located in the Berkshires just down the road from Tanglewood, the summer home of the Boston Symphony Orchestra, Kripalu is primarily a yoga center.

The woodsy setting overlooking a lake is iconic New England, whether the branches are heavy with winter snow or bursting with the colors of spring, summer and autumn.

Most visitors sign up for a course -- often a yoga specialty, including teacher training in Kripalu's signature method, which emphasizes personal expression.

But many other programs, such as meditation, mindful running and couple's massage, are also offered.

Yoga and dance for all levels are available several times per day for all visitors, and during school vacation periods, kid-oriented choices like CircusYoga are available.

Keeping with the property's monastic history, living quarters are basic: many opt for dorm rooms with bunk beds and community baths. Some private rooms are available.

Vegetarian-friendly meals are served cafeteria-style. (Breakfasts are silent.)

New management has introduced Wi-Fi, coffee and all manner of chocolate.

A vast menu of bodywork, including massage, facials and ayurvedic consultations, can be booked ahead of time or on-site.

www.kripalu.org

@highlight

Spirit Rock in California was once used by Native Americans for spiritual rites

@highlight

The Dalai Lama's teachings are available in Dharamsala, India

@highlight

At Wat Suan Mokkh, Thailand, guests sleep on wooden pillows