(CNN) -- Everyone talks about our broken political system. Washington is too polarized. Money dominates politics. Politicians don't know how to lead. Citizens are not as attentive to governance and public policy as they should be. Americans either ignore politics or see it is one more form of entertainment, "American Idol" on steroids.

As a result, politicians get away with all kinds of misstatements and truths, in part because the electorate is so gullible.

How do we make our democracy work better?

Political reform will be essential to making sure that our institutions operate effectively. The news media needs to do a better job of separating truth from fiction and backing away from the increasingly partisan outlook of journalism. Civic organizations need to do more to make sure that voters are active in politics and, at a minimum, that they actually vote on Election Day.

But education is also going to be a key part of the equation. The way in which we teach our citizens in schools and colleges is how we shape our electorate from a very young age. If we do not do a good job imparting the basics that are needed to be virtuous members of our democracy, the system will never be repaired.

Unfortunately, there is some bad news on this front. A recent study by the American Academy of Arts & Sciences sounded the alarm that vital subjects such as history, literature, language, civics and the arts are in trouble.

According to the report, the percentage of students majoring in the humanities has dropped in half, falling from 14 in 1966 to 7 in 2012. In 2010, only 45% of high school students were able to demonstrate a basic understanding of U.S. history.

Government funding for this kind of research, compared with the sciences, has also fallen.

The study points out that the federal share of funding for research in law and humanities was the only area of research that was smaller in 2011 than in 2005. In recent years, the Republican-controlled Congress has repeatedly targeted funding for political science research.

The commission argues this kind of decision has hurt our nation's economy. Of the nation's business leaders interviewed in the report, 51% said they believed that a liberal arts education was "very important."

The humanities and social sciences are essential to making good citizens. To improve our politics, we need to make sure that these disciplines remain integral to the curriculum of our students. Why? Each offers a particular set of tools that is hugely important to the ability of citizens to make good decisions.

In history, my area of focus, understanding the past gives us a much richer understanding of the political problems facing the nation today. "History doesn't repeat itself, but sure does rhyme," Mark Twain once said.

We learn how politicians have tried to tackle problems before, what has worked and what has failed. There have been so many missteps in foreign policy, such as Iraq, that could have been averted with a better understanding of the past.

We also gain a better understanding of the roots and origins of contemporary challenges. If we approach issues such as immigration with that kind of long-term vision, we are in much better shape to actually tackle the forces that cause our problems and to do so in a way that doesn't repeat the mistakes of the past.

The study of language is absolutely essential in our modern world. Politics today is global. In the 21st century, the lines separating one nation from the other continue to thin. The more that our leaders and citizens can communicate across broad swaths of territory, the better understanding we will have of how our government's decisions affect different parts of the world and how events going on overseas might reshape the United States back at home.

The study of English, particularly literature, is a window into understanding different perspectives. There are few subjects like English that help students really probe how other people see the world, a rigorous exercise into looking into the mind of a writer as he or she unpacks characters, place and time.

"It's always amazing how little Democrats and Republicans know about each other," writes David Brooks. In an era when polarization has done so much to make this kind of communication among Americans virtually impossible in politics, the practice of literature is the best way to force oneself to shift perspectives and develop empathy for the worldview of others.

It also is great instruction in the art of writing and communication, another skill that seems to be falling by the wayside in modern politics.

Finally, the study of civics is essential. Political science can move students beyond the horse race that is often overcovered in journalism and into understanding the larger structural patterns and institutional dilemmas that continually shape politics.

Rather than just speaking about a red and blue America, we can see if the polling data actually supports that argument and, if it does, what the forces are that drive divisions between the parties.

The kind of work that Nate Silver has produced in The New York Times, which offered much better understanding of what was happening in the election, is based on long-term statistical analysis rather than snapshot analysis. It's built on the kind of rigorous civics instruction that schools can provide.

In one of my classes on leadership in historical perspective, a former government official from overseas spent much of the semester writing a paper about how Ronald Reagan approached the negotiations with Mikhail Gorbachev, hoping that one day he could use the lessons himself. He was recently appointed to a high-level position by his country's president and might well be in an ideal position to translate this kind of learning into action.

Another student, an undergraduate economics major, decided to take one of my seminars on political history primarily for his intellectual curiosity. He told me that the readings on issues such as the Progressive Era and the history of health care were enormously helpful in his recent work advising a high-level aide to President Barack Obama.

One student who had a long career as state police trooper and who worked as an adviser to a governor pursued his doctorate in history. He had returned to complete his undergraduate degree after years in the workforce and found that studying the history of American politics opened up many insights into the origins of the problems he had confronted. Others have applied their education in fields as diverse as child advocacy and international law.

Too often in our race to pour resources into disciplines such as the hard sciences that have more tangible applications and output, we lose sight of the kind of learning that is essential to produce good citizens.

The costs of such bias become clearer every year, as our political system suffers and, as a nation, our government seems incapable of dealing with the biggest problems before us. Policymakers would do well to rethink our narrowing vision of education.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: People deplore our broken political system, but don't seek root causes

@highlight

He says American education is turning away from fields such as history, civics, languages

@highlight

Zelizer says a new report points out humanities majors have declined sharply

@highlight

He says those who've studied history learn much that they can apply to today's problems