(Health.com) -- An antibiotic widely used to treat diarrhea in travelers may also provide some relief to people with the common and difficult-to-treat condition known as irritable bowel syndrome, according to a pair of new studies in the New England Journal of Medicine.

The Food and Drug Administration has not yet approved the antibiotic, rifaximin, for use in IBS, which affects as many as 1 in 5 U.S. adults. The agency is currently reviewing the drug for that purpose and is expected to make a decision in March.

In the studies, 1,200 IBS patients took rifaximin or a placebo pill three times a day for two weeks. Roughly 40 percent of the patients who took the antibiotic reported substantial relief from symptoms such as bloating, abdominal pain, and loose stools for at least two weeks during the subsequent month, compared with a little under one-third of the patients taking placebo. All of the patients in the studies had a form of IBS that does not involve constipation.

Health.com: 12 surprising causes of constipation

"It made all the symptoms of irritable bowel syndrome better, which we don't see too often in studies," says the lead researcher, Mark Pimentel, M.D., a gastroenterologist at Cedars-Sinai Medical Center, in Los Angeles.

The studies were funded by the maker of rifaximin, Salix Pharmaceuticals, which was also involved in collecting and analyzing the data. (This arrangement isn't unusual in these types of studies, which are known as phase 3 trials and are generally the last research step in the FDA approval process.) In addition, Pimentel and several of his co-authors report financial relationships with Salix, including receiving consulting fees from the company.

Health.com: Quick cures for stomach troubles

Rifaximin, sold under the brand name Xifaxan for travelers' diarrhea, appears to be safe and doesn't seem to foster resistance among gut bacteria, meaning it can be used over and over, Pimentel says. That could be important, because the number of study participants who reported lasting relief from their two-week rifaximin regimen gradually declined in the 10 weeks following treatment.

Despite the relatively small percentage of patients who responded to the drug, doctors who have been frustrated by the lack of effective IBS treatments say they would welcome another option.

Charlene Prather, M.D., a professor of internal medicine at Saint Louis University, in Missouri, says that while she'd hoped to see a "more robust effect" from rifaximin in the studies, she nevertheless would like the FDA to approve the drug for IBS. "It still provides me with something I can offer my patients," says Prather, who was not involved in the new research.

Health.com: 10 things that can make incontinence worse

Currently, "there are no good options" for treating IBS, says Timothy Pfanner, M.D., a gastroenterologist and assistant professor of internal medicine at Texas A&M Health Science Center, in Temple. Rifaximin may benefit a subgroup of patients with IBS, Pfanner says, although he stresses that most people in the study did not experience relief from their symptoms.

"As a doctor, I'd need to treat 10 patients for one to improve," he adds.

Rifaximin would be the first antibiotic approved by the FDA for the treatment of IBS. Aside from providing evidence of the drug's effectiveness, the study findings -- especially with regard to bloating -- support the theory that bacteria may be partially responsible for IBS.

Health.com: Alternative therapies for irritable bowel syndrome (IBS)

Bloating is sometimes thought to be related to bacterial imbalances in the gut, and antibiotics are a class of drugs that work only against bacteria. "That suggests that we hit upon a cause of IBS," Pimentel says.

This theory is still controversial. Prather says that while there is some evidence to suggest that bacteria plays a role in IBS, it's unclear whether changes in gut bacteria are a cause or an effect of the syndrome.

Copyright Health Magazine 2010

@highlight

New studies show that an antibiotic may provide relief to people with IBS

@highlight

About 40 percent of the patients who took the antibiotic reported relief from symptoms

@highlight

The FDA has not yet approved the antibiotic, rifaximin, for use in IBS