Outrage over the recent killing of a healthy giraffe at a Danish zoo misses a crucial point, an official argued.

"Conservation is not always simple. It's not always clean," said Lesley Dickie, executive director of the European Association of Zoos and Aquaria, a European body governing 345 institutions.

"I'm afraid that when we have limited space in zoos -- and it's limited because of problems in the wild, of course, and more and more animals need our help -- then we sometimes have to make these really tough decisions."

The Copenhagen Zoo said it "euthanized" the animal, named Marius, to avoid inbreeding. A veterinarian shot Marius with a rifle as he leaned down to munch on rye bread, a favorite snack. After a necropsy, the giraffe was dismembered in front of an audience that included children and fed to the zoo's lions, tigers and leopards.

While some American zoo officials have said this is not standard practice for their facilities, Dickie said that this can be chalked up to a misunderstanding about what is "normal in Danish culture" and that zoological experts could do a better job of communicating.

"People have perhaps lost sight of the bigger picture and perhaps we as zoos have not been good at explaining why on very few occasions we need to make decisions like this," she said.

Death threats

Staff at the zoo have received death threats as debate rages online over the killing, which took place despite a petition signed by thousands of animal lovers.

Several staff members were targeted after the giraffe was shot Sunday, Copenhagen Zoo spokesman Tobias Stenbæk Bro told CNN on Monday. He added that Bengt Holst, director of research and conservation at Copenhagen Zoo "received threats via telephone and e-mails."

OPINION: Why zoo was right to kill giraffe

"Our giraffes are part of an international breeding program, which has a purpose of ensuring a sound and healthy population of giraffes," Holst told CNN. "It can only be done by matching the genetic composition of the various animals with the available space. ... When giraffes breed as well as they do now, then you will inevitably run into so-called surplus problems now and then."

As for the public necropsy, Holst said Monday that the zoo staff saw it as a learning opportunity because zoos have an obligation "not to make nature into a Disney World," but rather show those interested in "the real thing."

He further pointed out that most of the children in attendance brought their parents to the necropsy, not vice versa.

"It's not by accident that people came by here," he said.

This may speak to the cultural gap Dickie referenced. At the Copenhagen Zoo, she said, all euthanized animals are autopsied, with some parts used for research and the rest of the animal fed to the zoo's carnivores.

"They strongly believe that the public should know how autopsies are done, what is the work of a vet in the zoo," she said.

Shame on whom?

That didn't dull the outrage sparked by the killing, as many people expressed their revulsion on the zoo's Facebook page.

"I find the killing of innocent baby giraffe Absolutely Barbaric. And to do it in front of children just desensitizes them to brutal killing of animals. SHAME ON YOU!" Hope Welch posted Monday.

However some users pointed out the hypocrisy of those who criticized the zoo without any understanding of the reasons behind the decision, or who ate meat without knowing its true origin. "The level of crass hypocrisy demonstrated by the vast majority of comments on this thread is absolutely repugnant. Shame on you, armchair warrior, shame on you," wrote Matthew Ogden.

OPINION: Why killing Marius doesn't stand up to scrutiny

More than 27,000 people had signed a "Save Marius" petition, appealing for a last-minute change of heart. "The zoo has raised him so it is their responsibility to find him a home," author Maria Evans wrote on the petition site.

When that petition failed, another petition popped up Monday, titled, "Fire Bengt Holst From the Copenhagen Zoo For Having Marius the Giraffe Killed." It had more than 16,000 signatures as of 3:30 p.m. ET.

Zookeeper and TV personality Jack Hanna, who is also director emeritus of the Columbus Zoo and Aquarium in Ohio, joined the chorus of outrage Monday, calling the Copenhagen Zoo's decision "the most abominable, insensitive, ridiculous thing I've ever heard of."

He also questioned why the Copenhagen Zoo would keep breeding animals for which it didn't have room. The Columbus Zoo would never put down an animal in this manner, Hanna said, and he wouldn't condone showing an animal consume another animal to children.

"I know it's natural in nature. I'm not an idiot," he said, "but I don't need to have some 2- and 3- and 6-year-olds -- they cannot understand at that age. You understand they don't understand nature. They haven't been to Africa, so that's what we do at the zoos. We try to educate people at zoos on what happens in the wild."

Which is exactly what Holst argues the Copenhagen Zoo was doing. As for exploring other purportedly more humane options, such as lethal injection or sterilization, Holst said that an injection would have contaminated about 200 kilograms of perfectly good meat, which was out of the question. He added, "if we just sterilize him, he will take up space for more genetically valuable giraffes."

Options deemed not viable

Several zoos volunteered to take Marius. The UK's Yorkshire Wildlife Park, which said it has the capacity for an extra male, was among several places that offered to take him.

Copenhagen Zoo said in a Q&A about the decision on its website, "it is not possible to transfer the giraffe to another zoo as it will cause inbreeding."

The EAZA's Dickie said some institutions were ruled out because they did not meet her organization's strict protocols, and the Copenhagen Zoo wouldn't send Marius to an institution with "lesser standards of welfare."

She further said that while EAZA members are "saddened by the death of any animal in our care," the EAZA supports the Copenhagen Zoo's decision and reiterated the zoo's claim that "transfer within our network does not represent a solution to the unsuitability of the individual animal for breeding."

In the EAZA's history, which dates to the early 1800s, its member zoos have put down only five giraffes, Dickie said.

Numerous American zoos did not immediately respond to requests for interviews. The Association of Zoos and Aquariums declined a request, issuing a short statement from executive director Kris Vehrs stating that EAZA's "programs and procedures vary from those of the AZA."

"Through the AZA Species Survival Plan program, these methods include science-based breeding recommendations and cooperating to plan for adequate space," Vehrs said in the statement.

The Woodland Park Zoo in Seattle, Washington, also declined an interview but said its birth plans were managed by the AZA Species Survival Plan.

"With each new animal birth, Woodland Park Zoo establishes a breeding and relocation plan that ensures a healthy and genetically sound future for the individual and species," the statement said.

To claims that the Copenhagen Zoo acted irresponsibly by allowing Marius to be born if it had no room to house him, Dickie said the giraffe was born more than two years ago, and it's difficult to predict "genetic kinship" and a zoo's available space that far out.

As for preventing the giraffes from breeding, that would violate the EAZA's standard of "providing a behavioral repertoire as natural as possible" for animals in captivity, she said.

@highlight

Copenhagen Zoo staff get death threats

@highlight

Those outraged don't understand zoo protocol, "Danish culture," official says

@highlight

Copenhagen Zoo said it shot Marius with rifle, fed his carcass to zoo's carnivores

@highlight

Killing sparked outrage, with many people expressing revulsion on Facebook