BUCHAREST, Romania (Reuters)  -- In the mobile phone version of the "Harry Potter and the Order of the Phoenix" video game, the torches hanging along the dark walls of Hogwarts glow in an eerily realistic fashion.

Romania is known for its strong computing and language skills coupled with cheap labor.

"We invented the technology, it's called 'dynamic lighting'," said Mihai Pohontu, general manager of Romania's mobile phone branch of Electronic Arts Inc, the world's biggest video game publisher.

Romanian programmers, such as Pohontu's team, are among the most sought-after in the world as large international IT companies turn to the east European country to take advantage of strong computing and language skills coupled with cheap labor.

Its computer literacy is not without its dark side -- the country has an unenviable reputation as a hotbed for computer fraud and a large community of hackers.

But legitimate IT is one of Romania's fastest growing export sectors with turnover of about 1 billion euros ($1.38 billion).

Roughly 90 percent of some 1,000 IT companies in Romania are foreign-owned and the government hopes exports will reach 1 billion euros in the next couple of years.

In February, Bill Gates opened a Microsoft Corp. technical support center in Bucharest. The investment followed, among others, the launch of a development center by Amazon.com Inc in the university town of Iasi in 2005.

That is the online retailer's only software development hub in Europe besides one in Scotland's Edinburgh. Other centers are located in India, the United States and South Africa.

"Romanian programmers are exceptionally creative. And in games, you need to explore," said Pohontu.

Prospects for large cash inflows from the European Union after Romania joined the bloc this January, cut-rate taxes and low wages add to Romania's appeal.

"In Eastern Europe, Romania is appreciated as having the biggest growth potential together with Turkey and Russia," said Stefan Cojanu, head of Oracle Corp in Romania.

The software maker, which has a support and software development center in Romania, has doubled its local staff to 1,000 over the last year since opening a tower office in central Bucharest. It plans to hire an additional 500 employees.

"The geographical distance, the similar time zone and business mentality argue for us to develop our activities in a country where costs are also lower," Cojanu said.

Romania's low wages of around $600 a month compare with $1,050 in Poland and $950 in the Czech Republic. Both countries also attract hefty investment in the IT sector.

However, some see a risk the sector is overheating. Double-digit wage growth and a shortage of skilled labor is dampening the enthusiasm of some investors and Romania is struggling with emigration as workers leave for better pay.

"The battle for specialists is very intense," said Ana Ber, head of human resources firm Dr.Pendl & Dr.Piswanger.

"There aren't enough of them, especially as many emigrated."

Industry observers say this state of affairs has prompted companies to focus on building support or software development centers, which need cheaper and lower skilled labor, rather than hiring high-end programmers.

"Romania remains good for outsourcing but not for first-class software authors," said Dragos Stanescu, sales and marketing manager at GECAD, a Romanian company that sold RAV Antivirus technology to Microsoft in 2003.

"The brains are already with companies that have good salaries and it is costly to buy them. A good senior programmer can earn 2,000 euros gross a month. Plus a 30 percent raise to buy him, and you have a salary of a good programmer in Germany."

FBI data show Romania may be the biggest single source of online auction fraud in the world, a multi-million dollar industry that scams people using Web sites like eBay.

"It's highly organized. They create fake accounts to trick people into thinking they are insured," said Gary Dickson, FBI representative in Romania.

"If Romanians were stopped, the amount of online fraud would drop significantly."

Experts say some 70 percent of software used in Romania is pirated, and salesmen still visit office buildings in central Bucharest to sell pirated CDs and DVDs.

Some hackers hope their skills will help secure employment, although breaking into other people's networks for fame or as part of a job CV has its dangers.

"The Romanian hacking community is quite large. They see the computer as a ticket out of the country. It is the easiest way to get a better-paid job abroad," said Victor Faur.

He faces a potential 54-year jail term if convicted on charges of hacking into U.S. government computers, including NASA. He was indicted in 2006.

"I saw a computer for the first time when I was 14. And I was glued (to it)," said Faur, 23. E-mail to a friend

Copyright 2007 Reuters. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed.

@highlight

Romania is known for strong computing and language skills and cheap labor

@highlight

Electronic Arts has a mobile phone branch in Bucharest

@highlight

Microsoft opened a technical support center in Bucharest in February