(CNN) -- Last week, House Republicans voted to delay the implementation of the individual mandate of the Affordable Care Act, trying to take advantage of President Obama's announcement that the employer mandate will be delayed for a year. The vote is purely symbolic as there is no chance that the Senate will pass the bill.

Striking a populist tone, Republicans argued that individuals should be afforded the same rights as big businesses. The response of the GOP is predictable, as House Republicans have been steadfast in their efforts to block the administration from making progress on any new bills and to cause problems for those that are already on the books. The hope of conservatives like Paul Ryan is that this is just the first step.

Karl Rove's Crossroads also released a video called "ObamaCareNado," playing on the television movie phenomenon "Sharknado," with the announcer warning that "Nobody is safe from its wrath." The video throws in a healthy dose of IRS images, just in case anyone thought that scandal would be soon laid to rest.

And on yesterday's "Face the Nation", Speaker John Boehner called Obama's health care law "not ready for prime time" and promised further action to seek to block it, saying, "we're going to stay at it."

But if House Republicans keep pushing too hard against the Affordable Care Act, they could easily open up more internal fissures, creating a party that is even more fraught with tensions as the presidential election of 2016 comes closer.

The strategy of congressional Republicans toward the health care program has evolved. At first, Republicans were relatively unified in their opposition, both during the debate over the passage of the legislation in 2009 and 2010 and in the two years that followed with the early stages of implementation.

During that time, almost every Republican consistently challenged the argument that the legislation would improve the overall quality of the nation's health care system and make it more equitable.

Republicans also challenged its constitutional legitimacy. But those arguments started to fade away among Republicans, first when the Supreme Court ruled that the law was constitutional in June 2012 and then when President Obama was re-elected.

The internal tensions among Republicans became worse over the past few months as the states needed to make decisions about whether to take an infusion of federal Medicaid funding that was part of the legislation, a key component that would help insure more of the poor.

Not only did many red-state Republicans believe this funding would help constituents, but they also heard from doctors and hospitals that depend on Medicaid to survive. When Congress originally passed the bill, most Republican governors had steadfastly insisted that they would not accept the funds. But those objections started to fade away for many in the GOP when the money was actually before them.

Many stalwart conservative governors, like Rick Scott in Florida, John Kasich in Ohio, and Jan Brewer in Arizona said they would take the funds despite previous statements. They found themselves in open conflict with their own Republican legislatures over the issue. Those tensions have not all been resolved, but the support of Republican governors for the money changed the political dynamics quite significantly.

Now the challenges for the House Republicans who are still opposing the bill are becoming even more difficult -- despite all the press about how the delay in the employer mandate signals huge challenges -- as concrete benefits start to roll out.

This was already clear when younger Americans under 26 started to enjoy continued coverage under their parents' plans, a fact not forgotten in the election when the youth vote swung to Obama once again.

Now the challenges are intensifying. The same week that there was all the discussion about the delay of the mandate, and as Republicans were trying to seize advantage from the delay, The New York Times reported more visible signs of what the program may bring. For those who don't receive benefits through their employers and will purchase benefits through health care exchanges, the cost of insurance will fall by 50% or more. In New York City an individual could see his or her bill drop from $1,000 a month to $308 a month. Similar declines have been reported in California and Oregon.

Unless something goes terribly wrong for ACA, House Republicans might want to think twice about continuing with their attacks on this program. As ACA gets further away from the period when the program was most vulnerable, and as the administration is getting closer to the period when the benefits start rolling out, more constituents -- in red and blue states -- will cast a skeptical eye toward any legislator who tries to take away their benefits.

Speaker John Boehner, already struggling as House Republicans make decisions on immigration that could have detrimental effects on the political standing of the party, might want to move on to different issues.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

House Republicans voted to delay Affordable Care Act's individual health care mandate

@highlight

Julian Zelizer: GOP risks fissures as Obamacare benefits become clear to Americans

@highlight

He says GOP governors are at odds with legislators over aspects of the law

@highlight

Zelizer: Uncompromising stance on health care is bad strategy for GOP