(CNN) -- Is the Central African Republic the world's next Rwanda? That's the question some are beginning to ask about a crisis that has been going on for most of this year but has only just burst through into the mainstream international mass media.

Warlords ruling the countryside by terror, a government that is almost toothless and the collapse of institutions have forced 0.4 million people to flee their homes and left a million dependent on aid.

And now reports of Muslim and Christian communities engaged in inter-communal violence have sparked concern about a slide into religious conflict. The "G-word" -- genocide -- has even been floated as a real risk by some observers.

In fact the country has not yet sunk that far. There is no sign of ideological motivation or the systematic political organization of mass killings.

Read more: What's happening in the Central African Republic

Humanitarian agencies active on the ground believe the Central African Republic (CAR) can still be pulled back from the brink of utter disaster.

But time is pressing and it is only now that the international community has fully appreciated the danger of the situation.

The U.N. Security Council is next week expected to vote, authorizing the deployment of a reinforced peacekeeping force under the banner of the African Union or, potentially, the U.N. itself. Meanwhile, France, which already has 400 troops in the CAR, has announced the dispatch of a further 800-1000, to work alongside African peacekeepers.

Read more: France to send 1,000 more troops to Central African Republic

Until recently the CAR had not been a priority focus of concern, even within Africa.

By contrast, Mali shot right to the top of the agenda when its northern regions were taken over by jihadist armed groups in March-April last year. Yet even then, it took many months of diplomacy to secure U.N. Security Council endorsement of African and, ultimately, French military intervention to tackle the crisis.

Read more: Fighting surges in northern Mali

The CAR is rather less well placed to grab global attention.

As its name suggests, the country lies at the very heart of the African continent, away from major trade routes and population centers, and very far indeed from public attention.

With only 4.5 million people but a territory the size of France it matters in strategic terms but has rarely hit the headlines, at least not since the dictator Jean-Bedel Bokassa proclaimed himself emperor back in the 1970s -- a story of almost picturesque caricature that distracted attention from the harsh underlying reality of poverty, isolation and incompetent government.

Chronic instability

The country has slid into its present condition of almost complete state collapse, leaving free rein to looting and murderous rebel groups, partly because the outside world did not perceive its earlier condition of chronic instability and political weakness as a risk to Africa or even the region as a whole.

For many years the CAR's persistent problems have been a sad humanitarian story, with a daunting incidence of diseases such as malaria, HIV/AIDS and sleeping sickness, and depressingly high rates of child mortality and malnutrition. Even before the present crisis, life expectancy, at just 48 years, was the second lowest in the world.

But in spite of these dismal health and development conditions, the CAR's problems impinged little on neighboring states -- other than occasional localized movements of refugees into remote fringe regions of Cameroon, Chad or Democratic Republic of Congo.

Over recent years the then president, François Bozizé -- who himself originally came to power through rebellion in 2003, before repackaging himself through a democratic election -- found himself confronting a string of rebel uprisings. These were fueled by local grievances, the ambitions of disgruntled warlords and faction leaders and the heavy-handed tactics of Bozizé's presidential guard.

Peace-keeping

Through a peace process hosted by Gabon and the presence of a small peacekeeping force, African neighbors attempted to contain these problems and nudge the CAR towards a consensual domestic settlement. In January this year a respected human rights lawyer, Nicolas Tiangaye, was appointed as a neutral prime minister.

But some faction leaders stayed out of this peace process, combining their forces to launch a military campaign to depose Bozizé. As this rebel movement, Seleka, advanced south towards the capital, Bangui, government forces crumbled, while South African troops sent to help Bozizé suffered defeat with heavy casualties.

The president fled and Seleka leader Michel Djotodia proclaimed himself head of state. But almost immediately he found his authority disintegrating.

Read more: CAR president fled to Cameroon

The kernel of Seleka are native Central Africans, mostly from the country's northern Muslim minority. But many of the rebellion's fighters were foreigners, particularly from Darfur, in Sudan, and from Chad. They expected to be rewarded for their efforts -- but Djotodia had found no cash to pay them.

Faction commanders turned on the civilian population instead, engaging in months of looting and brutal violence, and seizing local resources such as diamonds -- which are mined in several areas of the CAR.

Their brutality towards the largely Christian population sparked the latter into forming self-defense groups -- who have taken revenge on local Muslim communities with whom they peacefully co-existed before.

Meanwhile, the state has stood by powerless, lacking the military and political means to bring a halt to this deepening crisis -- or the practical resources to help civilians.

It is this spiral of state collapse and spreading violence that the new reinforced African and French deployment hopes to halt.

Read more: U.S. must act now

The opinions expressed in this commentary are solely those of Paul Melly.

@highlight

A coalition of rebel groups ousted the Central African Republic's president in March

@highlight

Since the, 0.4 million people have been displaced and a million left dependent on aid

@highlight

Reports of inter-communal violence have sparked fears of a slide into religious conflict

@highlight

France is sending 1,000 troops to join 400 already deployed in the African nation