(CNN) -- A wave of anger over austerity is sweeping across Europe as workers fed up with government spending cuts and tax increases took to the streets in a coordinated day of action Wednesday.

Some of the largest and occasionally violent protests took place in Spain, where a general strike is under way. Public transport has been shut down, or disrupted, while many schools, shops, factories and airports are closed.

There were also significant walkouts -- and outbreaks of violence -- in Portugal, Greece and Italy. Limited protests are taking place in other countries, including France and Belgium -- and even in Germany where the traditionally strong economy has taken a hit.

Transport across the continent is being disrupted by the strikes. Hundreds of flights have been grounded, and there are severe reductions in intercity rail services and local transit systems.

Protesters say the cuts will compromise livelihoods and increase unemployment. Clashes are reported to have taken place between police and activists in various cities.

The strikes have been called by the European Trade Union Confederation, which represents 85 separate organizations across the continent. "Austerity is a total dead end, and must be abandoned. Social protection and wages can no longer be sacrificed," the confederation said on its website.

"This is a social emergency, and it is time to listen to what the citizens and workers have to say, and to change course."

In Spain, this is the second general strike in a year. The country's two largest unions have plenty to protest about with unemployment standing at more than 25% and cuts from health to education.

Protests led to 118 people being arrested and 74 people being injured, including 43 members of security forces, the Interior Ministry said.

Nuria Manzano, from the UGT union explained why it was important for workers to support the action. "The cuts aren't limited to Spain. They are happening in the whole European Union.

"That's why it is important that all Europe protest against these cuts and against this way to do politics."

But despite the recent violent social unrest and the rise of suicides blamed on increasing financial hardship the government is sticking to its fiscal plan. Spanish PM Mariano Rajoy said: "I said I would lower taxes, but I am raising them, I haven't changed my criteria nor will I decline to put them down when possible, but circumstances have changed and I must adapt to them."

It's a similar picture in neighboring Portugal where protesters are taking part in what they're calling a "coordinated day of action."

Portugal's main trade unions say the protests are meant to show mass discontent and send European leaders a warning.

Months of quiet resignation in the country have turned to anger and discontent. A combination of severe tax increases -- and rising unemployment -- have made social unrest the norm.

Unemployed Pedro Barroso explained the reason for the unrest. "You see people participating in demonstrations more and more. The social awareness is noticeable. This year we had more demonstrations than in the last 20 years!"

On Monday several hundred people took to the streets as German Chancellor Angela Merkel visited the Portuguese capital to rally morale. Many held banners saying: "Merkel, you're not welcome."

In Italy, clashes broke out in Rome, Milan and Turin with several police officers reported injured. The unions say the strike is designed not to damage the economy, but to show the scale of the opposition to austerity cuts. "This is a government that is destroying all the rights to social services with the excuse of the European Union," said one demonstrator, Felice Nardi.

"We believe that the voice of the workers should finally be heard because they are the ones suffering. There have been a series of measures that are really bringing the people to ruin."

On Monday, with youth unemployment approaching 35%, 3,000 students vented their anger. "We are students and our future is at stake and we need to do something," said one student called Chiara. "If we don't do something, who will?"

CNN's Ben Wedeman said the government must strike a fine balance between sometime violent domestic oppostion and its international debt obligations. "In elections next year we'll see how successful the government was in achieving this balance."

In Greece, police said 5,000 people took to the streets to protest peacefully over the economic pain they are suffering. In the last two years alone public sector workers have seen their wages shrink by up to 40%.

Unemployed civil servant Evangelia Katsaropoulou explained why she planned to join the protests. "I have two children, they're twins, and the situation is tragic," she told CNN.

"What I want to say to everyone is that they have to come onto the streets and shout so that these measures do not take place."

The International Monetary Fund and the European Union are debating whether and when Greece can receive its next bailout payment.

Protesters, such as pensioner Thimios Marvitsas, hope to remind them that they are the ones bearing the burden of austerity. "All these measures they are pushing us back 50, 60 years," he said.

"They are cutting our pensions in half, there is a million unemployed, more taxes. In other words our lives are just getting worse and worse."

Even in Germany there were protests, including 200 demonstrators in Berlin. CNN's Fred Pleitgen said that unions organized the protests more out of solidarity than real anger. However he added that the economy was slowing down and the eurozone crisis was taking its toll on the labor market. Unemployment is lower than in other countries but trades unions warn that austerity measures could damage the economy.

"Angela Merkel has become a lightning rod for protesters across Europe due to anger over her insistence that debt-ridden countries adopt austerity," he said. "Now the same is happening in Germany itself."

In Belgium, about 200 people protested, but no violence was reported, police said.

CNN's Michael Martinez, Sofia Fernandes and Alla Eshchenko and Claudia Rebaza contributed to this report.

@highlight

NEW: 74 people, including 43 security forces, injured in Spain; 118 people arrested

@highlight

Workers angry over spending cuts and tax rises protest in coordinated day of action

@highlight

General strikes in Spain and Portugal, significant walkouts in Greece and Italy

@highlight

Clashes turn violent; transport disrupted: flights grounded; reductions in rail services