(CNN) -- A recent article in The New York Times noted that the nation's divorce rate -- which plateaued for years at around 50% -- has significantly dropped -- to just above 40%. As almost an aside, the writer mentioned that only one group, the 50-plusers, have seen their rate of divorce surge 50% in the past 20 years.

Oops -- to this boomer, that is "burying the lead." Why would only the boomers have a significant growth in marital dissolution -- one in four divorces after age 50 -- while other ages do not?

After all, it's counterintuitive: Traditionally marriages are most vulnerable to divorce in the first seven to 10 years.

Should we see this as a harbinger of doom for 30-year-olds getting married today? We might surmise from these data that the only reason the 20- and 30-somethings' divorce rate is lower is that they just haven't lived as long. And, to be sure, some demographers do believe that eventually we can expect the marriages of Generation Xers and millennials to meet the same fate as all of those divorcing boomers.

However, I would like to float this idea: It won't necessarily happen that way. Boomers' unique social history may make them more divorce-prone than other groups.

Why? Baby boomers, those 79 million born roughly between 1945 and 1964, are a specific cohort because of the conditions and events that they both experienced and, sometimes, created.

Boomers came of age as relatively pampered children of a great postwar economy. With their adolescent disrespect for the past and their theme of "sex, drugs and rock 'n' roll," they pushed against the restrictive conventions of social life their parents more or less had accepted.

They cut a swath through history partly because of their bulk -- 26% of the U.S. population -- and partly because of their critical approach to the status quo. As young adults, large numbers of them were part of the civil rights, anti-war, gay rights and women's movements. Books and magazine articles in their time attacked (and counterattacked) traditional gender roles -- and the institution of marriage and its traditions.

Boomer women experienced more recreational sex and more sex partners than women in previous generations. New job opportunities and careers helped create the changes in household formation (such as who was or wasn't home during the day, who did less or more housework, and who wanted more or less sex) that disrupted traditional marriage.

As a result, the boomers experienced decades of relationship innovation, creating cultural confusion about whether marriage was necessary, and what made an excellent -- or even adequate -- marriage.

As boomer men and women wavered between choosing self-fulfillment over older traditions of duty, loyalty and lifetime marriage at any cost, the institution of marriage became, over time, more of a voluntary association than a predictably permanent one. Sociologist and demographer Andrew Cherlin has written that between the 1960s and '70s the divorce rate skyrocketed, correlating exactly with the first divorces at the leading edge of the boomer generation. And while the rate leveled out in the 1980s, a large number of people had already defected toward new opportunities for emotional and sexual self-fulfillment.

In many ways, divorce rates are the boomers' legacy. But why does this group continue to make marital changes even in middle and late middle age? Because they are still making it up as they go along, inventing middle age pretty much the same way they made up adolescence and marriage, redefining the parameters of personal relationships and reinventing what different stages of the life cycle could look like.

They are fighting fiercely to remain youthful, to stay employed and/or passionately engaged with life, sexually vibrant (particularly with the help of new medical interventions) and regard their 50s and 60s as every bit the opportunity for love and sexual attraction that their 20s and 30s were. At age 55 or 65, they look at spending 20 or 30 more years with the same person -- and unlike their parents, whose sense of duty was stronger and opportunities to repair weaker, they are ready to walk if things aren't up to their hopes, dreams or delusions about marriage.

So why don't I think this same cycle will happen for our 30-somethings?

• They are more sober about marriage than boomers were at the same ages. They've seen what high divorce rates felt like when their parents split up -- and many of them desperately want to avoid that kind of emotional carnage for their children or for themselves.

Indeed a Pew Research study on social and demographic trends found that "when it comes to divorce, the baby boomers are less conservative than younger generations: 66% say divorce is preferable to staying in an unhappy marriage, compared with 54% of younger adults who say so."

• They are getting married later: The average age for college-educated men and women is in their late 20s. They are more mature, already gaining or losing traction in their chosen work or career, and potential partners can better gauge them as a marriage prospect. Finally, they have been out of school longer, most of them have lived with someone one or more times, and they know more about the world and relationships.

• They have experienced a treacherous economy. Their parents grew up in a lush financial period, but they did not. Young couples are more like their grandparents or great grandparents: aware of the need to pull together for economic security. While not all boomers prospered during the hot economy that attended most of their adult years, they didn't start out being careful about the economic consequences of divorce in the way that their children -- and their own parents -- had to do.

Of course there is no telling if the divorce rate will continue to decline into the future. Sadly, I would not predict that it will. We expect too much from marriage; we have much too high expectations for what a partner should be throughout a long life cycle -- and we live a long time. It's hard to keep a marriage strong, passionate and relevant over so many decades.

But there is that 40% divorce rate. Maybe not exactly something to crow about, but better odds of having a marriage worth staying in is all to the good for the couple, our society and certainly the next generation.

The opinions expressed in this commentary are solely those of Pepper Schwartz.

@highlight

Pepper Schwartz: Baby boomers' divorce rate doubled while U.S. divorce rate is down

@highlight

She says boomers redid rules on marriage and want fulfillment as they age, not tradition

@highlight

Schwartz: Young people face tough economy and are marrying later

@highlight

They may not divorce like boomers as they grower older, she says