(CNN) -- I am a geomorphologist: a scientist fascinated by the interactions of storms, floods, fires and landslides. We humans may feel a bit above that fray -- we refer to the "natural environment" as though it were a separate thing. Yet, as a landslide near Oso, Washington, tragically highlighted on Saturday, we remain subject to the forces of nature like all the rest of Earth's creatures.

At the latest count, 27 people are confirmed dead and 22 are still missing. A painful part of the natural order of things.

Unlike those other inhabitants of Earth, however, we know something of how things work. This, too, was highlighted last week, when the Seattle Times reported on a study I did 15 years ago, one of many for the Hazel site, which had experienced recurring landslides. In that study, conducted for the Army Corps of Engineers, I had written of the possibility of a "large catastrophic failure" based on numerical analyses that indicated potential instability of a huge mass of material above the zone of previous landslides. As a scientist, I knew that material would someday be on the valley floor.

As intended, that report guided further work. Tracy Drury, an engineer who reported on the site for the Army Corps of Engineers, was also clear that "catastrophic failure potential places human lives and property at risk." He came up with designs to shore up the slope. Those designs were put in place; everything was done that could be done to minimize the potential of a future landslide.

A pleasant rural neighborhood, Steelhead Haven, sat directly across the river from the site. Drury's most relevant design to protect lives was to try to buy up the properties and move people away. There were meetings to discuss these ideas, but nothing came of them.

I wasn't involved in the discussions, but I did attend a community meeting to discuss my analyses -- after a landslide in 2006 felled trees and crashed into the North Fork of the Stillaguamish River across the valley into the edge of Steelhead Haven. One response to my presentation, I was told, was that I was there to take their land.

Construction of new homes continued, even after 2006. In some cases, people were informed of the risk, but didn't trust the messenger, or decided it was an acceptable risk. I learned that some people were unaware that they lived across the river from an active landslide.

I've been asked, "Where does responsibility lie?" The cast is large. Homeowners choose to live in beautiful, but dangerous, places. Contractors and developers then build those homes, Realtors sell them, bankers finance them, local officials grant permits, governments set zoning rules, and voters elect the officials who make those rules.

At every step, those decisions need to be made from positions of knowledge and understanding of the potential consequences. Then who is responsible to ensure that scientific findings are disseminated and clearly understood? The scientists? The government? The media?

We cannot help those lost at Oso, but we can look to do better in the future. This is not the last landslide, flood, fire, hurricane, earthquake, tsunami, drought, tornado, or any of a long list of threatening events that we face. Scientists work hard to understand these processes; we need to ensure that everyone makes decisions fully aware of the potential consequences of their actions.

We have work to do. I'm getting calls from concerned homeowners wanting to know where to get information. It's not easy to find. Landslide hazards have not been systematically mapped across the state, much less the country. Where work has been done, maps are hard to find. If found, they are difficult to interpret.

Many local, state and federal agencies are working to improve this situation, but progress is slow and funding is tight. Mapping hazards is not a national priority. Yet it seems that, if my smartphone can tell me how to drive to the nearest coffee shop, it should be able to tell me what's known about the hazards where I'm standing. We have the technology; we need the public interest to drive the required investment.

Like most scientists, I toil in obscurity to make my small contribution. Maybe we scientists are missing the point. The problem with toiling in obscurity is that no one hears us. We need better special effects. Getting our messages across can save lives, although it will involve getting houses off flood plains, coastal bluffs and debris-flow fans. In general, folks don't appreciate having a scientist, or government official, suggest they move. Perhaps there is another approach. It took a massive information campaign to dramatically cut consumption of cancer-causing cigarettes, surely we can motivate people to examine the facts in this case and do things that are ultimately good for all of us.

In 1997, a colleague and I co-founded a small not-for-profit institute seeking to provide land managers with the data and tools they need to make informed decisions. We both had young children; we saw it as a way to help ensure their generation would have something worth managing. That's gone well, but our targeted audience is too small and public funding too limited. To really change things, everyone should have the tools and data to make informed decisions, and use them.

For that to happen, these tools need to be as cool and easy to use as the latest smartphone app; lives depend on it.

@highlight

Daniel Miller predicted possible catastrophic mudslide in Washington 15 years ago

@highlight

Miller: Engineers tried to shore up site and offered to buy out homeowners in danger

@highlight

Miller: Despite warnings, construction went on; some didn't realize there was a risk

@highlight

He says assessments of danger should be readily available to potential homeowners