Madrid (CNN) -- Huge traffic jams snarled central Madrid Thursday, as Spain's first general strike in more than a year kicked off with nine people slightly injured in demonstrations, including police officers, the Interior Ministry said.

Interior Ministry official Cristina Diaz said 58 people had been detained. The cause was not immediately clear.

Dozens of union members picketed outside the Agriculture Ministry before dawn, with dozens of riot police on hand. Picketers heckled and momentarily blocked a car trying to get into the ministry.

Spanish unions are protesting the new conservative government's labor reforms and austerity cuts.

The general strike is the first one against the government of Prime Minister Mariano Rajoy, which was elected in November and took office in December, in the midst of Spain's deep economic crisis.

Spain's jobless rate is nearly 23% overall, and nearly 50% for youth. Nearly 5.3 million Spaniards are out of work.

The Socialist-leaning General Workers Union (UGT) said there was a "massive following" of the strike nationwide, with auto factories, ports, post offices and garbage collection all stopped by the industrial action.

The union also said wholesale food markets and large distribution centers for the big supermarket chains were disrupted.

The Interior Ministry said public transport was operating almost normally in Madrid and Barcelona, but in Madrid's Plaza Castilla, commuters said they waited up to two hours for public transport.

Some bus services which normally run every five minutes had service only every 30 minutes, according to a municipal bus employee who declined to give his name.

Madrid's traffic jams lasted beyond the normal rush hour, an indication that commuters who could not get public transport decided to drive in.

The last general strike, in September 2010, was against the then-Socialist government, which also had initiated austerity measures. That strike slowed industry and transport, but much of the country went to work and many analysts saw it as a kind of a draw between the government and unions.

Since then, the economic crisis has deepened.

Union protests across the nation this month and last drew large crowds, which analysts say emboldened the unions to move ahead with a general strike.

The government says the latest labor reforms are needed to bring flexibility to the workplace and to simplify the rules for employers. But unions say the effect will be to make it easier and cheaper to fire workers.

The unions' strike theme is: "They want to end labor and social rights and finish off everything."

At the MercaMadrid wholesale fish market, one of the largest in Europe, seafood wholesaler Alfonso Mozos, who employs 120 people, said before the union action that he doesn't think striking is good.

"It would be better if unions, the government and employers would negotiate and find a solution," he said.

Union picketers were expected at the entrance to the sprawling market on Madrid's south side, but some employees said they planned to work despite the strike.

"If the boss buys fish and we need to come, we'll come," said Pedro Marin, a worker at the wholesale market. "But if the union pickets outside won't let us in, we'll just have to wait, or maybe go home."

Many other Spaniards, who have already seen their salaries cut or frozen in the economic crisis, were debating whether to strike. If they walk out, they will lose a day's wage, which for government workers could amount to several hundred dollars.

Ahead of the strike, unions and government officials in many, but not all, of Spain's 17 regions agreed on minimum services, which generally call for about 30% of public transportation to run, while public hospitals and other essential services have reduced staff, similar to holiday levels.

The unions planned 80 demonstrations across the country Thursday, mostly in the late afternoon or early evening.

The strike comes one day before the government unveils its 2012 budget on Friday, with the aim of reducing Spain's deficit to 5.3% of gross domestic product this year, and to 3% next year, to meet European Union requirements.

The government already approved a $20 billion (15 billion euro) package of austerity cuts and tax hikes to reduce the deficit, and on Friday it is expected to announce a second package of the same size or larger. Government critics say it will be the first time the government really shows its hand on where to make deep cuts in specific programs and agencies.

Rajoy, at a recent European Union summit, was reported by Spanish media to be overheard on an open microphone telling another EU leader that the labor reforms would cost him a general strike.

The reforms were approved first as a decree law, with immediate effect, and the unions called on the government to make amendments as the bill moved through parliament. But the conservatives have a commanding majority in parliament and later approved the reforms unchanged.

The government says the labor reforms make up only a portion of the elements needed to spur an economic recovery. It predicts a 1.7% decline in the economy this year.

The government also has demanded reforms in the banking sector, with the aim of getting credit flowing again and to clean up the books of lenders stuck with huge uncollectible debts left over from Spain's real estate and construction boom that went bust, precipitating the economic crisis.

@highlight

NEW: Post offices, ports, auto factories and garbage collection all stop, a union says

@highlight

Traffic jams snarl central Madrid as people drive instead of taking public transport

@highlight

The unions are protesting government budget cuts to reduce the deficit

@highlight

Spain has an unemployment rate of 23%