(CNN) -- Pennsylvania's attorney general would not rule out Monday the possibility of additional charges or the discovery of more victims in the case of a former Penn State university football coach accused of sexually abusing boys between 1994 and 2009.

Speaking at a news conference, Attorney General Linda Kelly urged anyone with information about the case to come forward, particularly the unidentified boy whom a graduate assistant testified was assaulted by former Penn State defensive coordinator Jerry Sandusky in 2002.

She said the alleged failure of two top Penn State university officials to report abuse claims likely perpetuated a nightmarish loop of abuse.

"Their inaction likely allowed a child predator to continue to victimize children for many, many years," Kelly said of Penn State Athletic Director Timothy Curley, 57, and Gary Schultz, 62, the university's senior vice president for finance and business.

The men, each charged with one count of perjury and one count of failure to report suspected abuse, were released Monday on $75,000 bail each after an arraignment hearing in a small courtroom packed with reporters. They appeared flanked by their attorneys, each of whom said the men were innocent of the charges and they would fight to clear their names.

Sandusky is accused of abusing eight boys and is charged with involuntary deviate sexual intercourse and numerous other charges. He was released Saturday on $100,000 bail. His attorney, Joseph Amendola, did not return a message from CNN seeking comment Monday. Amendola earlier told CNN affiliate WJAC that Sandusky has known about the allegations for three years.

"Jerry feels like, because of his background and reputation, it took a long time to reach this conclusion, and he's been ready for it," Amendola told the station.

While Kelly declined to comment on whether publicity surrounding the case since Sandusky's arrest on Saturday has generated leads, she said that given the lengthy period over which the abuse allegedly occurred, it is not "beyond the realm of possibility" that as-yet unknown victims will come forward.

Pennsylvania State Police Commissioner Frank Noonan said the case is one of the more unusual he has investigated during his career because no action was taken against Sandusky despite repeated eyewitness accounts alleging inappropriate activity on his part involving young boys.

"As you go through this case as I have, there aren't many heroes," he said. "These children are scarred for life."

Sandusky, Curley and Schultz were each charged after a multiyear grand jury investigation.

Curley and Schultz stepped down late Sunday after an emergency meeting of the university's board of trustees.

They "allegedly failed to report the sexual assault of a young boy after the information was brought to their attention, and later made false statements to a grand jury that was investigating a series of assaults on young boys," Pennsylvania Attorney General Linda Kelly said over the weekend.

Read the indictment (PDF) (warning: graphic content)

The news sent shock waves through the Penn State community, a university known for the good reputation of its athletic programs.

"I firmly believe that any person is innocent until proven guilty," Interfraternity Council President Dan Florencio said, according to the Penn State student newspaper, The Daily Collegian. "But the damage has already been done to make Penn State look bad."

Earlier, Penn State President Graham Spanier said Curley and Schultz have his "unconditional support."

"I have complete confidence in how they have handled the allegations about a former university employee," he said, adding that the charges are "groundless."

On Monday, though, Spanier requested that a fund-raiser for the Renaissance Fund -- one in which he and his wife, Sandra, were set to be honored -- be canceled. Moneys raised would have gone toward scholarships for the school's general population, a drive the president called "our highest fund-raising priority."

"President Spanier and his wife asked that it be postponed until spring because their attention is so heavily focused right now on the troubling charges by the attorney general," Spanier said in a statement.

Curley asked to be placed on administrative leave so he could devote time needed to defend himself, the university said Monday. Schultz will go into retirement, it said.

While Kelly said that Penn State head football coach Joe Paterno has cooperated with authorities and is not a target of the investigation, she declined to comment on whether investigators were looking at anyone else for possible charges.

Sandusky, 67, served 23 years as defensive coordinator for the Nittany Lions football team and also founded a charity to help troubled youth. Many of the boys who testified to the grand jury about their abuse claims were participants in that program, The Second Mile, the grand jury said.

Sandusky allegedly engaged in fondling, oral sex and anal sex with young boys over a period of more than 10 years, according to the investigative grand jury's summary of testimony.

"This is a case about a sexual predator who used his position within the university and community to repeatedly prey on young boys," Kelly said Saturday.

On Sunday, Paterno called the charges "shocking."

"If true, the nature and amount of charges made are very shocking to me and all Penn Staters. While I did what I was supposed to with the one charge brought to my attention, like anyone else involved, I can't help but be deeply saddened these matters are alleged to have occurred," Paterno said in a statement.

Overheard on CNN.com: Penn State head coach should've done more

According to the grand jury, Sandusky in some cases promised the boys gifts or invited them to football games and sleepovers. Some of the incidents allegedly occurred in Penn State athletic facilities.

Sandusky, who retired from coaching in 1999, maintains his innocence.

Sandusky founded The Second Mile, a charity to help troubled youth, in 1977 and it provided him with "access to hundreds of boys, many of whom were vulnerable due to their social situations," the grand jury said.

In a statement Monday, Second Mile said it was never "aware of the very serious allegations contained in the grand jury report" and noted that it had removed Sandusky from any programs involving children in 2008, after it had been notified of the allegations against him.

The group said it is asking any other potential victims to contact authorities.

"Our highest priority always has been and will continue to be the safety and well-being of the children participating in our program. We encourage program participants to report any allegations of abuse and\or inappropriate sexual activity where ever it has occurred, and we take any such reports directly to Child Protective Services," the statement said. "We have many policies and procedures designed to protect our participants, including employee and volunteer background checks, training and supervision of our activities."

Sandusky, who was arrested and released Saturday on $100,000 unsecured bail, faces seven counts of involuntary deviate sexual intercourse and numerous other charges, including aggravated indecent assault and endangering the welfare of a child.

A preliminary hearing is scheduled for Wednesday, but defense attorney Joseph Amendola told WJAC he expects it be postponed in order for attorneys to have enough time to bring in witnesses.

The grand jury investigation was initiated by the claims of one boy who alleged that Sandusky had "indecently assaulted" him and engaged in sex acts while the boy was a guest at his home, according to the attorney general.

The victim met Sandusky through the former coach's Second Mile charity, Kelly said. Sandusky allegedly used expensive gifts such as trips to professional and college games, golf clubs, a computer and money, Kelly said.

The relationship, which began in 2005 and lasted into 2008, included overnight stays at Sandusky's home, where touching led to sexual acts, according to Kelly and grand jury testimony.

Timeline of abuse claims

"One of the most compelling and disturbing pieces of testimony in this investigation came from an eyewitness to a late-night sexual assault that allegedly occurred in March of 2002, in the locker room of the Lasch Football Building on the University Park Campus," Kelly said. "Hearing what sounded like sexual activity in the showers of a building that was supposed to be empty, a graduate assistant reportedly observed Sandusky sexually assaulting a naked boy who appeared to be about 10 years old."

The assistant reported the incident to Paterno, who in turn alerted athletic director Curley, Kelly said.

"It was obvious that the witness was distraught over what he saw, but he at no time related to me the very specific actions contained in the grand jury report. Regardless, it was clear that the witness saw something inappropriate involving Mr. Sandusky. As Coach Sandusky was retired from our coaching staff at that time, I referred the matter to university administrators," Paterno said.

But instead of reporting the incident to authorities, Curley and Schultz banned Sandusky from having children from Second Mile visit the football building, Kelly said.

The grand jury found that Curley committed perjury in repeatedly denying that he had ever been told that Sandusky had engaged in sexual misconduct with a child, Kelly said.

"Assertions by Schultz that the allegations concerning Sandusky were 'not that serious' and that he and Curley 'had no indication that a crime had occurred' were in direct contradiction to other testimony and constituted perjury," Kelly wrote.

In all, the grand jury identified eight boys, ranging in age from about 8 to 14, who were the targets of similar sexual advances or assaults by Sandusky from 1994 to 2009. All of the victims first encountered Sandusky through Second Mile activities, Kelly said.

Authorities said they are continuing to search for additional possible victims and that the case remains active.

CNN's Stephanie Gallman and Sarah Hoye contributed to this report.

@highlight

NEW: Penn State's president postpones a major fund-raising dinner due to the scandal

@highlight

Two university officials charged with failing to report suspected abuse released on bail

@highlight

Sandusky, out on bail, maintains he is innocent

@highlight

The alleged assaults on eight boys occurred between 1994 and 2009