(CNN) -- For 12 bloody, horrific months, Syrian dissidents and many world leaders have dreamt of one outcome for the Syrian crisis: the ouster of President Bashar al-Assad.

But who would take over the embattled country remains a mystery -- one that could be fueling the bloodshed that has already killed thousands.

Murhaf Jouejati, a Syrian-born scholar at the Middle East Institute in Washington, said foreign leaders may be reluctant to take stronger action against the regime because no one knows who would come to power.

"I think the international community would like a scenario that would be as clear as possible: Who would they be dealing with? Do they have a vision for the future? Or will it be total chaos?" Jouejati said. "So this uncertainty is prolonging the life of the regime -- uncertainty both shared by Syrians sitting on the fence inside Syria and in the international community."

Exactly who would lead Syria, he said, depends on how al-Assad leaves.

A military coup

As remote as it may seem, al-Assad's downfall could come in the form of an internal coup, said former U.S. ambassador to Syria Edward Djerejian.

"In many ways, this would be the best outcome because there would be regime change," said Djerejian, director of Rice University's James A. Baker III Institute for Public Policy.

But staging a military coup with high-level defectors may seem like a pipe dream -- one that could have deadly consequences.

"When generals get together, there are usually other generals looking over their shoulders," Jouejati said, making it difficult to carry out a rebellion among top officers with unanimous support and without retaliation.

In recent weeks, opposition activists have reported dozens of defected soldiers killed at the hands of the regime.

Yet "if the Assad regime collapses violently, it is most likely that elements of the Syrian National Council, along with others, take over as an interim government," Jouejati said.

The Syrian National Council

The Syrian National Council -- an opposition coalition whose leadership resides outside of Syria -- has gained recognition from the United States, France and other countries as a legitimate representative of the Syrian opposition.

Ausama Monajed, adviser to the president of the Syrian National Council, says his group already has a plan for a post-Assad era.

First, a presidential council would be formed in the transition phase to handle all affairs related to sovereignty, he said.

In addition, a transitional unity government would include opposition figures, representatives of revolutionary committees and "members of the regime who have no responsibility in crimes or major corruption," Monajed said.

That transitional government would oversee the organization of elections to designate a Constituent Assembly. The assembly would be tasked with drafting a new constitution, a political party law, and a new election law, and would oversee parliamentary and presidential elections, Monajed said.

But some analysts are skeptical about the Syrian National Council acting as an interim administrator.

"There's a lack of coordination amongst the insiders, and they represent the outsiders, not the insiders," Djerejian said. "It's not a coherent opposition leadership."

The current president of the council, Burhan Ghalioun, is based in Paris. Other leaders are based in the United States, London or elsewhere.

And footage of some protesters in Syria shows demonstrators proclaiming, "Ghalioun, you do not represent us." The SNC has also taken heat from some anti-Assad activists for not pushing harder on the international stage to help arm rebel fighters.

But Monajed disputes the notion that the coalition is full of expatriates.

"The Syrian National Council's majority of members are based inside Syria, but many of those names are not made public for their safety," he said. "The Syrian National Council is a broad-based coalition of political, religious and ethnic blocs added to the majority of grass-roots and revolutionary members from the coordinating committees."

Yet even if the SNC becomes a facilitator while a new government is formed, it's uncertain who would lead that group at the time of an al-Assad ouster; the SNC presidency has a term of three months.

A rebel military leader

Although numerous armed opposition groups emerged after the government's crackdown started, a top military defector from the rebel Higher Military Council announced last week that rebel forces have united under the leadership of the Free Syrian Army.

The FSA, comprised largely of al-Assad soldiers who have defected, is led by Col. Riad al-Asaad. But Jouejati doesn't think the rebel army's commander would be a shoo-in to lead Syria.

"There is the expectation of further defectors of the army -- maybe defectors of a higher rank than Col. Riad al-Asaad," he said.

Al-Asaad is commanding the FSA from Turkey. But Jouejati said there are no big names among rebel ranks inside Syria that are emerging as possible interim leaders.

"The Assad regime has been particularly good at exiling, arresting or even killing charismatic leaders," he said. "So there isn't one obvious leader."

The vice president

Then there's the possibility of Syria's vice president taking power after an al-Assad downfall.

"The opposition, at first, talked about Vice President Farouk al-Sharaa as interim president ... but this is becoming highly unlikely" as the carnage and anger mount in Syria, Jouejati said.

"The vice president has been left in a very weak political position. He has a very small staff, he does not control anything. He does not influence anything in Syrian decision-making," he said. "If the Assad regime collapses, he will collapse."

But Djerejian says the vice president could still come into play, and the al-Assad family could still exert influence.

"If something happens to Bashar al-Assad, and the Baath party and Alawites still remain in power, a vice president might still be in power. The family would still rule," Djerejian said.

Al-Assad's younger brother Maher commands an elite division of the Syrian army and is accused of widespread human rights abuses. His cousin Rami Makhlouf is the richest man in Syria.

The al-Assad family is Alawite, an offshoot of Shiite Islam. Syria's Alawite minority has long dominated the Syrian government, despite a Sunni majority in the country.

But "even if someone from the regime takes over power, there is simply no going back to business as usual," Jouejati said. "This revolution has gone on too far, too long, and it has been too bloody. ... So Syria will be opening a new page."

How would al-Assad go?

Getting rid of the current regime means much more than just ousting Bashar al-Assad. It means uprooting 42 years of al-Assad family rule.

Ribal al-Assad, the president's cousin who is now a Syrian opposition activist in London, said Bashar al-Assad is "too scared to step down."

"I think he's very scared of the people around him and the different security apparatus," said Ribal al-Assad, founder and director of The Organisation for Democracy and Freedom in Syria.

"His father built the state. His father rose (through) the ranks of the army. He had all power in his hand," Ribal al-Assad said. "Bashar is different. He inherited that system. He inherited all those people, he doesn't control them."

"It looks like the only way to get rid of that regime," he said, "is you have to pry away people around Bashar."

Another possibility, Djerejian said, is the president could go into exile.

Al-Assad does have options. Tunisia -- the cradle of the Arab Spring uprisings and the first clountry last year to oust its longtime ruler -- has offered asylum to the Syrian president in an attempt to spare further bloodshed.

And a cache of e-mails leaked to CNN indicates the daughter of Qatar's emir has suggested exile in Doha.

But al-Assad leads a dynastic regime that shows no sign of backing down.

"I think they're living in their own world of perception, and there's an aspect of delusion," Djerejian said.

To be objective, he said, the president still has support from the power elite, Alawites and other minorities "that are scared to death if he leaves, there'd be sectarian war. Better to live with the devil we know then than the devil we don't."

Jouejati acknowledges that if dissidents manage to oust the al-Assad regime, "there would be a very rapid mood change" among those proclaiming support for al-Assad.

"(But) most of these people you are not talking about, they are simply very, very fearful of what happens next," he said." They would prefer stability at any price instead of the unknown. I think when the unknown becomes the order of day, the Assad regime is past them, there will be a new mood, and they will smell the smells of freedom."

@highlight

The uncertainty over who would take over could be fueling the bloodshed, some say

@highlight

The Syrian National Council has a plan for building a transitional government before elections

@highlight

An expert says neither the vice president nor a rebel army leader is a likely successor

@highlight

Syrian president's cousin: Al-Assad is too scared to step down