(CNN) -- "This can be yours," the black-and-white newspaper advertisement promised above an image of a tree-lined ranch home in Pontchartrain Park.

At the bottom, it said "Available to Negroes."

It was the 1950s in segregated New Orleans, Louisiana, and the promise of a slice of suburbia for black Americans lured hundreds to the new community.

That included Meldon Woods, an Air Force corporal who had been given a home loan for his military service through the GI Bill. He and his wife, Audrey, a schoolteacher at the time, purchased a two-story home in 1957 where they raised their four children.

Fifty years later, he was forced to evacuate that home as Hurricane Katrina bore down on New Orleans on August 29, 2005.

"My husband said, no, he was not leaving, because he was upstairs and if the water came, he'd be upstairs," Audrey Woods recalled.

"I never would have left him. So my youngest son, he came and said, 'Mama, get in the car. Daddy get in the car.' "

Meldon Woods eventually relented and left his home and the neighborhood he helped turn into a strong, solid African-American community.

Katrina whipped up 15-foot waves on Lake Pontchartrain, flooding the London Canal levee that lies west of Pontchartrain Park.

As much as 20 feet of water flooded the neighborhood. Not a single home in Pontchartrain Park was left unscathed.

Water rose nearly to the rooftop of the Woods' home, where Meldon had planned to ride out the storm.

A few weeks later, they returned to utter devastation.

"I didn't know whether to cry, scream. I didn't really know what to do," Audrey Woods said. "But my knees kind of buckled when I looked in here and I was, 'Oh my God.' "

The elderly couple didn't waste any time reflecting: They immediately focused on rebuilding.

"They had on these white suits with white masks ... and they're hauling out pieces of sheet rock," said Justin Woods, the youngest of the Woods' four children. "My father with a cane, carrying a piece of sheet rock out.  And I remember calling Rhea and saying, 'Do you know what your parents are doing? They're gutting the house ... by themselves.' "

It was the same spirit and determination that helped create Pontchartrain Park where, according to many locals, children were raised with a sense of community and family.

All four of the Woods' children went on to become successful in their careers -- a common theme for the children of Pontchartrain Park such as Lisa Jackson, the current head of the Environmental Protection Agency; jazz musician Terence Blanchard; former mayors Ernest and Mark Morial; and actor Wendell Pierce from HBO's "The Wire."

Interactive: Meet the residents of Pontchartrain Park

Even BP vice president and spokesman Darryl Willis, originally from Louisiana, is rebuilding his home in Pontchartrain Park as he continues to manage the Gulf oil disaster.

Those successes were built on the sacrifices of the men and women who settled in Pontchartrain Park, says Pierce, who now spends his time in New Orleans starring in the new HBO series "Treme" about post-Katrina New Orleans.

"My parents' generation took something ugly like segregation and turned it into ... one of the most stable American neighborhoods, not only in this city, but around the country," he said.

"It was [a] dogged fight by these young parents who had this opportunity to build a life for their families in one of the most difficult times in modern history: Jim Crow segregation, Deep South, New Orleans."

That fight to create a better future for their kids instilled a deep sense of commitment to the neighborhood in Pierce.

And that is why the actor has committed the past two years to rebuilding Pontchartrain Park.

Pierce staged a massive effort to get the city of New Orleans to start rebuilding the neighborhood's blighted and abandoned properties.

Only 30 percent of the neighborhood's residents had returned two years after Katrina -- the second slowest rate of return in New Orleans behind the city's devastated and impoverished Ninth Ward, according to Pierce.

Opinion: Russel Honoré on New Orleans today

With the help of Troy Henry, a management consultant and boyhood friend, Pierce formed a nonprofit community corporation to get the city to sell back some of the houses so they could be rebuilt and resold at an affordable price.

It has not all been smooth sailing -- some locals have criticized his involvement.

"I got a lot of pushback that I was, you know, a local kid come home with some success and trying to do a land grab myself," Pierce told CNN's Soledad O'Brien.

"It was hurtful."

In November 2008, New Orleans signed a deal with Pierce's Pontchartrain Park Community Development Corporation to rebuild 400 homes.

It was a huge success, but the start of a slow process: A year-and-a-half after the agreement, the city had turned over only four plots.

Today, Pierce is credited with raising the return rate in The Park from about 33 percent to more than 50 percent.

But not every former resident wants to return.

Lisa Oubre wants nothing to do with her husband's plan to rebuild their home in Pontchartrain Park, where they raised their son before Katrina.

Hurby Oubre wants Jacques, who was 10 years old when Katrina struck, to enjoy the same childhood he experienced growing up in Pontchartrain Park.

"It was a real neighborhood. Everyone knew who you were," Hurby said. "Everyone looked out for you. Your neighbors, they'd chastise you [if] they saw you doing something wrong."

Since 2005, the Oubre family has been split between two cities: Hurby works in New Orleans as a mail carrier, while Lisa is employed in Baton Rouge, where she lives with Jacques who is now in high school.

She has no plans to return to Pontchartrain Park.

"I can't go back there, I can't do that again," Lisa said.

"God knows we've lost enough. We lost every single thing we've ever owned up to that day in 2005. ... When is the ripple effect going to stop rolling over our lives?"

Hurby still holds out hope that one day his family will be reunited in Pontchartrain Park.

"That's my home. ... I wasn't going to let it die, and I knew that. I always felt that. I always said I'd go back," he said.

"You can't really get frustrated or angry with anybody for going through that traumatic experience and not wanting to come back."

When asked who he's building his home for, he responds, "Hopefully I'm building it for my family."

@highlight

African-Americans could buy houses in Pontchartrain Park in the 1950s

@highlight

Residents established a strong middle-class community, despite the limits of segregation

@highlight

Hurricane Katrina uprooted the community, damaging every home

@highlight

Today, more than half of Pontchartrain Park's residents have returned