(CNN) -- On my first visit to Italy, at the age of 18, I fell in love with the country and its amazing history almost at first sight, as I and my friends sailed across the lagoon on the ferry to Venice. When we returned and found our camper van had been emptied out by thieves, I felt a little less enamored, to say the least.

This was my first glimpse of the split personality of a country that is expressed nearly 40 years later in the title of my 2012 book, "Good Italy, Bad Italy," and is the theme of the new film I have just narrated for the Italian director Annalisa Piras, "Girlfriend in a Coma".

Yet what I didn't realize then, as a (fairly) innocent teenager, was quite how significant Italy's history is for the whole of the West.

The greatest case study, or cautionary tale, comes from Venice itself. In medieval times La Serenissima, as Venice is known, became the richest and most powerful city-state in the Mediterranean. It was run by a quasi-democratic "grand council", made up of the merchants who were making the city rich, an elite that was open to newcomers if they had new ideas and new energies.

But in the 14th century the elite decided to close its doors to newcomers, allowing in only those related by family to the old guard, and nationalizing trading rights. The decline of Venice began with that decision.

Italy today is like a huge re-run of that sad Venetian story. During the 1950s and 1960s, the country was Europe's own "emerging economy" of the period, enjoying the third fastest average annual GDP growth rate in the world during those decades, beaten only by Japan and South Korea. It was helped by the global move towards freer trade and by the early European Union, but also by its own then very dynamic society and economy.

New, entrepreneurial companies were formed, new ideas blossomed; Italy became a pioneering center for design, for cinema, and for fashion, and the migration of millions of workers from the poor south to the industrializing north provided the factories with labor at a competitive price.

But then old demons came back to haunt Italy. The sharp polarization, combined with fear, between left and right that was a legacy of the fascist period of Mussolini from 1917 to 1943, returned first in the form of a huge wave of strikes in the late 1960s and early 1970s, and then in a deadly form of political violence. Nearly 500 people died in shootings, bombings and other tragedies during the decade and a half from 1970 as extremists on both left and right fought a running battle.

As well, sadly, as taking part in the violence, governments responded by trying to buy social peace -- first by implementing a very restrictive labor law which had the effect of making the law courts the principal arbitrator in industrial disputes; and second by an explosion of public spending (and thus borrowing) chiefly on pensions and a national health system.

Public pensions became the main form of unemployment insurance, as unwanted workers were permitted to retire early and draw pensions. But public debt became the main albatross around Italy's neck as governments ran budget deficits that in 1975-95 averaged (yes, averaged) almost 10% of GDP each and every year. The result: a pioneering crisis of sovereign debt and a foretaste of the crises now roiling the eurozone, as Italy's debt load reached 120% of GDP in the early 1990s and sent the country into near bankruptcy.

That financial crisis, in the course of which the Italian lira was ejected from Europe's pre-euro exchange-rate system (along with Britain's pound sterling) coincided with a huge political crisis, as corruption investigations brought crashing down the parties that had dominated Italian politics for the past 40 years.

The crisis brought talk of a new start, a "second republic" (to succeed the first, formed with the postwar constitution in 1945-48) and even a renaissance. In the interim, governments led by so-called technocrats (a professor, a governor of the Bank of Italy, an ex-diplomat) were brought in to make reforms and give the country a much needed "reset" before normal politics would be resumed.

It didn't happen. Hence, 20 years later, Italy finds itself in yet another crisis, one that looks eerily similar. The country's sovereign debt is -- you guessed it -- 120% of GDP. A mix of financial crisis and scandals brought down the long-running government of the media billionaire Silvio Berlusconi, while also discrediting establishment politicians of all parties.

In November 2011 a technocrat, the economics professor and former European Commissioner Mario Monti, was brought in to stabilize the country's finances, make reforms and give the country a "reset" before normal politics commence again after the upcoming elections.

It is too soon to say that the "reset" -- or, to use a broader metaphor, the upgrading of Italy's cultural, political and economic software -- will fail again. But it can be said that progress has been slow and disappointing.

Prime Minister Monti succeeded in stabilizing the public finances, but at the cost of a deeper recession than in all other eurozone economies except Greece and Spain. Beyond that, however, no major reforms have been implemented -- so the justice system remains painfully slow, the labor laws still discourage hiring while leaving millions of young people on poorly paid temporary contracts, competition remains overly restricted, too many markets are over-regulated, meritocracy remains stunted, corruption remains rife, and the huge cost of politics and political privileges has been left unchanged.

These tasks all remain for whichever coalition succeeds in forming a government after the elections. They should, however, have been done during the previous 20 years. Some progress in liberalizing markets was made, but not enough to stop Italy's GDP growth rate during 2001-10 from being the 180th worst in the world, just ahead of Haiti's.

Why not? Resistance from entrenched interest groups has been strong. Berlusconi's entry into politics in 1994 was essentially designed to obstruct change, to preserve his quasi-monopolistic businesses, and to ensure the old political ways could continue. On the left, suspicion of capitalism has remained rife, trade union powers have been maintained more successfully than in Germany or even France, and the use of political patronage to build power networks and reward supporters has helped destroy meritocracy.

The big question, however, is why Italians have allowed this to happen. The answer in our film, "Girlfriend in a Coma", is taken from Italy's, and arguably Europe's, greatest ever poet: Dante Alighieri. In his "Divine Comedy" of the 14th century, the sin he condemned most vigorously was "ignavia," by which he meant sloth -- the failure to take responsibility, the failure to show moral courage and to change things.

That is the coma that filmmaker Annalisa Piras and I diagnose as the Italian condition: economic stagnation, yes, but also a failure of consciousness and responsibility, which is in effect a moral failure.

Umberto Eco, the philosopher and novelist, adds a further explanation in the film. Italians, he says, "do not have a sense of the state." They had and respected a very powerful state in Roman times but that collapsed. The only states that have successfully replaced it since then have been the city states of Venice, Florence and elsewhere, which produced great riches and even the Renaissance of art, science, humanism and culture of the 15th century, but never achieved a set of stable, respected, still-less national institutions.

To get Italy out of its coma, its second crisis of 20 years, new governments will have to work hard to fix that problem. To make sure they do so, Italians will need to shed their ignavia and to become more active and demanding -- not in their sectional or local interests, but in the national interest.

@highlight

Bill Emmott: "Good Italy and Bad Italy" represent spit personalities of troubled country

@highlight

In 1950s, Italy was Europe's "emerging economy" and a pioneering center for design

@highlight

Old demons, including corruption and bloated public pensions, nearly bankrupted Italy

@highlight

Today Italy's biggest problem is the country's refusal to take responsibility and change