New York (CNN) -- President Barack Obama's policy toward Syria -- three years of red lines and calls for regime change -- culminated Monday in a barrage of airstrikes on terror targets there, marking a turning point for the conflict and thrusting the President further into it.

The U.S. said Saudi Arabia, the United Arab Emirates, Qatar, Bahrain and Jordan had joined in the attack on ISIS targets near Raqqa in Syria. The U.S. also launched airstrikes against another terrorist organization, the Khorasan Group. Obama described its members as "seasoned al Qaeda operatives in Syria," and U.S. officials said the group was plotting attacks against the United States and other Western targets.

Initially hesitant to become involved in the Syrian conflict, which pits an authoritarian regime led by President Bashar al-Assad against a patchwork of rebel groups, Obama has moved from sending weapons to opposition fighters last year, to backing away from airstrikes against al-Assad, to ordering Monday¹s campaign to take out ISIS terrorists who have used the Syrian unrest to gain a foothold.

Airstrikes: What you need to know

It¹s new ground for the U.S., which lacks robust intelligence capabilities in Syria and hasn't sent any ground forces there. Unlike the campaign against ISIS in Iraq, the U.S. doesn¹t have al-Assad¹s permission to launch airstrikes in Syria, though the U.S. notified him before the attacks began.

The coalition strikes began the evening before Obama made his annual visit to the United Nations General Assembly, where the White House hopes to secure broader support for the anti-ISIS campaign from a range of allies.

The main focus, officials say, is on stemming the flow of foreign-born fighters who have joined up with ISIS and other terror groups in Syria and Iraq. The U.S. intelligence community believes there are 15,000 foreign fighters from 80 countries who are fighting alongside ISIS and other similar terror groups -- 2,000 from Europe and roughly 100 from the United States.

A senior administration official said on Monday that some of those Americans had already returned to the United States and were being tracked by the FBI. Not all of those who have returned were fighting for ISIS.

Most positive reaction to Syria airstrikes comes from Obama's critics

Administration officials are confident in the prospects of a U.S.-backed resolution that would compel nations to try to stop citizens from leaving to fight for terror groups. Obama will personally chair a session of the U.N. Security Council on Wednesday to push for the measure. He last chaired the panel in 2009, and was the first American president to do so.

Here is a timeline of the major events leading up to U.S. action in Syria:

• August 2012: President Obama lays out a "red line" in the Syrian conflict, saying that the use of chemical weapons would "change his calculus" on Syria.

• March, April, June 2013: The Syrian government uses chemical weapons against opposition forces in Syria.

• August 2013: The al-Assad regime continues to use chemical weapons and Obama lays out a plan for limited military intervention against the Syrian regime while asking Congress to weigh in.

• September 2013: Congress is reticent to endorse U.S. military action in Syria. But then, in a plan engineered by Russia, al-Assad agrees to give up Syria's chemical weapons and Obama begins to back away from military strikes.

• June 2014: Obama sends more than 300 military advisers to Iraq to advise Iraqi forces and protect U.S. interests.

• July 2014: Obama sends more advisers to Iraq.

• August 7, 2014: Obama authorizes targeted airstrikes in Iraq to guard American interests and protect minorities facing impending massacre by ISIS militants.

• August 20, 2014: American journalist James Foley is beheaded by ISIS. The video is posted online. Within the next few weeks, ISIS beheads another American journalist, Steven Sotloff, and a British aid worker, David Haines, and posts those videos online as well.

• September 10, 2014: Obama announces he's authorized the U.S. military to strike ISIS in Iraq and Syria. In addition, he announces a plan to arm and train 5,000 moderate Syrian rebels, pending congressional approval.

• September 18, 2014: Congress approves the President's plan to arm and train Syrian rebels.

• September 22, 2014: The U.S. launches its first airstrikes in Syria in coordination with five Arab nations.

Maps: Arab nations join U.S., expand fight against terror to Syria

@highlight

Saudi Arabia, UAE, Qatar, Bahrain and Jordan joined in the attack on ISIS targets

@highlight

Obama has moved from reluctance to launch airstrikes to ordering Monday¹s campaign

@highlight

Coalition strikes began the evening before Obama visits U.N. General Assembly

@highlight

Focus is on stemming the flow of foreign-born fighters who join up with ISIS, other groups