(CNN) -- No one expected them to live long.

A glass tree at the University of Miami commemorates those who died from complications of HIV/AIDS.

Many of their peers succumbed to unusual infections by their first or second birthdays.  They were living on borrowed time, it seemed.

While their friends' parents visited schools, these kids visited their parents' graves. When their classmates planned for the future, they often thought about death.

But those babies who were born with HIV/AIDS in the 1980s have defied initial expectations.

With advances in medicine, the babies born with what was once thought of as a sure-fatal virus have danced at their high school proms, walked on stage to receive their diplomas and even experienced the birth of their children.

"It's a battle -- not because the HIV is going to defeat us," said Quintara Lane, a 22-year-old student with long braids. "It's more of what we have to go through to take care of ourselves."

Lane is part of a generation that was born with the virus. Since the mid-1990s in developed countries, antiretroviral drugs have largely prevented mothers from transmitting HIV/AIDS to their babies.

A new kind of family

On a warm Florida Friday, boys in high-tops and loose jeans hanging from their thighs greet one another with a nod and then a slap on the hand. They tease relentlessly. Others pay little attention, listening to music blasting through their earbuds or texting so quickly that their thumbs appear a blur on pink, sparkly phones.  See more photos. »

Nearly 30 young adults and teenagers who were born with HIV/AIDS meet every week at the Jackson Memorial Hospital in Miami, Florida.

"The teens are teenagers," said Ana Garcia, an adjunct assistant professor in pediatric infectious disease and immunology at the University of Miami Miller School of Medicine who helped form the group. "They just happen to have HIV. It's about fitting in, being normal, and having goals and living long enough to meet them."

The group of HIV-positive teens, which calls itself the Kool Kids, formed in 1995. The youth who grew up with HIV/AIDS describe the usual complications of adolescence  --  dating, high school drama and rumors. But they also experienced broken families, medical complications and fights for acceptance. As their parents and family members died, the peer group here became a new family, Garcia said.

Over an hour of joking, merciless teasing and eating Chinese food, the teens scarcely mention HIV/AIDS. It's a fellowship that silently understands one another's struggles.

"We don't want to talk about HIV every day," said Eric Koumbou, 19. "If you talk about HIV and you don't have it and I do, sometimes it makes me angry or makes me sad."

Even if they don't talk about it, it helps a young person with HIV who may think, "This is the end of my life. I don't know what to do," said Lane, who joined when she was 11. The older teens support the younger ones and show that HIV/AIDS doesn't consume one's life.

Quintara Lane

Lane was raised by her grandmother after her mother left her at the hospital.

More than two decades ago, "The families frequently lacked hope," said Dr. Gwendolyn Scott, director of Pediatric Infectious Disease and Immunology at the University of Miami Miller School of Medicine, who treated the newborns. "Many times, the parents died when children were at a young age."

As a child, Lane understood she had to take "vitamins" -- two dozen antiretroviral pills chopped into pieces and taken with orange juice every day. The pills made her nauseated and gave her headaches and skin rashes. Side effects of taking the medications can include gastrointestinal problems, weight gain, neuropathy and other symptoms.

"I didn't want to take the medicine," Lane recalled. She lied to her grandmother about taking them for nearly two years. "I could say I took 'em when I didn't. Being around friends, I didn't want to take them and I didn't want them to ask questions."

After fainting from a decimated immune system at the age of 12, Lane started to understand the gravity of her situation. But questions and the anger occasionally surfaced.

"Why did I get it?" Lane would ask. "All these questions of why, why, why -- all that anger makes this worse. Dealing with school, relationships, dealing with life -- it could be overwhelming. But I try to look at the best of everything and not dwell so much on myself."

Lane counsels other young adults who have new HIV diagnoses, answering questions about how HIV/AIDS affects dating and how to handle the medications.

Young patients with HIV/AIDS often get pill fatigue, Garcia said. "It makes me different. I feel sick. I'm allergic to them," they tell her. Some of her young patients died because they stopped taking the pills.

"There are kids who are set with, 'I don't want to be in this world. I want to be with my mother or I want to be with my father,' or they don't care," she said. "It doesn't matter what you offer them. So it's very complicated to move through that -- sometimes you run out of time."

The next generation

Over the years, the number of pills required to treat HIV/AIDS has dwindled significantly. But, it's not the physical side effects that bother patients.

"I'm only reminded of it when I have to take medication," said a 28-year-old with HIV who asked to be identified only as "Mike." "That's what we do. That's our lives."

Mike contracted HIV after receiving a contaminated blood transfusion as a newborn.

"I wasn't promised to live on Earth long enough," he said. "At times, I'd think about suicide and think 'Why me? Why would the doctor give me dirty blood?' I come to realize that it's no one's fault."

He joined the HIV support group as a teenager. There, he met his wife, who had contracted the virus from her mother.  Their primary focus now is raising their 5-year-old daughter, a petite, shy girl with wavy brown curls. This newest generation of children born to HIV-positive parents has a different fate.

"My wife took her medicine to reduce chances of our daughter being infected with the virus," Mike said. "By the grace of God and praying, my daughter is HIV-negative."

@highlight

Babies born with HIV/AIDs in the 1980s defy expectations

@highlight

HIV/AIDs transmission through pregnancy has been curbed through medicine

@highlight

Teens living with virus have unique camaraderie