Beijing (CNN) -- The conspicuous absence from public view of China's presumptive next top leader is adding new uncertainty to the succession plan for the normally secretive Communist leadership.

For ten days, Vice President Xi Jinping has dropped off the radar of state-run domestic news media, which usually meticulously record official activities of senior leaders.

Xi is widely expected to succeed President Hu Jintao as the head of the ruling Communist Party next month before assuming the presidency early next year in a once-in-a-decade power transition.

Party chiefs jockey for power ahead of leadership jamboree

The mystery of what is keeping him out of the spotlight at such a time has provoked growing speculation in a political atmosphere already rife with intrigue following the scandal that brought down the high-profile party official Bo Xilai earlier this year.

Xi's absence was first noticed September 5, when he abruptly canceled meetings with visiting U.S. Secretary of State Hillary Clinton, as well as other foreign dignitaries including the Singaporean prime minister, Lee Hsien Loong.

U.S. officials said their Chinese counterparts had blamed a "scheduling conflict" for the cancellation. Chinese officials declined to provide an explanation.

Then Ta Kung Pao, a pro-Beijing newspaper in Hong Kong, reported that Xi would meet the Danish prime minister, Helle Thorning-Schmidt, on Monday and journalists were invited to cover the occasion.

When CNN called the Chinese Foreign Ministry to inquire about the event, a displeased official, who declined to be identified, said, "If you don't see an event listed on our website, then it's not public and there is no need to call."

Monday has come and gone -- and Xi remains nowhere to be seen, adding fuel to an Internet firestorm running on rumors and gossip.

Despite the Chinese censors' best efforts to ban discussion of the subject, unsubstantiated theories have proliferated online, with wild plot lines ranging from a car crash to an assassination attempt.

Who are the next generation of Chinese leaders?

Less fantastical are suggestions by some observers and media reports that Xi's absence from the public eye is the result of a health problem such as a back injury or a mild stroke.

Rather than deflate the speculation with an official explanation, the Chinese authorities have so far remained silent.

A spokesman for the Chinese Foreign Ministry, Hong Lei, has dodged questions on the subject several days in a row.

Major news websites like Netease dug up week-old photos of Xi on Monday and republished official accounts of his last public appearance on September 1. Sporting a dark suit and a purple tie, the 59-year-old leader looked well and was seen addressing students of the Central Party School in Beijing.

Regardless of the cause of his subsequent absence, some analysts say the current frenzied speculation highlights the shortcomings of the Chinese authorities' stonewalling approach to the subject.

"In most countries including in Asia, people are entitled to know the health of their leaders, but in China this is still regarded as state secrets," said Willy Lam, a longtime China watcher who teaches politics and history at universities in Hong Kong and Japan.

"The Chinese leadership is worried about social stability," echoed David Zweig, a seasoned China observer and a professor at Hong Kong University of Science and Technology. "But nothing creates greater social instability than this kind of lack of information about the leadership."

Already, China's leadership transition this year has been marred by extraordinary twists and turns.

In April, Bo Xilai, once considered to be among party royalty and a fast-rising star within the party, was stripped of his leadership positions for an unspecified "breach of party discipline." He has not been seen publicly since.

Disgraced Party chief looms large over China's leadership

Bo's wife, Gu Kailai, was convicted last month of murdering Neil Heywood, a British businessman, and received a suspended death sentence.

And Bo's former police chief, Wang Lijun, whose attempt in February to seek asylum in a U.S. Consulate triggered the scandal, was charged last week with defection and bribe-taking. Wang is awaiting trial.

Although most analysts agree the all-important 18th Communist Party Congress -- the meeting where a new generation of leaders, headed by Xi, is expected to be confirmed -- will be held in the middle of next month, the authorities have not announced the dates for the gathering of some 2,200 party delegates from around the country.

"More questions are now being asked about the transparency of Chinese politics since everything is in a black box," said Lam.

Observers say the official silence could also signal last-minute negotiations among senior political figures before they present a facade of unity to the public. The current generation of leaders has been particularly sensitive to maintaining a united front since 1989, when the party hierarchy split over how to deal with pro-democracy protests in Beijing's Tiananmen Square.

"Xi Jinping is already projected to be a weak leader because he doesn't have a power base of his own," said Lam, who predicted Hu Jintao will remain the head of the Chinese military for two to three years after relinquishing his party and state titles to Xi.

"Hu could be the ultimate winner here -- he will be the power behind the throne."

@highlight

Xi Jinping hasn't been seen in public for more than a week and speculation is growing

@highlight

He is expected to succeed President Hu Jintao to become the next president of China

@highlight

His absence, including missing a meeting with Hillary Clinton, has stoked rumors

@highlight

Chinese officials declined to give an explanation and refuse to discuss the matter