(CNN)Put yourself in the shoes (and seventh-century black robes) of ISIS' Abu Bakr al-Baghdadi, the mysterious boss of the terror group that is striking fear into the hearts of leaders around the world.

In the past couple of years you've managed to avoid drone attacks and survive civil wars, unify militant groups in two different countries under your banner, raise an army of jihadis from across the globe, and seize a chunk of land stretching from northern Syria to central Iraq.

Your newly-declared "Islamic State" is the size of Pennsylvania, so how do you govern it? You compartmentalize.

New data from the Terrorism Research and Analysis Consortium (TRAC) has revealed that ISIS is putting governing structures in place to rule the territories the group conquers once the dust settles on the battlefield.

The research shows how ISIS has gone from being a purely military force to building a system that can provide basic services, such as making sure that gas and food are available, to its new citizens.

From the cabinet and the governors to the financial and legislative bodies, ISIS' bureaucratic hierarchy looks a lot like those of some of the Western countries whose values it rejects -- if you take away the democracy and add in a council to consider who should be beheaded.

Baghdadi, his Cabinet advisers and his two key deputies comprise the executive branch of the government, known as "Al Imara."

The two deputies -- Abu Ali al-Anbari and Abu Muslim al-Turkmani, veteran Iraqi military officials who served under Saddam Hussein -- oversee Syria and Iraq, respectively.

ISIS has probably split the governance of the "Islamic State" into Syrian and Iraqi branches simply to make it easier to run, according to Jasmine Opperman, TRAC's Southern Africa Director.

"They see the caliphate as one state, yet there are two different governments," Opperman told CNN. "I believe this split is purely administrative at this time. They don't want to be seen as downplaying the caliphate, but to make it easier to govern they were forced to make a separation between Syria and Iraq."

The two deputies deliver orders to the governors in charge of the various sub-states in Syria and Iraq under ISIS control, who then instruct local councils on how to implement the executive branch's decrees on everything from media relations and recruiting to policing and financial matters.

The Shura council -- which reports directly to the executive branch -- is the caliphate's religious monitor, appointed to make sure that all the local councils and governors are sticking to ISIS' version of Islamic law.

The recent murders of Western hostages James Foley, Steven Sotloff, and David Haines would have fallen under the Shura council's purview, according to Opperman.

"Let's say a significant execution is going to take place, something that will get ISIS on the front page of the newspaper," Opperman said. "It cannot be done without Shura council approval."

The Shura council also has the power to censure the leadership for running afoul of its interpretation of Sharia law, according to Opperman.

"The Shura council has the right to tell Baghdadi to go if he's not adhering to ISIS' religious standards," she told CNN. "It would most probably never happen, but the fact that it's possible indicates the council's prominence."

Baghdadi -- who was once imprisoned by U.S. forces in Iraq -- seems to have incorporated the American military's own counter-insurgency mantra of "Clear and Hold" to win territory, establish control over the area, then get the locals to help govern it.

As time goes on, ISIS is evolving into a government whose political decision-making cannot be separated from its military capabilities, according to Opperman.

"It's two sides of the same coin," she said. "We've seen the military side, with the war cabinet that directs brigades. But now on the other side we're seeing how ISIS wants to govern. The two processes inform one another."

READ MORE: Kurds push back ISIS in bloody battleREAD MORE: "No ground troops in Iraq," says ObamaREAD MORE: What's with Baghdadi's bling timepiece?

@highlight

New research reveals ISIS government structure in parts of Syria and Iraq

@highlight

Abu Bakr al-Baghdadi, a former U.S. inmate in Iraq, is leader of so-called "Islamic State"

@highlight

TRAC research shows ISIS' evolution from military force to basic services provider

@highlight

Many ISIS officials, including key deputies, are Saddam Hussein-era military officers