At best, the word networking conjures up images of standing awkwardly at a party, delicately balancing a drink in one hand while you exchange cards with someone you will probably never see again. At worst, it brings to mind a hustler who thrusts their card aggressively in your face with barely a hello uttered, all the while scanning over your shoulder for someone more important.

Not surprisingly, the very idea is enough to strike terror into the hearts of most introverted workers, who don't relish the idea of walking into a room full of strangers and striking up conversations.

But cleverly done, networking can reap huge benefits for career success, says the UK's renowned "networking queen" and "professor of schmooze" Julia Hobsbawm.

Hobsbawm, who was recently appointed visiting professor in networking at Cass Business School, at City University, London, says in an increasingly global workforce, workers cannot afford to ignore the competitive edge it can give.

See also: To reach the top, do what others won't

Previously perceived as a "soft" skill," Hobsbawm, who also runs networking business Editorial Intelligence, says effective networking will make the difference "between a highly skilled worker and an average worker."

"I think professional workers and their employers are going to come to appreciate and understand networking as more of a hard skill than a soft skill,"  she says.

"We take for granted now that certain types of qualifications have to be achieved, and in this global marketplace, where a worker in Nairobi, or a worker in Bombay, or a worker in New York or London, is directly competing with workers they've never met, what will give them the edge is the knowledge skills."

Below is an edited version of the full interview with Hobsbawm.

CNN: Why do you emphasize networking more than leadership?

Julia Hobsbawm: I think the word leadership is overused and possibly overrated. What matters is that people feel productive and stimulated. The trouble with the emphasis on leadership is that it is aspirational but is not always achieved. The point about networking is everybody can be more productive, everybody can be stimulated and everybody can be more engaged.

See also: Why we pick bad leaders

So it's not that I want to dismiss leadership, but what I am saying is that we are in a new era, in which we are all islands surrounded by oceans of information and oceans of possibilities and entire oceans of people we might need.

The ability to navigate and chart through those oceans is the skills that we are providing. And that's what I am interested in, part of it, is that I would like everybody to love what they do and how they do it. And lots of corporate individuals that we meet expressed a sense of isolation and alienation.

CNN: Why do they experience that?

JH: They are isolated and the networking they do is largely confined to an old model of a pretty large-scale event, like walking into a room and standing up in the corner.

We find the best networking style is in a relaxed environment, where you have a moment to actually look into somebody's face and think, "do I trust what I am seeing here?" That's one of the reasons that women are very good at networking, because we are more naturally blended into our personal and professional personas.

That is the shift -- it is not that one does not need to have boundaries and limits, but it is actually OK and will be normal to be more personal than not, in a professional environment. Because we are persons and personalities.

CNN: How has social media impacted on traditional networking -- has it made it more effective or the opposite?

JH: I think it assisted it in some ways but it has also shown up its own limitations. The word that matters, that people are frightened of and might even be surprised to see, I suppose, in a work or business context, is intimacy. You do get a kind of intimacy with social networking, even with email.

People say things in email and tweets that they might be embarrassed about and regret. But deep connections and a sense of trust can only come from face-to-face. It can only come from repeated encounters. So, for example, we are holding a supper club in London where 15 of our club members gather around for what we call a mid-week dinner party.

The whole point of the mid-week dinner party is that in a relaxed informal environment, no agenda, interesting ideas happen. It's not just about saying, "can you be useful?" it is about "are you saying something interesting to me that I am learning from?"

What we want now is a blended environment, in which all forms of communication join up more meaningfully. So the person who feels very confident on Facebook and Twitter feels equally confident discussing an idea or a book  in real time, opposite somebody.

CNN: What does this growing culture of networking mean for the future?

JH: It is arguably a new industry. I mean, there are not as many books written about networking and business theories as there are about leadership or communication or strategy.  Networking has the elements of all three, but it is about human knowledge networks, rather than technological networks.  So there is an emerging academic discipline as well.

@highlight

Julia Hobsbawm is professor of networking at the UK's Cass Business School

@highlight

She argues that networking distinguishes highly skilled workers from average ones.

@highlight

'Deep connections' require face-to-face meetings, she says

@highlight

Hobsbawm says networking is an emerging academic discipline