Beijing (CNN) -- China has arrested a pro-democracy activist, the latest detention in the government's effort to prevent the Arab world's "Jasmine Revolution" from spreading into China, a human rights group said Wednesday.

Zhu Yufu, a longtime activist and a founder of the China Democracy Party, is accused of "inciting subversion of state power," the group Chinese Human Rights Defenders said.

Zhu is at least the fourth activist reported to be arrested and accused of that crime in recent weeks.

Amnesty International said Ding Mao, Ran Yunfei and Chen Wei were formally arrested between March 25 and March 28 "and could face lengthy prison terms."

"Since an anonymous online call on 17 February to stage a 'Jasmine Revolution' in China more than a hundred activists, many of them active on Twitter and blogs, have been detained, put under surveillance or illegal house arrest, or have simply gone missing," Amnesty said in a report this week. "Moreover, at least a dozen lawyers say they have been briefly detained and pressured by the authorities not to take up cases defending those detained, and even told by police to stop tweeting about the detained people."

CNN's call to China's Ministry of Foreign Affairs on Wednesday evening was not immediately returned.

"China is a country ruled by law, and Chinese citizens are supposed to conduct their businesses within the framework of China's constitution and laws," much like the United States, Wang Baodong, spokesman for the Chinese Embassy in Washington, wrote in an e-mail.. "No one is allowed to enjoy privileged rights above the law, no matter who you are and what high positions you hold."

In recent years, he said, about a dozen high-ranking Chinese government officials per year have been prosecuted and punished "because of their unlawful activities such as corruption and election manipulations, which rarely catches the attention of the American media. We hope that the Western media will take an objective and fair attitude toward China's human rights situation, which has been constantly improving."

Last week, China denied reports that a dissident artist was being held due to his calls for reform. The government insisted that Ai Weiwei was being investigated for economic crimes. "It has nothing to do with human rights or freedom of expression," ministry spokesman Hong Lei told reporters during a regular weekly briefing.

Gao Ying, Ai's mother, told CNN that she is very worried. "There is nowhere I can ask about his whereabouts," she said. "I would sell my house (for the money) to go to court if necessary ... I will go to the prison with him. I would die there with him.

"If this is an economic crime case, why did it need so many policemen?" she asked. "Why did they raid his studio, why everyone is now under close supervision? Is it worthwhile? This is very stupid."

Ai, one of the country's best-known artists, helped design the Bird's Nest stadium for the Beijing Olympics, but he later called for a boycott of the 2008 games because, he said, China was using them as propaganda. He has also accused the Chinese government of trying to silence dissidents.

Zhu Yufu is "the first individual outside of Sichuan Province to be formally arrested as part of the 'Jasmine Revolution' crackdown," Chinese Human Rights Defenders (CHRD) said. He previously spent seven years in prison for "subversion of state power" following a 1998 crackdown on the China Democracy Party, and he was imprisoned again between 2007 and 2009, the China-based group said.

CHRD also said Beijing-based housing rights activist Ni Yulan and her husband Dong Jiqin, missing since April 7, had been detained.

The U.S. State Department Human Rights Report on China for 2010, published last week, says, "A negative trend in key areas of the country's human rights record continued, as the government took additional steps to rein in civil society, particularly organizations and individuals involved in rights advocacy and public interest issues, and increased attempts to limit freedom of speech and to control the press, the Internet and Internet access.

"Efforts to silence political activists and public interest lawyers were stepped up, and increasingly the government resorted to extralegal measures including enforced disappearance, 'soft detention,' and strict house arrest, including house arrest of family members, to prevent the public voicing of independent opinions. Public interest law firms that took on sensitive cases also continued to face harassment, disbarment of legal staff, and closure."

During a visit to Washington in January. Chinese President Hu Jintao acknowledged that "a lot still needs to be done" about human rights in his country. He added, "China also respects the universality of human rights, but at the same time we also believe we need to take into account the differences in culture when talking about human rights."

@highlight

Activist Zhu Yufu is accused of "subversion of state power," human rights groups say

@highlight

More than 100 activists detained, put under surveillance or missing, Amnesty says

@highlight

State Department human rights report says China's rights record worsened in 2010