JAKARTA, Indonesia (CNN) -- Indonesians headed to the polls Thursday to choose legislators for the world's most populous Muslim nation, a vote that will also determine which parties can field candidates for July's presidential election.

A woman shows her finger after voting at a polling booth on Thursday in Jakarta.

By noon, the balloting was proceeding peacefully. However, the country's Papua province was hit by violence early Thursday, when about 80 separatist rebels, armed with machetes and firearms, attacked a police station and burned down part of a university, police said.

Both incidents happened in Jayapura in Papua, where a separatist movement has simmered for years.

Thursday's vote is only the second direct election since the authoritarian regime of Suharto fell in 1998, in the wake of the Asian financial crisis.

Some 12,000 candidates from 38 parties are vying for parliament's 700 seats in a nation that for now is a largely moderate and democratic one.  Watch more about the vote »

Some analysts have pointed to signs that indicate Indonesia is on the path to becoming a conservative and fundamentalist nation. But Islamist parties are not expected to fare well this time around, partly because most voters are more concerned about economic issues, rather than religious or moral ones.  Watch what's at stake in the elections »

Current polls forecast that President Susilo Bambang Yudhoyono's Democratic Party will be the only one to garner the necessary 20 percent of the 550 lower parliamentary seats -- or 25 percent of the national vote -- to nominate a presidential candidate.

Other parties will likely form coalitions to put forward a candidate in the presidential race. That includes Golkar, the ruling party during Suharto's regime and the party of current Vice President Jusuf Kalla.

The elections will also determine the makeup of Indonesia's 132-member Regional Representatives Council, as well as its provincial, county and city assemblies.

More than 70 percent of Indonesia's 238 million people are expected to cast ballots.

But even before the votes are cast, there are serious concerns about the legitimacy of the legislative election. The voting process is complicated: For the first time, Indonesians can vote for an individual within a party and not just for the party.

New voting mechanisms are causing confusion and could lead to an increased number of invalid ballots. There are allegations of fraudulent voter lists as well.

Several Indonesian students, and first-time voters, have voiced their disillusionment with the current parties and candidates.

"I choose not to vote," said Shohib, a student at State Islamic University in Jakarta. "I am disappointed with the leaders."

"I want someone who could lead Indonesia to be better ... who would hear people's aspirations and actually do something about it," said 18-year-old Wiendy Pranoto, a senior at Pesantran Al-Hamidiyah -- an Islamic school outside Jakarta.

Analysts warn that if the elections are viewed as illegitimate, voters will lose confidence, and anger that lingers below the surface could erupt.

Adding to the trouble is Indonesia's status as one of the most corrupt nations in the world, according to Transparency International.

Those factors -- corruption and the economy -- are what experts say are allowing a conservative Muslim movement to gain momentum. That movement says the current government's lack of piety is causing the nation's problems.

"The prize for the global conservative movement is Indonesia," said political analyst Jeffery Winters. "If Indonesia were to move in a direction of becoming a much more conservative Islamic state, it would trigger a number of consequences."

Most political parties have been running on a platform of anti-corruption. The governing Democratic Party has been taking action on corruption and is trying to capitalize on those gains.

Analysts say that, barring a major crisis, Yudhoyono -- who is known as "Mr. Clean" because of his anti-corruption efforts and who is lauded for his handling of the 2004 tsunami recovery and leading an anti-terrorism fight -- will probably win a second term.

CNN's Arwa Damon and Tricia Escobedo contributed to this report.

@highlight

12,000 people, 38 parties vying for one of 700 parliamentary

@highlight

Parties need 25 percent of the vote to name a presidential candidate for July poll

@highlight

Third direct election since the authoritarian regime of Suharto fell in 1998

@highlight

Indonesia is the world's most populous Muslim nation