(CNN) -- Tesla Motors prides itself on promoting a disruptive technology -- electric cars -- but it was Tesla itself that was disrupted recently as New Jersey said it is illegal, effective April 1, to operate factory-direct car sales in the state.

New Jersey is not alone. Arizona, Maryland, Texas and Virginia also ban direct sale of cars to consumers.

Understandably, Tesla CEO Elon Musk was upset and has encouraged people in the Garden State to go to New York or Pennsylvania to buy Tesla cars.

Many wonder whether Tesla has been out to turn the car-marketing world on its head, do away with the franchised dealership system and change forever the way people in the U.S. buy cars.

It can seem that way as Tesla fights to keep selling its cars direct to its customers, but missed in the speculative fervor is that Musk himself has said that as it grows, Tesla probably would be looking at expanding its presence -- and sales -- through franchised dealerships.

Today, progressive dealerships around the country representing every automaker are creating experiences that make car buying easier and deliver a high level of customer satisfaction. Musk could cherry-pick dealers who can deliver the experience he wants for his customers, just as Lexus did when it launched its brand in the U.S. in 1989.

Selling and servicing cars is an entirely different business from making them. Using franchised dealerships relieves the car manufacturer of the tremendous capital burden of paying for and staffing brick-and-mortar facilities. That's one reason the auto industry went with that model in the first place.

Besides, car dealerships are important corporate citizens, pumping into the national economy hundreds of millions of sales-tax dollars, tens of millions of dollars in charitable contributions and billions of dollars in paychecks. That makes them valuable economically. It also gives them clout that few politicians want to challenge.

More importantly for car buyers and car owners, a national network of franchised dealerships with local sales and service facilities can make buying and caring for a new or used vehicle relatively easy.

You can see why the idea might ultimately appeal to Tesla.

Tesla -- as innovative, different and disruptive as it may be -- is still a small player in a very large arena. It sold just under 25,000 cars last year globally. General Motors sold more than that every day. If Tesla has an eye on significant growth, the traditional dealership model, in its most progressive form, is a path the brand shouldn't ignore.

Today, Tesla is arguing that it has no existing franchised dealers with which its factory sales compete, and that it is selling something so unique that an entirely different sales model is necessary at the beginning. That won't always be the case.

So far, Tesla's game plan to make its money purely on car sales. (Electric cars bring in almost no service and maintenance income, which is lifeblood to most car dealers.) There also is no bargaining at Tesla, where the manufacturer's suggested retail price is the sales price, take it or leave it.

That works when your customer base is largely a high-income group of "early adopters," you have no real competition for your $70,000-$120,000 vehicles, you don't take trade-ins and the profit per vehicle allows you to pamper your customers with personalized services.

That will change in a few years, though, when Tesla begins selling its planned third-generation electric car, one priced to compete with the likes of BMW's 3-Series. Reaching out to the mid-to-upper mass market where there is a lot of competition for the consumer's attention -- and dollars -- takes a different kind of approach. When Tesla scales to reach that more mainstream audience, turning to a more traditional sales format may indeed be necessary.

Until then, the company has a high-profile battle on its hands. The courts, and the market, will decide the merits of Tesla's arguments. Even if Tesla were to prevail on the legal front in every case and win the right to continue selling direct to car shoppers in every state, that decision would hardly override the existing franchise protection laws and the value that locally owned and operated dealerships can bring to the equation.

The opinions expressed in this commentary are solely those of John O'Dell.

@highlight

New Jersey's new law makes it illegal for Tesla to sell cars directly to consumers

@highlight

John O'Dell: Tesla is not about to upend the franchised dealership system

@highlight

He says as selling and servicing cars is an entirely different business from making them

@highlight

O'Dell: As Tesla grows, it will also need to use the traditional dealership model