(CNN) -- The worst measles outbreak in 20 years continues to grow. Most recently, there was a new case in Ohio, where there are already 377 cases. So far this year, measles has infected 593 people in 21 states.

As a physician who treats children with compromised immune systems and as a mother of 2-year-old twins -- too young to be fully vaccinated, I am deeply concerned.

A few months ago, a 4-year-old girl came to my clinic with frequent cold symptoms and infections. One way to see if her immune system functioned properly was to check her response to childhood vaccines. But because the girl's mother had decided against vaccinating her, I could not perform the vaccine blood test.

My hands were tied behind my back; I had no way of knowing if there was a deficiency in her immune system. And if she did have a deficiency, she had no protection from the potentially deadly diseases the vaccines are designed to inoculate. As it turned out, she didn't have a life-threatening infection -- this time. Her parents and I breathed a sigh of relief.

We can't know for sure that the anti-vaccine movement, led by uninformed celebrities and discredited research, is the reason we are having such a terrible measles outbreak in the United States. But certainly it's not helping our children.

Before measles vaccinations were available, every year in the United States, approximately 500,000 people were infected with measles and 500 died. That number fell to around 60 infections annually after vaccinations were introduced in 1994.

The Vaccines for Children program, implemented in 1994, helped lead to the eradication of measles by the year 2000. The Centers for Disease Control and Prevention estimates that in the last 20 years, vaccinations prevented 322 million illnesses and 732,000 deaths, while saving $295 billion.

Now, we can add measles to the list of illnesses that are crawling back out of the dustbin of history. Cases of measles have been on the rise since 2010, and globally, 14 people die from measles every hour.

The CDC reports the majority of those who have contracted measles were not vaccinated. Some of the outbreaks have been from unvaccinated U.S. citizens getting measles abroad and bringing it back to those not vaccinated in the United States.

The trend of not receiving vaccinations has been fueled by many, including Jenny McCarthy. The son of the former co-host of "The View" was diagnosed with autism in 2007. Since then she has been fervently critical of vaccination, claiming vaccines such as those for measles, mumps and rubella cause autism. She founded an organization for the cause, wrote books on the topic and made countless appearances -- all the while arguing, absent any scientific data, that vaccines cause autism. McCarthy's views have been influential in fanning parents' fears of vaccinating their children.

She backtracked her stance on vaccines in an op-ed she wrote in April 2014, claiming she is not "anti-vaccine," but the damage has been done.

Another harmful influence was former British surgeon and researcher Andrew Wakefield. In 1998, he presented a highly publicized Lancet report connecting autism and vaccines. Later, the study was discredited by many sources. In 2010, the British General Medical Council declared his paper linking vaccine and autism was not only based on bad science, but also a deliberate fraud.

For his unethical behavior he lost his medical license. But his fraudulent work has contributed to a decrease in vaccinations and increase in measles.

The only credible association between autism and vaccine is age. When a child is diagnosed with a developmental delay such as autism, parents naturally search for a cause and look to recent events in the child's life. Since the age of onset of autism is similar to when children receive vaccinations, some parents falsely connect these two unrelated events. Autism, in fact, appears to be rising among unvaccinated children as well.

While parents have a right to be skeptical and well-informed when it comes to their children's health, they must not make medical decisions based on unfounded diatribes from a celebrity or fraudulent medical paper.

5 things you don't know about measles

Measles outbreaks in our own backyard should prompt educated discussion with patient families who are not vaccinated. We have many credible studies demonstrating that the advantages of vaccination outweigh the disadvantages.

Vaccines reduce the threat of disease or death by a particular pathogen. Unvaccinated children face challenges when it comes to getting lifesaving care. Every 911 call, doctor appointment, or emergency room visit, you must alert medical personnel of your child's vaccination status so he receives distinctive treatment. Because unvaccinated children can require treatment that is out of the ordinary, medical staff may be less experienced with the procedures required to appropriately treat your unvaccinated child.

As was the case with the 4-year-old patient I saw, doctors are not be able to adequately assess a patient's health if the patient is not vaccinated.

During pregnancy, women who are not vaccinated can be vulnerable to diseases that may complicate their pregnancy. If an unvaccinated pregnant woman contracts rubella, her baby may have congenital rubella syndrome, causing heart defects, developmental delays and deafness.

Choosing to not vaccinate your child not only puts your own child at risk, but it also puts others at risk if their child isn't protected. Some people cannot be vaccinated because of other medical conditions, such as cancer. These people rely on the general public being vaccinated so their risk of exposure is reduced.

According to CDC statistics comparing pre-vaccine era deaths to now, there has been a 99% decrease in measles. I know I will continue to give my own children vaccinations to protect their life and health. I urge everyone to do the same for the sake of all children.

@highlight

The U.S. is experiencing the worst measles outbreak in 20 years

@highlight

Jennifer Shih: The anti-vaccine movement can be blamed for scaring parents

@highlight

She says widespread vaccination was responsible for eradicating measles years ago

@highlight

Shih: Choosing to not vaccinate your child is bad for your child and other children