(CNN)Leonard Nimoy, whose portrayal of "Star Trek's" logic-driven, half-human science officer Spock made him an iconic figure to generations, died Friday. He was 83.

Nimoy died this morning in Bel Air, California, his son Adam Nimoy told CNN.

According to his granddaughter, Madeleine Nimoy, the cause of death was chronic obstructive pulmonary disease.

His "Star Trek" co-stars, including William Shatner and George Takei, expressed sadness at his death.

"We return you now to the stars, Leonard. You taught us to 'Live Long And Prosper,' and you indeed did, friend," Takei wrote.

Fans honor Nimoy with tweets, Vulcan salute

Nimoy's career in show business spanned more than six decades and included stints as a stage actor, television guest star, series regular and movie veteran. He also directed a handful of films, including the box-office hit "Three Men and a Baby" in 1987. He was a singer (of sorts), a published poet and an accomplished photographer.

But his lasting claim to fame remains Spock, a native of the planet Vulcan whose pointed ears, unemotional manner and frequently uttered "fascinating" endeared him to millions. Astronaut Chris Hadfield remembered him as an "inspiration."

He felt a close connection to the character.

"Spock is definitely one of my best friends. When I put on those ears, it's not like just another day. When I become Spock, that day becomes something special," he told Starlog in 1989.

Still, as an actor, he wrestled with the typecasting that came with his close association with Spock. He titled a 1975 memoir "I Am Not Spock." Though the book was less a rejection of the character than what he went through to develop him, fans took umbrage.

Twenty years later, he called another memoir "I Am Spock."

He maintained a sense of humor about being confused with a 23rd-century space voyager.

"I had an embarrassing experience once, many years ago," he told The New York Times in 2009. "I was invited to go to Caltech and was introduced to a number of very brilliant young people who were working on interesting projects. ... And they'd say to me, 'What do you think?' Expecting me to have some very sound advice. And I would nod very quietly and very sagely I would say, 'You're on the right track.' "

To the stars

Leonard Simon Nimoy was actually born in Boston, far from Vulcan, on March 26, 1931. (His longtime "Trek" colleague, William Shatner, was born four days earlier in Montreal.) His parents were Russian immigrants, and he was raised in an Orthodox Jewish family.

He incorporated some of his religious heritage into the "Star Trek" character, most notably the hand gesticulation accompanied by the phrase "Live long and prosper." It was adopted from a blessing given by a Jewish priestly class called the kohanim. Nimoy credited writer Theodore Sturgeon for the phrase "Live long and prosper," a variation of a spoken blessing.

Nimoy continued to use the phrase long after his "Star Trek" days: On Twitter, he would close his tweets with the abbreviation "LLAP."

Upon graduating from high school, Nimoy acted in small productions. After encouragement from other actors, he applied to the Pasadena Playhouse in California and was accepted. He moved to the West Coast when he was 18.

His early years were bumpy; he found the Playhouse "disappointing" and left after a few months and, in between roles, served in the military and took jobs such as driving a cab.

Nimoy eventually gained steady work as a character actor, taking parts on such series as "Bonanza," "The Twilight Zone" and "Dragnet." It was a 1964 appearance on a show about Marines, "The Lieutenant," that brought him to the attention of Gene Roddenberry, the show's producer.

Nimoy in 2010: "I feel very fulfilled" with my work

Roddenberry had pitched a science-fiction series as " 'Wagon Train' to the stars" and liked the idea of casting Nimoy as the series' science officer, an alien originally with red-tinted skin. Nimoy got the part in the show, which was called "Star Trek." (Roddenberry drew several other "Trek" performers from "The Lieutenant," including Nichelle Nichols, Majel Barrett and future "Trek" guest star Gary Lockwood.)

"Star Trek" was never a major hit during its original broadcast run. It lasted just three seasons and got the third partly because of an intense viewer lobbying campaign. But the characters became indelible: Shatner's gung-ho Capt. James T. Kirk; DeForest Kelley's wisecracking doctor, "Bones" McCoy; James Doohan's chief engineer, Montgomery "Scotty" Scott; and all the rest of a diverse and -- with the exception of the half-Vulcan Spock -- all-too-human crew.

According to the Internet Movie Database, Nimoy made $1,250 an episode for "Trek's" first season.

Though always popular with audiences -- Shatner remembered being disappointed that Nimoy got more fan mail than he did -- Spock wasn't a hit with network executives, at least at first. His pointed ears made him look satanic, the executives said, and his character was dry and logical, as opposed to the energetic Kirk.

But Nimoy brought a much-needed humor to the character, with selectively raised eyebrows and deadpan delivery, and he quickly became a favorite of "Trek" fans. Nimoy even put out a few albums of songs.

The character has entered the culture as an archetype of an unemotional intellectual; when New York Times columnist Maureen Dowd wants to criticize President Obama as being distant, she refers to him as Spock.

Opinion: Nimoy is Spock, Spock is Nimoy

Into the movies

After three years, "Star Trek" went off the air. Nimoy quickly rebounded by joining the cast of "Mission: Impossible" as Paris, part of Peter Graves' secret-agent team.

In the '70s, he made a few movies -- the most notable being the 1978 remake of "Invasion of the Body Snatchers" -- and a handful of TV guest appearances. He also hosted the syndicated show "In Search of ..." and appeared in a number of stage plays.

But Spock was never far away.

Despite its short original run, "Trek's" 79 episodes had become rerun gold after the show's cancellation, creating hardcore fans nicknamed "Trekkies" and bringing the voyages of the starship Enterprise to a new generation. The show was revived for a cartoon series in the mid-1970s.

Then Hollywood came calling with a theatrical feature, 1979's "Star Trek: The Motion Picture," which reunited the original cast. Though the film garnered mixed reviews, it was a box-office success and led to a series of sequels, under the "Trek" banner, that continue to this day.

The "Trek" movie series also gave Nimoy a chance to direct. He helmed both the third and fourth films, 1984's "The Search for Spock" (which takes place after the Spock character dies in the second film, though he's eventually revived) and 1986's "The Voyage Home."

Following "The Voyage Home," Nimoy directed the biggest box-office hit of 1987, "Three Men and a Baby." As a director, his other films include 1988's "The Good Mother" and 1990's "Funny About Love."

Though Spock kept Nimoy busy and well-employed, he found plenty of time for other endeavors. He received an Emmy nomination for the TV movie "A Woman Called Golda," where he appeared with Ingrid Bergman. He lent his voice and appearance to one of the best-loved "Simpsons" episodes, "Marge and the Monorail," in 1993 (and later was in 1997's "The Springfield Files").

He narrated documentaries, provided voice-over for video games and sent up his image in some commercials, including Priceline ads with his old friend Shatner and an Audi commercial with his movie successor as Spock, Zachary Quinto.

"My heart is broken," Quinto tweeted Friday.

He also took roles in a few other TV series, notably in the paranormal series "Fringe" as Dr. William Bell. He lent his voice to Sentinel Prime in 2011's "Transformers: Dark of the Moon."

Nimoy: "Fringe" cast impressed me the most

And he immersed himself in photography, a hobby he'd taken up as a teenager. His works include "Shekhina," a controversial series of female nudes, and "The Full Body Project."

'I would choose Spock'

For all that, Nimoy knew how he'd be remembered. He hadn't left Spock behind, after all: He acted in the first two of the rebooted "Trek" movies, playing Spock Prime in 2009's "Star Trek" and 2012's "Star Trek Into Darkness."

He and the character were now on very good terms.

"I am not Spock," he wrote. "But given the choice, if I had to be someone else, I would be Spock. If someone said, 'You can have the choice of being any other TV character ever played,' I would choose Spock. I like him. I admire him. I respect him."

Nimoy married his wife, Susan Bay, in 1989. She survives him, as do his two children by his first wife, Sandra Zober.

People we've lost in 2015

@highlight

Leonard Nimoy played Spock in "Star Trek" TV show, movies

@highlight

Actor was known for the half-Vulcan, half-human character

@highlight

Nimoy was fond of science, inspiration to many