(Health.com) -- Every few years, there's a new food bad guy in town -- and right now, it's sugar. Some experts have even declared it a "poison" that's "killing us."

Yet could the sweet stuff people have been eating forever really be so terrible?

"We actually need sugar; it's our body's preferred fuel," says Dr. David Katz, director of the Yale University Prevention Research Center. "But we eat too damn much of it."

Naturally occurring sugar -- which gives fruit, some veggies, and milk their sweet taste â€” is perfectly healthy. It's added sugar (sweeteners put in during processing and prep) that we need to not OD on.

No need to cut out dessert: The key is to eat strategically.

Happily, some major companies are getting on board. In the past four years, cereal brands have cut back on sugar, the milk industry recently lowered amounts in the chocolate milk served in schools, and Walmart is aiming for 10% less added sugar in select foods by 2015.

Health.com: 25 ways to cut 500 calories a day

We turned to experts to clear up the confusion over this tasty temptress. As Katz says, "There's a role for sugar in our diet. After all, what's the point of being healthy if it's not to enjoy living?"

Is there such thing as a sweet tooth?

Yes, sugar love is in your DNA. Researchers have found two sweet-receptor genes that can predict a preference for sweets.

How much is OK?

The American Heart Association (AHA) recommends most women get no more than 24 grams of added sugar per day. That's about six teaspoons, or 100 calories -- a little less than the amount in one can of soda. Thing is, the average American woman eats about 18 daily teaspoons.

Sugar is hidden in unlikely foods, from salad dressing to crackers, which can push you past 24 grams.

Read labels; if there's a sweetener in the first few ingredients (some common aliases: evaporated cane juice, high-fructose corn syrup, fruit juice concentrate, agave nectar, fructose, dextrose, and syrup), look for a brand with a low-or no-sugar option.

Health.com: Diet-busting foods you should never eat

Is it really so bad?

"Sugar is an important part of our lives," says Dr. Miriam Vos, assistant professor at Emory University School of Medicine. "But a little goes a long way." The AHA links added sugar to obesity, type II diabetes and cardiovascular disease.

In a nutshell, eating too much sugar can cause fat buildup in the liver, which can lead to these problems.

It's not all bad. "There's no need to avoid the naturally-occurring sugars in fruit, vegetables, and low- and nonfat dairy," says Rachel K. Johnson, professor of nutrition at the University of Vermont in Burlington.

As sweet as some of these things may taste, they contain relatively small amounts of sugar. Plus, nature's packaging comes with essential vitamins and minerals, along with water and fiber that slow the release of sugars into the bloodstream and prevent insulin spikes.

Health.com: 23 superfruits you need now

What's up with 'natural' sugars?

Sugar in the raw is no better than regular sugar. Agave nectar, alas, is also not great: Its main constituent, fructose, tends to get held up in the liver more than other types of sugar.

Some sweeteners, like raw honey and sucanat, have trace nutrients, but they're all the same as white sugar in terms of calories -- and some contain even more calories.

Is it OK to use calorie-free sweeteners?

Yes! The FDA deems stevia, aspartame (Equal), sucralose (Splenda), and other cal-free sweeteners safe. "Short-term data suggests they're safer than table sugar," says Kimber Stanhope, a nutritional biologist at the University of California-Davis.

Faux sugar won't cause blood-sugar spikes or weight gain -- and all the potential health ills. As Stanhope says, "I use them because I can't afford the extra calories!"

Copyright Health Magazine 2011

@highlight

Doctors: Sugar is the body's preferred food, but we eat too much of it

@highlight

Added sugars need to be monitored instead of naturally occurring ones

@highlight

The American Heart Association says six teaspoons of added sugar is the daily limit for women

@highlight

The AHA recommends that men get no more than nine teaspoons of added sugar daily