Washington (CNN) -- The Supreme Court granted a temporary stay of execution late Wednesday for a condemned Texas inmate who is requesting DNA testing of evidence in his case.

The order was handed down less than an hour before Henry "Hank" Skinner, 47, was scheduled to be executed by injection for the New Year's Eve 1993 killings of his live-in girlfriend and her two sons.

The Supreme Court granted the temporary stay while it considers whether to take up Skinner's broader appeal. It was not immediately clear when the court might consider the case, but there was no indication a decision would be made before Thursday.

Skinner's attorneys maintain that DNA testing of the evidence could establish his innocence and determine the real killer.

"This action suggests that the court believes there are important issues that require closer examination," defense attorney Robert Owen said of the temporary stay. "We remain hopeful that the court will agree to hear Mr. Skinner's case and ultimately allow him the chance to prove his innocence through DNA testing."

Skinner heard the news while he was eating what was to be his last meal, according to Michelle Lyons, a spokeswoman for the Texas Department of Criminal Justice.

He expressed relief and surprise, saying, "I had made up my mind I was going to die" and "I feel like I really won today," according to Lyons.

Skinner said he is "eager to get the DNA testing so I can prove my innocence and get the hell out of here," according to Lyons.

Texas Gov. Rick Perry has received more than 8,000 letters from Skinner's advocates urging a stay, according to the Innocence Project and Change.org, whose members and supporters have sent the letters through their Web sites.

State Sen. Rodney Ellis and state Rep. Elliott Naishtat were among those who have called for a reprieve.

"It has come to my attention that there are numerous problems with Mr. Skinner's case that raise serious questions regarding the fairness of his trial and whether or not he is guilty," Ellis wrote in a letter to Perry on Tuesday.

Word about the case has spread as far as France, where demonstrations were planned Wednesday at the U.S. Embassy in Paris by supporters of Skinner's French wife, Sandrine Ageorges.

Since Skinner's conviction in 1995, he "has tirelessly pursued access to the untested physical evidence," according to court documents filed with the Supreme Court in February.

That evidence includes vaginal swabs and fingernail clippings from Skinner's then-girlfriend Twila Busby, hairs found in her hand and two knives found at the scene, along with a dish towel and a windbreaker jacket, according to the filing.

Skinner has never denied being in the home when Busby and her sons -- Elwin Caler, 22, and Randy Busby, 20, -- were killed. However, he maintains he was incapacitated because of the "extreme quantities of alcohol and codeine" that he had consumed earlier that evening, according to the documents.

Prosecutors maintain forensic evidence gathered at the scene and witness statements point to Skinner. A female friend of Skinner's who lived four blocks away testified at Skinner's trial that he walked to her trailer and told her that he may have kicked Twila Busby to death, although evidence did not show she had been kicked. The neighbor has since recanted parts of her testimony.

Authorities followed a blood trail from the crime scene to the female friend's trailer and found Skinner in the closet, authorities said. He was "wearing heavily blood-stained jeans and socks and bearing a gash on the palm of his right hand," according to the Texas attorney general's summary of the case.

In addition, authorities said cuts on Skinner's hand came from the knife used to stab the men. Skinner said he cut it on glass. Some DNA testing was done, which implicated Skinner, but not on the items he now wants tested.

"DNA testing showed that blood on the shirt Skinner was wearing at the time of his arrest was Twila's blood, and blood on Skinner's jeans was a mixture of blood from Elwin and Twila," authorities said.

However, Owen wrote in the Supreme Court filing, "the victims' injuries show that whoever murdered them must have possessed considerable strength, balance and coordination."

Twila Busby was strangled so forcefully that her larynx and the hyoid bone in her throat were broken. She then was struck with an axe or pick handle 14 times, hard enough to drive fragments of her "unusually thick skull" into her brain, the court documents said.

"While attacking Ms. Busby, the perpetrator had to contend with the presence of her 6-foot-6-inch, 225-pound son, Elwin Caler, who blood spatter analysis showed was in the immediate vicinity of his mother as she was being beaten," the court filing said.

"Somehow, the murderer was able to change weapons and stab Caler several times before he could fend off the attack or flee." Randy Busby was then stabbed to death in the bedroom the two brothers shared, the documents said.

Evidence presented at trial suggested that Twila Busby's uncle, Robert Donnell -- who is now dead -- could have been the killer. At a New Year's Eve party she attended for a short time on the last night of her life, Donnell stalked her, making crude sexual remarks, according to trial testimony. A friend who drove her home from the party testified she was "fidgety and worried" and that Donnell was no longer at the party when he returned.

"The defense presented evidence that Donnell was a hot-tempered ex-con who had sexually molested a girl, grabbed a pregnant woman by the throat and kept a knife in his car," according to Owen's letter to Perry.

An expert testified at trial that Skinner would have been too intoxicated to commit the crimes, and a review of the evidence suggests that Skinner might have been even more intoxicated than initially thought, Owen writes.

Media outlets in Texas have been supportive of a reprieve for Skinner.

"Before sending a man to die, we need to be absolutely sure of his guilt," the Houston Chronicle wrote in an editorial Friday.

Skinner's wife, Ageorges, told Radio France Internationale in a Tuesday interview that she began writing to Skinner in 1996 and they began visiting in 2000.

"I'm convinced of his innocence not because I love him and he's my husband, I'm convinced of his innocence ... [because] there is scientific forensic evidence to prove that he was not even in a state to stand up at the time of the crime let alone murder three people that he loved," Ageorges told CNN's "Larry King Live" on Wednesday night after the stay had been granted. "There is absolutely no motive."

Ageorges also said she finds it "mind-boggling that evidence preserved from the crime scene 15 years later -- including the murder weapon, a rape kit, nail clippings from one of the victims, a male jacket that doesn't fit his size at all with sweat, hair, DNA -- to this day is not tested."

Recently, questions have swirled in Texas regarding the 2004 execution of Cameron Todd Willingham for a fire that killed his three daughters.

On March 19, Perry issued a posthumous pardon to the family of Timothy Cole, who was serving a 25-year sentence for aggravated sexual assault when he died in prison from an asthma attack. After his death, DNA tests established his innocence, and another man confessed to the crime.

CNN's William Mears, Ashley Hayes and Emily Probst contributed to this report.

@highlight

U.S. Supreme Court issues stay of execution for Henry "Hank" Skinner

@highlight

Skinner, 47, was to be executed by lethal injection Wednesday

@highlight

He was convicted of murdering his girlfriend and her two sons in 1993 in Pampa, Texas

@highlight

Skinner's attorneys say DNA testing of the evidence could establish his innocence