(Health.com) -- OK, so you baked yourself silly in high school. Who didn't? What counts -- at least in terms of looking younger -- isn't so much what you used to do, but what you're doing right now.

"Studies show you can reverse the damage," says Debra Jaliman, M.D., author of "Skin Rules: Trade Secrets from a Top New York Dermatologist." "You can actually take 10 to 15 years off your age."

We know what you're thinking: Sure -- if you're willing to empty out your savings in the name of skin care, anything's possible. But you don't have to go to extremes: Pricey procedures at the dermatologist's office aren't the only anti-aging options that work.

"You can reverse skin damage with three basic tenets," says New York City dermatologist Neil Sadick, M.D. "Turn over skin cells, stimulate collagen, and add volume."

In the last 10 years, skin-care breakthroughs have made it possible to pull that off, repairing skin's most vulnerable areas with targeted products and treatments.

So what gets results you can actually see at the best possible price? That's the question we put to leading dermatologists. The good news: Many of the remedies they raved about are affordable and don't require a trip to the dermatologist. Get ready for smoother, softer, younger-looking skin -- starting right now.

Health.com: 7 ways you're aging your skin

Rejuvenate your face

It's not your imagination: Your skin may still be willing, but it's no longer able to bounce back quite the way it did even five years ago. With every birthday, your body's production of collagen and elastin -- two proteins responsible for skin's structural support and elasticity -- slows down. As a result, your skin begins to stretch, especially if you've spent a lot of time in the sun.

Bottom line. If you do nothing else to age-proof your skin, apply sunscreen each morning and a retinoid at night. Using a broad-spectrum sunscreen with SPF 30 or higher every day -- no matter the weather or season -- isn't just about preventing sun damage.

A study published in the Journal of the American Academy of Dermatology found that sunscreens also protect against free radicals -- the molecules that cause aging -- and the majority of the protection is thanks to the UV filters rather than antioxidants.

As for retinoids, research shows that they're the ultimate multitaskers, preventing the buildup of dead skin cells, diminishing wrinkles, and lightening sun spots. Not everyone can tolerate the vitamin-A derivative, so start with an over-the-counter retinol product.

If you don't notice an improvement after six weeks, see your dermatologist for a prescription retinoid (like Renova) and apply it every other day until your skin adjusts, then every day, suggests Sadick.

Health.com: Get flawless skin naturally

Baby your eye area

The area around those two windows to your soul is the first place most of us notice signs of aging. Blame the loss of collagen coupled with decades of smiling and squinting, plus the inherent trickiness of shielding your eyes from the sun. (Age-accelerating UVA rays can sneak through your sunglasses.)

Any moisturizer (especially if it has hyaluronic acid, which draws moisture from the air) will plump up the area temporarily, but one that also has antioxidants like vitamins A, C, and E can help reverse the signs of sun damage and prevent further damage.

What exactly do these alphabet answers to aging do? Vitamin A is the age-reversing ingredient in retinoids; vitamins C and E help protect against free-radical damage.

Bottom line. The best eye creams aren't necessarily the most expensive ones. Pick a product that has antioxidants high on the ingredient list. And give it a chance to work before moving on to another.

"You should stick with any anti-aging product for at least a month," says Diane Berson, M.D., assistant professor of dermatology at Weill Cornell Medical College. "It takes time to see the benefits."

If OTC eye creams don't give you the results you want, injectables like the muscle relaxers Botox and Dysport, or fillers such as Restylane and JuvÃ©derm, will help. These last anywhere from 3 to 18 months, and start at about $400 per treatment. Not cheap, but effective.

Health.com: Makeup tips to make your eyes pop

Smooth out smile lines

You don't have to have ever lit up a cigarette to develop feathery vertical lines along your upper lip line, or be a Debbie Downer to get frown (aka "marionette") lines. Both are caused by a lifetime of facial expressions such as pursing your lips, smiling, and, yes, frowning. The fix usually involves some version of a plumper or filler.

Bottom line. A plumper (such as Sally Hansen Vita C Lip Plumper, $5; mass retailers) helps temporarily fill out superficial, upper-lip lines, says Jaliman. But deeper lip lines usually call for in-office laser treatments (like Fraxel) at about $750 per session.

As for erasing frown lines? "That 'line' is a deep fold caused by muscle contractions, not a crease, so a cream isn't going to get rid of it," says Berson. If it really bothers you, she says you're better off saving your money for an in-office skin-tightening procedure.

Thermage, usually a one-time treatment, starts at about $1,000; injectable fillers such as Perlane, Juvederm, or Radiesse cost about $600 per injection. (Each treatment lasts six months to one year).

Health.com: 15 ways smoking ruins your looks

Refresh your neck, chest, and hands

According to a study published in Plastic and Reconstructive Surgery, most men and women are able to correctly guess if a woman is in her 40s or beyond by glancing at her hands. The skin here, as well as on your neck and chest, has few sebaceous oil glands, making it especially susceptible to the aging process.

But these three areas tend to suffer from neglect -- as in, skipping the sunscreen or devoting all your skin-care dollars to your complexion. Then, seemingly overnight, the lack of care starts to show up in the form of uneven pigmentation, sunspots, and wrinkles.

Bottom line. "Rejuvenating the skin on your chest is all about cell turnover," says Sadick. "Use an over-the-counter product with an alpha- or beta-hydroxy acid or a retinol to help with the process."

For light sun spots, try an OTC bleaching cream. If you don't get results in four to six weeks, move on to a prescription-strength hydroquinone cream. Your other option if those spots prove stubborn: See a derm about zapping them with a laser (cost: $500 to $700).

"Lasers can remove every bit of sun damage -- brown spots, uneven color -- on the hands and legs, as well as the neck and chest," says Jaliman. "Often, all it takes is one treatment."

Copyright Health Magazine 2011

@highlight

A study found sunscreen also protects against free radicals -- the molecules that cause aging

@highlight

Pick an eye cream that has antioxidants high on the ingredient list

@highlight

For light sun spots, try an OTC bleaching cream