(CNN) -- Comprehensive immigration reform has so far eluded President Barack Obama. But with his re-election victory in battleground states propelled by strong Latino support, Democrats and Republicans in Congress have a stronger interest in cultivating support from a group with growing political clout.

Here are five reasons why the time may be right for immigration reform to take hold in Washington.

1) The voters have spoken

Immigration reform may not have been the biggest issue in the election -- the economy was paramount -- but it is very important to a key segment of voters. Latino voters turned out in force and helped to tip battleground states in Obama's favor. The number of registered Latinos has increased by 26% in the past four years to 12.2 million, or 8.7% of all voters. That means this demographic will only increase its political power. Issues important to this minority logically will become increasingly important to both major political parties.

A new electorate has arrived

2) Obama promised but failed to deliver on immigration reform

Obama promised to push for immigration reform before the 2008 election and had to answer tough questions from Latinos about why that did not occur. At a forum by the Spanish-language Univision network, Obama was pressed to admit that he had fallen short and took responsibility for a lack of action. But the president also said he didn't promise he would accomplish everything he wanted right away.

There also is some Latino disillusionment with the stalled Dream Act in Congress. This proposed law would create a path to citizenship for some young undocumented immigrants. Obama did sign an executive order that defers deportation for undocumented immigrants brought to the United States as children, but it did not change current immigration law.

The president has said he is ready to act. He told the Des Moines Register in an interview before the election that he believes he will achieve immigration reform next year.

Opinion: How progress is possible

3) There is a bipartisan starting point

Having bipartisan support for immigration reform will not ensure passage -- it didn't for President George W. Bush in 2007 -- but without it, chances are even slimmer.

Just days after the election, a leading Democrat and Republican announced that they hope to start debate this year. Sen. Charles Schumer of New York, the third-ranking Senate Democrat, and Republican Sen. Lindsey Graham of South Carolina say they will officially restart immigration reform talks that crumbled two years ago.

Schumer told NBC's "Meet the Press" that he and Graham have a plan designed to appeal to interests on all sides of the highly contentious issue, and he's optimistic that it can get through a Congress hobbled by political gridlock in recent years.

The plan includes four key elements: stronger border security, creation of forgery-resistant proof-of-citizenship documents, fairer legal immigration for desirable candidates, and a "tough love" path to citizenship for those already in the United States.

Opinion: Both parties must lead

4) Republicans want to win a larger share of the Latino vote

The election results thrust the immigration issue back into the spotlight partly because Republican nominee Mitt Romney won only 27% of the Latino vote compared to 71% for Obama.

Why Romney lost

The GOP wants to reverse the trend of decreasing Latino support at the ballot box. Already, Republican lawmakers, political commentators and thought leaders have adopted a more conciliatory tone when discussing immigration.

Carlos Gutierrez, the former commerce secretary who led Romney's outreach to Latino voters, told CNN's "State of the Union" the candidate "made some mistakes" during his campaign that ultimately led to a precipitous drop in Latino support.

The Republican primary process forced Romney to move to the right on immigration, something that didn't sit well with many Latino voters. To avoid repeating the mistake, Republicans may consider working on immigration reform.

5) Democrats do not want to diminish their share of Latino vote

The Democratic Party benefited from Latino votes but that support is not assured in the future, especially if the Republicans move toward the center on immigration. The Obama administration is responsible for a record-setting number of deportations even as it has employed prosecutorial discretion to focus on high-priority cases. The Democrats will have to work with Republicans if they want to reform an immigration system both parties agree is broken.

iReport: Under Deportation, Above Fear

@highlight

Barack Obama promised but couldn't deliver comprehensive reform

@highlight

Latinos factored heavily in Obama's re-election, giving them more political clout

@highlight

In defeat, Republicans may see immigration reform as politically smart