(CNN) -- In the run-up to the party conventions, new attention has been focused on women's issues in the political sphere. It has been accompanied by claims that the Republican Party is somehow unfriendly to women -- which will be a surprise to the thousands of women attending the convention in Tampa, Florida.

The assertion is baseless. Having served 19 years in the Senate, and as a lifelong Republican, I have some perspective.

Much of the recent debate has focused on a narrow slice of what constitutes women's issues and how gender should direct women's views. But this is overly simplistic.

Women make up half of the most diverse country in the world. We are represented ethnically, socially, racially, economically, religiously and ideologically across the spectrum. To say that there is a set of concerns that can be labeled "women's issues" is absolutely true. To assume that we all feel the same way about them -- or that we must feel the same way about them to represent our gender legitimately -- is inherently sexist.

My experiences as a woman certainly inform my perspective, but they do not wholly define my political views. I am also guided by the values my family instilled and the educational opportunities I had growing up.

That we employ different methods and points of view does not mean that one or the other party is the natural place for women.

Opinion: Wake up: It's not just Akin

Women are, in fact, more than our gender. We are entrepreneurs and executives who are concerned about a faltering economy and business-unfriendly regulation. We are homemakers and heads of households who worry what tax hikes will do to our family budgets. We are parents who want the best education possible for our children. We are recent graduates, entering the bleakest job market in decades. We are retirees, worried about the shaky finances of Medicare and Social Security.

I am a Republican because I believe that the best opportunities for women -- and men, and children -- come from a thriving economy that encourages entrepreneurship and promotes business development to create jobs and financial security. In the dismal fiscal state we're in, I think that is what is most important to women, and I consider the economy to be a women's issue.

But even if we look to the more traditional women's issues, as a Republican, I have worked on them my entire career. None of it could have been achieved without the support of my party.

In 1975, when I was serving in the Texas Legislature, I authored legislation that guaranteed the most far-reaching protections for rape victims in the country, including limiting invasive personal questions that had been part of a "blame the victim" culture and redefining consent. That bill became the model for strengthened victim-protection laws throughout the country.

Sen. Barbara Mikulski, D-Maryland, and I sponsored the Homemaker IRA, allowing spouses who do not work outside the home -- the vast majority of them women -- to defer taxes in individual retirement accounts.

Mikulski and I worked together again to co-sponsor the National Breast and Cervical Cancer Early Detection Program. More recently, all the female senators -- Democrats and Republicans -- joined together in opposing the U.S. Preventive Services Task Force's recommendation that women under 50 forgo breast cancer screening.

Opinion: Why Paul Ryan is not 'bad' for women

During this year's debate on reauthorization of the Violence Against Women Act, I offered an amendment to enact harsher penalties for violent sexual offenses and to address the backlog of some 400,000 untested sexual-assault kits. Although the amendment was not approved, the final reauthorization -- again, supported unanimously by the female senators -- included new anti-cyber-stalking legislation that I worked on with Sen. Amy Klobuchar, D-Minnesota. The debate over the Violence Against Women Act was a reminder that, though we may disagree on policy particulars, the female senators find ways to solve problems when it matters most.

But my definition of women's issues extends further. As the ranking member on the Senate Committee on Commerce, Science and Transportation, for instance, I believe the STEM disciplines -- science, technology, engineering and medicine -- must be encouraged for our girls. Getting more women into these professions reflects both my will to advance women and my Republican ethos: These areas are vital to America's economic success, and I believe ignoring 50% of the talent pool is detrimental to that goal.

Americans have thoughts, opinions and ideas spanning the political spectrum, about which reasonable people can respectfully disagree. But it is both unreasonable and disrespectful to demand that half of them hold identical views simply because of their gender.

The opinions expressed in this commentary are solely those of Kay Bailey Hutchison.

@highlight

Some people claim the GOP is unfriendly to women, says Kay Bailey Hutchison

@highlight

As a U.S. senator for 19 years and a lifelong Republican, she disagrees

@highlight

The best opportunities for women come from a thriving economy, she says

@highlight

Hutchison says she has worked on traditional women's issues her entire career