The massive street rallies that have swept Hong Kong since the weekend present a major dilemma for China's leadership and the city's own government.

China has called the protests "illegal" and Hong Kong's leader C.Y. Leung has said repeatedly that China's Communist Party leaders won't reverse a decision requiring a pro-Beijing committee to screen candidates in the territory's first direct elections in 2017.

The goal of protesters is to change this policy, arguing that the right to vote is pointless if the candidates are picked by Beijing.

This, ostensibly, yields little wiggle room for a compromise that would allow both sides to walk away from the standoff, say analysts.

"Xi Jinping does not want to be seen as someone who can't manage a bunch of students in Hong Kong," David Zweig, a professor at the Hong Kong University of Science and Technology told CNN, referring to China's president.

Here we take a look at what might happen next:

What chance is there that Beijing will give ground?

Xi has emerged as a hardline leader, with a track record of using strong-arm tactics against Tibetans and Uyghurs, and dissidents in China, said Willy Lam, an adjunct professor at the Chinese University of Hong Kong.

China also fears that what is happening in Hong Kong will have a domino effect on other Chinese cities, he added, especially in wealthy coastal areas. Even with a media blackout, some Chinese have reportedly been shaving their heads as a gesture of support for the Hong Kong protesters.

"For (Xi) to make a compromise on Hong Kong would be a tremendous loss of face," Lam said.

Victor Gao, director of China's National Association of International Studies and a one-time translator to former Chinese leader Deng Xiaoping, told CNN that protesters were "really indulging in fantasy" if they thought the central government would back down.

However, Zweig said there is still some possibility of give-and-take on electoral reform such as allowing more democrats on the nomination committee or by promising to introduce greater democracy in elections slated in 2022.

"That could be a third way," he said.

Is Beijing prepared to sacrifice Hong Kong leader C.Y. Leung?

Hong Kong protesters have extracted concessions from the Beijing leadership in the past.

Shipping tycoon Tung Chee-hwa, Hong Kong's first post-colonial leader, stepped down in 2005 amid widespread public dissatisfaction.

Protesters have demanded that Leung should follow suit and Lam thinks that it's not inconceivable that Beijing may give him the boot.

"It's a tough situation but I think that there is still room to maneuver on both sides assuming Beijing decides not to use force and that it chooses to marginalize Leung," said Lam. "He's a very divisive and unpopular figure."

Elizabeth Economy,  a senior fellow at U.S. think tank Council on Foreign Relations, said the best outcome might be to replace Leung, "not with a lackey of Beijing or a democracy activist," but with a politician like former chief secretary Anson Chan or Christine Loh, current under-secretary of the environment.

They both have strong political credentials and managerial experience, she said.

"The next three years could then be a test case for what a more independent-minded Hong Kong leader might mean for the island's relations with the mainland and provide guidance for further revisions to Beijing's current limited conception of universal suffrage," she wrote in a blog.

What's the worst-case scenario?

As a last resort, Beijing could deploy People's Liberation Army (PLA) troops on the streets of Hong Kong, said Lam.

The PLA has a garrison in Hong Kong, with some 6,000 troops and they have reportedly undergone anti-riot training over the border in nearby Shenzhen.

The People's Daily, the Chinese Communist Party's official mouthpiece, said in an editorial on Wednesday, that Hong Kong could face "unimaginable consequences" if "Occupy Central" were allowed to continue.

"I don't think they would use lethal weapons but nonetheless deploying armored personnel carriers on the streets could frighten the demonstrators (Into leaving)" said Lam.

"It would be a last resort. The images of tanks rolling down the streets of Hong Kong would evoke images of the Tiananmen Square massacre. This would be very bad for the Xi administration."

Will authorities just let the protests run their course?

When protests first erupted at the weekend, authorities initially took a tougher line - using riot gear, pepper spray and most controversially, tear gas to try and clear the demonstrators.

But on Monday, sensing their approach was backfiring, riot police retreated, suggesting authorities may allow the protests to run their course or, at least, wait until the tide of public opinion turns against them.

An unnamed source quoted by the Wall Street Journal that Beijing had told Leung to halt the protests in a peaceful way. "You cannot open fire," the source said.

What has Beijing said so far?

Chinese Foreign Minister Wang Yi has been the most senior official to comment on the protests so far.

He echoed previous statements released through state media, calling the protests "illegal acts" but stressing that Beijing believes Hong Kong has the capability to handle the situation.

"For any country, for any society, no one will allow those illegal acts that violate public order. That 's the situation in the United States, that's the same situation in Hong Kong," he said in Washington before meeting U.S. Secretary of State John Kerry.

The official Xinhua news agency has said that its decision on electoral reform carries "unshakeable" legal status and force, angering protesters who are opposed to Beijing retaining the ability veto candidates.

"I think the 'Occupy Central' movement is the Hong Kong version of street politics and color revolutions we've seen in other countries. It's very dangerous," said Chen Zuo'er, a former vice minister of the Hong Kong and Macau Affairs Office under China's cabinet.

"Democracy and the rule of law are the pillars of economic prosperity and social stability in Hong Kong. 'Occupy Central' has attacked both pillars."

@highlight

Massive street protests present dilemma for China's leaders

@highlight

Few analysts see scope for a major concessions on electoral reform

@highlight

Translator to former leader says protesters "indulging in fantasy"

@highlight

Use of force would bring uncomfortable memories of Tiananmen