(CNN) -- As President Barack Obama made his impassioned speech at Nelson Mandela's funeral at a soccer stadium in Soweto, the poverty-stricken Johannesburg township that was a stronghold of support for the anti-apartheid struggle, he was standing at the procession of one of the people who had the greatest impact on his life. Mandela shaped his career.

"Over 30 years ago, while still a student," the president said, "I learned of Nelson Mandela and the struggles in this beautiful land. It stirred something in me. And while I will always fall short of Madiba's example, he makes me want to be a better man."

Obama praised what this leader had accomplished for racial equality and in bringing down the apartheid regime.

The speech, the first African-American president in the United States speaking at the funeral of the first black president of South Africa, is important in that it brings us back to the transformational nature of Obama, a basic fact that has been lost in all the partisan tumult and vitriol of the last few years.

Since he entered office, the very moment that brought so many Americans to tears, everything quickly returned to politics as usual. Heated debates unfolded about his legislative agenda, and the underlying significance of his election in terms of the nation's racial history faded for too many Americans.

While observers will be interpreting the meaning of each word in Obama's speech through the prism of domestic politics, examining each handshake with foreign leaders to glean the implications for international policy, the speech itself and Obama standing in Mandela's shadow should be powerful reminders of the progress that we have made in race relations.

Nelson Mandela and the Rev. Martin Luther King Jr. were part of a global struggle for equality in the 1950s and 1960s that rocked societies that were built on the foundation of racial inequality. While civil rights leaders in the United States and freedom fighters in South Africa took different paths and faced different challenges, their goals were similar.

In South Africa, Mandela would eventually help to bring down the apartheid regime and dismantle a brutal system of white rule. Within the United States, the civil rights movement ended legalized racial segregation and strengthened the ability of the federal government -- until this year -- to protect African-American voting rights. The election of an African-American president was also part of these long-term accomplishments, bringing down another barrier in political leadership that once seemed unmovable.

The civil rights accomplishments were incomplete. Many problems facing African-Americans still persist and have sometimes been ignored by policymakers. The disproportionate number of African-Americans in U.S. prisons remains a blight on the nation's record. The devastating conditions facing certain African-Americans living in the inner city are part of another massive problem that needs to be repaired. Racism, moreover, has reared its head in recent years among some of Obama's detractors.

But Obama's speech is a healthy and much needed reminder about what took place in 2008 and what he will mean in the American history textbook for decades to come.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Obama and Mandela: The two first black presidents of their nations

@highlight

Mandela a big influence on Obama, who said, "He makes me want to be a better man"

@highlight

Zelizer: Obama's election was transformational despite political vitriol since then

@highlight

Problems persist, he says, but civil rights have come far in U.S. and South Africa