After a 10-year chase taking it billions of miles across the solar system, the Rosetta spacecraft is homing in on its close encounter with a comet.

Pictures of the oddly-shaped rock have already been returned but on Wednesday scientists at the European Space Agency, which is leading the project, say they hope to see images from within about 75 miles as the probe carries out the last of its braking maneuvers.

If successful, the mission will notch up a series of firsts. Rosetta will be the first spacecraft to orbit a comet on its journey around the sun, and in November mission controllers aim to place the robotic lander Philae on the surface -- something that has never been done before.

Previous missions have performed comet fly-bys but Rosetta is different. This probe will follow the comet for more than a year, mapping and measuring how it changes as it is blasted by the sun's energy.

Mission controllers had to use the gravity of Earth and Mars to give the probe a slingshot acceleration to meet its target on the right trajectory. Rosetta also had to be put into hibernation for more than two years to conserve power before being woken up successfully in January this year.

Interactive: See how Rosetta chases the comet across the solar system

Scientists hope to learn more about the composition of comets and perhaps whether they brought water to the Earth or even the chemicals that make up the building blocks of life.

"It really is such a step forward to anything that has come before," project scientist Matt Taylor told CNN.

Rosetta will soon begin mapping the surface of Comet 67P/Churyumov-Gerasimenko and find out more about its gravitational pull. This will help to find a suitable landing site for Philae and allow engineers to keep Rosetta in the right orbit.

As comets approach the sun, any ice melts and is turned into an ionized gas tail. The dust produces a separate, curving tail. It's these processes that Rosetta scientists hope to be able to study from close proximity.

Taylor explained that the survey will show the team what the comet nucleus looks like now and when it gets closer to the sun.

"We'll be able to make a comparison to now, when its relatively inert, to when it's highly active ... making this measurement over a year when we're riding alongside at walking pace and observing how a comet works and interacts with the sun," he said.

"We are there for over a year to see this compete development to the extent that you may even be able to measure the decrease in the volume of the nucleus ... see how much material has left the comet."

Rosetta's target comet 67P/Churyumov-Gerasimenko is known as a short-period comet. It reappears every six years as its orbit brings it close to the sun. Halley's comet has a period of about 76 years and is not due to return close enough to Earth to be visible until 2061. Others only return after thousands of years.

Matt Taylor says it is unlikely that you will be able to see comet 67P with the naked eye but you can follow the progress of the mission on Rosetta's blog and find out more with CNN's interactive coverage.

@highlight

If successful, the Rosetta mission will be the first to orbit and land on a comet

@highlight

Scientists hope to learn more about the composition of comets

@highlight

The robotic lander Philae is due to touch down in November

@highlight

Could comets have brought water to the Earth? Rosetta may help answer the question