(CNN) -- A recent commentary by James Walker in CNN.com's opinion section grossly mischaracterized the cruise industry's practices and record, claiming that the industry is "largely unregulated" and "largely accountable to countries like Panama or the Bahamas." Nothing could be further from the truth.

Essentially every aspect of the cruise industry is heavily regulated and monitored under national and international maritime laws for many purposes, the most important of which is to protect the safety of passengers and crew.

A U.N. agency -- the International Maritime Organization -- mandates global standards for the safe operation of cruise ships through its 170-member governments, including the United States. These regulations are extensive and wide-ranging. They start with the design and construction of the ship and extend to the operation of the vessel, the emergency equipment on board, and scenarios for emergency situations, including the evacuation of a ship.

Regulation of the cruise industry involves many levels of enforcement -- the international; the flag state or the flag of the country that the ship is registered in; and the port state (the country a ship is visiting.)

For example, cruise ships that operate from U.S. ports are subject to strict U.S oversight and enforcement of international laws and regulations as well as all applicable federal laws of the United States. This oversight enforcement is carried out primarily by the U.S. Coast Guard.

Opinion: What cruise lines don't want you to know

Most significantly, this means that any ship entering a U.S. port, no matter what country's flag it sails under, is subject to U.S. Coast Guard examination for compliance with international and applicable U.S. regulatory standards, especially those related to safety.

The coast safety regulation enforcement of the U.S. Coast Guard begins at the concept or design stage for new cruise ships and continues throughout the ship's entire time of service. At any time, the responsible Coast Guard captain of a port can prevent any cruise ship from departing if a serious violation of any regulation is found or any dangerous condition exists.

Contrary to what the op-ed's author says, significant fires on board ships are rare. The global cruise industry has robust regulatory measures to protect passengers and crew. Fire safety regulations are continuously enhanced and have reduced the frequency and severity of fires. The last major overhaul of fire safety regulations entered into force in 2010, and those regulations remain the subject of continuous review and updating.

Every oceangoing ship in the Cruise Line International Association fleet must carry firefighting teams made up of crew members. They receive formal firefighting training and regular drills to ensure a rapid response in the unlikely event of a fire. The average oceangoing cruise ship has about 4,000 smoke detectors, 500 fire extinguishers, 16 miles of sprinkler piping, 5,000 sprinkler heads and six miles of fire hose.

Opinion: My celebration trip on the Carnival Triumph

Jobs in the cruise industry are highly sought after, and crew members have opportunities for career advancement. The industry offers opportunities not available for many crew members in their home countries, allowing them to support families, pay for college and even start their own businesses.

Beyond wages, crew members are provided free room and board in a clean, well-maintained environment. They receive cruise-line sponsored medical care at no cost. And the cruise industry maintains strict workplace standards set by the International Maritime Organization and the International Labor Organization -- both U.N. agencies.

The cruise industry also takes steps to prevent its people from bringing norovirus, which causes gastrointestinal illness, on board. About 10.3 million passengers embarked on Cruise Lines International Association ships from a U.S. port in 2012. There were 16 cases of cruise ship norovirus outbreaks reported to the Centers for Disease Control and Prevention last year, involving about 2,600 passengers out of those 10.3 million. To put this in perspective, the CDC reports norovirus causes about 20 million cases of gastroenteritis a year.

Opinion: How Carnival can clean up the PR mess

The cruise industry is subject to strict international regulation and oversight and fully promotes policies and practices that foster a safe, secure and healthy cruise ship environment. There's no doubt that cruising is one of the safest, affordable and enjoyable vacation experiences available today, which explains why a record 20.6 million passengers worldwide enjoyed a cruise vacation in 2011.

The opinions expressed in this commentary are solely those of Bud Darr.

@highlight

Bud Darr objects to op-ed that criticized cruise industry

@highlight

He says the industry is heavily regulated and monitored under maritime laws

@highlight

Cruise ships entering U.S. ports must be examined by Coast Guard, he says

@highlight

Despite headlines and criticism, fires and illnesses are rare on ships, Darr says