Tokyo (CNN) -- As searches for survivors continued Saturday, police in Japan said more than 7,100 people had died since the monster earthquake and ensuing tsunami struck.

On Saturday morning 7,197 people were confirmed dead, according to Japan's National Police Agency. Another 10,905 people were missing and 2,611 were injured, the agency said.

Prime Minister Naoto Kan sought to reassure the nation, saying Friday that he is committed to taking firm control of a "grave" situation.

Kan said the disaster has been a "great test for all of the people of Japan," but he was confident of the resolve of his people.

Amid a raised crisis level at the Fukushima Daiichi nuclear plant from a 4 to 5 -- putting it on par with the 1979 incident at Pennsylvania's Three Mile Island -- Kan told his compatriots to bury their pessimism.

"With a tsunami and earthquake we don't have any room to be pessimistic," he said. "We are going to create Japan again from scratch. We should face this challenge together."

Kan acknowledged the situation at the Fukushima plant remains "very grave" and said his government has disclosed all that it knows to both the Japanese people and the international community.

"The police, fire department and self defense forces are all working together, putting their lives on the line, in an attempt to resolve the situation," he said.

Search teams continued Friday to comb through the rubble and residents of decimated towns sifted through twisted metal and broken wood beams, looking for remnants of the lives they lost. Rescuers planted red flags where they found dead bodies.

"I have no words to express my feelings. I lost my mind. We will have to start from zero," Hidemitsu Ichikawa said, taking a break from shoveling mud outside his home.

In Miyagi Prefecture, officials observed a moment of silence Friday to mark the one-week anniversary of the quake.

Schools have become impromptu morgues, with names of the dead posted on the doors, NHK reported.

Long lines snaked around supermarkets as survivors stocked up on supplies.

In the hardest-hit parts of the country, thousands of people, many of them frail and elderly, settled into shelters not knowing when they might be able to leave.

Japanese media have reported difficult living conditions, including kerosene shortages that make it hard to heat the shelters.

Some 380,000 people are staying at 2,200 facilities, Kyodo News reported.

"With all possible measures I'm determined, as part of the government, to improve their living conditions as much as possible," Chief Cabinet Secretary Yukio Edano told reporters Friday.

NHK reported that 25 of the nearly 10,000 evacuees from Fukushima Prefecture have died in shelters.

Twenty of them were elderly people forced to evacuate from nursing homes and a hospital after problems at the Fukushima Daiichi plant. Several died as they rode without adequate medical care on a bus on the way to the high school shelter, Fukushima Prefecture government officials said.

Volunteers tried to care for hundreds of patients in the school's unheated athletic building. They sent out radio messages asking people to bring in any fuel they could spare, Koyo High School Principal Masaaki Tashiro said, choking up as he recounted the struggle.

"It was so far beyond anything we had ever experienced that we were doing our very best, just trying to cope with what was in front of us, he said.

"People are exhausted from the earthquake, tsunami, and now the fear of radiation," he said.

Japan's nuclear safety agency described the situation at the earthquake-damaged Fukushima Daiichi nuclear plant Friday as a "Level 5" incident, a rating based on the International Nuclear and Radiological Event Scale, with 1 being least and 7 being most severe.

A level 5 indicates the likelihood of a release of radioactive material, several deaths from radiation and severe damage to a reactor core.

Workers resumed efforts to douse a spent fuel pond outside a nuclear reactor at the Daiichi plant Friday, with its owner saying that earlier attempts had been "somewhat effective" in addressing radiation concerns.

Conditions at the plant itself remain dangerous. Radiation levels Thursday hit 20 millisieverts per hour at an annex building where workers have been trying to re-establish electrical power, "the highest registered (at that building) so far," a Tokyo Electric official told reporters.

By comparison, the typical resident of a developed country is naturally exposed to 3 millisieverts per year.

The top priority for officials is the nuclear facility's No. 3 reactor -- the sole damaged unit that contains plutonium along with the uranium in its fuel rods, Edano said.

Significant amounts of radiation have been released since the earthquake hit on March 11, followed by a tsunami that swept away diesel generators needed to keep water pumping over the fuel rods. The disasters spurred several hydrogen explosions at the nuclear plant.

But Japanese officials have tried to allay fears of an imminent meltdown.

A meltdown occurs when nuclear fuel rods cannot be cooled and the nuclear core melts. In the worst-case scenario, the fuel can rupture the containment unit spilling out radioactivity through the air and water. That, public health officials say, can cause both immediate and long-term health problems, including radiation poisoning and cancer.

The government has ordered the evacuation of about 200,000 people living in a 20-kilometer (12.4-mile) area around the plant, and told people living between 20 kilometers and 30 kilometers (18.6 miles) from the plant to remain indoors.

"Evacuees, and that can be said of myself as well, are feeling anxious since we are not getting the needed information from the government in a timely manner," said Seiji Sato, a spokesman for the government of Tamura City, about 20 kilometers from the nuclear facility.

One group of 21 people evacuated from a town near the plant made it to a shelter in Shinjo-shi, 300 kilometers (186 miles) away.

They told officials there that they drove as far away as possible, until they ran out of gas.

CNN's Kyung Lah, Gary Tuchman, Brian Todd and Brian Walker contributed to this report.

@highlight

Naoto Kan says he is confident Japan will overcome the tragedy

@highlight

More than 7,100 people are confirmed dead

@highlight

Workers at the Fukushima Daiichi plant continue efforts to douse a reactor