(CNN) -- Whether it's through film, TV or pages of a book, you may have flown a TARDIS with a time lord, walked on the moon with Neil Armstrong, survived the Hunger Games, and perhaps even fallen in love with a character of the likes of Jane Austen's Mr. Darcy.

But faithful fans aren't leaving their love for their interests at home. Instead, they're setting course to destinations where their geeky passions come alive. From the sweeping emerald landscapes of New Zealand where one can wander the trails of the cinematic Middle-earth of "Lord of the Rings" to Wales for the ultimate "Doctor Who" experience, devotees are seizing the chance to experience their fandom up close and personal.

For iReporter Alex Vaccarino, a book report in fourth grade would start a lifelong love affair with J.K. Rowling's world. Though our "muggle" world may not have magical potions to ensnare the senses, Potterheads like her can apparate (or take a plane or car) to The Wizarding World of Harry Potter, an enchanting theme park inside Universal Orlando fit for any wizard. Complete with a snow-capped Hogsmeade, a Hogwarts Castle and recognizable shops including Ollivanders and Honeydukes, fans can immerse themselves in magic that has been lifted from the series.

"Rowling's books are so rich in detail, taking a pilgrimage like this was like looking directly into her imagination," Vaccarino says. "I think I scared nearby small children with my level of excitement. It was like stepping into one of the books, which is any fan's dream come true."

For many nerds, a pilgrimage goes beyond simple sightseeing and becomes a rite of passage. Most of the readers who shared stories of their nerdy pilgrimages with CNN.com felt their experiences cemented their love for their respective passions.

The object of iReporter Daniel Fandino's veneration is tucked away in Mitaka, Japan. Designed by legendary anime filmmaker Hayao Miyazaki, renowned for movies like "Spirited Away" and "My Neighbor Totoro," the whimsical Ghibli Museum is the perfect place to see Miyazaki's animations come to life. With a playful interior, the museum houses detailed models, artful storyboards and several exhibits that invite Ghibli admirers to pause and savor.

"The experience was very meaningful because it was a chance to see the behind-the-scenes and creative process of a major animation studio whose work I have so admired," Fandino says. "To have visited the museum felt like reaching a certain pinnacle as a fan and I felt extremely fortunate to have had the opportunity to do so."

It's these pinnacle experiences that become the driving force behind a pilgrimage, but each full-hearted adventurer has a unique motivation for wanting to take one. If you're a literary nerd like Teresa Fields, not only do you fall in love with imagined characters who sit on your bookshelf, but you also fall in love with the minds that have penned them to life.

"You realize that it wasn't the characters that so captivated your thoughts, but rather, it was the author who created them who you were in love with all along," Fields said in a CNN iReport.

Wanting to explore the world of English novelist Jane Austen, Fields set off from her home in Virginia to the charming Hampshire countryside -- the place of inspiration for stories that would become timeless novels like "Sense and Sensibility" and "Pride and Prejudice." Austen fans can take a stroll through the 17th-century cottage, now a museum, where the author spent the last eight years of her life in the village of Chawton.

"You get a clearer picture of how she lived and how she might have formed her characterizations by the way her environment shaped her," Fields said. "I couldn't believe that I was actually walking in the footsteps of history. Sometimes I had to stop and say to myself, 'Jane Austen actually walked this path.'"

Undertaking a pilgrimage may not be for everyone, but it certainly offers enthusiasts the opportunity to not just imagine how things may be, but to see things as they really are.

For a Whovian like Tim Hampson, what better place to come face-to-face with the "Doctor Who" universe than The Doctor Who Experience, an interactive journey that takes fans behind-the-scenes of the iconic show. On Cardiff Bay in Cardiff, Wales, the attraction showcases sets and an incredible collection of artifacts and costumes that span the 50-year history of "Doctor Who."

"I've been a 'Doctor Who' fan since childhood, so approximately 40 years. Seeing all the sights was astounding," he says. "It was a fantastic day. Not only the exhibition, but also getting the chance to visit many of the external filming locations in the area."

Though gaining a deeper connection to the show was a rewarding experience for Hampson, he said going with a worthy companion, his son, made for a more meaningful one.

"My son is 9 years old and a huge fan of the latest regeneration of the Doctor," he said. "Getting to share a visit with him to many of the props, costumes and sets made this an unforgettable experience."

The beauty of these trips is in memories that last long after the experience. The journey is almost always so brimming with heartfelt emotion and zeal that it resists being reduced to a typical set of vacation snapshots. And there's certainly nothing typical about finding yourself at the doorstep of a Hobbit-hole home.

With countless "Lord of the Rings" tours available, New Zealand has quickly become a place of pilgrimage for "Lord of the Rings" fanatics. Drawing new energy with the release of "The Hobbit: An Unexpected Journey" in December, Tolkienites are flocking to spectacular locations like Matamata, where Peter Jackson filmed his Academy-Award winning trilogy.

"Now I can say that I have seen Middle-earth," said iReporter Jerry C. Gonzales, who took a Hobbiton movie set tour  to see the stunning fantasyland for himself. "I never stopped taking shots from every angle of the place. It was an amazing experience," he said. "It was more than what I expected because our tour guide even told us some secrets on how Peter Jackson filmed the movies."

As most nerds know, being homesick for a place you've never been to is not an unfamiliar feeling. In fact, it's that longing that breathes life into a pilgrimage.

In the book "The Hobbit," J.R.R Tolkien writes about Bilbo: "Then something Tookish woke up inside him and he wished to go and see the great mountains, and hear the pine trees and the waterfalls, and explore the caves, and wear a sword instead of a walking-stick."

Perhaps there's a Tookish wanderlust that begs to be awakened in us all.

@highlight

Fictional characters inspire real-life travels for many fans

@highlight

One iReporter followed his admiration for anime filmmaker Hayao Miyazaki to Japan

@highlight

Wales is home to The Doctor Who Experience