(CNN) -- Africa's growing economies should put jobs creation at the heart of their development policies, according to the head of the International Monetary Fund.

Speaking to CNN's Robyn Curnow, Christine Lagarde said that youth unemployment is one of the biggest challenges facing Africa's countries.

"There is a vibrant youth that is expecting the leadership of those countries to actually open the economy so that they can actually express their talent and find ways to get integrated in the job market," she said.

According to the IMF chief, a major re-engineering is currently taking place between the developed and developing world economies -- a number of African countries have enjoyed higher growth rates than Europe and the United States in recent times as many western nations remains mired in financial turmoil.

"Emerging markets are playing a role that is much bigger, much more important in terms of leadership than they did, say, 10, 15 years ago," she says.

An edited version of the interview follows.

CNN: More than ever the Eurozone crisis has put it to African leaders that they have to look East. How significant is that?

Christine Lagarde: All countries are interconnected. There is no question that a crisis in one particular part of the world is going to affect those countries, but also all of the countries, especially if there's a large volume of trade between those countries.

Four reasons Africa is rising

When I look at South Africa, I know there is about 30% of trade going to Europe, so if something goes wrong in Europe it will have an effect on South Africa which is why any solution will require the cooperation of all players and I understand perfectly that South African authorities are concerned about the way the Europeans are dealing with their crisis and are trying to address solutions.

CNN: Many people here have watched with fascination how Portugal has turned to Angola for some sort of financial help. Do you see this shifting perhaps the power relations on a global scale?

CL: There is at the moment a major re-engineering between advanced economies, emerging markets, developing countries and clearly emerging markets are playing a role that is much bigger, much more important in terms of leadership than they did, say, 10, 15 years ago.

So there is a re-organization happening as we speak, which is good in the main, because there were massive imbalances and those imbalances are not good for the global economy, but it is difficult and it's a transition phase that is complicated to deal with.

CNN: Do African economies have a role to play that's positive? Is there something to be learned from African economies over this?

CL: Well, first of all, the African continent in and of itself has had a growth rate that was significantly higher than that of Europe, than that of the United States, lower than some of the big emerging markets such as China, India or Brazil, but in the range of 6% lately. I think that's one reason to be optimistic about Africa.

African growth? It's complicated

The second reason to be optimistic about Africa is that it holds significant commodities, raw materials that are so needed for the growth of other countries -- if you look at the volume of trade between, say, China and some African countries such as South Africa, or the volume of trade amongst African countries in terms of intra-regional trade, that is growing as well. So those are alternatives sources of growth that differ from the traditional trade links with, say, Europe and these are new opportunities for African countries to actually develop and strengthen.

CNN: What are the warning signs and concerns about African economies? What are the critical issues for you?

CL: The first message that I gave to both the Nigerian, the Niger and the South African authorities is to rebuild the buffers that had been used during the financial crisis wherever they could to have reserves available and be able to either use fiscal policy or monetary policy to make sure that growth is maintained and is sustainable.

Africa's 2020 growth vision

The second message is make sure that the growth that you encourage, by whichever ways are available to you, it's a growth that is inclusive, that is creating jobs, because jobs are really at the heart of any development policies at the moment in South Africa, but in other countries as well.

CNN: Easy to say that.

CL: Yes, I know, but it's a question of identifying for each and every country, what are the impediments to job creation? What are the impediments to growth? And whether it's the infrastructure projects that need to be financed, that need to be developed, that need to be monitored, whether it's education and vocational training programs that need to be put in place.

That is going to be different, whether you're in Nigeria, whether you're in South Africa, whether you're in Tunisia, but in all places there is a vibrant youth that is expecting the leadership of those countries to actually open the economy so that they can actually express their talent and find ways to get integrated in the job market.

@highlight

Christine Lagarde is the head of the International Monetary Fund

@highlight

She says job creation is a big challenge for Africa's growing economies

@highlight

Lagarde discusses the changing power dynamics between the developed and developing world economies

@highlight

She calls African leaders to rebuild the buffers that had been used during the financial crisis