Washington (CNN) -- As Iraq continues to dissolve into chaos, Republican lawmakers strongly urged that the United States act swiftly on both the diplomatic and militaristic front, warning that the growing instability directly threatens the safety of Americans.

The Sunday political talk shows focused on the crisis in Iraq.

Military option

Republicans dominated the political talk shows Sunday regarding Iraq, pushing for immediate involvement in the country that is in turmoil and under attack by an extremist group known as the al Qaeda-linked Islamic State in Iraq and Syria, or ISIS.

Fresh off a victory in his Republican primary, South Carolina Sen. Lindsey Graham emphatically insisted on CNN's "State of the Union" that the United States needs to conduct military air strikes in Iraq to prevent ISIS fighters from advancing into and taking over Iraq's capital, Baghdad.

The chairman of the House Intelligence Committee, Mike Rogers, agreed, telling CNN that "a little bit of U.S. air support can be very, very impactful."

And Democratic Sen. Joe Manchin of West Virginia indicated he'd get behind a military option in Iraq.

"I'm open to ... air strikes, technical support, drones, whatever it takes, but I want to make sure our intel is accurate before we start doing this, and I'm hopeful that they're getting accurate intel on this," Manchin said on NBC's "Meet the Press."

President Barack Obama on Friday did not exclude U.S. military options -- except for on-the-ground combat troops -- but is reviewing a range of options, including air strikes.

Meanwhile ISIS gained control of Mosul last week, Iraq's second largest city, as well as much of northern Iraq, and ISIS fighters worked their way toward Baghdad.

Republicans on Sunday said the President needs to be decisive and act immediately, "not two weeks down the road," said Rep. Michael McCaul, House Homeland Security Committee chairman, on ABC's "This Week."

Rogers said one question needs to be answered: "Is al Qaeda holding land the size of Indiana a problem for the United States?"

Graham said the extremist group's growing real estate will result in consequences of "monumental proportions" if the United States doesn't help stop ISIS. One of those consequences would be "the next 9/11," Graham said.

McCaul also warned that ISIS is "the greatest threat" to U.S. national security, in part, because Iraq and Syria are a training ground for violent extremists, including Americans and Western Europeans who can freely travel to the West.

While Graham spoke with utter conviction of what the American response should be, McCaul was more measured, saying the U.S. "has to be very careful" about using the military in this situation. That's a sentiment echoed by Republican Sen. John McCain on Friday who said air strikes are "not easy."

The only lawmaker on the political talk shows Sunday strongly opposed to a military option in Iraq was Iraq War veteran Tulsi Gabbard of Hawaii. She is opposed to U.S. involvement.

"We have to ... focus our great military on those direct and imminent threats rather than getting distracted by involving ourselves in another civil war that's occurring in another country between religious factions that have been warring for generations," Gabbard, a Democrat, said on CNN's "State of the Union."

Rep. Adam Kinzinger, R- Illinois, also an Iraq war veteran, sharply disagreed.

"If the establishment of a caliphate by an organization that makes al Qaeda look like a bunch of kitty cats is not in U.S. national interest to stop it, I don't know what is," he said on "State of the Union."

Diplomacy

The lawmakers also called for a diplomatic component of the U.S. response, but they disagreed on which countries should be diplomatic partners and how to go about it.

Graham offered an unexpected solution: working with Iran -- an American foe over Iran's nuclear program and its back-channel role in numerous conflicts. Graham said it would be a "mistake" not to engage with the majority-Shiite country.

"We need to coordinate with the Iranians," Graham said. "The Iranians can provide some assets to make sure Baghdad doesn't fall."

But McCaul said the U.S. needs to be more leery of Iran and aware that it is seeing Iraq's instability as an opportunity to grab a hold of power.

Rogers said on "Fox News Sunday" that he "wouldn't fall in that trap" of engaging Iran.

But Graham said the possibility that Iran can sweep in and take power in Iraq is precisely why the U.S. should engage.

"Don't let the Iranians save Baghdad. Let us save Baghdad so there will be a chance at a second government," Graham said.

Rogers said the U.S. should turn to the Arab League to get involved and that it would be "a failure of U.S. leadership" if it can't elicit Arab League involvement.

But shortly after Rogers made that statement, the 22-country organization released a statement that while its members denounced the violence they would not get involved in a sovereign country's affairs.

Maliki and Obama

All of the lawmakers had little good to say about Iraq Prime Minister Maliki or Obama.

Graham said Maliki should resign because he's "incapable of bringing the Sunnis back into the fold."

McCaul said, "Maliki has failed, as well as our President without the Status of Forces Agreement."

The Status of Forces Agreement was never reached between the United States and Iraq to keep residual troops in the country.

Graham said on CNN that it was "absolutely a lie" that Maliki refused to allow American troops to stay behind.

"The Obama administration wanted to say: 'I ended the war in Iraq,'" Graham said, adding that he blames Obama "mightily for a hands-off policy."

@highlight

Graham: Consequences of "monumental proportions" if ISIS is not stopped

@highlight

A Democrat, Rep. Tulsi Gabbard, speaks against a U.S. military option in Iraq

@highlight

She opposes "involving ourselves in another civil war ... in another country"

@highlight

Lawmakers disagree on whether U.S. should work with Iran