(CNN) -- Crossing the road can be dangerous -- even if you're the largest land animal on the planet.

Thousands of elephants roam Chobe National Park in northern Botswana, a wildlife haven that's home to one of the highest elephant concentrations in Africa. Right next to the vast park lies Kasane, a small town situated on the banks of the Chobe river. Here, humans live side by side with large herds of migrating elephants that wander through the area in search of food and fresh water -- and this has created a lot of tension.

"The conflict here is about space," says Tempe Adams, a PhD candidate monitoring the movement of animals in Kasane as part of her work with conservation group Elephants Without Borders. "That's what it comes down to," she adds. "Allowing wildlife to have space to move through."

Adams's research is looking at the functionality of small-scale wildlife corridors within urban communities, examining whether they can be an effective way to avoid human-wildlife conflict before it happens. Using motion detection cameras, the researcher is monitoring eight different corridors in the area, some of which are as small as five meters wide.

One of the key points of the human-wildlife conflict in Kasane is a two-lane highway that cuts through the corridors the elephants use as they make their way to the Chobe river to drink and bathe.

"All the corridors I'm monitoring have to go past this road," explains Adams. "There are a high number of accidents each year," she adds, "generally in the evening when visual acuity is poor, which coincides with the busiest time for wildlife utilization."

Read this: Rangers risk their lives to save elephants

As part of her study, Adams is looking at the frequency of car usage and whether that correlates to how the herds of elephants are moving through the area.

As it turns out, the majestic mammals are adapting to human behavior -- especially on weekends.

"It's amazing," she says. "There's a bar at each of the corridors they have to pass by. I was looking at the results and I could suddenly see there's this big drop in wildlife coming through on Friday and Saturday nights. I thought what's going on? It's so obvious ... animals are adapting to our habits -- and our drinking habits," adds Adams.

"It's amazing to think they know when it's going to be lots of people and rowdy and very busy and they just don't come at that time; or they'll come in later or come in when it's quieter."

Why corridors are important

Elephants Without Borders was recently tasked with leading what's being called the Great Elephant Census, a pan-African aerial survey aimed at securing more accurate data on the continent's elephant population.

But while the group is known for its extensive, cross-border research, it believes that urban small-scale corridors, the effectiveness of which is examined now for the first time, could be just as important.

"It's such a basic concept," explains Adams. "Just give wildlife the space to come in; they will use and the conflict will be reduced."

Read this: Boy's website helps tourists spot big beasts

Kelly Landen, EWB program manager, says that in a human-dominated landscape, corridors provide safe passage for wildlife to access valuable resources like food and water. "If corridors aren't provided for or are blocked, then the wildlife will do what they must to get to those vital resources, as their survival depends on it -- even if it means having to forge through villages, homesteads and farms. And that creates human and wildlife conflict, in which both people and the wildlife suffer."

EWB says that currently if a passage is labeled a wildlife corridor it is designated on the town's land management and development plans, indicating that the area cannot be allocated for another use other than as an access route for wildlife.

However, the group is pushing for more stringent terminology and adapted legal rules to be applied to these passages. The overall plan is to have designated wildlife corridors in legislation, so as towns grow there are set paths for elephants to use and ultimately lessen the impact of their growing numbers.

"Elephants are extremely intelligent and have the capability to learn how to adapt to changes within their environment," says Landen. "So, as a town becomes more and more developed, they will look for new routes allowing them access to what they need -- as long as there are those access routes."

Returning to ancestral homelands

With around 130,000 African elephants, Botswana has the continent's largest elephant population. It is seen as the last stronghold of the magnificent mammals in the continent; while other countries rare facing declining populations, Botswana must deal with rising elephant numbers and their impact on local communities and the environment.

Read this: Will elephants still roam earth in 20 years?

"That's the tragedy and the paradox of conservation in Botswana," says Mike Chase, founder of EWB. "Elephants have become a victim of their own success.

"Can this environment sustain 130,000 elephants, eight elephants per square kilometer that are chewing up 250 kilos of vegetation per day?" asks Chase. "Clearly not -- so we've got to create safe passages and corridors so that these elephants can move out of Botswana, release this bottleneck and repopulate areas such as southeast Angola and southwest Zambia, where elephants occur at very low densities and can be a magnet for eco-tourism."

Research has shown that the home ranges in northern Botswana are the largest ever recorded for African elephants, which are free to roam across Zimbabwe, Namibia, Angola and Zambia. The EWB's findings helped create the world's largest wildlife preservation known as The Kavango Zambezi Transfrontier Conservation Area, or KAZA. This is an international conservation region in southern Africa, spanning 440,000 square kilometers across five countries. The initiative is protecting some of the wildlife corridors and habitats identified by EWB.

Read this: Enter world's largest conservation zone

"Despite all the despair and loss of hope, there's a glimmer of opportunity here in the KAZA area, where elephants are repopulating ancestral homelands where they were evicted from 30 years ago," says Chase.

"KAZA is really the last hope for elephants," he adds. "This romance of elephants moving from the coastal plains of Cape Town, through Victoria Falls, across the Zambezi river to the foothills of Mount Kilimanjaro -- I yearn for that; I see that in elephants and KAZA provides for conservation at a scale at which these species evolved."

This is a grand vision for these great giants -- reestablishing their footprint across the continent.

Read this: Boy scares off lions with flashy invention

In pictures: 20 years of photographing in Africa

@highlight

Africa's largest elephant population can be found in Botswana

@highlight

Elephants Without Borders is testing small-scale urban wildlife corridors

@highlight

The goal is to see whether these passages can be used to avoid human-wildlife conflict

@highlight

Conservationists say elephants learn to adapt to changes in their environment