New York (CNN) -- When William Bratton was introduced Thursday as New York City police commissioner, the 66-year-old law enforcement veteran held up a children's book with the title, "Your Police."

"We must always remember that whenever you see a policeman, he is your friend," said Bratton, reading a passage from a book he first checked out of the library 56 years ago.

But Bratton, who served as police commissioner in the 1990s, will take the helm of the nation's largest department not only at a time of low crime rates, but also heightened tension with the public over his predecessor's controversial stop-and-frisk policy that critics say targeted minorities.

Mayor-elect Bill de Blasio said the appointment reflected his goal of protecting New Yorkers while simultaneously respecting their civil liberties -- echoing one theme of a mayoral campaign that was heavily critical of stop-and-frisk.

"He is going to bring police and community back together," de Blasio said Thursday.

De Blasio praised his new commissioner as "the leading voice" on community policing and said he had "absolute confidence, 100% confidence" that Bratton would complete the double goals of keeping down crime and improving strained relations with the community.

"In the last few years in this city we have seen an approach that has too often alienated communities, has too often led to a divide between police and community in some of our neighborhoods," said de Blasio.

The stop-and-frisk policy -- in which police stop, question and frisk people they deem suspicious, even if they've committed no crime -- has been one of the most controversial policing techniques in recent time.

Opponents have challenged the practice as racist and illegal. Law enforcement and other proponents say the practice helps reduce crime.

In August, a federal judge in New York ordered that stop-and-frisk be altered, finding it unconstitutional in part because it unlawfully targets blacks and Latinos. The judge ordered the appointment of a monitor to develop changes in the policy as well as other reforms.

A federal appeals court later blocked the ruling that deemed stop-and-frisk unconstitutional and removed the judge from the case as other appeals are heard. But de Blasio has said that his administration will drop the appeal.

The Rev. Al Sharpton, one of the most vocal critics of stop-and-frisk, said he hoped the new mayor and police commissioner work with a broader cross section of the city.

"When Bill Bratton served in New York City under Rudy Giuliani, we had a very distant and adversarial relationship, but when he served in Los Angeles, he and I ... worked closely on gang violence and police misconduct matters," Sharpton said. "Mr. Bratton knows of my concerns and the concerns of others about racial profiling in stop-and-frisk policing but at the same time is aware of our desire to continue the decrease of violence and crime in our community."

Thomas Reppetto, an expert who has written numerous books about the nation's police departments, said Bratton practiced an aggressive form of policing -- including stop-and-frisk -- as commissioner under former Mayor Rudolph Giuliani.

"The wild card here is we don't know what's going to happen with this federal suit," said Reppetto, referring to the August ruling. "Are there going to be monitors? Is the police commissioner ultimately going to be responsible to a federal judge? Traditionally, the police department works best when it has a strong commissioner running it. But if there are people over him who can veto his orders, it won't work so well."

Ray Kelly reflects

Bratton is credited with pioneering the NYPD's CompStat, a command and accountability system that employed real-time intelligence, rapid deployment of resources and accountability systems in police work.

He also was in charge of the NYPD during the largest crime reduction in New York City's history, said a statement from de Blasio.

de Blasio's counterterrorism plans

Under Bratton's leadership in the mid-1990s, felony crime in New York City fell by 39%, de Blasio said.

In Los Angeles, Bratton helped bring about a 26% decline in violent crime in his first three years in the top job. By 2009, the crime rate was 54% lower than it had been during his predecessor's final year. He also was praised for improving the LAPD's relationships with the city's many diverse communities.

Bratton also was chief of the New York City Transit Police and Boston police commissioner.

"Bill Bratton has succeeded everywhere he's been," Reppetto said. "You never want to bet against Bill Bratton."

On Thursday, Bratton talked about bringing the police and the public "together in a collaboration of mutual respect and mutual trust."

"I will get it right again in New York City," Bratton said.

Said Reppetto, "On the community relations front, I wouldn't underestimate that task."

The biggest campaign moments of 2013

@highlight

William Bratton returns as New York's top cop

@highlight

Mayor-elect Bill de Blasio says he and Bratton have a "shared vision" on keeping the city safe

@highlight

De Blasio credits Bratton with the largest crime reduction in city history