(Health.com)  -- Diet drugs have had a rough year in 2010. In October, the U.S. Food and Drug Administration (FDA) nixed not one but two new weight-loss drugs, lorcaserin and Qnexa, because of possible links to cancer (lorcaserin) and heart problems (Qnexa).

But this week an FDA advisory committee gave the thumbs up to a third drug, Contrave, meaning there could be a new tool on the horizon for battling obesity.

(The FDA doesn't have to approve the drug, but often follows its panels' advice.)

And really, doctors could use one. Previous attempts to find safe diet drugs that work by controlling appetite have met with some success, but most have been doomed by side effects.

Fen-phen, heavily marketed in the 1990s, caused heart valve problems while rimonabant became linked with suicidal thinking and depression, leading an FDA advisory committee to recommend against approving it in 2007.

Health.com: 10 things to say to someone with depression

"That was the drug we were waiting for," says Jacob Warman, MD, chief of endocrinology at the Brooklyn Hospital Center in New York. "We thought it would be the next big blockbuster drug for weight loss."

It wasn't. Nor was Meridia (sibutramine), which Abbott Laboratories voluntarily withdrew from the market in October due to an increased risk for heart attack and stroke.

All of the drugs worked through different neurotransmitters in the brain to suppress appetite.

(The only drug on the market specifically approved for dieters is orlistat, sold as Xenical and Alli, which prevents the breakdown of fat in the intestines. It was the last diet drug approved by the FDA in 1999.)

Health.com: 36 holiday foods you shouldn't eat

So what's different about Contrave? Unlike various predecessors, most of which fell by the wayside because of side effects, Contrave combines two older medications into one that experts hope will help push off the pounds -- safely.

"It's kind of a neat little approach. They've taken two drugs that have been around for a very long time with relatively good safety profiles and put them together, hoping that the combined action might be better at controlling eating," says Paul Kenny, PhD, associate professor of molecular therapeutics at Scripps Research Institute in Jupiter, Florida. "It's a double whammy."

The two drugs are naltrexone, used to treat alcohol and cocaine addiction, and bupropion (known mainly as Wellbutrin), an antidepressant, which also helps people quit smoking.

Health.com: 10 surprising facts about antidepressant

Together, the compounds affect both appetite or satiety and motivation, or the drive to eat, says Gene-Jack Wang, MD, a senior scientist with Brookhaven National Laboratory in Upton, New York.

Naltrexone impacts the brain's opioid receptors, which are involved in feelings of pleasure and reward. "One of the reasons we eat cheesecake or something that's really good is to stimulate the opioid system," Kenny explains. "Naltrexone blocks that to some degree."

Bupropion increases brain levels of dopamine, the notorious "feel good" chemical that is also released when cocaine or amphetamines are taken.

"It gives you a little kick so you feel okay and don't have to look for food," says Dr. Wang. "It's very similar to amphetamines, but it's not so effective, [which is] better because if it's too effective, it makes you more addicted."

Health.com: America's healthiest mall food

"Many of the neurotransmitters bupropion increases are involved in satiety --  you've eaten enough," adds Kenny. "Giving bupropion is one way of tricking the brain into thinking you're full."

In one study, the average weight loss for a group taking a higher dose (32 mg) of naltrexone plus bupropion for about a year was 6.1% while for a lower dose (16 mg) it was 5%. (People taking a placebo had an average weight loss of 1.3%.) However, only half the participants who started the trial actually finished it. People taking the drug combo were more likely to report nausea, headache, constipation, dizziness, and vomiting than those taking a placebo.

And while promising, the drug is still not in the clear in terms of safety. The FDA committee was divided on Contrave's safety profile, with members ultimately voting in favor of conducting further studies on whether it might lead to heart attacks, stroke, and increased blood pressure.

Personalized tips for managing diabetes: Take this test

"Obesity is really a crisis," says Michael Aziz, MD, an internist with Lenox Hill Hospital in New York City. Two-thirds of the U.S. adult population is either overweight or obese while a growing number of adolescents are climbing into the danger range, many developing type 2 diabetes at younger and younger ages.

Health.com: Could you have Type 2? 10 diabetes symptoms

Right now, there are few effective tools to aid in the effort, though, ultimately, many experts feel the answer to America's obesity lies not with a drug but, rather, lifestyle changes.

"The problem is not a pill but the way we live our lives," Aziz says.

"I don't think any medication [will work] without behavior change," Wang agrees. "If you don't change your behavior, nothing will help you."

Contrave is made by Orexigen Therapeutics Inc.

Copyright Health Magazine 2011

@highlight

FDA nixed not one but two new weight-loss drugs in 2010

@highlight

Contrave got a thumbs up, meaning there might be a new tool for battling obesity

@highlight

Contrave combines naltrexone and Wellbutrin into one drug