Washington (CNN)  -- As the nation's top stimulus cop, Earl Devaney tracks whether the $787 billion in taxpayer money is being properly spent.

He's not judging what it's spent on, but whether the money gets to where it should be by the proper procedures. And so far, things are generally going well, Devaney said in an exclusive interview to air tonight on CNN's "Campbell Brown".

It's better than my worst nightmares," said the 62-year-old former football lineman, who now is chairman of the Recovery Accountability and Transparency Board, also known as the "rat" board, for its unofficial acronym.

Known for straight talk in his nearly four decades of government work, Devaney is the head of a panel of inspectors general that keeps watch over government spending procedures for the stimulus plan.

Created almost a year ago, the Recovery Act has come under criticism for both the kinds of projects funded and some well-publicized errors in the reporting process, including recipients of government funds who provided incorrect congressional districts or nonexistent ZIP codes.

To Devaney, a former Secret Service agent, such criticism misses the bigger issue, the unprecedented transparency in government spending under the stimulus program.

All contracts are recorded on a Web site set up by his panel, making information on where the stimulus money is going available to the public within weeks, he said.

"This is a huge effort in transparency," Devaney said, adding that people "might not necessarily like" the projects being funded, but at least they can see where the money goes.

Such transparency is bound to encounter some human error, he said.

"Transparency in this case meant we were going to put that data up regardless of the errors that were in that data," Devaney said. He expressed surprise at the media focus on what he considered understandable mistakes.

"Every speech I gave, every comment I made, to any press person, I told them I expected to have data quality issues, and then when we had data quality issues, everybody acted surprised," Devaney said. "That surprised me a little bit, that people were shocked and awed by the fact that American citizens, when they filed the reports, made mistakes. It didn't surprise me at all. And that's what transparency is all about."

Then there are the more significant problems. According to the panel's Web site, it has received 1,006 complaints, which have prompted 106 investigations so far, with 25 cases moving toward possible prosecution.

Devaney said investigations so far have generally involved the wrong people receiving government money, such as someone previously deemed ineligible to do business with the government who opened a business under a different name.

"I'm pleased that I haven't seen as much fraud as I first might have imagined there to be," Devaney said.

"I think quite frankly, if you're going to go steal money, this wouldn't be the money you'd want to steal," he said. "Too many eyes on it."

After 38 years in government work, Devaney had been looking forward to retiring and playing golf when he got a call last year from Vice President Joe Biden about heading the recovery panel, he said.

Biden and President Obama asked him to lead it, and Devaney found it impossible to decline. At the same time, Devaney assured Biden that "I would tell him not necessarily what he wanted to hear all the time, but what he needed to hear. And I would probably make him mad within the first six months."

Asked how that went, Devaney said,"I don't know if mad is the right word, but ... the vice president and I have had some interesting discussions."

Asked whether he thinks the stimulus program is working, Devaney said his response was based on the process, rather than politics.

"Would things be worse if the recovery money wasn't there? I think they would be," he said.

For Devaney, it all comes down to helping people see how their tax dollars are being spent.

"Transparency can be ugly. And like I said before, the American people might not like seeing some of their money being spent certain ways," Devaney said. "But they do have a right to see that."

CNN's Kate Bolduan and Tom Cohen contributed to this report.

@highlight

Top stimulus cop Earl Devaney tracks the $787 billion in taxpayer money

@highlight

Former football lineman and Secret Service agent known for straight talk

@highlight

He says Americans might not like seeing the way money is spent, but they have a right to see it

@highlight

Watch the full interview with Devaney on tonight's "Campbell Brown" CNN 8 p.m. ET