London (CNN) -- Whether or not the British parliament decides to subject the proposed takeover of UK-based AstraZeneca by American pharmaceutical giant Pfizer to a public interest test, it's clear we have already seen much more political intervention than is typically involved in an acquisition of one company by another.

The chief executives of both companies are being hauled in front of not one, but two parliamentary committees this week to give evidence about the possible implications of a deal, when an offer hasn't even been accepted yet.

Pfizer's pursuit of AstraZeneca has stirred up a wealth of protectionist feeling in Britain, despite the fact the company was originally created from a merger with Sweden's Astra and has the bulk of its employees outside of the UK. The reaction to Pfizer's bid raises the question of what nationality really means for modern multinationals.

Over 50% of shares on the UK stock market are owned by investors from the rest of the world and many of the companies have employees and customers on several continents.

They make their investment decisions based on a range of commercial and reputational factors, with nationalism way down the list.

When companies choose to locate their operations in the UK, they do so because it is an attractive place to do business.  The UK accounts for 10% of world's pharmaceutical research and development spending and AstraZeneca says it supports more than 33,000 jobs.

Companies have chosen to conduct their R&D here in part because of the strength of Britain's universities and a positive tax system, including the "patent box" which incentivizes businesses to invest in research.

Government has a significant role to play in promoting life sciences, and creating a stable tax and regulatory regime, but ultimately it will always be up to companies to make those investment decisions.

Many have argued that the government should be doing all it can to protect these R&D jobs, but that displays a degree of wishful thinking about the state's ability to pick winners. British politicians have a poor record in this area, as shown notably with British Leyland in the 1970s and 80s.

Some have argued that, while not intervening in the running of companies, the government should require firmer commitments to retain research facilities and employees.

The memory of the Kraft takeover over Cadbury, which saw significant lay-offs soon after the takeover, is fresh in the memory. The Shadow Secretary of State for Business, Chuka Umunna, is right to argue that there are no assurances that a company could give that they would be able to preserve jobs forever after a takeover, but it doesn't follow that we should demand ever more promises.

The merged company, large as it would be, would still be subject to commercial pressures, and forced to adapt as necessary to an ever-changing world.

The very impossibility of cast-iron guarantees should convince us that politician intervention is at best futile, and at worst risks undermining the UK as a destination for investment.

This may have been an unusually large reaction, but foreign companies looking at Britain may be entitled to think that being the subject of a parliamentary debate and receiving a grilling from two select committees are not the hallmarks of an economy which allows firms to conduct their lawful business as they think best.

None of this, of course, is an argument in favor of the takeover. There may even be good reasons to think that the tax benefits for Pfizer give the whole thing a fishy smell.

But the people to decide this are the board and the shareholders. This isn't about making a quick buck from the sale. Under the UK Corporate Governance Code, the company's directors are explicitly required to deliver success over the long-term.

The board of AstraZeneca must consider a range of stakeholders, including employees and the scientific community. If it continues to feel that it has a stronger future as an independent company, as it did when it rejected the recent bid, then the board should continue to advise shareholders to ignore Pfizer's advances.

Ultimately, the decision is in the hands of shareholders. They must consider carefully whether even an increased offer should make them sell up -- after all, any deal would involve part payment in shares of the combined company, not something you want to hold if you think it's a bad deal.

READ MORE: Pfizer seeks to save AstraZeneca bid

READ MORE: Wall Street's addiction to healthcare mergers

The opinions expressed in this commentary are solely those of the Roger Barker

@highlight

Institute of Director's Roger Barker says the Pfizer bid for Astrazeneca has prompted significant political intervention

@highlight

He said Pfizer's pursuit of Astrazeneca has stirred up a wealth of protectionism, even if it's a global company

@highlight

Ultimately the decision is in the hands of the shareholders who must consider the deal carefully