(CNN) -- As Africa celebrates the 50th anniversary of the founding of the Organization of African Unity, the focus of the celebrations is renewing Africa's vision for continental unification as envisaged by its founding fathers such Kwame Nkrumah.

It is not the lack of political will that hampers Africa regional integration, it is poor infrastructure. Africa's challenges have less to do with fragmentation of state but more to do with the lack of infrastructure connectivity, especially energy, transportation, irrigation and telecommunications.

The World Bank estimates that Africa will need to invest nearly $93 billion annually over the next decade to meet its infrastructure needs. A third of this cost will go to maintenance. Part of this investment can be met through public and private sector investment, including novel facilities such as the infrastructure bonds proposed by the African Development Bank.

But the urgency to address Africa's infrastructure requires additional non-conventional interventions such as the mobilization of the continent's armed forces. Historically, there is a long legacy of military involvement in infrastructure projects going back to the Roman days.

Read this: Gunboats keep pirates from 'blue gold'

African armed forces possess extensive human resources and equipment needed to build infrastructure projects. They regularly use such facilities during emergencies and are at the forefront of developing robust systems such as smart microgrid systems that can provide decentralized power supply for rural Africa. What is needed is an explicit policy to extend their role in the construction and maintenance of infrastructure projects in cooperation with civilian agencies.

Many African countries have been converting military facilities to support civilian infrastructure activities. Rwanda, for example, turned a military barracks into the Kigali Institute of Science and Technology, which played a vital role in the reconstruction of the country after the genocide. The role of the military in Rwanda's civilian affairs involves a wide range of operations which include the awareness-raising annual Army Week.

One of the most explicit commitments to the role of the military in infrastructure projects comes from Uganda. The country's armed forces recently established Africa's first University of Military Science and Technology which is training engineers to build and maintain infrastructure projects. Uganda has been collaborating with the US Army on how to rehabilitate its railway networks.

Read this: South Africa's private security forces bigger than army

These efforts are targeted interventions and differ remarkably with cases such as Egypt, where the military controls a large proportion of the economy. It is much harder for countries where the military is an economic class to be creative. The role of the military in civilian projects needs to be under democratic control for it to rise above popular suspicions and distrust.

Senegal, for example, has established clear policies and operational guidelines that have since independence steered its "Army-Nation" program. The program includes activities in infrastructure (especially water supply and road construction), healthcare and environmental management.

In 1999 Senegal set up the civil-military committee in support of development to bring together representatives from parliament, the military, government ministries, civil society and the private sector to collaborate on implementing public programs. Its broad membership helps to foster trust and coordination.

It can be argued that deploying the military in civilian infrastructure activities could divert attention from essential defense functions. To the contrary, the military would strengthen its national security activities by building infrastructure projects.

Read this: 'Africa's tallest building' set for $10 billion tech city

Many of Africa's armed conflicts occur in isolated regions with limited opportunity for economic growth. Poor infrastructure and lack of economic opportunity traps populations in spirals of poverty and conflict over limited resources.

Countries such as Indonesia and Papua New Guinea are responding to the challenges of poverty to deploy their armed forces to fill the gap in civilian capacity to build infrastructure projects. Similarly, building robust infrastructure networks makes it easier to police national borders.

Investments in Earth observation satellite infrastructure, as well as the ability to deploy troops along national boundaries, is an important element in maintaining peace. Infrastructure built to address economic needs has the additional purpose of helping to maintain internal law and order as well as maintenance of national security.

New countries such as South Sudan face the challenge of keeping large armies that were built up to fight for independence. They can choose to dismantle their armed forces or convert them to a force of development. They are better advised to do the latter; their potential role in infrastructure rehabilitation pays for peace building.

As Africa celebrates the 50th anniversary of its declaration of unification, it should also reflect on the fact that it has recorded about 80 successful military coups. Led by an increasing number of technocratic presidents, Africa's armies can give future generations hope by helping to build infrastructure -- the motherboard for all economic activities.

The opinions expressed in this commentary are solely those of Calestous Juma.

@highlight

Military should be mobilized for infrastructure projects, argues Harvard professor

@highlight

Many African countries converting military facilities to support civilian activities, says Calestous Juma

@highlight

Uganda's army created University of Military Science and Technology, where it trains engineers

@highlight

World Bank estimates Africa must invest $93 billion annually in infrastructure in next 10 years