Cleveland (CNN) -- Cleveland's public schools mirror many of the problems of inner city life: gang activity, drug infestation, poverty, low academic achievement and a dismal graduation rate.

Within the past year, the school system has undergone a comprehensive and sometimes harsh reorganization in hopes of changing that reality.

"Our 54% graduation rate was the major catalyst," said Renee Cavor, chief of transformation for the Cleveland Metropolitan School District.

The school system closed 16 schools in 2010, and there are more changes to come. The school board recently voted to offset a projected $74 million budget deficit by closing seven more public schools and laying off 702 employees, including 643 classroom teachers.

Closing schools is hard on the community, school leaders said, even if it's better in the long run for financial stability and students' educations.

"I closed my alma mater," Cavor said. "It wasn't producing."

Her school, South High School, had about 800 students, although the building could handle about 2,000, Cavor said. The graduation rate was about 30%.

But 12 schools throughout the Cleveland school district are restarting with the help of the federal government's School Improvement Grants, which could bring more than $36 million to Cleveland schools over four years.

In 2010, the federal government provided $546 million for about 1,000 low-achieving schools across the United States. Districts could use the  money to reorganize or close down schools completely.

Miami school's turnaround wins Obama's attention

In Cleveland, school officials chose to use a reorganization model for several of their schools, including Lincoln-West and Glenville high schools. To receive the funds, they had to replace the principal and rehire no more than half the school's staff.

Although the academic numbers for the year haven't been analyzed yet, officials at both high schools said they're on the right path. As part of the reorganization, both schools were divided into smaller academies, each with its own principal and teachers inside the same large building. The smaller academies allow school personnel to keep better track of students, which officials say has led to a decrease in school violence.

"Lincoln-West last year was one of the schools that stayed in the media because of gang violence," Cavor said.

For this school year, "we actually have an 83% decline in terms of serious incidents that are happening in the building," said Irene Javier, one of three principals at Lincoln-West. "That includes number of suspensions. So, it directly impacts our attendance."

And attendance affects how students learn.

"You can't be sporadic in your attendance and think that you're going to turn on the light switch and it's just going to work," Lincoln-West Principal Perry Myles said.

Principal Maria Carlson echoes that sentiment.

"(Students) are in class, which is different from last year. They are paying attention in class, and they are getting the work done that the teachers are asking them to do," she said.

At Lincoln-West last year, there were often six or seven police cars in the parking lot in order to manage school violence.

"Our police officers, who used to come last year because of the violence that may go on outside, are here now to control traffic. ... There's no fights out there," Myles said.

Across town at Glenville High School there's been a similar drop in violence.

"A lot of people thought because of the different schools coming to Glenville there would be a lot more. It's actually been a lot less," senior Cedric Thorbes said.

Glenville Principal Teresa Conley attributes part of the improvement to the smaller academy system.

"When you're trying to manage a campus, a comprehensive high school, there's no way possible you could learn 1,100 kids," she said. "On my floor now, I have roughly 400. I know my 400 kids. I know them by face, I know them by name, I know the parents."

David Quolke, president of the Cleveland Teachers Union, said there are pros and cons to replacing half of the staff at public schools.

"One of the benefits of the 50% replacement that I've seen is now that we've got staff in these buildings from other schools, they are sharing strategies they believe worked at their previous school, and a lot of teachers are saying 'OK, let me try that strategy,'" Quolke said.

On the downside, it takes time for the staff to become a team.

"All of their principals are kind of learning their staff at the same time. That's one of, I think, the biggest downfalls of replacing 50% of the staff, replacing the principal and expecting immediate, good results," Quolke said.

Closing schools and shifting teachers and students around is not an easy task, even if the school is considered a failure.

When they were working on the transition plan, Cavor said, it was a challenge to convince parents that it was best for children. Parents were willing to overlook a building that was falling apart and school that was in academic trouble.

"It was almost as if some parents said 'I know the school is failing, I know it's raggedy and falling down, but the people there love my child. My child feels safe. I am comfortable sending my child here and this is OK,'" she said.

Glenville's Conley said  it was disheartening that the state report card didn't reflect teachers' hard work. Under the reorganization, she said, teachers are still working as hard as they did before, but now they are working smarter.

Principal Vance Benton, who oversees ninth-graders at Glenville, said he initially lost his job in the Cleveland schools overhaul, but was rehired in a different role.

"The plan has nothing to do with the adults. At all. And it shouldn't," he said. "It's all about the children and what is best for the children."

The children seem to be adapting just fine.

When the students in Rosalie Spano's 10th-grade biology class were slicing up an onion to look at under a microscope, they weren't thinking about the major transition in their school system. They were more concerned with drawing what they saw and learning science.

"If you see air bubbles, you should draw air bubbles," Spano told them as they peered into microscopes. "But I also want to see the onion underneath."

For all the improvements, there's a lot more work to come, Cavor said.

"While those schools are able to do some major changing and reforming," she said, "that's 12 (schools) out of a hundred."

@highlight

Cleveland is working to transform its failing public schools

@highlight

The district has closed several schools and laid off hundreds of teachers

@highlight

Academic statistics aren't in, but school leaders say there's less violence on campuses