Throughout the Cold War, the United States relied on the theory of deterrence for protection against nuclear attack. American leaders believed that so long as the U.S. maintained nuclear forces able to survive a first-strike and retaliate with devastating power against the Soviet Union, Kremlin leaders would be deterred from mounting a nuclear attack.

In retrospect, this arms race was incredibly costly, wasteful and dangerous. If war had started, the two superpowers would have destroyed each other and probably all of humanity.

But deterrence did work. And the U.S. never attacked the Soviet Union or any other nation to stop them from becoming nuclear powers.

So, why does it seem that the U.S. has a different strategy toward North Korea and Iran?

In response to North Korea's recent threats to launch nuclear attacks, the U.S. announced it would bolster missile defenses in Alaska and California and speed the deployment of missile interceptors to Guam. With respect to Iran, President Obama said as recently as March 20: "We will do what is necessary to prevent Iran from obtaining the world's worst weapons.''

America currently has about 5,000 nuclear weapons. Even though it could retaliate against a hypothetical Iranian or North Korean nuclear attack and obliterate both nations while utilizing only 1 or 2% of its arsenal, the Obama administration is acting as if the theory of deterrence no longer applies. Why?

Nuclear weapons: Who has what?

It appears that the U.S. is treating Iran differently than other countries trying to go nuclear because it perceives Iranian leaders as aggressive religious fanatics willing to sacrifice everything for their goals. After all, Iran supports terrorist organizations, conducts assassinations and bombings, seeks to subvert neighboring countries, and makes fearsome threats against Israel and the U.S.

Similarly, the U.S. seems uncertain about North Korea's young and untested new leader. Pyongyang not only has a history of provocative verbal threats, but it has taken reckless military actions as recently as two years ago, when the North sank a South Korean naval vessel and shelled an island occupied by the South.

But wait -- didn't the Soviet spout dangerous rhetoric and take deadly actions? Didn't some of their leaders threaten to "bury" America and nuke London and Paris? And let's not forget that Leonid Brezhnev launched proxy wars against U.S. friends in Latin America, Africa and Asia.

Yet the Obama administration seems to think that while Soviet leaders were deterred from using their massive arsenal, the Iranians and the North Koreans might not be deterred from using a nuclear force of no more than a handful of weapons at best.

North Korea's missile capabilities

But if deterrence theory is valid, then this double standard is invalid.

Both Iran's and North Korea's supreme leaders will be deterred, just as were successive generations of Soviet leaders. Both would not authorize the use of nuclear weapons, for fear of seeing their nations destroyed, their people wiped out, and their ambitions for themselves and their countries turned to dust.

If deterrence theory is no longer valid, the U.S. had better work harder to achieve President Obama's Nobel Prize-winning goal of a world in which no nation possesses nuclear weapons.

No one can say with great confidence what North Korea's Kim Jong Un will do. While the U.S. needs to be prepared for North Korea to act on Kim's threats of nuclear war, unless he has lost his mind, it seems doubtful that he would follow through and commit national suicide by inviting devastating nuclear retaliation.

Reaching an agreement with Iran seems possible. Such an arrangement would permit Tehran to use nuclear energy for peaceful purposes, but not to build nuclear weapons. This is Iran's right as a signatory to the Non-Proliferation Treaty. The question is whether Iran and the U.S. can get past decades of conflict, mistrust and suspicions.

But President Obama's threats to use military force to prevent Iran from acquiring nuclear weapons do not facilitate talks. They only reinforce Tehran's suspicions that America's real goal is to bring down the Iranian regime.

Opinion: North Korea endgame -- 3 scenarios

With a deterrent strategy in his hip pocket as "Plan B," a less threatening posture by President Obama might help him bring about a peaceful resolution in future negotiating rounds with Iran.

@highlight

Barry Blechman: U.S. never attacked another nation to stop it from becoming a nuclear power

@highlight

Blechman: Why does it seem that the U.S. has a different strategy toward North Korea and Iran?

@highlight

He says if deterrence theory worked in the Cold War

@highlight

Bleckman: Iran's and North Korea's supreme leaders will be deterred, just like the Soviet leaders