LOS ANGELES, California (CNN) -- Andy Lipkis was 15 years old on the first Earth Day in 1970 -- the year he says he realized what his calling in life would be.

A file photo of the rainwater cistern while it was being constructed at TreePeople's headquarters.

Three years later, Lipkis and his teenage friends would found the non-profit, community-based organization known as TreePeople. Based in Los Angeles, California, the environmental organization's primary purpose has been to educate communities on the planting and care of trees and to work with government agencies on issue No. 1 in the West: water.

Exploding populations from Phoenix, Arizona, and Las Vegas, Nevada, to suburban Los Angeles have turned the issue of water supply from problem to crisis. "The way we use water is so wasteful and so inappropriate today, according to the California Water Plan, there is already so much demand for water, it already exceeds supply," says Lipkis.

And human consumption isn't the only problem, because as cities grow, so does the amount of pavement and concrete that seals the natural watersheds. That in turn prevents rainwater from refreshing underground aquifers, nature's water tanks. And rainwater is exactly what Lipkis is hoping people will start to think about.

Right now, building codes in Los Angeles County, as in most parts of the country, require rainwater to be moved from rooftops to the street. As a result, even in mostly sunny southern California, a massive amount of water gets flushed into storm drains every year.

"When it rains an inch," Lipkis says, "Los Angeles hemorrhages 7.6 billion gallons of water."

Part of the solution to the water crisis, he says, is collecting as much rainwater as possible because "it represents half or more of all the water we need in this big city."

Lipkis and the TreePeople imagine a time when as many as a million homes and businesses have rainwater cisterns all electronically networked and ready to provide treated drinking water to the public.

Lipkis points out that cisterns are not a new idea. If fact, civilizations throughout history have used cisterns to collect rainwater. Cisterns exist now as part of building codes in places like Bermuda, which lack fresh water resources such as lakes or rivers. Lipkis believes it's an idea whose time has come here in the deserts of the West.  Watch how rainwater cisterns work »

TreePeople, in collaboration with the Los Angeles Department of Water and Power, has built five demonstration sites in Los Angeles, which include a large hilltop cistern at the organization's Coldwater Canyon Park headquarters.

"When it rains an inch," Lipkis said, "those five little projects capture 1.25 million gallons."

And it is all that free water that has government agencies thinking about rain.

In Los Angeles, storm runoff presents many problems. When it rains heavily the water goes from the streets into the canals of the Los Angeles River and straight into the ocean. With that runoff is all the garbage and toxic pollutants picked up along the way.

Another problem, Lipkis argues, is the heavy reliance on the almost 100-year-old California Aqueduct, which routes water from the Eastern Sierras. His main concern is the incredible amount of energy that is spent moving water.

"We're bringing water in from hundreds of miles away. Moving water and using water," he says, "consumes, overall, 19 percent of all the electricity in the state and one-third of the natural gas."

That is the single largest use of electricity in the state, which happens to be the most populous in the country and which, were it an independent nation, would be the eighth-largest economy in the world. That's quite a carbon footprint.

Lipkis believes a hybrid water management system is the best solution, one that would include cisterns, natural watershed management and existing water infrastructure, including a less power hungry aqueduct. And perhaps most importantly, it would include the cooperation of water supply agencies, flood control agencies and sanitation agencies, which he believes have done too much conflicting, single-purpose cost-benefit analyses in the past.

Lipkis sees only an upside to a large-scale cistern and rainwater infiltration project, and not only because of the environmental benefits. A study in the late 1990s conducted by TreePeople estimated up to 50,000 new jobs that would be created by a sustainable infrastructure system.

"Why would we invest billions of dollars on old infrastructure we know doesn't work anymore?" he asks. "It's very important to start putting this new alternative on the table."

@highlight

Water supply problem in the West has turned into a crisis

@highlight

Rainwater represents half of all the water that Los Angeles needs

@highlight

California Aqueduct is almost a century old and wastes enormous amount of energy