Approximately 36,000 deaths are caused by suicide each year in the United States. What if a simple blood test could one day help prevent that from happening?

In a new small study, researchers were able to predict who had experienced suicidal thoughts or attempted suicide just by looking at their blood. The experimental test was over 80% accurate.

"With a test like ours, we may be able to stem suicide rates by identifying those people and intervening early enough to head off a catastrophe," said the study's lead author, Zachary Kaminsky, an assistant professor at the Johns Hopkins University's School of Medicine.

Kaminsky and his colleagues ran tests on samples of blood, looking for an increase of certain chemicals on a gene called SKA2 that seems to help the brain regulate stress. The gene's instructions are carried out in a region of the brain that controls negative thoughts and impulsive behaviors. Scientists believe people with the abnormal version of the gene have more trouble shutting off the flood of hormones produced by their bodies in response to stress.

"It's good to be stressed if you're crossing the street. You need to be ramped up. You need to be focused," Kaminsky said. "But when you're safely across the other side, you don't want to stay in that mode."

Since the chemicals were also consistently higher in the brains of people who have killed themselves, the Hopkins researchers think the chemicals may be linked to suicide.

And these chemicals could, theoretically, be identified using a simple blood test.

"This kind of genetic screening is going to be one way forward to predict who is at high risk," said Dr. John Mann, a psychiatrist and neurochemist at Columbia University Medical Center. He was not involved in the study.

Experts have to rely on simply asking people whether they're feeling suicidal to assess suicide risk.

"If someone is really committed to committing suicide, they may choose to lie," Kaminsky said.

But a blood test to gauge a person's suicide risk is at least five to 10 years away from being readily available, he said.

Jill Harkavy-Friedman, the vice president of research for the American Foundation for Suicide, is optimistic about the potential of identifying suicidal patients earlier.

"Just because you have a risk doesn't mean you're destined to kill yourself. It means the opposite," she said. "If you know you have a risk, you can be having conversations with your doctor, your mental health professional, and your family and friends about how to prevent getting to the point of a suicide crisis."

@highlight

In small study, researchers accurately predict suicidal thoughts and suicide attempts

@highlight

Researchers looked for certain chemicals related to a gene called SKA2

@highlight

An abnormal version of this gene may cause people to react differently to stress