Port-au-Prince, Haiti (CNN) -- On the first day of school after the earthquake, Medlika Rameau told her classmates about how she was trapped in the rubble of her house with her mother and little sister.

Rameau's leg was pinned under concrete. Her mother wanted rescuers to amputate her left leg so she could be pulled out.

"I prefer to die with my two legs," said the 13-year-old Wednesday, looking down at her small feet in flowery flip flops.

When she heard her mother screaming and crying, she made one last push to get her leg out and free herself. She managed to escape with a big gash, now neatly bandaged.

She recounted her story from a makeshift classroom in the cemetery of a Catholic retreat center in the badly damaged neighborhood of Sainte Marie.

For Rameau and 400 other fellow students, Wednesday returned a huge sense of normalcy to their lives: school.

While aid groups have been delivering water, food and hygiene items to quake-devastated Haitians, few have received counseling for bearing witness to horror. Among them, tens of thousands of children -- some already impoverished and vulnerable -- who now must live with the added burden of terrible memories.

Counselors from Israeli aid agency Natan I-Relief have been training the young teachers at Sainte Marie, who themselves suffered in the earthquake, on how to cope with their experiences. The first step: Talk about it.

One by one on Wednesday, each child rose in their makeshift classrooms -- some in the open, some in tents with damaged tables salvaged from the wreckage of their old school. They recounted how they lost mothers, fathers and their homes and they talked about the bleakness of life under a makeshift tent. Many came to school with physical injuries.

Psychologist Moshe Farchi described a "golden month" that was critical in the prevention of Post Traumatic Stress Disorder. If survivors can talk through what they experienced and return to some semblance of routine within a month after tragedy, they are more likely to recover, he said.

"What's most important is they try to go back to a routine," said Farchi, whose aid group has been working at the school and Catholic retreat center in Sainte Marie since the earthquake.

In that sense, a resumption of classes was vital.

Farchi encourages teachers to help the children piece together a chronology of what happened. Otherwise, he said, "there's no putting an end to the story."

The next step is to take control of their lives again; to not think of themselves as victims, but as survivors.

Some children were afraid to even use the word earthquake. They called it "the thing." It's another way of avoiding dealing with pain, Farchi said.

"We encourage them to say words like 'earthquake' and 'falling houses,' " he said. "To say that people were killed."

An estimated 5,000 schools in Port-au-Prince were destroyed or damaged in the January 12 earthquake. Some privately run schools that are able to supply a safe space for classes, including Sainte Marie, were allowed to reopen this week.

But it will take months to get the school system, among the world's poorest, up and running again.

The students at Sainte Marie were happy to be back in class. Even though their building was gone, school was the only thing about their lives that still seemed the same -- to see their teachers and play with friends.

"It's as if they were thirsting for school," said teacher Jacques Junior Mathieu.

They have come a long way, said Farchi, who described the children as quiet and reserved the first time he saw them almost three weeks ago. They were afraid to stray far from their parents. They rarely smiled.

"First aid to the soul is no less important than physical wounds and may be much more difficult to attend," said Amos Radian, the Israeli ambassador to Haiti, visiting the school Wednesday.

Radian said the Israelis plan to rebuild the collapsed school and construct a community center that will include a clinic and after-school program.

The school bell clanged and the sound of laughter filled the air. Teacher Claire Marie Oculien stepped inside her classroom tent with a warmth she said she hasn't felt in a while.

She chose this profession because she loves children. She returned to work as soon as she could, despite having lost her home and family members, because she wanted to do her part as a Haitian.

"Without education, there is no future for Haiti. These children are very courageous," she said after listening to some of their stories.

One of her students, Vanessa Saint-Louis, said she was studying when the earth began to shake. The 9-year-old's mother died and her aunt takes care of her now.

Then, she sat back down and rested her head on the shoulder of the girl next to her.

@highlight

Haitians are receiving aid in form of water, food, but few have received counseling

@highlight

For many children, school is helping to return a sense of normalcy to their lives

@highlight

"It's as if they were thirsting for school," teacher Jacques Junior Mathieu says

@highlight

Some privately run schools that can provide safe classroom space reopened this week