(CNN) -- What could be bigger than the appointment of the first female minister in Saudi Arabia?

Saudi King Abdullah made more than one noteable appointment to his council of ministers.

Possibly the appointment of a new minister of justice who may actually help her get equal rights with her male counterpart.

Right now, Norah al-Faiz, the new deputy minister for women's education, is bound by the same laws as every other woman in the land. She can do only what her closest male relative permits. For many women of her status and education, that law is interpreted liberally, but for the vast majority, it is not.

Over the weekend, at a single stroke, King Abdullah set Saudi Arabia on what appears to be an irreversible new course, one of modernization.

He replaced the conservative ministers of justice and the head of the Commission for the Promotion of Virtue and Prevention of Vice with people closer to his way of thinking. The king also appointed a new head of the central bank, SAMA -- widely seen by financial experts as a wise move -- and brought in young blood and fresh ideas to the Majlis al Shura, the closest thing the country has to a parliament.

That these changes happened should not be a surprise. Since he took over as king in August 2005, when his ailing half-brother Fahd died, King Abdullah has been working quietly to bring about change. Indeed, al-Faiz used to lead the king's Center for National Dialogue, a sort of talking shop that allowed issues such as women's rights to be debated. The hope was that as discussions about change bubbled up in national and regional arenas, they would also filter out to newspapers and onto television.

It's exactly what's been happening. The king is well into his 80s and inherited many ministers and other top officials almost as old as him. Many had been in their posts for decades, and many, unlike the king, held their conservative upbringings more than half a century ago to be models for the country's future.

So when a judge recently upheld the marriage of a 47-year-old man to an 8-year old-girl, there was a public backlash. Why? Because debate about this issue had percolated into the public arena. And suddenly the judge looked out of step with society.

It's not what made the king decide to replace the minister of justice; it just highlights how his steady behind-the-scenes work has helped him outflank the sizeable conservative segment of Saudi society.

What the king and many of his fellow royals have realized for a long time is that no country is an island, least of all one as rich and prosperous as Saudi Arabia. The kingdom's large and rapidly growing young population watches satellite TV, surfs the Internet and chats on Blackberries with friends in Europe, and it expects a different future than the one currently on offer.

The sweeping changes remove some of the ministers most likely to hold back the next generation. The old Promotion of Virtue and Prevention of Vice commission head, who runs the religious police, is an example. He has been replaced with someone closer to the king's thinking, according to a deputy minister I talked with.

The religious police patrol shopping malls and streets, enforcing religious laws such as ones requiring women to keep their heads covered and refrain from talking to men who aren't their relatives. They rile the youngsters who strain for more freedom. But no one is expecting revolutionary change overnight. Saudi Arabia is not about to become a "permissive society."

Religious law, long-held customs and deep religious principles are not up for negotiation. After all, the Saudi king derives respect and authority from his role as "guardian" of Islam's two holiest sites, Mecca and Medina. To be less than thoroughly religious would not wash, even with Saudi's moderates.

King Abdullah is calculating that he is making change at a pace people can cope with. On a recent visit to a shopping mall where religious police had taken a back seat for the past year, it seemed to me the octogenarian king is just about keeping up. The religious police were in the background, and among young girls in particular, headscarves were gone and lipstick was in bright abundance.

@highlight

With minister picks, king appears to have put Saudi Arabia on a new course

@highlight

Woman at education post is kingdom's first female minister

@highlight

Conservative justice minister, head of religious police have been replaced