A respiratory virus that has sent hundreds of children to hospitals in Missouri is causing alarm across the Midwest and beyond.

Ten states have contacted the Centers for Disease Control and Prevention for help investigating clusters of the virus that's being blamed for the illness.

List of states with the Enterovirus

Health officials say they're still figuring out what's going on.

The bug that appears to be causing most of the concern has a typically arcane name -- Enterovirus EV-D68 -- but many of its symptoms are very common.

Here's what you need to know about the virus.

What are enteroviruses?

Enteroviruses, which bring on symptoms like a very intense cold, aren't unusual. They're actually very common.

When you have a bad summer cold, often what you have is an enterovirus, said Mark Pallansch, a virologist and director of the Centers for Disease Control and Prevention's Division of Viral Diseases.

There are more than 100 types of enteroviruses causing about 10 to 15 million infections in the United States each year, according to the CDC. They are carried in the intestinal tract and often spread to other parts of the body.

The season often hits its peak in September, as summer ends and fall begins.

Why Enterovirus infections are difficult to track

So why all the concern now?

What's unusual at the moment is the high number of hospitalizations.

The virus has sent more than 30 children a day to a Kansas City, Missouri, hospital, where about 15% of the youngsters were placed in intensive care, officials said.

"It's worse in terms of scope of critically ill children who require intensive care. I would call it unprecedented," said Dr. Mary Anne Jackson, a director for infectious diseases at Children's Mercy Hospital, where about 475 children were recently treated.

"I've practiced for 30 years in pediatrics, and I've never seen anything quite like this," she said.

What parents should know about EV-D68

What's special about this particular type of enterovirus?

An analysis by the CDC showed at least 30 of the Kansas City children tested positive for EV-D68, Missouri health officials said.

It's a type of enterovirus that's uncommon, but not new.

It was first identified in the 1960s and there have been fewer than 100 reported cases since that time. But it's possible, Pallansch said, that the relatively low number of reports might be because EV-D68 is hard to identify.

EV-D68 was seen last year in the United States and this year in various parts of the world. Over the years, clusters have been reported in Georgia, Pennsylvania, Arizona and various countries including the Philippines, Japan and the Netherlands.

Experts say they don't know why it's flared up this time around.

"Why one virus or another crops up in one part of the country or another part of the country from one year to the next is inexplicable," said William Schaffner, head of the Department of Preventive Medicine at Vanderbilt University. "It's a mystery to me."

What are the symptoms?

The virus can start as just a cold. Signs include coughing, difficulty breathing and in some cases a rash. Sometimes they can be accompanied by fever or wheezing.

Respiratory problems appear to the hallmark of EV-D68, according to the Missouri Department of Health and Senior Services.

"Most enteroviruses cause either a little bit of a cold or a diarrheal illness -- a few cause meningitis," said Schaffner. "This one is the, if you will, odd cousin. It causes prominent respiratory symptoms. Why it does that, we're really not sure."

How serious is it?

The good news is that enteroviruses usually aren't deadly.

"All of these folks are going to get better," said Schaffner. "Some of them have more severe illness, such as these children who have developed asthma and are hospitalized. But they should all get better."

Many of the EV-D68 infections "will be mild and self-limited, requiring only symptomatic treatment," the Missouri health agency said.

Some cases could, in theory, contribute to death, but none of the Missouri cases have resulted in death and no data are available for overall morbidity and mortality from the virus in the United States, the agency said.

How widespread are the cases?

Beyond the surge in infections in Missouri, there are signs of a possible regional outbreak of EV-D68.

Colorado, Illinois and Ohio are reporting cases with similar symptoms and are awaiting testing results, according to officials and CNN affiliates in those states.

The 10 states that have reached out to the CDC for assistance are Colorado, North Carolina, Georgia, Ohio, Iowa, Illinois, Missouri, Kansas, Oklahoma, and Kentucky.

The unusually high number of hospitalizations reported now could be "just the tip of the iceberg in terms of severe cases," said Pallansch of the CDC.

What can be done to prevent it?

Like other enteroviruses, the respiratory illness appears to spread through close contact with infected people. That makes children more susceptible.

There's not a great deal you can do, health officials say, beyond taking commonsense steps to reduce the risk.

Wash your hands with soap and water for 20 seconds -- particularly after going to the bathroom and changing diapers.

Clean and disinfect surfaces that are regularly touched by different people, such as toys and doorknobs.

Avoid shaking hands, kissing, hugging and sharing cups or eating utensils with people who are sick. And stay home if you feel unwell.

There's no vaccine for EV-D68.

@highlight

Enterovirus EV-D68 is uncommon but not new

@highlight

It causes prominent respiratory symptoms, like a cold but worse

@highlight

People suffering from the disease should all get better, an expert says

@highlight

Enteroviruses are very common, causing up to 15 million infections a year in the U.S.