(CNN) -- Doctors say Secretary of State Hillary Clinton is on her way to a full recovery after a blood clot was found in her head on Sunday night.

She was discharged from New York Presbyterian Hospital on Wednesday after spending three days being treated, the State Department announced.

Clinton's blood clot was located in the vein between the brain and skull behind her right ear, according to her doctors' statement. It is being treated with blood thinners and did not result in a stroke or any neurological damage.

This type of blood clot is called a cerebral vein thrombosis and is relatively rare, said Dr. Mary Cushman, director of the Thrombosis and Hemostasis Program at the University of Vermont and chair of the American Society of Hematology's subcommittee on quality of care.

A two-year study conducted in the Netherlands found cerebral vein thrombosis affects approximately 1 in every 100,000 people. In comparison, the Centers for Disease Control and Prevention says 1 in 1,000 people are affected by deep venous thrombosis (DVT) -- a similar clot found most often in the leg.

Clinton, now 65, suffered from a DVT in 1998. Anyone who has had a blood clot in the past is at a higher risk of getting one again. About one-third of people with DVT will have a recurrence within 10 years, according to the CDC.

"There are a handful of genetic conditions that predispose someone to these kinds of clots," Cushman said. "That's why you might see two different (types of blood clots) in the same person."

It's unknown if Clinton has a genetic condition that may increase her risk. Other risk factors for DVT include smoking, use of oral contraceptives, age (the risk increases over age 65) and obesity.

Blood clots: 4 things you need to know

A large long-term study published in the journal PLoS One in 2007 found the more frequently a person travels, the higher their risk of blood clots.

The blood in veins is fighting gravity to get back to the heart, Cushman said, and needs the leg muscles to help push it along. When a person is sedentary for long periods of time -- especially on a plane or in a car where the legs are in the same position for hours -- the blood can start to clot.

Clinton has logged many miles as secretary of state, in addition to the time spent traveling as a former presidential candidate and first lady. Although she plans to step down from the State Department soon, there is a lot of speculation about a run for president in 2016.

Blood clots wouldn't deter her from campaigning if that's what she chooses, said Dr. Jack Ansell, an expert in thrombosis at Lenox Hill Hospital who is not involved in Clinton's care.

"Travel is potentially an issue for the secretary, but I would imagine that when she travels she's not sitting in a coach seat, cramped up and sitting still," Ansell said.

Experts recommend anyone with a history of blood clots stand up and walk every couple hours during long trips. They should also avoid alcoholic drinks prior to traveling -- dehydration can contribute to the formation of blood clots. Doctors often recommend wearing compression stockings, which help move blood along in the legs by narrowing the veins.

Clinton may remain on blood thinners for several months or for the foreseeable future, said Dr. Evan Lipsitz, chief of vascular surgery at Montefiore Medical Center, who is not treating the secretary of state.

"The current recommendations are for at least three months of treatment with a blood thinner following a clot. Each case much be individualized depending on the size and location of the clot and the risk of bleeding as a result of the treatment," Lipsitz said.

Often patients on these medications are monitored closely, having their blood checked once a month or every couple of months to ensure the dosage is right.

Lipsitz makes his patients aware of typical blood clot symptoms (sudden pain or swelling in the limbs, or chest pain and shortness of breath caused by a blood clot traveling toward the lungs) so they can spot them and get treated quickly.

Patients on blood thinners need to avoid physical trauma, Cushman said, but are otherwise fine. So while an NFL player or a construction worker would probably be out, Clinton's career going forward is still full of possibilities.

"I think her future is as good as her past," Ansell said. "She should recover fully and get back to work."

CNN's Mary Snow, Danielle Dellorto and Elise Labott contributed to this report.

@highlight

Hillary Clinton's blood clot is called a cerebral vein thrombosis and is relatively rare

@highlight

Anyone who has had a blood clot in the past is at a higher risk of getting one again

@highlight

It's unknown if Clinton has a genetic condition that may increase her risk