New Orleans, Louisiana (CNN) -- Equipment that the oil company BP was using to help stop the massive oil gusher in the Gulf of Mexico is leaking -- another setback for the beleaguered company in its hope of stopping this disaster.

The company will need to fix the leak before it can run crucial tests that could show whether an end finally is in sight to the environmental disaster, the company said.

There was no timetable for when the leak was to be fixed, a company spokesman said early Thursday morning.

Earlier, BP was proceeding with the critical test of its crippled well in the Gulf of Mexico.

The U.S. government had told BP Tuesday to proceed with the "integrity" test on the well in the Gulf of Mexico, and BP had begun the process of shutting off valves on its new capping stack, to see whether the well can hold the pressure.

It's hoped the tests, whenever they begin, will show whether the well can be contained -- either by closing the 30-foot, 75-ton cap stack or siphoning off oil to the surface.

That could signal a beginning of an end to the catastrophe that began when the Deepwater Horizon drilling rig exploded April 20, killing 11 workers and launching the relentless oil spill. But even if the well is contained, the cleanup could take years.

Retired Adm. Thad Allen, who is heading the government's response to the oil spill, announced Wednesday the test had been given a green light, after it was delayed for a day so that procedures could be scrutinized.

He said that after intense consultations with Energy Secretary Steven Chu and other scientists involved, "At this time we'll be releasing an order to BP to proceed with the well integrity test. But we gave them some additional direction to make sure we were are taking due care and in some cases an overabundance of caution, to make sure we didn't do any irreversible harm to the well as we proceed."

Allen said the officials "sat long and hard about delaying the test" and it was "not easy" to decide to delay. He said they wanted to make sure they're "getting this right" for this "significant event."

Allen added the earlier delay was not prompted by the White House. "We advised the White House that we decided to take a 24-hour break. It was us advising them that we thought it was the right thing to do. We briefed them," he said.

BP's Senior Vice President Kent Wells reported shortly after Allen spoke that the middle valve of the three-valve stack had been closed. That's an initial step in the complicated process of closing off the well and checking pressure to see how it's holding.

A key question was whether shutting the well was worth the risk, or whether it might damage the well bore. Allen said the test would be a stop-and-go process.

It involves incrementally closing three valves on the new cap while testing pressure, a process that could unfold could over two days.

Higher pressure readings would mean the leak is being stopped, while lower pressure indications would mean oil is escaping from other parts of the well. It was not clear early Thursday if the new leak was discovered by a lower pressure reading.

The massive cap, which has a better seal than the last cap placed on the well, is about three stories high and weighs 160,000 pounds.

If the well can't be shut off completely, oil could be diverted through riser pipes to ships on the surface. The Helix Producer and Q4000 currently are at the surface, but it might take several weeks before two more ships can be brought in to contain all the flow. Allen said a four-vessel system could recover up to 80,000 barrels (3.3 million gallons) a day, more than the high-end estimates of the well's flow rate.

Scientists estimate that 35,000 to 60,000 barrels (1.4 to 2.5 million gallons) of oil have spewed daily from BP's breached well. Wells said the Helix Producer is ramping up production and recovered about 9,200 barrels (386,400 gallons) on Tuesday.

The test is called an integrity test because it is aimed at ensuring the well bore has enough integrity to hold the pressure in the well when it is closed.

"In this exercise, high pressure is good," Allen said. "We are looking for somewhere between 8- and 9,000 [pounds per square inch] inside the capping stack, which would indicate to us that the hydrocarbons are being forced up and the well bore's being able to withstand that pressure."

Allen said that if low pressure readings persist for around a six-hour time frame, that could signal problems with the new cap.

Meanwhile, two relief wells are seen as the ultimate solution to the oil disaster. They're expected to be completed in August.

Wells had said Tuesday that work on the relief wells was being delayed while officials prepared for the integrity test, noting that "it's a good precaution to take." But Allen said Wednesday in his briefing the government hasn't ordered BP to halt work on the relief wells.

"They are going very slowly. They haven't stopped," he said. He did say that operations on the second relief well were temporarily suspended at a depth of 15,963 feet to ensure there is no interference with the first relief well.

The second relief well is a backup to the first. When the relief well does intercept the crippled well, heavy mud and then cement would be pumped in to seal it permanently.

Allen cautions that even if the engineering containment efforts work, there is still a lot to be done in a disaster that has affected the environment and the livelihoods of people from Louisiana to Florida.

"There's still a significant amount of oil out there, and the oil recovery and the impacts of this oil will probably extend well into the fall in terms of oil coming ashore, tar balls, beach cleanup, and then we will be ... trying to understand the long-term environmental/ecological impact of the event," he said.

CNN's John King, Jamie Morrison, Vivian Kuo and Scott Thompson contributed to this report.

@highlight

NEW: Leak puts a stop to tests on ruptured oil well

@highlight

NEW: No timetable for when leak will be repaired

@highlight

U.S. officials gave BP additional direction for tests