(CNN) -- Powerful winds continued to batter Los Angeles, Las Vegas and other southwestern U.S. locales Thursday -- downing trees, delaying flights and leaving hundreds of thousands without power.

Los Angeles County Fire Inspector Quvondo Johnson told CNN that, as of 4:30 p.m. PT (7:30 p.m ET), firefighters had responded to reports of approximately 460 downed power lines over the previous 24 hours. He estimated that the fire service had received "thousands" of calls total.

Wind gusts stronger than 140 mph -- which would be equivalent to a Category 4 hurricane -- have been measured on the Sierra Crest mountain ridge, according to the National Weather Service.

Lower-lying areas also have been hit hard by Santa Ana winds, with 80 mph gusts expected in Southern California. Santa Ana wind is a condition in which strong winds descend to the Pacific Coast around Los Angeles from inland desert regions, according to the weather service.

It's all part of a system the federal weather agency called "the strongest easterly wind event in the past several years."

The National Weather Service has issued high-wind warnings -- which go into effect when there are sustained winds forecast of 40 mph or stronger or gusts of 58 mph or stronger -- for part of southwestern California as well as along the Sierra Nevada range in the eastern part of the state.

Similar warnings were in effect for much of Nevada, as well, with wind advisories also having been issued for other parts of those two states.

Southwestern California has been especially hard-hit, leading Los Angeles County Supervisor Michael Antonovich to issue a state of emergency "to ensure that state and federal financial resources are available to serve county residents impacted by the windstorms."

In a statement, the county noted that Pasadena, Sierra Madre and Monrovia particularly have seen extensive damage, including to private property. The perilous conditions, specifically the strong winds, would likely continue through Friday, the county noted.

As of 5 p.m. PT, Southern California Edison was reporting more than 205,000 households without power, a slight drop from seven hours earlier. Hard-hit communities in the utility's 50,000-square-mile service area include Alhambra, Altadena, Arcadia, El Monte, La Canada Flintridge and San Bernardino, San Gabriel.

"Severe winds and debris have been hampering power restoration efforts by SCE crews, and some customers without power should prepare for the possibility of being without service overnight and possibly longer," the utility said in a news release. "High winds have knocked down thousands of trees and strewn debris across wide areas, limiting and, in some cases, preventing access to equipment. "

The Los Angeles Department of Water and Power reported that, as of 9 p.m. Thursday, about 109,000 of its 1.4 million customers did not have electricity. The department added, in a press release, that it has more than 100 crews responding to more than 1,000 incidents thought to be responsible for the outages, touting the fact that about 100,000 customers had already gotten their electricity restored.

The utility estimated that customers without power -- most of them in the Los Angeles metropolitan area, except for a smattering in San Fernando Valley -- would most likely get service restored in between 24 and 48 hours.

Los Angeles International Airport experienced a partial power outage and significant delays Wednesday night, as well as 20 domestic and three international inbound flights diverted.

iReport: Woman injured from felled tree due to winds

As of late Thursday morning, that airport appeared to be operating normally with minimal delays, said Marshall Lowe, a spokesman for the Los Angeles World Airport Response Coordination Center. The same couldn't necessarily be said for some others, with Lowe noting that there was at one point a roughly one-hour delay for flights destined for Las Vegas' McCarran International Airport.

Several hours later, around 4:30 p.m., the Federal Aviation Administration's website was still reporting a 49-minute average delay for flights to McCarran due to a "traffic management program." But by 7 p.m., no notable delays were being reported.

Wintry weather was a chief concern in that Nevada city, where the weather service issued a freeze watch and forecast light accumulations of snow into Friday morning in addition to strong winds.

Gale warnings were in effect for some Southern California coastal locales, while heavy snow fell over the central and southern Rockies as part of the same system, according to the weather service.

Fire hazards were another potential problem, with the combination of strong winds and moderate-to-low humidity spurring red flag warnings through 6 p.m. PT Friday for Los Angeles and Ventura counties.

Downed power lines adjacent to Occidental College in Los Angeles started a 2-acre grass fire and prompted a precautionary evacuation of those nearby, the Los Angeles County fire department said. No one was injured.

CNN's Carey Bodenheimer and Sonya Hamasaki contributed to this report.

@highlight

Significant delays are no longer being reported at Las Vegas' airport

@highlight

L.A. County declares a state of emergency due to damage caused by winds

@highlight

The county has responded to about 460 downed power lines, a fireman says