(CNN) -- Two reactions seize people in the face of a horrific event like the mass murder of little children in Newtown, Connecticut. The first is shock, the second is a rush into activity.

The reason we rush into activity is to escape the numbness of shock and the pain that follows it. But if we bury ourselves in every detail of the story, staying glued to the TV, reliving the event in our imaginations and obsessing over the meaningless of violence, we may be working against the healing process rather than helping it.

Medical science knows a lot more about the effects of trauma on the brain than it did even five years ago. One salient point is that post-traumatic stress disorder, or PTSD, affects not just the immediate victims of violence, whether in war or the result of crime, but also bystanders and witnesses.

Another discovery is that brain trauma causes abnormal activity in at least three areas of the brain. The amygdala, responsible for emotions, is over-activated. The hippocampus, responsible for short-term memory, starts to recycle the traumatic event obsessively. The prefrontal cortex, especially in the area that mediates emotions, becomes weaker.

Opinion: To help kids with tragedy, slow down, listen

The overall result is that you can't stop reliving the traumatic event and feeling its impact, while your ability to get past your emotions is lessened. We've all experienced the PTSD state of the brain through mass tragedies like the attacks on 9/11. The symptoms are familiar, yet neuroscience allows us to see that healing consists of getting out of the pattern just described. Throwing yourself back into the traumatic event only increases the symptoms.

An event like Newtown creates suffering. Suffering can be defined as the pain that makes life seem meaningless. Animals suffer, of course, and often deeply. Some, like the elephant, are capable of mourning for their kind if one dies. Humans, however, are subject to complex inner pain that includes fear, guilt, shame, grief, rage and hopelessness. September 11 revealed that it was an illusion to think that our society was immune to such suffering. That illusion abruptly burst again with Newtown.

Thinking back, I was traveling on 9/11, and when I landed at a Midwest airport, I met people beseeching to know what to do about their distress. In those first moments, shock was just giving way to tears, so all anyone could do was to try to feel safe again on the most basic level.

A parents' promise: I will keep you safe

I reflected on my own experiences with grief. "Hold each other," I offered. "Don't be afraid to ask for contact. Reach out and tell your loved ones that you do love them. Don't let it be taken for granted. Feel your fear. Be with it and allow it to be released naturally. Pray. Grieve with others if you can, alone if you must."

These were simple, basic remedies for the immediate reaction of shock. Grieving is often different for men and women, because men tend not to let their emotions out in front of others as easily as women can. Men have been taught that it is a sign of weakness to show public emotion, and so feel safer crying alone.

But for anyone, peering into the brain as we now can do, the physiological story is that trauma disrupts the balance of feeling, memory and decision-making. They need time and care to come back into balance. Studies have shown that even in the face of tragedy, and despite the fact that a memory may be indelible, emotional balance for many victims can return to normal states within two years. This is cause for hope.

When terrible things happen: Helping children heal

After shock and numbness, the second stage is that powerful emotions rise to the surface, often after being buried for years or decades. All around us we see rage and sorrow starting to erupt. (President Obama's call for an end to gun massacres expresses emotions that are strong today but will be tested tomorrow when politicians face the National Rifle Association and begin to calculate the odds of getting re-elected if a powerful lobby opposes them.)

At the same time, over-sensitivity sets in because the brain's control mechanisms are weak. The most common incidents -- the slam of a door, a car backfiring, a surprise tap on the shoulder -- can cause a panic reaction. In ensuing days, this unguarded anxiety can begin to spread like a contagion.

The third stage of suffering comes when you face your inner wound and either move to heal it, strike out against your symptoms, or choose denial. Each person affected by a trauma usually falls into a confused mixture of all three responses. But the most basic choice is whether to keep suffering or alleviate it.

For the sake of bringing suffering to an end after Newtown, we should pause over the choices that everyone can make as an aid to healing:

Hold each other in loving awareness.

Speak gently.

Resist viewing negative images over and over.

Walk away when the conversation contains negativity.

Keep your life as structured as possible -- This is especially true when dealing with children in the aftermath of tragedy.

Try not to be alone -- Eat meals as a family, allow friends to offer consolation even when being around others is painful.

Forgive yourself when you feel like a victim, but take steps to grow out of victim thinking.

Allow for someone else's point of view. It is difficult to express inner pain, and we all do it imperfectly. What may seem like anger and frustration from others is often the best they can do.

Because it reaches so deep, your sense of suffering may be subtle, like a gray fog rather than a sharp physical wound. To truly judge how healing is progressing, it is important to do more than regain everyday normality.

Become involved in your own healing, let time be your ally, and go as deeply as you can into the reservoir of peace that lies inside you.

The opinions expressed in this commentary are solely those of Deepak Chopra.

@highlight

Deepak Chopra: We delay healing when we obsess over details of a tragedy

@highlight

Chopra: Trauma disrupts the balance of the brain and it needs time to come back

@highlight

After shock, powerful emotions rise that the brain has difficulty dealing with, he says

@highlight

Chopra: You need to resist negative images, seek companionship, speak gently