(CNN) -- To project elections, CNN and its election experts use scientific statistical procedures to make estimates of the final vote count in each race. CNN will broadcast a projected winner only after an extensive review of data from a number of sources.

CNN editorial policy strictly prohibits reporting winners or characterizing the outcome of a statewide contest in any state before all the polls are scheduled to close in every precinct in that state.

CNN will receive information from the following sources:

The Associated Press: The Associated Press will provide vote totals for each race. The AP will be gathering numbers via stringers based in each county or other jurisdiction where votes are tabulated.

Edison Media Research: To assist CNN in collecting and evaluating this information, CNN, the other television networks and The Associated Press have employed Edison Media Research (EMR). In previous elections, this firm has assisted CNN in projecting winners in state and national races. EMR will conduct exit polls, which ask voters their opinion on a variety of relevant issues, determine how they voted, and ask a number of demographic questions to allow analysis of voting patterns by group.

Using exit poll results, scientifically selected representative precincts, vote results from The AP, and a number of sophisticated analysis techniques, EMR also recommends projections of a winner for each race it covers.

Collecting data

The process of projecting races begins by creating a sample of precincts. The precincts are selected by random chance, like a lottery, and every precinct in the state has an equal chance to be in the sample. They are not bellwether precincts or "key" precincts. Each one does not mirror the vote in a state but the sample collectively does.

The first indication of the vote comes from the exit polls conducted by EMR. On the day of the election, EMR interviewers stand outside of precincts in a given state. They count the people coming out after they have voted and are instructed to interview every third person or every fifth person, for example, throughout the voting day. The rate of selection depends on the number of voters expected at the polling place that day. They do this from the time the polling place opens until shortly before it closes.

The interviewers give each selected voter a questionnaire, which takes only a minute or two to complete. It asks about issues that are important, and background characteristics of the voter, and it also asks for whom they voted in the most important races. During the day, the interviewer phones the information from the questionnaires to a computer center.

Next, vote totals come in from many of the same sample precincts as the exit polls after the voting has finished in those precincts. These are actual votes that are counted after the polls have closed. Election officials post the results so anyone at the precinct can know them.

The third set of vote returns come from the vote tallies done by local officials. The local figures become more complete as more precincts report vote returns. The county or township vote is put into statistical models, and EMR makes estimates and projections using those models. In addition, CNN will be monitoring the Web sites of the Secretaries of State offices to help analyze the outcome of early voting and absentee voting.

Projections

The projections for CNN will be made from the CNN Election Analysis Center at the Time Warner Center. An independent team of political analysts and statistical experts will analyze the data that will lead to the final decisions on projections.

CNN will decide when and how to make a projection for a race depending on how close the race is. In races that do not appear to be very close, projections may be made at poll closing time based entirely on exit poll results, which are the only information available when the polls close about how people voted. The races projected from exit polls alone are races with comfortable margins between the top two candidates. Projections from exit polls also take into account the consistency between exit poll results and pre-election polls. In the case of close races, CNN will wait for actual votes to be tabulated and reported. EMR may make projection recommendations to its clients, but CNN will make all final calls for broadcast.

Shortly after poll closing time, CNN may make projections using models that combine exit polls and actual votes. This happens in closer races. For extremely close races, CNN will rely on actual votes collected at the local level. These are the races that cannot be projected when the polls close from exit polls or even from actual votes collected at the sample precincts mentioned earlier. The projection for these races will be based on a statistical model that uses the actual votes. If it is too close for this model to provide a reliable projection, CNN will wait for election officials to tally all or almost all the entire vote.

What a projection call means

CNN analysts will make all projections for CNN broadcasts. When CNN's analysts project a winner in a race, whether it is based upon data from EMR or from the CNN computations, it means that when all the votes are counted, CNN projects that the candidate will win the race. A projection is as close to statistical certainty as possible, but that does not mean that a mistake cannot happen; rather, it means that every precaution has been taken to see that a mistake is not made. CNN will not "declare" someone a winner because that declaration is up to election officials. CNN will make projections based on our best estimate of how CNN expects an election to turn out.

When a lot of vote returns have been tallied, a race may be referred as "too close to call" by CNN anchors and analysts. "Too close to call" means the final result will be very close and that the CNN analysts may not know who won. For the races that are the closest, the CNN Election Analysis Desk will keep CNN viewers up to date on the state-by-state rules regarding automatic recounts and will report immediately on any official candidate challenge regarding the results or voting irregularities.

@highlight

CNN receives data from The Associated Press, Edison Media Research

@highlight

Process of projecting races begins by creating a sample of precincts