(Parenting.com) -- My mother gave birth to my older brother in a hospital in Malawi in rural East Africa, where she and my dad were in the Peace Corps. Then she ran herself a hot bath and shared a bowl of curry with her neighbor.

When she had me, two and a half years later, she chose a freestanding birthing center, 45 minutes from our house in upstate New York, where I popped out after two hours of labor and only a couple of pushes. She went home a few hours later.

Both of these birth experiences, she always said, were joyous, easy and free of angst -- there was no medical establishment pressuring her to give birth in a particular way, or in a particular time frame.

So when she started hearing about how most people give birth in America today -- the C-section rate is around 34% and medical interventions are practically par for the course -- she thought perhaps America had lost sight of the best ways to have babies.

Surely, she thought, other countries and cultures know better how to handle this most basic human experience.

"I assumed there would be a better model in the developing world, based on my experience in Malawi," my mother, Helaine Selin, told me, "a more humane and mother-friendly way of giving birth."

She set out to find how women give birth in the non-Western world, which culminated in a book she edited called "Childbirth Across Cultures: Ideas and Practices of Pregnancy, Childbirth and the Postpartum."

What she discovered deeply surprised her ... and not necessarily in a good way.

Parenting: 12-year-old gives birth on field trip

Many cultures and countries had either replicated the American way of birth -- we have exported the C-section model to many remote regions -- or they have clung to traditional methods that are, at best, disrespectful of women; at worst, the methods are downright dangerous.

All around the world, she found, childbirth is a battlefield, and women have to fight everyone from surgeons to mothers-in-law for control over their bodies and their births.

Traditional childbirth: womanly ways aren't always safe

Some 536,000 maternal deaths occur each year, 99% of them in developing countries. Childbirth in countries that haven't modernized the birth experience is still very much women's work, attended mostly by women who aren't always trained in modern methods of hygiene.

While the camaraderie of women in childbirth is commendable, even enviable, childbirth in these places can be oppressive, and many mothers are denied choices, or even harassed, during labor.

Nepalese women, for instance, are sometimes pressured to push the baby out before their bodies are ready. Hmong women must give birth alone, without expressing any pain or discomfort, as do women in Nigeria; one in 18 die during the process. Tibetan women often give birth in animal pens.

If Bangladeshi women give birth in a hospital, they're often berated by the staff and prevented from reciting religious verses that they traditionally use as a source of comfort and pain management.

Women in Uganda and Bangladesh are looked down upon for expressing the pain of childbirth, which usually happens at home. Korean women are discouraged from getting pain medication but often have episiotomies forced on them.

Few developing countries have health insurance that covers the cost of childbirth; even if a poor woman wanted a safe birth in a medical facility, she probably couldn't afford it, or even the cost of transportation to get there.

The book reveals that in countries without good health insurance and without good medical facilities, hospital birth is not necessarily any safer than home birth; both arenas leave much to be desired.

Parenting: 9 things you should never say to your child

The American way of birth: C-sections as status births

While traditional childbirth in many cultures left much to be desired, my mother was just as surprised to find a second trend. Many cultures that had unique and non-medical approaches to birth even five or 10 years ago have replicated American-style births.

"The American way of birth is spreading around the world the way blue jeans and Coca-Cola have," she writes.

In more developed parts of Asia, especially, the tradition of home birth -- attended by midwives and relatives -- has either disappeared or is only engaged in by the poorest and most rural of women.

Almost all women in China, Japan and Korea now give birth in hospitals. In the more urbane parts of China, C-sections are considered highly desirable, a sign of status and wealth; some hospitals have C-section rates as high as 90%.

The end of joy in childbirth?

Many wouldn't consider this an inherent problem. After all, along with the exportation of American biotechnological birth, and the rise of C-sections, we've seen dramatic decreases in infant and maternal mortality rates.

That's probably not because of C-sections -- infant mortality rates from voluntary C-sections are higher than they are for vaginal births -- but because of improved health care and international strides to improve the safety of childbirth around the world.

The problem, as my mother sees it, is that making childbirth a medical experience detracts from it as an emotional experience. "We have given up the ecstasy of childbirth for a sterile, safe, vacant experience," she writes. The joy is gone, and replaced with technology.

Parenting: Totally ridiculous baby products

War of the births

Women who have had C-sections might argue with her: mothers love their babies no matter how they gave birth to them, and what matters more than an ecstatic childbirth is a healthy child.

What might be more serious is the lack of safe conditions in non-Western countries, and the lack of choice. Even with vast improvements in education of traditional birth attendants, and expansion of medical services to rural areas, childbirth is still very much a war all over the world.

No matter how you give birth, or where, my mother's book reveals that in almost every culture, people are struggling for dominion over an experience that is almost impossible to control.

Wanting that control is understandable, of course, especially when childbirth has been, historically, one of the most dangerous experiences a woman could have.

The best births: choices in childbirth

This isn't to say that there aren't exceptions to the rules, or that there aren't countries and cultures where childbirth is both safe and celebrated. The best places to give birth are those where attendants honor the pain and help women through it, giving them the opportunity to have the kind of birth they want.

The Navajos have a beautiful, if rare, tradition of home birth, where the mother and father labor together while a traditional healer performs blessings.

Western Europe tends to have lower C-section rates and higher breastfeeding rates, and childbirth is usually attended by a midwife -- doctors are called in only if there are true medical complications.

Hospitals are mother-friendly, with labor lounges and room for family to aid the mother as she progresses.

Where does my mother recommend giving birth? Your best bet, she says, is Sweden, which has homey hospitals, midwife attendants and happy mothers.

In Sweden, she says, "they try not to treat childbirth like a disease."

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Countries replicate the American way of birth or continue with traditional methods

@highlight

99% of maternal deaths each year occur in developing countries

@highlight

The focus on medical birthing procedures may distract from its emotional power

@highlight

Sweden is a standout birthing country