(CNN) -- Rarely seen by outsiders, the daily life of a regional Taliban commander named Dawran and his militant fighters is dominated by extremes: love and war, attack and retreat, life and death.

For nine days in October 2009, Norwegian journalist Paul Refsdal was behind the lines with the Taliban, embedded as no Western filmmaker before him. And he was there to witness firsthand the jarring juxtapositions in Dawran's life, at turns -- directing an attack against U.S. forces in Afghanistan's treacherous mountains -- then hours later at home, a father playing with his children.

To capture these intimate and unprecedented images, Refsdal risked his life to embed with Dawran and his fighters in Kunar Province -- the northeastern region where al Qaeda is active and Osama bin Laden was once rumored to be hiding.

Q&A: Kidnapped by the Taliban

Refsdal said he doesn't know the number of militants under Dawran's command, but included in their ranks is another of Dawran's sons -- a boy 12 or 13 years old. The son carries a machine gun nearly as large as he is, Refsdal said. "For Dawran ... it's not something bad to send your ... son out to fight," he told CNN's Anderson Cooper, because Dawran believes that "... his son will come to heaven when and if he dies in this war."

There are many different groups that make up the Taliban, and they are fighting for many different reasons. Dawran says he and his men joined the Taliban to drive out foreign forces from his district. "We fight for our freedom, our religion, our honor and we fight for our land," Dawran tells Refsdal. Commanding his forces from a house built of stone and clay, he says he relies on contributions to fund his operation.

Firm casualty figures for both sides in the decade-long war are hard to come by. It's not known how many Taliban forces have been killed fighting U.S.-led coalition forces. According to the Pentagon, more than 2,200 coalition troops have died in Afghanistan since U.S. forces invaded in response to the 9/11 attacks. More than 1,400 Americans are among those coalition deaths.

As he urges his fighters to battle, Dawran questions coalition motives. "For what purpose are they fighting us?" asks Dawran. "Are they oppressed? Have they been treated unfair? Are they living in a dictatorship?"

Oppression is an accusation critics have aimed at the Taliban for decades. They rule their lives by an extremely strict interpretation of Islam. In places under their control, women shroud their faces and bodies in burqas and girls are forbidden to attend school. "There is nothing that Islam does not have the solution for," Abdul Rahman, a local Taliban judge, explains to Refsdal. "If a person cuts off another person's hand, then according to Islamic law, you have the right to retaliate and cut his hand off. It's the same with the ears, the teeth the eyes and the nose."

The Taliban government ruled Afghanistan -- and gave safe harbor to al Qaeda terrorist training camps -- from the mid-1990s until 2001. Leaders refused to extradite bin Laden, prompting the U.S. invasion which toppled the Taliban government and made way for national elections.

A decade later, Dawran's fighters march through Kunar's difficult terrain with heavy firearms and bandoliers of ammunition slung across their shoulders. Some wear traditional Afghan clothing and others dress in camouflage military fatigues as they trudge across canyons dotted with rocks, small trees and scrubby vegetation.

As Refsdal films, Dawran directs an attack on U.S. troops, coordinating the operation by hand-held radio from a mountain perch overlooking a valley road hundreds of feet below.

Eighty holy warriors are participating in this assault, Dawran says. They've taken positions in eight different places in groups of ten men each.

"Attack, attack, with the help of God!" Dawran shouts into his radio. "You hit the vehicle, you hit it!"

But did the fighters damage a vehicle or kill coalition forces as they thought? The answer seems to be no. Apparently, the attack wasn't even worthy of a report. CNN contacted coalition headquarters. A U.S. press officer searched through 1,800 reports from October 2009 and said, "To be clear: we have no reports of any Taliban attacks in that area during the timeframe given."

As the attack ends, the sound of gunfire echoes across the valley, a plume of smoke rising in the distance.

"Taliban are like most Muslim insurgents," said Refsdal. "When they have spare time, they read the Quran. They don't train. From what I could see from the firing they were not very accurate."

He acknowledges that he expects criticism for being embedded with fighters trying to ambush coalition forces.

"I understand that this is very emotional for people -- especially people in the armed forces," Refsdal told Cooper. "I'm a journalist, I just film what happened."

The war has become "routine" for this band of Taliban fighters, said Refsdal. "They do an ambush and then spend the rest of the day sitting around gossiping on the radio. They sit, they drink a lot of tea and they have some games they are playing."

One of the games is a simple rock throwing contest. Standing in a relatively flat clearing, the men square off to see who can throw heavy rocks the farthest. Most use a two-handed thrust-from-the-chest technique.

In the end, the commander wins. "This is everyday life," Refsdal told Cooper. "This is the Taliban."

One day, Refsdal notices Dawran is nervous about a suspicious plane flying over the Taliban fighter's hideout. The commander orders Refsdal to remain inside.

Later, Refsdal hears gunfire. Dawran knocks at the door telling Refsdal to get out immediately. "Leave your things," the commander says. "Run."

"We found an old abandoned shed and we slept there during the night" as the gunfire continued, said Refsdal.

By daybreak Refsdal is told that a dozen people -- including Dawran's top lieutenant -- had been killed in a Special Forces raid.

Refsdal finds Dawran "crying like a kid" over his lost men. Later, Dawran flees with his family, fearing for his life.

Refsdal knows that the images he captured will be surprising to many -- and disturbing to some. But he feels confident that the images are authentic, not an attempt at propaganda.

If the Taliban wanted to create propaganda, they would demonstrate a show of strength -- not their softer side, he said. "Showing them[selves] as humans, they don't understand any purpose of that."

@highlight

Norwegian journalist Paul Refsdal embedded with the Taliban last year to capture daily life

@highlight

Rarely seen by outsiders, he saw plans for attacks as well as a home life of the Taliban

@highlight

Refsdal says he knows that the images he captured will be surprising to many, and disturbing to some