(CNN)Japanese Prime Minister Shinzo Abe is scheduled to speak Wednesday to a joint meeting of Congress. The address marks the first time in history that the head of the Japanese government will address the entire U.S. Congress, and given the importance of the U.S.-Japan relationship, it is an invitation long overdue.

So far, Prime Minister Abe's appearance has garnered much less attention than last month's speech to Congress by Israeli Prime Minister Benjamin Netanyahu. This is not surprising; in a recent survey by the Pew Research Center nearly three-quarters of the respondents indicated they had "never heard of" Shinzo Abe, underscoring just how difficult it is for the Obama administration to sell its much-vaunted "pivot" or "rebalance" to the American public.

Nevertheless, Abe arrives in Washington at an opportune time to help along the economic centerpiece of the "pivot," the Trans-Pacific Partnership Free Trade Agreement, or TPP.

The TPP is a potentially massive free trade agreement involving the United States, Japan and 10 other Pacific-facing nations -- combined, these countries account for 40% of global GDP.  And beyond its potential economic impact, it also allows the United States to expand its influence in Asia, providing an alternative to China-centered agreements such as the Regional Cooperative Economic Partnership.

The stakes, therefore, are significant. But so is some of the opposition to an agreement that has been negotiated in secret. Prominent Democrats such as Ohio Sen. Sherrod Brown and Massachusetts Sen. Elizabeth Warren, for example, have been critical of the TPP, arguing that provisions such as one on international arbitration of disputes between investors and states undermine U.S. sovereignty.

But the immediate battle in Congress is not over the TPP directly, but something called trade promotion authority, or "Fast-Track."  Trade promotion authority, which would allow trade agreements such as the TPP to come before Congress without amendment, has been on the books for decades.  The power to use trade promotion authority, however, must be periodically reauthorized.  Congress voted narrowly to give President Bush trade promotion authority in 2002, but that authority expired in 2007 and has not been renewed. There is near universal agreement that the current talks cannot be concluded unless the Congress reauthorizes trade promotion authority, without which the 11 other nations that are parties to the talks cannot be confident that the United States speaks with one voice.

Republicans control both houses of Congress, and are generally supportive of free trade. But while passage of trade promotion authority in the Senate is likely, the result in the House, where Abe will be speaking, is less certain.  This is in part because some House Republicans are simply loath to delegate any power to the President, while others are certainly aware of the ramifications of the trade promotion authority vote for 2016.  After all, the fact that Republicans would actually be supporting the proposal of a Democratic President will not prevent Democrats -- and their labor supporters -- from using the vote as a weapon to diminish support for Republicans among those white, working-class voters who were so crucial to Republican success in the 2014 midterm.

But even if trade promotion authority passes, the fight over the TPP is far from over.  Provisions in the trade promotion authority bills just voted out of the committees will require review for at least four months after the negotiations are concluded and before Congress can grant final approval to the TPP.  This likely throws the TPP vote directly into the path of the 2016 presidential race. Ironically, the fact that Democrats seem likely to nominate Hillary Clinton, an early supporter of the TPP, may go a long way to blunting this attack.  Still, it is hard to see House Republicans willing to "go it alone" on the TPP without some Democratic buy-in.

Which brings us back to Prime Minister Abe's speech. Given that we are fast approaching the 70th anniversary of the end of World War II, there will be an understandable focus on what the Prime Minister says regarding his nation's role in that conflict. In the eyes of many in China and South Korea, Japan has never sufficiently apologized for its past transgressions, while the United States itself expressed disappointment over a visit Abe made to the controversial Yasukuni Shrine.

Yet despite such criticisms, a Pew poll found a plurality in the United States thinks that the apologies that Japan has issued in the past about the war are sufficient. As a result, for much of the U.S. audience, Abe's words about the TPP will be of equal importance to questions of history.

So, what will the Prime Minister say, and will his support for TPP be enough to sway Congress?

Certainly, Abe has a lot riding on the agreement domestically; he has faced opposition from agricultural interests at home who are usually firm backers of his ruling Liberal Democratic Party, and could be hurt politically if the negotiations collapse.

This suggests that the big challenge for Abe on Wednesday will be to reframe the debate over trade promotion authority and the TPP in a way that convinces the American people that the trade agreement is not about enriching U.S. corporations and outsourcing U.S. jobs, but strengthening the U.S.-Japan alliance and establishing trade rules that will eventually help the United States and other countries combat the unfair trade practices of China.

It's a tall task, especially when it is unlikely the public will be paying much attention to his speech. But it's a deal that will have significant repercussions not just for the deal at hand, but for the success of President Obama's pivot to Asia. And with that in mind, Prime Minister Abe won't be the only one hoping he can turn in a convincing performance on Wednesday.

@highlight

Japanese Prime Minister Shinzo Abe will address Congress on Wednesday

@highlight

Paul Sracic: Abe has a lot riding on TPP trade agreement