Kabul, Afghanistan (CNN)It is a strangely detached scene for the close of America's longest war: military trainers bouncing between multi-million dollar, high security bases, on Black Hawks, miles from the front line.

But it is how Washington wants this to be. And even though the departure of American troops will be fractionally slower, they will all be inside the U.S. Embassy by the end of next year, making these some of their last weeks outside of the wire.

We are near Jalalabad, at a regional logistics hub for the Afghan police force -- a generous facility that was originally intended to resupply the entire east of the country with uniforms, ammunition, even fuel for vehicles.

The intentions, first hatched in 2011 when the U.S. had tens of thousands of troops and still large ambitions for their war here, were large in scale. But the project has been handed between rotations of U.S. officers and is perhaps a little distant from its first conception.

We are taken on a proud tour of a series of clean and newly painted blocks. Dozens of Afghan police gather there, and mill around, waiting for their commanders to arrive.

Nick Paton Walsh's Afghanistan series: Afghan forced to marry her rapist

Yet a few problems are immediately visible. There are no doorhandles on the outer doors -- we're told they've been removed while a new master key is being sought. There seem to be few supplies in the actual hub.

We ask the Afghan policemen how many of them get resupplied there, at this stage, four months since it opened, and they say: none. About 20 units a month file paperwork for resupply in the base, but supplies often still come from where they did before -- Kabul.

U.S. officials told us they are optimistic the logistical road ahead can be smoothed -- that in the 18 plus months they have left they can get the Afghan army and police up to furnishing themselves with the supply lines they need. But here, now, that seems far away.

As does the base, incidentally. It's quite a rough drive from the main road, surrounded by hills, and with at best patchy cellphone coverage -- far from ideal for a transit hub.

Nick Paton Walsh's Afghanistan series: ISIS recruits in Taliban territory

And it is far away in terms of its cost. Like so much in the most costly of wars, its price tag may have made sense in briefings on Capitol Hill, where effectiveness is gauged in millions, but here in dusty eastern Afghanistan, it seems exorbitant. This as-yet, partially functional resupply hub cost $21 million, a price that presumably includes new doorhandles.

There are about fifty Afghan police currently on the base -- meaning each one has so far cost $400,000 to the US taxpayer. But this is an unfair way of representing the challenge the U.S. trainers here face: working, as they are, against a clock, with diminishing resources and public interest, in an endlessly complex and often corrupt land where, when the Taliban aren't thriving, ISIS are waiting in the wings to fill the gap.

With the clock ticking in the background, U.S. officer Colonel JB Vowell remains upbeat: "It's going to be a challenge, to get all those little hubs and spokes -- logistics to maintenance, supplies, resupply. I'm optimistic though; much of this didn't exist in November."

On the outskirts of the base are the relics of the U.S.'s military involvement in a conflict that still continues to kill Afghan security forces at an accelerated  rate. SUVs, even old American Humvees -- now gifted to Afghan police to drive around -- lie disabled by mine strikes.

The Americans were hoping the police could stack the vehicles here, assess their resupply needs, or cannibalize the damaged vehicles for spare parts.

Throughout, the surreal changes in how this war was, and continues to be, fought are omnipresent. Years ago, the threat would have mostly been from insurgents taking potshots at an American base. Now we are far from the threat, but another has taken its place.

Surrounding our crew at all times are "Guardian Angels" -- U.S. soldiers on guard duty, protecting their own from rogue Afghan police or soldiers, trying to prevent the newest and most serious scourge -- "green on blue" attacks, in which Afghan security forces turn their guns on Americans.

It is a strange experience to be protected from those who America seeks to hand the country over to. But this is how the war ended. Not with ideological victories, or dramatic withdrawals, just the slow and deliberate stepping to one side.

@highlight

Final troop pullout oddly detached as U.S. military operations die down in Afghanistan

@highlight

Ambitious projects, like a police logistics center in Jalalabad, may not live up to their potential