Abuja, Nigeria (CNN) -- There is a predictable pattern that ensues following any tragic news in Nigeria. There is at first a collective sense of shock and grief. There follows official visits to the scene of the tragedy.

Families are condoled and money is doled out in compensation. A period of mourning is inevitably announced.

In a country where nothing happens quickly, committees and investigative panels will then be set up with remarkable alacrity. Months will pass. And then nothing. The result is always the same. Rhetoric, followed by vacuous proclamations but ultimately, inaction.

The banal sequence has already begun playing out with news of Sunday's fatal air crash in Lagos which claimed over 150 lives. This time, however, Nigerians are demanding answers.

Accidents do happen of course but the memories of January's mass protests are fresh and there lingers a suspicion of government negligence. It is far too early to determine the outcome of the crash but early indications are that this was an entirely avoidable disaster.

See also: Nigerians no longer 'suffering and smiling'

The investigation must begin with Dana Air, operators of the ill fated Boeing MD-83. The irony is that the Indian-owned airline has quite a decent track record since they began operations in Nigeria four years ago.

With a modest number of four aircraft in its fleet, the airline had grown at a reasonable pace and had just taken delivery of another Boeing MD-83 in May. A strong focus on domestic services and competitive fares had seen Dana Air become the airline of choice for many regular fliers.

There were signs, however, in the last six months that standards had begun to slip. First came the irregular take-off times. Dana flights, once paragons of punctuality, started taking off late or sometimes not at all.

The delays were quite often without reason. On 15 May this year, I waited with other passengers for over six hours to board as engineers addressed a mechanical problem on one of its planes.

On a separate occasion, we were to board the last Dana Flight out of Lagos to Abuja. The flight was canceled and no explanation given. There was no offer of compensation either.

Dana Air has also faced accusations of penny-pinching. Even before Sunday's crash, there had been suggestions that Dana's four aircraft were being overworked.

See also: iReport images from Lagos

On Sunday alone, the aircraft with registration number 5N-RAM was already on its fourth trip of the day and scheduled to make another one. In May, the same aircraft had to make two unscheduled air returns following reports of engine failure, according to a Dana Air station manager in Lagos.

Whatever the outcome of the investigation, the omens are not good for Dana Air. No Nigerian airline has ever fully recovered from an air disaster. EAS Airlines, Bellview, SoSoLiso and ADC Air were all Nigerian airlines with decent sized fleets and considerable goodwill just ten years ago.

Their names all became obsolete pretty quickly following a spate of crashes between 2002 and 2006.

The government has taken the step of withdrawing their operational license and ground Dana aircraft whilst an inquiry takes place. Even in the event of continued operations, there would have been a likely slump in passenger bookings which will harm the airline.

The investigation must go beyond Dana and extend to the Nigerian Civil Aviation Authority (NCAA). The main regulator of the country's airline industry will need to face some tough questions as well. Did they do enough to minimize the chance of such a crash?

The Dana Air was 22 years old, which is not exactly ancient in aviation terms but given that Nigerian law prohibits aircraft over the age of 20 from operating, who fell asleep at the switch?

Besides at that age, any aircraft would require maintenance checks to be as regular as they are vigorous. Separate eyewitness accounts of leaking hydraulics on the MD-83 do not suggest that this was the case.

This time around the Nigerian public is in no mood for obfuscation or cover-ups. The last major air incident in Nigeria was in October 2006 when an ADC airlines flight crashed near Abuja and killed 96 on board.

The outcome of the subsequent investigation was never revealed but now there is a growing demand that such information is shared with the public.

Following that crash, the government grounded all commercial aircraft and revoked the licenses of many. Air worthiness became a paramount issue and as a result the slack operators were forced to tighten up.

Those that could not shape up exited the scene. On that occasion it took over 500 deaths in five years to shake the government into action.

If laxity has started to creep back into Nigeria's aviation sector, one hopes that it will not take a similar rash of incidents to ensure that safety standards are being consistently met.

The opinions expressed in this commentary are solely those of Terfa Tilley-Gyado.

@highlight

Gyado says there were signs that Dana Air standards had slipped in the last six months

@highlight

The airline faces accusations of penny-pinching and aircraft overuse

@highlight

Nigerian Civil Aviation Authority, the country's airline industry regulator must be questioned too