Washington (CNN)When Hillary Clinton graduated from Wellesley College in 1969 -- She says she did not try marijuana there -- only 12% of Americans wanted to legalize the drug.

In 45 years, however, the tide has changed for legalization: 58% of Americans now want to make consumption legal, two states (Colorado and Washington) already have and two more states (Oregon and Alaska) could join them by the end of the year.

Despite their growth in approval, many activists see 2014 as a smaller, but important, step to their end goal. It is 2016, when voters will also decide who they want in the White House, that marijuana activists feel could be the real tipping point for their movement.

"There will certainly be even more on the ballot in 2016," said Tamar Todd, director of marijuana law and policy and the Drug Policy Alliance. "More voters coming to the polls means more support for marijuana reform and in presidential election years, more voters turn out."

Demographics and money are also an important consideration. Big donors who are ready to fund pro-legalization efforts are more loose with their money in presidential years, according to activists, while Democrats and young people are more likely to turn out. This means legalization activists will be better funded to reach the nearly 70% of 18- to 29-year-old Americans who support legalization.

On paper, activists feel their plan will work. But it is one yet to be decided factor -- who will be the Democrats' nominee for president in 2016 -- that could throw a wrench into their push.

Hillary Clinton is the overwhelming favorite for the Democratic nomination, but to many in the marijuana legalization community, she is not the best messenger for their cause.

"She is so politically pragmatic," said Alan St. Pierre, the director of the National Organization for the Reform of Marijuana Laws. "If she has to find herself running against a conservative Republican in 2016, I am fearful, from my own view here, that she is going to tack more to the middle. And the middle in this issue tends to tack more to the conservative side."

Making a concerted push during a presidential election year means activists' goals will be directly contrasted with the Democrats' presidential standard bearer. This happened in 2004, when more conservative voters helped tip the presidential election for President George W. Bush; at the same time, 11 states had anti-gay marriage questions on the ballot.

Clinton has moved toward pro-legalization, though.

Earlier this year, during a town hall with CNN, she told Christiane Amanpour that she wants to "wait and see" how legalization goes in the states before making it a national decision. At the same event, she cast some doubt on medical marijuana by questioning the amount of research done into the issue.

Later in the year, Clinton labeled marijuana a "gateway drug" where there "can't be a total absence of law enforcement."

"I'm a big believer in acquiring evidence, and I think we should see what kind of results we get, both from medical marijuana and from recreational marijuana, before we make any far-reaching conclusions," Clinton told KPCC in July. "We need more studies. We need more evidence. And then we can proceed."

This is more open, however, than in 2008 when Clinton was outright against decriminalization, a step that is less aggressive than legalization.

Despite warming on the issue, Clinton's position causes concern among activists like St. Pierre because he feels they are far from solid.

"If reforms keep picking up... the winds in our sails are clear," he said. "But if we lose one of more or all of those elections this year, [cautious] people around her could make the argument that this thing has peaked and you now have to get on the other side of it."

St. Pierre said he also watched -- laughing -- as Clinton tried to personally distance herself from marijuana at the CNN town hall.

"Absolutely not," Clinton said when asked if she would try the drug. "I didn't do it when I was young, I'm not going to start now."

"I will eat both of my shoes," he said, 'if she and Bill didn't trip their nuts off at Wellesley and Oxford."

What's more, some activists spoke highly of Democrats with executive experience, such as Maryland Gov. Martin O'Malley, who spent eight years as mayor of Baltimore.

O'Malley, who is also entertaining thoughts of running for president in 2016, supports medical marijuana; he approved a Maryland law that decriminalized possession of small amounts of the drug in 2014.

"As a young prosecutor, I once thought that decriminalizing the possession of marijuana might undermine the Public Will necessary to combat drug violence and improve public safety," O'Malley said in a statement at the time. "I now think that decriminalizing possession of marijuana is an acknowledgement of the low priority that our courts, our prosecutors, our police, and the vast majority of citizens already attach to this transgression of public order and public health."

As for where the governor is on legalization, Lis Smith, his top political adviser, said as long "as long as it is consistent with the goal of driving down crime," O'Malley is "open to sensible drug policy."

With an eye on 2016, some activists are starting to contrast that view with Clinton's.

"I think in 2016 there is going to be a number of states with legalization initiatives on the ballot and there will be broad support," said the Drug Policy Alliance's Todd. "I don't see standing behind and defending the status quo of this destructive policy as helping a candidate in the 2016 election."

Clinton has come face to face with some aspects of marijuana policy on her trips to stump for Democrats across the country.

While raising money in Colorado for Sen. Mark Udall earlier this week, Hillary Clinton saw marijuana in her coffee. Pointing to the foam design atop Udall's latte, Clinton said, "Look at you, you got like a plant. Is that a marijuana plant?"

To laughs from the baristas at PigTrain Coffee, some who may have seen that the design looked more like a rose than marijuana, one answered jokingly, "That's exactly what it is."

@highlight

Marijuana legalization activists plan to make a big push in 2016.

@highlight

That push will force candidates, including Hillary Clinton if she runs, to take a stand on the issue.

@highlight

Clinton says she has never tried marijuana and has not been as supportive of marijuana policy as other Democrats.

@highlight

"I am fearful... that she is going to tack more to the middle," said one activist.