(CNN) -- At an age when most pensioners are winding down their lives, Fauja Singh began a new one.

In his late 80s, and feeling "more dead than alive" following the loss of his wife and one of his sons, he took up marathon running.

Now 102, he has become an unlikely celebrity despite a birth defect that prevented him being able to walk until the age of five.

"Running showed me kindness and brought me back to life by making me forget all my traumas and sorrows," he told CNN's Human to Hero series.

"When I took up running, it was like meeting God himself. I have been running ever since."

With his distinctive flowing grey beard and the traditional Sikh headgear that has earned him the nickname "the Turbaned Tornado," Singh has been a star entrant at marathons all over the world.

It is a far cry from his humble upbringing in India, which despite its village tranquillity was also a test for the young Singh -- who was unable to walk until he was five due to weakness in his legs.

"It took me another five years to gain strength and become strong. By age 10 I was living a normal life," he recalls.

While many older people suffer bodily deterioration, Singh said tests done when he was 94 showed his left leg had the bone density of a 35-year-old and his right leg that of a 25-year-old.

"My response was, I knew my left leg was weak," he smiles. As he says later: "Life is a waste without humor -- living is all about happiness and laughter."

More medical tests done when he was 99 "showed that I was a man of 40 years of age."

Singh grew up in a village in the Jalandhar district of the north-western Punjab state along with his four brothers and sisters and their parents.

"One doesn't know about life's complexities at that age. Whatever means one has always seems to be enough," he said. "Life was good because we had land and animals ... there was no stress."

Singh now lives in London, the UK's bustling capital city, having finally made it his home in the 1990s after several trips to Britain.

"After my wife died and when I suffered another tragedy -- the loss of my son -- I came here for two years but I didn't like it as my mind was still in India. Eventually I had to come to terms with it," he said.

"Then I took up running -- eventually I was able to overcome my sadness."

Singh started out competing over shorter distances -- from 100 meters up -- but was convinced to try for the 26 miles and 385 yards that makes up a marathon.

"I had run a 20K but I couldn't tell the difference between a kilometer and a mile -- I thought I had done 20 miles so I thought I could do the other six quite easily," he said.

"Then I met Harmander (Singh, his longtime coach and mentor), he trained me in a couple of months to run the full distance -- and then I was 89 years old."

Singh's fastest time is the five hours and 40 minutes he took to run the 2003 Toronto Waterfront Marathon at the age of 92. Eight years later he returned to the Canadian event to become the first marathon centenarian, this time clocking more than eight hours.

It was not accepted by Guinness World Records' rule-keepers due to his lack of a birth certificate, although he did produce a letter from Britain's Queen Elizabeth congratulating him on his 100th birthday.

Just days earlier he had set five world records for his age group in the space of a few hours in events from 100m to 5,000m at a Masters meeting in Toronto.

As well as soothing his soul, running has also brought Singh unexpected fame -- he appeared in an Adidas advertising campaign along with soccer superstar David Beckham and boxing legend Muhammad Ali in 2004.

"I was really, really happy as I didn't even know who these people were before that," he said.

Most of Singh's marathons were charity fundraisers, in line with his Sikh beliefs.

"There are two noble things in life: one to do charity and other to look after your body," he said.

"This includes the high principles outlined by my religion, to earn an honest living and to share your means with those less fortunate.

"I am inspired by honest people who don't cheat others. To me the famous are those who are kind to fellow human beings and dedicate their life to charity."

And it is religion that helps him keep going when he hits the dreaded "wall" during a race -- he experiences the transcendental effect of such exercise that was so eloquently documented by Japanese author Haruki Murakami in his book "What I Talk About When I Talk About Running."

"The first part of the run is when I am quite cheerful; my heart is singing a song and dancing seeing the different colors of life," Singh said.

"When I get really tired, I start chanting God's name: 'Waheguru, Waheguru.'

"Running also makes people more spiritually aware and in-tune with their inner self. A retired marathon runner will still retain all these qualities."

And having become the world's oldest marathon runner, Singh is indeed now retired.

His final race was the 10-kilometer event ahead of February's Hong Kong marathon, after which he took the advice of his family and Harmander Singh.

"I have retired because given my age, my body has deteriorated a bit, but retirement hasn't slowed me down," he said.

"I lead a very active and healthy life. I walk for three to four hours a day, play with kids and do all my day-to-day chores myself. I might have continued to run for another year but I realized I had to eventually retire one day."

A strict vegetarian (he appeared in a campaign by animal rights group PETA) Singh describes himself as "an illiterate person" -- this interview was translated from Punjabi with the help of his coach.

While he lives a simple life -- in bed by 10 p.m. after relaxing listening to Punjabi radio, and up again by 6 a.m. -- he does admit to one guilty pleasure: shopping.

"Though I am an old man now, I am still very particular about my personal style. I love shopping for suits and shoes -- I keep looking for the latest and best available," Singh said.

"I don't have many expenses but I do spend often on new suits and shoes even though I have a lot of them."

Running shoes, in particular, remind him of the happiness he has discovered.

"I am very fond of my running shoes, I absolutely love them. I wear them for pleasure. I can't imagine my life without them."

@highlight

Fauja Singh was the first 100-year-old to ever run a marathon

@highlight

Now 102, he has quit competitive racing but still runs every day

@highlight

He took up athletics after overcoming the loss of his wife and son

@highlight

Born in India, he has made Britain his home since the 1990s