WASHINGTON (CNN)  -- With book deals, TV appearances and thousands of readers, moms who detail every moment of their domestic lives online produce some of the Web's most well-read blogs.

'Mommy bloggers' want to stem what they fear is a backlash against their profession.

Many of these "mommy bloggers" even draw the attention of companies that send them free product samples -- everything from toys to baby strollers to video game consoles -- in the hopes of getting positive coverage.

But to some, these freebies aren't necessarily a good thing. Readers have complained they can no longer trust their favorite blogger's advice. Veteran women bloggers grumble that newcomers sully the genre's reputation by demanding free products and trips. Newsweek.com published an article last month headlined, "Trusted Mom or Sellout?"

"There has been a turn of goodwill [against mommy bloggers]," said Liz Gumbinner, the publisher and editor-in-chief of Cool Mom Picks. "A year ago, bloggers were rising stars. Six months later, really big marketers like Wal-Mart got into the game and started backing bloggers.

"That created a new paradigm: An A-list blogger was not the one who wrote the best and had the most influence, but had the most marketing attention and free products," she added. "It created a new generation of bloggers who blogged to get free stuff."

So Gumbinner and other women bloggers are taking steps to become more transparent and stem what they fear is a backlash against their profession.

At last month's fifth annual BlogHer Conference -- a gathering of more than 1,500 women bloggers in Chicago -- Gumbinner and three other bloggers launched Blog with Integrity, a Web site devoted to improving blogger ethics.

"After a spring and early summer of polarizing debates about blogger compensation, sponsored posts and product reviews, an alarming increase in ethical lapses and idea theft, and a growing backlash against poor blogger relations practices, we believed it was time to refocus on integrity," the site says.

As of Monday, people from more than 880 blogs had signed the site's pledge, in which bloggers promise to disclose material relationships, policies and business practices, and let readers know the difference between editorial content and advertising.

Joanne Bamberger, who writes the influential blog PunditMom, was among the first to sign the integrity pledge. In an e-mail to CNN she wrote, "I signed the pledge to help remind readers, other journalists and government regulators that many, if not most, online writers are committed to honest and ethical writing and that we share the same values as those in the more traditional media."

Trisha Haas, founder of blogging community MomDot.com, organized another campaign to free bloggers who feel inundated by PR requests and overwhelmed with product reviews. MomDot's "PR Blackout" asks mommy bloggers to go one week -- beginning Monday -- without writing about products or services.

Haas, who claims to get up to 75 pitches a day from PR firms, instead wants mommy bloggers to "get back to the basics" and post about their marriages, homes and kids.

"We are not saying down with PR, we are saying let's change how we interact with PR and understand the relationship better," she told CNN. "It is important to get back to brand loyalty, not brand saturation.

"It should not be about free stuff," she said, setting up her own joke. "Unless it is a Lexus."

"It seems like this is a case where a few bad eggs are spoiling the omelet, or however that old saying goes," wrote Caroline McCarthy in a recent post on CNET, the tech news site. "The problem isn't PR, but bloggers who are working with it in a less-than-sincere way."

Even the federal government is turning its attention to how the mommy blogosphere conducts itself. The Federal Trade Commission is expected to vote this summer on new ethical guidelines for bloggers.

While the revised guidelines will apply to all bloggers, FTC public affairs specialist Betsy Lordan told CNN, "Some of the bigger challenges include the mommy blogger issue and the extent to which the blogger must disclose a relationship with an advertiser."

Massachusetts-based online marketer Susan Getgood believes many bloggers aren't intentionally deceptive -- just confused about what they should disclose.

"There is a lack of knowledge [about ethical rules]," said Getgood, who runs GetGood Strategic Marketing. "The FTC did not deliberately set out to confuse everybody but blogging is new for a lot of these women and having that kind of both responsibility and power is new to a lot of bloggers."

Barbara Jones is the founder and CEO of One2One Network, a public-relations firm specializing in marketing to women. She believes mommy bloggers often feel overwhelmed by PR pitches and don't know how to say no.

"Some bloggers just say 'yes' because they like being asked and like the stuff," she said. "But what they don't realize is that they are not going to lose opportunities or not be asked again if they are too busy or overloaded."

This week's PR blackout and the Blog With Integrity campaign may not change the image of mommy bloggers overnight, but they are starting a dialogue.

"Most people want to blog well," Gumbinner said. "We cannot be the wild, wild West. We are instituting a conversation that we all want to be in together. That is the best of what blogging is: a conversation."

@highlight

'Mommy bloggers' are fighting what they fear is a backlash against their profession

@highlight

Bloggers have been criticized for not disclosing relationships with advertisers

@highlight

Women bloggers launch 'Blog with Integrity,' 'PR Blackout' campaigns

@highlight

The FTC is reviewing federal guidelines for all bloggers