London (CNN) -- In the week between her death and her funeral, Britons are having an awkward time coming to terms with the legacy of Margaret Thatcher, a prime minister who last held office 23 years ago -- meaning no one under 40 could have voted for her, yet the mix of anger and admiration is spread across the generations.

The emotional outpouring in this famously undemonstrative nation is matched in recent memory only by the death of Diana, Princess of Wales, when flowers piled up outside royal palaces and Elton John's mawkish "Candle in the Wind" surged to the top of the charts. But while Diana was mourned in unity by millions as the "people's princess," Thatcher's death is being marked in widely different and unpredictable ways.

WATCH: Not everyone's mourning Thatcher's death

It has become an overused adjective in the media that Thatcher was "divisive." Some countries might put aside political differences and unite to respect the passing of a leader -- especially the first and only female PM, who won three successive general elections. But in the UK debate about Thatcher is raging almost as fiercely as it did in the 1980s over issues like the privatization of industries, the Falklands War, tax and social policy, her close relationship with American President Ronald Reagan and combative stance against the European Union.

To many she was the woman who broke the mold, showing the way for others, and the leader who made "Britain great again," according to PM David Cameron. Geri Halliwell, aka "Ginger Spice" from the 1990s girl band the Spice Girls, spoke for many when she tweeted this tribute: "Thinking of our 1st Lady of girl power, Margaret Thatcher, a grocer's daughter who taught me anything is possible...x." Halliwell later deleted the tweet in the face of online criticism, but went on to regret the move, describing herself as "weak" and cowardly.

Despite a generation having grown up since she left power, Thatcher's supporters and critics remain passionate and loud -- including many too young to have known her reign directly.

On the day her death was announced, impromptu parties popped up in cities across the land -- especially areas that saw unrest three decades ago such as Birmingham, Liverpool and Brixton, in south London, as well as former coal-mining communities devastated by long-term unemployment. The right-wing Daily Mail tabloid newspaper was again outraged, blaming three decades of "vitriol and hatred from the left."

And as members of parliament gathered in parliament on Wednesday to honor her from the Conservative benches and recognize or revile her from the Labour side, bosses at the state-funded BBC were grappling with a new problem -- whether to air the song "Ding Dong! The Witch Is Dead" from "Wizard of Oz" on its weekly chart show. The song reached Number 2 in the national charts after it was adopted by an anti-Thatcher group on Facebook and Twitter, prompting a backlash in newspapers that supported Thatcher, like the Mail, which denounced the architects of the protest as "teachers of hatred" and "revolting." In the end, only a 5-second clip of the song was played, a messy compromise that pleased neither side.

Meanwhile, soccer clubs, some of which are owned by Thatcher supporters, said it would be appropriate to hold a minute's silence to honor her memory before kick-off at weekend games. But even Thatcher's former Sports Minister David Mellor went on the record to say this was a bad idea. The message between the lines was that basically, fans could not be trusted to show respect.

The English Football Association later decided against it, and none were held at any major fixtures. "A minute silence is to mark and remember football people. Great football people. Or moments of national tragedy where all unite, say 9/11 or Remembrance Sunday..." explained David Conn, a football writer for The Guardian newspaper.

"It was above politics. They have never had a minute's silence for a political figure. By definition it is divisive."

If the former PM's death alone was not enough to reopen old wounds, her "ceremonial funeral with military honors," planned for next week, certainly has. Like the services for the Queen Mother in 2001, Diana in 1997, and the state funeral for wartime leader Winston Churchill in 1965, the coffin will be transported from Westminster to St. Paul's Cathedral on a gun-carriage escorted by 700 military personnel, including those who fought in the Falklands conflict against Argentina's annexation of the remote Atlantic islands.

The service is really a state funeral in all but name; although it is not dictated by parliament there will be plenty of pomp and for the first PM's funeral since Churchill's, Queen Elizabeth II will attend. The Guardian reported on Friday though that Thatcher herself wanted a more low-key funeral ("I'm not Winston," she reportedly said) but the current Conservative-led coalition government appears to have over-ridden her wishes.

The Daily Mail is not so easily brushed aside though, and at the end of last week was urging its 1 million-plus readers to send off coupons for a full state funeral.

In the current climate, police are braced for protests from troublemakers.

Why then does Thatcher continue to cause such trouble after her death? In years to come, it may be significant that she died on the same day many of the coalition's austerity cuts started to bite. On April 8, major benefit curbs took effect while the top rate of income tax was cut from 50% to 45% for those earning more than Â£150,000 (230,000), and the coalition government is attracting much flak for its economic policies.

The cost of the funeral has also caused a ruckus, with many calling for a more low-key remembrance. "In a context where there is great ill feeling about her legacy," said the Bishop of Grantham, Thatcher's own birthplace, "we have a situation where we seem to be expecting the nation to glorify that with a Â£10 million funeral is asking for trouble. People with extreme views will use it to promote their political views."

And if Cameron, Thatcher's successor as Conservative leader, had hoped that her death would boost his own fortunes, he'll be disappointed. This week it was revealed that support for the party had sunk to an all-time low.

In contrast to his own low personal ratings, his predecessor's death may remind voters that Thatcher was in a league of her own when it came to political charisma. As The Economist pointed out this week, Churchill may have won World War II, "but he never created an '-ism.'"

The end of the Thatcher-era also comes at a point when many politicians are debating to what extent the neo-liberal economic model espoused by Thatcher is to blame for the economic crisis of the last five years and what direction to take next. And while a scab on the wounds inflicted by Thatcherism communities by Thatcher grew during the years since her downfall in 1990, the death of the "Iron Lady" has brought them all back into the open.

Those on the right are saying "What the world needs now is more Thatcherism, not less," while those on the left decry "her demeanor and every discernible action (that) seemed to be to the detriment of our national spirit and identity."

For the next few days, the front line of this battle appears to have been drawn in British pubs, around its dining tables and on the streets of its cities.

@highlight

Mixed feelings towards the legacy of the "Iron Lady" in Britain

@highlight

Debate rages over the former PM's political policies

@highlight

Impromptu parties celebrating her death have occurred around the country

@highlight

Cost of funeral has also caused ruckus; many call for low-key remembrance