Caracas, Venezuela (CNN) -- Venezuelan President Hugo Chavez was re-elected Sunday to a new six-year term, overcoming an energetic challenge by a candidate backed by an opposition coalition, according to nearly complete results announced by election officials.

Chavez, who has been president since 1999, defeated Henrique Capriles Radonski, whose campaign criticized the Chavez administration for inefficiencies, infrastructure shortcomings and corruption.

Chavez highlighted his accomplishments in housing, education and health initiatives and acknowledged he needed to do more on crime and government bureaucracy.

With 90% of the ballots counted Sunday night, Chavez has 54.42% of the vote compared with 44.97% for Capriles, according to Tibisay Lucena, president of the National Electoral Council.

Chavez had secured 7.4 million votes and Capriles 6.1 million votes, election officials said.

The country saw one of its highest participation rates in decades, with almost 81% of voters going to the polls, Lucena said.

In fact, some polls were kept open two hours after their scheduled closing because lines of voters were waiting for ballots.

As throughout the day, the army was still deployed Sunday evening and was standing by throughout the country to ensure a peaceful and secure vote, said Maj. Gen. Wilmer Barrientos, commander of strategic operations command.

Earlier in the evening, Chavez thanked his campaign staff in a phone call aired on state-run television at mid-evening and asked people to remain calm until the election results were completed. Chavez said people were still voting in some places.

"Let us wait for the results patiently, calmly and prepare ourselves to accept the results whatever they may be," he said.

"This will be a triumph for democracy," he added. He asked that there be no violence.

Long lines began forming in the early morning hours at polling stations from remote regions of the Amazon to the bustling capital of Caracas.

One election official, Rosalin Montiel, told state-run television that polling stations in the municipality of San Francisco in the state of Zulia would remain open past the schedule closing time -- "until the last elector casts his vote."

Nearly 140,000 troops were deployed throughout the country to guard polls and keep the peace, state-run VTV reported.

By mid-afternoon, Barrientos reported 15 electoral offenses throughout the entire country, the Venezuelan military said on its Twitter account. No further details were immediately available.

After casting his ballot, Chavez called on Venezuelans to vote and remain calm.

"Have no doubt that we will respect the results, whatever they are. ... We have to recognize the results," he told reporters.

After casting his vote, Capriles said governors nationwide had reported "massive participation, demonstrating one more time that Venezuelans want to resolve our differences through democratic means."

He told reporters that "whatever the people say today, for me, is sacred," and said he would push for national unity after the results are released.

"There will be a winner. There will a president-elect. But there will not be a defeated people," he said. "Tomorrow, we are only one country, only one Venezuela. Tomorrow in the country there are many problems that we have to resolve. Problems do not wait."

On the eve of the election, Chavez -- who is facing the strongest challenge to his 13-year-rule -- stressed that the election would be free and fair and called on people across the political spectrum to "prepare emotionally" for Sunday's result.

"It won't be the end of the world for anybody," he said.

Chavez has dismissed his much younger challenger as a "fly" not worth chasing, when challenged to a debate earlier this year.

The president's critics were confident that Capriles could unseat the long-ruling leftist leader, a refrain previously heard before eventual defeats.

Yet the incumbent is a political survivor and remains popular at home. But there were signals, observers said, that this time Chavez really was on the ropes.

Chavez's influence over Latin America's left-leaning governments has often rankled the United States, Venezuela's largest trading partner. Venezuela is the fourth-largest exporter of oil to the United States. Despite that tight economic relationship, the two countries are not exactly close allies: Chavez often rails against the U.S. and its allies as "imperialists."

Further complicating the U.S.-Venezuela relationship is how Chavez is allied with Iran's Mahmoud Ahmadinejad, defended former Libyan leader Moammar Gadhafi and has even offered his support for Syria's leader Bashar al-Assad.

At stake for Venezuelans is the ideological trajectory of their country.

Chavez, 58, has had more than a decade to implement his vision of 21st century socialism, a view that emphasizes use of state oil windfalls to fund social programs.

Observers say Capriles, 40, represents a moderate alternative.

He has vowed not to end the social programs that Chavez has set up, and he promises to fight corruption that has grown in the public sector.

The candidates offer two distinct paths to solve the problems that are on Venezuelans minds: decaying infrastructure, high crime rates and political polarization.

The election also drew voters from beyond the country's borders as thousands of Venezuelans living abroad lined up to cast their ballots at diplomatic offices.

In New Orleans, Louisiana, voters streamed into the Venezuelan Consulate. Many traveled by bus from Miami, where Venezuelan authorities closed a consulate in January after the United States expelled the office's top Venezuelan diplomat.

In Caracas, voters said they were happy to be casting their ballots.

"I'm really proud of the people, because everyone is cheerful about this event and I think there is a good feeling," said Jesus Betancourt, a 25-year-old student.

Standing outside the Caracas school where Chavez cast his ballot, Katherene Rivas said she hoped Venezuelans would respect the results.

"For now, everything is quiet here, and we want that after the results are announced, that people remain calm," she said.

Journalist Osmary Hernandez and CNN's Mariano Castillo, Paula Newton, Gustavo Valdes, Helena DeMoura, Patricia Janiot, Rafael Romo, Michael Martinez and Richard Singer contributed to this report.

@highlight

NEW: With 90% of ballots counted, Chavez has 54% of the vote, officials say

@highlight

NEW: Opponent Henrique Capriles Radonski has 45% of the vote

@highlight

NEW: The 81% turnout is one of the highest in decades, elections chief says

@highlight

Hugo Chavez, president since 1999, is re-elected to a six-year term