(CNN) -- The phenomenon of women choosing not to have children is afflicting the industrialized world in alarming numbers. Childlessness is steadily becoming more widespread, particularly in English-speaking countries but also in Japan and in much of Europe. In 20 years, the number of childless women in many countries has doubled.

In the lively debate that has followed the American publication of my book "The Conflict," much has been said and written about the pros and cons of breastfeeding and mothers staying at home. But this larger issue receives scant attention.

In the United States, where fertility rates remain high, 20% of women are childless, which is twice as many as 30 years ago. There are an estimated 18% in England, 20% in Italy, and between 21% and 26% in Germany. We do not have figures for childless Japanese women, but we do know that Japan has one of the lowest fertility rates in the world, along with Germany, where it hovers at 1.3 children.

Although a minority of women choose not to have children, the trend constitutes a genuine revolution, pointing to some unspoken resistance to motherhood. As we know, as soon as women were able to control reproduction, pursue studies, enter the job market and aspire to financial independence, motherhood stopped being an inevitable, self-evident step and became a choice instead. Whether we like it or not, motherhood is now only one important aspect of women's identity, no longer the key to achieving a sense of self-fulfillment. And the rate at which women are saying no to children -- most notably among those with college education -- suggests that the choice, for many, threatens the other facets of their identity: their freedom, energy, income and professional accomplishments.

No country can afford to ignore a decline in its birthrate. In the long term, a nation's pension payments, power and very survival are at stake. To curb the drop in recent decades, some European governments have re-evaluated their family policies. Germany's example is especially instructive: Although the state's family policies are now among the most generous in Europe -- a parent who stays home with a child receives 67% of his or her current net income for up to 12 months -- they have failed to boost the birthrate or reverse the figures for childless women.

Germany's policies provide considerable financial help, but they essentially encourage mothers (recent figures show that only 15% of fathers take advantage of the leave) to quit the work force. Only an astonishing 14% of German mothers with one child in fact resume full-time work. Thus the family policies end up promoting the role of the father-provider, while mothers in effect feel the need to choose between family and work from the moment the first child is born, an especially risky proposition when one in three marriages ends in divorce.

In this situation, where a high number of mothers are able to stay at home but the birthrate remains exceptionally low, the message is clear: Women do not want policies that serve only to support mothers in their family life. For women to want children, they require policies that support the full range of their needs and roles and ambitions -- maternal, financial, professional.

The varying European experiences show that the highest birthrates exist in the countries with the highest rates of working women. It is, therefore, in society's interest to support working motherhood, which requires considerable public investment. Generous leave is not, by itself, an incentive. To raise more than one child, a mother must have access to high-quality, full-day child care, but that is still not enough. Income equality, flexible work hours and partners sharing family-related tasks -- these are the essential components that will allow women to be mothers without forgoing their other aspirations.

Tellingly, these are the rallying causes of traditional feminism, more pressing and relevant than ever. It turns out that profound feminist reform, in the workplace and in family policies, might just be what is needed to keep the birthrate from free fall.

The opinions expressed in this commentary are solely those of Elisabeth Badinter.

@highlight

Elisabeth Badinter: In 20 years, number of childless women has doubled in many countries

@highlight

In the U.S., where fertility rates remain high, 20% of women are childless, Badinter says

@highlight

The trend points to some unspoken resistance to motherhood, she says

@highlight

Badinter: Feminist reform might just be what is needed to keep the birthrate from free fall