NEW YORK (CNN) -- Thirty years ago, on March 26, 1979, three couples sat down for a celebratory lunch in the White House.

Jehan Sadat remembers the joy she felt when the Camp David Accords brought peace between Egypt and Israel.

President Jimmy Carter and first lady Rosalynn Carter, Israeli Prime Minister Menachem Begin and his wife Aliza, and Egyptian President Anwar Sadat and his wife Jehan, talked privately before greeting the hundreds of people who witnessed the signing of the historic peace treaty between Egypt and Israel that day.

Jehan Sadat remembers crying with joy that day at seeing Israelis and Egyptians putting aside their differences and talking simply as people. Sadat and Begin shared the 1978 Nobel Peace Prize for the treaty they negotiated under the auspices of President Carter.

Her happiness was shattered October 6, 1981, when Anwar Sadat was gunned down while reviewing a military parade.

Jehan and Anwar Sadat had been married for 32 years. The daughter of a British teacher and an Egyptian government official, she met the former Army officer at her cousin's house, not long after he had been released from prison for opposing Britain's occupation of Egypt. She was 15 and he was almost 30, but they fell in love and married soon after.

In her new book, "My Hope for Peace," Jehan Sadat says she was crushed by her husband's death and at first almost immobilized. But she eventually decided to continue her work outside the home.

Today she splits her time between homes in Egypt and in Virginia and seeks to continue her husband's work for peace while finding time for her grandchildren and for gardening. A teacher who earned a Ph.D. in comparative literature, she is a senior fellow with the Anwar Sadat Chair for Peace and Development at the University of Maryland.

Jehan Sadat spoke with CNN.com Wednesday. Here are excerpts from that conversation:

CNN: One of the things you do in the book is to attempt to correct the misconceptions that most Americans have about Islam. What do you think is the biggest myth that people have about Islam?

Sadat: I noticed right after 9/11 that the people were not understanding the Muslims and Islam as a religion. They were confused between terrorists doing something and Islam. Islam has nothing to do with violence, has nothing to do with revenge or things like that. Islam is a religion for peace, for love, for tolerance.

But I understand why people think that way. My husband was killed by fanatics. But these fanatics, I believe, they are not Muslims, they don't belong to any religion because no religion tells you to kill, including Islam, of course. It does not tell you to kill. It does not tell you to commit suicide.

CNN: What's your impression of Barack Obama?

Sadat: I am thrilled and happy, I can't tell you. I was following his campaign. First of all I feel he has so many things in common with my husband, he has ... the same smile, the same devotion to their country, the same charisma, the same love for the people. Both were devoted to their countries very much and wanted to do something for their people ... I have hope, to tell you the truth, that President Obama will help in bringing peace in the Middle East, which will calm the terrorists down.

CNN: What impact do you think the Gaza violence and the recent Israeli election are going to have on the prospects for peace?

Sadat: I am very optimistic that what my husband did, what he gave his life for will never, ever go in vain. I believe, though I'm not young, that I will see peace prevailing in the Middle East between the Arabs and the Israelis, and I am a very realistic woman. I am not living in fantasy or illusion.

When Sadat started making peace with Israel ... people couldn't believe it. They said it will never happen, but it did happen and my husband made it. And that's why I feel it will happen in our time. The Palestinians want peace. The Israelis want peace. I want to see them living side-by-side in a very peaceful atmosphere.

The problem is not with the people, the problem is with the leaders. And I hope [incoming Israeli Prime Minister Benjamin] Netanyahu this time will do like President [Menachem] Begin did. Begin was Likud and he was not an easy man, but he was a leader and he did make peace with Egypt, with Sadat and with the help of President Carter.

CNN: What's the current relationship between Israel and Egypt?

Sadat: It's not bad at all, it's good, but I wish it would be even more intimate. But what affects the relationship between Egypt and Israel is the aggression of the Israeli people in Gaza ... the Palestinians are wrong to send rockets. They should sit and negotiate like Sadat and Begin did ... But the revenge of Israel is so harsh, so hard on the people there, and who died? It was not the people Israel wanted to get rid of. No, it was the innocent people, women and children ...

CNN: Some people are critical of Egypt for not allowing residents of Gaza to cross the border.

Sadat: Well, there are rules in Egypt. We are a country that has rules and when you want to cross the border there are rules to be followed. Of course I can also understand, they were suffering a lot, that's why they crossed in thousands and thousands to the border of Egypt ...

CNN: You mentioned in the book that when your husband was assassinated, you were in the reviewing stand. How far away were you?

Sadat: I was just a few meters behind him ... my guard pushed me to the ground, that's what saved me really. And I was terrified and shocked ...

CNN: You wrote about how this was a very crushing blow and you had a hard time adjusting.

Sadat: You know we were not only wife and husband, we were two partners loving each other, respecting each other, trying to do something together for our country. When he was assassinated, it was like you took away half of me. It was not that easy, but thank God I got over it after a while and instead of staying at home and doing nothing and just having grief, I went out and continued my teaching.

I went to the United States, I taught in four universities ... and now I am settled with the University of Maryland, and there is a chair there named for my husband for development and peace. I am filling my life and continuing his work for peace with dignity, with honor and justice.

CNN: March 26 is the 30th anniversary of the formal signing of the Camp David Accords. Were you at the White House for the signing that day?

Sadat: Of course, I was there, I was with my family and with my children. It was unforgettable to see the Israeli delegation and the Egyptian delegation and the American delegation and instead of enemies they were friends, talking and chatting. It was something that I would never ever forget. My tears were coming down, I could hardly control them, because I was so happy to see that we are all like one family.

And that's why I am dying to see peace between the Israelis and the Palestinians and the Syrians and the Lebanese so we can live as one family and concentrate on our problems. We have so many problems in our countries to solve, we have to raise the standard of the people, we have poverty, we have illiteracy. Let us concentrate on this, not concentrate on waging war.

@highlight

Thirty years after the Camp David accords, Anwar Sadat's widow hopes for peace

@highlight

Jehan Sadat's husband was assassinated two years after the treaty signing

@highlight

She says Islam is a religion of peace and the people of the Mideast want peace