(CNN) -- President Obama is immensely popular overseas and his re-election will be welcomed by many. But how will his second-term agenda differ from the first? And what will it mean for a global economy where growth in emerging markets is hesitant, and a massive sovereign debt crisis continues to brew in Europe?

Read more: Five things Obama must do

One thing is certain. In the immediate aftermath of a grueling and divisive campaign, and confronted with a national emergency -- the fall off the "fiscal cliff" -- Obama's immediate priorities will be domestic, not international.

Drawing on the authority conveyed by electoral victory, he will seek to establish a constructive dialogue with Republicans who continue to control the House of Representatives and who can filibuster his agenda in the Senate, just as before.

Above all, he will seek to avoid large tax increases and expenditure cuts worth about 4% of GDP that will be triggered automatically on January 1 next year, should he fail to reach agreement on a long- term plan of fiscal consolidation worth some $3.5 trillion to $4 trillion over 10 years.

Read more: World worries as U.S. fiscal cliff looms

If the U.S. falls off this fiscal cliff into recession, the outlook for the world economy, already gloomy, will darken further.

The task of keeping the eurozone afloat, amid scared investors and depression-level unemployment in Spain and Greece, will become even harder.

The risk of a renewed global banking crisis triggered by sovereign defaults in Europe would escalate sharply. Nor could the U.S. or Europe deploy the policy arsenal they possessed in 2008 to right the ship -- their fiscal and monetary bullets have been spent.

Confronted with this dire alternative, Obama will have to compromise by accepting a program of long-term cuts in social programs while Republicans accept phased tax increases -- both departing from their diametrically opposed electoral platforms.

As a minimum, this compromise will include a claw back of the payroll tax reduction, and of extended unemployment benefits as well as some expenditure cuts, adding up to 1% to 2% of U.S. GDP in 2013.

The likely effect will be that the recovery will remain sluggish, and the world's growth locomotives will again have to be found, if anywhere, in China and other emerging markets.

Quest: Which way will economy go?

The uncertainty surrounding the U.S. fiscal outlook is likely to persist for several months and if, as is possible, the only feasible compromise turns out to be temporary, new fiscal cliffs may loom in the future, extending the uncertainty over years to come.

This outcome is possible because the election outcome has not fundamentally altered the balance of forces.

An obvious implication is that the U.S. will remain fiscally bound as far as the eye can see. Europeans will have to rely on their own resource to deal with their dangerous crisis, with the U.S. urging action and support through IMF involvement, but without providing money for rescue programs either directly or indirectly through the IMF.

Read more: Second Obama term would confront fiscal crisis before inauguration

Resources for international aid will remain scarce and may be cut along with other programs. With the Europeans and the Japanese also retrenching, international organizations will increasingly look to China and other emerging markets for additional funds and new initiatives, buttressing the influence of the rising powers in their deliberations.

Perhaps fortified by weather events such as Hurricane Sandy, Obama's second term may bring renewed efforts to encourage control of carbon emissions through environmental regulation, which could yield some modest results.

However, given the profound skepticism about climate change in many quarters, the array of special interests in favor of fossil fuels, and the simple fact that the median American family has seen its living standards decline over many years, the appetite for increased gasoline or other carbon taxes will be low.

The new administration can be expected to pursue the development of shale natural gas (a clean alternative to coal) and reduced reliance on imported energy with alacrity. The positive effect on reduced gas prices in Europe and other regions of these new American technologies is already being felt.

Read more: Fiscal cliff looms over campaign climax

Increased use of natural gas in lieu of other fuels, and the continued "dematerialization" of the American economy, will in any event help mitigate the nation's emissions for a long time to come.

One arena where the new term may bring more daring initiatives is trade. This is ground where the administration and the Republicans in Congress may be able to join forces, perhaps as part of a broader bargain that would include tax reforms in support of business, and assistance for workers displaced by trade -- both of which Obama has also advocated.

Trade measures will likely include implementation of recently ratified trade agreements, determined pursuit of the Trans-Pacific Partnership, and may include a renewed effort to close on a low-ambition and partial Doha deal.

Markets may breathe an immediate sigh of relief that the election did not end in a dead heat or require extensive recounts, or pitted Obama against a Republican senate. Stocks in healthcare and in alternative energy may be boosted more durably by his re-election. But until the deadlock over how, and how quickly, to effect fiscal consolidation is broken for good, and U.S. politics finds a way to address the nation's structural challenges -- including exploding healthcare costs and its chronically low savings rate -- there is little reason to expect a trend shift in equity prices.

For the time being, the U.S. government continues to borrow at the most advantageous rates, in part for lack of better alternatives.

Everyone knows this cannot last -- how long it will is anyone's guess.

The opinions expressed in this commentary are solely those of Uri Dadush

@highlight

Uri Dadush says Obama will seek to avoid tax increases scheduled for January 2013

@highlight

If the U.S. falls into recession, the outlook for the world economy will darken, he says

@highlight

The risk of a renewed global banking crisis would escalate sharply, he says