WASHINGTON (CNN) -- The Iraq war has strained U.S. forces to the point where they could not fight another large-scale war, according to a survey of military officers.

U.S. troops patrol Haifa Street in Baghdad last week.

Of those surveyed, 88 percent believe the demands of the Iraq war have "stretched the U.S. military dangerously thin."

On the other hand, 56 percent of the officers disagree that the war has "broken" the military.

Eighty percent of officers believe it is unreasonable to expect the U.S. military to wage another major war successfully at present.

Foreign Policy magazine and the Center for a New American Security on Tuesday issued the U.S. Military Index, a survey of 3,400 present and former U.S. military officers.

"We asked the officers whether they thought the U.S. military was stronger or weaker than it was five years ago," said Michael Boyer, who helped write the report.

"Sixty percent said the U.S. military is weaker than it was five years ago," Boyer told reporters.

The report found that officers "see a military apparatus severely strained by the grinding demands of war." More than half of the officers responding cited the wars in Iraq and Afghanistan, and the "pace of troop deployments" needed for those conflicts, the survey said.

The report comes a few weeks before the five-year anniversary of the Iraq war, where a troop "surge" is winding down by summer. The U.S. military is proposing a pause in troop reductions for a period of review before any more decisions on withdrawals.

The officers have "an overwhelmingly negative view" of many of the early decisions shaping the Iraq war, but most believe the present U.S. counterinsurgency strategy and troop increases are good omens for success in Iraq.

A majority of officers in the Iraq war say some policy decisions have "hindered the prospects for success there."

"These include shortening the time units spend at home between deployments and accepting more recruits who do not meet the military's standards. Even the military's ability to care for some of its own -- mentally wounded soldiers and veterans -- was judged by most officers to be substandard," the survey found.

At the same time, 64 percent of the officers believe morale in the military remains high.

Nearly three-quarters of the officers believe civilian leaders set "unreasonable goals for the military in post-Saddam Iraq."

"They believe more troops were needed on the ground at the start of the fighting. They believe disbanding the Iraqi military was a mistake," the survey said. However, nearly nine of 10 think the surge and Gen. David Petraeus' counterinsurgency strategy are "raising the U.S. military's chance for success there."

The officers believe "that either China or Iran, not the United States, is emerging as the strategic victor" in the Iraq war.

"The United States has been preoccupied away from Asia," said Kurt Campbell, the head of the group that conducted the survey.

China's rising influence worldwide predates the war but is part of a "great game under way in Asia for influence, for relationships," Campbell said.

The U.S. focus on Iraq "sends a message to our friends and others that maybe we're not as focused on the drama that's playing out there," he said.

Iran has gained from the war because of the removal of Iraq "as a strategic counterweight," the report said.

The survey portrayed Iran, the Taiwan Strait (where tensions have flared between China and Taiwan), Syria and North Korea as four potential hot spots and sought opinions of how prepared the U.S. is "to successfully fight a major combat operation there."

Officers were asked to judge the preparedness of the U.S. on a scale of one to 10, with 10 meaning "fully prepared" and one indicating "unable to execute."

Iran was rated 4.5, the Taiwan Strait ( where there have been tensions between China and Taiwan) 4.9, Syria 5.1, and North Korea 4.7.

The officers ranked the Navy and Air Force readiness the highest at 6.8 and 6.6, respectively. The Army and Marines, which have assumed the "bulk of the burden in Iraq and Afghanistan," ranked 4.7 and 5.7, respectively.

Other results of the survey:

@highlight

Eighty percent of officers: It's unreasonable to expect U.S. to wage another major war

@highlight

Officers have "overwhelmingly negative view" of early decisions shaping Iraq war

@highlight

Fifty-six percent of officers disagree that the Iraq war has "broken" the military

@highlight

Results based on survey of 3,400 present and former U.S. military officers