London (CNN) -- The landscape of German politics is changing. Angela Merkel has just been re-elected chancellor and is considered the country's most powerful female politician ever. And now, for the first time in its history, two black politicians are entering parliament.

Charles Huber of Merkel's Christian Democratic Union (CDU) and Karamba Diaby from the Social Democratic Party of Germany (SPD), were elected in this month's general election to Germany's parliament, the Bundestag.

Huber, 56, is a television actor in Germany well-known for starring in the detective TV series "Der Alte" ("The Old Man") for years. He was born in Munich to a Senegalese father and a German mother.

Diaby, 51, was born in Senegal and gained German citizenship in 2001. After his election he told CNN: "We are a country of diversity, people of all religions, ethnicities and skin colours live here, but it's time that this is being reflected in politics and public service. There is urgent need for action."

Angela Merkel's recipe for success

Diaby studied at university in Dakar: in 1986 he was awarded a scholarship and moved to Halle in former communist East Germany to undertake a doctorate in chemistry.

"German society is changing and there have been several positive developments," said Diaby. Measures he cited included the introduction of legislation to recognize degrees obtained abroad and the implementation of the Immigration Act in 2005, which opened up Germany to immigration.

"The language has also changed," Diaby said. "We don't use the word 'foreigners' anymore, but now we say 'people with a migration background'."

Video: Immigration and integration in Germany

Diaby's first priority now that he is a lawmaker in the Bundestag is to tackle the issue of education to ensure that everyone in Germany, no matter what their ethnicity, skin colour or financial background, has access to good schooling. "Educational success is very much dependent on how big the parents' wallet is," he said.

He also wants to debate the introduction of dual citizenship as at the moment German citizens born to non-German nationals have to choose a citizenship before they turn 23. "I hope that my candidacy will make a change and put an end to some prejudices," he said.

In addition to the election of Germany's first two black lawmakers to the Bundestag, Merkel's party now also has its first Muslim lawmaker in the parliament, with Cemile Giousouf -- who was born in Germany to Turkish immigrant parents -- representing the city of Hagen in North-Rhine Westphalia. Muslim politicians have been elected to Germany's parliament in the past -- the first in 1994 -- but they have mainly represented the Social Democrats or the left-wing Die Linke.

Multiculturalism is no failure

Out of the 630 seats in parliament, 34 -- or just over 5% -- are now taken by lawmakers with immigrant backgrounds, up from 21 in the previous term, Migration Media Service, a group that researches immigration in Germany, said in a statement.

"It's a positive development when the parliament is starting to reflect society," said Tanja Kiziak of the think-tank Berlin Institut, which researches demography and development.

But it's still a way off from reflecting Germany's 81.9 million population as a whole: around 20% of people have immigrant roots, with a large majority of those from Turkey.

"The issue of integration is being discussed more and more, of course it's a controversial topic in society," said Kiziak, "but at least now it's on the table."

@highlight

Charles Huber (CDU) and Karamba Diaby (SPD) are the first two black politicians in the Bundestag.

@highlight

Just 5% of all MPs have immigrant backgrounds - while 20% of Germany's population have roots abroad.

@highlight

Issues Diaby wants to debate in parliament include dual citizenship, education and immigration laws.

@highlight

Cemile Giousouf is the CDU's first Muslim Bundestag member.