(CNN) -- After becoming the first team to defend the European Championships, adding a second continental title to the World Cup won in 2010, many observers have been quick to label Spain the greatest team in the history of international football.

An emphatic 4-0 thrashing of Italy, the biggest margin of victory ever seen in a world or European final, continued a remarkable run which has seen Spain not concede a goal in a knockout match since the great Zinedine Zidane found the back of their net for France at the 2006 World Cup.

Comparisons are now being drawn with teams like the Pele-inspired Brazil of the 1970 World Cup, which won six games at the tournament to become three-time world champions -- averaging 3.2 goals per game.

So how do Spain, led by the "illustrious" Vicente del Bosque and built around the Barcelona-bred midfield axis of Xavi and Andres Iniesta, stack up against the "selecao" of 42 years ago, which featured icons like Pele, Jairzinho and Tostao?

"A team who win back-to-back European titles, and a World Cup in the middle, have a very strong claim to being the best ever," said World Soccer contributor and Brazilian football journalist Fernando Duarte.

"My pinch of salt would be the Brazil 1970 side, how many chances would they have had to play big tournaments? The South American Championship (now the Copa America) was always poorly organized."

La Roja's recent domination of international football has been underlined by goalkeeper and captain Iker Casillas, who, after Sunday's final in Kiev, became the first player to record 100 wins in international football -- accumulated over 137 matches.

Blog: Spain make compelling case as best team ever

The Real Madrid goalkeeper's importance to his country was apparent as Spain conceded just one goal en route to retaining their European crown -- Antonio di Natale's strike for Italy when the two teams drew 1-1 in their opening Group C match.

In contrast Mario Zagallo's samba stars shipped seven goals in just six games in Mexico in 1970.

"Spain have arguably one of the best goalkeepers to grace this world," said Duarte. "Iker Casillas is unbelievably good. He's so good people now presume Spain has always produced good goalkeepers.

"Until the mid-1980s, Brazil were known for producing dodgy goalkeepers. Felix, the goalkeeper in 1970, was bad. Even by the standards of Brazilians, people used to say he wasn't the right guy."

But the success of Zagallo's team was not built on defense. Instead it was made possible through an irrepressible attack which, in powerful forward Jairzinho, boasted one of only three players to have scored in every match of a World Cup tournament.

Jairzinho's goals, combined with the four scored by Pele and three from Rivelino, helped Brazil amass 19 in six World Cup matches, beating reigning champions England along the way.

"Jairzinho is a hero," said Duarte. "He is like the typical striker every European team would love to have. That guy was like a bulldozer.

"They had Pele, in his swansong after two very mediocre World Cups in 1962 and 1966. They were a machine, a very efficient team.

"They could play the ball, they could do a lot of trickery. But on the other hand, they appealed to the Europeans because of the lack of 'samba' or dribbling. They were pretty much a European team."

Duarte also points to the physical prowess of Zagallo's 11, who helped shatter traditional preconceptions regarding the strength and fitness of South American players -- culminating in a thumping 4-1 win over Italy in the 1970 final.

"Brazil showed up in Mexico City with a bunch of horses," explained Duarte. "Clearly they could play, but they were also fit.

"Italy beat West Germany in the semifinal and arrived in the final against Brazil tired, they were steamrollered by the Brazilians. Every second half in that competition, Brazil murdered everybody else."

The lasting appeal of this Brazil team, Duarte believes, is also linked to technology which allowed the 1970 World Cup to be beamed around the globe in color -- allowing viewers a first glimpse of the iconic yellow shirt.

"It was the first global World Cup. People sat in front of the television and watched it properly.

"No one remembers 1962 and outside of Europe people don't really remember 1966. It was a World Cup where TV technology was pretty much together. It was easier for people to see it."

Iniesta 'symbolized Euro 2012 success'

Taking into account all of the statistics, considering Spain's domineering tiki taka possession-based style and Brazil's "jogo bonito," which team will history remember as the better?

"I would love to see them play against each other," said Duarte. "As a dynasty, Spain now are better. That Brazilian team was nothing like the team of four years earlier. The Spanish team has been largely the same since 2008.

"Head-to-head, I think some differences have to be observed. Spain doesn't have a Pele, they certainly don't have a Carlos Alberto (the captain who scored the iconic fourth goal in the 1970 final -- widely regarded as the finest in history)."

The next World Cup will be hosted by Brazil, bringing back memories of when the South Americans held the tournament in 1950, missing out on a first world crown by losing in the final match to Uruguay.

"The pressure of playing at home will be horrendous," explained Duarte. "Even in a meaningless match, if Brazil don't score in the first five minutes the crowd start booing.

Blog: Are Spain boring?

"South American champions Santos played Barcelona (of Spain) in the Club World Cup final last year, and that's one of the things which has Brazil scared.

"Santos were trounced and that sent shockwaves around Brazil. These guys were the basis of the Spanish team, and they just made fools of the best team in South America."

So is there any hope of Brazil lifting the World Cup trophy for a sixth time at a rebuilt Maracana stadium in two years' time?

"They have some very decent players emerging. Striker Neymar is a genius, you have players like attacking midfielder Ganso and playmaker Oscar," Duarte said.

"I am sure they will have a very good team in 2014. If you asked me right now, 'Will Brazil win the World Cup?' my answer is no. Can Brazil win it? Yes, if things change."

@highlight

Many observers have labeled Spain the greatest team in the history of the game

@highlight

Spain have won three major successive international tournaments.

@highlight

Brazil's 1970 World Cup winning team won all six games in Mexico

@highlight

Jairzinho scored in every match of the 1970 World Cup