WASHINGTON (CNN) -- Human rights groups are asking President-elect Barack Obama to pay early attention to the crisis in Sudan's troubled Darfur region, where government forces have waged a bloody war against militias that some international critics have characterized as genocide.

Sudan President Omar al-Bashir has agreed to a cease-fire with rebels, which could give the U.S. an opening.

"We've seen the military surge in Iraq. We've seen the development surge that NATO's announced for Afghanistan," said Darfur activist John Prendergast. "What's really needed in Sudan and the broader Horn and East Africa region is a peace surge."

Prendergast's ENOUGH organization to combat genocide is a project of the Center for American Progress, a Democratic think tank run by Obama's transition co-chairman, John Podesta.

Prendergast and other Darfur activists penned a recent letter to Obama, asking him to designate a team to focus solely on the Darfur issue within the first 100 days of his administration.

"It's about putting a few people, a team of people, on the case with the objective to end the crisis in Sudan, not simply manage the symptoms through massive amounts of humanitarian aid and peacekeeping support," he said.

Fighting in the western region of Darfur started in 2003, when rebels began an uprising and the government launched a counterinsurgency campaign.

The Sudanese authorities armed and cooperated with Arab militias that went from village to village in Darfur, killing, torturing and raping residents, according to the United Nations, Western governments and human rights organizations. The militias targeted civilian members of tribes from which the rebels draw strength.

In the past five years, an estimated 300,000 people have been killed through direct combat, disease or malnutrition, the United Nations said.

Another 2.7 million people have been forced to flee their homes because of fighting among rebels, government forces and allied Janjaweed militias.

During the presidential campaign, Obama called the crisis in Darfur "a collective stain on our national and human conscience" and said he would make ending it a priority on "Day One."

Obama has promised to appoint a special envoy to deal with the Darfur issue and implementing the Comprehensive Peace Agreement, which ended the decades-long civil war between the North and South.

That agreement could be a model for a peace process in Darfur, Prendergast said. Although the United States does not have to lead the peace process, it could be an active partner in the global effort to develop a strategy for getting the various parties in Sudan together, he said.

"There will be much bigger issues, much bigger fish to fry in the kitchen for the new Obama administration. No question," he said. "But part of governing is walking and chewing gum and eating crackers and doing all this stuff at the same time. And we think the administration can make the creation of a sustained serious peace process for Darfur a top priority."

Obama could have an opening to make a difference in Darfur. Sudan President Omar al-Bashir has agreed to an immediate, unconditional cease-fire with Darfur's rebels, which could pave the way for international talks.

Activists have called on the incoming Obama administration to strengthen the current arms embargo and continue to support investigations by the International Criminal Court into war crimes by al-Bashir, leading Sudanese officials and certain members of rebel groups.

More pressure, Prendergast said, should be brought to bear on countries like China, which has vast oil interests in Sudan. During the campaign, Obama said that if elected, the crisis in Darfur would be elevated to a major issue in the bilateral U.S. dialogue with China.

@highlight

Human rights activist calls for "peace surge" in Darfur, Sudan

@highlight

Activists ask Obama to create team to focus on Darfur in first 100 days

@highlight

During campaign, Obama said ending crisis would be a priority on "Day One"