Washington (CNN) -- The Boston Marathon bombing was an all-too-familiar tragedy for Israeli medic Eli Beer. In his line of work, he's seen hundreds of similar attacks.

"I wish I could have been there to help," says Beer, adding he happened to be in the area finishing up coursework at Harvard and had taken a walk down Boylston Street just the day before the incident.

Beer is founder of United Hatzalah, an all-volunteer rescue service in Israel, where emergencies are a way of life.

Friday in Washington, he powered onstage -- sirens blaring -- aboard one of his signature "ambu-cycles" (an emergency-adapted motorcycle), stunning his audience at the Kennedy Center.

A featured speaker at TEDMED -- the annual conference that brings together medical professionals, scientists, researchers, educators, artists and athletes -- Beer's talk carried the provocative title: "How can we save 40,000 lives in under three minutes?"

He answered the question this way, "The average response time of a traditional ambulance is 12 to 15 minutes -- we reduce it to less than three minutes. Our response is the fastest in the world. We call our approach a lifesaving flash mob. On motorcycles, traffic doesn't stop us. Nothing does."

When seconds count

"Last year, United Hatzalah (Hebrew for 'rescue') treated 207,000 people -- more than 42,000 of them in life-threatening conditions," says Beer. "We got there in under three minutes and made a huge difference."

He leads a team of 2,000 skilled volunteers -- EMTs who range professionally from "expensive lawyers to people who sell fish or shoes," he says.

Boston Marathon bombing heroes: Running to help

They make record time in a fleet of small cars, ambu-cycles, ambu-tractors and ambu-boats -- all equipped with heart defibrillators, breathing tubes, burn wraps and maternity kits. Usually, they get there first, treating and stabilizing patients until ambulances arrive for transport.

Each volunteer handles an average of 60 calls a month. The service operates 24 hours a day, seven days a week, 365 days a year.

Beer's innovative work stems from his own dreadful experience as a child. He was 6 years old when a terrorist bomb blew apart a Jerusalem bus passing right in front of him. Shocked, fearful and helpless, he fled the fiery scene where six people died and scores were injured. But he would not forget.

"That day began a simple dream -- the dream of being able to save people from dying waiting for an ambulance," reflects Beer. As a teen, he bought two police scanners, then dropped out of high school to become a paramedic.

In 1989, he built the operation from the ground up, bucking bureaucracy, legal tangles and resistance from unions and existing emergency services.

"This started with chutzpah. I was going to find a way around it. I didn't wait for authorization and stickers," says Beer. "We go, we don't charge and we don't require patients to have insurance. We don't ask questions about ethnicity or religion -- it's not about saving Jews or Muslims, it's about saving people."

United Hatzalah responders use a specially designed, state-of-the-art GPS system called NowForce.

"We are all connected with an app on our smartphones," says Beer. As calls come in, traffic-control navigators alert the first five responders closest to the scene. There are times volunteers tear out of their homes in the middle of the night and arrive onsite still wearing pajamas.

"At first, huge monopolies saw us as hurting their business. What's evolved is that they've actually reduced prices because of us. Their service got better because of us," says Beer.

"Now, we work closely with more than 100 ambulance companies in Israel. They know we are there for them. We don't replace ambulances -- we fill a gap. We send our people out to the scene. Whenever the ambulances arrive, that's fine. If there's a patient we can save, we will be there to save them."

There is no shortage of volunteers. In fact, there is a waiting list to sign up for the organization's 300-hour training course.

First responder's emotional story

"Our volunteers are Jews and non-Jews, Muslims and Christians -- we help one another by saving lives," says Beer. He believes the reward of giving back is greater than any other form of payment.

"Judaism teaches when you save someone's life, you're actually saving the world, because you just saved the whole world for this one person and the generation to come. People want the satisfaction of being part of this -- and they sacrifice a lot to do that," he says.

Now 39 and the father of five, Beer recalls the first time he saved a life. At age 16, he treated a seriously injured man who had been struck by a car. The next day, he got a thank-you call from the man's son. "Best call I ever got in my life," says Beer.

Growing globally

His life-saving ingenuity is gaining recognition. United Hatzalah has operations in Brazil and Panama -- and plans to set up next year in India. "This is something that is easy to adopt. Anywhere I can go and share, I want to be there," he says.

Beer notes that the Hasidic Jewish community in New York has used the same technique (traveling on emergency bikes or cycles) for decades, successfully exporting the idea to other countries as well.

The bombing this week in Boston reinforces what Beer learned the day he saw that first bus bombing as a boy -- every precious second counts. "We are fighting for each second to get there. Seconds make the difference between life and death," Beer says.

"A lifesaving flash mob sounds to me like the world's next, greatest medical innovation," TEDMED curator Jay Walker said after Beer's talk.

The next goal for United Hatzalah, which operates entirely on donations, is to cut response time in half.

"How can we save 40,000 lives in just 90 seconds? We all want to be heroes," says Beer. "We just need a few good ideas and a lot of chutzpah."

@highlight

Eli Beer founded an all-volunteer rescue service in Israel

@highlight

The organization has reduced emergency response time to 3 minutes

@highlight

At age 6, Beer saw a bus bombing in Jerusalem

@highlight

"It's not about saving Jews or Muslims, it's about saving people," he says