(CNN) -- Some people are wondering about the capability of the Secret Service after it was revealed that Omar Gonzalez, the fence jumper who breached White House security two weeks ago, made it much farther into the house than previously reported, running through the first floor before he was apprehended outside the Green Room.

The details of Gonzalez's intrusion, coupled with a new report on Tuesday that an armed security contractor was allowed to get into an elevator with the President on a recent trip to the Centers for Disease Control, plus a report that it took the Secret Service four days to learn that seven bullets had hit the White House's residence area in 2011 and a string of other blunders in recent years (such as a couple crashing a state dinner and a prostitution scandal in Colombia), have put the Secret Service under a harsh light.

The problems plaguing the Secret Service go beyond PR embarrassments, and changes seem inevitable. But despite the cries of reform, significant alterations to the way the agency functions will be difficult and ultimately may not even be known to the public.

A change at the top

Secret Service Director Julia Pierson's future is uncertain. On Tuesday, White House Press Secretary Josh Earnest said President Obama has confidence in Pierson, whom he appointed in 2013. But the fervor surrounding this incident doesn't bode well for Pierson, the agency's first female director.

"When you lie, and when you obfuscate and when you cover up, especially in the 21st century, that's an offense you can't walk back from," said Jeffrey Engel, director of the Center for Presidential History at Southern Methodist University and a Secret Service expert. "That's really the kiss of death for any leader."

How much blame Pierson actually deserves is entirely unknown, and the replacement of an agency head -- though often necessary because of optics -- is sometimes purely that: It doesn't always bring about change.

"It's basically impossible that agencies are so entrenched and so enmeshed in their own long-term culture that any change in personnel at the top is merely about symbolism," Engel said. "It's unlikely in the short term to make any significant impact in how the agency operates."

Obama appointed Pierson as Secret Service director after her predecessor, Mark Sullivan, retired in early 2013. Sullivan's departure came in the wake of another scandal -- when several male agents on a presidential trip in Cartagena, Colombia, took prostitutes back to their hotel rooms -- that rocked the agency nearly a year earlier.

Secret Service beefs up presence after 2 White House security incidents

Obstacles to change

Though its director is appointed directly by the president, the Secret Service is not its own government department. It has been a branch of the Department of Homeland Security since March 1, 2003, shortly after that department was established. Previously, the Secret Service had been part of the Treasury Department but was moved to streamline the various security measures around the president, the vice president and their families.

"The entire purpose of moving their institutional affiliation after the reforms, after 9/11, was in order to allow them to focus on their core mission: to protect the president," Engel said. "This was supposed to streamline that and supposed to help with actual physical security issues."

Change in large bureaucratic structure at agencies such as Homeland Security (or even Treasury) is typically difficult and moves very slowly. Plus, the agency did not escape budget cuts in 2013.

There may also be a cultural roadblock to potential reform.

"The Secret Service has the attitude of 'we make do with less; we can take care of any problem,' " said investigative journalist Ron Kessler, a critic of the Secret Service who wrote about some of the details in the 2011 White House shooting in his book "The First Family Detail."

The good news is that the Secret Service, which is highly selective, is much smaller than most government agencies, so change could be a bit easier.

Secrecy factor

The Secret Service has two missions: protecting the president, the vice president and their respective families, plus past presidents and presidential candidates, and investigating crimes including identity theft, counterfeiting and computer fraud.

The protection responsibility is the more recognized of the two and the task that received the majority of the agency's nearly $1.6 billion budget in 2014: $920 million of that total allotment went to protection costs. Because of the nature of its mission, many of the agency's protocols are secret.

"They assiduously don't want their protocols available for the public to discuss," Engel said. Even some changes in customs brought about by these incidents might not be publicly revealed.

A strong record

Recent incidents aside, the Secret Service, which has been protecting American presidents since 1906, still boasts a generally impressive record. Hundreds of fence jumpers have been apprehended immediately, thousands of presidential trips have gone off without a hitch domestically and overseas, an untold number of threats have been neutralized, and there's been an ability to keep up with ever-evolving technology that poses new dangers.

Secret Service director calls White House intrusion 'unacceptable'

@highlight

Significant changes to the Secret Service could be difficult to implement

@highlight

The Secret Service operates as a part of the Department of Homeland Security

@highlight

The agency is facing harsh criticism after an unprecedented White House breach