(CNN) -- Dozens of the U.S. diplomatic cables obtained and published by WikiLeaks cover a worldwide phenomenon that has been persistently troubling to the United States: drug trafficking. And those cables come not just from Mexico City, but from many corners of the world -- including Cuba and several embassies in West Africa.

Perhaps most revealing is the cooperation between the United States and Cuba over trafficking through Jamaica. A cable from August 2009 talks about multiple contacts between the U.S. Coast Guard and Cuban Interior Ministry.

The Cubans were complaining that Jamaican smugglers were using "both Cuban airspace and waters to transport narcotics ultimately destined for the United States, but their repeated attempts to engage Jamaica on the issue have been ignored."

Cuban officials had shown one plane to a U.S. Coast Guard official. On their way to a rendezvous in Bahamian waters, the crew had made an emergency landing after allegedly dumping 13 bales of marijuana in a rural area of Cuba. In another case, information from the U.S. Coast Guard helped the Cuban Border Guard intercept a vessel carrying 700 kilograms of marijuana.

The cable says that Cuban officials "collectively and continually ... express frustration over the GOJ's [Jamaica's] consistent ignoring of Cuban attempts to increase the flow" of drug-related information between the two island nations to increase interdictions and avoid "being surprised by drugs."

Despite translating information on boat and aircraft movements from Spanish to English, Cuban officials said their Jamaican counterparts rarely took action.

But the Cubans were not about to give their ideological enemy a free pass.

"GOC [Cuban] officials ultimately blame the United States for this problem due to the high demand for illicit narcotics by United States consumers," concludes the cable.

There seems as much concern about narcotics trafficking on the other side of the Atlantic, with Ghana becoming a focus. One cable from last year even reports the request of Ghanaian President John Atta Mills that screening devices be used for senior officials leaving the country "to avoid any surprises if they are caught carrying drugs."

"The President told the Ambassador that he knows elements of his government are already compromised and that officials at the airport tipped off drug traffickers about operations there," according to another cable from 2009.

But the cable notes that previous scanning devices, known as itemizers, deployed to the VIP lounge at Accra airport had been sabotaged. It quotes one British official involved in combatting drugs in West Africa as saying "the filters were removed."

"He noted that the cost of maintenance on the itemizers is less than the cost of diverting flights on which passengers suffer drug overdoses. Within the last few months ... KLM has diverted to Spain two flights from Accra to Amsterdam because passengers started vomiting drugs. In both cases, the passenger died."

Another cable notes that the Ghanaian police had "lost a large amount of drugs kept in their possession that was to be used as evidence in future trials." The United States was building a secure room at police headquarters in which to store evidence.

But there had also been some successes.

One day last year, a container that had arrived at the Ghanaian port of Tema marked as "chewing gum" raised the suspicion of customs officers "because it originated in Ecuador rather than the Far East, as usual." They opened the container and found 71 kilograms of cocaine.

Last year, three men were extradited from Ghana to face trial in New York for alleged links to Islamic extremists and drug traffickers, the "unholy alliance" that concerns U.S., United Nations and European officials in West Africa. Two were from Mali, which also comes under scrutiny in the leaked cables.

One, from February this year, covers the history of an ancient Boeing 727 variously registered in Saudi Arabia and Guinea-Bissau that had somehow become stranded at a desert airstrip in northern Mali in October 2009. Not much surprise in that, as its airworthiness certificate had long ago expired. But that had not prevented someone from flying it across the Atlantic between Colombia and a dried-up lake bed in northern Mali, according to officials from Guinea-Bissau quoted in the cable.

Just what the plane was carrying, and who was operating it, was still a mystery months after the crash because "not even the Drug Brigade of the Malian Judiciary Investigation Police was allowed to make inquiries" -- and the regional U.N. Office on Drugs and Crime was not informed of whatever investigation was carried out.

Another cable from July of last year demonstrates the widespread concern of diplomats in West Africa about "the institutionalization of drug and criminality in several West African countries, especially along the coast." One British diplomat "indicated that the UK has a good understanding about how the drugs arrive to West Africa, but not how they go North from there and how they are related to terrorist issues."

At the same meeting, a U.S. diplomat expressed concern that "Hizbollah networks in West Africa might tap into the drug trade due to its high levels of profit." The Lebanese guerrilla movement has established connections in West Africa and South America, according to drug enforcement sources.

@highlight

Cubans complained to Jamaica about drug smuggling

@highlight

U.S., Cuban officials cooperated on interdiction

@highlight

Cables show rising concern over West Africa

@highlight

U.S. worried about drug profits funding terrorism