(CNET) -- The imagined inventions of Victorian-era French novelist Albert Robida may be coming closer to reality.

Who, you ask? Robida was an illustrator and writer for popular science-fiction magazines, and is sometimes compared to Jules Verne. In his 1890 novel "Le Vingtieme siecle. La vie electrique," he described something called a "telephonoscope."

Since then, we've seen telephonoscopes -- basically videophones -- in everything from "The Jetsons" to "Blade Runner." What we haven't seen is the videophone in our living rooms.

That may finally be changing.

The common use of videophones could happen through three technologies that separately aren't exactly considered bleeding edge today: high-speed Internet, a television, and Skype. Samsung says it will put the VoIP calling service Skype as an application on its televisions, allowing phone calls to be made on camera right from a couch, just like Jane Jetson talking into her TV set. The Samsung Skype-enabled TV follows similar announcements from Panasonic and LG at the Consumer Electronics Show in January.

The models will range from to $1,200 to $2,000 for Panasonic's set. Samsung and LG have not yet announced how much they will charge.

The Skype on TV application should work similarly on all three models, which in turn should closely mimic the version of the application that many people use to make free PC to PC calls, or for a fee, PC to landline.

Skype accounts are free to set up and can be activated using the TV's remote control right on the screen. The video calls will also be free, as will voice calls between Skype users.

Using Skype to call traditional landline and mobile phones is a few cents per minute. Calls can be answered while watching a program, but it's not yet possible to both talk and continue to watch uninterrupted.

By the time these models actually hit stores in late spring there should be three TV makers offering Skype on their TVs. And not just any three TV makers, but the world's largest overall (Samsung sells practically one of every five TVs sold), the leader in plasmas (Panasonic), and LG, which is close behind Samsung, selling 15 percent of all TVs.

While Robida wrote about the idea, AT&T did the most to advance the idea from the pages of Victorian sci-fi to actuality. Unfortunately its 1960s videophone system, known as the Picturephone, was a bust. Few ever signed up for the service because you had to reserve call times and pay a whopping $16 per minute.

The idea, however, was at least on the right track: making videophones accessible to normal folk. Today teleconferencing is a common tool for companies to put employees in different locations virtually, if not physically, in the same conference room.

But the high cost of the fancy systems from companies like Cisco and Hewlett-Packard doesn't make them consumer-friendly. Cisco also announced at CES it would be offering a home version of its telepresence software sometime this year, and did not yet mention a price.

Videophones for the home have never really caught on in the way they have at businesses. Even versions of the concept built into a corded telephone didn't really generate much excitement. Usually this was a small screen attached to a phone base station and conversations had to take place wherever the phone was plugged in, which tended to be places like a dresser or a kitchen counter.

Video calls today can be made online. They're easy and cheap, and of course don't require the purchase of an pricey new TV. A computer with a built-in Webcam and a voice-over-IP service like Skype or a chat application like Yahoo Messenger usually suffice, but it is still an activity that's attached to a computer, and therefore going to be intimidating to people who either don't like or have trouble with technology.

TVs are far more accessible though. Now with major companies like Samsung, Panasonic, and LG pushing the idea of the TV as videophone, the concept does at least have the chance to catch on.

Consumer surveys show that people are beginning to buy Internet-connected TVs, which allow not just Skype calls, but also other activities on the TV that are normally confined to the computer.

That includes accessing Internet radio and video streaming from services like Pandora and Netflix, and social sites like Twitter, Facebook, and Flickr.

A survey of 800 U.S. consumers who bought TVs in January found that 27.5 percent of them have connected their new sets to the Internet, either through the TV itself or via an external device such as a game console or digital video box, according to iSuppli. And of those, almost 42 percent recently purchased a Web-connected TV.

And Skype likely won't be a brand new concept to a lot of those new TV owners. Skype already has over 521 million registered accounts, so there's a built-in audience who is already signed up and knows how to use it.

But the quality may not be what some people expect, says DisplaySearch analyst Paul Gagnon.

"Teleconferencing is inherently kind of a low-quality experience, especially in a consumer home. On a computer it works OK, but blown up to the size of the TV, I wasn't terribly impressed with some of the demos at CES," he said.

And quality aside, even in terms of logistics, there's a lot to consider. Even with an Internet-connected TV, you still need a decent Internet connection, and for a two-way video call, you have to have people on the other end with the same set up. In other words, "it's really early," Gagnon said.

Time will tell if videophones are just a fad or about to become an integral part of the modern idea of the "connected living room." The tools are there, but it's entirely possible that people don't want to use their TVs like that.

Either way, even if the latest incarnation of Robida's telephonoscope doesn't gain widespread acceptance, he still has a decent track record for his prognostications. Other things he predicted in the same 1890 novel? The use of submarines, helicopters, and biological warfare.

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

High-speed Internet, television and Skype could combine to create videophone

@highlight

Samsung says it will put VoIP calling service Skype as application on its televisions

@highlight

"Teleconferencing is inherently kind of a low-quality experience," analyst says