(CNN) -- European intelligence agencies are on alert for new al Qaeda terrorist plots following the arrest of two men at an Italian port and investigations into the activities of an alleged al Qaeda network based in Brussels.

Bassam Ayachi officiated at the wedding of Malika el Aroud (pictured), who became an al Qaeda "icon."

The two are closely tied to a Brussels-based al Qaeda recruiting network, Belgian counter-terrorism officials have told CNN. They are Bassam Ayachi, 62, and Raphael Gendron, 33 -- and they were detained in the port of Bari on November 11 last year after allegedly trying to smuggle three Palestinians and two Syrians into Italy in the false bottom of a camper van they were driving.

Now they face much more serious allegations following a counter-terrorism investigation by Italian, French and Belgian police. Italian authorities have officially charged them with being leaders of a logistical support team for al Qaeda.

A bug planted by Italian police in the suspects' detention facility picked up snatches of conversation about an alleged scheme to attack Charles de Gaulle Airport in Paris. A partial transcript of one of their alleged conversations has now been released.

"I'll hit de Gaulle," Gendron tells Ayachi.

"We'll hit it there," Ayachi replies. "At night when there will be a lot of people."

Later in the conversation they appear to discuss buying grenades off contacts in the Middle East.

French authorities have said that they were never aware of a concrete plot to attack the airport.

Italy suspects well known to Belgian Security Services

Ayachi and Gendron were detained after Italian authorities allegedly found Jihadist propaganda in their possession when they arrived on a ferry from Greece. Belgian police say they alerted Italian authorities that the pair were known extremists. Ayachi is a naturalized French cleric of Syrian descent, and in the early 1990s had founded the Centre Islamique Belge (CIB), an organization Belgian authorities say espoused hard-line Salafist and pro al Qaeda views. Gendron, described by Italian police as a computer expert, was the main administrator of the CIB's Web site in Belgium. In 2006 Gendron and Ayachi's son Abdel Rahman Ayachi were convicted in Belgium for posting threatening anti-Semitic messages on the site. Their prison sentences were later reduced to a fine by an Appeals court.

A Belgian counter-terrorism source tells CNN that the CIB has clandestinely continued its operations in Belgium. When CNN reporters visited its headquarters on the Rue Memling in Brussels in February, Islamists appeared to still occupy the premises. In previous interviews with Belgian journalists, Avachi said his organization concentrated on pastoral care for Muslims in Brussels and did not promote pro-al Qaeda views.

In April 1999 Ayachi officiated at the wedding of two protégés at CIB, Abdessattar Dahmane and Malika el Aroud. The couple would later become "icons" of the al Qaeda movement, according to Belgian counter-terrorism officials. Two days before 9/11, Dahmane assassinated Ahmed Shah Massoud, the head of the anti-Taliban Northern Alliance, in a suicide bombing operation in Afghanistan. After his death Malika el Aroud, a Belgian citizen of Moroccan descent who had accompanied him to Afghanistan, returned to Europe and founded Minbar.SOS -- a Web site promoting Bin Laden's Jihad. She also remarried. In a CNN interview in 2006 el Aroud demonstrated how she and her new husband Moez Garsallaoui ran the site, which contained postings of attacks on coalition troops in Iraq and translations of the speeches of al Qaeda leaders.

Alleged recruitment for training in Pakistan

According to Belgian police el Aroud and Garsallaoui moved to Brussels in 2007 and worked in tandem to recruit operatives to train in the tribal areas of Pakistan. El Aroud, it is alleged, inspired young men to volunteer for Jihad through her incendiary Web postings. Garsallaoui, the police say, went out to the streets to recruit people. El Aroud was arrested last December in Brussels and charged along with five others with participation in a terrorist group. She denies the charge.

El Aroud and Garsallaoui allegedly recruited six individuals in all, four from Belgium and two from France, according to legal documents obtained by CNN. Those documents include the interrogation report of one of the French recruits who traveled to Pakistan and was arrested when he returned to Europe. The recruit, who can only be named by his initials W.O., told French authorities that several members of their traveling group including Garsallaoui, were given explosives training by al Qaeda trainers in Pakistan's Federally Administered tribal areas early in 2008.

During the two-week course, according to the legal documents, W.O. alleged that Egyptian and Syrian instructors taught them how to assemble weapons, fire rocket launchers, and how to handle explosives. One trainer even set off a small charge of TNT in demonstration, telling them that the explosive was used to attack U.S. convoys in Afghanistan and in suicide vests.

Belgian security services went on high alert after members of the group started to return from the tribal areas in late 2008, concerned they might have been tasked to launch attacks in Europe. According to [Belgian] counter-terrorism sources, the trigger for the Brussels arrests was an intercepted e-mail sent by one of the alleged recruits, Hicham Beyayo, in early December shortly after he returned to Belgium. The e-mail allegedly suggested that Beyayo had been given the green light to launch an attack in Belgium. However no explosives were recovered by Belgian police, and some terrorism analysts are skeptical that an attack was imminent. Beyayo's lawyer Christophe Marchand told CNN the email was merely "tough talk" to impress an ex-girlfriend. Belgian authorities continue to insist that the alleged cell was a potential national security threat.

The alleged role of Ayachi and Gendron

A senior Belgian intelligence source told CNN that Ayachi and Gendron -- the two men detained in Italy -- were known to provide ideological support for members of the alleged Brussels terrorism network, but at this time were not suspected of having played a direct role in recruiting young European Muslims for training in Pakistan. Questions on their role, however, have been raised by a new revelation by Italian investigators, who allege that when they were arrested, Ayachi and Gendron were carrying the last will and testament of Beyayo, whose e-mail had caused such alarm. In the alleged will Beyayo made clear he was ready for martyrdom. "When you hear of my death...don't wear black and most importantly don't display my photo," Beyayo purportedly wrote. "I will emigrate to the field of Jihad to triumph for the religion of God, to defend the Muslim countries and to protect the sacred lands of the Muslims. And I will be a great help to the Mujahedeen brothers."

Marchand told CNN that such a document in no way indicated that his client was preparing an attack in Europe. [He said Beyayo had traveled to the tribal areas of Pakistan to fight with the Taliban in Afghanistan, not to become an al Qaeda operative]. "Writing a will was hardly unusual behavior for somebody whose aim was to go and fight jihad in Afghanistan," Marchand said.

According to Belgian counter-terrorism officials, Ayachi's CIB and Malika el Aroud's Web site served as focal points for many of those linked to the alleged Brussels network. The officials say that, Ayachi, Gendron, el Aroud, Garsallaoui and Beyayo belonged to a tight-knit 20-30 strong community of militants in Brussels. CNN, through its own investigation and through Belgian legal and police sources, has identified the user names under which several of these individuals, including Gendron, Garsallaoui and Beyayo posted messages on El Aroud's site Minbar SOS.

Continued security concerns

According to Belgian counter-terrorism officials, three of the seven individuals who traveled to the Afghan-Pakistan border region in 2008 for training are still at large in the area. Some European counter-terrorism officials believe this is a significant security concern, given the Brussels network's track record In smuggling people into Europe.

In an interview with CNN, Alain Winants, the director of Belgian Intelligence said: "Every secret service will tell you that individuals who are already radicalized and who are in addition are being specialized in some fighting techniques or techniques of propaganda are representing a big risk when they come back."

Those still at large, Belgian counter-terrorism sources say, include Moez Garsallaoui, (Malika el Aroud's husband) who they believe has developed close ties with the top leadership of al Qaeda in the border region between Pakistan and Afghanistan.

Belgian counter-terrorism officials told CNN that Garsallaoui was in regular email contact from the region with his wife before her arrest last December. According to a lawyer briefed on the legal dossier in the Belgian case, in June 2008 Garsallaoui allegedly sent el Aroud an e-mail claiming to have killed five Americans in Afghanistan. His wife congratulated him, according to the legal source.

Garsallaoui also purportedly posted messages on el Aroud's radical Web site from the border region between Afghanistan and Pakistan, including a message posted last September urging militants in Europe to launch attacks. "The solution my brothers and sisters is not fatwas but boooooooms," the posting stated. The posting was discovered by CNN under Garsallaoui's purported user name on the Minbar SOS Web site.

Earlier this week Garsallaoui purportedly posted a new statement on Minbar.SOS. In the message which was entitled "We Need You" he said he had joined up with Taliban forces who were making raids against American troops in Afghanistan from the tribal areas of Pakistan. "The Jihad is going well and the Taliban are stronger than ever, they are gaining territory every day and more important than that they are winning the trust of the local population," he claimed.

But Garsallaoui purportedly also had this sobering message for Belgian authorities:

"If you thought that you could pressure me to slow down through the arrest of my wife you were wrong. It won't stop me fulfilling my objectives...those who laugh last, laugh more."

@highlight

Italy arrests of two men spurs European terror alert

@highlight

Pair closely tied to a Brussels-based al Qaeda recruiting network, officials say

@highlight

Italy charged them with being leaders of a logistical support team for al Qaeda