Hong Kong (CNN) -- Amid a glowing sea of candles and rallying calls for justice, a record crowd packed six football pitches at an annual vigil held in Hong Kong to commemorate the 23rd anniversary of the 1989 Tiananmen Square crackdown.

Organizers announced the highest ever turnout of 180,000 people, while police said the figure was closer to 85,000. By even the most conservative estimates, there were 15,000 more attendees than last year.

While the vigil typically features singing, speeches, video messages and tributes, the clear highlight of this year's event was a special appearance by Fang Zheng, a former student protester who had both his legs amputated after he was run over by an army tank during the crackdown.

Wheeled onto the center of the stage, Zheng, now 46, effusively thanked the crowd for "twenty-three years of support."

Over June 3 to 4, 1989, Chinese troops used lethal force to quash a seven-week-long occupation of Beijing's Tiananmen Square by pro-democracy protesters, who were largely comprised of students. Estimates of the numbers killed range from hundreds to thousands of protesters and soldiers.

In an outpouring of compassion, a continued sense of injustice, and fears for the future, the vigil attracted a broad spectrum of mourners, ranging from people born after the crackdown to elderly residents who have dutifully come every year. The annual vigil in Hong Kong is the only public commemoration of its kind and scale allowed within China's borders.

Volunteer Nicole Lai, 7, handed out bookmarks to passersby at the League of Social Democrats booth alongside her mother. "Many people died so I'm here to pay my respects," she said.

Further down Great George Street, a 27-year-old man surnamed Chow held up subversive T-shirts for sale. Although he was only four years old at the time of the crackdown, Chow said he chose to volunteer his services with his friends Monday to "show his opposition toward the Chinese Communist Party and its disregard for the law."

Michael Pang, 17, has attended the vigil for the past three years out of a sense of civic responsibility. "Even though I wasn't alive during June 4, we need to take the initiative to stand up for our rights and tell our citizens that we have the responsibility to say no to the Chinese Communist Party." The Hong Kong Federation of Students who took to the stage echoed his sentiment, declaring, "Our pain and suffering is the same as that of our parents."

Sitting on bleachers with group of elderly men holding lighted candles in paper cones, 73-year-old Fu Kam-tin said he has been coming to the vigils nearly every year since 1989. Fu, who emigrated from the mainland at age 12, called the Tiananmen massacre "the most apparent example in China's history of the strong bullying the weak." He says he continues to be "very angry and unsettled by these corrupt officials who are harming our country and harming the world."

Ms. Chan Shu-ying said she still has a deep impression of attending a protest in 1989 against the crackdown alongside thousands of Hong Kongers in Happy Valley. Now 53, Chan said, "Coming here every year will fulfill my dream of June 4 being redressed and the democratization of China's political system."

The bumper crowd gathered in Victoria Park amid a politically turbulent year in both Hong Kong and mainland China.

Hong Kong's new Chief Executive, Leung Chun-ying, is due to take office on the first of July after being chosen to lead the special administrative region of China.

The lack of universal suffrage and uneasiness over the mainland government's influence over local affairs have long been contentious issues in Hong Kong.

Leung is perceived by some to take a hard-line approach toward public freedoms. He has been criticized in recent days for refusing to comment on the vigil and the massacre.

China has also encountered multiple political scandals in the run-up to the once-in-a-decade Communist party leadership change this fall, most notably the murky corruption-cum-murder case involving disgraced Chongqing party chief Bo Xilai, and the fleeing of blind human rights activist Chen Guangcheng to the U.S.

"All problems need to be solved; evasion is not a way out," Chen said, in an open letter urging the Chinese government to institute democratic reforms and address the Tiananmen incident. His letter was posted to the website of the vigil's organizer, the Hong Kong Alliance in Support of Patriotic Democratic Movements of China.

During Monday's vigil, Alliance chairman Andrew Lee Cheuk-yan took to the stage to lead the crowd in chants of "Never forget June 4!", "Redress June 4!", "Persevere to the end!"

Lee said that more than 10,000 visitors had already passed through the temporary Tiananmen Square memorial museum in Sham Shui Po, which opened in late April.

He said he hoped last night's cash donations and T-shirt sales would help the alliance establish a permanent museum to commemorate June 4 in Hong Kong.

@highlight

A record 180,000 people attend a Hong Kong vigil to commemorate 1989 Tiananmen Square crackdown

@highlight

It's been 23 years since troops opened fire on pro-democracy activists near the Beijing Square

@highlight

Highlight of vigil was the attendance of Fang Zheng, who had both legs amputated after he was run over by an army tank

@highlight

The vigil attracted children as well as elderly residents who have dutifully come every year