(CNN) -- According to Congress's watchdog agency, there is a new threat facing the nation's armed forces, and the Department of Defense is not doing enough about it.

The threat? Global climate change.

In a recent report, the Government Accountability Office described what that threat looks like today at U.S. military bases: Air Force runways at remote radar sites being eaten away by encroaching tides. Army training ranges that are flooded, burned by wildfires or bogged down by melting permafrost. Submarines in dry dock, threatened by coastal flooding that might permanently damage the multibillion-dollar machines. Investigators heard from military officials that the heavy rain, storm surges, warm temperatures and droughts that caused these conditions are on the rise.

There is just one problem with the GAO's findings: Congress, apparently, is not listening. The House just passed an amendment seeking to bar (PDF) the Department of Defense from dealing with global climate change. It will be a shame if that language becomes law, because the GAO has it right: Climate change is a threat to the nation's security and prosperity.

On the other hand, that does not mean the Joint Chiefs of Staff should muster a Climate Change Brigade to go fight the weather. To paraphrase the commander in chief, just because the military is a really good hammer does not mean climate change is a nail. This is not a threat in the traditional sense of the word, nor is there a military solution. Climate change is fundamentally an economic challenge for civil society and civilian institutions.

There is, however, an important defense role in dealing with this challenge. Military leaders deserve the plaudits they've received for taking action on climate change. The Pentagon's most important contribution lies not in cutting greenhouse gas emissions, however, but in making sure U.S. armed forces are ready for the consequences of global climate change for defense infrastructure and military missions. And in these areas, the Pentagon has a long way to go.

Defense infrastructure is a vast network of land and facilities spread across 27 million acres in every state and around the world. That includes training ranges that are crucial for future military readiness, radar sites that monitor threats to the homeland and bases that support ongoing combat operations. As the GAO report noted, some of these installations are already experiencing climate change effects -- facts on the ground the investigators saw for themselves. The consequences could include higher maintenance costs, fewer training days or even a compromised early warning system for attacks on the United States.

The department has started to take practical steps to protect this critical $850 billion investment by assessing risks and vulnerabilities in some locations. Better information will help the military adapt to changing conditions, such as by helping officials prioritize maintenance dollars or revise building codes. This does not necessarily mean more spending at the Pentagon, just smarter spending.

As for military missions, there are a range of effects to consider. A recent report by a group of retired high-ranking military officers called climate change a "threat multiplier," meaning that although climate change itself may not directly harm U.S. national security, it can worsen or ignite other threats.

Volatile weather patterns may mean less access to food, clean water or shelter, for example, which in turn can undermine weak governments, bring simmering popular resentments to a boil or empower terrorists and extremist groups. Although it is difficult to say whether such destabilization will result in new U.S. combat missions, it is important to consider that possibility and more broadly how these dynamics will affect American interests.

U.S. forces will also have to adjust to changes in the physical environment, most obviously the opening of new navigable waterways in the Arctic. Indeed, the Pentagon released a new strategy for the Arctic just last year.

The most direct consequence for U.S. armed forces will be more military relief missions, such as Operation Damayan, last year's aid to an important U.S. ally, the Philippines. Humanitarian and disaster relief missions will not be limited to overseas locations, either. Fourteen thousand defense personnel responded to Superstorm Sandy, and last year alone, hundreds of National Guard members supported civilian authorities in dealing with everything from floods in Missouri to fires in Colorado to tornadoes in Oklahoma.

The Department of Defense deserves credit for the steps it has taken, such as including climate change in its signature strategy, the Quadrennial Defense Review. But the department also needs to do more to incorporate climate change in how it prepares for the future. To be sure, there are many uncertainties involved, but the Department of Defense is used to matching billions of dollars against uncertainties, risks and long timelines, using analytical tools such as scenarios, war gaming and mathematical modeling. Indeed, there may even be new opportunities, such as positive engagement with key partners and allies that need to develop better means for response and resilience to natural disasters.

Unfortunately, many military men and women are reluctant to jump into what appears to be a widening partisan gap on this issue. But just as defense professionals would not let differences of political opinion on Iran or the rebalance to the Asia-Pacific region stop them from taking prudent steps to plan for the defense implications of both, they should not shy away from climate change.

Secretary of Defense Chuck Hagel said last year that "the effects of climate change ... are far-reaching and unpredictable, demanding our attention and strategic thinking." As the Department of Defense acts on Hagel's words, it will be a matter of pragmatism, not politics. Hopefully, members of Congress will follow the recommendations of their own watchdog and stop trying to stand in the way of the progress the Pentagon needs to make.

Join us on Facebook.com/CNNOpinion.

@highlight

Sharon Burke: Congress' watchdog finds climate change threatens U.S. military bases

@highlight

She says Pentagon is smart to address the issue to prevent further damage

@highlight

House passed legislation that would obstruct effort to fight climate change

@highlight

Air Force runways, Army training ranges, submarines are all threatened, GAO found