(CNN) -- Three years ago, when Scott Hamilton moved from New York to Oklahoma for work, his marriage, and all the rights that went with it, dissolved in the transition.

That's because Oklahoma -- a deeply conservative place -- is one of 38 states that bans marriages between same-sex couples.

To make the move, Hamilton, 52, and his husband, Wayne Johnson, 59, who got married in Connecticut in 2009 and have been together since 1991, had to come to grips with the fact their relationship would no longer matter under the eyes of the law. They had to redo their wills and create new trusts to ensure their assets would be passed smoothly if one of them were to die.

If they were put into long-term care in Oklahoma, he said, the men would have to occupy separate rooms. They must file their taxes separately. And it's almost impossible for them to use the word "husband" without comment.

"Well, who are you? Are you his driver?" a nurse recently asked Hamilton when he was pushing Johnson through a hospital in a wheelchair, as he related it to me.

"No, I'm his husband."

"Oh, good God," she said, dismissively.

Oh-good-God is right.

How does it make sense that a couple's love for each other would be recognized by one state and mocked in another? For lesbian, gay, bisexual and transgender people, the United States has turned into a complicated mess of 50 Americas -- most of which discriminate against them.

Opinion: America is at a crossroads on gay rights

For what other group -- with the possible exception of pregnant women seeking abortions -- are state borders so important? If you're Jewish or tall or Christian or black or fat or old or poor or sad ... your fundamental rights as a human don't change if you drive from the panhandle of Idaho, where same-sex marriage is banned, into Washington state, where it's legal, or from the yellow plains of West Texas, where employees can be fired because of their sexual orientation, to New Mexico, where LGBT workers are protected from institutionalized bigotry.

It makes sense speed limits and marijuana laws would differ.

But not basic rights to dignity and inclusion.

America deals with a host of issues that affect LGBT people -- not just same-sex marriage -- in this sloppy, checkerboard fashion. You can explore some of them with CNN's handy new "LGBT rights calculator." The point, to me, is that this patchwork of laws makes no coherent sense.

Some states allow same-sex couples to adopt.

Others, such as Mississippi, ban it. That leaves couples such as Sara and L.B. Bell -- whom I met on a recent trip to Mississippi, a state that, according to my calculations, ties for having the fewest protections for LGBT people -- to fear that if and when they have a child, it may be difficult for both to maintain custody.

Some states protect LGBT tenants from being evicted because of who they are.

Others, such as Louisiana and Montana, don't seem to think that matters.

Some states let teachers talk about homosexuality in schools -- a healthy step toward ensuring future generations continue to be more accepting of all people.

Others, such as Alabama, require teachers to mention "in a factual manner and from a public health perspective, that homosexuality is not a lifestyle acceptable to the general public and that homosexual conduct is a criminal offense under the laws of the state." Never mind that homosexuality is not a crime, as the U.S. Supreme Court held in Lawrence v. Texas in 2003. And that about half the nation is cool with same-sex marriage these days, a percentage that only will grow with time.

Each state is so different we might as well put up signs on the borders.

Welcome to Oklahoma ... Oh, you're gay??? Please turn around. We can fire you for that here. ...

At least then the statutory inequalities would be visible.

It seems LGBT people have already taken notice.

Opinion: Gay marriage, then group marriage?

A recent Gallup survey of 206,186 people found states with more accepting laws and cultures tend to have higher percentages of openly LGBT residents. Washington, D.C., for example, which allows same-sex marriage, has a 10% LGBT population. North Dakota, where laws and the culture ("Fargo" may have something to do with it, too) are less favorable, is only 1.7% openly LGBT.

That may be because LGBT people in conservative states are less likely to be open about who they are, particularly with a pollster, Gary Gates and Frank Newport write in an explanation of the survey on Gallup's website. "It is also possible that LGBT adults make conscious choices to reside in certain states rather than others," they said, "but this possibility is difficult to assess and seems less likely."

Plenty of gay people, Hamilton included, hope the Supreme Court, which is hearing two cases related to same-sex marriage next week, soon will expand rights for same-gender couples in this country. But even in a favorable scenario -- if California's same-sex marriage ban is invalidated, and if the federal government starts recognizing same-sex marriages -- LGBT people still will be subject to vastly different laws depending on where they live and work. Folks like Hamilton, who moved from New York to Oklahoma, might as well be going from Alaska to Russia.

States, of course, shouldn't give up their right to self-governance.

But when it comes to civil rights issues, they have an awful history of clinging to laws long past their expiration dates. In 1967, 16 states banned interracial marriage. The Supreme Court overturned that. Mississippi and others fought against racial integration in schools. But level heads, and courts, prevailed.

I'm no legal scholar, and I'm not sure exactly what the best strategy would be for ensuring gay people are seen as equal under the law in all states. But I do know that it's far too complicated right now.

Hamilton, the man who lived in New York, decided to move to Oklahoma, where he had grown up, to take a job as executive director of the Cimarron Alliance, a statewide LGBT rights group. The nonprofit asked him, he said, if he wanted a corner office in the new community center the group is unveiling this month.

It has nice big windows, the group told him.

Hamilton turned it down. He worries he would be targeted.

Listen: Voices from the Southern closet

"We are seeing an uptick in anti-LGBT violence here," he told me on the phone. (In one instance, last year, a Tulsa man said he was beaten up because he's gay). "And I think that's part of the change process. When people feel like they're really losing their grip or their hold, oftentimes violence results."

If, heaven forbid, Hamilton were to be victimized because of his sexual orientation and because he's a leader of an LGBT rights group, Oklahoma's state laws wouldn't treat it as a hate crime. On the federal level, as of 2009, LGBT people are explicitly protected. Kansas, a two-hour drive to the north, lists lesbian and gay people as specifically protected from hate crimes, but does not extend rights to transgender people.

Sounds fair, right?

Either we live in a nation that supports LGBT equality or we don't.

But we can't have it 50 ways.

The views expressed in this column are solely those of John D. Sutter.

@highlight

John Sutter: LGBT rights break the country into 50 parts

@highlight

The Supreme Court is set to hear two same-sex marriage cases next week

@highlight

Sutter: Even if court rules for same-sex marriage, a patchwork of laws remain

@highlight

He says state borders matter more for LGBT people than others