If Greek island hopping is the dream, then Greek ferry timetables are usually the reality.

How many travelers have embarked on an adventure from Athens' Piraeus port planning to explore the Cyclades, Ionian and Dodecanese archipelagos, only to realize they've just got time to grab a Greek salad in Santorini before catching the boat home?

And that's if seasonal winds aren't blowing the ferries off schedule.

All this could change over the next two years if a Greek aviation company's vision of creating a new, affordable seaplane network comes to pass.

Hellenic Seaplanes says it wants to connect more than 100 locations throughout Greece by 2016, with the first routes due to be operational in May 2015.

Headquartered in Athens, the company was established in May 2013.

The company says tickets for its seaplanes are likely to be affordable, making them a viable and much faster alternative to the ferry.

Because its fleet -- currently comprised of 12-seater Dornier Seastar and 19-seat Twin Otter amphibious aircraft -- can land on water, the service will be able to serve smaller islands currently unconnected by air, without the need for costly infrastructure.

This prospect is, of course, still in the planning stages and initial launch dates have already been pushed back from this year.

Given Greece's economic turbulence of recent years, rapid business expansion isn't plain sailing -- or flying.

That shouldn't stop anyone from planning their ultimate island-hopping adventure from Hellenic's list of planned destinations, connecting far-flung destinations from the northern Aegean to the Libyan Sea on a trip that would need a month to explore by boat.

Here's some affordable, jet-setting suggestions.

Crete

No introductions needed for the biggest, much-loved Greek island.

Ιf Crete was a resort, its northern forefront would be the buzzing reception while the south would be the VIP lounge, open only to those willing to experience its authentic heart.

The Hellenic Seaplanes network is expected to make the harder-to-reach south more accessible, connecting places such as Sitia, Ierapetra and Sfakia with the hotspots of Chania, Heraklion and Agios Nikolaos.

Southern discoveries include hidden villages facing the Libyan Sea, such as Lentas and Loutro.

Then there's historic Sfakia and Frangokastello castle, lesser-known archeological sites like the Minoan Palace of Zakros, the stunning gorges of Orino and Kato Zakros, secluded islands just off the coast like Chrisi and remarkable monasteries like Preveli and Chryssoskalitissa.

Affordable luxury: The five-star St. Nicolas Bay Resort Hotel & Villas is located on a private beachfront just 1.5 kilometers from Agios Nikolaos, overlooking the enchanting Mirabello Bay.

Thessi Nissi Aghios Nikolaos, Crete; +30 28410 90200

Pelion

For those torn between mountain or sea vacations there's Pelion.

Forming a peninsula in central Greece between the Pagasetic Gulf and the Aegean Sea, Pelion mountain is already a favorite among the locals year-round and in ancient times was the summer home of the Twelve Gods of Olympus and stomping ground of mythical Centaurs.

Mountain and coastal villages feature traditional architecture and charming squares bustling with flowers -- hortensia seems to be the queen here.

There are well marked trails in the forest for hikes that can also turn into mushroom, herb or wild strawberry hunts that end with a dive into the sea.

Sandy and pebbly beaches lead into clear waters overlooked by discreet beach bars or traditional seaside taverns serving delicious local food.

Affordable luxury: Volos, the coastal port city serving as the main gateway to Pelion is home to the team of the Greek startup Incrediblue.

Characterized as an "Airbnb for boats," it offers sailboats, catamaran or private yacht charter for sailing experiences.

Oktovriou 219, Volos; +30 2421 076182

Skyros

Skyros is expected to be one of the first of the Sporades chain of islands to welcome seaplanes, with a waterway on its way to being constructed at Linaria Port.

It's an island with a split personality.

Northern Skyros features the greenery typical of the Sporades to its north.

On the other side of the island is the typical wilderness of the Cyclades islands to the south.

Here, it's all about tranquility, tradition and scenery -- many who visit come back.

Chora, the island's capital, features traditional white houses on a slope that leads to a Byzantine castle.

To the north there's almost-private beaches such as Atsitsa, Pefkos and Agios Fokas, while boat trips around the hard-to-access south take in stalactite-filled sea caves and the little island of Sarakiniko, set in transparent, azure sea waters.

One of its most recognizable residents is the Skyrian horse, the small-bodied Greek species and one of the most rare horse breeds worldwide, which is nowadays protected.

Affordable luxury: The accommodation list is modest on Skyros, however posh villas can be picked up for relatively good prices on sites such as Greek Luxury Villas and Five Star Greece.

Otherwise, Ammos Hotel is a great alternative, offering stylish accommodation with wonderful sea views, located a stone's throw from the sandy beach of Magazia.

Magazia, Skyros; +30 22220 91 234

Kavala

Built like an amphitheater on the slopes of Mount Symvolo, Kavala is one of northern Greece's most vibrant, coastal cities.

The city serves as a perfect base for vacations all year round but is at it's best in summer.

Mornings can be spent diving into aquamarine waters from beaches such as Ammolofoi (meaning sand dunes), Batis and Toska.

Evenings are for walking around quaint alleyways and the castle of the Old Town, restored tobacco warehouses and the neoclassical mansions of the modern town or among the port's fish taverns and lively coffee bars.

It's a spot for mingling with locals and combining leisure time by the sea with the discovery of traditional villages, hiking trails and wineries of nearby Paggaio mountain.

Nearby, the pristine island of Thasos, a rough diamond of the northern Aegean, is worth a visit, although you'll have forsake planes for a 90-minute boat ride.

Affordable luxury: Imaret, an impeccably restored historical monument in Kavala, offers unique and indulgent accommodation.

Its restaurant is impressive, serving regional and Mediterranean cuisine mixed with a panoramic view of the city.

Th. Poulidou 30-32, Kavala; +30 2510 620151

Lefkas

This Ionian sea island, connected to mainland Greece via a floating pontoon, has a versatile character, combining elements of the mountainous mainland with some of the most spectacular turquoise waters in the entire country

The main town of Lefkas features modern marinas and colorful two-floor houses while the gently sloping east coast is already developed for tourism.

Things get more exciting further out.

Vasiliki port to the south is great for wind-surfing, while the wilder west coast is fringed by emerald waters and out-of-this-world beaches such as Egkremnoi, Kathisma or Porto Katsiki.

It's not easy to leave these places but those that make the effort will find, among the scattered olive, pine and cypress trees, soulful inland mountain villages such as Exanthia, Karya and Englouvi.

The island also hosts the International Folklore Festival, a celebration of art, dance and music held here each August.

The online Lefkada Slow Guide is a great resource for planning a visit.

Affordable luxury: Pavezzo Country Retreat is a group of renovated houses that share a pool, stunning gardens and verandas in Katouna village.

Two independent villas, Myrtia or Honeymoon, have private pools and secluded atmosphere.

Katouna, Lefkas; +30 26450 71782

@highlight

Hellenic Seaplanes plans to connect 100 Greek destinations by 2016

@highlight

New services would make island-hopping trips to far-flung destinations much easier

@highlight

Crete, Skyros and Pelion are among recommended destinations