Beijing (CNN) -- President Xi Jinping's campaign to punish corrupt Chinese officials has hit its biggest target.

Zhou Yongkang, 71, who used to be one of the most powerful Communist Party politicians in China is now under investigation for corruption. For now, it is an intra-party investigation, a first step down a path that could lead to a criminal trial.

The questions remain: Will Zhou's case be handed over to the criminal courts? Will there be a public trial?

Many China watchers knew this was coming. There had been rumors that Zhou and his followers were being investigated. In fact, hundreds of senior party officials, state-company managers, and minister-level bureaucrats have been charged or are under investigation. Many of them are Zhou's protÃ©gÃ©s, political allies, and close relatives.

We've seen a spate of anti-corruption purges since Xi came to power in 2012.

But surely Zhou is the most senior party official to be put under investigation, even though he's now retired. Before he formally stepped down from his government posts in March 2013, he was in charge of China's security apparatus -- the police, the courts, the prosecutors, and the secret dossiers.

The fact that the announcement of Zhou's investigation did not make a huge destabilizing impact in China shows that the public has been prepared for it, or the public has been made to believe that corruption is so pervasive amongst senior part officials that it is no longer shocking.

Possible fallout

Corruption is a scourge in many countries, but it is especially rampant in China. Communist Party leaders have often acknowledged that corruption is so endemic that, in Xi's words, "Corruption could lead to the collapse of the Party [Communist Party of China] and the downfall of the State [People's Republic of China]."

Some 182,000 officials were disciplined in 2013, while courts nationwide tried 23,000 corruption cases, according to the Communist Party's disciplinary commission.

By targeting Zhou, Xi is showing his resolve to target not only "flies" (minor officials) but also "tigers" (senior officials).

Xi is also breaking an unwritten rule that no member of the politburo standing committee, current or retired, is to be prosecuted. He's trying to show that there is no sacred cow that will be spared of punishment.

But the question is: what will be the fallout?

One possible scenario would be the destabilizing effect within the Communist Party, especially among senior officials who may think they could be the next targets.

Is this move politically motivated simply to get rid of Xi's real or potential political enemies, and if so, could that trigger panic or destabilization within the Communist Party leadership?

Another fallout of the anti-corruption campaign is amongst ordinary Chinese. While the campaign is popular amongst the masses in general, some Chinese are feeling hurt by it.

Some are complaining that many fringe benefits that they used to get on the grassroots level -- such as annual bonuses, occasional dole-outs of foodstuff, group working meals -- have now been suspended by local officials who are afraid of being accused of misusing funds as these are grey-area expenses, or public expenditures.

One local official in Beijing told me that even civil servants like him are complaining about this: "Unless we are given legitimate salary increases, we are losing out to inflation and to undistributed fringe benefits. Our standard of living is slipping, and we are losing badly if this goes on longer."

These are just some of the unintended consequences of an otherwise popularly supported anti-corruption campaign.

The "sunshine law"

Of course, the biggest casualty of the ongoing campaign is the reputation of the Communist Party. Put simply, the party's image is tarnished with each case lodged against a high-profile official.

Will these periodic hunts for "flies" and "tigers" fundamentally clean up China of graft and corruption?

Some analysts inside and outside China doubt it.

They believe that unless and until Xi pushes for systemic reform of the political and social system, corruption will remain endemic.

Such a reform, they say, would entail measures that will institutionalize transparency and accountability within the system, including the Communist Party, the government, in business, and in people's daily lives.

They believe that, for example, much of the official graft can be curbed if China can institute a system whereby the salaries, assets, and liabilities of officials -- and their spouses and children -- are declared every year and are made public.

Since the 1990s, China has been deliberating drafts of a so-called "sunshine law" precisely to achieve that goal. Some provinces and a few ministries have reportedly been following such a system on a "pilot" basis.

But over the years, such disclosures have been kept within the Communist Party, with no public access, which defeats the purpose.

True reform

Another institutional change needed is an independent judiciary and an independent anti-corruption body, which can dispense justice fairly, free from control and interference of the Communist Party and other vested interests. Otherwise, the Communist Party will remain the accuser, investigator, prosecutor and judge, rolled into one.

Just as important, China needs to have a robust and independent media that can scrutinize officials' behavior and blow the whistle when they sniff corruption. Some are already doing that, but at the risk of official retribution or censorship.

China must encourage and protect the whistleblowers, instead of intimidating or jailing them.

All these measures can help create an institutionalized "check-and-balance" to curb corruption.

The Communist Party Politburo met a few days ago to put forth its collective approval for the decision to investigate Zhou Yongkang. The group also decided that the 350-strong Central Committee will meet in Beijing in October.

At the top of the agenda is how to promote the rule of law.

And that shows the quest for a clean Chinese government and a clean Communist Party that is governed by the rule of law, remains a work in progress.

@highlight

Zhou Yongkang became the most senior official to be ensnared in China's anti-corruption campaign

@highlight

Are other senior officials worried that they may become the next target?

@highlight

True reform will take a lot more than laying graft charges on individuals