(CNN) -- Bangladesh police have detained or arrested more than 18,000 people in the last 11 days in a crackdown on crime they say is aimed at improving security ahead of December elections.

People arrested by Bangladesh police in their latest round-up arrive at a jail in Dhaka.

Human rights groups decry the actions as politically motivated.

The round-ups began May 28, days after the two main political parties said they would not cooperate with the military-backed caretaker government on organizing the elections.

Police told CNN that by Saturday 16,916 arrests had been made, while local media reported another 1,548 were arrested Sunday.

The Awami League and the Bangladesh Nationalist Party (BNP) said hundreds of their party members had been taken into custody.

"The timing and targets of the arrests are a dead giveaway they are politically motivated," Brad Adams of the New York-based Human Rights Watch said in a statement. "It's obvious that they are paying the price for the political parties' refusal to accept the government's conditions to participate in the elections."

The government rejects the allegations. The detentions, it said, are part of a planned sweep to rid the country of criminals.

"Our IGP [Inspector General of Police, or chief of police] categorically said this special drive was being conducted to create a congenial atmosphere before the general election," said Kamrul Ahsan, a spokesman for Bangladesh Police.

"It is not politically motivated," he said. "The intention is not to harass anybody politically."

The crackdown began after the Awami League and the BNP said they would not cooperate with the government to develop a roadmap toward democracy unless it first releases the parties' leaders.

The two women who head the parties -- Sheikh Hasina of the Awami League and Khaleda Zia of the BNP -- are in police custody on corruption-related charges.

Hasina is charged with bribe-taking. Zia is being held on charges of graft for improperly awarding a multi-million dollar government contract.

The current political crisis in the Muslim-majority South Asian country of 150 million can be traced, in large part, to the lingering animosity between the two women, political observers say.

Their rivalry runs so deep that the women are known in the country as the "Battling Begums." Begum is an honorific given to women of rank in the country.

Since the country's independence in 1972, the Awami League or the BNP has ruled Bangladesh for all but eight years. Both women have served as prime minister at one point or another.

After its last stint in power ended in 2006, the BNP handed over rule to a caretaker government to conduct elections, as mandated by the country's constitution.

But the Awami League refused to recognize the neutrality of the interim government. Hasina accused Zia of stocking it with BNP backers.

Supporters and party members took to the streets in months of deadly clashes.

To stem the tide of violence, a military-backed government took control in January 2007 and imposed an indefinite state of emergency. It also postponed elections until it said it could clean up the country's graft-ridden politics.

The caretaker government adopted the Emergency Powers Rules. The rules allowed authorities to arrest people without a warrant as long as there was reasonable suspicion that he or she was connected to a crime, Human Rights Watch said.

A wave of detentions followed. By some estimates more than 90,000 people were detained before some were released and others charged with crimes.

Among those arrested were more than 150 top politicians, including Hasina and Zia -- leading to the current political stalemate.

The government wants to hold elections in the third week of December, and said the crusade on crime is part of its plan to ensure trouble-free balloting.

The political parties allege the arrests are intended to pave the way for the election of pro-government candidates.

They want their leaders set free before they sit down and talk with the government about a roadmap toward a successful election. They also threatened to organize mass movements to secure their leaders' release.

"It's kind of an impasse," said Taleya Rehman, founder and executive director of the Bangladesh-based non-profit Democracy Watch. "The government is conducting political dialogue with small parties. But they are of no significance. They need the two major parties."

On Monday, the government announced it was releasing Hasina from custody on medical grounds so she can go abroad for treatment. A similar release for Zia was also expected.

Party members say the government's move is a ploy to sideline the pair from the elections by sending them out of the country.

Hasina has a damaged ear resulting from a bombing attack that targeted her four years ago. Zia is believed to have arthritis.

Meanwhile, the detentions continue -- almost 1,800 a day.

In addition to political party members, the crackdown has also swept up several journalists.

"That actually makes the arrests suspicious in some people's minds," said Sultana Kamal, executive director of the legal aid group, Ain o Salish Kendro (Law and Adjudication Center).

"If you just arrest any Tom, Dick and Harry saying this person may have arms, then people will legitimately raise questions about the mode of the whole operation."

@highlight

Bangladesh police have detained or arrested 18,000 people in 11 days

@highlight

Human rights groups decry the actions as politically motivated

@highlight

Round-ups began after parties refused to cooperate with military government