London (CNN) -- Icelandic volcano ash is affecting flights in European airspace, but authorities say it is unlikely to cause the same levels of disruption triggered by a similar eruption last year.

So what are the main differences between the two volcanic ash clouds and to what extent will travel plans be hit?

Who has been affected so far? Icelandic airspace was closed over the weekend. By early Tuesday, several hundreds flights from England, Scotland and Northern Ireland had been canceled with British Airways, easyJet, Ryanair, Aer Lingus, Loganair, Flybe and KLM among operators grounding jets.

Meteorologist have warned prevailing winds are blowing the ash cloud towards London's Heathrow airport, potentially closing airspace above Europe's busiest air hub. Officials say there is a strong possibility some Scandinavian airports may also be affected.

Send travel report to Twitter

Among those changing travel plans have been U.S. President Barack Obama, who flew into London a day ahead of schedule, and Barcelona's soccer team, which is traveling to the UK capital early ahead of Saturday's Champion's League final clash against Manchester United.

How will the disruption differ from last year's? Ash from the eruption of Iceland's Eyjafjallajokull volcano in April 2010 prompted the closure of airspace across Europe, stranding millions of passengers and costing the airline industry more than $2 billion.

Authorities say there is uncertainty over how long the latest ash cloud, generated by Grimsvotn -- Iceland's most active volcano -- is likely to last, and how it will be affected by atmospheric changes. However, weather patterns indicate most mainland European airports will not be hit and airspace will remain open. Changes in flight safety regulations also mean fewer flights will be affected.

What are the safety regulation changes? Most significantly, aviation authorities have raised the threshold on what density of ash cloud is considered safe to fly through. Last year, 200 micrograms of ash per cubic meter was seen as the maximum, this year it has been raised to 4,000 micrograms per cubic meter.

Ash density is also being classified in terms of low, medium or high density. In theory, airlines can make a case to fly through all three provided they can prove they are taking adequate safety precautions.

Irish carrier Ryanair has, however, condemned these limited restrictions as pointless. It said it has successfully piloted a test flight into an area of high ash density, with no adverse affects.

What other differences are there? Scientists and airlines say the type of ash produced by Grimsvotn is potentially less harmful to aircraft engines than that thrown up by Eyjafjallajokull. According to a study by the Institute of Earth Sciences at the University of Iceland, ash particles from Eyjafjallajokull were unusually fine and angular due to the higher silica content of the magma produced in the eruption.

This "stickier" magma caused a powerful explosion when it hit the volcano's ice cap, resulting in smaller and sharper ash particles capable of traveling further and remaining airborne longer. The larger particles produced by Grimsvotn, though still capable of traveling far, are more likely to fall out of the sky sooner.

Jeremy Phillips of Bristol University's Earth Sciences department told CNN that Grimsvotn's eruptions are typically shorter than the Eyjafjallajokull event of 2010, lasting only a few days.

What rights do affected passengers have? Last year's eruption left tens of thousands of passengers scrambling to make alternative travel plans via road, rail and sea amid debate over who was liable to compensate them for inconveniences faced.

This year, the situation is far clearer, following court rulings over what is covered by travel insurance in the event of ash cloud disruption and clarified airline policy.

According to UK consumer watchdog Which? delayed travelers are entitled to accommodation, food and phone calls. Those whose flights are canceled can expect refunds and re-routing to final destination.

@highlight

Ash cloud prompts cancellation of dozens of flights,

@highlight

Authorities have raised safety threshold for flying in ash cloud

@highlight

Scientists say ash particles produced by Grimsvotn volcano are less hazardous than those from Eyjafjallajokull