(CNN) -- Will young American voters be as enthusiastic about President Obama's re-election as they were about his candidacy four years ago, when 66% of 18- to 29-year-olds favored him over John McCain?

Polls vary widely. But a Public Religion Research Institute survey gives Obama only a 7-point lead over presumptive GOP nominee Mitt Romney among millennials, while a new Harvard Poll says he has a 17-point lead -- still a worrisome number for Democrats. If 2008 was any indication, an unshakeable youth coalition may be a prerequisite for Democratic victory.

The president seems to be listening: He has focused this week on young people, with stops at the University of North Carolina at Chapel Hill, the University of Colorado at Boulder and the University of Iowa in Iowa City. But amid this climate of economic gloom, even apocalypse, for millennials, Obama is rocking the campus vote ... with the single issue of loans?

This is certainly a salient policy most directly affecting college students and recent graduates today. They will see reduced loan rates expire without prompt legislative action. And these students undoubtedly will warm, in the short term, to Obama's efforts to sustain the current rates.

However, three and a half years after young voters supported Obama as a fixer-in-chief, the economic situation for millennials is in worse shambles, with debt and unemployment climbing for most 18- to 29-year-olds.

More than half of recent graduates are unemployed or underemployed, according to a forthcoming study by Northeastern University, says Sheila Palma of the school's Center for Labor Market Studies.

Gen Y, people roughly between the ages of 18 and 34, may be the first generation since the New Deal without lasting financial protection. This week, trustees of both Social Security and Medicare reported that the solvency of both programs is slipping, and lawmakers need to take action quickly.

A recent CNBC story said that Gen Y has no safety net for retirement beyond market-driven 401(k)s. On top of that risk, the financial hurdles of student loans, a weak housing market, and high unemployment are shaping this generation's deficient savings rate. This is a chilling glimpse into the extinction of the American middle-class for most young citizens.

President Obama's narrowly tailored discussion of the loan issue for millennials is not likely to rekindle the "Yes, We Can" enthusiasm of 2008 or spur effective policy for young people beyond the college years.

Channeling a message of social justice on the loan issue can go only so far. There is the wider issue of affordability -- policy that could make college cost-free for middle-income students -- and the fundamental need to improve millennial social mobility.

To galvanize the youth vote anew in 2012, when young people's economic livelihood is at stake, Obama will have to reach deeper than loans. How about a plan for young Americans after college: stronger jobs legislation geared around recent grads? A proposal to reclaim Social Security?

The president knows how pivotal the youth vote is for his re-election odds. But his bid for a second term will hinge upon across-the-board substantive answers for young people, so their economic situation is not such a raw one.

The opinions expressed in this commentary are solely those of Alexander Heffner.

@highlight

Alexander Heffner: Obama on college tour addressed student loans to recapture youth vote

@highlight

Heffner says Obama needs to go beyond loans and help young people get jobs

@highlight

Upcoming study says half of college grads jobless or underemployed, he says

@highlight

Young voters will be crucial to Obama's chances at re-election, Heffner writes