Tehran, Iran (CNN) -- The rallies are over, the students have been sent home and the people of Tehran braved searing heat and impenetrable traffic to select a new president Friday from a field of six candidates.

Despite the assertion by some residents here that it doesn't matter who wins -- all of the candidates have been vetted by Supreme Leader Ayatollah Ali Khamenei and are likely to continue the anti-Western policies that have formed his world view since he came to power in 1989 -- a feeling of excitement has been notable here.

Part of the sense of excitement may have nothing to do with politics -- instead, it could be because many residents began their weekend at noon Thursday. The bazaars visited by CNN were thronged with people.

But that wouldn't explain the presence in recent days of thousands of people -- some of them lured by sweets handed out by organizers -- at rallies for the various candidates. Many of them expressed their views, including complaints, to CNN reporters as government security agents hovered nearby.

What's at stake in Iran's presidential election?

At a rally for Saeed Jalili, a hard-line candidate and the nation's chief nuclear negotiator, men and women attended in separate groups, the women's heads and bodies covered by the loose robe favored by some Muslims.

"Death to America! Death to Israel!" chanted the crowd when Jalili spoke of a nuclear scientist who had been killed.

But the sentiment appeared more political than personal. Afterward, approached by a reporter they recognized to be from the United States, many of the participants appeared welcoming and eager to talk.

"I don't have a problem with the people of the United States," said one person. "But I have a problem with people who trample on our inalienable rights to nuclear power."

The unifying impact of Iran's nuclear program is hard to underestimate: a nuclear symbol appears on the ubiquitous 50,000 rial note, which is worth about $1.50, and many here say that it's their country's right to pursue a nuclear program.

Report: Iran takes key step in nuclear reactor construction

Tehran says that program is intended solely for peaceful purposes; officials from the United States and some other Western nations say they suspect Iran is seeking to join the elite club of nations with nuclear arms and have imposed international sanctions to dissuade Tehran from doing so.

State-run Press TV said 285 polling stations had been set up overseas for Iranians abroad.

At the campaign headquarters for moderate candidate Hassan Rohani, his campaign manager told CNN that Rohani would be open to talking to the United States about such matters.

"I think he would do it," Mohammad-Reza Nematzadeh said as a number of supporters buzzed around him. "But it doesn't mean right away."

Though thousands of fliers supporting various candidates littered rally sites on Wednesday, nearly all of the election signs had been taken down on Thursday -- in compliance with the law ordering an end to electioneering a day before the nation's 66,000 polling stations open.

A few posters extolling the candidacy of the popular mayor of Tehran, Mohammad Ghalibaf, remained affixed to walls in the capital. "I'm for him because the sanctions are hurting us so badly, and I know he can fix them," one person said, citing Ghalibaf's economic platform.

At one rally, a group of conservative women said they did not like any of the candidates and would not vote. Another group, this one of self-described liberals, offered the same rationale for their plans to stay home.

Though a few expressed concerns about speaking publicly to a reporter, others appeared eager to talk.

The election is being covered by 430 reporters from 40 countries, 15% more than were here four years ago, according to Alireza Shirvani, head of the Foreign Reporters Bureau of Iran's Ministry of Culture and Islamic Guidance.

If no candidate wins more than half the votes, the top two will face each other in a runoff on June 21.

In the 2009 election, massive anti-government demonstrations erupted in violence, followed by reports of dozens of deaths and claims of vote rigging in the re-election of Mahmoud Ahmadinejad, who is barred from running for a third term.

Efforts appear to have been made to minimize the possibility of a recurrence of violence. College students, who played a major role in the demonstrations four years ago, were sent home when colleges were closed early. Government officials said that that was done to give the students an early break for the summer.

"Foreign media reporters have expressed satisfaction with the government's cooperation and praised the Iranian people's desire to participate in the election," Press TV declared flatly on Thursday.

Several people complained about the sanctions and the struggling economy. In fact, prices for nearly everything have doubled since last summer. Even the increase in the cost of watermelon, produced aplenty here, has outstripped inflation. By official figures, the inflation rate is 31%; observers say it's more than that. And many here grouse that their costs are rising faster than their salaries. Shrimp was $22 per pound at one store on Thursday.

According to the CIA World Factbook, 15.5% of the nation is unemployed.

Still, not everyone is tightening their belts. Luxury car dealerships remain open -- with vehicles shipped here from other countries in the Middle East, including the United Arab Emirates, Qatar and Kuwait.

Iran presidential candidates 'cry for overhaul of foreign policy'

CNN's Erin Burnett reported this story from Tehran. Tom Watkins wrote it from Atlanta.

Watch Erin Burnett weekdays 7pm ET. For the latest from Erin Burnett click here.

@highlight

Chief among concerns here: The economy and the burgeoning nuclear program

@highlight

Authorities were taking steps to avoid the demonstrations that followed the 2009 elections

@highlight

All of the candidates have been vetted by Supreme Leader Ayatollah Ali Khamenei