Princeton, New Jersey (CNN) -- Former Florida Gov. Jeb Bush stepped right into the political thicket with his contradictory comments on immigration last week.

Bush, who has been known as one of the proponents of a more liberalized immigration policy, sent mixed signals about where he stood in offering a pathway for citizenship for the 11 million illegal immigrants in the country.

Critics jibed that Bush had already stumbled in his first foray of the presidential election of 2016, shifting to the right to please potential primary voters, and then moving back to the center after coming under fire.

As Bush's situation makes clear, immigration reform will be among the toughest tests Republicans face in the coming year as they try to strengthen their image with the electorate and make sure they are not totally out of step with the major demographic trends shaping America.

Unlike almost any other issue that is being debated in Washington, whether that be the federal budget or foreign policy, what Republicans do on immigration will have huge consequences for the direction of the party.

Republicans have not always been hard-line on immigration. In fact, there is a strong tradition within the party of politicians who have been on the liberal side of this question. At the turn of the 20th century, when immigrants from Eastern Europe and Southern Europe flooded into cities like New York and Philadelphia, there were many Republicans who were strong sponsors of keeping the doors open to newcomers.

Some listened to big-business leaders who needed workers to fill the factories. Other Republicans also believed that immigration had always made this nation strong. President Theodore Roosevelt, who believed in the superiority of the Anglo-Saxon race, also pushed back against nativists by claiming that immigrants who could be assimilated were good for the United States and could be productive citizens.

There were many Republicans who supported immigration reform in the mid-1960s. Congress revisited restrictions that had been put into place in the 1920s that curtailed the flow of immigration. There were a number of prominent Republicans, often inspired by the arguments of the civil rights movement, who supported reform. When Congress passed immigration reform in 1965, almost 85% of the Republicans voted yes.

As new debates arose over immigration in the 1980s, the party continued to hear from Republican voices in favor of liberalized immigration policies. President Ronald Reagan, the hero of modern conservatism, signed a bill that provided amnesty for almost 3 million illegal immigrants, while President George H.W. Bush expanded the number of work-related visas that were available.

As Reagan said, "I believe in the idea of amnesty for those who have put down roots and lived here, even though sometime back they may have entered illegally." President George W. Bush, deeply affected by his own experience with immigrants in Texas while growing up and as governor, insisted Republicans could not afford to take a hard line toward immigrant communities, many of who were often quite conservative in their politics.

During a speech in Miami in 2000, Bush said: "America has one national creed, but many accents." As president, Bush pushed for comprehensive immigration reform but was rebuffed by his own party.

The hard-line elements of the GOP have gradually gained a stranglehold on the party. They are the dominant voice as they command immense influence with the organizations and activists who shape the Republican primaries, as well as with constituencies in conservative districts of House members.

Many Republicans who are contemplating a run for federal office feel they have no choice but to shift to the right to please these constituencies.

At some point in the near future, Congress will deal with immigration reform legislation. The immigration question offers the GOP an opportunity to really demonstrate to the electorate that this is a party capable of change and that the rightward drift of the party can be reversed.

There are many Republicans who are interested in moving forward on this question by providing a path to legalization, but they have been restrained by the hard-line elements of their party. Even with all the demographic red flags that emerged after the 2012 election, a large number of Republicans are holding their ground and making it hard for leaders like Jeb Bush to tap into this other tradition within the GOP.

In 1964, Democrats faced a similar choice. For decades, the party had been divided between the Southern Democratic wing that staunchly opposed civil rights and the liberal Northern wing that believed the party needed to embrace racial equality.

With Lyndon Johnson in the White House, the party came down on the side of civil rights. The decision came at a high cost, as most Southerners bolted to the GOP. But over time, that decision proved to be a defining moment for the values and image of Democrats, one that has helped win support with broader parts of the population and continues to provide a moral foundation for elected officials who join the ticket.

Republicans need to make a comparable choice with immigration. This will be a big one, a decision that will clearly place the party on one side or the other of this issue of rights.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says a big test is looming for the Republicans on immigration reform

@highlight

He says Jeb Bush stumbled on the issue last week, shifting his views to the right

@highlight

Anti-immigration forces have strong support in conservative districts, he says

@highlight

Zelizer: GOP wants to attract growing Latino vote, but has to worry about its base