MIAMI, Florida (CNN)  -- Fashion designers are giving new life to worthless candy wrappers, newspapers and plastic bags; turning trash into trendy tote bags, purses and jewelry.

Target stores objected to this Timbuk2 purse which included  plastic bags with its bull's-eye logo.

From "post-consumer and industrial waste" comes durable, funky accessories reportedly worn by celebrities such as Lindsay Lohan, Cameron Diaz and Petra Nemcova.

One self-described eco-fashion label, Ecoist, has partnered with Coca-Cola, Luna Bar and Aveda to create handbags made from misprinted and discontinued packaging.

"We tap into that source of waste because it is reliable, and unfortunately, it's abundant," Ecoist co-founder Jonathan Marcoschamer said. "We believe that for the next few years, there's going to be a significant amount."

How about 7.6 billion tons of waste? That's how much American companies toss each year, according to the U.S. Environmental Protection Agency.

During the past four years, Ecoist said, it has sold more than 100,000 accessories created by its designers in Peru and Miami, Florida. The bags -- some of them one-of-a-kind -- are priced from about $30 for smaller versions to about $180 for larger ones.

"For now, we're an immediate solution for many of these companies to utilize waste for something that's creative and promotes environmental awareness," Marcoschamer said.

Ecoist isn't alone. Katherine Rasmussen, owner of the label Reiter8, creates totes from recycled boat sails. Nicola Freegard and Robin Janson, the design team behind Vy&Elle, have recycled 100 tons of vinyl billboard ads to create wallets, bags and a variety of other products. Another designer, Anna Built, has opted to create jewelry from recycled tin cans.

But it's not always easy being green. Timbuk2, a company famous for its messenger bags, has encountered resistance in its attempt to produce totes made from discarded plastic bags.

The idea seemed feasible when Timbuk2 formed a partnership with RootPhi, which developed a machine capable of bonding plastic bags together. The machine, called the Lamitron, allowed them to produce a new fabric while maintaining the visual details of the original plastic bag.  See photos of the eco-friendly accessories »

The timing seemed appropriate; San Francisco had banned the use of plastic bags, and other cities worldwide were considering similar initiatives.

Despite a following of 3,000 potential customers on the Timbuk2 Web site, the bags are unlikely to be sold any time soon, if at all. The companies have encountered legal and technical hiccups in their efforts to mass produce the bags.

"Everyone is afraid to be the large-scale manufacturer, to stick their toe in the water. It's a risk and a cost issue," says Doug Patt, co-founder of RootPhi.

Tinbuk2 also found that, although trash may no longer have an owner, logos on trash still do. Target sent Timbuk2 a cease and desist letter in September when it discovered that some Lamitron bags showed the company's bull's-eye design. RootPhi and Timbuk2 scrambled to identify and remove the offending bags from its limited collection of prototypes.

"We encourage and promote recycling efforts, including ones that use our recycled bags," Target said in a written statement to CNN. "However, in this particular case we believed that the prominent use of our bull's-eye design mark implied a sponsorship or affiliation with Timbuk2 that did not exist at that time." Target said Timbuk2 has cooperated.

Perry Klebahn, Timbuk2's CEO, acknowledges that Target wasn't technically wrong. "The onus was on us to talk to Target and get them to say OK, in this particular case, to grant us a license. If we really are going to make use of this, we should be responsible as the manufacturer."

However, the initial draw for Timbuk2 was the possibility that it could simultaneously clean up neighborhoods and satisfy a market demand for highly localized and personalized eco-products.

"What's great here is that no two bags are the same. ... What if you could roll into a town and make artifacts that have a local flavor?" Klebahn asked.

His vision was that one day, anyone could drop off their used shopping bags at Timbuk2 and receive a customized tote bag a few weeks later. For now, the masses will have to wait.

Eco-fashion has certainly proved that it has enough caché in the fashion world. Last year, British designer Anya Hindmarch created an instant eco-fad with her $15 limited edition "I Am Not A Plastic Bag" bag. The cotton bags quickly sold out in London and New York, with hundreds of people lining up for them. The bags fetched $400 on eBay and spawned a dizzying number of knock-offs.

Atlanta, Georgia, boutique owner Joyce Justicz said she doesn't think consumers buy eco-fashion exclusively for environmental reasons.

"They buy them because they're cute, and it's an added bonus," she said.

Will the trend last? Yair Marcoschamer, another Ecoist co-founder, is optimistic.

"Businesses and individuals have realized that if something isn't done [about the environment], this is going to have a profound effect on each of our lives," he said. "Consuming products that are fair-trade, that are environmentally responsible, is our responsibility as consumers."

@highlight

"Cute" accessories have "added bonus" of being environmentally friendly

@highlight

Eco-fashions seen on Lindsay Lohan, Cameron Diaz, other stars

@highlight

One designer creates totes from recycled boat sails

@highlight

Recycled bags with Target bull's-eyes created legal hurdle