Every December, foreign correspondents in China go through the rigmarole of renewing press cards and visas, which typically run out at the end of the year.

This time around, Chinese authorities held up renewing the credentials of roughly two dozen Bloomberg and New York Times reporters after the two American news outfits published muckraking stories about the wealth of the families of top Chinese leaders.

Without renewed press cards, they could not renew their Chinese visas. Without the visas, reporters and their families would be forced to leave China.

"5 Days Till Visa Expiry," New York Times reporter Andrew Jacobs, tweeted on Tuesday.

TIMELINE: Journalists under pressure

"Do you think hauling all my stuff to gates of the Foreign Ministry holding a tag sale will get their attention?"

After a tense wait, all Bloomberg reporters and some of the New York Times reporters picked up their renewed press cards on Thursday.

"We are in contact with Chinese officials and remain hopeful that our resident journalists in the country will be issued visas that will allow them to continue to work there," New York Times spokesperson, Emily Murphy, told me by email.

This is a welcome development, but to fellow reporters in China that's a small consolation.

"So we've come down to this," said Newsweek correspondent Melinda Liu. "We rejoice over something that used to be routine."

Working as a foreign correspondent in China sounds glamorous and rewarding, and quite often it is. We cover landmark events, interview fascinating personalities and travel to exotic places.

But, as the visa controversy shows, it also involves a lot of hard work and hassles -- China ranks 173 out of 179 countries for press freedom, according to Reporters Without Borders.

Early frustrations

When I was just cutting my teeth as a foreign correspondent in the 1980s, the rules and regulations were so tight that it was difficult to get access to people and travel outside of Beijing.

Many places were not accessible to foreigners. A lot of information was deemed "neibu", or for internal consumption only.

A story done in one afternoon in most other beats would take weeks of waiting and gestation in China.

The protracted process often lead to unsatisfying results -- and frustrations.

Doing an enterprise story then was difficult and dangerous.

I remember doing a story for TIME magazine in the late 1980s. We traveled to rural Renshou county, Sichuan Province to follow up on reports of farmers rioting over local corruption.

Just minutes after we had started interviewing a group of farmers gathered in a home, three men in civilian clothes barged in and started to ask who we were and why we were there.

We cut short our interview and hopped into our rented car. The local driver was as scared as I was. "Those people can be ruthlessly violent," he told me.

Technically, such reporting trips violated China's "10-day rule", which required foreign journalists to secure permission from local "waiban" (foreign affairs office) 10 days in advance before we could conduct reporting outside our home base in Beijing or Shanghai.

Whenever we were caught doing so, Chinese authorities gave us verbal reprimands or asked us to write "self-criticisms."

China is changing

To be sure, the working conditions for foreign reporters have significantly improved compared to 1982, when I started my career as a China correspondent.

China has allowed more reporters into the country, allowing expanded coverage about varied, lighter aspects of Chinese life.

In 1977, one year after Chairman Mao Zedong's death, there were only 39 foreign reporters in China. The number increased to about 100 when my China role began five years later.

Now, our ranks have expanded to nearly 700 working for 441 news outlets from 59 countries, mostly based in Beijing and Shanghai.

We used to be focused on human rights issues and politics. Now we report on a gamut of themes -- health, finance, Internet and fashion among them.

Over the years the restrictions have loosened, especially right before the 2008 Olympics when China rescinded the 10-day rule.

We still face problems, especially in the provinces where officials have vested interests and narrow ways of viewing things.

To them, foreign journalists -- and our reporting -- can create trouble for them, especially when we expose wrongdoings and abuses.

Local officials need to be told that the new normal is to allow us to conduct interviews and photo shoots freely.

They need to understand how foreign journalists operate, why we do things a certain way, why we need information promptly and accurately.

To be fair, there are many Chinese officials I know who subscribe to this new mindset and have been trying hard to shake things up or do things differently.

Some of them are quite frustrated with the result of their efforts.

"Too much negativity," complains one.

"We have tried hard to give access to foreign journalists but their stories still end up negative. We don't expect them to report like Chinese journalists but we hope they will be just objective and even-handed."

I hope these officials will keep pushing forward, instead of backward. It will show a measure of self-confidence and will push China closer to the international norms and standards of media management.

Important future role

Indeed although it's a lot easier now serving as a foreign correspondent there's still much to be desired.

In a year-end statement, the Foreign Correspondents' Club of China noted "a number of negative trends over the past year." Their list includes:

-- denial of visa to Paul Mooney, a long-time reporter known for his reporting on human rights;

-- new rules that stipulate the police may take a maximum of 15 business days to process visas, which means that reporters cannot leave the country during this period; and

-- spontaneous designation of locations, such as Tiananmen Square, where special permission is said to be required to film or report.

Meanwhile, censorship continues. Web sites containing material considered sensitive by the Chinese government are often blocked.

Cable television channels such as CNN and the BBC are closely monitored and sensitive topics are routinely blacked out.

We, as media, must also remain vigilant against self-censorship.

I feel little personal risk as a reporter, but our biggest concern remains the protection of sources who are usually more vulnerable to the government's control. None of us wish to land them in jail.

China is a crucial news beat for CNN and our audience. As the country evolves into a freer, more pluralistic society, the importance of covering China in all its many facets will only grow. There is a lot about the country, its people and culture our audience wants to know.

However, we cannot talk about the world's most populous country -- and the world's second biggest economy -- while avoiding inconvenient issues and unpleasant subjects.

As journalists, we are bearers of news, both good and bad.

We just ask: don't shoot the messenger.

@highlight

Two dozen China journalists in tense wait for reporting visas after controversial stories

@highlight

Reporting from China both rewarding and frustrating, says Jaime FlorCruz

@highlight

Journalist working conditions have improved since 1980s

@highlight

Challenges remain as China's importance in global news coverage increases