(This Old House)  -- Your bathroom's becoming a refuge, so why not light it adequately?

When it comes to interior lighting, bathrooms are probably given the least consideration of all the rooms in the house. The average client I meet doesn't think to invest there -- save it for the living room or kitchen, they say.

I see a lot of baths with inadequate lighting at the mirror. Often there's just a single ceiling fixture that's supposed to do it all.

But as the bathroom increasingly becomes a place to relax and recharge, complete with steam shower and spa tub, the lighting requires extra thought. And when it's done right, the payoff is great. After all, this is the room where you start and end your day.

A good lighting plan is a series of layers -- placing ample light where it is needed for showers, shaving, or putting on makeup, for instance, while other light sources enhance the overall mood of the room.

Decoding the layers of light

Task lighting

Vanity lighting gets top consideration because these fixtures work the hardest to illuminate the head and face for grooming. The most common mistake people make is putting recessed ceiling fixtures directly over the mirror. These cast shadows on the face, making daily grooming rituals more difficult.

Vertical fixtures or sconces mounted on either side of the mirror are best for casting an even light across the face.

But given the size and positioning of some vanity mirrors, sidelights can be impractical (mounting them directly to the mirror is always an option, but at greater planning and cost). Only then do I suggest a fixture for over the mirror.

It should be placed 75 to 80 inches above the floor and, like all vanity lighting, contain at least 150 watts -- ideally spread over a fixture that's at least 24 inches long so that the light will wash evenly over the hair and face. This Old House: Bath Lighting

The shower is a secondary area of task lighting. In smaller bathrooms, if the stall has a clear glass door, a dedicated fixture may not be necessary. Otherwise, I recommend a recessed light with a glass lens (plastic will yellow). Similar recessed fixtures work well over a freestanding tub or the toilet.

Ambient lighting

This "fill-in" light serves as a substitute for natural light. It is most often supplied by a central fixture, usually a surface-mounted ceiling light. I encourage clients to think more creatively in their choices, suggesting they consider a pendant lamp or chandelier instead.

Another option is "cove lighting" -- rope lights hidden behind a molding dropped several inches below ceiling height -- which adds a soft glow around the perimeter of the room.

Accent lighting

A small recessed spotlight directed at a piece of decorative art or a beautiful powder room basin creates another layer of light in the bathroom. Similarly, a recessed shower fixture can be angled (most can be tilted up to 35 degrees at installation) to highlight nice tilework or fixtures and make them sparkle.

Lighting the vanity right

To eliminate shadows under the chin, eyes, and cheeks, fixtures should be mounted on either side of the vanity mirror (or on the mirror's surface, if it's large), 36 to 40 inches apart.

The center of each fixture should be roughly at eye level, or about 66 inches above the floor. This will guarantee even illumination across the face for grooming. This Old House: Double space, light in the bath

Other considerations

Choosing bulbs

A crisp white light tends to render skin tones most accurately. Halogen bulbs set the gold standard. Low-voltage varieties (with a built-in transformer that converts 120 volts to 12 volts) are especially compact, and the smaller bulb gives a nice sparkling effect. Halogen bulbs cost a few dollars more than standard incandescents but can last three times as long.

Many feature screw-in bases; those labeled medium-base (MB) are shaped like standard incandescents, so they fit most fixtures. The newest compact fluorescent bulbs also offer good color rendering and are up to 10 times more efficient than regular incandescent bulbs. This Old House: Energy-saving bulbs

Think dimmers

These are a lighting designer's best friend because they grant absolute control over the lighting, and thus the mood, of the room. In a very small space like a powder room, dimming the vanity fixtures might even provide all-in-one task, ambient, and accent lighting.

Plus, dimmers conserve energy. The total savings depends on how much you dim the bulb, but one dimmed just 10 percent will last twice as long as a bulb at full brightness.

Today's dimmers work for every kind of light source, though you need to know what to ask for. A 120-volt incandescent or halogen light source will need an incandescent dimmer, while low-voltage and fluorescent fixtures require their own compatible dimmers.

Occasionally, dimmed bulbs will buzz as the filament vibrates. Switching to a lower-watt bulb (which has a smaller filament) should reduce or even eliminate the noise.

Safety first

Attention to aesthetics in the bathroom doesn't diminish the importance of safety. Electricity and water are still lethal companions, and nowhere do they mingle more closely than in the bathroom. Always consult a certified electrician before tackling even the simplest lighting project.

The National Electric Code requires all new outlets to have GFCIs, ground-fault circuit interrupters; the newer ones can be retrofitted to existing outlets. Even with a GFCI, freestanding plug-in lamps should never be placed near a sink or tub.

Fixtures that are going to be within a certain distance of the tub or shower (usually 6 feet, though local codes vary) must be "wet" or "shower-location" rated. Don't confuse this with the less rigorous "damp-location" rating that's ascribed to most outdoor lighting. E-mail to a friend

Get 2 Free Trial Issues

COPYRIGHT © 2009 THIS OLD HOUSE VENTURES, INC.

@highlight

Don't cut corners providing different types of light a bathroom needs

@highlight

Designers say you need light to perform tasks and lights to create mood

@highlight

Bath lighting should be at least 150 watts

@highlight

Make safety a priority -- electricity and water are in close proximity