Lagos, Nigeria (CNN) -- A little over a decade ago there were about 100,000 phone lines in Nigeria, mostly landlines run by the state-owned telecoms behemoth, NITEL. Today NITEL is dead, and Nigeria has close to 100 million mobile phone lines, making it Africa's largest telecoms market, according to statistics by the Nigerian Communications Commission.

Across the rest of the continent the trends are similar: between 2000 and 2010, Kenyan mobile phone firm Safaricom saw its subscriber base increase in excess of 500-fold. In 2010 alone the number of mobile phone users in Rwanda grew by 50%, figures from the country's regulatory agency show.

During the early years of mobile in Africa, the Short Messaging Service (SMS) was at the heart of the revolution. Today the next frontier for mobile use in Africa is the internet.

"Mobile is fast becoming the PC of Africa," says Osibo Imhoitsike, market coordinator for Sub-Saharan Africa at Norwegian firm Opera, whose mobile browser is enjoying an impressive uptake on the continent. "In fact there isn't really anything more personal than a mobile phone nowadays."

Last October, for the first time ever, the number of Nigerians accessing the internet via their mobiles surpassed the number of desktop internet users, figures from Statcounter show.

The trend has continued since then. Most of those devices will be low-end Nokia phones, tens of millions of which have already been sold on the continent. The more expensive "smartphones" are however also increasing in popularity, as prices drop. Blackberry's market share has been rising in the developing world, bucking the trend in Europe and North America.

Google, for its part, plans to sell 200 million of its Android phones in Africa and it is estimated that by 2016 there will be a billion mobile phones on the continent.

In 2007, President of Rwanda, Paul Kagame, said: "In 10 short years, what was once an object of luxury and privilege, the mobile phone, has become a basic necessity in Africa."

Watch video from Kenya on how mobile has changed Africa

Below are seven ways that mobile phones have transformed the continent:

BANKING

M-PESA is a mobile money transfer service launched by Safaricom, Kenya's largest mobile operator and Vodafone, in 2007. Five years later M-PESA provides services to 15 million Kenyans (more than a third of the population) and serves as conduit for a fifth of the country's GDP.

In Kenya, Sudan and Gabon half or more of adults used mobile money, according to a survey by the Gates Foundation and the World Bank.

The runaway success of M-PESA in Kenya is inspiring similar initiatives across the continent, from South Africa to Nigeria to Tunisia, as governments struggle to extend banking services to large numbers of the population -- across sub-Saharan Africa only one in five adults own bank accounts.

Many Africans now use mobile money to pay their bills and airtime, buy goods and make payments to individuals, remittances from relatives living abroad are also largely done via mobile banking.

See more from special series on Our Mobile Society'

ACTIVISM

One lesson from the 2011 uprisings across North Africa was that mobile phones, with the infinite opportunities they offer for connection and communication, are able to transform ordinary citizens disenchanted by their governments, into resistance fighters.

Realizing this, the beleaguered Mubarak regime successfully put pressure on Egypt's mobile phone networks to pull the plugs, in a bid to slow down the tempo of opposition activity. And so on January 28, 2011 mobile phone networks in Egypt went dead.

Three years earlier, in the aftermath of bloody elections in Kenya, citizens were able to report violent occurrences via text messages to a server (via the Ushaidi platform) that was viewable by the rest of the world as they happened.

Across the continent mobile phones are also bringing unprecedented levels of openness and transparency to the electoral process, empowering citizens from Cairo to Khartoum to Dakar to Lagos.

EDUCATION

Nokia capitalized on the growing popularity of social networking in South Africa to launch MoMath, a mathematics teaching tool that targets users of the instant messaging platform Mxit. Mxit is South Africa's most popular social media platform, with more than 10 million active users in the country, the company says.

The potential for transforming the continent's dysfunctional educational system is immense, as mobile phones -- cheaper to own and easier to run than PCs -- gain ground as tools for delivering teaching content.

It is hoped that mediating education through social networking will help reduce the significant numbers of school-age African children who are not receiving any formal education.

ENTERTAINMENT

A 2009 survey found that "entertainment and information" were the most popular activities for which mobile phones are used in Nigeria, in particular for dialing into favorite radio shows, voting in reality shows, downloading and sharing songs, photos and videos, as well as tweeting.

However companies are creating mobile-only platforms targeted for this market. Africa now teems with online platforms like Kulahappy (a popular online Kenyan "entertainment channel" developed for the mobile screen) and AfriNolly, which bills itself as "African movies in your pocket."

Nigeria's mobile music industry (covering everything from mobile downloads to ringtone and caller-tune subscriptions) is now a multimillion-dollar industry.

Interestingly, Lithuanian mobile social networking site, Eskimi, recently became the second most visited site in Nigeria, after Facebook, and is in the top 10 bracket in several other African countries. Half of the site's seven million-plus active users are Nigerian.

DISASTER MANAGEMENT

Mobiles have been finding innovative uses in refugee camps, allowing displaced persons to reconnect with family and loved ones.

An NGO, Refugees United, has teamed up with mobile phone companies to create a database for refugees to register their personal details.

The information available on the database allows them to search for people they've lost contact with.

South Africa's 2008 xenophobic attacks inspired the launch of SMS emergency reporting and relief systems.

AGRICULTURE

Mobile phones have made a huge difference in the lives of farmers in a continent where the agriculture sector sis one of the largest employers. Most of these people will be "smallholder farmers," without access to financing or technology.

By serving as platforms for sharing weather information, market prices, and micro-insurance schemes, mobile phones are allowing Africa's farmers to make better decisions, translating into higher-earning potentials. Farmers are able to send a text message to find out crop prices in places thousands of kilometers away.

As far back as 2003, Kenya's Agricultural Commodities Exchange partnered with mobile operator Safaricom to launch SokoniSMS64, a text-messaging platform to provide pricing information to farmers.

M-Farm also offers a similar service, while the iCow is a mobile app billed as "the world's first mobile phone cow calendar." It's an SMS and voice service that allows dairy farmers to track their cows gestation, acting in effect as a veterinary midwife. Farmers are also given tips on breeding and nutrition.

HEALTH

A simple text-messaging solution was all 28-year-old Ghanaian doctoral student, Bright Simons needed for his innovative plan to tackle counterfeit medicine in African countries. The World Health Organization estimates that nearly 30% of drugs supplied in developing countries are fake. In 2009, nearly 100 Nigerian babies died after they were given teething medicine that contained a solvent usually found in antifreeze.

Simons' pioneering idea was to put unique codes within scratch cards on medicine packaging that buyers can send via SMS to a designated number to find out if the drug is genuine or not.

The system is now being used by several countries in Africa and rolled out to places such as Asia where there are similar problems with counterfeit drugs.

In South Africa there's Impilo, a service that allows people to find healthcare providers anywhere in the country 24 hours a day, using their mobile phones.

Mobile phones are going to play an increasingly important role in mediating the provision of better healthcare to the citizens of African countries. Phone companies are realizing that mobiles are highly effective -- and potentially lucrative -- for the dissemination of health and lifestyle tips, and reminders for doctors' appointments.

In June 2011 a consortium known as the mHealth Alliance organized a Mobile Health Summit -- touted as Africa's first -- in Cape Town. The Alliance describes itself as a "[champion of] the use of mobile technologies to improve health throughout the world."

Stina Backer contributed to this report

@highlight

Mobile phone technology has grown significantly over the past decade

@highlight

Nigeria has close to 100M mobile phone lines, making it Africa's largest telecoms market

@highlight

We look at ways that mobile phones have changed lives in Africa