(CNN) -- When the White House, back in March, made the unexpected announcement that this month's G-8 summit, long planned to take place in Chicago, was being moved to Camp David, the reasons given were bland:

Camp David was taking over from Chicago "to facilitate a free-flowing discussion with our close G-8 partners," the White House announced. President Obama was said to believe that Camp David was a more intimate setting for the world leaders to get together.

There was immediate conversation about the explanation. Past G-8 summits have been known to attract protests that culminated in violence in the streets of the cities where they have been held. Camp David -- the presidential retreat in Catoctin Mountain Park in Frederick County, Maryland -- is about as secure a sealed-off location as exists in this country. No one gets near it who is not supposed to get near it.

Originally the Chicago G-8 summit was supposed to be immediately followed in Chicago by a separate summit of the leaders of NATO nations. The NATO meeting is still scheduled for Chicago; like the G-8 meeting, it will be hosted by Obama. Demonstrations are planned, and heavy security will be in place with the intention of keeping protesters well away from where the NATO leaders are convening.

Increasingly, over the years, cities that engage in grand talk about "bringing the world" to see their many civic and cultural attributes end up going into a defensive crouch at the same time they are welcoming their global visitors. It's the only wise course; we live in an age where terrorists know that the bigger the stage, the greater the opportunity for maximum impact. And in these jittery times, any occasion when a specific city becomes an enormous public stage, it also becomes a presumed potential target. There is an intake of breath that starts before the event commences, and that is not let out until after it concludes.

In London, site of this summer's Olympic Games, there have been reports of plans for surface-to-air missiles to be installed as protective measures right in the city, including on the roofs of apartment buildings. Hardly the symbol of a joyous and carefree gathering of the planet's finest young athletes -- but, then, the planet has proved itself to be an often dangerous place, so discus throwers, twirling gymnasts and powerful missiles may have to share the setting. Faster, higher, stronger -- the athletes, and the weapons in place to keep them safe.

If the G-8 summit in the isolated and wooded hills of Maryland comes off as a model of protected tranquility, and is followed by messy scenes of street disorder at the NATO summit in Chicago, it will not be surprising if Camp David, which already has a long history of hosting distinguished guests of presidents, becomes the prototype for future top-level gatherings around the world as well as at home.

And if that takes place, it will not be as big a shift as it superficially will seem. When the president visits troops in perilous areas overseas, he is described as "going into a war zone." But in fact, anywhere in the United States where a president travels these days receives war-zone security treatment. On television, a presidential meeting with dignitaries in a city away from Washington appears to take place in sedate, often elegant, rooms. But behind the camera shot -- outside the buildings where a president and his guests are meeting -- is security befitting preparedness for an imminent attack.

Concrete barriers, war wagons filled with security personnel with automatic weapons at the ready, human ring after human ring of law enforcement assigned to keep all unauthorized persons away ... the heart of any city where a modern-era president passes through is routinely turned into a temporary militarized bunker.

As early as 1968, when political violence stained the year, people were predicting that future presidential campaigns might be conducted solely from television studios. Some said this would never happen; security fears aside, the public would never allow its leaders to speak to them from such a sterile and locked-off environment. Yet, in a backhanded way, it has turned out to be true. The television studio has become the moving impermeable bubble where a president resides when he is out in the nation.

Camp David, a bucolic federal campsite turned into a presidential retreat by Franklin Delano Roosevelt, who called it USS Shangri-La, was renamed by President Dwight D. Eisenhower in honor of his grandson. It was widely seen as a way for presidents to get some peace and quiet, away from the tension and tumult of their daily world. To dress and act casually, free from staring eyes.

Few people, of course, have firsthand knowledge of what it is like there. Ronald Reagan summed up the feeling in his autobiography:

"The president's home at Camp David, called Aspen, is a beautiful rustic house with beamed ceilings, wood-paneled walls ... Nancy and I experienced a sense of liberation at Camp David that we never found in Washington. Because the perimeter was guarded, we could just open a door and take a walk. That's a freedom, incidentally, that you don't fully appreciate until you've lost it."

Foreign dignitaries came to call on presidents there, in a less formal, more relaxed setting than official Washington. While most Americans can envision the White House, they never have really seen, in full, Camp David. You can't tour the place, or even look at it from outside. There have been references to it in popular entertainment: the 1965 Fletcher Knebel political thriller novel, "Night of Camp David"; the scene in the 1995 motion picture "The American President" in which Michael Douglas, as a widower president, sits with the woman he is falling in love with, played by Annette Bening, watching television in his (movie-set) Camp David cabin.

There is a subtle difference at play in the way the G-8 summit at Camp David is being regarded. It's not so much that the president and his guests want to get away from the world. It's that a way needed to be found to keep the world away from them.

Will that turn out to be the way of the future? With the possible exception of the United States Bullion Depository at Fort Knox, Kentucky, there is perhaps no other place in the country designed so determinedly for absolute privacy. (From the official description of Fort Knox provided by the U.S. Mint: "No visitors are permitted, and no exceptions are made.")

Whatever else happens at the G-8 summit, that thought, and its implications, are what may endure.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

President Obama has moved this month's G-8 summit from Chicago to Camp David

@highlight

Bob Greene says the presidential retreat is much more secure and isolated

@highlight

He says a security cordon envelops presidents wherever they go

@highlight

Greene: Still, a place like Camp David affords much more security