London (CNN) -- A journalist at the News of the World, the UK newspaper that was closed by Rupert Murdoch last year, once said: "This is what we do. We go out and destroy people's lives." The British press, combative and uncompromising, has been a feature of national life for many years. But now a high court judge, Lord Justice Leveson, has decided the government must intervene to ensure it behaves itself. Will this prove a watershed moment for tabloid newspapers? Or will they revert to type?

The British press has vowed to clean up its act before, only to end up back where it started. When Princess Diana was killed in Paris, with freelance photographers in hot pursuit, the Daily Mail vowed never to use paparazzi shots again. Yet its popular website, MailOnline, now depends on paparazzi images for its success.

Leveson was appointed by Prime Minister David Cameron to carry out a year-long inquiry into press standards when it emerged in July 2011 the News of the World possibly intercepted voicemail messages left on a cell phone belonging to Milly Dowler, a murdered schoolgirl, in pursuit of stories. It emerged the practice of phone hacking had been widespread at the paper.

The revelation prompted a wave of public revulsion and left Cameron in a difficult position. He had employed the paper's former editor Andy Coulson as his communications director and had a warm personal relationship with another former editor, Rebekah Brooks, who ran Murdoch's powerful stable of British titles. Both have since resigned.

The Leveson report, published on Thursday, is 2,000 pages long and runs to nearly 1 million words, but its main recommendation is simple enough. The government should pass a law giving Ofcom, a body that already overseas British broadcasters, the power to approve a new regulatory system that will be independent of the newspaper industry. The old system, the Press Complaints Commission, was dominated by editors and proved ineffective, Leveson said. Cameron immediately sparked controversy by declaring he would not pass a law that would give parliament a say in how newspapers are run for the first time in nearly 300 years. A glance at Friday's headlines shows that his stance has transformed the PM overnight into a hero in the eyes of newspaper editors and owners.

In the short-term, the newspapers themselves may be the biggest winners. The report says they should continue to regulate themselves, paying for a new complaints body that will be staffed by people from outside the industry. It will have the power to levy fines of up to Â£1 million and the funds to launch investigations into wrongdoing. Ofcom could yet be handed the right to oversee it. But in truth a more onerous system could have been imposed.

The much-maligned police will also find comfort in Leveson's report. Scotland Yard was criticized for failing to fully investigate phone hacking but the judge accepted its claim it was too busy dealing with possible terrorist threats to prioritize the case. Some senior police officers were too close to journalists but he found no evidence of corruption.

Politicians were roundly criticized by Leveson for schmoozing newspaper editors and proprietors for more than 30 years, attending their weddings and birthday parties, enjoying intimate dinners and forming close friendships. But none were singled out. They too will be relieved Leveson didn't couch his criticism in stronger terms.

Rupert and James Murdoch did not get off so lightly. Leveson saved some of his strongest words for the media mogul and his son, a senior executive at the company founded by his father. The judge expressed amazement that Murdoch Sr. had not sought more information about the likely extent of phone hacking at the News of the World, one of the company's flagship titles. His failure to read a damning high court judgement about the conduct of News of the World "says something about the degree to which his organization engages with the ethical direction of its newspapers". Referring to Murdoch's claim he did not remember visiting then-Prime Minister Margaret Thatcher to discuss his 1981 takeover bid for the Times of London at her official country residence, Leveson said: "It is perhaps a little surprising that he does not remember a visit to a place as memorable as Chequers in the context of a bid as important as that which he made for Time newspapers. However, perhaps that is all I need to say."

James Murdoch, who ran News Corp's European and Asian businesses until earlier this year, claimed his own executives had failed to tell him hacking went further than a single reporter at the News of the World. But Leveson said his evidence did not stack up. "There are aspects of the account of Mr Murdoch that cause me some concern," he said. He did not go further because a major police investigation into phone hacking is ongoing, but the criticism may prove strong enough to damage Murdoch's chance of succeeding his father.

Editors, past and present, are also criticized. Rebekah Brooks, who edited the News of the World and its daily sister title The Sun, was condemned for claiming former PM Gordon Brown wanted the fact his young son suffered from cystic fibrosis to be made public. In fact, the opposite was true, but the Sun ran a front-page story revealing the news anyway.

The British public, who already hold journalists in low regard, are unlikely to be surprised by any of this. Nearly 20 years after Diana's death, which elicited expressions of remorse from editors, some British papers printed naked pictures of Prince Harry in a Las Vegas hotel room. Weeks later, the same papers reacted with fury when a French magazine carried topless photo of Kate Middleton. As Leveson wryly observed, newspapers apply restraint selectively, and only when it suits them.

In the meantime, the British public grumble about journalists, just as they grumble about the weather, but carry on buying their papers anyway, albeit in smaller numbers. As Leveson might also have said, we all get the press we deserve.

The opinions expressed in this commentary are solely those of James Robinson.

@highlight

After Lord Leveson's report on press ethics, James Robinson asks what will change

@highlight

Robinson: British press has vowed to clean up its act before, after Diana's death

@highlight

PM David Cameron, newspapers and the police are immediate winners, he says

@highlight

Tabloid editors and the Murdochs were roundly criticized by the report, he adds