Table Mountain, Cape Town (CNN) -- For hundreds of millions of years it has dominated the coastal skyline of southern Africa, imposing a dramatic and domineering backdrop to an idyllic location.

Table Mountain, recently voted one of the "New Seven Wonders of Nature" by a global audience, now joins the ranks of the Amazon rainforest of South America and other exotic sites throughout Asia. My task for 'Inside Africa' is to meet the most interesting people living in its shadow, connected to its spirit.

The first people to live near this majestic mountain were the Khoi, migrating here some 2,000 years ago. As I hike through its rugged terrain near a feature called Lion's Head, I approach an unassuming man standing amid the rich biodiversity of flora and fauna.

His name is Kerneels, a direct descendant of the Khoi, and he wants to show me a sacred place he visits regularly, but first he hands me something.

See also: A journey through South Africa's stunning wine region

"This is wild sage," he tells me as I raise it to my nose, "anytime we journey to the shrine, we bring this to burn. It releases all negative energy." I clutch it tightly as we make the 30-minute trek, off the hiking trail, up the steep terrain walking where few people venture. Kerneels stops along the way telling me every plant growing around us was used in some way by his ancestors.

He snaps in half a stiff aloe vera leaf revealing a green goo and begins to apply it to his hair - I do the same. Kerneels says among medicinal uses, aloe keeps hair shiny and wavy.

When we arrive at the shrine all I see are large rocks grouped together overlooking the coastline and South Atlantic Ocean - it was simply beautiful. In the center just an open space to sit; no pictures, no idols, no markings whatsoever. This is a place to be alone with one's thoughts.

As wind whistles through the rock formations Kerneels whispers to me, describing how hard it is to be one of the few remaining Khoi people here. Their philosophy was one of use only what you need, and respect all forms of life on the mountain.

A mantra almost lost with time as the modern world crept in, colonized the area, violently pushing out the Khoi. I sit silently allowing him to gather his next thought. He says my energy is positive, so we don't need to burn the sage.

He sends me off with a heartfelt wish that visitors to Cape Town respect the hallowed ground and remember the first people to call this place home. Adding that while his "people" may be broken they are not defeated.

In many ways Kerneels' request is being carried out by mother of two, Caron von Zeil. She's the founder of the "Reclaim Camissa" project. The Khoi first called Cape Town "Camissa" meaning "the place of sweet waters" because of its natural and clean streams stemming from the mountainside.

The Dutch colonized it because of the abundant fresh water between the mountain range and the coast. But as the city grew, the waterways were gradually closed off (to limit pollution) and now all of it gets dumped into the South Atlantic.

Blog: Discovering the real Zambia

I meet Caron at the foot of Table Mountain with her 10-year-old son. With a Master's degree in Environmental Planning and Landscape Architecture, Caron explains her research requires she map each and every stream, step by step, turn by turn.

Her son likes to join the adventure. We pull back branches, jump over puddles and discover pristine waterways rushing down the porous sandstone of the mountain and over the solid granite of the ground.

Later, Caron unlocks an old fence, walking me to a mysterious underground housing. Behind the four-foot-high Dutch style door is a pitch-black room. Inside, crystal clear water on its way to the ocean. Her calculations tell her there is enough fresh water in this system for all residents living in the immediate surroundings.

Caron explains that efforts to lobby officials to reopen these water sources are falling on deaf ears - but still she charges on. Beyond the challenges of local bureaucracy she feels a deep-rooted commitment to the project and her Capetonian neighbors.

Of course, the views atop Table Mountain are breathtaking, watching from 1,000 meters in the sky as white clouds roll over the cliff's edge, explaining why locals call this the "tablecloth."

This is also one of the most photographed places in the world, but I wonder how many people truly see the beauty. I purposely didn't want to write about the sights, the awe inspiring views this week because of that.

Instead I want people going to Cape Town to remember Kerneels and Caron; look closer, dig deeper and reflect on what the people of Table Mountain represent.

My journey of discovery 'Inside Africa' has taken me through Victoria Falls in Zambia and all around Cape Town, South Africa and now I'm setting my compass to West Africa and the sights of Senegal... stay tuned.

@highlight

CNN's Errol Barnett visited the Table Mountain in Cape Town, South Africa

@highlight

A descendant of Khoi, the first people to live near the mountain showed Barnett a sacred place

@highlight

Barnett also met an environmentalist to learn about water protection in the region

@highlight

The journey ended with a breathtaking view as Barnett reached the top of the mountain