(CNN) -- With his frequent use of Twitter, YouTube, Pinterest and Instagram, Barack Obama has often been called the most tech-savvy of U.S. presidents.

So it makes sense that he was also the first president in 2009 to appoint a federal technology officer, a high-level adviser who helps guide government initiatives on tech, entrepreneurship and innovation.

That appointee, Aneesh Chopra, stepped down in January. Now his successor, Todd Park, is continuing the effort. A Harvard graduate, health-tech entrepreneur and former chief tech officer for the U.S. Department of Health and Human Services, Park took office in March and has only recently begun speaking publicly on his goals for his new job.

We spoke to Park recently about Obama's high-tech agenda, the power of big data and how technology can help drive job growth. Here is an edited transcript of our conversation.

CNN: Tell me a little bit about your position as you understand it.

Park: My job is to be tech entrepreneur-in-residence at the White House. My role is to be an internal change agent that works with the best innovators inside and outside of government to conceive of, and then execute, at high speed, a portfolio of initiatives that unleash the power of data, tech and innovation to improve the well-being of the American people. And about 20% of my time is functioning a senior advisor on [these] issues.

What kinds of things does the president ask your advice on?

The president's team asks me to get involved in everything from, say, helping to move the health insurance exchange programs along to assisting on, say, initiatives to help streamline the student loan process. It actually tends to be issues that relate to how technology and data can be applied to advance the ball on key national priorities, like education, energy, health care, public safety, job creation.

How would you describe the president's approach to technology?

The president is a hugely enthusiastic proponent of the power of data, technology and innovation to advance national priorities. Probably the highest compliment I can pay him is that his geek quotient is very high.

What, exactly, is the power of government data?

It's the notion of government taking a public good, which is this data -- say weather data, or the global-positioning system or health-related knowledge and information -- making it available in electronic, computable form and having entrepreneurs and innovators of all stripes turn it into an unbelievable array of products and services that improves lives and create jobs.

Government supplies the public good that is the data and [the] private sector supplies the creativity.

What is it about the private sector that is more nimble and creative?

I think the real secret is Joy's Law. This is a law that we're very fond of citing. It's named after Bill Joy, the co-founder of Sun Microsystems, a legendary figure in [Silicon] Valley, who once famously said, "no matter who you are, most of the smartest people in the world work for somebody else." Which is always true, no matter who you are [laughs].

So, having worked, for example, in [Health and Human Services]. There are a lot of smart of people in HHS, a lot of smart people. There's just many, many, many, many ... more smart people outside HHS. And, so, I think the key there is that if you make data available to everybody else, just by sheer numbers and sheer diversity of who they are and where they are, they will, of course, create many more powerful services and products ... than any group of people in any one organization possibly could.

We are enabling entrepreneurs and innovators across all walks of life to tap into fields of data sitting in the vaults of government in machine-readable form. They can, as they did with weather data, as they did with GPS data, create all kinds of services and products that we can only even barely imagine.

Can you briefly describe your history in the private sector, why you got into government and how it's prepared you for your current role?

When I was 24, I co-founded a company called Athenahealth which built the first Web-based software and back-office service suite for doctors' offices. Ten years later, we took it public. It ended its first day of trading with a market cap of over $1 billion. A year later, with the company doing incredibly well, and in order to stay married, I retired, joined the board, started a family with my wife and moved to California to be near her folks.

I then co-founded another company, called Castlight Health, which provides health care shopping services to consumers, and helped start a third company called Healthpoint Services, which provides affordable telemedical services, clean water, drugs and diagnostics to rural villages in India.

Then, in the summer of 2009, I got an e-mail ... asking to speak with me about the position of chief technology officer of HHS, a person who would serve as a "tech entrepreneur-in-residence," an internal change agent dedicated to leading initiatives that would help HHS unleash the power of data and technology to improve the health of all Americans.

They were very interested in bringing in someone with deep private sector entrepreneurial experience, as they felt that this person would be ideally suited to the role. At first, the prospect of losing me again to 24-7 workaholic mode was not a big hit at home. But after thinking about it for a few days, my wife said that if HHS was really looking for a tech entrepreneur-in-residence, then it was my national duty to do that job, and that we should go serve. So we did.

Here's what I'll say about my experience in government thus far: It has been the most entrepreneurial experience of my life.

How do you hope the federal government will change its approach to technology, innovation, and entrepreneurship?

We believe [our agenda] will significantly increase return on taxpayer investment in government. The agenda has three key components:

One, go mobile, enabling more and more government services to be accessed on mobile devices, bringing government literally to your fingertips.

Two, buy smarter, revamping how government buys technology to get a bigger bang for taxpayers' buck.

Three, open up our data, enabling it to be used as a national resource by entrepreneurs and innovators to create new products and jobs.

To help advance this agenda, we've launched a new Presidential Innovation Fellows program. This program will pair amazing innovators from outside government with amazing innovators inside government on five game-changing projects that aim to deliver significant initial results within six months.

These projects in sum aim to save taxpayer dollars, contribute to economic growth and job creation and improve the lives of Americans in multiple ways. And they aim to do so through the work of small, entrepreneurial teams working inside the government, teams of citizen innovators and government innovators who are working together to get amazing things done for the American people.

What's the best way for the American people to get involved?

The president is catalyzing a remarkable change in government. Government is truly beginning to embrace the power of innovation for the people and by the people, the idea that if government collaborates openly with and unleashes the ingenuity of the public, it will get much more done, much faster and at much lower cost than if government acted alone.

The Open Data Initiatives program exemplifies this approach. The government could have decided to keep all of its data in-house and be the sole builder of tools that utilize government data to help citizens. Instead, we're working to open up our data so that entrepreneurs and innovators across the country can build many more tools and create much more benefit with our data than government could possibly deliver alone.

The five Presidential Innovation Fellows projects, which include the Open Data Initiatives program, embody this idea of innovation for the people and by the people. We're asking for amazing citizen innovators to come to D.C. and serve their country for a short-term tour of duty starting in July. Folks who can't tear themselves away to be Fellows can sign up to follow one or more of the five projects and participate in them in other ways.

For example, you might be an entrepreneur who is interested in making a difference in the world of education. You can sign up to follow the Open Data Initiatives program, learn more about the education data we're making available, give us feedback about the data and use it as fuel to build something amazing that will help a family make the best possible decision about where to send their daughter to college and create jobs in your community at the same time.

The thing I love about this emerging philosophy of government, this idea of a government that embraces the power of innovation for and by the people, is that at its core is the belief that government and the people are one. We as citizens are the true owners of government. Any of us, if we choose, should be able to stand up, serve our country and make a difference. If we can continue to move government more and more in that direction, that will be a wonderful legacy to leave our children.

@highlight

Todd Park is the White House's new chief technology officer

@highlight

Park: My job is to "unleash the power of data, tech, and innovation" to help people

@highlight

Park wants entrepreneurs to tap into fields of data sitting in federal government vaults

@highlight

On Obama: "Probably the highest compliment I can pay him is that his geek quotient is very high"