Anger over Greece's austerity measures exploded in the streets of Athens early Monday as tens of thousands of protesters clashed with police in riots that left 106 police officers and dozens of civilians injured, according to police.

The riot, widely described as one of the worst in Athens since Greece began dealing with its crippling debt crisis in 2010, broke out after the Greek Parliament approved a new package of austerity measures in return for a new eurozone bailout of the debt-stricken country.

Protesters among a crowd estimated by police at about 80,000 hurled rocks and firebombs toward police. Officers responded with tear gas. At least 74 people were arrested, police said.

Police said investigators were still tallying property damages, but the Athens News Agency said more than 45 buildings were damaged by fire and numerous others were looted. Among the damaged buildings were a bank, cafes and a movie theater, the news agency reported.

The violent protests reflect increasing angst in Greece over crushing economic problems, said CNN iReporter Thanasis Trompoukis.

"They are protesting because they feel that there is no end in their financial suffering. More and more (people) every day are getting poorer and become homeless in Greece, and especially Athens," he said.

Photos: Police scatter Greek protesters with tear gas

The package, which includes deep cuts in government spending, wages and pensions, will help pave the way for eurozone finance ministers to sign off on the new €130 billion ($172.6 billion) bailout deal. It passed Parliament in a 199-74 vote.

Greece needs the funds in order to meet €14.5 billion in debt repayments due next month.

Speaking before the vote, Prime Minister Lucas Papademos called for calm. "This vandalism, violence, they have no place in a democracy and will not be tolerated," he told lawmakers, urging them to approve the deal.

"At this critical time, we don't have the luxury of such conflicts," he said.

Echoing comments he made in a speech to the Cabinet Saturday evening, Papademos warned lawmakers the government would not be able to pay salaries, cover services or import basic goods if the plan was not approved. He spoke about the possibility of "catastrophic bankruptcy."

"It's a hard program, a tough program, which also envisages some painful sacrifices," he said, adding that the plan would put Greece back on "stable ground."

Protesters criticizing the program have demonstrated for days.

Interactive: How do eurozone figures stack up?

On Saturday, some isolated scuffles broke out as protesters rallied in Syntagma Square, in front of the Parliament building, but the mood was calmer than a day earlier.

Friday's protest dispersed after youths smashed pavements and began throwing stones and pieces of marble, as well as Molotov cocktails, at the police, who responded with stun grenades and teargas.

Monday's protests are being widely described as some of the worst since the Greek debt crisis began in 2010.

In May of that year, three people died when a fire bomb hit a bank in central Athens during protests over austerity measures.

Even though the sweeping reform package agreed to by Greece and the so-called troika -- made up of the European Commission, European Central Bank and International Monetary Fund -- was approved in Parliament, Greek lawmakers must still do more.

Jean-Claude Juncker, the prime minister of Luxembourg and head of the Eurogroup, which brings together euro-area finance ministers, said Thursday that other assurances were also needed from Athens before the bailout could be paid out.

Greece's political leaders must pledge that they will continue to implement the measures after upcoming elections, he said.

Athens must also find a further €325 million in "structural expenditure" cuts for 2012, Juncker added.

The bailout deal, which would result in significant losses for bondholders, is intended to help reduce Greece's debts to 120% of gross domestic product by 2020, from about 160% currently.

Greece, which owes some €330 billion, has come close to default before.

The nation has struggled to follow through on austerity measures and economic reforms that were a condition of its 2010 bailout package. At the same time, the Greek economy has been in recession for years and many analysts warn that additional austerity could make the situation worse.

U.S. and European stocks were higher Monday morning following passage of the austerity package. Stock markets have been anxious about the potential impact of a Greek default on the European and world economies.

@highlight

Riots leave 106 police officers, scores of civilians injured

@highlight

The rioting follows approval of an austerity plan

@highlight

Prime Minister Lucas Papademos calls for calm, says violence will not be tolerated

@highlight

Approval of the plan will pave the way for a $172 billion bailout deal