(CNN) -- Mitt,

We've never met but I, too, spent a decade or so in private equity, made some money and moved on to other things while retaining ties to many people in the industry (including some of your former colleagues at Bain Capital).

So, it pains me to see you trying to win despite your private equity background rather than because of it. Although your interview with Piers Morgan was a baby step in the right direction, you still need to stop pussy-footing around about when you did (or did not) leave Bain, or whether you will (or will not) release your tax returns.

Be a man and make an honest case for why you should be the first private-equity president!

Here's what you should say:

"Like most private equity guys, I was a white, male, something-cum-laude, Ivy League-type who spent my early career in management consulting and Harvard Business School before getting into the business, where I quickly made some serious money.

"Unlike my cousin Kleiner and his friends who work in Silicon Valley, I was not a venture capitalist who made my money starting companies or inventing things. Unlike Mayor Mike Bloomberg, I was not an entrepreneur who made my money building a company. Unlike folksy Warren Buffett, I was not a long-term investor who made my money from owning companies. And unlike my younger brother Hedge, I didn't make my money because I was really, really smart. (Hedge was a physics professor before starting his fund and still plays chess at a high level but he's too weird to be president.)

"No, I made most of my money from buying and selling a dozen or so companies with other people's money; mostly uninteresting mid-sized companies that nobody particularly wanted; and I got to keep 20% of the difference between the purchase and sale price plus any cash I could take out while I owned them.

"And I now recognize that this short-term buying and selling made me about as knowledgeable about business as George Steinbrenner was about playing baseball. I was an expert at telling business people how to do what I'd never done myself. And to tell you the truth, back when I was in private equity most 'real' businessmen -- the people running our largest companies and the entrepreneurs starting new businesses -- had about as much respect for money guys like me as Dave Winfield had for George -- close to zero.

"But despite the bashing it has taken in the press, I'm proud of our private equity system. It plays the vital role of flowing 'risk money' from large investors, mostly large pension funds and the wealthy, into situations where it can be put to good use. Money that allows companies to pursue activities that, while potentially rewarding, involve taking technology, market and operational risks.

"Our country needs investment to create economic growth, improve living standards and increase productivity. Risk money is particularly important not only because of its direct benefits -- profits for successful companies, new and improved products, employment and knowledge -- but also because it gives individuals and institutions the opportunity to exercise their rights to buy, to sell and to pursue their dreams.

"And only independent organizations like Bain have proven able to get the job done because the other candidates for doing the job -- government, angels, banks -- have proven too stupid, too lazy, too small or too bureaucratic.

"Unfortunately everything worth doing can be overdone and sometimes I went from taking risks that were already there to making risks that weren't. Why? Because the company I wanted to buy was too boring, too well run, or too expensive to give me a decent chance of making real money unless I increased the level of risk. And this risk, usually excessive borrowing that I forced the company to take on (usually so that I could buy it) was borne by the company and its employees, customers and vendors with occasionally dire consequences.

"I'm sick to death of making lame excuses -- 'it's all part of creative destruction,' 'the market made me do it,' 'bankruptcy is no big deal,' 'I'd already left Bain when it happened' -- I admit it and, as I told Piers, I felt terrible when a business failed, but risk-making was a small part of what I did.

"While experts disagree about whether I created any lasting value, there is no doubt that I extracted it wherever possible. Private equity guys are always on the lookout for opportunities to extract value from customers (can we charge more for less?), from vendors (can we pay them later?), from employees (can we outsource to India!), from sellers (can we partner up in the next auction?) and from buyers (can we push the accountants harder?).

"Extraction probably makes things more efficient, and I got to my keep 20% of the extract, but it can be a nasty business.

"I worked hard and am pretty talented, but a large part of how I got so rich was just the dumb luck of joining an industry that was an almost perfectly designed money machine during what turned out to be a 20-year bull run.

"The funds are so large (per person) that even mediocre performance supports big paydays as profits are shared by very few people; the widespread use of borrowed money leads to cycle-driven windfalls even when no value is created over time, and I helped make a lot of other people rich, too, since I created a steady stream of corporate transactions (purchases, sales, mergers, refinancings and restructurings) that generated enormous fees for the bankers, lawyers and consultants for whom private equity is the gift that keeps on giving.

"In private equity, I was surrounded by guys just like me and this can still make it hard for me to relate to regular people. I almost never dealt with women or minorities as true partners. And I'm still perplexed when people don't share my passion for money, efficiency and numbers.

"Weirdly, I don't even feel like I'm in the top .1% given that so many of my friends have a lot more money than me. (That's why I find it so hard to shake my politically suicidal resistance to closing the 'carried interest' tax loophole that has already allowed me and my friends to pocket billions in tax-advantaged compensation.)

"One last thing you probably already know: I wasn't very nice. I always acted in my own economic interest, I quantified everything, I thought creatively about what could be done (not what should), I treated people as means not ends, and I regularly did to others what I would never want done to myself, my friends or my family. You'll have to ask the secretaries, middle managers, nannies and limo drivers what kind of man I really was or how I compared to the other effortlessly superior hotshots who roamed private equity's hallowed halls. But I did some things I'm now ashamed of (the picture with dollars overflowing my pockets) and I still have the habit of saying things I probably shouldn't - 'let's make a $10,000 bet,' 'I enjoy firing people' and 'I'm not concerned about the very poor.'

"On the other hand, I left the private equity world a long time ago and have since done some pretty cool and impressive things -- like running the Olympics and being the governor of Massachusetts -- but my time in the industry remains important because I saw first-hand the worst of debt-induced risk making (rather than risk taking), how the unfettered market tends toward unsustainably large (and morally reprehensible) extremes of wealth and poverty, how globalization offers us both opportunities and threats, and that the perverse incentives in our winner-take-all financial system can lead individually rational people to make collectively insane decisions. But I also know how markets work and that they have no equal as the core organizing principle for our society.

"So as president I will be ideally positioned to do the obvious things that our country needs to get back on track -- like pass the Buffett Tax, close the carried-interest tax loophole, impose a small tax on corporate transactions with the proceeds used to fund oversight of the financial system and limit the tax-deductibility of acquisition-related debt -- without throwing the capitalist baby out with the bathwater.

"And as a rich businessman, I will have the moral authority to increase taxes on the wealthy in our time of national need while ignoring the shrieks of those who, either out of ignorance or malevolent self-interest, will make baseless claims about the adverse effects on jobs and growth."

Mitt, I appreciate that it's tough in the time of super PACs to say what you really think when there is so much hard-right money for the taking. And I guess you still have the option to Etch A Sketch after the election if you win. But you're our best hope to be a private equity president (Is Henry Kravis running any time soon? Steve Schwarzman? Think about it, you may be our only hope.) and in the last few weeks it has become clear that by pretending to be something that you're not, you run the risk of going down in flames while tarnishing an industry that's been good to you.

I know you're a centrist at heart; please come out of the closet!

Yours Sincerely,

John

The opinions expressed in this commentary are solely those of John MacIntosh.

@highlight

Former private equity executive John MacIntosh has advice for Mitt Romney

@highlight

He says Romney should give a full account of the good and bad things he did at Bain Capital

@highlight

Romney should explain why, despite weaknesses, private equity experience was valuable

@highlight

MacIntosh: Romney should commit to eliminate loopholes, raise taxes on wealthy