In a move sure to attract attention from the music industry, a small group of coders claiming to be part of Anonymous is putting together a social music platform. The rather ambitious goal: Create a service that seamlessly pulls up songs streaming from all around the internet.

The project, called Anontune and still in its infancy, is designed to pull songs from third-party sources like YouTube and let anonymous users put them into playlists and share them — while keeping the service from being shut down by music industry lawsuits.

Reached by e-mail, one of the creators of Anontune told Wired the project was started by a group of anons who met online six years ago on what was then an underground hacking site. The group, mostly focused at the time on "cracking," began discussing music, favorite artists and what they would do to fix current music business models.

"We would say stuff like, 'People really use YouTube as a music player yet it really sucks for that purpose ... it's too unorganized,'" the anon wrote to Wired. "And then, 'YouTube does make a good music player but you can't play all your songs on it since the obscure ones aren't uploaded,' then eventually, 'Hmmm, what if you were to combine music websites like Myspace, Yahoo, YouTube and others?'"

On the ever-sprawling internet, music can pop up anywhere — Tumblr pages, blogs, The Hype Machine (to name but a few). Almost any song is available at any time, whether posted by legitimate sources or uploaded by fans or pirates, and Anontune would tap into that rich reservoir.

It wouldn't be the first time Anonymous squared off with the record industry: When popular file-sharing site Megaupload was shuttered by the Justice Department in January, Anonymous retaliated by attacking the websites of the Recording Industry Association of America and the DoJ. The DDoS attacks provide an undeniable look at what Anonymous can do in a copyfight, but if the creators of Anontune succeed, they could make something far more disruptive to the music industry.

The Anontune concept remained nothing more than talk until one day in early December, when an anon posted a link to Anontune and said he planned to make their ideas a reality. The others looked at the site. Although it wasn't very good, the working prototype got enough people interested in the project that they "formed a team that day and stopped hacking," the anon said.

The platform has been in development for just a few months, according to the video above (titled "Message From Anonymous: Music Has Changed"). Although Anontune is still very rudimentary, the service is meant to improve the way music is played online.

"It has come to our attention that the state of online music has been sabotaged by the fat hands of corporate involvement," the Anontune video's voiceover states. "These changes have led to a world in which your enjoyment of music is controlled and billed by the minute."

How Anontune Works (And a Word of Caution)

Anontune works by automating what most people do online manually. After setting up an account, users can build playlists by simply typing in the names of songs they want to hear, or they can choose from the names of songs imported from their iPods. Anontune's "music engine" — which runs in a user's browser — then finds the songs on the web. Currently most of the tracks come from YouTube and SoundCloud, but there are plans in the works to add Yahoo Music, Myspace Music, Bandcamp and others. From there, users, of which there are currently fewer than 1,000, just press play.

(A word of caution to curious readers: The system relies on executing a Java applet. Unless you are extremely trusting or using VMWare, you should think very carefully about running code on your machine that was written by members of Anonymous.)

The stated central aims of the service's creators are to provide a flexible, open platform for users to listen to music without having to pirate it or face legal repercussions — read Anontune's white paper here. True to form, users of the service can largely remain anonymous.

Although the site is still very crude and its origins obscure, the idea of Anonymous — even a few far-flung members of the group — tackling online music is compelling. But Anontune could come into the world with a target on its back, even if it operates using completely legitimate methods, according to Electronic Frontier Foundation attorney Corynne McSherry.

"What we're seeing here is a situation where the government is getting much more involved in enforcement, and we know that the U.S. government doesn't like Anonymous all that much anyway," McSherry said in an interview with Wired. Other music services can attempt to cut deals with music labels to avoid legal hot water, but that's not really an option here.

"I think content owners, if they feel like the site is a really viable site, they're going to be pretty nervous [about this]," McSherry said. "Because they like to have people that they can make deals with, and there's no one to make a deal with in this situation."

It's hard not to notice that Anontune is popping up just as the U.S. government's case against Megaupload is getting heated. Even though Anontune's creators say the service isn't a rebuttal to the shuttering of the file-sharing service, its timely unveiling could serve as a model for a different way for Anonymous to respond to incidents (as opposed to, say, directing Low Orbit Ion Cannons at the website of the Recording Industry Association of America).

"The project is not so much a response to Megaupload but a response to the tycoons from the RIAA shutting down music services," the anon wrote to Wired. "You may have heard about what Anonymous has done in Operation Payback. We believe the underlying reasons for the revolt were (mostly) correct, however their approach is unlikely to change anything in the long run."

When asked about Anontune by Wired, an RIAA spokesman declined to comment.

Anontune's creators hope that in its complete version — it's only about 20 percent there so far, our source said — the service can improve the way people engage with music.

"We have a lot of plans regarding this," the Anontune co-creator told Wired. "The development of software to assist in achieving musical peak experiences, illumination of the functions and roles of music, psychometric testing based on music preference. It's all there and this is possibly the most interesting part of the whole project."

Anontune's technical aspects can be reviewed online, and the site's operators are taking donations. Even though its creators are still hurriedly trying to get the service up to snuff, the site has massive goals. One only needs to look at the final note on the above clip's YouTube page to get a taste.

"We need to think bigger," it reads. "This is Operation Mozart."

@highlight

Group identified as Anonymous putting together a social-music platform

@highlight

Anontune is designed to pull songs from third-party sources for users

@highlight

Using the service will require loading code written by 'Anons' on your computer