Cairo (CNN) -- Islamist parties made dramatic advances in Egypt's parliamentary elections during the first round of voting for lawmakers this week, a result reflecting a growing embrace of religious-oriented sentiment across turbulent North Africa.

"We accept the results of the elections in any case because it's the will of the people, and our rivals should embrace it too because this is the true democracy we fought for and we wish our liberal brothers better results in the next two rounds," Mahmoud Ghozlan, spokesman of the relatively moderate Muslim Brotherhood, whose Freedom and Justice Party (FJP) won 40% of the vote.

Al Noor Salafi Movement, a hard-line Muslim group, had the second-highest total, 20%, in the first round of voting for the lower house of parliament, according to Yousri Abdel Kareem, head of the executive office of the Higher Judicial Election Council.

In the first election after the toppling of President Hosni Mubarak, the tallies reflected similar results in Morocco and Tunisia. Moderate Islamists in those North African nations prevailed in recent elections amid the wave of political discontent across the Arabic-speaking world this year.

Secularists weren't surprised at the result but they were stunned that some longtime secular groups performed poorly.

"The strong showing of the Islamists should serve to mobilize more support for secular candidate," said Mohamed Ghoneim, speaking for the liberal Egyptian Bloc that garnered 15% of the vote. "We need to build on that and we are going for it."

Ghoneim said voters were turned off by some secular candidates because they come from Mubarak's old National Democratic Party.

The Muslim Brotherhood is entrenched in mainstream Egyptian politics. Most are highly educated -- doctors, lawyers, engineers, professors and businessmen -- and come from solidly middle-class backgrounds.

Al Noor Salafi is the first Salafist group to register as a political party in Egypt. Salafis are conservative, religious purists and have been accused of stoking sectarian strife against Egypt's Christian minority and of plotting to undermine the country's fledgling democracy.

This week's voting in Egypt marked the initial part of a complex, multi-step process that will first pick members of the lower house of parliament.

Voters had to cast three votes, two for independent candidates and one for a party or coalition. Four independent candidates won but runoff elections for those who didn't win clear majorities will be held Monday and Tuesday. One of the four is Amr Hamzawy, once a research director at theÂ Carnegie Endowment for International Peace and a spokesman of the "Board of Wise Men," which worked to foster negotiations between the government and protesters.

Presidential elections will be held by June, according to the military, which has rulied the country since Mubarak's fall.

"The success of Islamist parties will make it much more difficult, if not impossible, for the Egyptian military to prolong its political control and to recreate a political system along the lines of Hosni Mubarak, as it appeared intent on doing." Marina Ottaway, a senior associate of Carnegie's Middle East program, said in an analysis on Friday.

Voter turnout was initially reported by the country's election board at 62%, but the board said it would recalculate the figure after reporters raised questions about the number of registered voters used in the calculation, suggesting the true figure was lower.

Abdel Moez Ibrahim, head of the judicial election committee said problems arose during the polling that will be addressed in the next round of voting. They include campaigning on the days of the elections, long lines and the late arrival of a limited number of ballots. Ibrahim said sending vehicles to pick up judges and handing out paper ballots the night before elections are among solutions to problems.

Ibrahim said the process has been triumphant for Egyptian democracy.

"The winner of these elections is the Egyptian people," he said.

As for the future, the Carnegie analysis says "the response of the military and secular parties, and the political acumen of the FJP" will determine whether the future government will be "dominated by Islamists, including hard-line Salafis, or a less threatening alliance of the FJP and secular parties," Ottaway said.

CNN's Joe Sterling contributed to this report

@highlight

NEW: Egyptians are real "winners" of election process, official says

@highlight

Liberals say they'll try harder in the next two rounds

@highlight

The Muslim Brotherhood calls results the "will of the people

@highlight

he Islamist surge reflects a trend in North Africa