(CNN) -- In what he described as a candid and comprehensive conversation, Kofi Annan, the special United Nations envoy to Syria, laid out proposals Saturday to President Bashar al-Assad that were aimed at halting the relentless carnage.

It was the first time since Syria's long and bloody conflict that al-Assad met with such a high level diplomat. Even as the two men spoke, however, Syrian security forces continued to kill with impunity.

At least 63 people were killed Saturday, according to the Local Coordination Committees (LCC), a network of Syrian activists. Another group put the toll at 98.

Annan, a former U.N. secretary-general, spoke to al-Assad about a ceasefire, the release of detainees and allowing unfettered access to agencies like the Red Cross to deliver much needed aid, a U.N. statement said.

Annan also proposed a start to an inclusive political dialogue that would "address the legitimate aspirations and concerns of the people."

He was staying overnight in Damascus and will resume discussions Sunday with al-Assad.

Annan also met Saturday with opposition leaders and young activists, as well as prominent members of the business community.

Syrian state-run media said the meeting took place in a "positive atmosphere."

It said Al-Assad told Annan that he was ready to find a solution but that such an effort would first require a look at reality on the ground and not relying on what "is promoted by some regional and international countries to distort the facts and give a picture contrary to what Syria is undergoing."

He also reiterated that "political dialogue or action cannot take place or succeed if there are terrorist armed gangs on the ground that are working on spreading chaos and target the stability of the homeland," the Syrian Arab News Agency (SANA) said.

The Syrian regime has maintained throughout the uprising that armed thugs are responsible for causing the bloodshed.

That violence claimed more lives Saturday in villages, towns and cities across the nation.

Among the dead Saturday were 16 Free Syrian Army fighters who died in an ambush in Jisr al-Shagur, not far from the northern city of Idlib.

Activist Abdel Aziz told CNN that Idlib was suffering the kind of heavy shelling the world had seen in the besieged city of Homs and 46 of the casualties Saturday were in Idlib.

He estimated shelling every two minutes and that many residences and buildings had been damaged or destroyed. He also reported that security forces were searching house to house to arrest activists.

"The number of tanks is much greater than defectors," Aziz said. "This scenario is very similar to what happened in Homs."

Violent clashes between government forces and defected soldiers erupted in the town of Daraya, opposition activists said.

And in the Daraa village of Jezah, "the regime's army is indiscriminately bombing the city with anti-aircraft missiles. The village is under siege in all directions," said the Local Coordination Committees of Syria, a network of opposition activists.

The group also reported heavy gunfire in Damascus neighborhoods and gunfire in Hama and Aleppo, where communications and electricity were curtailed. A demonstration in Latakia "chanted for the disaster-stricken cities and demanded the regime's ouster," it said.

The Syrian Observatory for Human Rights, another opposition group, said 98 people died, including 39 military defectors. Among 39 civilian casualties were 25 in Idlib, the group said. It also said 20 government troops, including a brigadier general in a Damascus suburb, were killed.

CNN could not verify the casualty figures.

Amid the fighting, Annan's visit presented "a small sign of hope, yet so dim," said Abdel Aziz al-Khair, a member of the National Coordinating Body for Democratic Change.

"There is no way that we can have any dialogue with the regime until the security campaign ends," said al-Khair, who met with Annan Saturday.

"They keep playing the victim role, (saying) that they are defending the innocent civilians while they slaughter them and blame the bloodshed on others," he said.

Annan seemed extremely concerned about the humanitarian crisis in Syria and said he had received contradicting reports regarding the ongoing conflict, al-Khair said.

Annan distanced himself from military intervention as did opposition members, agreeing that an armed conflict would only worsen the predicament of civilians, al-Khair said.

Both Annan and opposition members agreed that plans for a resolution cannot be implemented as long as the bloodshed continues.

"It is too early to apply a plan to resolve the crisis, " al-Khair said. "The situation on the ground ... is catastrophic."

U.S. Ambassador to the United Nations Susan Rice said Annan was trying to "broker a swift transition in which ultimately Assad steps aside and the people of Syria are able to choose an interim government that's representative and leads to elections."

Rice said she wants the situation to be resolved peacefully, "to the extent that that remains still a viable outcome."

But time was running out for a diplomatic solution, said Haytham Manna of the opposition Coordinating Committee of Democratic Transition in Syria.

"We are getting to the point of no return," said Manna, a Paris-based dissident. "If we can't reach a political agreement today, we will head toward the abyss. ... The regime is pushing the country as a whole toward a full scale armed struggle between the very well organized military institution and our people."

Meanwhile in Cairo, Russian Foreign Minister Sergey Lavrov agreed with his Arab League counterparts on key issues regarding Syria. They called for an end to the violence; independent monitoring; unfettered aid delivery; and support for Annan's mission.

But there was no getting around to the contentious nature of Lavrov's presence at the Arab League meeting after Russia vetoed a key United Nations Security Council resolution condemning the Syrian regime. China also voted against the measure.

Lavrov defended his nation's ties to the region.

"We have always supported the rights of the Arab world for independence and free development," Lavrov said. "If you take the volume of economic ties with any of your countries then what we have, unfortunately, in trade and economy is in comparably low(er) than the volume of trade and economic ties with other outside partners."

Arab leaders called for intervention given the situation within Syria and held firm to their position that al-Assad must step down.

Qatari Prime Minister Sheikh Hamad bin Jassim al-Thani said the Arab League supported Annan's mission but it was also time to send in Arab and other international troops into Syria.

The United Nations says more than 7,500 have died in the past year, and at least one activist group says more than 9,000 people have been killed.

CNN cannot independently confirm opposition or government reports of casualties or attacks from across Syria because the government has severely restricted the access of international journalists.

But a vast majority of reports from inside Syria show a systematic slaughter in an attempt to silence dissidents.

CNN's Saad Abedine, Salma Abdelaziz, Hamdi Alkhshali, Ian Lee, Moni Basu and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

At least 63 people, perhaps as many as 98, were killed Saturday

@highlight

Annan proposed a ceasefire, release of detainees and aid delivery

@highlight

An activist reports heavy shelling of Idlib, in the vein of Homs

@highlight

If the talks fail, 'we will head toward the abyss,' says one dissident