(CNN) -- President Obama's poll numbers have hit a new low and he's under fire for everything from the rise of ISIS to the response to the Ebola threat. So it may seem surprising to many readers that the Nobel Prize-winning economist Paul Krugman -- who has been one of the president's strongest critics from the left -- has written a cover story for Rolling Stone entitled "In Defense of Obama."

The article is important. Krugman rightfully directs our attention away from approval ratings and popularity -- measures that don't tell us much about the place of our leaders in American history -- insisting instead that we should be focused on things that a president actually does.

By this measure, Krugman now argues that this administration has done a pretty good job overall. Indeed, as he moves through a list of his major policy accomplishments, Krugman concludes that Obama's legacy is downright impressive compared to his predecessors.

"Despite bitter opposition," Krugman writes, "despite having come close to self-inflicted disaster, Obama has emerged as one of the most consequential and, yes, successful presidents in American history."

But it is much too early to tell whether Krugman's report card is correct. While he is spot on when saying that the policy record matters much more than short-term popularity as measured in the polls, the policy record of any president is extremely difficult to evaluate before a president has even finished his time in office.

The other presidents who Krugman would hope that Obama has been able to emulate -- as well as conservative leaders, like Ronald Reagan and (I would argue George W. Bush) who have had lasting policy records -- couldn't really be judged until many years after leaving the White House.

It usually takes some time to see whether a policy works. When LBJ pushed Congress to pass Medicare in 1965, policymakers were still unclear whether the program would really eliminate the horrendous conditions facing elderly Americans, most of whom could not afford adequate health care.

But the final legislation that passed Congress, which added physicians insurance and Medicaid to the hospital insurance that Lyndon Johnson had supported, proved to be a stunning success.

While the programs have been far from perfect, a fascinating book edited by Sheldon Danzinger and Martha Bailey, "Legacies of the War on Poverty," convincingly demonstrates that the policies were extremely effective at eliminating this as a major social problem. But we didn't know that yet when Johnson was stepping down.

In 1986 and 1987, Ronald Reagan caused quite a stir among his own supporters when he moved forward with negotiations with Mikhail Gorbachev, culminating in the INF agreement. Over the next few years we saw that this was an important step in the end of the Cold War. Yet from the perspective of 1988, the nation couldn't tell where this would all go.

While there is evidence that Affordable Care Act is having a substantial impact we don't yet have enough evidence to judge how well it will do in ending the problem of uninsured Americans and lowering the costs of premiums.

Another measure that we use to judge whether policies are successful has to do with their ability to outlast the political coalition that built them. Do they become entrenched in the system so that changes in the political winds don't result in their being dismantled?

The Federal Reserve system, created during the presidency of Woodrow Wilson, is an enduring and ingrained part of the nation's banking system over a century later. The agricultural policies that FDR put in place with Congress remain an integral part of the farming economy, as do the basic protections afforded to Americans who deposit their savings in banks.

The Civil Rights Act of 1964 has been accepted by politicians from both parties even after many years of conservative backlash toward policies promoting racial equality.

The same is true with the achievements of some conservative presidents. Although there have been a series of tax increases since 1982, no president has overturned the basic slash in income tax rates achieved by Reagan in 1981 that forever depleted the government of needed revenue. Thus far, President George W. Bush's vast expansion of the national security state in 9/11 has remained firmly in place; in fact it has expanded, even with President Obama in office.

While presidential popularity doesn't tell us much about how a leader stacks up in history, the long-term popularity of programs does matter. Great policies usually generate loyal constituencies. This is part of what makes them so difficult to retrench.

President Roosevelt famously said about Social Security taxes, "with those damn taxes, no damn politician can ever scrap my Social Security program." He was right. Americans came to expect this as a benefit because of the taxes they paid, while millions of elderly Americans soon came to love their monthly pensionsâ€”as did middle class families who felt relief from having t\o shoulder the entire responsibility of taking care of their parents after their retirement.

Right now, we don't know if Obama's programs will have this kind of feedback effect. His health care program remains unpopular, though more Americans want the program reformed rather than repealed, while his financial regulations have certainly not generated great admiration from middle class Americans who still feel that the world of finance favors the wealthy and who are less than confident the system won't collapse again.

Obama's economic stimulus programs clearly helped the nation lift itself out of the Great Recession, but most Americans don't credit his policies with the improvements that the nation has seen and many feel that the president didn't do enough to help with the bigger structural problems facing a shrinking middle class dealing with insecurity.

So Krugman has put forth an enormously important argument, but it is just too early to tell whether his early report card is correct. We need much more time to see what happens with the next administration, as well as what comes after, before we can really start to make clear judgments as to whether Obama's accomplishments were historic or whether he ends up being remembered as an average president.

@highlight

Nobel-winning economist Krugman writes that Obama is one of most successful presidents

@highlight

Julian Zelizer: Obama's policies on health care, economy, regulation could prove successful

@highlight

But he says it's much too early to evaluate Obama's overall impact

@highlight

Zelizer: Decisions made by LBJ, Reagan, others were hard to fully assess for many years