(CNN) -- Forty years ago this week, three men in a tiny spacecraft slipped their earthly bonds and traveled where no one else had before, circling the moon 10 times and bringing back an iconic image of a blue-and-white Earth in the distance, solitary but bound as one against the black vastness beyond.

Host Nick Clooney (left) and astronauts Frank Borman, Jim Lovell and William Anders answer questions in October.

The voyage of Apollo 8 from December 21-27, 1968, marked humans' first venture to another heavenly body.

"We were flying to the moon for the first time," said Jim Lovell, one of the three astronauts aboard the historic flight. "Seeing the far side of the moon for the first time. Coming around and seeing the Earth as it really is -- a small fragile planet with a rather normal star, our sun."

But beyond the monumental aspects of such a scientific achievement, the feat was a major psychological and emotional boost for many Americans at the end of a particularly bad year in U.S. history.

The Tet offensive in January 1968 had left many Americans shocked and doubting that victory in Vietnam was possible. In April, the Rev. Martin Luther King was assassinated, and streets throughout the nation erupted in fire and fury. Sen. Robert F. Kennedy was gunned down two months later.

That summer, the nation watched in horror as police and anti-war protesters battled in the streets of Chicago during the Democratic National Convention.

The launch of Apollo 7 in October was a major victory for NASA, putting the space program back on track after a 22-month interruption because of a launch pad fire that had killed three astronauts in January 1967.

Then came Apollo 8.  Gallery: Images of the Apollo 8 mission »

"Providence happened to put everything together at the end of the year to give the American public an uplift after what had been a poor year," Lovell told CNN on Monday.

Reaching the moon was "a big psychological step," said Apollo 7 astronaut Walter Cunningham.

"The public said, 'Hey, human beings are going to another body in the solar system,' " Cunningham told CNN in a telephone interview from his home in Houston, Texas.

The mission produced one of the most famous photos from the space program, showing a large chunk of gray moon in the foreground and a dappled blue-and-white, three-quarter Earth rising in the distance.

Apollo 8 also produced what to many was one of the most inspirational and soothing moments in history when Lovell and crewmates Frank Borman and William A. Anders took turns reading from the Book of Genesis. It was Christmas Eve and the whole world was watching. NASA said at the time it was expected to be the largest TV audience to date.

The astronauts signed off with these words: "And from the crew of Apollo 8, we close with good night, good luck, a merry Christmas and God bless all of you, all of you on the good earth."

The timing could not have been better, Lovell said.

"It happened that it all jelled," he said by telephone. "The fact that we circled the moon on Christmas Eve. A screenwriter couldn't have done a better job."

The success of the mission also gave the United States a major boost in its race against the Soviet Union to see who would get to the moon first. The United States would land two men on the moon in the summer of 1969 on Apollo 11, beating the Soviets and fulfilling a goal set by former President John F. Kennedy at the beginning of the decade.

"There was a great psychological significance of sending a spacecraft to the moon," Cunningham said. "It was not a psychological leap for any of us [astronauts] to go to the moon."

The astronauts, he said, were used to taking risks and knew they could do it. But NASA officials had some tough choices to make.

"For the people on the ground, it was a big step for them," Cunningham said. "Making life-and-death decisions about somebody else's life is a lot more difficult than making one about your own."

For astronaut Edgar Mitchell, the sixth person to walk on the moon, the Apollo 8 mission signified a major milestone in human history, much like when the Phoenicians started exploring the Mediterranean Sea nearly 3,000 years earlier.

"We became citizens of the galaxy, as opposed to citizens of the planet," Mitchell said Monday.

"For my parents' generation, it was aviation," said Mitchell, who is 78. "My generation went off the planet altogether. We became the first generation of spacefarers."

For the astronauts, most of them former test pilots, going to the moon was just another job.

Were they fully aware of the significance of what they were accomplishing, Lovell is asked.

"No," he says immediately. "We were focused on trying to do the right thing. Focused on trying to accomplish something."

Lovell went on to fly another historic mission, Apollo 13 in April 1970. That flight, which he commanded, became famous when an oxygen system aboard the craft blew up and the three astronauts had to limp around the moon and back to Earth using makeshift and improvised systems. Their triumph over adversity was immortalized in the movie "Apollo 13," in which Tom Hanks played Lovell.

Lovell was supposed to land on the moon that time, but did not make it.

"Twice a bridesmaid, never a bride," he said with a laugh, admitting that for years he harbored resentment that the mission had been a "failure."

It was only in later years, Lovell said, that he fully realized what a success that mission had been, as he and his two crewmates returned safely to Earth.

"It is mind-boggling in some respects," he said Monday.

@highlight

Apollo 8 came at end of difficult year in world history, 1968

@highlight

Astronauts circled the moon on Christmas Eve; they were first to go that far

@highlight

Famous photo of Earth, reading from Genesis ended year on a better note