Until now "sequestration" has been a word that only means something to people living inside the Beltway or to political junkies who depend on their daily dose of Politico and The Hill. But if Congress and the president do not reach a deal by March 1, which appears likely, Americans will quickly learn what it means -- namely deep spending cuts.

The spending cuts pose a significant political threat to Republicans, more so than to Democrats. Although many Republicans are standing firm, insisting that their party will be fine if the cuts go through, there are many reasons for the GOP, through a sober eye, to see the dangers that lay ahead.

The cuts could push congressional politics in a liberal direction and establish the foundation for solid Democratic gains in 2014.

Last week Bob Woodward argued that President Obama was responsible for the sequester idea, not the Republicans. But while people are squabbling over who owns the sequester, the GOP will take the hit regardless.

The danger for Republicans is that the budget cuts will severely weaken public support for the austerity theme that the party has been promoting since 2010. The cuts will make "deficit reduction" something very real to average American citizens and business and something that is often quite painful rather than an abstract debate over numbers.

Opinion: One cuts, Washington throws a tantrum

While Americans have historically been hostile to government, they tend to support specific government services when asked by pollsters. So Washington's overall spending might not be popular as a concept, but Social Security and Medicare are.

The spending cuts will shift the debate toward the specifics. Americans will watch as government services are retrenched. The last time this happened, things didn't go well for the GOP.

When the federal government shut down in 1995-1996 because of a budget standoff between Republicans and President Clinton, the GOP faced a huge backlash when Americans were unable to access basic government services, such as obtaining a passport or visiting the national zoo.

Opinion: The spending cut fairy tale

President Obama has already been using the bully pulpit to make this case, appearing with first responders and warning of how the cuts will impact police, hospitals, teachers, airline workers and more. Standing in front of a group of police officers, Obama said, "Federal prosecutors will have to close cases and let criminals go." While these speeches are a form of political theater, they are based on very real possibilities.

The budget cuts that result from sequestration would just be the first of the threats the GOP faces. If the government has to shut down as a result of a standoff when the government's general operating budget expires in late March or the debt ceiling is not raised this spring, Republicans will continue to lose the public's confidence in their ability to govern and the reduction in services will   highlight to Americans what the government actually does.

If the economy sputters as a result of the spending cuts, as some economists predict, deficit reduction will look even worse. An already frustrated workforce will become even more angry, and likely take out their frustration on a Republican Party that has been insisting deficit reduction should be the nation's short-term goal, rather than stimulating the economy.

Conservatives will  suffer as the focus  of congressional debate will quickly shift from the issue of spending cuts, where the emphasis has been since 2011, to the issue of spending more.

Once the cuts go through, frustration and anger with the impact on government services will certainly produce increased pressure on legislators in both parties to offer a fix, namely to restore spending to key areas.

Borger: Obama can't kick his legacy down the road

With legislators already thinking about the 2014 elections,  this will be tempting. If this shift occurs, Republicans, who have invested so much in making fiscal discipline their top issue, will be operating in a congressional environment where the    debates center around areas where the government needs to devote more government resources rather than less.

The  automatic spending cuts are the ultimate symbol of a dysfunctional government. The reason the cuts were put into place was that President Obama and Congress were unable to reach an agreement on taxes and spending. Government leaders agreed to put a gun to their own head by threatening unpalatable cuts if they were unable to reach a deal. Now the trigger is about to be pulled.

The problem for Republicans is that the polls show that the approval rating of the GOP is in the tank while President Obama is doing relatively well. According to Quinnipiac University, only 19% of Americans approve of how Republicans are handling their job.

Obama is enjoying his highest favorability ratings since 2009, with 60% having a favorable rating of him in a Washington Post-ABC poll. The likelihood, as in 1995-1996, is that the public will blame the dysfunction on the GOP rather than Democrats and the party will suffer a further erosion of its standing as a result.

According to a recent poll by the Pew Foundation and USA Today, Republicans would be blamed for the cuts by almost half of Americans, while only 31% would blame Obama.

News: Top Senate Republican doubts damage from defense cuts

Sequestration will soon become a dirty word in the American political lexicon. While it is impossible to predict which way the political winds will blow, there is good reason for Republicans to see how they can suffer politically if some kind of deal is not reached.

Republicans, who have now struggled through two presidential elections and are facing a demographic shift that does not work in their favor, might want to start thinking harder about their strategy on spending. Deficit reduction is no longer a winning issue for the GOP.

@highlight

Julian Zelizer: Washington's budget fight will grab public's attention if no deal reached

@highlight

He says painful cuts will lead the public to blame Republicans for Washington's dysfunction

@highlight

Americans don't like government spending in general but like specific programs, he says

@highlight

Zelizer: GOP needs to rethink its reliance on deficit reduction as a prime strategy