LONDON, England (CNN) -- When Nina Temple was diagnosed with Parkinson's disease in 2000, then aged 44, she quickly became depressed, barely venturing out of her house as she struggled to come to terms with living with the chronic condition.

Sing for Joy is a choir made up of sufferers of neurological conditions plus friends, family and carers.

"I was thinking of all the things which I wished I'd done with my life and I wouldn't be able to do. And then I started thinking about all the things that I still actually could do and singing was one of those," Temple told CNN.

Along with a fellow Parkinson's sufferer, Temple decided, on a whim, to form a choir. The pair placed notices in doctor's surgeries inviting others to join them and advertised for a singing teacher.

By 2003, with the help of funding from the Parkinson's Disease Society, the resulting ensemble "Sing For Joy" was up and running, rehearsing weekly and soon graduating to public performances.

The group now consists of around two dozen singers, including sufferers of Parkinson's and multiple sclerosis, others recovering from conditions including stroke or cancer, plus their carers, family and friends. Led by acclaimed jazz performer Carol Grimes, the group's genre-defying repertoire ranges from Cole Porter classics to ethnic punk.  Watch Sing for Joy perform »

"It's quite easy to get overwhelmed by the disease and having something that you do every week that makes you forget all your troubles and keeps you from feeling isolated is a great pleasure," says Temple.

But singing also has physical and neurological benefits for the choir's members. A common symptom of Parkinson's disease and similar conditions is voice loss and each week the group begins its rehearsals with vocal exercises worked out with speech therapists.

"All neurological conditions affect the throat because it has so many muscles," says Sarah Benton, another choir member with multiple sclerosis. "So singing, which makes you lift up your body and expand your lungs, is perfect for neurological diseases."

While "Sing for Joy's" DIY-style music therapy has provided obvious social, mental and physical benefits for its members, there is a growing body of clinical evidence suggesting that music can play a key role in aiding recovery or helping sufferers cope with a broad range of brain-based conditions. Does music affect your mood or have particular physical or mental benefits? Sound Off below

Doctor Wendy Magee, International Fellow in Music Therapy at London's Institute of Neuropalliative Rehabilitation, describes music as a "mega-vitamin for the brain," capable of influencing and improving motor function, communication and even cognition.

"When neural pathways are damaged for one particular function such as language, musical neural pathways are actually much more complex and much more widespread within the brain," Magee told CNN.

"Music seems to find re-routed paths and that is why it is such a useful tool in terms of helping people with different kinds of brain damage because it can help to find new pathways in terms of brain functioning."

Researchers in Finland have demonstrated that listening to music for several hours a day can enhance the rehabilitation of stroke patients.

In another study, stroke patients who were taught to play the piano or drums made speedier progress in their general recovery than patients who received only traditional therapy.

At Colorado State University, researchers have used musical and rhythmic cues as an effective tool to improve the movement and balance of Parkinson's disease sufferers and those with other degenerative diseases.

Melodic Intonation Therapy, in which musical exercises are used to improve speech, has proved an effective treatment for patients with aphasia, a disorder that results from damage to portions of the brain responsible for language.

Musical memories also seem to be more resilient to neural degenerative conditions such as Alzheimer's and dementia, enabling therapists to use familiar tunes to cue memories which might otherwise have been lost.

One American World War II veteran whose dementia was so severe he couldn't remember his own name and would barely acknowledge his own wife was brought alive through ballroom dancing and the music of Frank Sinatra, the sufferer still able to lead his wife through the foxtrot as if it was the 1940s.

The power of music to enhance moods and emotions has long been harnessed by psychologists, but, as Dr. Lauren Stewart, director of a recently established course in Music, Mind and Brain at Goldsmiths University of London told CNN, "recent advances in neuroscience and brain imaging technology are now radically transforming conventional music therapy into a more rigorous and research-based clinical practice."

Professor Michael Thaut of Colorado State University's Center for Biomedical Research in Music, who has helped pioneer a new research-based approach known as Neurologic Music Therapy (NMT), says recent developments amount to a "paradigm shift."

"Therapists in all fields have been doing things for decades; now they're trying to figure out the research to support their work," Thaut told CNN. "NMT started as a science and now it's turning into a clinical field. And that's very exciting."

For now NMT remains on the fringes of standard neurological rehabilitation. But Magee believes its application and a general move away from psychoanalytical approaches dominant in the past, could bring music therapy towards the mainstream and make it an ever more effective tool.

"We are now starting to see the evidence for why we see things work. That also means we can fine tune what we do because we understand more about the neurological processing behind it," she said.

"But we're still at the point where we need to build the evidence base and translate that evidence base into practice so we can convince funders that music therapy is an important part of rehab practice."

For the members of Sing For Joy however, the proof of the therapeutic power of music is already self-evident. "There is something about coming together and making a communal sound," said Sarah Benton. "There is nothing like it and it's wonderful."

@highlight

London choir is made up of sufferers of neurological conditions, friends and carers

@highlight

Growing evidence that music has neurological, physical, psychological benefits

@highlight

Music used to boost rehabilitation of stroke patients, improve motor function

@highlight

New approaches to music therapy could bring field into mainstream rehab practice