(CNN) -- Syria's failure to respond to Friday's deadline for it to allow Arab League observers into the country to monitor the government's response to civil unrest moves the country a step closer to economic sanctions from its neighbors, a senior Arab League diplomat said.

"The Syrians responded with more requests to amendments to the protocol; they did not reject or accept," he said.

The finance and economic ministers of the Arab League will meet Saturday to draft economic sanctions that will be discussed Sunday by the Arab League's foreign ministers, said the diplomat, who did not want to be identified because of the sensitivity of the negotiations.

These could include halting dealings with Syria's central bank and airlines, the official said.

Turkish Foreign Minister Ahmet Davutoglu said Syria risked international isolation if it continued on its present path -- and, that the bloodshed resulting from its crackdown on pro-democracy protests could not be tolerated.

"Syria has to make a decision," he said in Istanbul alongside his Italian counterpart, Giulio Terzi. "It will either continue this crackdown policy against its people and become isolated more and more, or it will say yes to this well-intentioned Arab League proposal, sign this protocol and observers will monitor the situation on the ground by going to all Syrian cities."

In New York, a representative of Ban Ki-moon said the U.N. secretary-general "welcomes the efforts of the League of Arab States to end the bloodshed and promote a political solution" and urged Syrian authorities to agree to the league's proposal to send an observer mission to protect civilians in Syria.

Since March, protesters in cities across the country have been demanding al-Assad's ouster and democratic elections.

The state-run Syrian Arab News Agency said the move by Arab League diplomats meeting in Cairo was unprecedented. The league was rejected by the Syrian people as "a tool for foreign interference," it said.

"The sanctions include stopping air flights, trade exchanges and monetary dealings with the Syrian government and freezing its assets, which harms the interests of the Syrian people," it reported.

The 22-country Arab League suspended Syria from its membership this month after President Bashar al-Assad's regime ignored demands to end its crackdown on citizens.

Adding to the pressure on Damascus, the United Nations Committee Against Torture said Friday it is "deeply concerned about gross and pervasive human rights violations in Syria," which are allegedly taking place "in a context of impunity."

"Of particular concern are reports referring to children who have suffered torture and mutilation while detained; as well as cases of extrajudicial, summary or arbitrary executions; arbitrary detention by police forces and the military; and enforced and involuntary disappearances," said Claudio Grossman, who heads the expert panel.

Reliable sources indicate the abuses "are allegedly conducted under direct orders from public authorities, at their instigation or with their consent or acquiescence," Grossman said.

The committee has asked Syria to provide a special report by early March indicating it is abiding by its obligations under the U.N. Convention against Torture, to which Syria is a signatory.

Earlier Friday, Moscow -- a historic ally of Damascus -- warned against international military intervention in Syria and described it as an "absolutely unacceptable" solution to ending the government crackdown against protesters.

Russian Foreign Ministry spokesman Alexander Lukashevich said the Syrian people must be left to decide their own fate.

Human rights issues should not be used as a justification for action by the West, he said.

"Under no circumstances must human rights issues be used as a pretext for interfering in the internal affairs of a state, in this particular instance, Syria," Lukashevich said, quoted by the Russian news agency Interfax.

"A scenario involving military intervention in Syrian affairs is absolutely unacceptable for us."

Russia, a major arms supplier to Damascus, blocked a U.N. Security Council resolution last month that would have condemned the Syrian response to the demonstrators and called for an immediate end to the government clampdown on the opposition.

It abstained from voting on another resolution that was passed Tuesday by a humanitarian committee of the United Nations' General Assembly.

Al-Assad has resisted mounting calls for his resignation in recent weeks as international outcry over the Syrian violence has intensified.

He says his government is battling armed terrorist groups.

The United Nations says more than 3,500 people have died in the course of an eight-month government crackdown on protests.

Twenty-seven people died Friday, one of them a child, the Local Coordination Committees of Syria activist group said.

More than 20,000 anti-government protesters gathered in the city of Dael as a child's funeral was held, said the opposition group, which organizes and documents anti-government protests. Power, water and communications to the city had been cut, it reported.

Another opposition group, the London-based Syrian Observatory for Human Rights, said there was heavy gunfire in the streets of Hama from military and security forces.

In Daraa, weapons were fired outside mosques to prevent people demonstrating after Friday prayers, the group said.

The LCC said at least 35 people died Thursday in clashes with security forces.

CNN cannot independently verify the reports because the government has restricted access to Syria by international journalists.

CNN's Alla Eshchenko in Moscow and Yesim Comert in Istanbul, and journalist Mohamed Fadel Fahmy in Cairo contributed to this report.

@highlight

Sanctions considered by the Arab League would hurt the Syrian people -- state media

@highlight

U.N. Committee Against Torture says it is deeply concerned by reports of torture of children

@highlight

Turkey's foreign minister says Syria must choose between cooperation and isolation

@highlight

An Arab League deadline passes without a response from Syria, a diplomat says