(CNN)In the hours after the funeral of Freddie Gray, a community center and apartment complex that local leaders expected to serve as a catalyst for the rebuilding of a long blighted East Baltimore neighborhood went up in flames.

The $16 million Mary Harvin Transformation Center was being built in a part of town where half the properties are vacant buildings or barren lots, where unemployment rates reach 25% and poverty and despair is rampant.

"Disheartened and bewildered" was how the Rev. Donte Hickman, pastor of East Baltimore's Southern Baptist Church, described feeling Tuesday as he surveyed the still-smoldering ruins of the centerpiece of a community rebuilding effort led by his church and a coalition of other congregations.

"I see the hopelessness ... and the emotions of the people but I still see hope in God that we can rise from the ashes," he said. "We can rebuild. This cannot be the legacy of Baltimore."

The project was to include about 60 senior citizen apartments and a community center. In the works for eight years, the center was to provide behavioral health counseling, support services for people and families with HIV and AIDS, employment training, home and credit counseling, and ex-offender re-entry services, according to documents filed with the state of Maryland.

The cause of the blaze was still under investigation. The brick building burned to the ground in the riots that followed Monday's funeral for Gray, who died mysteriously on April 19, a week after Baltimore police arrested him.

Anger over Gray's death may have spurred Monday's violence -- including buildings and cars set ablaze by rioters, looting and clashes with the  police -- but members of Baltimore's clergy said it was also spurred by lasting issues with young African-Americans in the city.

"We've been trying to make a major difference, trying to transform the community only to discover that something as tragic as this would take place," said the Rev. Walden Wilson II, pastor of Israel Baptist Church -- part of the East Baltimore Minister's Community Development Partnership.

"We saw it coming," he added. "Baltimore is a tinderbox. We have a lot of anger as a result of unemployment. We have a high rate of incarceration."

High concentrations of poverty, underfunded and failing schools, neglected public housing projects and a lack of employment opportunities have been among the social issues long simmering below East Baltimore's crumbling row houses, according to the local church leaders.

"I think the reason that they burned it is exactly the reason why we needed it," Hickman said of the community center. "We were seeking to restore people while we rebuilt properties. We wanted to effect change in the human community as well as rebuild properties with affordable housing."

The Rev. Reginald Thomas, pastor of Greater Gethsemane Missionary Baptist Church and member of the coalition, said parts of Baltimore have not recovered from the 1968 riots that followed the assassination of the Rev. Martin Luther King Jr. Those riots sped up the flight of city residents to the suburbs. Unemployment soared with the disappearance of blue-collar jobs. The drug scourge in the 1980s tore the community apart further.

"The message was that our young people are not valued," Thomas said.

Recreation centers closed. New prisons were built, Thomas said. Hundreds of millions of dollars were poured into the revitalization of the historic Inner Harbor, a renaissance that eluded communities such as East Baltimore.

"When you look at that kind of despair, when you look at people who notice beauty in a city that they cannot even access, it creates such an undercurrent of anger, frustration and hopelessness, that's not going to be fixed quickly," Thomas said.

Thomas recalled driving along downtown's Pratt Street on Tuesday, near the Inner Harbor, the streets teeming with National Guardsmen and State Police officers.

"When I left downtown and came into East Baltimore, I see no National Guard, no troopers," he said. "It sends a message that it's a priority to protect the areas of the city where a lot of the money has been poured, where the wealth is. What's missed is, it's really not smart or wise in the long term to try to isolate certain problems in certain neighborhoods. What may start off as one neighborhood's problems soon become the city's problem."

Hickman said the senior housing complex and community center was to open in November or December.

The partner churches are expected to complete other projects offering affordable housing and mixed-use developments in East Baltimore.

The center is being built by The Woda Group, a low-income housing developer.

Kevin Bell, senior vice president of The Woda Group, said: "We are fully committed to rebuilding."

On Tuesday, Michael Bluitt, a representative of HCO Inc., one of the largest African-American church architecture firms in the nation, offered a free conceptual rendering and design consultation for the rebuilding, CNN affiliate ABC2News reported.

Hickman, Thomas and other clergy members on Monday night met with gang members in an attempt to stem the street violence. Thomas said it was the first time such a gathering took place. Hickman called it a breakthrough.

"Young people just needed somebody to sit and talk to them and hear them cry," Hickman said, looking out over the ruins of the community project. "This is reactionary. This is emotional. This is frustration. This is, I don't know what else to do. If we can rebuild Iraq, we can rebuild East Baltimore."

CNN's Miguel Marquez and Brooke Baldwin contributed to this report.

@highlight

Mary Harvin Transformation Center was to house 60 senior-citizen apartments, community center

@highlight

It burned down during Baltimore riots