Off the coast of East Africa (CNN) -- On board the HDMS Iver Huitfeldt, the captain has just had them execute what on land would be considered a three point turn.

The huge frigate churns up the ocean as it neatly swings back around to its starting point ship and to an abrupt -- and complete -- stop.

This is not what you'd expect from a gigantic naval warship, but this is no ordinary boat. The Iver Huitfeldt is one of the most advanced ships in the world. The average ship cruises along at roughly 9 miles an hour. The Iver does 30. With a 46,000 horsepower engine it can get to top speeds from a standing start, outrunning and surrounding its targets in a manner designed to make those on board think twice about putting up too much of a fight.

The Iver is at what's been described as the sharp end of Operation Ocean Shield, NATO's counter-piracy mission in the waters off of the Horn of Africa.

Commander Carsten Fjord-Larsen, the Iver's skipper, sees his high-tech ship as a very modern solution in the fight against an age-old problem.

"Keeping the pirates at bay, keeping them ashore is the first key issue. We can sit on the pirate camps and prevent them from coming out, and if they go out we disrupt them."

Operation Ocean Shield began life in 2008 as a United Nations-mandated mission to escort World Food Program ships through the Red Sea, one of the busiest waterways in the world. It later evolved into its current iteration, helping to drive down the frequency and success of piracy attacks.

But it hasn't been easy, and Fjord-Larsen has a tinge of respect in his voice when he speaks about the pirate's capabilities.

"They have been building up tactical procedures and we have seen that they are fantastic sailors, and now that we can come very close to shore, I've seen with my own eyes how they can negotiate the big waves along the coast."

"They are well organized and they can easily put up an attack group, with the necessary money to do so and to get the men," he added.

One of the ways the Iver's technology has helped is by taking much of the guesswork out of a potentially hostile approach. The ship is equipped with an infra-red camera, which has a range of at least seven miles.

"We can see right into the small craft, we can see faces on people," said Per Moll, the Iver's executive officer. "We can see what they have in the craft. Is that fishing gear? We can see ladders, are there a lot of weapons on board?"

"If we do have a pirated ship and we're doing an approach, trying to free the hostages or at least take back the ship, we can see who's actually in charge because you can follow the different people around the ship."

The Iver Huitfeldt is one of four ships involved in Ocean Shield. The San Marco, an Italian ship, acts as the floating headquarters for the operation and a base for Admiral Antonio Natale, the commander overseeing Ocean Shield.

The San Marco hosts joint training exercises to help build the pirate-fighting capacities of regional navies. We watched Tanzanian sailors looking on as the San Marco marine unit rappelled from helicopters suspended over the flight deck.

This is what a hostile approach must look like for the hostages on a pirate craft -- goggle-wearing marines in camouflage snaking down suspended ropes before fanning out across the ship with guns cocked as the chopper's blades whip up the air and the sea.

At least 212 crew members of various ships were held hostage by pirates off the Horn of Africa in 2012. And while another 60 have been held so far this year, Natale believes Ocean Shield is starting to turn the tide against the seaborne criminal gangs.

"Right now the last hijacked 'unit' was in May last year," Natale told us. "There are some attacks but with no success and we've captured pirates who are in jail awaiting prosecution, so the situation seems to be going in the right direction."

The huge amounts being spent here may be paying off, but piracy still effectively acts as a tax on every good coming through these waters. Many commercial operators now pay on board security contractors, and those that don't must cough up for the extra fuel expended in navigating around the pirates' operating zone, which is an area the size of Europe. Another option is a costly wait to be transported by NATO ships through the so-called "Internationally Recommended Transit Corridor."

But Admiral Natale is optimistic that through the involvement of regional partners, a sustainable -- not to mention cheaper -- solution can be found.

"Two years ago the international community paid more than $12 billion to face this problem; last year we reduced this amount to $7 billion and only a small part of this is related to governments, to the military."

But Natale is clear that to truly defeat piracy once and for all in the Horn of Africa, the key lies in Somalia.

"We've been successful at sea, but of course the roots of the problem are on land. In the last ten years this has been, we could say, the only 'job' for many young Somalis, the only way for them to work somewhere."

"Any activity that will help train Somalis in order to stabilize their country will help bring about a final solution."

For now though, the gains made at sea remain reversible.

"As long as we're here we're putting on a strong pressure, and it would be naÃ¯ve to think that if we leave that all would stay peaceful" Captain Fjord-Larsen said. "That's not the case. The funding [for pirates] is there and they would be able to launch pirate attack groups very shortly."

@highlight

NATO's Operation Ocean Shield chases pirates off Horn of Africa

@highlight

Captain of high tech HDMS Iver Huitfeldt says top goal is keeping pirates on shore

@highlight

212 crew members of various ships in region were held hostage by pirates in 2012