(CNN) -- It may seem like a simple soup-based dish, but Japanese ramen can be surprisingly complex.

To chart its different flavors is to embark on a journey along a road of influences and regional variations that has more twists and tangles than a mouthful of noodles.

Sure, there are the basic four ramen styles.

There's Shoyu with its heavy soy sauce seasoning; it's lighter version, shio; miso made with salty dollops of fermented soy beans; and tonkotsu, made by cooking pork bones overnight until the soup is creamy-white.

Venture out into the far reaches of the country, however, and the ingredients change -- what started as a simple four can now be categorized into dozens of local styles.

Ramen emerged as a national food trend in post-war Japan as a growing train network took tourists to the country's far reaches, where they soon began sampling local dishes.

Tokyoites raved about what they were finding on their weekend jaunts, demanding more and ramen shops were quick to cash in.

Hokkaido's miso ramen

Nowhere did this with as much success as Sapporo, on the northern island of Hokkaido.

It was here that in 1955 a customer asked the chef at one eatery, Aji no Sanpei (Daimaru Fujii Sentral Building 4/F; +81 11 231 0377) to put noodles into his miso soup.

Miso ramen was born.

Over the years, the soup got thicker, the curly, yellow noodles were perfected and their popularity spread across the island.

Today, there are miso ramen shops across the country that owe their success to essentially what was an accident.

The most famous shops in Sapporo still pull in lines down the street.

Asahikawa's shoyu ramen

Not all ramen in Hokkaido is miso.

Just a 90 minute express train ride northeast of Sapporo is Asahikawa, a town with enough ramen shops in the vicinity of the station to warrant an official ramen map.

A completely different style from Sapporo, Asahikawa's soup is a hearty shoyu ramen, with a broth made from pork and chicken bones, then mixed with a seafood concoction.

The style didn't catch on like miso, and most ramen hunters have to head to the source to sample a good bowl.

The shops credited with inventing the style, Hachiya (5-Jodori, 7 Chome, Asahikawa-shi, Hokkaido; +81 16 623 3343) and Aoba (Nijo Building 1/F, 2-Jodori 8 Chome, Asahikawa-shi, Hokkaido; +81 166 23 2820) are still doing business.

Muroran's curry ramen

While Sapporo and Asahikwa ramen gained popularity through word of mouth, the city of Muroran took a more strategic approach.

After deciding that an unusual curry ramen created in 1965 by local shop Aji no Dai O (Chuocho 2-9-3, Muroran-shi, Hokkaido; +81 143 23 3434) had failed to get the attention it deserved, the city in 2006 formed the official Muroran Curry Ramen Group to promote its wares.

It worked.

Muroran now boasts the fourth most popular ramen recipe in Hokkaido (number three is Hakodate's simple shio ramen).

Kyushu's tonkotsu ramen

Another immensely popular style is tonkotsu from Kyushu in southwestern Japan.

Simmering pork bones for days on end yields two results: a stench somewhere between fine cheese and old socks, and a creamy, delicious soup.

Tonkotsu owes its creation to another happy accident. In 1947 a chef at Sankyu, a restaurant in the city of Kurume, accidentally left a pot of pork bones on high heat for much too long.

The result was surprisingly tasty.

Tonkotsu ramen quickly spread around the island of Kyushu, with two other towns, Kumamoto and Hakata,adapting this style with their own twists.

In Hakata, food carts known as yatai embody the local ramen spirit.

Set up daily along the rivers in the Tenjin district, these no-nonsense stands serve bowls of milky-white soup from the time the sun goes down until well into the morning.

Kyushu's Kumamoto ramen

Kumamoto ramen, though sharing the same roots as Hakata, is made by mixing in a touch of chicken stock and about two fistfuls of garlic.

The garlic comes in the form of a black oil called mayu, as well as fried garlic chips served table-side.

Like its cousin in Hakata, Kumamoto ramen is a late night specialty.

Tokyo's trends

Of course, Tokyo is a key player in regional ramen styles. It's the ramen battleground of Japan, where new shops open and close daily.

Although the hope of kicking off a new ramen trend is quite strong, most outlets stick to the roots of Tokyo ramen -- shoyu, often flavored with niboshi.

Niboshi are dried sardines that give the broth a slightly bitter, fishy taste. Mixed with a soy base, it's similar to Chinese recipes but traces its roots to Ogikubo, an area just 10 minutes from Tokyo's busy business center.

The original Ogikubo ramen has spawned countless copies, but its 1931 creator, a shop called Harukiya (1-4-6 Kamiogi, Suginami-ku, Tokyo-to; +81 33 391 4868), still has lines down the block on the weekend.

Shoyu variations

Tokyo isn't alone when it comes to shoyu ramen, although there are, of course, regional variations.

Aomori in the north adds copious amounts of niboshi.

Kitakata, a city in the west of Fukushima, does a lighter-than-average shoyu that finds its way onto the breakfast table in many homes.

Nagoya adds spicy hot peppers and calls it Taiwan Ramen.

Onomichi in Hiroshima prefecture dumps mounds of pork back fat onto theirs.

Even Hachioji, a city less than 30 minutes from Ogikubo, makes their own style of ramen by adding freshly diced onions into the mix.

It doesn't stop there.

New styles are constantly being created and forgotten as chefs try to conjure up the next big thing. Just when you think you've tasted them all, there's always one more bowl to try...

More ramen recommendations:

Aji no Dai O, 138-3 Uenae, +81 144 58 3333

Kiraku, Dogenzaka 2-17-6, Shibuya-ku, Tokyo-to, +81 33 461 2032

Tengaiten, Anseimachi 2-15, Chuo-ku, Kumamoto-shi, Kumamoto-Ken; +81 96 354 8458

Brian Mac is a foodie who makes a living performing in children's events around Japan. A San Francisco native, he's called Japan home since 2006, and has ventured to almost 1,000 different ramen shops. Read more on his blog, Ramen Adventures.

@highlight

Started as a simple four -- shoyu, shio, tonkotsu and miso, ramen grows into dozens of local styles

@highlight

Not all ramen in Hokkaido is miso but there are also shoyu ramen from Asahikawa and curry ramen from Muroran

@highlight

Every sunset, ramen carts are set up along the rivers in Tenjin, Kyushu, selling pork-bone ramen till the next morning