(WIRED) -- Microsoft Office has been a desktop computer staple for decades, and now it looks like it might finally migrate to modern touchscreen tablets.

But does Microsoft's mouse- and keyboard-dependent productivity software even belong on a tablet? And if it does make the transition to touch, how will we actually use it?

Yesterday, a report by staff of The Daily claimed that Microsoft Office for iPad apps are definitely in the works, and could be released "in the coming weeks." The story included photos and descriptions of a purported hands-on demo.

Microsoft representatives were quick to shoot back both on Twitter and in an official statement stating The Daily had its facts wrong and that its reporters had not, in fact, seen an actual Microsoft product on the tablet.

Nonetheless, The Daily's Peter Ha later insisted that a working version of the app was demoed to the digital publication by a Microsoft employee. It's a he-said-she-said situation, but at least one key industry watcher feels Office for iPad makes sense.

"I can say that based on the products Microsoft currently has in the market, launching additional Office apps for Apple devices would be a logical extension of their existing strategy," Forrester analyst Sarah Rotman Epps told Wired in an e-mail.

Microsoft already has Mac and iOS products like Office for Mac, a note-taking app called OneNote, SkyDrive for cloud storage, and Lync, points out Rotman Epps.

Rumors that Microsoft would be bringing Office to the iPad have been circulating for a while, particularly since The Daily reported in late November that the suite would arrive in early 2012 at a $10 price point.

If what The Daily reported Tuesday is true, it's possible that Microsoft Office for iPad could land concurrent to -- or even onstage with -- Apple's first public iPad 3 demo, which is expected to be held the first week of March. It would certainly make for an interesting presentation, as Apple doesn't actively evangelize its Microsoft synergy.

Microsoft will be demoing its Windows 8 OS consumer preview on Feb. 29 so the timing of an early March Office for iPad unveiling would seem to work: Microsoft's big platform-wide announcement wouldn't be upstaged by its smaller Apple announcement.

So let's assume Office is coming to the iPad. How precisely will you use it?

"You'll use it for content curation. And it's very unlikely you'll be using the iPad in native tablet touch mode," Sachin Dev Duggal, CEO of Nivio, told Wired. Nivio is a cloud platform that lets you access your desktop and its files -- including Windows and Microsoft Office -- with a touch-controlled mouse pointer as input.

"In most cases, you'll have it docked into a screen or a keyboard," Dev Duggal said of the rumored Office app.

However, a second use case -- passively browsing through documents -- definitely lends itself to the iPad's simple touch-controlled data input. And don't underestimate the value of full document support.

By loading native Office docs directly into Office, you ensure files render with proper formatting, a talent not always manifest in competitors like Documents to Go Premium.

In this case, "The pure gesture-based control works great," Dev Duggal said. "It translates to a tablet experience."

OK, so Dev Duggal paints an interesting picture of how the app will be used, but, again, is there a desperate need for Office on the iPad? Many of us have been getting by just fine without it.

Well, according to Resolve Market Research, 18% of those who decided not to purchase an iPad 2 did so strictly because it didn't come with Microsoft Office programs. That's not a number to balk at.

Dev Duggal thinks students and small businesses will be interested in Office for iPad. And there's also another prime user group: people who don't want to spend money on multiple devices.

"If they can cross-utilize devices to also do productivity, thats a huge cost savings," Dev Duggal said.

Elaine Coleman of Resolve Market Research concurs with Dev Duggal. "Tablets are a critical dual-purpose device," Coleman told Wired, adding that close to 70% of personal tablet users also use their devices for business.

Indeed, the iPad has a growing role in the world of enterprise computing, with a large percent of Fortune 500 companies adopting the tablet (this was a touch point in Apple CEO Tim Cook's recent first-quarter earnings call). So, no doubt, the addition of Microsoft Office to the enterprise mix would be welcome.

But Microsoft has waited a long time to deliver this product -- perhaps too long.

"Every day that Microsoft does not have Office apps for iPad, they lose potential sales to competitors," Rotman Epps said.

Such competitors include: Apple's own iWork office suite; Quickoffice, an iPhone alternative for viewing, sharing and editing Microsoft Office documents; and SlideShark, an iPad-based PowerPoint platform.

Rotman Epps pointed out that these and a host of other productivity apps are all top performers in Apple's App Store. Indeed, Apple's Pages, Keynote and Numbers (in other words, the iWork suite) make up three of the top five spots in the Top Charts for paid Productivity apps in the App Store.

And with OS X Mountain Lion's heavy iCloud integration, using Apple's iWork suite will make even more sense for users who own multiple Apple products.

Whether people who already use Office alternatives would switch to Microsoft-brand products is "hard to say for sure," says Coleman. "I think in the enterprise many still believe 'Office is King' and will come back."

Regardless, if Microsoft Office for iPad did make its debut onstage for the iPad 3 in a few weeks, it would be the first time the two tech giants teamed up at an Apple event in 15 years. Considering what happened last time, it would be a landmark occasion. For both companies.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Microsoft Office for iPad is rumored to be coming as early as March

@highlight

Research shows 18% of shoppers didn't buy iPad 2 because it doesn't have Microsoft Office

@highlight

CEO of Nivio Dev Duggal says Office for iPad will appeal to students and businesses