Beijing, China (CNN)As New Year's Eve messages go, Xi Jinping's speech on national television was almost pitch-perfect.

Highlighting continued economic growth and rising living standard in 2014, the Chinese president -- entering the third year into his expected decade-long reign -- said he wanted to "click the 'like' button" for the country's 1.3 billion citizens, whose "support for officials at all levels" made such achievements possible.

Xi -- who also heads the ruling Communist Party as well as the world's largest standing army -- promised deeper reform and the rule of law in the coming year, comparing them to "a bird's two wings."

The 10-minute prerecorded address ended on an appeal for world peace. While he hit all the right notes, Xi saved the most dramatic metaphors for his massive anti-corruption campaign.

The 61-year-old leader, considered China's most powerful in decades, reiterated his "zero-tolerance" stance, vowing to keep "waving high the sword against corruption" and "fastening the cage of regulations."

For a nation still largely ruled from behind closed doors, however, official pronouncements after a series of year-end leadership meetings have offered better clues on Xi's ambitions and priorities in 2015.

Corruption fight

In the last week of December, Xi presided over the gathering of the 25-member Politburo, the Communist Party's elite decision-making body.

"Organizing cliques within the Party to run personal businesses is absolutely not tolerated," read a statement issued after the meeting, while acknowledging the challenges in the ongoing fight against corruption, a lightning rod for mass discontent.

The past year has certainly seen Xi break some powerful cliques involving an intricate web of officials, cronies and tycoons as well as billions of dollars worth of bribes and deals.

He took down former domestic security czar Zhou Yongkang, likely soon to become the most senior Chinese official ever to face corruption charges; General Xu Caihou, once the military's second-in-command; and Ling Jihua, a top aide to ex-President Hu Jintao.

State media have touted them as the three biggest "tigers" caught in Xi's now two-year-old anti-graft campaign, with a stated goal of targeting both "tigers and flies" -- high- and low-ranking officials.

While applauded by many ordinary citizens, Xi's ever-wider dragnet has also attracted increasing scrutiny.

"The question remains to be whether Xi is taking a page from Chairman Mao," said longtime political analyst Willy Lam with the Chinese University of Hong Kong, noting the three fallen leaders were all considered to be Xi's political opponents. "Starting with Mao, corruption has been used to take down enemies of the more powerful faction."

For the sake of stability within the Party, Lam predicted a moratorium on the hunt for "big tigers" -- anyone in the rank of a Politburo member and above -- in the next few years.

READ MORE: Swatting flies? Beijing's fight to root out corruption

Sustainable development

Other observers even detect the anti-corruption campaign's ominous effect on the economy, the world's second largest.

"China's economic success had relied on some very capable people, who also happened to be corrupt because of the system," said economist Mao Yushi, one of the country's leading liberal voices.

He pointed to the example of former railway minister Liu Zhijun, who was often credited with turning the country's high-speed rail network from nonexistent to the world's largest in a few years. Liu received a suspended death sentence in 2013 for corruption and abuse of power.

"Now we're getting rid of all of them," Mao added. "The new reality is that officials don't want kickbacks but also feel no incentive to get anything done."

During a three-day economic policy meeting in early December, Xi and other top officials acknowledged the prospect of slower growth in 2015  -- probably still at an enviable rate of 7%, though, according to most analysts.

The leaders reaffirmed their commitment to more sustainable development, including more "green" growth -- shortly before promulgating the country's toughest environmental laws in 25 years.

"The central government finally has the political will to address environmental issues thanks to public awareness of the smog problem," said Ma Jun, a leading environmentalist who directs the Institute of Public and Environmental Affairs in Beijing.

Welcoming the new law, Ma voiced his lingering concern: "Weak enforcement has long been a big problem in China."

READ MORE: Xi Jinping's push to add 'chilli pepper' to China's anti-corruption drive

Master of the nation

"The rule of law" has become an unlikely catchphrase in state media since late October, when the Communist leadership made it the theme of a major meeting, and declared the importance of upholding the Constitution that enshrines the respect for human rights.

"Only if the Communist Party rules the country in line with the law, will people's rights as the master of the nation be realized," read a communiqué released after the gathering known as the Fourth Plenum.

"It's the rule of law with Chinese characteristics," said Lam, the Hong Kong analyst, before pointing to the Communist Party agency in charge of corruption probes. "The Central Commission for Discipline Inspection is a powerful example of the Party operating outside the law -- the way it conducts its investigations."

The existence of a secretive process -- based on Party regulations instead of laws -- faced by accused Communist officials has come to light in recent years, amid reports of suspicious deaths of detainees in Party investigators' custody.

Several victims' families have told CNN and other media that their loved ones were subject to lengthy detention and torture for refusing to admit wrongdoings.

"When the authorities don't play by the rules, nobody has freedom from fear -- I know I don't," said Mo Shaoping, a prominent Beijing lawyer known for defending politically sensitive cases involving dissidents and activists.

His current clients include Gao Yu, a veteran journalist accused of leaking state secrets, and Pu Zhiqiang, a famous human rights lawyer who may soon face subversion charges. Both were detained by police last year around the time of the 25th anniversary of the Tiananmen crackdown.

"I feel obligated to take these cases despite greater government pressure and personal risk," Mo said. "The rule of law is reflected in individual cases -- that's why every case matters."

READ MORE: The Xi Jinping cipher: Reformer or a 'dictator?'

Art serving socialism

Lawyers are not the only group feeling the squeeze from the authorities.

One of the hottest topics across Chinese cyberspace so far in 2015 has been the case of vanishing cleavage in a hit television show called "The Empress of China."

Reflecting aesthetics in seventh century Tang dynasty, the historical drama -- depicting the life of the only woman who ruled China in her own right -- had featured ample female bosoms before being suddenly pulled off air in late December.

When the series returned to air on New Year's Day, viewers nationwide noticed crudely edited scenes, in which women were only shown in close-up shots to avoid revealing their chests.

The show's creators probably should have seen this coming, though, after Xi addressed a delegation of actors, dancers and writers in Beijing last October.

Underscoring the need for art to serve socialism and foster correct worldviews, the president told the artists not to pursue commercial success at the expense of producing work with moral values.

"Popularity should not necessitate vulgarity," Xi said. "Pure sensual entertainment does not equate spiritual elation."

"Anybody associated with thought work or ideology or the image of China -- everything is being squeezed or tightened or limited," said Jeremy Goldkorn, a leading commentator on China's media landscape.

"I think this is connected to Xi's idea of the new normal," he added. "These things are going to go on, not just a cyclical campaign -- whether it's anti-corruption or tightening up on media, ideological issues."

Already, signs were plenty throughout last year: universities and state-run think tanks warned to toe the Party line in their teaching and research, civil rights groups forced to cancel most public events, and Google's popular Gmail service completely blocked in China.

All the worrying developments have only confirmed some observers' grim view on Xi's signature political campaign.

"Fighting corruption is necessary," offered economist Mao. "But it's a complex issue related to income, education, freedom of speech and the rule of law. Without fundamental changes in these areas, the campaign won't succeed in the long run."

"There were expectations that once he consolidated power, he would launch far-reaching reforms -- but the past two years has not been encouraging," said analyst Lam. "The big question in 2015 is: How will Xi use his new-found supreme power?"

READ MORE: Xi Jinping's success so far: Taking control by following Deng Xiaoping

@highlight

Chinese president Xi Jinping's New Year speech highlighted economic growth and rising living standards in 2014

@highlight

2014 has seen Xi take down 3 top officials in China's fight against corruption: Zhou Yongkang, Xu Caihou and Liu Zhijun

@highlight

He's also taking aim at "vulgar" art and entertainment, with cleavage censored in a hit TV show.

@highlight

Xi and other top officials acknowledged the prospect of slower economic growth in 2015