DAVENPORT, Iowa (CNN)  -- Bob Konrardy carried the guilt with him for more than 40 years. A platoon commander in Vietnam, Konrardy was wounded when shrapnel tore through his body. Four comrades carried him to safety in a poncho for more than an hour while the firefight raged.

Bob Konrardy says the fallen soldier monument outside his home honors soldiers killed in Iraq like Dave Behrle.

"These four guys went back to help the platoon because they were still fighting, and all four of those guys got killed," Konrardy says. "I felt guilty for 40-something years."

Two years ago, Konrardy got to thinking: He'd be a Santa of sorts for soldiers in Iraq as a way to help him deal with his conscience.

He would collect autographed college and pro footballs, letters from local kids and other mementoes from home to help inspire the troops in Iraq. Then, he would have the goods delivered to his old platoon serving in Iraq, the First Cavalry Division.

He initially thought he'd have the material shipped. But his plan changed when the military signed off for Konrardy to deliver the goods in person and work as an embedded journalist for a local paper.

The 65-year-old grandpa was about to head to one of the world's most dangerous places.  Watch "I could have been killed" »

"I wanted to maybe bury some Vietnam demons and just make a difference with this platoon and maybe make up for what I didn't do with my old platoon," he says. "I thought it was going to go one way. It went the other. It made me worse."

He adds, "I couldn't sleep before, but now it's worse. I hate to see it get dark. I get extremely nervous. I get uptight. I just don't like to see it get dark. And once it is dark, I'm on edge until it gets dawn."

Konrardy's story is one of patriotism, heroism and torment -- a war veteran unable to escape what happened in 1965, when he was just 23.

"Here's a guy who is a true American hero in his own right. He was wounded in action in the Iadrang Valley, and he comes into a combat zone 40 years later," says Maj. Chris Rogers, the operations officer of the 1st Battalion, 5th Cavalry, when Konrardy embedded with them.

"In my opinion, he's a guy who has done it all -- bled for his own country -- and he's more interested in telling the story of today's generation of young heroes than trumpeting his own horn."

Konrardy was diagnosed with post-traumatic stress disorder shortly after he retired from John Deere in 2002, when he says his disorder really kicked in. He once sleep-drove to a Wal-Mart about 20 minutes from his home at 3 a.m. He doesn't recall how he got there or how he got home. He only remembers a guy mopping the floor asking if he could be helped.

Other times, he'd patrol the neighborhood in the wee hours of the night with his loaded 9-mm pistol on his hip. His counselor with the Department of Veterans Affairs once asked what he would do if the police ever stopped him.

"I said, 'I'll just shoot out his windows and escape and evade back to the house. I think it'd be fun.' She didn't like that answer," he says with a laugh. "So I'm lucky because that's probably what I would've tried to do."

Konrardy checked himself into a VA facility in Des Moines, Iowa, to get help for his PTSD. He chuckles more when he recounts trying to escape from the place and police approached him. "I rolled down a hill and started running so they couldn't catch me. They said that was the wrong thing to do."  Learn about PTSD and how to get help »

He says he was then put in an isolation ward for 11 days and nights, and eventually released. It was August 2005.

Fast forward to the fall of 2006. That's when Konrardy spoke to his grandson's eighth-grade class about his war experience. They thanked him for serving his country. "Nobody had ever done that before, for serving in Vietnam," he says.

He started e-mailing members of the Army's First Cavalry Division as part of his grandson's "adopt a platoon" project. He got autographed footballs from the Green Bay Packers and Indianapolis Colts, as well as from the University of Tennessee and University of Georgia.

Even the players at local St. Ambrose University chipped in with a football of their own: the game ball from their championship game. "I just wanted to do something and make up for what I didn't do for my guys," Konrardy says.

His family gathered for Christmas that year and he told of his plans to travel to Iraq. "Everybody cried," he says. "I said, 'Hey, this is a chance of a lifetime. I have to go.' "

Quizzed about why a man who was held in a VA facility a couple years earlier was cleared to travel to Iraq, Konrardy laughs. He says CNN is the first to ask  that question.

But he adds the original plan was for him to not go into combat. "On the way over, I didn't think I'd be going out."

By March 2007, the old warrior's boots were on the ground in Baghdad. His plan was to hand out the 95 pounds of goods and kick back with the soldiers at base camp, collecting their stories and gathering video to give to their families back home. Konrardy handed the St. Ambrose football to a soldier named David W. Behrle, a 20-year-old from Tipton, Iowa. He scooped it up and cherished it.

Konrardy was officially in Iraq as an embedded journalist to file blog posts for "The Quad-City Times." He had not intended to go into combat, but that quickly changed. He says the commander said if he wanted to get to know the troops "you've gotta be proactive."

Konrardy says he hopped into a Humvee and began patrolling the tight streets of Baghdad with the unit. He was assigned the back right seat for four days.

His Humvee once struck a dud of a roadside bomb that blew the tire out underneath where he was sitting. Gunfire erupted. "Looking back, I'm thinking, 'Wow, I could have been killed,' " he says.

He's still haunted by another time in Iraq -- not because of what happened, but because of what he didn't do.

"I'm going to the bathroom and I hear somebody crying. My first instinct was to be a grandpa: I'm going to go in and I'm going to hold this young kid whoever it is and just say, 'I know where you're coming from. I've been there. Let's just talk.' "

He adds, "But I chickened out. I didn't do that. Now, I wish I would have."

A few weeks after he left Iraq, soldiers he befriended were riding in a Bradley Fighting Vehicle on patrol around Baghdad. He says the soldiers had recently saved a young Iraqi girl who had been shot in the head from insurgent crossfire. But on this day, May 19, 2007, a roadside bomb went off, killing all six soldiers inside.

One of those killed was Spc. David Behrle, the soldier who loved the football hand-delivered by Konrardy.

"I took that hard. It still bothers me," Konrardy says.

Outside his Iowa home, a flagpole stands on Konrardy's lawn. A fallen soldier monument sits at its base with a pair of boots, rifle facing down and helmet with the name "Behrle" on it.

Behrle's family was so moved by Konrardy they had it built for him. Kneeling next to the monument, Konrardy says, "It reminds me of Dave. But it also reminds me of the Behrle family and how close we've gotten with them and how great they've been in my grieving for Dave and helping me ... try to readjust to the things I went through in Iraq."

"They say I helped them; I say they helped me."

The lifelong Republican recently did something he thought he'd never do: He says he voted for a Democrat for the president of the United States. Thousands of American troops will soon be returning home in need of help just like him.

Konrardy, who is still getting PTSD treatment, wishes the rest of the nation could better understand what that's like.

"I just want them to realize the life of a soldier is not what you think," he says. "It changes you for the rest of your life."

@highlight

Army veteran went to Iraq hoping to expunge "Vietnam demons"

@highlight

Bob Konrardy spent four days on patrol in March 2007 as an embedded journalist

@highlight

"I couldn't sleep before, but now it's worse. I hate to see it get dark," he says

@highlight

Konrardy says nation must be ready for when troubled soldiers return from Iraq