BURSA, Turkey (CNN) -- Armenian President Serzh Sarkisian Wednesday became the first Armenian head of state to travel to Turkey to attend a soccer game between the two countries' national teams.

Armenian President Serzh Sarkasian (right) pictured with Turkish counterpart Abdullah Gul during Gul's visit to Yerevan in 2008.

Sarkisian and Turkish president Abdullah Gul arrived at the stadium in Bursa together in a car flying the national flags of both countries.

In an exclusive interview with CNN before the game, Gul said the event opened a new chapter for relations between Armenia and Turkey. But when asked, he avoided saying whether the border between the two neighbors would be opened before 2010.

At the match, Turkish supporters vastly outnumbered Armenian fans and gave the Armenian national anthem the standard treatment for most visiting foreign teams -- they booed.

Small pockets of Armenian supporters waved the tri-color flag of Armenia.

Turkey won the World Cup qualifying group game 2-0 but with both countries already unable to progress to the 2010 tournament in South Africa, the significance of the game was in its symbolism.

This round of "football diplomacy," comes just days after the two governments signed a historic series of protocols to establish diplomatic relations between the two neighbors.

"This is going to be the biggest change in the South Caucasus since 1994," said Gevorg Tel-Gabrielyan, the Armenia country director for the Eurasia Partnership Foundation.

He was in Bursa on Wednesday, hosting a conference of Armenian and Turkish academics examining bilateral relations. "If this happens," he added, "its going to change geopolitics in the region."

Armenia and Turkey have been separated by nearly a century of animosity and distrust. The protocols call for establishment of embassies in each others' capitals, and for re-opening the Turkish-Armenian border, which has been closed since 1993.

The soccer game was also being held in Bursa, which centuries ago was the capital of the Ottoman Empire.

Thousands of police were deployed to maintain strict security. On Tuesday, Turkey's prime minister made a public appeal to Turkish football fans, to greet Sarkisian with hospitality and to avoid provocations.

Despite strong support from the United States, the European Union and Russia, there is considerable opposition among nationalists in Turkey and Armenia to the peace process.

Sarkisian has been met by angry protests both within Armenia and among the influential diaspora communities in the United States, France and Lebanon.

Thousands of protesters in the Armenian capital marched to the country's genocide memorial chanting "no concessions to the Turks," last week.

Armenia has long demanded that Turkey recognize the World War I-era massacre of hundreds of thousands of ethnic Armenians by Ottoman Turkish soldiers as genocide.

Modern-day Turkey vehemently denies a genocide took place and is calling for an international commission of historical experts to examine these tragic events.

Meanwhile, opposition party leaders in Turkey have criticized the agreement, as has Turkey's close ally in the Caucasus, Azerbaijan.

Azerbaijan fought and lost a war against Armenia in the early 1990s. On Sunday, Turkey's prime minister made a fresh call for Armenia to withdraw its troops from the disputed Azerbaijani territory of Nagorno-Karabakh.

For the new agreement to go into effect, the documents must first be put to a vote in the Turkish and Armenian parliaments. There is no guarantee lawmakers will ratify the agreement.

The process of unraveling the complicated network of regional, domestic and historical grievances dividing Armenia and Turkey was jump-started in September of 2008, when Gul traveled to Yerevan to attend a football match between the two national teams.

The diplomatic rapprochement has also gotten valuable support from powerful patrons, experts say.

"This is one of the few places in the world where Russia and the United States are pulling in the same direction," says Hugh Pope, an expert on Turkey with the International Crisis Group. "Both want to see a more stable Caucasus."

Russian foreign minister Sergei Lavrov and U.S. Secretary of State Hillary Clinton were both present at the signing ceremony for the Turkish-Armenian agreement in Switzerland on Saturday.

Wednesday's game in Bursa was the final match for the coach of the Turkish national team, Fatih Terim, who announced his resignation after Turkey's most recent football defeat.

Despite that, the headline in one of Turkey's biggest newspapers billed today's football game "Our most challenging match."

@highlight

Armenian president's visit comes amid thaw in relations between neighbors

@highlight

Turkey, Armenia signed protocols at weekend to establish diplomatic ties

@highlight

President Sarkisian has faced angry protests at home over rapprochement

@highlight

Sarkisian attends soccer match; Gul attended match in Yerevan last year