(CNN)Ukraine President Petro Poroshenko said Friday that a ceasefire due to go into effect over the weekend between Ukrainian forces and pro-Russian separatists in eastern Ukraine is in "big danger."

Fighting continued ahead of the cessation of the bitter 10-month-long conflict that has killed more than 5,000 people and strained East-West relations.

The peace plan hammered out Thursday during marathon four-way talks in Minsk, Belarus, had raised hopes of an end to the fighting.

But Poroshenko said that after the agreement reached by the leaders of Ukraine, Russia, Germany and France, the offensive against Ukrainian troops by pro-Russian separatists had intensified.

"This is not just an attack on Ukrainian civilians, this is an attack of the Minsk results," he said in Kiev, adding the peace plan is in "big danger."

The ceasefire agreement comes with many questions over how it will be implemented and whether it will stick.

The first test will be whether the guns fall silent when the ceasefire comes into force at midnight local time Saturday to Sunday.

Both sides are expected to start pulling back their heavy weapons from the front lines as of Monday, creating a buffer zone at least 50 kilometers (31 miles) wide.

The Organization for Security and Co-operation in Europe, which already has a monitoring mission in Ukraine, has been given the challenging task of overseeing the process.

"We need to have an effective ceasefire," said OSCE Secretary General Lamberto Zannier, at a media briefing. "So I'm already concerned that we are seeing this morning a continuation of hostilities."

The OSCE hopes to see a reduction in hostilities between now and the start of the ceasefire, he said.

But reports from eastern Ukraine -- where separatist soldiers told CNN's Nick Paton Walsh on Thursday that they were highly skeptical of the peace plan -- suggest otherwise.

Eight Ukrainian soldiers have died and 34 have been injured in the past 24 hours, the Ukrainian Defense Ministry said Friday morning.

There were 40 incidents of militants opening fire and shelling in the conflict area overnight, including 25 in the Debaltseve area, it said.

What will happen to the strategically important, government-controlled town of Debaltseve, under siege by separatist forces for weeks, is one of the big unanswered questions.

Thousands of Ukrainian soldiers remain there, almost surrounded, and it's unclear who will ultimately control the town when the ceasefire comes into effect.

The water began running Thursday night for the first time in a week at the Konopliovi home in Horlivka.

A bath was quickly drawn so the three children could clean up.

The kids' mother went to another room to get a towel and the first shell hit, wiping out the bathroom but leaving the parents' bedroom -- even its windows -- intact.

Nastya, 14; Dasha, 7; and Kiriusha,  2 1/2 , were dead.

"What ceasefire? I curse every day those who killed my children, and all those of the country. People who want to live peacefully," Liuba Konopliovi told CNN, according to a translator. "We lived, grew up, took our children to school. They are not people."

Doctors Without Borders said in a "crisis update" from one of its doctors in Horlivka that between five and 20 victims are brought to their facility each day. On one occasion, there were 60 victims.

But on three days, there was no water with which to sterilize the equipment, so only urgent care was administered.

Despite the uncertainties over the deal, all those at the Minsk talks said it was a better alternative than simply allowing the escalating violence to continue.

"We had just two options: bad, and worse. So we decided at this particular period of time to get the bad option. Probably this option will save the lives of Ukrainian soldiers, and I hope this option will save lives of Ukrainian civilians, of innocent people, who are under a constant shelling of Russian-led terrorists," Ukrainian Prime Minister Arseniy Yatsenyuk told CNN's Frederik Pleitgen in Kiev.

"It's better to have this new deal rather than not to have (it). But we do not trust any words or any papers. We are to trust only actions and deeds," he said.

The White House issued a statement with a tone of guarded optimism and urged all parties to take "immediate, concrete steps" to fulfill their commitments.

"Heavy weapons must be withdrawn from the conflict zone, and Russia must end its support for the separatists and withdraw its soldiers and military equipment from eastern Ukraine," the statement said.

While the Ukrainian forces have to pull back their heavy weapons from the front line as it stands Saturday night, the separatist forces must pull back theirs from the front line as it was on September 19, when a previous peace agreement was signed in Minsk. That swiftly disintegrated amid continued violence.

The new ceasefire proposal represents a territorial gain for the separatists, who control parts of the Donetsk and Luhansk regions.

German Chancellor Angela Merkel, speaking after the talks wrapped up alongside French President Francois Hollande, said that what had been achieved gave "a glimmer of hope" but that big hurdles still lay ahead.

European Union leaders who met in Brussels later Thursday "did not discuss any new sanctions against Russia," European Council President Donald Tusk told reporters in the Belgian capital.

Tusk said that the EU wants "to encourage" Russia to implement the new Minsk agreement, but he also advised caution in light of how the first Minsk agreement unraveled.

Kremlin spokesman Dmitry Peskov told Russia's state-run RIA Novosti that while Russia had helped to bring about the Minsk agreement, it wasn't in its power to fulfill it.

"We simply can't do this physically because Russia is not a participant in the conflict," Peskov said.

Moscow hopes that all of the points drawn up in the Minsk deal will be fulfilled, he added.

Russia has steadfastly denied accusations that it is sending forces and weapons into Ukraine. But top Western and Ukrainian leaders have said there isn't any doubt that Russia is behind surging violence and separatists' efforts to take over territory in eastern Ukraine.

Zannier, the OSCE secretary general, said his organization intends to put 350 monitors into eastern Ukraine to oversee the ceasefire and withdrawal process. Under the terms of the Minsk agreement, it can use radar, satellite and drone technology to help it.

But he warned that unless the environment becomes less hostile, there are limits to where the OSCE teams can go.

Details of the new agreement, which is similar in part to the September 19 deal, were released Thursday, but it's still unclear how elements of it will work. The points include:

• An immediate and comprehensive ceasefire in parts of Donetsk and Luhansk starting at midnight on February 15.

• The withdrawal of all heavy weapons by both parties at equal distances in order to create a security zone width of at least 50 kilometers (31 miles) from each other for artillery systems and more for longer-range weapons.

• This process should begin no later than the next day after the ceasefire and should be over within 14 days.

• A dialogue on new local elections and the special status of the Donetsk and Luhansk regions will begin the day after the withdrawal.

• A law will be created to give amnesty to people involved in events in Luhansk and Donetsk.

• Both sides must ensure the release and exchange of all hostages and illegally held prisoners by no later than the fifth day after the withdrawal.

• Withdrawal of all foreign troops and military equipment from Ukraine, including mercenaries, and the disarmament of militia groups.

CNN's Nic Robertson, Nick Paton Walsh, Alla Eshchenko, Pierre Meilhan and journalist Victoria Butenko in Kiev contributed to this report.

@highlight

Petro Poroshenko claims that pro-Russian forces have increased their attacks

@highlight

Fighting continues in eastern Ukraine ahead of a ceasefire due to come into effect Sunday

@highlight

OSCE chief says he hopes to see a reduction in hostilities before the ceasefire