(CNN) -- "Yesterday is gone. Tomorrow has not yet come. We have only today. Let us begin." -- Mother Teresa

Maybe it was because my parents were immigrants, who scraped by most of their lives and were always forced to plan for tomorrow.

Maybe it was because some of the scars from their past were too painful, and they felt those moments should be forgotten.

It could be they felt their lives were moving so quickly that if they spent much time in the past, they would lose out on their future.

No matter what the reason, when I told my parents we were going on a journey to the other side of the world to find our roots, they were a little skeptical. Sure, a family medical history was important to know, but learning about our ancestors' lives? They weren't all that interested.

In many ways, they believed that visiting the past would be, at best, a luxury. At worst, it would be a complete waste of time.

They would be the first to tell you now it was a wonderfully transformative experience that brought three generations of our family closer together. As much as I thought I knew the story of my family, I really only had a few headlines. I didn't know the nuances, the details, the tidbits that painted a more complete picture of who we really are.

I didn't know that my dad's great-uncle was a freedom fighter who was jailed twice for speaking truth to power.

I didn't know that my great-grandfather gave away all his money and land (and a herd of buffalo) to the priests in the north Indian community where he lived with his wife and five sons. Even 100 years later, they describe him as the most charitable person who ever lived in that small town. I didn't know that at 6 feet 4 inches, he was able to jump over a water buffalo in one leap.

I didn't know when my mom fled as a 5-year-old refugee from the bloody partition in 1947, that her Hindu relatives all disguised themselves in the traditional garb of Muslims to blend in and ensure their safety.

I saw that scared little girl in my mind and better understood the remarkably resilient woman who grew up to be my mother. At one point during our trip, she turned to her three granddaughters and said, "I am proof that anything is possible."

To understand truly where you are going, it helps to understand from where you came.

There are so many moments from our journey that I will never forget. There was the camel ride on Karachi beach in Pakistan with my mom. For the first time, she shared some of the awful details of her life as a refugee. That beach was the last place she saw before leaving the war-torn country.

She never imagined returning.

Another moment involved ancient scrolls that date back 40 generations. My father's side of the family had its history recorded going back nearly 1,000 years -- and the look on my father's face when he saw the scrolls for the first time will forever be seared in my mind.

I will never forget the questions my daughters started asking -- not just the names of their ancestors, but what kind of people were they, really? I can now honestly answer some of those questions.

I can tell them the extraordinary story of how their grandparents met. It's a tale that will inspire faith even in the most cynical of people. Even today, many Indians still have arranged marriages. But in the mid-1960s, my parents, two young college students, started a romance in Ann Arbor, Michigan, and fell in love.

"Then you happened," my dad told me with a smile as we stood in the exact spot they first met.

If you are reading this, you're probably already interested in the idea of finding your roots. Here is what I've learned:

While the journey was life-altering, I will most remember the conversations we had along the way. There is something about finding your roots that fosters and nurtures family discussions that you would not otherwise have had.

Mother Teresa was right: Yesterday is gone. But I learned, along with my family, that it is very worthwhile to pay a visit every now and then.

@highlight

Dr. Sanjay Gupta traveled from Pakistan to Michigan to discover his family's roots

@highlight

His mother, father and daughters joined him on the trip

@highlight

Gupta says he will most remember the conversations they had along the way