Lausanne, Switzerland (CNN)There are plenty of details left to iron out, but negotiators took a significant step Thursday toward a landmark deal aimed at keeping Iran's nuclear program peaceful.

After a marathon stretch of late-night negotiations in Lausanne, Switzerland, diplomats announced they'd come up with the framework for an agreement that's been months in the making.

Iran would reduce its stockpile of low-enriched uranium by 98% and significantly scale back its number of installed centrifuges, according to the plan. In exchange, the United States and the European Union would lift sanctions that have crippled the country's economy.

"It is a good deal, a deal that meets our core objectives," U.S. President Barack Obama said in a speech from the White House Rose Garden. "This framework would cut off every pathway that Iran could take to develop a nuclear weapon."

The deal would include strict verification measures to make sure Iran complies, he said.

"If Iran cheats," Obama said, "the world will know it."

Key points of the deal

The world powers involved in the talks with Iran were the United States, Russia, China, France, the United Kingdom and Germany.

For the United States and Iran, two countries with a long history of strained relations, the negotiations took on an added significance.

Just two years ago, they hadn't talked with each other officially in nearly four decades.

"I think there was a seriousness of purpose," U.S. Secretary of State John Kerry told CNN in an interview shortly after the framework was announced. "People negotiated hard. It was tough, very intense at times, sometimes emotional and confrontational. It was a very intensive process, because the stakes are very high, and because there is a long history of not talking to each other. For 35 years, we haven't talked with the Iranians directly like this."

On Thursday, Iranian state television broadcast Obama's speech live, something many Iranians described as unprecedented.

Some Iranians marked the historic moment in U.S.-Iranian relations on Twitter by sharing "selfies" of themselves in front of the live Obama speech.

But U.S. leaders were still talking tough, even as they praised the agreement.

Kerry stressed that if a final deal is reached with Iran, the removal of any sanctions against Tehran will come in phases.

"And if we find out at any point that Iran is not complying with the agreement, the sanctions can snap back into place," he said.

Iran didn't seem to be changing its tune, either.

"Iran-U.S. relations had nothing to do with this. This was an attempt to resolve the nuclear issue. ... We have serious differences with the United States," Foreign Minister Javad Zarif said after the deal's framework was announced, noting that "mutual mistrust" had been a serious problem in the talks.

The preliminary agreement will not put an end to Iran's enrichment activities, Zarif said.

"None of those measures include closing any of our facilities. The proud people of Iran would never accept that," he said.

But he said Iran will abide by the agreement, which would limit enrichment activities to one location, he said.

21 questions on Iranian nuclear talks

But work on the deal isn't finished. There's a June 30 deadline for coming up with a final agreement.

In the United States, the Obama administration could face an uphill battle selling the deal to a skeptical Congress, which has threatened to impose new sanctions on Iran.

Already, there were rumblings of the looming political fight.

Kerry said he didn't believe Congress would block the deal, telling CNN it "would be very irresponsible to make politics trump facts and science and the realities of what is possible here."

House Speaker John Boehner said in a statement that he was planning to stand strong and press the administration with tough questions.

"The President says negotiators have cleared the basic threshold needed to continue talks, but the parameters for a final deal represent an alarming departure from the White House's initial goals," he said, arguing that Congress must review details of a deal before any sanctions are lifted.

Obama warned leaders of Congress not to stop the deal.

"If Congress kills this deal not based on expert analysis and without offering any reasonable alternative, then it's the United States that will be blamed for the failure of diplomacy," Obama said. "International unity will collapse."

Obama maintains the deal would shut down Iran's path to getting a nuclear bomb.

But Israeli Prime Minister Benjamin Netanyahu says the opposite is true.

"Such a deal would not block Iran's path to the bomb. It would pave it," he said in a statement. "It would increase the risks of nuclear proliferation in the region and the risks of a horrific war."

Netanyahu has been lobbying against an agreement since the talks began, warning U.S. lawmakers in a congressional address last month that Iran can't be trusted.

Israeli government officials vowed to continue their push against what they called "a poor framework that will lead to a bad and dangerous agreement."

"If an agreement is reached on the basis of this framework, it will result in a historic mistake that will make the world a far more dangerous place," the Israeli officials said in a statement. "This framework gives international legitimacy to Iran's nuclear program that aims only to produce nuclear bombs."

Obama said that he was reaching out to Netanyahu to explain and defend the tentative framework.

"If, in fact, Prime Minister Netanyahu is looking for the most effective way to ensure that Iran doesn't get a nuclear weapon, this is the best option," Obama said.

Negotiations between Iran and the five permanent members of the U.N. Security Council -- China, France, Russia, the United Kingdom and the United States -- plus Germany began in 2006 and have had a tortured history.

Over the past nine years, the push and pull over Iran's nuclear program produced a bewildering array of proposals. Meanwhile, as talks dragged on, the United States, the European Union and others imposed sanctions on Iran, provoking resentment among Tehran's leaders, who called the sanctions a crime against humanity.

The challenge all along was twofold: To assure the international community that Iran could not develop nuclear weapons (which it denied in any event that it was doing); and to accommodate the country's assertion of its right -- as a signer of the Treaty on the Non-Proliferation of Nuclear Weapons -- to enrich nuclear fuel for civilian purposes.

The broad outlines of a deal seem to have been clear for some time.

But the devil was in the details, and the numbers, timing, sequencing and verification procedures proved devilishly difficult to resolve. Until now.

The 2013 election of Hassan Rouhani, a political moderate, to Iran's presidency infused the talks with new hope, though questions lingered over whether he could persuade the country's hard-liners to accept an agreement.

U.S. leaders also were divided over the agreement as envisioned. In a March 9 letter signed by 47 Republican U.S. senators, Iran's leaders were warned that any deal not approved by the Senate could immediately be revoked by President Barack Obama's successor in 2017.

Democrats denounced the sending of such a letter to foreign leaders as an unprecedented intervention in negotiations between the administration and another country. And Iran's leaders also dismissed the letter.​

CNN's Elise Labott reported from Lausanne and Mariano Castillo and Catherine E. Shoichet wrote the story in Atlanta. CNN's Don Melvin, Mark Bixler, Cynde Strand, Sarah Aarthun, Jedd Rosche, Jethro Mullen, Greg Botelho and Jim Sciutto contributed to this report.

@highlight

Netanyahu says a deal would pave the way for Iran to get a nuclear bomb

@highlight

Iran's enrichment capacity and stockpile will be limited, diplomats say

@highlight

Talks were tough, intense and "sometimes emotional and confrontational," Kerry says