Fans of anime master Hayao Miyazaki may remember the mystical, moss-covered forest that serves as the setting for much of "Princess Mononoke", his epic about humans and the environment.

That otherworldly backdrop was inspired by the very real forests of Yakushima, an Eden-like island in southern Japan.

It's an eco-paradise of stunning landscapes, crystal clear waters, and diverse wildlife. The 195-square-mile island rises swiftly from sea level to a mountainous interior of mile-high peaks that can be snow covered in winter, despite the subtropical climate.

The granite bedrock is covered by cedar forests, some primary, others the result of reforestation after Edo-period logging. In summer its beaches serve as the largest nesting grounds in the region for loggerhead turtles. The surrounding waters are filled with flying fish, which figure prominently in local menus.

Small white-tailed deer roam the island (and another curious creature, Björk, has said she enjoys hiking in Yakushima). Indigenous Yaku macaques sprawl along the roads and fly through treetops. Together, the deer and monkeys outnumber the 13,000 permanent human residents.

This unique ecology earned Yakushima a UNESCO World Natural Heritage Site designation in 1993. Since then, tourism has flourished. In 2012, about 215,000 people visited, according to Steve Bell, who, with Helen McNamara, runs Y.E.S. Yakushima, the official English tourist website for the island.

Read more: The world's best unknown hike

But the vast majority of visitors come to see one thing: An ancient cedar called Jomon-sugi, estimated to be up to 7,200 years old. During the summer holiday and Golden Week (a series of public holidays in Japan at the beginning of May), up to a thousand people make the nine-hour round trip on a given day, crowding the viewing platform that was erected to protect the tree and its environment.

The upside? Most other sights and trails remain blissfully uncrowded.

Life is quiet here. Most people live in the towns along the coastal road that circles the island, skirting past rocky shores and citrus groves. Miyanoura is the largest settlement, and the main port, followed by Anbo, whose river is a favorite kayaking spot.

There's Onoaida in the south, Kurio and its rocky tide pools in the southwest, Nagata and the sandy Inakahama beach (beautiful but dangerous for swimmers) and Isso, which also has a beach.

It's an early to bed, early to rise kind of place. Every morning at 7 a.m., an island-wide sound system wakes everyone up with classical music. It's time to eat your natto, grab a bento lunch, and hit the trails.

A 40-minute drive inland and uphill from Anbo is Yakusugiland, a cheesy name for a gorgeous set of paths set over 270 hectares that takes walkers through dense woods, past ancient cedar trees including Kigen-sugi (3,000 years old), Odasugi (2,500 years old), and Buddha-sugi (1,800 years old, said to resemble the enlightened one).

Shiratani Unsuikyo is a similar park, though with more varied terrain, including the stretch of impossibly green forest that inspired Miyazaki. The furthest trail here leads up to Taikoiwa Rock, a climb that's rewarded with sweeping views over the valley below.

Read more: 11 things to know about Tokyo

Shiratani is the second most visited place, after Jomon-sugi, though far less crowded.

"The Shiratani Unsuikyu trail is a great trail in late afternoon after the buses of tourists have left and the monkeys come down the mountain," says Clive Witham, author of Yakushima: A Yakumonkey Guide, and the blog Yakumonkey.

"You'll pretty much have the trail -- and monkeys -- to yourself. It's similar at Yakusugiland, the later in the day you go, the more personal the experience becomes."

A system of no-frills mountain huts dots the island, for more ambitious hikers interested in overnight treks.

But there are shorter routes, too, and suitable to almost all ability levels. Witham's book, can direct hikers on a six hour trip on the Yodogawa trail, a varied walk through lush forest, over rushing streams, up to Hana-no-ego, the most southerly high altitude marsh in Japan (look for frogs). A final series of scrambles leads to Karumi-dake, a 1,831 meter peak with panoramic views.

Explore further: Mapping Mount Fuji

The sound of water is never far away. Yakushima is the wettest place in Japan, a fact best appreciated at the foot of one if the many waterfalls. The Oko-no-taki will inspire quiet meditation in onlookers, while the Senpiro-taki impresses with its scale as it cascades along a huge slab of granite.

After all this physical exertion, a soak on one of the many onsen on the island will hit the spot. Bell likes the indoor spa at Onoaida. "It's full of locals," he says.

Witham prefers the outdoor spa at Yudomari: "There is a smaller bath further along the path and obscured by the rocks and here you can soak while listening to the waves lapping the shore and watching the stars."

At 9 p.m., the music plays again. It's time for bed.

Where to stay

Most of the lodgings on Yakushima are Minshuku, small inns or cottages, where meals are usually included. Hearty breakfasts of fish, rice, pickles, miso soup and natto are the norm.

Near Onoaida, at the foot of Mochumo-dake, Shiki-no-yado has a set of spacious cottage accommodations with private baths, delicious local food (some from their own garden) and some large but friendly spiders.

Just outside of Miyanoura, the rooms at Lodge Yaedake Sanso have small decks looking onto the surrounding forest. Baths and toilets are shared. It's rustic, peaceful, and the food is fantastic.

For luxury, the Sankara resort, near Onaida, is the best (and only) choice.

How to get there

By air: Japan Air Commuter, part of JAL, has direct flights from Osaka (Itami) and Fukuoka. All other flights stop at Kagoshima.

By sea: A fast jetfoil ferry has eight daily departures from Kagoshima. The journey takes 2-3 hours.

It's possible to navigate Yakushima via public bus, but a rental car will make life much easier. National brands like Nissan have offices here, but the local companies are cheaper. Y.E.S. Yakushima has listings, and a free booking service.

When to go

Yakushima is enjoyable year round, but you'll need snow gear to hike during the winter months, even though temperature at sea level remain relatively mild. Summers are warm and humid. Typhoons can be an issue. It rains year round, but autumn is a bit drier. The island is busiest during Golden Week (end of April, beginning of May) and the August summer holiday.

Resources

Y.E.S. Yakushima can help with rental car bookings, lodging, and can arrange guided hikes.

Yakushima: A Yakumonkey Guide contains detailed descriptions about trails, and other useful information. It's available through yakumonkey.com

@highlight

Yakushima is one of Japan's most southerly islands and a UNESCO World Heritage site.

@highlight

Abundant flora is the main attraction; some of the cedar trees are thousands of years old

@highlight

Despite a sub-tropical climate, the island's mountains can be snow capped in winter.