(CNN) -- As a group of martial art students are put through their paces in downtown Ho Chi Minh City, grandmaster Nguyen Van Chieu sits at the side of the room wearing a quiet look of contentment.

The 65-year-old has devoted his adult life to spreading the word about Vovinam, a form of martial arts originating in Vietnam.

The youngsters have put on an impressive show for the cameras, running through Vovinam's frequently spectacular repertoire which includes scissor kicks and choreographed sword fights.

That the martial art has such a loyal following in Vietnam is in large part down to the efforts of Van Chieu, who has spent more than four decades fostering its development.

At his age, Van Chieu could be forgiven for wanting to put his feet up, but there is always more work to be done, he says.

"My dream is to open an academy, a big school, so people from other countries can come to Vietnam to research and learn Vovinam," Van Chieu told CNN's Human to Hero series.

"Vovinam is suitable for all people ... especially it is suitable for training programs for the armed forces and as self-defense for women," he says.

Founded in Hanoi by grandmaster Nguyen Loc in 1938, Vovinam fuses elements of traditional Vietnamese martial arts and other martial arts from around the world.

It combines both hard and soft elements, says Van Chieu, referring to the contrasting methods deployed in martial arts to repel an attack.

A "hard" approach would see a defender meet oncoming force with force while a "soft" approach uses an opponent's forward momentum as a catalyst to disarm or destabilize.

"With its wide variety of techniques, Vovinam is the complete martial art," says Nguyen Hung, vice-president of The Federation Vovinam-VietVoDao France.

"For example, Judo uses principally (throwing) techniques, Taekwondo uses kicks and in karate, (there is) no manipulation of traditional weapons."

Vovinam melds all these separate disciplines, employing kicks, punches, throws, self-defense, wrestling and traditional weapons together with a signature leg-grappling technique.

This latter move can be quite literally breathtaking to behold and involves a spectacular flying scissor-kick (called a Don Chan) that disables an opponent by seizing the leg, body or even the neck.

There are also impressive demonstrations of self-defense with weapons, as the students from Ho Chi Minh City display with gusto.

Firstly, a man brandishes a halberd (a six-foot pole with a wide, glinting blade at its tip) before whirling it around like a majorette might twirl a baton.

Moments later, two girls carrying swords demonstrate the art of self-defense -- it's like they are rehearsing a stunt sequence for the next martial arts blockbuster.

But in Vovinam, the physical is married to mental restraint and composure.

"You must have a strong mind, a strong will to work in any circumstances. The richness of Vovinam also resides in the equilibrium of technical and philosophical practice," says Nguyen Hung.

Above all, Vovinam is a philosophical martial art which aims to make better citizens for society rather than train fighters, he says.

Nguyen Van Chieu has been practicing since he was 16 and started teaching in earnest in the early 1970s becoming director of a training center in the south central province of Binh Dinh.

In 1978, he was the first person to reinstate Vovinam in Ho Chi Minh City (formerly Saigon) following the end of the Vietnam War in 1975.

After helping oversee the sports resurgence in his homeland during the 1980s, he turned his attentions to developing the sport abroad, organizing demonstration events in more than 20 countries, starting with Belarus in 1990.

Today, the World Vovinam Federation estimates that the martial art has one million participants in Vietnam with a further 500,000 active in 52 countries around the world on five continents.

In France alone, Nguyen Hung reckons there are around 10,000 practitioners and earlier this year the French capital, Paris hosted the fourth Vovinam World Cup.

"Vovinam was originally Vietnamese and now today has become a martial art for everyone," says Nguyen Hung.

In 2009, it was accepted onto the program of the Asian Indoor Games before making its debut at the Southeast Asian Games two years later.

Back in Ho Chi Minh City, Nguyen Van Chieu can reflect on a life's work with a degree of satisfaction and pride.

"I've led this martial art life, generally I am not rich. Compared to people who do other jobs, I can be poorer," he says.

"I follow this path because of my passion and the spirit of the sport and because I have learned it so I have to repay the debt to my teachers. It's my destiny."

Despite his advancing years, he's still flexible enough to run through a few routines that would leave most sexagenarian's rigid with fear.

"There are many benefits to Vovinam, it gives me physical strength and energy to work. When I practice, I feel healthy and it helps me stay away from the drinking!"

Read more: Ocean is my office

Read more: Tearful toddler to table tennis queen

@highlight

Vietnamese martial arts grandmaster has helped Vovinam become a global sport

@highlight

Vovinam combines traditional Vietnamese martial arts and others from around the world

@highlight

Signature move is a spectacular flying scissor kick; weapons also used for self-defense

@highlight

Vovinam participants need to master both physical and mental side of martial art