Arusha, Tanzania (CNN) -- In most doctors' waiting rooms, it's the nurse who calls the mother and child for their vaccination. In Tanzania's Arusha National Park, nurse Neema Baynet has to go out and find her patients.

With the Maasai tribes constantly on the move searching for water and fresh pasture for their cattle, Baynet can spend up to five days traveling 100 km searching the savannah for remote communities for whom her mobile immunization clinics are the only protection against deadly disease.

"A week before we set off, we send out a message to the communities and ask them to spread the word that we are coming so we can vaccinate as many children as possible," says Baynet. "Tell them the chanjos [vaccines] are coming. Bring your children!"

Despite the beauty of the backdrop of mountains, lakes and stunning savannah, Arusha's geography poses severe logistical challenges that leave Maasai mothers waiting days rather than hours for the nurse -- not because of a backlog of patients but because the nurse struggles to reach them.

There are rivers to cross, rough tracks that turn into mud beds in the rainy season, impassable even for 4x4 vehicles, and sometimes no real track to follow. The terrain means health workers often sleep in their vehicle and are forced to complete their journey by foot -- in a region renowned for its dangerous wildlife.

"We do not often see lions," says Baynet, "but we can hear them at night and see their tracks by day."

See also: Wildlife puts Tanzania on the tourist map

In the soaring temperatures of Arusha's equatorial climate, Baynet's quest to find her patients is also a race against time: modern vaccines must be kept cool to preserve their powers of prevention, and a cold box packed with ice is Baynet's very temporary defense.

Yet the children of the Maasai cannot afford to miss out on the protective powers of vaccines.

"When a child falls sick in such areas, the greatest problem is getting them medical help," says Osmand Swai, clinical officer at a health center in the Maasai village of Gelai Lumbwa. "They have to be carried over vast distances to reach the nearest doctor. When they arrive, they are usually in a very bad condition."

Nasieku Engishon lives in the Maasai settlement of Engirirat, near Gelai Lumbwa. She almost lost her 10-month-old daughter to pneumonia and diarrhea. "When a child becomes sick, we carry them to the health center," she says. "Carrying a sick child, it can take four to six hours to get there."

As a tribe that was decimated by disease and famine in the 19th century, the Maasai themselves are keenly aware of the importance of vaccinating their children.

"There was an outbreak of measles here last August and a lot of children became very sick," says Narangrang Laiseri, from Gelai Lumbwa. "They took them to hospital, but five from this area died. I was lucky -- my son had been vaccinated against measles and he was one of the ones who got better quickly."

See also: Fighting cancer with cell phones: Innovation to save lives in Africa

The need to get to hard-to-reach people like the Maasai and the rest of the estimated 8% of Tanzania's population that do not receive basic life-saving vaccines has taken on a new urgency with the country's recent launch of a five-year development plan.

The government wants to shift the national economy up a gear in its drive to transform Tanzania into a middle-income country by 2025, and it is now widely acknowledged that investing in children's health through vaccination is critical to building solid economic foundations. Healthy children do better in school and have a better chance to reach their full economic potential.

Tanzanian President Jakaya Kikweke is hosting this week's high-level gathering of over 650 immunization experts in the capital, Dar-es-Salaam. The GAVI Alliance Partners' Forum (5-7 December) will focus on how to achieve equity in children's access to life-saving vaccines.

To mark the event, the health ministry will launch two new vaccines into the national immunization program -- pneumococcal and rotavirus -- tackling the primary causes of pneumonia and diarrhea -- two of the leading killers of under-fives in Tanzania.

Tanzania's One Plan aims to ensure that these new vaccines reach all children, from the Maasai in the north to the islands of Zanzibar, where boats are used to deliver medicine to the more remote of the archipelago's many islands.

"We have a strategy to reach every child with vaccination and we engage communities in planning and implementing it," says Yussuf Makame, manager of Zanzibar's Expanded Programme on Immunisation.

However, Maasai mothers remain fearful that the sheer geographical scale of Arusha means that for them the waiting game is destined to go on.

"Of course we know how important it is to vaccinate our children," says Laiseri. "Whenever we hear the vaccinators are coming, people bring their children. But sometimes they are so far away, they do not hear about the vaccination in time."

@highlight

Getting vaccines to wandering Maasai tribes in Tanzania can take days

@highlight

About 8% of Tanzanians do not receive basic life-saving vaccines

@highlight

GAVI Alliance Partners' Forum to focus on children's access to life-saving vaccines.

@highlight

Tanzania to launch new vaccines to prevent pneumonia and diarrhea