(CNN) -- It was a fable made famous by football -- now Japan's rising tennis star Kei Nishikori is doing his best to dismiss the long-held sporting notion that size does matter.

Of the sports' top 15 players, only two are shorter than 6'0" -- Nishikori, who stands at 5'10 and Spain's current world No. 5 David Ferrer who is an inch shorter than the Japanese player. The world's top four players - Roger Federer, Novak Djokovic, Andy Murray and Rafael Nadal - are all over 6'0, while six of the top 15 are 6'5" or taller.

Height is particularly important in tennis as it makes a player's service harder to return because of the power, height and bounce that can be generated by the server. So the tallest player of all time Ivo Karlovic, who is 6"10', is capable of serving at 251km/hr.

The 22-year-old Nishikori relies on a vast array of ground strokes and blistering speed to counteract the power he often faces in opponents that sometimes tower nearly a foot over him.

And he is slowly proving this supposed disadvantage can be his primary weapon, as his finest year to date unfolds.

In 2012 he became the first Japanese man to reach the quarterfinals of the Australian Open in 80 years and the first Japanese player to win his home nation's most prestigious tournament in its 40-year history.

His 7-6 3-6 6-0 win over the 6'4" Milos Raonic earlier in October was also the first time Nishikori had won a trophy since Delray Beach in 2008.

With the help of veteran Nick Bollettieri -- the coach Nishikori calls the greatest in the history of the game -- and Dante Bottini, the Japanese star currently sits proudly as the 15th best player in the world.

"I am not the tallest guy on tour so I have to have good legs and good speed and that's my weapon," Japan's rising son told CNN's Open Court show, as he reflected on the task of taking on the giant, fast-serving titans of the modern game..

"It's not easy to play with big servers because, for me, it's hard to hold my serve. It is getting better but still, not easy. Not as easy as tall guys.

"I think I have a good return. I still struggle. I have good speed; I have to cover with my legs. I can do different things than those tall guys. Its not easy but I have to mix the shots."

Technique wins out

The "size matters" myth has been ground to dust in other sports in recent years.

It was a theory that held steadfast in soccer until countries like world champions Spain, and Germany, moved away from height and physical strength as a cornerstone of their philosophy, turning to a new generation of more diminutive, technically gifted players.

The most dominant European club side of recent years has been Spanish giants Barcelona, whose players make up the nucleus of an all-conquering Spain team. Among their ranks is Argentina striker Lionel Messi, considered by many to be one of the finest footballers in history, who stands just 5'6" tall.

As for Bollettieri, who has honed the talents of players like Andre Agassi and Serena Williams at his famous Florida academy, he is in no doubt Nishikori's nimbleness around the court is his main weapon in his battle against more lofty opponents.

"Kei is a shot maker," Bollettieri told CNN. "And when he's on, he can beat anybody in the world. Now remember, Kei is not a big guy. So he has to be very careful to take advantage of the opportunities when he gets them.

"If you're small, it's more difficult, no matter what anybody says. If you look at today, probably the height of the guys is 6'2", 6'3", the ladies up at 5'9", 5'10", Sharapova 6'3", Venus 6'2".

"So you take that as fact and you don't throw in the white towel and say 'I can't do it'. What Kei has, he has mobility, he creates and he has unbelievable hands and feet that you can't purchase.

"So he has to keep adding, keep working on any defensive balls, come to the net a little bit more, and this is what Dante is working on. If he stays status quo, he'll win a lot of matches.

"But to be among the big boys and to break that top 10, which we all feel he will do, he probably will have to add a little bit more transition to his game."

Role model

Nishikori's dramatic progress this season has mirrored that of Formula One driver Komui Kobayashi; both men hoping to act as a catalyst for burgeoning interest in their respective sports.

"Basically, in Japan, they're not giants," added Bollettieri. "You look at some of the good players, they're very strong, good ground strokes," he said.

"It gives hope, and you get more people out there playing the game. The more people that play the game increases your chances of having good players, great players, and hopefully some day a champion."

Nishikori's recent victory in the Japan Open, when he became the first Japanese player to claim the title since the competition began in 1972, has only strengthened the belief within his camp that a grand slam title is within reach.

The 22-year-old's epic victory over France's Jo-Wilfried Tsonga at the Australian Open in January saw him become the first player from Japan to make the last eight in Melbourne since 1932.

And with time on his side, the hope is that Nishikori could finally end Japan's long wait for a major champion.

"Of course I want to win grand slams," he said. "I think everyone is the same. But my favourite tournaments are the U.S. Open and the French Open -- those two I like. So hopefully I can win one of the grand slams."

'Project 45'

Nishikori's first ATP Tour title at Delray Beach came at the tender age of 18 when he was still outside the top 240 players in the world. It was Japan's first tournament success since Shuzuo Matsuoka won the Seoul Open in 1992.

It also served as justification for his family's decision to send him to Bollettieri's academy as a 13-year-old, even though he spoke not a word of English.

"The first year was tough, because without English I was really shy so I couldn't speak much with friends," explained Nishikori. "But I was enjoying playing tennis all day. I would start playing tennis from 7am until 5pm, so that was fun for me."

His Delray Beach triumph gave rise to what became known as 'Project 45' in Japan.

Positively Orwellian in title, it was actually Nishikori's mission to overhaul Matsuoka's career best ranking of 46 -- the highest any Japanese player has ever reached.

Nishikori broke through that particular barrier at last year's Shanghai Masters and now has his sights set on the top 10. Should he do that, Nishikori might have to increase his wardrobe of disguises, to avoid being mobbed on home soil.

"In Japan it is a bit crazy. I have to hide -- I have to wear caps, sunglasses, masks. I look weird but sometimes I have to do that. Like when I go shopping everybody starts tailing to me and I can't concentrate to shop!"

@highlight

Japan's Kei Nishikori has reached a career high ranking of 15 in the men's game

@highlight

The 22-year-old recently won the Japan Open and became first home winner in 40-years

@highlight

Nishikori is another product of coach Nick Bolletieri's famous Florida academy

@highlight

He makes up for lack of height with on-court speed and a vast array of winners