Madrid (CNN) -- Spain's best-known judge will be suspended for 11 years from the bench after his conviction Thursday for improperly ordering wiretaps while investigating a financial corruption case, the nation's Supreme Court ruled.

Afterward, Baltasar Garzon said he "rejects" the sentence, that the court convicted him in "an unjust and predetermined manner," and he vowed to appeal.

In a statement late Thursday, Garzon said, "This sentence, without judicial reason nor evidence to support it, eliminates all possibility to investigate corruption and related crimes by opening spaces of impunity, and seriously contributing -- in an effort to stop one specific judge -- to reduced independence for Spanish judges."

Garzon had ordered wiretaps against suspects who were in jail and under investigation in the case, allowing authorities to listen in on their conversations with defense attorneys and others. Their lawyers later filed a lawsuit, arguing that the wiretapping violated their constitutional right of attorney-client privilege.

A seven-judge panel at the Supreme Court convicted Garzon, according to court documents.

A second trial against Garzon ended on Wednesday, but judges have not yet ruled in the case. That case concerns his investigation of human rights abuses under the former dictatorship of Francisco Franco in Spain.

Human rights groups say both cases, especially the second one, amount to a vendetta against Garzon, who became known internationally for his investigation into human rights abuses under former Chilean dictator Augusto Pinochet.

Garzon, 56, was suspended provisionally from the bench in 2010, pending these trials.

A third case is under investigation, but no trial has been set.

At a three-day trial last month in the financial corruption case, Garzon professed innocence. The case implicated some leading conservative politicians, among others, and there have been trials recently against defendants in the corruption scandal known as Gurtel.

Garzon said his wiretap orders, in early 2009, were backed by state prosecutors, who did not bring charges against Garzon. He testified that he ordered the wiretaps on suspicion that suspects in the case were involved in money laundering while they were in preventative prison.

But the Supreme Court judges wrote, "The central question to be resolved in this case is related to the fundamental right of defense for the suspect, against the legitimate interest of the State to pursue crimes," the sentence said. "It is not possible to have a just process if the right of defense is essentially eliminated."

The sentence added that Garzon's investigation had the effect of "admitting practices which now are found only in totalitarian regimes where anything is considered valid to obtain the desired information."

Garzon's possible avenues for appeal include the Constitutional Court -- Spain's highest court, which rules on constitutional issues -- or to the European Court for Human Rights in Strasbourg, France.

Julio Villarrubia, a leader of Spain's main opposition Socialist Party, said the party "respects" the decision of the court but finds it "troubling that Judge Garzon, who has fought tirelessly against drug trafficking, terrorism and corruption," is now convicted.

Human rights groups consider the second case against Garzon, for his investigation of mass graves under Franco's rule, to be the more important one.

In the second trial, state prosecutors again did not press charges, but a private prosecution, allowed under Spanish law, did. It is led by a small civil servants union called Manos Limpias, or Clean Hands, which charged that Garzon ignored an amnesty law approved in the Spanish Parliament in 1977, two years after Franco's death.

In that trial, which ended Wednesday -- just hours before his conviction in the corruption investigation -- Garzon testified that he searched but could not find any national census of how many people disappeared or their identities. So he decided to investigate because he considered those to be "permanent crimes" which still affect their descendants, since the remains have never been found.

He said he began to see evidence that there was a "systematic plan" against Franco's opponents, which he said included forced disappearances, illegal detentions and assassinations.

Franco's military uprising in 1936 triggered the three-year Spanish Civil War. The war ended when Franco's forces defeated Republican and leftist fighters. Franco's dictatorship continued until his death.

Mass graves from the regime are still being unearthed, said Emilio Silva, from a group called Historical Memory.

Various international observers attended the trial and Reed Brody of Human Rights Watch said on Wednesday, "This is a trial that should never have been held, but which at least served to show that Garzon acted in accordance with international law, which imposes on states a duty to investigate the worst international crimes."

"The Supreme Court should put an end to this sorry episode for Spanish justice by acquitting judge Garzon of all the charges against him," Brody added. "Investigating state killings and 'disappearances' should never be considered a crime."

Since his suspension in 2010, Garzon has been working as a legal adviser outside of Spain on human rights cases and judicial issues, including in Latin America.

@highlight

NEW: Judge Baltasar Garzon "rejects" sentence, vows to appeal

@highlight

Rights groups watching 2nd case against judge, involving his probe of Franco-era abuses

@highlight

Garzon had ordered wiretaps of suspects in a financial corruption case

@highlight

Garzon argues that his wiretap orders were backed by state prosecutors