Tokyo (CNN) -- A Japanese government report Monday heaped fresh criticism on the operator of the nuclear power plant where a disastrous accident was set off last year by the devastating earthquake and tsunami that hit the country.

The measures taken by Tokyo Electric Power Co. (TEPCO), the plant operator, and the Japanese nuclear regulator to prepare for disasters were "insufficient," the report by a government-formed panel of investigators said, and the response to the crisis was "inadequate."

The crippled Fukushima Daiichi plant spewed radiation and displaced tens of thousands of residents from the surrounding area in the worst nuclear accident since the 1986 Chernobyl disaster in Ukraine.

Even now, more than one year after the disaster began, TEPCO does not seem aggressive enough in examining the causes of the accident at the plant to prevent a recurrence, the 10-member panel, led by Tokyo University engineering professor Yotaro Hatamura, said in the report Monday.

The report, the fourth and final one on the nuclear disaster, comes amid growing anti-nuclear protests in Japan. It said interference by the prime minister at the time, Naoto Kan, created confusion in the response to the crisis.

It recommended that all nuclear operators in the country conduct a comprehensive risk analysis of their facilities.

The results of the investigation Monday follow a damning parliamentary report earlier this month that said the crisis was a "man-made disaster" resulting from collusion between TEPCO, regulators and the government. That report said the disaster should have been predicted and prepared for.

Video: What caused the Fukushima disaster

A February report by independent scholars and journalists also concluded the plant operator could and should have done more.

Only TEPCO's own internal report in May said no one could have predicted the scale of the earthquake or the devastating tsunami that followed. However, it did admit it was not fully prepared and acknowledged criticism it took too long to disclose information.

TEPCO also found itself under further scrutiny over the weekend when the Japanese Ministry of Health, Labor and Welfare said it was investigating a report that subcontracted workers at the damaged Fukushima nuclear plant were told to use lead covers in order to hide unsafe radiation levels.

As the official investigations into the causes of the disaster at the power plant conclude, attention is shifting to what comes next for the nuclear power industry in Japan.

Video: Japan ends nuclear freeze

The government has been holding public hearings around the country to try to gauge public opinion regarding three options it has put forward for a medium-term energy plan.

It is expected to decide next month whether to reduce the country's nuclear power to zero as soon as possible, aim for a 15% nuclear role by 2030 or a 20-25% share by the same date.

Whichever is chosen, it will be a far cry from the energy policy in 2010, which aimed to raise nuclear power's role to account for more than half of electricity needs by 2030.

The anti-nuclear movement is very clear about which option it wants: the grassroots opposition says Japan must become nuclear-free and the number of people making this call is growing. Tens of thousands are gathering outside the prime minister's residence every Friday.

Last Friday was the seventh protest that Nagisa Saito has attended.

"What impresses me most is... people never gave up and the crowd is getting bigger and bigger," she said. "Even on a bad rainy day like today, we see this many people gathered, it's amazing."

Video: Nuclear disaster spreads to houses, food

Prime Minister Yoshihiko Noda hears the voices, but so far he is not being swayed by them. He authorized the re-activation of two nuclear power plants earlier this month, claiming that without nuclear power, the country and the economy will suffer.

"Japanese society will not be able to function if there is a decision to permanently halt nuclear power generation," Noda said last month

But one anti-nuclear protester, who gave his name only as Ozaki, said it was not a simple choice between nuclear and blackouts.

"If there is a power shortage, there are alternatives," he said. "What about coal-fired power stations, hydro-electric power stations, or we can just survive with what we have. We have to be patient, but even with blackouts, we can survive without nuclear power."

CNN's Junko Ogura contributed to this report.

@highlight

The latest report comes from a government-formed panel of investigators

@highlight

It follows a scathing parliamentary report that described a "man-made disaster"

@highlight

The report Monday criticizes the plant operator's lack of preparedness

@highlight

Japan faces questions over the future of its nuclear power industry