Washington (CNN) -- Congress is a stalemated cesspool of government shutdown showdowns that could come straight from an Aaron Sorkin TV series. But on the issue of using military force in Syria, bipartisanship is coming from unexpected places.

Liberal members of Congress are joining forces with some of the most conservative to rein in the president. For instance, two lawmakers who legislate from complete opposite ends of the political spectrum are calling for the president to back down from a possible military strike.

"The president's line in the sand may have been a strategic blunder. But it is not enough reason to go to war," Sen. Rand Paul, R-Kentucky, said in an opinion piece on CNN.com on Friday, referring to President Barack Obama's declaration that the use of chemical weapons is unacceptable.

Rep. Alan Grayson, D-Florida, was even stronger in his opposition. "We are not the world's policemen. That is not our responsibility," he said Thursday on CNN's "The Lead."

While Grayson and Paul are urging the president to take a step back from deploying the U.S. military, a large number of Republicans and Democrats have joined together to demand that he allow Congress to have a say on U.S. involvement. It's a message almost identical regardless of political party.

U.S. to release information on Syria chemical weapon use

Said one lawmaker: "(T)he president has the responsibility to seek authorization from our nation's elected leaders before initiating military action."

And another: "For too long, the legislature's responsibility to authorize military force has been overlooked."

The first statement was made by liberal Democratic U.S. Rep. John Garamendi of California, and the second by U.S. Rep. Walter Jones of North Carolina, a Republican.

They aren't alone. More than 100 members of Congress, mostly conservative Republicans but nearly two dozen liberal Democrats as well, have signed on to a letter to the president urging that he "consult and receive authorization from Congress before ordering the use of U.S. military force in Syria."

How much say will Congress have on Syria strike?

While partisanship has kept Congress from agreeing on the budget, gun control, and immigration, lawmakers have been able to find commonality on the issue of war.

"Those decisions are very tough decisions, and you'll find some strange bedfellows," said Connie Morella, a former Republican congresswoman from Maryland who was one of seven Republicans and 147 Democrats who voted against the use of military force in Iraq in 2002.

Analysts tell CNN that uncommon alliances have become more common in recent years.

"We used to have this model that bipartisan was when the center-right and the center-left compromised each other," said Heather Hurlburt, executive director of the National Security Network. "Now it works when legislators vote because it makes (them) more conservative ... or more liberal."

The coalition of the right and the left has especially been evident over the issue of war. The last decade has left many lawmakers full of skepticism when it comes to American foreign policy. Many members felt lied to by the George W. Bush administration in the lead-up to the Iraq war and worn out from a 12-year-old war in Afghanistan.

"There's an increasing skepticism amongst those on the right and left when it comes to these types of foreign entanglements," said Jim Manley, former communications director for Senate Majority Leader Harry Reid, D-Nevada. "Members who were around (during the Bush administration) are determined that's not going to happen again."

That is a sentiment made evident by Democratic Rep. Garamendi. "The past decade has amply demonstrated the folly of military commitments poorly conceived," he said. "Our brave men and women in uniform deserve better."

Paul echoes Garamendi in his editorial. "Understandably, Americans are not eager to be plunged into another questionable or misguided war," he said.

Like with anything in politics, however, there's a bit more to the story. It's not just about the merits of war and congressional responsibility, but also about, well, politics.

How the latest chemical weapons claim differs from others

Some lawmakers demanding congressional oversight "want to resist anything Barack Obama does," says J. Michael Hogan, director of the Center of Democratic Deliberation at Penn State University.

He says it looks good to their constituents back at home who oppose anything the president proposes. Hogan speculates that if a Republican were president, the number of Republicans who signed that letter would be less than 98 and Democratic signatures would number more than 18.

Hurlburt said that war doesn't suspend politics.

"I'm not sure that was ever true in the past, and it's definitely not true now," she said. "Issues of war show up these fissures that are there all the time."

A bipartisan group of lawmakers challenging the president is only half the story. Some lawmakers are much more measured. Although many strongly urge the president to seek congressional authorization before any military strike, some lawmakers on both sides of the aisle support a military strike.

Sen. Robert Menendez, D-New Jersey, chairman of Senate Foreign Relations Committee, said after a congressional briefing by the administration that "a decisive and consequential U.S. response is justified and warranted."

Sen. John McCain, R-Arizona, said on CNN's "Piers Morgan Tonight" on Thursday that the U.S. "should be helping (the Syrian rebels) attain the goal of freeing themselves from one of the most brutal dictators in history."

Hurlburt says many senators are old-guard lawmakers who have been dealing with issues of war and peace together since Bosnia and Kosovo in the '90s. It "reflects that those in the Senate have been chewing on these issues for 20 years," she said.

If Obama does allow Congress to vote on the use of military force, it's unclear if the unholy alliance of the right and the left would stay united to oppose any military attack.

There are "not so many consequences for posturing on the issue," Hurlburt said. But there are a lot more consequences for taking a vote on it.

@highlight

Liberal members of Congress joining with conservatives to oppose strikes in Syria

@highlight

There is an increased skepticism among the left and right over foreign entanglements

@highlight

Other members of Congress on both sides of the aisle support strike against Syria