Beijing, China (CNN) -- In the wake of a series of court scandals, an influential Communist Party legal commission issued new guidelines this week asking for fairer due process in China's much maligned court system.

The guidelines, released by the Commission for Politics and Laws, call for interrogations to be recorded to prevent torture, defendants to have access to their attorneys, and judges, prosecutors and police to have a "lifetime responsibility" for their roles on each case.

"China has been full of scandals about wrongful convictions of innocent people," says Nicholas Bequelin, a senior researcher at Human Rights Watch. "I think this is a response by the government and party that knows its citizens hold its judiciary in pretty low regard."

On Tuesday, a man who served 17 years of a life sentence for murdering his wife was freed after a Higher People's Court in Anhui ruled that the "facts about the alleged homicide were unclear and the evidence inadequate," state news agency Xinhua reported.

This and many similar cases have draw outrage on social media in China.

"Court cases in the past often deviate from regulations and were influenced by external causes, even though there has been clear regulations to guarantee defendants' right," says Professor Zhang Qianfan of Peking University.

Zhang, a noted champion of legal reform, says courts don't always follow regulations and the key test of reform will be implementation.

Many of the guidelines are not new. China's legislative body unveiled a new Criminal Procedure Act in 2012 that aimed to give defendants more rights, but was criticized for increasing police power.

Rights groups regularly accuse Chinese security organs of torture and forced confessions in criminal cases. A landmark study (Criminal Justice in China: An Empirical Inquiry) completed in 2011 found that 95% of those accused in China confess to their crimes.

The announcement of legal reforms appears to be part of a broader effort by President Xi Jinping's government.

During a decade in power, China's previous president Hu Jintao put the brakes on legal reform seen in the years after the chaos of the Cultural Revolution and in the wake of the Tiananmen Square massacre in 1989. Several prominent legal minds in China were ostracized or sidelined.

But for a ruling party whose chief aim is holding onto power, popular anger at the legal system may have reached a threshold.

Many Chinese, who see a legal system beset with corruption and frequently influenced by the powerful, will often turn to petitioning and protest.

"There is clearly hope at the moment for momentum in legal reform," says Bequelin. "The leadership should understand that it's in everyone's best interest that the judiciary not only has a functional role, but is trusted by the people."

But for the ruling party, there are lines in the sand.

"If you recognize the rule of law as the fundamental guiding principle and the constitution as the abiding rule in China, then what does that mean for party control?" says Carl Minzer, a China expert at Fordham Law School.

Minzer believes there is little chance the party will loosen its grip over the courts through fundamental reforms.

"It would be a slippery slope towards greater and greater change that they may not be comfortable with," he says.

Party members, numbering more than 80 million, are essentially above the law. If suspected of crimes, they are dealt with the party disciplinary committees first before going through criminal procedures, if at all, experts say.

"There is a big discrepancy between the way China works on paper and how it works in practice," says Minzer.

Left out of the new guidelines altogether are the way the party deals with perceived political threats.

Bequelin says that in sensitive cases where the party feels threatened, torture, ill treatment and extracted confessions are the norm.

He doesn't expect that to change.

"China has the toolbox to deal with people properly, but every single political case that I have worked on in a decade has been marked by extensive violations of procedure."

@highlight

Commission for Politics and Laws calls for reform of China's court system

@highlight

Chinese court system has been criticized by people and human rights groups

@highlight

Skeptics say little is likely to change for Communist Party members