Five years after the financial crisis, the debate over whether some of the biggest banks in America are "too big to jail" is causing tensions among prosecutors and regulators.

As federal prosecutors in Manhattan finalized their investigation of JPMorgan Chase & Co. for failing to blow the whistle on Ponzi-schemer Bernard Madoff, the question arose: What happens if federal prosecutors file criminal charges against the bank?

The answer was stark at a meeting in recent weeks in Washington between prosecutors and the bank's chief regulator, the Office of the Comptroller of the Currency.

Prosecutors asked for assurance that charging the bank wouldn't lead to regulators starting proceedings to revoke the bank's charter, according to people familiar with the discussions. Prosecutors thought forcing the bank to accept a guilty plea could serve as a deterrent. But they also feared that if regulators moved to pull the bank's license, it could lead to destruction of the nation's largest bank and potentially the loss of hundreds of thousands of jobs. OCC officials said they could provide no such assurance, the people familiar with the discussions said.

On Tuesday, U.S. Attorney Preet Bharara announced a deferred prosecution agreement with JPMorgan, under which the bank would pay $1.7 billion in restitution to victims of the Madoff fraud. The bank agreed to improve its anti-money laundering practices and other changes over the next two years to avoid facing criminal charges.

CNNMoney: JPMorgan's expensive Madoff reckoning

OCC officials also announced a settlement with the bank, levying a $350 million penalty -- money which goes to the U.S. Treasury. The regulator also ordered the bank to improve its internal programs that are supposed to flag suspicious transactions.

Bryan Hubbard, an OCC spokesman, said, "I can't comment on discussions between agency officials." Spokesman for the U.S. Attorney for New York's Southern District declined to comment.

Tensions between regulators and prosecutors

Prosecutors complain that when they push for tougher penalties, regulators warn of consequences that could mean damage to the U.S. economy. Regulators say they are required by U.S. law to pull banking licenses if banks are convicted of criminal charges.

Hubbard said Tuesday that federal law requires the regulator to initiate proceedings that could lead to revoking banking charter if a bank is convicted of banking law violations. "DOJ independently decides whether to pursue criminal charges and prosecution against a bank for criminal violations of [money-laundering] statutes.  The OCC does not make recommendations regarding criminal prosecution."

At the same time, there's public clamor for consequences against big banks blamed for reckless practices that led to the global financial crisis from which much of the world is still recovering.

The result is that highly profitable banks pay large settlements and move on. JPMorgan alone is the subject of up to a dozen investigations by federal prosecutors.

An official close to the discussions said the result is a "conundrum where bad guys get away" with crimes.

Attorney General Eric Holder, in a moment of candor at a 2013 congressional hearing, said, "I am concerned that the size of some of these institutions becomes so large that it does become difficult for us to prosecute them when we are hit with indications that if you do prosecute, if you do bring a criminal charge, it will have a negative impact on the national economy, perhaps even the world economy."

After much criticism, he returned months later to another hearing and said he wasn't implying that some banks are too big to prosecute: "Let me make it very clear that there is no bank, there's no institution, there's no individual, who cannot be investigated and prosecuted by the United States Department of Justice."

Criticism for settling cases

Holder's department came under criticism in 2012 when it settled for $1.9 billion in an investigation of British banking giant HSBC, which for years allowed drug cartels and countries subject to sanctions to launder money.

The tension between regulators and prosecutors showed at a news conference in Brooklyn in which then-Assistant Attorney General Lanny Breuer spoke of fears of collateral damage to the U.S. economy as the reason for not charging HSBC. Thomas Curry, head of the OCC, told reporters his agency couldn't be tougher on HSBC because prosecutors weren't going after the bank.

At Tuesday's news conference on the JP Morgan settlement, Bharara again took tough questions from reporters on why there wasn't a tougher stance against the bank and its bankers.

"You have to consider consequences such as employees being laid off, the bank failing. ... You have to consider consequences such as innocent shareholders losing substantial value. You have to consider the possibility that regulators will take action against the charter of the financial institution," Bharara said.

CNNMoney: How JPMorgan shorted Madoff

Opinion: Are banks really too big to jail?

@highlight

Case highlights the "too big to jail" conundrum facing prosecutors and regulators

@highlight

JPMorgan will pay massive fines for failing to blow the whistle on Ponzi-schemer Bernard Madoff

@highlight

The nation's largest bank will not face any criminal charges in the case, however

@highlight

CNN learns of meeting in D.C. where prosecutors feared fallout of pressing the case