NEW YORK (CNN) -- If we want to build a stronger, more sustainable world for future generations, one with more partners and fewer enemies, we have to work together.

Former President Bill Clinton says that everyone can do something to improve the lives of others.

The challenges of our day transcend politics, religion, geography and gender -- and in turn, so must we. This has been a month of historical calamities, natural and man-made, from Haiti to Wall Street, but the work of the Clinton Global Initiative shows that corporate responsibility needn't fluctuate with the market.

This week almost 60 heads of state, hundreds of CEOs, five Nobel Peace Prize laureates, dozens of leading philanthropists and global leaders -- including both U.S. presidential candidates -- are taking part in our fourth CGI Annual Meeting.

We launched it in 2005 with a simple concept: Invite a diverse group of global leaders to New York City, challenge them to work together on the world's most pressing challenges, give them concrete opportunities to do so, and require that in order to return the next year, they make a commitment to take action to address a global challenge of their choice.

Since we started, the leaders at CGI have made more than 1,000 "commitments to action" valued at more than $30 billion to improve the lives of 200 million people in 150 countries.

This Wednesday, we'll see returning faces, and also many leaders who will be attending for the first time. As we have in years past, we'll be discussing many of the major challenges of our time, including poverty and economic empowerment, energy and climate change, health and education.

One of the most important conversations will be about global warming and the specific clean energy opportunities that we have -- at all levels of government and society -- to create jobs, increase growth, enhance security, fight global warming and sustain our sources of food and clean water. I'm honored that Sen. Barack Obama and Sen. John McCain have agreed to talk about these issues with us.

While CGI brings leaders together to discuss and learn about issues, our real focus is on action -- and on measurable results. CGI participants' commitments have given 8 million children access to improved education and 11 million access to better health care.

More than 4 million people have been reached with clean energy services, and more than 3 million have increased access to safe drinking water and sanitation. Forty-two million children have benefited from interventions that address malnutrition or under nutrition. These impacts and their ripples are reshaping our world, and strengthening the bonds of our common purpose and humanity.

This year, we're building on this energy and expanding CGI to more people in more regions. In March, we held the first meeting of CGI U at Tulane University in New Orleans. Hundreds of college students and university officials from the United States and other nations attended and made commitments that range from reducing greenhouse gas emissions on their campuses to creating medical backpacks for roving doctors in Africa.

Everyone at CGI U -- including Brad Pitt and myself -- also worked on a service project in the Lower 9th Ward of New Orleans, helping to prepare construction sites for new homes for people who had been uprooted by Hurricane Katrina.

In the spirit of building a world with more partners and fewer enemies, I'll be traveling to Hong Kong this December for the first meeting of CGI outside of New York. This meeting will include leaders and issues of importance in Asia, an increasingly important part of the 21st century world. Asian leaders have a large and growing capacity to shape our economy, climate, health and security, and I'm honored that Lee Kuan Yew and other leaders already have confirmed their participation.

You don't need to be rich or powerful to do something to make a difference. People from more than 190 countries already have made their own commitment using our Web site.

No matter how much or how little money you have in your pocket, or the amount of free time in your week, or your talents and interests, you can do something to improve the lives of others, and in so doing, strengthen the fabric of our shared humanity. That is what CGI is all about.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Bill Clinton: This has been a month of challenges, from hurricanes to Wall Street

@highlight

He says he created his Global Initiative to get leaders to commit to philanthropic work

@highlight

CGI is expanding its efforts to Asia as the region grows, Clinton says