London (CNN) -- The village of Beddau in South Wales is sleepy, picturesque, and does not normally make national news. But it hit the headlines this month when a controversial sign was put up at the children's rugby club.

"Please remember! These are kids," it said. "This is a game. The coaches are volunteers. The referees are human. This is not the Six Nations."

This sign was quickly reported by the press, and even featured on Today, BBC Radio's flagship politics and current affairs program.

Clearly, the Beddau kids' rugby club had touched a nerve.

Rugby culture is good-natured in Britain, and a sign of this sort is unusual. But a host of other junior pastimes, including soccer, Britain's national sport, is plagued by adult boorishness.

In March, the Lancashire Football Association staged a "silent weekend" for all soccer teams aged seven to 18. Parents were allowed to applaud when players from both teams entered or exited the pitch, or scored a goal. Otherwise, they watched in silence.

Neil Yates, the Football Association's county welfare officer, came up with the idea after seeing a nine-year-old boy reduced to tears during a game. "He was genuinely scared," he said. "Poor lad was simply terrified by all those baying adults."

By all accounts, the initiative was a success. But it was also a drop in the ocean.

Last year, Gary Lineker, the legendary England footballer and television presenter -- who incidentally never received a single yellow card for unsporting behavior throughout his playing career -- lambasted "maniacal parents on the touchline spouting nonsense at their children."

"The competitive nature of most mums and dads is astounding," he wrote in an essay for New Statesman magazine. "If we could just get them to shut the f--- up and let their children enjoy themselves, you'd be staggered at the difference it would make."

Lineker even went so far as to hold parents' behavior partially responsible for the stunted development of English soccer, which has "never produced, proportionally, as many technically efficient players as most other countries."

Parental behavior on the touchlines is a deep-seated problem in the UK. A 2011 study by Edinburgh University found that three quarters of British children had endured "unhelpful criticism of performance, being shouted and sworn at, being embarrassed and humiliated".

"Disrespectful and emotionally harmful treatment of young people," it concluded, is "commonplace in children's experience of sport in the UK."

It is also a problem elsewhere in the world. A definitive poll of 23,000 adults in 23 countries, carried out jointly by Reuters and Ipsos in 2010, found that 60% of Americans had witnessed bad behavior by a parent on a touchline. This was reflected by 59% of Indians; 55% of Italians; 54% of Argentinians; 53% of Canadians; and 50% of Australians.

What lies behind this ugly trend? Partly, it has to be chemical. Studies have shown that spectators as well as players experience a flood of testosterone after a win, making it easy for parents to lose a sense of perspective when their children are competing.

There are also convincing psychological explanations. The late Professor Tony Jurich, a pre-eminent family therapy expert at Kansas State University, blamed a lack of "completeness" in parents, leading to a belief that the child's successes are an extension of their own.

All this pressure, he argued, is intensified by the fact that away from the sports field, cosseted modern life offers few opportunities for blood-and-guts heroics.

Professor Jurich suggested that parents distance themselves from the action: the more likely you are to start yelling, the further away you should sit.

"For you it's venting, but for your kid it's damaging in so many ways," he said in an interview with his university magazine. "They may start to feel that they're losers not only in the game, but in life."

Whatever the excuses, parents need to get a grip. But despite the success of initiatives like Silent Weekend, it would be a mistake to go to the other extreme and sanitize children's sports.

Paul Tough's bestselling book "How Children Succeed" -- which has revolutionized thinking in America's public schools -- has demonstrated that qualities like grit, determination, optimism and discipline are key determinants of success in life.

If such "mental toughness" cannot be forged on the sports field, how can it be developed at all? It may be "only a game," but character-building is surely the whole point.

Many adults tell epiphanic stories of the moment a tough-love adult gave them the self-belief and drive they needed, even though it was unpleasant at the time.

My wife, for instance, credits a painful school athletics session, in which her coach refused to let her leave until she had jumped the highest hurdles, with her subsequent junior sporting success.

For this to work, however, the overall context has to be healthy. Molly-coddling children may not do them any good, but any tough love must be designed to make them stronger, not break them.

And for that to happen, the adults on the touchlines must learn to grow up -- whether their kids are playing rugby or anything else.

@highlight

Parents putting pressure on kids playing sports becomes issue

@highlight

Welfare officer devises scheme after seeing child in tears due to intimidation from adults

@highlight

Former England soccer player Gary Lineker lambasts parents 'spouting nonsense' at children

@highlight

Jake Wallis Simons: Tough love must be designed to make children stronger, not break them