(CNN)Several of the world's worst terrorist groups, like ISIS and Al-Shabaab, aim to create societies governed by strict, distorted versions of Sharia law.

That means anyone who doesn't subscribe to such extremist views are enemies and in danger -- Christians included.

Of course, Christians aren't the only ones who have suffered at the hands of such organizations. For example, most victims of ISIS are fellow Muslims who refuse to go along with the ISIS worldview and ruthless tactics.

Still, there's ample evidence that Christians have been targeted. The latest came Friday, when an Italian prosecutor revealed that a network of Pakistanis associated with al Qaeda talked about attacking the Vatican back in March 2010.

"This is ... a reminder about the world we're in right now," U.S. Rep. John Delaney, D-Maryland, told CNN on Friday. "...I do think there's a larger narrative about Christian persecution (by) militant groups around the world."

This attack wasn't carried out, but many others have been.

Some acts are not centrally organized but are no less horrific, such as reports that Muslim migrants threw 12 Christians off a boat in the Mediterranean Sea.

Other deadly acts and alleged plots have been blamed on established terror groups, including these recent examples:

Sid Ahmed Ghlam asked for an ambulance to come to his Paris home on Sunday after (he claimed) he accidentally shot himself in the thigh.

Besides getting medical help, Ghlam was arrested after authorities found four Kalashnikov guns, a revolver, ammunition, police armbands and more in his car and residence, Paris Prosecutor Francois Molins said on Wednesday. They also turned up "documents in Arabic mentioning al Qaeda and ISIS" and correspondence with someone in Syria "asking him to target a church."

Prime Minister Manuel Valls later went to a church in the Paris suburb of Villejuif, one of the at least two such Christian places of worship that Ghlam allegedly targeted.

While he didn't elaborate, Molins said that the satellite navigation system in Ghlam's car -- which included a loaded Kalashnikov and more -- had one church's location plugged in.

It's not clear what group, if any, Ghlam was working with or possibly getting orders from. Still, authorities flatly characterized him as a terrorist -- linking him to the death of 32-year-old Aurelie Chatelain, whom Molins called the region's first victim of terrorism since the Charlie Hebdo massacre and kosher market siege in January.

Regardless of whether Ghlam is ever convicted in Chatelain's killing, it appears unlikely that he'll be able to commit more violence anytime soon.

"A terrorist attack has been foiled," French President Francois Hollande said.

ISIS has turned its beheadings of hostages into horror shows, producing propaganda videos seemingly aimed at producing the maximum amount of terror.

What set the one from April apart were the number of people killed and that they were Christians from Ethiopia.

Ethiopia's government said Monday that 30 of its citizens were among two groups of prisoners shown being beheaded in Libya in a video released a day earlier, according to the Ethiopian News Agency.

That 39-minute video shows one set of captives killed on a beach along the Mediterranean Sea, while the other group is taken hundreds of miles away, to southern Libya.

"All praise be to Allah, the Lord and cherisher of the world and may peace and blessings be upon the Prophet Mohammed," the video's narrator says in Arabic. "To the nation of the cross, we are back again on the sands, where the companions of the Prophet, peace be upon him, have stepped on before, telling you: Muslim blood that was shed under the hands of your religion is not cheap."

The same video brazenly claims that ISIS has been merciful to Christians in Iraq -- by giving them the choice of paying a fine if they refuse to convert to Islam. But not all have taken this offer, according to a different speaker.

"The Islamic State has offered the Christian community this many times and set a deadline for this," this speaker says, using the name ISIS calls itself. "But the Christians never cooperated."

Everyone at Kenya's Garissa University College suffered in some way when a handful of Al-Shabaab gunmen stormed the campus early this month.

But death was reserved for Christians.

According to AFP, the terrorists separated students by religion -- allowing Muslims to leave and killing Christians. Nightmare accounts soon emerged, like that of Cynthia Cherotich, who told CNN that she he hid in her closet when gunmen burst in and called out two of her roommates.

"(The attackers) told them if you don't know to read to them in the Muslim word, ... then you lie down," recalled Cherotich, who refused to come out for two days. "And then, if you know, you go to the other side."

This tactic of separating non-Muslims from Muslims mirrors what Al-Shabaab attackers did in December at a quarry in the Kenyan village of Kormey, where at least 36 were killed, according to the Kenyan Red Cross.

One of Al-Shabaab's explicit aims is to turn Somalia, its home base, into a fundamentalist Islamic state, according to the Council of Foreign Relations. But that's not its only apparent goal, as the group has increasingly branched out -- including into neighboring Kenya, which is 80% Christian -- to inflict pain and terror.

After the the Kenya university attack, which left nearly 150 people dead, Nadif Jama, Garissa's regional governor, dismissed Al-Shabaab's claims that it only kills non-Muslims as "a tricky way of doing business."

"The fallacy and satanic mindset of Al-Shabaab is that, in Somalia, they kill Muslims and Somalis," Jama said, claiming the group's militants are "bent on nothing but destruction. ... That is something we need to fight."

Two suicide blasts rocked a Christian community in the eastern Pakistani city of Lahore, killing at least 14 people and wounding scores more, according to officials.

And that's just the beginning, pledged the Pakistani Taliban.

One of the blasts left behind panicked residents, twisted metal and shattered glass outside a church compound in the Nishtar Colony of Lahore, according to video aired by CNN affiliate GEO News.

Afterward, Pakistani Taliban spokesman Ehsanullah Ehsan claimed responsibility for the carnage and promised more such attacks until Sharia law is implemented in Pakistan.

These blasts recalled one from September 2013, when 81 people died in a suicide bombing at the All Saints of Church of Pakistan in Peshawar.

Two attackers burst into the church filled with about 500 people right as services concluded, blowing themselves up, according to the Protestant diocese. Choir members and children attending Sunday school were among the dead.

In a subsequent statement, the Rev. Humphrey S. Peter, the bishop of Peshawar, called the attack a "total failure" of official efforts to protect minorities such as Christians, who make up less than 3% of Pakistan's population.

Sadly, the shock of the mass killings of the Ethiopian Christians in April may have been dulled simply because of a nearly identical atrocity a few weeks before.

ISIS released a five-minute video in February showing the mass murder of Coptic Christians from Egypt.

Produced by the Islamic State's propaganda wing al-Hayat Media, the video shows black-clad jihadists standing behind their victims on a Libyan beach. Some of the hostages cry out "Oh God" and "Oh Jesus" as they are pushed to the ground, just before they take their final breaths.

"The sea you have hidden Sheikh Osama bin Laden's body in, we swear to Allah, we will mix it with your blood," a masked man says in English before the beheadings.

News of this mass beheading emerged weeks after 21 Egyptian Christians were kidnapped in two incidents in the Libyan coastal city of Sirte. The ISIS video shows the beheading of around a dozen men, though Egyptian officials say all 21 kidnapped Christians were killed.

Egypt's government responded with airstrikes on 10 targets used for training and storage in ISIS' Libyan stronghold of Derna, according to Egyptian Foreign Minister Sameh Shoukry.

"Avenging Egyptian blood and punishing criminals and murderers is our right and duty," the Egyptian military said in a statement that was broadcast on state television.

Modern-day Assyrians are a significant part of human history, tracing their roots back to one of the earliest civilizations. Their ancestors were also some of the first people to embrace Christianity in large numbers.

Now the Assyrians are battling ISIS for survival in their native Syria and Iraq.

This fight came into focus in February, when the militant group took over villages and took more than 260 Assyrians hostage in northeastern Syria, according to Osama Edward, the founder of the Assyrian Human Rights Network.

Edward expressed fears then that these Assyrians in Syria would meet the same fate as others in neighboring Iraq.

Some of the Assyrian hostages taken in February have been released, but the fate of many more remains unknown. Even those not in captivity face dire threats, given ISIS's well-established reputation of offering little to no mercy to Christians.

The number of Christians in Iraq has plummeted -- from 1.5 million some 20 years ago to some 300,000 today, according to estimates from CAPNI, the largest Christian relief organization in northern Iraq.

ISIS isn't the only reason for this drop, but it certainly is a big one. The militant group has been brazen in its onslaught in Iraq as well as Syria, with Christians among its targets.

That includes its taking over Iraq's largest Christian city, the mostly Assyrian community of Qaraqosh, in August 2014. ISIS has inflicted pain and suffering well beyond Qaraqosh, though, like its capture and control of Mosul, Iraq's second-largest city. The group's advance there prompted Christian families to flee rather than adhere to the ultimatum of converting to Islam, paying a fine or facing "death by sword."

Mark Arabo, a Chaldean-American leader and spokesman for the group Ending Genocide in Iraq, claims that Iraqi Christian children have been beheaded, mothers raped and fathers killed by ISIS militants in recent months.

"This is truly a living nightmare that's not going away," Arabo told CNN. "Christianity in Mosul is dead, and a Christian holocaust is in our midst."

@highlight

An Italian prosecutor announces suspected al Qaeda affiliates may have targeted the Vatican

@highlight

ISIS produced propaganda videos showing beheadings of Egyptian, Ethiopian Christians

@highlight

Al-Shabaab has singled out non-Muslims to kill them, as at a Garissa University College