Port au Prince, (CNN) -- The guard wearing a Haitian Football Federation T-shirt paces nervously in front of the heavy, blue steel door, his pump-action shotgun held tightly in his right hand.

He presses his finger against the trigger when anyone bangs loudly on the metal to enter the Stad Sylvio Cator in downtown Port au Prince, pulling the door slowly open and gingerly peering his head out to see who it is.

Usually they are met with a firm volley of abuse in Creole, but this time it is the guests he has been expecting.

The Haitian national football team bus has arrived for training the day before one of the most important matches in the team's history: a 2014 World Cup qualifier against the minnows of the U.S. Virgin Islands.

It is also the country's first home football match since as many as 300,000 people were killed when a massive 7.0 earthquake reduced much of the city to rubble.

"It's 46 degrees on the pitch, we just measured it," lamented the team's Brazilian coach Edson Tavares. It is three in the afternoon, the same time the match is due to be played 24-hours later.

"It's crazy. FIFA [football's world governing body] agreed to move the match to this time. CONCACAF [the governing body for the Caribbean] said no. What do they know? They work out of New York and know nothing about the heat in the Caribbean."

But the change in time was a necessity as much for the Haitians as anyone else. Electricity is scarce in the city, too scarce for the expensive but impotent flood lights that had been installed.

Soccer salvation: How Haiti is healing after its earthquake

Haitian football, like virtually every aspect of Haitian society, was almost terminally injured when the earthquake hit in January 2010.

The Haitian Football Federation's headquarters were leveled, killing more than 30 of its staff. Its president, Yves Jean Bart, was one of only two survivors.

The stadium itself had become, like any other scrap of spare space in Port au Prince, a makeshift camp.

Hundreds of families lived here until being moved out in July when a new pitch was laid. A torn blue ribbon of despair still surrounds it.

Workers busily paint the steps inside blue, yellow and red -- the colors of the Haitian flag -- to erase the memory of its temporary incarnation.

The smell is of paint, excrement from the nearby open sewers and burning trash. The HFF president, knowing that the game has such a place in Haiti's heart, went on to rebuild the federation and hired Tavares to achieve the dream of emulating Haiti's golden generation who qualified for the 1974 World Cup.

"My first impression was to take my flight back to Brazil," Tavares explains a few hours before traveling to the stadium.

"The country was completely devastated. Today is a paradise compared. If you compare with last year ... you could be walking the street and find the [severed] legs of people, the arms of people."

Tavares began by paying for his own flight to Europe, where he hired a car and visited the professional players of Haitian descent who play on the continent.

"I rented a car to travel to five countries to persuade the players to play for his original country. Only one refused. We contacted 20 players. And they are here. Most of them don't speak Creole. One only speaks Italian. One only German."

The squad for the U.S. Virgin Islands' game was full of talented new professionals gleaned from the diaspora, like Jean-Eudes Maurice who is on Paris Saint-Germain's books and goalkeeper Steward Ceus, a New Yorker born and raised who plays for the Colorado Rapids.

"I was in college when I heard a buzz about Haiti being interested in seeing me," explains Ceus, whose grandmother used to be a baker for the former president Jean-Bertrand Aristide.

Soccer storm in the Caribbean: How diplomacy faltered over football

"Coming here left me speechless. The fans come after training, before training, crowding around the bus. My passion for soccer has always been there and I always wished that the people around me shared that passion. For the first time I found the passion I've been looking for."

Yet sometimes passion isn't enough and Tavares hopes that the professionalism of his new team will rub off on the local players, who he believes are some of the most talented in the world.

"I have never seen a country with so many talents as here," he says. "If you put these guys in Manchester United and Barcelona, they would be great player[s]. The problem is to be a great player you need good food and a good environment. Here is nothing."

On the morning of the match the country's president Michel Martelly, a former singer known as "Sweet Micky", arrives to meet the players. He shakes each by the hand, presents them with a flag and sings the national anthem together.

"I believe there's a new movement. There's a new will to show a new face of Haiti," he says.

"Haiti is ready to show that new face. In the past we talk about our problems and issues. But today is a chance to prove that today Haiti can be a great nation and can be victorious. I couldn't express in words what Haiti would be like if ... when, not if, we qualify for the 2014 World Cup in Brazil."

As kick off approaches 10,000 Haitians, maybe more, try and fail to crush through the single open door into the stadium at the same time. A police blockade had been thrown around the stadium.

Creole rap music is played at ear-splitting level. The crowd push forward in the hope of getting in, the police use shields and clubs to beat them back.

It's chaos, but such is the passion for football in Haiti, that a match against a tiny team like the U.S. Virgin Islands brings the country to a standstill.

"I am very happy, we will have our victory. This will be a victory for all of Haiti," explains Johnny, a 28-year-old engineer and translator waiting in line behind the crowd, which had by now threatened to get out of control.

But then the rain comes, just in time to dampen the anger as the fans run to take cover. "Life is very hard here," Johnny adds.

"With God everything is possible. But this is the reason why football can change something. I hope Haiti scores ten goals." Haiti tear the U.S. Virgin Islands apart.

Six goals are scored, the post is hit three times, sending the crowd delirious. Ceus is a virtual spectator until the final whistle. "I did touch the ball once," he says with a wink as he comes off the pitch.

"But not with my hands." There is a long way to go. Tougher tests lie ahead. On Tuesday they play Curacao. Next, perhaps Jamaica or Mexico or the dream ticket: USA.

But, for now, Les Grenadiers brought something to Haiti that has been in short supply for so long: hope.

"I feel so happy to see what happened in the country and to see all the Haitians come to the game. It was incredible," says James Marcelin, the Portland Timbers player who scored in the rout.

"We only have one thing left, and that's football. You can play and all the world is watching you. The flag can fly everywhere because of football. It's the one thing that people live for now."

@highlight

Haiti prepare for the 2014 World Cup qualifier against minnows U.S. Virgin Islands

@highlight

Country's first home match since 300, 000 people were killed in a 7.0 earthquake

@highlight

The earthquake leveled the Haitian Football Federation's headquarters killing more than 30 of its staff