The time is nearing for a potentially definitive U.S. response to alleged Syrian government atrocities and an increasingly violent military crackdown in Egypt, President Barack Obama said in an exclusive interview broadcast Friday on CNN's "New Day."

The U.S. remains "one indispensable nation" in the volatile Middle East and elsewhere, Obama told "New Day" anchor Chris Cuomo.

"We have to think through strategically what's going to be in our long term national interests."

Asked by Cuomo whether the U.S. government is now facing a "more abbreviated time frame" on key decisions in Egypt and Syria, Obama repeatedly gave a one-word response: yes.

The president sat down with Cuomo on Thursday evening -- after having delivered a speech in Syracuse, New York -- to discuss a wide range of critical domestic and international issues. These included upheavals abroad, soaring college tuition at home, a possible government shutdown this fall, and politically sensitive revelations of illegal surveillance by the National Security Agency.

Obama plans to embrace a hero at the White House

Read the interview transcript

Asked about claims by anti-regime activists in Syria that Bashar al-Assad's government used chemical weapons in an attack that was said to have killed more than 1,300 people, Obama responded that officials are "right now gathering information" and that "what we've seen indicates that this is clearly a big event of grave concern."

"It is very troublesome," the president stressed.

Obama said U.S. officials are pushing "to prompt better action" from the United Nations, and are calling on the Syrian government to allow an investigation of the site of the alleged attack outside Damascus.

"We don't expect cooperation (from the Syrian government), given their past history," Obama conceded.

He quickly followed up with a warning, however, that "core national interests" of the U.S. are now involved in Syria's civil war, "both in terms of us making sure that weapons of mass destruction are not proliferating, as well as needing to protect our allies, our bases in the region."

A new push on college affordability

Obama spoke to CNN on the first day of a bus tour selling his new higher education affordability proposal, which includes a  plan to create a college ratings system designed to better inform parents and students while pressuring colleges and universities to lower skyrocketing tuition costs.

The president told Cuomo that the rapidly rising cost of a college education has been fueled both by liberals who haven't demanded that colleges control costs, and conservatives who downplay the burden placed on students.

Obama: Conservatives, liberals share blame on college cost spike

"The problem we've got right now is that when it comes to liberals, they've tended to say, 'Let's just give more money to the system and increase student loans and grants and aid,'" Obama argued.  "And then, you know, you've got some on the right who've said, 'Money doesn't matter, and young people should be able to figure it out on their own.'"

In 2011, students owed an average of nearly $27,000 in loans, making it second only to mortgages in consumer debt.

Lawmakers on Capitol Hill recently struck a deal maintaining current low interest rates on loans.  Higher education loan rates are now tied to the market rates, however, which means they will rise in the future.

Obama called the congressional compromise a "stop-gap measure" that doesn't deal with the underlying problems of rising costs of higher education.

Pressure for tougher action on Syria

Cuomo asked Obama to respond to harsh criticism from his 2008 presidential rival, Arizona GOP Sen. John McCain, who recently argued on "New Day" that America's credibility in the region has been damaged by a slow administration response in both Syria and Egypt.

"I am sympathetic to Senator McCain's passion for helping people work through what is an extraordinarily difficult and heartbreaking situation, both in Syria and in Egypt," Obama replied.

"But what I think the American people also expect me to do as president is to think through what we do from the perspective of what is in our long term national interests."

Obama warned against getting "mired in very difficult situations ... (and) being drawn into very expensive, difficult, costly interventions that actually breed more resentment in the region."

Obama: Syria will 'require America's attention'

Cuomo noted it has now been a year since Obama first said the use of chemical weapons in Syria would cross a "red line" and force a tough U.S. response.

Administration officials confirmed in June that chemical agents were used in April, resulting in an uptick of military aid to rebels that did little to assuage White House critics.

"If the U.S. goes in and attacks another country without a U.N. mandate and without clear evidence that can be presented, then there are questions in terms of whether international law supports it," Obama told Cuomo.

"Do we have the coalition to make it work?" he asked. "You know, those are considerations that we have to take into account."

The costs of military action "have to take those into account as we try to work within an international framework to do everything we can to see Assad ousted," Obama concluded.

Syria under pressure to allow probe of chemical weapons claim

The crisis in Egypt

Cuomo also asked Obama about a growing congressional push to cut off over $1.2 billion in U.S. aid to the military-backed government in Egypt, where a military crackdown on supporters of deposed President Mohamed Morsy has resulted in the killing of roughly 900 people.

Obama: Aid to Egypt no longer business as usual

So far, the Pentagon has canceled upcoming military exercises and delayed the delivery of fighter jets, and is reviewing all other aspects of assistance, including military and economic help.

"My sense ... with Egypt is that the aid itself may not reverse what the interim government does," Obama said. "But I think what most Americans would say is that we have to be very careful about being seen as aiding and abetting actions that we think run contrary to our values and our ideals."

The president said the administration is currently "doing a full evaluation of the U.S.-Egyptian relationship," and that there is "no doubt that we can't return to business as usual, given what's happened."

"There was a space right after Mr. Morsy was removed in which we did a lot of heavy lifting and a lot of diplomatic work to try to encourage the military to move in a path of reconciliation," the president added. But "they did not take that opportunity."

A looming fight with congressional Republicans

Obama was slightly less diplomatic in his discussion of politics back in Washington, where a number of GOP congressional critics are spoiling for a fight this fall over the possibility of a partial government shutdown after September 30 and the need to raise the federal debt limit.

Obama: Republicans privately 'agree' with me

Specifically, conservatives in the GOP-controlled House of Representatives are debating using both issues as leverage to force new budget cuts and defund Obamacare, the president's signature health care reform law.

"There is nobody out there who thinks that us not paying bills we've already racked up is good for the economy (or) is appropriate," Obama argued.  "Nobody thinks that. So why are we even talking about?"

As for shutting down the government, that's "bad for not just people who work for the government, but all the contractors ... and the defense folks and everybody who is impacted by the services that they receive from the federal government," Obama said.

But "Republicans, after having taken 40 votes to try to get rid of Obamacare, see this as their last gasp."

The NSA and privacy concerns

Asked about the latest revelation that the National Security Agency inadvertently pulled some Americans' e-mails, Obama argued that the news shows "all these safeguards, checks, audits, (and) oversight worked."

Obama said he is confident no one at the NSA is "trying to abuse this program or listen in on people's e-mail."  But he said there are "legitimate concerns that people have" regarding rapidly changing surveillance technology.

"There's no doubt that, for all the work that's been done to protect the American people's privacy, the capabilities of the NSA are scary to people," Obama said.

"What I recognize is that we're going to have to continue to improve the safeguards.  And as technology moves forward, that means that we may be able to build technologies that give people more assurance," he added

Obama: NSA revelations show oversight worked

The Washington Post reported last week that an internal audit of the NSA found the agency had broken privacy rules "thousands of times each year" since 2008.

The 2012 audit, the Post reported, found 2,776 incidents of "unauthorized collection, storage, access to or distribution of legally protected communications" in the preceding 12 months.

The newspaper received the internal audit from NSA leaker Edward Snowden, who sparked the controversy over domestic surveillance when he first stepped forward in June.

An empty nest and a new dog

Asked about life at home at 1600 Pennsylvania Avenue, Obama said he's starting to brace himself for the day when his daughters, Sasha and Malia, head off to college.

"What I'm discovering is that each year, I get more excited about spending time with them," the president said.  But  "they get a little less excited" about spending time with their parents.

The first couple is dealing with the change in part with the help of a new dog --  a Portuguese water dog named Sunny.

"I think there is an element from Michelle and me, we see what's coming, and we need to make sure that we have somebody who greets us at the door when we get home," Obama noted.

The Obamas also have another Portuguese water dog, Bo, who was brought by the first family to the White House in 2009.

Preparing to be 'empty nesters,' the Obamas turn to Sunny

@highlight

CNN EXCLUSIVE: Obama says U.S. faces more abbreviated timeframe on Syria, Egypt

@highlight

Obama tells "New Day" anchor Chris Cuomo "we have to think" strategically

@highlight

Obama says he plans to invite woman who confronted gunman at Atlanta-area school

@highlight

Says home can seem quieter as teen daughters seek more independence