(CNN) -- Prehistoric children as young as three were encouraged by adults to make cave art 13,000 years ago, new research shows.

The Cambridge University study sheds new light on the lives of children and the ancient art they made during the prehistoric hunter gatherer period in the French caverns at Rouffignac, known as the Cave of a Hundred Mammoths.

While the caverns are famous for their striking drawings of woolly mammoths, bison and horses, the research focused on the thousands of lines made by people running their fingers along the soft clay walls throughout the five mile cavern complex.

Cambridge archaeologists were able to identify the age and gender of the children who made the simple ancient art form known as "finger fluting" by measuring the width of the flutings and the profile of the middle three fingers.

"We have found marks by children aged between three and seven years old -- and we have been able to identify four individual children by matching up their marks," said Cambridge University archaeologist Jess Cooney.

"The most prolific of the children who made flutings was aged around five -- and we are almost certain the child in question was a girl."

The fact that archaeologists didn't find a single place where fluting marks were made by adults alone suggests there were few boundaries between adult and child activities in this prehistoric hunter gatherer culture, according to Cooney.

Not only did the adults make art alongside the children, Cooney says the fact that child-sized flutings were found on the ceilings of some cave chambers means adults actively encouraged them to make art, lifting them up to areas they could not reach alone.

"Some of the children's flutings are high up on the walls and on the ceilings, so they must have been held up to make them or have been sitting on someone's shoulders," she said.

The archaeologists believe one of the caverns is so dominated by children's flutings that it may actually have been a "special place" set aside for them by the adults.

"We sometimes think of one chamber as a playpen of sorts, since there are hundreds of children's flutings but only a few made by adults," said Cooney.

Why people made finger flutings, which also appear in caves in Spain, New Guinea and Australia, is anyone's guess.

"We don't know why people made them. We can make guesses like they were for initiation rituals, for training of some kind, or simply something to do on a rainy day," said Cooney.

The children weren't simply running their hands mindlessly along the cavern walls, however. Research in 2006 revealed children had made hut-like shapes called tectiforms -- the first known instance of prehistoric children engaging in symbolic figure-making, according to Cooney.

Cooney says her research shines a light on an aspect of history that is typically ignored in academia.

"It's important to realize that children played a major role in the development of not only art, but what it means to be human," she said.

@highlight

Prehistoric children as young as three made cave art 13,000 years ago

@highlight

"Finger fluting" art forms found in French cavern system at Rouffignac

@highlight

Flutings found high above ground suggest adults encouraged children