(CNN) -- Isolated in the moment, the shooting death of Trayvon Martin may seem a singular tragedy: a teenager mistaken for a criminal by an overzealous neighborhood watchman armed with a gun and backed by a state law that gives greater latitude to people to defend themselves when they feel threatened.

But that moment in February in the central Florida town of Sanford was steeped in a history that has haunted the state, the South and the country for generations.

No matter the state, the circumstances are eerily familiar: a slaying. Minimal police investigation. A suspect known to authorities. No arrest. Protests and outrage in a racially charged atmosphere. Florida is known for its amusement parks, beaches and pensioners from the North. But history bears out that Florida has been as much a part of the South and its vigilante-enforced racial caste system as Georgia and Alabama.

In 1920, a white mob burned down the black section of Ocoee, Florida, 30 miles west of Sanford, when two "colored" men tried to vote. The two black men were killed for having gone to the polls.

The black people who survived the massacre fled. The town remained all-white for generations. Three years later, a white mob burned and leveled the town of Rosewood, a black settlement by the Gulf of Mexico, 140 miles west of Sanford, after a white woman said a "colored" man had attacked her. It was where, a survivor said, "anything that was black or looked black was killed."

It was in 1934 that perhaps the single worst act of torture and execution in 20th-century America happened. In the Florida Panhandle town of Marianna, a farm settlement between Pensacola and Tallahassee, a 23-year-old black field hand named Claude Neal was accused of the rape and murder of a 20-year-old white woman. He was arrested and signed a written confession that some historians have since called into question.

A mob of more than 300 men armed with guns, torches and dynamite went searching for Neal in every jail in a 75-mile radius. The manhunt forced authorities to move Neal across the Panhandle -- by car and by boat, with the mob on their trail at every turn -- before they took him out of the state altogether, to the tiny town of Brewton, Alabama.

Someone leaked Neal's whereabouts, and a lynching party stormed the jail and took Neal, his wrists hogtied, back to Marianna. It went over the news wires that he would be lynched the following day.

Thousands gathered to see the lynching, so many people that the lynching party, fearing a riot, decided to take him to the woods. There they castrated him and tortured him for hours with such cruelty that one of the lynchers was reported to have thrown up. Neal's body was dragged through town and hanged from an oak tree on the courthouse lawn, his fingers displayed as souvenirs. No one was ever charged or spent a day in jail for Neal's murder.

In 1951, the first casualties of the modern civil rights movement, Harry T. Moore, and his wife, Harriette, were fatally wounded in Mims, Florida, 30 miles east of Sanford, when a bomb exploded under their bed on Christmas Day. Moore had been the lone representative of the National Association for the Advancement of Colored People in Florida, crisscrossing the state to get equal wages for black teachers and the right to vote for blacks, who were denied that right in Florida and the rest of the South.

In more recent times, the first major race riots in the post-civil rights era erupted in Miami over a series of shootings of black men at the hands of white police officers who were all acquitted in the slayings.

In 1979, Arthur McDuffie, a black Marine Corps veteran and insurance salesman, was killed after a high-speed chase. The police said he had died from the crash of his motorcycle. But the coroner discovered multiple blunt-force wounds inconsistent with a crash. A police investigation found that the officers had pulled McDuffie from the bike, handcuffed him and took turns beating him with nightsticks and flashlights until he was motionless. The officers then gouged the road with tire tracks and drove over the motorcycle so that there would appear to have been a crash. The officers were acquitted. The verdict set off rioting in Miami in May 1980 that left 18 people dead and more than 1,000 arrested.

In 1982, Nevell Johnson Jr., a 20-year-old black man, who had worked as a Dade County messenger, was shot dead at a video arcade in Miami by a Cuban-born police officer. The shooting set off three days of rioting in Miami. The officer was acquitted.

And in 1989, a block from the arcade where Johnson was slain, Clement Anthony Lloyd was shot dead on his motorcycle by a Colombian-born police officer after a routine traffic stop. A passenger, also a black male, was killed when the motorcycle crashed. The police officer said he was acting in self-defense. He was acquitted of manslaughter in 1993 in Orlando.

Each case has its complexities, and each reflects an atmosphere that extends far beyond the Florida border. It's a moral challenge not for just one state but for America. Each case has a similar algorithm of caste and controversy in a region where old wounds appear to have yet to heal. But while each of the previous cases seems almost lost to memory now, it is the national outpouring of outrage from people of all backgrounds in response to the Trayvon Martin case that could signal the difference between the last century and this one.

The opinions expressed in this commentary are solely those of Isabel Wilkerson.

@highlight

Isabel Wilkerson: Trayvon Martin case not first Florida killing with racial overtones and no arrest

@highlight

Black men murdered for trying to vote, black towns burned to ground, she says

@highlight

Wilkerson: Florida has been part of the South and its vigilante-enforced racial caste system

@highlight

The difference in Martin case is people of all backgrounds are outraged, Wilkerson says