The internet in Africa is entirely different to the internet used in the developed world. In America or Europe, the internet is generally something you surf on a computer or tablet -- a device with a 10-inch to 15-inch screen.

In Africa, hundreds of millions of people will experience the internet for the first time on a 2-inch cellphone screen. Probably in black and white. And probably only as text.

They may not even know they are using the internet. Google, for instance, offers search and Gmail via SMS, the text message service that is still the most popular form of communication.

Text messaging is important because it works on any kind of phone, especially the older so-called feature phones that still dominate. While the rest of the developed world is rushing headlong into smartphone heaven -- with powerful touchscreen devices that are more mini computer than voice-calling phone -- Africa's workhorses are the kind of phone seen in European cities circa 1998.

The reason is simple: With a dearth of infrastructure, the vast majority of people (an estimated 1.5-billion globally, according to the UN) have no electricity. More people in Africa have a mobile phone than access to electricity.  That means, for a phone to be functional, it needs decent battery life. These feature phones have anywhere up to a week. Secondly, many have the two other must-have features: an FM radio and a torch. Radio remains the killer app in Africa, especially for mass communication.

Read more: How cultural differences affect mobile use

Historically Africa has been bereft of wired telecoms infrastructure. There was a statistic bandied about in the 1990s that Manhattan had more phone lines than the 55 countries in Africa. Impossible to verify, but it reveals the scale of the communications problem. Until mobile phones came along, that is.

Cellphones have made it possible for anyone to have a phone -- to make calls, send SMSes and, using clever payment systems like Kenya's M-Pesa, send mobile money to another phone user. Half of Kenya's GDP now moves through mobile money, and M-Pesa reportedly handles $20-million a day in transactions.

Mobile money is projected to become a $617-billion industry by 2016, according to researchers Gartner, who predict mobile transactions will reach $171-billion this year. Already, 80% of the world's mobile money transactions are happening in East Africa, driven by Kenya, the epicentre of mobile innovation.

Other services are also flourishing: ways for consumers to check whether medicine is authentic and hasn't expired (mPedigree); for farmers to find out where they can get the best price for their produce (Farmerline); for people to do real-time live mapping of disasters or elections (Ushahidi); and for communities to communicate with each other (Mxit and FrontlineSMS).

Read more: 7 ways mobile has changed lives in Africa

Africa, once labeled the "hopeless continent" by The Economist a decade ago, is leading the way. The Economist renamed us the "hopeful continent" last year, after it noted that six of the 10 fastest growing economies in the last decade were in Africa.

Africa has about one billion people, but already has an estimated 700 million SIM cards (by Q1 2012). It's important to note these are SIM cards and not users. Many people, myself included, have at two or three SIM cards, and perhaps a 3G data dongle.

Because cellphone operators charge interconnect fees to make a call to another network, many people simply have a SIM card for each network and swap them out of their phone when they want to make calls.

Savvy to the various offers -- including ones for cheaper on-network calls in the evenings and weekends -- family members or students use different networks at different times of the day to stay in touch.

Mobile phones, by their nature, are better suited to Africa's historical inadequacies and current challenges.

Smartphones, which are growing but not nearly at the same rate as in the developed world, are appearing; and with them, an app market is slowly developing. Computers have always been too expensive for the majority of Africans, most of whom have never had a home phone line. A cellphone is cheaper to buy, cheaper to run and is always on you.

In South Africa, for instance, Google says 25% of its searches during the week are via mobile, rising to 65% on the weekends.

Simply put, Africa is not just a mobile-first continent. It is mobile-only.

Join us at Facebook/CNNOpinion

@highlight

The first time most Africans use the internet is on a mobile phone, says Toby Shapshak

@highlight

Shapshak: While many don't have electricity, mobiles mean anyone can have a phone

@highlight

Mobile money is big business - half of Kenya's GDP now moves via this method

@highlight

In South Africa, 25 per cent of Google searches are via mobile