Giglio, Italy (CNN) -- A Hungarian was among at least 11 people who died after the cruise ship Costa Concordia ran aground and rolled on its side last week off a Tuscan island, officials said Wednesday.

The mayor's office in Grosseto, the provincial capital, identified the victim as Sandor Feher, a member of the crew. His body was one of five recovered Tuesday.

The office said 26 people remained missing. But the list may include some of the five victims.

Rescue crews suspended operations Wednesday as the ship began to move, the Italian coast guard said. The search for survivors has been halted and restarted several times.

The family of two missing Americans, Gerald and Barbara Heil of White Bear Lake, Minnesota, said it was thankful for perilous attempts to find those still unaccounted for.

"While it is certainly hard for us to see the recovery efforts stall due to the unstable conditions ... we are also very concerned for the safety of the Italian coast guard as they continue to put forth a heroic effort in trying to find those who remain missing," relatives wrote.

Experts say chances of finding survivors are slim.

"I think you have to look at several issues. One is just the hypothermia. If a compartment is flooded, even if there was air, at this point, most of them would have succumbed to the hypothermic problem of the water temperature," said Butch Hendrick, president of the diving safety company Lifeguard Systems.

Costa Serena, sister ship of the Concordia, sailed by the wreckage Wednesday night, safely navigating the waters around the island of Giglio.

Read more about the island that bears witness to tragedy

The investigation is focusing on actions by Concordia Capt. Francesco Schettino.

Prosecutor Francesco Verusio has accused the captain of piloting the ship too fast to allow him to react to dangers, causing the shipwreck, according to legal papers.

Judge Valeria Montesarchio's initial ruling found Schettino changed the ship's course, steering too close to shore and causing the ship to hit a rock.

The judge said the captain admitted to making a mistake and that, at the time of the collision, he was navigating by sight.

Schettino may face charges including manslaughter, shipwreck and abandoning a ship when passengers were still on board, prosecutors said.

Read court documents on the case against Francesco Schettino (trans. by La Repubblica)

In her preliminary investigation, Montesarchio said there appears to be considerable evidence against the captain, whom she said showed "imprudence and inexperience."

The judge's findings included: Schettino made no serious attempt to return to the ship, he underestimated the damage to the Concordia and he failed to alert authorities in a timely manner.

"The captain could not but realize right away the gravity of the situation both because of the tilt and because he was alerted by the crew of the water influx," Montesarchio said.

The captain abandoned ship while at least 100 people were still on board, the judge said.

Montesarchio described the shipwreck as "a disaster of global proportion."

Royal Caribbean International Capt. William Wright, speaking on behalf of Cruise Lines International Association, an industry group, said crews must use available technologies, including radar and GPS systems, and compare readings to nautical charts.

Looking out the bridge window is an aid to navigation, Wright said, but "that should absolutely by no means be your primary sense of position referencing."

The shipping industry newspaper Lloyd's List reported that Friday was not the first time the Costa Concordia steamed extremely close to shore near Giglio.

Satellite tracking data obtained by the paper show that the ship passed within 230 meters (755 feet) of the coast of the island at least once before, even closer than the location where the Costa Concordia hit the rocks lasted weekend.

The pass happened on August 14, 2011, Lloyd's List reported.

"It must have come within sniffing distance of the underwater rock that it hit on this voyage," editor-in-chief Adam Smallman of Lloyd's List told CNN's Anderson Cooper on Wednesday night.

Costa Cruises chairman Pier Luigi Foschi earlier this week said a pass near the island last summer occurred only once, on August 9-10, 2011. The discrepancy in the dates could not be reconciled late Wednesday.

The pass occurred "under the authorization of the maritime authority, local maritime authority with the authority of the island aware, and with the permission of Costa, after having reviewed the route that the captain intended to take nearby the island," Foschi said, adding the vessel was observing San Lorenzo, known as night of the shooting stars.

The executive said the pass was not to be within 500 meters of the island.

Foschi on Monday placed the blame for the wreck squarely on the captain, saying it was his choice to deviate from frequently traveled routes.

"We believe it has been a human error here," Foschi said. "The captain did not follow the authorized route, which is used by Costa ships very frequently. There's probably more than 100 times in one year we have this route."

Schettino was arrested after leaving the ship while dozens were still aboard, panicked and fighting for lifeboats.

In transcripts of conversations between Schettino and the Italian coast guard, published by the Italian daily newspaper Corriere della Sera, the captain gives conflicting accounts of what happened when the ship hit the rocks Friday night.

At first, Schettino tells an official he had abandoned the vessel, according to the transcripts, which prosecutors say match those used in their investigation.

But as the official questions his decision, Schettino appears to reverse himself and say he had not abandoned ship but was "catapulted into the water" after the ship ran into a rock, began taking on water and started listing.

In a later conversation, an Italian coast guard official demands Schettino return to his ship, the transcripts show.

"You get on board! This is an order!" Capt. Gregorio De Falco instructed Schettino.

"You have declared 'Abandon ship.' Now I'm in charge. You get on board -- is that clear?" the port official said.

De Falco's tough tone has been celebrated across Italy, with even a T-shirt on sale featuring another line he uttered to Schettino: "Get on board, damn it."

A Facebook page praising De Falco's comments had nearly 17,000 "likes" Wednesday.

There were roughly 4,200 people on the Costa Concordia when it ran aground -- about 3,200 passengers and 1,000 crew members, the vast majority of whom made it off the ship safely.

Italian prosecutors have ruled out a technical error as the cause of the incident, saying the captain was on the bridge at the time and had made a "grave error." But they are examining whether others may share responsibility for the crash with the captain.

Schettino was transferred to house arrest, his lawyer, Bruno Leporatti, said.

Montesarchio justified the move on the grounds that the captain is not a flight risk and there is no danger of his interfering with evidence or committing the crime again. The captain was under house arrest in Meta di Sorrento.

In London, where he was meeting with British Prime Minister David Cameron, Italian Prime Minister Mario Monti said he did not want to get ahead of the "multiple and meticulous inquiries" under way, but "obviously, any such disaster could and should be avoided."

He added that Italian authorities are also working to avoid any environmental damage as the result of the shipwreck. The company said it has hired a salvage company to recover the remaining fuel from the ship, with work beginning by the end of the week.

Kevin Rebello, whose brother Russel was a member of the crew, refused to give up hope. His brother was last seen helping passengers into lifeboats Friday night.

"Miracles do happen, and let's keep hope. I'm not here to lose hope," Kevin Rebello said.

CNN's Livia Borghese, Hada Messia, Dan Rivers, Matthew Chance, Christopher Cottrell, Diana Magnay and Richard Allen Greene; and journalist Barbie Nadeau contributed to this report.

@highlight

NEW: Hungarian among the dead, officials say

@highlight

Lloyd's List editor discusses August incident

@highlight

A prosecutor says he may appeal the captain's release to house arrest

@highlight

The Costa Concordia's sister ship sails by the wreckage