Columbus, Ohio (CNN) -- President Barack Obama took on critics of his energy policies Thursday, saying in carefully coordinated speeches that they weren't paying attention to increased oil production at home and were misleading the public about the cause of rising gas prices.

"Anyone who says that we're somehow suppressing domestic oil production isn't paying attention," Obama said in Cushing, Oklahoma, on the second day of a four-state tour to tout his policies.

"And anyone who says that just drilling more will bring gas prices down just isn't playing it straight," the president continued. " We are drilling more. We are producing more. But the fact is, producing more oil at home isn't enough to bring gas prices down overnight."

In Cushing and a later speech at The Ohio State University, Obama repeated his call for a diversified policy that increases production of traditional energy sources such as oil and natural gas while increasing investment in alternative sources such as solar, wind and hydrogen power to compete in growing global clean energy markets.

In particular, he rejected Republican claims that U.S. oil reserves alone offer a solution to higher gas prices and long-term supplies.

"Even if we drilled every little bit of this great country of ours, we'd still have to buy enough from the rest of the world to meet our needs," Obama said in Cushing.

He added that "the price of oil is set by the global market, and that means every time tensions rise in the Middle East, so will gas prices at home." In particular, Obama said, rising tension involving Iran was causing the current spike in global oil prices.

At Ohio State, Obama emphasized to a cheering student crowd that since he took office in 2009, "America's dependence on foreign oil has gone down every single year."

"Even as the economy was growing, we've made progress in reducing the amount of oil we have to import because we're being smarter, we're doing things better," the president said.

Romney turns up heat on Obama energy policies

The whirlwind trip over two days followed weeks of criticism of his approach to gas price increases by Republicans on Capitol Hill and the presidential campaign trail.

"He has an energy policy that is very simple," Rick Santorum said of the president during a campaign stop Monday in Illinois. "You can sum it up in two letters, N-O. He is against everything that will create economic incentives to drill."

Newt Gingrich has made reducing prices at the pump a central promise of his campaign, telling voters at a recent event in Birmingham, Alabama, that "an American president who believed in energy and an American president who believed in science and technology would drive the price of gasoline below $2."

Arizona Sen. Jon Kyl sounded a similar refrain after a Republican caucus meeting in early March, agreeing with the president's all-of-the-above approach, but adding, "We need it in action, not just words."

A focus of Republican attacks has been the delay in administration approval of the Keystone XL oil pipeline from Canada's tar sands production in northern Alberta to the Gulf Coast.

Keystone pipeline: Separating rhetoric from reality

Last year, the administration put off a decision until 2013 after protests by environmentalists concerned about high carbon emissions from tar sands oil production and objections by Nebraska officials to a route near a vital aquifer.

Republicans in Congress, accusing Obama of avoiding the issue until after the November election, tried to speed the process by tacking a measure requiring an immediate decision to the temporary payroll tax cut bill last December.

The Obama administration then rejected the pipeline permit in January, saying an alternate route from Nebraska had yet to be decided. Since then, Republicans have persisted in attacking Obama for rejecting the permit.

The president announced Thursday in Cushing that he was using his executive authority to order federal agencies to expedite the approval process for large-scale infrastructure projects like oil pipelines. More specifically, he ordered the portion of the Keystone XL pipeline running from Cushing to the Gulf to be placed at the top of the list.

"We're making this new pipeline from Cushing to the Gulf a priority," Obama said to cheers, later adding that "as long as I'm president, we're going to keep encouraging oil development and infrastructure and we're going to do it in a way that protects the health and safety of the American people. We don't have to choose between one or the other. We can do both."

Many private companies -- including TransCanada, the Canadian company behind the Keystone XL project -- are working to build pipelines that relieve the bottleneck of oil in Cushing, a major hub for crude oil storage and trade.

While federal agencies like the Army Corps of Engineers and the Department of the Interior have some involvement in the approval process for the domestic portion of the pipeline, the federal government has relatively little control when compared to the absolute say it holds over the portion that crosses the international border with Canada.

The ultimate decision-making authority for the pipeline's domestic route lies mainly with the states it crosses, prompting Republicans to question whether the president can actually claim any credit for speeding the project along.

House Speaker John Boehner, R-Ohio, told reporters Thursday that Obama was claiming credit he didn't deserve on the southern leg of the Keystone pipeline while continuing to prevent construction on the northern leg from Canada.

"It's already gotten its approvals and this idea that the president is going to expedite this will have no impact on the construction of this pipeline," Boehner said of the Cushing-Gulf Coast portion. "The president has continued to block development of oil and gas reserves, big reserves, on federal lands. And he can go out and make all the noise that he wants, but the facts are there."

Poll: Majority say build Keystone pipeline

On Wednesday, Obama kicked off his energy tour with stops in Boulder City, Nevada, and Maljamar, New Mexico, to focus on work on alternative energy sources.

The visit to Boulder City was designed to tout the success of solar technology at the largest photovoltaic solar facility in the nation. Photovoltaic solar panels create energy directly from sunlight without the need for any water or moving parts.

Obama acknowledged the high prices at the pump, but used the problem as a reason to abandon federal "subsidies" to oil and gas companies.

"We want to encourage production of oil and gas, and make sure that wherever we've got American resources, we are tapping into them," the president said. "But they don't need an additional incentive when gas is $3.75 a gallon, when oil is $120 a barrel, $125 a barrel. They don't need additional incentives. They're doing fine."

What the president calls subsidies, the petroleum industry calls the same tax breaks afforded those in many other industries.

The push to end what Obama deems to be preferential treatment to a petroleum industry that's never been more profitable was central to his two-day tour, but the president also used the trip to push back against those who call federal aid to the renewable energy industry a waste of money.

"Some of these folks want to dismiss the promise of solar power and wind power and fuel-efficient cars," Obama said in Boulder City. "In fact, they make jokes about it. One member of Congress who shall remain unnamed called these jobs 'phony' -- called them phony jobs. I mean, think about that mindset, that attitude that says because something is new, it must not be real. If these guys were around when Columbus set sail, they'd be charter members of the Flat Earth Society."

With nearly a million solar panels spread across 450 acres, Copper Mountain 1 in Boulder City provides power for roughly 17,000 homes, but employs just 10 full-time employees.

The solar plant's owner, Sempra U.S. Gas & Power, is in the process of building a second facility nearby that's set to more than triple the output of Copper Mountain 1.

Construction of the second facility -- Copper Mountain 2 -- has created 175 temporary jobs but, according to Sempra's own projections, the final solar plant will result in just five full-time positions.

CNN's Tom Cohen contributed to this report.

@highlight

NEW: President Obama touts reduced dependency on foreign oil

@highlight

"We are drilling more," Obama says in response to critics

@highlight

The president is speaking at sites for solar, domestic oil and other energy sources

@highlight

Republican presidential candidates say his actions on energy fall short