Washington (CNN) -- House Republicans have hired a prominent conservative attorney to defend the federal Defense of Marriage Act in a pending lawsuit, legal sources say, and will make an effort to divert money from the Justice Department to fund its high-profile fight.

House Speaker John Boehner disclosed the legal and political strategy in a letter Monday to House Minority Leader Nancy Pelosi. The Obama administration, which normally would defend federal laws in judicial disputes, announced last month it believed the Defense of Marriage Act, often referred to as DOMA, to be unconstitutional. The law defines marriage for federal purposes as unions only between a man and woman.

Boehner said that with the Justice Department not participating, he had "no choice" but to act unilaterally.

"The burden of defending DOMA, and the resulting costs associated with any litigation that would have otherwise been born (sic) by DOJ (The Department of Justice), has fallen to the House," Boehner said. "Obviously, DOJ's decision results in DOJ no longer needing the funds it would have otherwise expended defending the constitutionality of DOMA. It is my intent that those funds be diverted to the House for reimbursement of any costs incurred by and associated with the House, and not DOJ, defending DOMA."

Such a move would require Senate approval, an unlikely prospect since Democrats control that chamber.

Boehner will probably end up finding money for the legal fight from other discretionary and non-discretionary spending sources, according to legal experts. There was no indication just how much the legal fight could eventually cost.

In response to Boehner's letter, Pelosi, D-California, asked the speaker how much the legal defense of DOMA would cost taxpayers.

"I am requesting that you disclose the cost of hiring outside counsel for the 12 cases where DOMA is being challenged," Pelosi's letter said. She also asked for details on the reported hiring of Paul D. Clement, a former solicitor general, specifically when a contract was signed and why a copy was not provided to Democrats on the Committee on House Administration.

Legal sources say the House Republican leadership hired Clement, a Washington appellate attorney, to defend the law. He filed a brief Monday in a pending case from New York, where a lesbian received an estate tax bill of more than $360,000 after her longtime partner and legal wife had died.

Clement is a former solicitor general under President George W. Bush, serving from 2005 to 2008. It was his job to defend federal laws and executive actions in court, similar to what he will be doing now as a private lawyer on retainer. He was mentioned at one time as a possible Supreme Court nominee.

Separately, he also is representing more than two dozens states in their lawsuit against the administration over the sweeping health care reform law passed by Congress last year. That case is pending in a federal appeals court in Atlanta.

In the Defense of Marriage Act dispute, groups on both sides of the issue noted the highly charged political aspects.

"Not only are House Republican leaders defending the indefensible, they've brought in a high-priced attorney to deny federal recognition to loving, married couples," said Joe Solmonese, president of the Human Rights Campaign. "Speaker Boehner appears ready to go to great lengths, and the great expense of a high-power law firm, to try to score some cheap political points on the backs of same-sex couples."

But conservative groups applauded the move.

"At last we have a legal eagle on this case who actually wants to win in court," said Brian Brown, president of the National Organization for Marriage. "Thanks to Speaker Boehner's actions, President Obama's attempt to sabotage the legal defense of DOMA is not going to work."

President Barack Obama on February 23 ordered the Justice Department to stop defending the constitutionality of the law.

"The president has concluded that given a number of factors, including a documented history of discrimination, classifications based on sexual orientation should be subject to a more heightened standard of scrutiny," said Attorney General Eric Holder. The key provision in the law "fails to meet that standard and is therefore unconstitutional."

Obama had previously expressed his personal opposition to the Defense of Marriage Act but had never stated an opinion relating to its constitutionality.

Holder's chief spokesman said the department had no comment on Boehner's moves.

Two pending lawsuits from New York and Connecticut challenge the law. The 2nd U.S. Circuit Court of Appeals, which includes both states, is the only federal circuit to have never decided the basic legal question of whether a law discriminates against gay men and lesbians.

The Defense of Marriage Act was passed in 1996 by the GOP-controlled Congress and signed into law by President Bill Clinton. It bars federal recognition of same-sex marriages and says states cannot be forced to recognize such marriages allowed in other states.

The New York legal fight was prompted by Edith "Edie" Windsor, who lived with her female partner, Thea Spyer, for more than four decades. They married out-of-state in 2007, but neither the federal government nor their home state of New York recognized the legal union. Spyer died and left her estate to Windsor, who was then forced to pay taxes on the money because she was not considered a legal spouse.

In July, a federal judge in Massachusetts, in a separate case, became the first to rule part of the Defense of Marriage Act unconstitutional. District Judge Joseph Tauro said that "irrational prejudice plainly never constitutes a legitimate government interest."

The administration's decision comes on the heels of other major developments in the struggle over gay and lesbian rights.

In December, Obama signed legislation that will repeal the controversial "don't ask, don't tell" policy and bring an end to the ban on openly gay men and women serving in the armed forces.

Courts in California are considering a legal challenge to Proposition 8, an initiative narrowly approved by that state's voters in 2008. It defines marriage as a union between a man and a woman.

Either one of those cases could reach the Supreme Court in coming months, perhaps in time to become a major issue during the 2012 election year.

Same-sex marriage is legal in five states -- Connecticut, Iowa, Massachusetts, New Hampshire and Vermont -- and in the District of Columbia. Civil unions virtually equivalent to marriage are permitted in New Jersey, while several other states offer more limited civil unions or partnerships.

The New York case is Windsor v. U.S. (1:10-cv-08435).

@highlight

NEW: Pelosi asks what the legal fight will cost taxpayers

@highlight

Attorney Paul Clement was solicitor general in the second Bush administration

@highlight

Boehner says he had no choice but to act after the Obama administration backed off

@highlight

House Republicans also want to divert Justice Department funds for the effort