The Republican establishment won big during this year's midterm elections, fending off far-right candidates in primary races who might have threatened the party's bid to retake full control of Congress.

2016 will be tougher.

GOP leaders will have to keep an eye on a wide-open presidential primary, along with internal party fights at the House, Senate and gubernatorial levels. That could spread the party thin and leave an opening for conservative activists to pluck off establishment leaders with greater ease, particularly in congressional races as much of the attention shifts to the battle for the White House.

Conservatives, smarting from their losses this cycle, are already getting organized for 2016. And they came out of this month's government spending fight furious that congressional Republicans produced no tangible response to President Barack Obama's immigration executive action and convinced that Republicans are still ceding issues to Democrats after the election.

Daniel Horowitz, a conservative strategist and editor of the site ConservativeReview.com, said that now that Republicans have control of Congress, "there's nowhere to run, and nowhere to hide" for those who haven't kept their promises to the GOP base.

"You can only fool most of the people some of the time," he said. "Every capitulation [congressional Republicans] engage in, every primary they win by getting across the finish line and they don't do what they've promised — it becomes that much tougher for them to defend."

Trent Lott, the former GOP Senate majority leader, said party leaders need to acknowledge the challenge they'll face with the presidential race at the top of the ticket.

"You have to go into it realizing what's going on in the Republican presidential primaries will have some effect on the House and Senate primaries," Lott said in an interview. "What they need to do — that they did well in 2014, but they need to do even better this cycle — is reduce the number of open seats, and recruit solid contenders."

The dynamic underscores the competing priorities among Republicans heading into 2016. Establishment leaders view moderate candidates like Jeb Bush or Chris Christie as their best shot at winning the presidency. But conservatives believe that type of candidate would only follow in Mitt Romney's path to a disappointing loss, and are pushing for bomb-throwers like Sens. Ted Cruz or Rand Paul.

The debate will play out at a time when Republicans are vulnerable on Capitol Hill. Though they will hold majorities in both chambers, Republicans face a daunting map in the Senate, where they'll defend 24 seats in 2016 -- seven in states that Obama won twice. Establishment Republicans see a need for more centrist nominees to defend those states in particular, and yet those centrist incumbents — senators like John McCain of Arizona and Rob Portman of Ohio — already have targets on their backs.

Paul Lindsay, spokesman for the establishment-friendly outside group American Crossroads, said nominating strong candidates takes on added urgency because of the tough political terrain for Republicans.

"I think [candidate quality] is very important, especially given the fact that we have the Senate and we'll want to make sure that we maintain it — and we have a map with a lot of Republican senators who are up for reelection in purple or blue states that Obama won," he said.

The memory of Todd Akin, the Missouri Republican Senate candidate who created headaches for candidates up and down the ballot with his comments on rape and pregnancy in 2012 — and lost a winnable race — hasn't faded from the minds of Republican strategists. They are wary that another fringe nominee could undermine the party's shot at the White House this year.

Building on lessons from that cycle and 2010,  national Republicans this year decided to aggressively engage in primary fights to help nominate strong candidates, and the strategy brought the GOP great success.

But their primary successes took huge amounts of resources from the establishment, both financial and human, and considerable message discipline across the GOP. Along with the National Republican Senatorial Committee, the Chamber of Commerce and American Crossroads all poured millions into primaries to defend incumbents and beat back conservative challengers.

Establishment strategists that engaged in primary fights this past cycle acknowledged with a wide-open, high-stakes presidential primary splitting attention and resources away from House and Senate primaries, conditions are ripe for an underfunded, insurgent challenger to slip through to the general.

Austin Barbour, an adviser to a Mississippi-based super PAC that helped Sen. Thad Cochran fend off an unexpectedly tough challenge from the right, said incumbents this cycle should see Cochran's race as a cautionary tale. Fundraising "has to be a concern," he said.

"You have to raise a ton of money and make sure you have a strong political organization in your state," he said. "They're all going to require human capital, as well as financial capital, to win those races" in 2016.

GOP strategist Chris LaCivita, who advised the NRSC last cycle and was sent to help Kansas Sen. Pat Roberts overcome an unexpectedly strong independent challenger, said on that front in particular, the presidential primary could make things tougher.

"There's gonna be a lot of competition for money, a money and time-suck is going to really have an impact on Senate and House candidates, especially challengers," he said.

Indeed, Lindsay said the group again plans to engage heavily in primaries. But he acknowledged it will be tougher to raise the money.

And there's also the prospect that typically fringe candidates won't need the money to pick up traction, with a conservative presidential candidate offering them some lift.

That could also complicate the party's message downballot, if incumbents and establishment candidates are asked to answer for gaffes or controversial comments made by conservative candidates engaged in the presidential primaries.

And having a conservative-vs.-establishment fight at the presidential level could force some downballot candidates to address some of the more policy issues they can typically skirt, like welfare reform or disaster relief, that could be problematic for a nominee in a general election.

Horowitz said conservatives see that as a key advantage of the upcoming cycle.

"We do have a net benefit of a presidential election, where you have prominent people at the top of the ticket discussing those issues and forcing some of those individual candidates downballot to go on the record," he said.

But Ron Bonjean, a veteran Republican strategist with close ties to establishment groups and candidates, said that could be the GOP's "biggest challenge."

"Our biggest concern is making sure that Republicans and candidates are running their statewide programs — and not falling into the challenges of the presidential primary campaign trail," he said.

Preparing for that potential is already underway. Incoming Senate Majority Leader Mitch McConnell is in talks to launch a new super PAC geared towards Senate races, likely to bolster the NRSC and Crossroads in helping nominate strong candidates and engage in the general election fight. The NRSC has met with the chiefs of staff of all incumbent senators up for reelection.

But Tea Party groups say they're recalibrating as well, preparing for what ForAmerica President Brent Bozell called "real combat."

"It's going to be real combat between the moderates and the conservatives in the party — it's going to come to the surface in a pretty dramatic way," he said.

@highlight

The Tea Party lost nearly every one of its battles in 2014, but may have a better shot this cycle

@highlight

With three levels of primary fights, the establishment's attention and resources will be split

@highlight

Establishment groups are already gearing up for another costly and divisive battle