Kiev, Ukraine (CNN) -- Diplomatic wheels turned Tuesday as much of the international community prepared to welcome -- and help support -- a new government in Ukraine.

"The United Nations is committed to assist a Ukrainian-led, accountable and inclusive governance process, in a spirit of non-violence and upholding the key principles of democracy, the rule of law and human rights, thereby creating a conducive environment for free and fair elections," U.N. spokesman Martin Nesirky told reporters in New York.

Secretary-General Ban Ki-moon sent a senior adviser, Robert Serry, to Kiev, where he met with senior officials and pledged the world body's commitment.

In Washington, U.S. Secretary of State John Kerry said U.S. officials were "deeply engaged in trying to help this extraordinary transition that is taking place in Ukraine."

In a joint news conference with British Foreign Secretary William Hague, Kerry said Ukraine's alliances should not necessarily determine what happens to its people.

"It is not a Russia or the United States or other choices," he said. "This is about people of Ukraine and Ukrainians making their choice about their future. And we want to work with Russia, with other countries, with everybody available to make sure this is peaceful from this day forward."

Their comments came as Acting President Oleksandr Turchinov told parliament Tuesday that an interim unity government in Ukraine would be appointed Thursday, raising the specter of continued instability here in the wake of the ouster of President Viktor Yanukovych.

At the same session, parliament voted to ask the International Criminal Court in the Netherlands to investigate the "illegal actions of the main members of the government" -- including Yanukovych.

But the ICC public affairs unit said in an e-mail that it had received no communication regarding Ukraine and that the ICC has no jurisdiction over that country, because it is not a state party to the Rome Statute, the court's founding treaty.

In addition, it said, a state cannot ask the ICC to investigate specific individuals.

In the parliamentary session Tuesday, lawmakers also voted to hold mayoral and city council elections on May 25, concurrent with presidential elections.

One candidate has already been announced. Opposition leader and former heavyweight boxing champion Vitali Klitschko will run for the presidency, his press secretary Oksana Zinovyeva told CNN.

A dramatic sequence of political upheaval has unfolded in Ukraine in recent days after months of anti-government protests.

Last week, bloody street clashes between demonstrators and security forces left more than 80 dead, the deadliest violence in the country since it gained independence when the Soviet Union collapsed 22 years ago.

The violence continued Tuesday, when an ex-presidential aide, Andriy Klyuev, was hospitalized after being shot in the leg, his press secretary, Artem Petrenko, told CNN.

Amid the unrest, the United States has sent a team of Marines to the U.S. Embassy in Kiev to beef up security, an American official said. The request was made by the State Department and approved by the Pentagon.

Last week, parliament ousted Yanukovych, the focus of protesters' anger, and authorities issued a warrant for his arrest over civilian deaths. But his whereabouts were unknown. Lawmakers appointed Turchinov to serve as acting President and fired several of Yanukovych's ministers.

On Monday, parliament named a new chief prosecutor, security service chief and central bank head.

Those now in power in the capital face a raft of challenges: the division between the country's east and west; protesters eager for bigger changes in government; an economy riddled with corruption; and how to handle the intentions of Russia, a vital supplier of natural gas and a key backer of Yanukovych.

'We were trapped': Eyewitness to massacre in Kiev

Leadership change

The head of Ukraine's electoral commission, Konstantin Khivrenko, said the campaign to elect a new president would begin Tuesday, three months before the May 25 election date set by authorities.

But Russia's Foreign Ministry criticized those elections Monday, saying Ukraine's parliament was acting rashly, and accused lawmakers of discriminating against ethnic Russians, most of whom live in the eastern part of the country -- near the border with Russia -- by excluding them from the reform process.

"A course has been set for suppressing those who disagree in different regions of Ukraine with methods of dictatorship and terror," the Foreign Ministry said.

Russia -- which pried Ukraine away from the European Union with a $15 billion loan in November -- has withdrawn that offer, and President Vladimir Putin's role in the formation of a new government was uncertain.

Russia contends that Yanukovych was driven out by an "armed mutiny" of extremists and terrorists.

"We have not only the internal enemies, but we have the external enemies, like Russia," member of parliament Lesya Orobets told CNN's Christiane Amanpour on Tuesday from Kiev. "We are afraid of military intervention, and Putin is trying to find a pretext for that."

Russia's foreign minister has vowed not to intervene militarily, but tension is high between pro-Russian and pro-European Ukrainians. Clashes have broken out in the Crimea region on the Black Sea.

Orobets said one of Ukraine's biggest challenges is getting its financial house in order.

"We have to make unpopular steps, and we have to have this government taking those steps," Orobets said. "Not just to have financial aid, but to have the plan of reforms to get outside of this economic crisis."

"This is not just the issue of Ukraine. This is the issue of the whole region's stability."

Winners and losers

East-west divide

Yanukovych's decision to scrap a European Union trade deal in favor of one with Russia prompted the protests, which began in November.

The country's new leaders have said Kiev's return to European integration will be a priority. But in doing so, they risk an end to the aid that the Kremlin had bestowed on Yanukovych.

Interim Finance Minister Yury Kolobov proposed Monday that an international donor conference be held within two weeks. Ukraine, he said, will need $35 billion in foreign assistance by the end of 2015.

U.S. Treasury Secretary Jacob Lew spoke Sunday with Arseniy Yatsenyuk, of former Prime Minister Yulia Tymoshenko's Batkivschina, or Fatherland, party, and told him that once a transitional government has been established, an International Monetary Fund-centered international aid package would have broad support, the U.S. Embassy in Kiev said in a posting on its website.

"Secretary Lew expressed that the United States, together with Europe and others in the international community, are ready to supplement an IMF program to cushion the impact of reforms on low-income Ukrainians," it said. "However, Secretary Lew underscored the need to implement reforms that could be supported by an IMF program."

Russian Foreign Minister Sergey Lavrov Tuesday warned the United States and European Union against turning Ukraine against its neighbor.

"The relationship is not always developing in constructive ways. We have confirmed our position of not intervening in Ukraine politics," he said. "We hope all channels will be used to calm the situation in Ukraine."

Lavrov said Russia was working with EU officials in Brussels, Belgium.

"It is not a good position to impose to Ukraine that 'either you are with us or without us.' But we hope it will become our full partner in the near future," he added.

European Commission President Jose Manuel Barroso appealed Tuesday "to all our international partners, in particular Russia, to work constructively with us to guarantee a united Ukraine that can be a factor for stability in the European continent; a Ukraine that will have good relations both with its western as with its eastern partners."

'People want to be united'

Yanukovych's base of support is in eastern Ukraine, where Russian culture and language predominate and where many people are suspicious of the Europe-leaning views of their counterparts in western Ukraine, who were at the heart of the protests against Yanukovych that filled central Kiev for months.

Yanukovych insisted in a televised address over the weekend that he was still the legitimate President. But many senior Ukrainian officials appeared to be turning their backs on their former leader.

Ukrainian Ambassador to the U.N. Yuriy Sergeyev told CNN's Christiane Amanpour on Monday that Yanukovych and his government had "betrayed" the Ukrainian people.

But Sergeyev said the country is not as divided as some observers suggest.

"They don't want any civil war; people want to be united," he said.

The old guard

Yanukovych's ouster was followed by the release over the weekend of Tymoshenko, one of his most bitter political foes. She spent 2Â½ years in prison, most of it in a detention hospital.

She met Tuesday with EU foreign policy chief Catherine Ashton in Kiev.

On Monday, Ashton spoke with Ukraine's three main opposition party leaders: Yatsenyuk; Klitschko of the UDAR party; and Oleg Tyahnybok, of the nationalist right-wing party Svoboda, or Freedom.

Tymoshenko, 53, a longtime opposition leader and ally of Turchinov, has hinted she may be interested in running for the presidency.

She is considered a hero of the 2004 "Orange Revolution," which successfully challenged the results of an election won by Yanukovych. But she is less well regarded for her performance as Prime Minister from 2007 to 2010, when she was ousted after losing to Yanukovych in elections.

"She was a very corrupt leader," said Julia Ioffe, senior editor at The New Republic. "She was part of the reason the 'Orange Revolution' failed."

Tymoshenko was sentenced to seven years in prison after being convicted of abuse of authority over a natural gas deal negotiated with Russia. Western governments said the case against her was politically motivated.

Amid the changes now under way, those involved in the recent street protests have expressed a desire for a new, untainted generation of leaders to step forward.

"A lot of people who made this revolution feel like this movement has created a lot of new leaders, a lot of young leaders -- that now it's their turn," Ioffe told "CNN Newsroom" over the weekend.

CNN's Nick Paton Walsh reported from Kiev, and Tom Watkins reported and wrote with Jethro Mullen from Hong Kong. Mick Krever, Karen Smith, Ralph Ellis, Azad Safarov, Khushbu Shah and Ingrid Formanek contributed to this report.

@highlight

NEW: Putin "is trying to find a pretext" to intervene, member of parliament says

@highlight

Opposition leader Vitali Klitschko says he will run for president

@highlight

Acting President Turchinov delays appointing an interim unity government until Thursday

@highlight

Russian foreign minister warns EU not to try to turn Ukraine against Russia