(CNN) -- After three weeks of punishing losses to its currency the lira, Turkey's central bank has taken what is being viewed as decisive action to reverse negative sentiment. At an emergency meeting Tuesday, the country's main interest rate was raised by 4.25 percent to 12 percent.

"A hike in interest rates was necessary. And it needed to be decisive and credible and it was," explains Marios Maratheftis, Global Head of Macro Research for Standard Chartered Bank. "The decision exceeded market expectations and in my opinion it absolutely had to."

Central bankers in the most vulnerable emerging market economies are being forced into action. The Reserve Bank of India raised the country's key interest rate by a quarter percentage point to 8 percent this week. South Africa's central bank followed suit Wednesday.

Their actions come as the U.S. Federal Reserve's policy making group will decide this week whether to trim another $10 billion in bond purchases as it continues to unwind stimulus support.

The initial response was positive: investors pushed up equity markets and emerging market currencies Wednesday, starting in southeast Asia.

The interest rate hikes by the bigger emerging markets are seen as an effort to plug severe leaks in a monetary dike which threatened to drain reserves that were being used to defend their currencies.

Economist Nouriel Roubini, speaking at the CNN emerging market roundtable at the World Economic Forum in Davos last week, described what we are witnessing as a perfect mini-storm which is being driven by the Federal Reserve, rising inflation, a slowdown in China's manufacturing sector and large current account deficits in a handful of developing countries.

Argentina was the trigger point last week due to high spending and a sudden lifting of currency controls. Now investors have moved on to focus their attention on what Morgan Stanley has called the Fragile Five: Brazil, Indonesia, India, South Africa and Turkey. They share a common economic DNA of large deficits, slowing growth and vulnerable currencies.

South Africa's finance minister Pravin Gordhan told me during a recent interview that the investment bank certainly has not done these economies any favors by marking them out last autumn.

After a decade of blistering growth, emerging markets have had a severe, albeit delayed, fall from grace after the western-led global financial crisis that started in 2008. Brazil is growing at less than a third of its 2010 rate of 7.5 percent, Russia at less than half and the same for Turkey.

As the global sell-off triggered by Argentina unfolded last Friday, Ali Babacan, Turkey's Deputy Prime Minister in charge of economic policy said: "What's happening in Turkey mostly is a repricing process not only just because of the U.S. Fed's tapering but also recent political events have triggered some market volatility."

2014 will be a challenging year on the political front. There are elections in each of the Fragile Five countries, which will just add to uncertainty. As a result, concerns remain that governments will try to resist taking any action that will curtail growth as voters prepare to go to the polls.

Ongoing protests in Ukraine and Thailand have only added to a heightened sense of fragility in the developing world, where the rising middle classes in the developing world do not hesitate to take to the streets in their calls for change or solutions to their problems.

A great deal has changed from the past financial crises in Asia and Latin America during the past two decades. With a couple of glaring exceptions, notably Argentina and Venezuela, most emerging market governments are trying to exercise greater discipline on macro economic policy and limiting their exposure to short term, dollar-denominated debt.

Let's see if market takes that into account as the U.S. central bank continues to change course.

@highlight

Central bankers in vulnerable emerging market economies are taking action

@highlight

Rises seen as an effort to plug severe leaks which threaten to drain reserves

@highlight

Brazil, Indonesia, India, South Africa and Turkey are the focus of investor attention