Los Angeles (CNN) -- On a foggy morning in Holmby Hills, one of this city's most gilded neighborhoods, a silent standoff is taking place outside the mansion where pop music superstar Michael Jackson breathed his last breath.

It has become a familiar ritual for the players: A burly man sits in a black SUV parked in the driveway in front of a closed gate. Across the street, a woman in a white jacket and fedora camps out in a lawn chair shaded by a beach umbrella, a cooler at her side. He watches her. She ignores him.

A series of lime green placards saying "* HOT * Star Maps Here" leads drivers from the winding curves of Sunset Boulevard into this manicured oasis of wealth and privilege -- and to the woman locals call the Star Maps lady.

Her name is Linda Welton, and she was on the corner of Sunset and Carolwood Drive long before Michael Jackson arrived. She remembers well the days when he stood on a balcony of the rented chateau-style mansion and tossed autographed pillows to screaming fans. She remembers that he ordered pizzas for them and that his father, Joe Jackson, would come visiting but wouldn't be let in.

She also remembers the hordes that descended in June 2009, when Jackson died on the eve of his comeback concert tour.

His doctor, Conrad Murray, was tasked with making sure the King of Pop stayed healthy and showed up for rehearsals. Now he is on trial, accused of giving Jackson a lethal dose of an anesthetic to help him sleep.

On the weekend before the doctor went on trial for manslaughter, Carolwood Drive was nearly deserted. Despite the property's notoriety and the looming criminal trial, there was no pilgrimage of Jackson fans, not even a lone "looky-loo," as people in Los Angeles call curiosity seekers.

It was just the security guard and the Star Maps lady. And the Star Maps lady was feeling shy.

"I can't do an interview," she said, bolting up from her lawn chair. She scurried to her white SUV and drove off, leaving a taciturn assistant to deal with the nosy visitor.

A third-generation purveyor of the dishy tourist maps, Welton has good reason to be skittish. The owners of the mansion, fashion executive Hubert Guez and his wife, Roxanne, have taken her to court.

The homeowners filed suit in June, calling Welton's Star Maps business "a highly visible eyesore" and charging that she is tanking their property value. They are asking a judge for an injunction kicking the Star Maps lady off the corner. A hearing has been set for October 18 before Judge Gerald Rosenberg in Santa Monica, according to the court file.

Welton's family has sold Star Maps from the corner since the 1930s -- long before such things as tour buses, paparazzi and TMZ. They survived past attempts to shut them down or make them move. And Welton has long been a Michael Jackson fan -- so much so that she traveled the 90 minutes to Santa Barbara a dozen times to attend his 2005 child molestation trial. She celebrated when he was acquitted.

On August 28, the eve of what would have been the pop star's 53rd birthday, Welton was chattier when she received a visit from a crew with "In Session," a show that features Murray's trial and other court cases and airs daily on CNN's sister network, truTV.

Jackson could have lived anywhere in the world, she said, but he chose the mansion on her Star Maps corner as he prepped for his "This is It" tour.

"It came alive in a way no other place came alive through the years of map selling or that kind of thing," she says. "It's Tourist Central. Really, nobody lived there except Sean Connery, a while ago."

The fans came because Jackson engaged them, she said. And then there was the live music that poured out of the house every time Jackson practiced in his studio, which was often.

"We all heard the music that came out from behind those walls," Welton said. "So a lot of fans would park their cars here. They were trying to hear the music, but they didn't really tell a whole lot of people because they didn't want Michael to stop playing. So we had the time of our lives. This was actually the biggest thrill we'll ever have. The music was absolutely beautiful."

She was on her corner on June 25, 2009, when an ambulance took Jackson away. Although he usually went to Cedars Sinai Medical Center, the ambulance turned right, toward Ronald Reagan UCLA Medical Center, she recalled. It was followed by several dark Cadillac Escalade SUVs, and she suspected something was seriously wrong.

She says a CNN producer told her that Jackson had died, and soon hundreds of weeping fans came. She gave her maps away then, telling people, "Michael wouldn't want you to cry." Even now, she says, "It's like a tourist magnet. It's like a historical landmark that's not quite noted as one, but everybody knows where it is. It's the first place people really want to see when they get off that plane."

Welton says many people who stop don't even buy a map. They just want to know where Jackson's last home is.

The homeowners' lawsuit makes no mention of their most famous tenant or the notoriety of the address. As far as the lawsuit is concerned, Welton's Star Maps business is what draws the gawkers.

The legal action opens a new chapter in an age-old L.A. story, rekindling tensions that can arise in a city built on the culture of fame and populated by people eager to cash in on the fantasy. The case also pits two of California's most cherished values -- individual property rights and free speech -- against each other.

"It is unpleasant and inconvenient to constantly be forced to navigate illegally stopped traffic in front of the plaintiffs' home and to be daily and frequently forced to view defendant's business activity," the lawsuit states. The couple is trying to sell the mansion and, the lawsuit charges, Welton's presence is hurting their chances.

"The property is made unattractive," the suit charges. "Potential buyers are bothered upon approach by the quite visible and annoying constant illegal stopping and/or parking of cars in front of the home that would otherwise be on a quiet residential street."

Welton, who is representing herself, considers the lawsuit "harassment" and argues in her court papers that the law was settled decades ago in her favor.

Her mother fought similar attempts by the city of Los Angeles to shut down her Star Maps business through the 1970s. She took the fight all the way to the California Supreme Court.

A copy of the court's 1978 opinion is included in the court file as Linda Welton's response to the most recent lawsuit.

According to the opinion and several newspaper clippings attached to it, Welton's grandfather obtained a copyright during the 1930s for what would become the oldest continuously published map of the places where the stars live, shop and eat. Her mother, Vivienne Welton, ran the family business for 40 years before handing it down to her daughter, who has been hawking the Star Maps for more than two decades.

It was during Vivienne Welton's watch that the epic court battle was waged. The city of Los Angeles declared her stand, on a grassy corner at Sunset and Baronda, a public nuisance under the municipal code and obtained a court injunction in 1973. She fought it on freedom-of-speech grounds, but the city contended that she was engaged in commercial activity not protected by the First Amendment.

She lost the first round, appealed, and five years later, the case wound up before the California Supreme Court, which struck down the city's ordinance, saying it was unconstitutional.

"Battling public nuisance cannot be pursued by means infringing personal liberties when less restrictive alternatives are available," the court found.

Attorney Jeffrey Korn, who filed the 2011 lawsuit, was in trial in another case and was too busy to talk about the Star Maps case, an assistant said.

But the Guezes' civil suit is likely to fail because it cites the ordinance that already has been struck down by a higher court, said Douglas Mirell, a First Amendment attorney in Los Angeles.

"Once a court has found an ordinance to be unconstitutional, it sort of follows, as night follows day, that one cannot invoke the same ordinance and seek to have it enforced," Mirell said.

And, he noted, last month, a federal appeals court struck down a similar ordinance in nearby Redondo Beach, which sought to stop day laborers from soliciting employment on public streets.

Whatever happens in court, the scene on the corner of Sunset Boulevard and Carolwood Drive has already changed. The man and his music are gone. But not the Star Maps lady. Not yet, anyway.

Grace Wong is a senior producer with "In Session," which airs weekdays on truTV, CNN's sister network.

@highlight

LInda Welton's family has been selling star maps along Sunset Boulevard since the 1930s

@highlight

The owners of the house where Michael Jackson died are taking her to court

@highlight

They say her star maps business is an eyesore and a public nuisance

@highlight

Welton's mother won a similar court battle with the City of Los Angeles in the 1970s