(CNN) -- For the warrior or the would-be rescuer -- the heroes -- there is no time to appreciate what one click of a camera shutter means to a suffering nation.

Six Marines still had an enemy to fight after they raised the American flag on Iwo Jima's Mount Suribachi. Three would die in that 1945 battle.

On Sept. 11, 2001, three New York City firefighters joined those who rushed to the World Trade Center to search for survivors who would never be found. Late that afternoon, they raised a small flag removed from a nearby boat. A monochromatic wall of gray debris soared in the background.

"There's no self-pity in that picture," said Capt. Patrick Burns, U.S. Navy liaison to New York, at the time.

The photographs of the flag-raisings at Iwo Jima and ground zero quickly became icons, moments in time that galvanized Americans who found new solidarity and unity.

And while the whereabouts of the Iwo Jima flag are known (it's at the National Museum of the Marine Corps), the fate of the World Trade Center site 3-foot-by-5-foot flag became a mystery.

CNN Films' "The Flag," which premieres Wednesday night on CNN, explores what may have happened to it.

It's a story replete with mystery.

Within hours of its raising, the flag disappeared from the World Trade Center site. The makers of the film documented this by looking at the background of photos taken soon after.

The flag that subsequently flew over Yankee Stadium as a patriotic rebuke to terrorism, and fluttered over the USS Roosevelt as the aircraft carrier sent missions over Afghanistan, was represented as the same flag that was raised.

The original flag was "either misplaced, stolen or secreted away by unknown forces in the chaos of ground zero," the film's directors said in a statement.

Help look for the flag

Raised flag became a national symbol

Dishonesty was not behind the story of the flag's travels, said Michael Tucker, who produced, wrote and directed "The Flag" with his wife, Petra Epperlein. There were more important things to do than keep up with a single flag, which was quickly joined by several others.

"(For) people who were down there, the most important thing for them was recovering people, even when they knew there were no survivors," Tucker said.

When an official was sent to pick up the flag a week or so later, he apparently received a larger flag, and it was flown at subsequent events.

"They had no reason to believe it wasn't the flag," Tucker said.

The story of the missing flag includes a larger, more philosophical question: Is it the actual flag that is most important -- or the ideals it represents?

For its part, the WTC flag photo -- taken by Tom Franklin of the Record newspaper in Bergen, New Jersey -- quickly became a symbol.

It was plastered on the cover of Newsweek, with the words, "God Bless America," and the image could be seen on everything from coffee cups to tattoos.

"Most people will see it happen once or twice in their lifetime -- where the whole nation stands together," said Tucker.

"It was the worst of times and probably the best of America," Tucker told CNN on Tuesday.

The makers of "The Flag" spoke with several photographers about going to ground zero and the heartbreaking scenes that awaited. The film is partly forensic, with an expert comparing photos of the original flag and others that appear to be larger.

Among those interviewed were the couple who owned the yacht from which the flag was taken by a firefighter to hang at the WTC site.

They wanted to donate the flag to the Smithsonian Institution and asked about a year after the attacks to borrow the signed flag briefly for a ceremony.

"When we got the flag, we were quite stunned that it was the wrong flag," said Shirley Dreifus. "... This wraps around the two of us, and we're not the thinnest people on Earth ... So we knew right away it was the wrong flag."

Learn more than you ever knew about "The Flag"

Does it matter whether it was the real flag?

Woven throughout the film, which is based on a book by David Friend, are discussions about the powerful nature of a flag.

"We're not a country based on religion or ethnicity, or even cultural heritage" Burns told the filmmakers. "We're a country based on ideas and a philosophy. And that's what the flag is."

Jodi Goglio, who works for Eder Flag, said a flag "makes you feel that we are bigger than just ourselves."

A young crew member of the USS Roosevelt wiped away tears as she described having the supposed WTC flag on board.

"It just makes what you're doing so much more, wow, meaningful," she said.

When asked whether it mattered whether the flag was recovered, a visitor to the 9/11 memorial said, "It would matter. It would matter to me." Another said, "I think it would to the families who lost their loved ones." Among those who died were 343 firefighters.

Thomas Koehler, a retired detective with the New York Police Department, said he would rather not know what became of the WTC flag.

"If you had the actual flag ... the cynic in me (would say), people want it. You put a price on it. ... then it becomes something else."

Tucker got a firsthand taste of a flag's power while making "Gunner Palace" with Epperlein.

Released in 2004, the documentary tells the story of a group of American soldiers who fought in Baghdad.

The Iraqi insurgency was growing, and Tucker, an American, wanted to leave in spring 2004 for his home, then in Germany.

He stayed at a U.S. facility at the airport and awoke to find a small folded American flag under his pillow, a customary gift made by some group.

"I was so overwhelmed with emotion. That flag means home," Tucker said. "While that experience is not uniquely American, when you are thousands of miles from home, under stress, and you see the colors -- it reminds you of your people."

The Flag: What makes an image unforgettable?

@highlight

CNN Films production looks at flag raised at World Trade Center

@highlight

It became a potent symbol of unity across America

@highlight

While the real one went missing, did the substitute serve same purpose?