(CNN) -- Some found it shocking when Oregon Gov. John Kitzhaber granted convicted double-murderer Gary Haugen a reprieve Tuesday, setting aside Haugen's scheduled December 6 execution. Haugen, who killed another prisoner while serving a life sentence for a previous murder, had waived all appeals.

In a previous term as governor, Kitzhaber allowed two men to be executed, and he explained Tuesday that "I simply cannot participate once again in something that I believe to be morally wrong." A medical doctor with an active license, the governor also referred to his oath as a physician to "do no harm" as he announced Haugen's reprieve and a moratorium on executions for the remainder of his term in office. Notably, in issuing a reprieve (or delay) rather than commuting Haugen's sentence, Kitzhaber left open the possibility of Haugen's execution under a future governor.

As the news spread, many people reacted with anger. Kitzhaber has been called a coward and worse. This wave of anger, though, should not distract from two important truths: first, that Kitzhaber's actions are within, not without, the basic rules of our democracy; second, that Kitzhaber is a proxy for the thousands of people in this country who have had to live with doubt and even regret because they were thrust into the death penalty process while doing their civic duty as jurors, judges or lawyers.

In 1984, Oregon voters chose by referendum to reinstate the death penalty. The legislature formulated rules for capital punishment. Prosecutors elected, as they could, to pursue the death penalty against Haugen. A jury heard the evidence, and 12 Oregon citizens voted to have Haugen put to death.

The courts that heard Haugen's appeals (up to the point he dropped them) found the process fair. Then, after all of this, Kitzhaber chose not to finish this expensive and consuming project. Kitzhaber's choice is anti-democratic, it does frustrate the will of prosecutors, it must be confounding to those 12 jurors, and it constitutes a tremendous exercise of power based on just one person's sense of morality. It is also wholly within the genius of American government.

Oregon and other states have incorporated executive clemency into their systems of criminal law, drawing on the example laid out in the United States Constitution. The framers of the Constitution chose intentionally to give the executive that power, knowing full well that it would necessarily run contrary to popular will.

If you are angry with Kitzhaber for using that power, also direct your anger at Alexander Hamilton, who was a driving force behind the institution of executive clemency in the United States. Here is part of what Hamilton said about it in Federalist Paper 74: "Humanity and good policy conspire to dictate, that the benign prerogative of pardoning should be as little as possible fettered or embarrassed. ... On these accounts, one man appears to be a more eligible dispenser of the mercy of government, than a body of men."

The anti-democratic institution of clemency that is generating such anger is contrary to the voters of Oregon, yes. However, we should not forget that that same institution is ancient, principled and an integral part of the broad scheme of justice that wiser men than I have constructed.

A second buried truth is revealed within the tortured way in which Kitzhaber announced his decision. During a prior term as governor, in 1997, he had allowed two executions, and it seems clear that he was deeply troubled by his role in those killings. How could he not be? It is a heavy responsibility to participate in a deliberative process that identifies a citizen to be put to death by the state. However, Kitzhaber is just the exposed tip of an iceberg of human emotion. Beneath him are thousands of others who have been forced by the institution of capital punishment to live with their role in an intentional death.

Among that group are lawyers, witnesses and judges, but perhaps most sympathetic of all are the jurors. They are plucked from their daily lives by the government and suddenly thrust into the most important role of all -- they must vote, unanimously, after deliberation, on whether someone will live or die. If they vote for execution, they must file back into that hushed, tense room, look that person in the eye and say in the most public of ways that they have chosen him to die.

I have known some of those jurors. Years later, even if they were convinced they were right, they revealed deep and dark emotions related to what they had done. At best, that service was seen as a difficult but worthwhile sacrifice, and at worst as a moment they too often relived while filled with doubt.

Kitzhaber is right to say that the capital process is fatally flawed. It is unfair to some defendants, yes. But a system that tries many, condemns some to die and executes few is also cruel and unusual to those who work within the process. It is primarily inflicting pain on victims' relatives who wait in limbo, on jurors who relive those discussions, on prosecutors whose hearts are hardened while their efforts are frustrated and on the budgets and reputations of the states that choose to go on with it anyway.

Kitzhaber is not wrong to declare a moratorium, but he would be better advised to fully commute the sentences of those on death row and urge his fellow citizens to be done with the whole mess that this process has become.

That kind of bold action is not cowardice. It is leadership.

The opinions expressed in this commentary are solely those of Mark Osler.

@highlight

Mark Osler: Oregon governor drew some angry reactions to convict's execution reprieve

@highlight

But executive clemency part of Oregon law, Osler says, an act of principle, not cowardice

@highlight

Osler: It's right to resist process that pulls prosecutors, jurors, families into flawed system

@highlight

Gov. Kitzhaber should go further and commute death row sentences, Osler says