Patrick Sawyer had one stop to make before heading home to Minnesota to celebrate his daughters' birthdays: a conference in Lagos, Nigeria.

But when he landed in Lagos, Sawyer, 40, collapsed getting off the plane. He had been infected with Ebola in Liberia, where he worked as a top government official in the Liberian Ministry of Finance.

Sawyer was isolated at a local Nigerian hospital on July 20. He died five days later.

Sawyer's wife Decontee Sawyer, lives in Coon Rapids, Minnesota, with the couple's three young daughters, 5-year-old Eva, 4-year-old Mia, and Bella, who is 1. The Sawyers are naturalized citizens; their daughters were born in the United States.

"He was so proud when he became a U.S. citizen," Decontee told CNN. "He voted for first time in the last U.S. presidential election. He lived in the U.S. for many years, and wanted that for Liberia -- a better democracy."

Sawyer had been caring for his Ebola-stricken sister in Liberia, Decontee said, though at the time he didn't know she had Ebola.

Sawyer is the first American to die in what health officials are calling the "deadliest Ebola outbreak in history." His death has sparked concerns that the virus could potentially spread to the United States.

"People weren't really taking it [Ebola] seriously until it hit Patrick," Decontee said. "People are ready to take action."

Let's take a step back and look at what we know about the Ebola outbreak:

Where is it happening?

Up until this past week, the Ebola outbreak had been contained to three West African countries: Guinea, where it began, Liberia and Sierra Leone. Sawyer is the first known case outside of these three countries.

As of July 23, the World Health Organization had confirmed more than 800 Ebola cases in the region, but suspects there have been many unreported infections and there may be more like 1,200 cases. Sierra Leone has been hardest hit with approximately 525 cases.

How many people have died?

The World Health Organization says as of July 23, there have been 456 confirmed Ebola deaths, and another 216 suspected deaths, bringing the number possibly to more than 670.

The country of Guinea has the most suspected deaths. The epidemic has been in that country longer. It is believed the epidemic began in the nation's capital of Conakry.

While international leaders have mobilized to fight the epidemic, it can be a difficult one to stop. It is so highly infectious that it typically kills 90% of those who catch it. The death rate in this particular outbreak had dropped to roughly 60% since it has been treated early in many instances. There is, however, no Ebola vaccination.

Have other Americans been infected?

Last week, two American aid workers in Liberia's capital city, Monrovia, were confirmed to have the disease. Doctors and medical staff are particularly vulnerable to the virus because it spreads through exposure to bodily fluids from the infected. It can also spread through contact with an object contaminated by an infected person's bodily fluids.

Dr. Kent Brantly, a 33-year-old Fort Worth, Texas, resident, had been treating Ebola patients in Monrovia when he started to feel sick.

Brantly works with Samaritan's Purse, a Christian international relief agency. He has been the medical director for the Ebola Consolidated Case Management Center in Monrovia and has been working to help Ebola patients since October. After testing positive for Ebola, Brantly went into treatment at ELWA Hospital.

Samaritan's Purse has been working to evacuate him for better care, said Ken Isaacs, vice president of the agency. Unfortunately, emergency medical evacuation flights in the area are not equipped to handle the "intense isolation" required for an Ebola patient.

Brantly's family had been with him in Liberia, according to the Centers for Disease Control and Prevention, but left for the United States before he became symptomatic; as such it is highly unlikely that they caught the virus from him. Out of an abundance of caution they are on a 21-day fever watch, the CDC said.

"We have a strong family unit within a stronger faith community that has given us incredible support," the Brantly family said in a statement. "Kent remains very physically weak, but his spirit has been determined throughout this ordeal."

Nancy Writebol from Charlotte, North Carolina, has also been infected. She is employed by Serving in Mission, or SIM, and had teamed up with the staff from Samaritan's Purse to help fight the Ebola outbreak in Monrovia when she got sick. She, too, is undergoing treatment.

It is believed one of the local staff was infected with Ebola and came to work with the virus on Monday and Tuesday, Isaacs told CNN.

"We think it was in the scrub-down area where the disease was passed to both Nancy and Kent," he said. That staff member died on Thursday.

Both Brantly and Writebol are stable, according to a statement released Tuesday by SIM, though both patients are still exhibiting symptoms of the virus.

"Due to the upsurge in cases of Ebola in the region, SIM and Samaritan's Purse have taken the precautionary step of mandating the evacuation of all nonessential personnel from Liberia," the statement said. "Timing, means, and place of evacuation are being decided now."

Could Ebola spread to the U.S.?

The CDC held a media briefing Monday to emphasize that there is "no significant risk" of an Ebola outbreak in the United States.

There has never been a confirmed case of Ebola spreading to a developed country, said Kamiliny Kalahne, an epidemiologist with Doctors Without Borders.

"This is because people generally transmit the infection when they are very sick, have a high fever and a lot of symptoms -- and in these situations, they don't travel.

"And even if they do get sick once they travel to a developed country, they will be in a good hospital with good infection control, so they are very unlikely to infect others," she said.

The U.S. health care system is also better suited to handle an Ebola case than many in West Africa, said Dr. Marty Cetron, director of CDC's Division of Global Migration and Quarantine. Health officials would likely recognize such a case and be able to trace all points of contact with the patient to prevent further transmission, he said.

"Epidemics of disease are often followed by epidemics of fear and epidemics of stigma," Cetron said. "All of these things occur in a social context that can make containment very challenging."

That said, Sawyer did end up on an airplane at an international airport: What's to say others might not do the same, and actually make it to the United States?

Count CNN Chief Medical Correspondent Sanjay Gupta among those who believe "it's going to happen at some point."

One big reason is that it takes 2 to 21 days between the time a person is infected and when he or she shows symptoms -- including vomiting, diarrhea, impaired kidney and liver function, and sometimes internal and external bleeding.  Ebola is not contagious until symptoms appear, though that doesn't mean a person cannot travel in the incubation period.

"Just observing the whole process, it's almost impossible to prevent from happening," Gupta said. "But I think ... it can be then stemmed, so it doesn't turn into all these mini-secondary outbreaks."

What should I do?

Avoiding these West African countries is the easiest way to prevent the outbreak from spreading, Cetron said. If you have traveled recently to the region and develop a fever, or other symptoms consistent with Ebola, notify your doctor right away.

If you're a humanitarian worker in the region, you need to be familiar with proper infection control precautions and avoid contact with blood or any other bodily fluids, he said. You should also report any needle sticks or possible exposures early to receive testing and, if necessary, start treatment as soon as possible.

The Sawyer family is working with their church community to start "Concerned Liberians against Ebola," Decontee said. Their goal is to raise $500,000 to help two international organizations: Samaritan's Purse and Global Health Ministry.

How can those with the disease be helped?

While experimental vaccines exist, there are no licensed ones that get widespread use, according to the World Health Organization.

The disease can be devastating and, ultimately, deadly in a few ways. One is because it "disarms your immune system, (so it) cannot fight the virus," Gupta notes. Another is that it causes people to lose fluids, because of vomiting and diarrhea in addition to bleeding, as Ebola inhibits one's ability to clot, adds Gupta.

The most important thing a person needs to do to survive is to get treated as early and effectively as possible.

But that's not always easy in some parts of Africa, says Monia Sayah, a nurse with the humanitarian organization Doctors Without Borders.

"We go into communities where we are not necessarily welcome, because they understand now that the survival rate is not very high," Sayah told CNN's Anderson Cooper.

Sayah acknowledges that, in addition to immediate family members, health care workers are among those at highest risk of being infected. One need look no farther than Dr. Sheik Humarr Khan, a doctor who was on the front lines fighting the Ebola outbreak in Sierra Leone before dying this week from complications of the disease.

Health care workers don gowns, gloves and masks, among other measures, to guard against the disease.

"Every inch of the body has to be covered," Sayah said. "It's essential."

Ebola doctor in Sierra Leone dies

@highlight

Family: Infected American "very physically weak, but his spirit (is) determined"

@highlight

CNN's Gupta: Curbing Ebola almost "impossible," but it can be contained

@highlight

Patrick Sawyer's family lives Minnesota; he worked in Liberia and died in Nigeria

@highlight

Hundreds have been infected with Ebola around Africa