(CNN) -- A Taliban insurgent with a rocket-propelled grenade has painfully brought back the question: Is the U.S. strategy succeeding in Afghanistan?

NATO officials said it was reportedly an RPG that brought down a military helicopter carrying 30 U.S. service members, 25 of whom were Special Operations forces, on Saturday. All were killed in the crash, along with seven Afghan troops and an Afghan interpreter. It was the worst single-day loss of American life since the start of the war in late 2001.

Army Lt. Jarrin Jackson, who spent most of last year in eastern Afghanistan, said he believes in the counterinsurgency principles pushed by Gen. David Petraeus, who is now director of the CIA. He even wrote an essay about it in the online publication Small Wars Journal.

The strategy boils down to this: Insurgents rely on the fear and intimidation of local citizens to keep control, so the counterinsurgency focuses on protecting local citizens from the Taliban and rallying them to the Afghan government.

"I don't want to downplay the role of taking care of bad guys," said Jackson, who was based in Khost province, a stronghold of the Taliban that has plenty of insurgents. "We took on a lot of rockets and mortars. But the majority of my time in Afghanistan, I was not under fire. I was interacting with people over there. The more you do that, I would argue, the better results."

Jackson believes interaction is imperative, even with the constant uncertainty of whether the person you're talking to is a good guy or a bad guy.

"One guy might be favorable one week," Jackson said, "but because I stopped his car for my truck to get over a ditch, that prevented him from getting to the doctor's office ... (and) now he hates the government. It's incredibly fluid."

Khost province shares a border with Waziristan, the region of Pakistan that has been a safe haven for jihadists. The U.S. believes that Osama bin Laden hid there for years after the September 11 attacks, and it has recently been a testing ground for Petraeus' counterinsurgency tactics.

Jackson tried to put himself in the Afghans' shoes. He said he can imagine how he would feel if his country were occupied for a decade by a foreign army dressed, as he put it, like "automatons." So he tried to play against it.

"You'd walk up to somebody and say, 'As-salaamu alaykum.' 'Tsenga yee?' It's kind of like 'What's up?' " Jackson said. "It's like 20 different ways of saying hello. I would walk up to an old man, shake his hand, look him straight in the face -- with my sunglasses off, so he could see my eyes -- and we would be shaking hands for probably one or two minutes."

Jackson didn't mind looking goofy, fumbling with the Pashto language or trying to tell a joke. He said he was trying -- and trying gets across in any culture, even when you're part of a foreign army.

He says the human part of his job -- finding out what villages needed to prosper and keep independent of insurgents -- was a little like living in a small town.

"You know the people you go to church with. You know that Ms. Johnson's dog went to the vet last week and Mr. Steve had to have surgery. You know those intimate details."

In Afghanistan, Jackson said, "I could tell you when one guy's crops were going to be harvested. I could tell you in this village, they'd go to this house to worship instead of the mosque, because it had better heat. I could tell you what time prayer was going to be and who went to that mosque."

Jackson had been in the country for 10 months when he went into one village he didn't know well. He did what he always does when he visits a new place: He and his Afghan counterpart told the locals that they wanted to talk to the most influential person in the village.

Out walked a decrepit old man with a long beard. It took him 15 minutes to come out of his house and into the square. He had several wool blankets around his shoulders, and he was carrying a gnarled tree branch for a cane. He sat down and rested his hands on the cane between his knees.

Jackson says he felt guilty for pulling the old man out of his warm house, but the man started talking right away.

"He said: 'I have a problem. I know I'm about to die. This village does not have any leadership set up to succeed me, and I'm concerned.' " Jackson said. "Then he just sat there looking at me."

Jackson said he wasn't sure what to think of a village elder asking for help from a foreign soldier. The elder told him about how Taliban insurgents had recently killed three of his villagers and left their bodies to rot as a reminder not to cross them. He also told him about other problems.

All the time they were talking, Jackson said, he was trying to figure out a way to help. He knew he couldn't really help in the long term, but the elder clearly "wanted some kind of answer, some kind of solution."

Then something came to Jackson. He remembered a village elder just to the north named Mohammed. U.S. and Afghan troops had cleared out Taliban insurgents there the year before, and the village was prospering.

Jackson asked the old man whether he knew Mohammed. The man said that he did but that he hadn't spoken to Mohammed in years. So Jackson took a chance.

"I said, 'If you know this guy, and this guy is succeeding, and you're both village elders in eastern Afghanistan, why don't you talk to each other?' " Jackson said.

The old man looked at him as though the idea hadn't occurred to him, but he liked it, Jackson said.

Jackson then went to Mohammed's village and asked Mohammed to help his neighbor to the south.

"I go: 'You see how safe and secure your village is now? How much safer, how much more prosperous would it be if the village just south of it were just as strong and secure and prosperous as yours?' " he said.

Mohammed said he would do what he could to help.

As Jackson was leaving, he saw two figures heading toward Mohammed's village. One was a young boy. The other was the old man carrying his gnarled tree branch.

Three weeks later, Jackson shipped out of Afghanistan. He said a small part of him wanted to stay to see how it worked out.

@highlight

Winning civilians' trust is the key to the counterinsurgency, says one Army lieutenant

@highlight

Lt. Jarrin Jackson says that when he visits a new village, he first tries to meet its elder

@highlight

Jackson says "trying" gets across in any culture, even if you're part of a foreign army