(CNN) -- Many were shocked this week when New England Patriots player Aaron Hernandez was arrested and charged with first-degree murder and linked to an unsolved double-homicide case from 2012.

The tone in the sports community has been muted because this is occurring during the off-season and the impact on the "game" is minimal.

There are many unanswered questions about the Hernandez case. What does it tell us about the intersection of sports and the violent and sometimes criminal behavior of athletes off the field?

With a few exceptions, the National Football League's governance of players' lives is restricted to behaviors that impact the game and the business of the league. Players who violate the law and the rights of others are subject to the much broader laws that govern every citizen. When players commit crimes such as murder, looking to the league for answers is not the solution.

The Patriots have quickly cut ties with Hernandez but are faced with a "dead money" issue (the ironic name for money tied to a player no longer with the team, that counts against a team's salary cap). On the field, they are left with a more uncertain hole at the tight end position.

There's a sentiment that on-field performance is all that we should be concerned with when it comes to sports and athletes. No more was that on display than this past Super Bowl where the most popular player on the field was Ray Lewis, who 13 years ago was in a similar position as Aaron Hernandez is today. Lewis was in jail charged with murder. While he was later exonerated, Ray Lewis has been, in part, redeemed by football.

As incidents of violence increase in volume and severity it is becoming more difficult to ignore the social transgressions of athletes simply because they entertain us. The bigger question is: What is the tipping point?

The dissonance regarding sports in our society is palpable. The NFL is the most successful and powerful sports entity in the world. For many, it symbolizes the greatest elements of the meritocracy of sports and business. Success is built on sound principle, discipline and character. The NFL's success is not simply due to the popularity of the game itself, but the business of monetizing the game. The players are merely widgets in that business.

However, as the NFL continues to grow in revenue and appeal, the off-field behavior of some of the players threaten to tarnish the pristine veneer of the brand.

The sport has an esteemed place in our culture by helping to build communities, teaching young people leadership and discipline, and promoting team spirit. But why is it that so many successful athletes -- those who have reached the pinnacle of their game -- seem to lack discipline in their lives away from the game? Why is there such a glaring discrepancy?

The problem for the NFL is that there is little the league can do to influence the behavior of its current players. The NFL is not the nurturer of men; it is not responsible for the attitudes and behaviors of the men its teams employ.

As the great former UCLA basketball coach John Wooden once said, "sports don't build character. They reveal it."

While the players on the field are stars of the business, they are not stars because of their depth of character or values and judgment. Their individual moral compass is their own, even if the sport has some influence over their perception of the world.

Their stardom lies in the volume of exposure the business affords them. And, like the mega-salaries that make headlines, the business is such that the individual doesn't matter.

What matters is that the individual can get the job done in the context of the business. And, in this case, character and discipline off the field have no relevance to success on the field.

NFL players are products of our collective society and they take center stage in one of the most successful enterprises of our society.

When we hear about Hernandez or Javon Belcher, we shouldn't assume that it's solely an NFL problem. It's a larger societal issue.

No child is born to be an NFL player. The young men who grow up and are recognized for their talents need to be more than warriors on the field. The positive influences outside of their athletic lives need to be stronger and at every stage of their lives.

The pursuit of excellence can exist in all aspects of a young athlete's life and it should begin with civility before any games are played.

The opinions expressed in this commentary are solely those of Don McPherson.

@highlight

Don McPherson: Many are shocked that Aaron Hernandez was charged with murder

@highlight

McPherson: When players commit heinous crimes, the NFL doesn't have answers

@highlight

He says there is little the league can do to influence the behavior of its players off field

@highlight

McPherson: NFL players are products of our collective society