(CNN) -- The U.S. government is the largest financial entity in the world. Nothing else comes close.

On Sunday, April 29, it will be exactly three years since the U.S. Senate passed a budget.

If you own or work for a small business that has a loan from a bank, I'm quite sure your business has a budget -- and a rather detailed budget at that. Every year around tax time, many American families sit down to fill out tax forms, estimate their income, and set spending priorities for the upcoming year. It's the responsible thing to do.

And yet, Senate Majority Leader Harry Reid appears to believe it is not necessary for the Senate to fulfill its legal responsibility by debating and passing a budget to account for $3.8 trillion in federal spending next fiscal year, $15.6 trillion of debt and, according to figures produced by the Senate Budget Committee Republican staff, more than $65 trillion in additional unfunded liabilities.

To provide some perspective to these incomprehensible numbers, the total net private asset base -- that is, the net value of all household assets, small business assets, and large business assets -- of the United States is $82 trillion, according to figures from the Federal Reserve Flow of Funds Account from March 8, 2012.

Even worse, President Barack Obama and his administration seem to view budgeting as just one more political maneuver. His efforts have been so completely unserious that the President's 2012 budget was rejected by a vote of 97-0 in the Senate. And three weeks ago, when Rep. Mick Mulvaney, R-South Carolina, sponsored a budget proposal based on Obama's 2013 budget plan, it lost in the House by a vote of 414-0.

That's right, not a single member of Congress cast a vote in favor of Obama's last two budgets. That is a stunning repudiation of his leadership. What it really represents is a total abdication of leadership.

Democrats in the Senate have all the votes they need to pass a real budget and show the American people their plan for today and the future. But they refuse, because they don't want to be held accountable. They would rather cut backroom deals that hide the details of their plans, and then take political pot shots at Republicans who have had the courage to produce and vote for a serious budget.

Democrats claim that last year's Budget Control Act is an adequate substitute for a real budget because it "deems" spending caps. Obviously, it is not. It is only half the equation. It includes no plan for saving Social Security or Medicare, for reforming taxes, or for ever living within our means. But it does prove that Washington is certainly good at making sure spending continues.

Business owners and consumers all over America are watching Washington, shaking their heads in disgust, and holding on to their wallets. These are the people we need to get our economy moving again, but these are the very people that are under assault by Obama and his policies.

The Obama administration's agencies are regulating business to death, limiting the use of America's domestic energy resources, threatening to punish success by increasing tax burdens, and providing no credible plan for reining in our debt and deficit. As self-defeating as all of these policies have been, not having a credible long-term budget plan might prove to be the most harmful.

For the 30 years from 1970 through 1999, the average borrowing cost of the U.S. government was 5.3%, according to an analysis made by my staff of figures from the Office of Management and Budget. During that period, the ratio of our debt to our Gross Domestic Product (GDP) averaged 47% and never exceeded 67%. We were a far more creditworthy nation back then than we are today.

Now our debt-to-GDP ratio exceeds 100%, and over the last three years, America's borrowing cost has been kept at an artificially low rate of 1.5%. How long can that last? Nobody knows.

What we do know is that if our borrowing costs were to revert to the 1970-through-1999 average of 5.3%, America's annual interest expense would increase by $600 billion -- an amount that equals 50% of discretionary spending.

Out of our $3.8 trillion annual budget, only $1.3 trillion is discretionary spending subject to appropriation and some level of control. Everything else, roughly $2.5 trillion, is mandatory and entitlement spending that is on automatic pilot -- with no requirement to ensure financial solvency of these programs.

This is unsustainable. Increased interest expense resulting from higher rates, the true cost of Obamacare, and reduced revenues from slower economic growth caused by uncertainty and lack of confidence, all significantly raise the risk of dramatically higher debt and deficits. Employer surveys by McKinsey, as well as analysis by former Congressional Budget Office Director Holtz-Eakin, show that far more Americans will lose employer-provided care than CBO estimates. Additionally, Congress is unlikely to implement the hundreds of billions in Medicare cuts that are called for in the president's health care law

It is past time for Obama, and his allies in Congress, to show the American people a credible plan to address our looming financial crisis. It is time for Senate Democrats to pass a budget.

The opinions expressed in this commentary are solely those of Ron Johnson

@highlight

Sen. Ron Johnson notes it's been three years since the Senate passed a budget

@highlight

He says the president and Sen. Harry Reid are using the budget for political ends

@highlight

Johnson: Democrats are unserious about passing a budget

@highlight

The American people want the economy moving again, Johnson says