Washington (CNN) -- When Superstorm Sandy rocked the Eastern Seaboard earlier this week, uncertainty over Tuesday's election began to creep into the minds of those who have spent months organizing it.

Though polling places up and down the East Coast were still without power Friday, Sandy's impact is most noticeable in New Jersey, New York and Connecticut, scene of widespread flooding, power outages and hurricane-force winds.

Elections officials from counties across New Jersey -- especially in the hardest hit areas on the coast and around Manhattan -- are concerned that turnout in Tuesday's presidential election will be affected by the damage.

While many county clerk officials reported lobbies full of people waiting to vote early and take advantage of extended registration windows, polling places across the state have been consolidated -- leading some to worry that confusion could reign Tuesday.

Powerless in New Jersey

"I think it will affect turnout," said John Currie, a board of elections commissioner in Passaic County. "When people are worried about where they are going to live tomorrow, some people have more important things to think about."

In an effort to give people more time to cast an early, the Secretary of State's office in New Jersey directed all county clerk offices to stay open this Saturday and Sunday.

In Bergen County, 327 locations have been consolidated to make up for those areas that still don't have power. At each displaced polling place, election organizers hope to have officials directing voters to the correct polling place.

The hope is that these officials will ease confusion and help smooth the balloting process.

Why Election Day won't be postponed

"People are interested," said Patti DiCostanzo, superintendent of elections in Bergen County. "We are moving forward the best we can and giving the voters every opportunity to vote in this election."

In Sussex County, out of the 76 original locations, 31 have been consolidated and some have been moved to completely new locations.

Marge McCabe, administrator of the Board of Elections in Sussex County, said there will be notices posted at closed locations about where voters should go.

"I do think it will affect the way people are voting," McCabe said. "I think that everyone has their priorities, and for those who have power and have heat, their priority may be different than those who don't."

"We are trying to make it as easy as we can for folks to vote," said McCabe. "That is our No. 1 goal."

Many electronic voting machines -- used now by two out of every five counties nationwide, according to the Voting Technology Project -- often require consistent power to work for the long hours they are needed on Election Day, even though some have battery power.

Poll organizers in New Jersey say that generators and battery-powered poll machines will ensure that power is not an issue at polling places.

Admittedly, says Joanne Arena, deputy administrator of the Union County Board of Elections, the batteries "only last a few hours."

If electricity remains out in some areas Tuesday, officials may have to scramble to find alternatives, including paper ballots.

Hacking the vote: Internet systems remain insecure

That may be the case in New York, another state rocked by Sandy, where many houses are either without power or underwater.

New York uses optical scanners, a process that doesn't necessarily need power at each polling station -- although that would be desirable. If power were not available, voter's ballots would be kept in a lock box underneath the optical scanner, and at the end of the day the box would be transported to a ballot office with power.

The issue: That sort of balloting would noticeably delay the reporting of election results. "That is unavoidable," said John Conklin, spokesperson for the New York State Board of Elections.

"The local boards are assessing their poll sites as we speak. They are looking to see what the power situation is, whether the site is accessible to the general public and whether the board can move voting machines in and out of the site," Conklin said. "When they are done with that assessment, they will start making plans for alternate poll sties."

The state board's goal, however, is to minimize the number of poll sites that need to be consolidated and moved. Although moving some sites is "completely unavoidable," Conklin said, "even if it is lacking power and we can still use it, we are going to use every effort to do that."

Like other officials, Conklin realizes that voter turnout may be affected by the damage Sandy has left in its wake.

"I think it is really difficult to predict that, but obviously there are some people who have had a major disruption in their life," Conklin said. "Voting is not going to be the major priority in their life."

In Connecticut, between 90 and 95 polling locations were still without power, according to the Secretary of State Denise Merrill. That number is an improvement: Thursday upward of 100 polling locations were out of power.

"We still have some polling places that lack electricity, and both power utilities have assured us they are working very hard to restore power to these locations as soon as possible," Merrill wrote in a press release. "We will be ready to vote next Tuesday no matter what, and the preferences would be not to move or consolidate any polling locations unless absolutely necessary."

Merrill and her staff have been working with local, state and federal officials -- including President Barack Obama -- to ensure the validity of the voting process.

One concern expressed by Merrill is that in an effort to get life back to normal -- and get children back to school -- many local schools have decided to open on November 6, the same day as the election. This was "a change from previous plans to close school for Election Day so the school facilities could be used as polling precincts," says a press release from her office.

Even with possible problems at the polls, the likelihood that the election will be moved -- or an extension given for the affected counties -- is slim.

Only Congress can change Election Day, according to an 1845 law. If it opts to alter the timetable -- something never previously done -- every state would have to be included.

The same law also says that if a state "shall fail to make a choice" on Election Day, then electors to the Electoral College may be appointed on a "subsequent day" as determined by state law.

How secure is your electronic vote?

CNN's Allison Brennan contributed to this report.

@highlight

Officials in three states say voter turner may be affected by Sandy

@highlight

Many voters will have more pressing personal matters to attend to Election Day

@highlight

Some polling stations are being consolidated

@highlight

Technology, electricity are among the concerns