(CNN) -- With the carnage in Syria mounting out of control, there's only one thing left to do, France says: Lift a European Union embargo and start arming rebels.

"We must convince our partners, particularly in Europe, that we have no other choice but lift the arms embargo in favor of the (opposition) Syrian Coalition," French Foreign Minister Laurent Fabius wrote in an op-ed for the French newspaper Liberation.

"We must go ahead and allow the Syrian people to defend themselves against this bloodthirsty regime. It's our responsibility to help the Syrian National Coalition, its leaders and the (rebel) Free Syrian Army by all the possible means.

"If not," Fabius warned, "the slaughter will continue, and there will not be any other possible outcome but to strengthen the most extreme groups and the collapse of Syria with devastating consequences for the country itself and the region."

The cost of war: 2 million Syrian children afflicted

The UK also hints of change

France isn't alone.

British Foreign Secretary William Hague has hinted that he wants to arm Syrian rebels who are demanding President Bashar al-Assad's ouster.

This week, British Prime Minister David Cameron said the UK could make its own foreign policy on supplying rebels.

"We might have to do things in our own way," he told lawmakers Tuesday.

But Cameron stressed that the UK has not yet decided to circumvent the EU's arms embargo.

"I hope that we do not have to break from a collaborative approach across the European Union," he said.

However, "if we thought it was the right thing to do, we would do it."

In February, the European Union renewed its arms embargo on Syria for three months but amended it to allow greater nonlethal support and technical assistance to help protect civilians.

The embargo is set to expire in May. Member countries could renew it, add amendments or veto it.

U.N. Security Council concerned about Lebanon

In a united declaration, the U.N. Security Council on Thursday voiced "grave concern over repeated incidents of cross-border fire which caused death and injury among the Lebanese population, incursions, abductions and arms trafficking across the Lebanese-Syrian border, as well as other border violations."

Members of the council -- which this month is being led by Russian Ambassador Vitaly Churkin -- "expressed also their deep concern at the impact of the Syrian crisis on Lebanon's stability."

The declaration followed a briefing by officials on how the conflict in Syria has spilled into Lebanon.

Besides hosting a flood of refugees -- out of the 1 million total who have moved out of Syria over the past two years, according to the U.N. refugee agency -- Lebanon has seen sporadic violence tied to the unrest.

Report finds abuses by both sides

Syrian government forces continue to bomb civilians indiscriminately, while rebels increasingly resort to kidnapping and summary executions, Amnesty International said in a report.

"While the vast majority of war crimes and other gross violations continue to be committed by government forces, our research also points to an escalation in abuses by armed opposition groups," said Ann Harrison, deputy director of Amnesty International's Middle East and North Africa Program.

The human rights organization found that in addition to bombings, government forces continue to torture and kill detainees.

One researcher for the group found nine cluster bombs -- an internationally banned weapon -- in a housing estate, the report states. The unexploded bomblets are a danger to residents, especially children who might pick them up, Amnesty says.

"The Amnesty report confirms what the (opposition) has been reporting for the past two years: the Assad regime targets civilians, especially children," said Rafif Jouejati, a spokesman for the opposition Local Coordination Committees in Syria, or LCC.

However, the report also accused the opposition of hostage taking, torture and the executions of soldiers and others it has captured.

Jouejati admits there have been abuses but said no one can suggest "by any stretch of the imagination that those abuses can be compared in scope, range, or deadliness to the regime's indiscriminate use of Scud missiles, cluster bombs, barrel bombs, and napalm."

More concern about refugees

Meanwhile, the U.N. high commissioner for refugees has called for donor nations to step up funding to help refugees fleeing Syria.

Antonio Guterres warned of serious repercussions if funding is not ramped up.

"This is not just any crisis. It requires a special mechanism of support," he said after meeting with Jordanian officials Wednesday.

Normal humanitarian aid budgets are simply not enough, he said, and if more money does not pour in, "the consequences could be devastating for the Syrian people and for regional stability," he said.

The death toll mounts

For all the talk, for all the concern, there's little evident change in the situation on the ground in Syria: more violence and more death.

The Local Coordination Committees of Syria, a network of opposition activists, documented 132 new deaths on Thursday, among them 13 children and six women.

That tally includes 35 killed in what the LCC called a "massacre committed by the regime's army" in Hasakeh in northeast Syria. The group also reported at least 37 deaths in and around Damascus and 18 in Daraa province.

The state-run Syrian Arab News Service reported that government troops "chased members of terrorist groups" -- its description of rebel fighters -- in one Damascus countryside community while launching "two qualitative operations" in other communities around the Syrian capital.

SANA reported on developments in many locales elsewhere around the country, indicating government troops success in inflicting casualties and destroying enemy arms and equipment.

CNN cannot independently verify death tolls or other accounts of violence in Syria.

Last month, U.N. High Commissioner for Human Rights Navi Pillay said about 70,000 people had been killed in the conflict.

CNN's Alexander Felton and Greg Botelho contributed to this report.

@highlight

An opposition group reports 132 new deaths around Syria

@highlight

A report says abuses continue, mostly by government, but by rebels, too

@highlight

French foreign minister: The rebels must have the ability to defend themselves

@highlight

Britain's foreign secretary has also alluded to wanting to arm rebels