(CNN) -- Four young boys died Wednesday after the Gaza beach where they were playing was attacked by Israeli forces.

A pair of explosions in what had been nine days of relentless bombings between the two countries are to blame. The boys had been told to stay indoors. And as children tend to do, they disobeyed their parents to play on the beach where they had always been safe before.

But there is no such thing as safe when enemy fire lands across your border for more than a week. They were too young to know that being a civilian provides no cover from an explosion.

That war has no clean lines.

This is why, as our hearts weep over the death of these innocent children -- some as young as 9 -- it would be good for us to take this time to reconsider our own fantasies about the supposed clean lines of the military strikes our own country launches. The U.S. may be justified in attacking an enemy (just as Israel is justified in protecting itself and its children) but it doesn't always just hurt its enemies.

The United States has killed its share of little boys on the beach as well, so let us look at the photos from Gaza and remember: Sometimes we're Israel.

It's an uncomfortable thought. As a public we prefer to talk about military strikes more than we like to see what happens because of them. The hardest part about being an American citizen of the world is banishing our willful blindness. Intuitively we know innocents die by American hands. But to sleep better at night, we choose not to see the ugliness that goes into "protecting American interests" or keeping our gas cheap.

To hold the President and Congress accountable for the military action they authorize on our behalf requires us to care. And caring that much can be exhausting.

I find myself wondering: How many children have we left face down in the sand in my lifetime?

In 2002, a U.S. helicopter mistakenly bombed a house full of wedding guests in Afghanistan, killing more than 30, including children. The Guardian reported one little girl, Paliko, was brought to the hospital still wearing her party dress. Her entire family had been killed in the attack.

This is what war looks like -- still.

The world's weaponry is more sophisticated but the carnage hasn't changed. Just our willingness to see it. There are times in which military strikes cannot be avoided and in those times we should mourn. Homes will be destroyed. Families will lose loved ones. Children will one day go outside to play and they may never come home.

It's not just the U.S. and its allies whose military strikes end up hitting children. In Syria two dozen children were killed when bombs fell on their elementary school in April. The U.N. says, in fact, that some 10,000 children have been killed in that country's civil war.

Yesterday four young boys, all cousins, none older than 11, went outside to play hide and seek on a beach in Gaza. Now their parents are having funerals.

One boy had part of his leg blown off and was severely burned, according to The New York Times. Nearby a smaller one with curly hair laid motionless in the sand. When you look at the pictures from this tragedy -- the beautiful blue water, waves in the distance racing to shore -- one can only imagine what a wonderful day it must've been for them. The smiles. Laughter. And then nothing.

This, too, is war. And I must remember not to allow proximity to dictate my reaction to the loss of life, especially life so young. When our newspapers and televisions were flooded with horrific images from the Vietnam War, we responded passionately. We don't show the gruesome images and dead bodies like that anymore, and culturally we have grown apathetic.

Politicians mock diplomacy or talk about airstrikes in the same tones in which you ask your spouse to pick up milk from the store. We must remember Paliko, think about the four little boys on the beach, consider the countless other children whose blood still stains our well-meaning but sometimes clumsy hands. The photo of a man carrying a lifeless young body through the sand struck a nerve for many of us around the country. I pray going forward that visceral response continues to be the country's reaction whenever we hear talk of war from our politicians.

In war there are no clean lines.

There are no safe beaches to play on.

There is no safety.

In 2012, a U.S. Army sergeant walked more than a mile from his base late one night and killed 16 unarmed Afghans, nine of them children, in their homes. His attorney said the officer suffered a mental breakdown while serving the last of his four deployments to Iraq and Afghanistan. He was sentenced to life in prison while the victim's families serve out a different kind of life sentence.

This is all part of war.

And it's as horrible as it sounds.

@highlight

LZ Granderson: 4 boys killed while playing on Gaza beach attacked by Israeli forces

@highlight

LZ: We weep, but should consider: U.S. has inflicted this kind of collateral damage, too

@highlight

He says we tend not to feel responsible for distant carnage inflicted for U.S. interests

@highlight

LZ: We should remember our visceral reaction today next time our politicians beat war drums