Under unprecedented scrutiny over its human rights record, North Korean officials met with a UN human rights investigator this week for the first time in 10 years.

Marzuki Darusman, the United Nations Special Rapporteur on the situation of human rights in North Korea, said he met "unexpectedly" with the delegation for about an hour on Monday. North Korean officials proposed the possibility of arranging a visit by human rights officials to the country.

He said they also raised concerns about the UN resolution on possible consequences against North Korea.

Darusman said the timing of the sudden meeting with the officials was "notable."

Human rights pressure

Murder, torture, slavery, sexual violence, mass starvation -- North Korea's leaders have been accused of employing all sorts of abuses to prop up the state and exercise control over its citizens.

Citing such violations, North Korea's human rights situation should be referred to the International Criminal Court (ICC) along with the consideration of further sanctions, according to a report Darusman submitted to the UN General Assembly on Tuesday.

The EU and Japan have authored a draft resolution calling for similar penalties. Darusman said the UN has to come up with a way to act on the North Korea human rights violations in a coordinated way.

His comments come at a time when North Korea has gone on a publicity blitz. Its diplomats have fanned the globe in an attempt to soften its image, with its officials taking questions from journalists, speaking in public and offering talks with South Korea, Japan and the European Union. In what was viewed as a gesture of goodwill, North Korea even released detained American, Jeffrey Fowle last week.

But that didn't appear to sway Darusman.

"I welcome these signs of increased engagement by the DPRK with the Human Rights Council and international community, and I hope they will bear fruit," Darusman said. "But these must be premised on a more fundamental acknowledgement of the scale of the problems and must not divert from efforts to ensure the accountability of those responsible."

Recent pressures

North Korea has made the following overtures this month:

-- It is holding talks with Japan's delegates in Pyongyang regarding Japanese citizens abducted decades ago. Earlier this year, Japan eased several of its sanctions in exchange for information about Japanese citizens who were abducted by North Korea during the Cold War. That report has yet to be issued.

-- North Korea had scheduled talks with South Korea for Thursday, but that appears to have been canceled. Pyongyang officials sent a notice saying that the South wasn't creating conditions for a better relationship. The Unification Ministry in South Korea said the meeting would be difficult to hold at this point.

-- North Korea has also suggested that it would be open to restarting nuclear talks, which would include the United States. It released U.S. citizen, Fowle from detention, although two others remain in North Korea.

-- It has extended offers to talk about its human rights to the EU.

North Korea's stance

North Korean officials, like Jang Il Hun, its ambassador to the U.N. have defended the country's human rights.

The international community is "making very great fuss about human rights violations" and discussions persist about "referral of the international criminal justice mechanism and bringing those responsible at the highest level of the state to justice," he said in a rare public address last week in New York at the Council on Foreign Relations

This year, a scathing U.N. Commission of Inquiry report was published, cataloging North Korea's abuses that the authors said amounted to crimes against humanity. It recommended prosecuting North Korea's leaders at the ICC for such crimes including torture, extensive political prison camps and other abuses.

'Abundant evidence' of crimes against humanity

"We totally and categorically reject the contents of the report. None of such violations exist in my country, and in no way can they exist, also," Jang said.

In order to charge North Korean leaders, the move would have to be approved by the U.N. Security Council. If the matter escalates to that level, statements by Chinese officials indicate that China, a permanent member of the Security Council, is likely to veto the referral.

Underlying tensions

Critics say North Korea's overtures are meant to deflect a coordinated international effort against the country.

"They see a steady drumbeat of anger in the international community at North Korea's human rights abuses and they're worried it may actually come to fruition in terms of something quite substantial," said Victor Cha, a former director for Asian Affairs at the White House under former President George W. Bush.

The United States military has also viewed North Korean actions with skepticism.

"They've reached out to other countries, that has been a bit of a change," said General Curits Scaparrotti, combined forces commander of U.S. forces in South Korea.

"Right underneath that, at the same time, they continue to pace their development of missile systems, their nuclear systems, other asymmetric means and working hard at that."

Prison camp escapee: North Korea won't change its repressive ways

@highlight

UN investigator meets North Korean officials for first time in 10 years

@highlight

Special Rapporteur "unexpectedly" met with officials for about one hour

@highlight

North Korea has gone on publicity blitz this month, critics say to generate goodwill

@highlight

North Korean diplomat: Human rights in North Korea is fine