I grew up in a Philadelphia suburb called Doylestown. Actually when my parents — Philadelphia natives — first moved there in the late 1970s, it barely qualified as a suburb; cornfields and dairy farms still filled the open land around the quaint Victorian town center.

It was, I recognize now, a lovely place to be a kid, if incredibly boring during the actual process of growing up. But even then I knew it was one thing: safe. There was little violent crime to speak of, especially compared with the crumbling city my parents had left. Blood-soaked local newscasts during the 1980s made it seem as if murder were Philadelphia's No. 1 product — and the City of Brotherly Love, where homicides peaked at 503 in 1990, was hardly alone in being seen by Americans as fundamentally unsafe.

It was the underlying message of nearly every TV cop show and film thriller made through the 1980s and '90s: The city is dangerous, and you're lucky to get out alive.

Many of America's cities have become much safer in the years since, for reasons that range from better policing to the slowdown of the crack epidemic of the 1980s to the removal of lead from the environment. Even in Philadelphia, where the economy is still struggling and population has never recovered from the urban flight of the 1970s and '80s, there were 329 murders in 2012, down significantly from the worst years a couple of decades ago.

Other cities have experienced even more astounding turnarounds: in New York, where I live now, there were just 414 homicides in a city of 8.2 million, the lowest number in more than half a century.

But those statistics aren't convincing the country that cities are getting safer: a 2011 Gallup poll found that most Americans continue to believe that the nation's crime rate is getting worse, even though there's been a sharp and sustained drop in murders and other violent assaults since the mid-1990s. Perception — no doubt fueled in part by the media — beats reality.

But even with crime down, surely it's still safer to live in the quiet countryside than it is in the city? It turns out that's not true. According to a new study (PDF) published today in the Annals of Emergency Medicine, large cities in the United States are significantly safer than rural areas. The risk of injury death — which counts both violent crime and accidents — is more than 20% higher in the countryside than it is in large urban areas.

"Perceptions have long existed that cities were innately more dangerous than areas outside of cities, but our study shows this is not the case," said the lead author, Dr. Sage R. Myers of the University of Pennsylvania and the Children's Hospital of Philadelphia in a statement. Far from being violent death traps, a large city might just about be the safest place to live in the United States.

TIME.com: Get the lead out of poor countries

Now it's true that the risk of homicide is greater in big cities than it is in the countryside. But the study, which analyzed 1,295,919 deaths from injury between 1999 and 2006, found the rate of dying from an unintentional injury is over 15 times higher than that of homicide for the population as a whole.

Whether you live in rural areas or the city, you're much less likely to die from a gunshot wound — either from someone else or self-inflicted — than you are in a simple accident. Especially car crashes, which make up the bulk of unintentional injury deaths — motor-vehicle-injury-related deaths occurred at a rate that is more than 1.4 times higher than the next leading cause of death.

The study doesn't attempt to explain why injury death is more common in rural areas than large urban ones, but some of the statistics are telling.

The risk of firearm-related death showed no difference across the rural-urban spectrum for the population as a whole, but varied when divided up by age — firearm deaths were significantly higher for children and people ages 45 and older, while for people ages 20 to 44, the risk of firearm deaths were much higher in urban areas. I'd wager some of that comes down to differences in gun ownership: more households have firearms in rural areas than in urban ones, and sadly, too many gun owners keep their firearms where their children can reach them. The result can be tragic. At the same time, the bulk of victims killed by homicide are young men, according to FBI statistics. And they are more likely to be shot and killed in the cities.

TIME.com: Ranking North America's greenest cities

But guns — whether used accidentally or with intent — are much less likely to be the cause of death than another tool: cars. And people drive more, drive longer, drive faster and drive drunker in rural areas than in urban ones, where they can walk or take public transit.

Motor-vehicle crashes led to 27.61 deaths per 100,000 people in most rural areas, and just 10.58 deaths per 100,000 people. Those are stark statistics, and they don't even take into account the cardiovascular benefits that may accrue to urbanites who spend more time walking than riding in cars. It's not for nothing that New Yorkers, who live in the densest urban area in the U.S., live about 2.2 years longer than the national average.

Of course, not all cities are equally safe — Chicago has seen a terrifying rise in gun deaths in recent years, and there's nothing safe about a bankrupt and broken city like Detroit, where it can take 58 minutes on average for police to answer a 911 call. (Even there most urban areas have an advantage, though — you're likely to be much closer to the nearest hospital in a dense city than the spread-out countryside, and minutes matter when it comes to trauma.)

But the numbers don't lie — as scary as we may think urban crime is, the threats that are prevalent in rural areas are statistically more dangerous. We already know that the best way to shrink your carbon footprint is to move to a dense city. Now it turns out that it might be the best way to stay alive too.

This story was originally published on TIME.com

@highlight

The risk of injury death is more than 20% higher in the country than it is in urban areas

@highlight

Most Americans believe that the nation's crime rate is getting worse

@highlight

You're much less likely to die from a gunshot wound than you are in a simple accident