(CNN) -- The U.S. State Department has broadened its travel warning for Mexico, advising citizens to avoid certain areas and steer clear of driving at night.

The new alert, issued late last week, urges Americans to defer nonessential travel in regions where drug-related violence has surged, including the border state of Tamaulipas and the central state of Michoacan.

It also warns against nonessential travel in parts of eight other states, significantly expanding the scope of an alert issued in September.

"There's pretty much no state that hasn't been touched by this. ... We've seen some major, high-value cartel targets that have been taken down by the Mexican government, but that doesn't appear to have quelled a lot of the violence," said Fred Burton, vice president of the Stratfor global intelligence agency. "We see no short-term end in sight."

The State Department notes that millions of U.S. citizens safely visit Mexico every year. But it also says Mexico's ongoing violence and security concerns pose "serious risks" for U.S. citizens, and urges travelers to take precautions.

"To reduce risk, you are strongly urged to travel only during daylight hours throughout Mexico, to avoid isolated roads and to use toll roads whenever possible," the advisory says.

Americans with connections to Mexico had mixed reactions to the latest assessment of travel south of the border.

Friday's warning was "a major red flag" and "quite a bit more expansive" than past alerts, said Kathleen Fairfax, vice president for global education at Arizona State University.

"We don't have armored cars like the government does," said Fairfax, who noted that school officials will meet this week to discuss how the new guidelines might affect study-abroad trips.

But reports of violence can be overblown, the leader of an expatriate group in Mexico said, describing his trip last month to a butterfly sanctuary in Michoacan, a stronghold of Mexico's La Familia cartel.

"I felt totally safe there. We had no problem at all. You have to be mindful of what's going on, but there aren't people attacking anybody, especially expats," Howard Feldstein said.

The 69-year-old retired small-business owner from Denver, Colorado, heads the Lake Chapala Society, an expatriate community center in the Mexican state of Jalisco with more than 3,000 members. The country remains a "great place to retire," he said, despite security concerns.

"Life goes on. The people that live here do not live in fear of moving around freely. We're just, perhaps, more cautious," he said.

Mexico's government has not issued an official response to the latest U.S. alert.

Tourism officials have repeatedly stressed that violence occurs mostly in areas along the border that are far from Mexico's popular landmarks and beaches.

"We should not take the issue out of context," Rodolfo Lopez Negrete, chief operating officer of the Mexico Tourism Board, said in a recent interview. "The distances are very, very great. You wouldn't stop going to New York because of a problem in Dallas."

But Burton, of Stratfor, said the latest U.S. State Department alert shows "the unpredictability of where this violence could happen next."

"The fear is that as you are traveling the highways inside Mexico, that you could be victimized in some sort of roving roadblock," he said.

Blocking major thoroughfares to prevent police and military reinforcements from arriving has become an increasingly common tactic employed by drug gangs across Mexico.

The State Department advisory warns of carjacking and highway robberies and notes, "Violence along Mexican roads and highways is a particular concern in the northern border region."

Drug cartel members blocked roads with hijacked vehicles in the border states of Nuevo Leon and Tamaulipas over two days in March. During clashes with federal police in December, suspected members of La Familia set trucks and buses ablaze on highways in Michoacan.

Mexican government figures indicate more than 34,600 people have been killed in drug-related violence in Mexico since President Felipe Calderon announced a crackdown on cartels in December 2006.

The number of U.S. citizens killed in Mexico increased from 35 in 2007 to 111 in 2010, the State Department said.

More than a third of the 2010 reported slayings of U.S. citizens occurred in the border cities of Ciudad Juarez and Tijuana, according to the State Department.

"There is no evidence that U.S. tourists have been targeted by criminal elements due to their citizenship. Nonetheless, while in Mexico you should be aware of your surroundings at all times and exercise particular caution in unfamiliar areas," the alert says.

Friday's warning also specifies dangers and advises against nonessential travel in parts of the states of Durango, Chihuahua, Coahuila, Jalisco, San Luis Potosi, Sinaloa, Sonora and Zacatecas.

Travelers should exercise caution visiting parts of Baja California, Guerrero, Nayarit and Nuevo Leon, the advisory says.

CNN's Rafael Romo contributed to this report.

@highlight

The alert singles out some Mexican states and warns U.S. citizens to drive during daylight

@highlight

A security analyst says there is "no short-term end in sight" to drug violence

@highlight

One U.S. university official calls the new warning a "major red flag"

@highlight

An American retiree living in Mexico says people "do not live in fear"