(CNN) -- It's been nearly two years since Jose Antonio Elena Rodriguez was shot dead, but the Mexican teenager's family still doesn't know who pulled the trigger.

Now his mother and the American Civil Liberties Union say the U.S. Border Patrol agents who they accuse of gunning him down must be brought to justice. In a federal lawsuit filed Tuesday, they argue that the agents, who haven't been identified, used excessive force when they opened fire.

Elena Rodriguez was 16 when he was found face-down in a pool of his own blood on the Mexican side of the border in October 2012.

His family says there's only one way to describe the shooting: as a crime.

"We want to know the names. We want to know who they are. ... those who killed him, because they are criminals," grandmother Taide Elena said.

In addition to demanding a jury trial, the lawsuit also seeks punitive damages and a declaration that the Border Patrol agents violated the Constitution.

At the time of the shooting, the U.S. Border Patrol said agents in Nogales, Arizona, opened fire after people on the Mexican side hurled rocks their way.

Tuesday's lawsuit, filed by the ACLU on behalf of Elena Rodriguez's mother, describes the 16-year-old as an innocent bystander, calling his killing "brazen and lawless."

"Just prior to the shooting, Jose Antonio was visible and not hiding; an observer could see that he did not pose a threat. He was doing nothing but peacefully walking down the street by himself when he was gunned down," the lawsuit says. "He was not committing a crime, nor was he throwing rocks, using a weapon, or in any way threatening U.S. Border Patrol agents or anyone else."

An autopsy report from the state attorney general's office in Sonora, Mexico, last year said Elena Rodriguez was shot at least 10 times. Most of the bullets hit him in the back, according to the report.

The teen, according to the lawsuit, was walking on a sidewalk along the border -- just a few blocks from his home in Nogales, Sonora -- when he was shot dead by the Border Patrol.

Attorney Luis Parra told CNN the lawsuit is the family's only recourse.

"There is no other way in which the family can seek justice. There is no other alternative. ... What happened was an egregious act of violence and it should never happen again," he said.

Border Patrol spokesman Andy Adame declined to comment to CNN en EspaÃ±ol on Tuesday, saying the agency does not comment on pending litigation.

The lawsuit is the latest twist in a case that drew sharp condemnation from the Mexican Foreign Ministry and caught the attention of the United Nations' top human rights official.

Lee Gelernt, a lawyer for the ACLU, said there's a key question with national importance at the heart of the case: "Can a U.S. Border Patrol agent shoot into Mexico and kill a Mexican national and say that the U.S. Constitution doesn't protect you?"

Border Patrol: Smugglers spotted before shooting

Citing preliminary reports of the 2012 shooting, the Border Patrol said at the time that agents saw smugglers drop drugs on the U.S. side of the border in Nogales, Arizona, then return to Mexico.

"Subjects at the scene then began assaulting the agents with rocks," the Border Patrol said in a written statement at the time.

"After verbal commands from agents to cease were ignored, one agent then discharged his service firearm," the Border Patrol said. "One of the subjects appeared to have been hit."

After the shooting, Mexico's Foreign Ministry argued that it was the latest in a series of cases that showed U.S. border patrol agents were unnecessarily -- and unjustly -- using deadly force.

U.N. High Commissioner for Human Rights Navi Pillay said in 2012 that the United States was using excessive force along the border. "There have been very many, many, young people, teenagers, who have been killed at the border," Pillay said then, calling for a swift, transparent investigation.

In May, U.S. Customs and Border Protection said it was changing its use of force policies, requiring more training and increased transparency.

The Border Patrol has not released the results of its own investigation into the October 2012 case, nor the names of the agents involved.

ACLU: U.S. agents have 'systemic problems of abuse'

In addition to allegations about the October 2012 shooting, Tuesday's lawsuit also alleges that U.S. Border Patrol agents have "systemic problems of abuse."

"The Border Patrol consistently denies public access to basic information about its operations, including whether agents responsible for abuse are disciplined in any way, thus shielding the agency and individual agents from public accountability for abusive policies and practices," the lawsuit says. "Even after many fatal shooting incidents involving Border Patrol agents, the agency has refused to release the names of those involved."

The lawsuit alleges that Border Patrol agents caused 46 deaths nationwide from 2005 to 2014, citing media reports and government data.

A report by the Police Executive Research Forum released by U.S. Customs and Border Protection in May said investigators had reviewed 25 cases from January 2010 to October 2012 that involved shots fired by Border Patrol agents who were attacked by rocks. The report did not provide details about the October 2012 incident.

"Some cases seemed to be a clear-cut self-defense reaction to close and serious rock threats or assaults, while other shootings were of more questionable justification," the report says.

"More questionable cases," according to the report, involved shootings that took place through the border fence "at subjects who were throwing rocks at agents from Mexico."

Mexico condemns Border Patrol's lethal force against migrant

Journalist Valeria Fernandez and CNN's Amanda Watts and Rafael Romo contributed to this report.

@highlight

ACLU: Shooting Jose Antonio Elena Rodriguez was "brazen and lawless"

@highlight

The Border Patrol has said the shooting was in response to rocks thrown

@highlight

A lawsuit filed on behalf of the 16-year-old's mother asks for damages

@highlight

Grandmother: "We want to know who...killed him, because they are criminals"