Washington (CNN) -- The White House and House Speaker John Boehner's office announced Thursday they reached agreement for President Barack Obama to address a joint session of Congress on September 8, resolving a dispute that temporarily overshadowed the focus of the planned speech -- job creation and economic growth.

In simultaneous statements, Boehner's spokesman said Obama had been invited to give his speech at 7 p.m. ET next Thursday and the White House said the invitation was accepted.

The agreement concluded an unusual spat over the usually non-controversial act of scheduling a presidential speech to Congress. The situation left Obama and the White House struggling to focus attention on the jobs package he will present rather than a backroom showdown that some labeled as childish and nonsense.

On Wednesday night, the White House agreed to move Obama's address back one day -- from September 7 to September 8 -- after Republican complaints and follow-up consultations with Boehner.

The story generated front-page media coverage Thursday that highlighted the dispute and generated harsh criticism of how the situation was handled.

"This really is just a new indicator, really a new low, about how dysfunctional the atmosphere in Washington, D.C., is," CNN political contributor John Avlon said.

Republican presidential candidate Jon Huntsman said on NBC's "Today" show that the scheduling spat was "nonsense" and showed what people "hate about politics."

White House Press Secretary Jay Carney downplayed the dispute to reporters, saying the American people "do not give a lick about what day next week the president speaks before Congress."

Obama decided this week that he wanted to deliver his speech on job creation to a joint session of Congress, and September 7 was the first day that both the House and Senate would be in session after their summer recess, Carney said.

"Wednesday was the soonest possible day upon their return from recess," Carney said of the date sought by Obama. Of moving the speech back a day, Carney said: "Thursday is fine."

Asked about what Obama will say in the speech, Carney refused to provide specifics, but said that "if members of Congress come back focused on the need to grow the economy and increase hiring, they will believe this is a good proposal."

A White House statement Wednesday night attempted to sum up the episode as a professional misunderstanding.

"Today, the president asked to address the Congress about the need for urgent action on the economic situation facing the American people as soon as Congress returned from recess," the statement said. "Both Houses will be back in session after their August recess on Wednesday, September 7th, so that was the date that was requested. We consulted with the speaker about that date before the letter was released, but he determined Thursday would work better."

If only it had been that smooth. What actually happened was a day of back-and-forth accusations that dominated the news cycle and portrayed Washington as unable to work out relatively straightforward scheduling agreements, let alone major policy and legislative packages on job creation and deficit reduction.

Aides from both parties, almost all of them speaking on condition of not being identified, tried to portray the other side as the culprit. Republicans said Boehner's office was never consulted before the White House announced around noon Wednesday it was requesting the joint session at 8 p.m. on September 7.

That timing conflicts with a Republican presidential debate at the Reagan Library in California. In a letter to Obama later in the day, Boehner complained the White House's request would leave insufficient time for a security sweep of the premise following the first House legislative session after its return from the summer recess.

In response, a senior White House official said Chief of Staff Bill Daley spoke with Boehner an hour in advance of going public with the request, and that no objections were raised.

A Boehner aide said Thursday that during that phone conversation, Daley told Boehner the specific date and time in the letter but never specifically asked for Boehner to either approve or disapprove at that moment.

In moving the speech to September 8, the White House faced the possibility of conflicting with the opening game of the National Football League schedule -- an event particularly anticipated this year because of the labor dispute that once threatened to cancel the season. However, Carney said Obama would finish before the football game began.

Another source, a senior White House official, said the decision to change the date, rather than challenge the Republican opposition to September 7, was based on a desire to focus the debate on job creation instead of a scheduling fight.

The White House statement Wednesday night tried to emphasize what Obama will say in the speech.

"The president is focused on the urgent need to create jobs and grow our economy, so he welcomes the opportunity to address a joint session of Congress on Thursday, September 8th and challenge our nation's leaders to start focusing 100% of their attention on doing whatever they can to help the American people," it said.

On Thursday, the Economic Club in Washington announced Boehner will address the group on September 15, a week after the president's speech. A Boehner spokesman said the topic will be jobs and the economy.

Initially, the dispute over the timing of Obama's speech focused on logistics.

Events like the president's State of the Union address typically involve as much as four to six weeks of lead time and consultation, with a series of meetings among police, Secret Service officials and others, a Republican aide noted, and Boehner's letter to Obama complained the president's proposed timing would make it impossible to complete proper security steps in Congress.

The conflict then shifted to consultation, specifically who did or didn't properly notify the other side.

A White House official said Boehner's office was consulted and raised no objection. That prompted Boehner spokesman Brendan Buck to insist that "no one in the speaker's office -- not the speaker, not any staff -- signed off on the date the White House announced today."

"Unfortunately, we weren't even asked if that date worked for the House," Buck said. "Shortly before it arrived this morning, we were simply informed that a letter was coming. It's unfortunate the White House ignored decades -- if not centuries -- of the protocol of working out a mutually agreeable date and time before making any public announcement."

A senior Democratic aide familiar with scheduling such events in previous administrations said "the childish behavior coming out of the speaker's office today is truly historic."

"It is unprecedented to reject the date that a president wants to address a joint session of the Congress," the senior Democratic aide said. "People die and state funerals are held with less fuss, so the logistics excuse by the speaker's office is laughable. Yes, consultation always occurs, but the president always gets the date he wants."

Meanwhile, an aide to House Minority Leader Nancy Pelosi said Boehner didn't consult with House Democratic leaders about seeking a new date for Obama's speech.

Obama's request for a September 7 speech was accepted by the leadership of the Democratic-controlled Senate, according to a Democratic Senate leadership aide. However, approval of leaders from both chambers of Congress is required for such a presidential request to be accepted.

The address to Congress is intended to provide a prime-time platform for the rollout of his highly anticipated job growth plan.

"Our nation faces unprecedented economic challenges, and millions of hard-working Americans continue to look for jobs," Obama said in a letter sent earlier Wednesday to Boehner and Senate Majority Leader Harry Reid, D-Nevada.

"As I have traveled across our country this summer and spoken with our fellow Americans, I have heard a consistent message: Washington needs to put aside politics and start making decisions based on what is best for our country and not what is best for each of our parties in order to grow the economy and create jobs. We must answer this call."

The national unemployment rate currently stands at 9.1% -- a figure all but ensuring that the state of the fragile economy will remain the dominant issue of the 2012 presidential campaign.

CNN's Brianna Keilar, Deirdre Walsh, Kate Bolduan, Jessica Yellin and Alan Silverleib contributed to this report.

@highlight

NEW: Obama's speech will be at 7 p.m. on September 8

@highlight

Carney says Obama decided this week to deliver his jobs speech in Congress

@highlight

A dispute on the timing of the speech dominates media coverage

@highlight

Boehner balks at Obama's original request to speak on September 7