(CNN) -- After a seven-week lull following the botched execution of an Oklahoma man, executions resumed in the United States this week with three men put to death over 24 hours -- one in Missouri, one in Georgia and one in Florida.

Three more are scheduled to die by lethal injection in the next five weeks, and more than 3,000 men and women await execution in the 32 states where it's currently legal and in three others where it's no longer used for new crimes but still on the books for existing convictions.

But major legal and technical considerations will continue to surround the issue for the foreseeable future. Here's an update on the most important issues:

Oklahoma's death penalty remains on hold while investigators look into the death of Clayton Lockett

The convicted murderer's gruesome death in April brought fresh attention to the death penalty debate, for a rare presidential comment on the issue and a Justice Department review of state death penalty practices.

Lockett, who was convicted in the 1999 death of an Oklahoma woman who was buried alive after being raped and shot, died on April 29 of an apparent heart attack after the vein that was to have carried fatal doses of three drugs into his body collapsed.

It took 43 minutes for him to die, according to a timeline provided by Oklahoma officials.

While state officials said Lockett remained unconscious the entire time, a media witness for KFOR said he uttered the words, "Man," "I'm not," and "something's wrong," before blinds to the execution chamber were closed.

His lawyer, Dean Sanderford, said the inmate's body twitched and convulsed before he died.

The state Department of Public Safety, acting on orders from Gov. Mary Fallin to get to the bottom of what happened, is investigating whether prison officials followed protocols. The review is also supposed to include recommendations about how to prevent something similar from happening again.

Capt. George Brown, a Department of Public Safety spokesman, said investigators continue to interview people while awaiting the autopsy report into Lockett's death.

The governor has made clear that the state won't carry out any more executions until the review is complete, Fallin spokesman Alex Weintz said.

"It will get done when it gets done, but at the same time, there's no reason it would take until November," he said this week.

Oklahoma's botched lethal injection marks new front in battle over executions

We'll have more debate over the drugs used to carry out lethal injections, and where they come from

One of the big problems with executions lately involves the drugs used. After many manufacturers stopped producing drugs suitable for executions or blocked their use in capital punishment, states have had to turn to new drugs and new sources.

Lockett's execution, for instance, used an anesthetic called midazolam, which has been used in only a few executions. Some experts say it may not put inmates under as completely as other drugs that have been used in executions, such as sodium thiopental or pentobarbital.

That's a particular problem in multidrug executions, as experts say the second and third drugs frequently administered can cause pain while paralyzing a potentially still-conscious inmate, said Richard Dieter of the Death Penalty Information Center

When Georgia put a man to death late Tuesday, executioners reportedly used pentobarbital, a powerful barbiturate that's frequently used to euthanize animals.

And while that execution went off without complication, Dieter said it doesn't mean we're likely to see a rush toward a single-drug execution protocol called for in a recent report by the Constitution Project.

That's because there are problems with all of the drugs used in single-drug executions.

Sodium thiopental isn't available anymore, and it appears that states can get pentobarbital only from controversial compounding pharmacies, which aren't federally regulated, raising questions about quality and potency.

We don't exactly know where states like Georgia are getting the drug because they've passed secrecy laws shielding their sources, raising concerns among death penalty opponents that the drugs could be poorly made and cause inmates pain and suffering during their executions.

The secrecy laws have also made it tough on defense lawyers trying to argue that lethal injection causes a painful death. Courts have ruled that condemned inmates don't have a right to know what drugs will be used to kill them, said Fordham University law professor Deborah Denno, who has extensively studied the lethal injection debate.

"Departments of correction are becoming so secretive that lawyers can't get enough information to litigate a case," she said. "It's a Catch-22."

Death penalty fast facts

Still, some analysts say other factors will probably continue to slow use of the death penalty

Many polls show declining support among Americans for the death penalty. In February, the Pew Research Center, for instance, said the number of respondents who said they strongly favored the death penalty fell was 18%, down 10 percentage points from two years before.

A number of states have stopped using capital punishment, including Illinois, which abolished it in 2011.

Connecticut, Maryland and New Mexico are no longer handing out death sentences, but existing sentences may be carried out. In other states, such as Oregon, Washington and Colorado, the law is still on the books but governors have declared a moratorium on its use, according to the Death Penalty Information Center.

Death penalty in the United States gradually declining

And then there's the not-so-subtle pressure from U.S. allies in Europe, where the death penalty isn't used. They've raised the issue as a black mark on the U.S. human rights scorecard.

While such pressure hasn't made a huge difference, it could be on the mind of President Barack Obama, who after Lockett's death ordered the Justice Department to add a review of state execution protocols to its existing study of the federal death penalty, which also is on hold.

In May, Obama reminded reporters that he had previously said some crimes -- mass killings and the murders of children -- may warrant the death penalty.

"But I've also said that in the application of the death penalty in this country, we have seen significant problems -- racial bias, uneven application of the death penalty, situations in which there were individuals on death row who later on were discovered to have been innocent because of exculpatory evidence," Obama said. "And all these I think do raise significant questions about how the death penalty is being applied. And this situation in Oklahoma I think just highlights some of the significant problems there."

It's not clear there's much Obama or the Justice Department could do to limit how states approach lethal injection, an issue the Supreme Court has addressed just once -- in 2008 -- and which courts seem hesitant to reopen, according to Denno.

Some states have taken on the issue themselves. Tennessee, for instance, said it will just electrocute inmates if it can't get the drugs it needs for lethal injection.

But a sitting president's involvement in the issue, along with whatever comes out of the Justice Department review, could set the table for new court battles and a more intense debate over the uncertain future of the death penalty, Dieter said.

That's especially true, he said, if another state struggles to put an inmate to death.

A sea change, he said, "could be just one more problematic execution away."

Florida man put to death in 3rd U.S. execution in 24 hours

Georgia execution is first since botched Oklahoma procedure

Opinion: Can you be pro-life and pro-death penalty?

@highlight

Questions raised by botched Oklahoma lethal injection remain unanswered

@highlight

Seven weeks after that death, Oklahoma is still investigating what happened, officials say

@highlight

A big issue involves the drugs used in executions, and where states are getting them

@highlight

Policy shift "could be just one more problematic execution away," expert says