Los Angeles (CNN) -- A high-frequency radar in California detected the March 11 tsunami that devastated Japan, raising hopes for the development of a new early warning system, a University of California at Davis oceanographer said.

It was the first time a tsunami has been observed on radar, said Professor John Largier, an oceanographer at the University of California at Davis and an author of a new paper describing the work.

"We have the hardware set up. We have the system operational. It's a software challenge that we show we can achieve" for the West Coast, Largier told CNN Tuesday. His paper appears this month in the journal Remote Sensing.

A consortium of universities in California already has a high-frequency radar system set up for the West Coast to detect changes in the ocean's currents. To develop an early warning system for tsunamis on the West Coast, software would be needed, Largier said.

Such a detection system could provide a 15-minute warning for a tsunami approaching northern California and an early warning of an hour for southern California, where the shallow continental shelf along the coast is bigger, Largier said.

The U.S. East Coast and southeast Asia would have to set up a system and software from scratch, but an early detection system could provide an hour's warning for the Eastern Seaboard and several hours for southeast Asia, where the coastal shallow waters are much bigger, Largier said.

For the past decade, Largier and his colleagues have used a high-frequency radar array at the university's Bodega Marine Lab to study ocean currents off California. That radar array is state-funded, but researchers are concerned about the costs of continuing to operate it, Largier said.

Researchers from Hokkaido and Kyoto universities in Japan and San Francisco State University and Largier used data from radar sites at Bodega Bay; Trinidad, Calif.; and two sites in Hokkaido, Japan, to look for the tsunami offshore.

The radar doesn't pick up the actual tsunami but rather changes in currents as the wave travels, the scientists said.

As the waves enter shallower coastal water over the continental shelf, they slow down, increase in height and decrease in wavelength, the scientists said.

@highlight

A tsunami has been observed for the first time on radar, an oceanographer says

@highlight

That was the March 11 tsunami that devastated Japan

@highlight

The West Coast already has a high-frequency radar system for the ocean

@highlight

Southeast Asia, parts of the U.S. East Coast would have to build radar systems from scratch