(CNN) -- Ebola is now a big enough concern that the American people deserve some straight answers. And judging from the latest polling, plenty of people will be listening to what they are.

On Wednesday, the Pew Research Center reported that more than twice as many Americans were paying attention to Ebola as were paying attention to the midterm elections (36% to 15%). In fact, Ebola placed higher than ISIS and the firing of the Secret Service director in terms of public attention.

This is hardly surprising: The public is bound to want to know more about potentially fatal epidemics that seem to come from nowhere and have a high fatality rate. Indeed, Gallup reported Tuesday that one-in-five Americans worry about becoming infected with Ebola.

Public fear is only likely to increase when the government seems confused and its story keeps changing. Just look at the early reaction to the spread of the disease.

As recently as September 16, President Barack Obama said at the Centers for Disease Control and Prevention that: "I want the American people to know that our experts, here at the CDC and across our government, agree that the chances of an Ebola outbreak here in the United States are extremely low."

The President went on to promise: "We've been taking the necessary precautions, including working with countries in West Africa to increase screening at airports so that someone with the virus doesn't get on a plane for the United States." He also characterized the chance of someone with Ebola reaching the United States as an "unlikely event."

Fast forward less than a month, and someone infected with Ebola came from Liberia, via Brussels, to the United States (and has sadly since died). Clearly, the system of screening in place failed.

During his CDC visit, the President also announced that some 3,000 American service men and women would be dispatched to fight Ebola in West Africa, a region where epidemiologists have estimated there could be between 550,000 and 1.4 million Ebola cases in Sierra Leone and Liberia alone by the end of January 2015.

The experience of U.S. troops in Liberia a decade ago is a reminder of the additional risks American troops face when sent to places where dangerous diseases are widespread; roughly a quarter of American troops sent to Liberia in 2003 reportedly contracted malaria.

Yet the administration seems not to have properly thought through how it will treat members of the U.S. military who might contract Ebola while deployed fighting the epidemic in Africa. Asked Tuesday if the military was stockpiling ZMapp, the experimental treatment for Ebola, Gen. David Rodriguez, head of Africa Command, said the military was not because it had not yet been proven effective. But given Ebola's extremely high fatality rate, it is hard to imagine there would not be plenty of patients who would at least prefer to be given a chance to try it.

Meanwhile, the disease appears to have taken another country by surprise. Reporting on the case of a Spanish health worker who contracted the virus in Sierra Leone, NPR noted that: "A few months ago, Spanish officials were touting the country's ability to handle Ebola patients. ... But last night, the tone abruptly changed." Spanish officials said they had no idea how the aid worker had been infected since "as far as we know, she was wearing a protective suit the whole time and didn't have any accidental contact" with the patient.

So we have screening that didn't exist, a military commitment that is clearly inadequate but may put our troops at risk, and reassurances about suits that may not work. No wonder some U.S. senators are refusing to comment on the Obama administration efforts.

As The Blaze reported, "Sen. Mark Pryor, a second-term Democrat from Arkansas, stumbled badly this week when he admitted he isn't sure whether the Obama administration has done enough to protect Americans from Ebola, because he hadn't been briefed lately."

If a U.S. senator doesn't have a clue, it is little wonder so many Americans are suspicious that the Obama administration is once again drifting into failure, confusion and misinformation.

All this leaves the public with many legitimate questions that need answering: What is the risk to the young men and women we are sending into West Africa? How many of them will come home infected with Ebola, malaria and a variety of other tropical diseases?

What has to be changed at the National Institutes of Health to invest in new treatments for Ebola and a vaccine for prevention? What has to be changed at the Food and Drug Administration to fast-track Ebola-related medicines so we can save lives as rapidly as possible?

Can the Centers for Disease Control develop a genuine operational capability to project effective public health assistance into West Africa and bring the epidemic under control in countries with governments too weak to be effective?

Can we develop a screening process for passengers that is reliable and then insist that every person coming out of Ebola-infected areas be screened -- and, if necessary, quarantined?

The American people deserve candid and, most importantly, accurate answers to such questions on what is a potentially deadly and dangerous epidemic.

Complete coverage on Ebola

@highlight

Polls show Ebola of significant interest to Americans, Newt Gingrich says

@highlight

U.S. troops face extra potential dangers in West Africa, such as malaria, Gingrich notes

@highlight

Obama administration hasn't properly thought through its Ebola strategy, he says