(CNN) -- Steve Carlotta's family-owned camera store is struggling along with other mom and pop stores. But he's found a way to compete with Internet stores and big-box chains.

A sampling of one and five BerkShare notes, courtesy of Jason Houston Photography.

Carlotta's store accepts BerkShares -- a local currency in Great Barrington, Massachusetts. He credits it with helping keep local customers coming back to his store.

And as U.S. dollars and credit vanish in this economic crisis, more communities are looking into printing their own currencies.

This concept isn't new. During the Great Depression dozens of complementary currencies flourished as thousands of banks failed. Today, it's estimated there are at least 2,500 complementary currency systems around the world, says Bernard Lietaer, a co-founder of the Euro and a local currency proponent.  Watch how one town uses their own currency »

In the United States, there are alternative currency systems in California, Wisconsin, Oregon, Pennsylvania, Michigan and Massachusetts.

BerkShares are a form of local currency developed in the Berkshire region of Massachusetts two years ago.  About 350 merchants accept BerkShares in addition to U.S. currency.

People pay 95 federal cents to get one BerkShare or $95 for 100 BerkShares.

Complementary currencies are colorful slips of paper designed with images of local scenes or landmarks. People can use this currency to purchase local goods and services. It's designed to encourage locals to spend money within their own area.

Paul Glover, the founder of the Ithaca Hours complementary currency for use in Ithaca, New York, has been bombarded with requests to help set up local currencies around the country.

"As the economy has fallen apart, my phone has been ringing off the hook," Glover says from his home in Philadelphia, Pennsylvania.

Printing and distributing local currency isn't illegal. But there are rules, says Lewis Solomon, a law professor at George Washington University. First, the currency can only be paper; no coins are allowed. And the currency can't resemble a dollar. Finally, any income received in local currency must be taxed as if it were federal dollars.

While local currency may not be helpful outside a town's limits, residents say they use the money as a way of supporting their local community. Stephen Burke, the current director of Ithaca Hours, accepts the currency at his music store. He spends his Hours locally, too.

Some like to know they're helping a small business stay in business and compete with big chains that may not care about the community. "Recently people have begun to understand the value of spending money locally," Burke says.

And businesses, in turn, use local currency as a way to promote their connection to the community and build loyalty.

The 5 percent discount with BerkShares probably doesn't hurt either.

Susan Witt, the co-founder of BerkShares, has been consulting with officials from Newark, New Jersey, and nonprofit groups in New Orleans, Louisiana, and Alaska on how to start local currencies.

"The trouble in our global financial system has people very concerned," says Witt. "They don't know how to fix it. It seems out of their control. The concept of a citizen group taking responsibility for its own regional economy and finding a way to issue a medium for exchange in its own area is such a powerful image."

Gwen Colgrove, a retired teacher in Lehigh Valley, Pennsylvania, is trying to garner support for a local currency in her area. "I think the time is critical with the financial collapse," she says.

However, there are challenges. Some community members dismiss the idea of a local currency, arguing that it won't have much of an impact in a global economy. The local currency Colgrove is trying to launch is still only in the beginning stages. But thanks to the economy, residents are more enthusiastic about creating their own medium of exchange.

"If the economy were booming, people wouldn't be so interested," she says.

But creating a local currency isn't easy. First, there are the start-up costs. Witt's group spent $250,000 in grant money to create the BerkShares. There are costs associated with designing a currency, printing costs, the costs of educating residents and businesses. And maintaining the whole program is expensive. Witt estimates Newark could spend about $1 million in implementing a local currency.

And then there's the labor.

"You have to have someone at the helm. Someone who is paid." says Glover. "A lot of communities start out with dedicated people. They get it going, but because they are all volunteers, the reality of having created a financial institution sinks in. And eventually, they just get exhausted."

Just printing the right amount of local currency is difficult. If you print too much currency, there's the possibility of inflation. If you print too little, there are no economic advantages.

Glover admits he started out idealistically.

"When I started Ithaca Hours, I thought I was releasing money like doves of peace that would fly around and land on people's shoulders," he says.

Some economists are skeptical that complementary currencies will ever have much impact.

"They usually don't hold up too well, or too long," says Bert Ely, a banking analyst. "It's something that applies only in simple and closed situations. It lacks the flexibility and geographic breadth that currency has."

While there is a lot of idealism out there, local currencies usually break down, Ely says.

And since the early 1990s, there have been about a dozen local currencies that have failed in the United States.

To be sure, local currencies are a small part of the economic activity in a region. Witt estimates about $2 million in BerkShares that have circulated since the bills were first printed. She says currently there is about a 30 percent usage rate among residents.

Jon Zaglin, the director of the Humboldt complementary currency project in California, says there's about $130,000 in Humboldt currency that has been in circulation since 2005.

But advocates say that it's not the scale of the program that makes it important. It's about the connections that form around it.

"The bigger effect of BerkShares is the conversations it's elicited," Witt says.

"It's a way to network and have healthy conversations about money," Burke says. "Ithaca Hours acts as money, but there is something beyond that."

"It creates camaraderie," he says. "When someone comes into my store ... if they pay with a check or a credit card, we don't talk. But when someone uses Ithaca Hours, you start a conversation."

And that keeps customers coming back.

@highlight

Some communities are printing their own currency for local use

@highlight

It's legal as long as currency doesn't resemble U.S. dollars and is paper only

@highlight

Any income from business conducted in local currency is subject to taxes

@highlight

Some businesses say local currencies keep people spending locally