Amman, Jordan (CNN) -- Observers who for the first time were allowed to monitor elections in Jordan said Friday that the vote showed a marked improvement from past polls, but there is still some way to go.

An international team fielded by the National Democratic Institute, made up of 50 observers from 29 countries, highlighted "shortcomings and irregularities," as well as certain systemic problems.

"The unequal size of districts and an electoral system that amplifies family, tribal and national cleavages limit the development of a truly national legislative body and challenge King Abdullah's stated aim of encouraging 'full parliamentary government,' " it said.

But, the institute said, the improvements seen "should give competitors and voters in this and future electoral contests more confidence that their votes are counted fairly and their choices reflected through the election system."

Read more: Jordan deploys security forces on eve of 'landmark' elections

About 1.3 million Jordanians went to the polls in Wednesday's balloting, representing 56.6% of registered voters according to the newly instituted Independent Elections Commission.

The vote was held amid political tensions and calls for wider reform.

Opposition groups, including the Muslim Brotherhood, boycotted the election, saying the country's new electoral laws -- brought in by Jordan's ruler, King Abdullah II, after protests -- favored the monarchy.

Nimer al-Assaf, deputy secretary general of the Islamic Action Front, the political wing of the Muslim Brotherhood in Jordan, told CNN the election "was as expected -- just a mere copy of the parliament that was dissolved."

He disputed the official turnout numbers, but added, "even if they were true, still only one-third of Jordanians participated, so it's not really representative."

More than 3 million Jordanians were eligible to vote for candidates to the new 150-member House of Deputies, officials said.

King Abdullah, speaking at the World Economic Forum in Switzerland on Friday, challenged the criticisms made by the Muslim Brotherhood.

"At the beginning, the doubters out there and the opposition didn't think anyone would register to vote. We had an unprecedented registration, 70%, which is much higher than any other country in the Middle East," he said. "Again, the turnout of 56.6% (announced) yesterday was way beyond anybody's expectations."

These figures indicate the country's leaders and the people have "moved on," Abdullah said. He suggested that the Muslim Brotherhood should do the same, in order to be part of an inclusive political future.

Buying of votes

Polling was held under the watchful eye of 47,000 police officers and another 7,000 election observers.

David Martin, head of the European Union's Election Observation Mission in Jordan, praised the way balloting was handled but, like the National Democratic Institute, pointed to systemic problems.

"Technically, the elections were remarkably organized," he told CNN on Friday. "The IEC did an excellent job ensuring that those who wanted to vote could vote in secret. And the counting was proficiently professional."

He said his mission's estimate of turnout was as high as 60%, broadly in line with that of the IEC.

"Our criticism is that the elections were conducted within a weak legal framework and that the system didn't lead itself to an even outcome," he said.

There were some violent incidents, concentrated in Maan, Tafileh, and Karak, and some districts in Amman -- some within tribes, others between tribes and some concerning individuals, he said.

But while such violence is "unacceptable and not helpful to the process," the incidents seem to have been unconnected. "Although we are always concerned about violence, we are not worried this was a concerted attempt to undermine the credibility of the elections," Martin said.

Read more: A lot at stake for Jordan in an election of firsts

However, an issue to be addressed is that of illegal campaigning outside polling centers, Martin said.

CNN reporters witnessed many people passing out fliers, pamphlets and cards promoting specific candidates outside polling stations.

Another observer group, the International Republican Institute, said its teams -- deployed at more than 175 polling stations -- saw illegal campaigning "outside the majority" it visited.

The institute said it had also heard numerous allegations of vote-buying on election day, despite improved enforcement of rules banning this in the run-up to the vote.

At least two candidates, including Ahmed Safadi, a major contender, were arrested for vote-buying the day before polling. They were released on bail.

Al-Assaf from the Islamic Action Front, Jordan's largest opposition group, said: "The parliament will be marked as a parliament that bought votes and spent time in jail. The people won't trust them.

"It's best to wait for a few days. We will see there was a lot of rigging of these elections."

The international observer missions say that the newly implemented election law is a big improvement on the past, but they say it should be seen only as the beginning of the reform process.

The law should be reviewed "to encourage political competition and the formation of coalitions and political parties," the National Democratic Institute said, as well as to bolster the legal framework around the formation of parliament.

Steps are also needed to ensure greater participation of women and young people and to develop the role of election officials, it said.

Political strain

Wednesday's vote is the 17th time Jordan has gone to the polls to elect a parliament since becoming a nation in 1946, but it was the first time that an independent election commission oversaw polling.

A field of more than 1,400 candidates vied for the seats, of which 15 were reserved for women -- up from 12 in the previous parliament.

Jordanian Foreign Minister Nasser Judeh told CNN on election day that the vote was "the culmination of a constitutional process, the beginning of a new phase of reforms. It is a continuing process."

He said his country had "anticipated the Arab Spring," so the king began reforms "many years ago." But he acknowledged that protests in the region had expedited the changes inside Jordan.

Read more: Arab Spring knocking at Jordan's door

The king has stated in discussion papers that the new prime minister will be designated based on consultations with the parliamentary bloc that has the majority, Prime Minister Abdullah Ensour said Wednesday.

The deliberate steps at transparency are crucial for a country that's under a great deal of political strain -- and whose stability has ramifications for the world outside its borders.

Recent events have threatened the fragile monarchy to the point that some analysts are warning of collapse.

What began with protests by the Islamic Action Front, Jordan's branch of the Muslim Brotherhood, has given way to broader unrest led by tribal factions known as al-Hirak ("The Movement").

Read more: Thousands rally for political change in Jordan

Al-Hirak demands an end to corruption and calls for a new era of political reform in Jordan in which Islamists are almost sure to dominate.

In an effort to quell the protests, King Abdullah dissolved parliament last year and amended election laws.

In a region rocked by Arab Spring upheavals, Jordan has been relatively stable and is one of the few friends Israel has. It was against this backdrop that most Jordanians went to the polls.

CNN's Mohammed Jamjoom and Samira Said reported from Amman, and Laura Smith-Spark wrote in London.

@highlight

NEW: Jordan's King Abdullah says voter participation surpassed expectations

@highlight

The election was rigged and not representative, an opposition official says

@highlight

Observers say Jordan's election was well run but there is room for improvement

@highlight

Systemic changes are needed to shift voting from local and tribal allegiances, they say