(CNN) -- European Union leaders have hailed an agreement to use funds from both Europe and the International Monetary Fund to help financially-crippled Greece as important for the euro zone.

So what's the problem in Greece? Years of unrestrained spending, cheap lending and failure to implement financial reforms left Greece badly exposed when the global economic downturn struck. This whisked away a curtain of partly fiddled statistics to reveal debt levels and deficits that exceeded limits set by the eurozone.

How big are these debts? National debt, put at €300 billion ($413.6 billion), is bigger than the country's economy, with some estimates predicting it will reach 120 percent of gross domestic product in 2010. The country's deficit -- how much more it spends than it takes in -- is 12.7 percent.

So what happens now? Greece's credit rating -- the assessment of its ability to repay its debts -- has been downgraded to the lowest in the eurozone, meaning it will likely be viewed as a financial black hole by foreign investors. This leaves the country struggling to pay its bills as interest rates on existing debts rise. The Greek government of Prime Minister George Papandreou, which inherited much of the financial burden when it took office late last year, has already scrapped most of its pre-election promises and must implement harsh and unpopular spending cuts.

Will this hurt the rest of Europe? Greece is already in major breach of eurozone rules on deficit management and with the financial markets betting the country will default on its debts, this reflects badly on the credibility of the euro. There are also fears that financial doubts will infect other nations at the low end of Europe's economic scale, with Portugal and the Republic of Ireland coming under scrutiny. If Europe needs to resort to rescue packages involving bodies such as the International Monetary Fund, this would further damage the euro's reputation and could lead to a substantial fall against other key currencies.

So what is Greece doing? As already mentioned, the government has started slashing away at spending and has implemented austerity measures aimed at reducing the deficit by more than €10 billion ($13.7 billion). It has hiked taxes on fuel, tobacco and alcohol, raised the retirement age by two years, imposed public sector pay cuts and applied tough new tax evasion regulations.

Are people happy with this? Predictably, quite the opposite and there have been warnings of resistance from various sectors of society. Workers nationwide have staged strikes closing airports, government offices, courts and schools. This industrial action is expected to continue.

How are Greece's European neighbors helping? Led by Germany's Chancellor Angela Merkel, all 16 countries which make up the euro zone have agreed a rescue plan for their ailing neighbor. The package, which would only be offered as a last resort, will involve co-ordinated bilateral loans from countries inside the common currency area, as well as funds and technical assistance from the International Monetary Fund (IMF).

According to a joint statement on the EU Web site, a "majority" of the euro zone States would contribute an amount based on their Gross Domestic Product (GDP) and population, "in the event that Greece needed support after failing to access funds in the financial markets."

This means Germany will be the main contributor, followed by France. Although the announcement did not mention any specific figure, a senior European official quoted by Reuters said that the potential package may be worth around 20 billion euro (US$26.8 billion).

However any European-backed loan package requires the unanimous approval of European Union members, meaning any euro zone country would have effective veto power.

@highlight

Greece's national debt is now bigger than the country's economy

@highlight

There are fears Greece's problems will infect other eurozone countries

@highlight

Country has implemented austere measures to try to curb debt