(CNN) -- For far too long, according to Republican National Committee Chairman Reince Priebus, his committee was nothing more than "a U-Haul trailer of money for a presidential nominee" who lacked a permanent, sustainable presence in crucial states.

"We had been a party that has shown up once every four years about five months before an election," Priebus told CNN, arguing that no matter how much money you have, that model won't work and hasn't worked in recent years.

So after the drubbing the party took at the ballot box in 2012 -- failing to win the White House and losing seats in the House -- Priebus ordered a much-talked about top-down review of the party in an effort to stop Republicans for taking big losses during presidential elections.

The report -- titled the "Growth & Opportunity Plan" -- was stark and blunt, challenging the Republican Party to make substantial changes to the way it interacted with voters.

Republicans want to end perception as 'stuffy old men'

Less than a year after the report was released and as Republicans nationally venture to Washington for the group's winter confab, Priebus and other Republican leaders are looking back on 2013 and heralding the moves they made in implementing their plan.

"A lot of it comes down to mechanics," Priebus said. "Here is the point, if you are not in Hispanic communities on a year-round basis. If you don't represent those congressional districts, if you don't represent those Senate districts, who is there? Who is there telling the story of the Republican Party, of opportunity and freedom."

There are fundamental areas that RNC re-tooling has focused on: improving a lackluster ground game, growing Republican standing in minority communities, investing in a data infrastructure and revamping the GOP primary system.

All of this, Priebus and others said, is in an effort to turn into a year-round organization with a sustainable presence in crucial states.

After President Barack Obama beat Republican nominee Mitt Romney on the way to winning reelection in 2012, many in the party felt changes needed to be made.

As the GOP report touts on one of its first pages, it had "lost the popular vote in five of the last six presidential elections" and Obama just won the Hispanic vote by a whopping 44%, African Americans by over 80% and Asians by 47%.

In response to these losses, according to Jennifer Korn, the RNC's deputy political director and the head of demographic specific outreach, the party has put minority engagement staff in sixteen states.

The RNC is especially proud of that - pointing out that 78% of the RNC's political staff is outside of Washington, D.C., -- but not fully satisfied. If they had their way, the RNC would have this demographic specific staff in all 50 states.

And Korn believes this plan has already been a success, pointing to the fact that Gov. Chris Christie of New Jersey won 50% of the Hispanic vote on the way to his reelection in 2013.

Korn, who came to the RNC after running similar outreach programs in the George W. Bush White House, said the results were particularly stark in heavily Hispanic Passaic County, New Jersey, a county Christie turned red in 2013.

"This is a permanent, year round effort," Korn said. "We will be in these communities to not only ask for their vote, but to build relationships and listen to their concerns."

But not all recommendations outlined in the report have been followed. On the top of that list: the report's suggestion that Republicans should "embrace and champion comprehensive immigration reform."

"If we do not, our party's appeal will continue to shrink to its core constituencies only," wrote the five Republican authors of the report, which also stated that the RNC believes "comprehensive immigration reform" is "consistent" with Republican policies to "promote job growth and opportunity for all."

After passing the Senate, immigration reform has stalled in the Republican controlled House. What's more, Republican's who supported the measure - like Florida Sen. Marco Rubio - have taken a beating with the party's base for that support.

Reid: Boehner will compromise on immigration reform

The other much talked about suggestion, that Republicans need to alter their tone when talking about certain issues, has proven hard to change.

"It's not just what we say; it's how we say it," Priebus said when the report was published.

But a number of high profile comments have undermined the GOP effort.

Examples: When Rep. Steve King of Iowa told Newsmax that Mexican immigrants have "calves the size of cantaloupes because they're hauling 75 pounds of marijuana across the desert" or when Rep. Trent Frank of Arizona said "the incidence of rape resulting in pregnancy are very low."

Priebus, who has called out some of the more outlandish comments, seems to just shrug this off with the fact that the RNC has only been at this for less than a year.

"This idea that somehow the committee itself is taking on the entire world upon its shoulders and has to carpet the world" is not realistic, Preibus told CNN on Wednesday, the first day of the meeting. "In one year, is the world carpeted? No. But we are making fundamental changes at a historic level that no one can deny."

Democrats have watched this rebranding with amusement.

Every time someone like King makes an eye-popping statement or when the RNC, like it is doing this week, considers a resolution that encourages candidates to be more vocal on the anti-abortion stance, Democrats have questioned the validity of the plan.

In an e-mail on Tuesday, Marcy Stech, spokeswoman for Emily's List, a liberal woman's group, said the RNC abortion proposal shows the party is "misfiring on that rebrand" and "Republicans are yet again focusing on rhetoric over reason."

"This is yet another example of the Republican Party being tone-deaf to American voters and trying to solve a policy problem with a fake, PR solution," Stech wrote. "Maybe, in 2014, they should be taking a stronger look at the policies that women and their families actually want, and not how much or how little to talk to them about the ones they don't."

Priebus, quite expectedly, doesn't see it that way. Instead of saying the resolution pushes Republicans to talk about their pro-life stances, the chairman said the idea is that "the point of the resolution is don't stand there like s sitting duck, like a fool, and get punched in the face" when Democrats challenge Republican on abortion.

While tone and demographic outreach have been the most talked about aspects of the RNC changes, the committee has also tried to shore up other deficiencies that hurt them in 2012.

Kirsten Kurkowski, the RNC's spokeswoman, said the party has "fundamentally reshaped our ground game structure to be community-based and bottom up," is "closing the digital divide with a multi-million dollar investment in technology" and has "united behind the need for changes in the debate system."

The debate system as been an important, albeit quiet, focus of the RNC after the 2012 loss.

For much of 2013, a handful of party officials pushed batch rules aimed at streamlining a chaotic presidential nominating process that many party insiders viewed as damaging to the their campaign for the White House in 2012. Those rules are to be considered and voted on at this week's RNC meeting.

"I don't think we need a six-month slice and dice festival on our party," Priebus said. "I think we need some compression on both ends to shorten the time period of the primary. And like I said, look I can't always control people's mouths but we can have some control over how long we have to kill each other. "

As for more comments that strike a tone the RNC would rather not take, most GOP committee members in Washington for the winter meeting know they are inevitable.

"We wrote a report and certainly we advocated people being smart about what they say, but we don't have a magic wand," said RNC Committeeman Henry Barbour. "I think that is where we have to keep fighting that fight. We have to keep educating our members, or governors, as well as our candidates, to think about what you say and how you say it."

His advice to members who have a penchant for strong statements: "Speak in a way that unites people and is not shrill. Shrill doesn't sell."

@highlight

After losses in 2012, RNC Chair Reince Priebus ordered a review of the GOP at the national level

@highlight

In 2013, the RNC released a report titled the "Growth & Opportunity Plan"

@highlight

Nearly a year after the report's release, the GOP has increased minority outreach efforts

@highlight

But it hasn't embraced immigration reform and is struggling with messaging directed at women voters