(CNN) -- I grew up an Air Force brat who typically moved to a new place every three years. I switched schools, made friends, then had to write letters to stay in touch when I inevitably left. Except for a precious few, most of those friends went away forever, lost to memory, fading and eventually anonymous in aging photos.

But in the recurring dreams I had in my teenage years, they were all together. My friends from Oklahoma went to school with my classmates in Biloxi, Mississippi. My favorite teacher from my years in Germany got to see me grow up alongside my cousins from South Texas.

It wasn't until many years later, when Facebook shot past its first 100 million users, that I began to get that sensation again, the one most frequent users are now well familiar with. It's that sense of worlds colliding, of unlikely paths crossing; your work life, home life, past life and present all mashing together, commented upon and decorated with photos from here and from there, from then and in the now.

Facebook's enormous membership makes it a more likely spot than any other place on the English-language Web to connect with a multitude of family members, friends, former co-workers, old classmates and anyone else you haven't seen in the flesh for decades.

It wasn't until the May series finale "Lost," however, that I made another connection -- that this idea of people coming into your life and never going away is a lot like what many people believe the afterlife is like.

Could it be that Facebook, the digital Tower of Babel built by a cocky Harvard student, is -- to paraphrase singer Belinda Carlisle -- sort of like what would happen if heaven were a place on earth?

The thought led me to a theological search for the spirituality of Facebook connections. Amid the recent flood of political rants, children's Halloween photos and YouTube videos, many of us have seen status updates from friends offering Bible passages, spiritual quotes or information on upcoming religious services.

Along with a few alarming blog posts ("Facebook killed the church," one bluntly proclaimed), I found a lot of theologians struggling to figure out whether mobile phones, social networks and text-messaging harm their religions or help reinvent them in positive ways.

There's even debate on whether being so constantly connected to so many people is good or bad, spiritually speaking.

Bruce Epperly, a theology professor, author and co-pastor in Lancaster, Pennsylvania, wrote a thoughtful piece about so-called "Facebook theology," likening the "intricate web of relationships" in our lives to our online social network. He acknowledged that even the lowly, short-form status update can carry a profound holiness.

"It might surprise my high school friends to discover that I often pray for them as I read their posts," Epperly writes. "I believe that Facebook can be an altar on the Internet and a place of spiritual awakening."

That seems to gibe with what Pope Benedict XVI proclaimed earlier this year. In January, the pontiff suggested that priests should embrace new digital communication mediums. But he stopped short of blessing Facebook itself as a virtual holy land.

Facebook, which recently passed the 500-million-user mark, grew so quickly in such a short span of time that even its creators likely haven't been able to stop and examine the spiritual significance of its near-constant presence in so many lives.

To what do we owe our continually growing house of "friends," the ones we never see, never call, never write to, but who contribute to our digital chatter, our daily chorus. Don't those connections count for some kind of community? Wouldn't we miss it if all these non-strangers were lost to us again?

What if Facebook itself, which digitally houses not only the living but also the "memorial page" dead, is a kind of pre-afterlife training where all those personal connections are forever maintained, even after you've shuffled off this analog coil?

And if the afterlife exists, and it's anything like Facebook, does it have an "Unfriend" option? Because as much as I love all the connectedness, eternity sounds like a really long time to spend reading everyone's status updates.

@highlight

Omar Gallaga: Commingling of people from various chapters of our lives has spiritual overtones

@highlight

The author went on a theological search for the spirituality of Facebook connections

@highlight

Pope Benedict XVI suggested earlier this year priests should embrace digital media