(CNN) -- Indoor cats can reach the ripe old age of 20. With advanced years come health-related issues such as arthritis or diabetes. But a study by the American Pet Products Association notes that feline veterinary visits have declined in recent years.

"Where are all the cats?" asks Dr. Annie Price of the Ormewood Animal Hospital in Atlanta. "A lot of times if we can find diseases early, we can really lengthen life expectancy and improve quality of life by addressing the issue early."

A well-cared-for indoor cat can live into its teen years, says Dr. Emmy Pointer, medical coordinator of the ASPCA Bergh Memorial Animal Hospital in New York. Cats that go outside significantly reduce their odds, according to petplace.com, which estimates that most indoor cats can reach 12 to 18 years while outdoor cats only reach 4 to 5. While there is no set rule for when a pet becomes geriatric, Pointer considers cats seniors when they hit the last third of their life, typically around age 12.

If your cat has reached its golden years, take note of these common health issues:

MNN.com: 10 wacky pet accessories

Chronic kidney disease

An older cat that consumes lots of water and urinates a lot may be showing signs of kidney disease. Pointer notes that cats with chronic kidney disease also are prone to urinary tract infections. While there is no cure, she says low-protein and low-phosphorous diets can help by giving the kidneys less work to do. Early detection also allows veterinarians to slow the progression of symptoms. Since cats do a better job than dogs when it comes to hiding health problems, your vet may recommend blood work to detect underlying issues.

"I like dealing with elderly cats because there are so many things you can do for them; it's just a matter of being mindful," Price says. "They can seemingly have no clinical signs and look perfectly healthy, and you check blood work and determine early kidney problems or thyroid conditions or changes in liver values."

Also note that health issues may resurface due to an elderly cat's diminishing immune system. For example, cats that seemed to overcome a viral disease years ago may show symptoms, such as increased ocular discharge, later in life. Treatment options may be limited. Pointer recommends discussing the problem with your vet and scheduling a thorough exam.

MNN.com: Extra tests to consider for elderly pets

Dental disease

In its annual roundup of the most expensive -- and preventable health conditions -- Bergh Hospital ranked dental disease No. 1. While treatment starts at about $400, regular dental care can significantly reduce that cleaning bill. Good dental hygiene also helps prevent other issues.

"Dental disease can lead to more serious heart and kidney problems," Pointer warns. "The most important thing is it just hurts. Having an abscessed tooth or horrible gingivitis upsets quality of life for a cat."

Regular brushing is the best route, but many cats won't tolerate such torture. Pointer notes that enzymatic chews and a prescription diet with large kibbles can help break off tartar. But home remedies will not eliminate the need for veterinary dental cleaning under anesthesia.

"If the pet has moderate to severe dental disease, there is nothing you can do at home," she says.

MNN.com: Videos of cats that like water

Arthritis

Cats get arthritis just like dogs, but Price says there are fewer prescription treatment options available because cats metabolize medications at a much slower rate. But that doesn't mean they have to endure pain. Price has found success using fish oil and omega-3 fatty acid supplements as well as companion therapeutic laser treatments, which decrease inflammation and increase blood flow. Pointer notes that acupuncture, glucosamine and chondroitin also have been effective in treating cats with arthritis.

"Arthritis is severely under-diagnosed in cats, which is really sad because the vast majority of older cats have arthritis and only a fraction get treated," Price says. "People think, 'Well it's an older cat, he sleeps, he's OK.' Would you think same about a dog? No."

Obesity

It's no secret that cats are losing their battle of the bulge, just like dogs. While the American Association for Pet Obesity Prevention considers eight to 10 pounds the ideal weight for most domestic cats, a recent study found that 55 percent of the country's cats are considered overweight or obese by their vets. But Pointer says that sudden weight loss can cause liver failure.

"I would never want my client's pets to lose more than a quarter-pound a month, but talk to the vet to discuss this because they may want more," Pointer says. She adds that canned food is best for cats because it's primarily protein, while dry kibble is mostly carbohydrates. "Feeding a carnivore mostly carbs can contribute to weight gain."

MNN.com: 7 pudgy pets that should lay off the kibble

Lower energy level

Older cats may move a little slower, but owners should avoid the tendency to let them sit near a sunny window 24 hours a day. Feather toys, laser pointers or a DJ cat scratcher may help unleash your cat's inner kitten and add years to its life.

"Don't give up on that stuff you used to do when they were kittens," says Pointer, who has two senior cats of her own named James and Dr. Furr. "They still have prey drive and want to chase stuff. Don't put away toys and things you used to do just because they reach their golden years."

Join the conversation on Twitter @soulpup and @MNNPets.

© Copyright 2011 Mother Nature Network

@highlight

A study by the APPA found that feline veterinary visits have declined in recent years.

@highlight

Catch and treat pets' physical maladies early to dramatically increase their life spans, vets say.

@highlight

Watch for ailments like arthritis and obesity in a senior cat to help it live well into its teens.