(CNN) -- The remarkable display of civil disobedience by hundreds of thousands of Hong Kong citizens reflects a profound sense of desperation that has grown as China has closed off all political options and made it increasingly clear that it intends to call the shots.

In theory, the "Basic Law" spelling out the terms of the territory's reversion to Chinese rule was to allow a "high degree of autonomy," leaving in place Hong Kong's rule of law, civil service and free-wheeling capitalist system. This was based on then Chinese President Deng Xiaoping's clever formulation of "One Country, Two Systems" and negotiated painstakingly during the 1990s with the Thatcher administration of the United Kingdom.

Since 1997, when Hong Kong reverted to Chinese rule, many of China's efforts at exerting political influence have been subtle, and, with a few exceptions such as implicitly limiting the press, Hong Kong has more or less been allowed to continue its open economy, legal system and freedom of assembly. But over time, it has appeared more one country and less two systems.

The Basic Law envisioned gradual progression to universal suffrage by 2017. But as that date got closer, Beijing sought to restrict that outcome. In June, China released its first-ever White Paper on Hong Kong, which stresses how Hong Kong's autonomy has limits.

The "power to run local affairs" remains -- but only "as authorized by the central leadership." In other words, your liberty stops when we say so. The White Paper offered other reinterpretations of the 1997 Accord, including the notion that the territory's judicial decisions must "take into account the needs of China," a vague requirement but crystal clear to Hong Kong.

On the core issue of democracy, one that has repeatedly brought Hong Kongers from all walks of life into the streets, the White Paper speaks of introducing universal suffrage as promised in the Basic Law by 2017 -- but the requirements to run in the elections are that a candidate must be "patriotic" and "love China." Of course, it is Beijing who determines which candidates meet that criteria.

Beijing defined what those requirements mean in a decision on September 4, namely that all candidates must be chosen by a "nominating committee" comprised of pro-Beijing local elites. The disappointment in Hong Kong was palpable, sparking the "Umbrella Revolution" that reached record numbers of tens of thousands in the streets on China's October 1 National Day holiday.

Beijing has been largely silent, preventing the Chinese media from even reporting the protests, with state-run media charging that the clearly homegrown protests are fueled by "foreign forces."

Protestors are calling on Chief Executive C.Y. Leung to resign. Typically, Beijing prefers local leaders to deal with such crises. The ruling Communist Party sees its legitimacy as fragile and President Xi Jinping cannot afford to show any weakness. But Leung appears to have few options. There may be a potential middle ground of compromise, but many doubt that Leung has the flexibility to negotiate with Hong Kong protestors.

But Beijing's Hong Kong problem has implications well beyond the former British colony. As China's former paramount leader, Deng had introduced the "One Country, Two Systems" formula with Taiwan in mind. China's Communist Party-led state has always made the Taiwanese uneasy. Their skepticism has only deepened as they've watched Beijing's unelected rulers circumscribe Hong Kong's freedoms.

China's economic dynamism has also been a locomotive of growth for Hong Kong, Taiwan and much of the region. China-Taiwan "cross-strait economic integration" has seen more than $100 billion in Taiwan investment in the mainland by some estimates, and China is now Taiwan's largest trade partner.

But there is little support in Taiwan for political dialogue aimed at a Hong Kong-like reunification scheme. China has appeared comfortable with ruling KMT President Ma Ying-jeou, who has accelerated cross-strait interaction more than any of his predecessors.

Still, popular protests in Taipei against new cross-straits trade accords, and more recently in sympathy with Hong Kong, suggest that the next Taiwan presidential elections in 2016 could result in a Taipei with which Beijing is uncomfortable. In his first statement on Taiwan upon taking office, Xi said, "The issue of political disagreements that exist between the two sides must reach a final resolution, step by step. These issues cannot be passed on from generation to generation."

Beyond Taiwan, China's assertiveness toward territorial claims in the East and South China Sea has made its neighbors fearful of the implications of China's re-emergence.

Enlightened self-interest would suggest that China find an accommodation within the framework of the Basic Law. But given the stakes perceived by Beijing, China is less concerned about its global image and far more concerned with maintaining control. This leaves Leung between a rock and a hard place.

One way forward, without having Beijing's fingerprints on it, could be to allow Leung to seek a middle ground and negotiate with key opposition figures to end the protests in exchange for broadening the committee that vets candidates and/or offering a means for candidates to run if they attain a petition with a substantive number of signatures.

Absent such creativity, it is difficult to see how Hong Kong's political problem can be resolved in a way that would convince those in the streets to fold up their umbrellas.

In the event of an outcome that leaves the status quo in place in Hong Kong, the U.S. administration needs to address its own China dilemma with a China policy that seems to be tilting less toward cooperation and more towards competition: how to impose costs on Beijing for unacceptable behavior.

@highlight

Hong Kong protests sign of desperation, says ex-U.S. ambassador to China Jon Huntsman

@highlight

Chinese President Xi Jinping cannot afford to show any weakness, Huntsman says

@highlight

U.S. must work out how to impose costs on Beijing for unacceptable behavior, he writes