(CNN) -- The commander of a military base has broad jurisdiction over the facility, including public roads and a special protest zone located on it, the Supreme Court decided Wednesday.

The justices unanimously ruled against Dennis Apel, a longtime critic of U.S. military policy who for 17 years has protested around Vandenberg Air Force Base in California.

The court's reading of federal law "reaches all property within the defined boundaries of a military place that is under the command of a military officer," said Chief Justice John Roberts.

The power to secure portions of the base more tightly than others does "not change when the commander invites the public to use a portion of the base for a road, a school, a bus stop, or a protest area, especially when the commander reserves authority to protect military property by, among other things, excluding vandals and trespassers."

Apel's message of peace and the conflict it has created with Obama administration officials was at the heart of this free speech and boundary dispute.

At issue was whether someone previously barred from a military base may be convicted under federal law for later "peacefully protesting" on a public road easement along the enclosed high-security facility.

The appeal presented a fact-specific inquiry into such issues as "concurrent" government jurisdiction, public forums, and the limits of "exclusive control" asserted by the military.

While the court's ruling was a temporary setback for Apel, it did not address his larger contention that the federal law in question was unconstitutional.

That issue will continue to percolate in the lower federal courts, and may yet give the 63-year-old man a right to return to Vandenberg, where location is integral to his message.

Apel and wife, Tensie Hernandez-Apel, founded Beatitude Catholic Worker House in Guadalupe, California, about a half-hour away from the base, which is along the Pacific Ocean, northwest of Santa Barbara.

The Vandenberg high-tech facility launches military satellites, operates aeronautical and space surveillance missions, and tests a variety of sophisticated weapons systems, including intercontinental ballistic missiles.

Running through its eastern boundary are state Highways 1 and 246, open to the traveling public. The federal government owns and operates the base, but the state and county have held a "use easement" for more than a half-century, and they maintain the roads.

Concurrent jurisdiction gives a measure of control of the narrow strip of land to all three entities.

The Apels and their supporters from Pacific Life Community, a group that opposes nuclear weapons, had conducted monthly peace vigils in a special open "protest zone" created along the Pacific Coast Highway bisecting the base. A special green line is designed to mark an off-limits area.

Vandenberg's commanding officer in 2003 issued a "barment order" against Dennis Apel after he was arrested for trespassing and vandalism, including throwing blood on a base sign.

A second "bar letter" was given four years later, after another trespassing incident. In 2010, with the ban still in effect, Apel again entered the protest zone on repeated occasions, was told to leave, and was then escorted off the property. He says he has been arrested about 15 times.

He sought to block the misdemeanor counts on free speech and other legal grounds. A federal appeals court eventually ruled in his favor, saying the special protest zone was not an area under the military's "exclusive right of possession."

The Justice Department then asked the Supreme Court to intervene, which has now ruled in the government's favor.

At the December oral argument and in its subsequent written ruling, the court rebuffed efforts by Apel and his attorneys to make this a predominately First Amendment case, and in effect limit a military commander's discretion.

"We decline Apel's invitation to require civilian judges to examine U. S. military sites around the world, parcel by parcel, to determine which have roads, which have fences, and which have a sufficiently important, persistent military purpose," said Roberts.

"The use-it-or-lose-it rule that Apel proposes would frustrate the administration of military facilities and raise difficult questions for judges, who are not expert in military operations. And it would discourage commanders from opening portions of their bases for the convenience of the public," he said.

But Justice Ruth Bader Ginsburg, while agreeing the base commander had authority to control any portion of the base within its borders, nevertheless suggested Apel's broader constitutional claims over his removal order may have merit.

"It is questionable whether Apel's ouster from the protest area can withstand constitutional review," she said. "The court has properly reserved that issue for consideration on remand," meaning Apel may yet get another opportunity before the nation's highest court someday.

As for Apel, he told CNN his fight will continue.

"They're denying my right to dissent on their base," he said. "They're systematically trying to keep me out there, but I'm not going away."

The case is U.S. v. Apel (12-1038).

@highlight

Supreme Court rules military has broad jurisdiction over public spaces on bases

@highlight

The justices unanimously rule against a critic of U.S. military policy

@highlight

That issue will continue to percolate in the lower federal courts