Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

Job seekers need to be ready to deal with the perception that they are overqualified.

Sherry Shealy Martschink, 57, is a former state legislator, state senator and worker's compensation commissioner for South Carolina.

She's a recent law school graduate and has experience in journalism, marketing and education.

For the past few years during her job search, she's been told -- in not so many words -- that she's overqualified.

"Sometimes the opposition is in the tone of voice rather than the actual wording of the questions and comments," Martschink said. "An employer may say something like, 'We are hoping to find someone who will make a career here' or 'Why would you want this job after doing such-and-such?' Another type of question has to do with whether I could be a team player after being in such leadership positions."

How does Martschink respond to such opposition? Plain and simple:

"If I weren't willing to do the work, I wouldn't be applying for the job," she said.

Geoff Tucker, who has a college degree and six years experience in his field, has faced opposition more than once during his job search. In one interview, the hiring manager started with, "We both know you're overqualified," and went on to say she wanted to do a "gut check " to determine if Tucker would be OK with the tasks he'd be handing.

"In other words, she wanted to see if I was OK with being versatile to the point of helping clean around the office and refill the toilet paper in the bathroom," Tucker said. "I affirmed that I do not have an issue with doing tasks that maybe I haven't had to do in a while. I am not that egocentric and I don't regard these tasks as below me."

Many job seekers wonder how being qualified can be a bad thing, but it's a Catch 22 that many job seekers face today. They can't get hired for positions relevant to their experience so they apply for jobs at lower levels. The problem is that they can't get hired for those positions, either, because they're overqualified.

"Employers are in the cat-bird seat," said Kathryn Sollman, co-founder and managing partner of the Women at Work Network. "The high volume of job seekers makes it possible for employers to hold out for their ideal candidates. You're not an ideal candidate if you have held a more senior position in the past; employers assume you will leave as soon as you find something at your normal level."

What's the deal? Assuming you'll jump ship when the economy turns around is only one of the many objections employers have to hiring overqualified candidates. For one thing, many job seekers assume that their high credentials automatically mean they are skilled for a more junior job. But, Sollman said, just because a position is less senior than the one you previously held does not mean that you have the appropriate skills to succeed in that role.

"Take an administrative position, for example. Many mid- to senior-level job seekers haven't done anything remotely administrative for years," she said.

Right or wrong, other assumptions hiring managers might have about hiring overqualified candidates include:

• You'll be bored and unmotivated

• The salary will be too low for you

• You'll be unhappy

• You'll leave the minute something better comes along

• You could possibly steal his/her job

• You won't be able to step down from a leadership role

Hiring managers only take overqualified candidates seriously if they are convincing about a valid reason they want to take a more junior-level job, Sollman said.

The best reason is saying you have decided that you don't want to work crazy schedules and are interested in a better work/life balance, she said. If that's the truth and you're truly not looking over your shoulder for a senior-level job, employers will consider you for a more junior job.

Tucker says the doubt he gets from hiring managers regarding his experience is unfair.

"They should consider my above-par qualifications as a way to gain additional capabilities on their staff and team. I will bring just as much passion to this role as I would any other," he said. "I would not apply for a job if it weren't a fit for me. It's about the work I'm doing and the contributions I'm making that matter."

If you're being told you're overqualified during your job search, here are seven ways to convince your interviewer otherwise:

1. Admit that you're worried, too Tell the hiring manager that you are also concerned that it might not be a fit, suggests Duncan Mathison, co-author of "The Truth about the Hidden Job Market." Promise that if at any point during the hiring process you feel the job appears too low or not one where you will bring the full engagement needed to excel in the position, you will withdraw your candidacy. Your willingness to walk away tells them you are motivated if you stay in the game.

2. Take salary off the table Make it clear that you're flexible about salary and that your previous earnings are not relevant to your current job search.

"Tell the hiring manager that you work for both green dollars and personal satisfaction dollars," Sollman says. "Lately you've had a deficit in personal satisfaction dollars and you want a chance to try something new."

3. Put the issue out there Ask the interviewer if he or she sees any positives or negatives to your candidacy based on your higher qualifications. Get the issue on the table so it can be addressed, Mathison suggests.

4. Use your accomplishments "Tell the hiring manager that you're proud of your accomplishments and you have proven to yourself that you can perform at a more senior level," Sollman said. "Now you're not interested in chasing titles and promotion. You want to make a contribution at a compelling company."

5. Distance yourself from your higher qualifications Be empathetic to those parts of the hiring manager's jobs -- indicate that you have a clearer understanding of what a manager needs from their people.

"For example, say you were a manager and are applying to an individual contributor job," Mathison said. "Tell the hiring manager that you are looking for a job that would give you more hands-on technical work and give you a break from the people management and corporate politics."

6. You want to learn If you've held more senior positions at a different kind of company or in a different industry, tell the hiring manager that the best way to really learn about a new industry is from the bottom up, Sollman says.

7. Make a commitment "Tell the employer that you know that job hopping is a major 'don't' in the business world. Say that barring unforeseen circumstances, you are ready to make at least a two-year commitment to the company," Sollman suggests.

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

"Overqualified" tag a Catch 22 for job seekers who can't get hired at their level

@highlight

Employers may fear overqualified applicants will jump ship, take their jobs

@highlight

Experts advise to put the issue out there so it can be addressed in interviews

@highlight

Tell interviewers you want to learn new skills, will make a commitment to stay