When the tearful broadcaster broke the news to North Koreans that their leader, Kim Jong Il, had died, the audience in the hall gasped.

Then the hysterics began, along with the bawling and sobbing.

"Father!" mourners cried. A wailing woman pounded her fist against her chest to signify heartache. Some appeared to go into physical convulsions. Other North Koreans sobbed so hard, they barely maintained their balance.

"Our leader endured all the hardships," one mourner told state-run Korean Central News Agency in a televised interview. "I can't believe it. Our leader, he's still with us."

Even the reporter holding KCNA's microphone bowed his head and trembled.

In North Korean media videos viewed by CNN, people wept in fitful, theatrical proportions. Whether the mass grieving was genuine is up to debate.

Cultures grieve differently. For instance, in South Korea, it's acceptable to express sorrow vocally, said Sung-Yoon Lee, a research fellow at the National Asia Research Program.

But North Korea presents a unique case.

"It's such a regimented, uniform society, people are conditioned from their early years to praise and adore their leader," he said. "The passing of their leader would be an indication to grieve properly so they are not to be stigmatized by failing to grieve properly. There are always people watching you -- if you are not devastated by the news, you may get in trouble."

While some may exaggerate, for others the grief is authentic, Lee said.

"I think there would be great deal of sincerity, because they're so programmed and conditioned and have an incentive to outperform their families, neighbors in grieving properly," he said. "North Koreans are raised to praise their leader, as are Christians for God. For North Koreans, it's part of the rhetoric to thank the fatherly leader. For them to learn the death of a near God-like leader, it certainly has an emotional reaction."

When TV cameras approached the North Korean grievers, some of them were so overwhelmed they could barely utter coherent sentences.

"If it's a public figure that has died, everybody has the illusion that they know that person or were at some point connected to them," said Darcie Sims, a grief management specialist and director of the American Grief Academy in Seattle.

"Mass hysteria soon occurs and is very contagious. When we see people do things in large groups, it spreads like wildfire. It only takes a few people, and the reactions spread amongst the population."

North Koreans interviewed on state television thanked Kim for everything, including trains, theaters and even their warm homes. Many seemed to refuse to believe he was dead.

The public mourning illustrates the grip of Kim's power, said Scott Atran, director of research and anthropology at the French National Center for Scientific Research and psychology professor at the University of Michigan.

To stay in power, many dictators identify and play upon their people's fears. After a history of occupation by other Asian powers, Kim and his father relied on their motto of self-sufficiency, called "juche," to justify the country's reclusive nature.

Because of this philosophy, which barred outside perspectives, Atran said people in North Korea "had no alternative view of reality."

It also helped that the Kims controlled the police and military.

Atran said he believes North Koreans' weeping is "absolutely sincere. They're clearly emotionally tied up with the dictator."

"We're used to some extent of institutionalized criticism, an opposition, and in these countries, there isn't anything. There is uniform control of information. The only information comes from the political leadership in ways it desires. That's your world -- you see the world of threat and fear, and the dictator poses as the way out of it."

Atran compared the reaction to Kim's death to Spanish dictator Francisco Franco's passing in 1975. "The place where his support was, there was mass mourning and hysteria at his death," he said.

Drawing another historical comparison, Lee said he recalled when Kim's father,  Kim Il Sung, died in 1994.

"The level of grief, we hear from North Korean defectors, was that the North Korean people had general admiration for the father because he had revolutionary credentials," Lee said.  "The North Koreans did not go through a famine under the elder Kim."

Nevertheless, mourners were effusive in their praise for Kim Jong Il on the state-run television station.

"He has loved us so much. We weren't able to repay him," one mourner said.

Another said, "It's too much!  It's too much! Leader, please come back. ... You cannot leave us. We will always wait for you, leader."

@highlight

North Korean TV shows hysterical reaction to Kim Jong Il's death

@highlight

But the genuineness of people's grieving is up to debate

@highlight

In state TV interviews, devastated North Koreans thank Kim for homes, trains, amenities

@highlight

"If you are not devastated by the news, you may get in trouble," one analyst says