London (CNN) -- The tumultuous months since January 2011 have confronted Egyptians with uncertainty, triumph and despair on an almost daily basis.

But for one Cairo-based artist, the violence, disruptions and ambiguities of the revolution have also inspired a burst of unprecedented productivity.

Cairo, Year One -- Nermine Hammam's first solo show in the United Kingdom -- contains just a portion of the work she has produced in reckoning with the upheaval reshaping her country.

"Any artist, wherever they are, responds to their surroundings," she said. "It just happens to be that what is happening here is a revolution."

The year following the revolution saw her produce five different bodies of work -- combining elements of photography and painting -- incorporating images from the 70,000 or so snapshots she has taken of events in Tahrir Square and the surrounding neighborhoods.

"I have never done five bodies of work over such a short period, I don't think many people have," she said. "I was responding to each and every feeling I was getting, because everything is moving very quickly. One day you think there's no hope, the next you think there's a lot."

See also: Artists reflect Egypt's revolutionary spirit

Hammam initially went out every day with her camera, "plunging" herself into Tahrir to document the turmoil playing out around her: "The army, the people taking care of the people on the street."

After that, she said, "when the police were beating up people in the street," she turned to sourcing images of the revolution from the internet. She placed the images incongruously against utopian, postcard scenes from nature -- mountains, flowers and green fields -- or against backdrops modeled on the stylized landscapes of traditional Japanese screens.

Her goal with some of the works was to "conjure harmony" and hope, she said.

Hammam said the momentous events of the revolution were something every Egyptian artist would be drawn to address in their own way, either explicitly or implicitly.

"If other artists haven't yet, they will," she said. "Even if they don't do it directly, psychologically things will change."

See also: Young upstarts plotting Mid East art revolution

But she added that it was too early to say whether the revolution would trigger a lasting artistic revival in her homeland.

Hammam's work was censored under the old regime -- "I took some pictures of the state-run mental asylum and they didn't like that," she said -- and she believed it remained to be seen whether there would be greater space in the new Egypt for artistic expression.

"Maybe perhaps now things will be different; maybe the idea of democracy will allow people to express how they feel," she said. "But for the time being, we have no clue."

The exhibition runs until August 24 at the Mosaic Rooms, London.

Follow the Inside the Middle East team on Twitter. Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer Tim Hume: @tim_hume and digital producer Mairi Mackay: @mairicnn.

@highlight

Egyptian visual artist Nermine Hammam is exhibiting her first solo show in the UK

@highlight

She says Egypt's revolution has made her extraordinarily productive

@highlight

She has taken more than 70,000 photos of events in Tahrir Square for her work

@highlight

It remains to be seen whether there will be an artistic revival in the new Egypt, she says