Hotels are working overtime to accommodate the needs of one of the fastest growing demographics in the travel industry: businesswomen.

"Women are nearing half of all business travelers, and they make up 85% of purchase choices in the household," says Carolyn Pearson, the founder of Maiden-Voyage.com, a website that connects female business travelers across the globe and rates femme-friendly hotel brands.

"A woman might choose a hotel for business travel and then, if she likes it, go back for a weekend stay, or book the room again with the family. Hotels are starting to realize that when it comes to travel decisions, women are really influential."

Pearson also trains hotels to look at their service from a female perspective, enabling them to tweak what they offer to appeal more to women.

"We take the entire hotel staff -- from concierge to food and beverage -- and really get them to see their hotel through a woman's eyes. We identify two things: how can they improve her experience, and how can they create more loyalty and value so that she's more likely to return," she explains.

Maiden Voyage's rankings are based not simply on amenities but also on a hotel's discretion and safety.

"Does the receptionist announce the room numbers out loud?" says Pearson. "Are the rooms located next to the lifts?"

The Sofitel Le Grand Ducal, Luxembourg, for instance, receives high marks because of its low-risk location, 24/7 manned reception, on-site secure parking, room service delivered by female staff, as well as for its high-powered hair dryers and Hermes toiletries.

Read more: Layovers become more pleasure than pain

"There are differences between what men and women need," says Judi Brownell, professor and dean of students at the School of Hotel Administration at Cornell University.

"Most women are more particular than their male counterparts. Both are concerned with safety and comfort but these things make more of a difference to women travelers. They want to feel that hotels have taken into consideration their needs as women, and so appreciate the small things that are done to make then feel recognized."

They Hyatt hotel group has spent the last 18 months surveying guests in 40 facilitated group discussions around the world on how they can improve their services. It was the largest guest listening exercise ever conducted by the brand, and it was made up completely of women.

"We've found that approximately 80% of all business travel decisions are made by females," notes Kristine Rose, Hyatt's vice president of brands.

"Whether it's a family trip, and mom is deciding what hotel to stay in, or it's a travel agent -- most of whom happen to be female. There's a rise of female travel globally, especially in China, where more and more women are traveling every day."

Based on the feedback, Hyatt rolled out a number of innovative amenities across all its brands (over 500 locations worldwide), including adding the dermatologist-approved KenetMD Skin Care line to their list of bath amenities.

It also introduced the "Hyatt Has It" program whereby Hyatt hotels stock everything and anything a traveler might have forgotten to pack, from deodorant to humidifiers (and every color of nail polish under the sun).

Guests can borrow these items free of charge, or purchase them at retail value. Though the initiative benefits all guests, regardless of gender, Rose says the program was inspired by the survey responses of their women travelers.

"When we talked to some women, they were very vocal about not being perfect all the time. They said, 'I forget things, I don't always want to worry about whether I packed shampoo or conditioner.'"

Read more: Economy class goes gourmet

This sort of catered service seems to have replaced the trend of "female-only" floors that surfaced in the hospitality industry last year. Some hotels maintain a single-sex block of rooms. The Georgian Court Hotel in Vancouver, for instance, has the Orchid Floor, a group of 18 rooms stocked with Aveda products, complimentary fashion magazines and the type of gadgets that supposedly speak to a woman's heart, such as curling irons and hair straighteners.

Some hotels that originally instated single-sex units have since done away with them. Don Shula Hotel in Florida was one of the first hotels to introduce the concept back in 2006. Their Patrician Rooms had enlarged makeup mirrors, women's magazines and breast exam cards in the showers. During renovations last year, the hotel decided their occupancy was too low to justify their continuance.

"They served their purpose a few years back but simply lost their luster over time," admits Lisa Gory, the hotel's director of sales and marketing.

Hyatt has also eschewed installing all-female floors.

"There's a difference between creating a tailored experience that meets their needs, and calling them out as a group of people who need special treatment. They actually consider that kind of offensive," says Rose.

@highlight

Women make up nearly half of all business travelers

@highlight

Maiden-Voyage.com set up to connect women on the road and rate services

@highlight

Hotel chains looking to improve what they offer to women

@highlight

Female-only floors becoming less popular