(CNN) -- A radio host pointed it out to me on my book tour, with alarm: a chapter in my new book -- written three years ago about my president, Goodluck Jonathan, and his handling of Boko Haram, terror and insecurity in Nigeria -- could have been written today, almost word for word.

"The truth is that I don't feel safe," I wrote in "Searching for a Vote of Confidence." "I, like many others living in Nigeria, will myself to feel safe, knowing I must take the risk and get onto the roads each day; we have no choice. But when it comes to the meat of it, you cannot possibly, really feel safe. Children have been kidnapped; average Nigerians' parents, "big men" (the elite), "oyinbos" (foreigners), and celebrities -- from the forbidding Pete Edochie to the clownish Mr. Ibu -- have been kidnapped; government officials have been kidnapped, and now youth corps members have been kidnapped."

Three years later, it hasn't gotten even the slightest inch better.

On 14 April 2014, it happened again -- like Nigeria had never seen before. More than 200 girls were taken from school in the dead of night, by deadly terrorists with Boko Haram, in Chibok, northeastern Nigeria. It is more than two months later and we are desperate with hopelessness; we don't know when the girls will be back or, to hear a former president, Olusegun Obasanjo, tell it, if they will be back at all.

According to a New York Times report, the Nigerian military is (and it hurts deeply to see this) rendered incompetent based on a collage of factors including corruption, lack of modern training, inadequate equipment and vanished morale.

The Nigerian government, which is responsible for this state of affairs, has sadly shown no public will to focus on this matter until the girls are brought home.

First, the president and his men were silent after the kidnap, for about two weeks, until Nigerians took to the streets, and the world paid attention. Next, it engaged in a shameful back and forth with the equally disappointing governor of Borno, the state from which the girls were kidnapped. Not done, it turned against its own citizens for shaming it into action.

First, it asked protesters, with dripping disdain, to take their protests to the terrorists. Then it claimed a #BringBackOurGirls protest had been hijacked by the opposition party. When all of these threats failed, it moved into action.

There have been accusations that government buses took touts to disrupt peaceful protests demanding better; the police commissioner in charge of Abuja -- forgetting briefly that the military left in 1999, apparently banned public protest -- although he later denied there was a ban. One of the president's advisers has given himself to farce, branding the informal head of the protests Obiageli Ezekwesili -- who co-founded Transparency International, was vice president of the World Bank's Africa division and has heroically given her life to this cause -- as "an opportunist who profits from national tragedy."

While all of this is going on, Boko Haram continues to brazenly terrorize Nigerians. On June 18 Boko Haram was reported to have abducted 60 females, including children, and killed 30 men in a raid on a village in northeastern Nigeria.

And just as this piece is filed, reports come in of another explosion -- the third this year -- in Abuja, the nation's capital, taking the lives of at least 21 people. We are, clearly, on our own.

You hear Nigerian intellectuals say all the time -- sometimes with irritating smugness -- that Chinua Achebe's seminal "The Trouble With Nigeria," written in 1987 when I was two, could have been written today and every word would yet be relevant. They are sadly right.

"The trouble with Nigeria is simply and squarely a failure of leadership," Achebe wrote in the book. That much is true about the kidnapped Chibok Girls.

This is why citizens have refused to let #BringBackOurGirls die, more than two months after. That is why the hashtag continues to dominate conversation, protesters have refused to leave the streets, and why this is almost surely going to be an election issue.

From the opposition government of Borno to the ruling government at the center, citizens will be asking why Nigerians should be punished with incompetent, thoughtless leaders who choose politics over effectiveness, pettiness over responsibility.

The problem starts from our president.

We really have to ask Goodluck Jonathan what he's up to, I wrote those three years ago. It is very difficult to look at our state of affairs at the moment and deliver a vote of confidence. Officials will have us believe everything is being done behind the scenes -- but governance is not a matter of faith. It is a matter of facts.

We can't simply trust that the president has good intentions and knows what he is doing. Government must be seen to be working. A people cannot simply have faith in their government; the government must earn the trust of its people.

A leader cannot afford to amble on, assured in his sense of destiny, without giving the followers that same sense of confidence. It is a leader's duty to lead.

If our kidnapped girls are not home yet, do not be deceived; it is not a question solely of international terrorism or porous borders. Nigeria's problems go deeper than that -- we are cursed with leaders who cannot see beyond their noses, captains with no capacity for vision.

On #BringBackOurGirls, Nigerians desperately need their leaders to lead. They will have no peace until they do.

The opinions expressed in this commentary are solely those of Chude Jideonwo.

@highlight

Nigeria "desperate with hopelessness" over kidnapped girls, says Chude Jideonwo

@highlight

He criticizes the country's leaders for their inaction

@highlight

"The government must earn the trust of its people," he says