Over her long lifetime, Lily Montejo has seen the city of Tacloban shaken by war, earthquakes and powerful typhoons.

But nothing she can remember from the past eight decades comes close, she says, to the terror unleashed this month by Super Typhoon Haiyan.

"I really thought it was already the apocalypse -- that I wasn't going to survive," she says, shaking her head at a table in her family's storm-damaged home.

For a lot of residents of Tacloban and the surrounding area, the extraordinarily strong typhoon was the end.

The death toll stands at slightly over 4,000 -- more than three-quarters of them in the province of Leyte, of which Tacloban is the capital. Thousands more are injured. And many survivors have lost family members and their homes.

The scale of the devastation has prompted some to look back into history to try to figure out how unusual Haiyan was.

Meteorologists rate it as one of the most powerful storms to hit land anywhere in the world.

Worse than war

Montejo, who is older than 80 but coyly asks that her exact age not be published, says she remembers plenty of typhoons striking this storm-prone region, some of them with deadly results. But she says she "never experienced" anything like Haiyan, which is known as Yolanda in the Philippines.

She says she can remember World War II, during which Gen. Douglas MacArthur waded ashore at Red Beach, not far south of Tacloban, in 1944. He was leading U.S. troops in the campaign that liberated the Philippines from the Imperial Japanese Army.

For a young girl, as Montejo was at the time, the war "was a picnic," she says. There was no school, and adults were distracted much of the time.

During bombing raids, Montejo says, her family would hide in holes her father had dug under the house. The ferocious winds and devastating storm surge of Haiyan were far more terrifying than the wartime planes, she says.

In fact, nothing comparable to the super typhoon appears to have ravaged Leyte in more than a century.

'Great loss of life' in 1912

But in November 1912, a powerful storm was reported to have caused widespread devastation in the region. News reports from the time are eerily reminiscent of coverage of Haiyan's impact today.

Tacloban "was almost entirely destroyed with great loss of life," reads a report in The Washington Times of November 29, 1912 -- a time when the Philippines were under U.S. control.

The exact death toll from that typhoon was unclear. An article in The Washington Herald on November 30 suggested that "probably" half the population of Tacloban and another city, Capiz, had been lost. It put the population of Tacloban at 12,000 and that of Capiz at more than 20,000.

But a report on the same day in The New York Times put the provisional death toll far lower, at slightly more than 300. But the newspaper acknowledged that damaged telegraph lines meant "no estimate is yet possible of the number of fatalities, or of the property losses."

See a panoramic photo of the devastation

'A mass of ruins' in 1897

A powerful storm also devastated the region at the end of the 19th century, striking the islands of Samar and Leyte with strong winds and a deadly "tidal wave" in a manner similar to Haiyan's.

"The hurricane reached Leyte and struck the capital of Tacloban with great fury," read the story in The New York Times on November 28, 1897. "In less than half an hour the town was a mass of ruins."

Reports at the time estimated that the storm -- "one of the worst disasters reported from the Southern Ocean in many years" -- had killed more than 6,000 local residents and 400 Europeans.

The storm struck the central Philippines in early October, but didn't register in the U.S. press until more than a month later, after a ship arrived in Hong Kong bringing "letters and papers which contain accounts of the ravages of the tidal wave and the winds," reports said.

Again, there is uncertainty over the precise death toll. In an article this week on the Philippines news site Rappler.com, the former government official Raphael Lotilla cites a study of the 1897 typhoon carried out at the time by officials from the Observatory of Manila. The study estimates the number of dead to be roughly 1,300, far fewer than U.S. newspapers reported.

'The one building that survived the storm'

Pictures hint at hope

Looking beyond the death toll, Lotilla draws attention to pictures from the era that show communities and churches destroyed in Samar and Leyte -- just as they have been by Haiyan.

"For me, their most eloquent unspoken message for us today is one of hope," he writes. "These communities did live again; and they will once more."

History suggests that Tacloban and other severely damaged communities will eventually recover, says Vicente Rafael, a professor specializing in Southeast Asian history at the University of Washington.

"I have no doubt," he says. "If only because Tacloban has historically been at the crossroads of trade, commerce and tourism."

He says the government of President Benigno Aquino III, which has been in the spotlight over the response to the storm, "is going to be very anxious to prove itself by rebuilding the city."

"It's not going to be Haiti where several years later people are still living in tents," he says, referring to the devastating earthquake that struck the Caribbean nation in 2010.

Jason Day loses eight relatives to Typhoon Haiyan

Daunting recovery

But in Tacloban, the road ahead appears dauntingly long.

Workers are still clearing away bodies and debris. For many people left in the city, the immediate question remains one of survival. Hundreds of thousands of people remain homeless and reliant on emergency relief for food and water.

Montejo is one of the city's more fortunate residents, even if she doesn't feel that way.

A classmate of the famous former Philippines first lady, Imelda Marcos, Montejo married into one of Tacloban's most prominent families. (Her maiden name is Anover.) Her husband, who died last year, ran a number of businesses, including radio, newspapers and hospitality; one of her sons is a local congressman.

Unlike most people's homes, the family's sturdily built multistory house in the center of town is still standing despite damage to its windows and roof. After the storm, it sheltered some of those whose homes were destroyed.

The typhoon's howling winds nonetheless forced large amounts of water into the house, ruining photos albums, pictures and other family mementos.

"It will take years for us to get back to normal," she says.

The grim task of recovering Tacloban's dead

@highlight

The super typhoon is the worst event Lily Montejo can remember in Tacloban

@highlight

Montejo, more than 80 years old, she says she thought it was "the apocalypse"

@highlight

Reports from 1897 and 1912 suggest previous big typhoons in the region

@highlight

But uncertainty about the death tolls makes it unclear if they were as deadly as Haiyan