(CNN) -- Federal safety investigators cast new concerns about using lithium-ion batteries to power systems on commercial aircraft, saying they should be put through rigorous tests that produce "the most severe outcomes" before being approved for use in the skies.

The National Transportation Safety Board issued the recommendations on Thursday as it continues to investigate lithium-ion batteries on Boeing 787 Dreamliners.

Two batteries on those aircraft self-combusted on planes last year.

The Federal Aviation Administration and Boeing have vouched for the safety of the Dreamliner's re-designed battery system. And the NTSB said those changes are consistent with its new recommendations.

But the safety board said the FAA needs to revise its 2008 battery standards for all aircraft, which remain in effect.

Batteries should be tested in conditions that closely resemble the conditions on planes, the safety board said.

They should undergo "abuse tests" in which cells are intentionally damaged. And they should be tested in ways that produce "the most severe outcomes."

Such tests can show whether the batteries experience thermal runaway, an uncontrollable increase in temperature and pressure that can spread -- or cascade -- to adjacent cells.

Thermal runaways typically result in smoke, a known concern when the FAA approved the Dreamliner battery. But smoke events were thought to be rare, and engineers designed ways to vent the smoke.

But one witness to a Dreamliner battery incident described "heavy smoke," a small, 3-inch flame coming from the battery case and material spewing out like molten wax

Aircraft manufacturers need to ensure that systems protect "against all adverse effects."

"The NTSB is vitally interested in these recommendations because they are designed to prevent accidents and save lives," the board wrote in a letter to FAA Administrator Michael Huerta.

The Dreamliner is the first large commercial aircraft to use permanently installed lithium-ion batteries as it main battery and for its auxiliary power unit, or APU. The batteries are valued because they are small, lightweight and powerful.

The NTSB says that in seeking certification of its batteries, Boeing and battery manufacturer GS Yuasa Corp. of Kyoto Japan, estimated that a "smoke" event would occur "less than once in 10 million flight hours."

But after 51,662 hours of commercial flight, two batteries failed, one culminating in a fire.

In the first incident, a maintenance worker entered the aft electronics bay of Japan Airlines Dreamliner parked at Boston Logan airport on January 7, 2013, and found heavy smoke and a small 3-inch flame coming from the battery housing.

The lithium-ion battery provided electricity to the plane's auxiliary power unit, or APU. While the incident is still under investigation, he NTSB said a short circuit in one of the battery's eight cells resulted in a thermal runaway, and damage spread to adjacent cells.

Nine days later, the main battery on an All Nippon Airways Dreamliner failed during a flight over Japan. No fire was observed, and damage was confined to the battery housing.

"This type of failure was not expected based on the testing and analysis .... that Boeing performed as part of the 787 certification process," the NTSB wrote.

In a 2006 test, the battery manufacturer drove a steel nail into one of the battery's eight cells to induce an internal short circuit, to see if the damage would result in smoke, fire and damage to the battery case. Damaged cells emitted smoke, the test showed, but the smoke could effectively be handled by the airplane's ventilation system.

The FAA and Boeing said they believed at the time that thermal runaway could only occur if a cell or battery was overcharged. So they took precautions to protect against overcharging, and adopted measures to vent smoke.

Boeing had considered the potential that a short circuit of a single cell would generate smoke, but it "underestimated" the effects of a thermal runaway.

The safety board said it is concerned about the repeatability of tests that induce thermal runaways in batteries, and said researchers have found that current test methods "might not reliably produce failure effects as severe as those observed" in the real-world failures.

Internal shorts, the safety board said, are hard to reproduce. But it is important to solve to improve safety, it said.

A safety board spokesman told CNN the board could make more recommendations when it issues its final report, likely later this year.

Another battery incident troubles Boeing's 787 Dreamliner

Boeing announces changes to Dreamliner battery system

Aviation authorities find no big problems at Dreamliner's battery maker

@highlight

The National Transportation Safety Board is investigating lithium-ion batteries on Boeing Dreamliners

@highlight

Its new recommendations follow battery fires on 787s last year

@highlight

The safety board says the FAA needs to revise current standards on batteries