(CNN) -- Part of the imagined charms of space flight is not just the view from the window. It is also the thrill of breaking the shackles of gravity and free-floating. Now taking a break from Newton's laws is easier (and cheaper) than ever.

For years, the European Space Agency (ESA) has used a Novespace-owned Airbus to run parabolic, aka "zero-gravity" flights for scientists and astronauts-in-training. Last March, Novespace started selling seats to the general public for a relatively reasonable $7,932.

"I've been doing this for 20 years, and every flight, there's always this 'wow' impression," says Vladimir Pletser, the parabolic flight manager at the ESA, and a Guinness record holder for most aircraft flown in parabola. "It's like you get born again in a new environment. Words are not enough to describe it. You have to live it."

"Zero-gravity" is a bit of a misnomer, as the Zero-G -- the Airbus A300 that performs the missions -- never leaves Earth's orbit.

Rather, the weightless feeling is a result of the plane's parabolic flight path. The aircraft shoots up at a 47-degree angle at full engine thrust -- at which point everything inside the plane experiences hypergravity, and is heavier. The thrust is then reduced, and the plane is allowed to experience free fall, allowing everything inside to become weightless.

"Gravity does not disappear, but we are in a state of freefall," explains Pletser. "With respect to the environment, which is the cabin, your weight will be zero. It's absolute magic."

Magical though it may be, the experience lasts a mere 20 seconds. To draw out the experience, the Zero-G needs to thrust up and fall down in a series of 30 parabolas (it's no wonder it's nicknamed the "vomit comet.")

The Zero-G has not abandoned its main purpose, however, which is to provide a handy gravity-free environment for scientists to conduct experiments.

"It is a beautiful opportunity," notes Jean-Louis Thonnard, a professor at Belgium's UniversitÃ© Catholique de Louvain who is researching gravity's effect on upper-body movement.

"By studying the manipulation of objects in different gravity fields, we understand how important gravity is on Earth," he explains. "We are gravity dependent."

Sticking a scientist on a parabolic flight is considerably cheaper than sending them to the International Space Station, and many of the world's top space centers use Zero-G as a venue for the early stages of experimentation. It's no surprise that a lot of the research is space-themed.

The International Space University in Strasbourg, for instance, is researching how gravity affects our everyday perception of objects in terms of weight and density. According to Leonardo Surdo, a researcher at the university, studies show that on Earth, when people are presented with two balls of equal weight, they will mistakenly assume the smaller one is heavier. This is known as size-mass illusion.

Read more: Google explores the Airbus A380

"In microgravity, we don't have weight, just mass. It gives us the opportunity to see what the mechanism is underlying this illusion," says Surdo. In terms of real-world application, the experiment can help prevent accidents in space.

"We don't want astronauts to take different objects and smash them," he says.

According to Pletser, allowing the public to board the plane is partly an educational enterprise. By interacting with scientists, they're able to better grasp the affects of microgravity.

"It allows them to have an experience of zero gravity, and to see what it's good for," he says.

@highlight

Last March, Novespace started selling seats on their "zero-gravity" flights.

@highlight

Planes that follow a parabolic flight path can mimic the feeling of entering a gravity-free zone.

@highlight

Tickets cost $7,932 (cheaper than $250,000 for a seat on Virgin Galactic).

@highlight

The flights are popular with scientists and astronauts-in-training.