(CNN) -- South Korea's $230 million National Museum of Modern and Contemporary Art (MMCA) opened in November with a towering ambition -- become what the MoMA is to New York and the Tate is to London.

The museum couldn't be in a better location to attract attention -- it sits just across the street from Gyeongbokgung, Seoul's main royal palace, and adjacent to a neighborhood that's one of Seoul's most popular among tourists.

Other than Leeum, Samsung Museum of Art, a private art museum owned by Samsung, Seoul has no other large museum housing Korean contemporary art.

All of these factors have added up to put not just the art, but the new museum itself, under intense public scrutiny.

"There's an incredible anticipation from the art world here about which works will be shown and how the space will be used," says Gina Lee, a museum curator in Seoul.

With South Korea anxious to maintain its world-class standing amid surging development in China and other regional rivals, the pressure for global recognition is particularly intense.

"As South Korea's only national art museum, one of our biggest missions is to showcase Korean art to the rest of the world, and to advance Korean art via various collaborations and exchanges with international institutions," says Young-in Lee, the museum's international affairs manager.

Early controversy

One of the museum's first five showcase exhibits, Zeitgeist Korea (showing through April 27), drew early fire from critics of the museum.

The problem wasn't the art itself -- the exhibit showcases modern Korean art, with 59 works by 39 Korean artists -- but the way it was selected.

The Korean Fine Arts Association and other artist groups alleged favoritism -- 32 of the 39 featured artists are alums of Seoul National University's art school, from which the exhibition's curator and MMCA director Chung Hyung-min graduated.

Chung withstood calls for her resignation, but, coming shortly after the museum's official opening, the protests marred what museum supporters intended to be a grand celebration.

A close eye

Apart from a few projects sponsored by companies, including Hanjin Shipping and Hyundai Motor Co., the MMCA is funded mostly by the national government -- yet another reason for the intense scrutiny it's received since its very conception.

Though some argue the museum has helped revitalize the neighborhood, proposals were met with numerous building restrictions, as well as protests against changes in the historic neighborhood.

Since its opening, the reception from residents has been mostly positive.

More than 160,000 people have visited the museum since the mid-November opening, and nearby cafes and stores teem with customers.

"It feels like there's a new cafe or restaurant or exhibit opening here all the time now," says Young Lee, 54, an art collector who's lived in the area for more than 30 years. "The downside is, of course, the traffic."

It's difficult to believe Seoul hasn't been home to a national contemporary art museum for nearly 30 years.

In 1986, the original art museum moved from a small Seoul building to a bigger space in Gwacheon, about 10 miles south, during the 1986 Asian Games -- it's taken nearly three decades to move back to Seoul.

The primary catalyst for the new museum was former president Lee Myung Bak.

During his administration in early 2009, Lee announced the transformation of a former military site into a place where the future of Seoul culture could be celebrated.

Big ambitions

MMCA leaders hope to harness the star power of internationally acclaimed Korean artists to help thrust the museum into the global spotlight.

"If the museum can utilize the international attention that comes in these beginning stages, the pressure of the spotlight could be a major driving force," said Jae Seok Kim, editor of magazines Art in Culture and Art in ASIA.

This is one of the reasons a work by Do Ho Suh, perhaps the most critically acclaimed living Korean artist, was chosen as the museum's central showpiece.

Suh's 12-meter-high "Home Within Home Within Home Within Home Within Home" is housed in a 17-meter-high space called the Seoul Box.

Transparent fabric has been shaped to resemble Suh's first American home in Rhode Island, while the traditional Korean building (hanok) inside represents his childhood home.

"A vital institutional mission is to function as a connecting bridge between the domestic and beyond -- we will put our best effort to introduce Korean art to the world outside and vice versa," MMCA director Chung said in a local interview.

With no permanent collection, the museum is under pressure to deliver more than any other Korean contemporary art museum has ever before provided the city.

"In terms of scale, we are in line with with the MoMA and the Tate," says Soleh Choe of the MMCA Office of Development.

"We have also signed an exhibition contract with the Tate and will continue planning exhibits in the context of the global art scene."

New space

Architect Mihn Hyun Jun took an open approach to the new museum building, which spans 27,264 square meters over six floors (three above ground, three below), using skylights and expansive windows.

"When you walk in, the first floor is meant to be a comfortable public space," says Choe. "Once you're inside, you can go down to B1 and enjoy the exhibitions."

The museum opened with five inaugural exhibitions: The Aleph Project; Connecting_Unfolding; Zeitgeist Korea; Birth of a Museum; and the Site-specific Art Projects.

Suh's "Home Within Home" is the most visible, though the most popular exhibition to date has been The Aleph Project, which combines science, art and architecture to create a decidedly technical experience.

Overall, the museum has a 60:40 ratio of Korean art to international art.

It remains to be seen whether the museum's presence, or the exhibitions it brings in, will live up to the massive hype and expectations that have surrounded its opening.

One thing is sure -- Koreans and art communities around the world will be paying attention to see if it does.

National Museum of Modern and Contemporary Art (MMCA), 110-200 30 Samcheong-ro, Sogyeok-dong, Jongno-gu, Seoul; +82 2 3701 9500; closed Mondays and January 1; Tuesday, Thursday, Friday, Sunday, 10 a.m.-6 p.m.; Wednesday, Saturday, 10 a.m.-9 p.m.; â‚©7,000 ($6.50) for all exhibitions; see website for individual pricing. Free admission for all exhibitions from 6-9 p.m.

@highlight

South Korea's National Museum of Modern and Contemporary Art opened in November

@highlight

The gorgeous museum has world-class ambitions

@highlight

Opening exhibit "Zeitgeist Korea" drew fire from critics who alleged artists were unfairly chosen