Leslie Sanchez is a Republican political strategist and co-chair of the Hispanic Alliance for Prosperity Institute (www.hapinstitute.net), a pro-business advocacy organization. She was director of the Bush administration's White House Initiative on Hispanic Education from 2001 to 2003 and is CEO of the Impacto Group, which specializes in market research about women and Hispanics.

Leslie Sanchez says it remains to be seen if Sotomayor agrees with the broader Hispanic community's values.

WASHINGTON (CNN) -- The Obama administration has no intention of pushing comprehensive immigration reform any time soon, but with his nomination of Judge Sonia Sotomayor to the Supreme Court, the president may have found a suitable consolation prize for the Hispanic community.

A prize is due. Hispanics gave 67 percent of their votes to President Obama, delivering key states like Colorado, Nevada and New Mexico to his electoral column, and sending him two new Democratic senators and three new House Democrats from those states alone.

But the problem with identity politics is that not just any Hispanic will do. Obama made clear he wanted to pick a justice who would have empathy for those whose cases come before the court.

As impressive as Sotomayor's life story is, it remains to be seen whether she truly has the much-talked-about "empathy" for Hispanic values and dreams.

If Sotomayor is truly representative of our values, she will understand that the entrepreneurial spirit is alive and well in the Hispanic community and is our best hope for moving Hispanic households solidly into the ranks of the American middle class.

In a study earlier this year, HispanTelligence, the research arm of Hispanic Business magazine, confirmed that there are at least 2.2 million Hispanic-owned businesses in the U.S., generating about $388 billion in combined revenue.

Empathy with the lives of millions of Hispanics today means that she must appreciate the impact of federal, state and municipal tax and regulatory schemes on individuals and small businesses alike. Her writings should reflect the view that access to the marketplace is a constitutional guarantee no less important than freedoms of speech, religion or assembly.

If she understands the hopes and aspirations of the Hispanic community, she should have a record of interpreting the Commerce Clause of the Constitution in ways that encourage individual risk-taking, free enterprise and job creation, not in ways that discourage it.

Likewise, Sotomayor should show evidence of being suspicious of government's power. Many Hispanics are fresh from regimes where the rule of law has been crushed or never existed; we know that with centralized power comes arrogance, and that bureaucracies inevitably become cold, callous, unyielding and corrupt.

She should be imbued with a core appreciation that our Constitution establishes a government of limited, enumerated powers, and should have a record of writings and decisions that support the conclusion that she will err on the side of limiting, not expanding, the powers and influence of government.

Like all other immigrants, Hispanics came here with the hope of acquiring property for themselves and their children. We treasure as sacred our own homes, farms and land, and we know there is often little practical difference between broad government restrictions on the use and enjoyment of that property and its being taken outright.

As a Supreme Court justice, Sotomayor should believe, as we Hispanics do, that the Constitution affords us due process and just compensation in either case -- and that no property should be taken unless there is a legitimate public use.

As everyone knows, at the core of the Hispanic experience are our families and the opportunity to freely exercise our religion. The next justice, if she is empathetic to our lives and values, will protect the sanctity of the family and of life itself.

Obama's nomination of the first Latina to the Supreme Court is a historic moment that has moved each of us, but our pride will be fleeting if she doesn't really share Hispanic values.

The opinions expressed in this commentary are solely those of Leslie Sanchez.

@highlight

Leslie Sanchez: Obama sought a high-court nominee who would show empathy

@highlight

But, Sanchez asks, as a justice, who would Sotomayor empathize with?

@highlight

Hispanic community places high value on entrepreneurship and family, she says

@highlight

Sanchez: Will Sotomayor share those values if confirmed to the court?