(CNN) -- Why does the use of chemical weapons justify international retribution with military force, in a way that two years of brutal repression with tanks and planes does not? And where in international law is the legal "cover" for such action?

If the Obama administration is planning for limited military strikes against Syria to hold the regime "accountable" -- in the words of senior officials -- for using chemical weapons, it is probably drafting some answers to those questions.

The president put it like this in his CNN interview last week: "If the U.S. goes in and attacks another country without a U.N. mandate and without clear evidence that can be presented, then there are questions in terms of whether international law supports it, do we have the coalition to make it work?"

Forcibly intervening for humanitarian reasons, to protect innocents from appalling suffering, is a noble concept, one that would draw on the moral outrage felt around the world. The thrust of President Obama's argument has always been humanitarian: that using chemical weapons, which are horrendous and indiscriminate by nature, would cross a "red line."

Who wants what after chemical weapons horror

U.S. Secretary of State John Kerry amplified the argument Monday when he said, "President Obama believes there must be accountability for those who would use the world's most heinous weapons against the world's most vulnerable people."

In other words, the "strictly legal" should not be allowed to cancel out a legitimate and necessary course of action, even if international law provides no clear support for intervention on humanitarian grounds.

France, the UK, Turkey and Germany have all signaled support for such an approach. "The international community must act should the use of such weapons be confirmed," says German Foreign Minister Guido Westerwelle.

But in this instance, the international community is likely to mean NATO, not the United Nations, and that would carry much less weight in international law.

Missile strikes on Syria likely response to chemical attack

Pre-emptive force to protect U.S. allies

Ashley Deeks, who worked in the Legal Adviser's Office at the State Department for a decade, wrote on the Lawfare blog that the U.S. "might believe that a Syrian use of chemical weapons is likely to affect neighboring (and friendly) states such as Turkey and Jordan," depending on where they were used.

Daniel Bethlehem, who held a similar position at the UK Foreign Office, adds that the request by Turkey for Patriot missile batteries last year "suggests the possibility of a collective self-defence rationale for military intervention to address such a threat."

This argument for "anticipatory" self-defense, to take out something before it is used against you or your allies, is gaining favor in light of the nuclear programs being developed by Iran and North Korea and the unpredictable nature of the global terrorist threat. After 9/11, the Bush administration fashioned a national security strategy that included and justified the use of pre-emptive force.

"We must be prepared to stop rogue states and their terrorist clients before they are able to threaten or use weapons of mass destruction against the United States and our allies and friends," the 2002 document said.

Obama hinted at this argument in an interview with CNN last week.

"When you start seeing chemical weapons used on a large scale ... that starts getting to some core national interests that the United States has, both in terms of us making sure that weapons of mass destruction are not proliferating, as well as needing to protect our allies, our bases in the region."

Intervening in Middle East turmoil: Mission impossible?

Intervening in Kosovo

Some observers have invoked the precedent of NATO's 78 days of bombardment against Serbian forces in Kosovo and in Serbia in 1999. The alliance argued that as a regional grouping, it had the right to intervene in Kosovo to prevent a humanitarian catastrophe and protect the stability of Serbia's neighbors.

"We cannot stand by and let the Serbs crack down again on the Kosovar Albanians," said then-U.S. State Department spokesman Jamie Rubin. "We believe that is a substantial and legitimate grounds for action internationally."

Even so, U.S. and NATO officials, from then-Secretary of State Madeleine Albright down, argued later that Kosovo should not be seen as a precedent. The U.S. State Department's legal adviser at the time, Michael Mathison, talked about a "unique combination of a number of factors" and insisted the U.S. and its allies did not see humanitarian intervention as the legal basis for the Kosovo campaign.

In the case of Syria, neither the United Nations charter nor the Security Council is likely to offer much cover for intervention. The charter forbids the "use of force against the territorial integrity or political independence of any state" but allows for the use of force in self-defense. Article 51 reads, in part: "Nothing in the present Charter shall impair the inherent right of individual or collective self-defence if an armed attack occurs against a Member of the United Nations."

This would be known -- in U.N. parlance -- as a Chapter VII resolution, and was the basis for intervention in the Korean War and after Iraq's invasion of Kuwait. It was also used, more controversially, to sanction military intervention in Libya in 2011 as it appeared Benghazi was on the verge of a bloodbath.

UN Security Council Resolution 1973 authorized member states "to take all necessary measures ... to protect civilians and civilian populated areas under threat of attack" in Libya.

But it seems very unlikely that the United States and other like-minded governments could convince Russia and China that Chapter VII applies in the case of Syria. Both Moscow and Beijing were angered that the resolution that green-lit the intervention in Libya in 2011 -- enforcing a no-fly zone on humanitarian grounds -- fast became the fig leaf for a campaign to remove Moammar Gadhafi. They have no intention of issuing another carte blanche.

'Red line' debate: Are chemical weapons in Syria worse than attacks?

Geneva Gas Protocol

Specifically on the use of chemical weapons, there is the 1925 Geneva Gas Protocol, drawn up after mustard and other asphyxiating gas attacks in the trenches during World War I. Syria is a party to the protocol, so it is bound not to use chemical weapons in war.

Open to argument is whether "war" includes internal conflict, but there is a growing body of international law that suggests it does. The statute of the International Criminal Court recognizes conflicts "that take place in the territory of a State when there is protracted armed conflict between governmental authorities and organized armed groups or between such groups." And the International Criminal Tribunal for the former Yugoslavia held that "there undisputedly emerged a general consensus in the international community on the principle that the use of (chemical) weapons is also prohibited in internal armed conflicts."

After two years of carnage in Syria, there is a lively debate under way about whether the use of chemical weapons is a game changer.

As Max Fisher put it in The Washington Post in April, "It's more than just Syria: it's about every war that comes after, about what kind of warfare the world is willing to allow, about preserving the small but crucial gains we've made over the last century in constraining warfare in its most terrible forms."

White House spokesman Jay Carney stressed "this specific violation of international norms" on Monday.

Not everyone agrees. "Why should the U.S. be willing to intervene if chemical weapons kill 1,000 civilians, but not if ordinary weapons kill tens of thousands?" Kevin Jon Heller asked Tuesday on the blog Opinio Juris.

Gingrich: Stay out of Syria's civil war

Selective U.S. intervention

And history shows the U.S. has been selective in intervening, or even condemning, previous use of chemical weapons. Saddam Hussein used chemical weapons not only against the Kurdish civilians of Halabja in 1988 but frequently as a weapon of war against Iranian troops. And the United States, according to a well-sourced article in "Foreign Policy" this week, was complicit in those attacks.

"The Iraqis never told us that they intended to use nerve gas. They didn't have to. We already knew," said Rick Francona, who was the U.S. military attache in Baghdad in 1988.

Anxious that Iranian troops were about to make a strategic breakthrough, "U.S. intelligence officials conveyed the location of the Iranian troops to Iraq, fully aware that Hussein's military would attack with chemical weapons, including sarin, a lethal nerve agent," wrote Shane Harris and Matthew Aid in "Foreign Policy."

And they cite a top-secret document drawn up at the CIA at the time. "If the Iraqis produce or acquire large new supplies of mustard agent, they almost certainly would use it against Iranian troops and towns near the border."

Finally, there is the U.S. Constitution, which holds that only Congress can declare war and only Congress can appropriate the funds to wage war. The last time such niceties were observed was for America's entrance into World War II.

The 1973 War Powers Act requires the president to notify Congress within 48 hours of launching military action and bars U.S. armed forces from fighting for more than 60 days without congressional approval. That may be 58 days longer than any action against Syria.

When the Libya campaign began, Obama simply informed Congress that it was "to prevent a humanitarian catastrophe and address the threat posed to international peace and security by the crisis in Libya." An attempt by Rep. Denis Kucinich, D-Ohio, to invoke the War Powers Act went nowhere.

When it comes to punishing the Syrian regime -- if it is proved to have used chemical weapons -- arguments over what is legal or legitimate recall a famous passage from "Alice Through the Looking Glass."

"When I use a word," Humpty Dumpty said in rather a scornful tone, "it means just what I choose it to mean -- neither more nor less."

"The question is," said Alice, "whether you can make words mean so many different things."

@highlight

President has said that Syria's use of chemical weapons would cross a "red line"

@highlight

Administration might be asking: What justifies military action, and where's legal cover for it?

@highlight

International law provides no clear support for intervention on humanitarian grounds

@highlight

Syria is bound by the Geneva Gas Protocol, but does that cover internal conflict?