For all the noise about the State Department's final environmental review of the Keystone XL Pipeline being a "blow" to pipeline opponents, the report contains more than enough information for Secretary of State John Kerry -- a respected environmental champion -- to conclude that the pipeline is not in the national interest.

Although you have to dig a bit, the report recognizes the dangers associated with the tar sands fuel that the pipeline would transport.

Oil from tar sands spews 17% more greenhouse gas than the average crude oil refined in the United States.  If the pipeline operates at capacity, that's as much carbon pollution as 5.7 million more cars driving on our roads.  This is enough added pollution to erase as much as 70% of the carbon pollution reductions from the Obama administration's recent motor vehicle emission standards.

Using the Obama administration's estimates of the social cost of carbon, that adds up to $128 billion in climate costs over the lifetime of the project, costs that can too often be measured in parched farmland, compromised human health and property damage from floods.

So how does the report admit the possibility of lasting environmental harm from the tar sands on the one hand while concluding that building the pipeline would not cause an increase in greenhouse gas emissions on the other? It presumes that the tar sands fuels are going to get to market anyway, so the environmental damage happens with or without Keystone XL.

Opinion: Keystone a pipeline to future of dirty fuel

We think this presumption is seriously flawed. One key assumption is the report's forecast that crude oil prices will stay above $75 per barrel.  Below that price, the report actually finds that Keystone does make a difference in driving tar sands production and greater carbon pollution. Contrary to the report's assumptions, there is a real chance that crude oil prices will fall below that level.

Energy commodity traders at the Chicago Mercantile Exchange and experts at the International Energy Agency forecast a sharp decline in oil prices over the next decade.

The Energy Information Agency's low oil price forecast, which assumes slower economic growth in developing countries, projects oil prices around $75 or below from 2015 through 2040.  In addition, the more successful international efforts are at promoting energy efficiency and new forms of clean energy, the more demand for traditional fossil fuels will shrink, pushing prices down.

The report also presumes that all tar sands growth will come from low- cost projects, and higher cost tar sands projects won't be built with or without the pipeline.  That's unrealistic: Higher cost projects are moving forward, but their continued economic viability will depend on variables such as low-cost transportation as well as sufficiently high oil prices.

The tar sands producers themselves belie the claim that Keystone XL won't make a difference in bringing the tar sands to market.  The CEO of major tar sands producer Cenovus admitted that his company's plan to triple production in coming years was contingent on more pipeline capacity.  Financial giants such as RBC Capital, Goldman Sachs, Barclays and CIBC have all linked the size of the tar sands industry to the availability of new pipelines.  The desperate push over this pipeline shows how badly tar sands producers need Keystone XL.

Opinion: Keystone XL pipeline makes sense

Perhaps most serious, the State Department report fails to take into account the actions needed to prevent catastrophic climate change.

In Copenhagen, Denmark, in 2009, the United States and more than 100 other nations agreed that we need to limit the global temperature increase from carbon pollution to 2 degrees Celsius (3.6 degrees Fahrenheit). President Barack Obama affirmed that goal in his Climate Action Plan.

According to the models used in Intergovernmental Panel on Climate Change analysis, we must keep atmospheric carbon dioxide concentrations below 450 parts per million to achieve the 2 degrees target.  That's not possible if we maintain the status quo, much less bring online more and exceedingly dirty sources of fuel such as tar sands oil.

In a glaring omission, the Keystone XL review failed to factor in the 2 degrees limit, and assumed the continuation of business-as-usual practices for the next quarter century.  We have almost no chance of meeting the 2 degree goal if any of the report's scenarios are realized.

Kerry's obligation is to determine what is in the national interest.  For all its flaws, the report acknowledges that the tar sands that would get to market through Keystone XL could significantly worsen climate change.  That's a risk that climate champions such as Kerry and Obama shouldn't be willing to take.

@highlight

Writers: Review of Keystone XL pipeline information shows it's not in the national interest

@highlight

They say tar sands oil spews 17% more greenhouse gas than crude oil refined in the U.S.

@highlight

Writers: Report acknowledges tar sands oil from Keystone could worsen climate change

@highlight

Oil companies will need even more pipelines to reach their goals, they say