(CNN) -- More than a month ago, the public health community celebrated the polio-free certification of Southeast Asia including India, viewed as a hopeful step toward global eradication.

But the euphoria has waned as concerns grow the virus is making a comeback and re-appearing in countries that had previously eliminated the disease within their borders.

Pakistan has seen major challenges in recent years, reporting 80% of polio cases this year.

The country faces challenges within its health system including restricted access to its federally administered tribal areas and violence against polio campaign health workers. Vaccine workers have been tortured, shot, bombed, and even have had their family members kidnapped.

"You have disruption of health services, vaccination services are broken where areas are no-go because there is mistrust and health teams are not allowed within the conflict area," said Dr. Zulfiqar Bhutta, who is co-director of The Hospital for Sick Children in Canada and also works in Pakistan. "In that particular circumstance, to imagine that business would be as usual is naÃ¯ve."

While Pakistan faces hurdles, India's polio program has been lauded as a model for tackling polio.

India's program "was largely internally funded, strongly managed," said Bhutta.

Once considered the hardest place to end polio, India boosted disease surveillance and immunization efforts to vaccinate hard-to-reach communities. To counter rumors and misgivings about the vaccine, social mobilizers, religious leaders and parents were included to increase understanding about immunizations.

"In Pakistan, that political will in terms of making this a national priority hasn't existed," Bhutta said. "They haven't invested enough in routine immunizations, which are critical to eradicating polio. You've got to get people aware of the importance of preventive strategies."

In 2014, the World Health Organization confirmed 74 new cases of polio -- 59 of them were in Pakistan. Within Pakistan, 46 of these cases have been from its restive Federally Administered Tribal Areas, which is located along the Pakistan-Afghanistan border and retains internal autonomy.

The country with the second highest number of polio cases is Afghanistan, which reported four cases. But all of these are related to viruses that originated from Pakistan, according to the WHO.

Emergency measures recommended

On Monday, the WHO recommended emergency measures for three of the countries deemed as the greatest risk for further exporting the virus -- Syria, Cameroon and Pakistan.

The organization called for residents of these countries to get vaccinated and show proof of polio immunization before international travel. It also calls for the head of state to declare polio a national public health emergency.

"If the situation as of today and April 2014 went unchecked, it could result in failure to eradicate globally one of the world's most serious vaccine preventable diseases," said Dr. Bruce Aylward, assistant director-general for polio, emergencies and country collaboration at the WHO.

Pakistan has been establishing vaccination booths at its land borders with Afghanistan, China, India and also Iran, according to the WHO.

Bhutta said he wasn't surprised by the WHO's move, but worried the recommendation was a "Band-Aid measure" that's "not going get to the root of the problem."

This may divert the vaccines and human resources from Pakistan communities that need them the most, to the huge number of travelers, Bhutta said. "I'm concerned that will take away from the main polio control program and that's the last thing anybody wanted."

Pakistan is considered the only country that is "off track" in meeting its target to stop polio transmission, according to the WHO.

Militants in Pakistan have targeted anti-polio campaigns since U.S. intelligence officials used a fake vaccination program to aid their hunt for Osama bin Laden in 2011. Since then, militant groups, with connections to the Pakistani Taliban, have been opposing polio vaccinations and accusing health workers of pursuing a political agenda. Dozens have been killed in acts of violence carried out against polio vaccine workers.

Pakistan has tried to protect its health workers from violence. In Peshawar, authorities banned the riding of motorcycles during vaccine campaigns to prevent attacks, said Aylward.

Polio, which can cause permanent paralysis in hours, has been reported in 10 countries: Afghanistan, Equatorial Guinea, Ethiopia, Iraq, Israel, Somalia, Nigeria, Pakistan, Cameroon and Syria.

@highlight

India celebrated its polio-free certification in late March

@highlight

Its neighbor Pakistan grapples with polio efforts with several cases reported in 2014

@highlight

World Health Organization recommends emergency measures in Pakistan

@highlight

Pakistan has public health challenges including tribal areas, threats to health workers