(CNN)Israel has again voted for a national leader who acts as if he considers one-fifth of its country's citizens -- including me and my family -- to be an existential threat. We were born into the wrong tribe, so to speak.

Campaign season shed light on the troubling reality in Israel -- that tribalism trumps democracy and ethnicity trumps citizenship. When Israeli Prime Minister Benjamin Netanyahu warned that Arabs were "being bused to the polling station in droves," people around the world were justifiably horrified. And Monday, in response to the outrage, he apologized for his statement, offering that he knew his comments "offended members of the Israeli Arab community."

But Netanyahu's policies speak much more loudly than his half-apology. And with him poised to serve a fourth term, many Palestinian citizens of Israel fear, with good reason, that his victory means it is open season for anti-Arab racism in the Knesset and in the streets.

Israel's war on its Palestinian citizens is nothing new; our rights have been under attack for years (imagine a proposal that forced Jewish Americans to sign a "loyalty oath" to the United States as was proposed for Palestinians and other non-Jewish citizens of Israel). However, the majority's attempt to further entrench institutionalized racism and deny the rights of indigenous Palestinians has achieved frightening momentum.

The controversial "Jewish Nation-State Bill" that previously floundered in the Knesset has been resurrected. The bill, if passed, would codify the principle of preserving a Jewish ethnic majority. There are versions of it that establish Hebrew as the sole official language and recognize Jewish religious law as a "source of inspiration for the Knesset."

Even Israel's Supreme Court has come under attack in recent years for occasionally defending minority rights, which some view as a threat to the legal privileges afforded its Jewish citizens.

In response, the government changed the Supreme Court's composition to tilt it further to the right. Today, the sole Arab Supreme Court justice, Salim Jubran, very often serves as a dissenting voice in judgments where the court favors legislation demeaning to Israel's Palestinian citizens.

Opinion: How Obama handed Netanyahu victory

The 2011 Admissions Committees Law — upheld in 2014 by the more conservative  Supreme Court, which includes the first Israeli settler jurist — allows hundreds of localities in Israel to essentially reject applicants seeking to buy homes built on state land because the applicants are deemed "unsuitable."  The law caused an outcry among Palestinian citizens and human rights groups, who assert that it's simply a thinly disguised effort to discriminate against Israeli citizens on the basis of ethnicity. Simply put, the law enforces segregation within Israel, helping to keep Palestinian citizens out of Jewish communities.

Attempts to marginalize Palestinian citizens of Israel also extend to the political sphere. Foreign Minister Avigdor Lieberman's successful push to raise the threshold required to win seats in the Knesset was a move designed to exclude Palestinian lawmakers. Ironically, that move backfired, prompting four Arab parties to create the Arab Joint List, whose members span a wide ideological spectrum.

Despite their political differences, they were united by one important mission, and that was to defend the rights of Palestinians, whether they reside within Israel or in the occupied territories. The Joint List won 13 seats and took third place in the parliamentary election.

While their unity and strong showing is encouraging in the face of Israeli efforts to divide and weaken the Palestinian community, the fact that they were forced to unite on the basis of ethnicity rather than ideology is a reflection of Israeli politics, which draws boundaries among its citizens on the basis of ethnicity and religion and openly participates in ugly, xenophobic electioneering.

Opinion: Will Netanyahu win seal Iran deal?

The Greek philosopher Aristotle once said that the essence of democracy is "to rule and be ruled in turn," but as Hassan Jabareen, head of Adalah: The Legal Center for Minority Rights in Israel, puts it, in Israel, "Arabs are always ruled and Arab citizens are always in the opposition, never in the coalition, no matter how many seats they win."

It is very telling that Netanyahu could well form his coalition with Avigdor Lieberman, who called for beheading disloyal Arab citizens of Israel and whose party Yisrael Beiteinu only won six seats in the Knesset, and not with the Arab Joint List, which won more than twice as many seats and is calling for equality and an end to Israel's military occupation of Palestinian lands, which has lasted nearly half a century.

If Netanyahu's re-election is an ill omen for the Palestinian citizens of Israel, it is even worse news for the 4.5 million Palestinians under occupation who are ruled by a state that denies them all rights. When Netanyahu said on the eve of the election that he would not allow the creation of a Palestinian state, he was making it clear that the occupation will continue as long as he remains in power.

Opinion: The danger of Netanyahu's win

Renouncing Palestinian statehood rallied Netanyahu's base by reminding them of how much he has done to preserve and extend Israel's grip on its West Bank settlements, built in violation of international law and considered illegitimate by official U.S. policy going back decades. In fact, blocking the creation of a Palestinian state has been Netanyahu's life's work.

Over the years, he has rhetorically "accepted" Palestinian statehood while continuing to steal the very land that would comprise a Palestinian state.

The lip service he has paid to Palestinian statehood and his desire to return to the bankrupt "peace process" has provided him with a useful smokescreen behind which he continues to actively realize the vision he revealed in his recent political campaign when he ruled out a two-state solution -- a vision of a greater Israel where Palestinians live under apartheid rule, without a state and without equal rights

The policies that Israel's electorate has chosen are directly at odds with U.S. interests, not to mention American values. Citizens around the world, including in the United States, are increasingly frustrated with Israel's treatment of Palestinians and its role in helping to fuel armed conflict in the region, as demonstrated by its current effort to scuttle U.S.-Iran nuclear talks.

Netanyahu is expecting to attempt to resume business as usual with Washington, offering occasional platitudes about peace in exchange for the freedom to deepen the occupation and strip away the rights of Israel's Palestinian citizens. Given what is at stake, it will be dangerous for America -- and for Israel -- if President Obama plays along.

@highlight

Rula Jebreal: Netanyahu showed his views during the closing days of the campaign

@highlight

She says he favors policies that deny Israel's Arab citizens equal rights