(CNN) -- With talk about the 2016 election heating up, most of the national media has turned the focus on former Secretary of State Hillary Clinton and Vice President Joseph Biden.

Clinton and Biden would be formidable candidates. Either would be a logical successor to President Barack Obama as the leader of the Democratic Party.

Yet if they are to be successful, they will need to look outside the beltway to learn about the kinds of issues that are animating voters outside of Washington. They would do well to draw on some of the ideas that have been percolating in recent months from newer voices in the party.

And at a time when politicians can suffer quick downfalls, as New Jersey Gov. Chris Christie is learning, Democrats would do well to make sure that they have other potential candidates who can compete on the national stage, should Clinton or Biden fail to materialize as 2016 candidates.

Inside Politics: Hillary Clinton's telling words about critics

Whoever runs, the future of the Democrats may lie in learning from two mayors, two governors and a gubernatorial candidate who are all building on the traditional Democratic theme of security -- a theme that has been central to the party since New Deal -- but trying to do so in new ways.

Democrats have an exciting group of mayors who have been garnering enthusiasm for their efforts to tackle the big economic and social issues that Washington seems incapable of resolving.

In New York City, Mayor Bill de Blasio has launched a full-scale attack on economic inequality. His campaign captured national attention when he spoke about the tale of two cities, one poor, struggling and devastated, and the other wealthy and thriving.

De Blasio kicked off his time in office with ambitious proposals for affordable housing as well as prekindergarten education. He's already run into obstacles, including tensions with New York's Gov. Andrew Cuomo, who shot down his plan for a higher minimum wage. De Blasio has had to fend off complaints about snow removal and controversy over his call to a police official to ask about the arrest of a pastor, who has been one of his strong supporters. Still, the mayor has excited Democrats about the possibilities for the revitalization of urban liberalism.

Donna Brazile: Enough already with the obsession over Hillary Clinton

San Antonio Mayor Julian Castro, who delivered the keynote address at the 2012 Democratic National Convention, has devoted energy to the challenges facing Latinos in his city. He has made an impassioned plea to treat immigration as a human rights issue, urging Congress to provide a path to citizenship for undocumented immigrants.

He has also been addressing the issues that greatly concern working families, such as prekindergarten education and job creation. The mayor has been able to boast about its strong economic record in 2013, with growth in health care as well as oil and gas development, in addition to a thriving housing market. San Antonio is frequently placed in various Top 10 lists of thriving American cities.

Democratic governors have also been making waves. In Maryland, one potential 2016 presidential candidate, Martin O'Malley, has been responding to social and cultural changes that have been transforming the nation in recent years.

O'Malley has been one of the governors to preside over the legalization of medical marijuana and to oppose the death penalty. He championed economic and financial assistance to illegal immigrants, such as legislation that offers in-state tuition rates for universities.

He has also been a staunch supporter of tougher gun control, something that the national parties have failed to achieve even in the aftermath of horrendous shooting incidents. Maryland has made some notable progress in education as well as in attracting innovative companies to the state.

Gov. Cuomo in New York has tried to combine tough fiscal discipline with an ongoing commitment to the social safety net. Cuomo has demonstrated his willingness to question some political orthodoxies among Democrats.

Early in his term, Cuomo took on public employee unions and got big concessions from them in his effort to limit spending and taxes. Like O'Malley, he has supported same-sex marriage legislation.

Cuomo backed legislation that imposed higher taxes on wealthier New Yorkers earlier in his term, though he disagreed with de Blasio's push for further increases this year, when Cuomo is running for re-election. He, too, has obtained stricter gun controls at a time that the federal government seemed paralyzed on the issue

Another source of new ideas is Juliette Kayyem, a former assistant secretary of Homeland Security and former CNN contributor. She is seeking the Democratic nomination for Massachusetts governor against Martha Coakley.

Kayyem is running a campaign centered on the need for government to help restore security to middle-class families. Kayyem is proposing ideas to promote the interests of working women, including efforts to eliminate the wage gap and to enable affordable childcare.

She is tackling structural problems in the economy with ideas for improving public transportation and investing in community colleges. Building on her experience in government, she is also looking for better ways to provide physical security by dealing with vulnerable infrastructure that national policymakers have not done enough to protect.

Democrats are building a sizable farm team in the states, filled with new voices and innovative ideas that will play a big role in the coming years: support for education, educational assistance to immigrants, job growth programs, child care, gun controls and more. Only of few of these candidates might be ready for the national spotlight --like O'Malley and maybe Cuomo -- but the others might have bright futures on the horizon.

Given the gridlock in Washington, Clinton, Biden and anyone else running in 2016 would do well to look to the state and local level as they craft their agenda.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: If they run in 2016, Hillary Clinton and Joe Biden need new ideas

@highlight

He says a number of mayors and governors provide clues for new Democratic agenda

@highlight

Zelizer says the focus from governors and mayors is on middle-class security

@highlight

Zelizer cites Mayors Bill de Blasio, Julian Castro and Govs. Andrew Cuomo, Martin O'Malley