(CNN) -- Word of Nelson Mandela's death spread quickly across the United States, bringing with it a mix of reverence and grief for a man who was born in South Africa but in the end belonged to the world.

President Barack Obama ordered American flags to be lowered immediately to half-staff until Monday in tribute to Mandela, a rare honor for a foreign leader.

Memorials to the former South African president popped up from Los Angeles to Chicago, where flowers and candles were laid in front of murals bearing his likeness. In Washington, people gathered in front of South Africa's embassy.

For many Americans, the death of Mandela was akin to losing one of their own.

He loomed large in the actions of activists and politicians; he inspired music and movies.

Here's a look at Mandela's impact on the United States:

ACTIVISM

It began with a financial boycott, of sorts.

Students on campuses across the country in the late 1970s called for their universities and colleges to divest from investments in South Africa.

That led to sit-ins and protest marches that by the mid-1980s drew thousands.

"We had marches day after day, thousands of people got arrested in Washington, D.C.," civil rights attorney Charles Ogletree said. "They were all released and ultimately not charged with any offense. Because it was a national issue -- black, white, male, female, people on the left and right, everybody was involved in it."

In 1986, Rep. Ron Dellums, D-California, sponsored a bill that called for a full trade embargo against South Africa as well as divestment by American companies. The bill, which passed the House, was vetoed by then-President Ronald Reagan. Congress then overrode the veto.

Today, this type of activism -- financial boycotts -- have become a protest staple. For example, fast food workers called this week for a boycott of their respective restaurants to protest low wages.

Nelson Mandela: 10 surprising facts you probably didn't know

POPULAR CULTURE

It began in 1985 with musician Steven Van Zandt's "Sun City," a song that protested the South African policy of apartheid.

The music brought together such musical powerhouses as Bruce Springsteen, Run DMC, Bonnie Raitt, Miles Davis, George Clinton, Jackson Browne and dozens more to record the single and video.

That was followed in 1986 with the release of Paul Simon's "Graceland," which featured South African musicians -- including Ladysmith Black Mambazo.

Simon on Thursday praised Mandela as one of the world's greatest teachers.

"He conceived a model for mortal enemies to overcome their hatred and find a way through compassion to rebuild a nation based on truth, justice and the power of forgiveness," the singer said in a statement to CNN. "His passing should reignite a worldwide effort for peace."

On Thursday, the famed Apollo Theater in Harlem -- that hosted so many of these artists -- paid tribute to Mandela. Its marquee said, simply: "He changed our world."

Hollywood was a long-time supporter of Mandela's fight against apartheid, releasing a number of movies inspired by the civil rights leader's plight.

"We count ourselves unspeakably fortunate to have been immersed in Nelson Mandela's story and legacy," said Harvey Weinstein, whose company is releasing the biopic "Mandela: Long Walk to Freedom" this month.

A number of Hollywood heavyweights have portrayed Mandela, including Danny Glover, Sidney Poitier and Terrance Howard. Morgan Freeman earned an Oscar nomination for best actor for his portrayal of Mandela in "Invictus."

The latest to step into the role is Idris Elba, who plays the South African leader in "Mandela: Long Walk to Freedom."

"What an honor it was to step into the shoes of Nelson Mandela and portray a man who defied odds, broke down barriers, and championed human rights before the eyes of the world," Elba said.

How one British pop song helped to free Nelson Mandela

POLITICS

Perhaps nowhere is Mandela's influence more evident that on America's politicians.

As a student at the University of California, Berkeley, California Assemblywoman Nancy Skinner participated in the divestment protests in the late 1970s and early 1980s.

So when Mandela was released and the South African government began its transition, "I think we felt like were part of that," Skinner said.

She learned of Mandela's death during a Democratic caucus in California.

"That strategic, spiritual, political leadership has no equal," she said.

President Obama recounted to the nation on Thursday how he drew inspiration from Mandela during his first public speech.

"My very first political action, the first thing I ever did that involved an issue or a policy or politics, was a protest against apartheid. I studied his words and his writings," he said in a televised address shortly after Mandela's death was announced.

"And like so many around the globe, I cannot fully imagine my own life without the example that Nelson Mandela set, and so long as I live I will do what I can to learn from him."

"He no longer belongs to us," Obama said. "He belongs to the ages."

Nelson Mandela: A man of many handshakes

CNN's Catherine Shoichet and Greg Botelho contributed to this report.

@highlight

President Obama ordered flags lowered to half-staff in memory of Nelson Mandela

@highlight

Mandela loomed large over American activists and politicians

@highlight

His plight has been repeatedly depicted by Hollywood