Seattle, Washington (CNN) -- While dramatizing the against-the-odds rescue of a noble, harmonious alien society called the Na'vi, James Cameron's "Avatar" may also effectuate the rescue of a nasty, contentious alien society known as Hollywood -- or at least save Tinseltown's annual Oscar extravaganza from its long-term ratings slump.

The annual Academy Awards telecast used to be one of the big, unifying cultural events that most Americans shared and talked about -- like the Super Bowl, or presidential election night, or Christmas Eve. As recently as the 1990's, more than 40 million U.S. viewers -- according to The Nielsen Company -- watched the broadcast in whole or in part, and spoke the next day about the best and worst gowns, the dumbest acceptance speeches, and the biggest surprises in the major categories.

Beginning with the awards for the film year 2003, however, the ratings for Hollywood's big show took a sharp turn for the worse, dipping consistently below the 40 million figure (despite sharply increased population) and reaching an all-time low in 2008, according to Nielsen.

The problem wasn't the quality of the hosts or the clumsiness of the big musical numbers, but the year-after-year nature of the top nominated films, with deeply depressing, art-house fare ("Million Dollar Baby," "Crash") reliably crowding out more popular releases.

The infamous 2008 Oscar telecast experienced a crash all its own, with just 31.76 million viewers -- or barely one out of ten Americans, according to Nielsen. As The Hollywood Reporter observed, the collapse in the size of the audience had everything to do with the gloomy nature of the leading nominees, all of which scored high on "the depression meter. ... 'Atonement,' 'Michael Clayton,' 'Juno,' 'No Country for Old Men,' and 'There Will Be Blood' were the bedsheet-noose best picture nominees."

The ratings last year rebounded slightly, with the relatively upbeat "Slum Dog Millionaire" delivering some old-fashioned uplift with its reassuringly familiar poor-boy-makes-good and love-conquers-all messages, despite the exotic (and sometimes brutal) Mumbai, India, settings.

For this year's March 7 broadcast, however, industry insiders tell me they expect a spectacular increase in the size of the TV audience -- perhaps even surpassing the huge 1998 ratings that set a recent record: 55 million viewers, nearly twice the viewership for 2008, according to Nielsen.

Sure, Billy Crystal's sprightly humor helped attract the hordes who viewed the '98 spectacle -- but the big attraction was a very big movie: "Titanic," the ultimate winner of 11 Oscars and, at the time, the top grossing motion picture ever released. No wonder James Cameron proudly proclaimed himself "king of the world" while scooping up his gold baldie for Best Director.

Well, 2010 will witness the "Return of the King" (you should pardon the expression), with "Avatar" replacing "Titanic" as history's top money-maker and listed as a heavy favorite for numerous Academy Awards (particularly in the technical arena).

The Oscar telecast will get a huge boost from all the avid "Avatar" fanatics, many of whom have seen the movie over and over again. Popular favorite Sandra Bullock, odds-on favorite to win Best Actress (she's already won the Golden Globes, the Screen Actors Guild Awards and tied for the Critics Choice Awards) will draw additional viewers who made the heartwarming, faith-family-and-football saga "The Blind Side" one of last year's most successful surprises.

Ironically, the presence of such populist fare on any list of sure-thing nominees makes the much-ballyhooed reform of the Best Picture category largely unnecessary when it comes to insuring a successful telecast.

Instead of five nominees as in the past, this year the Academy selected 10 films as candidates for the top prize, hoping to guarantee at least a few popular box office winners to go along with the usual dark, despairing and little-seen indie offerings on the ever-popular theme of "Life Sucks." (Actually, Mel Brooks directed a 1991 film originally entitled "Life Sucks," later released as "Life Stinks," which won no Oscar nominations and garnered the worst box office returns of his long, distinguished career.)

The good side of doubling the number of nominees involves increasing the chances for worthy films to get additional recognition, like the superb animated Disney/Pixar release "Up," which was nominated for Best Picture.

There is, however, a downside to the expansion of the Best Picture category: By swelling the number of nominees, the Academy contributes to the ongoing fragmentation of our culture. In recent years, only a handful of ferociously committed film buffs (and professional critics) could claim to have seen all five of the top nominees, and with ten choices now for the top prize, the number of moviegoers to have seen them all -- or even able to talk about them all -- will shrink even further.

In a similar vein, the expansion of television into innumerable cable networks (way beyond the traditional big three broadcast operations) may have vastly expanded the number of worthy offerings, but greatly reduces the cultural impact of any one of them.

"Mad Men" or "The Sopranos" may be great, but can't compare to the ability of old shows like "I Love Lucy" or "Mash" or "The Cosby Show" to bring Americans together for a few moments of entertainment across all demographic divisions.

Because of "Avatar's" phenomenal popularity, it may look like this year's Oscar show will have recaptured that unifying potential; but once the Na'vi send the corporate invaders back to Earth and recede into movie history, the centrifugal force of too many choices and ever-multiplying niche audiences will kick in once more and dictate the further atomization of our civilization. Not even James Cameron can fight the long-term trend.  The opinions expressed in this commentary are solely those of Michael Medved.

@highlight

Film critic Michael Medved: Expanded Oscar nominations fragment culture

@highlight

Insiders expect boost in TV viewers -- perhaps more than '98's 55 million, says Medved

@highlight

Oscar telecast will get a big boost from avid "Avatar" fanatics, says Medved

@highlight

Ratings have slumped since 2003 because of depressing, artsy movies, he says