(CNN) -- Over the course of his 50-plus years in Hollywood, Jack Nicholson has become the archetype of the star who lives by his own rules.

Along the way, the actor known for thwarting convention has revamped the very idea of what it means to be a leading man.

Now, that life is on full display as the subject of a new (unauthorized) biography by Marc Eliot, whose ample resume includes works on Jimmy Stewart, Cary Grant, Michael Douglas, Clint Eastwood and Steve McQueen.

All the Jack stories are there: his "overnight" success in "Easy Rider" that was preceded by 19 movies; his unorthodox lifestyle; and his grand appetite -- particularly for food and sex.

Here are 10 things you may not know about Nicholson, as gleaned from Eliot's book and CNN's interview with the author.

1. At age 76, the actor allegedly still doesn't know the identity of his real father. According to Eliot, John Nicholson is listed on Jack's birth certificate, but the author writes that the star's actual father was a man named Don Furcillo, "a sometime musician who played with various pickup bands along the Jersey Shore."

To make family matters even more complicated, Nicholson apparently didn't discover until he was an adult that the woman he thought was his older sister was actually his mother, and the woman he thought was his mother was really his grandmother.

All this bears an ironic resemblance to the storyline in "Chinatown," where Faye Dunaway's character belatedly confesses about a mystery girl, "She's my sister... my daughter. She's my sister and my daughter!"

2. Nicholson improvised the famous dentist's chair scene in Roger Corman's "The Little Shop of Horrors" (1960), a performance so memorable it would earn him his first role in a studio film (1960's "Studs Lonigan").

The entire film was shot in two days on a micro-budget. To save money, Nicholson, Corman and the rest of the filmmaking team vaulted the fences at Charlie Chaplin's old studio in Hollywood, where they filmed without permission, Eliot recounts.

Nicholson made over a dozen movies with Corman in the early part of his career. "Roger Corman is the person most responsible for Jack Nicholson becoming an actor and then a star," Eliot told CNN.

3. Nicholson's big break of course came in the role of George Hanson in 1969's "Easy Rider." The part was initially to be filled by Rip Torn, until that actor quit after feuding with director and co-star Dennis Hopper. Nicholson's salary: $392 a week.

To adopt a Texas twang for the part (and drop his native New Jersey accent), Nicholson listened to tapes of a former President.

"They made him listen to speeches of LBJ over and over again until Jack was able to pick up a few nuances of the accent," Eliot said.

The film premiered at the Cannes Film Festival in May 1969, and "Jack was really a complete unknown" at that point, Eliot said. "As he walked out of the theater (after the premiere), he knew and everybody in that audience knew that he was going to be a star."

4. Among Nicholson's most famous roles is the rebellious Randall Patrick McMurphy in "One Flew Over the Cuckoo's Nest" (which won him his first Oscar in 1976). But Eliot writes Nicholson almost lost out on the part to a slew of other stars.

Producers Michael Douglas and Saul Zaentz's first choice to play McMurphy "was Marlon Brando, who immediately said no, then Gene Hackman, who also turned them down," Eliot writes. "So did Burt Reynolds and James Caan."

But Nicholson has turned down his share of roles too, including some that made cinema history -- with other actors portraying them. According to Eliot, these are among the roles Nicholson spurned:

• Michael Corleone in "The Godfather"

• The young priest in "The Exorcist"

• The lead in "Close Encounters of the Third Kind"

• The Robert Redford role in "The Sting"

• The Jack Lemmon role in "The China Syndrome"

• The Tom Cruise role in "Rain Man"

• The Martin Sheen role in "Apocalypse Now"

• Hannibal Lecter in "The Silence of the Lambs"

• Jay Gatsby in 1974's "The Great Gatsby"

The Manson connection

5. Eliot writes that Nicholson was friends with Sharon Tate, who was among the multiple victims of the Manson Family. And when Charles Manson went on trial for the murders in 1970, Nicholson attended the proceedings virtually every day.

"He was fascinated by Manson's persona and the crazy way he looked" during the trial, Eliot writes. "Jack ... couldn't get enough of it."

His fascination with prominent trials was not limited to the Manson case, according to Eliot. The author writes that Nicholson also attended the 1977 trial of actress Claudine Longet (Andy Williams' ex-wife), who was accused of killing her lover, "Spider" Sabich.

"He always sat in the first row of spectators, usually next to (Andy) Williams, mystified by the lovely face of a woman driven to kill," Eliot writes.

6. To judge from Eliot's biography, Nicholson may have bedded more women than any other star (with the possible exception of Warren Beatty).

Space does not permit a full listing of his conquests, but Eliot reports they include:

• Veronica Cartwright (his co-star in "The Witches of Eastwick")

• Lara Flynn Boyle

• Julie Delpy

• Michelle Phillips (of the Mamas and the Papas)

• Rebecca Broussard

• Anjelica Huston

• Susan Anspach

• Melanie Griffith

• Jill St. John

• Margaret Trudeau (then the estranged wife of the Canadian Prime Minister)

• Christina Onassis (daughter of Aristotle)

Eliot describes a particularly voracious period of carousing for Nicholson, when he and friend Michael Douglas were traveling the world to promote "One Flew Over the Cuckoo's Nest."

"They stripped and devoured (young women) like peeling shrimp," Eliot writes, "as they romped through England, Sweden, Denmark, France, Germany, Italy, Japan and Australia."

7. Nicholson's other love, apart from women, is collecting art. According to Eliot, the actor's collection is worth $100 million, comprised of works by Picasso, Matisse, Modigliani, Magritte, Bouguereau, Botero and Rodin.

How did Nicholson afford all that expensive art? By becoming one of the wealthiest actors in Hollywood. As one of the industry's most sought-after talents, he was able to strike a hard bargain for his services -- demanding and receiving profit participation in the great majority of his films.

Jack the Joker

8. The most lucrative role of Nicholson's career came as the Joker in Tim Burton's "Batman" (1989). The actor's take: somewhere between $60 million and $90 million, according to Eliot.

Nicholson might have done the role for nothing, given how much he loved Batman lore. Eliot writes the actor grew up reading Batman comic books and was especially fond of that grinning villain.

"Playing the Joker was not a gag for him," Eliot told CNN. "For Jack, (appearing in 'Batman') was a chance to connect to childhood."

According to Eliot, Nicholson was so taken with the role he shelled out $70,000 to buy his character's "electrified purple clown outfit."

The famous golf club incident

9. Many instances of Nicholson's generosity are detailed in the book, but so are his occasional outbursts. None is more famous than the day in February 1994 when he demonstrated his golf swing for the driver of a Mercedes.

The mallet in question? A two-iron (graphite shaft). Nicholson pulled it from its bag and smashed the windshield and roof of the Mercedes after the driver allegedly cut him off in traffic.

It was a costly encounter. Nicholson settled a civil suit filed by the driver; Eliot cites unnamed sources who peg the payout at $500,000.

Has Nicholson retired?

10. The one question the book doesn't answer is whether Nicholson will make another film. He hasn't starred in anything since 2010's "How Do You Know," and a recent unsubstantiated report claimed the actor had retired (CNN previously reached out to Nicholson's agent, Sandy Bresler, for comment on that but did not receive a reply).

Eliot told CNN "retirement" is a dirty word in Hollywood, because actors, no matter what their age, are always hoping one more great role will come their way.

The author told CNN he hopes we haven't seen the last Nicholson performance.

"Hopefully we'll have more of Jack, because you can never have enough."

@highlight

Marc Eliot has written an unauthorized biography of Jack Nicholson

@highlight

The writer covers his career and unorthodox lifestyle

@highlight

The tome is filled with tidbits that fans may not know about