An emergency contraceptive manufactured in Europe will come with a new label in 2014, warning that the pill may not be effective for women over a certain weight.

The same may be true for emergency contraceptives in the United States.

French manufacturer HRA Pharma was conducting research on another topic related to its emergency contraceptive Norlevo when scientists realized there was "a clear impact of weight" on the drug's effectiveness, CEO Erin Gainer said.

HRA Pharma scientists discovered Norlevo began losing its effectiveness when women reach about 75 kilograms, or 165 pounds, Gainer said, and showed an "absence of effectiveness" at about 80 kilograms, or about 176 pounds.

"We felt it was our ethical duty ... to report those results to our health authorities here in Europe," Gainer said.

Norlevo is identical to the emergency contraceptive Plan B One-Step, said Kelly Cleland, a public health expert at Princeton University. Both are LNG ECs, or emergency contraceptives that include levonorgestrel, a synthetic version of the hormone progestogen. Emergency contraceptives are often called the morning-after pill because they work by interfering with ovulation, preventing the fertilization of an egg.

Teva Pharmaceuticals, which manufactures Plan B, did not respond to CNN's request for comment.

The Food and Drug Administration "is currently reviewing the available and related scientific information on this issue, including the publication upon which the Norlevo labeling change was based," said spokeswoman Erica Jefferson. "The agency will then determine what, if any, labeling changes to emergency contraceptives are warranted."

Plan B is available in the United States without a prescription to anyone of any age. Its generic versions Next Choice One Dose and My Way are also the same as Norlevo, Cleland said.

Under U.S. federal law, generic brands cannot change their labeling until the name brand product does. "Actavis' Next Choice One Dose is approved by the FDA as a safe, effective and therapeutically equivalent treatment option to its brand counterpart," said Actavis spokesman David Belian. "Therefore, should any update to the Plan B labeling take place, we would make the appropriate change to our product as well."

European health authorities approved the Norlevo label change a few weeks ago, but it will take several months to implement in all the countries HRA Pharma supplies, Gainer said. The new packaging slip will say the emergency contraceptive is "not recommended ... if you weigh (165 pounds) or more," according to Mother Jones, which first reported the story.

It is unclear why emergency contraceptives may be less effective for overweight women, said Anna Glasier, an expert in reproductive medicine at the University of Edinburgh. Glasier published a study in 2011 that analyzed the risk of pregnancy for women who had taken emergency contraception.

Glasier and her colleagues found that obese women had three times the risk of getting pregnant after taking emergency contraception than those with a normal body weight. The risk was greater for those who had taken levonorgestrel pills, compared with those who had taken ulipristal acetate, which is used in another emergency contraceptive called Ella.

"There has been some evidence over the years that low doses of progestogen-only contraceptives have less efficacy in heavier women, but we do not know why," Glasier told CNN. That said, "it is well recognized that body weight affects the way drugs are metabolized."

Previous research has shown that women who weigh more than 155 pounds are at a higher risk of regular oral contraception failure. These drugs take longer to reach normal concentration levels in the blood of obese women compared with normal weight women, according to one study. That may be one reason emergency contraceptives are less effective.

Glasier noted that the number of obese women in her study was small, so it's hard to make broad recommendations based on the research. In the general population, studies show levonorgestrel emergency contraception prevents about 50% of expected pregnancies.

"You are probably better to take LNG-EC after unprotected sex than just to leave it to chance even if you are obese," Glasier said.

"When faced with a choice ... I don't think the findings are strong enough for us to tell women that they should not use LNG-EC," Cleland agreed. "Because Plan-B One Step is now available over-the-counter and is by far the easiest EC method to get, this is the method that most women are familiar with."

Cleland recommends overweight women who are worried about the pill's effectiveness use an emergency contraceptive with ulipristal acetate, or a copper IUD. IUDs, or intrauterine devices, can be inserted by a doctor up to five days after unprotected sex to help prevent pregnancy.

It's important to note that women shouldn't be relying solely on emergency contraception to prevent pregnancy. "The best way to reduce the risk of unintended pregnancy among women who are sexually active is to use effective birth control correctly and consistently," the Centers for Disease Control and Prevention says. Find the method that works best for you by talking to your doctor.

@highlight

Norlevo emergency contraceptive may be ineffective for overweight women

@highlight

Norlevo is identical to Plan B One-Step and its generic versions, health expert says

@highlight

Taking emergency contraception is still better than not taking it at all, experts say

@highlight

Ella or IUDs may be more effective for heavier women