(CNN) -- "The Little Sisters do incredible work in the world and this case ... has brought their work to light."

That's NARAL Pro-Choice America President Ilyse Hogue on Fox News, discussing (and disputing) the lawsuit brought on behalf of The Little Sisters of the Poor, a religiously affiliated, nonprofit charitable organization challenging the exemption procedures under Obamacare's contraception mandate.

And Hogue is right: The sisters, admirably, run nursing homes across the country. But the lawsuit brought in their name at the very least is, as The New York Times editorial board wrote, "an unjustified attempt by an employer to impose its religious views on workers" and at worst a wrongheaded co-optation of the notion of religious liberty. Either way, it certainly fits with the ongoing conservative partisan agenda to unravel the Affordable Care Act

The Little Sisters of the Poor order, based in Colorado, is already exempt from Obamacare's requirement that employer-provided health insurance plans cover the cost of contraception without a co-pay as part of ensuring comprehensive preventative health care for women. To claim that exemption, the Little Sisters simply have to sign a short form stating their religious exemption to contraception. That's it.

This is not about the nuns having to cover contraception. This is about a piece of paper. In essence, the plaintiffs in the case are arguing, as Amanda Marcotte of Slate has pointed out, that filling out a form is a violation of their religious freedom. Sound a bit far-fetched? Indeed, that's what a federal judge and two appellate courts have already ruled.

And yet the case, and the ongoing conservative opposition to the contraception mandate, continues on. Late last month, Supreme Court Justice Sonia Sotomayor surprisingly gave the nuns a temporary reprieve, blocking the requirement until the merits of the case can be considered

Certainly conservatives aren't pursuing attacking the contraception mandate to win a popularity contest. Data show that 98% of sexually experienced Catholic women of child-bearing age have used a method of contraception other than natural family planning at some point in their lives and that 82% of Catholics -- and 89% of Americans overall -- say that contraception use is morally acceptable.

Even so, conservatives grasping for any threads to try and unravel health care reform turned their ire on this portion of the Affordable Care Act

But the administration has already amended the law to address the objections of religious conservatives -- mainly, it should be noted, Catholics, as it was the U.S. Conference of Catholic Bishops that helped lead the push against the contraception mandate.

The Obama administration exempted all religious organizations, including churches, from the mandate. And the administration created the exemption for religiously affiliated nonprofit organizations that object to birth control.

In signing a simple self-certifying waver, these nonprofits alert their insurance companies or third-party administrator to their objection, and that company then provides contraceptive coverage at no charge to women who work at the nonprofit.

The Little Sister's counsel argue that signing the exemption form is still tacitly facilitating the provision of contraception through the nonprofit's insurer. Except it's not.

As Michael Hiltzik points out in the Los Angeles Times, "The sisters' insurer [Christian Brothers Employee Benefits Trust] is also exempt from the mandate, because the health plan isn't governed by ERISA, the federal law under which the mandate is imposed. In other words, signing the form doesn't lead to contraceptive services either."

So one can't help but wonder what's really motivating the lawsuit.

The Little Sisters are being represented by a religiously affiliated legal group pushing a broader conservative agenda to dismantle Obamacare. While the Becket Fund for Religious Liberty has pursued a handful of bipartisan cases, the majority of its lawsuits hew to the agenda of the religious right. It's an agenda to which the Becket Fund is tied ideologically and financially, the monitoring organization Political Research Associates has noted.

In addition to Catholic Church-affiliated backers, the Becket Fund enjoys major support from ideologically driven conservative foundations, such as the Bradley Foundation, whose other grantees include the Heritage Foundation and the Hudson Institute, partisan institutions leading the conservative fight against Obamacare.

Note the Becket Fund is also the source of the attorneys behind the Hobby Lobby case in which a private corporation that willingly opts to receive special, favorable government treatment under that status is nonetheless alleging it should also qualify as a religious entity for purposes of exemption from the health care law's contraception mandate.

Here's the thing: No one is saying that the Little Sisters of the Poor should have to pay for contraception for their employees. There's an exemption under Obamacare. For which the nuns qualify. If only they would sign the form.

In other words, the law already works for groups like the Little Sisters. They don't want to fund contraception coverage and, under Obamacare, they don't have to.

The opinions expressed in this commentary are solely those of Sally Kohn

@highlight

Sally Kohn: Suit on behalf of Little Sisters of the Poor challenges contraception mandate

@highlight

She says nuns' suit dovetails with unrelenting conservative opposition to Obamacare

@highlight

She says Obamacare exempts nuns from contraceptive coverage mandate; why sue?

@highlight

Kohn: Conservative lawyers for nuns have right-wing backers, using nuns to push agenda