(CNN) -- When he co-founded Harborside Health Center, the world's largest medicinal-cannabis dispensary, located in Oakland, California, five years ago, Steve DeAngelo's goal was to provide a safe, comfortable, organized alternative to what he saw as a broken system in the state, professional thugs on one side, irresponsible stoners on the other.

"Both options were bad," DeAngelo said. "On one hand, it was just amateurish. On the other hand, it was still scary. ... I wanted to put together a dispensary that would bring together the twin ideals of my life, which are a commitment to activism and a commitment to professionalism."

The roots of activism began early with DeAngelo, who was a seventh grader in Washington when he organized a Vietnam-war protest in the form of a gymnasium takeover. By 16, he was out of school completely ("I was more equipped to educate myself than the teachers in high school were to teach me," DeAngelo said), and working as a street activist.

Over the years, he would busy himself as a record producer and talent booker in the music industry, graduate summa cum laude from the University of Maryland and found a company called Ecolution, which sold hemp clothing and accessories all over the United States and in 21 countries overseas.

DeAngelo said he was approached by half a dozen or more reality-television producers after opening Harborside, but citing their needs to "create dramatic conflict and something sensational," he refused to sign with any of them. But when Braverman Productions approached, he sensed a shared understanding, and Discovery Channel's "Weed Wars" was born.

DeAngelo spoke with CNN about his upbringing, what his show has accomplished and what he wants from this year's presidential election.

CNN: Were you really born at 4:20 p.m.?

Steve DeAngelo: I was really born at 4:20 p.m. It's funny, I hadn't even known that until a couple years ago when one of my staff was reorganizing my files and happened to come across my birth certificate. Sure enough, it was 4:20 p.m.

CNN: Do you remember your first time smoking marijuana?

DeAngelo: Yes, I remember it vividly for sure.

I went to a friend's house after school, and I was ready for cannabis. I had heard about it and I had read about it. From the very beginning of my cannabis use, I was quite well educated. I probably read two or three books about cannabis before I even consumed any.

My first experience was really revelatory for me. I had a little smoke at my friend's house, and then walked home through a beautiful park that had this long creek. For the first time in my life, I really became aware of myself as a creature of nature that was related to other creatures of nature. I remember to this day how the sunlight was rippling down through the gaps and the leaves of the trees.

CNN: Why did you drop out of high school at 16?

DeAngelo: It was mainly politics. I had been getting into issues at school because I was politically active. I didn't feel that the school system was really educating me or preparing me to do the things I wanted to do in life then. I felt that the educational system offered me a very narrow slice of knowledge and required a great degree of conformity. I felt like I was being trained to become an obedient corporate drone, which was never something I wanted in my life.

I dropped out of high school on my 16th birthday. When I was 17-and-a-half years old, I took the GED and passed it with flying colors. So I actually had my high-school diploma prior to my compatriots that remained in high school.

CNN: When were you approached by Discovery Channel about Harborside?

DeAngelo: About 13 months ago. What happened was, as the debate over Prop. 19 heated up, there was a lot of media interest in the issue of cannabis.

We were approached by a series of producers of reality TV shows, about a half a dozen, maybe more. Each one wanted us to be featured in a reality TV show, but I could tell they all had the agenda of a reality show, and I was concerned that we would not be portrayed as we really are, but in some sensationalistic kind of way.

And then Braverman Productions came along, and I could tell from the first meeting with them that they had a different kind of intention, that they really did want to show us as we were, as we are. I checked out their past work that they had done, I interviewed some of the people that they had worked with, I spent a lot of time with them personally just to get to know them. When I became convinced that they were really truly committed to showing us and showing medical cannabis as it is, I decided I was comfortable doing the show with them.

CNN: Do you feel like you've affected the cannabis law and public opinion with the show?

DeAngelo: Absolutely. I know we've had a tremendously positive impact. We've received hundreds of letters from people all over the country and were deeply moved by the show. So many people wanted a second season, they crashed the Facebook page of the Discovery Channel.

I got letters from a retired cop in Ohio who talked about how if it was 28 years earlier he would have arrested us, but now after seeing the show had his eyes opened and was thinking about checking it out and becoming a patient himself. We had a Baptist minister from Florida call up my publicist and have my publicist on the phone praying for me and my brother because he was so moved by the show.

CNN: You present your words carefully: "cannabis" instead of "marijuana," "wellness" instead of "recreation." Why is that?

DeAngelo: First of all, as to cannabis versus marijuana, marijuana was a term that was popularized by prohibitionists, specifically William Randolph Hearst, who had a huge media campaign in the 1930s, an ultimately successful campaign, to make cannabis illegal. And in that campaign, he wanted to identify cannabis with the other, the foreign, the Mexican. So there were all sorts of horror stories about Mexican immigrants and African-Americans going crazy after they ingested the "demon weed, marijuana," which sounded very foreign to American ears, very exotic. So I think that as we move to a place where we're leaving reefer madness behind and really taking a second, more scientific look at cannabis, it's appropriate to use the scientific terminology for the plant.

As for recreation, I don't believe that very many people really, truly use cannabis for recreation -- or anybody, really. What is recreation? Recreation is not something you can smoke or something you can swallow or something you can rub on your skin. It's not a commodity. It's an experience.

CNN: Who decided on the name of the show?

DeAngelo: That was all a Discovery decision as well. We had actually urged it to be called "Cannabis Confidential." But as it turned out, ("Weed Wars") was completely appropriate. When they first suggested the name to me, I was like, "What are you talking about? We never call it 'weed' and it's not about a war."

When you look at the show, there's not warfare going on in the show. Except that, after filming was completed, we had the Obama administration reverse their policy on medical cannabis and the U.S. Attorneys in California, in fact, go to war against us. And episode two of "Weed Wars" really spent a lot of time describing that struggle, so I think that, looking backwards, the choice of the show title was actually remarkably prescient.

CNN: You bring up politics and I imagine the upcoming election has you approaching your fight in different ways. Which candidate is most in line with your views?

DeAngelo: I have not decided who I'm going to vote for for president, but there's two things that I know for sure: I'm not going to vote for somebody that thinks I'm a criminal and wants to put me in prison, and I will vote for the person who I'm convinced will defend medicinal-cannabis patients. Those are my two main metrics. I haven't decided who I'm going to vote for yet, but I think that the president has endangered millions of votes that he would have otherwise gotten by allowing the U.S. Attorneys to conduct this campaign against cannabis. My preferred outcome would be that the president does the right thing, keeps his original promise to the medicinal-cannabis community, and ends this federal attack on patients. That would allow me to wholeheartedly support the president for re-election. That's what I hope happens.

CNN: What happens if you're presented with two candidates who don't meet your two characteristics?

DeAngelo: I'll be looking at the third parties. I will not vote for someone that wants to put me in prison.

@highlight

Steve DeAngelo stars in the Discovery Channel reality series "Weed Wars"

@highlight

The show is about Harborside Health Center, the world's largest medicinal-cannabis dispensary

@highlight

DeAngelo says he and his show have had a positive effects on the views about cannabis