Istanbul (CNN) -- For the second time in a week, Turkish officials searched a civilian airplane headed to Syria in what appears to be the enforcement of a new Turkish air blockade against the Syrian government.

Armenian and Turkish diplomats confirmed to CNN that an Armenian cargo plane destined for the battle-scarred Syrian city of Aleppo stopped first in the Turkish city of Erzurum for an inspection of its cargo Monday morning.

Also on Monday, the European Union added to Syria's growing isolation by announcing a 19th round of sanctions against the regime. One of the punitive measures bans Syrian Arab Airlines planes from all European Union airports.

"This comes in addition to an existing ban on Syrian cargo flights," the EU Council announced in a news release.

The Armenian cargo was eventually allowed to fly on to Syria after remaining grounded and searched in Turkey for at least five hours.

Read more: Report: Turkey diverting civilian planes to avoid Syrian airspace

Unlike last week's unexpected grounding of a Syrian passenger plane flying from Moscow to Damascus, the inspection of the Armenian airplane appeared to have been agreed upon ahead of time by Armenian and Turkish authorities.

"The plane is transporting humanitarian aid to Syria and its stop in Turkey was planned," Armenian Foreign Ministry spokesman Tigran Balayan wrote in an e-mail to CNN before the cargo was allowed to leave.

"An Armenian civilian cargo aircraft requested overflight permission from Yerevan to Aleppo," explained Selcuk Unal, a spokesman for Turkey's Foreign Ministry.

"We provided a license for use of our airspace provided they first make a 'technical landing.' "

Read more: Turkey to Syria: Don't send arms through our air space

"We are exercising our sovereign right," Unal added.

Last Wednesday, Turkey made a conspicuous show of force, dispatching F-16 warplanes to escort the Syrian passenger plane headed from Moscow to Damascus to an unplanned stop in the Turkish capital, Ankara.

After a search of the aircraft, Turkish authorities confiscated an unspecified number of items in the plane's cargo hold that officials said were being shipped to Syria's Ministry of Defense.

The Turkish government says it is a violation of international and Turkish law to transport military materials on civilian planes.

The embattled Syrian government denounced the grounding of the aircraft, calling the incident an example of "air piracy."

On Monday, Turkey's prime minister defended the decision to confiscate cargo from the Syrian plane.

"These containers that have been taken off the plane, the sender company is KBP Instrumental Design Bureau," Recep Tayyip Erdogan announced in a live television broadcast. "The receiver? The Syrian National Defence Ministry. This material that we confiscated is without a doubt military equipment. Calling it radar equipment or some other type of equipment is a deflection."

The English-language website for KBP Instrumental Design Bureau describes it as a "developer and manufacturer of high-precision weapons." Headquartered in Tula, Russia, the company advertises itself as a manufacturer of rocket systems, tanks, artillery, and short-range air defense systems.

In the wake of the search and confiscation of the Syrian plane cargo, both Turkey and Syria have closed their airspace to each others' aircraft.

Read more: New Syrian flashpoint erupts; Turkey releases Syrian plane

The once intimate relationship between the Turkish and Syrian governments is one of the many casualties of the Syrian civil war. Since Syrian security forces first began attacking anti-government protests in March 2011, Turkey and Syria have gone from lifting visa restrictions on each other's citizens and holding joint Cabinet meetings to routinely denouncing each other.

Turkey's prime minister has backed the Syrian opposition and provided a staging ground for rebels, while repeatedly calling on Syria's president to step down.

Read more: U.N. still has no plan for Syria

Damascus has accused the Turkish government of arming and funding "terrorists."

Both countries have frozen diplomatic ties. This month, escalating tensions flared yet again, when Syrian artillery killed two women and three children in the Turkish border town of Akcakale. Since then, Turkey and Syria have repeatedly engaged in artillery duels along the 900-kilometer (560-mile) border dividing the two countries.

On Monday, Turkey's Foreign Ministry announced more than 100,000 refugees had now fled Syria to take shelter in Turkish refugee camps.

But over the weekend, a new kind of "refugee" fled to Turkey.

Read more: Syria's attack on Turkish plane could ignite conflict

Turkey's Foreign Ministry confirmed to CNN Turkish media reports that at least 12 Syrian soldiers, running away from clashes with Syrian rebels, escaped across the border and surrendered to Turkish border guards.

"They swam through the Orontes River," said a Turkish government official, who asked not to be identified because he was not authorized to discuss border security with the media. The Orontes makes up part of the border between Turkey and Syria.

"Some of the soldiers are wounded and are being treated in hospital. They left their weapons in Syria," the Turkish official continued.

Unlike thousands of other soldiers and officers who have defected from the Syrian armed forces throughout the 19-month conflict, the Turkish official said the 12 new arrivals did not appear to be deserting the military.

"They wanted to escape from the fighting," he said, adding that the 12 Syrian troops were being kept at a separate location from other camps housing refugees and defectors.

@highlight

NEW: Prime Minister Erdogan details cargo taken from plane last week

@highlight

A plane headed for Aleppo is stopped in the Turkish city of Erzurum for a cargo inspection

@highlight

The action appears to be the enforcement of a new Turkish air blockade against Syria

@highlight

The European Union announces 19th round of sanctions against Syrian regime