(CNN) -- It was supposed to be the trip of a lifetime for Merrill Newman, a Korean War veteran who had long wanted to go to North Korea.

It ended, according to his family, with the detention of Newman, 85, when he was pulled off a plane at Pyongyang's Sunan International Airport five minutes before it was to depart.

Newman, of Palo Alto, California, has not been seen nor heard from since October 26, the day he and a traveling companion wrapped up a 10-day organized tour of North Korea, his son, Jeff Newman, told CNN.

The U.S. State Department declined Thursday to confirm Newman's identity or whether he had been detained, citing privacy issues. North Korea has not publicly acknowledged that it is holding Newman.

Newman's son believes the detention is the result of "a misunderstanding."

"My father is a (Korean War) veteran and wanted to see the country and culture he has been interested in for years," he said. "He arranged this with a travel agent that was recommended and said was approved by the North Korean government for travel of foreigners. He had all the proper visas."

Jeff Newman said his family has been working through the State Department since they found out that his father was being held.

"We've worked through the State Department from the day he was supposed to depart," Newman said. "... We've heard nothing."

Jeff Newman said what he has heard has primarily come from his father's traveling companion, who was on the plane. He identified the traveling companion as Bob Hamrdla, a friend who lives in the same retirement community.

Newman was a customer of Juche Travel Services of London, and he traveled with "one other gentleman" to North Korea on the same private tour, Juche Travel spokesman David Thompson said in a written statement.

"The tour arrangements were handled by the Korea International Travel Company," Thompson said. "Mr. Newman had in place all necessary and valid travel documents to take his tour. We have no information concerning what has occurred to result in the current situation."

Bargaining chip?

News of the apparent detention came as talks were under way between the United States and China, North Korea's closest ally, about reviving negotiations to dismantle Pyongyang's nuclear program.

The timing raises questions about whether North Korea plans to use Newman as a bargaining chip in the negotiations, a move the West has previously accused it of doing to try to gain concessions.

Glyn Davies, the U.S. special representative to North Korea, declined to link the two, but said the detention of American citizens "is an indication that North Korea seems not to be seeking a better relationship with the United States."

"Again, these are separate matters, but we certainly think that North Korea should think long and hard about these cases and understand that, for the United States, these are matters of core concern for us, the fate of Americans who are in North Korea being held by North Koreans," he said Thursday.

The United States, which does not maintain diplomatic relations with North Korea, is working with Sweden and North Korea's top ally, China, to try to resolve the issue.

Questions have been raised about whether Newman's military service during the Korean War may be related to his detention.

Park Syung-je, chairman of the Seoul-based Asia Strategy Institute, says Newman may have been arrested on espionage charges.

As a Korean War veteran, Newman might have told his minders he fought against North Korea. They may have reported it, resulting in his detention.

The U.S. Defense Department did not immediately respond Thursday to CNN's request for information on Newman's military service.

Meeting with authorities

The day before Newman was to leave North Korea, he and his tour guide met with "one or two Korean authorities," his son said.

During that meeting, Newman's service record was discussed, he said.

"I understand my dad was a bit bothered," Newman said. But neither he nor his traveling companion believed there was an issue.

The next day, Newman and Hamrdla boarded a plane for Beijing.

Five minutes before the plane was to depart, authorities boarded and asked to see Newman's passport, his son said.

According to the traveling companion's account, the authorities then asked the elder Newman to leave the plane with them, Jeff Newman said.

When the plane landed, Hamrdla immediately contacted the U.S. Embassy in Beijing to report Newman had been taken off the plane, the younger Newman said.

'Trip of a lifetime'

The elder Newman was enjoying the trip and called home from North Korea to tell his wife about it, his son said. The family also received postcards sent by Newman during the tour of North Korea, he said.

The younger Newman called his father "old school," saying he never talked about his service and the Korean War.

The trip to North Korea was "months in the planning," the younger Newman said. He said a Chinese tour company set up the tour, which included the services of two tour guides.

"It was the trip of a lifetime," he said.

Hamrdla has declined to speak with reporters but, in a statement, said the situation has to be a "terrible misunderstanding."

The elder Newman suffers from a heart condition, his son said. Medication was delivered to the North Koreans via Swedish diplomats, but he said he is unsure whether the medication made it into his father's hands.

"We would like to know his status. We would like the Swedish Embassy to meet with him to ensure he's getting his medication," Jeff Newman said. "At the end of the day, we'd like him to get on a plane and fly back to San Francisco. He's an 85-year-old man who followed all the protocols. He did everything that he was supposed to do."

Others detained

Newman is one of two American citizens being held in North Korea.

The other one, Kenneth Bae, was arrested in November 2012 and sentenced in May to 15 years of hard labor. The North Korean government has said he was found guilty of "hostile acts" and attempts to topple the government.

North Korean authorities have arrested four U.S. citizens for entering the country illegally since January 2009, the State Department said in its travel advisory Tuesday.

Two other U.S. citizens who entered the country on valid visas were arrested for other reasons, and U.S. officials have received reports of other Americans being arbitrarily detained, according to the State Department.

Other detained Americans

South Koreans also have been detained.

In 1999, a South Korean woman, Min Young-mee, was detained for six days after apparently saying the wrong thing on a tour to North Korea's Kumkang Mountains.

"I hope the two Koreas reunite soon so we can visit each other," Min said. "North Korean defectors are living well in the South."

A North Korean minder for the tour group reported her remarks to North Korean authorities. She wasn't allowed to return home with her tour group. After a written apology for violating North Korean laws, she returned safely.

Travel to North Korea has increased in recent years as the government has eased travel restrictions, making it easier for Westerners to visit.

On Tuesday, the State Department warned Americans not to travel to North Korea.

Previously, the agency had warned U.S. citizens of the "serious risks" of travel to the reclusive country -- including arbitrary arrest for what would be innocuous acts elsewhere. But its last travel warning, issued on October 1, didn't include the stronger language advising against all travel.

The photos North Korea didn't want you to see

CNN's Anderson Cooper, David McKenzie, Christopher Laible, Sarah Baker, Michael Martinez and Ashleigh Cowie, along with journalist Yoonjung Seo, contributed to this report.

@highlight

Merrill Newman, 85, was detained by North Korean authorities on October 26, his son says

@highlight

Newman, a Korean War veteran, was wrapping up a 10-day tour of the country

@highlight

The day before he was due to leave, he was questioned by North Korean authorities

@highlight

He had "all necessary and valid travel documents to take his tour," agency says