(CNN) -- A robotic recycling system could help address the escalating global waste problem, according to Finnish technology company ZenRobotics.

The ZenRobotics Recycler (ZRR) is an intelligent robotic system which separates construction materials on a conveyer belt, plucking out recyclable materials and depositing them in bins for collection. The system is designed to replace manual sorting, which can be dangerous and frequently prohibitively expensive.

Worldwide, the construction and demolition sector is thought to contribute over one third of all waste. The U.S. alone contributes a staggering 325 million tons of waste every year, and the UK produces another 120 million tons.

While household and municipal waste has fallen in recent years across the developed world, Waste Watch -- a not-for-profit sustainability organization based in the UK -- suggests that over 80% of all human waste that potentially could be recycled currently goes into landfill.

ZenRobotics founder Jufo Peltomaa notes that the problem is equally severe across the EU: "In the EU alone there's 900 million tons of construction and demolition waste. If you were to convert that to the average sized car, the queue would go 45 times around the globe."

Peltomaa and his team at ZenRobotics constructed the ZRR to help deal with this problem. "It's a really difficult job for robots and machine learning systems to do," says Peltomaa. "There are currently no such systems in the world, so our system is the first."

The ZRR identifies different types of waste using a process called "sensor fusion." By analysing the data, the sensors sort through objects on a conveyor belt and distribute them into surrounding chutes. The sensor fusion system uses a range of technologies including weight measurement, 3-D scanning, tactile assessment and spectrometer analysis, which measures how much light reflects from various different materials.

ZenRobotics believes its creation will help ease the burden of the repetitive and dangerous job of waste filtration, which is currently done manually.

"Currently, construction and demolition waste is handled by manual pickers," says Peltomaa. "That's a pretty good solution, but it's hazardous for your health. There are poisonous materials, sharp and heavy materials, plus asbestos etc."

Peltomaa says that the idea for using robots for recycling came to him when he had stayed up late watching a documentary on the Discovery Channel, in which a B52 bomber was crushed and recycled. The waste was placed onto a conveyor belt attended to by "bored-looking" employees picking through the rubble.

Peltomaa says he immediately noticed two things: "First of all it's really dangerous to be there because the process is really hazardous (and) second that the technology (we) had was a perfect fit. So we decided to do robotic sorting."

The ZRR's sensor fusion system works through a complex analysis procedure conducted once items are put onto the conveyor belt. The system's sensors gather data, which is sent across to the bespoke artificial intelligence system, christened by the team as the "ZenRobotics Brain."

The brain assesses each object's material (wood, metal, stone, etc.) and decides what to do with it. Commands are then issued to the robotic arm, which picks up the objects and deposits them in the appropriate bin, ready for collection.

Renowned industrial designer Stefan Lindfors says he believes the robot could contribute to global efforts to improve recycling, but adds that the real problem is something significantly more fundamental: "there should be less waste for us to have to sort to begin with."

Lindfors says that inventions such as the ZRR robot raise important questions about global waste: "Human beings have a lot to think about here -- how we pack things, how we wrap things up and how we use materials."

@highlight

New robotic system separates recyclable materials from construction waste

@highlight

Construction and demolition industries produce one third of all waste worldwide

@highlight

Robot scans objects with weight measurement, 3-D scanning and spectrometer