(CNN) -- Grandeur defines Istanbul: From architectural icons such as Hagia Sophia to the city's indomitable traffic, Istanbul pulsates with intensity and splendor.

Including sweet splendor.

Istanbul's passion for pastries and its history of inventing some of the world's most delightful desserts tempts visitors and residents to skip dinner and head straight for the meal's concluding course.

Where do you go to eat like a local? Share your photos and tips

Here's a taste of the most inventive, decadent and eccentric sweets from this culinary crossroads:

Sahlep: This mild beverage is Istanbul's answer to hot chocolate. Originating during the Ottoman Empire, sahlep's key ingredient is crushed orchid, which is used to thicken warm milk before being sweetened with sugar and cinnamon.

Common during the winter, but also available at other times, sahlep is great for warming one's insides during a brisk walk along the Bosphorus. It can be found in many of the stands near Hagia Sophia and the Blue Mosque. If you want to sit down to enjoy it, Saray Muhallebicisi, which has locations throughout the city, prepares a particularly delicious mug.

Nut pastes (marzipan) and dragees: Istanbul loves nuts. Travelers can buy crisp almonds, hazelnuts and walnuts by the pound at the Spice Bazaar, but they can also find these nuts at the center of some of Istanbul's finest desserts.

Nut pastes -- literally made from a combination of crushed nuts and sugar -- are common in Istanbul confections, from the traditional almond-based marzipan to hazelnut and pistachio varieties. These pastes are available for purchase as bite-sized ovals, as well as in longer tube shapes or molded and colored to look like fruits.

Bring a big appetite to Bologna

Travelers may also want to sample dragees, which are nuts covered in chocolate and a hard candy shell. Known in the United States as Jordan almonds, Istanbul confectioners often use other nuts besides the almond as a base and utilize colorful coatings, including silver or gold.

With five locations across the city, including a charming one across the Bosphorus on the Asian side, the more than 200-year-old Şekerci Cafer Erol sells some of the most delightful renderings of these sweets. And their nut pastes not only look like fruits but taste like them (imagine marzipan shaped as a strawberry that has a strawberry essence to it). After purchasing some of the various sweets, be sure to enjoy a cup of Turkish coffee at one of their outside tables.

Candied fruits: Made by boiling fruit in sugar syrup, candied citrus rinds are the most popular form of this product. But Turkish confectioners take the process to new heights, candying everything from cherries to olives. Candying tends to give the fruit a chewy or hard texture along with intense sweetness, so you may only want to try this delicacy in small quantities.

Iconic confectioner Hafiz Mustafa, in business since 1864, sells a particularly creative mix that can be purchased a la carte, including pumpkin, fig, tomato, orange and chestnut (the chestnuts are especially delicious).

Across the Bosphorus on the Asian side of the city, the famed foodie restaurant Çiya sells not only some of the most delicious savory meals in Istanbul but also a variety of candied fruits with clotted cream or tahini and walnut toppings -- make sure to sample the pumpkin. The restaurant also has homemade ice creams in exotic flavors that change on a daily basis.

Lokum (Turkish delight): Confectioner Bekir Effendi is credited with popularizing this dessert in the 18th century, when it became known as Turkish delight in English. Originally, Effendi crafted his delights, known in Turkish as lokum, with honey or molasses and flavored them with rosewater, orange or lemon. He then cut gels into small squares and covered them in powdered sugar. Turkish delight can still be purchased in rosewater, orange and lemon today as well as in other imaginative flavors including sour cherry, hazelnut, cinnamon, apricot and ginger.

Purveyors also became creative with the outside covering, substituting ground coconut, nuts or cream of tartar for the original powdered sugar, and adding pistachio or almond pieces to the filling to lend the sometimes cloying dessert less intensity.

The confection can be now purchased with a "cream" base -- imagine a slightly firmer version of marshmallow fluff.

Turkish delight can be found throughout the city but is particularly abundant in the Spice Bazaar, where stall owners pile high pounds of the treat and offer samples to prospective buyers. Aladdin, located in the Spice Bazaar, sells an especially fine sampling (be sure to try the pomegranate with pistachios). For a more historic version, visit Haci Bekir, the confectionary started by Bekir Effendi.

Mastica: To understand mastica, you have to go back to its roots. Its linguistic roots, that is. Mastica shares the same origin as the English word mastication, which means to chew. So it makes sense that mastica kind of tastes like mouthwash -- when you think of chewing, you think of eating, and that makes you think of the need for minty clean breath, right? Mastica isn't so much a dessert as a flavoring that permeates a variety of Istanbul treats with a Pine-Sol-meets-spearmint-gum kind of taste.

Turkish delight is flavored with it; so are puddings and hard candies. While its taste may be acquired, it's certainly worth sampling to experience some true local dessert flair (and for its palate cleansing properties). Ficcin, a small restaurant in the Beyoğlu neighborhood near the Pera Palace hotel where Agatha Christie wrote "Murder on the Orient Express," sells a mastica pudding that provides a keenly concentrated burst of the flavor.

Baklava: Most nations in the Middle East claim baklava as a national treat, but Turks take particular pride in the dessert, dating it back to the Ottoman Empire.

Made from flaky phyllo pastry layered with pistachios and drenched in honey, millions of tourists and locals alike are addicted to the intermingling of the flaky pastry with the density of the nuts. While baklava is widely available throughout Istanbul, a baklava emporium that opened in 1949 today routinely wins awards for having the best rendering of the treat.

Situated near the waterfront on the European side, Karaköy Güllüoğlu, sells tens of thousands of pieces of baklava a day to loyal customers, some of whom have frequented there for more than 50 years.

The shop sells not only the traditional baklava recipe but also variations that include peanuts and walnuts, as well as one made with chocolate. After purchasing some baklava, make sure to stay awhile and eat inside at one of the tall tables (you'll need to stand at those) or one of the regular tables outside. Either way, watch the crowds of locals treasuring the decadent treat -- men in suits on their way to work, children speaking rapid Turkish and pulling on their mothers' sleeves as they beg for one more piece.

And as you take a bite of this buttery, luscious dessert, know that its distinct combination of lightness and intensity is not just delicious. It's also the essence of Istanbul.

@highlight

Istanbul, at the crossroads of history, is also a hub for sweet confections

@highlight

Candied fruit, Turkish delight and candy-coated nuts are among the city's sugary bounty

@highlight

Nut pastes such as marzipan are molded into colorful shapes