(CNN) -- When the world's leading marathon runners bid to win Olympic gold on Sunday, they would do well to draw inspiration from one of the greatest athletes in the history of track and field.

The 42-kilometer race through the streets of London will mark the 60th anniversary of Emil Zatopek's triumph at the Helsinki Games, which completed a triple which is unlikely to ever be repeated.

The 29-year-old Czech had already won the 5,000 and 10,000 meter golds and, remarkably, was running the marathon for the very first time.

In a host country with a reputation for long-distance running -- Finland's former gold medal winners Paavo Nurmi and Hannes Kolehmainen had lit the Olympic Flame in 1952 -- Zatopek's amazing feat had added resonance, and the crowd chanted his name in unison as he ran into the stadium in splendid isolation.

The winning time of two hours 23 minutes and two seconds was also his third world record of the Games in just over a week.

The closest any athlete has come to match Zatopek's triple was indeed a Finn, Lasse Viren, who won the 5,000-10,000 double at the 1976 Olympics in Montreal and finished fifth in the marathon.

For modern-day distance runners, despite their advanced training techniques, the notion of running the Games' three longest running events in a little over a week would be out of the question -- especially with the men's marathon coming just a day after the 5,000m at London 2012.

Golden couple

Zatopek died in 2000, aged 78, but is still survived by his widow Dana Zatopkova, who also won the javelin event at the Helsinki Games, just minutes after her husband had burst clear of three rivals to take a dramatic 5,000m final.

They were truly the golden couple of athletics, but had first met in their native Czechoslovakia as both started to make their mark in their chosen sport.

"I knew him before all the awards. And he always said it's good we married because it was only after that that he won any of his medals," Zatopkova told CNN.

She still works actively to ensure Zatopek's legacy is never forgotten -- and supported Vlastimil Sroubek, who organized a special week of races to mark the 60th anniversary.

"I wanted to call it 'Zatopek's Olympics' but I wasn't allowed to use the word Olympics. So instead I called it 'Zatopek's Golden Week' even though it's over eight days, because in those eight days he won his medals," Sroubek said.

Zatopek was not a pretty runner, he ran with a tortured style, his head lolling from side to side, but he was a trendsetter, the first to really push the limits in training.

He famously donned army boots to run in the winter snow and added weights for extra resistance.

"It is at the borders of pain and suffering that the men are separated from the boys," he once said.

Grueling sessions

The harder he trained, the more success came -- and Zatopek was no man for half measures. By legend his most grueling session was to run 400 meters -- one lap of a conventional running track -- 100 times, all at speed.

Nearly a marathon on sprint efforts, so it was no wonder when he eventually ran the distance competitively he took it in his stride, asking the pre-race favorite, Jim Peters of Britain, if they were running fast enough as they contested the lead.

After bursting clear of Peters, the incredible Zatopek had energy enough to chat with journalists who were following the race by car.

Zatopkova put his ability to train and compete so ferociously down to his upbringing, taking up an apprenticeship at 14 after failing to make the academic grades to continue his studies.

"He had a hard youth. He was working for the Bata shoe company and it was really hard, their training. And their philosophy was, 'When there is a barrier don't go around it, go over it.' So this is the philosophy which characterizes Emil Zatopek -- hard work and when you have a goal, solve it, do it," she said.

Helsinki was to prove the peak of his achievements, and by the time of the next Olympic Games in Melbourne in 1956 other athletes, copying his training techniques and refining them, had come on the scene.

Zatopek, nursing an injury, came sixth in the marathon behind his longtime rival and friend Alain Mimoun of France.

Eventual retirement

He retired from competition the following year, but he continued to be involved in track and field, playing the generous host when visitors came to Prague to compete in races or to seek advice.

Australian Ron Clarke, who broke 17 world records in the 1960s but never won a gold medal in a major championship, stayed with Zatopek and Zatopkova and was treated to more than their legendary hospitality.

Zatopek took him to the airport and as they said goodbye, pushed a parceled gift into Clarke's hand.

When he later opened it, Clarke was dumbfounded -- it was one of Zatopek's golds from Helsinki.

This generosity of spirit and consideration for his fellow man extended to Zatopek's political beliefs.

He was an outspoken supporter of the Prague Spring, as the Czech government of Alexander Dubcek demanded freedoms while still a client state of the Soviet Union.

After Soviet tanks brought a bloody end to the reforms in 1968, Zatopek was eventually stripped of his position as a colonel in the Czech army.

As Zatopkova recalled it was not an immediate demotion, because with the 1968 Mexico Olympics taking place, Zatopek was in the media spotlight.

National hero

"Right around the Olympics he was a national hero, it was not possible for the government to punish him. But later during the Soviet occupation he was working as a dustbinman. He got his punishment," she said.

After the Iron Curtain came down, Zatopek was reinstated to his former eminence by Czech president Vaclav Havel in 1990.

He lived out his days in the modest apartment he shared in Prague with his wife, suffering in his later years during a long period of ill health.

In 1998 they celebrated their golden anniversary; Zatopek asked Dana to marry him during the 1948 London Olympics where he had won gold in the 10,000 and silver over 5,000. By coincidence they shared the same birthday, September 19, 1922 and his proposal was unique and typical of the man.

"So, we were both born on the same day," he told her. '"What if, by chance, we were also to get married on the same day?'"

Loved by millions, Zatopek sadly passed away at the turn of the century. His funeral in the Czech capital was attended by many leading figures from the world of sport.

In his memory, the International Olympic Committee commissioned a statue of Zatopek in the grounds of the Olympic Museum in Lausanne, Switzerland.

He is the only athlete to be so honored, and he surely deserved it.

@highlight

Emil Zatopek won three gold medals at 1952 Olympics in Helsinki

@highlight

Legendary Czech claimed the 5,000m, 10,000m and marathon treble

@highlight

His wife Dana Zatopkova also won javelin gold in Helsinki

@highlight

Zatopek's medals are kept in the national archive in Prague