Editor's note: Ed Rollins, a senior political contributor for CNN, is senior presidential fellow at the Kalikow Center for the Study of the American Presidency at Hofstra University. He was White House political director for President Reagan and chairman of the National Republican Congressional Committee.

Ed Rollins says Obama appeased UN delegations "led by tyrants and petty dictatorships."

NEW YORK (CNN) -- The president had his first foray into the byzantine world of U.N. politics last week and walked away cheered on by the anti-America crowd.

He appeased the delegations led by tyrants and petty dictatorships by condemning President Bush and spelling out how his administration is going to be different.

President Obama was applauded by Castro, Chavez, and Gadhafi (no friends of ours) when he said he wanted a "new era of engagement in the world." Are either of those three dictators going to be better world citizens or kinder, gentler leaders as a result of Obama's outreach? Put me in the doubtful column.

No American president has ever stood before the U.N. body and condemned his predecessor or American foreign policy in such a way. President Bush, like every president before him made some mistakes, but he did not deserve this put down. And let's not forget America was attacked on September 11, 2001, and thousands of American lives were lost. President Bush and his team got us through all that and kept us safe for the rest of his terms. And I hope Mr. Obama realizes the "haters" of America are still out there.

Historically, American foreign policy has been pretty consistent whether a Democrat or Republican occupies the Oval Office. President Obama's style may be different and more pacifying but at the end of the day he hopefully will be conducting business that benefits American interests and not the lowest common denominator interests of the United Nations membership. If not, he will join his fellow Democrat, Jimmy Carter, as a one-termer.

We know President Obama loves lofty rhetoric and he does it well. The public's question should be can he deal with reality?

And can he relate that reality to us as he makes the very tough decisions he faces in the weeks and months ahead?

Last Thursday, the president, chairing the United Nations National Security Council, pushed through a six-page resolution that was approved unanimously 15-0. The resolution urged a world without nuclear weapons.

President Obama stated: "We must never stop until we see the day when nuclear arms have been banished from the face of the earth."

Some may see that as an admirable goal but the hard truth is that the five permanent members of the Security Council: China, France, the Russian Federation, the United Kingdom and the United States all have nuclear weapons and none of them -- including the United States -- are giving them up. They may downgrade and diminish the stockpile a little, but nobody's going "no nuke."

You add the other three nuclear powers -- Pakistan, India and Israel (although they don't admit or deny) -- and nobody is disarming. Russia, which along with us has the largest stockpile, couldn't get out of the room fast enough before saying "not us!"

The real work of the U.N. Security Council should have been condemning and again warning North Korea and Iran that they are not welcome into the nuclear club and that every effort is going to be used to stop them from continuing on that path. It took French President Nicolas Sarkozy to call the Security Council exercise weak and to chastise its members, including President Obama, for not condemning Iran and North Korea more forcefully.

"How, before the eyes of the world, could we justify meeting without tackling them?" He went on to say: "We live in the real world, not a virtual world. And the real world expects us to take decisions."

Iran's reaction to their "view of the real world" was to walk away from the U.N. meeting and test-fire missiles with sufficient range to strike Israel and parts of Europe and American bases. Far from being humbled, a senior Revolutionary Guard official told the semi-official Fars news agency, "Iranian missiles are able to target any place that threatens Iran."

I for one would like to remind them that we have a lot more missiles then they have and we can strike any place they fire a missile from. Of course, I am not a diplomat and never have been one -- for obvious reasons.

The second exercise in reality is the very tough decision the president must make on Gen. McChrystal's recommendation for more troops to get the job done in Afghanistan. Gen. McChrystal is the president's handpicked commander of forces in "the war of necessity" (President Obama's term) in Afghanistan.

The acclaimed and well-respected general was allowed to pick his team and was asked in very short order to make an assessment. He has done that and his assessment -- as everyone else including the British and the Soviet Union, who has ever gone to war in Afghanistan found out -- is that the going is tough and without more troops defeat is a very real possibility.

The president wisely is getting the best counsel possible from his foreign affairs team, an experienced group that will have many opinions as to the direction he needs to follow.

This maybe the toughest decision of his presidency and whatever direction he takes he will be widely criticized by his friends and enemies alike. The important thing to remember, is this is where he needs to educate the public. If he expands this war, he needs a skeptical public to support him. If he tries an alternative to Gen. McChrystal's plan, he will be judged on the end results and that may be very risky.

You combine this with the president's promise to close Guantanamo by the end of the year, (not going to happen) get health care passed, eliminate ear marks (The Senate defense appropriations bill has nearly 800 at a cost of $2.65 billion and no threat of a veto anywhere), and you can see a tough fall ahead.

As if he doesn't have enough on his plate, he is flying off to Denmark to head the lobbying effort for his hometown Chicago's final presentation to the International Olympic Committee to host the 2016 games.

He will once again find out if his powers of persuasion work on foreign leaders and hopefully for the hometown they will work better then they did last week.

At least the president will quickly find out this week if he's as good a salesman as he and his team think he is because the IOC makes its decision Friday. International Olympic politics is as tough as Chicago politics, and being loved has nothing to do with getting results. The outcome will be awaited with great anticipation.

The opinions expressed in this commentary are solely those of Ed Rollins.

@highlight

Ed Rollins: Castro, Chavez, Gadhafi applauded Obama speech

@highlight

He says winning over U.S. foes isn't an important foreign policy goal

@highlight

He says Obama faces very tough decision on troop levels in Afghanistan