Yes, the Iraq War was a war for oil, and it was a war with winners: Big Oil.

It has been 10 years since Operation Iraqi Freedom's bombs first landed in Baghdad. And while most of the U.S.-led coalition forces have long since gone, Western oil companies are only getting started.

Before the 2003 invasion, Iraq's domestic oil industry was fully nationalized and closed to Western oil companies. A decade of war later, it is largely privatized and utterly dominated by foreign firms.

From ExxonMobil and Chevron to BP and Shell, the West's largest oil companies have set up shop in Iraq. So have a slew of American oil service companies, including Halliburton, the Texas-based firm Dick Cheney ran before becoming George W. Bush's running mate in 2000.

The war is the one and only reason for this long sought and newly acquired access.

Full coverage: The Iraq War, 10 years on

Oil was not the only goal of the Iraq War, but it was certainly the central one, as top U.S. military and political figures have attested to in the years following the invasion.

"Of course it's about oil; we can't really deny that," said Gen. John Abizaid, former head of U.S. Central Command and Military Operations in Iraq, in 2007. Former Federal Reserve Chairman Alan Greenspan agreed, writing in his memoir, "I am saddened that it is politically inconvenient to acknowledge what everyone knows: the Iraq war is largely about oil." Then-Sen. and now Defense Secretary Chuck Hagel said the same in 2007: "People say we're not fighting for oil. Of course we are."

For the first time in about 30 years, Western oil companies are exploring for and producing oil in Iraq from some of the world's largest oil fields and reaping enormous profit. And while the U.S. has also maintained a fairly consistent level of Iraq oil imports since the invasion, the benefits are not finding their way through Iraq's economy or society.

These outcomes were by design, the result of a decade of U.S. government and oil company pressure. In 1998, Kenneth Derr, then CEO of Chevron, said, "Iraq possesses huge reserves of oil and gas-reserves I'd love Chevron to have access to." Today it does.

Exclusive: Hans Blix on 'terrible mistake' in Iraq

In 2000, Big Oil, including Exxon, Chevron, BP and Shell, spent more money to get fellow oilmen Bush and Cheney into office than they had spent on any previous election. Just over a week into Bush's first term, their efforts paid off when the National Energy Policy Development Group, chaired by Cheney, was formed, bringing the administration and the oil companies together to plot our collective energy future. In March, the task force reviewed lists and maps outlining Iraq's entire oil productive capacity.

Planning for a military invasion was soon under way. Bush's first Treasury secretary, Paul O'Neill, said in 2004, "Already by February (2001), the talk was mostly about logistics. Not the why (to invade Iraq), but the how and how quickly."

In its final report in May 2001 (PDF), the task force argued that Middle Eastern countries should be urged "to open up areas of their energy sectors to foreign investment." This is precisely what has been achieved in Iraq.

Here's how they did it.

The State Department Future of Iraq Project's Oil and Energy Working Group met from February 2002 to April 2003 and agreed that Iraq "should be opened to international oil companies as quickly as possible after the war."

Arwa Damon: Iraq suffocates in cloak of sorrow

The list of the group's members was not made public, but Ibrahim Bahr al-Uloum -- who was appointed Iraq's oil minister by the U.S. occupation government in September 2003 -- was part of the group, according to Greg Muttitt, a journalist and author of "Fuel on the Fire: Oil and Politics in Occupied Iraq." Bahr al-Uloum promptly set about trying to implement the group's objectives.

At the same time, representatives from ExxonMobil, Chevron, ConocoPhillips and Halliburton, among others, met with Cheney's staff in January 2003 to discuss plans for Iraq's postwar industry. For the next decade, former and current executives of western oil companies acted first as administrators of Iraq's oil ministry and then as "advisers" to the Iraqi government.

Before the invasion, there were just two things standing in the way of Western oil companies operating in Iraq: Saddam Hussein and the nation's legal system. The invasion dealt handily with Hussein. To address the latter problem, some both inside and outside of the Bush administration argued that it should simply change Iraq's oil laws through the U.S.-led coalition government of Iraq, which ran the country from April 2003 to June 2004. Instead the White House waited, choosing to pressure the newly elected Iraqi government to pass new oil legislation itself.

Did Iraq give birth to the Arab Spring?

This Iraq Hydrocarbons Law, partially drafted by the Western oil industry, would lock the nation into private foreign investment under the most corporate-friendly terms. The Bush administration pushed the Iraqi government both publicly and privately to pass the law. And in January 2007, as the ''surge" of 20,000 additional American troops was being finalized, the president set specific benchmarks for the Iraqi government, including the passage of new oil legislation to "promote investment, national unity, and reconciliation."

But due to enormous public opposition and a recalcitrant parliament, the central Iraqi government has failed to pass the Hydrocarbons Law. Usama al-Nujeyfi, a member of the parliamentary energy committee, even quit in protest over the law, saying it would cede too much control to global companies and "ruin the country's future."

In 2008, with the likelihood of the law's passage and the prospect of continued foreign military occupation dimming as elections loomed in the U.S. and Iraq, the oil companies settled on a different track.

Bypassing parliament, the firms started signing contracts that provide all of the access and most of the favorable treatment the Hydrocarbons Law would provide -- and the Bush administration helped draft the model contracts.

Why women are less free after Iraq War

Upon leaving office, Bush and Obama administration officials have even worked for oil companies as advisers on their Iraq endeavors. For example, former U.S. Ambassador to Iraq Zalmay Khalilzad's company, CMX-Gryphon, "provides international oil companies and multinationals with unparalleled access, insight and knowledge on Iraq."

The new contracts lack the security a new legal structure would grant, and Iraqi lawmakers have argued that they run contrary to existing law, which requires government control, operation and ownership of Iraq's oil sector.

But the contracts do achieve the key goal of the Cheney energy task force: all but privatizing the Iraqi oil sector and opening it to private foreign companies.

They also provide exceptionally long contract terms and high ownership stakes and eliminate requirements that Iraq's oil stay in Iraq, that companies invest earnings in the local economy or hire a majority of local workers.

Iraq's oil production has increased by more than 40% in the past five years to 3 million barrels of oil a day (still below the 1979 high of 3.5 million set by Iraq's state-owned companies), but a full 80% of this is being exported out of the country while Iraqis struggle to meet basic energy consumption needs. GDP per capita has increased significantly yet remains among the lowest in the world and well below some of Iraq's other oil-rich neighbors. Basic services such as water and electricity remain luxuries, while 25% of the population lives in poverty.

Share your story of the Iraq War

The promise of new energy-related jobs across the country has yet to materialize. The oil and gas sectors today account directly for less than 2% of total employment, as foreign companies rely instead on imported labor.

In just the last few weeks, more than 1,000 people have protested at ExxonMobil and Russia Lukoil's super-giant West Qurna oil field, demanding jobs and payment for private land that has been lost or damaged by oil operations. The Iraqi military was called in to respond.

Fed up with the firms, a leading coalition of Iraqi civil society groups and trade unions, including oil workers, declared on February 15 that international oil companies have "taken the place of foreign troops in compromising Iraqi sovereignty" and should "set a timetable for withdrawal."

Closer to home, at a protest at Chevron's Houston headquarters in 2010, former U.S. Army Military Intelligence officer Thomas Buonomo, member of Iraq Veterans Against the War, held up a sign that read, "Dear Chevron: Thank you for dishonoring our service" (PDF).

Yes, the Iraq War was a war for oil, and it was a war with losers: the Iraqi people and all those who spilled and lost blood so that Big Oil could come out ahead.

@highlight

Juhasz: Opening up Iraq to foreign oil companies was main goal of Iraq War

@highlight

Plans for Western oil exploration in Iraq were drawn up years before 2003 invasion

@highlight

Bush administration pressured Iraqi government to pass law allowing foreign firms in

@highlight

Chuck Hagel in 2007: "People say we're not fighting for oil. Of course we are."