London (CNN) -- A new generation of creatives are taking code to a more colorful realm, using digital media to push the boundaries of art.

They are artists, architects, designers, musicians and game developers and their pioneering work includes interactive sculptures, wearable technology, immersive experiences and works built via crowd-sourcing.

This expanding artistic frontier is celebrated in "Digital Revolution," a new exhibition at London's Barbican,

A comprehensive survey of digital art from the 1970s to the present day, the exhibition traces the evolution of the digital art community and showcases the work of some of its most innovative practitioners.

"What we are doing is looking at digital practice across a range of art forms," said curator Conrad Bodman. "The exhibition focuses on artists who use code as their material."

Digital artists come from all kinds of backgrounds, according to Bodman, and this is one of the show's key themes.

"Petting Zoo," (2012) by experimental architecture and design practice, Minimaforms, is typical of the interdisciplinary nature of digital art. It features animal-like creatures in the form of robotic arms that interact with the audience by tracking their movement.

"[It] is an interactive sculpture made using code by architects," Bodman said. "Lines are blurred between art forms."

Interactivity is another key theme, said Bodman. "Audiences can use their whole body ... you get a level of immersion you can't get with traditional art forms like painting," he added.

Filmmaker and interactive artist Chris Milk's large-scale installation "The Treachery of Sanctuary" examines birth, life and death by using shadow play on three screens to create a poignant narrative that viewers can interact with.

The installation uses Microsoft Kinect for Windows motion sensors, originally designed for the Xbox 360 video games console, which allow participants to interact with the installation using gestures and commands.

One screen features a huge pair of wings, which are superimposed onto the participant's shadow. A wave of the arms will furl and unfurl the wingspan, more rapid motion will cause the creature to lift up from the ground and fly.

"People love to play with the wings ... especially kids. It's cool to see these tiny people with huge wings," said Brian Chasalow, an artist and programmer, who coded half of the installation.

"Someone came in in a wheelchair ... and you could feel that [being able to fly] was special for them," he added.

Fashion label Cutecircuit creates interactivity of a different kind with wearable tech: A skirt whose pattern can be changed via an app and which you can send tweets to and a touch telecommunication T-shirt, The Hug Shirt, that allows people send each other cuddles remotely.

"Everything in our lives are connected apart from fashion, which is stuck in the Middle Ages," said co-founder Francesca Rosella who previously worked for Italian couture label, Valentino. "[Our designs mean you can] communicate and express yourself in a more interesting way."

One high-profile fan is singer Katy Perry, who is regularly photographed wearing Cutecircuit's interactive haute-couture dresses on the red carpet.

The exhibition also features a number of new commissions including "Pyramidi," a collaboration by musician and technology advocate will.i.am and Japanese artist Yuri Suzuki.

It features three robotic instruments -- piano, drums and guitar -- in the shape of pyramids in front of a huge projection of will.i.am in an ancient Egyptian headdress singing a song written for the installation. Each robot can be programmed to play music live.

"We are dreaming about the future of art and technology and the intersection of both," will.i.am said.

Collaborator Suzuki added that the concept was from a "vision of the future of music and music distribution," adding that it was a response to illegal downloading and the energy that artists spend on live shows.

"Each robot represents a musician ... it's a way of distributing music in a new way and performing a live concert...it's live but mechanical," he said.

Another new commission is immersive installation "Assemblance," by London-based Umbrellium who are known for their large-scale mass participatory interactive outdoor events.

"Assemblance" is their first artwork for an indoor space and they say "it blurs arbitrary distinctions between physical and virtual."

The installation features a blacked-out room filled with three-dimensional light fields that visitors can walk through and manipulate with their bodies to create luminous forms and release puffs of smoke and bubbles.

"We're interested in the participatory experience and how you can create trust and something bigger than yourself," said Usman Haque, one of the Umbrellium artists who created the work. "It is actually very revealing of people."

"The Brainwriter" project, a technology that allows people to communicate with the outside world using just their brainwaves is debuted by The Not Impossible Foundation with a specially commissioned video game that allows visitors to try out the technology.

"The Brainwriter" uses an EEG or brainwave sensor and eye-tracking technology to enable the fully paralysed to draw and communicate." It is an extension of an earlier project, "The Eyewriter," that Not Impossible made for graffiti artist TemptOne to allow him to draw again despite suffering from the neuro-degenerative condition, motor neurone disease.

"He started being able to communicate and started making art with his eye movements including a sculpture," said one of the designers, David Putrino. When he started to lose the ability to blink, Not Impossible came up with "The Brainwriter" to allow him to communicate by thought alone.

"We are interested in the idea of technology for the sake of humanity," Mike Ebeling, Not Impossible CEO said. "All these examples [in this exhibition] are seeds and we think about how we can reapply them for fundamental social need.

"It's a playground ... and we ask ourselves, 'How can we hack that?'"

Read more: Would you pay over $4 million for an unmade bed?

Read more: Profoundly intimate photographs from a young Stanley Kubrick

Read more: 13 of the world's most remarkable miniature hideaways

@highlight

A new generation of digital creatives are pushing the boundaries of art

@highlight

They create immersive, interactive art using coding, motion sensors and more

@highlight

Work celebrated in new London exhibition, "Digital Revolution"

@highlight

Original work by musician will.i.am, "Pyramidi" featured in show