(CNN) -- From the mid-1980s, Hungarian-born investor and philanthropist George Soros pumped hundreds of millions of dollars into foundations in Eastern Europe dedicated to promoting the idea of the "open society" and challenging the region's Soviet-backed regimes. Here, writing exclusively for CNN.com, he describes how the work of his foundations ultimately contributed to the collapse of communism.

A Soviet tank rolls through Budapest during the failed 1956 Hungarian uprising against communist domination.

I set up my first foundation in Hungary in 1984. The idea behind it was simple. The state dogma, promoted by the ruling communists, was false and by providing an alternative we could expose its falsehood. Accordingly we supported every cultural initiative that was not an expression of the established dogma.

I was guided by the concept of the "open society," which I adopted from the philosopher Karl Popper. I saw the open society as a more sophisticated form of social organization than the totalitarian closed societies of the Soviet bloc.

The latter were trying to implement central plans; in an open society every individual or organization was supposed to implement their own plan. To make the transition from a closed to an open society would require outside help and that was what my foundations sought to provide.

In Hungary the authorities insisted on having a controlling presence on the foundation's board. We eventually agreed to appoint two chief executives, one nominated by them and one by me.

The project succeeded beyond my expectations. With very small amounts of money people could engage in a wide variety of civic initiatives ranging from self-governing student colleges to zither clubs.

One of our first projects was to offer photocopying machines to cultural and scientific institutions in exchange for local currency. We used the money to give out local grants and support all kinds of unofficial initiatives, but the photocopying machines also did a lot of good.

Up until then, the few existing copy machines were literally held under lock and key -- as more and more became available, the Party apparatus lost control of the machines and the dissemination of information.

We did not have to exercise direct control. Civil society watched over the foundation. For instance, we were warned that a blind association, to whom we gave a grant for talking books, was stealing some of the money. With a budget of $3 million, the foundation had more influence on the cultural life of Hungary than the Ministry of Culture.

Carried away my success in Hungary, by 1988 I had set up foundations in Poland, China and the Soviet Union. I think that I could have influenced General Jaruzelski in Poland to change his attitude toward the opposition and to see that dissidents such as Adam Michnik and Jacek Kuron were also patriots despite their criticism of the ruling party.

As the Soviet empire collapsed, and eventually the Soviet Union and also Yugoslavia disintegrated, we continued to expand. By 1992 there were foundations in 22 countries and expenditure had reached $53 million. A year later we were spending nearly $184 million.

Right at the beginning, I had a disagreement with the Polish board about the way the foundation should be run. But that taught me a lesson. They were right and I was wrong. I realized that the people living there understood their country better than I did and I deferred to their judgment.

It did not always work. In Bulgaria, a board member who made his name as a human rights activist turned out to be a racist. A Latvian businessman sought to hijack the foundation for nationalist purposes. It was the Russian foundation that gave us the most trouble; we had to reorganize it twice.

But the foundations were the first out of the gate everywhere. I remembered the lesson my father who had lived through the Russian Revolution in Siberia taught me: In revolutionary times things that are normally impossible become possible.

In Ukraine, we set up the Ukrainian Renaissance Foundation before Ukraine became independent. In Tajikistan, we persevered with the foundation during the five-year civil war although we had no way of controlling its activities. Our impact was the greatest during that turbulent period.

When I set up the foundations in Eastern Europe I hoped the open societies of the West would follow in my footsteps, but in that regard I was disappointed. Unwilling to burden their own budgets, they gave the job to the International Monetary Fund, which was ill suited to the task.

The IMF was accustomed to signing letters of intent with governments, making the continuation of their programs conditional on the governments fulfilling their obligations. The countries of Eastern Europe fared better, but in the former Soviet states one after another, the programs largely failed.

East Germany was the exception: West Germany was willing to make the sacrifices that were necessary to integrate it. Eventually, the countries of Eastern Europe, including the Baltic states, also made the grade when the European Union gave them accession. But the rest of the former Soviet Union in the Caucasus and Central Asia never succeeded in making the transition.

This has left a bitter legacy. Rightly or wrongly, both the rulers and the people of Russia harbor a deep resentment against the West, which the West has not come to grips with.

The new order in Moscow that has emerged out of the chaos of the 1990s is very far from an open society. It is an authoritarian regime that preserves the outward appearances of democracy but derives its power from its control of Russia's national resources.

It uses those resources to maintain itself in power, to personally enrich the rulers, and to exercise influence over its neighborhood, both in Europe and in the former Soviet sphere.

But the ideal of an open society is difficult to suppress and I have not given up hope.

@highlight

Financier George Soros funded eastern European dissident groups in 1980s

@highlight

Soros: In revolutionary times things normally impossible become possible

@highlight

Soros set up first foundation in Hungary in 1984; by 1992 foundations in 22 countries

@highlight

West failed many post-communist states; Russia again an authoritarian regime