(CNN) -- Trading of US equities on "dark pools" has grown by almost a half in the past three years to account for nearly a third of total market volume, according to research that underscores the challenge facing international regulators.

The shift from transparent public exchanges has highlighted growing concern among asset managers and global regulators about off-exchange trading, where prices are reported only after deals are executed.

Such venues allow investors to trade large blocks of shares anonymously, with prices posted publicly only after trades are done.

They have grown popular with asset managers as they minimise the risk of the market moving against them when executing a large order, or of seeing their order sliced up by high-frequency traders.

However authorities in the US, Europe and Australia are considering tighter regulation of such alternative trading venues amid fears that they could further fragment trading and dent the integrity of public markets.

A survey by the London-based CFA Institute found that trading of US equities on dark pools had risen 48 per cent since the start of 2009 to account for about 31 per cent of total consolidated volume, as of March. The CFA used data from Nasdaq OMX, as it collates the vast majority of equities trading data in the US.

Rhodri Preece, director of capital markets policy at the CFA and author of the report, estimated that there was a similar proportion in Europe. "The results suggest that dark trading does not harm market quality at its current levels but the gains are not indefinite," he said. "If the majority of order flow is filled away from pre-trade transparent markets, investors could withdraw quotes because of the reduced likelihood of those orders being filled.It would be prudent for authorities to monitor these developments closely," he said.

The study calculated that about 18 per cent of total volumes of trades were executed on broker-dealers' own trading desks -- a process known in the industry as "internalisation". That figure included virtually all retail orders, Mr Preece said.

Other block-trading venues, whether independent or bank-owned, accounted for 8-13 per cent of consolidated volume, the CFA said.

It called on broker-dealers to provide significant price improvement offer better prices for retail orders that are internalised, or route the order to public exchanges, so it could be executed against the order book. Mr Preece said such moves would help to uphold market integrity.

"It would thus minimise any disincentive to post displayed limit orders and would uphold market integrity," said Mr Preece.

The CFA called on regulators to monitor the growth in the proportion of dark volume trading and improve the reporting and disclosure around the operations of dark pools.

Last week, an annual survey by Tabb Group, the US capital markets consultancy, highlighted growing industry worries about market quality, shrinking commissions and widespread restructuring among broker-dealers.

@highlight

Trading of US equities on "dark pools" has grown by almost a half in three years

@highlight

CFA survey: Off-exchange trading now account for nearly a third of total market volume

@highlight

Shift from transparent public exchanges has highlighted growing concern among regulators