(CNN) -- Pinterest is the breakout social network of 2012, but even technology addicts could be excused for missing its rise to success.

The web-based "pinboard," which launched almost two years ago, barely got a mention on Silicon Valley news sites until six months ago, when early adopters suddenly realized that a site with millions of monthly users had sprung up almost unnoticed by the tech press.

That's because Pinterest didn't take the usual route of Web-based startups: romancing early adopters and technology journalists before attempting to "cross the chasm" to mainstream adoption. Instead, Pinterest grew a devoted base of users -- most of them female -- who enjoy "pinning" items they find around the Web. While clothing, home decor and recipes dominate the site, inspirational quotes and humor are also popular topics for users to add to their pinboards.

Interest, meet Pinterest: Site helps users catalog their passions

How successful is Pinterest? Unique visitors to the site grew 400% from September to December 2011, and just last week one study showed that Pinterest drives more visitors to third-party websites than Google+, YouTube and LinkedIn combined.

Demographics are surely a large part of Pinterest's success: While technology's early adopters have sprung upon other interest-driven networks like Quora, these sites now suffer from a form of "cumulative disadvantage" in which mainstream users are put off by how tech-centric they've become.

Delicious, a bookmarking service that hit it big during the "Web 2.0" era, relaunched recently with a Pinterest-like interface, but has failed to attract the same audience. Canv.as, meanwhile, is a similar pinboard concept, but caters mainly to those who keep up with the latest Web memes and inside jokes. Pinterest, by contrast, provides no barrier to entry for anyone looking to bookmark, share and comment on images and ideas from around the Web.

CNN iReport: What's your Pinterest passion?

There's more to Pinterest than its unique audience, however. If you'd mapped out the evolution of social sharing online a few years ago, you might have predicted that something like Pinterest would emerge. As tech entrepreneur Elad Gil insightfully explained in an article on his blog last month, sharing on the Web has been following three parallel trends.

The first is that sharing involves less effort over time.

The second is that social sites are becoming more visual over time.

And the third is that "people-centric" recommendations are being augmented by "topic-centric" networks -- which is to say that while Facebook lets you explore the Web through information shared by friends, newer social networks organize content by topics of interest. Some in the technology industry call this the "interest graph."

Social networks began with blogging tools like Blogger and WordPress, where you had to write an entire blog post to express yourself. Then along came Twitter and Facebook, and a simple status update was all that was required to share a thought on the Web. These sites then discovered even simpler ways to share: "retweeting" the updates of others and "Liking" Web pages on Facebook.

Tumblr, now one of the biggest blogging platforms, also fits the trend: Not only is it largely used to share images, but "reblogging" the posts of others is a primary activity on the site.

As for the trend toward organizing content by both topics and the stuff your friends enjoy, you only need to look as far last year's hit news app: Flipboard, which turns the news into a more visual experience on your iPad, personalizing your experience by highlighting links shared by your online connections and topics you find interesting.

Pinterest checks all the boxes: It's a visual social network that organizes images by topic and lets you reshare with just one click.

So will we see a thousand Pinterest clones bloom, or will the site's stellar growth continue despite others jumping on the trend? I'd say success is assured for Pinterest. Thanks to the "network effects" of these sites -- you join because your friends are already there -- it'll becoming increasingly hard to compete with the new king, or perhaps queen, of social bookmarking.

@highlight

Unique visitors to Pinterest grew 400% from September to December 2011

@highlight

Pinterest drives more visitors to third-party websites than Google+, YouTube and LinkedIn

@highlight

It's a visual social network that organizes by topic and lets you reshare with one click