(CNN) -- A total of seven cases of a previously undetected strain of swine flu have been confirmed in humans in the United States, the Centers for Disease Control and Prevention said. None of the patients has had direct contact with pigs.

Swine flu is usually diagnosed only in pigs or people in regular contact with them.

Five of the cases have been found in California, and two have been found in Texas, near San Antonio, said Dr. Anne Schuchat, the CDC's Interim Deputy Director for Science and Public Health Program.

The CDC reported Tuesday that two children in the San Diego, California, area, infected with a virus called swine influenza A H1N1, whose combination of genes has not been seen in flu viruses in either human or pigs before.

The patients range from age 9 to 54, Schuchat said. They include two 16-year-old boys who attend the same Texas school, and a father and daughter in California.

"The good news is that all seven of these patients have recovered," Schuchat said.

The first two cases were picked up through a special influenza monitoring program, with stations in San Diego and El Paso, Texas. The program aims to get a better sense of what strains exist and to detect new strains before they become widespread, the CDC said. Other cases emerged through routine and expanded surveillance.

At this point, the ability for the human influenza vaccine to protect against this new swine flu strain is unknown, and studies are ongoing, she said.

There is no danger from contracting the virus from eating pork products, Schuchat said.

The new virus has genes from North American swine and avian influenza, human influenza and swine influenza normally found in Asia and Europe, said Nancy Cox, chief of the CDC's Influenza Division.

Swine flu is a respiratory disease of pigs caused by type A influenza, according to the CDC. It does not normally inflect humans, but cases have occurred among people, especially those who have had direct exposure to pigs. There have also been cases in the past of one person spreading swine flu to other people, the CDC said.

In 1988, in an apparent swine flu infection in pigs in Wisconsin, there was antibody evidence of virus transmission from the patient to health care workers who had contact with the patient, the CDC said.

Person-to-person transmission is believed to occur in a manner similar to the spread of the influenza virus: through infected people coughing and sneezing, the CDC said. People may contract swine flu by touching something with viruses on it and then touching their mouth or nose.

From December 2005 to February 2009, 12 cases of human infection with swine flu were documented.

Symptoms of swine flu in humans are expected to resemble regular human seasonal influenza symptoms, including fever, lethargy, lack of appetite, and coughing, the CDC said. Other reported symptoms include runny nose, sore throat, nausea, vomiting and diarrhea.

The new strain of swine flu has been resistant to the antiviral drugs amantadine and rimantadine, but has responded to the other licensed options: oseltamivir and zanamivir.

The CDC is working closely with health officials in California and Texas to learn more about the virus. The agency expects to find more cases, Schuchat said.

If swine flu can mutate to spread between humans, what does this mean for avian flu? Because of the virus subtype, it is less likely that avian flu would become transmissible from person to person, but still possible, said Dr. William Short at the division of infectious diseases at Thomas Jefferson University Hospital in Philadelphia, Pennsylvania.

The news is not cause for widespread panic, but people at risk -- those who live in or have traveled to the areas where patients live, or have been in contact with pigs -- should watch out for symptoms and get tested if they occur, Short said.

The three criteria for a pandemic are a new virus to which everybody is susceptible, the ability to spread from person to person readily, and wide geographic spread, said Dr. Jay Steinberg, infectious disease specialist at Emory University Hospital Midtown in Atlanta, Georgia. The new strain of swine flu only meets one of these criteria: its novelty.

On the other hand, bird flu meets two of the criteria: novelty and geographic spread.  If history is any indication, flu pandemics tend to occur once every 20 years or so, meaning we're actually due for one, he said. However, it is not likely to be the swine flu, he said.

"I can say with 100 percent confidence that a pandemic of a new flu strain will spread in humans," Steinberg said. "What I can't say is when it will occur."

@highlight

CDC: Five cases found in California, two found in Texas

@highlight

All seven patients have recovered

@highlight

Symptoms of swine flu in humans are expected to resemble human influenza

@highlight

Vaccine against human flu is not expected to work against swine flu