(CNN)A nurse who was quarantined against her will in New Jersey after treating Ebola patients in West Africa will not obey officials' instructions to seclude herself at home in Maine, she and her lawyers said on the "Today" show and to the Bangor Daily News.

The nurse, Kaci Hickox, returned to Maine on Monday after New Jersey authorities released her from a hospital tent where state officials kept her over the weekend as part of a new quarantine policy. She hired a lawyer and spoke out about her isolation and was then transported to Maine.

She has twice tested negative for the virus.

Maine officials have said that they would ask Hickox to quarantine herself at home until the passage of 21 days from her last possible contact with an Ebola patient -- and that they would make it involuntary if she resisted.

"Today" show host Matt Lauer asked her on Wednesday if she planned to follow guidelines and finish that quarantine on November 10.

"I don't plan on sticking to the guidelines," she said. "I remain appalled by these home quarantine policies that have been forced upon me."

That could set up a confrontation with Maine officials.

Photos: Ebola patients in the U.S.

A fight ahead?

Maine officials are "exploring all of our options" to protect residents' health, Gov. Paul LePage said Wednesday after news of Hickox resisting a home quarantine. He did not name the nurse.

In a written statement, the governor said she "has been unwilling to follow the protocols set forth by the Maine CDC and the U.S. Centers for Disease Control for medical workers who have been in contact with Ebola patients." The statement didn't say which protocols she was resisting but added that LePage is seeking legal authority to enforce a quarantine.

CNN's attempts to contact LePage's office weren't immediately successful.

LePage has said the state would work with Hickox on a plan to isolate her for the 21-day period.

One of Hickox's lawyers, Norm Siegel, told Lauer that officials had until Thursday to adjust their approach, and if they tried to physically apprehend Hickox after she once she stops obeying the quarantine, her legal team would take the matter to court.

On Tuesday, the state's health commissioner -- without naming Hickox -- warned that the state would force the quarantine if she didn't isolate herself willingly.

"If an individual who came in direct contact with Ebola patients has returned to Maine and is not willing to avoid public contact and stay in their home voluntarily during the period they are at some risk, we will take additional measures and pursue appropriate authority to ensure they make no public contact," Maine Department of Health and Human Services Commissioner Mary Mayhew told reporters Tuesday.

"I want to be sure everyone understands what quarantine means in this case," Mayhew said. "Stating it plainly, what we are asking for is that individuals who had direct contact with Ebola patients stay in their home and avoid public contact until the 21 days for potential incubation has passed."

On CNN, Hickox attorney Steven Hyman said he thinks the next step is up to Maine.

"We had been attempting to work with them to try to find some kind of compromise here, but that has not been possible," he said. "And I saw from their news conference last night that they intend to try to seek an order. We have received no paper, so at this point she is not under any restriction other than her own voluntary staying in the house today."

Hyman said that knowing for certain what could happen legally is unclear because "we're treading in areas" in which "there's not a whole lot of case law."

However, he said, "Society has a right to protect itself from legitimate issues of public health, but it can't do it based on what the (U.S.) Supreme Court calls fear."

The lawyer referred to the opinion of Dr. Amesh A. Adalja who also discussed the Hickox case on CNN on Wednesday, weighing in as an independent medical expert. He specializes in infectious disease and is a member of the U.S. government's National Disaster Medical System.

Adalja said the nurse is not contagious if she is not having symptoms, and even if she were symptomatic, she would have to somehow pass along her bodily fluids to other people to infect them.

He said he worried that some had "forgotten" established science about the virus.

Lawyer: Nurse will follow CDC guidelines

Siegel told the Bangor newspaper that Hickox would contest any court order. But she will abide by guidelines from the Centers for Disease Control and Prevention that say she should subject herself to monitoring, such as daily reporting of measured temperatures.

"The conditions that the state of Maine is now requiring Kaci to comply with are unconstitutional and illegal and there is no justification for the state of Maine to infringe on her liberty," Siegel told the Daily News.

Hickox told "Today" that she's in good health and is not having symptoms. A person must be symptomatic to be contagious if they have Ebola.

The nurse said that she thinks it would be "reasonable," in circumstances like hers, to self-monitor for symptoms but not be quarantined. Those are the steps that the organization, Doctors Without Borders, recommends. She spent time recently in Sierra Leone treating Ebola patients with the group.

Hickox initially was put in isolation Friday, after landing in New Jersey from Sierra Leone.

New Jersey and New York had just started requiring anyone who had contact with Ebola patients in West Africa to be quarantined for 21 days. New Jersey officials additionally said that screeners determined that she had a fever at the airport.

But Hickox, speaking to CNN over the weekend from her quarantine tent at a New Jersey hospital, said she never had a fever.

"They were using a forehead scanner, and I was distressed and a little bit upset and so my cheeks were flushed," Hickox explained to CNN's Candy Crowley.

Hickox said her temperature was later determined to be normal.

Dispute about quarantine policies

New Jersey Gov. Chris Christie said the state agreed to let her go to Maine after confirming she "was no longer symptomatic," but is unapologetic about New Jersey's quarantine policy.

Hickox told "Today" that she witnessed "complete disorganization" at the airport in Newark and that New York and New Jersey's policies are "not scientifically" or "Constitutionally just."

The policies, she believes, will be a "big deterrent" to health care workers from going to West Africa to treat patients because they won't want to be quarantined when they return if, like her, they are asymptomatic.

"It's already difficult for people to take time out of their lives to go and respond," she said, though she plans on definitely going back because it feels like a "privilege to help."

Marco Rubio: Quarantined nurse is a 'hero'

Christie said he doesn't plan to move "an inch" on New Jersey's Ebola quarantine policy.

Campaigning Tuesday in Rhode Island for GOP gubernatorial nominee Allan Fung, the straight-talking Republican also hit back at criticism that the nurse wasn't treated well enough, arguing she even had internet access and takeout food.

"Whatever," he said, when pressed by reporters about a potential legal challenge. "Get in line. I've been sued lots of times before. Get in line. I'm happy to take it on."

Christie on possible Ebola lawsuit: 'Whatever'

The debate about how to treat returning health care workers comes amid what officials say is the worst Ebola outbreak in history.

The World Health Organization reported Wednesday that there are more than 13,700 confirmed or suspected cases of Ebola -- almost all in Guinea, Liberia and Sierra Leone. The United Nations' health authority projected that deaths from the virus have exceeded 5,000.

And those are only the ones that authorities have been able to count. In a region where health care access and record-keeping are limited, the WHO says the death toll may be especially under-counted. Some ill people who are seen by physicians and counted as Ebola cases may not stay for treatment and die of the disease, and the record keepers won't know to record their deaths.

The WHO has said that the mortality rate from the current outbreak, starting with the first death in December, is roughly 60% to 70%.

Ebola, a child and a lawsuit

The family of a third-grader in Connecticut has filed a lawsuit against Milford Public Schools, claiming that their daughter was banned from school for 21 days after returning from a trip to Lagos, Nigeria, for a family wedding.

The lawsuit, filed Tuesday, alleges that Ikeoluwa Opayemi was not allowed to return to Meadowside Elementary School in Milford "based on fears" about the deadly Ebola outbreak mainly in the West African countries of Guinea, Sierra Leone and Liberia.

Nigeria had 19 cases of Ebola and seven of those patients died. But the country was declared Ebola-free October 20 by the WHO, after 42 days with no Ebola cases reported.

"I think it's outrageous how this child was treated," said Gary Phelan, the attorney for the girl's family. "At some point, making a medical decision has to based on medical information, not fear."

School officials said they would release a statement Wednesday.

Phelan said the decision to keep Opayemi out of school came after complaints from parents of her classmates. The girl's father, Stephen Opayemi, was told by city officials that if he tried to bring his daughter to school she would be removed by police, the lawyer said.

CNN's Ashley Killough contributed to this report.

@highlight

Nurse Kaci Hickox: "I don't plan on sticking to the guidelines" on quarantine

@highlight

She will not quarantine herself in Maine and will fight any order to do so, lawyers say

@highlight

Maine health commissioner says state will compel her to comply

@highlight

Hickox treated Ebola patients in Sierra Leone; says she is not symptomatic