(CNN) -- One thing did shock me on my visit to Iran last month: the immigration officer at Tehran Airport smiled as he stamped my passport.

This rare travel incident set the tone for the rest of my trip.

You wouldn't know it for all the diplomatic sound and fury that surround the country, but possibly the most exceptional thing about Iran compared with the other Middle Eastern countries I've been to -- and I've visited them all, as a roving travel correspondent and Middle East specialist -- is how almost manically welcoming everyone is.

Other than that, its extraordinary archaeological wealth, palaces dripping with former regal indulgence, elaborate Islamic gardens and urban skylines bristling with minarets deserve to place it alongside Turkey and Dubai on the international tourist circuit.

Whether the election of Hassan Rouhani to the presidency earlier this month will spur more travel to the country remains to be seen, but his moderate political stance at home and abroad at least bodes well for tourism.

Sharia immersion

Sure, there are things you might not be used to in Iran.

The country follows Sharia law, of course, but it's not as sinister as some people think.

Women must cover their heads with a shawl (including in the photo they send in with their visa application) and alcohol is prohibited.

But most of the obstacles to travel in Iran arise before you get there.

No doubt your acquaintances will try to put you off, for a start, made wary by the overwhelmingly tense news that emanates from the country.

Tourist visas, too, can take up to a month to obtain.

On the bright side, most are -- eventually -- issued without question.

Then there are the typically dire but, in my experience, exaggerated Western government travel advisories on the country. Curiously, while Britain advises "against all travel" to Iran, the U.S. State Department merely suggests its citizens "carefully consider the risks" of a trip.

Those ultra-cautious advisories, like an overprotective aunt, also risk invalidating your travel insurance -- so be sure to check the fine print of your policy if you have one.

But perhaps the greatest risk of visiting this member of the former "axis of evil," as George W. Bush memorably described it, is being profiled by your own government.

Zoroastrian fire temple

Am I putting you off yet?

Well, let's consider what you'll miss out on if you don't one day slot Iran into your travel itinerary: most travelers who do take the plunge come away raving about the place.

Among the highlights of my recent visit was the Zoroastrian fire temple in the city of Yazd, whose flame is said to have burned since 470 AD.

Nearby, I climbed to the hilltop Tower of Silence, where the Zoroastrian dead were picked clean by vultures to avoid contaminating the earth right up until the 1960s.

Then there's the National Jewels Museum (Ferdowsi Avenue; +98 21 6446 3785) in Tehran -- where most travelers start their Iranian trip -- located in a vault beneath the Central Bank of Iran. Among its treasures are the 182-carat Darya-e Nur diamond, so chunky and iridescent it virtually constitutes its own light source.

There, too, you'll find the emerald, sapphire and pearl-studded Peacock Throne, stolen by one of the shahs from a Mughal emperor.

Fancy a further glimpse of Iran before the January 1979 Islamic Revolution, which sent the last shah into exile and turned the country into one of the West's biggest bad boys?

There's the grand Golestan, Niyavaran and Sa'd Abad palaces, unchanged since that seismic political event.

They're all worth visiting.

What you won't find in Tehran are surly crowds chanting anti-Western slogans or hustlers similar to those cruising the streets of Cairo and Istanbul.

Imam Square

Isfahan is the next stop on many Iran itineraries, with its Imam Square said to be the second largest such urban space in the world after Tiananmen in Beijing.

Facing this immodest expanse are the gloriously tiled Lotfollah and Shah mosques, the seven-story Ali-Qapu Palace and the entrance portal to the huge Bozorg Bazaar.

Nearby, the 16th- and 17th-century frescoes of the Chehel Sotun Palace are alive with color and incident.

Frescoes also illuminate the Vank Armenian Cathedral south of the Zayandeh River, itself crossed by three massive 17th-century stone bridges.

In Shiraz, in south-central Iran, wine production may have dried up but some of the finest gardens, historic homes, mosques and markets in the country remain.

Most people stop by Shiraz en route to ancient Persepolis, less than an hour to the northeast. The ruins of this ancient Persian capital, built by Darius the Great in 520 BC and sacked by the equally great Alexander 200 years later, were buried under sand until the 1930s and are well preserved.

Darius and Xerxes

A short drive from Persepolis is Naqsh-e Rostam, with the cliff tombs of the Persian kings Darius I and II, Xerxes and Artaxerxes.

Finally, Yazd, on the Silk Road toward Central Asia, has one of the largest and best preserved medieval quarters in the Middle East. The portal of Jame Mosque (1324) is the highest in the country with towering twin minarets, a hallmark of the Shia faction of Islam.

There, again, is that eerie Zoroastrian fire temple, with its apparently unquenchable flame.

These sights stay with you as markers of a great, enduring civilization. But perhaps the most enduring memory is how universally friendly ordinary Iranians are.

In a world in which jaded attitudes about tourists reach from Tenerife to Timbuktu, it may take a while before it stops feeling strange.

David Stanley has written guidebooks for Lonely Planet and Moon Handbooks.

@highlight

Travel to member of former "axis of evil" may increase with election of new president

@highlight

Biggest surprise of Iran travel is people's overwhelming friendliness

@highlight

Most obstacles to a visit arise beforehand -- visas can be slow

@highlight

Architectural and historic sights rank with Istanbul