LONDON, England (CNN) -- Doctors have given a woman a new windpipe with tissue engineered from her own stem cells in what experts have hailed as a "milestone in medicine."

Claudia Castillo, 30, suffered from tuberculosis for years.

The breakthrough allowed Claudia Castillo, 30, to receive a new section of trachea -- an airway essential for breathing -- without the risk that her body would reject the transplant.

Castillo was given the stem cell surgery, the controversial branch of medicine that some say could lead to human cloning, after suffering a severe lung collapse.

The condition, caused by long-term tuberculosis left Castillo, a Colombian now living in Barcelona, unable to carry out simple domestic duties or care for her two children.

The only conventional option was a major operation to remove her left lung, a risky procedure with a high mortality rate.

Sound off: What do you think about this medical breakthrough?

A team from the universities of Barcelona, Spain; Bristol, England; and Padua and Milan, Italy, decided instead to replace Castillo's lower trachea and bronchial tube to her left lung with a lab-grown airway.

The operation, reported Wednesday in the British medical journal The Lancet, has been hailed as a major leap for medicine that could offer new hope for patients suffering from serious illness.

"Surgeons can now start to see and understand the very real potential for adult stem cells and tissue engineering to radically improve their ability to treat patients with serious diseases," said Martin Birchall, professor of surgery at the University of Bristol, who was part of the team that did the operation.

"We believe this success has proved that we are on the verge of a new age in surgical care."

To create the new windpipe, the team took a seven-centimeter (2.75-inch) segment of trachea from a 51-year-old who had died. Over a six-week period, the team then removed all the cells from the donor trachea, because those cells could lead to rejection of the organ after transplant.

All that remained of the donor's stripped-down trachea was a matrix of collagen, a sort of scaffolding onto which the team then put Castillo's own stem cells -- along with cells taken from a healthy part of her trachea. Birchall had already taken Castillo's stem cells from her bone marrow and grown them into a large population in his Bristol lab.  Watch Dr. Gupta explain the procedure »

Four days after putting Castillo's stem cells into the donor trachea, the team was able to perform the transplant operation at the Hospital Clinic in Barcelona. Castillo had no complications from the operation and was discharged from the hospital 10 days later.

"We are terribly excited by these results," said Paolo Macchiarini of the University of Barcelona, who performed the operation in June.  Watch Macchiarini describe the operation »

Macchiarini said just four days after the operation, the transplanted windpipe was "almost indistinguishable" from the patient's normal bronchi. After one month, he said, the blood vessels had successfully grown back.

"We think that this first experience represents a milestone in medicine and hope that it will unlock the door for a safe and recipient-tailored transplantation of the airway in adults and children," the authors said in their report. "We hope that these future patients will no longer suffer the trauma of speech loss, severe shortness of breath and other limited clinical and social activities."

The doctors said Castillo is now able to care for her children and enjoy a normal quality of life. She can walk up two flights of stairs and occasionally even go out dancing at night.

In a comment accompanying the Lancet report, Toshihiko Sato and Tatsuo Nakamura of Kyoto University in Japan said the operation should be highly regarded, but follow-ups from longer evaluation periods are needed to better evaluate the results.

@highlight

Only a few windpipe, or trachea, transplants have ever been done.

@highlight

Transplant given to Claudia Castillo, a 30-year-old Colombian mother of two

@highlight

Woman's stem cells used to create cartilage, tissue cells to cover new windpipe

@highlight

Doctors say procedure could become a new standard of treatment