Johannesburg (CNN) -- Sunday could not have begun any better for South Africa's ruling African National Congress, the party of Nelson Mandela. As the autumn sun rose and warmed the seats of the 95,000-seater, calabash-shaped FNB Stadium, supporters poured in from across the country.

By mid-morning the stadium was packed to the rafters. The beautiful, melodic songs used by activists through the years of struggle against apartheid until 1994 when Mandela was voted into power filled the stadium. Party activists crowed about the party's pulling power: no other political party in the country has yet managed to fill the stadium.

This was the last political rally before new South Africa's fifth democratic elections are held. All the major parties staged political rallies, but the ANC sought to present a show of force as it attempts to swat off challenges from the relentless opposition Democratic Alliance and the upstart, Left-wing Economic Freedom Fighters launched a few months ago by expelled former ANC Youth leader Julius Malema.

Then the ANC's leader, President Jacob Zuma, rose to address the packed stadium. Within half an hour of his plowing into a statistics-laden speech, nearly half the stadium seats were empty. A laborious and monotonous speaker at best, Zuma struggled through the speech, igniting only a few rounds of applause from die-hard supporters in the hour-long delivery. It was only at the end, when he burst into his election signature song Yinde Lendlela ("This Road Is Long," as opposed to his other favorite, "Give Me My Machine Gun") that some energy returned to the crowd.

The scandal-soaked Zuma -- who was booed in front of U.S. President Barack Obama, Cuba's Raul Castro and other world leaders at the same stadium on December 10 last year during the memorial service for Nelson Mandela -- has become the most divisive figure in South African politics today and the pivot around which electioneering and questions about the country's future have swung. As he spoke, a scandal about the national ombudsman's report into how he unduly benefited from the building of a $25 million palace for him at his rural KwaZulu Natal village was intensifying. A $200 million town is also being built near his home, claimed a newspaper.

Other scandals have wracked his administration since he came to power in 2009. Questions continue to be raised about his closeness to an Indian family that employs his son and wife and which landed a private jet filled with 200 wedding guests from India at a top-security military base; his evasion of more than 700 charges of fraud and corruption due to the influence of intelligence services and numerous suspect business connections by members of his family.

In all these cases, Zuma has said that he did not know and that people abused his name to gain favor.

Yet, despite the cocktail of scandals and gaffes that engulf Zuma, there is no doubt here that the ANC will win the election on Wednesday and Zuma will be returned to the presidency. According to a South African Sunday Times poll released on May 4, the ANC will get 63.9% of the vote, down from the 65.9% the party won in the 2009 general election. The opposition DA will increase its support to 23.7% while Malema's EFF party is expected to get 4.7%.

If there is so much disenchantment with Zuma, then, why is he headed for victory? History, for one. In Zuma's speech on Sunday he went through a long list of achievements by the ANC in the 20 years of democracy. It is an impressive roll call: ubiquitous access to water, electricity and health services. About 16 million people are now on social grants while there is universal access to no-fee schools. The dignity of full citizenship has been restored to blacks like me, a powerful, deep act that resonates with many. We still enjoy a free and vigorous press, despite iniquitous new legislation waiting to be enacted by Zuma that will criminalize much newsgathering.

Yet this narrative -- which the ANC has harnessed in its election slogan: "We have a good story to tell" -- is incomplete. Violent strikes over poor services are on a sharp increase, with the SA Police Services reporting a total of 569 protests in three months in South Africa's wealthiest province, Gauteng. About 122 of these turned violent.

Reports of corruption are on the increase, with Transparency International's 2013 global Corruption Perception Index showing that South Africa has dropped 17 places since Zuma came to power in 2009. South Africa is currently ranked 72 out of 175 countries.

The economy is taking a beating under Zuma, with paltry GDP growth of 1.9% last year and unemployment at 24.1% (narrowly defined) or a staggering 36% if one includes those who have given up looking for work. The EFF has found fertile ground among these disaffected youth, with an estimated 30,000 young people turning up to listen to Malema giving his final election speech on Sunday.

So what happens after Wednesday? Increasingly, South Africa feels like a country caught between its past and its future. For many, the ANC represents the triumph against a heinous apartheid system. The memory of Mandela, so central to that victory, is still fresh. Leaving this party of freedom, which has enjoyed near 70% majorities in the late 1990s and early 2000s, feels like a betrayal of the struggle for freedom.

Yet, slowly, all that is changing. A 63% win by the ANC, for example, will mean that the party is experiencing its second significant decline in two successive elections. With the growing discontent about its government, it is unlikely that it will claw back these losses at the next election in 2019.

The opposition DA, for long regarded as a "white party," is swiftly transforming. Advised by Barack Obama and Bill Clinton's former pollster, Stan Greenberg, it has encouraged the emergence of credible young black leaders. The EFF, in just five months, has become a force to be reckoned with. But both parties are only likely to give the ANC a real run for its money in the 2019 and 2024 elections.

Many are hoping that the ANC will get a scare in these elections and begin to reflect on some of its failures. Among these would be assessing the damage done to the party by Zuma's scandals, and a return to some regard for the people. Indeed, speculation is rife that Zuma may be ousted should the ANC's showing in this election fall to 60%.

That is unlikely. Zuma controls about 75% of the ANC's national executive committee, and it is unlikely that his allies in that powerful body would cut him loose. Given that scenario, he will continue to inflict damage on the party of Mandela -- and on the nation's fortunes.

That would open the window for a stronger challenge from the opposition in 2019 and beyond. On the other hand, President Zuma could attempt to introduce serious economic reforms to build a proud legacy for himself. That, too, seems unlikely.

And so South Africa finds itself caught in a slow, glacial even, journey towards a multi-party future. Loyalty to its past heroes continues to hold it hostage.

@highlight

South Africa's fifth democratic elections are held this Wednesday - first since Nelson Mandela's death

@highlight

President Jacob Zuma is most divisive figure in South African politics today, says Justice Malala

@highlight

Malala: Several scandals have wracked his administration since he came to power in 2009

@highlight

He predicts Zuma will win power, but ANC will lose share of the vote