LONDON, England (CNN) -- Formula One is about putting on a 90-minute show every other weekend at locations the world over.

McLaren's huge 'brand center' motorhome dominates the F1 paddock at all European grands prix.

But getting that show on the road -- and in the air and on the sea -- is a remarkable feat of well-oiled logistics and organization.

With an F1 team clocking up around 100,000 miles (160,000 km) between tests and grands prix, the need to have moving and packing down to a fine art is imperative.

"Once the calendar is released, we sit down with all the different departments," explained Toyota team manager Richard Cregan.

"We look at the dates for the freight, the dates for the trucks leaving, when we want to have the people there and when we want to have all the equipment there. Then we go away and arrange it."

As F1 moves further away from its European heartland, more races -- such as next week's title shootout in Sao Paulo, Brazil -- are what are known as 'flyaways.' They are the responsibility of Formula One Management.

Freight company DHL has specialized units in England and Italy to coordinate the transport of cars, equipment and fuel to all F1 tracks around the world by air, sea and land.

Around 300 tonnes or 20,000 individual items of F1 material -- from race cars, replacement parts, pit equipment, TV equipment and the furnishings of the VIP Paddock Club -- are moved for each grand prix.

Each team is allowed 22-24 tonnes of freight, plus their cars, which is packed in specially designed pods at a UK-based team's HQ and transferred to Stansted airport by road. Three chartered Boeing 747 freighters then fly to the destination and the next time the team sees its freight is at their allocated garage at the circuit.

At the end of the race the process starts again in reverse, with a team packed up by around 10pm. Read more about F1 at The Circuit.

If there are two weeks between races, as is the norm, the cars will return to the UK to be painted, re-built and polished. 'Double-headers,' races that take place only a week apart, rule this movement out -- then getting the cars from one circuit to the next is the sole focus.

While last-minute deliveries can be made in under 24 hours, it takes seven weeks for equipment to travel by sea from Europe to Melbourne, Australia for the traditional season curtain-raiser.

Cheaper sea freight has become more popular to move bulkier items such as heavy electrical cables. Bridgestone, the grid's tire supplier, are among those who have increased their shipping in recent years.

"We send about five-and-a-half tonnes by sea and we send this three months in advance of each race," said Williams race team coordinator Paul Singlehurst.

"It costs around $9,000 to send it by sea -- that's a fraction of the air freight cost. We've made some huge savings by doing this."

The European races are a little more straightforward.

Up to four $2m team-liveried articulated lorries are driven to continental grands prix, carrying up to 37 tonnes of equipment each for around 18,600 miles (30,000km) per year. Three trucks will also go to a two-car test session.

They carry all the kit the team needs for the weekend, including the cars, engines, parts, tools, computers and radios.

It takes two days to fully load the trucks after cleaning and maintenance checks, using an 80-page checklist. Nothing is left to chance.

They leave a week before the next race, get to the circuit late on a Monday and by Thursday, the team's working area is ready for the drivers. It takes eight hours just to fit out the team's pit area at the circuit.

Motorhomes, the standard of which is set by McLaren's gargantuan 'brand center', also travel to European races. They provide a place for drivers to debrief with their engineers, team members to refuel and corporate guests to be entertained.

Renault's race team includes 15 engineers, 35 mechanics/technicians, 15 'truckies', 11 motorhome/catering personnel, two logistics personnel, 10 marketing and PR staff, three drivers, two managers and two physios.

This is why motorhomes supply around 1,250 meals for the team and its guests during a race weekend.

"Obviously our sponsors' backing is crucial. It's not just a matter of having their name and logo on the car -- we have a marketing team that helps to service their needs," added Singlehurst.

Occasionally, at places like Turkey, where the traffic between the circuit and downtown Istanbul is horrific, drivers can also spend their nights in the motorhomes.

But normally, a fleet of about 20 vehicles is required to ferry team personnel between their hotel -- block-booked months in advance -- and racetrack all weekend.

As far as Cregan is concerned, how a team performs during a race weekend can be influenced by its logistical set-up.

"Quite often you have very long days, you have people working late into the evening and it's an important part of our responsibility to create the atmosphere for people to be able do their job," he added.

It takes a Herculean effort and millions of dollars to make sure 20 cars circulate for 90 minutes every two weeks. But you would never know it.

@highlight

F1 uses air, sea and land to transport huge amounts of freight to each race

@highlight

Teams must meticulously coordinate their shipping plans each season

@highlight

Team trucks carrying cars and equipment cover almost 19,000 miles per year