(CNN) -- NATO has launched around-the-clock surveillance flights of Libya as it considers various options for dealing with escalating violence in the war-torn country, America's ambassador to the organization told reporters Monday.

Representatives of key Western powers also highlighted the possibility of establishing a no-fly zone in Libya -- part of growing campaign to break strongman Moammar Gadhafi's grip on power.

British, French and U.S. officials were working on a draft text that includes language on a no-fly zone, diplomatic sources at the United Nations told CNN.

The language in the text will deal with triggers rather than timelines for taking such a step, one diplomat noted. If gross violations of human rights are committed, the diplomat added, the elements of the text could be quickly turned into a resolution.

Any resolution on military intervention in Libya, however, would be subject to a vote by the 15 members of the U.N. Security Council. Such intervention could face sharp criticism from Russia and China, who rarely approve of such measures.

"The violence that's been taking place and perpetrated by the government in Libya is unacceptable," U.S. President Barack Obama said at the White House. Moammar Gadhafi's government "will be held accountable for whatever violence continues to take place there."

Obama stressed that NATO is considering a wide range of responses -- including military options -- for dealing with the crisis.

White House Press Secretary Jay Carney later cited three potential responses under active consideration: establishing the no-fly zone, military-backed humanitarian aid, and stronger enforcement of the U.N. arms embargo.

Carney downplayed speculation about the possibility of providing arms to the Libyan rebels, telling reporters that "it would be premature to send a bunch of weapons to a post office box in eastern Libya."

"We need to not get ahead of ourselves in terms of the options we're pursuing," he warned.

A senior U.S. official familiar with the administration's deliberations on Libya denied a report in the British press that the administration had asked Saudi Arabia to arm the rebels.

U.K. Foreign Secretary William Hague told members of the British parliament, however, that "we are making contingency plans for all eventualities in Libya."

NATO Secretary General Anders Fogh Rasmussen told reporters in Belgium that the organization has no immediate intention to intervene in the Libyan civil war. But "as a defense alliance and a security organization, it is our job to conduct prudent planning for any eventuality," he said.

Rasmussen stressed that it is important to "remain vigilant" in light of "systemic attacks" by Gadhafi's regime against the Libyan population. "The violation of human rights and international humanitarian law is outrageous," he said.

Rasmussen also noted that the defense ministers from member states will meet Friday and Saturday to discuss how the organization can help partner countries in North Africa and the broader Middle East.

"We can see a strong wind of change blowing across the region -- and it is blowing in the direction of freedom and democracy," he asserted.

Libyan Foreign Minister Musa Kasa lashed out the Western leaders, calling their response part of "a conspiracy to divide (and) partition the country."

"The English are yearning for the colonial era" while Obama is acting "like a child," he said. "Territorial integrity is sacrosanct and we will die for it."

U.N. Secretary-General Ban Ki-moon, meanwhile, appointed a new special envoy to Libya to discuss the crisis with officials in Tripoli, the United Nations said in a statement Monday.

Abdelilah Al-Khatib, a former foreign minister of Jordan, will "undertake urgent consultations with the authorities in Tripoli and in the region on the immediate humanitarian situation as well as the wider dimensions of the crisis," according to the statement.

As diplomats debated various options, the violence in Libya continued to intensify. Forces loyal to Gadhafi took aim at the rebel-controlled town of Ras Lanuf, launching aerial strikes meant to help crush the uprising against him.

Death toll estimates from the conflict have reached as high as 2,000 people. Roughly 200,000 people have fled Libya, with nearly equal numbers going to Tunisia and Egypt, according to the United Nations.

CNN's Alan Silverleib contributed to this report

@highlight

NATO has launched constant surveillance flights over Libya

@highlight

A senior U.S. official denies speculation about the possibility of arming rebels

@highlight

British, French, and American officials are working on a draft U.N. text regarding a no-fly zone

@highlight

"It is our job to conduct prudent planning," a NATO official says