Maputo, Mozambique (CNN) -- In their new apartment in Maputo, the vibrant and cosmopolitan capital of Mozambique, Bruno Gabriel and his girlfriend unpack their last suitcases, still trying to settle in their new surroundings.

The Portuguese couple relocated to the southeastern African country a few months ago, making a deliberate career move to swap the economic uncertainty of their crisis-hit country for the prospect of a better future abroad. They are part of a growing Portuguese community fleeing the severe eurozone crisis in search for jobs and economic opportunities in their country's former colony.

"In Europe everybody is a little bit afraid with their own future because (of) the crisis, worldwide crisis, in terms of economics," says Gabriel, a marketing director who has head-hunted to work in Maputo. "Once we start to enter the labor business, once we start to work, we understand that to plan the future is a little bit more difficult than what you expected."

Although Mozambique gained its independence from Portugal in 1975, and retains Portuguese as its national language, many in the African country continued until recently to see the former colonial power as a land of opportunity.

But now, with Portugal mired in financial woes amid a worsening European debt crisis, that notion is increasingly being reversed.

How Mozambique turned from war zone to tourist hotspot

In the Portuguese consulate in Maputo, consul general Graca Pereira says she's seen a rise in experienced, university-educated Portuguese migrating to Mozambique looking for a brighter future.

"In the last two or three years, people began to come increasingly," she says. "Lots of people for small investments, some others working with the companies, some others working contract by other people. So a variety of people."

In addition to the common language, the familiar architecture and the rich culture, the main draw for Portuguese in Mozambique is the country's impressive economic performance in recent years.

In 2011, Mozambique's real gross domestic product grew by 7.2%, boosted by the country's first overseas export of coal, as well as strong performances by the transport, communications, construction and financial services sectors, according to the African Economic Outlook.

The country's economy is also forecast to grow by 7.5% and 7.9% in 2012 and 2013 respectively -- an alluring incentive for those Portuguese wishing to escape the lack of opportunity back home.

Locals in Maputo say the new arrivals from Portugal fly into Mozambique nearly every day.

"None of us is facing financial difficulties or is unemployed," says Portuguese entrepreneur Pedro Alvin Castro. "What we envisage is to find places for the future because in the next five to 10 years Portugal will slow down and stagnate.

"We want to find places like Mozambique where there is the reverse, where we have sustainable growth for the next five to 10 years."

The Africans looking to make it in China

One of many new Portuguese immigrants in Maputo is Vanessa Souza. The 32-year-old left Lisbon in January and now she is working for AVI, a successful South African consumer goods company, helping to promote and sell tea, biscuits and coffee to Mozambique's growing middle class.

She says she's now earning more than she did back home, works shorter hours, and can afford a car, cell phone and insurance.

"New life, new country," says Souza, explaining that she can now build her future -- something she didn't dare to do in Portugal where many are struggling under the weight of austerity and unemployment is at around 15%.

"We have jobs here and the language is the same," adds Souza. "We have opportunity here."

Yet it's not only the cosmopolitan Maputo that's attracting large numbers of Portuguese. The recent discoveries of vast reserves of coal and gas off Mozambique's northern coast have also sparked a big swell of investment in the country as well as the emergence of second industries in the towns around the mines.

According to the consul general, there are many Portuguese who are bypassing Maputo to set up restaurants, join small companies or offer skills in these frontier towns.

"People are moving outside Maputo and are even beginning their businesses outside of Maputo," says Pereira. "So it is very interesting. It could be very useful also."

Why Asian giants scent opportunity in Africa

As for the Mozambicans, locals say there has been little backlash to the return of the Portuguese to the country -- this time, however, under very different circumstances compared to the colonial era.

"Yes, they're coming but I think (it's) really positive," says economist Hipolito Hamela. He explains that the new businesses that are being set up create jobs for local Mozambicans, while the influx of foreign skills help the country's development. Also, government quotas on the number of foreigners that a company can hire ensure that local jobs are protected.

Yet, notwithstanding the recent improvements, life in Mozambique, which is still one of the poorest countries in the world, is not without challenges.

Souza says her biggest concern in Maputo is security while Gabriel notes that he is frustrated with the slow pace of life compared to Europe.

"It's a little bit more difficult to make things happen than it is in Europe," he says. "Mozambique is a challenge every day."

But despite all the difficulties, it is here where Gabriel and many of his compatriots have chosen to develop their careers. And if Portugal's economy remains stuck in turmoil, many others could follow them, lured by Mozambique's growing and untapped opportunity.

Teo Kermeliotis contributed to this report.

@highlight

The eurozone crisis has forced many Portuguese to migrate to Mozambique

@highlight

They are looking for jobs and better economic opportunities

@highlight

The economy of Mozambique, a former Portuguese colony, grew by 7.2% in 2011

@highlight

Locals say there has been little backlash to the influx of Portuguese in the country