Wichita, Kansas (CNN) -- Major King remembers a time before the abortion debate came to his hometown, a time when Wichita, Kansas, was known as the air capital of the world.

Manufacturers such as Learjet, Cessna and Beechcraft were the backbone of a tight-knit community where God-fearing folks like King would canoe after school in the Arkansas River and drag the streets "in slick cars with a nice-looking honey" on weekends.

Times have changed, says King, 70, a retired oil refinery worker who also spent time at Cessna.

"Now, Wichita's known as the abortion capital of the world."

It's a label shunned by many Wichitans, regardless of their views on abortion. They'd rather be known for the restaurants and entertainment venues, quality schools and affordable housing that make Wichita one of the nation's "best-kept secrets," King says.

But the May 31, 2009, slaying of Dr. George Tiller, a prominent abortion provider gunned down in church during Sunday services, focused national attention back on Wichita and its role in one of the most divisive legal and social controversies of our times.

It faded for a time, as Tiller's death led to the closure of Wichita's last abortion clinic, and activists on both sides shifted their focus elsewhere. But the trial of Tiller's admitted shooter, Scott Roeder, again stirred talk of abortion in the bars and coffee shops of a city where most have steeled themselves for years against noisy protests and graphic images of fetuses.

Roeder was convicted Friday of first-degree murder. After the jury's swift verdict -- they deliberated for just  37 minutes -- many in Wichita are hoping the abortion controversy will fade.

"After he receives his sentence on March 9 --  preferably the Hard 50, as District Attorney Nola Foulston is requesting -- he'll also get the consequence. And then may we never hear from him again," blogged an editorial writer for the local newspaper, The Wichita Eagle.

"Maybe this will get things back to normal now, seeing as there's not much reason for abortion to be such a big issue now that the trial's over," King says. "And, now there is no more abortion in Wichita, either, because the doctor is gone."

To Troy Macormac, Tiller's death already signified the end of Wichita's reputation as the world's abortion capital, albeit through deplorable means.

"I'm really not for abortion ... so it's kind of a fence-riding deal," says Macormac, a brick mason who grew up in Wichita. "But I feel he has a right to have a business and provide for his family and take care of his business the way he wants to take care of it. That's his right as being an American."

For years, demonstrators maintained a constant presence outside Tiller's Women's Health Services clinic, a nondescript, cream-colored building of cement and brick facing Kellogg Avenue -- the city's major east-west corridor.

"People got tired," says Lorrie Donham, a middle school science teacher. "The only way it really affected me was when I'd have to drive down Kellogg with my young daughters and have them be exposed to these grotesque, brutal images."

The turmoil also spread to Tiller's congregation at Reformation Lutheran Church, where he was ultimately shot to death.

"They knew what service Dr. Tiller generally attended and they would come out there full-blown with their babies in arms and huge imagery of damaged fetuses," said Teresa Mora, a member of the congregation who identifies herself as pro-choice.

"It got to the point we had to set up partitions so children could exit family vehicles and go into church without having to be exposed to so much of that imagery."

Frosted glass was installed on the church's windows, added Mora.

The controversy made Tiller a symbol of hope for the abortion rights movement and a formidable foe of abortion opponents. He received repeated death threats and survived a shooting, a clinic bombing, criminal trials and two grand juries intended to put him out of business.

Wichita's abortion activism peaked during 1991's "Summer of Mercy," when tens of thousands on both sides of the debate gathered in Kansas to stage protests.

"What bothered me is that it wasn't Wichita people stirring the pot, so to speak. It wasn't Wichitans having conflicts with Wichitans. It was somebody from outside Wichita coming in and stirring the pot," said Donham, the middle school science teacher.

"I think everyone felt the same way at that time," she added. "There are other things going on, but our resources, the city was having to extend coverage by local law enforcement, just to have a presence and keep the peace. It was an expensive, aggravating time."

It was not the first time a conservative social movement claimed the south central Kansas town as its staging ground. Early in the 20th century, Carrie Nation, a voluble evangelist who helped establish the Medicine Lodge, Kansas, chapter of the Woman's Christian Temperance Union, brought her fight to Wichita. She became a local legend after using a rock and a pool ball to smash up the Carey House, a downtown bar.

Since then, the former trading post and cattle-drive destination has grown into a sprawling metropolitan area of more than 600,000. It covers four counties of flat suburban landscape criss-crossed by railroad tracks about 200 miles southeast of Kansas City

An assortment of newer, upscale subdivisions and stately homes a few blocks from older craftsmen and ranch-style homes underscore the city's evolving landscape.

Much of modern Wichita's growth has been spurred by the airline industry, along with successful entrepreneurial ventures such as Coleman, Koch Industries and Pizza Hut, and three universities. A new arena recently opened, and a revitalization of Wichita's "Old Town" has produced many new bars, high-end restaurants and entertainment venues in the city center.

But lifelong residents like Major King still gather in the same coffee shops they patronized when they were younger, like the Riverside Cafe, a cozy diner that has changed hands several times but where you can still find breakfast specials for $4.99.

"Wichita's still a good place to raise a family, but it's not the same," he said on a recent morning as his brother, Thomas, sat across the table, nodding his head. "You could say it's grown too big for its britches."

After the Summer of Mercy, things mostly quieted down, resurfacing with an occasional protest that drew national media coverage, or a periodic extreme act directed at Tiller. He was shot outside his clinic in 1993 by Shelley Shannon, who has voiced support for Roeder from prison.

Tiller's slaying last year led to the closure of his clinic, which was Wichita's last abortion clinic.

Mark Gietzen, an anti-abortion activist and long-time Wichitan, started Kansas Coalition for Life in 1993, making the closure of "Tiller's the Killer's" clinic one of his main goals.

"He has pretty much always been the focus of our efforts because he's always been the late-term abortionist. He was known not only nationwide but worldwide. People came from all over the world to see him," said Gietzen.

An upbeat man who runs Kansas Coalition for Life and a Christian dating service from the basement of his suburban Wichita home, Geitzen has posted a sign on his driveway that greets visitors with the message, "Thou shalt not kill" on one side. The other side reads, "If you no longer feel close to God, ask yourself, 'Who moved?'"

"We had 650 volunteers that were involved in the continuous presence at Tiller's gate, offering help to the women that were going in," Gietzen said, adding that his group had a "save" rate of about 3.5 unborn babies per month.

Like many anti-abortion organizations across the country, Gietzen has denounced Roeder's use of violence, calling it a blow to the movement and its credibility. He says anti-abortion groups in Wichita were only months away from shutting Tiller down through official channels.

The debate over health care policy has mobilized his group's efforts to lobby politicians and gather signatures on the Web site, abortionisnothealthcare.com.

"I don't have time to think about Scott Roeder because we're too busy trying to keep abortion out of health care," he said.

Next to the building that once housed Tiller's clinic, a pregnancy counseling clinic called Choices has no plans to close. In fact, since Tiller's death, Choices has seen an increase in clients, spokeswoman Marilyn Manweiller said.

"We will continue to provide services to women as long as they keep coming through our doors," she said.

Abortion rights activists such as Mora are determined to see a new abortion clinic open in Wichita eventually.

"Dr. Tiller's death kind of forces us to keep going, to make noise and fight so there is a safe and legal option," she says. "He was a hero for all women. He fought for us."

But to Donham, Tiller's death may further strain the bonds of a once tight-knit community.

Wichita has endured other violent crimes, including the BTK serial killer Dennis Rader, who evaded authorities for 30 years. Still, Tiller's death within the sacred confines of a church struck a deep chord.

"What does this say for your openness to others? Do we have to lock the church narthex after service begins or check your ID at the door?" she says. "[Roeder's] biggest impact is going to be he caused us to be suspicious of each other. Unfortunately, I think it makes you even more hesitant to embrace a stranger."

@highlight

Some say abortion provider's death marks end of Wichita's reputation as "abortion capital"

@highlight

Scott Roeder was convicted  Friday of killing abortion provider Dr. George Tiller

@highlight

The shooting stirred emotions among residents who had wearied of the abortion debate