(CNN) -- More than 60,000 people have now been infected with cholera in Zimbabwe, according to the World Health Organization (WHO).

Tendani Baloyi, 4, gets treated for cholera in Musina, on the border between Zimbabwe and South Africa.

Latest figures released Friday from the organization also show that 3,161 people have died from the disease since August 2008.

In December, WHO spokesman Paul Garwood told CNN the organization an estimated 60,000 people would be infected with cholera in the "worst case scenario."

But that number now stands at 60,401 and shows no sign of abating the agency said.

The WHO, a Geneva, Switzerland-based organization, said "drastic action," was now needed to curb one of the world's largest outbreaks of cholera.

The UN agency called for "political differences to be put aside" and for international intervention to deal with the crisis.

"We are dealing with an extraordinary public health crisis that requires from us all an extraordinary public health emergency response, and this must happen now before the outbreak causes more needless suffering and death," the WHO's Dr Eric Laroche said on its Web site.

"Political differences need to be put aside, economic barriers overcome, health services in the country's periphery strengthened and community awareness to respond enhanced to save many more people from dying due to a disease that can be readily prevented and treated, " he added.

Since August, the cholera epidemic has swept through a country wracked with a political and economic crises. It has also coincided with a nearly five-month-long strike by doctors and nurses who are demanding salaries in foreign currency.

Cholera is an intestinal disease caused by bacteria in contaminated water.

The epidemic has been aggravated by erratic water supplies, shortages of water purification chemicals, broken water and sewer pipes and uncollected garbage from a waste-disposal system that has collapsed.

Children can be seen playing on heaps of uncollected garbage in the suburbs of most urban areas in Zimbabwe.

In early December, President Robert Mugabe's government declared the cholera epidemic a national emergency, paving the way for aid from international groups such as Oxfam, Doctors Without Borders, W.H.O., the U.N. Children's Fund and USAID.

But that assistance has not yet improved the situation, and the disease has spread to new areas since then.

"The problem in Zimbabwe is that the infrastructure is obsolete, especially when it comes to water sanitation. People are going for months without tap water in towns," said Peter Hinn, the director of a German group called Welt Hunger Hilfe (World Hunger Help), which is helping to fight cholera in Zimbabwe.

"In rural areas, 60 to 70 percent of boreholes (wells) are not working. So the international community might have come in but they have to address this infrastructure."

Zimbabwe was already suffering an enormous economic crisis, with a hyperinflationary economy and shortages of all essentials including food, fuel, cash, foreign currency and electricity.

The country's rainy season peaks in January or February and ends in late March, and Zimbabwean Health Minister David Parirenyatwa warned the epidemic could get worse during that time as runoff from the rains spreads the bacteria to other rivers, streams and wells.

Mugabe declared in mid-December that the cholera epidemic had slowed, but health experts differed with him and the latest figures seem to contradict his statement.

@highlight

World Health Organization reveals number of cholera cases is more than 60,000

@highlight

Health experts believe the disease is not under control or slowing

@highlight

No sanitation or clean water, piles of garbage help spread disease

@highlight

President announced disease down, but numbers belie that statement