Provincetown is an oasis with the kind of light that inspires artists and writers, a town at the tip of Massachusetts' Cape Cod that celebrates the LGBT community.

It's a small town of nearly 3,000 year-rounders that grows to 60,000 to 100,000 residents in summer, when many visitors come to celebrate Carnival, Family Week, Bear Week and more. They also come to see the Broadway theater types and drag queens who hawk their shows along Ptown's main drag, Commercial Street.

Day tourists jump on the fast ferry from Boston to buy T-shirts and gawk, while nature lovers leave town to explore the many different sides of Cape Cod National Seashore.

Around the world in 18 photos

Isn't that enough for a town of just three square miles?

But there's more. It's also where Anthony Bourdain started as a dishwasher at the Flagship Bar & Grill, called the Dreadnaught in his classic chef's memoir, "Kitchen Confidential: Adventures in the Culinary Underbelly."

As Bourdain returns to Massachusetts in this week's episode of "Parts Unknown," we explore other reasons to love Ptown.

The country's oldest continuous art colony

Look at the landscape and you'll know why Jackson Pollock and Willem de Kooning painted here. But it's not just the beauty of the place; it's also the community that helps artists create and show their work.

Founded by local artists and townspeople a century ago, the Provincetown Art Association and Museum (PAAM) supports the town's incredible art scene through exhibitions, conversations and its Museum School. The colony is nestled in the town's East End, known for its large concentration of galleries (although other galleries are located throughout town). Start at the PAAM building and wander down Commercial Street for more inspiration.

10 things you didn't know about Vegas

A who's who of writers shacked up here

Some of the world's best writers, playwrights and poets have come to the Outer Cape. Writers Norman Mailer and Jack Kerouac, poet e.e. cummings and playwright Eugene O'Neill were drawn to the beach shacks near Provincetown to write. You can write there, too: The National Park Service, which oversees the shacks now, and local non-profits help pick artists and writers for residencies at the shacks.

Director John Waters can sometimes be spotted in town, as can Pulitzer Prize-winning author Michael Cunningham. Our understated favorite, often called the poet of Provincetown's off-season, is noted Pulitzer Prize- and National Book Award-winning poet Mary Oliver. She's lived here for more than 40 years.

Oliver's work quietly whispers of the beauty of the place: "At Blackwater Pond the tossed waters have settled/after a night of rain./I dip my cupped hands./I drink/a long time. It tastes/like stone, leaves, fire. It falls cold/into my body, waking the bones. I hear them/deep inside me, whispering/oh what is that beautiful thing/that just happened?"

Tennessee Williams made his mark here

American playwright Tennessee Williams spent just four summers in Provincetown in the 1940s, but the work he wrote here-- "The Glass Menagerie" and "A Streetcar Named Desire" -- is seminal. That's why the Provincetown Tennessee Williams Theater Festival was launched in 2006. The festival presents the works of Tennessee Williams in September, two weeks before Columbus Day. Ten works have had their world premieres here.

Harvest your own cranberries

Cape Cod National Seashore stretches beyond the tiny enclave of Provincetown, protecting some 44,600 acres of seashores, marine life, dunes and more. While swimming, exploring the dunes and tide pools and hiking is popular during the summer season, there's also much to explore off-season.

Locals know you can gather certain fruits and berries, including cranberries and blueberries, at harvest time. There's a daily fruit limit of one gallon per person, while the limit on edible mushrooms is five gallons per person per day. At most national park sites, visitors are not allowed to collect the park's resources for personal use. However, limited foraging of certain foods is allowed within the national seashore, because it's a traditional use on Cape Cod.

National Park Service foraging rules on Cape Cod (PDF)

The Pilgrims came here first

The Pilgrim Monument that towers over Provincetown honors the first landfall of the Mayflower Pilgrims in the so-called "new world" on November 21, 1620.  The five-week stay was important: While anchored in Provincetown harbor, the Pilgrims wrote and signed the Mayflower Compact establishing the founding principle of self-rule for the group.

Apparently Provincetown was not to their liking as much as it is to ours: The Pilgrims left for Plymouth after a few weeks to establish a settlement there. The monument was built between 1907 and 1910. Modern visitors who can climb to the top of the 252-foot-tall monument, get a sticker and bragging rights for the day.

The Portuguese came next

While the Portuguese fishing community that once thrived in Provincetown since the 1840s is mostly gone, a few fishing vessels and the culture's influence remain. A fine bowl of Portuguese soup can still be found at the Mayflower and Lobster Pot restaurants. And it's worth standing in line at the Portuguese Bakery for the sweet, fried dough called mulosayos. (Buy them hot.) Want more? People come to celebrate the town's Portuguese heritage during the town's annual festival.

Spot the floating houses

Scattered throughout Provincetown are homes dating back to the early 19th century. They are called Long Point Floaters, adorned with blue and white plaques of a house floating on water. These homes were originally built in the nearby community of Long Point. When shore fishing became more difficult around 1850, more than 30 homes were floated across the harbor to Provincetown. The plaques mark the homes that still exist today.

From whale hunting to whale watching

The whaling industry dominated Provincetown life during the 19th century. Although the discovery of oil in Pennsylvania would eventually reduce the demand for whale oil, the last whaler didn't stop sailing until the 1920s.

Some 50 years later, the town became known for whale watching and preservation. Dolphin Fleet has been operating whale watch tours since the 1970s, and summer tourists crowd the ships during the summer. The trips feature naturalists trained by the town's Center for Coastal Studies, which works to preserve marine life off the coast of Cape Cod. The center offers programs year-round to educate adults and children alike on the wonders of humpback and right whales, seals and the area's magical tide pools.

@highlight

The town where the Pilgrims first landed is also home to a century-old art colony

@highlight

Norman Mailer and Tennessee Williams came to the Cape's beach shacks to create

@highlight

The beauty of Cape Cod National Seashore still inspires legions of painters

@highlight

The town's waning Portuguese influence can still be found in its dining