(CNN) -- Imagine for a moment that we lived in a world where two million children under the age of five were dying every year of diseases that were entirely preventable. Imagine that this world was divided in two, where in one half children were free from this scourge and the other half lived in fear of these diseases which threatened their families every single day.

"Mostly it is our children that are affected. I lost two of my children, a boy and a girl and my sister also lost two of her children; two boys. The first one of mine was two years and the recent one who died just two weeks old."

These aren't the lines from a dystopian Brothers Grimm story, or a page lifted from the dark ages of our history. These are the words of Yenge Koroma, who lives in Vaama in Sierra Leone. This is our world today.

Globally nearly a third of under-five child deaths are attributable to just two diseases, pneumonia and diarrhea. Between them, they account for around two million young lives a year, with nearly 90% of these deaths occurring in sub-Saharan Africa and South Asia.

Last year, UNICEF and the World Health Organization launched a Joint Action Plan, which WaterAid strongly supports, to help tackle these two child killers together. These organizations recognized that alongside vaccines and treatments like oral rehydration salts, access to safe drinking water, basic sanitation and good hygiene are vital in helping to prevent these diseases.

As Yenge puts it: "The cause of the sicknesses is the water we are drinking. That water is polluted. There is dirt in the water and sometimes fish die in the water mysteriously. Sometimes we launder in that water; we use the water as toilet. All this is really making the water unhygienic but we have no other source. It is the same water we are drinking and that water I believe is really the cause of the sicknesses in this community."

Her story is far from unique. Globally 1 in 10 people are without safe drinking water, while over a third of the planet (36%) goes without basic sanitation. In Sub-Saharan Africa the situation is that much more desperate, with 35% going without an improved water source, and a staggering 70% without safe sanitation.

This lack of access to such basic and essential services has devastating consequences for people's health. According to the U.N. as many as half the hospital beds in the developing world are being used at any one time by people suffering from waterborne diseases.

Economists at the World Health Organization have calculated that a lack of access to these services is costing developing countries $35 billion every year, in healthcare costs alone. When looking at the full range of productivity losses this figure jumps to $260 billion.

This devastating loss of life and the economic costs can be tackled if governments, civil society and the private sector work together to address this crisis.

Addressing this crisis requires collaboration and innovative partnerships and WaterAid works with organizations like the U.N., the World Health Organization, with governments, businesses, academia and our colleagues and partners around the world to advocate for the step change in approach we need to see to get these services out to the communities that desperately need them.

WaterAid works in Sierra Leone and 25 other countries around the world, providing some of the world's poorest people with access to these basic services. Since 1981 WaterAid has reached 19.2 million people with safe water and 15.1 million people with sanitation, and we are proud to be the world's largest international NGO focused entirely on water, sanitation and hygiene.

We are approaching a crucial point. Next year, governments from around the world will finalize their negotiations to decide on a new set of Sustainable Development Goals to eradicate extreme poverty by 2030. These goals will help to shape the progress and priorities in the developing world for the next decade and a half.

WaterAid believes that these new Sustainable Development Goals should include a dedicated commitment from governments for everyone everywhere to have access to water, sanitation and hygiene. Access to these services is the crucial first step in tackling killer diseases, and in helping lift people out of debilitating poverty.

A third of the U.N. member countries have already signaled that this should be a priority, and we agree. Access to sanitation, water and hygiene are fundamental for a decent and productive life. We must not lose this opportunity to act and help end preventable child deaths.

@highlight

Pneumonia and diarrhea kill around two million young children a year

@highlight

Providing clean water and sanitation can help tackle these diseases

@highlight

Globally 1 in 10 people are without safe drinking water

@highlight

New Sustainable Development Goals should include access to water and hygiene, argues WaterAid