(CNN) -- The president of Sudan, who is wanted by the International Criminal Court on allegations of war crimes and genocide, arrived Wednesday in Chad, Sudanese state-run Shorooq TV reported.

Chad is legally obliged to arrest Omar al-Bashir and hand him over to the International Criminal Court, a court representative told CNN.

The court has issued two warrants for al-Bashir's arrest for his alleged role in a five-year campaign of violence in Darfur, in western Sudan.

The original warrant was the first one the court had ever issued against a serving head of state.

It included five counts of crimes against humanity, including murder, extermination, forcible transfer, torture and rape. It also included two charges of war crimes for intentionally directing attacks against civilians and for pillaging.

The International Criminal Court issued its second arrest warrant al-Bashir just last week.

The court added three new counts of genocide to the already existing charges of war crimes and crimes against humanity. The new charges are in addition to the earlier ones, not instead of them, the court said.

Amnesty International Wednesday called on Chad to arrest the Sudanese leader.

"Chad should not shield President al-Bashir from international justice," the rights group's senior legal advisor Christopher Hall said. "His visit to Chad is an opportunity to enforce the arrest warrant and send a message that justice will prevail."

United Nations Secretary General Ban Ki-moon said through a spokesman that it was up to countries that are party to the court "to live up to their obligations as they see fit."

"Of course he said repeatedly that... there are charges that have been put forward by the prosecutor for the International Criminal Court and these charges are very serious," Ban's spokesman, Martin Nesirky, said Wednesday.

Al-Bashir was re-elected president of Sudan this year in controversial but historic elections.

The president has appeared to thumb his nose at the charges, appearing in public dancing and singing at a rally in Khartoum after the original arrest warrant last year.

His information minister dismissed the ICC as a "white man's tribunal."

Adding genocide to the list of charges against al-Bashir could affect the length of his sentence if he is ever tried and convicted.

The African Union this year urged the court to delay war crimes proceedings against Sudan's president, saying a decision allowing genocide charges harms efforts to bring peace to Darfur.

"The African Union has always emphasized its commitment to justice and its total rejection of impunity," it said in a statement in February.

"At the same time, the AU reiterates that the search for justice should be pursued in a manner not detrimental to the search for peace. The latest decision by the ICC (International Criminal Court) runs in the opposite direction."

Judges at the ICC had cleared the way a day earlier for al-Bashir to be charged with genocide.

Prosecutor Luis Moreno-Ocampo had the genocide charge on his original arrest warrant for al-Bashir, but the pretrial judges left it off when they approved the warrant in March 2009.

Moreno-Ocampo appealed in July, saying that the judges' standard of proof for adding the genocide charge was too high.

The appellate court agreed with Moreno-Ocampo and ruled in his favor.

Al-Bashir has traveled to several countries since the warrant was issued, even though any country that is party to the ICC has an obligation to hand him over to The Hague in the Netherlands, the court says.

It is not clear whether he has been in a country that is a party to the court since the arrest warrant was issued.

The genocide charge could further isolate Sudan, but it could also mobilize African nations around the country.

Leaders from several African countries have said the ICC has been unfair to Africa, and they have threatened to pull out of the court.

The United Nations estimates that 300,000 people have been killed in the conflict in Darfur and 2.5 million have been forced from their homes.

Sudan denies that the death toll is that high.

The violence in Darfur erupted in 2003 after rebels began an uprising against the Sudanese government.

To counter the rebels, Sudanese authorities armed and cooperated with Arab militias that went from village to village in Darfur, killing, torturing and raping residents, according to the U.N., Western governments and human rights organizations.

The militias targeted civilian members of tribes from which the rebels drew strength.

CNN's Amir Ahmed and David McKenzie contributed to this report.

@highlight

NEW: UN Secretary General Ban Ki-moon says charges against Sudan's President Omar al-Bashir are very serious

@highlight

He faces charges of war crimes, crimes against humanity and genocide over Darfur

@highlight

He is visiting the African nation of Chad, which is a party to the court

@highlight

The UN estimates that 300,000 people died in the Darfur conflict, and 2.5 million fled their homes