(CNN) -- With their soulful voices and traditional Zulu dance moves, South African acappella singing sensation Ladysmith Black Mambazo have been blending vocal harmonies to take audiences on a musical journey for nearly half a century.

The legendary male choral group has sold millions of albums worldwide, collaborated with music icons such as Paul Simon and counts Nelson Mandela as one of their faithful fans -- the venerable Nobel Peace Prize winner has described the group as "South Africa's cultural ambassadors."

It's all a far cry from when young farmer-turned-factory worker Joseph Shabalala formed the band in 1964, hoping to use music as a vehicle to unite people in a country suffering from social divide and conflict.

"The music is for the people, we must take this music to the people," recalls Shabalala, one of the two remaining original members of the nine-piece group.

Already successful in their homeland, the band's international breakthrough came in 1986, when American singer and songwriter Paul Simon featured them on his album "Graceland." Simon also took them on tour with him and produced the band's "Shaka Zulu" album, which won the 1988 Grammy Award for best traditional folk album.

Since then, Ladysmith Black Mambazo have won two other Grammys and have received a total of 16 nominations.

See also: South African comic duo stir up stereotypes

But, apart from years of successful touring and international recognition, it is the relationship with Nelson Mandela that has come to play a big part in the band's career.

The group first met South Africa's first black president at his birthday party in 1990, not long after he was freed after spending 27 years in jail.

"We were on stage and we sang a song and he stood up and he danced with us and he shook our hands and he said keep up the good work... your music has been great inspiration for me," says Albert Mazibuko, one of the original members of the band. "After that he never wanted to do anything without Ladysmith Black Mambazo -- we have been with him all over the place."

In 1993, at Mandela's request, the group accompanied the future president to the Nobel Peace Prize ceremony in Oslo, Norway, and one year later they sang again for him at his inauguration. In 2003, Mandela recruited them again as ambassadors for his HIV/Aids global awareness campaign, 46664, named after his prison number.

Like the anti-apartheid icon, the awardwinning ensemble carry a message of peace and hope in their music.

"Ladysmith Black Mambazo music is about inspiration," says Mazibuko. "We are encouraging people to not lose hope in anything. We try to give people the hope that there is a tomorrow, there is a better thing that is waiting for us in the future and that there is a solution for every problem in the world."

Shabalala named the group after his hometown, Ladysmith, a farming town in the foothills of the Drakensberg Mountains -- "black" refers to "oxen," the strongest of all farm animals, and "Mambazo" -- the Zulu word for "axe" -- refers to "chopping down" the local competition.

See also: Recycled hotel soap saves children's lives

The roots of the group's music extend back some 100 hundred years, in the gold and diamond mines of South Africa when black workers would entertain themselves in labor camps by composing music and dances. But they had to dance softly "on tip toes" so they would not disturb the white guards.

Shabalala's vision was to keep this rich musical tradition -- known as "isicathamiya" -- alive by combining it with what he heard in churches. His brothers and cousins joined him and since then the acappella band has very much remained a family affair -- to this day, Ladysmith Black Mambazo's band is comprised of Shabalala's friends and family members, including his sons and cousins, with an age span ranging from septuagenarians to those in their 20s.

See also: Master storyteller brings folk tales to life

Their 2011 release, "Songs from a Zulu farm," has also received a Grammy nomination for best world music album -- the band say it is their most personal work to date, featuring traditional Zulu tunes that recreate the world they grew up in. 

See also: Africa's popstars

With Shabalala and Mazibuko being today the only two remaining original members of the group, the band's old guard is now passing down their message of hope and peace onto the younger generation.

"Ladysmith Black Mambazo is a family, in my group I have four sons, the next generation of Mambazo, they are our future," Shabalala recently announced at a concert while introducing his sons.

"My father is now passing this on to us, he wants us to carry on his music, he doesn't want to die with his music, he says this music is not for him, it is for the people," says Shabalala's son Thamsaqa, who is expected to replace his father as the group's leading singer of the group.

For him and many others, the legend started by his father, almost half a century ago, will remain resilient and timeless for generations.

Beibei Yin contributed to this article.

@highlight

Ladysmith Black Mambazo were founded in Durban, South Africa in 1960s

@highlight

The male choral group started to win international recognition after working with Paul Simon

@highlight

The group has been hailed by Nelson Mandela as "South Africa's cultural ambassadors"

@highlight

The singing group is now passing the tradition on to the younger generations