(CNN)A phenomenal thing has happened in Washington: Progressive advocates and conservative forces have united around legislative action supported by the strong majority of the American people.

Groups as disparate as the Center for American Progress and ACLU on the left and the Koch Brothers on the right; Republican Sen. Rand Paul and Democratic Sen. Cory Booker; and over two-thirds of the American people all support major overhauls to America's criminal justice system.  As do, presumably, the 2.2 million Americans ensnared in our nation's costly and counterproductive current prison system.  So what's stopping reform?  One man: Chuck Grassley.

Grassley is the senior Republican senator from Iowa.  He was first elected to Congress in 1975, serving first in the House of Representatives before going to the Senate in 1981.  That means Grassley's been in Congress long enough to have been there when the idea of mandatory minimum sentences for federal criminal convictions was first introduced.  In the 1980s, Congress passed so-called "mandatory minimums" as part of the national war on drugs, supposedly to make it easier to keep traffickers and kingpins locked up.

Yet by basically any measure, mandatory minimums have been a maximal failure.

Yes, nationwide the crime rate has declined in the past 40 years. But a new study confirms that America's drop in crime had very little, if anything, to do with mandatory sentencing laws and the increase in incarceration.  For instance, while incarceration played a small role -- estimated at around 5% -- in the drop of crime rates between 1990 and 1999, it had ostensibly no effect between 2000 and 2013.

Meanwhile the federal prison population has grown from 20,000 prisoners in the 1980s to over 200,000 prisoners today.  With states also passing mandatory sentencing laws, the prison population overall has skyrocketed.  Today, the United States has more people behind bars than any other country in the world.

One out of every 100 adult Americans is in prison or jail.  And the laws have had a disproportionately harsh effect on communities of color. For instance, on average, black male offenders are given sentences 20% higher than white males.  Meanwhile federal prisons are overcrowded by 40%, and incarceration costs eat up 25% of the Justice Department's budget.

The federal government could be investing more in public infrastructure jobs and higher education, since employment and education have proved to decrease crime rates dramatically. Instead, politicians are slashing food stamps and public assistance funding while spending $29,000 per year per inmate in federal lockup.

And as the conservative writer Betsy Woodruff wrote in Slate, "When Elizabeth Warren and Ted Cruz both think the same bill is a good idea, you might think it would have legs."

Yet it would appear Grassley just doesn't wanna change the rules. Grassley is the chair of the Senate Judiciary Committee.  Simply put, given the generally powerful position of committee chairs on Capitol Hill, if Grassley doesn't want reform to happen, it won't.  And he doesn't.

This past May, Grassley gave a floor speech voicing his strong opposition to the "Smarter Sentencing Act." Grassley connected America's drop in crime over the past decades partly to the use of mandatory minimum sentences.

Citing a year when the number of state and federal prisoners had dropped, Grassley argued there was a corresponding rise in crime despite other contradictory evidence.  Plus, Grassley said, "the only tool Congress has to make sure that federal judges do not abuse their discretion in sentencing too leniently is mandatory minimum sentences."

In Grassley's world, the war on drugs is working and mandatory minimum laws are a tool for combating liberal activist judges.  Given such illogical conclusions, one might jokingly ask whether Grassley is crusading against drugs or using too much of them himself.

But to anyone paying attention, what seems illogical is Grassley's ability to stand in the way of a strong bipartisan coalition of his colleagues and the overwhelming weight of factual evidence and public support.  It's yet another reason Washington seems so dysfunctional.

It's one thing when one party in the majority passes, say, health care reform and then the other party stubbornly votes over and over again -- over 50 times -- to repeal the law.  That's undeniably pointless and absurd but can at least be chalked up to petulant partisanship.

Yet here we have that rarest of species in Washington, agreement -- and in alignment with facts and popular opinion.  The idea hat one person can stand in the way is insane.  This isn't what our Founding Fathers had in mind.  This isn't a checks-and-balances democracy.  It's more like a monarchy, where Chuck Grassley is king.

Over 2 million Americans may continue to waste away in our bloated and broken prison system, and more will probably join them, merely because the way Congress does business gives so much power to committee chairs such as Grassley.

Until there's a way around that, Washington will seem broken, too.

@highlight

Left and right have united against harsh U.S. minimum sentences

@highlight

Sally Kohn: Will Senate Judiciary Committee Chairman Chuck Grassley block reform?