Sochi, Russia (CNN) -- "This one is for you," says Yana Romanova, the photo manager at the RusSki Gorki Jumping Center.

She hands over a blue, numbered armband-come-sleeve which signifies to all at the Sochi Olympics venue that its wearer is a working photographer.

"Let me take your name as well, we might need it if I have to take away your accreditation," she adds with a smile, before revealing the fate of a photographer who recently made the mistake of crossing into a no-go zone.

"He ran onto the landing area of the ski jump to help an athlete who had fallen ... It was dangerous and against the rules, so last I heard he'd been barred from the rest of the Games."

The message has the desired effect on a writer adopting the role of photographer for one night only.

Consequently, careful attention is paid to the briefing that Romanova leads 10 minutes later. Safety is the key, and it's made clear where we should not trespass if we want to stay on her good side.

She refers to a map of the giant jump center where photographer positions are labeled and then fields questions from the 20-or-so snappers present who will be recording tonight's event for countless newspapers, websites and magazines around the world.

Henry Stuart nods and takes in the information, assessing the potential of the various options being discussed for his specific task.

As a specialist for photo agency Getty Images who creates 360-degree images, he needs to consider different aspects for successful delivery.

"At the ski jump, there's quite a lot of behind-the-scenes stuff which isn't very pretty. We need to chose a position that will optimize the panorama," Stuart tells CNN.

"So often what makes a brilliant photo in normal circumstances is wasted in a 360 because half of the picture is just snow, or mountains or mud, and it's not that interesting. We're trying to get a picture that will be interesting from every angle."

And with that we pick up our kit, swallow the final mouthfuls of Russian stew from the press-room kitchen and head outside to the bottom of the usually out-of-bounds chairlift that takes athletes and a select number of the media to the top of the looming slopes.

The Jumping Center is one of the most spectacular venues at the Sochi Games, where two giant steel structures bolted to the northern slope of Aibga Ridge create the artificial angle and curves needed to propel brave athletes on a skywards trajectory.

The chairlift scoops up photographers two at a time and heads up the mountain side pulled by its cable, leaving legs swinging in the cool air.

Once at the top the work begins to assess the three positions available for the photographers to use for the ski jumping qualification that is due to start on the "Large Hill" in half an hour.

The location at the top of the smaller slope will not be close enough to the action, despite the proximity to its dramatic plunge, so we walk down the wooden steps that bisect the two runways to a spot more suitable.

"So here, on the southeast side of the jump, just by the kickoff lip, has a good view of the valley -- which means the other 180 degrees I can fill with multiple frames of the skier at different points all the way down the hill," explains Stuart, as he puts down his bag to survey the surroundings.

"You also need to be careful of the TV cameras, so you don't get in any of their shots," he adds pointing to the bank of cameras who have their focus trained across our heads towards the launch area.

"It's always an issue for me because I have a three-meter-long pole with a camera fixed to the end. It gives you a really good perspective but you need to be wary about getting in the way of other people."

Stuart extends the carbon-fiber monopod to about two and a half meters. On the end of the pole his camera is fitted with a collared, very wide fish-eye lens that is controlled by a remote in his hand.

As the skiers begin to whoosh past to spring into the night sky he rotates the camera around a "nodal point" firing the aperture into action. He takes four wide shots before concentrating on specific details needed for the final composite.

"I want to try to get in the picture the sense of the steepness and the speed of the skier, so that's the challenge for today," Stuart says.

"I can trigger (the camera) to get multiple frames of the skier taking the jump, so we'll have the whole story from top to bottom which I'll then overlay on the panorama. I'll take around 40 pictures per jump but will probably only use around 20 in the final composite image.

"With the crowd shots I used a different exposure to capture more of the detail -- the skier is a darker exposure with a faster shutter speed, which has to be adjusted for too.

"Especially because the floodlights here actually flicker, the human eye can't pick it up because it's too quick, but the camera does, and it makes a difference to the light on the shot. The final composite will be an amalgam of all the shots."

With the pictures captured, we begin the long journey down the vertiginous steps that run alongside the jump slope back down to the press center.

Once there the laptop is unfolded and a program fired up that, with the help of algorithms and blending tools, stitches together the many images into one panorama.

"The tools are fantastic for taking distortion out of the lens, lining the images up and detecting where they match -- they'll detect points that are exactly the same in two images ... and will line up from these control points -- it does a lot of the heavy lifting for you but it also makes lots of mistakes which I then fix by hand," says Stuart as he manipulates the final product before filing down to Getty offices in time for the deadline.

It seems athletes aren't the only individuals working on an aesthetic performance in the mountains of Sochi.

@highlight

Henry Stuart specializes in producing 360-degree pictures for Getty Images in Sochi

@highlight

He captures the skier with multiple frames at different points all the way down the hill

@highlight

Stuart says he wants to get "the sense of the steepness and the speed of the skier"

@highlight

He takes around 40 pictures per jump and will use about 20 in the final composite image