(CNN) -- One dead politician in a tiny Arab country and now, six years on, the quest for justice in his assassination divides a people and could add to regional instability.

A United Nations-backed special tribunal issued indictments Thursday for four members of the Shiite militant Hezbollah movement in the assassination of former Lebanese Prime Minister Rafik Hariri, said a high-placed source in the Lebanese army.

Hariri's family and friends expressed relief, greeting each other with "mabrouk," the Arabic word for congratulations. For the first time in the recent and turbulent history of the region, an internal body was demanding accountability for a political assassination. There have been many in Lebanon's past, and so many killers have escaped unpunished.

But not everyone was welcoming of the tribunal and the fallout of these indictments and ensuing trial, likely to be held in absentia, is sure to ripple through the region for months to come.

In a stable and transparent nation, indictments in the assassination of a national leader would be embraced. But Lebanon has endured sectarian war for decades and analysts feared that it could see more Sunni-Shiite bloodshed in the future.

Hezbollah and Syria -- which along with Iran is Hezbollah's biggest supporter -- have repeatedly denied any role in the Hariri assassination. Many Lebanese, however, believe Damascus also played a role and a U.N. source said Thursday the tribunal could also indict Syrian citizens.

President Bashar al-Assad, already under global scrutiny for his regime's crackdown on pro-democracy demonstrators, could come under intensified pressure, said Mohammad Bazzi, an adjunct fellow at the Council on Foreign Relations who has been working on a project on Hezbollah in Lebanon.

"This could present a whole other level of instability and international problems for the Syrian regime," he said. "This might give the United States and Europe leverage for even tighter sanctions.

Beirut journalist Michael Young said the indictments come at a difficult time for Syria and Hezbollah. They make a bad situation even worse, he said.

"I think the Syrian regime is facing an existential crisis, one I believe it will lose," said Young, author of "The Ghosts of Martyrs Square: An Eyewitness Account of Lebanon's Life Struggle."

"So the indictments will only add to an already disastrous situation for the regime," he said. "However, the pro-Syrian government in Beirut will have a tough domestic and international fight as it struggles to deal with the (tribunal's) indictments, and Hezbollah is facing enough worries with the situation in Syria."

Hariri, a wealthy entrepreneur turned politician, was killed in a February 2005 Beirut bombing. His supporters say Hariri stood up for Lebanese sovereignty and against Syrian influence and for that, he paid the ultimate price.

His death prompted mass protests known as the Cedar Revolution that led to the withdrawal of Syrian troops, in Lebanon for almost three decades.

But Lebanon remained divided over the tribunal's investigation. The pro-Western Hariri camp welcomed the probe; Hezbollah's Shiite supporters denounced it.

In anticipation of the indictments, Hezbollah raged against the tribunal by saying the United States sought to discredit Hezbollah and that Israel was to blame for the assassination. Israel has denied that claim.

Hezbollah leader Hassan Nasrallah also made it clear that the group would not tolerate accusations against its own.

"We absolutely reject accusing any Hezbollah member of the killing of Hariri," Nasrallah said last year. "We will not accept any indictment to anyone in Hezbollah."

That's a threat no one in Lebanon should take lightly, said Michael Singh, managing director of The Washington Institute and a former senior director for Middle East affairs at the National Security Council.

He said Hezbollah is the only militia in Lebanon that has not disarmed and it has not hesitated to intimidate people through violence. The indictments mean that the militant group will have to implement whatever strategy it has devised to avoid accountability for a horrific crime, Singh said.

"This puts Hezbollah's partners in government in a real bind," Singh said.

In a bind because in January, the rift over the tribunal prompted Hezbollah to collapse the government of Saad Hariri, the slain leader's son. Hezbollah and its pro-Syrian allies now form a majority in Lebanon's Parliament.

The Hezbollah domination was seen as a huge comeback for Syria, which, said Singh, has never really accepted Lebanon as a sovereign state and has asserted its influence in Lebanon for years.

The new prime minister, Najib Mikati, announced a new cabinet only this month and said Thursday that the "delicate situation" Lebanon is experiencing "requires us to be wise" and avert civil strife.

But Lebanese authorities, outmuscled by Hezbollah's fighters, do not have the capability to arrest or deliver suspects for trial, said Young, the Beirut author. They must choose between whether to cooperate in the international justice process or stick by Hezbollah, designated as a terrorist group by the U.S. State Department.

Because Hezbollah nor Syria -- if Syrians are indicted -- will participate in the judicial process, it will be important for world powers to remain committed to the case, Singh said.

"Holding Hezbollah and Syria accountable for this is not going to be easy ... so this will take a lot of will power by the international community."

Otherwise, the ghost of a dead man could continue to haunt the Arab nation.

CNN's Rima Maktabi and Arwa Damon contributed to this report.

@highlight

A special tribunal issued indictments in the Rafik Hariri killing

@highlight

The four suspects are members of Hezbollah

@highlight

Lebanon is divided over the tribunal's probe

@highlight

The indictments could have a ripple effect through the region