(CNN) -- Amid a grove of trees, buried beneath the grass and dirt, Mississippi's past is colliding with its future.

Surveyors last month discovered dozens of neat, tight rows of coffins just feet below the ground at the University of Mississippi Medical Center in Jackson.

Sure, there were stories that there was a cemetery somewhere on the grounds of the medical center that today sits where the Mississippi State Lunatic Asylum once stood.

But the location of the cemetery was lost to history. That's until an estimated 2,000 unmarked graves were discovered during a survey for a planned campus expansion.

The find has forced the medical center to halt its expansion and begin the daunting task of figuring out what to do about the 2,000 bodies lying in the path of their next big thing.

It's a scene that has played out in recent years in New York, California, Texas, Illinois and Wisconsin as developers look to build on what is believed to be vacant land only to find forgotten graveyards.

"As development continues likely more are to be found," Erin Kimmerle, a forensic anthropology professor at the University of Florida, said.

But the sheer size of the Mississippi find -- one of the largest in recent years -- has many asking one question: Who were these people?

Finding coffins

For as long as anyone can remember, construction workers and contractors have been finding the simple pine boxes on the property of the medical center, which opened in 1955.

There were four, five and sometimes six boxes with only skeletal remains found here and there on the grounds. Once, in the 1990s, workers building a laundry facility found about 40 unmarked graves, said Jack Mazurak, a spokesman for the medical center.

But last year, that number jumped with the discovery of 66 coffins during a road improvement project at the campus.

Over the years, there were rumors. Depending on who you asked, the coffins contained the bodies of the Civil War dead or slaves.

But experts disagreed. Historical records revealed the area was not a major battlefield during the war, and there was no indication in the state historical archives that a slave cemetery existed on the site.

The medical center partnered with the Mississippi State University anthropology department, with a team led by Prof. Nicholas Hermann, that was tasked with removing the remains for testing.

Almost immediately, Hermann's team determined the bodies were connected to the asylum, which opened on the grounds in 1855.

"We're guessing because there's no personal remains, no clothes, not even really any buttons or pins or anything, that they were probably residents of the asylum and either buried in a shroud or not buried with anything, so that would put them probably around in the mid to late 1800s to early 1900s," Derek Anderson, an archeologist on the team, told CNN affiliate WLBT shortly after the finds.

Once testing is finished, the bodies will be reinterred in the medical center's designated cemetery, Hermann said.

Florida to exhume bodies buried at former boys school

'A lot of graves'

A number of factors, from historical records to the layout of the coffins, led Hermann to believe this was just the beginning of the find.

When he found out the medical center was planning on building a cancer center and a children's justice center on the site, he said: "I think you are going to have a lot of graves."

Part of his assessment hinged on history. The asylum drew residents from across the state, people who were committed for a variety of ailments. Many, according to records, were institutionalized for years.

When residents died, few were claimed by families. Experts believe poverty may have also played a role -- families could not afford to retrieve and transport the bodies.

As a result, many were buried in unmarked graves in an area of the property believed designated as the asylum cemetery. Without headstones and markings to denote the outlines of the cemetery, it was swallowed up by time.

So how do you determine that without digging up the grounds and, possibly, disturbing the dead?

The answer: ground-penetrating radar.

"When I saw the printout of that ...property, it was mind-blowing," Mazurak said.

The radar survey showed hundreds and hundreds of coffin-like outlines in tight rows. Many were believed to be just four or five feet below the surface.

"As it turned out there were 800 to 1,000 graves on the southern piece of property, and another 1,000 graves on the north side of the property," Mazurak said.

'Living link'

Almost immediately, construction plans on the site were put on hold.

Already the university medical center was absorbing the cost to exhume and rebury the bodies found last year at a cost of about $3,000 each, Mazurak said.

Removing 66 coffins from underneath a road was one thing. But removing hundreds of coffins from an unmarked graveyard was another thing entirely.

"There is a living link to each grave," Mazurak said.

Exhuming and reinterring upwards of 2,000 bodies would cost millions, a price the university can't afford. So for now, the medical center will leave the dead where they lie and look for alternatives for the expansion.

As news of the find made headlines, people across the country reached out to the medical center.

The questions, in many cases, were the same: Can you tell me if my family member is buried there?

Unmarked graves bring their plight to light

Searching for answers

That's the question Jannie White posed when she stumbled upon the news of the unmarked graveyard at the medical center.

White has spent years researching her family history, trying to piece together the path her family had taken from Mississippi north.

She grew up hearing stories about a great-grandmother who had been institutionalized at the asylum. The details were sketchy, and nobody was sure where the woman was buried or even what name she was buried under.

"I guess you would call it a rumor in the family. They kept saying she was in an institution a little bit outside of Jackson," White said in a telephone call from her Detroit-area home.

She picked up the telephone and started making phone calls, eventually connecting with Mazurak and others at the medical center.

"I asked whether they could tell me if she was buried there, and what name she was buried under," she said. "I'm just trying to find out what our last name was then."

But answers have been harder to come by.

Records related to the asylum are contained in 16 bound volumes at the Mississippi state archive, Hermann said.

The volumes, all handwritten, are rich with detail, chronicling the name, age, ailment and admission date for every patient from between 1855 and 1935, when the asylum was closed and relocated.

"Within those records, they provided a detailed account of how many people died every year and what they died of," Hermann said.

Hermann's team believes their research on the 66 skeletal remains may one day be able to determine who was buried where on the property, if not the exact location.

"People are very concerned about their relatives, and that's a driving factor," he said.

Studying the past

It's a years-long project that requires digitizing the records as well as testing DNA, primarily from teeth of the remains. Those results, Hermann says, will reveal details about where the person grew up regionally.

With that information combined with the records, Hermann and others believe it's possible to link the dead with the living.

Already, Hermann and his team have determined the 66 bodies uncovered during the road improvement project were buried late in the asylum's history, somewhere around the 1920s.

By knowing where the dead came from and what they died of, it will help shed light on the history and treatment of mental health conditions across the state of Mississippi in the late 1800s and early 1900s, Hermann said.

With a limited budget and less than a dozen people on the research team, the answers to many questions are likely years away.

But one thing, Mazurak says, is clear about the find in Mississippi: "The past frequently intersects, I almost want to say collides, with the present."

@highlight

About 2,000 unmarked graves were found at the University of Mississippi medical center

@highlight

The find has forced the medical center in Jackson to halt its expansion

@highlight

Experts believe the graves are associated with the Mississippi State Lunatic Asylum