(CNN) -- "China is not on the Internet, it's basically an intranet. Everything is banned by the Great Firewall," says Sherman So, co-author of "Red Wired: China's Internet Revolution."

Sherman So, author of "Red Wired," talks about China's online habits and Internet culture.

With 338 million Internet users in June 2009, according to the China Internet Network Information Center (CNNIC), China is no longer a niche market of the online industry.

Chinese is the second most common language on the Internet, according to The Economist, and quickly gaining ground on English.

As the former technology writer for Hong Kong's daily English-language newspaper, South China Morning Post, So has been following closely China's exponential Internet developments over the past decade.

What inspired her to write "Red Wired" was the chasm in online culture on either side of China's carefully controlled borders.

"The information gap between those who are from this part of the world and who know Chinese and those who are from another part of world and who don't is just so huge," observes So.

"I've talked to lots of investors, analysts, visitors to Hong Kong, and they really don't know what's happening in China. They ask the silliest questions about China and the Internet."

"Red Wired" tells the stories behind China's homegrown online start-ups, often overtaking dominant start-ups that have been successful in the West but which flailed after venturing into Chinese territory.

One anecdote involves an advertisement by Baidu, China's most popular search engine, teasing Google China for not knowing Chinese.

Google focused on high-end technology rather than Chinese linguistics. From 2002 to 2005, Google's Chinese site also suffered interference from the Chinese government, which redirected users to Baidu whenever Google's search results failed to comply with China's censorship rules.

Although Google China has since learned the lingo and learned to cooperate with the higher order, it still trails Baidu with only 28 percent of the search-engine market share, compared to Baidu's 63 percent, according to a 2008 study by Analysys International.

Conquering the Internet with Chinese characteristics

So what are the unique characteristics of China's Netizens?

While 25.5 percent of the Chinese population is now online, CNNIC's 2008 statistics sketch a relatively coherent portrait of the mainstream majority of them: 67 percent are below the age of 30; 73 percent have only a high school education or lower; 33 percent are students; and 28 percent fall into the lowest income bracket of under $75 per month.

Moreover, 78 percent go online at home and 42 percent log on at an Internet cafe. Once connected, 84 percent listen to music, 75 percent instant-message, 63 percent play online games, and only 57 percent e-mail.

In short, for the vast majority of Chinese, Internet means play, not work.

One could conclude that an Internet entrepreneur's target audience in China is teenage and twenty-something students, low-end consumers in search of entertainment with plenty of time to kill.

Among the most salient of China's Internet start-ups are those that innovated on proven Western models by successfully adapting them to the Chinese market.

Tencent, with a 77 percent market share of instant messaging services nationwide, is one of the start-ups that gets it. Tencent is now the largest Internet company in China.

"What really made [Tencent founder] Pony Ma stand out is that he viewed his QQ instant messenger differently from other IM services such as MSN and Yahoo," says So.

"They viewed IM as a two-way communication, so made it as efficient as possible. They targeted the high-end white-collar users, thinking they're rich, advertisers will love them, they'll buy additional services.

"Ma thought differently. QQ was a community targeting low-end users -- kids, factory workers. They don't need efficiency, they come online to kill time, to be entertained, to talk with friends, not to do work."

In a China where economic growth comes at different speeds, So believes that the Internet has leveled out the playing field.

"The online population in China comes from very modest families," she says.

"Forty percent go online at Internet cafes, which is the cheapest entertainment alternative you can find. It costs just 30 cents per hour. The poorest kid can afford that, and these Internet cafes can be found in the most remote regions.

"So actually the Internet is flattening out this information gap, if not material gap, because even the poorest kid in China can go online and get information. And because of piracy, they can also download lots of stuff for free."

Sea turtle power

Another recurring factor of success among Chinese Internet start-ups is their founders' extensive experience working in Silicon Valley before returning to China to launch their own business.

A person who has returned to China from overseas is known in Mandarin as "hai gui," which sounds the same as the Mandarin words for "sea turtle." Such entrepreneurial returnees include Baidu's Robin Li, Sohu's Charles Zhang and Ctrip's James Liang.

"Sea turtles bring in new ideas," says So. "Like what is a search engine?"

"Robin Li was an engineer with a patent on search mechanism, and he wanted to build a Chinese search engine. He brought in the idea, the technology and the funding. While he was still working for Infoseek in Silicon Valley, he got $1.2 million from former executives of Inktomi. Then he went back to China and recruited students and teachers from Peking University, and he built Baidu in a year.

"Finally [the sea turtle CEOs] go to the Nasdaq for IPO listing, because that is where the market really understands the Internet and can appreciate what they did."

Likewise, China is growing from both foreign interaction and the new technological and political challenges of online culture and commerce. As the "Great Intranet" continues to expand and evolve, China continues to explore the fragile balance between censorship and control, and enterprise and innovation.

@highlight

China counts 338 million Internet users, but only 25.5 percent of its population

@highlight

Majority of Chinese Netizens are low-end users in search of entertainment

@highlight

Internet in China has made information and popular culture accessible to all

@highlight

Chinese "sea turtles" bring back knowledge and resources from Silicon Valley