(CNN) -- Mobile World Congress spans the full spectrum of untethered gadgetry, from the next generation of mobile phone networks to wireless charging technology.

But it's always the consumer technology that's the star. We asked Stuff Magazine Editor-in-Chief Will Findlater to analyze the top trends from the show.

Trend 1: Getting the whole world connnected

Mark Zuckerberg used his keynote address to wax lyrical about Internet.org, "a global partnership dedicated to making internet access available to the two-thirds of the world not yet connected."

By striking deals with telecommunications companies in emerging markets, Internet.org plans to get basic web services - weather reports, Wikipedia, messaging and Facebook (naturally,) to people at no cost, in the hope that it will inspire them to explore the rest of the web and reap the benefits that it can provide. And there was plenty of hardware at MWC that should help along the way.

Given the deep relationship with Microsoft, many were surprised to see Nokia's mobile division adopt Android for its new devices, but Android is a platform more suited to the emerging markets at which these three devices are aimed. The X series lacks superstar specifications but do feature dual SIM slots, expandable memory and swappable cases, all of which Nokia's Windows Phone devices lack, and all of which it says the developing world wants.

Mozilla's Firefox OS might not be making huge waves in the developed world, but it could be the platform that helps spread smartphone use through emerging markets.

The company showed off a prototype of a $25 smartphone running Firefox OS, with Wi-Fi, Bluetooth, camera, and access to HTML5 apps, at a price similar to budget feature phones.

Trend 2: Wellness and wearables

The recent trend for the use of fitness trackers looks set to go into overdrive as vendors add features that allow them to harvest even more data about how we go about our daily lives. All for our own good, of course.

Samsung's flagship Galaxy S range is second only to Apple's iPhone in the popularity stakes, but it has been accused of peddling gimmicks in place of meaningful innovations. This year's device majors on robustness, and its ability to get to know you better than you know yourself.

It is water resistant, and round the back is a heart rate sensor that in conjunction with the S Health app can help build a more complete picture of your fitness. Like the iPhone 5S, it'll also scan your fingertips via its home button to provide an extra layer of security, and it can be used to seamlessly authorise PayPal payments.

It is also a powerhouse device with a 4K video-recording, 16 megapixel camera, super-fast quad-core processor, next-generation 802.11ac Wi-Fi and a vast 5.1-inch 1080 pixel screen. Despite that, Samsung reckons its new Ultra Power Saving mode can give 24 hours of standby from a 10% battery charge.

Sony's take on the fitness band takes a few cues from smartwatches, providing notifications via haptic feedback and allowing control over the music you're playing on a connected Android device. However, it's the Lifelog companion app thats the big news - it doesn't just track your activity, but it measures how you sleep, where you've been (and how fast you went there), how much you browse, play music, watch movies and game, and even more besides. Could be a bit of a wake-up call (it'll do that too.)

Samsung introduced three wearable devices, the Gear 2 and Gear 2 Neo smartwatches (the latter minus a camera,) and the Gear Fit fitness band. Like the Galaxy S5 smartphone, all three came with the new ability to constantly monitor your heart rate, making them far more useful as training aids.

Trend 3: Go big or go home

Smartphone screens get bigger every year, but the new normal is now so big that the "phablet" category seems obsolete. From now on, if your device doesn't have a 5-inch screen (or bigger), you're out of date. And the trend will only continue as companion devices such as smartwatches give us fewer reasons to fish the whopping gadgets out of our pockets.

The LG G Pro 2 has a 5.9-incn 1080-pixel screen, a 13 megapixel 4K video-recording camera and huge power, making it an intriguing (and very, very big) gadget - but its key innovation is how it reacts when you wrap your knuckles on it. A custom combination of taps to lock and unlock the device, replacing Android's standard PIN and Pattern unlock. Combinations with up to 8 taps can be created, and there are 80,000 possible combinations of knock according to LG. Crucially, it works when the screen is off - no need to seek out the power button.

Trend 4: The future

Tech shows are always a good opportunity to find out what's on the horizon, and MWC 2014 didn't disappoint. The best technology demonstration at the show came courtesy of Fujitsu. The prototype Sensory tablet has ultrasonic inducers on its screen that allow it to vibrate at different frequencies, creating an almost magical level of tactile feedback - it mimics different levels of friction and even creates the illusion of raised surfaces. It works wonderfully, and it should come to market in 2015. Imagine the difference it could make to mobile gaming.

Blippar is a British company that's been working on augmented reality technology in smartphones for years, but using Google's smart eyewear, it can now provide real-time recognition of objects and faces in the real world, and display relevant data to the wearer in real time. This could give rise to an "annotated world" - pass a landmark and immediately be furnished with its history, look at a restaurant and immediately access relevant reviews. But it could also allow rich media marketing to be pumped directly into your eye.

Like the one before it, the second generation phone from Russian smartphone maker Yota has two screens. At the front is the usual color LCD touchscreen, but at the back is a secondary E-ink display (similar to that on an Amazon Kindle) that only uses power when it refreshes.

Via an app, you tell the secondary display what you want it to show you -- a book, a Twitter feed, notifications -- and it sits there updating from time to time without you needing to waste time and energy switching your phone back on. It's ingenious, and this year, it's a good deal slicker than it was.

Follow Will Findlater on Twitter: @willfindlater

Read more: BlackBerry going back to basics, says new CEO

Read more: Five ways mobile tech will shake up your financial future

Read more: Big data, big business, Big Brother?

The opinions expressed in this commentary are solely those of Will Findlater.

@highlight

Connecting the two-thirds of the world without access to the internet is a major theme in Barcelona

@highlight

The recent trend for the use of smartwatches and fitness trackers looks set to go into overdrive

@highlight

From now on, if your device doesn't have a 5-inch screen (or bigger), you're out of date. Findlater says

@highlight

The future holds developments in tactile feedback, augmented reality, and multiple screens, he predicts