(CNN) -- A shootout in a border city that leaves five alleged drug traffickers sprawled dead on the street and seven police wounded. A police chief and his bodyguards gunned down outside his house in another border city. Four bridges into the United States shut down by protesters who want the military out of their towns and who officials say are backed by narcotraffickers.

Mexican police carry a body after a clash with gangs that left 21 dead in the state of Chihuahua on February 10.

That was Mexico on Tuesday.

What is most remarkable is that it was not much different from Monday or Sunday or any day in the past few years.

Mexico, a country with a nearly 2,000-mile border with the United States, is undergoing a horrifying wave of violence that some are likening to a civil war. Drug traffickers battle fiercely with each other and Mexican authorities. The homicide rate reached a record level in 2008 and indications are that the carnage could be exceeded this year.  Watch a reporter duck to avoid gunfire »

Every day, newspapers and the airwaves are filled with stories and images of beheadings and other gruesome killings. Wednesday's front page on Mexico City's La Prensa carried a large banner headline that simply said "Hysteria!" The entire page was devoted to photos of bloody bodies and grim-faced soldiers. One photo shows a man with two young children walking across a street with an army vehicle in the background, with a soldier standing at a turret machine gun.

Larry Birns, director of the Washington-based Council on Hemispheric Affairs, calls it "a sickening vertigo into chaos and plunder."

By most accounts, that's not hyperbole.

"The grisly portrait of the violence is unprecedented and horrific," said Robert Pastor, a Latin America national security adviser for President Jimmy Carter in the late 1970s.

"I don't think there's any question that Mexico is going through a very rough time. Not only is there violence with the gangs, but the entire population is very scared," said Peter Hakim, president of the Inter-American Dialogue, a Washington-based policy center.

Speaking on a news show a few weeks ago, former House Speaker Newt Gingrich called it a civil war. Birns agrees.

"Of course it's a civil war, but that only touches the violence of it," he said Wednesday. "It's also a civic conflict, as an increasing number of people look upon the law and democratic values as something that can be violated."

Hakim is not prepared to go that far.

"One has to be careful and not overdo it," he said. "Mexico is a long way from being a failed state. Mexico has real institutions. It paves roads and collects the garbage. It holds regular elections."

Enrique Bravo, an analyst with the Eurasia consulting group, points out that the violence so far is mostly affecting just drug gangs and is primarily localized along the U.S. border and Mexico's western coast.

The violence along the border is particularly worrisome, analysts say.

"The spillover into the United States is bound to expand and bound to affect U.S. institutions," Birns said.

Pastor and Hakim note that the United States helps fuel the violence, not only by providing a ready market for illegal drugs, but also by supplying the vast majority of weapons used by drug gangs.

Pastor says there are at least 6,600 U.S. gun shops within 100 miles of the Mexican border and more than 90 percent of weapons in Mexico come from the United States.

And it's not just handguns. Drug traffickers used a bazooka in Tuesday's shootout with federal police and army soldiers in Reynosa, Mexico, across the border from McAllen, Texas.

"The drug gangs are better equipped than the army," Hakim said.

Pervasive corruption among public officials is central to the drug cartels' success.

"There is so much money involved in the drug trade, there is so much fear involved in the drug trade, that no institution can survive unaffected," Birns said.

"This has really revealed just how corrupt Mexican officeholders are," Hakim said.

In one recent instance, Noe Ramirez Mandujano, who was the nation's top anti-drug official from 2006 until August 2008, was arrested on charges that he accepted $450,000 a month in bribes from drug traffickers while in office.

Such dire problems call for a new way of looking at the situation, some say.

"The unthinkable is happening," Birns said. "People are beginning to discuss decriminalization and legalization. ... There's only one thing that can be done: Take the profit out of it."

Pastor calls the problem in Mexico "even worse than Chicago during the Prohibition era" and said a solution similar to what ended that violence is needed now.

"What worked in the U.S. was not Eliot Ness," he said, referring to the federal agent famous for fighting gangsters in 1920s and '30s. "It was the repeal of Prohibition."

That viewpoint has picked up some high-level support in Latin America.

Last week, the former presidents of Mexico, Colombia and Brazil called for the decriminalization of marijuana for personal use and a change in strategy on the war on drugs at a meeting in Brazil of the Latin American Commission on Drugs and Democracy.

"The problem is that current policies are based on prejudices and fears and not on results," former Colombian President Cesar Gaviria said at a news conference, in which the 17-member commission's recommendations were presented.

Mexican President Felipe Calderon has taken the war on drugs to the cartels and some say it's not working.

"It's as if the burden of being the main arena of the anti-drug war has overwhelmed Mexican institutions," Birns said. "The occasional anti-drug battle is being won, but the war is being lost. And there's no prospect the war is going to be won."

In the meantime, the killings will continue at a record pace.

On Wednesday, the Mexican cities of Torreon and Gomez Palacio reported at least eight shootouts involving heavily armed men.

The toll: seven dead, seven wounded.

@highlight

Drug-related conflicts bring waves of violence, death that some liken to a civil war

@highlight

U.S. helps fuel violence with market for illegal drugs, weapons supply for drug gangs

@highlight

"The drug gangs are better equipped than the army," expert says

@highlight

Pervasive corruption among public officials also at center of drug cartels' success