(CNN)The American Civil Liberties Union is challenging an Alabama law that will force those under 18 seeking an abortion to go through an adversarial process that's akin to a trial.

Generally, laws in the United States require parental consent for a minor to obtain an abortion. But for some children, parental consent is impossible or even dangerous. This class of minors must seek a judicial bypass. While the bypass is a common feature of abortion laws in other states, this Alabama law may have gone too far. Here are the suspect provisions of this "bypass by trial":

• Alabama has turned what is supposed to be an informal, child-centered hearing into more of a trial.

• The court can appoint a Guardian ad Litem -- normally an appointed lawyer for a child in, say, a divorce proceeding or a hearing involving unfit parents -- for the fetus.

• The minor may be cross-examined by the district attorney and possibly the minor's parents.

• Information about the minor's pregnancy may be disclosed to her family, friends and employers, and they might even be brought to court to testify -- against the minor.

When it comes to abortion, minors are supposed to enjoy the same constitutional right of privacy as adults, free from undue state interference. However, the Supreme Court has also specifically articulated reasons why the constitutional rights of children are not identical to the rights of adults. Children are vulnerable and unable to make critical decisions and, of course, parents have a right to participate in raising their child.

States may pass laws that subject minors seeking an abortion to an additional requirement: parental involvement. However, if the state chooses to require parental consent for a pregnant minor to get an abortion, the state also must provide an alternative procedure for obtaining that authorization -- one that "bypasses" having to get Mom and Dad's permission.

The Supreme Court has required that these hearings "must assure that resolution ... be completed with anonymity and sufficient expedition to provide an effective opportunity for an abortion to be obtained." Plus, and perhaps most importantly, the procedure bypassing parental consent cannot be a thinly veiled mechanism for an "absolute, and possibly arbitrary, veto." In plain language, hearings must be quick and quiet, and they cannot be held in kangaroo court.

The problem is, this does not give a lot of detailed direction to courts about how exactly to conduct these hearings. It's not surprising that court procedures vary wildly, and that sooner or later, a state like Alabama would experiment with state abortion law. Our system was specifically designed to allow states to experiment with social and economic legislation. Of course, that state prerogative is also tempered by a federal court's power to strike these laws down if they are unconstitutional.

In this case, the ACLU's position is that creating an adversarial hearing goes too far. A hearing is fine, it seems, but something approaching a trial rises to the level of an impermissible "undue burden" on the right to have an abortion. This has been defined by the courts as placing a substantial obstacle in the path of the adult, or minor child seeking the abortion.

The federal court that reviews these state statutes will be charged with determining whether Alabama's law violates established Supreme Court bypass requirements.

But what about the actual bypass requirements themselves? They are a creation of the Supreme Court. Striking down an act of a state legislature is one thing -- challenging settled Supreme Court precedent is entirely another.

What if the constitutional standards for bypass procedures contain something of an intrinsic paradox? Consider how it applies in this case.

In Alabama, a judge at one of these hearings is required to waive the parental consent requirement if the judge finds either:

(1) that the minor is mature and well-informed enough to make the abortion decision on her own; or

(2) that performance of the abortion would be in the best interest of the minor.

Abstract concepts like "mature" and "best interest" are rather amorphous at best. (True story: A respected law professor advised many classes of students that when confronted on the bar exam with a question about a child, do the following: Write "best interest of the child" somewhere in the first sentence; then write "whatever the heck you want" for the rest of the answer.)

So then, the court must determine whether the minor is mature -- mature enough that she may have the court's permission to have an abortion. This means the court can then arrive at this Kafkaesque, perplexing alternative: A particular minor is too immature to have an abortion -- with the result being that this immature minor ... should therefore be ... a parent of an infant?  It gets stranger: What about a finding that it is in the best interest of the young mother to have the baby, even though she is deemed too immature to have an abortion? How would it be in the best interest of the immature mother to have a child?

State courts and legislatures are not completely to blame; after all, the law of minors and juveniles is always going to be about some difficult but arbitrary line-drawing.  Whether we're considering the drinking age, the driving age or the voting age, we've learned over the centuries that kids mature at different ages. Plus there is no easy legal formula to address the myriad situations of messed-up families.

Unfortunately, legislatures must draw some lines -- lines that will not always be workable in every situation. And there are surely situations where the bypass might actually be effective: for example, a very young pregnant minor with completely absent parents, who needs court intervention. The problem is, if it creates an undue burden in one situation, then it's constitutionally suspect.

But ultimately, building up the procedural hurdles for a pregnant minor almost by definition encroaches upon the limits set some time ago by the Supreme Court.  It's a procedure that needs to be defined; teen pregnancy certainly isn't going anywhere anytime soon. Neither are lousy families, unfortunately. Whether the boundary lines of judicial bypass ebb toward the autonomy of minors, or back toward the state interest in the fetus, the broader social "findings" of judicial bypass proceedings will always remain the same: It's all very sad.

@highlight

Cevallos: Alabama may go too far in the process used to decide if a teenager can have an abortion without parental consent

@highlight

He says a court hearing makes sense, but an adversarial process, like a trial, is questionable