(CNN) -- A 60-day state of emergency imposed on Bangkok and several surrounding areas has come to an end, giving the tourism industry hope that lagging arrival numbers in the Kingdom will improve.

The state of emergency came into effect on January 22 in the run-up to the February 2 general election -- held amid widespread anti-government protests throughout the city -- and gave authorities the power to impose curfews, detain suspects without court permission, censor media and declare parts of the capital off limits.

It has been replaced with the Internal Security Act (ISA), which will be in effect until April 30.

This still gives authorities power to impose curfews, set up checkpoints and restrict the movement of demonstrators but is considered less severe.

The Bangkok Post reports the ISA is needed to maintain law and order during the Senate election on March 30 and reruns of the general election, expected in April.

The caretaker government, led by Prime Minister Yingluck Shinawatra, said the decision to lift the state of emergency a few days early was designed to reverse the negative impact Thailand's political crisis has had on the country's tourism industry and overall economy.

"The use of the Internal Security Act will help project a positive image of Thailand, particularly in terms of business, investment, and tourism," said the government in a media briefing on the situation.

Tourism industry expected to recover quickly

More than 20 people have been killed and hundreds wounded since protests erupted in Bangkok in November, hitting the tourism industry hard as the news made global headlines.

The November to February period is Thailand's tourist high season -- record numbers of visitor arrivals were anticipated.

Since the protests started, tourist arrival expectations for 2014 have been revised downward 3% from 28.1 million (a prediction made in July 2013) to 27.5 million, according to a report by the state-run National News Bureau of Thailand.

Ending the emergency decree will help the tourism industry recover within a few months, it added.

In February, demonstrations were scaled back and various protest sites throughout the city closed. Anti-government protesters, still intent on ousting Yingluck, now congregate at central Bangkok's Lumpini Park.

"Provided the protests remain subdued then we believe tourism in Bangkok (it was relatively unaffected in the rest of the country and in the beach resorts) will gradually pick up," Andrew Yates, head of equities at Asia Plus Securities, told CNN.

The lifting of the emergency degree should also have a positive impact on the conference and incentive travel business, which brings a lot of high end travelers to Thailand, he said.

"These trips are generally discretionary travel or can be relocated quite easily," said Yates.

"They are extremely sensitive to political disturbances or health issues like SARS and avian flu."

Insurance is another major issue for many tour groups, as travel insurance tends to be invalidated by civil disturbances and a state of emergency would meet the definition of most policies, he said.

"Even though a tourist's chances of being killed or injured in a protest are slight, it happened to several in 1991, and most tour operators won't take any chances. There is also the risk of being stuck, if airports are shut down."

Travel advisories now a key issue

"The removal of the state of emergency decree is clearly encouraging for Thai Tourism stakeholders," Martin Craigs, CEO of the Pacific Asia Travel Association (PATA), told CNN.

"However the key issue is how this will effect travel advisories."

Yates had a similar take.

"Thailand would want to see either a lifting or easing of the travel warnings issued by various embassies, this should help [win] back the mass market tourists, especially from China who are more concerned with safety than a cheap room," he said.

"These warnings were in relation to the street protests, not the SOE itself."

More than 40 countries issued warnings to their citizens relating to Bangkok since protests began in November.

In January, Hong Kong gave the Thai capital a "black" designation -- a dubious honor shared only with Egypt, the Philippines and Syria.

Martin says PATA research showed air travel bookings from Hong Kong to Thailand went down in January over 50%. On Wednesday, Hong Kong updated its warning.

"In view of the latest situation in Bangkok, and the fact that the state of emergency in Bangkok and the surrounding provinces was lifted by the Thai Government, the Hong Kong Special Administrative Region Government today (March 19) adjusted the Outbound Travel Alert (OTA) for Thailand (Bangkok) to amber -- the same as for other parts of Thailand," said a government spokesman.

Thailand's Tourism Authority is reportedly now planning a large marketing campaign to promote the country globally. The main theme will be "Thailand: Best Friend Forever (BFF)."

"While the state of emergency has caused little inconvenience to travelers to Thailand, its lifting is a sign that things are fast returning to normal in Bangkok," said Thawatchai Arunyik, governor of the Tourism Authority of Thailand.

@highlight

Thailand lifts state of emergency on Bangkok and surrounding areas

@highlight

Tourism analysts optimistic industry will rebound in coming months

@highlight

Pacific Asia Travel Association CEO says recovery dependent on lifting of travel advisories