(Financial Times) -- The Bank of China has stopped doing business with a large North Korean bank, falling into line with a US-led sanctions push to restrict funding for Pyongyang's nuclear programme.

The decision to close the bank account follows an increase in tensions on the Korean peninsula and may be a sign that Beijing is willing to place more pressure on Pyongyang.

The US Treasury hit the Foreign Trade Bank, North Korea's main foreign exchange bank, with sanctions in March, saying it was "a key financial node" in North Korea's nuclear and missile proliferation activities. The bank had not been named among the institutions targeted for asset freezes by expanded UN Security Council sanctions introduced in January and March.

Other countries such as Japan and Australia have since joined the US in applying sanctions against Foreign Trade Bank, but co-operation from banks in China, North Korea's closest economic partner, is essential in the efforts to choke off cash flows.

A drive to "put pressure on Beijing to pressure Pyongyang" needs to be at the heart of Washington's policy on North Korea, according to Kurt Campbell, until February the US assistant secretary of state for east Asia.

"Bank of China has sent North Korea's Foreign Trade Bank a notice that it has closed its account and has also halted all fund transfers related to this account," Bank of China said on Tuesday. It declined to provide any details about how much money was affected or the timing of the move.

Bank of China is the country's biggest bank for foreign exchange transactions, so the account closure could hurt the North Korean institution. But the impact is likely to be minimal unless imposed across the board by all Chinese banks because other institutions, including small regional entities, are also capable of handling foreign currency deals.

"This is part of a ratcheting up of pressure but with very clear limits. This is part of making North Korea feel some limited pain in an attempt to get them back to talks," said Stephanie Kleine-Ahlbrandt, northeast Asia director at the International Crisis Group.

The move by Bank of China may also reflect risk management by the bank itself rather than bigger diplomatic motives. The US Treasury had warned financial institutions around the world to be wary of the risks of doing business with Foreign Trade Bank.

In 2006 after the US imposed sanctions on Banco Delta Asia, a Macau bank that held North Korean funds, Bank of China responded in similar fashion by freezing North Korean-related assets at its Macau branch.

China is by far North Korea's most important formal ally, and overwhelmingly its biggest trading partner. Yet the alliance, which dates back to the Korean war, has long been strained. Analysts say that Pyongyang has persistently refused Chinese attempts to encourage it to emulate Beijing's sweeping economic reforms, and China has grown increasingly alarmed by the regional security implications of North Korea's nuclear weapons programme.

Earlier this year Beijing endorsed two sets of new UN Security Council sanctions against Pyongyang, following its long-range rocket launch in December and nuclear bomb test in February. Last month China's President Xi Jinping said that "no country should be allowed to throw a region and even the whole world into chaos for selfish gains" -- a comment widely interpreted as a rebuke of North Korea.

Many Chinese businesses maintain close trading relationships with North Korea, giving the country access to vital commodities and hard cash.

© The Financial Times Limited 2013

@highlight

Bank of China cut business with North Korea's main foreign exchange ban

@highlight

Move follows U.S.-led sanctions to restrict funding for Pyongyang's nuclear program

@highlight

China is North Korea's closest economic partner

@highlight

Move may also reflect bank risk management rather than bigger diplomatic motive