Winston Churchill's "The Gathering Storm" describes how Nazi Germany conspired to conquer the democracies, which were unwitting, unprepared and nearly defeated when the storm of World War II finally burst upon them. London stood alone for a time, the solitary champion of freedom in a new kind of war, fought with the revolutionary new technology of massed airpower, in the warring skies over the bombed homes of the heroic city. 

Victory went to the Allies and freedom prevailed over tyranny in World War II only because a handful of visionary statesmen, scientists and captains of industry prepared for the gathering storm.  

Churchill and President Franklin Roosevelt did what they could to prepare their reluctant nations to transition from peacetime to a war economy. Rep. Carl Vinson, chairman of the House Armed Services Committee, insisted that a skeptical peacetime U.S. Navy build aircraft carriers.  

Howard Hughes and other pioneers of aviation, during the peace before Pearl Harbor, designed fighters and bombers that won the air war. Albert Einstein, Leo Szilard and other nuclear physicists started the U.S. down the path that became the Manhattan Project and beat the Nazis to the atomic bomb.

Today, another gathering storm threatens freedom and the survival of civilization: cyberwarfare.

Terrorists and rogue states are making cyberattacks on a daily basis, using computer bugs to probe defenses of U.S. critical infrastructures. The most important critical infrastructure is the electric power grid. Electricity runs and makes possible the operation of all the other critical infrastructures -- communications, transportation, banking and finance, food and water -- that sustain modern civilization and the lives of millions. 

The biggest cyberthreat is from electromagnetic pulse, which in the military doctrines of potential adversaries would be part of an all-out cyberwar.  A nuclear missile, perhaps launched from a freighter, detonated at high altitude over the U.S. could black out the national grid for months or years, killing an estimated 90% of Americans by starvation, disease and societal collapse.  (And there is also a natural threat: The sun could inflict a worldwide natural EMP catastrophe with a solar flare that generates a rare geomagnetic superstorm, like the 1859 Carrington Event. Such a storm could collapse electric grids everywhere on Earth, endangering billions.) 

Statements made in Iran, North Korea, China and Russia lend credence to the possibility of EMP attacks against the U.S.  Iran has practiced missile launches from a ship, and North Korea has demonstrated its ability to launch a satellite. Either of these platforms could be used to launch EMP attacks against the United States with little warning. In July, a North Korean freighter detained for drug smuggling was discovered to have nuclear-capable missiles aboard.

In a vivid demonstration of the vulnerability of U.S. infrastructure, in April, saboteurs using AK-47s attacked and damaged electric grid transformers near San Jose.

The gathering cyberstorm draws near.

Although most Americans do not know it, Atlanta, like London during the storm of World War II, is at the center of the gathering cyberstorm that threatens the very existence of the United States. Headquartered in Atlanta is the North American Electric Reliability Corporation, responsible for protecting the national power grid. A corporation proactively protecting the grid would be good for all Americans.

Unfortunately, the corporation is not doing its job and has failed to accomplish the most important task of all: making preparations to protect America from a cybercatastrophe. Six years ago, the U.S. Federal Energy Regulatory Commission (PDF) ordered the corporation to produce a plan to protect the electric grid from cyberbugs. The North American Electric Reliability Corporation still has no plan.

The corporation flatly refuses to even try producing a plan for grid protection against the gravest cyberthreat, nuclear EMP attack, claiming that protection against such an attack is the job of the Defense Department.

In 2012, the corporation wrote a report (PDF) that amounts to "junk science" in trying to deny that natural EMP is a catastrophic threat.

Members of Congress, in frustration with the corporation, are trying to pass the SHIELD Act, which would empower the Federal Electric Regulatory Commission to order the corporation to protect the grid from EMP. The state of Maine, also in frustration, recently passed a legislative initiative to protect its own grid from EMP.  

Meeting in Atlanta this week is the National Council of State Legislatures, where all 50 states will be briefed on how they can protect their electric grids without waiting for the North American Electric Reliability Corporation.

That corporation should lead, follow or get out of the way of those who are trying to protect our nation from a cybercatastrophe. Otherwise, the Congress that certified it as the electric reliability organization can also decertify it.

@highlight

Newt Gingrich: Cyberwar is a tool being used by terrorists, rogue states

@highlight

He says an electromagnetic pulse attack could disable America's key infrastructure

@highlight

Gingrich: Some experts recognize the threat, but electric grid remains vulnerable

@highlight

He says private industry needs to do much more to prepare for possible threats