(CNN) -- In this age of austerity, America is run by men with wealth that could have leapt from the pages of "The Great Gatsby." The president's worth is estimated at $8.3 million, while Mitt Romney's is placed at a staggering $255 million.

Both have tried to make a character issue out of each other's lifestyle -- conservatives complain that President Barack Obama takes too many vacations and White House aides say that Romney is living on "another planet." Given his wealth, Romney could probably afford to buy one. He has filed an application to bulldoze his $12 million house in La Jolla, California, and build an even bigger one on top of it. How can either of these men empathize with the financial plight of America's middle class?

American democracy is saturated with cash. Last week in Wisconsin, Gov. Scott Walker spent $30.5 million to beat Tom Barrett, who personally raised just $3.9 million. Adding super PAC spending, the race generated about $63.5 million.

Tea party members will say that Democrats have little right to complain about the amount of money spent on a recall election that they triggered. But there's no denying that the Supreme Court's Citizens United decision, which opened the floodgates for corporate campaign contributions, helped Walker keep his governorship. Forbes estimates that 14 billionaires gave to the Republican incumbent; only one of them lives in Wisconsin.

Discussion about the role of money in politics invariably centers on campaign donations. But with such gigantic sums flying around, there has to be a cultural impact, too. Politics has become so saturated with cash that its protagonists have started to feel surreally detached from everyday life. On the Democratic side, there was Anna Wintour's bizarre ad celebrating her wonderful life and inviting Obama supporters to have dinner with her and Sarah Jessica Parker.

For the Republicans, you may remember Romney's attempt to make a $10,000 bet with Rick Perry. But the best has to be Rick Santorum's moving claim that he, too, had suffered in the credit crunch because his house fell 25% in value. Before you well up, that's a fall from $2 million to $1.6 million.

Everybody suspects that politicians are rolling in money, but a review of the figures might surprise even the most cynical. The average citizens' annual income is $49,445. In 2010, the average net worth of a U.S. senator was $13.2 million, and the average worth of a House member was $5.9 million. The wealth is spread across both parties: In fact, seven out of 10 of the richest senators are Democrats.

Romney, Obama: Why they have trouble connecting

One side effect is that Washington has gained impressive financial and cultural clout. In 2011, Washington became the richest city in the United States. Its average income of $84,000 is 60% higher than the national median.

There are several reasons for this. Washington is surrounded by rich suburbs; the government actually grew during the recession, and federal employee compensation averages out at $126,000. Most importantly, the city is a magnet for lobbyists. Lobbying and campaign work have become big businesses that offer huge dollar rewards to rival the returns of 1980s junk bonds. Betting on candidates or special interests has become a form of speculation: Land a big client and a lobbyist could cream off a sizable percentage.

Then there's the Wall Street money. Since 1998, the financial sector has outspent any other sector in lobbying, to the tune of $4.6 billion. In 2011, it employed more than 1,000 lobbyists and spent more than $82 million.

Of course, most members of Congress earned their money the good old-fashioned way (including marrying and inheriting it), and the voter shouldn't necessarily hold their success against them. One politician who stands out for having a comparatively unsettled financial situation is Obama. Yes, his $8.3 million is a lot of money, but he comes from an unusually impoverished background, including a period lived on food stamps. His contemporary wealth is built on a mix of his salary and royalties from his popular books.

Still the days of the citizen legislator are long gone.

The intensity of luxury and wealth has to affect the ability of lawmakers to empathize with voters on very low salaries or none at all. It's easy to imagine that the debate over health care reform or the Bush tax cuts is affected by the fact that, for many people on the Hill, the former is an academic question and the latter is personally advantageous. This isn't a partisan liberal statement. The median identity of a congressman is a rich, white, middle-aged, male lawyer. There is a deficit of experience of running a business or trying to survive on welfare payments.

There is a good case for another round of campaign finance reform, although Citizens United will make any such effort hard to accomplish. But even if individual or corporate contributions were limited, this wouldn't affect a bigger cultural problem in contemporary Washington. Government is increasingly run by people who, financially, have little in common with their constituents.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley: The $30.5 million Scott Walker spent to keep his Wisconsin seat was staggering

@highlight

Stanley says the amount of money thrown around in politics makes politicians seem detached

@highlight

He says average member of Congress is worth millions; presidential candidates are, too

@highlight

Washington's power elite has little in common with average citizens, he says