Hong Kong (CNN) -- If there's been one consistent thread running through the U.S. economic story since 2008, it's been the steady drumbeat of gloom.

Outright recession or sub-standard growth, stubbornly high unemployment and fiscal crises have been the topics du jour when it comes to the world's biggest economy.

But now an unlikely champion for U.S. growth under the Obama administration has emerged -- a former adviser to a Republican Party presidential candidate and Harvard history professor, Niall Ferguson, who says America could actually be heading toward a new economic "golden age."

And it has nothing to do with Washington and everything to do with energy.

Ferguson, who is also an author and commentator, believes the production of natural gas and oil from shale formations via a process known as "fracking" -- forcing open rocks by injecting fluid into cracks -- will be a game changer.

"This is an absolutely huge phenomenon with massive implications for the U.S. economy, and I think most people are still a little bit slow to appreciate just how big this is," he said in Hong Kong this week.

"Conceivably it does mean a new golden age."

U.S. energy production has been booming in recent years. The International Energy Agency made a jaw-dropping forecast two weeks ago that the U.S. would pass Saudi Arabia as the world's biggest oil producer by the end of this decade -- and would achieve near energy independence by the 2030s.

That energy boom, asserts Ferguson, will create jobs in the United States. Lots of jobs.

The energy sector currently supports 1.7 million American jobs directly or indirectly, according to economic forecaster IHS global Insight. That could rise to 3 million by 2020, it says.

"It's not only in the extraction industry and infrastructure, but more importantly cheap energy is going to create employment in manufacturing. I think you'll see a renaissance in manufacturing," said Ferguson.

"That is being helped by the fact U.S. labor costs have been pretty competitive over the past decade, even as labor costs are going up in China."

Alaska drilling: From 'hell no!' to... 'OK"

It is also, he says, a big deal for the dollar. "As the U.S. moves towards energy independence and becoming the biggest producer in the world, the dollar can only benefit. Anybody who thought the financial crisis was going to lead to the demise of the dollar as an international currency is wrong -- it's quite the opposite."

And what of U.S. engagement in the Middle East?

Ferguson says it would be naive to assume that Washington would withdraw in any significant way from the region.

"Nobody is going to step in and take the job of being global policeman in charge of Middle Eastern stability. I think everyone would be nervous, if the Chinese suddenly volunteered to take that job on, which by the way they are not going to do anytime soon," he said.

Protesters: Jobs not worth the environmental risk

For the recently reelected U.S. president though, the energy boom looks like it could provide a welcome tailwind for his second term.

It's something that Ferguson acknowledges -- though one suspects through gritted teeth.

As a supporter of Mitt Romney he penned a controversial pre-election cover story in Newsweek headlined "Hit the Road, Barack," which was highly critical of the president's first term.

He concedes the irony that the president will now be the beneficiary of the "good times that lie ahead."

Opinion: Oil and wildlife

@highlight

Historian Niall Ferguson says America could be set for a new economic boom

@highlight

Says production of natural gas and oil from shale formations will have enormous implications

@highlight

International Energy Agency: U.S. to pass Saudi Arabia as world's biggest oil producer by end of decade

@highlight

IEA says this could put Washington near energy independence within 20 years