(CNN) -- At a time when the United States is trying to figure out how to respond to threats from North Korean leaders, America and Israel are synthesizing their intelligence assessments of Iran's nuclear capability, and Americans are marking the 10th anniversary of the Iraq war, it is useful to remind ourselves of the central role that intelligence plays in trying to understand our nation's greatest threat, an enemy armed with weapons of mass destruction.

Whether this intelligence turns out to be accurate or inaccurate, when trying to figure out the capabilities and intentions of hostile countries, our leaders turn to clandestinely collected information simply because they have no other way of knowing.

But it is also worth remembering that the picture that intelligence paints is not a factual depiction. With solid sources and analysis rigorously tested for bias, it can be very good. But a lack of these can produce intelligence analysis that is far less certain and therefore open for interpretation from policymakers.

The general public is not aware of the quality of our nation's intelligence at any given moment because it is not shared with the public, and we are forced to rely on the president's representation of the information. Not an ideal situation for a democracy -- and one that proved disastrous in the case of the Iraq War.

As an intelligence analyst at the CIA, I was privy to all the intelligence analysis on Iraq in the lead-up to that war. My office covered the country analysis while other offices covered WMD and terrorism, but we read each other's work. I remember thinking at the time how paradoxical it was that we were working so hard to be thorough in our analysis for the president, but then he gave the public only a few pieces of raw intelligence reporting from a handful of sources as well as the administration's own judgments that did not reflect the complexity of our assessments.

Thus the general public was given only the intelligence the Bush administration judged was most useful to characterize the danger of Saddam Hussein's regime. This was done by unilaterally declassifying secret intelligence for speeches, talk show appearances and Colin Powell's famous U.N. Security Council speech.

There is a far better way to give the public a more accurate reading of threats to our national security. One needn't look any further than the Constitution. The framers created Congress to be another body, unaccountable to the executive, to be entrusted with the nation's security and with the exclusive power to make war.

But for Congress to play this role in today's WMD reality, congressional leaders need to have access to the same intelligence the president has. This would allow Congress to challenge a president's characterization of a threat with the public (as well as call out a president if he isn't addressing a threat). This would provide the public a more accurate understanding of the real threats it faces and with that a greater certainty as to when we need to act.

While some congressional members on the intelligence committees are getting more intelligence information today than they were before, the President's Daily Brief, with information from the nation's most sensitive sources, is still for presidential eyes only. This puts the president in the driver's seat to define our threats, determine our enemies and tell the public what he thinks we need to do about it.

In the case of the Iraq war, by the time Congress began to take a more active role and summoned the now infamous National Intelligence Estimate, they were not in a position to function as a "balance" to the executive branch and "check" that branch's characterization of Hussein as an imminent threat. The Bush administration had already released most of the damning intelligence to the public, creating enough fear to convince many Americans that Hussein was "very likely" to give WMD to terrorists.

It would have been far better to have trusted the public with the CIA analysts' full assessments than for the individual, sometimes uncorroborated pieces of raw intelligence to be released to the public without any analysis or context. The public would have had to wrestle with the complexity, the uncertainties and in some cases the limited availability of sources that was the intelligence picture on Iraq in 2002-2003.

I am not advocating for this type of complete intel-sharing with the public in the future. Releasing top secret information to the public risks lives and collection methods and is clearly unwise. Congress, as the body representing the public, can and should serve this function.

But unless Congress' access to intelligence is on par with the president's, you can forget what you read in the Constitution; information is power and the branch with the most classified intelligence is king and alone makes war. Congress, and by default, the public, are largely irrelevant.

Fear should not compel us to go to war. A decision of that consequence should only follow a rigorous debate among all of our leaders on the necessity for war based on the best information available. And while they're at it, a debate on the quality of that information as well.

The opinions expressed in this commentary are solely those of Elizabeth C. MacKenzie Biedell.

@highlight

Elizabeth Biedell: In major foreign policy decisions, intelligence plays a key role

@highlight

Presidents get the fullest description of what intelligence agencies know

@highlight

Failure to share intelligence fully misled the public in advance of Iraq War, she says

@highlight

Biedell: Presidents should fully inform Congress of relevant intelligence