(CNN) -- Amenah Ibrahim vividly remembers her first introduction to thermodynamics. It was her freshman year at the University of Illinois at Chicago, and she sat in a large auditorium filled with students aspiring to degrees in chemical engineering.

"The first thing the (professor) told us was, 'You should expect to see this class dwindle down as the semester goes on.' It was the first thing they told us," she said.

Ibrahim said the professor's expectation came true. As the semester progressed, students began to drop the class, some switching to other majors entirely.

Ibrahim hung on, although it took her five years and three summer sessions to complete her bachelor's degree in chemical engineering.

"I was a very persistent and resilient person," Ibrahim said. "I remember bombing my first calculus exam, and I could have dropped. If it wasn't for my (persistence), I could have seen that score and said, 'Well, maybe this isn't for me.'"

Undergraduates across the country are choosing to leave science, technology, engineering and math programs before they graduate with those degrees. Many students in those STEM fields struggle to complete their degrees in four years, or drop out, according to a 2010 University of California, Los Angeles, study.

The study, conducted by UCLA's Higher Education Research Institute, found students in science, math and engineering take longer to complete their degrees than students who start out majoring in other fields. The study tracked thousands of students who entered college for the first time in 2004.

Thirty-six percent of white, 21% of black and 22% of Latino undergraduate students in STEM fields finished their bachelor's degrees in STEM fields within five years of initial enrollment.

Nearly 22% dropped out after five years.

Low graduation rates among science and math undergraduates affect how the United States competes globally. Fewer biology and math majors means fewer doctors and engineers later.

How to stop America's math, science lag

In President Barack Obama's State of the Union speech this year, he said science, technology, engineering and math will guide the country's future, and education improvements are needed.

"Maintaining our leadership in research and technology is crucial to America's success ... if we want innovation to produce jobs in America and not overseas, then we also have to win the race to educate our kids," Obama said.

James Brown, executive director of the STEM Education Coalition, said a big problem is that educators don't often realize the urgency of fostering the next generation of American scientists and engineers.

"People who follow this issue understand the connection between a STEM workforce and national competitiveness. But that's not enough," Brown said. "Universities and faculty have to understand this is a national priority."

'Sink or Swim'

Sylvia Hurtado, director of the Higher Education Research Institute and one of the UCLA study's authors, said high school seniors are interested in pursuing science, math and engineering degrees more than ever. But research shows that most don't make it to the finish line.

"Many students want to be in science, but very talented people are choosing other fields. That shouldn't be the case," Hurtado said. "It's important to understand how we close this gap."

Poor scientific literacy among college students is one reason students pursuing science and math are less likely to graduate from those programs. High school graduates aren't prepared for first-year science classes in college, Hurtado said.

But there's another problem, too: Higher education, itself. Science and math programs are designed and taught to winnow down the number of students. University tenure systems often reward professors who conduct research and publish their work, but not those who teach well.

Among students who majored in liberal arts, business or other fields, 73% of white students and about 63% of black and Latino students finished their degrees in five years.

Forty-one percent of American students who start off majoring in science, math, engineering or technology fields graduate from those programs within six years.

More collaborative and supportive environments for STEM students are one of the solutions to the problem, Hurtado said.

One girl's academic success defies all expectations -- even her dad's

Ibrahim, the University of Illinois student, said her classes were all "sink or swim."

"There were not a lot of resources to develop interest in students," Ibrahim said. (Professors) say, 'Here's the workload, if you can handle it, you're good to go. If not, sorry.' "

When Lena Groeger majored in biology at Brown University, working one-on-one with a science professor was key to maintaining her interest in the field, she said. She managed to finish her bachelor's degree in four years.

"I had a really good experience majoring in biology because my junior year, I did an independent study with a professor," Groeger said. "It was great to have the freedom to do that."

Freeman Hrabowski, president of The University of Maryland Baltimore County, said American attitudes toward science are hurting STEM graduation rates.

"We in America have accepted that science is just not for everybody. We send messages to students all the time that, 'This is not really for you,' " he said. "One of the reasons American (students) aren't more excited about science is that adults themselves aren't excited. Most (students) have been weeded out before they even get to college."

Hrabowski said many people assume they're not smart enough to study science or math. His response?

"No. Your teacher wasn't innovative enough."

Changing the culture

Schools admit more science majors than they expect to graduate, and don't teach students to support each other, Hrabowski said, instead fostering an atmosphere of cutthroat competition.

"We say, 'If we accept you in science, you have ability to do it, and we'll help you succeed,' " Hrabowski said. "What has made the difference at UMBC is the way we encourage group work and teachers to rethink their approach in the classroom. The results are significantly more students are succeeding."

The University of Maryland Baltimore County puts an emphasis on research, Hrabowski said. The university has space for biotechnology companies that can work with students on campus. The school's curriculum emphasizes student collaboration and research projects that require students to solve real-world problems.

Hurtado, the UCLA researcher, said the school has earned a reputation for solid completion rates in science and math fields, especially among black students. In 2010, U.S. News and World Report ranked it first among "up-and-coming schools," and gave it a high rank for undergraduate teaching and undergrad engineering programs.

Opinion: Why liberal arts matter

"We need more supportive programs and less sorting," Hurtado said. "The most important practice in terms of sustaining interest among students is faculty involvement in research programs that connect students and give them a feel for what it's like to be a scientist."

Ibrahim said research was an elective class during her undergraduate years, and nobody encouraged her to pursue it. With little mentorship made available, it was easy to become discouraged.

"My parents didn't go to college and I didn't have a support system," Ibrahim said. "There were no (students) ahead of me in the program who could give me encouragement. It's very difficult to do it alone, without a support system."

After taking five years to graduate with her bachelor's degree, Ibrahim went on to get a master's degree in science and engineering and now works as a chemical engineer for PepsiCo, as part of the team developing advancements in the sports drink, Gatorade.

"I chose to keep going," she said.

@highlight

Science and math students struggle to complete their degrees in four years, if at all

@highlight

Researchers say higher education must "weed out" students

@highlight

More and better prepared science and tech students keep the U.S. competitive.