Tripoli, Libya (CNN) -- Explosions and anti-aircraft fire thundered in the skies above Tripoli early Sunday, but it was not clear whether they resulted from another round of cruise missile attacks by allies determined to stop Moammar Gadhafi's offensive against Libyan opposition forces.

CNN's Nic Robertson witnessed the development a few hours after nearly 1,000 people gathered at Gadhafi's palace in the capital. The crowd chanted, waved flags and shot off fireworks in support of the government.

A defiant Gadhafi said Libya will fight back against undeserved "naked aggression." His military claimed nearly 50 people, including, women, children and clerics, were killed in Saturday evening's attacks. There was no independent confirmation of that statement.

American, French and British military forces, convinced that Gadhafi was not adhering to a United Nations-mandated cease-fire, hammered Libyan military positions with missiles and fighter jets in the first phase of an operation that will include enforcement of a no-fly zone.

An eyewitness in Tripoli reported seeing signs of gunfire rising Sunday morning from the direction of nearby Mitiga Airport. The anti-Gadhafi activist said she heard "continuous gunshots" and at least two loud explosions. It was not clear if the airport was also being used as a military installation.

The eyewitness, who was not identified for security reasons, said she did not hear the sound of flying aircraft.

More than 110 Tomahawk missiles fired from American and British ships and submarines hit about 20 Libyan air and missile defense targets in western portions of the country, U.S. Vice Adm. William Gortney said at a Pentagon briefing.

The U.S. will conduct a damage assessment of the sites, which include SA-5 missiles and communications facilities. A senior U.S. military official, who was not authorized to speak on the record, said the cruise missiles, which fly close to the ground or sea at about 550 miles per hour, landed near Misrata and Tripoli.

The salvo, in an operation dubbed "Odyssey Dawn," was meant "to deny the Libyan regime from using force against its own people," said Gortney.

U.S. Navy photos showed flashes of light and smoke funnels as missiles soared from a destroyer into the night sky.

Earlier, French fighter jets deployed over Libya fired at a military vehicle Saturday, the first strike against Gadhafi's military forces, which earlier attacked the rebel stronghold of Benghazi.

Prime Minister David Cameron said late Saturday that British forces also are in action over Libya. "What we are doing is necessary, it is legal and it is right," he said. "I believe we should not stand aside while this dictator murders his own people."

British Defense Secretary Liam Fox said the Royal Air Force deployed Tornado GR4 fast jets, which flew 3,000 miles from the United Kingdom and back, "making this the longest-range bombing mission conducted by the RAF since the (1982) Falklands conflict."

While there were no U.S. warplanes flying over Libya late Saturday, the coalition was softening Libyan positions before enforcing a no-fly zone, Gortney said.

The Libyan military, in a statement broadcast on state TV, said, "An enemy attacked the state on March 19th with rockets ... Those enemies killed 48 martyrs -- mostly women, children, and religious clerics. They left more than 150 injured. The majority of these attacks were on public areas, hospitals and schools. They frightened the children and women near those areas that were subject to this aggression."

Gadhafi, speaking early Sunday on Libyan state TV, said the U.N. charter provides for Libya's right to defend itself in a "war zone." Weapons depots will be opened, he said.

"All you people of the Islamic nations and Africa, and Latin America and Asia, stand with the Libyan people in its fight against this aggression," Gadhafi said.

Air attacks on several locations in Tripoli and Misrata have caused "real harm" to civilians, a Libyan government spokesman said.

An eyewitness in Misrata said Gadhafi's forces are targeting fuel and power stations in an effort to make citizens believe the damage is being done by coalition forces. The eyewitness, who was not identified for security reasons, said people celebrated allied airstrikes on loyalist positions in the city. CNN could not verify the account.

Shortly after the first missile attacks, U.S. President Barack Obama informed the American people of the efforts by a "broad coalition."

"The use of force is not our first choice," the president said from Brasilia, Brazil. "It is not a choice I make lightly. But we cannot stand idly by when a tyrant tells his own people that there will be no mercy."

Obama is planning for the U.S. portion of the military action in Libya to only last for a few days, according to a senior administration official, who was not authorized to speak about sensitive military matters.

"After that we'll take more of a supporting role," the senior official said.

Obama authorized U.S. military force from Brazil on what happened to be the eighth anniversary of the start of the war in Iraq.

Coalition partners say Gadhafi has failed to adhere to a United Nations resolution that imposed the no-fly zone and ordered him to stop attacks on civilians.

"He's clearly been on the offensive," the senior U.S. military official said of Gadhafi. "He said that he was going to do a cease-fire and he continued to move his forces into Benghazi."

Earlier Saturday, Gadhafi issued defiant messages to international powers.

"I have all the Libyan people with me and I'm prepared to die. And they are prepared to die for me. Men, women and even children," Gadhafi said in a letter addressed to Obama and read to reporters by a government spokesman in Tripoli.

Obama, Secretary of State Hillary Clinton and Gortney used the term "unique capabilities" to describe the U.S. part of the effort. Officials have said American military forces are meant to augment Arab, European and other Western troops.

In the next few days, U.S. military officials expect to hand over control to a coalition commander. Canada and Italy also are part of the coalition.

"Our air force will oppose any aggression by Colonel Gadhafi against the population of Benghazi," said French President Nicolas Sarkozy, speaking after a top-level meeting in Paris over the Libyan crisis.

The international meeting -- which included Western and Arab partners -- focused on how to take on a Libyan government bent on destroying the fledgling opposition movement under the U.N. resolution authorizing force to protect civilians against the Gadhafi government.

Rebel forces in Benghazi used a captured army tank as a victory symbol, CNN's Arwa Damon reported.

Earlier Saturday, incoming artillery rounds landed inside Benghazi, and pro-Gadhafi tanks rolled into the town firing rounds, witnesses said.

A flaming fighter jet plummeted from the sky, nose-diving to the ground. Khaled el-Sayeh, the opposition military spokesman, said the plane was an old MiG-23 that belonged to the rebels.

As night fell over Benghazi on Saturday, the city became quiet and calm. While plumes of smoke could be spotted, the pro-Gadhafi tanks seen earlier were not in sight. El-Sayeh told CNN that "tens" had been killed in Benghazi on Saturday.

He said Gadhafi forces had withdrawn from the city and that they were positioned 50 kilometers (31 miles) outside Benghazi. CNN could not independently verify those details.

Gadhafi -- in a separate letter addressed to Sarkozy, Cameron and U.N. Secretary-General Ban Ki-moon -- called the U.N. moves "invalid" because the resolution does not permit intervention in the internal affairs of other countries.

Violence has raged in Libya following protests calling for democracy and freedom and demanding an end to Gadhafi's almost 42-year-long rule. It's a conflict spurred by anti-government protest and resulting regime violence against civilians -- which the U.N. resolution cites as "outrageous" and Sarkozy calls "murderous madness."

CNN's Arwa Damon, Chris Lawrence, Jill Dougherty, Elise Labott, Ed Henry, Jim Bittermann, Paula Newton, Richard Roth and Nic Robertson contributed to this report

@highlight

British jets flew 3,000 miles to bomb targets

@highlight

Explosions, gunfire heard overnight in Tripoli

@highlight

Gadhafi supporters rally in Tripoli

@highlight

Gadhafi vows to counter "naked aggression"