(CNN) -- More than 50 years ago, military brass sat down the couple who'd become Susan Green's parents.

They told them how horrible it would be if a black man and a white woman wed at a time when interracial marriage was illegal in parts of the United States.

They did it anyway.

Six years later, in 1967, they celebrated when the Supreme Court ruled in Loving v. Virginia that no state could stop different races from marrying.

For years, Susan Green knew their anguish, their struggle, their determination.

Today, she knows their joy.

Green thought of her parents three years ago as she tearfully filled out a license to wed her partner Robin Phillips in Provincetown, Massachusetts. The seaside enclave was more than 2,500 miles away from their home state of Arizona, where same-sex marriage has been banned.

She cried more tears of joy Wednesday, when the Supreme Court struck down part of the Defense of Marriage Act in ruling the federal government cannot treat legally married gay and lesbian couples differently from heterosexual ones.

'What about us?' ask couples who still can't marry

"This must have been what Mom and Dad felt like when the Loving case was decided," Green said. "It was the beginning, and it was the acknowledgment they had the right to marry, they had the right to be together."

Green and Phillips haven't kept secret the fact they're lesbians, or that they're together. They joke about being the only married couple on the faculty at Arizona State University's Walter Cronkite School of Journalism and Mass Communication and are grateful for their colleagues support.

It hasn't been easy, though.

In November 2008, Arizona voters passed an amendment to the state constitution defining marriage as "only a union of one man and one woman."

That meant -- as it does for others in 37 states where same-sex marriage is not or will soon not be legal -- Green and Phillips were, in legal terms, little more than roommates.

Even after their Massachusetts nuptials, Green fought through health ailments and worried that if something happened to her, Phillips wouldn't get her Social Security benefits.

"As we start to get older and think about retirement and things like that, all of these issues come into play," Green said.

What's next for gay rights?

Wednesday ended up being a "little crazy" in the best possible way with laughter, tears and relief.

They breathed easier not having to worry about things that they might have the day before. They rejoiced the federal government finally will recognize their union as valid. They celebrated that gay rights had come so far, and that they'd been around to see it happen and to talk to the world about it.

"This is a great thing," Phillips said. "And it helps us share our stories."

They've been doing that at Arizona State for years, where Green said students she's never met regularly show up at her door, asking for help figuring out how to come out to their families and friends.

Others come to them fearful of getting outed at work, and theoretically fired, given that most states still don't have laws that prohibit terminating someone because they are gay or transgendered.

"I'm out, and I'm there for them," Green said. "... I serve in a lot of different ways."

Rulings hailed as historic

Having the chance to help people is one reason the pair wants to stay in Arizona.

It may be easier to go elsewhere, to a state like New York or Washington, where there would be no questions about whether they'd get the same rights as heterosexual couples.

Wednesday's Supreme Court ruling, notably, didn't mandate everyone recognize same-sex marriages: That's still up to the individual states. It doesn't change anything in Arizona, for instance.

But Arizonans need to know that there are happy, productive same-sex couples in their midst, not for them all to go elsewhere, Green said. It's harder for them to be foreign or an unknown if they work down the hall, live down the block or shop at the same store.

Besides, Green said, her parents didn't teach her to give up when they steadfastly insisted on getting married, whatever anyone else thought.

"Some states may be easier to live in," she said. "But I can't let my mom and dad down."

CNN's Jen Christensen contributed to this report.

@highlight

Susan Green's father was black, her mother was white when they married in 1961

@highlight

She says they wed despite pressure not to do so as an interracial couple

@highlight

Green is now married to her partner, but their same-sex marriage isn't valid in Arizona

@highlight

Her parents' story encourages her to keep fighting for equal rights