Washington (CNN) -- The Obama administration has dramatically ratcheted up the American drone warfare program in Pakistan. Since President Obama took office, U.S. drone strikes have killed about a half-dozen militant leaders along with hundreds of other people, a quarter of whom were civilians.

As a result of the unprecedented 42 strikes by drone aircraft into Pakistan authorized by the Obama administration, aimed at Taliban and al Qaeda networks based there, about a half-dozen leaders of militant organizations have been killed.

The dead include two heads of Uzbek terrorist groups allied with al Qaeda and Baitullah Mehsud, the leader of the Pakistani Taliban, in addition to hundreds of lower-level militants and civilians, according to our analysis.

The number of civilian deaths caused by the drones is an important issue, because in the charged political atmosphere of today's Pakistan, where anti-Americanism is rampant, the drone program is a particular cause of anger among those who see it as an infringement on Pakistan's sovereignty. A Gallup poll in August found that only 9 percent of Pakistanis favored the strikes, and two-thirds opposed them.

And, according to Philip Alston, a U.N. human rights investigator, the use of drones to carry out targeted assassinations that end up killing civilians may well violate international law.

On Tuesday at a news conference in New York, Alston publicly warned that unless the Obama administration explains what the legal basis is for selecting the individuals targeted by drone attacks, "it will increasingly be perceived as carrying out indiscriminate killings in violation of international law."

An important factor in the controversy over the drones, put forth by some commentators, is the widespread perception that they kill large numbers of Pakistani civilians. Amir Mir, a leading Pakistani journalist, wrote in The News in April that since January 2006, American drone attacks had killed "687 innocent Pakistani civilians."

A month later, a similar claim was made in the New York Times by counterinsurgency experts David Kilcullen and Andrew Exum, who wrote that drone strikes had "killed some 700 civilians. This is 50 civilians for every militant killed, a hit rate of 2 percent." In other words, in their analysis, 98 percent of those killed in drone attacks were civilians. Kilcullen and Exum advocated a moratorium on the strikes because of the "public outrage" they arouse.

A very different picture was presented this month by the Long War Journal, an American blog that closely tracks terrorist groups, in particular al Qaeda and the Taliban. Bill Roggio, the editor of Long War Journal, concluded that according to his close analysis of the drone strikes, only 10 percent of those killed were civilians.

Our analysis suggests quite different conclusions than those of either Kilcullen and Exum or the Long War Journal.

But first, a word on our methodology. Our analysis of the drone campaign is based only on accounts from reliable media organizations with substantial reporting capabilities in Pakistan. We restricted our analysis to reports in the New York Times, Washington Post and Wall Street Journal; accounts by major news services and networks -- the Associated Press, Reuters, Agence France-Presse, CNN and the BBC -- and reports in the leading English-language newspapers in Pakistan -- The Daily Times, Dawn and The News -- as well as those from Geo TV, the largest independent Pakistani television network. (Links to all those individual reports can be found here.)

The news organizations we relied upon collectively for our data cover the drone strikes as accurately and aggressively as possible. And though we don't pretend that our study is accurate down to the last civilian death in every drone strike, we posit that our research has generated some quite reliable data on the number of militant leaders killed, a fairly good estimate of the number of lower-level militants killed and a reliable sense of the real civilian death rate.

Since 2006, our analysis indicates, 83 U.S. drone attacks in Pakistan have killed between 760 and 1,050 people. Among them were about 20 leaders of al Qaeda, the Taliban and allied groups, all of whom have been killed since January 2008.

It is not possible to differentiate precisely between militant and civilian casualties, because the militants live among the population and don't wear uniforms and because the militants have the incentive to claim that all the casualties were civilians, but government sources tend to claim the opposite.

However, of those killed in drone attacks from 2006 through mid-October 2009, approximately 500 to 720 were described in reliable press reports as militants, or roughly two-thirds of the total killed.

Based on our count of the estimated number of militants killed, the real total of civilian deaths since 2006 appears to be in the range of 260 to 320, or one-third of those killed.

That finding tracks with polling by the Aryana Institute for Regional Research and Advocacy, described by The News of Pakistan as "a think tank of researchers and political activists" that works in the Pakistani tribal region along the Afghan border, where the drone attacks have consistently taken place.

It found that more than half the people surveyed in winter 2008 in this region, known as the Federally Administered Tribal Areas, said the drone strikes were accurate and were damaging the militant organizations based there.

Under President Obama, the strikes have taken out at most half a dozen militant leaders while killing approximately 450 other people. Of those, about 75 percent are reported to have been lower-level militants, and about a quarter appear to have been civilians. The strikes appear to have killed a slightly lower percentage of civilians in the past nine months than during the earlier years of the American drone campaign in Pakistan.

Obama, far from curtailing the drone program he inherited from President George W. Bush, has dramatically increased the number of U.S. Predator and Reaper drone strikes. There have been 44 strikes in Pakistan this year (two while Bush was still in office), compared with 34 in all of 2008. None of the strikes under either Bush or Obama has targeted Osama bin Laden, who seems to have vanished like a wraith.

The leader of the Pakistani Taliban, Baitullah Mehsud, the mastermind of Benazir Bhutto's December 2007 assassination and many of the suicide bombings in Afghanistan, was a frequent target of the drone attacks. Under Obama, according to our analysis, 15 drone strikes specifically targeted Mehsud.

But he still didn't see it coming. On August 5, Mehsud, a diabetic former gym instructor, was receiving a leg massage on the roof of a house in South Waziristan when a missile from a drone slammed into his hideout, killing one of his wives, her father and the terrorist chief himself.

The Pakistani press was jubilant. "Good Riddance, Killer Baitullah" was the lead headline in the quality Dawn newspaper.

Much of the previous coverage in Pakistan of U.S. drone strikes in the tribal region had ranged from critical to downright hostile. But in the case of Mehsud, U.S. strategic interests and Pakistani interests were closely aligned because the Pakistani Taliban's victims included not only Bhutto, the country's most popular politician, but hundreds of Pakistani policemen, soldiers and civilians.

As the drone attacks have put al Qaeda and allied groups under increased pressure, law enforcement authorities have uncovered few serious plots against U.S. or European targets that are traceable back to militants who had trained in Pakistan's tribal regions since summer 2008, when the drone program was first expanded.

A major exception is Najibullah Zazi, a onetime coffee-cart operator on Wall Street who later worked as a shuttle van driver at the Denver, Colorado, airport.

Authorities say Zazi, an Afghan immigrant, was planning to launch this fall what could have been the deadliest terrorist attack in the United States since September 11. He had traveled in late August 2008 to Pakistan, where by his own admission he was trained in explosives by al Qaeda members in a tribal area along the Afghan border.

The FBI found pages of handwritten notes on Zazi's laptop computer about the manufacture and initiation of explosives and the components of various detonators and fusing systems, technical know-how he had picked up at one of al Qaeda's training facilities between late summer 2008 and January 2009, a period of intensified drone attacks.

Drone strikes are an important tool to disrupt al Qaeda and Taliban operations and to kill the leaders of these organizations, but they also consistently kill Pakistani civilians, angering the population and prompting violent acts of revenge from the Pakistani Taliban.

For the time being, however, they appear to be the least bad option the United States has for reducing the threat from Pakistan's militants, given that an American ground assault into Pakistan's tribal regions is out of the question and that U.S. and Pakistani strategic interests are more closely aligned today than they have been in years because of the two countries' shared interest in attacking the Pakistani Taliban and their al Qaeda allies.

The opinions expressed in this commentary are solely those of Peter Bergen and Katherine Tiedemann. For more on the New America Foundation study, read here.

@highlight

Co-authors: President Obama stepped up drone attacks in Pakistan

@highlight

They say roughly a quarter of those killed appear to be civilians

@highlight

Drone attacks are the least bad option for the U.S. vs. militants, they say