London (CNN) -- It's Sunday morning and I'm standing in front of a newsagent's shop, waiting for the stranger who lives above it to let me into his home. I'm one of thousands taking advantage of Open House London's all-access invitation to tour London's most prolific and innovative buildings, including private residences the public would never have access to otherwise, from the Prime Minister's historical abode to the recently renovated townhouse I've come to see.

Since its inception in 1992, the concept has spread to 24 cities -- including New York, Tel Aviv and Buenos Aires -- but the London event, which takes place over one weekend each September, remains the largest, with 800 properties participating this year.

Though Open House's mission is to foster an appreciation for architecture and urban design, those opening their doors to the public also provides an opportunity for the city's designers and homeowners to show off their work.

How the other half lives

There's a queue outside of painter Isabelle Ducimetière's modernist home in wealthy Hampstead village (a short walk from the home of Ernö Goldfinger, the father of modernist architecture in Britain) when I arrive. The grey, angular house, designed by the award-winning Guard Tillman Pollock Architects, is the only one on its block of simple brown Victorians participating in Open House this year.

"I think it's a tribute to architecture," she says of her home, which was shortlisted for a Royal Institute of British Architects award in 2012. "I believe that my house is interesting, and obviously many people do."

Inside is like an industrial gallery space, all cement and glass, with guests leaning in to examine Ducimetière's impressive collection of furniture including vintage chairs by Charles and Ray Eames) and ornaments, like a Vietnamese vase that's over 700 years old. There are as many marveling at the fortress-like wall around the garden as there are around each expensive art piece.

Open House is as much a way to experience an inaccessible lifestyle as it is a chance to look at inaccessible architecture. From a family of architects herself, Ducimetière feels as though it's her duty to let others experience her home and its wonders, though it may be a bit pricey to emulate directly.

"Hopefully people enjoy it and find inspiration for their own homes, or open their views on other things related to architecture."

The business of inside access

Letting in the public can also benefit the firms behind these fantastic homes. Matt Keeler, principal architect at KSKa Architects, has been asked to show 18 properties with Open House over the last 11 years, and is always grateful to be recognized.

"For me, it's like being in a Royal Academy exhibition," he says.

Magic Box, a west London Edwardian he redid in his studio's minimalist style (think wood, geometry, and expansive windows), is run like a realtor's showing. Visitors are asked to remove their shoes at the door, and there are finger sandwiches on offer in the kitchen. Keeler presents a slideshow about the property every thirty minutes.

"We get most of our businesses from Open House London," he tells me between presentations. "Sometimes I have people say 'Matt, we've been following you for three years. Now we've got some money and we'd like you to be our architect.'"

In fact, the owners of this particular home first met Keeler at at Open House four years ago. They were so impressed that when they bought a house in 2012, they turned to him to transform their traditional home into a contemporary retreat.

But even if they don't bring new business, Keeler is always receptive to feedback from those outside the design world.

"When you get little old ladies saying 'I didn't really think I liked modern architecture, but this is amazing,' it's great."

What we can learn from the tattoos of our ancestors

Battersea Power Station: The life, death and rebirth of a London icon

One hundred years since the 'Golden Age' of posters began

The strange world of toilet architecture

@highlight

Open House London gives visitors access to the city's most interesting buildings

@highlight

The goal is to foster an appreciation for architecture and urban design

@highlight

The event allows proud homeowners to share their space with the public, and can connect architects with new clients

@highlight

This year, 800 properties were featured in the weekend event