Editor's note: Peter Bregman is chief executive of Bregman Partners Inc., a global management consulting firm, and the author of "Point B: A Short Guide to Leading a Big Change". He writes a weekly column, How We Work, for HarvardBusiness.org.

Peter Bregman says good times persuaded people to sacrifice what they loved for money.

NEW YORK (CNN) -- I started my consulting business 11 years ago with a laptop computer in a living room. It grew quickly.

The first year I made more money than I had in the previous three combined, the second year I doubled that and by the third year I began to fantasize about retiring within the decade.

Then everything crashed; the dotcom revolution, the financial services industry and my business.

I had a large number of subcontractors and a small number of employees who had become friends. I also had a bad feeling things wouldn't turn around quickly.

My wife and I were in a tough spot. We had one child and another on the way, bills that were accumulating and hopes for the future that were moving out of reach.

However bad it was then, these days it's worse. Back then the recession hit certain sectors and left other ones alone. Home prices were going up, so people felt protected, and there were loans to help. Today, everything's been hit, nothing's going up and credit is frozen.

Many have already lost jobs, homes, self-identities, luxuries and necessities. And there's more to come.

That's especially true for many older Americans, who might not have 10 years to recover and who don't have sources of income other than their savings -- which have dwindled dramatically. They don't deserve to live with the fear they now feel.

I'm still living in a rental apartment because I didn't want to take out a loan I couldn't pay back. I saved money. Invested it. And now my investments are down 70 percent.

But it is what it is.

And when we wake up in the morning we are left with the question, "Now what?"

It's actually a great question, because in a situation in which we've lost control, it gives us a little back. "Now what?" means we have a choice, in this moment, to do something. What's it going to be?

I think it's a mistake to try to rebuild what we've lost. We have less now and I think we can do better with less. Having less forces choices. And consciously making those choices can bring us closer to the things we care about. Which can make a poorer life richer than a rich one.

Because the research is clear. Above a basic threshold, more money doesn't make us happier. But we think it will, so we do all sorts of things that make us unhappy in order to get it.

A senior leader in an investment bank called to tell me she was leaving her job. She realized she wouldn't make much money in the next few years and didn't want to miss her children growing up. Did you get that? She was willing to miss her children growing up if the money was good enough.

People act in ways they'd rather not in order to make money that doesn't make them happy. Maybe, if we do this downturn right, we can get out of that cycle.

So, what makes you happy? Is it spending time with people you love? Working on a pet project? Having the time to exercise? Being part of a community and feeling cared for? Knowing the answer enables you to make decisions that will prioritize those things.

Of course, losing money can break people apart; we fight about money, people lose jobs and get depressed; tension rises as mortgage bills sit on the kitchen table unpaid; resentment builds when one person doesn't live up to his own and others' expectations.

But I am also seeing the opposite. Losing money can bring you closer to your values; can actually bring people together. It's hard to appreciate in the midst of our loss, but embracing the forced reduction in lifestyle can be positive.

I know of a couple whose marriage was saved when they moved from a bigger house into a smaller one and actually began talking to each other again.

Last weekend, two people had a beautiful wedding in Central Park surrounded by family and friends, months before they had planned, avoiding thousands of dollars of expenses and all the tension that goes with it. Why? Because she lost her job and needed to get onto his health insurance.

Friends of mine held their daughter's bat mitzvah at another friend's house, avoiding tremendous expense while creating the warmest community celebration, filled with gratitude and tears, that I have ever seen.

In 2003, after my business crashed, my wife and I decided to move to Savannah, Georgia, where she grew up and life was much cheaper. Had my business continued to grow we could never have afforded to make that choice. When the business crashed, we couldn't afford not to.

While there, we spent priceless time with her family, had another child, made lifelong friends and rebuilt my business -- this time very differently. I love consulting and writing and speaking, but the bigger the business became, the less I did those things and the more I managed others doing it.

Eventually we returned to New York. Now I'm back to a laptop in a living room and I love it again. It's smaller, more sustainable and a lot more fun. And I have the time to spend with my family and friends. My fantasy is no longer to retire; it's to keep doing what I'm doing for as long as I can.

Life is not a linear path of increasing wealth, accumulation and achievement. Don't let the money crisis draw you apart from people you love and things you love to do. Use it to draw you closer.

The opinions expressed in this commentary are solely those of Peter Bregman.

@highlight

Peter Bregman: In the boom, people sacrificed their joys for more money

@highlight

He says beyond a certain point, money doesn't increase happiness

@highlight

Bregman: Use hard times to evaluate what makes you happy and pursue it