Alzheimer's disease ravages the brain, robbing its victims not only of their memories but often their ability to do things as basic as swallowing.

Now, a study of aging patients suggests its true toll may top half a million lives a year -- a figure that would put Alzheimer's just below heart disease and cancer on the list of America's top killers.

The incurable, degenerative brain disease was blamed for 83,000-plus U.S. fatalities in 2010, making it the sixth-leading cause of death that year.

But its true toll may be as much as six times that, said Bryan James, an epidemiologist at the Rush Alzheimer's Disease Center in Chicago.

"Death certificates are well known to underreport deaths from Alzheimer's and other types of dementia," said James, the lead author of the study published Wednesday. "The more immediate causes of death, such as pneumonia or heart attack, are usually listed, and the underlying causes of death are usually left off."

The eight-year study, published in the peer-reviewed journal Neurology, followed more than 2,500 people over 65. Of those, nearly a quarter developed Alzheimer's, and the disease was the cause of death in about 400 people, James said.

Overwhelming burden, cost of Alzheimer's to triple, report says

James and his colleagues -- co-workers at Rush University in Chicago and at two California institutions, the University of California-San Francisco and the Veterans Affairs Medical Center there -- then statistically extrapolated their results to arrive at their estimate of 503,000 Alzheimer's deaths a year.

By comparison, heart disease was blamed for nearly 600,000 deaths in 2010 and cancer about 575,000 -- but those numbers are going down, while deaths from Alzheimer's are going up.

"I couldn't say when, but in the next 20 years, it could catch up to cancer," James said.

The study was funded by the National Institute on Aging and the Illinois Department of Public Health. Dallas Anderson, who oversees population studies of Alzheimer's and dementia at the NIA, called the findings "eye-catching."

"People who I think are knowledgeable about the death registration system in the U.S. would not be surprised that the official number is low, but it is somewhat of a surprise to see that kind of a difference," Anderson told CNN.

Similar studies are under way, and similar results would bolster the findings of James and his colleagues, he said. In the meantime, the results might encourage more doctors to note Alzheimer's when filling out death certificates -- something an increasing number of physicians have been doing already.

"It's just another reminder that Alzheimer's is really an important public health problem, and we need to work on it," Anderson said.

The 10 warning signs of Alzheimer's

Keith Fargo, the science program director of the Alzheimer's Association, said the new study's mortality estimate is "much closer to the true number."

"The Alzheimer's Association has been saying for a long time that that 80,000 figure is a gross undercount," Fargo said. The new figures may help Americans realize that Alzheimer's isn't "just about forgetfulness," but "a universally fatal brain disease."

"We think this is a solid paper that really puts the true impact of the disease into perspective," he added.

The Alzheimer's Association, which supports more research into causes and treatments, estimates that 5.2 million Americans had Alzheimer's disease in 2013. Alzheimer's deaths went up by 68% over the past decade as mortality from other major diseases declined, and the association expects the number of people over 65 with the disease to climb to 7.1 million by 2025.

In 2012, the Obama administration announced plans to pour another $156 million into Alzheimer's research. The National Institutes of Health has about $560 million currently budgeted for the work.

But the Alzheimer's Association estimates the disease costs more than $200 billion per year -- and since the patients are mostly elderly, much of that is paid by the federal health programs Medicare and Medicaid. The promised increase in research funding is "a step in the right direction," but not enough, Fargo said.

"Scientists have told us we need to invest $2 billion a year for 10 years if we are truly going to move the needle on Alzheimer's disease," he said.

Alzheimer's disease fast facts

@highlight

A new study suggests Alzheimer's may be the third-leading U.S. cause of death

@highlight

Current figures are "a gross undercount," Alzheimer's Association says

@highlight

The study followed 2,500 patients for 8 years; 400 died of Alzheimer's

@highlight

Advocates hope the findings will build support for more research