(CNN) -- Japan has more than 50 nuclear power plants and had planned to build two dozen more by 2030, according to a professor who has written on Japanese energy and security policy.

Japan relies heavily on nuclear power because of a lack of resources for other energy forms. CNN.com spoke with  Richard J. Samuels, the director of MIT's Center for International Studies, about Japan's nuclear power history.

Below is a transcript of that conversation:

Question: Why did Japan so readily turn to nuclear power when the country experienced the terrible effects of nuclear radiation when it was bombed during World War II?

Samuels: It's a good question, but it's a fairly easy one to answer. Despite that history, Japan is resource poor. And its resource poverty trumped its unpleasant history with nuclear radiation. That is, Japan knew that it would need more resources if it were going to transform itself into a global powerhouse. And it had no oil. It was running out of coal and there was no liquefied natural gas in the 1950s.

The economy was getting uncorked and ramped up at unprecedented speed. And they needed energy. So nuclear power was very attractive for that reason.

Secondly, it was an entirely new frontier technologically in a country that has always been an avid consumer of advanced technology. Third, it presented an enormous business opportunity, particularly for the power reactor vendors: Toshiba, Mitsubishi, and Hitachi. It was also great for the construction industry.

So large-scale business in Japan was earliest out of the gate in support of Japan's acquisition of nuclear technology and for signing up for the Atoms for Peace Program in the 1950s.

Question: Are the power plants related to the U.S. reconstruction efforts there after World War II?

Samuels: No, it comes a little bit after that. By 1954, when the Atoms for Peace program was getting uncorked, the Japanese economy had been reconstructed. Thanks in part to the Korean War and the demand for heavy equipment for the U.S. military, a lot of Japanese industry had come back on line -- steel, shipbuilding. This led to high-speed growth, which really took off by the 1960s at exactly the same moment Japanese nuclear power came online.

Question: What sort of considerations were taken into consideration in those early years about building nuclear plants in a heavy earthquake zone?

Samuels: From the very beginning, it was acknowledged there was a risk and so engineers were cognizant of the dangers at the time. But the thirst for energy and a general optimism about technology trumped their concerns. ...

Question: How many nuclear power plants are there in Japan?

Samuels: There are 54. ... That's No. 2 in the world after France in terms of the percentage of electric power supply. And the latest basic energy law in Japan has a "nuclear first" caste to it. Under those guidelines, more than two dozen more would be built by 2030. I cannot imagine that these plans will be operative at this point.

Question: What else should people know about the country's nuclear plants?

Samuels: The cause of greatest concern is probably the Fast Breeder Reactor Program. The FBR was adopted based on a Japanese desire to "close the fuel cycle." Japan is, after all, driven by an ideology of a resource poverty. So the prospect of self-reliance in energy -- in the form of the Fast Breeder Reactor-- became the Holy Grail.

This was embraced as national policy despite its use of plutonium fuel and despite the risks of diversion. There is also concern that Japan's neighbors might view its FBR as a shortcut to nuclear weapons program. The French and the Americans both abandoned it.

But Japan went ahead. And there have been accidents with them.

Question: There have been several accidents over the last two decades involving Japanese nuclear plants, including allegations of cover-ups. Tell us about those.

Samuels: Let's just say the Japanese regulatory system didn't acquit itself well in those earlier cases.

... You do notice a marked difference between this crisis and the way that they responded to the last earthquake -- that they learned from the 1995 earthquake in Kobe about how to respond, how to accept help from abroad. And one can only hope that they moved to enhance the nuclear regulatory system in Japan.

In Kobe, they failed to mobilize their military in a timely way. They refused to accept foreign assistance. They invoked silly regulations about the type of medicines that could be distributed. They simply bungled the search-and-rescue efforts. Many people attribute some portion of the more than 6,000 deaths from that disaster to the ineptitude of the Japanese government.

Importantly, no one is making those accusations this time. The government was very quick to mobilize troops. Indeed, this is the largest mobilization of Japanese forces since World War II. There are 100,000 troops deployed right now. This is huge and important. How many lives they can save in a catastrophe of this magnitude, we don't know. But it is certainly a different response than the one we saw 16 years ago.

@highlight

Japan turned to nuclear power because of a lack of resources for other energy forms

@highlight

Expert: Japan has 54 nuclear power plants, had planned two dozen more by 2030

@highlight

Response to current crisis far improved since 1995 quake, expert says