CHICAGO, Illinois (CNN) -- Fish tanks, financial markets and the future of the world's climate came together at the third Principal Voices debate of 2008 in Chicago.

The Principal Voices discussed climate change against the backdrop of the Shedd Aquarium, Chicago.

In the tranquil and slightly surreal aquatic setting of the city's Shedd Aquarium, the panelists and audience members plunged into the problems of climate change, their solutions and ultimately why there are still reasons to be cheerful.

Despite the potentially catastrophic consequences of climate change, and the hammering the financial markets were receiving that very day, the panelists were able to find many reasons to be optimistic.

From a growing consensus that climate change existed to the myriad opportunities we have to protect the environment, there were plenty of positives.

In regards to fluctuating fortunes of the global economy, that should not make us lose sight what is at stake; "it is just a distraction," said Dr Rajendra Pachauri, his face projected onto a giant screen, beamed into the room via video link from Mumbai.  See photos of the event »

It will cause a period of introspection and worry, he said to the audience and fellow panelists, but the results would ultimately be positive and a new system would emerge.

The good news, said Dr Carl Hodges, was that, perversely, the situation around climate was so terrible that it was raising awareness from all quarters.

Reconnecting people with how their everyday lives impact the environment was one challenge that both Alexandra Cousteau and Suzanne Malec-McKenna, the other panelists, were working towards in different ways.

As Chicago's Environment Commissioner, Malec-McKenna is working at the sharp end of balancing policy with the real practicalities of managing a city and transforming its environment, and its citizens' attitudes.

Adding some political noise and bite to proceedings, she championed the latest climate initiative by Chicago and continued the upbeat tone.

Could the city's green policy, and world in general, afford an economic recession, asked co-host Stephanie Mehta. It's all about re-thinking, replied Malec-McKenna. "Maybe people will hunker up rather than hunker down." Give people the opportunity to see new ways to do business and look at the assets rather than the liability, she continued, and a new energy infrastructure would follow.

Pachauri called it a "silent revolution," and one that people across the world would follow. But, they need some form of leadership, he cautioned, otherwise, "the positive forces of human energy could be misleading and we could have another cyclical problem."

Where that leadership could come from was also debated. Shell's president, Marvin E. Odum, was invited to comment on whether business could be a big driver for change. He said he believed that ultimately it is government and policy that drive the pace of reform.

With a suitable aquatic backdrop, Alexandra Cousteau, granddaughter of legendary French explorer Jacques-Yves Cousteau, championed the emergence of shared values that crossed nations, political persuasion and culture, forming a groundswell of new environmentalism. It might not provide new leaders, but she believed just as important was the promotion of ways that people across the world could participate to negate climate change and preserve ecosystems.

The challenges could seem overwhelming, said Cousteau, but Malec-McKenna added that there are a great number of global networks open to people to take action and make even the smallest changes to their lifestyle.

Changing the ways in which many of us lead our lives was a tacitly agreed point, and just as important as technological advances.

Innovations from operations such a Dr Hodges' Seawater Foundation have the potential to be revolutionary, although some in the audience were happy to debate the importance of his and other solutions in the discussions that took place after panel debate.

What made the panelists so optimistic, asked CNN's Jim Clancy, echoing a question from CNN.com reader Sabrina Shaw Cannabrava.

For Hodges, it was that his work that brings him and others joy; for Cousteau, it was the excitement of being part of the adventure to preserve and understand more about our planet; for Pachauri, it was the momentum that was building; while for Malec-McKenna, it was the possibility of a new economy. All different, but ultimately all on the same path.

We'll be posting more from the debate, including audience reaction and the highlights from the discussions very soon.

Have your say -- email Principal Voices by filling out the form on the front page. Or "Sound Off" below.

@highlight

Principal Voices panelists discuss ways world can address climate change

@highlight

Of current economic turmoil, IPCC Chief Pachauri says "it's just a distraction"

@highlight

Panelists include sea campaigner Alexandra Cousteau and Dr Carl Hodges

@highlight

Panel agree small lifestyle changes are just as important as new technology