(CNN) -- Did you know that buying American seafood could save a whale?

A new report from the Natural Resources Defense Council finds that 91% of seafood consumed in the United States is imported and nearly every wild-caught foreign fish product sold in the U.S. violates the Marine Mammal Protection Act, endangering the lives of marine mammals around the world.

Countries exporting fish to America are supposed to prove they use safe methods to catch fish destined for the U.S. market. But for decades the U.S. has failed to enforce this law. That means whales, dolphins and sea lions are at risk, and American fishermen who invest in safer methods have a disadvantage in the marketplace.

It works like this. Commercial fishing fleets target species for the global market, including American consumers. They go after the seafood we love to eat like shrimp, salmon, tuna, crab, and lobster, setting traps and casting gillnets, purse seines, trawls and longlines. But in the course of catching the target species, they often entangle, trap and hook other animals like non-target fish, seabirds, sea turtles and marine mammals. It's a tragedy for those animals caught in the wrong place and the wrong time -- collateral damage that may cause some populations to go extinct.

There are ways to reduce this harm. Until the U.S. enforces the Marine Mammal Protection Act, which requires importing countries to prove they are meeting American standards, consumers can play a role in protecting whales, dolphins and sea lions. When making sustainable fish purchases consider helping marine mammals by buying American-caught wild seafood.

In many parts of the world, poor fishing practices are driving populations and species of marine mammals to extinction. Research estimate that more than 650,000 whales, dolphins and other marine mammals are killed or seriously injured every year by foreign fishing fleets after getting trapped, entangled, or hooked in commercial fishing gear.

While U.S. fishers and foreign fishers exporting to the U.S. are required to comply with the MMPA to reduce this unintended "bycatch" of marine mammals, the U.S. currently enforces the law against U.S. fishers, but lets most foreign fishers off the hook with its failure to enforce the law. After 40 years, the government has indicated it is finally moving to require that imported seafood meets U.S. standards for marine mammal bycatch.

We know about whale, dolphin and sea lion populations suffering from bycatch from fisheries that likely export at least some of their product to the United States.

We found that North Atlantic right whales, New Zealand sea lions, Mediterranean sperm whales, vaquitas, spinner dolphins in the Indian Ocean, Baltic and Black Sea harbor porpoises, J-stock minke whales and false killer whales in the Western and Central Pacific are threatened by fisheries bycatch and that enforcing the MMPA's provision against imports from these fisheries could force foreign fishing fisheries to adopt better practices that would save the lives of animals from these populations.

Enforcement won't be easy and won't necessarily be quick. Motivating foreign fisheries around the globe to adopt better practices that will benefit marine mammals is a tall order. But continued access to the U.S. market is a great motivator.

While some fisheries may decide it's not worth the hassle, others will view protecting marine mammals as an opportunity to continue a lucrative relationship with American consumers who love fish, but also want to know that foreign fisheries are working to limit harm to the whales, dolphins and sea lions that they also love.

The greatest danger at this point is that the U.S. government will drag its feet and issue enforcement regulations that are too weak or otherwise run afoul of other binding agreements, like World Trade Organization requirements that bar treating countries unequally. The government could also continue the status quo by failing to take any action to hold foreign fisheries accountable.

For 40 years, federal watchdogs have failed to enforce a law that could save thousands of whales and dolphins from negligent foreign fishing practices each year. Until foreign fleets see real consequences for failing to abide by the law, marine mammals will continue to be harmed around the world and American fishermen will be disadvantaged.

No one wants their shrimp cocktail to come with a side of dolphin, but that's essentially what's happening when we eat imported fish that isn't held to the same standards as American seafood.

Next time you order that tuna steak, ask where it was caught and consider voting with your wallet and only buy American, wild-caught seafood.

The opinions expressed in this commentary are solely those of Zak Smith.

@highlight

Zak Smith: Did you know that buying American seafood could save a whale?

@highlight

Smith: Much of wild-caught foreign fish product sold in U.S. endanger marine mammals

@highlight

He says since 90% of seafood eaten in the U.S. is imported, consumers have a say

@highlight

Smith: Demand foreign fisheries use safer methods to avoid catching dolphins, whales