(CNN) -- Remember those carefree days when a gallon of gas was only $5? And when you could cheerfully mail a letter for the rock-bottom price of 50 cents?

Just saying those words out loud here to see what they sound like -- just trying to imagine what it will be like, 50 or 60 years from now, when Americans who are young today look back over their lives and recall fondly the second decade of the 21st century, when prices were low and reasonable.

When you could actually buy a gallon of gas for five bucks, or a postage stamp for half a buck.

Back before prices started to soar.

Will it actually happen? Will the once-unheard-of prices we appear headed toward seem someday like great bargains, to be remembered warmly by Americans accustomed to paying $20 a gallon for gas, and $6 to mail a first-class letter?

It seems at the same time impossible and inevitable.

If, as some experts are predicting, gas hits the unprecedented $5 mark this summer, it may have an impact on the presidential campaign. CNN's Jack Cafferty, speaking on "The Situation Room," said that regardless of the reasons for skyrocketing gas prices -- tension in the Middle East, the closing of refineries, increased demand for gas during summer vacation season -- "Whether it's fair or not, the American motoring public has always tended to blame the guy in the White House for high gas prices."

Yet, political impact in an election year aside, we seem to be about to cross some invisible symbolic line with the possibility of $5-a-gallon gas and 50-cent first-class stamps, which the U.S. Postal Service is recommending. It's the definition of sticker shock, and the question is, will people accept the double whammy as something that just had to happen, or will they feel:

Too much is at last too much. We've lost our patience.

Economists can make all the arguments they want about adjustments for inflation, but when you recall what gas once sold for, the nostalgia is not so much for a specific price point but for the freedom that came with going out for a long, casual drive without worrying it would break the bank. The "See the U.S.A. in Your Chevrolet" song was not directed at a nation nervous about the expense of filling up the tank.

In 1950, a gallon of gas cost approximately 27 cents; by 1970 it had only gone up to approximately 35 cents. The highways were just waiting; as Dan Seals sang in his wonderful, if underappreciated, ode to the joys of driving, "My Old Yellow Car":

"There was no road too winding and nowhere too far/With two bucks of gas and my old yellow car."

You remember your time on Earth by the mileposts along the way -- somewhere in the back of your mind, you know the price of gas the first time you ever bought a gallon, and the price of a postage stamp the first time you were aware they existed.

From 1932 until 1958, the price of a first-class stamp didn't budge. For those 26 years, it was stuck at 3 cents. When it finally went up to 4 cents in '58, it was major news.

When and if a stamp hits 50 cents, no one is really going to have to ask why. There are fixed costs to operating the Postal Service, many of them tied to labor, and the funds to support those costs are rapidly drying up in the age of e-mail. In the most recent fiscal quarter, the Postal Service lost $3.3 billion. In that same quarter, the volume of mail sent was down 6 percent from the previous year. Over the holidays, the Greeting Card Association reported, 1.5 billion holiday cards, the kind people mail to each other, were sold -- down from 2.7 billion as recently as 1995.

But knowing the reasons the Postal Service needs more money does not erase the fact that the 50-cent stamp, like the $5 gallon of gas, takes us to a place we seldom considered we'd be.

And it doesn't feel like this is the finish line. People get used to anything -- take a look at the price of a cocktail in a big-city restaurant, or a ticket to a major-league baseball game. Outlandish turns into commonplace.

Yet some things -- gas, stamps -- don't qualify as optional, discretionary purchases; people need them when they need them, which is where the frustration comes in. The one-two punch of $5 gas and 50-cent stamps has such powerful symbolism precisely because those two products matter so much to so many people.

And if the day should ever come when Americans look back on the five-buck gallon and the half-buck postage stamp with the same wistful longing that older Americans today feel for the 31-cent gallon and the 3-cent stamp...

Well, that doesn't seem possible.

But, then, neither did this.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

In 1950, a gallon of gas was about 27 cents; until 1958, a first-class stamp was 3 cents

@highlight

Some experts are predicting that gas price will hit the unprecedented $5 mark soon

@highlight

Bob Greene: we seem to inch closer to an invisible symbolic line with that possibility

@highlight

Greene: Don't be surprised if gas and stamp prices hit those numbers