Immigration champion Rep. Luis Gutierrez feels confident that President Barack Obama will use his executive powers to push through reform. House Speaker John Boehner feels confident that doing so will tank what little support the President has among Republicans on immigration reform.

They're both right, immigration law experts say.

After pushback from immigration activists and some members of his party, the President has directed his administration to reexamine its deportation policy.

The administration could shift noncriminals and minor offenders to the lowest deportation priorities.

"I think the President has a difficult decision to make here," said Stephen Yale-Loehr, a professor at Cornell University Law School. "The courts have upheld wide discretion on immigration matters. He could make noncriminals the lowest deportation priorities. ... But there is a penalty he could pay through using executive action rather than waiting for Congress to act on immigration reform."

That political price, Boehner told Fox News last week, is "that will make it almost impossible to ever do immigration reform, because he will spoil the well to the point where no one will trust him by giving him a new law that he will implement the way the Congress intended."

"The American people want us to deal with immigration reform," Boehner said on Fox News' "Kelly File" during the same interview. "But every time the President ignores the law, like the 38 times he has on Obamacare, our members look up and go, 'Wait a minute: You can't have immigration reform without strong border security and internal enforcement. How can we trust the President to actually obey the law and enforce the law that we would write?'"

Legislation stuck in the House

Last year, the Senate passed a comprehensive immigration reform package -- which includes a citizenship path for an estimated 8 million of the more than 11 million undocumented immigrants in the country, according to the Congressional Budget Office.

Roughly one-third of that chamber's Republicans supported the measure, but the legislation has been stymied in the Republican-controlled House as lawmakers there hammer out more incremental approaches to such things as a path to legalization.

Dems to Obama: Suspend deportations

In the meantime, Obama has faced increasing pressure from immigration activists and members of his own party to use the power of his pen to help stem the high number of deportations that have occurred during his administration.

Under this President, there have been roughly 2 million deportations, a number that far exceeds that of previous administrations and led the head of the National Council of La Raza to dub him "the deporter-in-chief."

There are things Obama could do right away, experts say.

Currently, law enforcement agents along the border and those investigating national security matters can engage in ethnic or racial profiling. Federal agents elsewhere in the country can profile based on a person's religion, national origin, sexual orientation or gender identification if they suspect  immigration or national security laws have been broken.

Obama could, through executive action, expand a ban on any kind of profiling, according to a report released Tuesday by the Brennan Center at New York University's School of Law, which would reduce the amount of people taken into custody and reduce deportations.

"This is something the President has known he could do since the beginning of his administration," said Faiza Patel, co-director of the Brennan Center's Liberty and National Security Program. "And I do think the renewed commitment to doing executive action should help push things forward."

The Justice Department is reviewing racial profiling in federal law enforcement, and the White House recently directed the Justice Department to include Homeland Security in its review.

Why hasn't Obama acted on immigration?

The President's apparent reluctance to use the power of his office to more heavily push immigration reform is a bit baffling, immigration and political analysts say.

"It's a mystery," said CNN senior political analyst David Gergen. "He clearly cares, but he hasn't fought the issue. Public opinion is still malleable on this. ...This is an opportunity for the President to get back into this fight and embrace the Jeb Bush spirit," Gergen said of the former Florida governor's "compassionate conservative" approach to immigration, which includes understanding the impact of deportation on families.

Obama said in November that he does not have the power to halt the record number of deportations that have occurred under his watch. But he does have some latitude in implementing such laws, immigration law experts say.

Using prosecutorial discretion, the executive branch has the "inherent power to choose which cases to act on," Richard A. Boswell, an immigration law professor at the University of California's Hastings College of the Law, told CNN.

Obama said he can't stop deportations of immigrants, but maybe he can

Some prominent Democrats agree and point to his executive action in 2012 in halting the deportations of "Dreamers," the children of undocumented immigrants dubbed for the DREAM Act, which would have provided amnesty for them.

"Mr. President, you do have the power to stop what's going on," Rep. Charles Rangel, D-New York, said at a news conference in December calling for an end to the deportations.

Rangel and Gutierrez were among the 30 Democratic lawmakers who signed a letter telling the President that not only did he have the authority to halt the high number of deportations, but "our efforts in Congress will only be helped by the sensible and moral step of stopping deportations."

Obama netted 71% of the Latino vote in the last election, while Republican nominee Mitt Romney garnered 27%. Hispanics are the fastest-growing minority group.

GOP wants to expand appeal beyond its base

After the GOP's losses among African-Americans, women and Latinos, the party performed an autopsy of sorts and has since redoubled efforts to make better inroads with those groups.

House Democratic Leader Nancy Pelosi last week said race was part of the reason Republicans in that chamber are blocking immigration reform efforts.

"I think race has something to do with the fact that they're not bringing up an immigration bill," she said.

However, despite the popularity the President enjoyed among Hispanics, a minority group that has been vocal about the record-high deportations, using executive action to do more on immigration reform could have negative political consequences, said Yale-Loehr, the Cornell University Law School professor.

"In the short term for Obama himself, it might not matter, but what's sauce for the goose is sauce for the gander," Yale-Loehr said. "If a Republican president made an executive action and used Obama as an example to say 'I could do what I want,' it could hurt Democrats."

Still, strong signals from the White House recently in directing Homeland Security to look into how it can apply immigration laws "more humanely" give members of the Congressional Hispanic Caucus and their constituents hope.

Gutierrez took to the House floor recently to warn Republicans that when it comes to immigration, a day of reckoning is coming.

"If you refuse to give the President a bill he can sign because you do not trust him to enforce immigration laws ... he will act without you," Gutierrez, a Democrat who hails from the President's home state of Illinois, said on the House floor this month.

"He has alternatives under existing law. There are concrete ways within existing law to help keep families together and spare U.S. citizens from losing their wives, their husbands and their children to deportation. In spite of your lack of action," Gutierrez said. "And I believe the President is going to use those tools.  I saw it in his eyes when I met with him."

@highlight

Activists, some Democrats want Obama to use executive action to stem deportations

@highlight

Republicans warn that using the pen will risk broader immigration reform efforts

@highlight

Immigration and political analysts say Obama could do more but must tread carefully

@highlight

Some Democratic lawmakers, immigration activists expect the President to act soon