(CNN) -- The Internet can get pretty overwhelming sometimes. If you're like me, there are days when it feels like you can't stay on top of the endless stream of media. It seems impossible to discover the best content in all that noise.

But today offers a rare opportunity to slow down. It's a chance to reflect on 2012's biggest news events and see some of the best first-person stories, photos and videos that came out of those moments. We're revealing the 3rd Annual iReport Awards nominees -- 36 examples of citizen journalism at its finest.

The nominated stories paint an intimate portrait of the topics and events that dominated the news cycle last year. A 10-year-old boy describes what it's like to live with autism. Beautiful photographs capture the sense of wonder among a crowd watching a Mars Curiosity rover broadcast. A personal essay recounts the horror of escaping the Aurora, Colorado, movie theater where a mass shooting took place.

Journalism has been forever changed -- I'd argue for the better -- thanks to the fact that people can interact with media organizations and share their opinions, personal stories, and photos and videos of news as it happens. This year's nominated iReports are prime examples of how participatory storytelling can positively affect the way we cover and understand the news.

People around the world posted more than 100,000 stories on CNNiReport.com last year. Out of that, 10,789 were vetted for CNN, which means they were fact-checked and approved to be broadcast on CNN TV or featured on CNN.com. And over the past few months, the iReport team and a panel of CNN producers sorted through all those stories to select 36 nominees in six categories: Breaking News, Original Reporting, Compelling Imagery, Personal Story, Commentary and, new this year, In-depth Storytelling.

Finding and curating notable stories is an essential component of iReport's success. The contributions we approve on a daily basis are backed by CNN reporting, and we love nothing more than helping those stories reach an even wider audience. The iReport Awards -- now in their third year -- give us a chance to celebrate those extraordinary efforts of the citizen journalists who produced them.

This year, for the first time ever, we'll also honor examples of standout citizen journalism and participatory storytelling that happened outside of iReport in a special section we're calling Excellence on the Web. Those honorees will be revealed along with the iReport Award recipients on May 14.

Just as notable as the stories themselves, though, are the people behind them. While some of the nominees are aspiring journalists or filmmakers, many are regular people who simply felt compelled to share their stories with the world.

They include Adele Raemer, an English teacher living along the Gaza Strip, who shared her feelings of fear and frustration after rocket attacks between the Palestinian territories and Israel ended a cease-fire. Her first-person take on the conflict offers more emotion than any news report could.

And when the Newtown, Connecticut, school shootings left people all over the U.S. and world struggling to find words to cope with the tragedy, Richard Huffman reacted through action instead. The retired police officer cut up his National Rifle Association membership card on camera, in a simple yet powerful protest.

These are just a few of the incredible iReporters nominated in the 3rd Annual Awards. I'm proud to note that this year's nominees represent some of the highest-quality stories we've honored yet, and I look forward to continuing the tradition of celebrating standout citizen journalism in years to come.

I hope you'll take time today to explore the nominated stories. Enjoy the break from the Internet craziness -- I promise it will still be there when you return.

How can you participate? Good question. Go check out the nominees, and make your pick for the Community Choice Award.

@highlight

We're proud to reveal the nominees for the 3rd Annual iReport Awards

@highlight

The 36 iReports are examples of top community journalism and participatory storytelling

@highlight

For the first time, CNN will honor the best citizen reporting outside of CNN iReport

@highlight

The recipients of the iReport Awards will be announced on May 14