Hong Kong (CNN) -- Japan's Toyota Motors has revved ahead of U.S.-based General Motors in 2012 to reclaim the title of world's biggest auto manufacturer.

This week, Toyota announced global sales of 9.75 million vehicles, even beating its own forecast of 9.7 million. GM earlier this month had announced global sales of 9.29 million vehicles for 2012 -- about 460,000 fewer vehicles.

The gap is "fairly sizeable...about 5% or so," says Chris Richter, CLSA Senior Analyst, Japanese Autos in Tokyo. However he sees Japan's return to the top in 2012 as simply "going back to the natural order of things" after Asia's second largest economy was devastated by the 2011 quake and tsunami.

"It's not that General Motors did anything right. They got a free pass in 2011 because the other team (Toyota) wasn't on the field. What we saw in 2012 was a more normal situation in terms of pecking order of global sales."

"In 2011, Japan had too many negative events which led to a shortage of (vehicle) supply," agrees J.P. Morgan's Kohei Takahashi, a Tokyo-based auto analyst. "If there were no such kind of events, Toyota should (have been) number one (that year)."

With Toyota's return to the top, the question remains "how does it manage to succeed" just as its tech cousins in Japan have become infamous for hemorrhaging billions of dollars in losses. Panasonic in 2012 reported a record loss of $9.68 billion, while Sony reported a record $5.7 billion loss in last year's fiscal year through March. Meanwhile, Sharp Corp owes $31 billion to the banks.

While a perceived lack of creativity and innovation plagues Japan's tech industry -- as well as a yen hitting post-WWII highs last year -- "it has a lot to do with a difference in the nature of the auto and tech industries" and a traditionally stronger emphasis on reliability and quality in the former, says CLSA's Richter.

With tech products "consumers are very price motivated. They expect a television to work for several years but when they want to change it they'll chuck it in the bin. But if you buy a new car, you expect it'll work every day you own it and when you resell it you want it to hold its value," he adds.

For Japanese automakers, "perfection and quality of the product matter a lot."

Toyota and GM

In the United States, the world's second largest auto market after China, General Motors is the country's top-selling brand, while Toyota is number three, after Ford Motor.

But domestically in Japan, Toyota is number one as U.S. automakers have little penetration in the country.

That likely will not change, says CLSA's Richter.

"American automakers wouldn't invest in Japan because it's already very crowded and very competitive."

With profit margins in the "low single digits," Richter adds that Japanese automakers don't make much money in Japan as it is. "Ford wouldn't go in" and any idea that Japan makes it difficult for American automakers to enter the Japanese market is just a "political smokescreen to attract government help from Washington."

Richter says the U.S. auto market provides for profit margins in the "high-single" or "low-double digit" range.

Toyota and Volkswagen

While Toyota and GM claimed the top two spots in 2012 global market sales, Volkswagen Group sold 9.09 million vehicles to pull in at number three. Last year was the first time Western Europe's most dominant automaker broke the nine-million vehicle barrier.

Volkswagen passed that milestone not because of stellar sales in Europe but because of BRIC countries, including Brazil and China, where it enjoys growing market share, says Richter.

Europe is a place where "global automakers go to lose money" because "current economic conditions are bad," he says. Just earlier this month, the International Monetary Fund (IMF) cut its forecast for the eurozone, predicting the region's economic activity would contract for a second consecutive year.

"To the advantage of Japan's automakers, they don't have a large presence in Europe. For European automakers, it (the economy) is a big millstone around their neck in deep water," he adds.

Toyota only has a 5% market share in Europe, says Kohei of J.P. Morgan.

Toyota and Hyundai

While the shadow of successful South Korean tech firms -- like Samsung which posted a record $6.6 billion profit last week -- continue to loom large over their loss-making competitors in Japan "over the next two to three years, Japan will outperform South Korean automakers in terms of sales volumes," predicts Kohei.

South Korea's Hyundai, the country's largest automaker, has recently seen strong demand with supply barely keeping up. And between 2007 and 2012, auto website Edmunds.com revealed the average price for a Hyundai vehicle rose more than 10%, beating the 7.5% industry average rise.

"A couple of years ago, Hyundai went through a very powerful product cycle," says Richter. The Sonata became Hyundai's answer to the Toyota Camry; Hyundai's Elantra to Toyota's Corolla. But that has now changed.

"Japan is at the peak of their product cycle (and) is recovering from the 2011 disaster. We had a new Camry about this time last year. We had a less expensive version of the Prius -- the Prius C as it's marketed in the U.S. We've had new Lexus launches, relaunches of the Avalon and RAV 4."

"In terms of durability, Japan is still better than Korea," adds Kohei. They (Japan) spend lots of money on R&D. In some design and marketing, Korea is better than Japan -- Honda has even started to benchmark Korea as an index of design. (But) Korea's improvements are not a sustainable trend."

Toyota's sales volumes will be the highest in Asia over the next few years, concluded Kohei. And depending on growth in China, it may continue to be tops in the world.

@highlight

Toyota reclaims title of world's biggest automaker from GM in 2012

@highlight

'GM didn't do anything right in 2011; Toyota just wasn't on field,' says CLSA's Richter

@highlight

Japan quake, tsunami in 2011 devastated country's economy, supply chains

@highlight

'Japan to continue to outperform' over next few years, says J.P. Morgan's Kohei