(CNN) -- Sometimes a filmmaker makes a documentary to have an impact on a national issue, and the finished product impacts him in profound and lasting ways as well.

This is what happened to Jose Antonio Vargas. The 33-year-old Pulitzer Prize-winning journalist has written and directed a powerful film about the immigration debate, a broken system, the separation of families and his own life story.

"Documented" airs Sunday, June 29 at 9 p.m. ET on CNN.

Vargas became "undocumented" without his consent. When he was 12 years old, his grandfather brought him to the United States from the Philippines illegally so that he could have a better life. The young man wasn't privy to the scam until, at 16, he went to the Department of Motor Vehicles for a driver's license and his permanent residency card was rejected as bogus.

From there it was one lie after another as Vargas went to college and then in pursuit of a career. His grandfather may have started the fraud, but the young man became an accomplice.

"His lies became my lies," Vargas told me, in recalling his grandfather. "I claimed to be a citizen to get a job."

Vargas: Undocumented and hiding in plain sight

In fact, Vargas got a whole string of jobs, writing for the San Francisco Chronicle, the Philadelphia Daily News, the Huffington Post and the Washington Post.

In June 2011, in a 4,600-word essay for the New York Times Magazine, he came out as an illegal immigrant.

Since 2012, Vargas and the nonprofit organization he founded called "Define American" have been battling the "i-word." They pressure newspapers and media companies not to use the phrase "illegal immigrant." As someone who has championed the rights of immigrants -- both legal and illegal -- since the early 1990s, against Republicans and Democrats alike, I haven't felt the need to fall in line. Besides, many liberals who say "undocumented" ignore the fact that President Barack Obama has deported 2 million whatever-you-call-them. That's phony progressivism.

Judge: Immigration courts dealing with death penalty cases in traffic court setting

Today, unable to work for a payroll check without a Social Security number, he supports himself through freelance writing and paid speeches, performing more than 200 speaking engagements in 45 states in the last three years.

Vargas learns as much from his audiences as they learn from him. Not all of it is positive.

"The level of misinformation is shocking," Vargas said. "I knew it was bad but I didn't know it was that bad. People don't know we pay taxes, that many of us have been here for more than 10 years, that it is not a border issue, that this is not just a Latino and Mexican issue. They don't know a lot."

Vargas is disillusioned with President Obama's refusal to use executive power to stop deportations, especially since the immigration debate is going nowhere.

This week, Illinois Democratic Rep. Luis Gutierrez, the leading champion for immigration reform in Congress, declared it a lost cause for the rest of the year and said that he would focus on pressuring Obama to use executive power.

"There is no intellectual honesty and no sense of moral urgency," Vargas said about the immigration debate.

More than 20 years ago, the plan was for Vargas' mother to follow him. But she couldn't get out. And he has spent most of his life trying to overcome a sense of maternal abandonment. Still, as we see in the film, the bond between a mother and her child is more powerful than borders.

We get the impression that the first thing Vargas would do if his status were ever regularized would be to board a plane to Manila to see the woman who amputated a part of herself so that her son could have a life with more hope and less misery.

'I didn't know I was undocumented'

The timing of the film is perfect. Today, as tens of thousands of children stream across the U.S.-Mexico border into the Southwest from Central America -- children who, if the Department of Health and Human Services gets its way, could be coming soon to a relocation center near you -- many Americans wonder how it is that parents could send their children off alone on a dangerous journey toward an uncertain future.

A Jewish friend, sympathetic to the parents, reminds me that at least now the kids have a future. It's been done before, he said, during the Holocaust when parents snuck their kids out of Europe. People were willing to never see their children again, as long as the little ones were delivered from evil.

Vargas reminds us all that -- far from being some sort of aberrant behavior -- it's what we would expect parents to do.

"I think of my mom, who to me, represents all the parents of the undocumented, who make the sacrifice to get a better life for their kids," he said. "When I was a kid, and really until my mid-20's, I suffered from depression and I made the mistake of blaming my mother for not coming with me."

Now Vargas understands that his mother acted out of love. After all that he's been through, he also understands -- better than most Americans -- the intricacies of the immigration issue. And thanks to this indispensable film, so can the rest of us.

@highlight

The film "Documented" airs on Sunday, June 29 at 9 p.m. ET on CNN

@highlight

Ruben Navarrette: It's about Jose Antonio Vargas, an undocumented journalist

@highlight

He says the film shows that our immigration system is broken and needs to be fixed

@highlight

Navarrette: We need immigration reform, or we'll keep seeing families torn apart