Madrid (CNN) -- Spain will create a new fiscal authority to oversee the new spending cuts, tax increases and structural adjustments included in a new budget presented Thursday.

The country is in an economic crisis with an unemployment rate near 25%, and protests have grown against austerity measures, such as the ones included in the new budget.

Despite the budget crunch, Vice President Soraya Saenz de Santamaria said there will be increases in pensions, scholarships and interest on debt.

But the budget also includes large reductions in spending in an effort to reduce deficits.

The budgets of all ministries will be reduced by an average of 12%, Saenz said.

The package includes a "road map" of 43 proposed laws that will regulate and tweak various sectors of the economy to spur growth in weak areas and to maintain growth in stronger sectors.

For the third year in a row, salaries of public workers will be frozen.

"This is a budget made in a time of crisis, but precisely to get out of the crisis," Saenz said.

Spain, which has one of the largest economies in Europe, is fighting to bring down its huge deficit, which threatens the stability of the euro, the currency used by hundreds of millions of people across Europe.

Prime Minister Mariano Rajoy said in July that the country would cut 65 billion euros ($83 billion) from the budget in three years by raising taxes and shrinking bureaucracy.

But Spaniards have taken to the streets to demonstrate against austerity measures, and are expected to do so again after expected new cuts are unveiled.

Clashes between police and demonstrators in central Madrid's Neptuno Square resulted in 28 people being hurt Tuesday, two of them police officers, a police spokesman said.

The spokesman said 22 people among the estimated crowd of 6,000 had been arrested.

Demonstrators said police were shooting into the crowd with rubber bullets; police would not comment.

"We have you surrounded," some demonstrators sang. "We have no fear."

At one point, Spanish police charged demonstrators with batons to prevent them from approaching the parliament, which was in session.

The protesters accused the government and the opposition alike of trying to solve the country's financial woes on the backs of the people.

Video from the scene showed police charging groups of protesters with their clubs, but such clashes were isolated.

Tuesday's protest seems to have been the most violent in the capital this year, but it was only one of an estimated 1,900 demonstrations in Madrid in 2012, according to government figures.

The country is suffering from soaring borrowing costs, a banking system leaking cash and unemployment rates at devastating levels. It has been in recession since April, and analysts think the economic situation will get worse before it gets better.

"Growth is likely to be weak for a prolonged period," said Ben May, an economist at Capital Economics in London. "More austerity will be needed."

The Bank of Spain said Wednesday that it expects economic activity in the second quarter to continue to weaken. It estimated that gross domestic product will shrink 1.3%. That would be the third straight quarter of contraction.

'Too big to fail, too big to bail'

Greece may be the country risking expulsion from the eurozone, but Spain's situation is potentially of much greater concern.

If such a major economy were to fail, the repercussions could cause unprecedented havoc across Europe -- and the globe.

The Spanish economy is the eurozone's fourth-largest -- after Germany, France and Italy -- making up around 11% of the bloc's GDP.

To put that in perspective, Greece, Portugal and Ireland -- the three eurozone countries that have already been bailed out -- combined make up less than 6% of the bloc's economy.

Prime Minister Rajoy has tough targets to meet in order to cut the deficit.

Michala Marcussen, an economist at Societe Generale, says "substantial efforts" will be required to meet a budget deficit target of 4.5%.

Pension reforms are possible, such as fast-tracking plans to increase the retirement age to 67 from 65, while taxation and labor markets could also be targeted, Marcussen noted.

The budget will be followed by Friday's release of the country's banking audit, which is expected to reveal details of the sector's financial needs.

The consensus is that the banks need an injection of around 60 billion euros ($77 billion), and "too low a number will raise concerns that there are more hidden losses to come -- all the more given the very frail economic backdrop," Marcussen wrote in an analysis.

As it stands, the banks have an estimated 300 billion euros in problem loans on their books, with the full cost of recovery not yet clear.

Eurozone finance ministers agreed in June to give aid to Spain's banking sector, but Rajoy has insisted that the government does not need a bailout.

Spain, in its second recession since 2009, has been dubbed "too big to fail, too big to bail."

The country also has an unemployment crisis, with more than half those younger than 24 out of work, and almost one in four people overall. Spain's jobless rate has helped pushed the eurozone's total unemployment rate to 11% -- its highest since the eurozone was created in 1999.

Why is the economy collapsing now?

The situation in Spain has developed like a perfect storm, with money being pulled out of the country, despite the desperate need to stem capital flight and support its banking system.

This leaves Spain in a precarious financial state, driving investors away, pushing up its borrowing costs and making it more likely to need a bailout.

It's a reminder of how governments are inextricably tied to their countries' banking systems, essentially the lifeblood of their economy.

The struggles in Europe have been exacerbated by continued gloomy news out of the U.S.

Al Goodman reported from Madrid, Irene Chapple from London and Catherine Tymkiw from New York. CNNMoney's Aaron Smith, Alfred Souza and Ben Rooney, and CNN's Tim Lister contributed to this report.

@highlight

NEW: Government announces spending cuts, taxes

@highlight

The country is considered "too big to fail, too big to bail"

@highlight

Thousands of Spaniards have protested in the streets against austerity measures

@highlight

Spain faces recession, has fourth-largest economy in eurozone and high joblessness