Swat, Pakistan (CNN) -- Driving in Pakistan's Swat valley, a region located close to the border with Afghanistan, I can sense the difference immediately. The faces of young children, women and families who walk around seem relaxed. The streets buzz with an air of calm.

Swat is full of life once again. It's a marked difference from the previous times I've been here. The last time was shortly after Malala Yousafzai was shot. Back then, a sense of sorrow and shock hung in the air. Everything felt still and drained. The town was in mourning.

In these past nine months, we have written and read so much about Malala.

It boils down to this -- a 15-year-old schoolgirl was shot at point blank range for encouraging girls to go to school.

In pictures: Malala's road to recovery

The residents have not forgotten the horrific events of October 2012 -- especially the young people who had to return to school. In most places going to school does not mean risking your life, but in Swat -- that's exactly what young girls and boys have been doing. They defy threats from the Taliban.

Global view

The Pakistani Taliban ran a ruthless campaign of bombing girls' schools and carrying out public executions in 2007-2008. Then, the shooting of Malala last year brought the world's attention to the issue.

But how are other young women and Swat dealing with the impact of events? I traveled to the Swat valley to find out.

In pictures: The world's other Malalas

It wasn't easy finding somewhere to film. I contacted several schools and colleges. CNN asked to film at Malala's school but the principal declined. She wants to encourage young girls to continue going to school, she does not want them to become a target.

Malala's shooting put the spotlight on Swat and the young women there. Not everyone enjoys that focus. They fear reprisal attacks. They fear the Taliban will attack them simply for picking up a school book.

I visited a girls' college in Swat soon after Malala's shooting last October. The young women I spoke to were adamant they would continue with their education. Their college was due to be renamed the Malala Yousafzai College in her honor. But days later authorities changed their minds -- the girls and their parents said they would be too scared to attend if it was associated with Malala.

Girls defiant

We were given permission to film at a women's college for science and technology. Most of the girls were local, but some had come all the way from Peshawar to study in Swat. It's a sign of how things are changing here.

Years of Taliban brutality both in Swat and the surrounding areas have clearly left a lasting impact on the people there. The young girls I spoke to have not forgotten the images of death and destruction.

They tell me about what they saw, how it filled them with fear and dread. They hug me and thank me for coming to see them.

Uzma Sajad, 17, speaks confidently at first, but when asked about the Taliban, the psychological impact is visible.

She is breathless and nervous, but determined to speak out.

"It was a real crisis all over -- especially girls were not allowed to get educated, now it's completely freedom," she says. "Everything has changed. We are free to go to our schools or colleges, wherever we want, it's freedom all over.

"It makes me really proud and really happy."

Dreams of educated future

I ask another girl, named Sara, if her fear of the Taliban ever made her think twice about coming to school or college. She looks me in the eye and says with conviction, "We should not stop education because of someone else. Or because of the scare [fear] of something."

She has dreams that extend beyond her education.

"I want to be an engineer in future," she says. "I love engineering. I don't know why, but I hope to be an engineer. "

People around the world have heard of Malala, but she is not alone. She is not the only one fighting for female education. Every girl I met in those classrooms, every single one is defying the Taliban simply by going to school.

Some are breaking new ground for their families as the first women to make it to college or plan careers. Others are breaking cultural taboos.

All of them are standing up for their rights.

"Yes, there was a time when young girls couldn't get an education, but women didn't give up hope or strength," says Anam. She is just 17, but her confidence and wisdom belies her young age.

"We studied in our homes, we hid and came to school in secret. Pakistan's females are very strong, and brave," she says.

Family support

Of course this would not be possible if their parents did not make the bold and brave decision to send their daughters to school. With a smile on her face, she says that they "supported me in every field of my life. They told me that whatever job you like you can do it."

I asked Uzma why an education was so important to her. She told me confidently, "I want to be independent. I want to be myself, I don't want to be dependent on somebody else -- my parents or anybody. That's why I want to be educated. "

The experiences of these young girls have clearly molded them to be mature beyond their years.

"We are not scared now," Uzma adds. "We want to seek knowledge and learn more and more, and Insha'Allah if God is with us, we will do it."

"I'll realize my dreams, as well as my parents' dreams. I'm strong, my friends are strong and I think all girls of Pakistan are strong and we'll prove it."

@highlight

CNN's Saima Mohsin returns to Swat valley where Malala was shot

@highlight

Female students at school embrace education despite threats and fears

@highlight

Malala's town is recovering, with students returning to school