(CNN) -- Lynne was driving home late at night after a trip out of town when it hit her. She had to share her story of surviving rape, to reach out and reassure other women who had been through the same traumatic experience that they were not alone.

CNN iReport asked people to send in their personal testimonies of surviving rape after the recent controversy over comments made by U.S. congressman Todd Akin, who said in an interview that women's bodies could naturally prevent pregnancy in the case of "legitimate rape."

The request led to a flood of soul searching and often passionate responses from women such as Lynne who have survived such an assault.

Akin's 'legitimate rape' comments trouble for Republicans

More than 40 people sent in stories from across the U.S. and beyond. Some had not spoken of what had happened to them, even to their own families; others used the traumatic experience to go public to inform and reassure others. Many were angry; others were reflective over what had happened. Some spoke of, inasmuch as it was possible, coming to terms with what they had survived, while for others, emotions were still as raw as the day they were assaulted.

Because some perceive negative connotations in the term "victim," many of those affected, and the organizations and individuals who support them, prefer the term "survivor."

Catherine, from Canada, was attacked as a freshman in college by a man who offered to walk her home from a party. She said Akin's comments harkened back to darker times when women's rights were of little consequence.

"Don't define to me what's legitimate or not legitimate just because I didn't fight back," she said. "These are attitudes that we should have left in the 1900s."

This year, the U.S. Justice Department revised its definition of rape to mean any kind of non-consensual penetration, no matter the gender of the attacker or victim. One woman who wished to remain anonymous finds the use of terminology such as "forcible rape," when rape by its definition is forcible, particularly egregious.

"I never went to the police. My friend told me later that the police would probably say that I deserved it because I was drunk and flirted with him at the bar that I shouldn't have been in because I was only 18," she said. "I still think she believes that I deserved it.

"The question is, would my story be considered 'forcible' rape? I don't think in ... Akin's case it would be. I think their definition is a woman being bruised, scared and bloody."

"Sometimes, a woman has to do what she has to in order to protect herself, even if it means having sex with a man she didn't want to and even if she didn't yell to the top of her lungs about it."

Opinion: What young men still don't get about rape

Recovery from the trauma of rape or sexual assault can take years. Talking about it and sharing the story of what happened is, understandably, something survivors are often unwilling to do.

Given the damage to a rape survivor's psyche, not to mention the physical scars that can be inflicted, it is not hard to see why such stories remain unspoken for years.

Dr. Thema Bryant-Davis is a licensed psychologist and director of the Culture and Trauma Research Lab at Pepperdine University in California. She sent in her passionate response to Akin's comments shortly after the controversy emerged, arguing that such comments invalidate victims, brand them liars and delegitimize their suffering, all of which greatly affects their attempts to come to terms with what happened to them.

"It is 2012, and we continue the legacy that seeks to invalidate victims, to call them in essence all liars, because if you are pregnant, you are not a legitimate survivor," she said.

"The silence, the lies and the ignorance must stop."

iReport: 'I was just a little kid'

When asked how they had coped with the trauma, many iReporters said it was on a day to day basis. Some mentioned thoughts of suicide; many had had therapy. Others looked to those to close to them for support.

Martina Lunardelli, from Italy, who was assaulted as a child, credited her family and friends for support and assistance.

"I am lucky, because my whole family has always stayed with me," she said. "And also because I am surrounded by real men, my dad, my partner and friends, who are 'real' men since they understand the suffering and continuously support me and stand on the woman's side."

Not all were so fortunate.

"After I was assaulted, my own dad -- who was from the 'old school' -- chastised me and said that I must have 'done something to ask for it,' " said Gail from San Diego.

"Rape is wrong, period. Men and politicians can try to quantify or qualify it, but only the victims know the true sting of the crime."

Gail became a chaplain to support those who had been the victims of such a crime and to offer the help she felt she was never given by her father.

Indeed, many survivors had converted their trauma into a chance to support others. Lynne, the late-night driver, became a nurse. She recalled long nights in bustling emergency wards assisting vulnerable women who had been assaulted.

"Has (Akin) ever held the hand of someone who was either raped or the victim of incest?" she asked. "Seen the crumpled faces, the faces of those they love coming to the ER? Given someone the morning-after pill and the counseling information, because it only takes one time to become pregnant, no matter the setting?"

Catherine, the woman assaulted as a freshman in college, spoke of using her creativity to give shape to the emotions she often felt roiling inside her. Through scrapbooking, painting and poetry, she felt she could exert some form of calm, of control over the emotions she experienced day to day.

"Take that pain and transmute it, turn it into art, dance it, sing it, paint it ... you can make something beautiful out of the trauma, and don't ever let it define you," she said.

"I'm a rape survivor but also a friend, a daughter, a mother, so much more."

Have you survived rape or sexual assault and want to share your story? Send us your stories.

@highlight

Women responded to CNN iReport's call for testimonies on surviving rape

@highlight

Many were angered by recent comments about rape by U.S. politicians

@highlight

Survivors help others, use therapy, family support and other means to cope