(CNN) -- This is a moment of terrible tragedy for Israelis and people of goodwill everywhere following the discovery of the bodies of three teenagers who were abducted and killed while hitchhiking in the West Bank.

It is also a moment of high danger.

When an entire nation -- and the entirety of the Jewish people -- is stunned and in deep mourning, it might be understandable that some among us would call for retribution. Understandable -- but not necessarily wise. What we need is justice and to avoid a downward spiral of violence, not retribution.

In the Jewish world, we are all hurting right now, all angry. It is as if we have all suffered a death in our own family. Those of us who are parents are imagining how we would feel if the victims had been our children. The funerals of the three teens were unbearably sad. As Finance Minister Yair Lapid said at the funeral procession of Gilad Shaar, "Let us remember that today we are burying a child. We are burying a child, who could have also been ours, and therefore he is also ours. We are not burying a settler or a soldier in the inevitable battle for this land."

Opinion: Teens' killing hurts Israelis, bad for Palestinians

At a time like this, it is more important than ever to remember our heritage and our values. "Justice, justice, shall you pursue," declares the Book of Deuteronomy 16:20.

Justice means finding those responsible and punishing them to the full extent of the law. It also means tracking down anyone who enabled them by planning this operation or by hiding the perpetrators or helping them escape. If they acted on orders from the highest levels of Hamas, as Israeli Prime Minister Benjamin Netanyahu has said, they too should be held accountable.

But justice also means not punishing those who were not responsible. Measures that simply make more miserable the lives of the 1.7 million people who live in Gaza and whose lives are already very tenuous should be avoided. The same applies for the 2.2 million people who live in the West Bank.

Israel's government doubtless feels a need to provide a tough response, partly to re-establish a deterrence against such heinous acts, partly to satisfy the demands of its own grieving people. It should resist the temptation to act just for the sake of acting or from entering into a violent escalation with Hamas. Israel is justified in responding to rocket attacks from Gaza but should avoid any offensive that would put millions of civilians, both Israeli and Palestinian, in the firing line.

The Israeli army's demolition of the family homes of two named suspects without any due process is an unwelcome return to a policy that Israel abandoned in 2005. As a deterrence, it has never succeeded in the past. It is simply a way of punishing people who happen to be related to suspected terrorists.

Worst of all would be to react as Israel has responded so many times in the past by announcing a massive new expansion of settlements. Defense Minister Moshe Ya'alon has already suggested building a new settlement in memory of the teenagers. Not only would this lose Israel the world's sympathy, it would also weaken the Palestinian Authority and Palestinian President Mahmoud Abbas, who has been a welcome voice for reason and moderation and whose security forces have maintained cooperation with the Israel Defense Forces throughout the crisis.

Additionally, it would drive another stake into the heart of the two-state solution -- which remains the only sane and just way of resolving the Israeli-Palestinian conflict. Until that conflict is ended through negotiations, tragically we will see more horrific acts of violence and more martyrs on both sides.

We are seeing some of the consequences of the collapse of Secretary of State John Kerry's peace initiative in April. The absence of any movement toward peace has created a vacuum in which extremism can flourish. That's why it is so important for the United States not to walk away, but to remain engaged with both parties.

This could be a decisive turning point for both Israelis and Palestinians. If Israel undertakes targeted measures designed to punish those responsible for this terrible crime, the world will be with it, and the crisis will be surmounted. If it turns its understandable anger into a general offensive, we could be in for a sustained period of violence claiming the lives of more innocent people on both sides.

Lapid, the finance minister, expressed the right policy: "We will find those responsible and we will punish them. The real revenge is our ability to bridge the gaps within us."

Israeli PM at teens' funeral: 'Broad moral gulf' between us, enemy

The Israeli teens killed: Promising lives, grieving families

@highlight

Deaths of three teens a terrible tragedy for Israelis and people everywhere

@highlight

Alan Elsner: Punish the killers but not families, others in a general offensive

@highlight

Expanding settlements, harming families has never worked as a deterrence, he says

@highlight

Elsner: How Israel reacts will be decisive turning point for both Israelis and Palestinians