(CNN) -- In-vitro fertilization is growing fast in Nigeria, a country where childlessness can be seen as a social failure, especially for women.

Nigeria's first in-vitro fertilization clinic was only opened in 1999, but there are now around 16 in the country.

Dr Richard Ajayi, director of the Lagos-based Bridge Clinic, says he has a vision of making the treatment easily accessible.

"Where you have a marriage that's not blessed with children there's a lot of stigmatization," says Ajayi.

"In fact, some people say infertility is a justifiable reason for divorce and a lot of marriages break up where there's infertility," he adds.

Nigeria is Africa's most populous nation with some 150 million people, but it has a large fertility problem.

The prevalence of infertility in Nigeria is about 25%, compared to 10 to 15% in the U.S. and UK, according to Friday Okonofua, professor of obstetrics and gynecology at the university of Benin, in Nigeria.

IVF, the assisted reproductive technology that has helped countless couples around the world, is often unavailable or unaffordable in many developing countries. Ajayi, who used to live in the UK, says that for many years the only option for childless Nigerian couples was to travel abroad to get treatment.

"I was surprised by the large number of Nigerians that were constantly coming to the UK for treatment and after a few years of watching them, my entrepreneurial nerve started to twitch and I thought to myself there's a major opportunity in Nigeria," he says.

Ajayi returned to Nigeria to help set up its first IVF treatment clinic in 1999 and he now runs four IVF treatment clinics across the country.

Each of his clinics treats up to 700 patients a year, with what he says is a success rate of over 30% for women under 36 years old.

But overcoming these biological realities ultimately helps couples overcome the enormous social pressure as well.

Marcia Inhorn, professor of anthropology and international affairs at Yale University, says that in many developing nations the greatest social burden of infertility rests on the shoulders of married women, who are expected to become pregnant. They can experience "social scrutiny and ostracism" if they don't have children, she says.

"This is especially true in 'high-fertility' societies of sub-Saharan Africa, where infertile women suffer from 'barrenness amidst plenty,'" explains Inhorn, who is co-author of "Infertility Around the Globe."

She says the social suffering associated with infertility seems to be worse when women are expected to have many children, and can lead to depression, despair, and threats of divorce.

In sub-Saharan Africa, many infertility problems in women are related to untreated or poorly treated reproductive tract infections, which could easily be prevented with early detection.

However, Inhorn says most of the world's infertility cases involve male infertility, which is a "hidden" and neglected reproductive health problem.

"Women often carry the burden of their husband's infertility, even when they themselves are healthy and fertile," she says.

The Bridge Clinic claims to have had 1,253 live births since 2000. Treatment can cost up to $5,000, since maintaining a professional standard in a country with a lack of trained IVF staff is not cheap.

But healthcare, Ajayi says, is not about numbers.

"It's not just about making money, it's about actually doing something worthwhile and having a clear vision to solve a problem that the country needs solving and at the same time building a institution that outlives me," he says.

@highlight

In Nigeria there can be a stigma attached to childless marriage

@highlight

Infertility twice as common in Nigeria as U.S., according to expert

@highlight

Dr Richard Ajayi is helping make IVF easily accessible in In Nigeria