Washington (CNN) -- A new report by the U.S. Government Accountability Office has found "challenges" in securing thousands of pieces of radiological equipment spread throughout the United States that could become parts of a deadly "dirty bomb."

The materials, used in the oil, gas, aerospace, and food sterilization industries, can include everything from portable cameras that scan pipe welds to large research equipment.

"In the hands of terrorists, these sources could be used to produce a simple and crude, but potentially dangerous weapon, known as a radiological dispersal device or dirty bomb," David Trimble, the GAO's director of natural resources and environment, wrote in the report.

There are 4,162 containers of industrial radiological material spread among 498 licensees in the United States, according to the Nuclear Regulatory Commission. The material can be as small as a grain of rice or rods that are several inches long.

To evaluate security, investigators visited 33 industrial sites that use radiological sources in California, Colorado, Hawaii, Pennsylvania, Texas and Wyoming over the last two years.

An open door and fences that did not go all the way to the ceiling were found at one location. "The NRC inspector told us that the licensee was in compliance with NRC's security controls because the sources were secured through other measures -- such as locks and a motion detector," Trimble wrote in the report. "The inspector told us that while the security measures in place were not optimal, there were no apparent security violations."

Unsecured skylights were found at nine of the 33 sites visited, but the NRC inspector told the GAO those did not pose a security vulnerability because the radiological sources were locked in other containers.

At oil and gas facilities, the GAO found an apparent loophole that allows companies to place radiological material in separate containers in the same room, thus avoiding stricter regulations than would apply if the material were considered "collocated" in the same container.

When evaluating trucks equipped to carry portable devices that use the radiological material, the GAO found a wide variety of methods used to secure the material, ranging from high-security locks and alarms to simple padlocks and an army surplus container chained to a floor.

Four trucks with radiological sources have been stolen since 2005, the GAO found. All but one of the devices were recovered.

"Officials at seven of the 33 licensees we reviewed said that they have granted unescorted access to high-risk radiological sources to individuals with criminal histories," the GAO found. In two of the cases, the workers had serious criminal records, including one who was convicted of making terroristic threats against another person.

Several efforts are underway to increase radiological security, but the GAO found that "agencies that play a role in nuclear and radiological security are not effectively collaborating to achieve the common mission of securing mobile industrial sources."

The GAO recommended that agencies work together to provide security, seek input from companies using the radiological material, reconsider collocation rules and evaluate when someone with a criminal history is given unescorted access to radiological material.

The NRC and the National Nuclear Security Administration generally agreed with all of the recommendations.

Declassified report: Two nuclear bombs nearly wiped out North Carolina

@highlight

Investigators visited 33 sites in California, Colorado, Hawaii, Pennsylvania, Texas, Wyoming

@highlight

Door, fencing, worker criminal histories, lack of agency collaboration criticized

@highlight

GAO recommends that agencies work together to provide security, seek companies' input