(CNN) -- As scenic drives go, the Monaco Grand Prix is not a bad one.

Squeezed into a two-mile circuit looping around the streets of Monte Carlo are views of the world-famous casino, five-star hotels, A-list celebrities and a splash of the azure waters of the Mediterranean Sea.

The principality on the French Riviera covers less than a square mile -- just half the size of New York's Central Park -- but its legendary grand prix weekend packs a sensual punch despite its diminutive size.

"It's special," two-time Monaco Grand Prix winner Mark Webber tells CNN. "You've got the ocean, the background of the cliffs ... If they can't build a nice bit of road in Monaco, where can they do it?"

It's an unparalleled experience that stimulates all five senses for all involved.

Sight

From the open cockpit of an F1 car, hitting top speeds of 176 mph, the 22 drivers who line up for Sunday's race have a unique perspective on Monaco.

"Starting the lap you see the apartments, the five and six-storey buildings around the outside of the track," explains Webber, who finished his F1 career with world champions Red Bull Racing last season.

"You drive very close to the Casino, the top of the Hotel de Paris then, when you come along the harbor, you know there's water on the left and boats.

"The drivers do see things from a very different perspective -- if you went around the track sitting on a little skateboard then that is the same height we're at in the F1 cars. You know all these sights are there but you don't see much of them."

The squeezed crowd on the sidelines gets closer to the racing action than at any other F1 circuit in the world, and the Monaco GP is almost as famous for people-spotting as it is for the racing spectacle.

The four-day weekend attracts a 200,000-strong crowd as racing fans, royals and the rich and famous mingle in Monte Carlo, peering from their pews on hotel balconies and yachts, grandstands and roadsides.

Smell

Stirling Moss, a three-time race winner in Monaco between 1956 and 1961, remembered cheekily waving at female fans as he drove around the principality.

"When I won there in 2012 I could literally see the crowd standing up out of their seats in the last few laps," recalls Webber.

"Another classic thing about Monaco for me was recognizing some of the photographers as they're standing inside the barriers taking photos.

"There's been quite a few scenarios when you actually spot someone you know! On other tracks you don't see that."

Hearing

Racing around Monte Carlo's elegant, legendary circuit is not just a visual sensation -- the magic of Monaco piques each of the five senses.

"You might get a bit of the salt water," says Webber, pondering whether there was a particular scent in the Monaco air.

"I actually always thought it was cooler through the harbor section of the lap because you got a bit of a sea breeze -- but maybe that was a driver clutching at straws on a hot race day!

"The echo in the tunnel is also very unique. The tunnel is quite low so the cars used to be very loud through there."

Touch

When it comes to the business of the race weekend -- points and podiums -- it is a racing driver's instinct for feeling that is the sense that counts the most.

An F1 car may have high-tech sensors on every corner funneling information back to the engineering boffins on the pit wall, but no machine can understand what it feels like to grapple with the exacting streets of Monaco from the seat of the world's fastest racing cars.

"When you're driving you feel it in your butt, hips and back," reveals the 37-year-old Webber, who put his body through 217 grands prix before moving to endurance racing in Porsche sports cars in 2014.

"You also pick up sensations through your hands on the steering wheel.

"You're constantly putting information in the library in terms of sensation, grip level and how close you can go to the barriers.

"When you get out of the car after a couple of fast qualifying laps in Monaco, your heart rate is probably as high as anywhere it's ever going to be and you're sweating a bit more.

"You know what's at stake, any small error and you're going to pay a big, big price."

Over the last six decades of the F1 world championship, there have been layout changes to Monaco's street circuit but the precipitous, narrow racing roads remain largely unchanged.

The odd drain cover and fence might have been replaced but, unlike the purpose-built racing circuits in Bahrain and Texas, there are no runoff areas or pace-slowing pools of gravel traps.

If a driver loses concentration, he can find himself in the wall or following Albert Ascari's fabled 1955 dip into the Mediterranean.

Even the fearless Ayrton Senna -- who won the Monaco GP a record six times -- admitted to reeling in his racing instincts around Monte Carlo.

The Brazilian, who was killed in a crash at the 1994 San Marino Grand Prix, famously spoke of entering a trance-like state as he attacked the Monaco track.

"I felt the circuit was no longer really a circuit ... I suddenly realized that I was over the level that I considered reasonable," Senna said after dominating qualifying at the 1988 Monaco GP, though he spun out late in the actual race while leading.

"I think every racing driver can try to relate to what he was talking about," Webber says. "He did some laps round there which were two seconds clear of the field, which is unheard of.

"But at Monaco, more so than anywhere, the most important thing is the next corner, so all of your energy and concentration to get the car on the limit through the next corner is incredible.

"It's going to drive you to that narrower focus point that Ayrton touched on a lot around there, because that's what the track demands.

"Physically Monaco is not that draining but mentally it is massive."

Taste

Each year, the ability to master the senses in Monaco rewards one driver with the sweetest sensation of them all -- quaffing champagne from the top step of the podium.

"I'm not big into the red carpet stuff," Webber says with a dose of his down-to-earth Australian understatement. "But Monaco is up there for us as drivers and as race teams.

"You have the victory champagne on the race track, which is brilliant. We spray the champagne over the mechanics, whoever's in sight. Generally we try to spray the police but they're a bit serious so we give them a nudge.

"Then we spray the car and the track. It's how it should be, in my opinion. A lot of traditional things have been lost but Monaco still has those in abundance.

"To win in Monaco is certainly worth a few victories. There are a few guys who'd like to have that one -- and it's certainly a proud moment for me."

The Monaco Grand Prix remains one of the most challenging races for any driver but, odd as it may seem, the F1 cockpit offers a form of escapism.

With charity football matches and fashion shows to attend, not to mention catching a skiff from one side of the harbor to the other, the drivers are in danger of sensory overload.

"The first thing that hits you at Monaco compared to other tracks is how claustrophobic it is," adds Webber, who chose not to join peers such as Jenson Button, Lewis Hamilton and Nico Rosberg in making Monaco his home.

"It is a bit of a zoo because it's such a small area and you have so many people there.

"There are some quiet areas. On a Friday I always went for a ride on my bike and got away from Monaco altogether.

"It's difficult to explain to people who haven't been there, but you've got to have tried pretty hard to get away from the chaos."

It may be the slowest, shortest, smallest grand prix of the year, but when it comes to epicurean delights and distraction Monaco remains F1's crown jewel.

Interactive: Experience the thrills of Monaco

@highlight

Monaco is the only F1 race in motorsport's prestigious "Triple Crown"

@highlight

Two-time winner Mark Webber says fans are so close drivers can see familiar faces

@highlight

Australian says drivers feel the track in "butt, hips and back" at Monte Carlo

@highlight

"It is a bit of a zoo," says Webber of showpiece race, which attracts rich and famous