(CNN) -- Mass protests unfolded in Syria on Friday, and related unrest reverberated across the Lebanese and Turkish borders in a volatile day that left at least nine people dead.

Rami Abdelrahman of the London-based Syria Observatory for Human Rights said four people died in Homs and one in Deir El Zour during demonstrations in Syria.

Fighting over the Syrian issue left at least four dead in Lebanon, and the number of Syrian refugees now in Turkey is approaching 10,000.

Protests swarmed several towns big and small across the country, including the Damascus area, Latakia, Homs and Hama, where thousands rallied, Abdelrahman said.

There were reports of detained demonstrators and the military deployment of tanks. There were reports of gunfire in Banias, a coastal city, Abdelrahman said.

The government's state-run TV said Syrian security personnel were injured by "militants" in the Damascus suburb of Al-Qaboun.

The Syrian government has consistently blamed the protest casualties on "armed gangs," and the TV report said the injuries occurred when the perpetrators opened fire in Al-Qaboun, just outside the capital.

Nearly 1,000 people in the northern Lebanese city of Tripoli gathered Friday after prayers "in a demonstration in support for the Syrian people," the Lebanese National News Agency reported, and fighting ensued between Lebanese Alawites and Sunnis.

Clashes in Tripoli killed one soldier and three civilians and injured two soldiers and 10 civilians, the army said. The news agency said one of those killed was an official with the Democratic Arab Party, an Alawite entity.

The Lebanese prime minister, Najib Nikati, said the army dispatched reinforcements to Tripoli neighborhoods to impose law and order.

The Alawite faith is an offshoot of Shiite Islam that dominates Syrian leadership; President Bashar al-Assad is an Alawite. The majority of Syrians are Sunni Muslim.

There's been tension between the two groups in Lebanon. Alawites and Sunni/leftist militias fought at different junctures during the 1975-90 civil war until the Syrians established a presence there.

The majority of the Sunnis in Tripoli loathe the Syrian regime, but the Alawites in northern Lebanon thrived during the Syrian presence. Tensions have increased between the groups during the most recent Syrian crisis.

And as international powers urge Syria to initiate serious reforms and stop its bloody crackdown against demonstrators, Rami Makhlouf, the powerful head of the Syriatel phone company and part of the regime's inner circle, has announced that he plans to quit his business and go into charity work.

Makhlouf, who is the cousin and confidant of al-Assad's, is widely unpopular among protesters and is a symbol among many citizens of the regime.

His move, announced Thursday, is seen by some observers as an effort to placate anti-government sentiment. Abdelrahman said he thinks Makhlouf's decision came as a result of this week's talks between Turkey and Syria to find a solution to the crisis and stem the Syrian refugee flow to Turkey.

"The people are aggravated by his control over the economy," Abdelrahman said.

Makhlouf's name reverberated at one of Friday's mass demonstrations. A crowd chanted "No to Makhlouf, no to Assad; we just want Syria free," according to an Arabic-language news network.

Mass protests with specific themes have been held every Friday for weeks after Muslim prayers.

Opposition leaders Friday planned demonstrations dubbed "Friday of Saleh al-Ali," referring to a prominent Alawite who commanded one of the first rebellions against the French mandate of Syria in the early 20th century.

Some opposition activists said they hope the name prompts the powerful minority ruling class, which is composed primarily of Alawites, to join the demonstrations demanding the fall of the al-Assad regime.

They also say the name sends the message that their demands are not directed against Alawites but against the regime.

Demonstrators began protests three months ago in the southern city of Daraa and immediately were greeted by a tough government response. Anti-government sentiment caught fire, and protests spread across the country, leaving more than 1,100 dead and thousands more incarcerated.

Many Syrians fleeing the violence continued to pour across the Turkish border.

Actress Angelina Jolie, who is a goodwill ambassador for the U.N. refugee agency, went to southern Turkey on Friday to visit the refugees, a trip aimed at shining a spotlight on the plight of civilians in the country. She was headed to a camp in Altinozu.

Turkey's state-run Anatolian Agency reported Jolie's arrival at the Hatay airport. Officials greeted her amid tight security, and provincial officials arranged vans for her transportation to the Altinozu refugee camp.

"Toys unloaded from the plane were loaded to one of the vans in her convoy," the report said.

Refugees there are housed in warehouses at an old tobacco factory, and they staged a demonstration at the camp. They held up signs that said "Our military is killing its own people, please make it stop" and "U.N., help us please," and people chanted "stop killing children" and other anti-regime slogans.

The number of Syrian refugees in Turkey now stands at 9,693, according to a provincial Turkish official. Many of them escaped a security crackdown in and around the town of Jisr al-Shugur, and many took refuge in Syrian locations near the border.

Gunshots rang out near the border, according to Mohammed, an activist and resident of Jisr al-Shugur based along the border, and people think the Syrian army might be a few miles away.

CNN's Nada Husseini, Arwa Damon and Saad Abedine contributed to this report.

@highlight

At least five deaths are reported in Syria

@highlight

Four people are killed in Lebanon during clashes

@highlight

Angelina Jolie is visiting refugees in southern Turkey

@highlight

Syria state TV reports "militants" open fire on security