(CNN)Duty. Honor. Country.  These words were chiseled in granite above me, printed on the diploma in my hands and engraved on my class ring. I had just completed a four year regimen that had been honed over 174 years to be difficult.

The year was 1976. I had just graduated from West Point. In return for four years of education, I owed the nation at least five years of Army service.

I became a "service member." But like most of my peers, I wasn't really thinking much about service. At age 21, I was more focused on the adventures ahead -- of becoming a good officer and leading soldiers.

After 34 years in the U.S. military, I learned that Armies are built soldier-by-soldier, platoon-by-platoon.  Like the bricks in a house, the soldiers in each unit contribute to a great military, just as the citizens of each neighborhood help determine whether the nation stands strong.  Nothing is more important than developing in our citizens a sense of responsibility to each other -- and to the nation.

The Franklin Project is an initiative that I chair at the Aspen Institute. Our goal is to have 1 million young Americans each complete a civilian service year by 2023. We envision an American version of national service that is voluntary but socially expected.

Today, as part of this effort, I'm calling for a few cities across the country to step up and lead by becoming Service Year Cities.

What if, upon graduating from high school, every young person in these cities is given an opportunity to complete a service year with other young people? Each city could commit to a plan with an initial goal of having at least 25% of their graduating students from high schools stay in their communities to serve for a year.

Like many Americans, I believe our country would benefit greatly if we were to unite around a commitment to service. Creating model towns and cities of service across America could provide powerful local examples that capture our collective imagination and create ripple effects for more service opportunities.

I've seen the benefits firsthand. In early 1977, I joined the 82nd Airborne Division and found myself leading a platoon of paratroopers.  Most of my platoon came from modest backgrounds and had joined the still young "Modern Volunteer Army" for financial reasons.  It was a built-in cultural clash, as I, the son and grandson of career officers, fresh from the cloistered world of West Point, was put in charge of a group of young men who came from different socio-economic and ethnic backgrounds.

But despite our differences, we all came together to solve complex problems.  In the process, often haltingly, we watched each other grow -- first into comrades -- and slowly, almost imperceptibly, into professionals.  Together we had become real soldiers and real citizens.

I'm not the first soldier to notice the unique advantage we gain as a country when mechanisms are put in place to bring people of diverse backgrounds together around shared values.  In 1796, President George Washington wrote  that it was "of the highest importance ... that (in) the juvenal period of life, when friendships are formed, and habits established, that will stick by one; the youth ... from different parts of the United States would be assembled together, and would by degrees discover that there was not that cause for those jealousies and prejudices which one part of the Union had imbibed against another part."

President Washington's words ring even truer in today's America, where we see disconnectedness starkly within our own communities. If I were graduating from high school today, I'd be less likely to have experienced the world alongside someone different from me. My high school would be less diverse than it was in 1970. I would likely live around people who made just as much money as my parents.

The creation of Service Year Cities around our country would enable us to make progress toward overcoming these divides while solving pressing local problems. As part of this Service Year City effort, cities would commit to growing service year opportunities for young people and include this in the city's strategic planning, as Mayor Dayne Walling has done in Flint, Michigan. New York City plans to double its number of service year opportunities from 5,000 to 10,000.

Another template for a Service Year City could focus on mobilizing universities and community colleges to commit to a plan that integrates a service year into their students' experience. Tufts University and Tulane University have both created such programs within the last year.

Depending on the needs of your city, young people could be mobilized in one or two major projects, or placed in an array of organizations across the city. The young people in your city's service cohort would also have an opportunity to interact with one another through social events in the city, joint training, and educational seminars. The participants would be part of an alumni group that could serve as a civic resource for your city for decades to come.

This will not be easy, but it is completely possible. I learned from my decades as a soldier that the best solutions are designed by people closest to the problem. The experience would make these young people better community members, employees, citizens and leaders.

Our partners at the National Conference on Citizenship are building a Service Year exchange, an online platform to connect all the young people, service organizations and funders. In part to assuage the concerns of parents worried that a service year could get their kids off track, the Franklin Project, and others are working to ensure that a service year becomes an accelerant to getting a job and gaining admission to college.

Imagine if your town were able to look at a huge cohort of your young people as proudly as our country looks at our men and women in uniform. I fundamentally believe that Service Year Cities have the power to transform our culture of service and ultimately create a country in which all young Americans have the opportunity to serve.  This experience would not just change the trajectory of one young person's life for the better, but the trajectory of our cities and our nation as a whole.

Follow Franklin Project @FranklinProj and Stan McChrystal @StanMcChrystal

@highlight

Stan McChrystal: I call for cities across the nation to lead by becoming Service Year Cities

@highlight

McChrystal: What if one million young Americans each complete a civilian service year by 2023?