(CNN) -- Harvard is caught up in a student cheating scandal that its dean of undergraduate education calls "unprecedented in its scope and magnitude." As a Harvard grad, I am embarrassed, but what has me really worried is that Harvard, despite officials acknowledging the seriousness of what has happened, gives signs of trying to finesse the consequences of the scandal where key athletes are concerned.

The scandal centers on 125 students, as many as half of them varsity athletes from the men's basketball, baseball and football teams, according to The Boston Globe. They stand accused of copying from one another or plagiarizing on a take-home exam in a spring 2012 government course, "Introduction to Congress," with an enrollment of 279.

At Harvard the standard penalty for cheating is that a student can be asked to withdraw from the university for a year. In the case of athletes, withdrawal means the loss of a year of athletic eligibility, according to the NCAA, if they are forced to leave after they have registered for classes.

Harvard is seeking to avoid that problem. The secretary of Harvard's Administrative Board, the body that rules on individual cheating cases, sent around an internal e-mail to resident deans saying that fall athletes might "consider taking [a leave of absence] before their first game."

The internal e-mail, obtained by The Crimson, Harvard's student paper, and confirmed by a resident dean, sends a clear message. You may be guilty of cheating, but here is a strategy for reducing the damage you suffer to a year's unpaid vacation.

This advice may be Harvard's idea of academic integrity, but it certainly falls short of what a university should aim for. Fortunately, there is an example Harvard might learn from -- that of West Point, which in 1951 experienced a massive cheating scandal that involved a disproportionate number of athletes.

On August 3 that year, West Point announced that it was expelling 90 cadets, including the son of its legendary football coach, Earl "Red" Blaik, for cheating on their exams by passing along answers. The West Point honor code is clear. It says, "A cadet will not lie, cheat, or steal, or tolerate those who do it," and West Point authorities upheld their honor code despite the consequences.

News: Allegations of widespread cheating in government class probed at Harvard

Academy authorities did not try, as Harvard already has, to figure out a way to follow the letter of the law but make sure there was minimal damage to its athletic program. When fall football practice opened in 1951, Army, a national powerhouse in 1950, was able to muster a squad that included only 31 players; just two of whom were lettermen.

"I guess we can take a losing season," Blaik told the media. That is exactly what happened. Army, which in 1950 was ranked No. 2 in the nation, became a losing team in 1951, winning only two games while dropping seven. It became a team nobody feared, losing to Navy by 35 points in its final game of the season.

Maj. Gen. Frederick Irving, the superintendent of West Point, did not back away from the academy's decision to expel the 90 cadets caught cheating. "The man who cheats at West Point cheats every man who will graduate with him," Irving told those who complained he was acting too harshly.

At West Point the origins of the cheating scandal were traced to a small group of football players, and at Harvard the most noteworthy early withdrawals from the school are those of the senior co-captains on the basketball team, which in recent years has been faced with troubling questions about its players and coach.

Last season, after decades of fielding mediocre basketball teams, Harvard was ranked among the nation's top 25 in basketball, and at the heart of the basketball team's success was a program dogged by controversy ever since Harvard hired former University of Michigan coach Tommy Amaker in April 2007.

Getting Amaker to come to Harvard was not easy. It required the Friends of Harvard Basketball, an alumni group dominated by ex-players. chipping in money to improve Amaker's salary, with, The Harvard Crimson reported, the full knowledge of Harvard's athletic director.

Amaker then got himself into hot water by recruiting players with lower academic profiles than his predecessor had recruited. He was investigated for a possible violation of NCAA rules for allowing a coach, whom he would later hire as his assistant, to work out with a player Harvard was trying to recruit.

A five-month Ivy League investigation into Amaker's recruiting practices cleared him of wrongdoing, but the tone was set for a sports program based on cutting corners and winning at all costs. Before the 2008 season began, Amaker called in five players the previous coach had recruited and told them there were no spots for them on the varsity team. Their basketball careers at Harvard were finished.

The ball is in the court of Harvard President Drew Gilpin Faust to deal with the basketball program and the cheating scandal. The author of the widely praised history, "The Republic of Suffering: Death and the American Civil War," Faust has been a welcome change from her predecessor, Larry Summers, Bill Clinton's secretary of the treasury and for two years director of the National Economic Council in the Obama administration.

In contrast to Summers, who constantly alienated faculty with his imperious ways, Faust has carefully built consensus. As a result, everyone connected with Harvard gave her enormous leeway in her decision-making.

Now, Faust's period of grace is over, thanks to the national publicity surrounding the cheating scandal. The future of an ethics-skirting basketball program is in the spotlight, and so are the teaching practices that led massive numbers of students to cheat in a course many originally took because it had a reputation for being easy.

Whether Faust, who has said the accusations of cheating "go to the core of what is most valuable to us," will show the backbone that Maj. Gen. Frederick Irving did 61 years ago is an open question. But the least she can do is set the bar higher than Harvard's secretary of the administrative board did by advising the university's athletes how to beat the system by minimizing the consequences of their cheating.

The opinions expressed in this commentary are solely those of Nicolaus Mills.

@highlight

Harvard is embroiled in a cheating scandal involving 125 students, many varsity athletes

@highlight

Nicolaus Mills: Memo advised athletes how to work around losing a year of athletic eligibility

@highlight

Mills: College's successful basketball program has been plagued by controversy

@highlight

Mills: West Point gutted its football team to be fair to all during its cheating scandal