IP-455 Press Release 8 February 2008   The findings of a Scotland Yard inquiry into how Mohtarma Benazir Bhutto died after being attacked during a political rally in Rawalpindi were presented to the Government of Pakistan today.

The bomb explodes near Bhutto's vehicle following a political rally in Rawalpindi.

The conclusions of the inquiry were outlined in a detailed report handed over to interim Interior Minister Hamid Nawaz by Detective Superintendent John MacBrayne, accompanied by a senior official from the British High Commission, during a meeting in Islamabad.

The text of the executive summary of the report is as follows:

On the 27th December 2007, Mohtarma Benazir BHUTTO, the leader of the Pakistan People's Party (PPP), died as a result of being attacked in Rawalpindi, Pakistan.

Following discussions between the Prime Minister and President Musharraf, it was agreed that officers from the Metropolitan Police Counter Terrorism Command (SO15) should support the investigation into Ms Bhutto's death. The primary focus of the Scotland Yard team was to assist the Pakistani authorities in establishing the cause and circumstances of Ms Bhutto's death. The wider investigation to establish culpability has remained entirely a matter for the Pakistani authorities.

The SO15 team was led by a Detective Superintendent Senior Investigating Officer, and comprised two forensic experts, an expert in analysing and assessing video media and an experienced investigating officer. The team arrived in Pakistan on 4th January 2008 and spent two and a half weeks conducting extensive enquiries. During the course of their work, the team were joined by other specialists from the United Kingdom.

The UK team were given extensive support and co-operation by the Pakistani authorities, Ms Bhutto's family, and senior officials from Ms Bhutto's party.

The task of establishing exactly what happened was complicated by the lack of an extended and detailed search of the crime scene, the absence of an autopsy, and the absence of recognised body recovery and victim identification processes. Nevertheless, the evidence that is available is sufficient for reliable conclusions to be drawn.

Within the overall objective, a particular focus has been placed on establishing the actual cause of death, and whether there were one or more attackers in the immediate vicinity of Ms Bhutto.

The cause of death

Considerable reliance has been placed upon the X-rays taken at Rawalpindi General Hospital following Ms Bhutto's death. Given their importance, the x-rays have been independently verified as being of Ms Bhutto by comparison with her dental x-rays. Additionally, a valuable insight was gained from the accounts given by the medical staff involved in her treatment, and from those members of Ms Bhutto's family who washed her body before burial.

Ms Bhutto's only apparent injury was a major trauma to the right side of the head. The UK experts all exclude this injury being an entry or exit wound as a result of gunshot. The only X-ray records, taken after her death, were of Ms Bhutto's head. However, the possibility of a bullet wound to her mid or lower trunk can reasonably be excluded. This is based upon the protection afforded by the armoured vehicle in which she was travelling at the time of the attack, and the accounts of her family and hospital staff who examined her.

The limited X-ray material, the absence of a full post mortem examination and CT scan, have meant that the UK Home Office pathologist, Dr Nathaniel Cary, who has been consulted in this case, is unable categorically to exclude the possibility of there being a gunshot wound to the upper trunk or neck. However when his findings are put alongside the accounts of those who had close contact with Ms Bhutto's body, the available evidence suggests that there was no gunshot injury. Importantly, Dr Cary excludes the possibility of a bullet to the neck or upper trunk as being a relevant factor in the actual cause of death, when set against the nature and extent of her head injury.

In his report Dr Cary states:

• "the only tenable cause for the rapidly fatal head injury in this case is that it occurred as the result of impact due to the effects of the bomb-blast."

• "in my opinion Mohtarma Benazir Bhutto died as a result of a severe head injury sustained as a consequence of the bomb-blast and due to head impact somewhere in the escape hatch of the vehicle."

Given the severity of the injury to Ms Bhutto's head, the prospect that she inadvertently hit her head whilst ducking down into the vehicle can be excluded as a reasonable possibility.

High explosives of the type typically used in this sort of device, detonate at a velocity between 6000 and 9000 metres per second. This means that when considering the explosive quantities and distances involved, such an explosion would generate significantly more force than would be necessary to provoke the consequences as occurred in this case.

It is also important to comment upon the construction of the vehicle. It was fitted with B6 grade armour and designed to withstand gunfire and bomb-blast. It is an unfortunate and misleading aspect of this case that the roof escape hatch has frequently been referred to as a sunroof. It is not. It is designed and intended to be used solely as a means of escape. It has a solid lip with a depth of 9cm.

Ms Bhutto's injury is entirely consistent with her head impacting upon the lip of the escape hatch. Detailed analysis of the media footage provides supporting evidence. Ms Bhutto's head did not completely disappear from view until 0.6 seconds before the blast. She can be seen moving forward and to the right as she ducked down into the vehicle. Whilst her exact head position at the time of the detonation can never be ascertained, the overwhelming conclusion must be that she did not succeed in getting her head entirely below the lip of the escape hatch when the explosion occurred.

How many people were involved in the immediate attack?

There has been speculation that two individuals were directly involved in the attack. The suggestion has been that one suspect fired shots, and a second detonated the bomb. All the available evidence points toward the person who fired shots and the person who detonated the explosives being one and the same person.

• Body parts from only one individual remain unidentified. Expert opinion provides strong evidence that they originate from the suicide bomber.

• Analysis of the media footage places the gunman at the rear of the vehicle and looking down immediately before the explosion. The footage does not show the presence of any other potential bomber.  • This footage when considered alongside the findings of the forensic explosive expert, that the bombing suspect was within 1 to 2 metres of the vehicle towards it rear and with no person or other obstruction between him and the vehicle, strongly suggests that the bomber and gunman were at the same position. It is virtually inconceivable that anyone who was where the gunman can clearly be seen on the media footage, could have survived the blast and escaped.

The inevitable conclusion is that there was one attacker in the immediate vicinity of the vehicle in which Ms Bhutto was travelling.

In essence, all the evidence indicates that one suspect has fired the shots before detonating an improvised explosive device. At the time of the attack this person was standing close to the rear of Ms Bhutto's vehicle. The blast caused a violent collision between her head and the escape hatch area of the vehicle, causing a severe and fatal head injury.

John MacBrayne QPM Detective Superintendent Counter Terrorism Command 1st February 2008 E-mail to a friend

@highlight

Scotland Yard releases report into assassination of Benazir Bhutto

@highlight

Only apparent injury was a major trauma to the right side of the head

@highlight

UK experts all exclude the injury being a wound as a result of gunshot

@highlight

Injury consistent with her head impacting upon the lip of vehicle escape hatch