(CNN) -- "Carrying bottled water is on its way to being as cool as smoking while pregnant," claims the video "The Story of Bottled Water,"  which debuted on YouTube last month and garnered more than 450,000 views.

Is it true? Are liters of Evian now beyond the pale? Is Dasani déclassé? Has bottled water become the new eco-no-no?

Not quite yet. Though water sales have seen a recent downturn, plenty of folks are still paying for their daily hydration.

In fact, Annie Leonard's video points out, Americans buy more than 500 million bottles of the stuff every week. It's second only to soda in popularity, and some industry analysts believe that by next year water will become the most-purchased beverage in the country.

She wants to redirect the flow of water. The bottled water companies, the video insists, are "scaring us, seducing us, misleading us" into buying their products. Leonard, the writer and narrator, gives plenty of reasons why more and more people want to "take back the tap."

But the International Bottled Water Association accuses the video of "numerous false and misleading statements."

"'The Story of Bottled Water' takes a very cynical view of the intelligence of consumers by depicting them as being dupes and victims of industry," said Tom Lauria, IBWA's vice president of communications. "We think the opposite; that consumers are really quite thoughtful in selecting and enjoying a safe, healthy, convenient, calorie-free beverage that's delicious, refreshing and a very smart drink choice."

However, Leonard argues that not only does tap water often beat out bottled in blind taste tests, but bottled is often less regulated than tap. Tap water is monitored by the Environmental Protection Agency, whose standards are generally stricter than the Food and Drug Administration, which oversees most bottled-water sales.

Also, she says, tap water is certainly cheaper -- thousands of times cheaper. Not to mention that some of the best-selling bottled waters -- Pepsi's Aquafina and Coca-Cola's Dasani among them -- are, actually, nothing but filtered tap water. The companies have spelled this out on labels after pressure from the consumer watchdog group Corporate Accountability International.

Add the fact that, according to Leonard, the amount of petroleum used to make water bottles every year is "enough to fuel a million cars" and that 80 percent of supposedly recyclable plastic bottles end up in landfills, you have the makings a ecological crusade.

IBWA counters on its website that bottled water containers are 100 percent recyclable and the bottles are "the nation's most recycled plastic container."

To back up its claims, the organization put its own video "Good Stewards" on YouTube.

The bottle backlash has been bubbling up for a while.

Tapping into civic pride

What the video calls "one of the dumbest moves in advertising history" happened back in 2006. High-end brand Fiji started a campaign intended to tout its expensively-imported-from-the-tropics water. "The label says Fiji because it's not bottled in Cleveland," read the copy in a series of glossy magazine ads. This did not sit well with the good people of Cleveland, Ohio, who were rather proud of their city's tap water.

Cleveland Public Utilities director Julius Ciaccia had the local water tested against the pricey bottled stuff. Fiji water had 6.31 micrograms of arsenic per liter; the city tap had zero. The company disputed the findings, but the first major battle of the water wars left Fiji looking less than pure.

Thou shalt not bottle

Initial organized resistance to the bottled water industry came not from the usual urban green crowd, but from Christian groups. In 2006, members of the National Coalition of American Nuns pledged to avoid bottled water unless absolutely necessary.

Later that year, the United Church of Christ partnered with the National Council of Churches to produce a documentary, "Troubled Waters," about the ethics of water use, which aired on ABC. For many progressive people of faith, the very idea of privatizing water -- profiting from a shared natural resource -- is abhorrent. Bottled water is not just bad for the environment; to some, it's a sin.

Restaurants follow suit

Since Perrier started marketing its mineral water as a luxury item in the 1970s, American restaurants have made a point of offering customers bottled water with their meals. But then famed California chef Alice Waters banned bottled water at her restaurant, Chez Panisse, in 2006. The next year she started serving patrons home-engineered sparkling water.

Other Bay Area restaurants followed suit, and the idea made its way to New York, where celebrity chef Mario Batali's fanciest joint, Del Posto, banned the bottle. The idea became fashionable enough that a 2007 article in the online magazine Slate talked about the "reverse snob appeal" of tap water.

Bottle Bans

A growing number of schools have active anti-bottled water movements. Washington University in St. Louis, Missouri, was probably the first college to ban all bottled water sales on campus, back at the beginning of 2009; the University of Portland did the same a few months ago. Similar bans are being discussed at Wesleyan, American University and Evergreen State College, among other schools.

Local governments are also getting into the act. San Francisco, California, Mayor Gavin Newsom was a pioneer, forbidding the use of city money to buy bottled water back in 2007. Seattle, Washington, followed suit the next year. During the recent Winter Olympic Games, Vancouver, British Columbia, started a campaign to encourage visitors to choose free local water over the bottle -- even though Dasani bottler Coca-Cola was a sponsor of the Games.

Bottles under a microscope

Journalist Michael Pollan has turned into a hero -- and a best-selling author -- with his eco-conscious explorations of the food system; Morgan Spurlock found fame with his anti-fast food documentary "Super Size Me." Might bottled water be the new frontier in activist journalism?

Reporter Elizabeth Royte was ahead of the curve with her 2008 book "Bottlemania," a look at the people and economies behind the water industry.

Environmental scientist Peter Gleick has just published "Bottled and Sold: The Story Behind Our Obsession with Bottled Water," which includes more than 100 bottled water recalls on everything from mold contamination to algae, bacteria, glass particles and -- believe or not -- crickets.

Meanwhile "Tapped," a new feature-length documentary by Stephanie Soechtig, has been screening the country with a "Get Off the Bottle" tour.

Greener bottles

Bottled water companies haven't simply ignored all the criticism. The Nestle company, which bottles several brands of water, issued a study pointing out that water has a lower environmental impact than sports drinks and other beverages.

Both Coca-Cola's Dasani and Pepsi's Aquafina have introduced new bottles that are supposedly "greener" than those used before. And Fiji maintains charitable and ecological campaigns to highlight the company's awareness.

"Greenwashing" is the view of many in the environmental movement, who believe that this is all nothing but PR spin.

@highlight

Advocacy video claims consumers are being scared into buying bottled water

@highlight

Bottled water industry claims it's a smart choice to buy bottled water

@highlight

Critic Annie Leonard: Some bottled water is tap water; plastic bottles pollute

@highlight

Industry says bottled water containers are 100 percent recyclable