(CNN) -- Friends and strangers across the country gathered on the streets and in schools, churches, bars and auditoriums to celebrate the inauguration of Barack Obama as the first African-American president of the United States.

A diverse crowd in Los Angeles, California, cheers as Barack Obama takes the oath of office Tuesday.

"It's a great day to be an American," iReporter Roger Germann said at Chicago's Shedd Aquarium, where revelers watched the inauguration on television monitors among exhibits of sharks and otters.

Tuesday's inauguration brought together Americans from different walks of life, united in their hope that Obama will deliver on his promise to change the nation's course. Click the links to read views on President Obama's inauguration from people across the country.

Reaction to speech What Obama means to Americans Hopes for Obama

Reaction to speech

Public inauguration-viewing parties were held in auditoriums, schools and arenas across the country, where the atmosphere mirrored the excitement in Washington.  Watch people react at viewing parties »

"People are cheering here as if they were there," Irene Koehler of Fremont, California, said of the atmosphere in Oakland's Oracle Arena.

More than 200 parishioners from the First AME Church, the largest African-American Church in Los Angeles, gathered in the recreation hall to pray together and share in the excitement of an historic moment

Dressed in Obama shirts and hats, the level of audience participation had the effect of transporting the crowd to Washington.

They stood when Sen. Dianne Feinstein asked the crowd to "please stand" and bowed their heads in prayer. They sang along with Aretha Franklin and even took pictures of the screen when Obama appeared.

A handful of viewers had tears in their eyes, but most were filled with "pure joy."

"On Election Night, I was full of tears. I am all cried out -- it is all about joy now," said 72-year-old Shirley Turner-Haymer, the granddaughter of a former slave.

Even young parishioners derived some significance from the event.

"It's really inspirational that we have a black president now ... because now I could see I can do whatever I want," said David Colvin, 10.

Lynn Gabriel Thomas, far right, says she is watching the inauguration in honor of her father.

Lynn Gabriel Thomas, daughter of Tuskegee Airman Daniel Moore, was one of about 300 people who crammed into the Jackie Robinson Center in Pasadena, California, to watch the inauguration.

"My father would be so thrilled to see this, Barack Obama being sworn in." Thomas said. "He loved parades, and he hated crowds. I'm here for him."

Across the country in New York's Bronx borough, students huddled in the halls of a school to watch the ceremony on a projection screen.

"They were cheering; they were clapping; they were in awe because everything we had talked about they were able to see," teacher Marta Rendon said.

"When they heard Obama's speech, they were right there clapping and screaming with the rest of us. It was really something. It was really amazing.  Watch Obama promise hope over fear »

More than 100 people gathered at the central library in downtown Minneapolis, Minnesota, to watch the ceremony.

"It was really exciting to see people being excited about the country and really happy about there being a new president. And it was great to see such a collective sense of community ... hope and happiness," said Jessica Namakkal, a 29-year-old graduate student from Minneapolis.

"I think Obama's speech was great and that he really addressed the past eight years in a diplomatic and fair way, while also sort of pushing forward in a good way."

The unusually bitter cold affected the turnout at Daytona Beach, Florida's, outdoor inauguration celebration, forcing people to take shelter at a local bar.

Sean Mingo and his mother, Joan, watched the inauguration in Daytona Beach, Florida.

More than 50 people packed into Mai Tai to watch the inauguration on television. Among them were Joan Mingo and her 13-year-old son, Sean, who stayed home from school to watch Obama take the oath of office.

"This is very historical," said Sean, who followed Obama's campaign and watched every debate. "Obama is inspiring. I want to work in politics."

Sean said his favorite line of Obama's speech was "we will extend a hand if you are willing to unclench your fist."

As Obama was sworn in, the coffee-drinking bar patrons laughed, applauded and wiped tears from their eyes.

"Obama gives us hope, son, that you can be whatever you want," Joan Mingo said to her son.

What Obama means to Americans

Obama's rise holds special meaning for Solas B. Lalgee, who was in New York's Times Square for the inauguration.  View images from the inauguration »

"I'm ecstatic," said Lalgee, 30, whose father is from the West Indies. "It's the first time in my life I've ever had someone to look up to. I'm a mixed, multi-ethnic, multinational person, and I've never had someone I could look up to politically and say, 'That's somebody who can represent me. That's somebody who I can relate to. That's somebody that my family can relate to,' and the fact that he actually made it into office is just ... it gives me hope that I can do whatever I want to do in my life and not have a glass ceiling above me."

"To me, as an immigrant, it really means a lot to see a son of immigrants -- not only an African American but a son of immigrants -- come to the highest office in the land," she added. "There's hope. And I hope to transmit that to my children."

Chinoise Noble and her mother, Yolanda Lee-Singleton, watched the inauguration in Los Angeles' Nokia Plaza.

In California at downtown Los Angeles' Nokia Plaza, 23-year-old Chinoise Noble clutched a photograph of her grandmother as tears streamed down her face.

She said she brought the photo so her late grandmother could be with her on a day though that her grandmother never believed would come.

She "would never in a million years have thought there'd be a black president!" Noble said.

In Birmingham, Alabama, the site of racial turmoil during the Civil Rights era, Fred Jemison had high hopes for the Obama administration.

"The biggest thing that I look forward to, that I anticipate from this, is unity throughout the country, racially and politically," Jemison told CNN affiliate WBMA at Birmingham's Boutwell Auditorium.

At the Jewish Home, a senior living facility in Los Angeles' San Fernando Valley, about 70 residents and staff members watched the inauguration.

"This is wonderful and exciting," said 92-year-old Sylvia Segal, wearing a Barack Obama T-shirt. "There's never been an inauguration like this one, with so many millions giving respect to the United States and an extraordinary man."

Shelly Balzac, 81, said that he voted for Obama and that when he was a teenager, his father took him to Chicago's Soldier Field to witness Franklin Delano Roosevelt campaigning.

"It's momentous when you look at the conglomeration of all citizens of all colors and all creeds," said Balzac, a World War II veteran who said he witnessed the "dehumanizing of blacks" during those years and fought against it within the U.S. military.

"It is an emotional day for me," Balzac said. "I realize the tremendous stride in making this a more unified country."

Stan Keller and his daughter, Nancy, watch the inauguration at the Jewish Home in Los Angeles.

"I was crying inside all day," said Stan Keller, 88. He said Obama has inspired him to try to make a difference in the world.

"I came on Earth to make it a better place to live. I get that inspiration from this man," he said.

iReporter Lee Ann Schmidt of Danbury, Connecticut, watched at home with her husband and two dogs.

"Just to be alive in this time to witness this, it means more to me than anything," she said. "I'm 35. My generation has never really seen the entire country come together in a positive way like this. It really does give me hope for our country."

In Raleigh, North Carolina, iReporter Sam Shaber watched the events with his parents at their house.

"We are all snowed in and have a bottle of champagne ready," he said. "I am gay, and to have just any minority be elected is such a milestone in so many ways."

Hopes for Obama

Jeff Teasley, a 49 year-old Navy veteran from Cheyenne, Wyoming, has been disabled since he hurt his back in 1990.

Jeff Teasley, in his home in Cheyenne, Wyoming, hopes Obama is "the best thing since running water."

Teasley, a Republican who did not vote for Obama, was less enthusiastic over Obama's inauguration. Like many here in Wyoming, he fears that President Obama will expand the government and pass the cost onto people like him.

"With bigger government comes bigger taxes and with bigger taxes comes more strain on everybody's households."

But Teasley said he is still rooting for the new president.

"I hope he pulls it off. I hope he's the best thing since running water because we need a leader, we need someone to direct these people in Washington."

Others were more optimistic.

In downtown Atlanta, Georgia, hundreds of people huddled together in freezing weather in Centennial Olympic Park to watch on two screens.  Watch kids from Atlanta sing for Obama »

"There's hope for a change," said Sonita Horn, a homemaker whose husband lost his job as an electrician in Atlanta and now travels three weeks out of four to Virginia for work.

She said she hoped not only that Republicans and Democrats would find a way to work together but that the races would, too.

"Everyone will be treated equally," she predicted. "We're now a United States of America, not a black America or a white America."

CNN's Chris Welch, Michael Cary, Paul Vercammen, Lindy Hall and Jim Spellman contributed to this report.

@highlight

NEW: Man says Obama inspires him to make Earth "a better place to live"

@highlight

NEW: Republican hopes Obama turns out to be "best thing since running water"

@highlight

Teen who took off school to watch speech with mom calls Obama inspiring

@highlight

"It's a brand new day for the country," man in New York says