WASHINGTON (CNN) -- The Supreme Court will decide whether it is cruel and unusual punishment for young criminal offenders to be sentenced to life in prison with parole.

Joe Sullivan, now 33, was convicted of burglary and rape when he was 13. He is serving life without parole.

The justices agreed without comment Monday to accept appeals from two Florida inmates convicted as teenagers of criminal offenses. Oral arguments will be heard in the fall.

One of the men is Joe Sullivan, 33, serving a life term without the possibility of parole in a Florida prison while confined to a wheelchair. He was sentenced for a rape committed when he was 13.

The man's lawyers say he is one of only two people his age in the world who was tried as an adult and sentenced to "die in prison" for a non-homicide.

The justices also accepted a case dealing with Terrance Graham, who was 17 when he took part in a violent home-invasion robbery while on parole for another felony.

Outside a death-penalty context, the high court has offered little recent guidance on how to treat the youngest of underage criminal defendants. The appellate record for rapists younger than 15 is almost nonexistent, legal experts say.

Child legal advocates say many states lack adequate resources to handle young inmates given long sentences, including a lack of proper jailhouse counseling. Few studies have been conducted on the psychological effects of young defendants facing life in prison at such a young age, said the Equal Justice Institute, which is representing Sullivan's high court case.

"We have created a forgotten population with a lot of needs," said Bryan Stevenson, Sullivan's lawyer.

The crime happened in 1989, when, Sullivan admitted, he and two friends ransacked a home on Seabrook Street in West Pensacola. But he denied the prosecutor's claim that he returned with a knife and sexually assaulted the 72-year-old female homeowner. An older co-defendant claimed that Sullivan was the rapist.

After a daylong trial, Escambia County Circuit Judge Nicholas Geeker sentenced Sullivan to life without parole.

"I am going to try to send him away for as long as I can. He is beyond help," the judge said. "The juvenile system has been utterly incapable of doing anything with Mr. Sullivan."

Sullivan, who had a lengthy juvenile record, continues to deny that he committed the attack.

At the time, state prosecutor Larry Kaden -- who retired this year -- said, "It was a brutal crime, and he had an extensive record. This was a bad, bad crime."

The Florida attorney general's office told the high court that prosecutors should have the discretion they have long been given to decide how harshly young criminals should be prosecuted. Sexual battery remains a crime punishable by life imprisonment in Florida.

A study by the nonprofit Equal Justice Initiative found eight prisoners serving life terms for crimes committed at age 13, all in the United States. Among them is another Florida inmate, Ian Manuel, who was 13 when convicted of attempted murder and robbery in 1990.

The Justice Department reports that no 13-year-old has been given life without parole for a non-homicide in a decade. And although about a thousand people under 15 are arrested for rape every year, none has been given life without parole since Sullivan.

Only a handful of states -- including Alaska, Colorado, Kansas, New Mexico and Oregon -- prohibit sentencing minors to life without a chance for parole, according to the National Conference of State Legislatures. The Equal Justice Initiative says 19 states have laws allowing the possibility of life without parole for those younger than 14.

In 2005, the Supreme Court banned the death penalty for underage killers. The justices cited evolving "national standards" as a reason to ban such executions.

Sullivan is in deteriorating health from multiple sclerosis and is confined to "close management" for dangerous or trouble-prone inmates, state corrections officials say.

His lawyers admit that he has had more than a 100 incidents of fighting and threatening inmates and guards, plus having contraband and weapons, but they say Sullivan is the victim of bullying by other prisoners and is mentally disabled.

"It's important for the criminal justice system to recognize that inmates like Joe [Sullivan] are going to change biologically, psychologically and emotionally as they grow up in prison," Stevenson said. "We should not assume it is a change for the worse."

The thrust of their argument before the high court is not that Sullivan is innocent or that he seeks his freedom now but that he deserves to someday make his case before the state parole board.

@highlight

Justices will hear appeals of two Florida inmates sentenced as teens

@highlight

Joe Sullivan committed his crime at age 13; Terrance Graham was 17

@highlight

Attorneys say life without parole is too harsh a punishment for young offenders