It was with a call for the protection of the weakest in society that Francis was officially inaugurated Tuesday as the Catholic Church's 266th pontiff, before a crowd of tens of thousands bathed in sunlight.

Giving his homily before the throngs in St. Peter's Square, Francis showed the humility and concern for ordinary people that have been noted since he became the first Latin American to be elected pope six days ago.

What do you think about the new pope? Tell us

Before he spoke, he was given the official symbols of his papacy: a lamb's wool shawl, to represent his role as "the good shepherd," and the Fisherman's Ring, to represent his role of spreading the gospel.

The ring is not solid gold like that of his predecessors, but made of gold-plated silver -- again reflecting his desire for simplicity.

The pope delivered his homily in Italian, rooted in a message of looking after the poor and sick, as well as the natural world.

He reflected first on the symbolism of the date: this is the day that Catholics celebrate the Feast of St. Joseph to honor Jesus' father on Earth, the carpenter Joseph.

Francis spoke of Joseph's role in protecting not only Jesus and Mary, but also the church.

He spoke too of the need to protect "all creation, the beauty of the created world" as instructed by the Bible and shown by St. Francis of Assisi, whose name he took as pope.

This, he said, "means respecting each of God's creatures and respecting the environment in which we live. It means protecting people, showing loving concern for each and every person, especially children, the elderly, those in need, who are often the last we think about."

Catholics: 5 ways for Francis to move forward

He warned of the consequences if people do not look after one another.

"Whenever human beings fail to live up to this responsibility, whenever we fail to care for creation and for our brothers and sisters, the way is opened to destruction and hearts are hardened."

And he urged those in power to live up to their duties, and to all to avoid evil, hatred and pride.

"I would like to ask all those who have positions of responsibility in economic, political and social life, and all men and women of goodwill: Let us be 'protectors' of creation, protectors of God's plan inscribed in nature, protectors of one another and of the environment," he said.

Kissing babies

After his homily, 500 priests dispensed communion to the throngs of locals, pilgrims, tourists and dignitaries gathered for the historic occasion.

Between 150,000 and 200,000 people turned out in and around St. Peter's Square, said the Rev. Federico Lombardi, a Vatican spokesman. Police in the area told CNN there were fewer people than expected but declined to give an estimate.

Pope Francis earlier made his way into the square atop an open-top vehicle, spending 17 minutes circling among the crowds in bright sunshine.

He wore the simple iron cross that he's had since he was appointed bishop and that he had on when he first appeared to the world as pope. And he chose black shoes rather than the red ones favored by Benedict XVI.

When the gathered faithful held up babies and young children for him to kiss, he obliged. He also stepped out of his sport utility vehicle to kiss the head of a man with a physical disability.

Even though at least a dozen security officers in suits walked alongside the SUV as he circled the square, his decision to bypass the Popemobile, which his last two predecessors used, was telling.

The Mercedes Benz G-Class SUV afforded him the kind of direct contact with people he has embraced since becoming pope.

Had he been in the Popemobile, he would have been behind bulletproof glass, which was installed in 1981 after an assassination attempt on John Paul II.

Filipino priest and CNN iReporter Joel Camaya, who was among those in St. Peter's Square, was enthralled by the spectacle, and the contrasting humility, of the newly elected pontiff.

"The Pope spoke with such passion and force that the words exuded life and thus, as he spoke, there were instances of spontaneous applause," he said. "In the piazza, people who haven't even known each other exchanged smiles, happy that they belonged to one big family."

Francis called his predecessor, Pope Emeritus Benedict XVI, Monday afternoon to wish him well on the day of the Feast of St. Joseph and to thank him again for his service. Benedict, in turn, said he had been following the events since Francis' selection closely and assured his closeness in prayer.

Pope's sister prayed he wouldn't be picked; now she's proud

Style or substance?

The Mass which inaugurated Francis as bishop of Rome and marked the official start of his papacy was short, lasting about two hours. This was in keeping with the spirit of simplicity embraced by the new pontiff, the Vatican said before the occasion.

Francis has already made an impression as a pope of the people who is concerned about the welfare of the poor. But he inherits a church wracked by a decades-old sexual abuse scandal and claims of corruption in the clergy.

Monsignor Kevin Irwin told CNN the Catholic Church probably would not have to wait long before the changes in style already seen under Francis become changes in substance.

"It comes down to personnel," he said. "The personnel changes you make in any corporation make all the difference. Leadership matters -- but then who are the other people who help implement his program?"

The Vatican said Saturday that Francis had provisionally confirmed members of the Vatican hierarchy in their positions, but would take time to reflect before any final appointments are confirmed.

Irwin said he believes the key changes are likely to come in the late spring or early summer.

Francis, as a member of the Jesuit order, "gets into things" and is tenacious, he said. "This is a 'take-charge' pope, I would say."

Pope's openness to keep guards on their toes

World figures

Back in St. Peter's Basilica, the newly installed bishop of Rome greeted the dignitaries who had flocked from around the world to attend the inauguration Mass.

President Cristina Fernandez de Kirchner, from Francis' native Argentina, was the first head of state to step up.

Vice President Joe Biden, leading the U.S. presidential delegation, was also among those to meet the 76-year-old pope, as was Zimbabwe's controversial President Robert Mugabe.

Mugabe is subject to a European Union travel ban but allowed to visit the continent for religious events and international conferences.

Vatican Secretary of State Cardinal Tarcisio Bertone -- effectively the Vatican's prime minister -- was at the pope's side as, standing, he gave his greetings for close to an hour and a half.

The formal encounters over, Francis then went to the barriers around the sides of the basilica to greet priests, nuns and other well-wishers.

In his first tweet after his inauguration on the @Pontifex account, Pope Francis said: "Let us keep a place for Christ in our lives, let us care for one another and let us be loving custodians of creation."

He then tweeted again: "True power is service. The Pope must serve all people, especially the poor, the weak, the vulnerable."

Argentines watch Mass

Back in Francis' home city, the Argentinian capital, Buenos Aires, the faithful packed the main square to watch the event on large screens set up throughout the Plaza de Mayo.

According to the state-run newspaper Telam, a telephone call Francis had made from the Vatican was played to all present, saying: "Thanks for the prayers."

He added, "Let us be aware of one another, care for life, nature, children and old people," before concluding by asking those present to pray for him.

Groups also gathered in other cities throughout Argentina to watch the early morning Mass, Telam reported.

The event in St. Peter's Square was attended by 132 delegations from around the world, including six reigning sovereigns and 31 heads of state.

Bergoglio's journey to top of the church

Those delegations are among scores from nations and international organizations traveling to the Vatican, led by heads of states and governments.

European Union leaders Jose Manuel Barroso and Herman Van Rompuy were among those present.

House Democratic Leader Nancy Pelosi accompanied Biden in the U.S. delegation, the White House said. On Friday, House Speaker John Boehner, a Republican, said he would send a separate bipartisan congressional delegation.

Cardinal Timothy Dolan of New York, in a letter sent to Francis on Tuesday, offered the "deep affection, prayerful support and sincere pledge of fidelity" of the U.S. bishops and more than 70 million Catholics in the country.

Also at the Vatican were groups from the Americas, including Brazil, Chile, Mexico and Canada, and from European nations such as Italy, Holland, Belgium and Germany.

Representatives from across Christianity -- Eastern and Western -- were also present, along with members of other religions, including Judaism, Islam, Buddhism, Sikhism and Jainism.

This is also one of the busiest times of the year on the Christian calendar, which will mean many public appearances for the new pontiff.

Less than a week away is Palm Sunday, the holiday that kicks off Holy Week, which culminates in Easter celebrations.

The Vatican press office said Francis will also have one other task to keep him busy: figuring out "how to answer the millions of e-mail messages that have already been received, despite the fact that he still doesn't have an official address."

Pope Francis breaks with tradition

@highlight

The newly inaugurated pope already has millions of e-mails to answer, Vatican says

@highlight

Pope tweets: "True power is service. The Pope must serve all people, especially the poor"

@highlight

Argentina's president is the first head of state to greet Francis after the Mass

@highlight

Pope circles St. Peter's Square in an open-top vehicle, not surrounded by bulletproof glass