(CNN) -- In July 2011, my husband and I traveled to a Russian orphanage to meet a 2-year-old girl. We petitioned the Russian courts to adopt her, and waited 14 agonizing months to be granted a court date, all along fearing we would never be able to bring her home.

Now, 46 families are stuck in that nightmare of waiting for an indefinite amount of time. Russia has banned Americans from adopting Russian orphans. These families, like ours, left their Russian children holding small albums with photos of their soon-to-be families. And now those children have nothing more than a broken promise.

Russia's adoption ban was passed in retaliation for the United States' passage of the Magnitsky Act, a human rights bill targeting Russian officials. But while it is designed to hit Americans in the heart, it also condemns thousands of Russian orphans who could have found families in America.

Orphanages, even the good ones, are institutions. They are no substitutes for parents. Children who grow up in institutions experience poor physical, cognitive and emotional health and are more likely to end up in poverty, experience drug abuse, or commit suicide. Orphaned children have suffered already; the adoption ban ensures they will suffer more.

Institutionalized children need families, not staff. When children become wards of the state, they need the government to find adoptive families, in their home country or failing that, internationally.

Many Americans want to bring Russian orphans into their families, but years of political maneuvering have made it harder and harder. Legal changes have also contributed to a steady decline in the number of Russian orphans adopted by Americans.

We experienced many of the changes during our adoption process. Not all of them are bad. Many of the procedures are clearly intended to protect the children.

However, some of the changes made it more challenging for families willing to jump through the hoops of two governments. There's more uncertainty involved, and the length of time to complete an adoption has increased, as well as the costs.

Our daughter, Anastasia, spent a needless year waiting to come home. When other adopted children were picked up by their families, she would take out her photo of the three of us and ask her caregivers where her mama and papa were.

Less than a decade ago, 4,000 to 5,000 Russian children found adoptive families in America each year. In 2011, the number dropped to 970. The steep decline in international adoptions from Russia, along with the recent ban, is a step in the wrong direction.

It is easy to understand why international adoption is a hot-button issue for many countries. It can feel shameful for a government to require international charity to solve its own problems. But even countries like the U.S. allow for intercountry adoption. Ultimately, the goal should be to find adoptive families for orphans, and sometimes those families cannot be found in the child's home country.

Mother to mother: An adoptive mom's plea to first lady Michelle Obama

My husband and I returned to Russia for a third time in October 2012 to bring Anastasia -- then 3 Â½ years old -- home. Our daughter was well cared for by the good people in her orphanage for 912 days. But the lack of love and care that can be provided by a nurturing family impacted her emotionally and physically.

During our first week as a family, Anastasia gave us the most confused looks when we tried to hold her, tickle her, or otherwise play with her. Two months later, though she still struggled to make sense of her story, she sought us out for snuggles and gradually started to like being chased, tickled, hugged and loved.

Anastasia's 912 days of delayed growth are disappearing. But children who remain in orphanages never overcome these delays.

Children living in orphan institutions need world leaders who do not use them as political pawns, but rather work to protect them. Russia's adoption ban must be lifted. It punishes thousands of children whose only chance of finding an adoptive family is through international adoption.

Russia should start by making good on its promise to the 46 families who are left in limbo. These children are waiting to go home, waiting for what every child deserves -- a loving family.

The opinions expressed in this commentary are solely those of Laura Jean.

@highlight

Russia has banned Americans from adopting Russian orphans

@highlight

Laura Jean: World leaders should not use children as political pawns

@highlight

She says orphanages are institutions; they are poor substitute for parents

@highlight

Jean: Russia should lift ban so that orphans have a better chance to find families