(CNN)  -- Some subjects are just plain hard to talk about. Religion, politics and money  -- maybe sex, too. But try talking about race and then add the emotional context of a death penalty trial, and no one will talk at all.

If you try to broach the subject during jury selection, asking all the racists to please raise their hands is not an option. We, as a nation, have to find a way to face the dirty secret of criminal justice -- that prejudice often carries the day.

The issue of racial disparity in the administration of the death penalty has been a part of modern law. Starting with Furman v. Georgia and continuing on to McCleskey v. Zant, courts have struggled to come to grips with this issue as have those of us defending the most despised amongst us.

Jury selection is actually a process of elimination: Potential jurors are called for jury duty and are questioned and either seated, excused for a cause or excused by a peremptory challenge from either side.  Generally, a challenge for cause involves jurors who have a relationship with a party or witness, have a personal experience that would cause them to be unfair or are legally unable to sit.

In capital cases, the number of potential jurors who can be excluded for cause is much larger because anyone who is against the death penalty can be turned away -- and minorities are more likely to find problems with the death penalty.

Then there's the misuse of peremptory challenges -- each side gets a certain number of these that it can use to excuse a juror for any reason. The prosecution often uses this strategy to strike as many minorities from serving as jurors as it can.

The problem this creates is obvious. A black or Hispanic defendant facing death is the most likely to have an all, or nearly all, white jury.

To combat this, the U.S. Supreme Court in Batson v. Kentucky held that the defense could object if it believed the prosecution was using its peremptory challenges to limit the number of minority jurors. If the trial judge so ordered, the prosecution would then be obliged to give "race-neutral" reasons for the exclusions. If the trial court accepted these explanations, the trial would continue. If not, a mistrial would be declared. This procedure was supposed to fix the problem.

It hasn't had that effect. Almost any excuse will do -- a prosecutor can call the juror "arrogant" for example, and that is enough.

In one case I tried, the prosecution excused a black woman who was married, a homeowner, had two children and taught elementary school. They kept a white woman who was married, a homeowner, had three children and taught elementary school.  His "race-neutral" explanation? The black woman wore her dress too tight. No kidding. And the judge accepted that explanation.

Obviously, prosecutors know that this form of discrimination increases their odds of winning, and the desire to win is hard to resist. But a prosecutor is supposed to represent the people of his or her state or the federal government, and that includes not only the victim and his or her family, and public safety, but the accused and the community. Systematic exclusion of a race from jury selection sends an ugly message -- African Americans and Hispanics need not apply.

In an analysis of Jefferson Parish, the Louisiana Capital Assistance Center found that from 1999 to 2007, blacks were struck from juries at more than three times the rate of whites.

The Equal Justice Initiative of Alabama has just issued a report, "Illegal Racial Discrimination Jury Selection: A Continuing Legacy," that details racial discrimination in jury selection in eight Southern states. "Key decision makers in death-penalty cases across the country are almost exclusively white," the Equal Justice Initiative said.

Then there is the case of Curtis Flowers, as reported by CNN. He is about to be tried for the sixth time for the same crime in a case marred by racial discrimination in jury selection. We might think in this supposed "post-racial" world we are past discrimination, but we aren't. Not by a long shot.

Confronting racial attitudes in the courtroom is often necessary. The problem is fear.  When a lawyer speaks up about these issues, he or she is inviting anger from the prosecution, potentially the judge and maybe even the jury. But we have to talk about this -- and by "we" I mean not only defense lawyers, but all of us -- and openly.

The courts have to stop glossing over the problem by pretending that "race-neutral" reasons really exist or are even close to satisfactory. And courts should name the offending parties. The prosecutor who said he didn't want the teacher on the jury because of her so-called tight dress might have hesitated if he knew his name could be published.

In one case I tried, the complaining witness was white, the defendant black, and race was all over the case. I was afraid to talk about it, but I believed it was a motivating force behind the choice to prosecute at all. So I took a deep breath and spoke.

The jurors acquitted and thanked me for giving them permission to speak about race -- so they could talk about it and then move on and be able to "get to the case." It's time we all did the same.

The opinions expressed in this commentary are solely those of Andrea Lyon.

@highlight

Andrea Lyon: Racial discrimination in jury selection frequent in death penalty cases

@highlight

Lyon: Prosecutors use challenges to keep as many minorities off as possible

@highlight

When defense objects, she says, judge often accepts lame "race-neutral" excuses

@highlight

Lyon says black or Latino facing death is the most likely to have all, or nearly all, white jury