(CNN)  -- If we learned that the government was planning to limit our First Amendment rights, we'd be outraged. After all, our right to be heard is fundamental to our democracy.

Well, our free speech rights are under assault -- not from the government but from corporations seeking to control the flow of information in America.

If that scares you as much as it scares me, then you need to care about net neutrality.

"Net neutrality" sounds arcane, but it's fundamental to free speech. The internet today is an open marketplace. If you have a product, you can sell it. If you have an opinion, you can blog about it. If you have an idea, you can share it with the world.

And no matter who you are -- a corporation selling a new widget, a senator making a political argument or just a Minnesotan sharing a funny cat video -- you have equal access to that marketplace.

An e-mail from your mom comes in just as fast as a bill notification from your bank. You're reading this op-ed online; it'll load just as fast as a blog post criticizing it. That's what we mean by net neutrality.

But telecommunications companies want to be able to set up a special high-speed lane just for the corporations that can pay for it. You won't know why the internet retail behemoth loads faster than the mom-and-pop shop, but after a while you may get frustrated and do all of your shopping at the faster site. Maybe the gatekeepers will discriminate based on who pays them more. Maybe they will discriminate based on whose political point of view conforms to their bottom line.

We don't have to speculate. We can look to the history of the media gatekeepers for examples.

Back in the 1990s, Congress rescinded rules that prevented television networks from owning their own programming. Network executives swore in congressional hearings that they wouldn't give their own programming preferred access to the airwaves. They vowed  access to the airwaves would be determined only by the quality of the shows.

I was working at NBC back then, and I didn't buy that line one bit. Sure enough, within a couple of years, NBC was the largest supplier of its own prime-time programming. To take advantage of this new paradigm, Disney bought ABC, Viacom (the parent company of Paramount) bought CBS and NBC merged with Universal.

And since these conglomerates owned both the pipes through which Americans received information (in this case, TV networks) and the information itself (in this case, TV shows), they developed a monopoly over what you could watch.

Today, if you're an independent producer, it's nearly impossible to get a show on the air unless the network owns at least a piece of it.

Now Comcast, the nation's largest cable provider, and NBC/Universal want to merge. This new behemoth would be able to charge other cable carriers more for NBC, MSNBC, CNBC, Bravo and the 35 other cable networks it will own in whole or in part. This means that other carriers won't be able to afford as many choices -- and it means that your cable bill will go up.

Comcast is also the nation's largest home internet service provider. And as more and more of our television is provided through the internet, other internet giants such as Verizon and AT&T will have to look toward merging with CBS/Viacom or ABC/Disney.

We'll end up with a few megacorporations in control of the flow of information -- not just on TV, but now online as well.

From my seat on the Judiciary Committee, I plan to do everything I can to stop these mergers or at least put rigorous restrictions on them. But if this trend toward media consolidation continues, the free and open internet will be a thing of the past unless we write the principle of net neutrality into law right now.

This isn't a liberal or conservative issue. Everyone has a stake in protecting the First Amendment.

And it isn't even strictly a political issue. The internet's freedom and openness has made it a hotbed for innovations that change our lives. It's been an incredible engine of job creation.

The internet was developed at taxpayer expense to benefit the public interest. If we let corporations prioritize some content over others, we'll lose what makes it so valuable to our economy, our democracy and our daily lives.

Net neutrality may sound like a technical issue, but it's the key to preserving the internet as we know it -- and it's the most important First Amendment issue of our time.

The opinions expressed in this commentary are solely those of Sen. Al Franken.

@highlight

Al Franken: Trend of media consolidation  will mean end of free and open internet

@highlight

Mergers such as Comcast-NBC/Universal would control information flow, senator warns

@highlight

Far from "neutral," gatekeepers could discriminate on political views, who pays more, he says

@highlight

Franken: This is a bipartisan issue; all have a stake in preserving First Amendment