Atlanta (CNN) -- From his Toyota Land Cruiser, Kent Alexander couldn't stop clicking his camera.

Endless stretches of windswept sand clashed with the vibrant blues, reds and yellows of the billowing dresses of the women. Alexander, the general counsel for the humanitarian agency CARE, felt he was riding through pages of National Geographic magazine.

The harshness of the terrain and its cruel consequences for the people of the Sahel became apparent when Alexander stopped and visited villages with a CARE delegation. He saw women walking three miles with pails to fetch water, diamond droplets in the drought-stricken land.

In the Sahel, a region that runs south of the Sahara Desert across Africa from the Atlantic to the Red Sea, people are gaunt from eating just one meal a day, most of the time, millet. They are suffering from severe malnutrition and heading towards famine, the United Nations fears.

Alexander has seen poverty before -- in 1989, he helped found Hands on Atlanta, which grew to become one of the world's largest community based volunteer organizations with more than half a million volunteers. But he'd never seen anything as abject as he did in Niger.

On a five-hour drive from the capital, Niamey, to the town of Konni, Alexander listened to the audiobook, "The Hunger Games," a novel that opens with the bleakness of a post-apocalyptic town called District 12.

Niger felt like District 12 on steroids.

"I'd seen the poorest parts of Atlanta and it was stark," Alexander says, back in his fifth floor office at CARE USA. "But the starkness in Niger doesn't compare."

The needy in Atlanta had solid housing. Fans. Refrigerators. Television sets.

In Niger, there was nothing. No electricity. No plumbing. No food.

The West African nation of 17 million people ranks second to last on a United Nations Human Development index.

Alexander took the job with CARE about a year ago, after almost 11 years as Emory University's general counsel. A whole other world opened up for a man who'd made a successful living as a lawyer in Atlanta.

At CARE, Alexander deals with employment to taxes to regulatory issues in the myriad nations where the agency works. He's traveled to India and the West African nations of Ivory Coast and Mali, before the coup in March.

"It's one thing to be a tourist, but another to be with an NGO," he says, using the commonly used acronym for a non-governmental organization.

CARE has been working in Niger since 1974, when it first responded to famine. People there lead hardscrabble lives in the arid, landlocked nation where only 42 percent of the population have access to safe drinking water and only 15% of women can read or write.

Niger is the worst country on earth in which to be a mother, according to a report by Save the Children. The charity's annual Mothers' Index uses statistics covering female and child health and nutrition, as well as prospects for women's education, economic prosperity and political participation in its assessment of 165 countries.

CARE has been running several programs helping villagers to stand up on their own. Many focus on empowering women and girls through education and microlending.

This year, life has been even tougher.

"Niger is again facing a crisis of a failed harvest because last season the rains did not come," says Ertharin Cousin, executive director of the World Food Program. "Because the rains failed last season, what you're seeing is that the hungry poor, the most vulnerable populations, are now at the point where they have depleted their assets. And as a result, they have no food."

The food shortages are further aggravated by thousands of refugees fleeing fighting in northern Mali.

More than 15 million people face hunger and starvation across the Sahel this year; 4 million in Niger, says the World Food Program.

The thing about the Sahel, says Alexander, is that the crisis doesn't seem dire to people watching from afar. It's unlike the Horn of Africa food emergency, where women from Somalia walked 100 miles carrying children to reach a refugee camp in Kenya. Or where children were skull and bones with distended bellies. Where starving people died in front of cameras.

"The Sahel hasn't reached that point but it's moving in that direction," Alexander says. "It's a slow train wreck in motion."

Here's the other thing, he says. If people donated small amounts of money now, there would not be a need for millions later to save lives.

Villagers thanked Alexander and his colleagues for CARE's work in helping them with wells and plant gardens so they could grow vegetables instead of eating only grains every day. They spoke about the hunger in their bellies as matter-of-factly as an American would describe an ordinary day at work.

In one of the villages, as Alexander saw dozens of children crowd behind the Land Cruiser. The tail gate was open and the driver was standing by a cooler containing leftover drinks from lunch earlier.

"Kent, this is the face of poverty," said Alexander's colleague, Philippe Leveque, director of CARE France.

Alexander thought Leveque was overreacting. It was more than 100 degrees that day. Who wouldn't clamor for a cold drink?

Then, he says, he took a closer look.

The cooler was shut tight. The driver was not handing out drinks but empty cans and plastic bottles. The cans would turn into toy cars and planes; the bottles, receptacles for precious drops when the rains finally come months from now.

"Our trash was their treasure," Alexander says. In America, it's a good deed to recycle. In Niger, it was a gift.

This was the face of poverty in the Sahel. It was a jolting lesson for Alexander.

Alexander looks out the wall-to-wall windows in his office. Above, he sees clear, blue skies. In front of him, dormitory buildings of Georgia State University, architecturally dull and painted in drab colors. Yet, Alexander no longer sees them as unattractive. Everything seems relative.

Across from his office, Trina Trice, a senior executive assistant, finishes a meager lunch of half a cup of black beans and a smidgen of frozen broccoli, every morsel cleaned off the bowl. All week, she has been surviving on $1.50 of food a day in a campaign aimed to help people understand what extreme poverty feels like.

Trice says she has little energy.

"Last night I was so tired I didn't even eat dinner," she says, adding that she could not imagine having to walk for miles for water, especially in her weakened state.

Alexander says it's the kind of insight that he hopes will help bridge what the United Nations calls an alarming lack of donations for the Sahel food crisis, especially because Niger is rarely on the evening news. He says it's hard for people, understandably, to fathom the scope of the crisis from far away. He is glad he was able to see the situation firsthand.

It's been several weeks since Alexander returned home from what he called a profound trip. He's still unpacking, he says. He doesn't mean his suitcase.

@highlight

Kent Alexander launched Hands on Atlanta in 1989 and had seen poverty before

@highlight

But Niger's suffering was shocking

@highlight

The CARE lawyer visited parched villages where people are going hungry

@highlight

The United Nations fears the Sahel region is moving towards famine