Washington (CNN) -- Latinos in the United States are divided over a host of issues, including what to do about unauthorized immigrants, a reflection of the national political controversy over illegal immigration, a national study released Thursday finds.

Slightly more than half of the nation's Hispanics say illegal immigrants should pay a small fine but not be deported, according to a report by the Pew Hispanic Center.

Another 28 percent of the Latino respondents to the Pew poll say unauthorized immigrants should not be punished. On the other side, 13 percent say they should be deported.

Explainer: Illegal immigration 101

Latinos also are feeling increased concerns about discrimination, again the result of the national controversy over illegal immigration, the survey found.

This year, 61 percent of Latinos say discrimination is a "major problem," an increase from the 54 percent who categorized it that way in 2007, Pew said.

"Asked to state the most important factor leading to discrimination, a plurality of 36 percent now cites immigration status, up from a minority of 23 percent who said the same in 2007," the report states. "Back then, a plurality of respondents -- 46 percent -- identified language skills as the biggest cause of discrimination against Hispanics."

In addition, the Pew report says, Latinos are divided about the impact of illegal immigration on Hispanics living in the United States.

"Roughly equal shares say the impact has been positive (29 percent), negative (31 percent) or made no difference (30 percent)," the report says. "This mixed judgment stands in sharp contrast to views that Latinos expressed on this subject in 2007. Back then, fully half (50 percent) of Latinos said the impact was positive, while just 20 percent said it was negative."

The latest survey also finds that Latinos are divided over whether immigrant and native-born Hispanics are working together to achieve common political goals. About half (45 percent) say they are and about half (46 percent) say they are not. Both the native born (who comprise 47 percent of the adult Latino population) and the foreign born (who comprise 53 percent) are roughly equally divided on their perceptions of political solidarity, Pew said.

"The native born and foreign born have different views on many topics explored in the survey," the report says. "For example, seven in 10 (70 percent) foreign-born Latinos say discrimination against Hispanics is a major problem preventing Latinos from succeeding in America. Less than half (49 percent) of the native born agree.

"And when it comes to their views of immigrants, fewer than seven in 10 native-born Hispanics say immigrants strengthen the country, while 85 percent of immigrant Hispanics say the same."

Although the survey found differences of opinion among Latinos, it also revealed areas of broad agreement.

For example, Pew said, 86 percent of Latinos support providing a path to citizenship for illegal immigrants if they pass background checks, pay a fine and have jobs. That level of support surpasses the 68 percent of the general public who favor such a path to citizenship, Pew said. Among Latinos, 82 percent of the native born and 90 percent of the foreign born say they support providing that path.

Latinos also are united in their opposition to Arizona's SB 1070, a controversial law enacted this year that authorizes police to check the immigration status of anyone who is being investigated for another suspected crime. According to Pew, 79 percent of Latinos oppose the measure, most of which has been stayed pending a lawsuit by the federal government. The Pew Research Center for the People and the Press found this year that the general population supports the law by a 2-to-1 ratio.

With regard to rising concerns about a backlash triggered by illegal immigration, the Pew survey found no increase over past years in the percentage of Latinos who report that they or someone they know have been targets of discrimination or have been stopped by authorities and asked about their immigration status.

About one-third of all Latinos (34 percent) say they, a member of their family or a close friend have experienced discrimination in the past five years because of their race or ethnic group, Pew said.

That amount is largely unchanged from 2009, when it stood at 32 percent. Perhaps even more significantly, only 5 percent said they had been stopped by police or other authorities and asked about their immigration status, down from 9 percent in 2008.

Despite the immigration controversy, Pew also found that Latinos are more satisfied this year with the direction of the United States. Thirty-six percent said they are satisfied, a significant increase over the 25 percent who said the same thing in 2008.

By contrast, the Pew Research Center for the People and the Press in a late summer survey found 25 percent of the general public satisfied with the country's direction.

Latinos also remain as upbeat about their lives as they were three years ago, Pew said, with 24 percent rating it as "excellent" and 45 percent as "good."

About 80 percent on the nation's estimated 11.1 million unauthorized immigrants are of Hispanic origin.

Latinos are the nation's largest minority. The 47 million Hispanics in the United States make up nearly 15 percent of the nation's population. About 38 percent of the nation's Latinos are immigrants. Of those, about 19 percent are unauthorized.

The study results come from a new national survey of 1,375 Latino adults conducted by land line and cellular telephones in English and Spanish from August 17 through September 19, Pew said. The margin of error is plus or minus 3.3 percentage points for the full sample and larger for subgroups.

The Pew Hispanic Center is a nonpartisan research organization that does not take positions on policy issues. It is part of the Pew Research Center, a nonpartisan institute based in Washington that is funded by The Pew Charitable Trusts, a Philadelphia-based public charity.

@highlight

The divisions come from the national political row over illegal immigration, Pew says

@highlight

Latinos also feel heightened concerns over discrimination based on immigration status

@highlight

But Latinos also share areas of broad agreement, such as their opposition to SB 1070

@highlight

The survey of 1,375 Latinos was conducted in August and September