(CNN) -- The brain is one of the last great frontiers of science. For all it does for us -- driving our thoughts, actions, perceptions and making us who we are -- we understand very little about how it works, its underlying biochemistry.

We know a fair amount about what parts of the brain are involved in particular functions from studies that track blood flow to reveal the locations of brain activity during certain behaviors or processes. We know that the back of the brain, the cerebellum, keeps us upright and is involved in coordinated movement.

We know that the sides of the brain, the temporal cortex, is involved in primary auditory processing, allowing us to hear words and send them into higher language processing centers. And we know the area toward the front of the brain is where complex thought and decision-making occur.

But taking a deeper look into the brain, beyond these broad areas of function, there is a great deal that is far less understood. The brain is incredibly complex, with about 86 billion nerve cells, called neurons, forming about 100 trillion connections, all working in concert to drive our thoughts, emotions, reactions and interactions with the world around us.

Each neuron is largely unique, driven by fundamental properties of its underlying biochemistry -- proteins controlling everything the nervous system has to do. All these proteins are encoded by our genome, comprising roughly 25,000 genes encoded in our DNA. The nature and activity of a given neuron is dictated by which of these 25,000 genes are turned on and to what level.

TED.com: A light switch for neurons

How does it all work? What are the roles of each neuron and how are they connected to our ultimate experience with the world? To answer these questions, we are seeking to understand which of our 25,000 genes are turned on in the brain, and where.

To this end, we have created a free online resource accessible to anyone, anywhere, anytime: the Allen Human Brain Atlas. The brain mapping process is complex and visually captivating, starting with a fresh, whole brain in the lab through to the molecular magnets that detect activity, or expression, of individual genes, and the subsequent informatics used to render this information into a meaningful piece of software that can be used to analyze the brain in more detail than we have ever had access to.

In 2006 we completed a map of the mouse brain. The mouse is the most common model for studying the mammalian brain, with the same basic parts and organization. The Allen Mouse Brain Atlas is used every day by thousands of scientists around the world. Creating this atlas put us in the unique position to tackle the challenges inherent in mapping the human brain.

Our laboratory receives fresh human brains that satisfy strict criteria -- no history of neurologic or psychiatric disease, no drug or alcohol abuse, and no brain damage occurring at death, among other criteria. We collect 3-D, MRI-based images of each whole brain to serve as a "scaffolding" from which we later map the gene expression information. Brains must be evaluated, imaged and frozen within 24 hours after death to preserve the signal we need to measure.

The brain is then sliced very thinly â€” 25 micrometers thick, thinner than a human hair â€” and sections are transferred to microscope slides, which are stained and analyzed for clusters and distributions of brain cells that provide a reference, kind of like a rough road map, to identify distinct regions in the brain.

TED.com: How to re-engineer a brain

We then take samples from each of these distinct regions (more than 1,000 of them), purify the RNA -- the signal indicating if a gene is turned on -- and obtain a readout of the level of activity of each gene for each area.

This method gives us roughly 50 million data points for each human brain. We put all that together into a single interactive database with meaningful search and visualization tools that are all freely available online at human.brain-map.org.

The goal is that this database will speed discovery, launching us into a new era of understanding of the human brain. Direct applications will be fruitful in areas like drug discovery, enhancing efficacy and reducing side effects of drugs for mental illness and disease. Further, we can start to connect the "what" to the "where" of gene expression in the brain, elucidating common pathways and beginning to unravel the mysteries of the inner workings of the brain's underlying biochemistry.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Allan Jones.

@highlight

Allan Jones: We understand very little about how the brain works

@highlight

He says his organization is trying to unravel the secrets of this incredibly complex organ

@highlight

The institute is mapping activity in the human brain as a tool for researchers

@highlight

He says the work's practical benefits may include developing and understanding drugs