(CNN)As teenagers, the women of the Ethiopian Mursi tribe pierce their lower lips and put a clay plate in it. They are one of the last tribes in the world who still practice this tradition and the new generation, influenced by the outside world, might decide to abandon it.

That's why British photographer Jimmy Nelson decided to travel the world for three years, visiting 35 tribes in all five continents, to document their lives and customs before they disappear.

He drank vodka with the Mongolian Tsaatan tribe in freezing conditions and admired the beautiful Himba tribesmen in the Namib Desert. The result of his journey can be found in his new book of photographs, "Before They Pass Away."

"The whole idea is to make (the tribes) iconic. To give them the attention that we give ourselves in the developed world," the 45-year-old photographer says.

From a very early age, Nelson was confronted by cultural diversity. He grew up in different African countries before moving to England at the age of seven to attend a catholic Jesuit boarding school. Going back to Africa to meet with nine tribes in four different countries was a special experience for him.

Read this: modernizing the Maasai to avoid extinction

"Africa is evolving the quickest in my opinion. It has lost the majority of its ethnicity and authenticity," he says. "I grew up in Nigeria, Sierra Leone, Gabon and in Cameroon. I've been living for 45 years, and what I saw in my childhood is not there anymore."

Being humble

Nelson and his crew, consisting of an assistant and a cameraman, covered Africa in five trips. They visited five tribes in Ethiopia, and one each in Kenya, Tanzania and Namibia. Nelson says the most challenging part of his African journeys was approaching the tribes in southern Ethiopia.

"There are many small tribes in a small area and everybody is protecting their own turf. So they can be quite intimidating," he says.

When first approaching the tribes, Nelson left the camera equipment behind. He says even though all the tribes had been documented before, he was conscious to explain to them what he wanted to do. Only the Kenyan tribe, Samburu, knew he was coming.

Maasai Cricket Warriors: 'Bowling is just like throwing a spear'

Although he was always traveling with a local guide, Nelson had to rely on body language and gestures to communicate with the different tribesmen and gain their trust. But he says it was all about appealing to their vanity.

"Initially it's idolization. You put them on a pedestal and then you touch their muscles and show that through lots of gestures, lots of hero-worship," Nelson explains of his initial meetings with the Ethiopian tribes, who would often greet him carrying Kalashnikov rifles.

"You arrive and they are all wild and intimidating, it's all about being macho."

One thing that stood out to Nelson when meeting the different African tribes was their awareness of their appearances. He says he noticed a lot of male vanity in the African tribes. For example, many people think the men in the Namibian Himba tribe are actually women.

"This is a classic example of the whole idea behind the book that appearances can be deceptive," he says. "Very few of us will ever look as beautiful as these people."

The Himba: Namibia's iconic red women

Signs of modernization

When Nelson and his crew traveled across the Omo Valley four years ago, to find the southern Ethiopian tribes, it took them three weeks to reach them. Today, he says, the roads have been improved and it only takes a few days.

He thinks this is one of the reasons some of the tribes are slowly abandoning their traditional lifestyle.

"At the moment (the African tribes) are evolving quickly because of the digital age. Many of them have a mobile telephone, so they are aware of an outside world," he says.

The book "Before They Pass Away" is just the first third of his project. The next step is to go back to all 35 tribes and show them their photos, explaining to them why he made them.

The idea is to then visit another 35 tribes in more politically unstable areas, where he would need the authorities' help to get access.

But most of all Nelson hopes the portraits will encourage a deeper dialogue between the tribes and the developed world.

"By illustrating these people in a grand aesthetic, romantic, idealistic and iconic way, I'm trying to attract the public's attention to a subject matter that they wouldn't normally be interested in," the photographer explains.

Before Nelson embarked on his three-year-long journey, he was just expecting to make a visual document to celebrate the tribes for what they looked like. But now he thinks there are greater lessons to be learned.

"In my eyes the tribespeople are emotionally and socially very rich but materially very poor, and we (in the West) are the opposite," he says. "How aware of how special they are is debatable, hence why I want to start this discussion. Before they pass away."

@highlight

Jimmy Nelson photographed 35 tribes all over the world for book "'Before They Pass Away"

@highlight

Nelson photographed tribes in Ethiopia, Kenya, Tanzania and Namibia

@highlight

He wanted to create a record of "a fast disappearing world"