(CNN) -- Ben Ainslie lives for sailing. He grew up near the sea, and he wants to retire on the ocean wave.

But before then, the most successful yachtsman in Olympic history is taking on one of the biggest challenges his sport has to offer -- the America's Cup.

From dominating the world of dinghy racing as a fiercely competitive individual -- who once famously warned his rivals, "You don't want to make me angry" -- the 36-year-old is now learning to helm towering 72-foot multihull catamarans.

The masts are 130-foot high -- more than 20 times the average height of the 11 crew.

"I really love these boats because they are very physical, they're very dynamic, they're fast, exciting and the racing is very close, and I think it's great to watch on TV now," the Briton told CNN's Human to Hero series.

"The top speed of these boats is around about 30 knots, or 35 miles an hour, which is pretty quick when you're that close to the water."

While Britain has a strong naval history and has had a lot of sailing success in the Olympics -- Ainslie won four golds and a silver medal -- it has never won the America's Cup, the elite competition in yachting that is funded by billionaires and traditionally dominated by the U.S. since it started in 1851.

"All my career the America's Cup has been a goal, I've always wanted to be with a winning team -- preferably a winning British team -- and I really felt that I'd done all I could at the Olympic level," he said.

"We've never won it so I think there's something there in our maritime history ... we really need to put that record straight."

Ainslie has set up his own team with a view to taking part in a future America's Cup, but for now he has taken on a role as helmsman for the second boat run by defending champion Oracle ahead of the 34th edition of the race in San Francisco in September, making him effectively a reserve to its No. 1 Jimmy Spithill of Australia.

His JP Morgan-sponsored BAR team -- which is supported by Oracle -- finished third in the final event of the America's Cup World Series in Naples this month, competing in smaller 45-foot catamarans.

"It will take time. We're building the team up through this series," he said. "That's great for us to get out there racing against these other teams and learn how to get the most speed out of these multihulls.

"From there on it's going to be important to really start building the commercial relationships so we have the funding in place for 2014 onwards so we can really start building up the team."

From being his own boss in the dinghy classes, Ainslie is now learning to enjoy being part of a collective effort.

"That element of team work is something that's really critical," he said. "It's also a lot of fun sailing with other guys rather than just on your own all the time."

The America's Cup is big business. Oracle owner Larry Ellison -- last year named the third-richest man in the U.S. -- spent a reported $300 million before winning the coveted title in 2010.

That victory came after a series of lawsuits against the defending team Alinghi which delayed the historic competition and raised big doubts about its future.

It will be hosted by an American syndicate, the Golden Gate Yacht Club, for the first time since 1995 and Oracle -- as it has the right as defender -- has revamped the rules to bring the racing closer to shore and more accessible to spectators.

But while the sport has an elitist image, Ainslie says that anyone can enjoy sailing.

"People think it's either a very expensive sport or it's just far too complicated -- and really it's neither," said the Englishman, whose family moved to Cornwall on the south-west coast of the UK when he was young.

"At the grassroots level you can go down to a sailing club and you can just get into a dinghy and borrow a boat or start sailing and crewing for someone else and get into it for very little money."

Ainslie's Olympic days came to a glorious golden end at London 2012, as he overcame what he thought were dubious race tactics to beat his rivals and claim the Finn Class title in the final race.

He accused Dane Jonas Hogh-Christensen and Dutchman Pieter-Jan Postma of teaming up on him, forcing him to do a penalty turn in race two, which left him trailing.

Ainslie went public with his displeasure. "They've made a big mistake," he told reporters, and promptly fought back to match the record for successive sailing golds held by the legendary Dane Paul Elvstrom.

"It was the highlight of my career and so special being in front of a home crowd and being my fourth gold medal," he said.

It capped a Games career which began as a teenager in Atlanta in 1996 where his "disappointment" at having to settle for a silver medal in the Laser Class gave an early glimpse of his burning desire for victory.

The 19-year-old Ainslie was edged out of the top spot on the podium by the hugely experienced Brazilian Robert Scheidt, but he was never beaten again in Olympic competition.

"It was a great achievement for my age but in a way something inside of me still wanted more and I guess that what's drove me on," Ainslie admitted.

By the time the Sydney Games came along four years later Ainslie was ready to take his revenge on Scheidt, relegating him to the silver medal position after a bitter and often controversial personal battle.

"I had an immense rivalry with Scheidt and I just managed to come out on top of that, and from then on really that gave me the confidence to come back each time and take the gold, and fortunately I was able to do that," he said.

After the Sydney Olympics he stepped up to the more demanding Finn Class, meaning he had to add nearly 20 kilograms of extra body weight to be competitive in his new discipline in a bigger boat.

"That was a big switch physically, I had to try and do most of that in muscle so I got into a lot of weight training and fitness training," he said.

"I guess it put quite a lot of load on the body as well and hence the back injuries which I started picking up later on in my career."

Those injury niggles were the result of hours of training in the gym and on the water, pushing himself to the limit in search of that fourth gold -- in front of fanatical home support at the southern coastal resort of Weymouth, where the sailing events for London 2012 were held.

"The pressure for London was like nothing else I've ever experienced, " Ainslie said.

A hint of the almost crushing weight of expectation came as he competed for a sixth world championship title in the Finn Class in Perth in late 2011, one of his last major competitions before London.

After finishing second in race nine of the event, Ainslie made the headlines for the wrong reasons after swimming over to a media boat and angrily remonstrating with the crew.

He felt they had impeded his progress during a downwind leg and his frustration boiled over.

Ainslie's subsequent disqualification was a bitter pill, but he later apologized for "overreacting."

Although injuries have taken their toll on Ainslie -- whose success at London 2012 earned him a knighthood from Queen Elizabeth -- he says that he has never lost his love for being on the water.

"If I get a holiday or some down time I love still sailing, but not racing -- just going out on maybe a beautiful classic yacht, relaxing with friends and being on the water," he said.

"My idea of retirement would be having a nice boat, sailing around the world and exploring and being able to relax and enjoy being on the water -- to just enjoy life without running around quite so hectically!"

@highlight

Ben Ainslie is the most successful sailor in Olympic history

@highlight

The 36-year-old Briton has won four golds and one silver medal

@highlight

His final gold came in the Finn Class at the 2012 London Olympics

@highlight

His lifelong ambition is to win the America's Cup for Britain