British lawmakers launched a furious, multipronged barrage of questions Wednesday at Bob Diamond, who resigned as the head of Barclays a day earlier, but Diamond steadfastly defended himself and the bank.

Diamond refused to be drawn into whether he would give up millions of dollars' worth of bonuses, and he insisted the scandal that forced him to quit was due to a small number of "reprehensible" traders at Barclays.

The banker said he became "physically ill" when he found out about the scandal -- something he said he learned only last month.

"The behavior was wrong. It's been eradicated. It's been dealt with," he insisted.

Diamond stepped down Tuesday as chief executive of Barclays amid the scandal that also claimed two other executives at the bank this week.

Barclays chairman resigns amid rate-fixing scandal

He insisted Wednesday at a parliamentary hearing that history would judge the bank as "an incredible institution."

But lawmaker Andrea Leadsom, herself a former Barclays banker, accused Diamond of living in a parallel universe, saying the culture of Barclays was the problem, not the solution.

And Teresa Pearce, another member of the Treasury Select Committee, attacked his line of defense.

"You just keep saying, 'I didn't know, I didn't know,' " about wrongdoing at his bank, she said.

She pressed him on an infamous comment he made to lawmakers last year to the effect that it was time for bankers to stop apologizing for their actions.

"It did not come across in a way that was positive or the way I meant it," Diamond said after quibbling with her about when he made the remark.

He also brushed aside angry questions from lawmaker John Mann about whether he would give up bonuses or donate them to charity, saying decisions had not yet been made.

British and American regulators fined Barclays more than $450 million last week for rate-fixing during the height of the global financial crisis.

The scandal centers on the rates at which banks lend each other money. The rate is hammered out based on input from big banks in London each morning and is known as the London interbank offered rate, or Libor.

It affects how much interest ordinary people pay on everything from credit card debt to home mortgages and student loans.

The fine came after Barclays admitted some of its trading desks purposely underreported its interest rates.

Former investment banker Ralph Silva said the scandal has caused such fury because of its impact on the public.

"If they're manipulating Libor, what they're basically doing is taking money out of the public's pocket," he said.

Diamond said Wednesday he was "sorry, I'm disappointed and I'm angry" about the rate-fixing. "This was wrong and I'm not happy about it, but we put all the resources we could to make sure it was dealt with. ... This doesn't represent the Barclays that I know and I love."

He blamed the wrongdoing on 14 traders out of "a couple thousand."

Diamond was pressed hard about communications between his bank, politicians and the Bank of England regarding his bank's views on what the rate should be.

Barclays published internal e-mails ahead of Wednesday's hearing suggesting that politicians were asking the Bank of England to put pressure on banks to keep interest rates low.

Lawmakers demanded to know who Diamond meant when he said "Whitehall" was concerned about Barclays' views on Libor, which is set each day by a group of banks. Whitehall is a catch-all term for the British government.

He refused to name names and gave inconsistent answers about whether he thought the pressure was coming from elected politicians or career civil servants.

The answer, if it ever emerges, could have political implications for the Labour Party, which was in power at the time.

Before the hearing, one of the lawmakers on the Treasury Select Committee said Diamond was making a serious accusation.

"He has made allegations about the behavior of a very highly respected and trustworthy deputy governor of the Bank of England, Paul Tucker, and many of us will want to get to the truth of that," David Ruffley said.

The allegation "goes to the very heart of the integrity and probity of regulators in the City of London. One of those is the Bank of England," he said.

Tucker asked the committee Wednesday for a chance to testify, the panel said in a statement.

Why Libor scandal will change banking culture

Diamond has long been a controversial figure and has been a vocal backer of huge bonuses for bankers.

"It's about pay for performance," he told CNN earlier this year, calling bonuses "rewards for success."

His own pay package remains "under discussion," Barclays told CNN on Wednesday.

Diamond's total compensation package for 2011 was worth £6.3 million ($9.8 million), including salary, bonuses and share options, the bank said.

The annual bonus consisted of £2.7 million ($4.2 million) in shares and was deferred over three years, the bank said.

The chairman of the Financial Services Authority, Britain's banking regulator, last month blasted the "cynical greed of traders asking their colleagues to falsify their Libor submissions so that they could make bigger profits."

Chairman Adair Turner said the scandal "has caused a huge blow to the reputation of the banking industry" and "has justifiably shocked and angered people."

At least seven other banks are under investigation on suspicion of rate-fixing, leading to speculation that Diamond could be the first of many executives to resign.

Libor e-mails: 'For you...anything'

Financial regulators in London have not named the banks, but Deutsche Bank, Royal Bank of Scotland, Credit Suisse and UBS have acknowledged that they are under investigation.

Citigroup and JPMorgan Chase have also confirmed that they are under investigation.

Bank of America has refused to comment on reports that it is being probed.

British Prime Minister David Cameron said Monday that a full parliamentary inquiry would be held into the Libor rate-fixing scandal and standards in the banking industry, with witnesses called to give evidence under oath.

Barclay's is the 15th-largest bank in the world, according to an annual list of the world's top 1,000 banks released Monday by The Banker magazine.

It is Britain's second-most profitable bank, and the 18th-most profitable in the world, the trade magazine said.

Cameron unveils probe into bank standards

Explaining the Libor interest rate mess

Barclays: Don't just blame us!

@highlight

Bob Diamond brushes aside questions about giving up his bonuses

@highlight

Ex-Barclays CEO says he became "physically ill" after finding about rate-fixing scandal

@highlight

He resigned Tuesday as head of Barclays, one of the world's largest banks

@highlight

The bank was fined $450 million over alleged manipulation of lending rates