NEW YORK (CNN) -- Seeking to make the world of autism a little smaller, members of the international diplomatic community gathered Friday at the United Nations World Focus on Autism.

Ban Soon-taek, wife of U.N. Secretary General Ban Ki-Moon, addresses the autism forum.

"Not too long ago, those affected by autism-related disorders were set aside, placed in institutions, or dismissed as untreatable lost cases," explains Ban Soon-taek, chair of the Forum and wife of U.N. Secretary General Ban Ki-moon. "Today, sadly this reality is still prevalent in some parts of the world."

Ban called for the professional community and society as a whole to become more involved, compassionate and accepting of this complex condition and stressed the importance of early intervention for every child in the world who lives with autism.

CNN's Chief International Correspondent Christiane Amanpour moderated the event, prompting first ladies, medical experts and the international community to address the challenges inherent in globalizing the fight against autism. The event was co-chaired by U.S. first lady Laura Bush, who did not attend, and Madame Dorrit Moussaieff, first lady of Iceland.

Autism Speaks, an advocacy group created to fund research into the causes, treatments and effective diagnostic tools for autism, presented the program. The group's past efforts led to the U.N. General Assembly's adoption of April 2 as World Autism Awareness Day. It is only the third disease to be given an officially observed day by the U.N., following diabetes and AIDS. The group's current global initiatives aim to provide more trained professionals to diagnose and provide effective early interventions, and for collaboration between countries to conduct more epidemiological studies.  CNN's Christiane Amanpour reports on the U.N. forum on autism »

In the United States, 1 in 150 people are estimated to have an autism spectrum-related disorder. Geraldine Dawson, chief science officer of Autism Speaks, estimates the condition is a greater burden on our resources than type 1 diabetes, childhood leukemia and cystic fibrosis combined, costing Americans more than $90 billion annually. For families, she points out, the cost is immeasurable.

On a global scale, however, autism rates are largely unknown, because of a lack of research and reliable epidemiological studies and a relative lack of awareness surrounding the condition, Dawson told CNN.

The dearth of autism education leads to another global obstacle: social stigma surrounding the disease. In an interview with CNN, Vivian Fernandez de Torrijos, honorary co-chair and wife of Panamanian president Martin Torrijos, said lack of awareness and social stigma are part of the reason autism is diagnosed later in life in Latin America.

Panamanians "don't think that it's a syndrome. They don't have any idea about it because we need more education on what autism is."

At the event, Torrijos discussed the need for more programs such as the Pan American Autism Awareness Initiative, an international collaboration between Autism Speaks and North, South and Central America, first announced in May 2008. The initiative's first purpose is focused on increasing awareness among health professionals and parents alike.

Another international collaboration brought about by Autism Speaks and championed at the U.N. event is the Shafallah Center for Children with Special needs in Doha, Qatar. In April 2008 the Shafallah Center, under the patronage of the Qatari Emir's wife Sheikha Moza Bint Nasser Bin Abdullah Al-Missned, joined efforts with Autism Speaks to raise autism awareness in Qatar and the rest of the Middle East.

Suzanne Wright, co-founder of Autism Speaks, characterized the growing number of global initiatives as a sign that identifying a cause and cure for the disorder is potentially on the horizon. "Autism speaks," she says, "and finally the world is listening."

@highlight

Ban Soon-taek calls for society as a whole to become more involved

@highlight

April 2 is World Autism Awareness Day

@highlight

One in 150 people in the U.S. are estimated to have an autism-related disorder