LONDON, England (CNN) -- If climate change were a small house fire, current policy in the European Union and the United Kingdom would ensure that it would destroy not just the house but the entire suburb.

Author of "Carbon Scenarios" compares global warming to a house fire that the world is currently failing to contain.

That's the grim analogy offered by Paul Domjan, author of a new report, "Carbon Scenarios: Blue sky thinking for a green future", by the Stockholm Network, a London-based pan-European think tank.

The report explores three scenarios on climate change, none of which leads to what's defined by the EU and UK as a 'successful outcome'; a greater than 90 percent chance of temperatures rising by no more than two degrees above pre-industrial levels.

"We have failed," Domjan says, adding, "We will not prevent two degrees of warming."

Continuing the house fire analogy he says, "The less than two degree scenario is a fire you can put out. With less than three degrees it spreads to other rooms but you can still put it out."

He says global policy of the past ten years looks more like the third -- and worst -- scenario explored by the Carbon Scenarios report -- the one dubbed "Agree and Ignore."  In that case, "your house is unrecognizably destroyed. The positive feedback cycle isn't contained. Your house catches fire, your neighbor's catches fire..." And so on.

Domjan blames the failure of the current climate change policy on the constant stream of compromises by world leaders designed to keep the Kyoto agreement intact.

"This dynamic of making lots of small compromises in order to keep the agreement in place has led to a situation where the agreement has lost a lot of its teeth."

He points to Canada as an example, a signatory to the Kyoto agreement which has "done nothing" to implement it.

"During the time it's been a signatory it's been developing massive coal sands projects which are the most polluting way of producing gas and oil in the world," he says.

"There's a great international censure against the U.S. for not ratifying Kyoto but nothing has been said about Canada."

"The coal sands are using so much natural gas and electricity they could have an entire nuclear facility just for themselves."

The three alternative futures explored in the Carbon Scenarios report include "Kyoto Plus," "Agree and Ignore" and "Step Change."

"Kyoto Plus" envisages a gradual transition to a global cap on carbon emissions by 2012. Domjan calls it a "largely successful scenario" where there's a greater than 90 percent chance of global average temperatures rising more than 3.31 degrees above pre-industrial levels by 2100.

"That's not a disaster. It's still a world that's recognizable," he says.

The second scenario -- "Agree and Ignore" -- predicts efforts to reduce carbon emissions will "stall and backslide" leading to "competitive regionalism." There would be a greater than 90 percent chance of global average temperatures rising no more than 4.8 degrees above pre-industrial levels by 2100. From that point, temperatures would continue to rise into the next century.

The third scenario -- "Step Change" -- imagines a radical shift in global policy direction. World leaders would introduce a system of global carbon caps, giving them greater than 90 percent chance of limiting the rise in global average temperatures to 2.85 degrees above pre-industrial levels by 2100.

Of the three scenarios, "Step Change" is the one Domjan personally prefers but the one he concedes is unlikely to happen.

"Our proposal [for a global upstream cap] is similar to but not identical to the proposal from the Kyoto 2 project," he says. "It's a line of thinking that's been around for a while that will provide a healthy alternative to emissions trading."

Under the scheme, the United Nations would impose an annual cap on the amount of carbon that could be produced from fossil fuels. Natural resource companies would have to apply and pay for permits to produce carbon. Compliance would be determined at key points, for example, coal washing stations.

"The problem is how do you get the political impetus to have a big international change like that and for people to accept that this is genuinely going to be dealt with at an international level," Domjan asks.

The "Step Change" scenario supposes that the impetus comes through a threat to U.S. and Chinese economic security. Under the scenario, climate change threatens Sino-U.S.. trade relations so the two combine to lead and enforce global change.

"Our current approach to climate change is moving at the pace of the slowest country," Domjan says, adding, "Here they say we're going to move as quickly as possible and then force others to catch up."

Under that scenario, the need to purchase carbon production permits would push record oil prices even higher as energy companies pass on the cost to consumers.

Domjan is confident the global economy could cope -- it's adapted to higher energy prices so far and is likely to prove equally resilient in the future.

And the extra cost of fuel, rather going to producers, would be held in a fund controlled by the United Nations. It would be used to help developing nations to use fewer fossil fuels, to support new research and development, to compensate oil producers for the carbon they're not producing, and to establish an emergency fund to deal with the consequences of climate change.

Domjan acknowledges that world leaders are unlikely to use the report as the basis for a new global policy, but he hopes they at least take away two key points: "Whenever possible regulate at the point where there are fewest participants [and] we need to make sure there's a clear price signal so the market can distribute energy efficiently."

@highlight

Carbon Scenarios report says EU, UK global warming targets "unrealistic"

@highlight

Report's author: "We have failed. We will not prevent two degrees of warming"

@highlight

Document explores three scenarios for global warming under different policies

@highlight

Proposes radical shift in policy to introduce global carbon caps and permits