Tokyo (CNN) -- Acknowledging the toll the unrelenting nuclear crisis has had on people's lives and livelihoods, the owner of Japan's stricken nuclear plant has offered money to some of those in the radiation's reach -- an offer that one city decided to refuse.

An official with Tokyo Electric Power Company, which operates the Fukushima Daiichi power plant, said Tuesday that the utility made a "token" offer to residents in 10 communities near the plant.

Nuclear crisis explainer

Starting March 31, money began going out to those in nine of them. But the town of Namie rejected Tokyo Electric's offer, with a local official calling it too meager an attempt to make up for a drastically reduced quality of life and income.

"Our people are suffering, and unfortunately, everything we've built is gone," Mayor Tamotsu Baba told CNN.

"Where is our direct apology?" Baba asked. "Because the cash certainly doesn't amount to much."

Tokyo Electric says the amount is an initial token payment, not compensation for losses sustained as a result of the nuclear accident at Fukushima Daiichi. They promise that will come later -- after they have assessed the damage from the accident, which has spread radioactive contamination across much of the surrounding area.

The company called the initial offer "payment for their troubles," and would not detail how much money is being offered to each community. But Kousei Negishi, who is the manager of general affairs for Namie, said that it was 20 million yen -- about $12 for each of Namie's roughly 20,000 residents.

That amount of cash, said Negishi, is "not enough." And it is logistically difficult to force local governments to distribute the money, which he said should be Tokyo Electric's responsibility.

Several officials from Fukushima, the prefecture that includes the crippled plant, took their complaints about the company and the evacuation zone to Prime Minister Naoto Kan's Tokyo office Tuesday afternoon.

"We don't know if TEPCO understands what we're going through," said Katsuya Endo, the mayor of Tomioka, one of the towns that has been evacuated since the accident.

Special coverage

The company said Tuesday that would be worked out between the power company and the Japanese government, which has pledged to support Japan's largest utility in the crisis.

One week ago, a report from Bank of America Merrill Lynch estimated Tokyo Electric will face compensation claims of 1 trillion Japanese yen (about $12.13 billion) if the recovery effort takes two months, the financial company's Tokyo spokesman Takayuki Inoue told CNN. That figure would rise to 2.4 trillion to 3 trillion yen if the process takes six months, and up to 10 trillion yen if the recovery takes two years, according to the report.

Most likely, tens of thousands of people will have a legitimate claim to this cash. They'll include those who haven't been able to work, who have been forced out of their homes or who otherwise have had their lives turned upside down in the problem-plagued, complicated struggle to contain the emission of radiation into the air, ground and water from the Fukushima Daiichi plant.

How to help

The government ordered about 78,000 people who lived within 20 kilometers (12 miles) of the plant to evacuate, due to high air and ground radiation readings in those locales.

Another 62,000 lived within 20 to 30 kilometers (12 to 19 miles) -- the so-called exclusion zone, where people have been told to stay indoors -- an official from Kan's office said. Namie is located just outside this 30-kilometer radius.

Interactive map

Thousands of others have been affected by the crisis. They include fishermen, who have been told not to go within 20 kilometers of the plant and are facing consumers skeptical about the safety of local seafood, especially after authorities announced plans to dump 11,500 tons of radioactive water into the Pacific Ocean. Farmers, too, have been hit hard by restrictions on the sale and distribution of certain crops because of radiation readings exceeding government limits.

Tokyo Electric itself has suffered as well. The company has admitted it's been inundated by 40,000 public complaints daily coming into its offices, its stock has plummeted and its faced several protests, including one Sunday in downtown Tokyo that drew about 250 people.

Last week, Chairman Tsunehisa Katsumata acknowledged the financial difficulties and reports that Japan's government is considering nationalizing the company.

"(But) we want to make every effort to stay a private company," he said.

@highlight

NEW: "Everything we've built is gone," the mayor of Namie says

@highlight

Tokyo Electric offers 20 million yen to residents of 10 communities near the plant

@highlight

The utility company says more money to those affected will likely come in the future

@highlight

One estimate is that Tokyo Electric will pay $12 billion to $121 billion in compensation