Sanford, Florida (CNN) -- The family of a teenager shot to death last month by a neighborhood watch volunteer -- a case that has sparked national debate and concerns about racial profiling -- will address a Sanford, Florida, city meeting on Monday, officials said.

Trayvon Martin, 17, was killed February 26 as he walked back to his father's fiancee's house in Sanford after a trip to a convenience store. Police say he was unarmed, carrying a bag of Skittles candy and an iced tea; he was shot by George Zimmerman, who claims he was acting in self defense, according to authorities.

The city of Sanford appealed Sunday for "civility and calm" during the "City Commission/Town Hall Meeting for Trayvon Martin."

Worshippers in cities nationwide wore hoodies to church services Sunday to honor Martin, who was wearing a hoodie when he was killed. Zimmerman has not been charged in the case.

Ebenezer Baptist Church in Atlanta and Middle Collegiate Church in New York were among the churches honoring the teen.

"All of us have a stake in this, not just black people," said the Rev. Raphael G. Warnock, of Ebenezer, according to CNN affiliate WXIA. "We are Americans, and we expect the system to work."

Warnock preached Sunday wearing in a maroon Morehouse College hoodie, the network reported.

In Sanford, a "prayer for peace" and a candlelight vigil will take place Sunday evening. Another candlelight vigil will take place at the Civil Rights Memorial in Montgomery, Alabama.

"The public has had enough of the police and prosecutors operating in secrecy when it comes to people of color, especially African-Americans," said J. Willie David III, president of the Florida Civil Rights Association, the group planning the Sanford vigil.

The case has sparked a national debate over the Florida law and concerns about racial profiling. Martin was black and Zimmerman is white Hispanic.

The attorney for Martin's family, meanwhile, said bringing a federal hate crime charge against Zimmerman will be "a challenge, to put it lightly."

Family of Martin to pursue civil case

Daryl Parks told board members of the National Association of Black Journalists (NABJ) on Saturday that prosecution on the state level stands a better chance.

"Most state laws tend to be better for the prosecution of state crimes. And that's why we see the federal authorities expressing, although gently, in their statements that they can only do so much if there's some type of race statements involved. The state officials don't have that problem," Parks said.

"I think the focus is not necessarily a federal arrest over a state arrest. We want an arrest, period. And I think that the state aspect of that is the one that's most feasible, most attainable in this matter."

Parks said there is evidence that the Twin Lakes homeowners' association told residents who saw suspicious activity to call Zimmerman if they could not contact the police, according to an NABJ statement.

The Martin family plans to pursue a civil case against the homeowners' association, Parks said.

Demonstrations have taken place nationwide over Martin's death.

"We as a nation have become much too violent," the Rev. Jesse Jackson said Sunday. "...If it's black on white, it's jail time. If it's white on black, it's revolt time. If it's black on black, or white on white, or brown on brown, it's Miller time."

In response to an Orlando Sentinel report that Zimmerman worked at the Maitland, Florida, office of Digital Risk, a spokeswoman for the the risk mitigation and surveillance company said Sunday she could not comment on Zimmerman's current or future employment status, but "we can confirm he is not at the building, nor has he been since the incident."

"Our utmost concern is for the safety of our employees, specifically based on the potential turmoil that could arise from the recent announcement of a bounty for his capture," spokeswoman Brandie Young said in a statement.

Zimmerman's attorney said Sunday that after reviewing Florida's "stand your ground" law, he believes it applies to the situation and that his client is innocent.

Initially, lawyer Craig Sonner said last week the law was "not really applicable to this case. The statute on 'stand your ground' is primarily when you're in your house."

"This is self-defense, and that's been around for forever -- that you have a right to defend yourself," Sonner said earlier. "So the next issue (that) is going to come up is, was he justified in using the amount of force he did?"

The 2005 law allows people to use deadly force anywhere they have a right to be if they have reasonable fear an assailant could seriously harm them or someone else.

It also eliminated a long-standing "duty to retreat" in the face of imminent harm, asserting that would-be crime victims have the right to "stand their ground" and "meet force with force" when attacked.

Noting that 23 states have some version of the "stand your ground" law on their books, Sen. Charles Schumer, D-N.Y., called Sunday for the Justice Department to investigate "whether these laws are creating more violence than they are preventing" and whether some deaths go unprosecuted "because the laws place unintended additional burdens on local police and prosecutors that encourage dismissals of otherwise problematic cases."

"These laws seem to be encouraging vigilantism by allowing individuals to use deadly force as a first resort," Schumer wrote in a Sunday letter to Attorney General Eric Holder.

The Sanford Police Department said officers were prohibited from arresting Zimmerman the night of the shooting because physical evidence and testimony supported his claim that he acted in self-defense in accordance with Florida law. The police department gave the explanation to City Manager Norton Bonaparte, who included it in a letter to the community about the case, posted on the city's website.

Zimmerman said he was driving in his gated community when he saw Martin walking and called 911 to report a suspicious person.

Zimmerman told the dispatcher he was following the boy, but the dispatcher told him that wasn't necessary. Moments later, several neighbors called 911 to report a commotion outside, and police arrived to find Martin dead of a gunshot wound.

Sonner says his client was injured that night and went to the hospital with a broken nose and a serious cut on the back of his head.

Sanford police said Zimmerman did not indicate a chase, telling them instead that "he had lost sight of Trayvon and was returning to his truck to meet the police officer when he says he was attacked by Trayvon," the police said in the letter posted by Bonaparte.

Florida Gov. Rick Scott has formed a task force to review the law in the wake of the shooting. Scott told CNN's "State of the Union" on Sunday that he met with Martin's parents Thursday to "let them know that I appointed a new state attorney and introduced them to the Florida Department of Law Enforcement agents that are working on the case."

"Your heart goes out to them because...no family ever imagines this could happen to their child," the governor said.

CNN's Kim Segal, Greg Morrison, John Couwels and Holly Yan contributed to this report.

@highlight

Trayvon Martin's family will address a city meeting on Monday

@highlight

Rev. Jesse Jackson: "We as a nation have become much too violent"

@highlight

An attorney now says the volunteer is innocent under a "stand your ground" law