(CNN) -- More than ever, the French are thinking and hearing about sex. Sex in high places, for a change. The thick wall that separated the public and private lives of our ruling elite and kept their backstage manners out of the headlines is now crumbling at a fast pace. And the Dominique Strauss-Kahn earthquake has a lot to do with it.

Two criminal cases against the former director of the International Monetary Fund, one closed in New York, the other still pending in northern France after his indictment for alleged promotion of prostitution, have given the press more than an opportunity, a civic obligation to tip-toe around our strict privacy laws and question, for the first time, their cozy gentleman's agreement with the powerful. Now what?

Things are changing. Today, Jean Quatremer, a journalist at the daily Liberation, tells in his new book how, nearly four years ago, he got the scoop about the opening of an internal investigation at the IMF on DSK's relationship with a subordinate; and how his editors of the time killed the story. (The Wall Street Journal finally got the tip).

Until this year, also, excellent journalists at Le Monde like Raphael Bacqué and Ariane Chemin would not have found a publisher willing to release their own book, "Les Strauss-Kahn," a chronicle of the life of DSK and his famous journalist wife Anne Sinclair. Now a best-seller, their investigation certainly describes numerous flavors of Strauss-Kahn's behavior. But it deals more with another relationship, the bizarre ménage à trois between the elite circles, French citizens and the truth.

In France, centuries of feudal privileges did not disappear at the birth of the Fifth Republic. In the last 40 years, most privacy laws were created not by the demand of citizens fearing the Big Brother state, but rather by the political class itself, to keep its safe distance from the electorate. And self-censorship ruled.

In a recent documentary (about DSK) a French media critic recalled the time when, as a rookie in 1982, he asked a seasoned correspondent at the Elysée what President Mitterrand did after work. The answer came, in a blasé voice that hinted at a banal routine: "He leaves his office around 6:30. Then, he just spends the evening with his second family." This fact was made public only in 1994, when Mitterrand gave a green light for a cover picture in Paris Match showing his beloved daughter with him. Just over a year later, she was at his funeral with her mother, an act of public regal recognition that moved the nation.

Strauss-Kahn, like other avatars of the system, reveled in his own kind of aristocratic and exclusive playground. Silence and immunity became the measure, the flattering reflection of his growing power and nobility.

His demise in France could be seen as the symbolic start of a new era of openness, but we are still in an awkward transition period, where the French public opinion is trying hard to find its mark.

Until Nicolas Sarkozy, no president had ever divorced, out of fear it would irritate the shrinking number of Roman Catholics in the electorate, or open a Pandora's Box of distasteful revelations; but sexual morality has never been a reliable electoral criterion.

Rumors on the internet have upstaged uncertain values, fed cynicism and the rise of populist movements, a blanket ideology of the "Tous Pourris" (they are all rotten) at the core of the extreme right-wing psyche.

But in the current confusion, many French would prefer to maintain good old privacy, especially in its male-friendly version. During the Strauss-Kahn epic, for example, women who dared to connect the dots between his character flaws and eligibility for office, saying they would not vote for a misogynist, were often ridiculed as nuns or man-haters.

Most people, in spite of the current publishing frenzy, would rather know less, and keep power on its safe pedestal. That trend started before Strauss-Kahn, when Sarkozy, dumped by his second wife right after his election in 2007, had to become the president next door, and rebuild his life "live" with glamorous Carla Bruni. Ironically, for acting like a mere mortal, be it on prime time, in luxurious and idyllic conditions, he was accused of desecrating the presidency : Too visible, too "bling bling," too out of touch.

His successor, François Hollande, won as "Mr Normal." But his life is far from uneventful. His separation with his companion Segolène Royal, a prominent socialist, a former presidential candidate and mother of his four children, totally disturbed their party in 2007.

His flame ever since, now the First Lady, named Valerie Trierweiler, a journalist, is still so consumed by jealousy that she tweeted her support for Segolène's political opponent during the last parliamentary elections. Her move, a cyber-age rendition of 18th century boudoir warfare, openly contributed to the defeat of her nemesis, ruining her chances to become the President of the Assemblée Nationale. The truth is out now, but it is not certain the French like it that way.

The opinions expressed in this commentary are solely those of Philippe Coste.

@highlight

Philippe Coste: The DSK cases have given the press the chance to question the powerful

@highlight

The most powerful in society used to enjoy silence and immunity, he says

@highlight

He says DSK's demise in France could be seen as symbolic of a new era of openness

@highlight

Coste: Despite the current publishing frenzy, most people would rather know less