I've always wanted to go to Prague, having often heard that it was a magical place of extraordinary architecture and history (especially since it mostly escaped bombing during World War II).  Finally, in the week leading up to Labor Day, with visions of castles dancing in our heads, my girlfriend Donna Dennison and I flew in to begin our central European adventure.

We had only one fear: We're vegans. Would we find anything to eat that contained absolutely no animal products, or would we be reduced to subsisting on doughy rolls and plain salads?

I'm happy to report that Prague not only surpassed my imagination with its stunning vistas, medieval bridges and palatial grandeur, it turns out to be chock full of fabulous vegan and vegetarian restaurants. In fact, Central Europe in general is a hotbed of vegetarianism. Who knew?

Don't fear the vegan!

It turns out that Happy Cow knew. I have long used the Happy Cow app in the U.S. to find vegan restaurants. But I had low expectations when I clicked on the app in Prague, seeking the closest vegan or vegetarian restaurants. My assumptions were way off. It turns out Prague is a mecca of compassionate living with well over a dozen choices popping up: either vegan, vegetarian or veg-friendly.

Within a 10-minute cobblestone-laden stroll from the historic Charles Bridge, which dates to the 14th century and overlooks the Vltava River, we were delighted to encounter LoVeg, an ironic name given that we climbed three flights of candlelit stairs to get to it. It was worth the hike for the delicious vegan burger made of red beets, chickpeas, tempeh and gherkin. The staff is clearly in it for the cause of compassion, hence their motto: "We give food a higher meaning." We liked it so much we came back again and tried the baked beetroot carpaccio.

Next stop: Cesky Krumlov, a storybook medieval city whose historic center is a UNESCO World Heritage site and sits about halfway between Prague and Vienna. Surely, I thought, there's no way we'll find vegan options in this place. Wrong again! This was actually the site of one of our favorite vegetarian restaurants: Laibon.

Sitting on sturdy wooden tables in an open terrace on the banks of the river, we stared up at the famed castle that was started in the 13th century but expanded over time to embrace not just Gothic but Renaissance and Baroque styles. Meanwhile, we nibbled on a vegan sampler for two that included Indian, Mexican and traditional European flavors.

6 veggie burgers so good you won't miss the meat

Our waiter was fluent in several languages, and we even bantered in Spanish for a while. It was a magical blending of cultures and centuries at the crossroads of time and taste.

For a pick-me-up during sightseeing, we sampled the addictive potato swirls sold by a street vendor -- something akin to a medieval order of fries.

For the piece de resistance, it was off to Vienna. Would the home of Mozart and Freud have some compassion in its high culture stew? Ja naturlich! In fact, there were so many vegan options, we hit Eis Greissler, an ice cream store that features several vegan flavors, for a cone of mindblowing vegan chocolate ice cream even before hitting our main meal! Good thing we were walking at least 5 miles a day.

Then, we discovered Makro 1 nestled in a small courtyard just a short walk from the historic St. Stephen's Cathedral in the heart of Vienna. The few outdoor tables were taken, but everyone seated at them generously invited us to join them. When we asked for a menu, a friendly lady in an apron pointed to the chalkboard, and we realized that there was a single offering of the day. So we each ordered the macrobiotic plate that featured sweet sauteed pumpkin, delicious quinoa, lentils and salad. It really felt like we were having a meal with a local family.

We chatted with the others about Veganz, the new vegan supermarket chain sweeping Europe. It made me realize, being vegan is like being a member of a compassionate club where you can find a haven with your fellows anywhere in the world.

All of our vegan adventures were memorable. But the one that will always stand out was our lunch at the sumptuous Tian, a white glove vegetarian restaurant near Vienna's renowned Belvedere Palace.

Using our Gogobot app to find a spot out of the rain, we had no idea we were stepping into the fanciest vegetarian experience of our lives. I'm talking palate cleansers, hand towels and a suggestion to allow at least an hour and a half for the full experience. What a treat: vegan caviar served up in vintage tins, followed by mouth-watering combinations of carefully sculpted vegetables. Finally, our dessert featured perhaps the most succulent brownie I've ever tasted. Donna had strawberry dumplings that were almost too beautiful to eat. Almost. We devoured every last bite.

On our last day, before tackling the massive and astounding Schonbrunn Palace and its sweeping gardens, we filled up at Deli Bluem, which offered a buffet of hearty plant-based dishes from red lentils with millet, apples, spinach and radicchio to eggplant with pomegranate, pine nuts and basil.

Finally, for a last dessert before heading back to low-calorie reality, we hit a small shop on a Vienna side street called Easy Going Bakery. We wanted to find that classic, light Viennese puff pastry, and we did in the form of mini-cupcakes.

Our vegan adventure added so much flavor and excitement to our trip. It got us off the beaten path and into the nooks and crannies where real people live. We got a real taste of what life in Central Europe is really like.

@highlight

Central Europe might not seem like a hotbed of vegan options, but it is

@highlight

Apps like Happy Cow and Gogobot led the author off the beaten path

@highlight

Vegetables aren't just an afterthought at these restaurants; they're the star

@highlight

Options range from street snacks to high-end dining