(CNN) -- Numerous Arab governments have used violence to quash demonstrations in the wake of mass protests in Egypt, a leading human rights group says in a new report.

Human Rights Watch, which says it conducts "rigorous, objective investigations," issued the report Tuesday alleging clampdowns by Palestinian leadership, Saudi Arabia, Sudan, Syria, the United Arab Emirates, and Yemen.

"Images of the uprisings in Tunisia and Egypt have mesmerized the Arab public but have terrified their rulers," Sarah Leah Whitson, the group's Middle East and North Africa director, said in a statement. "They have responded with their usual mix of repression and intimidation to nip the buds of any wider democratic blossoming."

Human Rights Watch said the Palestinian Authority, which controls the West Bank, "used violence against peaceful demonstrators" during a rally last week in which people were supporting the Egyptian protesters.  "Witnesses told Human Rights Watch that regular police and 'special forces,' identifiable by their uniforms, punched, kicked, and detained participants, as well as at least two journalists and a Human Rights Watch research assistant," the report said.

The report added that on January 30, the Palestinian Authority shut down a solidarity demonstration.

Hamas, which controls Gaza, "quashed a solidarity demonstration on January 31," Human Rights Watch said.  "The police arbitrarily arrested six women and threatened to arrest another 20 people, who had responded to a call on Facebook for a demonstration, as soon as they arrived at the Park of the Unknown Soldier in Gaza City."

CNN reported on the January 31 demonstration, in which Hamas security broke up the event and detained some female protesters.

CNN has also reported on the Palestinian Authority breaking up two attempts to stage small rallies.  The Palestinian Authority said participants did not have government permission for the rallies.  Witnesses said participants were pushed and shoved, and some were detained.

Later, both the Palestinian Authority and Hamas allowed some events supporting solidarity with Egypt to take place.

On Saturday, Palestinians demonstrating in support of Egyptian anti-government protesters, at an approved event in Ramallah, were forcibly dispersed when a few dozen men in civilian clothes disrupted the protest.

A spokesman for the Palestinian Authority security services, Maj. Gen. Adnan Dmeiri, told CNN that that demonstration "had all the permits needed, and it is our duty as the Palestinian security to protect the demonstration, which the police and the security did. Our duty is to protect and serve the people."

Human Rights Watch said that in Syria, security services briefly detained five young demonstrators at three different protests, and that on February 2, "a group of 20 people in civilian clothing beat and dispersed 15 demonstrators who had assembled in Bab Touma in old Damascus to hold a candlelight vigil for Egyptian demonstrators. Police nearby failed to intervene, one of the gathering's organizers told Human Rights Watch.

"When demonstrators went to the local police station to file a complaint, a security official insulted and slapped Suheir Atassi, one of the main organizers, and accused her of being a 'germ' and an agent of foreign powers. Syria's security services had summoned more than 10 activists to pressure them not to demonstrate."

Syria had no immediate public response to the report on its state-run news agency, SANA.  A representative of the Syrian Embassy in Washington had no immediate response.

In the United Arab Emirates, Human Rights Watch said, state security arrested Hasan Muhammad al-Hammadi, who "had spoken out publicly in solidarity with the Egyptian demonstrators" during a mosque sermon.  "He remains in detention."

UAE officials did not immediately respond to a call from CNN.

In Saudi Arabia, Human Rights Watch said, "security forces briefly arrested between 30 and 50 demonstrators in Jeddah" on January 28, according to reports. "Police arrested demonstrators as soon as they gathered, with dozens of others scattering."

Saudi Arabia had no mention of the report on its state-run news agency, the Saudi Press Agency.  The Saudi Embassy in Washington had no immediate response.

In Yemen, Human Rights Watch said, "police and military forces used live and rubber bullets to disperse protesters on February 3.  Six people were injured and 28 arrested, the Yemeni Observatory for Human Rights reported."

Mohammed Al-Basha, spokesman for the Yemeni Embassy in Washington, told CNN on Wednesday that the February 3 protests were generally peaceful.  "There were some incidents" in which "demonstrators physically provoked police officers" or destroyed properties, and those demonstrators were detained, he said, adding that most were later released.

"Live ammunitions are never shot directly at any demonstrators," he added, saying that sometimes authorities will shoot into the air to disperse crowds, such as when they get close to a government building.

On Monday, Yemeni Prime Minister Ali Mujawar told CNN his country is "democratic" with a "democratic regime," and accused opposition parties of "trying to duplicate what happened in Tunisia and Egypt, and act as if it should be imposed on the people here in Yemen."

In Sudan, Human Rights Watch said, "authorities used excessive force during largely peaceful protests on January 30 and 31 in Khartoum and other northern cities to call for an end to the National Congress Party (NCP) rule and government-imposed price increases."

"Witnesses in Khartoum and Omdurman reported that armed riot police and national security personnel dispersed groups of protesters using pipes, sticks, and teargas, injuring several people and preventing some people from joining the protests. Some protesters threw rocks at riot police, but most were peaceful, witnesses said. The majority of those arrested were released within hours, but more than 20 are still missing and believed to be held by national security forces."

The Sudanese Embassy in Washington responded that the country "affirms and protects the right of the citizens to demonstrate as they wish, provided that people abide by the rules and regulations in place, guidelines meant to ensure public order and safety."

In a statement, the embassy said "some opportunists capitalize" on incidents aimed at maintaining safety "to inspire chaos or smear Sudan's image."

"A few zealous individuals from both sides of the aisle might act in a way that contravenes the right to free expression," the statement added.  The protests might reflect "genuine grievances relating to the economy," which the government recognizes, the Sudanese Embassy said.  "But for effective results, order must prevail, not chaos."

U.S. State Department Human Rights Reports have criticized all these governments, to various extents, for cracking down on protests or dissent.

CNN's Mohammed Jamjoom, Jennifer Fenton and Kevin Flower contributed to this report.

@highlight

NEW: Sudan responds that it protects the right to demonstrate

@highlight

Human Rights Watch official says governments are using repression and intimidation

@highlight

Group cites Palestinian leadership, Saudi Arabia, Sudan, Syria, the UAE, and Yemen

@highlight

Yemeni spokesman says protests in his country have been generally peaceful