(CNN) -- Linda Brown, a third-grader in Topeka, Kansas, walked across railroad tracks each morning in 1951 as part of the six-block walk to her school bus. From there, she rode one mile to her segregated elementary school. Her neighborhood school, open to whites only, was a mere four blocks from her house. Yet because of the color her skin, Linda could not attend.

Linda's father, Oliver Brown, served as the lead plaintiff in Brown v. Board of Education, the landmark Supreme Court case that dismantled the "separate but equal" doctrine in public schools.

Acknowledging in their 1954 decision that black children were being denied a quality education, the Supreme Court justices ruled unanimously that equal educational opportunity was a right guaranteed for all American children.

But 60 years later, a new playbook of discriminatory education policies continues to keep schools separate and unequal, with countless children of color on the outside looking in.

Landrieu: Charter schools: Let every child have access

Instead of the old segregationists in the business of denying opportunities to students of color, so-called education "reformers" today are producing the same outcomes through the policies of school closures and literally turning education into a business.

Nationwide, public schools that serve predominantly African-American and Latino communities have been aggressively targeted. Schools are being closed, with students re-enrolled in different ones away from our neighborhoods. They're being closed and turned over to private companies or swapped out for charters.

Taking the public out of public education

The rhetoric of "we must do something" is dishonest at best. What the reformers don't acknowledge is that this approach of closures and privatization has kept public education separate and unequal -- and, increasingly, not public at all.

Parents, students, educators and community leaders across the nation have repeatedly resisted such policies. So at the onset of the 60th anniversary of the Brown decision, we are again taking action.

On the behalf of the Journey for Justice Alliance -- a network of 36 grassroots community-based organizations across 22 cities -- this week the Advancement Project filed three complaints under Title VI of the Civil Rights Act of 1964, which prohibits discrimination in use of federal funds.

We focused on cities deeply impacted by the school closures epidemic: Chicago, New Orleans and Newark, New Jersey. In each of these, African-American children are being uprooted, shuffled around and ultimately sent to schools that are no better than the one that closed.

Districts are shirking their responsibility to use our tax dollars to educate our children and instead are giving multimillion dollar contracts to companies to do the job. In each city, African-American students' hopes of equal educational opportunities are being dashed. We hope these complaints will help move these cities, and our nation, closer to the still elusive promise of Brown.

Also this week, Journey for Justice released a report on the real-life impacts of school closings and privatization.

Entitled "Death by a Thousand Cuts: Racism, School Closures, and Public School Sabotage," the report provides a searing look at the national pattern of school districts setting our schools up to fail through a combination of the following policies: high-stakes, testing-based accountability systems, enrollment policies that concentrate the most disadvantaged students in a few schools without providing the needed resources and siphoning public funds by promoting and favoring charter schools.

Once these schools consequently suffer underenrollment and financial shortfalls, public officials then justify closing them. As the report details, school closures not only hurt educational outcomes, they have far-reaching negative consequences for children of color and their communities.

Disproportionately hurt by school closures

In Chicago, for example, 50 public schools were closed during the last school year alone. These closures targeted African-American communities, with black students accounting for only 43% of all Chicago students but making up 87% of the students affected by the closures.

Dyett High School on Chicago's South Side, for example, was sentenced to a slow death. Next year will be its last year in operation. With only 69 students left because of a refusal to admit any more, equal education is not even a fleeting thought. There are no advanced placement classes, and students must take physical education and art online.

This was not because of bad teachers or uninterested parents and students, but a reflection of an appointed school board made up of people who don't have children in public schools and who do not have to bear the weight of their policy decisions.

Students of color in New Orleans and Newark are also reeling from the impacts of these policies. With increased school closures and the expansion of charter schools in New Orleans, the city's Recovery School District has only five traditional public schools left and is on its way to being the nation's first all-charter school district.

Many of the schools in the city have admissions requirements that deny large numbers of children admission. Students in New Orleans, the majority black, have been swapped multiple times between different big-box charter chains, often finding it hard to get into a school but easy to get pushed out.

Newark's public schools have been under state control since 1995, with no local control or community accountability for nearly 20 years. As a result, Newark communities have been unable to stop New Jersey's plan to close neighborhood schools. Many of these are generational schools that fathers and grandmothers of current schoolchildren had attended years before. Now, very young children may be forced to ride two or three buses by themselves to attend unfamiliar schools, with unfamiliar staff, in a completely different part of town.

By eliminating public input into school decision-making, school districts have forged a clear path to characterize our schools as failing, ushering in measures that set them up for closure, turnaround or phase-out.

Meanwhile, education outcomes have not improved as a result of these initiatives. Our children should not be treated as collateral damage in failed educational experiments, and school districts and the federal government must abandon the discriminatory education reform agenda that supports the aggressive use of school closures and charter school expansion.

These unsuccessful models should be replaced with a community-based model that ensures local solutions are tailored to local issues, with supports to ensure that the full array of students' developmental needs are being met, and that every student has access to a curriculum that is enriched, engaging and culturally relevant.

As our nation recognizes the anniversary of Brown v. Board of Education, the fight for education justice is as present as ever. And just as Oliver Brown stood up for his daughter then, today parents in communities of color are continuing the struggle to make equal education real for their children.

Join us on Facebook.com/CNNOpinion.

@highlight

Authors argue that shifts in public schools to corporate or charter models hurt children

@highlight

60 years after Brown v. Board, they say policies still keep schools separate and unequal

@highlight

From Chicago to New Orleans to Newark, schools are being shut or dismantled

@highlight

They have filed three complaints to prohibit discrimination in federal funds used for education