Washington (CNN) -- President Obama marked the one-year anniversary of his controversial economic stimulus plan Wednesday, declaring the $862 billion package an unequivocal success that has created or saved millions of jobs.

House Speaker Nancy Pelosi and members of Obama's cabinet also fanned out across the country in a slew of separate events designed to amplify the president's claims.

Republican opponents belittled the president's assertion, and characterized the plan as a massive waste-filled Washington special-interest giveaway that expanded the deficit while failing to slow rising unemployment.

The radically different claims reflected the high political stakes tied to the public perception of what many observers consider the signature legislative achievement of Obama's first year in office.

"We have rescued this economy from the worst of this crisis," Obama said at the White House. "We acted because failure to do so would have led to catastrophe. We acted because we had a larger responsibility than simply winning the next election. We had a responsibility to do what was right."

The measure "was never intended to save every job," he said. "Businesses are the true engine of growth [and] always will be. But during a recession ... what government can do is provide a temporary boost."

The program, he said, has "run cleanly, smoothly and transparently."

Vice President Joe Biden, the administration's point man on implementation of the plan, argued that "without any question" the package is working and "laying the foundation" for long-term economic growth.

"We know times are [still] tough for too many people," he said. But there is "no reason we're not going to come out of this [downturn] stronger than when we went into it."

The bulk of the money initially allocated for the plan has not actually been spent yet. Through the end of January, roughly $334 billion in spending has been approved, of which $179 billion has actually left federal coffers. Another $119 billion has gone to tax cuts.

The federal government now expects to distribute $32 billion in stimulus funds per month, up from an average $27 billion a month over the past year, according to Biden.

Now that the economy is no longer in free fall, the mix of spending will change, senior administration officials said. Until this point, the bulk of the spending has been on tax relief and direct aid, such as unemployment benefits.

To date, only $31 billion has been spent on projects such as infrastructure, high-speed rail, broadband and health technology. But in the second phase of the act, the amount of money going to these initiatives will more than double to $7 billion a month as work on them ramps up.

The administration views this spending as setting the stage for a lasting expansion.

"Many projects are just now getting under way, and will be creating jobs throughout 2010 and beyond," Biden said earlier this week.

"Work on many Recovery Act projects will accelerate in the spring and summer months as weather conditions permit work on roads, bridges, water projects, and Superfund site cleanups."

In depth:  The stimulus project

Payments to states and individuals will fall to $11 billion per month, from $14 billion. Much of this spending -- such as Medicaid funding and additional unemployment benefits -- was meant to stabilize the economy during the recession.

The administration will reach its goal to disburse 70 percent of the Recovery Act funds, or $551 billion, by September 30, senior administration officials said.

The nonpartisan Congressional Budget Office recently hiked the cost estimate of the stimulus plan to $862 billion, though the administration still uses the original $787 billion figure.

Republicans have torn into what they argue is the stimulus' failure.

The Republican National Committee released a video Wednesday claiming that "the American people are tired of politicians who don't admit when their policies don't work. The president and the Democrat Party can either admit their policies failed and change course now or continue their binge spending agenda and face certain defeat at the polls in November."

House Minority Leader John Boehner, R-Ohio, said earlier in the week that taxpayers "aren't getting their money's worth from the trillion-dollar 'stimulus' and struggling families and small businesses are rightly asking, 'Where are the jobs?'"

House GOP Whip Rep. Eric Cantor, R-Virginia, said states have lost a total of 2.9 million jobs between the bill's enactment last February through December, though the administration projected stimulus would save or create 3.5 million positions.

Obama teased congressional Republicans on Wednesday for slamming the plan "even as many of them show up for ribbon-cutting ceremonies for projects in their districts" funded by the act.

In the final quarter of last year, the Recovery Act directly funded nearly 600,000 jobs, according to the Web site Recovery.gov. The figure is based on about 160,000 reports from state, local and corporate recipients who have spent $57.9 billion in stimulus money.

It does not tally jobs created indirectly through companies buying supplies for stimulus projects, people spending their tax cuts, increased unemployment benefits and the like.

In total, the economic stimulus program has boosted employment by 1.5 million to 2 million jobs, the president's chief economic adviser said in mid-January. That figure is derived from a mathematical formula based on how much money has flowed out the federal door.

A CNN/Opinion Research Corp. poll conducted last month found a majority of respondents -- 56 percent -- opposed the stimulus plan. Forty-two percent supported it.

Fifty-eight percent, however, believed the stimulus had stabilized or improved the economy, while 41 percent said it either had no effect or had made the economy worse.

The poll of 1,021 adults was conducted by telephone from January 8-10, and had a sampling error of plus or minus 3 percentage points.

CNN's Tami Luhby and Alan Silverleib contributed to this report.

@highlight

Obama says stimulus plan rescued economy from "worst of this crisis"

@highlight

Program, one year old, has run "smoothly, cleanly, transparently", Obama says

@highlight

Republicans charge the program expanded deficit without creating jobs

@highlight

Stimulus laid foundation for long-term growth, VP Joe Biden says