(CNN)Climbing a height equivalent to Mount Everest just once would be a shuddering thought for most people, but can you imagine trying to scale 8,848 meters more than 20 times in six months ... on skis?

That's the distance Mireia Miro estimates she covers every season in a bid to stay fit for the lung-busting sport of ski mountaineering.

"In a normal winter, when we start skiing in November and we finish in April, sometimes May, I can do around 200,000 meters of elevation gain," Miro told CNN's Human to Hero series.

The dedication to fitness has helped the Spanish dynamo reach the summit of her sport winning a clutch of titles in recent years. But not even trophies can match the winning feeling of being at one with nature.

"I love being in the mountains -- it makes me feel part of the world, part of the Earth," she says.

"I don't know how to explain it ... it's a little bit difficult ... but when I'm in the mountains, especially ski mountaineering, in winter alone, I have a peaceful feeling and I feel part of the things that surround me," she adds.

"When I go up, I'm able to think of nothing -- it's as if your head is empty. For me, it's kind of a way to disconnect from the world."

Today, under a canvas of blue sky that could have been painted by her namesake Joan Miro, the Catalan skier is quietly blazing a trail through the snowy terrain, negotiating the gentler slopes of the Pyrenees before effortlessly switching up a gear to tackle steeper climbs.

"What I like in the mountains in winter is that you can choose your own trail. When I'm on the skis, I can always choose where I want to go." she explains.

Combining elements of cross-country and alpine skiing, ski mountaineering, or "skimo" for short, can be done for recreation or competitively with skiers racing against the clock over a set pre-set course.

"Senior women normally do 1,500 meters -- that's quite a lot, but we do three or four uphills and three or four downhills. The first women normally do that in one hour 30 minutes, one hour 40 minutes maximum -- (you are) always pushing yourself."

There are dangers, notably avalanches when venturing off piste, but Miro has avoided them so far.

"I'm lucky, I can say that I haven't had any really scary situations," she says.

With around 25 races to complete every season, Miro has to constantly be in peak physical shape which means putting in the hard yards almost every day.

The staggering uphill climbs she completes during a season -- more than 120 miles worth -- are as much a mental battle as a physical one, she says.

"I think that the mind is the motor of the body. If your mind is ready, is open to new things, you will enjoy it. If your mind is closed and you don't want to improve, you won't enjoy it."

With that philosophy, it is perhaps no wonder that the 26-year-old has been so successful winning dozens of races in recent years -- the high point coming in 2011 when she skied to both the World Championship and World Cup titles.

Miro is also one of only a handful of women to have won the legendary Pierra Menta twice.

The annual ski mountaineering race in the French Alps sees teams of two compete over four days on a monster of a course with elevations totaling 10,000 meters.

"I was dreaming of (winning the) World Championships (and) I was dreaming of Pierra Menta, but I didn't expect to win them because I thought I would never have the level to do it. So when I won both, for me it was like, wow, this is one of the best moments of my life!"

Unlike many skiing stars, Miro wasn't clipped into her bindings from an early age. In fact, she grew up in Barcelona on Spain's north-eastern coast more interested in swimming and martial arts. But annual summer holidays to the Pyrenees soon fostered a lasting affection for alpine activities.

"My family took me to the mountains. We went for picnics, we went to see the lakes, we went to see animals, to see flowers but then when I was 12, I realized I wanted more. I wanted to learn more about mountains," she says.

Her initial ski mountaineering outing was almost her last though.

"The first time I went other people were telling me 'you will love it! You will enjoy the descents, it's very beautiful'. But I was so tired when I arrived at the summit that I couldn't get down. I just did one turn and fell on the ground! So it was like: 'I don't like this sport. It's too tiring!"

A skiing career looked to have been stopped in its tracks before it had even started, but when she signed up for tests at a training center -- Catalonia's Ski Mountaineering Technical Center --  at the age of 17, it changed her mind and the course of her life forever.

"I decided to go and just try and they picked me! That was the moment I started training and competing," she said.

Miro was in good company at the center, counting superstar sky runner Kilian Jornet as one of her peers.

Skyrunning is a sport that Miro also likes to compete in during the summer months, primarily as a way to keep fit for winter ski racing, although a troublesome knee hampered her progress in both activities last year. But the injury didn't completely ground her.

"Last year, I started BASE jumping. It's very different from ski mountaineering or skyrunning but I love it ... It also makes me feel part of things that are around me and part of nature," she says.

"With BASE jumping you realize that you are nothing and you have to take chances and you have to live your life every day and give all your energy to live it in the best way possible."

Miro has recently made a return to the slopes and is currently competing at the Ski Mountaineering World Championships in Verbier, Switzerland.

After feeling the thrill of jumping off tall buildings last summer, heading back to the slopes could have felt like a bit of a comedown. But the Catalan native is adamant that scaling snowy peaks will always rock her world.

"I love ski mountaineering because it gives me the feeling of freedom. Ski mountaineering is part of me, I think that I need it."

@highlight

Spanish ski mountaineer Mireia Miro won the world championship in 2011

@highlight

Miro covers around 200,000 meters of elevation every skiing season

@highlight

The 26-year-old cultivated love of mountains during summer holidays in Pyrenees

@highlight

Miro also competes in skyrunning and recently took up BASE Jumping