Ramallah, West Bank (CNN) -- Mingling with customers in the bar he opened two years ago, Yazan Khalili is enjoying the booming consumer economy in his home city of Ramallah, in the West Bank.

But despite the success of his bar, Beit Aneesah, Khalili worries that the boom is unsustainable and his customers could soon have no money to spend.

"The economy itself is based on a bubble and you never know when this bubble will burst," said Khalili. "It's like living on the hand of a genie. Things might just disappear."

The city has boomed over the past five years, with new restaurants, cafes and even luxury hotels. The West Bank's first five-star hotel, Movenpick Ramallah, a locally owned franchise of the Swiss chain, opened in 2010, aimed primarily at corporate clients.

Like many, Khalili worries that the new age of consumerism is just too good to be true.

"Since banks give loans, anyone who wants to open a business becomes a possibility. In that sense, it's not hard to open it," he said.

"It's not hard to get permission to open a bar from the municipality. From the ministry of economy, from the bank to get a loan, it's not hard to do it, it was possible."

In this new economic world, Khalili sometimes longs for the old days.

"There were businesses, but they were more organic businesses that understood the conflict, that were able to survive the hardship of the occupation.

"That's based on more local products, consumption. Enough, depending on what you have," he added.

The United Nations describes the Palestinian Territories as Occupied, but Israel disputes the use of the term. Israel controls the flow of goods into and out of the West Bank, it says, to maintain security and prevent terror attacks.

Most of the money in the economy comes from the government -- The Palestinian Authority -- the largest employer in the West Bank, and most of its money in turn comes from donor aid.

Many Palestinians are borrowing money to fund their basic needs and it is feared that, if donor aid dries up, many will be without work to fund their lifestyles.

Naser Abdelkarim, professor of financial economics at Birzeit University, said: "So the money comes from donors, yes. The largest borrower from the banking sector in (the Palestinian territories) is the government, and that's the danger.

"The large debt, public debt, we have around $5 billion in public debt that consists of around 70% of GDP, too huge for a government that's just born."

A World Bank report in July concluded that the Palestinian economy has grown at an average of 7.7% a year between 2007 and 2011, but that the growth was not sustainable.

It said the growth had been driven by foreign aid and that the private sector would need to take over to strengthen the economy.

John Nasir, lead author of the study, said in a press release: "Economic sustainability cannot be based on foreign aid so it is critical for the Palestinian Authority to increase trade and spur private sector growth."

Something the government says it is trying to do, even as it grapples with cash shortfalls.

The economic boom also allowed Shryine Ziadeh to follow her dream of opening the West Bank's first ballet school.

"When I was young and dancing ballet, I wished that I could do this and teach ballet," said Ziadeh, who opened her school last year with the help of her family. "I started it because in Ramallah we don't have ballet schools, we don't have dance schools in general."

However, now the costs are mounting and Ziadeh is working two jobs to earn enough money to repay her parents.

"I'm young and I don't have enough salary to go to the bank every month," she said. "I needed to rent the place, a good place, to have floors and mirrors and sound system.

"So my parents started to help me with it and now I'm working two jobs to repay."

Restaurant owner Sari Sarikini said he feels the impact of Israeli security restrictions, which mean he has to buy all his supplies from Israeli wholesalers.

"We have to build our country," he said. "Any country that's been built from scratch will have a lot of debt. The question is where is this money being geared? Is it being geared at service providers?

"I don't like to see service business, I like to see more self-sustaining businesses."

If the economy stalls, people will not have money to spend in bars like Khalili's.

"Encouraging a kind of economy that you can spend, that there's money to spend, that you can consume, in the same time you're living on the edge of, not a catastrophe, of economical catastrophe," said Khalili.

"The minute the economy fails, the first thing people will stop doing is going to bars, restaurants. Places like this will not survive in a destroyed economy."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN, writer Catriona Davies: @catrionadavies and digital producer Mairi Mackay: @mairicnn.

@highlight

Palestinian economy grew at an average of 7.7% a year between 2007-2011

@highlight

Ramallah is experiencing booming consumer economy as result

@highlight

World Bank report: Economy too heavily based on foreign aid, not sustainable

@highlight

If government money goes, no one will have money to spend in my bar, says owner