Washington (CNN) -- Five years ago, not many people knew of Ted Cruz or sequestration or had seen a tricorne hat.

Today, all are familiar in the political arena because of the tea party movement that emerged in 2009.

For better or worse, the coming together of frustrated conservatives fearing American ruin due to rising debt has altered the national discussion to raise the profile of people and policies previously relegated to the right-wing fringe.

Republicans fear tea party challengers in primaries. Democrats complain about the tea party caucus. The fiscal conversation focuses on reducing deficits and even reforming entitlement programs that make up the social safety net.

Here's a kind of "greatest hits of the tea party, volume one":

1) Protesting patriots

Never in the past 200 or so years have so many worn tricorne hats and other Revolutionary War-era garb to make their political point.

At protests and rallies that began in February 2009 to spawn the tea party movement, the overwhelmingly white, middle-aged and older participants dressed the part of past patriots protesting against taxation without representation.

They also adopted the Gadsen flag of the the 18th Century -- a coiled snake warning "Don't tread on me."

It reflected the movement's link to the Boston Tea Party of 1773 that helped launch the War of Independence, while some note that the word "tea" in the label is a backronym for "taxed enough already."

Top tea party group celebrates five years

Such romanticism ignores the private funding from big conservative donors, such as the billionaire Koch brothers, that helped amalgamate scattered local organizations into a more coherent movement with national focus.

2) Obamacare fury

Daily headlines scream with Republican rage over President Barack Obama's signature health care reforms that passed in 2010 with zero GOP votes.

The roots of such fury emerge from the origins of the tea party movement -- conservative anger over the stimulus bill that contained more than $800 billion in tax relief and spending to help the economy recover from recession.

Tea party zealots as well as mainstream Republicans and independents also disliked the auto industry bailouts and financial sector rescue started under the previous administration of Republican President George W. Bush. That anger helped Obama and Democrats win big in 2008.

With control of the White House, Senate and House, Democrats pushed through the stimulus bill in 2009 and the Obamacare bill a year later.

Anyone who attended or watched can't forget how opponents of the health reforms flooded public hearings on the proposal to spew full-throated attacks. Supporters got shouted down, shoving matches occurred, and the resulting perception was that middle-class America would never accept Obamacare.

Today, Republicans and conservative groups try to maintain that perception with mixed results.

3) Republican control of the House

Tea party anger over the stimulus bill and Obamacare translated to a conservative campaign onslaught in the 2010 congressional elections, with private groups freed from previous funding restrictions because of the Citizens United decision by the Supreme Court.

Cruz angers GOP colleagues -- again

Republicans won back the House by gaining 63 seats in a major shift, with dozens of tea party-backed newcomers joining the GOP caucus.

Advocating showdown politics and brinksmanship over federal spending and raising the federal borrowing limit, the Republican-led House forced a rightward shift on fiscal issues that resulted in more austere policies, more fights between the parties and mounting public disgust with dysfunction in Washington.

4) Democratic control of the Senate

"I'm not a witch," declared Christine O'Donnell, a moment that symbolized how the tea party movement doomed Republican chances to gain control of the Senate in 2010.

A conservative activist, O'Donnell entered the Republican primary to fill the Senate seat vacated by Vice President Joe Biden. So did former Delaware Gov. Michael Castle, a nine-term U.S. congressman, who was heavily favored to win and refused to debate her.

With strong tea party support, O'Donnell beat Castle by 6 percentage points with strong backing from conservative southern Delaware, but she proved too inexperienced and downright flaky for the pressures of a full-fledged Senate campaign.

Comedian Bill Maher unearthed a 1999 clip from a TV show he hosted in which O'Donnell talked about dabbling in witchcraft, and she responded with a commercial that opened with her flat-out denial.

Senate passes debt-ceiling plan in blow to tea party

It went downhill from there, and Chris Coons easily defeated O'Donnell by 57%-40% in November.

A similar scenario occurred in Colorado, where conservative Ken Buck defeated favored Lt. Gov. Jane Norton in the GOP Senate primary, then lost to Democrat Michael Bennet in the general election.

Two years later in Indiana, Republican Richard Mourdock beat veteran Sen. Richard Lugar in the primary, then lost the race for the seat Lugar had held for six terms to Democratic Rep. Joe Donnelly.

5) Ted Cruz and Michele Bachmann

Who had heard of either politician back in 2009? Today, both are household names after Michele Bachmann used her status as a tea party favorite to run for president in 2012 and Cruz rode tea party backing to get elected as a senator from Texas the same year.

Bachmann railed against Obamacare and federal spending in her energetic but short-lived campaign best remembered for her frequent outlandish and accuracy challenged statements.

She won the Iowa straw poll in August 2011 to get an early jump on the crowded GOP field, but her novelty flamed out and she finished sixth in the Iowa caucuses the following January. Bachmann dropped out of the race shortly thereafter, and now is leaving Congress altogether at the end of 2014.

Cruz is on an opposite trajectory. More than any of the other tea party stalwarts elected in recent years, he has walked the talk by repeatedly taking on the Washington establishment of both parties in Quixotic escapades that gain him notoriety at the expense of GOP clout.

Texas tea partier wants GOP on Cruz control

Last September, Cruz waged a 21-hour filibuster against a government spending extension, at one point reading aloud the Dr. Seuss book "Green Eggs and Ham" to his children back home, as part of his crusade against Obamacare.

His tactics led to a 16-day government shutdown in October that failed to gain Republicans anything but public scorn for the political shenanigans involved.

Undeterred, Cruz recently forced fellow Republicans in the Senate to join Democrats in overcoming his filibuster of a measure to raise the federal borrowing limit so the United States wouldn't default on its bills.

GOP leaders wanted to let the measure pass with no Republican support so they could blame Democrats, but Cruz's filibuster threatened an impasse that could have rattled financial markets and possibly brought a downgrade of the U.S. credit rating.

Fearful that Republicans would again be blamed for Washington dysfunction, Senate GOP leader Mitch McConnell led a dozen aisle-crossers who voted with Democrats to end the Cruz filibuster, then rejoined fellow Republicans in opposing the measure in the final vote that only needed Democratic support to pass.

Afterward, Cruz complained that such political "show" votes hurt the party much more than his ideological purity of trying to wring more spending cuts out of Democrats in order to pass the debt ceiling hike.

In the end, it remained unclear whether such antics will hurt or help the freshman senator considered a possible GOP presidential contender as soon as 2016.

6) New vocabulary

Who had heard of sequestration five years ago? Today it is part of the political-policy vocabulary, thanks in part to the way that the tea party changed the conversation through its laser focus on issues such as the national debt, the federal budget and entitlement spending.

The refusal by tea party Republicans in the House to accept business-as-usual compromises on federal spending caused a series of showdowns with Obama and Democrats.

One brought a compromise that included sequestration -- across-the-board cuts in government spending, including the military. While sparing entitlement programs such as Social Security, Medicare and Medicaid, the sequester cuts came closest to the tea party goal of shrinking government to lower deficits.

Now Congress has started undoing the sequestration limits, angering tea party conservatives and putting pressure on Republican candidates in November congressional elections who supported the December budget compromise.

7) Poor John

Few sights have been as politically expressive as House Speaker John Boehner repeatedly having to drop legislation he supported because he was unable to get his own caucus to back him.

The ability of tea party Republicans to undermine compromises with Democrats pushed by Boehner demonstrated the GOP split between the mainstream leadership and more extremist newcomers.

Tea Party SOTU Response: 'Obamacare is an inequality Godzilla'

After the government shutdown in October, Boehner adopted a tougher stance by criticizing tea party tactics that harmed Republicans. Earlier this month, he joined 27 other Republicans to vote with 193 Democrats in passing the debt-ceiling hike over the objections of 199 Republicans.

Even Boehner's long-time political foe, House Minority Leader Nancy Pelosi, sounded sympathetic on Thursday, calling on Republicans to "take back your party" from what she described as extremists.

"I think (the tea party) considered it a success when they shut down government and I don't think that was for the good of the nation," Pelosi said, adding that the tea party "hijacked the name Republican."

8) IRS targeting

Without a tea party movement, there would have been no tea party groups for Internal Revenue Service officials to screen out when checking applications for tax-exempt status.

It turns out that liberal groups also were targeted for extra scrutiny, based on specific words in their names, as the IRS tried to figure out if new organizations were trying to skirt election funding limits by claiming they were 501(c)(4) social welfare organizations.

Conservative Republicans continue crying foul, but investigations so far found no deliberate political machinations by the IRS.

CNN's Alan Silverleib, Shannon Travis, Ashley Killough and Paul Steinhauser contributed to this report.

@highlight

For better or worse, the tea party movement has made a difference

@highlight

Who heard of Ted Cruz or sequestration back in 2009?

@highlight

Protesting patriots or political obstructionists?

@highlight

Mainstream Republicans are pushing back