(CNN) -- "You drive for show, but putt for dough." That's the often-repeated mantra of the late South African golfer Bobby Locke, who put his own words to good use in winning four British Open titles.

Good advice for any golfer, but the skills needed to knock a small ball into a slightly bigger hole can be applied in many walks of life outside of the proverbial pleasant amble spoiled.

"The discipline in setting an immediate, action-orientated target, or job that one is completely in control of, boosts one's concentration, which is vital for success in every area of life," Irish professor Aidan Moran told CNN.

So, just as top golfers need to do more than just drive a ball 300-plus yards, success in any sphere depends on combining physical capability with mental focus.

And the good news is, all it takes is practice. The bad news is, it takes a lot of practice.

Moran, who has worked with three-time major champion and fellow Irishman Padraig Harrington, has utilized his expertise in cognitive psychology to produce the CD "Learn to Win at Golf" and a series of other media releases.

They aim to improve people's concentration and performance in academic and sporting situations, and the results are sometimes remarkable -- if not so easy to achieve.

According to Moran, who lectures at University College in Dublin, research has shown that it takes about 10 years -- or 10,000 hours of practice -- to truly master a skill like putting or playing a musical instrument.

Former Olympic table tennis star and now Times of London newspaper columnist Matthew Syed has written a book called "Bounce" on the same theme. His theory is that anyone can master the skills to become a top-level performer in sports.

Champions are made not born, is Syed's central argument; the myth of talent and the power of practice is his sub-text.

"I think everyone who has good hand-eye co-ordination has the capacity to be very good, certainly at an activity like putting," he says.

"In my own sport of table tennis, I don't think there's anyone who's reached a high level who actually has faster reaction times than the ordinary person."

Top golfers such as Tiger Woods, Phil Mickelson and Harrington have suffered from poor putting in between bouts of success, so why is it so difficult?

"My feeling is that it is really upstairs, that putting issues have to do with what's going on between the golfer's ears," says Dr. Alan Goldberg, a leading American sports psychologist who has worked with many players on the men's and women's U.S. circuits.

Even the professionals can sometimes seem as fallible as ordinary hackers, but Goldberg believes that what separates the superstars of sport from the average person is an almost superhuman ability to "mono focus" on tasks.

"I don't think you can coach self-motivation," he says.

Putting clearly requires no unusual physical ability, but does rely on the utmost concentration and the ability to shut out all distractions, which is why silence is always demanded when the top players prepare to take their shots.

"The biggest challenge in putting is keeping yourself focused away from the outcome," Goldberg says.

"Really good putters just concentrate on the feel and just focus on their body, get a right feel for the distance."

Moran believes the key is "partly physical, partly psychological."

"People tend to breathe in, so their center of gravity changes. You should breathe out gently when you putt -- it works," he says.

So plenty of good advice: keep focused, and don't get ahead of yourself -- it's a pity sometimes that the professionals don't take it.

American Doug Sanders missed a putt of less than two feet to win the 1970 British Open at St. Andrews, losing in a playoff to Jack Nicklaus.

"Do I ever think about the putt?" he said 35 years later. "Only every four or five minutes!"

To escape such nightmares, the long putter seems the obvious refuge as it adds stability to the stroke, with the club anchored under a golfer's belly.

It worked to brilliant effect for Keegan Bradley, who became the first professional to win a major with it earlier this year, but Goldberg believes that golfers who switch will make only temporary gains.

Better, perhaps, to adopt the attitude of the great South African golfer Gary Player, who often performed miracles around the greens.

"The more I practice, the luckier I get," the nine-time major champion was once famously quoted as saying.

So for the high-handicapper, the message is that hours of practice makes perfect. Non-golfers can take this tip from Moran and apply it to a host of everyday tasks:

"Seeing and feeling and performing a skill in your mind's eye, using your imagination to rehearse and practice it to perfection."

The question is: Do you have the dedication to achieve your goals whether on or off the course?

@highlight

Putting is a skill that can be mastered by anyone, experts tell CNN

@highlight

Practice really does make perfect, says Irish professor Aidan Moran

@highlight

Research shows there can be transferable skills to other walks of life

@highlight

Biggest challenge is keeping focused away from an outcome, psychologist says