(CNN) -- The allegations grabbed headlines across Mexico and around the globe: Hooded gunmen stormed into a beach bungalow and attacked a group of Spanish tourists, authorities said, raping six women and tying up a group of men with cell phone cables and bikini straps.

The high-profile case in the Mexican resort city of Acapulco this week was a sharp reminder of significant security problems in a state that has seen violence surge even as homicide numbers in other hotspots across the country have started to dip.

Mexico drug-related violence: How it all started

And it drew renewed attention to topics that Mexican President Enrique Pena Nieto has steered out of the spotlight since he took office in December.

As authorities investigate the alleged crime, experts say the incident shows that even as Mexico's new government tries to paint a brighter picture and revamp the country's image, realities on the ground remain complicated -- and, in some areas, ugly.

Follow the latest news in Spanish at CNNMexico.com

A state plagued by warring gangs

For years Guerrero state, where Acapulco sits, has ranked among the Mexican states with the highest homicide rates, a crime statistic regularly used by officials and analysts when discussing the overall security situation. Last year Guerrero had more reported gun murders than any other state in Mexico, more than 1,600, according to a federal government tally released last month.

"While places like Ciudad Juarez have become safer, other places in the country have seen violence spike up," said Christopher Wilson, an associate at the Washington-based Mexico Institute. "Acapulco is one of the areas, and in fact, the entire state of Guerrero is one of the places, where there's been more violence recently."

Local authorities said Tuesday that the alleged rape wasn't tied to organized crime but then revealed Wednesday that they believe the victims bought drugs from one or more of the suspects in the days before the alleged attack.

Even if a major criminal organization like Joaquin "El Chapo" Guzman's notorious Sinaloa cartel wasn't behind the alleged attack, it's part of a deep-seated security problem in the region, said Alejandro Hope, a security analyst at the Mexican Institute for Competitiveness think tank.

"It wasn't El Chapo Guzman," he said, "but I think it was one of the many gangs in Acapulco."

Fragmentation of large organizations like the once-powerful Beltran Leyva cartel has fueled the creation of dozens of smaller criminal gangs battling for turf in the Pacific port city and the surrounding state, Hope said. And even though many of the groups are more focused on crimes such as extorting business owners than on drug trafficking, he said, that hasn't stemmed the violence.

Authorities haven't been able to get a handle on the problem, said Jorge Chabat, who studies security at Mexico's Center for Research and Teaching in Economics.

"Basically the government can't control them," he said. "This is just one example of the climate of insecurity that Guerrero has been living."

Particular regions of Mexico -- often those near the border and along lucrative trafficking routes -- have borne the brunt of the country's drug-related violence.

Nationwide, official figures indicate violence in Mexico may be declining. In 2012, there were 20,568 intentional homicides across the country, an 8.5% decrease from 2011.

"2012 was the first year when it fell, but we are still double where we were in 2007," Hope said.

Experts caution that reliable statistics are hard to come by. Last year the government stopped releasing its tally of deaths tied to organized crime, which had become a measure many used to debate the success of then-President Felipe Calderon's drug war. Now only more general homicide statistics are released, without describing the circumstances.

It's unclear whether Mexico has turned a corner, Wilson said, but the fact that cities like Ciudad Juarez and Tijuana have seen violence drop gives some hope for the future.

"If they can turn things around, then there's no reason why every other city in Mexico can't do the same thing," Wilson said. "We now have success stories, which we couldn't say three years ago."

A new president changes the tone

Even if the numbers may be shifting in his favor, Mexico's new president hasn't been talking much about violence.

Right before he took office, Pena Nieto began a trip to the United States in November saying that ties between the neighboring nations must go beyond the drug war.

In Mexico now, the once-common government press conferences presenting high-profile cartel captures seem to be a thing of the past.

"There's a belief that they have that the criminal groups do sort of take advantage of the media and the attention in order to create fear, basically, and therefore space to act with impunity," Wilson said. "So the government decided deliberately they won't parade recently arrested criminals in front of the cameras."

That's a marked change from his predecessor, Calderon, who announced a crackdown on cartels shortly after taking office in December 2006. The war on drugs became a hallmark of his presidency, and the death toll from drug-related violence during his tenure had soared to more than 47,500 when the government stopped releasing updated figures in early 2012 -- his last year in office. In farewell speeches, Calderon noted that 25 of Mexico's 37 most wanted criminals had been apprehended on his watch.

"The government of Pena Nieto is trying not to talk about the issue of violence," said Chabat. "It's a strategy to change perceptions."

The reason is clear, said George W. Grayson, who studied Mexico's ruthless Zetas cartel for his 2012 book "The Executioner's Men."

"You don't want to talk about your crazy aunt in the attic. ... They want to shift the narrative," he said.

On the campaign trail last year, Pena Nieto vowed to reduce violence and said he'd take a different tack -- an election promise that played well with voters in a country weary of a drug war with a growing body count.

But two months into his six-year presidency, analysts say it's still unclear how he'll accomplish that goal.

"What he wants to crack down on are kidnappings, extortion, what's more likely to affect average people. There's been no secret that he wants to move in that direction and use more of a scalpel than a broad sword in combating the cartels," Grayson said, "and he seems to have sent a subliminal message to the cartels saying that if you just conduct your business and don't disturb civilians, we're not going to ignore you, but you're not a top priority."

Pena Nieto has stressed that fixing social and economic problems will foster peace in Mexico, and he's made some security policy shifts. He started his term by eliminating the public safety ministry and placing the federal police it once controlled under the interior ministry's power.

He's also discussed a plan to divide the country into regions to tackle security problems and to create a new national gendarmerie force, which could eventually send Mexico's military out of the streets and back into their barracks.

But the time frame for those changes is uncertain. And in the meantime, discussing violence less doesn't make the longstanding systemic problems fueling it go away, Chabat said.

"It is important for any government to talk about other topics, like the economy. But you can't negate what is happening, what people are still experiencing," he said.

'We are left with no other choice'

In some areas of Mexico, residents are tired of waiting for the government to step in to solve their problems.

"What we are seeing in a lot of parts of the country is a vacuum of the state ... and the proliferation of private security corps, of paramilitary groups," Chabat said. Incidents like the tourist attack in Guerrero will only do more to promote that approach, Chabat said, noting that it raises worrying concerns about abuses by vigilantes taking the law into their own hands.

"The government is overcome. ... That's the tragedy," he said. "There is no short-term solution."

As word of this week's rape allegations in Acapulco spread, a group of people in one nearby neighborhood took a vote on Tuesday.

If local, state and federal officials can't track down and apprehend those responsible, they decided they'll take matters into their own hands.

"We are going to have to rise up with weapons. ... We cannot wait until they keep destroying the port of Acapulco with these kinds of incidents," said Sergio Mejia, president of a 35-member association of restaurant and business owners in Acapulco's Bonfil beach community. "We think the government is very timid, very slow. If there is no immediate response, it leaves us no choice but to join the fight and set up checkpoints on the street corners."

Months ago, he read about other groups in the region taking similar steps, forming paramilitary self-defense groups of masked men that patrol the streets. At first, it seemed extreme. Now, it sounds sensible, he said.

In this area where the economy relies on tourism, he said, residents are tired of waiting for authorities to take action. But it's not just that a high-profile crime targeting tourists is bad for business.

"Today they were foreigners," said Mejia, who owns a restaurant that specializes in serving up freshly caught seafood. "Tomorrow it could be our families."

Guerrero is named for a military general who fought for Mexico's independence from Spain. It's also the Spanish word for warrior.

If the government can't protect them, Mejia says it's time for the state's residents to fight back.

More: Town takes justice into their own hands

CNN's Miguel Marquez, Nick Parker and David Ariosto and CNNMexico.com's Nadia Sanders contributed to this report.

@highlight

A high-profile case in a violence-plagued Mexican state draws worldwide attention

@highlight

The alleged rape of six Spanish tourists in Acapulco casts a spotlight on violence

@highlight

Experts: Mexican President Enrique Pena Nieto has been trying to change perceptions

@highlight

Based on official figures, violence may be declining nationwide but spiking in some areas