Northern Syria (CNN) -- Undeterred by a wave of casualties, Syrian rebels say they will not back down in their quest to seize Aleppo, the country's commercial hub and its second-largest city.

After six days of fighting, the battle with government forces raged again Thursday as helicopter gunships flew over the city, the opposition Syrian Observatory for Human Rights said. At least one rebel fighter was killed, the group said.

"They don't seem to have the kind of weapons necessary," New Yorker reporter Jon Lee Anderson told CNNI's "Amanpour" from Aleppo about the rebels who, he said, believe the battle to be a decisive one.

"If Bashar al-Assad can't dislodge them from Aleppo, then it's over for him. So they have to fight to the death."

A rebel commander north of Aleppo told CNN he was sending 300 more fighters to bolster forces in Aleppo. The commander said the rebels were on the offensive in Aleppo, where 18 of 22 rebel brigades were located.

In preparation for a fresh onslaught expected after Friday prayers, rebels were setting up medical clinics in apartments and homes throughout the city, he said.

The seat of al-Assad's power also saw renewed violence Thursday as explosions rocked Damascus, another opposition group said.

Read more: Does U.S. have plan for post-Assad Syria?

Regime forces battled rebels in several Damascus neighborhoods, and the Palestinian refugee camp of Yarmouk came under "fierce helicopter shelling with machine guns," the Local Coordination Committees of Syria said.

The LCC reported dozens of dead and wounded in shelling by regime forces in the capital city's suburb of Yalda, and in bomb attacks in the Mashtal district of Damascus.

The death toll for Thursday across Syria reached 200, including a number of children, women and defectors, the LCC said.

Forty-eight died in Aleppo, 46 in Damascus and its suburbs; 30 in Daraa; 27 in Idlib; 21 in Homs; 14 in Deir Ezzor; six in Hama; four in Raqqa, two in Latakia, one in Qunaitera and one in Hasaka, it said.

The LCC said Thursday marks the first time since the start of the uprising in March 2011 that Aleppo has led in the number of deaths in a single day across Syria.

Some of those killed in the Al-A'ajamy Valley were defected soldiers seeking "to save civilians fleeing from shelling," the group said.

Video posted on YouTube appears to show youths demonstrating in the central Damascus neighborhood of Qanawat.

"The people united, will never be divided," they chant in English. "The Syrians united, will never be defeated."

And, "Hey Bashar, damn your soul. Hey Bashar, damn your soul."

Rebel militias are composed largely of soldiers who have defected from the Syrian military. But there are also many civilians -- including students, shopkeepers, real-estate agents and even members of the president's ruling Ba'ath party -- all trying to end four decades of al-Assad family rule.

Read more: Faces of the Free Syrian Army

A Sunni cleric in the village of Injara, about six miles west of Aleppo, showed CNN craters and gaping holes in at least six homes, the result of what he and other residents said were rockets and artillery from a Syrian army base a couple of miles away.

"They hit us every night," Sheikh Ali Bukhro said.

Other residents said they had had neither electricity nor running water in more than a month. Some men said they had sent their families to refugee camps in Turkey, where more than 40,000 Syrian refugees have taken shelter.

In Washington, State Department spokeswoman Victoria Nuland said U.S. officials had "grave concerns" about the situation in and around Aleppo and Damascus.

"This is the concern: That we will see a massacre in Aleppo -- and that's what the regime appears to be lining up for," she told reporters.

Given that China and Russia have vetoed attempts by the Security Council to act, "we have to double our efforts with like-minded nations outside of the U.N. system," she said.

"This is a horrific situation, this is abhorrent what this regime is willing to do against its own people. We have to call it out, we have to do what we can to strengthen the opposition for the day after. We have to do what we can in coordination with others in the international community."

The British ambassador to the United Nations said reports of warplanes over Aleppo were especially concerning.

"The reports now of attacks by regime fighter jets in Aleppo mark yet a further dangerous escalation and underlines that there are no boundaries that the Assad regime will not cross in the misguided hope that it can resist the will of its people and hang on to power," British Ambassador Mark Lyall Grant told the U.N. Security Council on Wednesday.

Thursday's front page of Syria's pro-regime newspaper al Watan carried the headline "Aleppo ... the Mother of all Battles."

WMD threat 'demands a response'

For his part, al-Assad sent a congratulatory message Tuesday to Kim Jong Un, the recently installed supreme leader of North Korea, the state-run KCNA news agency reported Thursday.

"I would like to express my deep thanks to Your Excellency, the leadership of the DPRK and the friendly Korean people for having rendered support and encouragement to our just cause against the moves of the world powers to interfere in our internal affairs," it said.

Meanwhile, Herve Ladsous, the under-secretary-general for peacekeeping operations, told reporters Thursday in Damascus that half of the 300 U.N. observers sent to Syria in April have been sent home, but are prepared to return should circumstances change.

"And that is our sincere hope," Ladous told reporters.

The decision was made after "we found ourselves with too many people with not enough to do," he said.

The monitors' mission was suspended in June, when officials deemed it too dangerous for them to continue their work. They remained in Syria prepared to resume their efforts to monitor compliance with a six-point peace plan brokered by U.N. and Arab League joint special envoy to Syria Kofi Annan once the conditions changed.

Ladsous was not optimistic that would happen soon. "Unfortunately, as of today, I cannot say that we see many indications that a decrease in violence will happen overnight. I say again, Syrians killing Syrians is something that should not continue."

As the violence spirals, many civilians have become internally displaced or fled over the border and fears of sectarian conflict have grown.

Asked Thursday if Ankara was considering establishing safe zones in northern Syria to counter any threat to Turkey's security from the Kurdistan Workers' Party, or PKK, Prime Minister Recep Tayyip Erdogan was noncommittal but said officials were discussing their options.

"It is out of question that we would allow a terrorist organization to be based in northern Syria and become a threat to our country," he said in televised remarks.

"All of these are among alternatives -- safe zone, buffer zone or camps such as the ones we have now -- all of these are among alternatives," he said. "Our Foreign Ministry, armed forces, intelligence organizations are working on this, and decisions or steps that will need to be taken will be taken when the time comes."

Turkey and the United States consider the PKK a terrorist group.

Speaking Thursday at a memorial to those who died in the Srebrenica massacre in the Balkans in the 1990s, U.N. Secretary-General Ban Ki-moon urged the Syrian government and the opposition forces to cooperate with the United Nations in ending the conflict.

The U.N observer mission in Syria has been unable to do its job "because of the noncompliance of the parties -- the government parties and also opposition forces," he said.

The six-point peace plan must also be implemented "without further delay," he said.

Waving the 'red flag' on arming Syria's opposition

"At this time again I am urging all the parties: They must stop fighting and killing people now. They have to begin political dialogue for a political resolution of this crisis," Ban said.

After 16 months of chaos, more officials from al-Assad's regime have resigned.

The opposition Syrian National Council said Wednesday that two senior Syrian diplomats were the latest to defect.

One was the Syrian ambassador to the United Arab Emirates, Abdullatif Al Dabbagh, SNC spokesman George Sabra said.

The second is Al Dabbagh's wife, Lamia Al Harriri, who was a Syrian envoy to Cyprus. She defected to Qatar, SNC member Najy Tayyarah said. Al Harriri is also the niece of Syrian Vice President Farouq Al Sharea.

But on Thursday, a Syrian official downplayed the reports of recent defections.

Read more: A Syrian town's 'Street of Death'

Syrian Foreign Ministry spokesman Jihad Makdissi said Dabbagh "was called to Damascus for consultations with the minister and has been off duty ... since June 4."

In addition, Makdissi said, Al Harriri has never been a Syrian ambassador. "She is a diplomat who was tasked with managing affairs on behalf of the embassy charge d'affaires pending the appointment of an ambassador."

Read more: Amid violence, Syrians race to borders

The Syrian crisis started in March 2011, when a government crackdown on peaceful protesters morphed into a nationwide uprising against the regime.

The LCC says more than 16,000 people have been killed in the conflict. The U.N. secretary-general said this week that almost 17,000 people have died.

The United Nations refugee agency says it has registered more than 120,000 refugees in neighboring Turkey, Jordan, Lebanon and Iraq.

CNN's Ivan Watson reported from northern Syria; Holly Yan reported from Atlanta. CNN's Salma Abdelaziz, Yesim Comert, Yousef Rafayah and Richard Roth also contributed to this report.

@highlight

200 people have been killed across Syria on Thursday, an opposition group says

@highlight

Turkey's prime minister says it is considering plans for a buffer zone in northern Syria

@highlight

Helicopter gunships flew over Aleppo and Damascus, opposition activists say

@highlight

"They must stop fighting and killing people now," U.N. secretary-general says