(CNN) -- Muslims are a very diverse people. Although they share timeless universals that weave them together into a common fabric, it would be dishonest to paint them with a broad brush.

A sophisticated and elegant civilization built over fourteen centuries stretching from Spain to China, it was brought to its knees in a crescendo of upheaval during the 30-year period between the two world wars.

The stabilizing institutions native to Islamic society would never recover -- imported, European-style nationalist ideologies would seal their fate. Amid this severe instability, no new post-industrial revolution thought could flourish and no space would be allowed for the intellectual framing of a contemporary yet "rooted" identity.

Making sense of the scattered pieces that remain would be a daunting task for even the best hearts and minds, let alone those who find themselves in the unenviable position of representing Muslim communities across the continents they span.

So it is with a great deal of deference to contributions and sacrifices offered up at precious price that I proceed to suggest that we have a problem. There is a vacuity in our leadership vision and the time has come for a change in course.

Community leaders both East and West have been unable to articulate a clear direction for Muslims that illustrates a positive, authentic identity that is engaged as a participant in global society.

For 10 years now, the discourse of Muslim religious leadership has been limited to a single mantra. We continue to be reminded what Islam and Muslims are not. Not extreme, not violent. We seem to be constantly trying to convince our fellow non-Muslim citizens and neighbors that Muslims are no different than them -- nothing unique, nothing authentic, nothing remarkable.

Will the time ever arrive to talk about what Islam is and Muslims are, as opposed to only what they are not? Can we not talk about what unique and authentic contributions Muslims can bring to the global table? There are many Muslims throughout the world who would love to express how they, too, in their own unique way, are earning their keep in our great cosmopolitan societies. Can we know how Islam informs and inspires these contributions?

Current discourse from Muslim leaders appears to acquiesce to the faulty premise that extreme and violent tendencies are rampant among the mainstream Muslim population.

While it is true that a minority fringe of individuals have allowed their political and human rights frustrations to carry them beyond the pale of Islam's normative teachings -- violating the very principles of the religion they invoke -- in so doing, their acts of terrorism cannot justifiably be branded "Islamic." What they are, then, is criminal. Criminal in international law, criminal in Shariah law.

The vast majority of Muslims have never accepted this behavior. Not in the name of Islam, and not in any other name.

The question remains, is there anything more to Islam and Muslims than what they are not? Is there going to be a discourse that uplifts this silent and peaceful majority; that paints a hopeful future of possibilities for them?

Responsibility, accountability, and discipline form the bedrock of effective leadership. Its substance, however, is vision and clarity about where the community needs to go and how they will constructively engage with the world around them. From here, communication becomes essential. But that articulation must be the product of listening, caring, and conversance with local contexts. One of the most important vocations of the leader is to empower those he or she leads to achieve the goals outlined in the vision. This entails a robust program for succession planning. All of this however, must be effectively grounded in fidelity to the universal principles of cultural and doctrinal continuity.

Though leaders are often benign and well intentioned, the problem is one of effectiveness. Muslim leaders have been unable to articulate a vision for an effective way forward on behalf of their community. The situation is by no means hopeless; the substance of restoration is ready to hand. However, it requires a modicum of honesty, far-sightedness, and resolve.

Any such vision will have to be at once grounded in the roots of Muslim identity and positively engaged with the greater society.

There has been, as of yet, no systematic deliberation or collective discussion across community boundaries and affiliations aimed at fleshing out viable solutions based on a thorough situation assessment. Answers and solutions are arrived at haphazardly without significant reflection. This frequently leads to contradictions at a future point in time; further contributing to the alienation of the Muslim mainstream.

One of the key causes contributing to such confusion is the conspicuous devolution of classical Islamic institutions. The original institutions, native to Muslim society -- whether religious or civil -- had always provided a balancing effect to the community, securing the integrity of self-understanding, memory, and praxis -- thereby facilitating balanced and responsible citizenship. The disequilibrium stemming from their neglect and decay is a direct contributor to the phenomenon of extremism.

For decades, Muslim elites have pursued a policy of disassociation from classical Islamic institutions and sometimes even the religion itself. This has led to the neglect of core institutions causing them to fall into a state of disrepair. However, despite this, Muslim elites have been unable to de-link themselves from the source of their identity as Muslims -- the religion of Islam itself. It means the neglect and marginalization of native institutions inevitably comes back to haunt them.

The absence of grounded authenticity has been a missing lynchpin to the success of solution-aspiring initiatives. It is imperative that new solutions demonstrate how they are grounded in the roots of the timeless world view of Islam. This must be achieved in a way that is recognizable to the Muslim mainstream or it will never gain traction amongst the grassroots.

There persists a tendency to not allow psychological, moral, or intellectual space for new energy to emerge. Along with the voice of emergent generations of Muslim youth, non-Arab and non-Asian Muslims continue to be conspicuously absent or underrepresented in national and international leadership circles and events, even in Europe and the Americas.

There now exist whole generations of Muslims who have come of age in an environment where modernity, technology, representative government, free speech, and even gender relations are familiar territory and not overwhelming or confounding phenomena. With the right credentials and given an opportunity, they are the natural candidates to negotiate the challenge of making sense of Islam in the current post-modern cosmopolitan context without sacrificing continuity of identity. To date, however, everyone is forced to wait around for the old leadership to continue playing catch up.

@highlight

Leaders in East and West unable to find way for Muslims to show a positive identity, says Jihad Hashim-Brown

@highlight

For past decade Muslims have only talked about what they are not -- extremists and terrorists, he says

@highlight

A new generation needs the chance to make sense of Islam in today's globalized world