Medellin, Colombia (CNN) -- Medellin is a place that, for many, will always be associated with Pablo Escobar -- the late drug lord who unleashed a murderous wave of violence and turned the Colombian city into one of the world's most dangerous.

Nearly 20 years after his death, the Medellin that Escobar and his infamous cartel once ruled has been transformed beyond recognition. In March, it was named the world's most innovative city by the Urban Land Institute.

"It's a great opportunity to show the city we are building," says mayor Anibal Gaviria. "Medellin has gone through really difficult times and people internationally have a reference to this pain."

"This designation as the most innovative city allows us to show the new face of Medellin, which has a lot of challenges but which has come a long way."

Visiting one poor hillside community in the city, the traditional chaotic construction of cheap housing associated with slums is still there. But now a gleaming seven-station outdoor escalator runs through the heart of the community.

"I have a lot of fun," says nine-year-old Mariana Savalo. "You can take it wherever you want to go and it helps bring up sick people."

The project took two years to complete, at a cost of $5 million. It replaced a 300-step staircase, runs 18 hours a day, and has become a crucial link to the city center -- and the job market.

"Medellin has taken things which in themselves are not innovative," explains Gaviria. "But the way Medellin has included them in urban and social development is the innovation. "

This city's infrastructure illustrates his point: For less than a dollar, citizens can ride the subway and then transfer directly to the Metrocable -- a vast cable car system which sweeps residents high into the city's deprived areas. It stops in a mountaintop nature reserve, giving residents easy access to weekend recreation.

The regeneration began under former mayor Sergio Fajardo, who pioneered a theory known as "urban acupuncture" from 2003, which focused on reclaiming areas from the cartels through strategic projects.

"Fajardo said his strategy was, for the first time, to put a lot of investment towards the most deprived areas," says Italian architect Francesco Orsini. "Before that politicians used to go there to get votes, promising many things and not go back."

Orsini was a member of the team that redesigned the city's urban landscape. One landmark project is the Parque Biblioteca Espana -- a striking library built in an area where Escobar used to recruit assassins.

"We managed to bring into these low income settlements a high standard of architecture," says Orsini. "So we managed to dignify these spaces. So everybody says: 'This is my library and I identify myself with that beautiful design.'"

The overall aim was to create pride in each citizen's neighborhood and the city itself. A scheme known as participatory budgeting -- where residents define local priorities -- remains central to its success.

"One of the biggest things about Medellin is pride and love towards the city," says Gaviria.

"That pride needs to be nurtured ... how? Through civic participation. Through citizens feeling they participate in the construction, design and approval of public works and government programs."

A level of civic pride is evident. Many of the poor areas used to be strewn with rubbish and sewage. Now, the streets are clean, with brightly-colored recycling bins featuring prominently.

As the city looks to its future, the hillside communities, together with the majority of the city's young people, are obvious areas of economic expansion. The mayor's office has established small clinics to encourage "micro entrepreneurs" like Clara Ramirez, who sells handicrafts.

"I have learned a lot, like calculating costs and budgets," she says. "And computers -- now I have a few ideas if one day I have to present my work as an entrepreneur."

Medellin is by no means a perfect city: Its murder rate has fallen by 80% since the Escobar days but it remains significant. And many still live in poverty.

Yet there is an undeniable sense of optimism and pride that the city seems to be on the right path through a commitment to innovation.

@highlight

Colombian city of Medellin was once known as the home of drug lord Pablo Escobar

@highlight

Now the city has been the focal point for innovative urban regeneration

@highlight

Named the world's most innovative city by the Urban Land Institute

@highlight

Regeneration began under former mayor who pioneered theory known as "urban acupuncture"