Washington (CNN) -- The U.S. Senate engaged in a heated debate Thursday on an issue at the heart of the fight over energy reform: whether the Environmental Protection Agency should have the authority to impose clear limits on the emission of greenhouse gases.

The chamber is expected to vote on a "resolution of disapproval" drafted by Sen. Lisa Murkowski, R-Alaska, that would prevent the EPA from further regulation of air pollution from vehicles and industrial facilities. Murkowski has argued that new rules should be created only by Congress, not an executive agency.

"It would amount to an unprecedented power grab, ceding Congress' responsibilities to unelected bureaucrats and move a very, very important debate, a critical debate, from our open halls to behind an agency's closed doors," Murkowski argued on the Senate floor.

Murkowski's measure is vehemently opposed by environmentalists who say the EPA's decision to regulate greenhouse gases is based on scientific research.

"I believe it's ridiculous for politicians -- elected senators -- to make this scientific decision. It is not our expertise," replied Sen. Barbara Boxer, D-California, chairwoman of the Senate Environment and Public Works Committee. "We've got to stop this attack on science and health."

It is unclear whether there are 51 votes in the Senate to approve the measure, which has bipartisan support, even though its prospects in the House are slim. Regardless, the administration issued a veto threat on Tuesday.

The Murkowski resolution "would undermine the administration's efforts to reduce the negative impacts of pollution and the risks associated with environmental catastrophes, like the ongoing BP oil spill," a White House policy statement asserted.

At issue is a 2007 Supreme Court ruling determining that the EPA has the authority to regulate greenhouse gases under the rules of the Clean Air Act. In December, the agency concluded scientific findings and declared that carbon dioxide and five other gases constitute pollutants that should be further restricted.

In April, the agency announced new rules for vehicles: a mandatory increase in fuel efficiency coupled with reductions in gas emissions, starting with the 2012 model year.

"When the Clean Air Act became law in 1970, only five pollutants were initially listed. Since then, dozens of additional pollutants have been listed, and the air we breathe is better for it," argued Sen. Maria Cantwell, D-Washington.

Detractors of the EPA contend that the Clean Air Act was never intended to give federal agencies full control over greenhouse regulations but rather to check industrial and commercial structures. Such regulatory decisions, they argue, should be made by Congress.

"EPA regulation of greenhouse gases does not move us any closer to a clean energy future or to reducing our dependency on foreign oil. And furthermore, it simply is the wrong tool for addressing greenhouse gas emissions," said Sen. Blanche Lincoln, D-Arkansas.

Lincoln's sentiment was echoed by fellow Democrats Mary Landrieu of Louisiana, Jay Rockefeller of West Virginia and Mark Pryor of Arkansas.

Though Murkowski said that she is not a skeptic of global warming and is "not going after the science," many of her supporters have turned the dispute into a proxy debate on the scientific evidence.

"There is nowhere a scientific consensus on one of the EPA's findings that humans are causing warming or that warming is necessarily bad for the environment or for humankind," claimed Sen. Orrin Hatch, R-Utah.

Opponents of the resolution claim that their colleagues are choosing to ignore the scientific consensus in favor of electoral politics.

"The Murkowski resolution gives the United States Senate a choice between real science and political science," said Sen. Richard Durbin, D-Illinois. "That's what it comes down to."

"This discussion about global warming is now political, not scientific. And this is absurd," added Sen. Bernie Sanders, D-Vermont.

EPA Administrator Lisa Jackson claimed in a Huffington Post column Monday that Murkowski has sided with "big oil companies and their lobbyists" in an effort to "take away EPA's ability to protect the health and welfare of Americans from greenhouse gas pollution."

Senate Majority Leader Harry Reid, D-Nevada, has said he wants the Senate to approve new energy legislation this summer to address both global warming and the oil spill in the Gulf of Mexico.

CNN's Alan Silverleib contributed to this report.

@highlight

NEW: Supporters of resolution claim EPA has exceeded proper authority

@highlight

NEW: Opponents argue that resolution puts politics ahead of real science

@highlight

Senate to vote Thursday on resolution removing EPA's ability to regulate greenhouse gases

@highlight

Measure needs 51 votes to pass