(CNN) -- Mullah Abdul Ghani Baradar, the Afghan Taliban commander whose capture was made public this week, is one of the most senior figures in the movement to be seized -- second only to Taliban leader Mullah Mohammed Omar.

Baradar was Afghanistan's deputy defense minister when the Taliban controlled the country, according to the U.N. committee in charge of sanctions on al Qaeda and Taliban members.

In recent years, he has been a senior military commander and a member of the Taliban's governing Quetta Council, the committee said.

He has been "very much in control of the military operation in Afghanistan, responsible for appointing the commanders" on the ground, said M.J. Gohel, executive director of the Asia-Pacific Foundation, a think tank focusing on security.

"Baradar is known to have had a very close relationship with Osama bin Laden in the past," Gohel said. "If anyone would know where the senior leaders are of al Qaeda and the Taliban, then Baradar is someone who would be privy to that kind of information."

Afghanistan Crossroads blog: More on Baradar and the Taliban

It was critical to keep his capture secret at first, Gohel said. It is not clear exactly when he was detained in the Pakistani city of Karachi.

But Reva Bhalla, director of analysis at the Stratfor think tank, said she doubted he could lead the CIA straight to those who are most wanted.

"It's not like you have one guy, and that immediately opens the door to everyone else," she said, adding that the Taliban guard information carefully because the militant group knows its members could be captured.

Baradar was cagey about his contacts with his superior in an interview that Newsweek magazine said it conducted with him by e-mail last year.

Asked if he was "in direct contact with Mullah Omar," he responded, "Continuous contacts are not risk-free because of the situation. [But we] get his advice on important topics."

He appeared to consider the possibility of breaking ties between the Taliban and al Qaeda if it would get the Americans out of Afghanistan.

"Our decisions are made on the basis of our national interests," Baradar said, according to Newsweek.

He could be replaced by a more radical figure, said Rand Corp. analyst Arturo Munoz.

"Mullah Zakir is actually notorious because he was in Guantanamo for six years, and then he was released and immediately returned to Afghanistan and rejoined the Taliban," Munoz said.

"He left Guantanamo very much more radicalized, and I think Mullah Zakir is actually much more radical than Mullah Baradar, and much more dogmatic and much more in the al Qaeda mindset."

Stratfor's Bhalla said the capture could be important for what it shows about U.S.-Pakistani ties, regardless of its effects on the battlefield or the hunt for bin Laden.

"It's hard to believe that this will lead to this huge intelligence coup, but if the Pakistanis are shifting their mode of cooperating [with the United States] that is significant," Bhalla said.

"Pakistan didn't do this for free -- they are going to be asking for some very concrete concessions" from the United States, she said.

She noted reports that Baradar represented Omar in secret negotiations brokered by Saudi Arabia.

"Baradar is one of the main mediators," she said.

Pakistan's cooperation with the U.S. in capturing him may be its way of telling Washington to deal with Islamabad -- not Saudi Arabia -- if it wants to negotiate with the Afghan Taliban, she said.

"The Saudis have been very involved in back-channel talks, and Pakistan wants to show it is the only one that has the real leverage and intelligence to wield carrots and sticks," she said.

It is not clear that the Saudi-brokered talks are still going on.

"The Taliban leadership through Mullah Baradar engaged with the Saudis by conducting talks with Saudi intelligence chief, Muqrin," Mehlaqa Samdani of the Center for Strategic and International Studies wrote last week.

"These talks came to an abrupt halt when in mid-2009, Prince Muqrin was told point-blank that Mullah Omar decided to discontinue all negotiations [since he] took it as an affront that on the one hand Washington aimed to engage the Taliban through Saudi Arabia, while on the other hand it planned to continue all efforts to defeat the Taliban through its troop surge and drone strikes," Samdani wrote in "Saudi Arabia, Pakistan and prospects for peace with the Taliban."

The Pakistani Inter-Services Intelligence, or ISI, must have known Baradar's location and turned a blind eye for some time, Bhalla said.

"He was hanging out in southern Karachi with ISI knowledge. He wasn't really posing a threat to Pakistan," she said.

Baradar has been under U.N. sanctions since February 2001, with his assets frozen and travel banned. The United Nations also forbids selling weapons to him.

He was born around 1968 in the village of Weetmak in Afghanistan's Uruzgan province, according to the world body.

"Baradar," which means brother in Afghanistan's Dari language, appears to be a nickname.

CNN's Richard Allen Greene, Joe Sterling, Dick Uliano and Ben Wedeman contributed to this report.

@highlight

Mullah Abdul Ghani Baradar in control of military operation in Afghanistan, experts say

@highlight

Afghan Taliban's second-in-command reportedly captured in Pakistan

@highlight

Baradar has had close relationship with Osama bin Laden, analysts say

@highlight

Capture may suggest change in Pakistan's cooperation with U.S., some experts say