(CNN) -- Nigerian President Goodluck Jonathan has suddenly shifted his attitude toward the Islamist extremist group Boko Haram, as violence spreads across northern Nigeria.

A week ago, Jonathan warned the group had infiltrated the government and security forces and vowed (again) to stamp it out. But in an interview with Reuters news agency Thursday he said that if Boko Haram identified itself and stated clear demands the government was ready for dialogue. He also acknowledged that military action alone would not stop Boko Haram; and northern Nigeria needed economic development.

But Nigeria-watchers think this apparent carrot may have come too late. Boko Haram's purported leader, Abu Bakar Shekau, responded in an audio message: "We're killing police officers, we're killing soldiers and other government people who are fighting Allah; and Christians who are killing Muslims and talking badly about our Islamic religion."

Over the last month, Boko Haram has carried out multiple bombings and shootings across the north; hundreds of people have been killed. Its targets are frequently police and government officials, but most of the casualties are civilians. On one day last week, at least 200 people were killed in Nigeria's second city, Kano. (On Monday, militants launched new attacks.)

Who are the Boko Haram?

One Nigeria analyst describes the Kano attacks as a "breathtaking show of force" by Boko Haram -- one that fits a pattern of bolder and better coordinated attacks over the past year.

Joe Bavier, a writer who is a frequent visitor to the region, told CNN that the "federal government has completely lost control of the north-east, despite deploying thousands of troops and establishing a Joint Task Force." Now, he says, "it looks like this insurgency has broken out of the north-east." And what's worrying, he says, is that there's "not a whole lot of visible effort from the federal government to calm things down."

Nigerian iReporters on uncertain present, and future

Philippe de Pontet, Africa analyst at the Eurasia Group, says that Boko Haram's main aim appears to be humiliate Jonathan's government, tapping into an existing sense of grievance among Muslims in the north. He and other analysts say the government's heavy-handed response has played into Boko Haram's hands.

"The impulse is to hit back hard and there are political pressures for a crackdown," de Pontet argues, "but Jonathan is so weak in the north that he needs to be careful not to alienate people there further."

Long the poorer part of Nigeria, the north lacks infrastructure such as reliable power. Since the end of military rule much of the region has felt excluded from the system of patronage that fuels Nigerian politics. When he acceded to the presidency in April last year, Jonathan broke the unofficial rotation of Christian and Muslim as head of state.

Goodluck Jonathan: Nigeria's embattled president

Bavier, who is with the Pulitzer Center on Crisis Reporting, says poverty has fed Boko Haram's ranks. It is no longer a sect of Islamic fanatics but has the support of disgruntled politicians and their paid thugs.

One source says young men are being paid as little as $2 a day to take part in the group's attacks.

Compounding the situation, the government has so far treated Boko Haram as a security problem rather than a political problem. Because of a lack of trust, security forces find it hard to gather actionable intelligence and different security branches often compete with each other rather than share information.

A former U.S. ambassador to Nigeria, John Campbell, says the response of the security forces so far has been "abysmal" -- which is probably why the inspector-general of police was fired this week. The State Security Service is probably the most competent branch, he says, but doesn't share intelligence.

Bavier agrees: "The security and intelligence apparatus is entirely stove-piped."

The scale of the attacks, and the subsequent discovery by police of new pick-up trucks in Kano wired to explode, suggests Boko Haram is not short of money. That in turn sparks another debate. Some analysts believe it is financing its activities through extortion and bank robberies. But the Nigerian government, the United Nations and U.S. officials say there is evidence Boko Haram is part of a wider west African jihadist movement, and has developed links with al Qaeda in the Islamic Maghreb.

A U.N. report issued last week says arms smuggling throughout the region in the wake of the Libyan revolution is rampant. "Large quantities of weapons and ammunition from Libyan stockpiles were smuggled into the Sahel region," the report said. The weapons included rocket-propelled grenades, explosives and even anti-aircraft artillery.

"Some of the weapons may be hidden in the desert and could be sold to terrorist groups like al Qaeda in the Islamic Maghreb, Boko Haram or other criminal organizations," the U.N. report said.

Philippe de Pontet of Eurasia says the increasing use of suicide bombings "speak to the real possibility that this movement is getting support, training and possibly finance from outside." But, he says, Boko Haram did not grow out of al Qaeda; nor is there any evidence of foreign fighters among its ranks.

Campbell agrees, noting that its recent statements have not included jihadist slogans or anti-western rhetoric. While contacts with other groups are possible, there is no indication of close co-ordination.

The U.N. report notes that "although Boko Haram has concentrated its terrorist acts inside Nigeria, seven of its members were arrested while transiting through Niger to Mali." They were allegedly carrying contact details for known al Qaeda members.

Just as the jury is out on Boko Haram's relationship with global jihad, so there is great uncertainty about its aims and structure. Different spokesmen focus on different demands, and government officials have said there is no leadership or manifesto they can address.

Last month, one Boko Haram spokesman demanded all Christians leave the north within three days, and a subsequent video made by Abu Bakr Shekau, railed against Christians. "They killed us, destroyed our mosques and displaced us," he said. "The Christian religion that you are practicing is not the religion of Allah; rather -- it is unbelief."

But John Campbell, now with the Council on Foreign Relations and author of "Nigeria: Dancing on the Brink," says it would be simplistic to regard Boko Haram as a cohesive group motivated mainly by animosity for Christians. There is a strand that follows the strict version of Islam preached by its founder, Mohammed Yousuf; there are opportunists who rob banks and traffic arms; and there are northern politicians drawing on the discontent that Boko Haram represents.

Campbell and Bavier also point out that Boko Haram has frequently attacked figures in the wealthy Muslim establishment too -- accusing them of selling out to the federal government and not adhering to Sharia law. Bavier says many of the poor regard the traditional Muslim hierarchy as complicit in their misery. After the 2011 elections, crowds attacked and burned down the home of the Sultan of Sokoto, a pillar of the Muslim hierarchy who had supported Jonathan.

Even if Boko Haram's aim is not to split Nigeria into religious camps, the effect of its violent attacks could be hugely divisive, according to de Pontet. "If they continue to escalate," he says, "they could tear apart the ethnic and sectarian tapestry of Nigeria in slow motion."

Despite its many problems, Nigeria has natural wealth and a growth rate of 7%. Boko Haram is unlikely to have much impact on the broader economy, but Nigeria's boom is concentrated in the south and may lead to even greater inequality, and a still greater sense of grievance among the marginalized Muslim communities in the north.

Jonathan's olive branch may be intended to avoid that risk. But there is considerable political pressure on him not to make concessions to terrorists. And there is every sign that some elements of Boko Haram prefer a future of extortion -- and explosions.

@highlight

Islamist extremist group Boko Haram has been blamed for multiple attacks in Nigeria

@highlight

Analysts say the attacks are getting bolder and better coordinated

@highlight

Some believe the group has developed ties with al Qaeda affiliates