(CNN) -- As one of the world's most successful golfers, Ernie Els has got it all. The three-time major winner is famous for his sporting achievements, but he is giving a lot back to the game he loves and the country he cherishes.

Not only is his golf foundation now in its 13th year, but Els also contributes to the economy of the Cape region where he grew up, investing in a wine and restaurant business plus an award-winning golf resort that he helped design.

And -- inspired by his son -- he has raised millions of dollars for research into autism.

The 42-year-old will not be short of local support at this week's Volvo Golf Champions tournament at Fancourt in George.

The Ernie Els and Fancourt Foundation was established to help under-privileged kids take up a sport that is unaffordable to most in his native South Africa.

"Having him back home means so much to us," says foundation member Kim Daniels.

Her colleague Sylvia Masango says the experience and lessons learned from Els and the other coaches and mentors have transformed her life.

"Golf is who I am now. It has helped me to become the person I am," she told CNN. "I don't know where I would be now without golf."

Family background

Els' own sporting ambitions were supported every step of the way by his father Neels, who owned a transport business, and mother Hettie.

Known as the "Big Easy" for his languid style, he won the U.S. Open at the age of just 24 in 1994 and has been among the game's elite ever since.

"I had golf clubs, golf shoes -- all these things cost a lot of money. The equipment in golf is very expensive. There are a lot of kids in South Africa, and around the world, that have talent. I've seen these kids not make it because of their inability to pay for good equipment," he told CNN.

"So they go by the wayside, I've seen it happen. That's why we started the foundation, to get them to really hone their skills."

The foundation's star graduate is 2010 British Open champion Louis Oosthuizen, who spent three years on the program and now makes regular visits back to inspire its pupils.

"The gods were smiling on us to have a kid like Louis come to the foundation," said a proud Els.

"I feel like that was something I wanted to do because I am so fond of South Africa, so fond of the country and the people. I just felt it was my duty to give something back to the less fortunate."

Oosthuizen is grateful for his time with the foundation and the important lessons learned before bursting onto the golf scene.

"It's very special to have spent three years on the foundation, and it's great what Ernie is doing for the kids," he told CNN.

Autism foundation

If the foundation is dear to Els' heart, the fund-raising charity he has set up to tackle autism is a real labor of love.

His son Ben was diagnosed with the condition when he was four, and Els set himself the goal of establishing a center of excellence for autism that would be at the cutting edge of research and educational therapy, "something the world has never seen before."

Since going public with his son's problem in 2008, Els has campaigned on behalf of Autism Speaks and used his sporting connections to raise millions of dollars for his Els for Autism Foundation.

His dream is coming ever nearer to reality. "Next year I expect to raise $5 million and almost be ready for breaking ground on the new center," he told CNN.

Els uprooted his family -- wife Liezl, daughter Samantha and Ben -- from their main home on Wentworth Golf Course in southern England to Florida to get better treatment for his son, who is "quite severely affected" by the condition.

With his worldwide fame and influence, Els knows that he is in a position to make a real difference in tackling autism.

"I've seen families where three kids have autism. Now that must be one of the hardest things in the world, because just to do your normal everyday stuff would be almost impossible if you don't have extra help," he said.

"We have the resources, we have the money to actually cope with it. There are people and families who don't have that, so we want to try to better their lives."

Commercial interests

Els spends the majority of his time based in Palm Beach, but every winter returns to South Africa to check personally on his private and commercial interests.

They include a thriving golf course design business and the realization of a dream to build a signature layout in an area of the Cape where he used to hang out with friends and enjoy barbecues on the beach.

Oubaai at Herold's Bay is now established, with the 18 holes taking in rugged surroundings near the Indian Ocean.

It was voted "Best Golf Resort in South Africa" in a 2007 survey.

Els has also designed courses on four continents, but his business empire does not end there.

Having met his wife on a farm in Stellenbosch, which is famous for its vineyards, he developed a love of the grape and, at the turn of the century, set up Ernie Els Wines.

He partnered expert Louis Strydom to develop a range of five red wines, and in 2011 added a white to the collection.

Visitors to the area do not have to go far to sample the products, which are on sale at the "Big Easy Restaurant" on South Africa's second-oldest road in Stellenbosch.

Golfing ambitions

With all these commitments, Els might be expected to slowly slide down the world rankings as he nears the latter stage of his career.

But the former No. 1 is still desperate to add to his near 70 victories worldwide and to his majors tally.

He failed to win on the U.S PGA Tour in 2011, meaning he missed the season-opening Tournament of Champions in Hawaii, but after playing in South Africa this week he will return to spend the bulk of his season in the United States.

"I want to really concentrate on America and get some wins early on and hopefully get some real confidence going ahead of the first major at Augusta," said Els, now ranked 71st.

And how long can he continue to play at the top level?

"Well. I don't want it to end now," he smiled. "I'm 42 and in pretty decent shape for a golfer. I want to continue to win tournaments, the desire still burns bright."

Els added: "Fifty has always been kind of the mark. At 50 you go onto the Seniors Tour and so forth. My good friend Vijay Singh is 48 this year, he's also had a bit of a quiet year, so I feel there's many years left in me.

"There have been guys in their 40s who have won major championships. Mark O'Meara won two majors when he was 42, so there's a lot of hope for us."

@highlight

Three-time major champion Ernie Els keeps busy on and off the course

@highlight

Els runs a foundation which helped 2010 British Open champion Louis Oosthuizen

@highlight

He is also involved in golf course design and the wine and restaurant business

@highlight

South African is also raising $30 million for a state-of-the-art autism center