(CNN) -- There is a growing interest among U.S. foreign policy officials and scholars in deterring Iran; that is, in tolerating a nuclear armed Iran but keeping it at bay by threatening it in kind should it use its nuclear weapons. Although the Obama administration has not embraced this position, some observers believe this is the direction it is headed.

One indication comes from Thomas Donilon, the national security adviser. In a speech late last year, he remarked, "We will continue to build a regional defense architecture that prevents Iran from threatening its neighbors. We will continue to deepen Iran's isolation, regionally and globally." And a recent report sponsored by the U.S. Air Force outlines a strategy for deterrence that includes expanding the United States' regional nuclear presence and improving American missile defense capabilities. As one expert puts it, "Deterrence against a nuclear Iran should not be terribly difficult."

For deterrence to work, the leaders of the nations that command nuclear arms must be rational. The champions of deterrence claim to demonstrate that Iran's leaders are not insane by showing that they react in sensible ways to changes in the world around them.

For instance, after the U.S. military easily wiped out Saddam Hussein's army in Iraq and President George W. Bush told Iran it was on the very short list of members in the "Axis of Evil," Iran made a very conciliatory offer regarding its nuclear program. In short, proponents of deterrence argue that leaders and governments in fact do respond to changes with reason and logic.

However, there's another type of decision-making process that sociologists have known about. It's nonrational behavior, such as when people act in response to deeply held beliefs that cannot be proven or disproven. People have long shown they are willing to kill or be killed for their beliefs, and that God commanded them to act in a particular manner. They may respond to facts and pressures, but only as long as those factors affect the ways they implement their beliefs -- but not the beliefs themselves. Thus, a religiously fanatical Iranian leader who believes that God commanded him to wipe out Tel Aviv may calculate whether to use missiles or bombers and in what season to attack, but not whether to heed God's command to destroy the infidels.

An example of nonrational thinking is summed up best in these words: "[Iran's] religious zealotry causes it to exaggerate the significance of issues that are, objectively speaking, only tangentially related to its interests. The Israeli-Palestinian conflict, for instance, has no direct bearing on Iran's security, but much of the regime sees it as fundamental to Iranian interests and even to Iran's identity as a Muslim nation."

Even rational heads of states have shown themselves in the past to be fully capable of making gross miscalculations that cost them their lives, regimes and all they were fighting for. Hitler would fall in that category. Similarly, the Japanese, when they attacked Pearl Harbor, believed they would be able at least to drive the United States out of their part of the world. Saddam Hussein believed the United States would not invade Iraq in 2003, but he was dead wrong. History is littered with numerous other, though less grand, miscalculations, from Lord Cardigan's Charge of the Light Brigade in the Crimean War to Pickett's Charge in the American Civil War.

In short, it might be possible to deter Iran, but no one can assume that we can safely rely on the rationality of Iran's leaders and their decisions and reactions to the events around them. No one can predict if they will unleash forces on Saudi Arabia or Israel -- perhaps not even the Iranians themselves.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Amitai Etzioni: There is growing interest among U.S. officials, scholars in deterring Iran

@highlight

For deterrence to work, leaders of nations with nuclear arms must be rational, he says

@highlight

Etzioni: even rational heads of states have made gross miscalculations

@highlight

He says no one can assume that we can safely rely on the rationality of Iran's leaders