In his 20 years of practicing emergency medicine, Dr. David Newman says, he remembers every patient who has walked out of his hospital alive after receiving CPR.

It's not because Newman has an extraordinary memory or because reviving a patient whose heart has stopped sticks in his mind more than other types of trauma. It's because the number of individuals who survive CPR is so small.

In fact, out of the hundreds of CPR patients who have come to the New York hospitals where he has worked, Newman recalls no more than one individual a year making a full recovery.

Since it was introduced to American physicians in 1960, cardiopulmonary resuscitation has become a staple of emergency medicine. Between 2011 and 2012, more than 14 million people in 60 countries were trained in CPR administration, according to the American Heart Association (PDF).

But recent studies suggest that the number of lives saved by CPR isn't as many as your favorite TV police drama would have you believe.

Initially, CPR combined mouth-to-mouth breathing with chest compressions to keep blood and oxygen circulating throughout the body until further measures could be taken to restart the heart. In 2008, the American Heart Association began teaching "hands-only CPR," in which the rescuer pushes down hard and fast in the center of the chest -- about 100 compressions per minute -- and forgoes rescue breaths.

The new CPR procedure was developed to simplify the process and eliminate the "yuck factor" that potential rescuers could associate with putting their mouths on an unconscious victim. Studies showed that the modified procedure was as effective as chest compressions combined with artificial respiration.

Yet despite advancements, the overall effectiveness of CPR remains disappointingly low -- although the practice still has its defenders.

Exact survival rates are difficult to come by, as studies generally look at specific populations. A 2012 study showed that only about 2% of adults who collapse on the street and receive CPR recover fully. Another from 2009 (PDF) showed that anywhere from 4% to 16% of patients who received bystander CPR were eventually discharged from the hospital. About 18% of seniors who receive CPR at the hospital survive to be discharged, according to a third study (PDF).

So when did the misconception about the effectiveness of CPR begin? Some researchers argue that television created the myth. Between 1994 and 1995, researchers from Duke University watched 97 episodes of "ER," "Chicago Hope" and "Rescue 911," taking note of when CPR was administered during each show.

In these dramas, 75% of patients survived immediate cardiac arrest, and two-thirds were discharged from the hospital with full brain function, a stark contrast to the much smaller percentage found by medical studies.

Newman says the few who do survive after CPR are what physicians describe as the "healthy dead": i.e. "a boy who drowned moments before," "a man who collapses while running a marathon" or someone experiencing a mild heart attack.

More common are the "unhealthy dead": those with terminal illnesses, the chronically ill and patients who do not receive CPR within five to 10 minutes of cardiac arrest.

"In these cases, (CPR) is unnecessarily burdensome, invasive and arguably cruel, with little to no chance of benefit," Newman said. Many survivors suffer abdominal distention or broken rib cages; some have severe brain damage from being without oxygen for so long.

Still, trauma workers, including physicians, nurses and EMTs, are required to do anything and everything in their power to revive the patient unless an advance directive -- a specific written and signed order -- specifies that resuscitation should not be performed.

Many veteran physicians have begun to opt out of the resuscitation practices they often administer to their patients. In a 2012 article published in The Guardian, "How Doctors Choose to Die," retired physician Dr. Ken Murray reveals that members of his profession frequently turn down everything from chemotherapy to CPR.

He notes that years of witnessing and administering "medical care that makes people suffer" leads many doctors diagnosed with terminal illnesses to choose to spend their last months or years at home and without medical treatment. Murray recalls some fellow physicians who go as far as getting tattoos that read "no code" to remind rescuers to forgo any attempts at revival.

Murray is still an advocate for learning CPR, but he warns against hoping for miracles.

"People have too high expectations about what's going to happen," he said. "They think you're going to do CPR and 99 out of 100 times (the patient will) be revived, which is just not the case."

Not everyone agrees. Saying that CPR is ineffective is "the wrong attitude" and a "self-fulfilling prophecy," said Dr. Michael Sayre, former chairman of the American Heart Association's Emergency Cardiovascular Care Committee. "If you expect it to go poorly, than it will."

Instead, he says, we should be doing more studies: for example, comparing CPR teaching methods with cardiac arrest survival rates in major cities in the United States to understand how and when the technique is most effective.

In some cities that have less CPR training, the survival rate is indeed low, Sayre says. But in other metropolitan areas with strong training programs and quick EMS response times, half or more victims survive.

Sayre suggests teaching CPR in schools nationwide starting in seventh grade, as well as increasing access to  automated external defibrillators, portable machines that shock the heart to get it to "reboot." Using an AED, according to Sayre, increases the probability of survival to 80%.

Promising research continues for substitutes to CPR, but "there are no reasonable alternatives" yet, Newman said. For now, emergency care providers have to use what they know.

That doesn't mean Newman is happy with that reality. He remembers when he started as an EMT: "I was led to believe that for those who experienced cardiac arrest, if you put your heart into reviving them, they would come back."

@highlight

CPR was introduced to American physicians in 1960

@highlight

Study: About 2% of adults who collapse on the street and receive CPR recover fully

@highlight

Study on TV dramas found that 75% of patients survived immediate cardiac arrest