Washington (CNN) -- The U.S. Food and Drug Administration told the manufacturers of seven caffeinated alcoholic beverages Wednesday that their drinks are a "public health concern" and can't stay on the market in their current form.

The move follows a year-long review by the FDA, which gave the companies 15 days to either reformulate their products or face possible seizure under federal law, said Dr. Joshua Sharfstein, the agency's principal deputy commissioner. Experts have said the caffeine used in the beverages can mask the effects of alcohol, leaving drinkers unaware of how intoxicated they are.

"FDA does not find support for the claim that the addition of caffeine to these alcoholic beverages is 'generally recognized as safe,' which is the legal standard," Sharfstein told reporters. "To the contrary, there is evidence that the combinations of caffeine and alcohol in these products pose a public health concern."

One of the companies that received warning letters was Phusion Projects, of Chicago, Illinois, which makes Four Loko -- a drink nicknamed "blackout in a can" by some users. The company announced Tuesday that it was dropping caffeine and two other ingredients, guarana and taurine, from Four Loko in the face of "a difficult and politically-charged regulatory environment."

The other companies are San Diego, California-based United Brands, which manufactures the Joose and Max brands; Portland, Oregon's Charge Beverages Corp., which sells Core High Gravity HG, Core High Gravity HG Orange, and Lemon Lime Core Spiked; and New Century Brewing of Boston, Massachusetts, which makes Moonshot.

Sharfstein called Phusion's decision to drop caffeine and two other ingredients a "positive step" Wednesday. And in a statement issued after the decision, the company said it was pleased by FDA's response.

"As we stated yesterday, we have stopped the production and shipment of all our products containing these ingredients," the company said. "We will continue to work closely and cooperatively with national and state regulators."

But New Century proprietor Rhonda Kallman told CNN she was puzzled by the FDA's decision to include Moonshot on its list.

"I don't know what to say except I'm really shocked about the outcome of the FDA's inquiry, and I need more answers than what I've gotten," said Kallman, who said she is New Century's only full-time employee.

Kallman described Moonshot as a craft beer that has about 4 percent alcohol by weight, about two-thirds the caffeine of a cup of coffee and is sold in only three cities -- "and yet it's being singled out with Four Loko and Joose."

"Those brands are neon green. They're not beer, they're juice, with 200 grams of sodium and artificial everything," she said.

United Brands said Tuesday that it would review any new FDA guidelines, but noted it was unaware "of a single incident of injury or other harm associated with its products." Neither United nor Charge Beverages had responded to requests for comment after the announcement.

The FDA has no authority to ban the products outright. But Sharfstein said the review is still going on, and "We expect these warning letters to be read across the industry."

"This will send a message to the industry about the importance of looking directly at these alcoholic beverages and how the FDA will respond to that," he said.

The FDA began its review in November 2009, after complaints from officials in several states. The controversy exploded in October, when nine underage students at Central Washington University were hospitalized after drinking Four Loko, both on its own and mixed with other drinks, police reported.

Critics say drinks like Four Loko mix caffeine equal to the amount in three cups of coffee with the alcoholic equivalent of three cans of beer and are designed to appeal to younger consumers accustomed to consuming high-caffeine energy drinks. A 23.5-ounce can of Four Loko contains either 6 or 12 percent alcohol by volume, depending on state regulations.

Phusion has compared Four Loko to popular drinks like rum and cola or Irish coffee that also mix caffeine and alcohol. But "we didn't see these kinds of events when people were drinking irish coffees," Robert McKenna, Washington's state attorney general, told reporters.

"What we're seeing now is striking, and we need to take quick action," McKenna said.

Washington and four other states -- New York, Utah, Michigan and Oklahoma -- already have taken steps to remove Four Loko and similar drinks from store shelves. And Gil Kerlikowske, the White House anti-drug czar, praised the FDA for moving against products he said are "designed, branded, and promoted to encourage binge drinking."

"Acting early to protect public health is critical and a vital component of the Obama administration's effort to reduce drug use and its consequences," he said.

Combining large amounts of caffeine and alcohol produces "a wide-awake drunk," said Dr. Mary Claire O'Brien, an associate professor of emergency medicine at Wake Forest University's medical school in North Carolina. But since caffeine's effect wears off faster than alcohol's, she said, drinkers are left with "much more alcohol than he would have been able to tolerate -- and that leads to blackouts."

"If you're going to drink caffeine, drink it responsibly. If you're going to drink alcohol, drink it responsibly," said O'Brien, who has studied the drinks extensively. "But mixing them is dangerous, because you might not know when you've had too much to drink."

CNN's Elizabeth Cohen, Saundra Young and Matt Smith contributed to this report.

@highlight

NEW: Other companies may face similar action

@highlight

FDA says 7 brands made by 4 companies pose a "public health concern"

@highlight

Four Loko manufacturer dumps caffeine ahead of FDA announcement

@highlight

A Consumer Reports adviser called the announcement a "partial solution"