(ESSENCE)  -- Anita Hill will always be linked to the Senate confirmation hearings for the Supreme Court.

Anita Hill arrives at the United Nations in New York in May 2006.

In 1991, her testimony during the confirmation of Clarence Thomas prompted a generation of women to stand up against sexual harassment.

On the cusp of the Senate hearing for Sonia Sotomayor, Hill, today a professor of law at Brandeis University, talked to ESSENCE.com about Sotomayor, a former classmate of hers at Yale Law School, and the legacy of her Senate Judiciary Committee testimony all these years later. The following is an edited version of that interview:

ESSENCE: What do you think of Sonia Sotomayor as a Supreme Court nominee?

Anita Hill: I think it's an excellent choice, just on the face of the selection. Here's a person who has years of experience on the bench, and has distinguished herself in private practice as well, and has been a prosecutor.

I think she's got an incredible breadth of experience. Clearly she's an exceptional mind, having done very well at her undergraduate school, Princeton, and law school at Yale. But that's just the beginning. There are other things that I think make her a great choice. ESSENCE: Georgetown professor knows what's next for Sotomayor

ESSENCE: Things like... being a woman and a person of color?

Hill: Absolutely, that's part of it. But I think she's a great choice not simply because she's a Latina. She has acknowledged that as part of her identity, in a way that I think is very responsible and wise.

She has said, "This is the perspective that I come from." But she has also said, "I understand that perspective, but I try not to allow that to lend itself to bias."

I like that kind of embracing of one's own identity, but also self-reflection. It means she's going to be aware of who she is and understand how that plays in her decision-making, but she is also going to be quite aware of the rule of law and have great respect for the rule of law, and be able to apply it.

We are enriched in the judiciary by having both those concepts in one person, and so what some people have found troubling about her I actually find refreshingly candid and self-aware.

ESSENCE: Do you know Judge Sotomayor?

Hill: She and I were in law school together; she was in the class ahead of me. I know who she is and knew her in law school, but I have not followed her career closely and haven't been involved with her socially.

At Yale, I had a very favorable impression of her. She was very friendly and genuine, but also very serious and dedicated to her work. The thing I admire about her in terms of her career is that she came into a situation where she took full advantage of all the opportunities she had in front of her.

Not only did she excel in law school -- where she was an editor of the Law Review -- but after leaving law school, she was a prosecutor, she practiced in a law firm, she was nominated and served as a judge at the district court level, and moved on to the appellate court level.

All of those things are to be admired and used as an example of what can happen when an individual is really given an opportunity and chooses to respond and accept the full breadth of responsibilities.

ESSENCE: After Justice David Souter announced he was retiring, Vanity Fair and others raised the suggestion that President Obama should nominate you for the Supreme Court. What did you think of that idea?

Hill: I actually responded to the Vanity Fair piece. I think there are any number of people, including Sonia Sotomayor, who will be excellent choices. This is a president who has come in and really tried to promote healing between various factions. Nowhere is that more needed than in terms of how we have approached Senate Judiciary Committee hearings. ESSENCE: President Obama's sentiments on Sotomayor

In those hearings, there needs to be a certain level of honesty, but there also needs to be civility and really sticking with the questions that matter about the nominee.

I don't think that there is much chance that that would happen if I were nominated, because of things that people would want to get into, that wouldn't be helpful to the process.

It's flattering anytime anyone suggests that, and I've been asked more than once. But, in addition to that being kind of an awkward workplace situation (laughs), I think the hearing process would really devolve into the kind of politics that would not be good for the court.

ESSENCE: When you testified against Clarence Thomas during his Senate confirmation hearing, you took a lot of heat from African-Americans for publicly speaking against a black man. Was that surprising to you?

Hill: No, it wasn't surprising. It also was not universal among African-Americans either. Some people understood exactly what I was trying to achieve by testifying, and other people said, no matter what happened, it was inappropriate for me to give the kind of testimony that I gave.

The idea that I would be portrayed as trying to do damage to my race was painful. But, as I said, it wasn't a universally held position. I certainly tried to understand it. I didn't agree with it, but I tried to understand it based on the pain that people have had inflicted on them by racism. ESSENCE: Dig up your roots

ESSENCE: Do you think Clarence Thomas would have been confirmed into the Supreme Court had you been a white woman?

Hill: I believe that different people would have reacted differently. Remember, Strom Thurmond was on the Senate Judiciary Committee. I can't imagine that he would have been so willing to embrace Judge Thomas if in fact I had been white.

His attitude certainly would have been one that would have changed. And I think that might have been true of some of the other more conservative members of the Judiciary Committee.

ESSENCE: My mother used the hearings as a teaching moment. She said if I was ever sexually harassed, I should stand up for myself like Anita Hill. I imagine your experience affected many other women in that way, in terms of empowerment.

Hill: I think people hadn't learned that they had a right to speak out, that this was not something that they needed to tolerate. I keep hearing these stories from women who were inspired by those hearings. That wasn't why I did it.

I did it because we were choosing somebody for the highest court in the land who was going to be appointed for a lifetime position, and I thought that the Senate ought to consider the information that I had in determining whether or not this nominee was fit for that position.

Almost immediately after my testimony, the prevailing wisdom was that no woman would ever come forward after seeing what happened to me. And amazingly, just the opposite happened.

ESSENCE: It's been 17 years since you testified. Is life completely back to normal, or is it something that still comes up in your regular life?

Hill: It is just a new normal; it is part of my life. It's not something I'm going to try to run away from, nor is it something I dwell on every day. But it is a part of my life, and it's a part of how other people perceive me and what I've done in my life. I'm OK with that.

People ask, "Does it bother you that your name will always be associated with sexual harassment?" It will only bother me if my name isn't associated with bringing it to an end, or moving the end forward.

@highlight

Anita Hill testified during Clarence Thomas' Supreme Court confirmation hearings

@highlight

Hill says Sonia Sotomayor is an "excellent" choice for Supreme Court

@highlight

Senate Judiciary Committee hearings need "civility" and "honesty," Hill says

@highlight

Hill hopes her name will be associated with bringing sexual harassment to an end