(CNN) -- A federal appeals court on Monday affirmed a previous injunction of Arizona's controversial immigration law, another setback for legislation that has drawn sharp opposition from President Barack Obama's administration.

In its ruling, a three-judge panel on the U.S. Court of Appeals for the 9th Circuit sided with the U.S. Justice Department and against Arizona Gov. Jan Brewer, who signed the measure known as SB 1070 into law last year.

Among other things, this legislation would have required local law enforcement in Arizona to apprehend and help deport illegal immigrants. The Obama administration sued, arguing that only the federal government has that authority.

That lawsuit led to U.S. District Judge Susan Bolton's decision last July, which temporarily blocked the law's most contested parts just a day before they were scheduled to go into effect. That included the requirement that local police officers should check a person's immigration status while enforcing other laws.

Monday's decision came more than five months after both sides presented their cases in San Francisco to the federal appeals court judges. The ruling was written by federal Judge Richard Anthony Paez and supported in full by Judge John Noonan. Judge Carlos Bea partially concurred and partially dissented from the ruling opinion.

"We hold that the district court did not abuse its discretion," the ruling states. "Therefore, we affirm the district court's preliminary injunction order enjoining these certain provisions of SB 1070."

Arizona's governor and attorney general will now consider "their legal options," according to a statement, including possibly an immediate petition to the U.S. Supreme Court.

Brewer claimed Monday in this statement that the latest decision "does harm to the safety and well-being of Arizonans who suffer the negative effects of illegal immigration."

"For decades, the federal government has neglected its constitutional duty to American citizens by failing to secure the border," she said. "States like Arizona have borne the brunt of that failure."

Those on the other side of the issue, including key figures in Arizona's immigrant community, applauded the ruling.

'What this decision says is that Governor Brewer is wrong," Lydia Guzman of Somos America, an activist group focused on promoting social justice and equal rights for immigrant communities in Arizona, told reporters Monday. "This decision shows a victory on the side of justice and it shows that civil rights prevails."

The ruling is the biproduct of a lawsuit filed by the Justice Department that challenged six of the Arizona law's provisions, meaning other parts of the law went into effect in July. That includes a ban on "sanctuary cities": municipalities with laws or policies that render them relatively safe for undocumented immigrants. Bolton's ruling also allowed a provision making it illegal to hire day laborers if doing so impedes traffic. In addition, the ruling allowed parts of the law dealing with sanctions for employers who hire illegal immigrants.

Republican lawmakers, Maricopa County Sheriff Joe Arpaio and other state governments were among those filing briefs with the appeals court supporting Arizona's argument. The Mexican government, the Anti-Defamation League, the American Immigration Lawyers Association and the city of Tucson, Arizona, were among those filing briefs supporting the Justice Department's side.

In its lawsuit, the Justice Department challenged only six of the Arizona law's provisions, meaning others went into effect in July. That includes a ban on "sanctuary cities": municipalities with laws or policies that render them relatively safe for undocumented immigrants. Bolton's ruling also allowed a provision making it illegal to hire day laborers if doing so impedes traffic. In addition, the ruling allowed parts of the law dealing with sanctions for employers who hire illegal immigrants.

The decision Monday sides with the U.S. Justice Department, largely on the argument that federal immigration policy would be greatly undermined -- as might America's standing in the world -- if individual states adopted their own separate immigration laws. Doing so, the ruling contends, equates to a given state adopting its own foreign policy, one that may be in opposition to national policy.

"That 50 individual states or one individual state should have a foreign policy is absurdity too gross to be entertained. In matters affecting the intercourse of the federal nation with other nations, the federal nation must speak with one voice," the ruling says.

Brewer, along with Attorney General Tom Horne, on Monday said the appeals court relied too much on testimony from "foreign governments," calling it wrong to give such nations "the de facto right to veto the duly-enacted laws of a sovereign state of the United States."

In his partial dissent -- which represents his opinion, but does not equate to law -- Bea contended that local and state officers do have a role in addressing federal immigration laws.

"Congress intended that state officers be free to inquire of the federal officers into the immigration status of any person, without any direction or supervision of such federal officers -- and the federal officers 'shall respond' to any such inquiry," he writes.

In February, Brewer announced that Arizona had filed a countersuit against the federal government, seeking the authority to implement its own border security efforts.

At that time, Homeland Security Department spokesman Matt Chandler called Arizona's court claim a "meritless" one that "does nothing to secure the border."

@highlight

NEW: An immigrant activist says, "This decisions says ... Gov. Brewer is wrong"

@highlight

Brewer says the ruling harms "the safety and well-being of Arizonans"

@highlight

U.S. appeals court judges on Monday affirm an earlier ruling on Arizona's SB 1070

@highlight

That ruling had blocked key provisions of the law, just before they became law