(CNN) -- Joaquin "El Chapo" Guzman Loera, a 54-year-old drug cartel leader whose nickname means "Shorty," is the most wanted man in Mexico. He's also one of the most wanted men in the United States.

Joaquin "El Chapo" Guzman Loera leads the Sinaloa cartel, which is battling for turf along the border.

For five years, the State Department has kept a $5 million bounty on his head, calling Guzman a threat to U.S. security.

Guzman, who leads the Sinaloa cartel, is a key player in the bloody turf battles being fought along the border.

He recently upped the stakes, ordering his associates to use lethal force to protect their loads in contested drug trafficking corridors, according to the Los Angeles Times.

The cartel's tentacles and those of its chief rival, the Gulf cartel, already reach across the border and into metropolitan areas such as Atlanta, Georgia; Chicago, Illinois; Seattle, Washington; St. Louis, Missouri; and Charlotte, North Carolina, Drug Enforcement Administration Agent Joseph Arabit told a subcommittee of the House Appropriations Committee in March.

"No other country in the world has a greater impact on the drug situation in the United States than Mexico does," said Arabit, who heads the DEA's office in this year's border hot spot, El Paso, Texas. See where Mexican cartels are in the U.S.

A December 2008 report by the Justice Department's National Drug Intelligence Center revealed that Mexican drug traffickers can be found in more than 230 U.S. cities.

So far, the U.S. has largely been spared the violence seen in Mexico, where the cartels' running gunbattles with police, the military and each other claimed about 6,500 lives last year. It was a sharp spike from the 2,600 deaths attributed to cartel violence in 2007.

Once again, drug war casualties are mounting on the Mexican side at a record pace in 2009 -- more than 1,000 during the first three months of the year, Arabit said.  See who the key players are »

The violence that has spilled over into the U.S. has been restricted to the players in the drug trade -- trafficker-on-trafficker, DEA agents say. But law enforcement officials and analysts who spoke with CNN agree that it is only a matter of time before innocent people on the U.S. side get caught in the cartel crossfire.

"It's coming. I guarantee, it's coming," said Michael Sanders, a DEA spokesman in Washington.

Sinaloa cartel leader Guzman's shoot-to-kill instructions aren't limited to Mexican authorities and cartel rivals; they also include U.S. law enforcement officials, the Los Angeles Times reported, citing sources and intelligence memos. The move is seen as dangerously brazen, the newspaper reported. In the past, the cartels have tried to avoid direct confrontation with U.S. law enforcement.

U.S. officials are trying to stop the violence from crossing the border. The Obama administration committed to spending an additional $700 million to help Mexico fight the cartels and agreed to double the number of U.S. agents working the border.

But $700 million pales in comparison with the wealth amassed by just one target. Guzman, who started in collections and rose to lead his own cartel, is said to be worth $1 billion after more than two decades in the drug trade.

He made this year's Forbes list of the richest of the rich, landing between a Swiss tycoon and an heir to the Campbell's Soup fortune. Popular Mexican songs, called narcocorridos, embellish the myth of the poorly educated but charismatic cartel leader.

"Shorty is the Pablo Escobar of Mexico," said security consultant Scott Stewart, invoking the memory of the colorful Medellin cartel leader who also landed on the Forbes list and thumbed his nose at Colombian authorities until he died in a shower of police bullets in December 1993.

Stewart, a former agent for the Bureau of Diplomatic Security, gathers intelligence on the cartels for Stratfor, a Texas-based security consulting firm that helped document Guzman's worth.

Just a decade ago, Mexican smugglers worked as mules for Colombians, moving their cocaine by land across the U.S. border when the heat was on in the Caribbean. But Colombian President Alvaro Uribe's campaign of arrests and extraditions made ghosts of the Medellin and Cali cartels.

The mules stepped into the power vacuum and never looked back. Now they buy cocaine from the Colombians and take their own profits.

Mexican cartels now bring in about 90 percent of the cocaine consumed in the United States, according to the DEA. Mexico also is the top foreign supplier of marijuana and methamphetamine.

Marijuana became the cartels' biggest revenue source for the first time in 2007, bringing in $8.5 billion. Cocaine came in second, at $3.9 billion, and methamphetamine earned $1 billion, a top U.S. drug policymaker told a group of U.S. and Mexican law enforcement officials last year.  Watch how marijuana became the cartels' top cash crop »

The Mexican government recognizes seven cartels, but the Sinaloa and Gulf cartels are the major players along the U.S. border, according to the DEA agents, local police officials and security analysts who spoke with CNN. The cartels' enforcers -- Los Negros for Sinaloa, Los Zetas for Gulf -- are believed to be responsible for most of the violence.

The status and alliances of the players continue to shift. Although the DEA and some analysts disagree, others say the Zetas, a paramilitary group of turncoat soldiers and anti-narcotics police, are now running the Gulf cartel.

"From what we've seen, the Zetas have taken over the Gulf cartel," analyst Stewart said. "In violent times, soldiers tend to rise to the top."

These soldiers are incredibly well-armed, police learned after a November raid that resulted in the arrest of top Zeta lieutenant Jaime "Hummer" Gonzalez Duran. It was the largest weapons seizure in Mexican history -- 540 rifles, including AK-47s; 287 grenades; two rocket launchers; and 500,000 rounds of ammunition.

At the very least, the Zeta enforcers now have a seat at the table. The DEA's Arabit testified that the Gulf cartel is now run by a triumvirate. Included is Los Zetas leader Heriberto Lazcano Lazcano, a former military man who is also known as "El Lazco," or "The Executioner."

The past year witnessed unprecedented bloodshed as the two cartels battled for control of the border's lucrative drug-trafficking corridors. The cartels are fighting over control of Ciudad Juarez, across the border from El Paso, Texas; Sonora Nogales, across from Nogales, Arizona; and Tijuana, across the border from San Diego, California.

Two years ago, the turf battle was over Nuevo Laredo, across the border from Laredo, Texas.

It's all about the highways that help move the drugs. Nuevo Laredo is close to the Interstate 35 corridor, and Juarez has easy access to I-10, a major east-west interstate, and I-25, which runs north to Denver, Colorado. Tijuana is also conveniently near I-10 and I-5, which heads north all the way to the Canadian border.

Some of the battles are internal, Arabit said. Some are with other cartels. And some, he said, can be attributed to the cartels' "desperate" attempt to resist Mexican President Felipe Calderon's unprecedented attack on drug traffickers.

As soon as he took office in January 2007, Calderon called out the cartels. He has deployed about 30,000 troops to back up and, in some cases, do the job of local police. Mexico also has extradited about 190 cartel suspects to the United States since Calderon took office.

The violence involves beheadings, running gunbattles and discoveries of mass graves and huge arms caches. Police and public officials have been gunned down in broad daylight. The cartels' enforcers boldly display recruitment banners in the streets.

"The beheadings started at the same time the beheading videos started coming out of Iraq," analyst Stewart said. "It was simple machismo. The Sinaloa guys started putting up videos on YouTube of them torturing Zetas."

When Mexicans first stepped into the role of Colombians in the mid-1990s, the Juarez and Tijuana cartels were dominant, beneficiaries of their location. Today, they are shadows of their former selves, weakened by the deaths and arrests of their leaders.

Juarez cartel leader Amado Carrillo Fuentes died of complications from plastic surgery in 1997. Known as "The King of the Skies" for his fleet of cocaine-carrying planes, he was said to be undergoing liposuction and other appearance-altering procedures to avoid arrest.

Three of his doctors were charged with killing the cartel leader with an overdose of anesthetic during his surgery. Two of them later were killed.

His death, along with the 2003 arrest of Gulf cartel founder Osiel Cardenas Guillen, set the stage for the ongoing turf battle. When Cardenas was extradited in 2007, Guzman set his sights on controlling Juarez  as well as Nogales.

Cardenas is awaiting trial in October in federal court in Houston, Texas, where he is accused of drug trafficking and attempting to kill two federal agents and an informant on the streets of Matamoros, Mexico.

Arrests and extraditions crippled the Arellano-Felix Organization in Tijuana, and last year, Guzman made a move on that plaza as well.

"Right now, they are fighting to survive much like Pablo Escobar," said the DEA's Elizabeth Kempshall, who heads the agency's office in Phoenix, Arizona. Phoenix has become the nation's kidnapping capital, largely because of the cartels' increasing presence.

Kempshall said that cartel leaders fear nothing more than extradition: "That is the worst thing for any cartel leader, to face justice in the United States."

CNN's Eliott C. McLaughlin contributed to this story

@highlight

Sinaloa, Gulf cartels battle for control of drug routes across U.S. border

@highlight

The turf war has spurred record death tolls with gunbattles, beheadings

@highlight

U.S. is doubling number of agents at border, spending $700 million

@highlight

Agents, analysts compare situation to '90s battle against Colombian cartels