(CNN) -- As the voice of opposition to Arizona's controversial immigration law gets louder, the state's reputation can expect to take a hit.

Critics of the law are calling for economic boycotts of Arizona, urging corporations and organizations to refrain from holding conventions in the state.

They're also pressuring Major League Baseball to take its 2011 All-Star Game elsewhere, much like the National Football League did in 1993 when Arizona refused to recognize Martin Luther King Jr. Day as a holiday.

While Arizona can ride out the backlash in the short term, the impact could hit hard later on, said Brayden King, assistant professor of management and organizations at Northwestern University's Kellogg School of Management.

"The reputational consequences will have long-term economic consequences if it's not resolved," King said.

Critics have said the law will lead to racial profiling. Supporters argue it will crack down on illegal immigration.

Latino rights groups, others call for Arizona boycott

As originally passed, the bill would have allowed police to ask anyone for proof of legal U.S. residency based solely on an officer's suspicion. Arizona Gov. Jan Brewer signed a bill to amend the law so that officers could check a person's status only if the person had been detained or arrested for another reason.

Brewer said the changes should ease concerns about racial profiling, but opponents say the changes are not sufficient.

Days after the bill was signed into law, Debbie Johnson, president and CEO of the Arizona Hotel & Lodging Association, said three conferences were canceled, including a gathering of the American Immigration Lawyers Association scheduled for fall.

Arizona governor signs changes into immigration law

Now, the calls for boycotts are coming from across the country. The Boston City Council approved a resolution calling on the Massachusetts city to pull investments from Arizona. The Oakland, California, City Council voted this week to boycott Arizona businesses. Chris Coleman, mayor of St. Paul, Minnesota, banned city-funded travel to the state.

Coleman also planned to write letters to the chairmen of the Republican and Democratic national committees, encouraging them not to choose Phoenix as the host city for their 2012 conventions.

In Arizona, the Tucson and Flagstaff city councils voted this week to file suit against the immigration law. The city councils said they're taking action because of concerns over enforcement costs and negative effects on Arizona's tourism industry.

Tucson Mayor Bob Walkup said up to 38 percent of retail sales in the city come from legal Mexican visitors.

The Arizona Hotel & Lodging Association has set up a Facebook page titled "Don't Boycott AZ Tourism," which urges visitors not to scapegoat the tourist industry and its workers.

Supporters of the law outside of the state are mobilizing. Organizers with Voice of the People USA and Tea Party Patriots Live announced Thursday they planned to hold rallies in Phoenix and across the country the week of June 5 to counter any boycotts and show support for the immigration law.

Brewer has dismissed the notion that the state's immigration law would hurt economic development, saying many businesses have long wanted tougher action. The law is slated to go into effect late this summer unless court challenges hold it up.

What does the law do?

In an editorial on ESPN.com, Brewer said the recent boycotts and calls for MLB Commissioner Bud Selig to move next year's All-Star game are misguided.

"Put simply, history shows that boycotts backfire and harm innocent people. Boycotts are just more politics and manipulation by out-of-state interests. As a border state, Arizona has already paid a heavy price for the federal government's failure -- hundreds of millions, if not billions, of dollars in unreimbursed costs -- and its citizens should not be punished further," she wrote in the Wednesday article.

But King, the Northwestern professor, said history also has shown the opposite to be true.

Citing the Boston Tea Party in the 1770s and the civil rights-era boycotts in the South, King noted, "Those did not hurt the innocent, and they had real impact on political and social change."

A majority of Americans support Arizona's law, even though most of them think it could lead to racial profiling, according to a recent national poll.

A CBS/New York Times survey released Tuesday indicates that Americans overwhelmingly believe that the country's immigration laws need to be changed.

A Gallup Poll released last week showed similar public attitudes: Nearly four in 10 Americans supported the law, with three in 10 opposed, and 31 percent saying they had not heard of the new law at the time, or had no opinion.

While the boycotts are keeping the law in the spotlight, King predicted that even those apathetic about the issue could take a side.

"Even people who wouldn't have cared in the first place are now becoming aware of it and are starting to develop opinions about it. They may have been lukewarm or moderate in the beginning, but they are probably becoming polarized as they become more educated about the issue," he said, noting that Arizonans' opinion on the issue could change as well.

"[Brewer's] constituents will not be happy if Arizona loses major business revenue like a Super Bowl or an All-Star Game," he said. "Even if their own pocketbook is not being affected, they're not going to want to be associated with that kind of negative press."

Brewer is rejecting a request from a top Senate Democrat to hold the immigration bill for one year to give Congress time to pass comprehensive immigration reform.

In a letter dated Thursday and obtained by CNN, Sen. Charles Schumer, D-New York, made the request to Brewer, a Republican.

Schumer, the Senate Democrats' point man for immigration reform, called Arizona's concerns about illegal immigration "legitimate security interests" and said he appreciates that Brewer "felt duty-bound to take action to address the security concerns in your state."

"But I simply do not believe the remedy Arizona has enacted will succeed in resolving the problem it is designed to address," Schumer wrote. He called the law, "wrong-hearted" and "likely unconstitutional." He also asked Brewer to call on Arizona's two GOP senators - John McCain and Jon Kyl - to "immediately begin discussions with me to enact" immigration reform.

On Friday, Brewer's office informed CNN of the governor's response.

"The governor is certainly grateful that Sen. Schumer has focused some attention on Arizona's border security plight," said Paul Senseman, Brewer's deputy chief of staff for communications. But, Senseman continued, Brewer "is waiting for action on border security."

Attempting to highlight federal inaction on the matter, Senseman referred to a letter sent from border state governors, including Brewer, to Congressional leaders in April 2009. It called for more National Guard personnel to help local law enforcement agencies combat violence, crime and illegal immigration along the U.S.-Mexico border.

"The governor has been waiting over a year," Senseman told CNN in reaction to Schumer's letter.

CNN's A. Pawlowski contributed to this report.

@highlight

NEW: Senator asks Arizona to hold off on law until Congress acts on issue

@highlight

Opponents of Arizona immigration law are calling for an economic boycott of state

@highlight

Expert: Boycott could hurt state's reputation, lead to long-term economic consequences

@highlight

"History shows that boycotts backfire and harm innocent people," Arizona governor says