Los Angeles (CNN) -- The federal government is calling a human-trafficking lawsuit against a California-based farm labor contractor and eight farms the largest case of alleged forced labor of farm workers in the United States.

The lawsuit, made public in Los Angeles by the U.S. Equal Employment Opportunity Commission, accused Global Horizons Manpower Inc., based in Beverly Hills, California; and eight farms in Hawaii and Washington state of luring more than 200 men from Thailand to work at farms where they were subjected to abuse.

The government alleges that between 2003 and 2007, Global Horizons promised hundreds of workers lucrative jobs in the United States, and then charged the workers exorbitant recruitment fees that they were expected to work to pay off. In some cases, according the lawsuit, the workers owed tens of thousands of dollars.

"I did not earn 70-80,000 baht (about $2,340 to $2,680) per month while working on the farm, as the recruiters had promised," said one Thai man, identified as "Ken," in a redacted statement provided by the Thai Community Development Center, which filed the complaint with the Equal Employment Opportunity Commission.

"Instead, I was paid $9.03 per hour and my hours were very inconsistent," said Ken, who said he borrowed money using his parents' home and land as collateral to pay the 550,000 baht (about $18,430) recruitment fee.

"There was not enough work for all the workers, so some days I would get to work and other days I would not," he said. "I was very concerned about not getting to work every day, since I desperately needed the work so that I could pay off my debt. I was afraid that my family would lose their house and farm if I did not earn enough money to pay off the debt."

Telephone numbers listed for Global Horizons offices in Hawaii and California were not in service Wednesday. The company did not respond to a CNN e-mail request for comment.

The men were brought to the United States under a federal H2-A visa program, which places foreign workers on U.S. farms. But once the men arrived, the suit says, their passports were confiscated and they were not paid for their work. It also alleges that many of the workers were barred from leaving the farms and were forced to live in cramped, dirty conditions.

In many cases, the Thai workers were threatened with deportation if they complained about the conditions, the lawsuit said.

"Some were left without water. Others were given inadequate food to eat," said EEOC attorney Anna Y. Park, who filed the lawsuit Tuesday against Global Horizons Manpower and the farms. "In some cases, bodyguards were stationed around the farms so they could not escape."

The government named six farms in Hawaii and two farms in Washington in the lawsuit, alleging the companies not only ignored abuses but participated in the "obvious mistreatment, intimidation, harassment, and unequal pay of the Thai workers."

The lawsuit alleges the workers endured screaming, threats and physical assaults by their supervisors and were threatened with deportation if they complained.

"I feel what my traffickers did to me was not right and I do not want them to be able to do this to other people," said another man, "Sawat," in his statement. "I hope that justice is brought against them." Sawat said he borrowed 650,000 baht, or $21,000, to pay the recruitment fee.

Federal criminal charges were brought last year against Global Horizons' owner, Mordechai Orian, and others for the alleged trafficking of more than 400 Thai workers.

But this week marked the first time the federal government implicated farms in the case. None of the farms faces criminal charges.

The farms in Hawaii include: Captain Cook Coffee Co., Del Monte Fresh Produce, Kauai Coffee Co., Kelena Farms, MacFarms of Hawaii and Maui Pineapple Farms. The farms in Washington state were identified as Green Acre Farms and Valley Fruit Orchards.

Del Monte denied the allegations, saying in a written statement to CNN that it "did not engage in or support any alleged mistreatment of Thai workers, nor did it receive complaint from the Thai workers." It also said the company had already sued Global Horizons for breach of contract based on the EEOC charges filed on behalf of the Thai workers.

The Captain Cook Coffee Co. also denied the allegations, saying it fully cooperated with the EEOC investigation and that the federal agency has refused to identify any specific wrongdoing by the company. "The complaint filed this week again offers no factual basis for any of the allegations against Captain Cook," the company said in a written statement.

Kauai Coffee Co.'s owner, Alexander and Baldwin, said in a statement, "We are disappointed that the EEOC continues to include our company in their claims against Global Horizons, Inc., despite years of our cooperation with their investigation against Global and without any evidence of wrongdoing by Kauai Coffee Company, Inc."

The company said it had never been informed by any workers from Thailand, the government or anyone else that the Thai workers were mistreated while at Kauai Coffee. It said it assisted with the government investigation and conducted its own investigation, which "confirmed a strongly positive working relationship between the Thai workers and Kauai Coffee employees. We made multiple requests of the EEOC to identify specific acts of wrongdoing and have not received any information."

Telephone messages left by CNN seeking comment were not immediately returned by Mac Farms of Hawaii. There was no answer at Maui Pineapple Farms.

A telephone message left by CNN for the attorney representing the Washington farms was not immediately returned.

The federal lawsuit accuses Global Horizons and the farms of violating the Civil Rights Act. It is seeking back pay and monetary damages of between $50,000 and $300,000 for each worker. The EEOC said that the case could potentially involve hundreds of victims and witnesses.

The first allegations of mistreatment of Thai farm laborers was brought to light in late 2003 when a worker escaped a farm in Hawaii, said Chanchanit Martorell, executive director of the Thai Community Development Center -- the agency that first brought the case to the attention of the government. .

Martorell said the man was the first of more than 260 Thai workers who made their way to the nonprofit agency. All she said recounted similar stories: A poor Thai farmer is approached by a labor contractor, offered what is said to be a lucrative job on a farm in the United States and then arrives only to find he owes thousands of dollars in recruiting fees.

"They end up getting their passports confiscated," Martorell told CNN. "They are completely restricted in their freedom. They are not allowed to move around. In some cases, they are under surveillance."

"Ken" said he eventually bought a bus ticket to Los Angeles, where he has worked at restaurants. He said he now earns about $500 a week and sends money to his family in Thailand "to support them and to pay off the large amount of debt that I still owe for my Global Horizons recruitment fee." He said he still owes 90,000 baht, or nearly $3,020.

The Geneva-based International Labour Organization, which tracks forced-labor statistics, estimates the world's current "human trafficking stock" is 2.4 million people.

While many associate stories of forced labor with the trafficking primarily of women and children as sex workers, analysts say labor trafficking involves as many men as it does women and children.

"The workers who are trafficked for labor purposes tend to work in sectors that are isolated from the mainstream," said Kathleen Newland, the director of the Migrants, Migration and Development and Refugee Protection Programs at the Migration Policy Institute.

@highlight

Farm owners deny allegations, say they did not abuse Thai workers

@highlight

The first allegations arose in 2003, by a worker who escaped a farm in Hawaii

@highlight

The federal agency accuses a California firm, eight farms of forced labor of farm workers

@highlight

The government is seeking back pay, monetary damages for workers