Port-au-Prince, Haiti (CNN)  -- International aid groups were feverishly trying to get supplies into quake-ravaged Haiti on Thursday to prevent the situation from going from "dire to absolutely catastrophic."

The search-and-rescue efforts are the top priority.

"The ability to get people out of that rubble is paramount," said Jonathan Aiken, a spokesman for the American Red Cross. "You have a very limited time to accomplish that before people die and before you start to get into issues of diseases."

Behind the scenes, a massive coordination effort involving dozens of aid groups, the Haitian government, the United Nations and the U.S. military was under way to get food, water, tents and other supplies to survivors of the 7.0-magnitude earthquake.

Ian Rodgers, a senior emergency adviser for Save the Children, said aid efforts were at a "tipping point."

"People are without water; children are without food and without shelter," he said. "What we will see with the lack of water is the possibility of diarrheal diseases and, of course, that can kill children in a matter of hours if not tended to appropriately.

"It is very possible," Rodgers said, "that the situation can go from dire to absolutely catastrophic if we don't get enough food, medicine and work with children and their families to help them."

In the United States, President Obama promised the people of Haiti that "you will not be forsaken."

"Today, you must know that help is arriving," Obama said.

Precise casualty estimates were impossible to determine. Haitian President Rene Preval said Wednesday that he had heard estimates of up to 50,000 dead but that it was too early to know for sure. The Haitian prime minister said he worries that several hundred thousand people were killed.

The country's infrastructure has been devastated, the scope of the calamity enormous. "The government personnel that would normally lead these types of responses, they themselves have been affected," Rodgers said.

The Haitian government stopped accepting flights Thursday because ramp space at the airport in the capital city, Port-au-Prince, was saturated and no fuel was available, said Federal Aviation Adminstration spokeswoman Laura Brown.

Meanwhile, the pier used for delivery of cargo to Port-au-Prince was "completely compromised" by Tuesday's earthquake, said CNN's Eric Marrapodi. Three ships filled with medical supplies, food, clothing and water were turned away, he said. Roads leading into the city from the dock were bucked about 5 feet high by the earthquake, he said.

Relief agencies are focusing on food, shelter, medical care and communications, all of which will help establish a sense of security, Aiken said. "The people will at least know that the world is paying attention to them."

Supplies and security

A bottleneck of supplies has built up while authorities have tried to get Haiti's main airport functioning. Rubble-strewn roads, downed trees and a battered communications network have hampered humanitarian efforts. Aftershocks continue to jolt the region, causing further fear and panic among residents.

"We're going to have to wait for this pipeline of aid coming in from various places around the world to be set up and put into full gear before Haitians can get all the help that they need," Aiken said. "You're going to start seeing some progress on that today."

While planes were able to bring in the first round of supplies, the question became, Aiken said, "how do you get it to the folks who need it?"

Impact Your World: How you can help

Haiti isn't accustomed to quakes and doesn't have the heavy equipment or specialized machinery to help clear the rubble, Aiken said. Aid groups and government agencies are coordinating to get the equipment in.

"It's basically a matter of clearing out the rubble, making sure that areas are workable, that you have security that can protect these supplies and that you have security in place to help people," Aiken said.

U.S. Secretary of State Hillary Clinton said a contingent of 2,000 U.S. Marines will help the international peacekeeping and police force established after the 2004 ouster of then-President Jean-Bertrand Aristide.

"We'll try to support them as they re-establish authority," Clinton said.

The American Red Cross emptied a warehouse in Panama that had been filled with everything from cooking kits to toiletries to medical supplies and tents. That load of supplies is likely to make it into Haiti on Thursday, Aiken said. "Our effort is immediate relief and supplies."

"The needs are overwhelming at this point in time," Rodgers said. "We are going to be doing our best to respond to that, but obviously that's a big task at hand."

Medical emergency

Hospitals in Port-au-Prince have collapsed, and the few facilities still open can't handle the needs of the injured. The United States and other countries were dispatching medical supplies, facilities and personnel. People who suffered broken bones from falling debris have been unable to get treatment; there's simply too many of them.

"We need medical help," Haitian President Rene Preval said. "Some of the hospitals, they collapsed. The hospitals, they are full, and they put people in the outside."

Clinton said, "Just getting to people to provide the medical assistance they need is proving to be very difficult."

See CNN's complete coverage of the quake

Barbara DeBuono, the former commissioner of health for New York state, said the coordination between the U.S. military and groups like the Red Cross is essential to treating the sick and injured. "Making sure that the right hand knows what the left hand is doing is really, really critical here, so that there isn't further chaos and confusion."

Aiken said officials would assess the situation on the ground and coordinate medical efforts.

As the days go by, health concerns will grow about diseases, like cholera and tuberculosis, from the thousands of corpses on streets and in the rubble. The bodies also can affect the water supply and sanitation.

"You can have airborne diseases," Aiken said. "You can have animals carrying [diseases] feeding off these corpses."

Haiti could also have a humanitarian crisis since tens of thousands of homes have been destroyed, forcing residents onto residents.

"There needs to be a place to put people and to set up a structure like a refugee camp," Aiken said. "That's all part of this."

But he said, for now, the priority is to rescue as many people as possible -- and get supplies in as quickly as possible.

@highlight

Pipeline of aid backed up as Port-au-Prince airport reopens

@highlight

Top priority is to get to survivors and get supplies in as soon as possible

@highlight

Aid worker: "The needs are overwhelming at this point in time"

@highlight

Health concerns grow as bodies begin piling up; tens of thousands left homeless