(CNN) -- Peer at the windows and you'll spot big colorful chairs, plastic plants and a huge bed, but this is no department store.

Welcome to the hip headquarters of Skyscanner, Europe's most popular flight search engine -- a hot-house of IT talent with an average employee age of 32.

Leading the team is CEO Gareth Williams, who broke the golden rules of web start-ups. At first, there was no business model, just a bright idea. And, we're not in sunny Silicon Valley, California. It's another damp day in Edinburgh, Scotland.

"We probably went largely on instinct," said Gareth, "you're supposed to use market research and a business model in mind, and we had neither of those things.

"We didn't know how we'd make money from the idea and we were just going on instinct that other people would like this," he added.

Read more: Is Greece finally on the mend after economic crisis?

Frustrated at the time it took to find cheap flights to visit his brother in France, the 44-year-old programmer spent a week building a Microsoft Excel spreadsheet, the first version of Skyscanner.

The next step was convincing the airlines to offer access to their schedules and fares. Gareth realized many customers will check Skyscanner first, before choosing to book directly with the airline's website. That creates valuable leads for the carriers.

"The quantity of traffic leads we send is so high, [and] the relative cost of our other distribution channels is so low that it's a really a great deal for them," he said.

And the proof is in the numbers. Skyscanner says it's broadly doubled either users or revenue each year. Twenty-five million people search the site every month, leading to exponential expansion and new offices in Singapore, Beijing, Miami and Glasgow.

Read more: Europe would have suffered without single currency

Its future growth will be fueled by investment from Sequoia Capital, which has had a hand in Google and Apple. Sequoia has valued the company at $800 million.

"It is recognition of what's possible anywhere in the world," says Gareth.

"But it's also recognition of what we see, and presumably they do too, that we've barely scratched the surface. Transport, tourism and hospitality is over 10% of the world's GDP, so the information needs are huge.

"We've barely begun on our journey, and the fact we're doing it outside Silicon Valley is an indication of an increasing trend."

Watch more: Supplying Germany with cheap, clean energy

The future, says Williams, is to make travel booking as intuitive as buying a book. In essence, it's making the web do more of the work. That includes offering suggestions based on previous travel, or even calendar entries, dragged across into the site. Voice recognition is another area of interest.

Read more: How saffron could save Greek farmers

Skyscanner sees itself as a global player, rather than a Scottish business. Nonetheless, the country is engaged in a ferocious debate about its future, with a referendum on independence next year. The implications on doing business in Europe are still unclear.

"I can't do anything about it, so I ignore it and work on the things that affect me," said Williams.

"We're very proud to have originated in the port area of Leith. In terms of the European and local economies it will do what it will do. Death, taxes, Google and the economy, I have no control over."

Read more: Serbian confectioner enjoys sweet success

But Williams does have control over his surroundings. With his table tennis tables, meeting pods, barista coffee machines and staff perks like language classes, he has taken a little bit of Google and planted it in Edinburgh. Surrounded by university talent, this employer is helping to stem a brain drain out of the capital.

"We're right next to Edinburgh University which has one of the best computer science departments in Europe, if not the world, and having access to the graduates and the postgraduates coming out of there is a massive accomplishment for us," says Gareth.

"Silicon Valley is undoubtedly a very special place, but the world outside Silicon Valley combined is much bigger."

@highlight

Venture capital firm Sequoia Capital has valued Skyscanner at $800 million

@highlight

Skyscanner sees 100 million searches a month, half of which are from repeat customers

@highlight

Employs over 300 staff globally with offices in Singapore, Beijing, Miami and Glasgow