(CNN)This weekend marked the official opening of "Fish in the Dark,"  the Broadway debut of Larry David of "Seinfeld" and "Curb Your Enthusiasm" fame.

Of course, the odd conventions of live theater mean that "Fish" wasn't quite fresh-to-table at its premiere: It's been playing for several weeks now to sold-out preview crowds, to build buzz and iron out production kinks. And sold out really means sold out: The show has destroyed box office records for the vintage Cort Theatre and might yet set new ones for a nonmusical despite its limited run.

That's because David has a huge built-in audience for his unique brand of humor, which "Curb" fans know to be as abrasive as sea salt and as astringent as lemon, unyielding in the face of social niceties, epic humiliation or even common human decency.

It's polarizing, and the poles are pretty clearly drawn: By and large, fans of David's work tend to loudly proclaim that as long as abuse is sprayed pari passu  --  e.g., proportionately in all directions  --  no one should take offense. The nonfans tend to respond that this kind of comedy rests on an assumption defined by another common Latin phrase, ceteris paribus  --  e.g., "all other things being equal."

And all other things are never equal in our world, by definition. When a group of affluent white protagonists in an almost exclusively white "New York" behave badly toward a handful of cartoonish parodies of working-class ethnic nobodies (a pretty fair synopsis of many "Seinfeld" episodes), it's hilarious if you belong to the former category. It's much less so when you belong to the latter.

So it's not entirely surprising that some of the whispered early concerns with "Fish" related to the character of Fabiana, the Puerto Rican maid of the late patriarch of David's fictional family, the Drexels. Fabiana, played by Rosie Perez, and her son Diego play a pivotal part in the show, which takes place in the immediate wake (er, shiva?) of the passing of the elder Drexel; without spoiling the plot, suffice it to say that it hinges on upstairs-downstairs romantic antics and their inevitable consequences.

And yes, some reviewers are using the "R"-word in calling out the depiction of Fabiana, eye-rolling over YASHDASM (Yet Another Stereotypical Hispanic Domestic And Single Mom) whose comic function is largely to mispronounce words and make cultural stumbles like bringing cuchifritos to a Jewish memorial service.

But the conversation about race and representation isn't, and shouldn't be, absolutist based on content; context is just as important  --  perhaps more so. What's the threeway balance of power between the author, the actors and the intended audience?

Are a performance's questionable aspects racially exceptionalized? Does the role pivot on the ethnic identity of the characters and performers in a way that prevents them from being seen as more than just the color of their skin and the accent of their speech? And finally, is the vehicle in which it's taking place innovative, eye-opening, horizon-expanding, or does it reduce, repress and restrict?

As "Fish" was finishing its preview run, a theater-world drama of another color was erupting nearby. The National Asian Artists Project ,  a nonprofit theater company that produces works from the traditional Broadway canon featuring all-Asian casts, had announced its next production would be a big-budget, Asian American adaptation of Jerome Kern and Oscar Hammerstein II's "Show Boat," to be developed and directed by Broadway wunderkind Tommy Tune.

The problem, as Asian American actor and blogger Erin Quill  immediately called out, is that unlike NAAP's prior projects, which have included shows such as "Oliver!" and "Carousel," "Show Boat" is set in the Deep South, among the laborers and performers working on and about the Cotton Blossom, a paddleboat theater offering entertainment to audiences up and down the Mississippi.

"This show ... is about the great racial divides within the Deep South  -- divides that are, without question, black and white," wrote Quill. "[Asians] were not 'toting that barge' or 'lifting that bale'. Asian Americans were not recovering from being ripped from their homeland and bound in chains due to the color of their skin. It is not 'our' story to tell."

The fundamental mission of NAAP and other theatrical companies that cast productions against type is twofold: They seek to showcase overlooked talent and to challenge the racial conventions of the aptly dubbed "Great White Way," disrupting the notion that phenotypic reference points are necessary for a performer to believably portray a role. In that latter context, they're exercises designed to highlight the fundamental magic of live theater: Its power to get audiences to suspend disbelief.

NAAP's all-Asian "Show Boat" would seem to be not very different from the Public Theater's present production of "Hamilton," featuring a multiracial set of American Founding Fathers -- including Puerto Rican author and composer Lin-Manuel Miranda as the titular Hamilton and African American actor Leslie Odom Jr. as his rival, Aaron Burr.

And yet, there is a fundamental difference.

Having actors of color play characters written for white actors, who are cast in 79% of all Broadway roles (by contrast, Asian Americans and Hispanics are cast in just 3% each and African Americans in 14%), is an act of disruptive defiance. Having actors of color play characters written for other actors of color is shuffling deck chairs on the Titanic at best and at worst, a categorically ill-conceived recipe for insensitivity.

Could NAAP have weathered the spectacle of Asian performers speaking in Southern black dialect, performing a plot that's entirely dependent on black history? Could an Asian Steve have cut an Asian Julie's hand, sucking her blood, then declared defiantly to an Asian sheriff that if Julie was a "mulatto," so was he, because he now had "black blood" in him?

After a contentious town hall, in which numerous other performers of varied race and background expressed their vehement doubts, the Asian American theatrical community, and ultimately NAAP as well, decided it couldn't. The context of the show, and the charged climate it would be arriving in, would make its content impossible to swallow.

NAAP canceled the production. The costs of the cancellation aren't known,  but they clearly aren't insignificant.

But what, by contrast, of "Fish"?

The reality is that Fabiana (performed by Rosie Perez more or less as Rosie Perez) doesn't stand out as offensive when compared with the rest of the play's characters; for that matter, there's nothing inherently Hispanic about the role, which, if the show had an unlimited run, could easily be recast as Asian, black or white, losing very little in the process.

By contrast, nearly all of the rest of the cast fit familiar comedic portrayals of Jewish family members -- most intensely so, the neurotic protagonist, Norman (performed by Larry David himself more or less as Larry David). The truth is, if non-Jews were to put on a production of "Fish in the Dark," it would be difficult not to experience it as anti-Semitic.

These are the new and fascinating challenges presented by pop culture in our era of surging diversity, and they're coming fast and furious from every direction. Interesting times and sure to get more interesting still.

@highlight

Larry David's play opens on Broadway, faces some criticism over a Hispanic character

@highlight

Jeff Yang: An Asian American group rightly cancels staging of "Showboat"