(CNN) -- If you have a fever, headache and runny nose, you might go to Google and type the words "flu symptoms" to see whether you've come down with influenza.

Google Flu Trends provides a map of influenza activity in the U.S. at www.google.org/flutrends.

Google knows that you might do something like that, and it also knows which U.S. state you're in. Now, it's putting that information together in a tool that Google says could detect flu outbreaks faster than traditional systems currently in use.

Google's new public health initiative, Google Flu Trends, looks at the relative popularity of a slew of flu-related search terms to determine where in the U.S. flu outbreaks may be occurring.

"What's exciting about Flu Trends is that it lets anybody -- epidemiologists, health officials, moms with sick children -- learn about the current flu activity level in their own state based on data that's coming in this week," said Jeremy Ginsberg, the lead engineer who developed the site.

The tool, which launched Tuesday, operates on the idea that there's likely to be a flu outbreak in states where flu-related search terms are currently popular.  Watch CNN.com's Elizabeth Landau explain how Google Flu Trends works »

The Centers for Disease Control and Prevention collaborated with Google on the project, helping validate and refine the model, and has provided  flu tracking data over a five-year period, said Dr. Joseph Bresee, chief of the epidemiology and prevention branch in the CDC's influenza division.

Although it doesn't replace the need for real viral surveillance data, Flu Trends is a good model, and the CDC looks forward to testing it this flu season, Bresee said.

"We really are excited about the future of using different technologies, including technology like this, in trying to figure out if there's better ways to do surveillance for outbreaks of influenza or any other diseases in the United States," he said. "In theory at least, this idea can be used for any disease and any health problem."

Researchers found a tight correlation between the relative popularity of flu-related search terms and CDC's surveillance data, Ginsberg said.

In the 2007-08 flu season, Google accurately estimated current flu levels one to two weeks faster than published CDC reports in each of the nine U.S. surveillance regions, Google said in a statement.  Test your knowledge of cold and flu »

Traditionally, influenza surveillance has involved physicians' reports of patients with flu-like symptoms, lab reports of influenza from nasal and throat swabs, and death certificates.

Only that kind of analysis will detect the spread of influenza strains not covered by the flu vaccine, information that search engine information does not reflect, experts say.  Read more about who should get vaccinated »

But there has been concern that influenza surveillance systems in place are not fast enough, and the new tool could be useful for the basic purpose of quickly detecting outbreaks, said Dr. Randall Stafford, associate professor of medicine at Stanford University's Prevention Research Center, who was not involved in the project.

"Sacrificing accuracy may not necessarily carry a big penalty if you're able to predict increasing flu incidence as well as the other systems, and do it more rapidly," he said.

Still, there are limitations, Bresee said. The tool may miss cases of influenza spreading among elderly people, because they are less likely to use the Internet than younger people, Stafford said. He also noted that many people who search for flu-related terms have viral infections that are not actually influenza.

Google has also taken into account that people sometimes look for flu-related terms in response to certain news headlines and do not actually have the flu, Ginsberg said. The tool looks for terms that, for example, reflect searches by a person who has chest congestion or wants to buy a thermometer, he said.

Flu Trends may also help doctors make diagnoses, Ginsberg said.

"I would be very hesitant to diagnose influenza at this point in the year, but if the tool tells me influenza in California is really increasing dramatically, I might be more likely or willing to diagnose," Stafford said.

Influenza is responsible for more than 500,000 deaths worldwide each year, according to the World Health Organization.

Flu Trends cannot be used to identify individual users, the company statement said. The search engine relies on aggregated counts, made anonymous, of how often certain search terms occur each week. But every computer connected to the Internet has its own internet protocol address, or IP address, which reveals its location to Google.

Software engineers and public health experts at Google.org, the company's philanthropic arm, collaborated on the project, Ginsberg said. The search engine giant turned 10 years old this year.

The overall flu activity in the U.S. is low, although a few states -- such as Hawaii, Arkansas, Mississippi, Kentucky, Delaware and Maine -- have "moderate" activity, according to Google's map, based on data current through Monday.

"There's no question that testing for virus in blood is the only way to get the most information, but having this sort of information earlier does make sense," Stafford said.

@highlight

Google Flu Trends may predict flu outbreaks up to two weeks faster than CDC

@highlight

Tool takes into account that not everyone who searches for flu-related words has it

@highlight

Individual users cannot be identified, but Google knows which U.S. state you're in