(CNN) -- Interested in a lunch-hour swim, free from the office, in a big open-air pool with warm sand between your toes, palm trees swaying in the breeze and a cool drink close at hand?

If the answer's yes, consider Brisbane, Australia, one of the world's most livable cities, according to a 2014 Monocle Magazine index.

Unique among Australia's major cities, sunny Brisbane has a beach right on the doorstep of its central business district.

Its setting is South Bank, the lively entertainment and cultural precinct that -- as the name implies -- sits on the south bank of the Brisbane River.

This is where the city comes for recreation and entertainment, to eat and drink at casual riverside restaurants and bars, listen to impromptu music shows, ride a giant Ferris wheel, check out street artists and nighttime light shows, take in a formal concert at the performing arts center and visit art galleries and the state museum and library.

G20 weekend

Apart from being the favorite of city workers, students and families, South Bank is also the main venue for the biggest event Brisbane has hosted in years: the G20 Leaders' Summit gathering of global political and business leaders in mid-November that will see 4,000 delegates and 3,000 journalists pour into the city.

Along with U.S. President Barack Obama, world leaders including China's Xi Jinping, India's Narendra Modi, Japan's Shinzo Abe, Indonesia's Joko Widodo, UK's David Cameron, Germany's Angela Merkel and Russia's Vladimir Putin are scheduled to join Australia Prime Minister Tony Abbott on stage at South Bank's Brisbane Convention and Exhibition Centre for the G20 Leaders' Summit on November 15-16.

"For those few days in November, Brisbane will be the capital of the world," Brisbane Lord Mayor Graham Quirk tells CNN.

South Bank

All those politicians, business people and journalists have got to eat, drink and get happy at the end of their deliberations.

In Brisbane they'll find plenty of places.

Within South Bank itself, the Gallery of Modern Art Restaurant (Stanley Place, Cultural Precinct, South Bank; +61 7 3840 7303) is normally one of the best lunch venues. Along with other institutions in the cultural precinct, the Queensland Art Gallery and Gallery of Modern Art will be closed on November 14, 15 and 16 during the G20 Leaders' Summit.

For dinner it's hard to beat Stokehouse Brisbane (on the river at South Bank on Sidon Street; +61 7 3020 0600), near the maritime museum at the other end of South Bank.

Next door to the convention center on Grey Street is one of the city's liveliest new beer outlets, The Charming Squire (133 Grey St., South Brisbane; +61 7 3077 7254).

Two other great spots in South Bank are The Sangria Bar (Shop B12 Little Stanley Street, South Bank, Brisbane; +61 7 3846 1201), rated this year's "Best Bar with Food" by the Brisbane Times Good Food Guide, and Bacchus (corner of Grey and Glenelg Streets, South Bank; +61 7 3364 0837), rated the restaurant with this year's best wine list.

Central Business District

Across the river in the CBD, there's no shortage of high-end diners, led by chef Ryan Squire's brilliant Esquire (145 Eagle St,, Brisbane; +61 07 3220 2123).

According to the restaurant, "the degustation menu evolves daily, driven by the availability of the best local produce that day and hand picked by the team of skilled craftsmen, the chefs, who work swiftly in the kitchen."

Other can't-miss choices include the highly creative Alejandro Cancino's Urbane (181 Mary St., Brisbane; +61 07 3229 2271) and the classy Aria Brisbane (1 Eagle St., Brisbane; +61 7 3233 2555), the northern edition of celebrity chef Matt Moran's original Aria in Sydney.

Power brokers on a modest budget find Moo Moo (Stamford Plaza, 39 Edward St., Brisbane; +61 7 3236 4500), near where President Obama and his team are expected to stay, delivers the goods.

One of the city's best-loved seafood restaurants is Gambaro's (33 Caxton St., Petrie Terrace, Brisbane; +61 7 3369 9500). The restaurant site has been completely rebuilt and now includes a Gambaro's Hotel.

Across the road, the family that owns Gambaro's has added steak to its repertoire, with the smart new Black Hide Steakhouse (36 Caxton St., Petrie Terrace, Brisbane; +61 7 3369 9500) winning accolades for the quality of its cuts.

West End and Fortitude Valley

Beyond South Bank and the CBD, some of the city's best cafes, bars and clubs are found in West End and Fortitude Valley, locales that come alive at night.

Gordita Bar & Restaurant (11b/100 McLachlan St., Fortitude Valley, Brisbane; +61 7 3666 0605) is a Valley favorite serving "wholesome Southern Spanish food along with a wine list so fat with artisanal wines from around the world you can practically feel it groaning in your hands."

For Asian noodles of any description, Kwan Brothers (43 Alfred St., Fortitude Valley, Brisbane; +61 7 3251 6588) is the obvious choice.

Craft beers are the call at Yard Bird Ale House (6/24 Martin St., Fortitude Valley, Brisbane; +61 7 3852 6413) and Archive Beer Boutique (100 Boundary St., West End, Brisbane; +61 7 3844 3419).

Away from the city

When it's time for sun, a city-side alternative to South Bank is the City Botanic Gardens, which link government buildings and a Queensland University of Technology campus with the city proper.

Getting around on foot or bicycle is easy.

Buses operate from a couple of key points in the city, including below the Queen Street Mall, from the Brisbane Transit Centre on Roma Street and from South Bank's bus center.

Depending on where you're headed, the ferries plying across and along the Brisbane River make for a pleasant journey.

Brisbane is the gateway to two well-known tourist destinations: the glitzy Gold Coast an hour to the south, with its multiple theme parks, canals, long stretches of beach, high-rise apartments, casinos and shopping malls; and the Sunshine Coast an hour to the north, a more casual and less developed array of canals and beaches, with chic Noosa at its northernmost tip regarded as the best place to stay.

Two secret natural jewels can be found east of Brisbane, among the islands of Moreton Bay that shield the river mouth from the big swells of the Pacific Ocean.

One is Tangalooma on Moreton Island, a 75-minute ferry ride from Brisbane's Holt Street Wharf at Pinkenba, the other is Point Lookout on North Stradbroke Island, about 60 minutes from the Brisbane suburb of Cleveland by water taxi or vehicular ferry, then island bus.

Tangalooma offers whale watching from June until late November and the chance to feed dolphins in the wild.

Point Lookout not only is one of the best whale-watching spots on the Australian east coast, it's home to a magic surf break that just keeps on delivering wave after wave.

@highlight

Brisbane, Australia, is one of the world's most livable cities, according to Monocle

@highlight

Unique among Australia's major cities, sunny Brisbane has a beach near its central business district

@highlight

South Bank is an area for culture and international eateries

@highlight

In the central business district there's no shortage of high-end diners