Washington (CNN) -- President Barack Obama is crafting his own laws of political physics these days, insisting that inaction by a divided Congress requires White House action in order to get something done.

A campaign labeled "We Can't Wait" pushes unilateral directives and programs from the White House as the only way to push ahead on the president's agenda when a do-nothing Congress fails to act.

"There is inaction. There is a lack of action," White House Press Secretary Jay Carney explained to reporters this week when asked about a series of executive orders and actions the president has taken or is planning. "So there is a need to move, because we can move."

Republicans reject the premise of the White House position, arguing that Obama chooses to blame Congress for inaction instead of working with legislators from both parties on bills that can pass.

House Speaker John Boehner, speaking on the Laura Ingraham show last week, described as laughable the prospect that Obama would use executive orders to bypass Congress on substantive issues.

At the same time, though, the Ohio Republican said he would keep close watch to make sure nothing unconstitutional happens.

To Adam Warber, a Clemson University political science professor who wrote a book on executive orders, Obama is carrying on a consistent tradition of his predecessors in trying to expand the power of the presidency as much as possible.

"It's incremental," Warber said. "Each president kind of adds to the power that the presidency has."

In Obama's case, "we pretty much are seeing that behind the scenes he's centralizing power," Warber continued. "He's not really different than anyone else."

For Obama, the strategy of executive orders serves a dual purpose by moving forward on parts of his agenda despite Republican opposition while projecting an image of decisive action in the face of political inaction.

"Congress has been trying since February to do something about this," Obama said Monday in announcing an executive order that directs the Food and Drug Administration to increase efforts to reduce shortages of some prescription drugs. "It has not yet been able to get it done. And it is the belief of this administration ... that we can't wait for action on the Hill; we've got to go ahead and move forward."

His GOP foes call such rhetoric grandstanding, noting it leads to piecemeal steps instead of working with Congress to pass more substantive legislation acceptable to both parties.

"I know he's desperately interested in trying to blame anybody else, but he's the president of the United States, he set the agenda, he got everything he wanted. And it didn't work," Senate Republican Leader Mitch McConnell of Kentucky said last week.

Obama rejects the Republican view, saying in his weekly address Saturday that GOP foes now refuse to debate job-creation measures that congressional Republicans have supported in the past.

In addition, Republican counter-proposals to cut regulations and roll back health care and Wall Street reforms failed to address the immediate need to reduce unemployment, Obama argues.

"Meanwhile, they're only scheduled to work three more weeks between now and the end of the year," Obama said in the Saturday address. "The truth is, we can no longer wait for Congress to do its job. The middle-class families who've been struggling for years are tired of waiting. They need help now. So where Congress won't act, I will."

Warber, however, said the presidential messaging of the "We Can't Wait" campaign amounts to what he called "political theater."

Obama is trying to "pass the ball" to congressional Republicans "so that they have to hold economic problems in their hands during the election," said Warber, whose 2006 book was titled "Executive Orders and the Modern Presidency: Legislating from the Oval Office."

Almost three years into his term, Obama is on a similar pace in issuing executive orders issued as his recent predecessors such as George W. Bush, Bill Clinton and Ronald Reagan.

While some executive orders are routine or ceremonial in nature, presidents since Jimmy Carter have used them more for major policy directives to sidestep the legislative or bureaucratic process, Warber said.

"What they're doing here is they're using these tools to bypass the legislative process to make laws," he said, adding that the White House "through the president is taking the lead, saying this is what we want here."

The prescription drug executive order announced Monday is designed to help reduce a growing number of prescription drug shortages while protecting patients from possible pharmaceutical industry price gouging.

Among other things, the order requires the Food and Drug Administration to increase its reporting of possible shortages of certain prescription drugs, while also speeding up regulatory reviews of new drug manufacturing sites, drug suppliers and manufacturing changes.

The Justice Department will be tasked with examining whether specific drug shortages are tied to an intentional stockpiling of medications designed to raise prices.

Other new policies pushed by the White House include steps to help families refinance homes that have lost value in the recession, programs to help war veterans get jobs, and reforms to student loan processing.

When questioned by reporters Tuesday, Carney conceded that legislation passed by Congress would be a more substantive step toward the kind of job-creation measures needed to help the struggling economic recovery.

For example, Obama's proposed jobs bill "is filled with provisions that require legislative action," Carney said. "He's not pulling things out and making them law by fiat. I'm sure he wishes he could."

Carney also has insisted that Obama "is acting well within his authority, well within his constitutional authority" by taking what he called administrative steps.

According to Warber, other examples of unilateral executive steps include signing statements, proclamations, memorandums and directives. Signing statements are documents from the president that challenge or reject specific provisions in bills passed by Congress, acting as a kind of line-item veto that can serve as legal reasoning in a possible court challenge, Warber said.

Proclamations are usually ceremonial in nature, he added, but presidents have been known to slip in policy statements or other substantive steps. If the language shifts from the generally flowery prose of a ceremonial proclamation, he said, look closely for a policy issue somewhere in the text.

Historically, executive orders are rarely overturned. To do so in Congress would require overcoming a likely presidential veto, an unlikely event in the current Democratic-controlled Senate.

Warber noted that the Supreme Court could exercise its judicial review authority to strike down an executive order as being unconstitutional. However, he said, research showed that Congress and the courts "have been quite passive in challenging executive orders."

"There is a lot of research that is needed on this subject," he said, "but one of the theories about why this might be the case is that Congress and the courts are reluctant to engage in a separation-of-powers battle with the president."

@highlight

NEW: Few legal challenges are made against executive orders

@highlight

The White House says if Congress, and especially Republicans, won't act, we will

@highlight

Republicans reject the White House campaign as grandstanding

@highlight

Presidents always try to expand the power of the executive branch, an expert says