(CNN) -- Using archival footage and photographs, producers Peter Kunhardt and Sheila Nevins made the HBO documentary "Teddy: In His Own Words," which follows the life of U.S. Sen. Ted Kennedy.

Sen. Ted Kennedy "worked like a bull" to advance his brothers' unfinished work, Peter Kunhardt says.

The film profiles Kennedy, who died late Tuesday, from birth through his speech last year at the Democratic National Convention. Kunhardt began the project after Kennedy was diagnosed with brain cancer last year.

Kunhardt previously profiled Kennedy's brothers, President John F. Kennedy and Sen. Robert F. Kennedy, in similar documentaries for HBO. On Wednesday, CNN asked Kunhardt about the production of the latest profile -- which CNN will show Wednesday night -- and what he learned about the youngest of the Kennedy brothers.

CNN: Why focus on Ted Kennedy? Why were you drawn to him as a subject? Was it the natural follow-up to your previous work about his brothers?

Peter Kunhardt: I grew up with parents who were liberal Democrats. I remember my mother crying as she listened to the radio report that President Kennedy had been shot. So nearly 20 years ago, when I produced "JFK: In His Own Words" for HBO, it was a subject I knew and cared a lot about. I knew less about Robert Kennedy when I produced "Bobby: In His Own Words" a few years later -- and even less about Teddy. (Although my uncle, George Lodge, ran against him for Senate in 1962.) When I was producing those other documentaries on his brothers, Teddy was in his 50s, he was busy building his own career, and there was never even discussion about producing a program about him. It was too soon. Two decades later, when it was announced he was diagnosed with brain cancer and that he was coming up on nearly half a century in the Senate, HBO and I didn't even have to discuss it. We all instinctively knew it was time.

CNN: Did you have preconceived notions about Kennedy that interviews either reinforced or dispelled?

Kunhardt: My preconceived notion was that Teddy was the carefree younger brother who rode his brothers' coattails and did not work as hard as they did. But, yes, that was dispelled as we dug into his story and as our chief researcher, Jill Cowan, began finding the film to prove otherwise. No Kennedy ever worked harder then Edward Kennedy. I'd say he was a slow starter, but once he took on the responsibility for his big family in particular and for the Democratic Party in general, he never let up on himself. He worked like a bull. He stumbled plenty of times, he had personal faults, he caused others great pain, but he recognized this, he was pained by this, and each time he picked himself up and worked harder to make himself better.

CNN: How did you obtain some of the rarely seen home movies and photographs used in the documentary?

Kunhardt: We simply looked everywhere, and we knew we were onto something that had not been done before when so many sources told us that they had never been asked for Teddy-related material. In fact, often we were transferring 16mm footage that had never been transferred before. Even the networks were surprised by the outtakes we found in their archives. It's all there, it just took time and a dedicated staff.

CNN: Were there any surprises during the filming of the documentary? Did someone say something remarkable or unexpected about Kennedy? Did a source material reveal something that is contrary to the Ted Kennedy many assume they know?

Kunhardt: We did no original filming for this documentary; it is 100 percent created using historical footage and audio that was made during different points of Kennedy's life. That's what gives it authenticity, I think. It's something my partner at HBO, Sheila Nevins, insisted upon. And she was right. So sticking to the "in his own words" format of those original two docs was the single most important decision we made.

CNN: Why do you think Americans cling to an idea of "Camelot?" What has Camelot come to mean in the Obama age?

Kunhardt: President Obama himself clings to Camelot -- and made that very clear when he thanked Teddy for his early support. He, like so many Americans, was inspired first by Teddy's brothers, then by Teddy himself. And one of the things that impressed me was how Teddy Kennedy never ceased to try and continue to advance the unfinished work of his brothers. He was incredibly loyal to them and the causes they represented. I think when someone is rich and powerful and glamorous and stands up for his principles and looks after the neediest Americans and speaks out for the downtrodden around the world, it spells "Camelot" for a lot of people.

CNN: Much has been made of Kennedy's relationship with President Obama. What did Kennedy say about that and about the relationship itself?

Kunhardt: Kennedy made it very clear that he was handing over the mantle that he had been carrying ever since his brother handed it to him. I think he saw Obama as the embodiment of everything he believed in and everything that he had worked so hard to make happen. It must have been incredibly rewarding for him.

CNN: What was Kennedy's reaction when the subject of Chappaquiddick was broached? How comfortable was he talking about it?

Kunhardt: Again, we did not conduct a new interview, but instead we knit his story together from his responses to many earlier interview questions. Early on he was incredibly uncomfortable speaking about it, humiliated by it. He seemed to cringe and dodge and lower his head. But over time, he was asked about it so often that he built up a shield, a formula response to deflect the questions that never stopped coming. He knew that a life was lost because of his actions, but he moved on. That's what he did so often. He just moved on.

CNN: What do you think Kennedy believed about how he was publicly perceived, both in politics and in his personal life?

Kunhardt: He knew people loved him and hated him. His last campaign was his hardest, and he realized he had to regain the trust of many whose trust he had lost. And I think during the 80s, when he really did want to be president, he believed that the public would support him, despite Chappaquiddick. But that did not happen. Then, once he resolved to commit himself to the Senate, I think he was surprised that the public would never let go of this idea that he wanted to be president.

CNN: What ultimately drove Kennedy as a politician?

Kunhardt: His parents. At his mother's funeral he said that everything he and his brothers ever did, they did for their parents. And I believe this. He cared deeply about the issues he stood for, but you can't forget who instilled the work ethic in him in the first place. Teddy Kennedy was a family man because of the deep influence of his parents, particularly his mother.

@highlight

Producer Peter Kunhardt: Project started after Kennedy's cancer diagnosis

@highlight

Documentary uses archived footage, photos

@highlight

Kunhardt: Kennedy "never let up" to carry on where brothers left off