(CNN)A small drone crashed onto the White House grounds on Monday. Described as a 2-foot-long quadcopter -- a drone with four propellers -- the event raises some troubling questions about the possibility that terrorists using armed drones could one day attack the White House or other tightly guarded U.S. government locations.  

The White House incident occurred the same day a CIA drone strike was launched in Yemen, the first such strike in almost two months, following the Yemeni government being forced out of office last week. This indicates that the CIA drone program is still moving forward despite the instability in Yemen.

Not so long ago, launching a U.S. strike on the other side of the world with an armed drone would have been something from science fiction. Before 9/11, the United States had only a handful of experimental drones that had never been used to kill anyone. Today, there are at least 7,000 drones in the U.S. arsenal, more than 200 of which are armed drones that have killed thousands of people.

This large American fleet of drones is a harbinger of an important trend. Armed drones will likely prove as important to the future of warfare as tanks were during World War II. We can, of course, expect to see them used not only by the United States, but also by other countries such as China and Russia that are jumping into the production of armed drones. But we will also see them being used by terrorist groups. A harbinger of this was Hezbollah, the militant Shiite group based in Lebanon, that in September reportedly used drones to bomb a building in neighboring Syria used by the al Qaeda-affiliated al-Nusra Front. The drone attack killed a number of militants.

Iran is the key sponsor for Hezbollah and has plausibly claimed for the past several years to have manufactured armed drones.

Hezbollah's use of drones marked a milestone for terrorist groups worldwide: It would be the first time a terrorist group used armed drones successfully to carry out an attack.

That said, it will likely be many years before other countries or terrorist groups are able to build up the capacity that the United States has to carry out lethal drone strikes. After all, the United States has had drone bases in countries such as Afghanistan, Djibouti and Saudi Arabia.

And it isn't as easy as some might think to arm a drone. Such weapons systems require specific electrical engineering: The wings must be reinforced for the aircraft to sustain the force of launching a missile; the drone must be equipped with fire control systems and built-in mounting brackets are needed to attach munitions to the vehicle.

Still, even with these inherent limitations, the drone industry thrives, and more companies and nations continue to jump on board the drone bandwagon. According to a count by New America, some 80 countries have some kind of drone capability, but few of them have succeeded in arming their drones.

The United States' aggressive and secretive drone campaign against al Qaeda and its affiliates in countries such as Yemen appears to be setting a powerful international precedent about the use of armed drones.

Despite this fact, there has been virtually no substantive public discussion about what an international legal framework governing such drone attacks should be among policymakers at the international level. It's long past due for that conversation to happen.

Perhaps a drone landing inside the White House perimeter will help precipitate a wider discussion about how we might prevent a future drone flying into the White House grounds, one that might actually be armed.

@highlight

A drone crashed Monday on White House grounds

@highlight

Peter Bergen: American fleet of drones a harbinger of an important trend