(CNN) -- When former Goldman Sachs economist Jim O'Neill first went to Brazil after coining the acronym BRIC, someone asked him whether he had included the "B" just to make the name sound good.

Such skepticism is becoming common again, as investors compare the projected rate of growth in Brazil this year -- just 3% -- to that in China and India, around 8% and 6% respectively.

So does Brazil still deserve to be seen as an economic powerhouse?

Many would say no. Brazil grew by less than 1% in 2012, the lowest of the BRIC countries, and only 2.7% in 2011. Its problems are well known. It saves less than it invests, and 70% of its growth comes from consumption.

Credit has risen dramatically over the last few years, but many families are now heavily indebted, which slows growth.

Read more: Rising Brazil tackles immigration question

Over the last ten years Brazil has benefited from a commodity boom, but that boom is slowing. Brazil has become an expensive country, with a strong currency, and that has eroded the competitiveness of its industry.

Ten years ago around 50% of exports were manufactured goods; today the proportion is closer to 35%. The tax burden is heavy, at around 35% of GDP, especially in comparison to the quality of services the state provides, and government spending is rising faster than GDP.

Brazil's productivity grew by only 1.3% between 1990 and 2010, while China led the way at 8.3%, followed by India at 4.7% over the same period.

Read more: WTO: Emerging markets get the nod

There are other causes of concern. Inflation is pushing right up against the Central Bank's ceiling of 6.5% per year. The balance of payments deficit is rising. Infrastructure such as ports, roads, and airports is poor, and attempts to bring in the private sector to modernize some of it, such as with airports, have not been entirely successful.

Expensive electricity, an inadequately funded public sector pension system, and high interest rates round out this negative picture.

Read more: Building on 'BRICS': The next emerging economies

According to some analysts, the fundamental pillars of the Brazilian economy are being eroded.

The political system seems incapable of responding to these challenges. The state's bureaucratic machinery is cumbersome and antiquated; corruption is rife among politicians, and effective opposition to and debate about current policies almost non-existent.

The current government is planning for president Dilma Rousseff's re-election in 2014 and there is a danger that it will postpone necessary adjustments, making a bad situation worse.

So should we be talking about the RIC rather than BRIC countries?

Not really.

There are three main sets of reasons why it is too early to count Brazil out as a global economic player.

The first has to do with fundamentals of its economy that are often ignored by short-term investors. Brazil's economy has a higher per capita GDP than both China and India, and as a more mature economy, it is not surprising that its growth rate is slower.

Read more: Mixing sushi and samba - meet the Japanese Brazilians

More importantly, the country is much less vulnerable to external shocks than it used to be. Public debt as a percentage of GDP declined from about 60% to 35% of GDP between 2002 and 2012.

International reserves are now $377 billion. Brazil attracted around $62 billion in foreign direct investment in 2012, making it the largest recipient of FDI in the world after China and the United States.

All of these factors are reasons to be confident in the capacity of the Brazilian economy to continue to advance in an unspectacular but steady fashion.

Second, Brazil has a number of enviable attributes. It has few threats to its security, meaning that it can afford to spend relatively little on national defence. Brazil is alone among the BRIC countries in not possessing nuclear weapons.

Read more: Brazil competes with China, India to invest in Africa

Brazil also has a generous land to people ratio, with a large basket of natural resources, including petroleum, for a population that is relatively small (200 million) compared to China and India. It boasts a world-class agricultural sector that has not yet reached its potential.

Already the largest producer in the world of soy and beef, it has the capacity to adapt more crops to its tropical soils and develop its vast land frontier.

In addition, Brazil is becoming an environmental leader. Its management of the Amazon rainforest is crucial to the health of the planet, which is why the recent large reduction in the rate of deforestation has been so encouraging. It has some of the largest reserves of fresh water in the world.

Almost half of all energy coming from renewable sources, mainly hydroelectric but also biofuels.

There is a third and final set of factors that make Brazil stand out.

Together with Russia, and unlike China and India, Brazil has reduced economic inequality in recent years. Its Gini index, a measure of income inequality, dropped from 0.63 to 0.52 from 1989 to 2009.

Between 2003 and 2011, about 30 million Brazilians joined the so-called "new middle class," earning between GBP100 and GBP400 per capita per month, and gaining access to formal sector employment, credit, and the country's large consumer market.

This reduction in inequality has a racial component, because 75% of the new middle class is non-white. It also has a gender component -- formal sector employment for females has increased 136% in the last twenty years.

It is true that Brazil's rate of economic growth is slow compared to China and India.

But so are the growth rates of most countries. Brazil tends to be the focus of exaggerated analyses of its economy.

If one looks past the superficial concern about growth at Brazil's economic fundamentals, its resources, and the extraordinary social progress that the country has made in recent decades, it seems premature to remove the "B" from BRIC.

The opinions expressed in this commentary are solely those of Anthony Pereira.

@highlight

Many are asking if Brazil deserves to be seen as an economic powerhouse given its weak growth

@highlight

Over the last ten years Brazil has benefited from a commodity boom, but that boom is slowing

@highlight

The political system seems incapable of responding to these challenges

@highlight

But it may be too early to count Brazil out of the BRIC club, Anthony Pereira argues