(CNN) -- The Nobel Peace Prize was awarded on October 11 to The Organisation for the Prohibition of Chemical Weapons (OPCW), the body overseeing the destruction of Syria's chemical arsenal. Since its creation in 1993, OPCW has helped eliminate roughly 80% of world's declared chemical stockpile -- a remarkable achievement.

The spotlight on OPCW underlines the role that science and technology can play in driving groundbreaking diplomatic breakthroughs. To be sure, this is not a fundamentally new idea. For instance, the European Union, last year's winner of the Nobel Prize, has used energy research to promote peace and prosperity on the continent since at least 1957 when the EURATOM Treaty was signed.

What is changing rapidly, however, is the potential for scientific diplomacy to move beyond state-to-state contact to a much broader array of actors. This is especially true of the science education community, including higher education and research.

Science, in terms of research output and quality of higher education, is becoming an increasingly key factor in international relations. It is now playing a major role in tackling key global challenges, from climate change to conflict resolution.

Indeed, in the case of Syria, science will not only help destroy the country's stockpile of chemical weapons, but also played a major role in providing irrefutable evidence that they were used in the first place. Remarkably, technology now allows us to detect complex chemicals through satellite measurements in areas where conflict is taking place, in addition to computing the gases that enable these chemicals to be dispersed in the first place.

To further catalyze the potential of science diplomacy, states should consider endorsing the idea of "science immunity," an analogy with diplomatic immunity which I know has so much value from my time as an ambassador. Taking this bold move could lead to the creation of "science diplomatic passports." This would allow properly accredited researchers to circulate more freely, and without political interference, than is often the case due to restrictive work and travel visa regimes.

This is important for at least two reasons.

Firstly, the decisive breakthroughs in science are increasingly being achieved through international partnership and funding, and we must embrace this. Take the example of the landmark discovery last year by Delft University of the Majorana particle. This groundbreaking research, which heralds major progress toward the development of the world's first quantum computer, was the result of a collaborative effort by a Dutch PhD student and a Chinese colleague. In today's world, national borders are becoming irrelevant. Such partnerships are the norm.

The second inter-related reason why the scientific passport could be so important is the sea-change in the geographical map of science. The pioneering work of the Thomson Reuters Web of Knowledge Research Project underlines this vividly.

In 1973, about two thirds of the nearly 400,000 academic research publications indexed by Thomson Reuters came from the G7 countries. Today, four times as many documents (around 1.75 million journal publications) are being indexed, and half originate from outside the G7.

What this underlines is the growing diffusion of knowledge which could be a massive driver of global economic prosperity in coming decades. In classical economic growth theory, factors such as population growth and age composition, alongside presence of arable land and raw materials, are long term determinants of economic growth patterns.

Recent economic history, however, shows that investment levels in science, through research and development and higher education, are highly relevant in explaining emerging growth patterns -- and, therefore, influential in shaping patterns of international relations too.

Somewhat provocatively the argument could be developed further by the following: whereas Von Clausewitz stated that war is the continuation of politics/diplomacy with military means, one could say that science is continuation of politics/diplomacy with (often) more academic intellect.

Therefore science is, or at least should be, increasingly at the center of diplomacy as an objective as well as an instrument. In practice, science can help diplomacy through the establishment of working relations and exchanges between states, and development of the growing global store of knowledge, with a continuous quest for research breakthroughs. Equally, diplomacy can help science in connecting people, creating access and promoting big science infrastructure.

Taken overall, it is clear that science, research and higher education are key to our shared future and prosperity. We must now unleash its full potential to address the growing range of global challenges humanity will face in the coming decades.

The opinions expressed in this piece are solely those of Dirk Jan van den Berg.

@highlight

OPCW's eradication of 80% of chemical weapons show growing role of science in world affairs

@highlight

Science now playing major role in tackling key issues from climate change to conflict resolution

@highlight

Van den Berg: "Science diplomatic passports" could allow unfettered access for researchers

@highlight

Van den Berg: Science should be at center of international diplomatic efforts