MOSCOW, Russia (CNN) -- Russia's new president Dmitry Medvedev wasted no time in knuckling down to work -- naming his predecessor Vladimir Putin as his new prime minister two hours after he was sworn in.

Two months after winning the election, Medvedev, 42, was inaugurated as president Wednesday at the Kremlin before 2,300 invited guests in a ceremony with marching soldiers and military music. He became the third Russian president since the collapse of the Soviet Union in 1991.

Within hours, Medvedev named Putin as prime minister, according to the ITAR-TASS news agency.

Putin's new role and his position as head of the ruling United Russia Party raise questions about how much power Medvedev will actually have.

The inauguration featured Putin almost as much as the new president. Putin delivered the first speech and stood just behind Medvedev when he was sworn in to his four-year term.  Watch as Medvedev is sworn in »

"I fully understand the burden of responsibility that I will be shouldering," Medvedev said in his inaugural speech. "I want to thank from my heart President Vladimir Vladimirovich Putin for his invariable personal support that I have always felt, and I am sure that this will continue."

Medvedev won the March 2 election with an overwhelming majority but almost no campaign platform, said Oksana Antonenko of the International Institute for Strategic Studies in London. Now that Medvedev has taken office, his real work begins, she said.

During his time in office, Putin created a network of loyal officials on every level of government -- all appointed, not elected. If Medvedev is to prove he is more than just a symbol of Putin's rule, he will have to start rebuilding those institutions, Antonenko said.

"He still has to prove that he has legitimacy and prove that he has the ability to govern independently," she said.

In his speech, Medvedev emphasized building Russia's middle class, which represents 5 to 10 percent of the population. Antonenko said that will be one of the key ways for Medvedev to gain support.

"That's the only way for him to build a power base, because the middle class will support a rule of law, will support institutions, will support civil society, will support representational government," Antonenko said.

Medvedev has little foreign policy experience, though he has already met with U.S. President George W. Bush and German Chancellor Angela Merkel, both of whom noted Medvedev's constructive tone, Antonenko said. Medvedev spoke of cooperation with other nations in his speech.

The new president will inherit some lingering foreign policy headaches.

Russia has been at odds with much of Europe over the recognition of Kosovo, the eastward expansion of NATO and the European Union, and U.S. plans for missile defense installations in Poland and the Czech Republic.

"There's no sign yet that Medvedev's angle on the eastward expansion of NATO and the EU is different from Putin. I am sure he is firmly opposed," said Charles Grant, an analyst at the Center for European Reform, a London think tank.

Others believe Medvedev could be a pragmatist on the missile defense plans.

"If Russians have a way to verify and we really operate these bases jointly -- and we have a couple of other alternatives -- then we will all be OK and Mr. Medvedev, I think, will be perfectly happy with this arrangement," said analyst Igor Yurgens.

Medvedev says he is committed to promoting democracy, fighting corruption, and bolstering the rule of law. But Kremlin critics point out Putin made similar promises when he ran, only to be criticized at home and abroad for cracking down on opposition groups.

Like Putin, Medvedev grew up in the Russian city of St. Petersburg; both studied law and worked at the mayor's office. But unlike Putin, Medvedev never served in the Soviet KGB. He pursued an academic career and became a professor of law before moving into business and politics.

"He was always very intellectual, and in general he is from what we called the intelligentsia," said Marina Lavrikova, a former Medvedev classmate and colleague at the St. Petersburg School of Law. "He was always goal-oriented, professional, and with very good organizational skills."

Medvedev also differs from Putin in his music tastes: He is a devout fan of '70s rock band Deep Purple, a far cry from the patriotic ballads Putin is said to enjoy.

"Dmitry belongs to a generation formed by liberal views, and he has always shown himself a genuine liberal," said Lavrikova. "Here at the law faculty, there has always been this spirit of open-mindedness which was instilled in us. That's why, by and large, he's different from (Putin)."

Recent tensions between Russia and the former Soviet republics of Ukraine and Georgia are unlikely to be a big issue for Medvedev, who may take a more conciliatory tone than Putin, Antonenko said.

"For the Georgians and the Ukrainians, Medvedev is closer to what they seek for their countries -- he is a kind of post-Soviet man," she said. "But (there is) the question of whether he will be able to develop this relationship against what appears to be a very hardline position from the Russian security community."

A Georgian minister said Tuesday that Russia's backing of separatist movements in Georgia is tantamount to provoking a "war."

"We literally have to avert war, because we see what is happening on the ground and we have all indications that Russia is trying to provoke Georgia to start war," Temuri Yakobashvili, Georgia's state minister of reintegration, told a news conference in Brussels.

@highlight

Russia's new president Medvedev names Putin as prime minister

@highlight

Soft-spoken Dmitry Medvedev replaced Vladimir Putin Wednesday

@highlight

Putin expected to remain a strong political force in Russia