When you're a patient, you trust you're in good hands, but even the best doctor or nurse can make a mistake on you or someone you love.

"Mistakes are happening every day in every hospital in the country that we're just not catching," says Dr. Albert Wu, an internist at Johns Hopkins Hospital.

Medical errors kill more than a quarter million people every year in the United States and injure millions. Add them all up and "you have probably the third leading cause of death" in the country, says Dr. Peter Pronovost, an anesthesiologist and critical care physician at Johns Hopkins Hospital.

The harm is often avoidable, and there are strategies you can use to help doctors and nurses get things right.

Here's a list of 10 shocking medical mistakes and ways to not become a victim:

1. Mistake: Treating the wrong patient      • Cause: Hospital staff fails to verify a patient's identity.     • Consequences: Patients with similar names are confused.     • Prevention: Before every procedure in the hospital, make sure the staff checks your entire name, date of birth and barcode on your wrist band.     • Example case: Kerry Higuera

2. Mistake: Surgical souvenirs     • Cause: Surgical staff miscounts (or fails to count) equipment used inside a patient during an operation.     • Consequences: Tools get left inside the body.     • Prevention: If you have unexpected pain, fever or swelling after surgery, ask if you might have a surgical instrument inside you.     • Example case: Nelson Bailey

3. Mistake: Lost patients     • Cause: Patients with dementia are sometimes prone to wandering.     • Consequences: Patients may become trapped while wandering and die from hypothermia or dehydration.     • Prevention: If your loved one sometimes wanders, consider a GPS tracking bracelet.     • Example case: Mary Cole

4. Mistake: Fake doctors     • Cause: Con artists pretend to be doctors.     • Consequences: Medical treatments backfire. Instead of getting better, patients get sicker.     • Prevention: Confirm online that your physician is licensed.     • Example case: Sarafina Gerling

5. Mistake: The ER waiting game     • Cause: Emergency rooms get backed up when overcrowded hospitals don't have enough beds.     • Consequences: Patients get sicker while waiting for care.     • Prevention: Doctors listen to other doctors, so on your way to the hospital call your physician and ask them to call the emergency room.     • Example case: Malyia Jeffers

6. Mistake: Air bubbles in blood     • Cause: The hole in a patient's chest isn't sealed airtight after a chest tube is removed.     • Consequences: Air bubbles get sucked into the wound and cut off blood supply to the patient's lungs, heart, kidneys and brain. Left uncorrected the patient dies.     • Prevention: If you have a central line tube in you, ask how you should be positioned when the line comes out.     • Example case: Blake Fought7. Mistake: Operating on the wrong body part     • Cause: A patient's chart is incorrect, or a surgeon misreads it, or surgical draping obscures marks that denote the correct side of the operation.     • Consequences: The surgeon cuts into the wrong side of a patient's body.     • Prevention: Just before surgery, make sure you reaffirm with the nurse and the surgeon the correct body part and side of your operation.     • Example case: Jesse Matlock8. Mistake: Infection infestation     • Cause: Doctors and nurses don't wash their hands.     • Consequences: Patients can die from infections spread by hospital workers.     • Prevention: It may be uncomfortable to ask, but make sure doctors and nurses wash their hands before they touch you, even if they're wearing gloves.     • Example case: Josh Nahum

9. Mistake: Lookalike tubes     • Cause: A chest tube and a feeding tube can look a lot alike.     • Consequences: Medicine meant for the stomach goes into the chest.     • Prevention: When you have tubes in you, ask the staff to trace every tube back to the point of origin so the right medicine goes to the right place.     • Example case: Alicia Coleman

10. Mistake: Waking up during surgery     • Cause: An under-dose of anesthesia.     • Consequences: The brain stays awake while the muscles stay frozen. Most patients aren't in any pain but some feel every poke, prod and cut.     • Prevention: When you schedule surgery, ask your surgeon if you need to be put asleep or if a local anesthetic might work just as well.     • Example case: Erin Cook

Do you have a personal story to tell about a medical mistake? Share it in the comments section below.

@highlight

Expert: Medical errors kill more than 250,000 people in the United States yearly

@highlight

"Mistakes are happening every day in every hospital in the country," says top doctor

@highlight

There are strategies you can use to help doctors and nurses get things right