(CNN) -- The Venezuelan oil refinery whose explosions killed 42 people suffers mismanagement, delays in major maintenance and underinvestment, according to analysts and an engineering firm's recent report.

The state-run oil company that operates the refinery has been hampered by how Venezuelan President Hugo Chavez uses the refineries as "a cash cow" to fund social programs such as building homes for low-income voters, taking funds away from plant improvements, an analyst said.

Venezuela is one of the world's largest oil exporters.

The fires at the Amuay refinery since Saturday have been described as "the most lethal industry accident in Venezuela to date" by analysts and come as the country faces other infrastructure problems, apparently because of a lack of maintenance, including a bridge collapse in Caracas, analysts said.

The United Socialist Party of Venezuela said this week, however, that the 197-foot bridge was rebuilt in record time.

New tank burns at Venezuela refinery; death toll revised down

In the aftermath of the fires, the government's refinery manager said the explosion wasn't due to a lack of maintenance, according to government television.

Chavez has also said that such suggestions are "irresponsible" because investigators are still trying to determine the cause of the accident.

The Venezuelan embassy in Washington and the state-run oil company. Petroleos de Venezuela, didn't have an immediate comment Wednesday.

Earlier this year, an engineering firm's inspection of the giant Paraguana refinery complex in Falcon state, which includes the Amuay plant, found problems in major and routine maintenance, according to a March 2012 report prepared by RJG Risk Engineering of London.

The report also said 100 fires occurred in 2011 at the refinery complex, which includes a second refinery called Cardon. The Amuay refinery is one of the world's largest, producing more than 1 million barrels per day, according to OPEC.

The engineer firm's report was circulated on the Internet, and CNN confirmed its authenticity through a source who had a copy of the original.

"Overall, we see some positive progress, although we continue to rate this large refinery complex as 'in need of improvement' as in 2010," the report said. "A stronger 'proactive' approach is necessary in our opinion.

"Major maintenance (turnarounds) has been seen to be suffering from delays, typically of one or two years," the report said.

"Routine maintenance suffered a significant 'low' in 2009, the effects of which are still being felt, evidenced by a marked increase in the ratio of corrective to preventive maintenance," the study said. "The effects are also evident in the maintenance backlog particularly for pumps and motors, and in a higher than target proportion of 'Emergency' and 'Urgent' work orders."

The deadly incidents at Venezuela's largest refinery highlight serious problems at the state-run refineries and are "a reminder of the bleak outlook for the company's declining production and investment capacity," said the analysis firm Eurasia Group in a note Wednesday to investors and media. The firm conducts global political risk research and consulting.

Chavez is up for re-election in October, and while the accident is "not a game changer," it could help boost the chances of opposition candidate Henrique Capriles, the analysis firm said.

The state-run oil company is faced with "significant operational problems stemming from both severe mismanagement and underinvestment," the analysts said.

When Chavez overhauled the oil company in recent years, he fired numerous senior managers and experts with technical know-how, said Eurasia Group analyst Risa Grais-Targow.

At the same time, the company has taken on more responsibilities, as Chavez uses oil revenues for subsidies to the elderly and families with children, among other programs, Grais-Targow said.

"The company has been stretched in a lot of different directions, and they don't have the money to make the investments they need," especially in the past two years as Chavez has prepared for this fall's elections, Grais-Targow said.

"He's really been doling out money, and a lot of the money has been coming from PDVSA's funds," Grais-Targow said. "It's turning out to be the cash cow for the government."

The engineering firm's report was prepared at the request of the oil company's underwriters and examined progress made on recommendations by the underwriters' risk engineers during their survey visits in 1993, 2002, 2005, 2007 and 2010, the study said.

At the time of the March assessment, the refinery complex was faced with 46 action items, and the engineering firm found that 11 of them had "no progress," 19 were "in progress," and 16 were completed, the report said.

The report also found 222 reported incidents at the two refineries, "including some 100 fires, many of these being in contaminated pipe trenches," the report said.

"Although there is a good procedure for incident investigation, we were disappointed to not(e) that few had progressed past the stage of setting up a study committee, and only nine were 'closed', with recommendations carried out," the report said.

Among those killed at the Amuay fires were 18 members of the national guard and 15 civilians, officials said.

Venezuela's Chavez visits site of deadly refinery blast

@highlight

Venezuela's state-run oil company under scrutiny after a weekend fire kills 42 people

@highlight

An engineer's report in March finds problems in major and routine maintenance

@highlight

Oil company faces "severe mismanagement and underinvestment," analyst says

@highlight

President Hugo Chavez is up for re-election in October