Tripoli, Libya (CNN) -- From the halls of Congress to the shell-pocked streets of Libyan cities, intertwined themes rang clear Thursday: Leader Moammar Gadhafi is determined to prevail, and the opposition needs more training and allied air strikes to have a chance.

"Gadhafi will "kill as many (people) as he must to crush the rebellion," Joint Chiefs of Staff Chairman Adm. Mike Mullen told the House Armed Services Committee.

The rebels, who were regrouping after several setbacks, pinned their hopes on more coalition air power, which will likely increase as weather improves.

"We want more to bring a speedy end to this," Col. Ahmed Omar Bani, an opposition spokesman, told CNN. "A strike is not a strike unless it kills," he said.

CIA operatives have been in Libya working with rebel leaders to try to reverse gains by loyalist forces, a U.S. intelligence source said.

The United States, insisting it is now fulfilling more of a support role in the coalition, shifted in that direction as NATO took sole command of air operations in Libya.

The ferocity of this month's fighting and Gadhafi's advantage in firepower was clearly evident in Misrata, which has seen snipers, significant casualties and destruction.

A witness told CNN Thursday there "is utter madness" and Gadhafi's men are going door-to-door evicting and terrorizing people.

"I am afraid it will be one big massacre here in Misrata" if the international forces "do not do more," he said. CNN did not identify the witness for security reasons.

Saddoun El-Misurati, a spokesman for the Libyan opposition in Misrata, described intense fighting and casualties in the city.

"We managed to get two shipments, so far, of badly needed medical supplies to the hospitals. But obviously we still need more supplies in dealing with the day-to-day casualties and the situation on the ground," he said.

Gadhafi's military capabilities had been steadily eroded since the onset of U.N.-sanctioned air strikes, U.S. officials have said.

But the dictator's forces outnumber the rebels by about 10-to-1 in terms of armor and other ground forces, Mullen noted.

Defense Secretary Robert Gates, also speaking before the House committee, warned that the Libyan rebels still need significant training and assistance.

"It's pretty much a pickup ballgame" right now, he said.

U.S. and British officials say no decision has been made about whether to arm the opposition.

Dianne Feinstein, head of the Senate Intelligence Committee, told CNN's "The Situation Room" she opposes doing that. The Democratic senator cited failures of such a move in other conflicts.

Bani -- asked whether he is open to the idea of ground forces from outside Libya joining the rebels' effort -- responded that "all options are open to us."

"It has been very hard the past few days because the freedom forces have been facing heavy tanks and artillery weapons with very light weapons," the spokesman said.

While some members of the Libyan military reportedly defected to join the opposition, the rebels include many volunteers who have not been trained.

Over the weekend, CNN reported that rebels had taken al-Brega, Ras Lanuf and Bin Jawad, and reached a town just east of Sirte. But in the past three days, opposition fighters have been pushed back eastward.

CNN's Ben Wedeman, reporting Thursday from near al-Brega, said the rebels, armed with light mortars and machine guns, have displayed no strategy in their running battles with loyalist troops.

Gates reiterated the Obama administration's promise that no U.S. ground forces will be used in Libya, telling committee members that the rebels had indicated they didn't want such an intervention.

But the United States does have CIA personnel on the ground.

A U.S. intelligence source said the CIA is operating in the country to help increase U.S. "military and political understanding" of the situation.

A former counterterrorism official with knowledge of U.S. Libya policy said there is a presidential finding authorizing the CIA to conduct operations in support of U.S. policy in Libya, including assessing the opposition and determining their needs.

Specific activities by CIA officers will be determined by conditions on the ground and would need further approval from the White House, the source said.

A former senior intelligence official said officers "might be advising [rebels] on how to target the adversary, how to use the weapons they have, reconnaissance and counter-surveillance."

Presidential findings are a type of secret order authorizing some covert intelligence operations.

The CIA has had a presence in Libya for some time, a U.S. official told CNN earlier this month. "The intelligence community is aggressively pursuing information on the ground," the official said. The CIA sent additional personnel to Libya to augment officers on the ground after the anti-government protests erupted, the official said, without giving details.

CIA officers assisted with the rescue of one of two U.S. airmen whose fighter jet crashed in Libya on March 21, a knowledgeable U.S. source said.

NATO emphasized Thursday that the U.N. resolution authorizing action in Libya precludes "occupation forces."

NATO Adm. Giampaolo Di Paola, chairman of the NATO Military Committee, indicated that the presence of foreign intelligence personnel does not violate U.N. Security Council 1973, which authorized action in Libya.

Rebel forces have been demanding an end to Gadhafi's nearly 42 years of rule in Libya. They have faced sustained attacks by a regime fighting to stay in power and portraying the opposition as terrorists backed by al Qaeda.

Rebel forces have lost Bin Jawad and the key oil town of Ras Lanuf and are backed up to the al-Brega area, Bani said Wednesday.

Ajdabiya, which is east of al-Brega, will be prepared as a "defense point" if the withdrawal continues farther east, he said.

Amid the setbacks faced by rebels, a significant crack in Gadhafi's armor surfaced when Libyan Foreign Minister Moussa Koussa fled to London on Wednesday and told the government there that he has resigned, the British Foreign Office said.

Koussa -- a former head of Libyan intelligence -- was a stalwart defender of the government as recently as a month ago. But in recent weeks his demeanor had visibly changed. At one recent media briefing, he kept his head down as he read a statement and left early.

British Foreign Secretary William Hague said Koussa had not been offered any immunity.

Koussa's defection provides evidence "that Gadhafi's regime ... is fragmented, under pressure and crumbling from within," said Hague, adding that Koussa is voluntarily speaking with officials in the United Kingdom.

Libyan government spokesman Moussa Ibrahim said Thursday that Koussa did not tell the government he planned to resign before he flew to Britain. Ibrahim said Koussa asked for sick leave and the government gave him permission to leave the country and receive intensive medical care.

The government had another setback Thursday, with news that an official who was picked as Libyan ambassador to the United Nations has defected.

A relative and an opposition leader said Thursday that former Foreign Minister Ali Abdussalam Treki was in Cairo.

CNN's Nic Robertson, Ben Wedeman, Reza Sayah, Dana Bash, Pam Benson, Tim Lister and Zain Verjee contributed to this report.

@highlight

Sen. Dianne Feinstein opposes arming the rebels

@highlight

A witness said he fears a "massacre" in Misrata

@highlight

A U.S. presidential finding authorizes CIA operations in Libya, a source says

@highlight

White House: Libyan foreign minister's defection shows pressure is "having an effect"