London Heathrow's gleaming new passenger terminal has opened to its first passengers in a soft launch designed to avoid the glitches that plagued its last major terminal launch.

CNN had a preview earlier this year of what its chief architect says is a "cathedral for the 21st century" that'll change air travel for good.

Terminal 2, otherwise known as the Queen's Terminal, features vaulted ceilings filled with natural light that are designed to guide up to 20 million passengers a year exactly to where they want to be.

Disappointingly, it still looks like an airport building anywhere in the world.

That's not to say it doesn't have its merits -- as airport buildings go, Queen's Terminal will certainly be among the most pleasant.

It'll also help ease some of the air traffic congestion that has left Heathrow struggling to maintain its former status as Europe's chief aviation hub against rivals serving Amsterdam and Frankfurt.

The terminal was first showcased when journalists were invited to the unveiling of a gigantic airborne sculpture of twisting metal.

'Cultural capital'

The 78-meter aluminum work entitled "Slipstream" was created by artist Richard Wilson to fill a wide atrium that passengers will cross when connecting to road and rail networks.

Inspired by the turbulence of a tumbling plane, it hangs from a series of pillars and resembles the riveted fuselage of a muscular vintage aircraft -- and a whale.

"It is a statement that says you've arrived in the cultural capital of the world," says Wilson.

Moving on through the airport, travelers pass through a broad hall filled with rows of security gates and into a huge central atrium that contains the lounge, shopping and dining areas.

There's more sculpture here, although on a less impressive scale -- one artwork resembles a tangle of windshield wipers.

Overhead, the undulating steel-framed roof is illuminated by glass skylights and LEDs that lead architect Luis Vidal says will change color "to accommodate the mood of the passenger."

The lounge is bordered on one side by vast windows that look out onto the airport canopy, with most gates within just a few minutes' walk.

"It's a very legible building," says Vidal, who describes his Terminal as a "piazza" to rival London's Covent Garden that will become a destination in its own right.

Soft launch

"Passengers can understand it very easily," says Vidal. "You can see how far you are from your plane, which makes you more relaxed."

The $4.2 billion building is certainly an improvement on the oppressive low ceilings and cramped quarters of the old Terminal 2, which closed five years ago after more than 50 years of service.

It will accommodate 26 airlines, including United, Air Canada, Air New Zealand, Singapore Airlines and others among the global Star Alliance, and connect to more than 50 destinations.

"Nowhere else in the world do you have as many airlines flying to a single airport as you do in London," says Mark Schwab, Star Alliance's CEO.

Heathrow officials hope by easing the new terminal into operation they will lessen the risk of repeating the chaos that engulfed the 2008 launch of the airport's prestigious Terminal 5.

The new terminal arrives amid a campaign, led by London mayor Boris Johnson, to close Heathrow and build a new high-capacity airport in a river estuary on the other side of the city.

It's a plan unlikely to derail Heathrow's $18.5 billion long-term plan to remodel the airport along the lines of Atlanta's Hartsfield-Jackson airport -- the world's busiest.

Holland-Kaye said the Terminal 2 would help alleviate some of the current problems, but officials would still pursue a "politically complex" campaign to build an environmentally controversial third runway.

"We are ready and able and have private money to deliver the hub airport that Britain needs and deserves," he said.

@highlight

Heathrow's new Terminal 2 opened June 4 and will gear up to handle up to 20 million passengers per year

@highlight

The terminal features a 78-meter sculpture designed to resemble the turbulence of a tumbling stunt plane

@highlight

Architect Luis Vidal says the terminal is a 'cathedral for the 21st century.'