(CNN) -- In business, it might pay to keep the customer happy, but how far should you go just to keep the peace?

Thanks to new technology, a bad review now cuts both ways and the peer review is increasingly a feature of everything from holidays and restaurants to cab rides and flat shares.

For Bereket Hagos, who drives an Uber car in central London, the two-way street of peer reviews has democratized a process that was normally arbitrated by employers.

"You just deal directly with the customer and that means there's real respect," he told CNN.

Uber runs a five-star rating system for both drivers and customers, which Hagos says has a tendency to keep the reviews honest.

"My rating is 4.66 out of 5, which is good -- for me that's absolutely beautiful!" he says. "You can't expect 5 all the time because, of course, you meet a lot of people."

Reviews, too, have a subjective basis and Hagos says a driver or a passenger's reputation can be damaged unfairly. A difficult customer, he says, isn't necessarily difficult all the time.

"I personally will pick up passengers with a low rating because I simply don't like to ignore people," he said. "When I've picked them up, I've found them to be perfectly nice."

Online customer reviews are now big business and, according to Margaret Ady of TrustYou, a company that tracks and aggregates reviews in the hospitality industry, online opinion is now the No.1 factor in influencing consumer choices.

"It has a huge impact. It's become the most trustworthy source of information for most travelers and peer reviews are really driving bookings," Ady told CNN.

"We've found that 65 per cent of travelers won't even book a hotel if it hasn't had a review written about it."

Peer reviews have now changed the marketing landscape for hotels, restaurants and holiday destinations.

"In many cases, they're beginning to make the old star rating for hotels obsolete," she said. "There are still different expectations for different price categories but it's easier to look at reviews and see what people are saying and to make your booking decision based on that.

"It gives it more texture and for many people it's just more trustworthy."

TrustYou works by collating thousands of reviews from more than 250 websites around the world, aggregates them and then runs them through a semantic algorithm to get an overview of the hotel, restaurant or destination.

Any outlying opinions -- either wildly positive or extremely negative -- are ironed out in the aggregate results produced by the company.

"What we're getting is exactly what the crowd is saying about a place," Ady said.

Responding to negative feedback is always a delicate operation for vendors and service providers and TrustYou says the professional reputation of a client often hinges on how it responds to a flame from a customer.

"We give them guidelines, saying acknowledge if there was a problem, explain the steps you are taking to fix it and invite the guest back and explain that their stay next time will be much more comfortable," Ady said.

"We encourage clients to get in touch with the complainant directly to see if anything needs to be discussed.

"That tends to work pretty well. Although I have seen in the news some hotels that have not done a good job of this, luckily none of them were clients."

Online reviews are also becoming a powerful marketing tool for companies, with a spread of opinions not only showing up the strengths and weaknesses of a given service provider but also those of its rivals.

TrustYou provides its clients with a monitoring tool that allows it to see what is being said about its business across all platforms and a dashboard that enables it to respond to every review being written.

"Then they can see our semantic analysis, so they can see areas where they are doing well and should be marketing along with areas that aren't doing so well and they need to improve," Ady said.

"They can also see their competitors too to see how they stack up or even get comparisons between hotels within their own chain."

While hotels and restaurants have been paying attention to online reviews for the past five or more years, Ady says it's only relatively recently that companies are starting to see them as a valuable marketing tool.

Read more from Tomorrow Transformed:

FireChat in Hong Kong: How an app tapped its way into the protests

The "green man" in your traffic lights just got new super powers

Finally, a flying car for everybody?

@highlight

From holidays and restaurants to cab rides and flat shares, business is increasingly driven by peer reviews

@highlight

For employees, peer reviews put appraisals into the hands of customers rather than bosses

@highlight

TrustYou aggregates peer reviews for more than 250 hospitality industry websites

@highlight

It says that peer reviews are now the No.1 factor in influencing consumer choices