(CNN) -- How can it be? The United States and Iran, sworn enemies for 35 years, are talking about working together to quell the al Qaeda-inspired insurgency sweeping northern Iraq.

Such cooperation sounds unthinkable. They are fierce adversaries on issues such as terrorism, Iran's nuclear ambitions and Syria's civil war.

Iranian leaders call the United States the "Great Satan," while former President George W. Bush labeled Iran as part of an "Axis of Evil."

It was headline news last year when their leaders spoke briefly by phone, the first contact at that level since the Islamic Revolution in 1979 drove the U.S.-backed Shah Mohammad Reza Pahlavi from power.

But should we be too surprised by this latest version of strange bedfellows, now known as "frenemies" in the modern vernacular? There's even an old saying of uncertain origin to define it -- the enemy of my enemy is my friend.

What's going on?

This time, the common enemy is the threat of a regional war based on sectarian battle lines, pitting Sunni and Shia Muslim governments and peoples against each other across the Middle East.

Only the Islamic State of Iraq and Syria (ISIS) and its al Qaeda backers would want that, it seems. They seek to establish a Sunni-dominated Islamic state stretching from Iraq to northern Syria.

"We are now closer than ever to a regional war in the Middle East," Paulo SÃ©rgio Pinheiro, who heads the U.N. Independent International Commission of Inquiry on Syria, said Tuesday. "Events in neighboring Iraq will have grave and violent repercussions for Syria. The most dangerous aspect of these developments has been the rise of the sectarian threat, a direct consequence of the dominance of extremist groups like ISIS."

Shiite majority Iran seeks to protect Shia interests and power in Iraq, while the United States wants to see a stable Iraq after pulling its troops out of the country in 2011 to end its eight-year campaign that began by toppling Saddam Hussein from power.

Also, Iran has sounded a more positive tone toward the West since last year's election of President Hassan Rouhani to succeed the more volatile Mahmoud Ahmadinejad.

Where do things stand?

On Monday, the United States and Iran held "very brief discussions" about Iraq and the threat posed by ISIS on the sidelines of nuclear negotiations in Vienna, State Department spokeswoman Marie Harf said.

Secretary of State John Kerry suggested possible collaboration with Iran on Monday, telling Yahoo! News that "we are open to discussions if there's something constructive that can be contributed by Iran -- if Iran is prepared to do something that is going to respect the integrity and sovereignty of Iraq."

A senior State Department official said while Washington was open to engaging the Iranians, "these engagements will not include military coordination or strategic determinations about Iraq's future over the heads of the Iraqi people."

The official said on condition of not being identified that the discussion concerns the ISIS threat to "many countries in the region, including Iran," as well as the need to support a more inclusive approach by the Iraqi government than the sectarian efforts by Prime Minister Nuri al-Maliki.

Meanwhile, British Foreign Secretary William Hague announced plans on Tuesday for Britain to reopen its Tehran embassy, which has been closed since an attack by protesters in 2011 triggered a dramatic breakdown in relations.

What's in it for the United States?

Even a conservative member of Congress who once advocated military strikes on Iran said Washington needs Tehran's help.

"The Iranians can provide some assets to make sure Baghdad doesn't fall," Sen. Lindsey Graham of South Carolina told CNN on Sunday.

A host of experts agree, including Meghan O'Sullivan, a former deputy national security adviser during the Iraq war.

"There is a political solution here that I think could be both in Iran's interest and the U.S. interest," O'Sullivan said.

Whether the United States likes it or not, working with Iran on the Iraq crisis might be a necessary evil, retired Maj. Gen. James "Spider" Marks said.

"There are necessary steps that we have to take with Tehran that we've probably never taken before, and would prefer not to take," Marks said.

What's the downside?

Teaming up with Iran could certainly have its pitfalls.

The United States is wary of furthering Iran's already considerable influence in Iraq. The Shiite Iranian regime is Maliki's closest ally in the region, and a U.S.-Iranian partnership could alienate Iraq's Sunni population as well as Sunni nations in the region such as Saudi Arabia that are U.S. allies.

Meanwhile, the United States doesn't want to jeopardize international talks on Iran's nuclear program that resumed this week.

The talks are intended to prevent Iran from developing a nuclear weapon, and the United States and Israel have repeatedly said they would use military means if necessary to achieve that outcome.

Will Iran and the U.S. work together on the ground?

A senior security official in Baghdad said Iran has already sent about 500 Revolutionary Guard troops to help fight the ISIS militants.

Rouhani then denied that happened, but said he would be open to helping if asked, according to Iranian state TV.

A Pentagon spokesman said Monday that military coordination with Iran was not in the cards, similar to what the senior State Department official told CNN.

Back to Iraq: What can -- and should -- the U.S. do now?

CNN's Elise Labott and Laura Smith-Spark contributed to this report.

@highlight

NEW: U.N. panel chief warns of Middle East regional war

@highlight

Both Iran and the U.S. have reasons for wanting to quell the ISIS militant surge in Iraq

@highlight

Secretary of State Kerry suggests possible collaboration with Iran

@highlight

Working with Iran might be a necessary evil, says a retired U.S. general who served in Iraq