(CNN) -- New HIV infections have fallen worldwide by 17 percent over the past eight years, a testament to prevention efforts, according to a U.N. report released Tuesday.

In addition, the number of people living with HIV, the virus that causes AIDS, has increased, and over the last five years, AIDS deaths have declined by 10 percent, thanks to antiretroviral drug therapy and access to lifesaving treatments, said the report by the Joint U.N. Program on HIV/AIDS and World Health Organization.

However, not all the news was good as researchers found evidence that some prevention programs miss the mark because they are not tailored for different populations affected by the epidemic.

Success was seen particularly in sub-Saharan Africa, where new infections declined about 15 percent, or some 400,000 people, according to the report.

However, that area remains the region hardest-hit by the virus, accounting for 67 percent of infections worldwide, the report said. "The epidemic continues to have an enormous impact on households, communities, businesses, public services and national economies in the region," it said.

In 2008, for instance, more than 14.1 million children in sub-Saharan Africa were estimated to have lost one or both parents to AIDS.

In East Asia, new infections declined by nearly 25 percent, and by 10 percent in South and Southeast Asia, the organizations said. In Eastern Europe, a region that had seen a dramatic increase in new infections among intravenous drug users, "the epidemic has leveled off considerably," the report said.

In Eastern Europe and Central Asia, an HIV epidemic that once resulted from injected drug use is spreading to the sexual partners of those drug users, according to the report. And in some parts of Asia, heterosexual couples are being affected. The prevalence of HIV continues to increase in those regions because of the new infections, the report said.

And in Swaziland in southern Africa, more than two-thirds of adult infections occur in people 25 and older, but few programs are aimed at those adults, the report said.

While the decline in new infections is welcome, "if we do a better job of getting resources and programs to where they will make most impact, quicker progress can be made and more lives saved," said Michael Sidibe, executive director of UNAIDS in Geneva, Switzerland.

There is also an increased evidence of risk among key populations, the report said. For instance, although high prevalence among sex workers has been widely noted, evidence was limited on the prevalence among men engaging in homosexual activity and intravenous drug users.

"In recent years, studies have documented elevated levels of infection in these populations in nearly all regions," according to the report. "In all settings and for diverse types of epidemics, it is clear that programs to prevent new infections among these key populations must constitute an important part of national AIDS responses."

Also, the level of resources directed at prevention programs for those key groups is "typically quite low, even in concentrated epidemics," according to the report. Another shortage can be seen in the programs that are designed for people living with HIV.

@highlight

New infections in sub-Saharan Africa 15 percent lower in 2008, report says

@highlight

That area remains the region hardest-hit by HIV

@highlight

Decline attributed in part to HIV prevention efforts, UNAIDS official says

@highlight

Report: Number living with HIV has increased, and AIDS deaths have declined over five years