In a global economy, the benchmark for educational success is no longer improvement by national standards alone, but the best performing school systems internationally.

Results from the latest PISA assessment, the world's metric for evaluating learning outcomes at school, show amazing changes in the composition of the global talent pool.

Shanghai, already the top-performing education system in 2009, has extended its lead in students' math performance over the next highest performer, Singapore, to the equivalent of a full school year.

And that was at a time when Singapore, too, saw rapid progress.

Other East Asian systems, including Chinese Taipei and Japan, also saw improved student learning outcomes. PISA -- the Programme for International Student Assessment -- was conducted in 2012, a year when many of the 65 participating countries were grappling with the aftermath of an economic crisis that has brought home the urgency of equipping more people with better skills to collaborate, compete and connect in ways that drive economies forward.

Some contend that Shanghai's success in PISA just reflects rote learning and immense drilling for tests.

But the most impressive performance of Shanghai's students is actually not on the tasks that ask them to simply reproduce what they have learned, but on tasks where they need to extrapolate from what they know and apply their knowledge creatively in novel situations.

Data on other Chinese provinces and cities is not yet published by PISA because not enough regions take part in the tests to be considered representative.  However, China as a whole is expected to  be included in the 2015 assessment.

Google knows everything

Consider this: Only 2% of American students can conceptualize, generalize and use advanced math in creative ways, which is what the highest performance level in PISA requires.

In Shanghai it is over 30%. Shanghai has understood that the world economy will pay an ever-rising premium on excellence, and that today's economy no longer rewards people simply for what they know -- Google already knows everything-- but for what they can do with what they know.

Others have explained Shanghai's high performance with the exclusion of disadvantaged internal immigrants from the comparisons. But immigrants have always been part of Shanghai's PISA tests and most East Asian school systems excel precisely because they are capable to leverage the academic potential of disadvantaged students much better than many Western nations do, and because they are able to break the downward spiral between disadvantage, lower performance and lower levels of student engagement.

Making the grade in China: Grueling college exams

They have devised powerful strategies to attract the most talented teachers to the most challenging classrooms and to get the strongest principals into the toughest schools.

While the American dream of social mobility is becoming a distant memory for the next generation of American students, it is just emerging as a new reality in East Asia.

Obviously, one can't copy and paste school systems wholesale. But PISA has revealed a surprising number of features which the world's most successful school systems share and from which others can learn. For a start, leaders in the East Asian education systems have convinced their citizens to make choices that value education, their future, more than consumption today. But placing a high value on education is just part of their equation.

Hard work vs. talent

Another part is the belief in the possibilities for all children to achieve. In Japan, for example, students not only believe they are in control of their ability to succeed, but they are prepared to do what it takes to do so: 84% of students said they won't put off difficult problems, in the U.S. only half did so.

The fact that students in most Asian countries consistently believe that achievement is mainly a product of hard work, rather than inherited intelligence, suggests that education and its social context can make a difference in instilling values that foster success in education.

In the past different students were taught in similar ways. Shanghai embraces diversity with differentiated instructional practices, its teachers have high expectations for every student and realize that ordinary students have extraordinary talents.

They also share clear and ambitious standards across the board. Everyone knows what is required to get a given qualification.

Teachers matter

And nowhere does the quality of a school system exceed the quality of its teachers.

The East Asian school systems all pay great attention to how they select and train their staff. And when deciding where to invest, they prioritize the quality of teachers over the size of classes. Not least, they provide intelligent pathways for teachers to grow in their careers.

High performers have also moved on from bureaucratic control and accountability to professional forms of work organization. They support their teachers to make innovations in pedagogy, to improve their own performance and that of their colleagues, and to pursue professional development that leads to stronger educational practice.

The goal of the past was standardization and compliance, top performers enable teachers to be inventive. In the past, the policy focus was on the provision of education, in top school systems it's on outcomes, shifting from looking upwards in the bureaucracy towards looking outwards to the next teacher, the next school, about creating networks of innovation. You can see that nowhere better than in Finland and Japan.

The most impressive outcome of world class school systems is perhaps that they deliver high quality across the entire school system so that every student benefits from excellent learning. And they align policies and practices effectively across all aspects of the system, they make them coherent over sustained periods of time, and they see that they are consistently implemented. You can see that nowhere better than in Singapore

Room for improvement

And yet, there are areas where Shanghai, too, has room for improvement. Intrinsic motivation is often low, for example, only 36% of students in Shanghai say they like to solve complex problems.

Just 75% say that school has taught them things which could be useful in a job, compared with an OECD average of 87%. There are also indications that Shanghai's schools can improve the social climate for learning: Just two-thirds of Shanghai's 15-year-olds feel they belong at school. On average across OECD countries it is over 80%, and in some countries over 90%. Not least, just 77% of students in Shanghai say that other students like them, compared with an average of 90%.

The challenges are tough and the status quo has many protectors. But global comparisons like PISA remind us of what is possible in education. And they help us to set meaningful targets in terms of measurable goals achieved by the world's educational leaders.

The world has become indifferent to tradition and past reputations, unforgiving of frailty and ignorant of custom or practice. Success will go to those individuals, institutions and countries which are swift to adapt, slow to complain and open to change. And the task for governments is to ensure that their citizens and education systems rise to this challenge.

@highlight

Shanghai and other East Asian education systems top OECD's international ranking

@highlight

Success of East Asia's schools not about rote learning and drilling for tests, says Andreas Schleicher

@highlight

They excel because they leverage academic potential of disadvantaged students better than West

@highlight

A focus on hard work rather than talent and allowing teachers to be inventive also key