Washington (CNN) -- When thousands of children fled violence and poverty in Iraq, Syria and Darfur and surged toward the borders of other nations, it was seen as a humanitarian crisis and they were considered refugees.

But a huge influx of young migrants from Central America, many telling U.N. workers they are trying to escape drug cartels, gang violence, murder and rape as they stream across the southern border, have so far not been conveyed the same status.

The contrast in what politicians on both sides of the aisle and others have characterized as a humanitarian crisis has introduced new complexity to America's toxic debate on immigration.

The U.N. High Commissioner for Refugees is pushing for the United States, Mexico, and Central American countries to treat many of the children as "refugees," which could prompt more from Honduras, Guatemala and El Salvador to seek asylum.

However, the White House has said most won't qualify as refugees to stay in the country.

"We don't want to send people back into harm's way ... but the more they expand access to asylum, the more people will feel they have a case," said Adam Isacson, a senior associate for regional security for Washington Office on Latin America, a nonprofit humanitarian organization.

Different approaches

President Barack Obama wants $3.7 billion from Congress to help address the problem. The emergency money would go to detention facilities for housing children while they await hearings and for legal aid to help sift through a backlog of immigration cases.

There is no appetite for Obama's plan among Republicans in Congress. One of them, Arizona Sen. John McCain, said it would perpetuate the crisis. Others said it's too expensive and it would be cheaper to simply fly the kids home.

A bipartisan measure by Republican Sen. John Cornyn and Democratic Rep. Henry Cuellar, both of Texas, aims to quickly send most young migrants home by changing a 2008 law that now requires all unaccompanied minors who aren't from Mexico or Canada to receive a hearing before deportation.

The plan, which may have wider support, troubles some lawmakers, especially those in the Congressional Hispanic Caucus, who worry that children who could possibly qualify for asylum won't have time to properly plead their cases.

"You can't in 72 hours go ahead and make the case that your father got murdered in front of you. You can't make the case that the gang said 'Join us or die,' if you don't have the time to produce documents, affidavits, certificates and what not. And so it is unacceptable to me to basically have a deal that undermines all those rights," said Sen. Robert Menendez, a New Jersey Republican.

A word loaded with political implications

There is important nuance and distinction in calling the surge a "humanitarian crisis" while steering clear of deeming the migrants "refugees," international policy and humanitarian aid experts say. The difference determines who gets asylum and who goes back.

What's the difference between immigrant and refugee?

It's a difference the United Nations is pressing Washington to reconsider.

"We recognize the enormous challenges facing the U.S. and other countries as a result of this large movement of people," Shelly Pitterman, the U.N. refugees commission regional representative in the United States, said in a statement advocating broader refugee status.

"We're witnessing a complex situation in which children are leaving home for a variety of reasons, including poverty, the desire to join family, and the growing influence of trafficking networks. Within this movement, there are also children who are fleeing situations of violence at the hands of transnational organized criminal groups and powerful local gangs," Pitterman said.

Susan Martin, an international migration professor at Georgetown University and the author of several books on humanitarian crises, said U.S. law is ambiguous as to whether the children in this case "meet the definition of a refugee."

Humanitarian crisis ... in America?

They would have to prove they fear persecution on the basis of their race, religion, nationality, political perspectives or membership in a particular social group, Martin said.

Violent threats, the type many have apparently told U.N. workers they face from drug cartels and gangs at home, aren't always enough to qualify for asylum, immigration legal scholars and humanitarian aid workers said.

Humanitarian aid groups argue the level of violence by organized crime syndicates in Honduras, El Salvador and Guatemala is so high that the children are basically fleeing warfare.

However, some anti-immigration groups have argued that by helping the minors, the U.S. government is actually aiding cartels profiting from smuggling.

The Obama administration has said it is approaching the situation as a humanitarian crisis and there is no need, beyond a monitoring role, for the United Nations to get involved.

The Department of Homeland Security will conduct interviews with the kids and their legal representatives to determine who might be deemed "refugees."

Unintended consequences: 2008 anti-trafficking law contributes to border crisis

"Obviously, we're -- we have a far different circumstance than, say, Syria,"

State Department spokeswoman Jen Psaki told reporters earlier this month the situation was "far different" than similar migrant outflows in Syria and other conflict zones.

Typically, she said, the United Nations refugee agency "conducts these interviews in countries where the host government is not capable or willing to conduct these interviews. And obviously, the United States -- that's a process that we undergo ourselves."

The witch's brew: Desperation, hope and children on the border

But the problem is a hydra and will be difficult for federal officials to stem the tide, Ruben Navarrette, a CNN contributor, wrote recently.

Most won't be allowed to stay

White House spokesman Josh Earnest has said the children who have been detained "will go through the immigration court process" and it's unlikely that most who do so "will qualify" for asylum to stay in the country.

"In the view of this White House, an immigration judge should make the determination about whether someone qualified for refugee status," Earnest told reporters on Wednesday.

There's the matter of perception, Martin said, adding that terms such as "refugee" engender sympathy in a way "immigrant" might not.

For some people, the image of "kids being queue-jumpers" raises hackles, she added.

"As to why Americans are more favorably inclined to aid those who are in need of protection elsewhere than those in their back yard, I think that ambivalence about immigration begins to override the humanitarian instinct when people are seeking to enter the country," Martin said.

Those feelings are reflected in the emotionally-charged protests that have sprung up in such places as Murrieta, California, and Oracle, Arizona, and polls.

One released this week by the Pew Research Center found that 53% of American surveyed supports expediting the legal process for the Central American immigrant children even if it results in kids who could have received asylum being deported.

A Washington Post-ABC News poll also released this week showed 58% of Americans surveyed disapprove of Obama's handling of the situation.

Texas governor lashes out at Obama over immigration crisis

Still, some political analysts and humanitarian groups have been stunned by the level of political vitriol and lack of broader public outcry.

"There's no big outcry," demanding these kids stay in the United States, Isacson said, adding that this is surprising since this is "the worst humanitarian crisis in the Western Hemisphere."

CNN senior political analyst David Gergen likened the calls for mass deportation to a boat of Jewish refugees who sought safety in America as World War II loomed.

They too, Gergen said, faced political backlash in an anti-immigration climate and were sent back to Europe where one-third of them were killed by Nazis.

"Seventy-five years later, we are faced with a new group of desperate people hovering in our midst -- this time children from Central America escaping escalating levels of violence few of us can fathom," Gergen wrote in an op-ed for CNN.com.

"While certainly no Nazi Germany, the growing humanitarian crisis in their home countries is glaring as rising murder rates for youths are a driving force behind the mass exodus. How will we respond this time?" Gergen asked.

7 questions: Immigration next steps?

@highlight

There is an important political distinction in calling the surge of migrant children "refugees"

@highlight

Partisan bickering over immigration is part of why U.S. is reluctant to coalesce on the issue

@highlight

UN, humanitarian groups want Central American immigrant kids treated as refugees

@highlight

White House calls it humanitarian crisis and approaches it with immigration-related solutions