Cairo (CNN) -- Egypt's military toppled the country's first democratically elected president Wednesday night and reportedly put him under house arrest while rounding up some of his top supporters even as the deposed Mohamed Morsy insisted that he remains the country's legitimate leader.

Hundreds of thousands of people took to the streets across Egypt over the military's actions that were decried by Morsy's supporters as a "coup" and celebrated as a "correction" by his opponents. At least eight people were killed and more than 340 wounded in sporadic violence that at times pitted Morsy's supporters against the opposition and the military.

Morsy "did not achieve the goals of the people" and failed to meet the generals' demands that he share power with his opposition, Egypt's top military officer, Gen. Abdel-Fatah El-Sisi, said in a televised speech to the nation.

Adly Mansour, head of the country's Supreme Constitutional Court, will replace Morsy as Egypt's interim president, El-Sisi said. Mansour was expected to be sworn in on Thursday.

The military has not publicly commented on Morsy's whereabouts. But Muslim Brotherhood spokesman Gehad El-Haddad told CNN the deposed president was under "house arrest" at the presidential Republican Guard headquarters in Cairo. He said some members of Morsy's inner circle have also put under house arrest.

The country's constitution has been suspended, and Mansour will "establish a government that is a strong and diverse," said El-Sisi, head of the country's armed forces. New parliamentary elections will be held, and Mansour will have the power to issue constitutional declarations in the meantime, he said.

El-Sisi said the military was fulfilling its "historic responsibility" to protect the country by ousting Morsy, a Western-educated Islamist elected a year ago.

Morsy remained defiant and insisted he was Egypt's proper president.

"The world is looking at us today," he said in a taped statement delivered to the Arabic satellite network Al Jazeera. "We by ourselves can bypass the obstacles. We, the sons of Egypt, the sons of this country -- this is the will of the people and cannot be canceled."

Shortly after Morsy's statement aired, Al Jazeera reported its Cairo studios were raided during a live broadcast on Wednesday and its presenter, guests and producers arrested.

The Muslim Brotherhood, the long-repressed political movement that propelled Morsy to office, said its broadcast outlets had been shut down.

Muslim Brotherhood arrests

The state-run Middle East News Agency said the two top leaders of the Muslim Brotherhood's political party had been taken into custody, and another state-run outlet, the newspaper Al-Ahram, said another 300 were being sought by police.

El-Haddad told CNN that he has been told hundreds of names have been put on an "arrest list" but couldn't confirm any arrests beyond those of the Muslim Brotherhood's Freedom and Justice Party chief, Saad el-Katatni, and its deputy, Rashad Al-Bayoumi.

Morsy said he remains open to negotiations and dialogue, and he called on supporters to demonstrate peacefully.

But at least eight people were killed and more than 340 wounded in clashes around the country on Wednesday, Health Minister Dr. Mohamed Mustafa Hamid told Al-Ahram.

U.S. student killed in Egypt was enthralled with region

Morsy opponents who packed Tahrir Square, now the epicenter of two Egyptian upheavals, erupted in jubilation and fireworks when El-Sisi made his announcement.

"This is a united people of Egypt," anti-Morsy organizer Ahmed el Hawary said. "Mohamed Morsy has actually succeeded in uniting the people, after two years that we were totally against each other ... Mohamed Morsy, with his bad management, with his risking all the lives of Egypt, brought all Egyptians back together to be facing again their future, hand in hand."

But Abdoul Mawgoud Dardery, a former member of parliament from the Morsy-allied Freedom and Justice Party, called that "ridiculous."

"I don't know how can anyone with common sense support a military coup in a democracy," he said. Egyptians "will never recognize a coup d'etat," he said.

And across the Nile River from Tahrir Square, Morsy supporters chanted chanted "Down with military rule" and "The square has a million martyrs."

Before Wednesday night's announcement, troops moved into key positions around the capital, closing off a bridge over the Nile and surrounding Rabaa Adawya Square, where Morsy's supporters were gathered.

Military had demanded reforms

Morsy was elected president in June 2012. But his approval ratings have plummeted as his government has failed to keep order or revive Egypt's economy. The chaos, including open sexual assaults on women in Egypt's streets, has driven away tourists and investors, while opponents say Morsy's rule was increasingly authoritarian.

Mohamed ElBaradei, the former head of the International Atomic Energy Agency and a leading opposition figure, said the plans announced Wednesday were "a correction for the way of the revolution" that drove Hosni Mubarak from office in 2011.

Opinion: In Egypt, rage must lead to game plan

"The road map guarantees achieving the principal demand of the Egyptian people -- having early presidential elections through an interim period through which the constitution will be amended," he said. "So all of us build it together and agree on a democratic constitution, so we can guarantee our freedoms."

The Egyptian military dominated the country for six decades and took direct power for a year and a half after Mubarak's ouster. On Monday, after a previous demand that Morsy offer concessions to the opposition, it gave him 48 hours to order reforms.

As the hour of the ultimatum neared, Morsy offered to form an interim coalition government to oversee parliamentary elections and revise the constitution that was enacted in January.

"One of the mistakes I cannot accept -- as the president of all Egyptians -- is to side with one party over another, or to present the scene from one side only. To be fair, we need to listen to the voice of people in all squares," he said.

Rand Paul: Stop using U.S. taxpayer money to aid Morsy

Shortly after the deadline, Morsy aide Essam El Haddad said in a Facebook posting that a coup was under way and warned that the generals risked bloodshed by moving against Morsy.

"In a democracy, there are simple consequences for the situation we see in Egypt: The president loses the next election or his party gets penalized in the upcoming parliamentary elections. Anything else is mob rule," he wrote.

But Naguib Abadeer, a member of the opposition Free Egyptians Party, said what was under way "is not by any means a military coup. This is a revolution."

Morsy lost his legitimacy in November, when he declared courts could not review his decrees and ousted the country's prosecutor-general, Abadeer said. And the Muslim Brotherhood "hijacked the vote of the people" by running on a religious platform, "so these were not democratic elections," he said.

Egypt's anti-Morsy protestors -- in their own words

Obama says U.S. reviewing aid

In Washington, President Barack Obama said the United States is "deeply concerned" by Morsy's removal and the suspension of the constitution.

Washington has supplied Egypt's military with tens of billions in support and equipment over more than 30 years, and under U.S. law, that support could be cut off after a coup -- a term his White House statement avoided.

"The United States does not support particular individuals or political parties, but we are committed to the democratic process and respect for the rule of law," Obama said.

He said he had ordered "the relevant departments and agencies" to study what American law would mean for U.S. aid and urged the generals to hand power back to an elected government 'as soon as possible."

In the wake of Morsy's ouster, U.N. Secretary-General Ban Ki-moon echoed Obama's call for an immediate return to civilian rule. He appealed for "calm, non-violence, dialogue and restraint."

Wednesday's events capped days of massive demonstrations for and against Morsy. The demonstrations were largely peaceful, but health officials said 23 people died in clashes overnight at Cairo University, Al-Ahram reported.

Anti-Morsy demonstrators have ransacked Muslim Brotherhood offices around Egypt in the past several days.

Obama called Morsy on Monday to urge him to take a less-rigid stance toward his opponents, telling his Egyptian counterpart "that democracy is about more than elections," a White House statement said. But the State Department denied that Obama had urged Morsy to call early elections, as a senior administration official had said Tuesday.

Opinion: Egyptians are fed up with Morsy

Morsy's opposition said it had collected more than 20 million signatures on a petition to remove him -- millions more than the number who voted Morsy into the presidency.

Tuesday night, Morsy had vowed that he would not comply with the ultimatum and demanded that the armed forces stand down, even "if the price of upholding this legitimacy is my own blood." But political analyst Hisham Kassem told CNN the speech was Morsy's "final bluff."

"He was trying to give the impression 'We are there in numbers, and we are going to retaliate, we are not going to allow this to happen.' However, with almost 24 hours since his message, it's clear his supporters will not dare challenge the crowds on the street," Kassem said.

And faced with the throngs that filled Cairo's Tahrir Square, "the military had to intervene. Otherwise this crowd was going to get Morsy from his palace."

CNN spells the deposed president's name with a 'y' in accordance with what his spokesman said is his personal preference, his own e-mail and the country's Foreign Ministry.

Should tourists still visit Egypt?

CNN's Hamdi Alkhshali, Ivan Watson, Jill Dougherty, Dan Lothian, Amir Ahmed, Ben Brumfield, Ali Younes, Chelsea J. Carter, Schams Elwazer, Elise Labott, Ian Lee, Housam Ahmed and Salma Abdelaziz contributed to this report.

@highlight

U.N.'s Ban Ki-moon calls for "calm, non-violence, dialogue and restraint''

@highlight

Morsy is under "house arrest," a Muslim Brotherhood spokesman says

@highlight

Obama says U.S. reviewing aid, urges return to civilian rule

@highlight

Eight dead across Egypt, Health Minister says