(CNN) -- "Rethinking grid dependence in new climate reality."

That was my sole tweet in the aftermath of Sandy, sent after four long nights with my wife and daughter in our cold, dark living room, cut off from the infrastructure -- and the people -- that normally keep us going.

Indeed, in a reality where charging a cell phone requires finding a friend who not only admits to having power but also agrees to let you come over and plug into it, the relationship of self-sufficiency to community resources takes on a whole new meaning. And it reflects not only the core themes of the election, but also the main conceptual challenges facing our society at the dawn of the digital age: Do I depend on the collective, or do I go it alone?

'Insane,' 'inspiring' New York polling places in Sandy's wake

In the hard-hit areas of Lower Manhattan, Queens, Jersey and the unlucky suburbs, people who had their own generators, supplies, and wood stoves fared better than those of us depending on downed wires, closed supermarkets, and electrically ignited furnaces for power, food, and heat -- at least for a while.

Some offered extension cords from their homes, or even a spot on the floor to sleep. Others nodded in acknowledgment when they heard of our misfortune, but offered no help -- as if they didn't understand that we were suffering from more than the inconvenience of no cable TV. Their quizzical looks seemed to say, why should their own success -- but for the grace of God, in many cases -- obligate them to help others?

LZ: Obama still fighting for those who are hurting

This all changed soon enough, when they lost the ability to find gasoline to power those generators, ice to keep the food cool, or dry firewood to burn. Then they were out scavenging for resources like the rest of us.

In my little world of media and technology, self-sufficiency had more to do with having chosen to keep copies of all of my work files, computer programs, and entertainment right on my own devices rather than depending entirely on the miracle of cloud computing. This meant that when my family finally evacuated our frigid home (turns out fireplaces don't make much heat), we could bring my book drafts and my daughter's American Girl movies along with us.

I'm no doomsday prepper, but I have always had reservations about relegating my files to the servers of others.

When we finally arrived at the closest open hotel room to our home in New York's suburbs -- it was downtown Philadelphia -- we didn't bother with any of our technology, anyway. My daughter was excited to see and play with other kids -- families relocated by FEMA from devastated parts of New Jersey, arriving at the hotel with dogs, hotel vouchers, and printed Google maps.

Now that I was in a hotel lounge with working WiFi, I really didn't care anymore about whether my work was getting done, or whether I could dazzle my Twitter followers with any insights or witticisms about this whole mess. I didn't care about the election or about the New York Marathon, or least of all about e-mails about work.

Anthony Bourdain says help NYC restaurants: Eat out, tip big

Instead, I sat in a hotel lounge with working WiFi, and along with a half dozen dads my age, watched our childhood rock 'n' roll heroes -- Springsteen, Aerosmith, and Billy Joel -- perform at a telethon over images that may as well have been our own neighborhoods: fallen trees, crushed homes, families wading through the floods. Sting came on and did a strange, acoustic version of Message in a Bottle.

There with my fellow displaced Sandy victims, I realized that I, for the first time, was on the other side of the telethon. I was the one "sending out an S.O.S." Although I had fared a lot better than the poor denizens of Breezy Point or the Rockaways and I wasn't going to be seeking a FEMA reimbursement or need help rebuilding my home, I was still on the victim's end of the equation. I was the person looking to be shared with rather than looking how to share (or hoard) what I had.

With found time to rethink my approach to life and its inevitable disasters, zombie apocalypse scenarios playing out in my head, it became clear to me that the ideological divide America seems to be facing is a false one. Those of us needing help weren't lazy or weak, and those in a position to provide it were able to do so only by virtue of collective resources.

Opinion: Jersey Shore, I'll miss you

The only home generators that worked all week, for example, irrespective of the long lines at the pump, were the ones that used natural gas, itself the product of the energy grid. The men getting in fights over the few available gasoline generators being sold out of the back of trucks at the local Home Depot (as a 125-pound intellectual, I didn't stand a chance) may have proven their muscle, but ended up with at best three hours of heat before they went in search of nonexistent fuel.

See, what we used to call the commons -- the resources and technologies used by everyone -- are what make individual success even possible. A shared resource like the Internet may allow great entrepreneurs to break from the pack to achieve wild success, but they need to continue to invest in the commons, not as a form of charity or penance but as a self-interested strategy for their own sustainability.

Or, put another way, the family that shares its electricity and living room with less fortunate storm victims will have more friends collecting firewood when the lights go out the next day. Those of us who got hit hard will remember who was there with an open hand, and who wasn't. As the checkout lady at the A&P said to me this morning, "it takes something like this for people to show their true colors." Then she added, with a smile, "at least now you know."

New Jersey lets Sandy victims vote via e-mail

People who managed to succeed in the crisis employed mixed strategies. They did make wise personal preparations -- such as wood stoves instead of ineffectual fireplaces, natural gas generators instead of gasoline ones, a good supply of stored food and water. But they also employed ones that showed an awareness of the need for infrastructure, the importance of longer term thinking, and the strength of community.

Our political parties make it out to be an irreconcilable distinction, as if America had to choose between one path or the other: greed or compassion, liberty or communism. But there is no choice. We do not choose between our personal success and our collective welfare.

We don't get one without the other.

The storm that broke records -- and hearts

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Sandy's aftermath points up something about election issues

@highlight

"Do I depend on others, or go it alone?" is false dichotomy, he says

@highlight

He says those needing help weren't lazy; those providing it did it from collective resources

@highlight

Rushkoff: Personal success needs concern for collective welfare