(CNN) -- On Monday, the Supreme Court is hearing a challenge to a 2008 law that dramatically expanded the government's authority to wiretap Americans' phone calls and e-mails. At stake are not only the privacy protections guaranteed by the Constitution, but the ability of the courts to enforce them.

The law in question -- called the FISA Amendments Act -- endorsed and expanded the warrantless surveillance program that President George W. Bush authorized shortly after 9/11. It gives the National Security Agency a virtual blank check to intercept Americans' international phone calls and e-mails, to store them indefinitely in huge databases, and to share them with other agencies with few restrictions.

Surveillance under the law must target foreigners abroad, but the law permits the government to sweep up Americans' communications in the process. Indeed, administration officials who advocated for the law made clear that their principal interest was in collecting Americans' international communications.

Most troublingly, the FISA Amendments Act allows the government to wiretap Americans' international communications in a dragnet fashion -- potentially sweeping up thousands or millions of Americans' communications at a time -- without any suspicion of wrongdoing and without even identifying the targets of its surveillance to any court.

In the Clapper v. Amnesty case, the Supreme Court will, for the first time, hear a case concerning FISA -- the Foreign Intelligence Surveillance Act -- which was enacted more than 30 years ago, after the Senate's Church Committee exposed the rampant surveillance abuses of the preceding decades. And it will be the first time since 1972 that the court has considered any case concerning "intelligence surveillance" -- surveillance conducted not for law enforcement, but for investigating threats to national security.

The question before the justices is in one sense a narrow one: Can the law be challenged? The plaintiffs include an array of attorneys, human rights, labor, legal and media organizations whose work requires them to engage in sensitive and sometimes privileged phone and e-mail communications with people abroad.

In the past, we have argued that the plaintiffs have the right to challenge the law because it puts their communications at risk of surveillance, and because that risk is substantial enough to have compelled them to take costly and burdensome measures to protect their confidential communications.

For example, some of the plaintiffs have had to travel overseas to gather information in person that -- if not for this law -- they would have been able to gather by phone or e-mail.

An appeals court agreed with us last year, but the government argues that the plaintiffs may not sue because they cannot prove that their communications have actually been intercepted under the law or will be intercepted under it in the future. Of course, the government refuses to disclose whether it has -- or will in the future -- wiretap the plaintiffs' phone calls or e-mails.

The flaw in the government's logic should be obvious: If only those who can prove they were wiretapped can sue, and if the government categorically refuses to reveal whom it has wiretapped, then no one will ever be able to challenge the law. The real issue here is whether this unprecedented and invasive surveillance law will be subject to meaningful judicial review at all, ever.

If the plaintiffs cannot challenge the law, then the only judicial scrutiny the law is likely to receive will come from the FISA Court, which meets in secret, generally allows only the government to appear before it, rarely issues public decisions, and doesn't have the authority to consider several key constitutional problems with the law.

The government's argument is really about the role of the judiciary in patrolling the boundaries between the lawful measures that the executive should take in the defense of national security, and the unconstitutional and effectively unbridled discretion the government now has to acquire Americans' international communications.

Whatever one's views of the legality of the FISA Amendments Act, the government's efforts to shield the law from any meaningful judicial review should be profoundly disturbing to all Americans.

The opinions expressed in this commentary are solely those of Jameel Jaffer and Alexander Abdo.

@highlight

Jameel Jaffer, Alexander Abdo: FISA Amendments Act violates Americans' privacy

@highlight

They say the act lets the government to target people without suspicion of wrongdoing

@highlight

They ask: Will this invasive program be subject to meaningful judicial review at all?

@highlight

Jaffer, Abdo: Government's efforts to shield the act from judicial review is disturbing