(CNN)The New York Police Department faced a newly pressing question in recent weeks: What constitutes an online "threat"?

Police reviewed hundreds of online postings--and made several arrests--over alleged anti-cop threats made in the wake of the killing of two officers last month.

It used to be a lot easier to define threats.  It's not that our dialogue has evolved much.  It hasn't.  Art and music have always spoken about violence in the most graphic terms, whether it's in rap lyrics or Guns N' Roses songs.   Kids have consumed violent art and speech since long before Hansel and Gretel baked a witch in an oven, or Beowulf hacked his way through Southern Scandinavia.

The difference today is the delivery system: the Internet and social media.

Suppose, after the recent NYPD threats, I posted that I planned to "swarm on any m... in a blue uniform," meaning specifically the "punk police." Suppose I promise that "when I finish, it is going to be a bloodbath of cops dyin.'"

Scary right?  If I tweeted that today, I might expect police at my door.  In 1988, though, there was no Twitter ... or e-mail ... or "online," come to think of it, when the rap group NWA came out with its (famous) "F*** Tha Police," containing those very lyrics.  People then were offended, of course.  But songs on an album just don't seem to contain the same direct threat potential of social media today. There was something very nonspecific about threatening language contained on a commercially mass-produced cassette tape.

And when a megastar like Axl Rose sang in 1988 that he had to kill a woman for complaining too much, and bury her in his backyard,  millions heard those lyrics.  That's a much bigger audience than the 13 followers reading some guy's rabid musings on Twitter.

So, threatening speech online is not about how viral or far-reaching it is.

Our society is not as interested in protecting social media rants as it is in protecting artists because—whether the courts say it or not—we really don't feel as good about protecting dummies.  We will vigorously protect the free speech of legitimate artists, even if we find their work repulsive.

Instinctively, however, we draw the line at people whose only creative accomplishments consist of, say, a bitter child custody dispute and access to a Wi-Fi signal.  It seems that if some shmendrik wants to rant on the Internet, he should be able to point to a scintilla of an actual music career to defend his or her language by claiming it is like "lyrics."

That analysis dovetails nicely with the issues before the Supreme Court in a case called Elonis v. United States.  In Elonis, an "aspiring rapper" used violent language on Facebook to rant about his wife, an elementary school and an FBI agent.

Under the First Amendment, the court must decide whether a "threat" requires proof of the defendant's actual intent to threaten, or if it is enough to show that a "reasonable person" would regard the statement as threatening.  If the court ultimately requires proof of actual intent, that test would be a higher burden, and more favorable to defendants.  But even under the "reasonable person" standard favored by prosecutors, the hearer of the words must understand them as a threat.

Maybe this is why social media has more threat potential, and it's not because it can reach many persons: Social media is more threatening for its potential to reach one specific person—but be overheard by many others.  Maybe that's the key.

In that sense, social media threats are less like a musical performance, and more like a menacing phone call placed on speakerphone for others to hear, or a call surreptitiously recorded by your Russian girlfriend (as with Mel Gibson).

Social media postings are (generally) not for profit, and they are authored by the speaker alone.  In that sense they feel more like the unfiltered statements of present intent.

As protective as we should be of free speech in art, maybe it's time to draw the line at social media.  Then again, I'm biased in a way that perhaps the justices are not.  I'm on social media, and the tweets directed at me from time to time are, let's say, pretty threatening and too profane to reprint here.

Maybe the justices would be less inclined to equate the lyrics of Eminem (as Justice John Roberts recently did)  with the poetic musings of frighteningly abusive tweeters if they had more personal experience with social media.

The NYPD confronts a similar problem.  How is it to know the difference between a true threat, the work of an artist, or some troll sounding off online?

The Supreme Court may contain the brightest minds of our time, but compared with your average 14-year-old, they are Luddites.  I've never seen a hashtag in a Supreme Court opinion, and I seriously doubt the justices spend a lot of time on Instagram.  Tasked as they are with defining threats on social media, will their reasoned opinion reflect a current understanding of how people communicate—or threaten—online?

Even if they do, by then the kids will be onto the next thing anyway

@highlight

Danny Cevallos: Arrests over tweets threatening NYPD raise issue of when speech is threat

@highlight

He says Supreme Court to weigh in soon. Maybe it's time to draw threat line at social media