(CNN) -- Mitt Romney promised Monday to restore U.S. foreign policy to a traditional role dating back decades, based on exerting global influence through military and economic power, in a major speech two weeks before he debates President Barack Obama on international issues.

In the address at the Virginia Military Institute, Romney argued that Obama is failing to provide the global leadership needed and expected by the rest of the world, especially key allies such as Israel.

Romney cited recent protests and violence in Arab countries, including an attack on a U.S. diplomatic compound in Libya that killed the American ambassador and three others, as examples of a worsening security situation that he blamed on Obama's policies.

"It is our responsibility and the responsibility of our president to use America's great power to shape history â€” not to lead from behind, leaving our destiny at the mercy of events," the Republican presidential nominee said, after earlier declaring that "unfortunately, this president's policies have not been equal to our best examples of world leadership and nowhere is this more evident than in the Middle East."

Poll shows Romney tied with Obama after debate

Romney's running mate, Rep. Paul Ryan of Wisconsin, offered a similar criticism on Monday at a campaign appearance in Ohio.

"If you look around the world, what we are witnessing is the unraveling of the Obama foreign policy," the conservative House Budget Committee chairman said, later adding that "if we project weakness abroad, our adversaries are that much more willing to test us, to question our resolve."

In response to Romney's speech, White House spokesman Jay Carney told reporters that the GOP candidate's positions are in most cases similar to Obama's policies, while former Secretary of State Madeleine Albright accused Romney of repeatedly shifting his views.

"I watched the speech with great interest trying to figure out what Governor Romney's policies really are," Albright said on a conference call with reporters set up by the Obama campaign. "This is, I think, the seventh speech he has given on foreign policy over the years, but I think I have come out more confused because he has changed his mind on a number of different issues."

In specific policy examples, Romney called for the United States to join allies in ensuring that rebels fighting government forces loyal to Syrian President Bashar al-Assad get the military hardware they seek. However, he stopped short of calls by some conservatives for Washington to directly arm the rebels.

"In Syria, I will work with our partners to identify and organize those members of the opposition who share our values and ensure they obtain the arms they need to defeat Assad's tanks, helicopters, and fighter jets," Romney said.

He noted that Iran is sending weaponry to Assad's forces "because they know his downfall would be a strategic defeat for them."

"We should be working no less vigorously through our international partners to support the many Syrians who would deliver that defeat to Iran -- rather than sitting on the sidelines," Romney said, making a change from the advance text of the speech that originally called for working "with" international partners. "It is essential that we develop influence with those forces in Syria that will one day lead a country that sits at the heart of the Middle East."

The Obama administration has limited direct aid so far to non-lethal support such as communications equipment. In addition, the United States is vetting rebels and working with Qatar and Saudi Arabia to make sure weapons go to preferred groups.

Obama ad: Romney is 'reckless' with foreign policy

Administration officials have expressed concern about giving weapons to unvetted rebels for fear that the arms could fall into the hands of terrorists.

Romney also criticized Obama's overall approach to the Arab Spring uprisings in the Middle East and the Israeli-Palestinian conflict.

He argued that last month's attack on a U.S. diplomatic compound in Benghazi, Libya, that killed U.S. Ambassador Christopher Stevens and three other Americans "should not be seen as random."

Instead, Romney said the violence "was likely the work of the same forces affiliated with those that attacked our homeland on September 11th, 2001," making a change from excerpts released in advance that described the attackers as likely the same forces from 9//11.

The recent assault in Benghazi, which took place on the 11th anniversary of the 9/11 attacks on New York and Washington by al Qaeda, is under investigation by U.S. officials, with no formal word yet on exactly who was behind it.

In the United States, the intelligence community believes it was "a deliberate and organized terrorist assault carried out by extremists" affiliated with or sympathetic to al Qaeda.

The Obama administration has been criticized for initially blaming the attack on protests over an anti-Islam film produced in the United States, then acknowledging it was a terrorist attack.

Mitt's middle of the road makeover

While Romney sought to distinguish himself from Obama on foreign policy, specific proposals he cited remained similar to what the administration is doing.

For example, he called for ending military operations in Afghanistan by the end of the 2014, the same date set by Obama and NATO, and warned of unspecified steps to stop Iran from developing a nuclear weapon. Obama has said all options remain on the table for preventing an Iranian nuclear weapon.

In one distinction, Romney said Monday that under his leadership, "the United States and our friends and allies will prevent them from acquiring nuclear weapons capability," which differs from Obama's pledge to stop Iran from getting a nuclear weapon.

Nuclear capability refers to the process of being able to develop a nuclear weapon -- a lower threshold than Obama's reference -- and Romney's language matched that of his former business colleague, Israeli Prime Minister Benjamin Netanyahu, on the issue.

Polls show Obama gets higher marks than Romney on foreign policy, and the former Massachusetts governor hurt his international credentials on a three-nation trip this summer that included a high-profile gaffe in which he questioned London's preparedness to host the Olympics.

Full remarks: Romney foreign policy speech

Romney also angered Palestinian leaders with a reference to cultural differences as a reason for differing levels of prosperity between Israel and the Palestinian territories.

In addition, a secretly recorded video of a private campaign event in May showed Romney casting doubt on the possibility of reaching a two-state solution in the Middle East with independent Israeli and Palestinian states.

On Monday, Romney pledged to recommit his administration to seeking the two-state solution and blamed Obama for what he called a negotiation process that has "devolved into a series of heated disputes at the United Nations."

"In this old conflict, as in every challenge we face in the Middle East, only a new president will bring the chance to begin anew," Romney said.

"I know the president hopes for a safer, freer, and a more prosperous Middle East allied with the United States. I share this hope," he said."But hope is not a strategy."

Undecided: What will sway them?

Romney also has faced negative headlines over his quick response to the Benghazi consulate attack. Soon after word broke of the violence, he fired off a statement that was criticized as inaccurate and premature.

Seeking to remind voters of Romney's past gaffes, the Obama campaign released a new ad in Virginia, a battleground in the November 6 election, that characterized the Republican challenger as "reckless" and "amateurish" on international affairs.

The 30-second spot features news clips of what the commercial calls Romney's "gaffe-filled" trip to England, Israel and Poland.

"If this is how he handles the world now," the narrator in the new ad says, "just think what Mitt Romney might do as president."

Responding to the ad, a Romney campaign spokeswoman said Obama was the one who had "weakened" the U.S. standing in the world.

Obama's mixed week

On Sunday, Romney foreign policy director Alex Wong told reporters that the candidate's foreign policy seeks the traditional U.S. role in global affairs dating to the end of World War II.

"Mitt Romney's vision is to restore influence and to support our friends and allies to move the Middle East onto a path of greater liberty, greater stability, and greater prosperity," Wong said. "It's a restoration of a strategy that served us well for over 70 years."

What would you ask Biden, Ryan?

Referring to the U.S. perspective after World War II, Wong said that "we saw the need to have a military that no one would challenge." He also cited the need to have strategic allies around the world as part of what he called a full spectrum of power "so we do not have to face again the horrors of war."

Romney and Obama will debate foreign policy on October 22 in Florida following their second debate in New York on October 16. On Thursday, Vice President Joe Biden and Romney's running mate, Rep. Paul Ryan of Wisconsin, will hold their only debate of the campaign.

Zelizer: VP debates can kill political careers

CNN's Ashley Killough, Elise Labott, Nick Paton Walsh and Rachel Streitfeld contributed to this report.

@highlight

NEW: President Barack Obama's team calls Mitt Romney's policies inconsistent

@highlight

The GOP challenger gives what aides call a major foreign policy address

@highlight

Romney backs U.S. help in arming Syrian rebels

@highlight

Aide: Romney seeks traditional U.S. role in global affairs that dates to the end of World War II