(CNN) -- As President Barack Obama once again announced his intention to bypass Congress and govern through executive order -- this time with Monday's announcement on immigration -- history will ask, is he being presidential or imperial?

Let us consider how his acute use of presumed authority measures up against rulers of other great nations.

History is replete with the chronicles of kings and leaders from biblical times to the present day. In the Scriptures, we encounter King David, who sought to do good in the eyes of God, observed the limits of his kingly mandate and brought relative security and prosperity to his people. Others, including King Saul, exalted themselves, debasing their character and leading Israel into the vicissitudes of calamity, defeat and ruin.

The great kings of history are known to have protected their sovereignty effectively, some through benevolent decree and others through ignominious achievements. Caesar Augustus brought an extended period of peace to Rome. Genghis Khan expanded his empire with efficient brutality. Holy Roman Emperor Joseph II abolished slavery and serfdom in the Austrian Habsburg dominions. Napoleon Bonaparte was known for his superior military capabilities and established the Napoleonic Code, which forbade privilege based on birth. All ruled with relatively unchallenged decree.

Democracy took root in ancient Greece during the sixth century B.C. Members of society were given a voice and vote in a representative democracy that dispersed political power among the people. Many centuries later emerged the Magna Carta after British subjects demanded from their king the right to vote, personal freedoms and participation in government. Our Constitution contains freedoms original to the Magna Carta.

The evolution of our American democracy came through the wisdom of James Madison, Thomas Jefferson, John Locke and other thoughtful intellectuals who envisioned a purposely divided government, with checks and balances through executive, judicial and legislative branches.

In contrast to this vision and the obligations set forth in the Constitution, Obama has openly asserted that he will utilize his pen and his phone (and already has) to change policy through executive orders (royal decrees). His unilateral display of power through executive orders circumvents the checks and balances of Congress and the limits of constitutional law, which he should know well as a former law professor.

Our founders created executive orders for emergencies during a time of travel by horseback when swift return by Congress was impossible. This era has passed.

Many presidents have used executive orders to make recess appointments and other actions, but Obama has issued executive orders to force major policy changes by decree, going well beyond the actions of some other leaders, misusing these emergency powers to enact his will and ignoring the people's elected representatives.

Acting without authorization, the President has altered Obamacare, choosing not to enforce sections harmful to his friends and donors in government, unions and big business. He has expanded the regulatory scope of the Environmental Protection Agency, pacifying his base of environmentalist supporters at the cost of jobs for ordinary, hard-working Americans.

When Congress acted on behalf of the American people and did not seek passage of the Dream Act, the President used executive order (royal decree), leading to our current humanitarian crisis at the border of unaccompanied children unable to provide for themselves.

As if living in a different century, Obama acts unilaterally, uninhibited by what he views as the "nuisance" of Congress.

Most recently, he undermined our national security and impaired the safety of our soldiers by deciding to free five Taliban commanders without consulting Congress before their release.

When we think of kings, we think not only of how they ruled but how they lived. Their lavish castles and opulent feasts. Their lack of consideration as lower classes struggled. "Let them eat cake."

So, too, is the perceived case with our President. In an economy with anemic growth from the President's failed policies, where high unemployment has become the norm with 20 million people either under- or unemployed, a $17.5 trillion debt and dependence on the government required for all too many, Obama appears unaffected.

Our President fully enjoys the pleasures of his office. He vacations extensively, departing at will on Air Force One to luxurious resorts in Florida, California and Hawaii, where his advance team (traveling at taxpayer expense) scopes out the best golf courses. Meanwhile, ordinary tax-paying families are cutting or restricting their vacations.

Obama's behavior seems to fit better the description of royalty rather than president. While history records kings both celebrated and maligned, the President must realize he is not ruling in the centuries of kings.

The media would do well to come to this realization and end their praise of this "President by fiat." We have a carefully, purposely divided government and a system that has proven over two centuries to work remarkably well. The President's contempt for the Constitution and Congress should not be celebrated.

Tragically, Obama will go down neither as a great king nor as a thoughtful president who led the country through the rule of constitutional law and representative democracy.

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Robert Pittenger compares Obama's executive actions with those of other historical leaders

@highlight

From King David to Napoleon, each knew the limits of power, Pittenger argues

@highlight

Obama's unilateral actions circumvents the checks and balances of Congress, he says