New York (CNN) -- A teenage stock clerk who in 1979 left Manhattan for the solace of his mother's south Jersey home appeared shaken and then fell ill, says a relative of the man now charged in the murder of 6-year-old Etan Patz.

"When he moved home, he was really nervous and shaking all the time," added the relative, who declined to be named. "He constantly had diarrhea, and he spent a lot of time just looking out the window."

Etan Patz disappeared that same year after walking to a school bus in Lower Manhattan, the first time he'd walked to the bus alone.

The boy's plight catapulted concern for missing children to the national forefront after authorities splashed his image across thousands of milk cartons.

It's not clear whether Pedro Hernandez -- described by police as an off-the-books former stock boy turned 51-year-old murder suspect -- was ever interviewed in the initial case. But more than three decades after Etan vanished, authorities say Hernandez confessed to the boy's killing after being brought in for questioning last week.

Hernandez has since been charged with second degree murder and is currently awaiting trial. But attorney Harvey Fishbein said his client -- who is currently on suicide watch at Bellevue Hospital in Manhattan -- has not entered a plea due to a pending psychiatric evaluation.

According to police, the former stock clerk claims he lured Etan to the store's basement with the promise of a soda before choking him to death. He then allegedly disposed of the body using a plastic bag, placing the boy inside a trash bin located a block and a half away from his work.

"The detectives thought (that confession) was a feeling of relief on his part," said Police Commissioner Ray Kelly, who described Hernandez as remorseful.

Prosecutors are now confronted with the task of corroborating that confession and piecing together a murder mystery that for decades has been littered with false positives.

The image of Hernandez, meanwhile, has gradually come into focus as attention homes in on the reclusive suspect who, according to his attorney, apparently suffers from a "long psychiatric history" that includes schizophrenia, bipolar disorder and hallucinations.

The Hernandez family -- a large clan consisting of 11 brothers and sisters -- moved from Puerto Rico to southern New Jersey in the early 1970s, a relative told CNN.

Pedro Hernandez attended high school in the Camden, New Jersey, area before moving to Manhattan at the age of 18, sharing an apartment in the city's SoHo neighborhood with his older sister.

Sometime after his 19th birthday, Hernandez took a job as a stock clerk at a corner convenience store. He worked in the Lower Manhattan bodega for roughly a month before returning to his mother's south Jersey home in the summer of 1979, according to family members and police.

Etan disappeared roughly a month earlier on May 25.

Describing Hernandez as having been a quiet young man, relatives say his demeanor changed upon his return to New Jersey. He grew further withdrawn while also frequently becoming ill, they said.

Though his whereabouts after 1979 remain murky, family members say at one point he returned to New York. It's unclear for how long.

Police Commissioner Kelly told reporters last week that Hernandez was injured during a construction job sometime in the 1990s and has since been receiving disability compensation. But a relative claims that the suspect was instead injured during his employment at a clothing factory in Maple Shade, New Jersey.

Twice married, Hernandez fathered a daughter and settled down with a woman named Rosemary, his second wife, who relatives say had always had a crush on him.

But financial troubles followed, and the couple filed for bankruptcy in 1999, according to court documents.

Still, those who claim to know Hernandez offer mixed impressions of his character.

Roberto Monticello, a former SoHo resident who says he knew Hernandez in New York at the time of Etan's disappearance, described him as a "very strange guy."

"He was always by himself," Monticello recalled to CNN affiliate NY1. "(I) never saw him with people."

His pastor, George Bowen, called him a "very quiet, unassuming, almost shy man," who attended church regularly with his wife and daughter, often sitting in the same pew.

"Every Sunday morning I had a conversation with him," said Bowen, who described the interaction as "more or less a greeting."

But the suspect's sister, Norma Hernandez, said their family had for years grappled with the knowledge of her brother's alleged crime.

She says she once walked into a Camden police station in the early 1980s to report the murder, telling authorities that her brother confessed to killing a boy in New York and throwing the body near a dumpster.

But, she says, there's no indication that anything ever came out of that report.

"You feel like they didn't believe you," Norma Hernandez told CNN. "I was expecting something else."

"Police asked whether I was mad" at her brother or had an ulterior motive, she said.

Pedro Hernandez allegedly confided in a church prayer group that included members of his family and his then-spiritual adviser, his sister said, telling them of the alleged killing.

Camden police and Tomas Rivera, a leader of the prayer group, declined to comment.

But Lisa Cohen, whose 2009 book, "After Etan," is widely considered the definitive account of the case, said she remains skeptical about the man's confession, widely considered the signature element of his prosecution.

"I had never heard of Pedro Hernandez before this week," she told CNN.

A separate law enforcement source said Hernandez's claims were being treated with "a healthy dose of skepticism."

Manhattan District Attorney Cyrus Vance ultimately gave the green light to file murder charges against Hernandez, despite the absence of forensic evidence, witness testimony and lingering questions over his mental state.

CNN's Ross Levitt and Chris Boyette contributed to this report.

@highlight

Pedro Hernandez, 51, has been charged with second degree murder

@highlight

Etan Patz disappeared in 1979 after walking to a school bus in Lower Manhattan

@highlight

Hernandez was teenage stock clerk who left Manhattan for south Jersey in 1979

@highlight

The former stock clerk claims he lured the boy to the store's basement and choked him