(CNN) -- If you should find yourself visiting New York -- or even if New York is where you live -- there is a place I'd like to recommend that you stop by.

It won't cost you a penny, yet in its near-silence it offers a priceless perspective on the shrill, gossip-drenched, celebrity-saturated world that surrounds us.

News of glitz and glamour bombards us 24 hours a day: on our computers, on our television sets, in our newspapers and magazines, on the screens of our telephones. A movie star gets in a jam, a singer fails a drug test, a sports star is named in a divorce proceeding -- there is an entire industry devoted to telling us about it, and it is an industry that never sleeps. The roar is constant and deafening.

Which is why there is value in spending a few minutes at 3 E. 53rd Street in Manhattan.

It's a hole in the city -- a slender rectangular space between New York buildings. It is a park, commissioned more than 40 years ago by William S. Paley, who was the pioneering chief executive of CBS, and named to honor his father, Samuel. It has a soothing waterfall, and trees and flowers, and white metal tables and chairs for anyone who wishes to find a moment of tranquility in a hectic world. It's free; it is a privately owned park, but the public is welcome.

And the lesson it teaches is one that you will miss unless you know what used to be there.

That modest-looking little sliced-out space on 53rd Street once housed a structure that loomed as symbolically large and loud in the nation's consciousness as a thousand big-band dance orchestras, as a million high-budget movie premieres. Before there were internet entertainment-news sites, before there were nightly television shows dedicated to reporting on stars and who they date and what they wear, the building at 3 E. 53rd was the epicenter of what is now referred to as buzz.

It was the Stork Club: the single American structure that most epitomized fame.

The Stork Club was the capital of celebrity. It was the brick-and-mortar incarnation of what it meant to make it to the top. From 1934, when the Stork Club moved to 53rd Street after brief forays at other Manhattan locations, to 1965, when it finally breathed its last, it was the most sought-after nightclub in the world.

Frank Sinatra would dine and drink there, as would Grace Kelly; John F. Kennedy was a customer, as were Marilyn Monroe and Ernest Hemingway. Mobster Frank Costello was at home at the Stork Club, but so was FBI director J. Edgar Hoover. Elizabeth Taylor, Joe DiMaggio, the Duke and Duchess of Windsor ... you get the picture. The Stork Club's owner, Sherman Billingsley, had his doormen guard the entrance not with a mere velvet rope, but with a 24-karat gold chain.

But that doesn't explain the hold that the Stork Club had on the American imagination, or why it became the embodiment of stardom. The answer to that can be summed up in two words: Walter Winchell.

Take every entertainment writer, broadcaster, magazine editor and web site purveyor in today's star-soaked culture, combine their impact, and they don't add up to Winchell's reach at the peak of his power. How vast was that reach? Neal Gabler, in his superlative 1994 biography of Winchell, estimated that out of an adult U.S. population of 75 million during the prime Winchell years, 50 million either listened to his Sunday night radio broadcast or read his column, which was syndicated to more than 2,000 newspapers. Winchell's friend and attorney Ernest Cuneo put the number even higher; he estimated that nine out of every 10 American adults either read or heard Winchell every week.

It was often said that, on warm summer Sunday nights, you did not need to own a radio to hear Winchell -- all you had to do was walk down the street and listen to his voice wafting out of all the open windows.

And Winchell's headquarters was the Stork Club. From his seat at Table 50 in the nightclub's Cub Room, he allowed the world of show-business grasping to come to him. The fighting that went on in the Stork Club was not usually conventional fisticuffs; the backstabbing did not involve literal knives. But what went on in there was akin to climbing a slippery pyramid.

What table a person was assigned to in the Stork Club (assuming he or she even got in the front door), who he or she was seen dancing with (often to a tune the orchestra called "The Walter Winchell Rhumba") was a major determinant of national status and prestige. Shining at the Stork Club, and currying favor with Winchell, was a job in itself, to be undertaken with fierce and single-minded resolve.

The stars did just that; the process may have been superficial and it may have been tacky -- and it certainly was a queasy precursor to the celebrity-worshiping universe that is a part of the very air around us today -- but what went on at the Stork Club, as disseminated to the nation by Winchell, made that building the most desired after-dark destination in the country. Not that most Americans ever had a chance of stepping inside; that address on 53rd Street was the hottest of the hot, the most exclusive of the exclusionary.

Which is why going there today -- spending a quiet half hour in Paley Park -- can be such a calming experience. All heat eventually cools; that which was coveted drifts away. The Stork Club fell out of fashion by the time the 1960s arrived, and when it closed its doors for the last time in 1965 and was then demolished, the spotlight-craving crowds had long since moved elsewhere. Winchell has been dead since 1972, his home newspaper, the New York Mirror, having expired a decade before he did. It's doubtful that many people, walking briskly along 53rd, pause to consider that the slim, boxy space leading to the waterfall on the back wall was once a magnet for desperate attention-seeking and strident clamor.

Take a walk into the tiny park, should you be in Manhattan. Listen to the bottoms of your shoes click against the cobblestones. Pull up a chair at one of the tables. Everyone is welcome; there is no pecking order. When you get close enough to the waterfall, the sounds of the city disappear. Where once there was mad commotion and frenzied striving, all of it seemingly so urgent, there is now a stillness steeped in serenity.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Before celebrity websites and cable channels, there was a home for celebrity culture in the U.S.

@highlight

The Stork Club in Manhattan was scene of frenzied activity by the famous and would-be famous

@highlight

Bob Greene says all that remains is a peaceful park with a waterfall

@highlight

Greene: "All heat eventually cools; that which was coveted drifts away"