Turkey's lawmakers voted Thursday to authorize military force against the Islamic State terror group in Syria and Iraq, opening the door to cooperation with a U.S.-led coalition going after ISIS as its fighters laid siege to towns just south of the Turkish border.

The Turkish Parliament voted 298-98 to not only to let the country's military leave its borders to go after ISIS and other terror groups, but also allow foreign troops to launch operations from Turkey. The authorization takes effect Saturday.

It is a big shift for Turkey, a NATO member, which until now offered only tacit support to a U.S.-led coalition of about 40 nations going after ISIS in Iraq and Syria in various capacities.

The mood of Turkey's leaders changed in recent days, with ISIS on the nation's doorstep and tens of thousands fleeing across its border. The Prime Minister asked Parliament to consider military action this week, submitting a motion declaring that Turkey was seriously threatened by the chaos in Syria and Iraq, where ISIS has captured land and is trying to establish an Islamic caliphate.

For months, ISIS has been advancing, capturing portions of northern and eastern Syria and western and northern Iraq for what it says is its new Islamic state, or caliphate.

The fighting has only intensified in the region in recent days, with ISIS advancing and nearly surrounding the Syrian Kurdish city of Kobani, known in Arabic as Ayn al-Arab, just a few miles from the border with Turkey.

If ISIS takes Kobani, it will control a complete swath of land from its self-declared capital of Raqqa on the Euphrates River to the Turkish border, more than 100 kilometers (60 miles) away.

Residents told to evacuate

Residents in Kobani were ordered to evacuate Thursday by the local defense force, the Kurdish People's Protection Unit (YPG), as ISIS advanced on three fronts, seizing a number of villages just outside the city, Mustafa Abdi, a media activist in the city, told CNN.

Abdi said he was waiting at the border at Mursitpinar with approximately 3,000 people waiting to cross into Turkey.

Saroat Saeed, a university student, said he had made it across the border after waiting with what he said were the last civilians to leave Kobani.

Only fighters trying to defend the city now remain, he said, but it is surrounded by ISIS and they face a dire situation.

Alan Minbic, a YPG fighter, said Kobani had now been declared a military zone by the Kurdish force's leaders. ISIS has Kobani surrounded from three sides and its fighters are positioned very close to the city, he said.

Kurdish snipers have taken up positions on high ground around the city but can expect ISIS shelling to try to dislodge them, he said.

The YPG is now expecting ISIS to try to enter the city itself, Minbic said, adding that guerrilla warfare is the best chance for the defenders of Kobani because they hold the city and know it well.

'We are not afraid to die'

Another YPG fighter who gave only his first name, Botan, said from Kobani that the Kurdish forces were determined to fight on.

"ISIS has surrounded us but we will fight, we are keeping our morale high," he said.

"We know, we have also seen, what ISIS is capable of, what brutality they can do. ... We know what they can do but we are not afraid to die, we are not afraid to fight. We know what will happen if ISIS takes over our town and what they will do to us."

The fighters will resist neighborhood by neighborhood, he said.

"Our fight is not just for the Kurds, it is a fight for all of humanity. When people are getting their heads chopped off and tossed aside like animals, it is a duty to fight."

The Syrian Observatory for Human Rights, a London-based monitoring group, said Thursday that clashes had been reported between YPG and ISIS fighters only a few hundred yards from the east and southeast of the city.

ISIS militants have seized more than 350 villages in the past 16 days and displaced no fewer than 300,000 people from Kobani and the surrounding countryside, it said.

Many have taken to social media to ask why there has been seemingly little attention by the United States and its coalition partners paid to helping the Kurdish fighters in Kobani hold off ISIS.

On Twitter, people are using hashtags #ObamaHearKobani and #SaveKobani as part of an effort to raise the question.

There was at least one airstrike near Kobani on Thursday by the coalition, according to the U.S. military. The strike targeted an ISIS checkpoint near the town, the military said.

Turkey's decision on military action came a day after newly appointed NATO chief Jens Stoltenberg stressed at his first news conference that the defense alliance was committed to protecting Turkey if it comes under attack.

Special forces deployed

A possible threat to an ancient tomb -- located in Syria but considered a Turkish enclave -- also appeared to be a factor in Turkey's decision to approve going after ISIS. Reports had emerged that ISIS surrounded  the tomb of the grandfather of the founder of the Ottoman Empire.

President Recep Tayyip Erdogan has dismissed reports that ISIS had surrounded the site. But the debate in Parliament mentioned  increasing security risks to the white marble mausoleum.

As part of the Treaty of Ankara in 1921, which ended the Franco-Turkish War, Turkey was allowed to keep the tomb despite its location in Syria, to place guards at it and to raise a Turkish flag over it.

Opinion: Will Turkish boots on ground really defeat ISIS?

There have been conflicting reports in recent days about what has happened at the tomb and its guards, with some claims emerging that ISIS fighters briefly took the guards captive. It has also been widely reported that ISIS has had the tomb surrounded for months.

So valued is the tomb said to contain the remains of Suleyman Shah -- grandfather of Osman I, the founder of the Ottoman Empire -- that Turkey deployed special forces soldiers in March when ISIS began to take villages and towns surrounding the tomb.

Allen: 'Important moment' for anti-ISIS coalition

U.N. report details abuses

While Turkey approved the use of military action against ISIS, a new United Nations report outlined "a staggering array" of human rights abuses committed by ISIS in Iraq over a nine-week period, including executions, killings, rape and the desecration of religious sites.

The report documents "acts of violence of an increasingly sectarian nature" by ISIS and associated armed groups and says their abuses appear to be widespread and systematic.

From women reportedly being shot in the head for refusing to treat ISIS fighters, to the execution of Sunnis who refused to swear allegiance to ISIS, to the suicide bombing of a Shia mosque, it's a litany of horrors.

Produced jointly by the U.N. Assistance Mission for Iraq and the Office of the U.N. High Commissioner for Human Rights, the report covers the period from July 6 to September 10, when ISIS was advancing across a swath of northern Iraq.

The abuses "include attacks directly targeting civilians and civilian infrastructure, executions and other targeted killings of civilians, abductions, rape and other forms of sexual and physical violence perpetrated against women and children, forced recruitment of children, destruction or desecration of places of religious or cultural significance, wanton destruction and looting of property, and denial of fundamental freedoms," the report said.

White House exempts ISIS strikes from civilian casualty guidelines

@highlight

Coalition airstrikes targeted ISIS near Kobani, U.S. military says

@highlight

Strikes come as criticism mounts about the coalition response to Kobani's plight

@highlight

Residents ordered to leave as ISIS fighters advance on Kobani, flee across border

@highlight

Kurdish fighter says Kobani is now a military zone, defenders will fight in the streets