(CNN) -- Kieren Keke remembers growing up on the Pacific island of Nauru, the world's smallest independent republic.

"The weather patterns were predictable," he says. "There was a wet season and a dry season, an annual cycle. When there was drought, it was limited."

"Now it's different," he tells CNN. "There's no predictability -- periods of drought can last seven or eight years, and when we get storms they are more intense. The coastline is being eroded. Now the sea is right up to people's doorsteps."

Keke is now foreign minister of Nauru, and leads the Alliance of Small Island States (AOSIS) at the current U.N. Climate Change conference in Doha, Qatar. The Alliance is fighting a David-and-Goliath battle with the world's biggest polluters -- trying to shame them into tougher action to limit emissions and curb the warming of the planet.

Read more: Project to turn desert green trials in Qatar

The 43 members of the Alliance include countries that are literally disappearing amid rising sea levels. And they accuse the likes of India, China and the United States of not addressing climate change with enough urgency.

The Inter-Governmental Panel on Climate Change said in 2007 that sea levels would rise between seven and 23 inches (18 and 59 centimeters) this century, but a rate of ice-melt in the Arctic that is much faster than anticipated has prompted many scientists to raise the projection to about one meter, more than three feet.

Among those most threatened are the Marshall Islands, halfway between Hawaii and Papua New Guinea. The highest point on the 29 atolls and five islands is 33 feet (10 meters) above sea level. The capital, Majuro, is just three feet above sea level and was inundated by high tides four years ago.

Read more: Arab youth offers hope for Doha climate talks

"Low-lying atolls across the Pacific are slowly vanishing," Keke says.

In Nauru, too, people don't have many places to go. The island -- which on satellite imagery looks like a white pebble in the deep blue expanse of the Pacific -- is eight square miles (21 square kilometers) and has a population of some 10,000, almost all of whom live on the coastline. The highest point is 200 feet above sea level, but much of the interior has been ravaged by the effects of phosphate mining. And the nearest neighbors are some 180 miles (almost 300 kilometers) away.

Keke says the Alliance wants the 190-odd delegations in Doha to "ramp up their ambitions" because current scientific projections about the warming planet will otherwise wipe out a number of low-lying states. But time is pressing. The Kyoto Protocol, the only binding international agreement on emissions, expires in less than four weeks. And the Doha conference is due to end later this week.

Read more: Greenhouse gases reached record highs in 2011

"Some countries are ready to sign up for a second commitment period to Kyoto," which would last from 2013 to 2020, Keke says. Among them the European Union and Australia. But Canada, Russia and Japan are among governments that have already said they won't sign onto an extension of Kyoto, a stance that Keke says is "very disappointing."

They are demanding that countries like China and India -- now the first and third emitters of greenhouse gases -- to be bound by new targets, along with the industrialized world.

China and India, as developing nations, were excused from the commitment adopted at Kyoto by some 40 developed nations to cut their carbon emissions by 5% by this year, compared with the level in 1990.

Measuring sea levels among the Pacific islands -- and trying to establish trends -- is complicated by the effects of the weather systems known as El Nino and La Nina, according to climatologists. But beyond the threat of higher sea levels, the warming climate produces more extreme storms, and more acidic water bleaches coral reefs.

Then there are the fish. Many of these island states rely on fishing to survive and as a source of revenue, but as ocean temperatures warm, fish move. Tuna don't like it hot and swim toward cooler, nutrient-rich waters. A paper prepared this year by the Secretariat of the Pacific Community forecasts that currents and changes in water temperature will mean that "tuna are likely to move progressively toward the east" -- away from the islands of Oceania.

"Traditional food sources and ways of living will be at risk," Keke says.

AOSIS is asking U.N. officials at Doha not to allow this conference -- the 17th since the Kyoto Protocol was adopted in 1997 -- to degenerate into a last-minute take-it-or-leave-it declaration, as have previous sessions of the U.N. Framework on Climate Change. But these conferences have a habit of coming to life only when the main players turn up in the final days, and past meetings have led to shallow agreements that revised the process of negotiation rather than established real commitments.

Whether Doha will be much different, and whether Keke and his colleagues from the Alliance of Small Island States will see a glimpse of hope on the horizon, may become clearer by the end of this week.

At present they don't sound very optimistic, releasing a statement Monday that reads: "We begin the final week of negotiations in Doha with the sober recognition that time is running out to prevent the loss of entire nations and other calamities in our membership and around the world."

@highlight

Lands in the Alliance of Small Island States are disappearing amid rising sea levels

@highlight

The Alliance is pressing for action at the current Climate Change conference

@highlight

The warming climate also produces more extreme storms and affects fishing

@highlight

Alliance members do not sound optimistic about the conference