London (CNN) -- Three summers ago, my wife and I were settling into a short summer holiday when I received an unexpected phone call from the police chief in Tottenham, the part of North London where I grew up and now represent in the UK Parliament. Phone calls from police officers are not uncommon in my line of work, but when the chief's number appeared on my screen I knew this was serious.

I was right. The voice at the other end of the phone informed me that a black man had been shot dead by armed police in my constituency. His name was Mark Duggan. I knew immediately that I had to return home, and jumped on the first train back the following morning.

I arrived back in time to watch as fire and unrestrained violence tore through my favorite local cafes and shops, and shattered glass covered the streets I have walked on all my life. The High Street just yards from the house in which I grew up was engulfed in flames, with homes set alight and buildings ransacked.

This was the start of four nights of rioting, looting and widespread disturbance that made international headlines and wreaked havoc in communities across England.

Watching the live footage coming out of Ferguson, Missouri, has brought these memories flooding back.

5 things to know about the Michael Brown shooting

While there are differences between the Tottenham riots and events in Ferguson, the similarities are stark. Michael Brown is not Mark Duggan, but he is yet another black man controversially shot dead by police.

The police officers have different uniforms and the rioters different accents, but the sense of distance and distrust between them is all too familiar.

And the human cost of rioting -- the businesses destroyed, homes damaged and relationships shattered -- transcends all borders.

Soon the violence will stop, the streets will empty and the broken glass will be quietly swept away.

As a degree of normality returns to this Missouri town, journalists will drift away and the TV cameras will move on.

What will be left is a deeply scarred and divided community. The distrust and anger that is compounded by these type of events endures long after public attention has turned away. Healing these divisions will take time, money and commitment.

What is crucial is that Ferguson is not left to deal with this alone. When a community so publicly fractures in the most devastating of circumstances, it needs outside help to heal.

After the violence in London stopped, the Mayor and the Government committed to a series of reviews, commissions and repair funds that would take place over the coming months. While these were not entirely effective, they did ensure that the needs of the community were not simply forgotten.

A damaged community being left to its own devices, with no one to mediate the anger and accusations between different parties, is not a recipe for progress.

Much of this work will focus on repairing the relationship between the police and the communities they operate in. Police forces can operate only with the consent of those that they are policing; deep distrust in the police puts that at risk.

The first part of this process will involve establishing the truth about what lead to Michael Brown's death, and bringing any wrongdoers to justice. But the protesters on Ferguson's streets know that Michael was not the first young black man shot dead in controversial circumstances, and nor will he be the last. Deeper, more long-term fixes are required.

This will require serious effort on both sides to rebuild and move forward. London's current police commissioner, Bernard Hogan-Howe, knew this when he committed to virtually abolishing the controversial and divisive practice of stop and search. So too did New York Mayor Bill de Blasio when he focused his election campaign on the problems caused by its transatlantic cousin: stop and frisk. Similar leadership will be needed in Missouri.

My experience suggests that, with time, police-community relations can be rebuilt. In Tottenham, problems remain but the divisions are nowhere near as deep as they once were.

The solutions, though, must go deeper than police reform.

What became clear from speaking to those who had been involved in the August 2011 UK riots was a sense of alienation -- an awareness that these people felt they had nothing to lose. They were rebelling not just against the local police but against a society they felt they had no stake in. It was, on the whole, those without a job, an education or the hope of a brighter future who were most likely to risk a jail sentence for the sake of a new pair of Air Max trainers.

More must be done, through employment, education, urban regeneration and community programs, to integrate these groups with the rest of society.

So, too, should we address the problems that have arisen from the social revolution of the 1960s and the economic liberal revolution of the 1980s. Liberalism has made our societies fairer and more tolerant, but in excess it leads to a hyper-individualism that trumps our shared interests and makes us aware of our rights but not our responsibilities.

Both in Tottenham and in Ferguson, legitimate protesters were joined by an opportunistic minority. In London, people who had never heard of Mark Duggan rushed down to Footlocker to grab whatever looted trainers they could lay their hands on. Whole families were caught on CCTV making off with widescreen televisions robbed from electronics stores. This sense of entitlement, together with an absence of responsibility or the ability to delay gratification, was also present in pre-crash Wall Street and in the Enron boardroom; it has been very visible in recent years at both ends of society.

Since the 2011 UK riots, similar disturbances have taken place in Sweden, Italy, Belgium, Spain, France and the USA. While the immediate anger usually forms around a particular event or a specific government policy, all of these events stem from much deeper and more fundamental issues that continue to rumble below the surface in communities across the developed world.

Every now and then we see an eruption, as in Ferguson. It is a sign of the fractures that have emerged in our societies. We should not allow ourselves to think that they are nothing more than isolated events.

Full coverage of shooting, unrest in Ferguson

Magazine: The Aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

@highlight

British MP says Ferguson will need outside help to heal

@highlight

He represents area of London hit by riots in 2011 after black man killed by police

@highlight

David Lammy says healing goes far beyond rebuilding trust between police and community

@highlight

And he says riots are a sign of the fractures in our societies