(CNN) -- It's unlikely commercial aviation stories in 2014 will surpass those of 2013 for pizzazz or significance.

This is probably a good thing.

Who could have foreseen the three-month grounding of the entire Boeing 787 fleet when we forecast events for 2013?

We were only 16 days into 2013 when 50 787s worldwide were grounded following a battery fire on a Japan Air Lines 787 and a near-fire occurred days later on an ANA 787 flight.

Boeing Co. ended the year with embarrassing, dysfunctional standoff with its largest union, the International Association of Machinists District 751, over where the 777X (successor to the popular 777 airliner now in service) will be built.

In between these bookends were first flights of the Boeing 787-9, Airbus A350 XWB and Bombardier CSeries. The latter was an attempt by the Canadian firm to challenge Airbus and Boeing at the lower end of the mainline jet sector.

And American Airlines and US Airways merged in December after negotiating a settlement to a surprise lawsuit by the U.S. Department of Justice (which sought to block the merger) creating what is widely regarded as the world's largest airline.

By comparison, 2014 should be relatively quiet.

That's not to say it won't be fascinating.

Here's what we forecast for the major players in the year ahead.

Consumers: More fees, tighter seats, "connected" flight attendants

Passengers will get more opportunities to connect with the Internet while in-flight, but at a cost, as airlines continue to seek more profits from ancillary fees.

It's likely that a number of fees will rise in 2014: ticket change fees, on-board purchases and baggage fees being the biggies.

More passengers in the United States will be able to apply for TSA Pre-Check, as that program expands. Previously, the program has been largely confined to frequent fliers invited in by the airlines and those who applied for and were approved for Global Security and Nexus programs.

TSA Pre-Check allows passengers to keep shoes and jackets on, laptops and 3-ounce liquids packed and even pockets filled -- just like the pre-9/11 days.

The ugliest projection for 2014?

Tighter seating.

"Airlines will continue to reconfigure their aircraft with slim seats in super-snug seating configurations, in a bid to squeeze in more passengers and generate additional revenue," says Mark Kirby, founder of the Runway Girl Network website that tracks passenger experience.

"Yet, in parallel with this trend, carriers are also moving rapidly to offer the type of technology in-flight that will distract our brains from the pain, including providing power for our personal electronic devices, faster/better connectivity, wireless in-flight entertainment and, increasingly, personalized service from flight attendants who will be armed with 'connected' tablets."

Boeing: Preserve or obliterate its largest union?

The U.S.-based multinational behemoth is expected to announce in January where it will build its new 777X.

The decision may be of limited global interest (though Japan is bidding on building the wings), but it's a matter of burning interest in the United States, particularly in Washington State, Boeing's traditional base of manufacturing.

Washington stands to lose upward of 27,000 direct and indirect jobs in the 2020 decade if the 777X is built outside the state.

The location hinges on a January 3 vote of Boeing's "touch labor" union, the International Association of Machinists District 751.

If members vote to accept a revised version of the contract offer they rejected by a 2-1 margin on November 13, the 777X assembly and wing production will be placed in the state's Puget Sound area.

If not, the jobs could go elsewhere -- or the fuselage may stay in Washington with wing production at another site.

UPDATE: In a stunning reversal of the November 13 vote, IAM union members on Jan. 3 voted narrowly to accept the revised contract. The vote was 51% to 49%.

Members continued to object to the terms and conditions of Boeing's revised contact offer. They said it wasn't much better than the one rejected November 13 on a 67%-33% vote. But heavy pressure within and from outside the union, particularly from elected and civic officials in the Seattle area, and the fear of losing jobs in the long-term, appeared to be enough to sway the vote.

By March, Boeing should announce where it will assemble the 787-10 -- expectations are for its plant in North Charleston, South Carolina.

The 787-9 is in flight-testing, which by all reports is going smoothly.

Boeing is currently scheduled to deliver the first 787-9 to Air New Zealand in June.

Airbus: End of the line for A350-800?

The European company's highly anticipated A350-900 aircraft began flight-testing just before the 2013 Paris Air Show and is proceeding smoothly.

Officials claim the program is "on track" for first delivery to launch customer Qatar Airways in 2014, but the precise date has been a moving target.

First it was mid-year.

Then the company said September would be the magic time.

Then delivery became November or December.

More generically, officials say delivery will come in "late 2014."

It's possible delivery could slip to early 2015. Whether it's late 2014 or early 2015 matters little, just so long as delivery doesn't slip beyond that.

More interesting for aviation geeks is what appears to be the drip, drip, drip demise of the smallest family member, the A350-800.

There are now just 61 in backlog, following the widely expected decision by the new American Airlines to swap merger partner US Airways' order of 18 A350-800s for the larger -900 model.

Industry experts believe Airbus will continue to urge customers to swap to the -900 and formally or informally discontinue offering the -800 this year.

This would be followed by a decision to launch a re-engined version of the popular A330, a model that entered service in 1994 and has sold more than a thousand planes.

Problem is, the A330's older engines aren't competitive with the new technology power-plants on the 787 and the A350.

A re-engined A330-300, with derivatives of the Rolls-Royce and GEnx engines used on the 787, would make the A330 much more competitive.

Given its far cheaper price tag than the A350-800 or 787, this could give the aircraft life well into the 2020s.

Bombardier: Huge expectations, precious little time to reach them

Traditionally operating in the shadows cast by Boeing and Airbus, the Canadian aircraft company will have to sweat a bit if it wants to steal some of the spotlight it bid for in 2013.

This makes it one of the more interesting players to watch in the year ahead

Bombardier's CSeries aircraft made its first flight September 16. Since then, company officials have stuck with an aggressive entry-into-service (EIS) plan to follow within 12 months

Slower than expected progress on flight-testing and a test schedule largely discounted as too optimistic, however, have led most aerospace analysts to conclude that the aircraft won't likely see service until the first quarter of 2015.

Maybe even later.

Swiss Airlines, an early customer, is supposed to receive its first CS100 in February 2015, based on the current September 2014 EIS plan.

Bombardier officials told a Swiss newspaper the company is now planning delivery in the summer of 2015 or even later, at least five months beyond projections.

Bombardier is expected to give an EIS update on its 2013 year-end earnings call February 11. A new delay of six-to-nine months is expected to be announced.

An EIS date slip from the original plan of December 2013 to mid-2015 (a period of about 18 months) would put the aircraft on a par with the A350's delays, but well ahead of the 3 Â½ years of delays for Boeing's 787.

@highlight

The ugliest projection for 2014? Tighter seating

@highlight

Burning January issue: Boeing's decision on where to build its new 777X

@highlight

Airbus may begin phasing out A350-800

@highlight

Planned for service in September 2014, Bombardier's CSeries will likely be delayed