(CNN)This is a difficult but necessary thing to say: Incidents of police-involved killings and assaults on unarmed African-Americans are unlikely to end soon. That's partly because police brutality is neither new nor reflective of a "moment." And it's also because we have not yet shown the resolve needed to end it. This is a reality we must face if we are going to reverse course from what has become a national crisis.

The peaceful protests that were followed by outbreaks of violence in Baltimore this week have underscored the danger of ignoring the crisis -- as frustration and impatience with the status quo boils over. The violent response of police officers to unarmed African-Americans is a decades-long phenomenon that has too often been dismissed as "race card" politics and black grievance. But this year's spate of killings and assaults, from Ferguson, Missouri, to North Charleston, South Carolina, to most recently Baltimore, are part of a deadly continuum of conduct that has created a well of resentment and anger in the  African-American community.

So what makes now different? The advent of cell phone cameras and social media has for the first time allowed average citizens to document police brutality routinely and to disseminate these images nationally. As a result, it is no longer possible for officials and commentators to downplay or deny the existence of police brutality against unarmed African-Americans as has happened in the past.

To call this ugly and unrelenting wave of police violence against unarmed African-Americans a national crisis is not an exaggeration -- we are losing the confidence of a generation of young people who no longer believe in the legitimacy or credibility of our law enforcement and the justice system that underpins it. A true democracy draws its strength from the confidence of its citizens in the bedrock institutions. The loss of that confidence threatens the very foundation of our legal system.

How do we face this crisis?

First, we must recognize that there are no quick fixes. The culture of policing in cities such as New York and Baltimore has developed over decades. Policing is a job passed down through families in which law enforcement norms and narratives are shared around the dinner table as much as in the station house. To subvert that culture will require vigorous, targeted and consistent training. That training must include a focus on managing implicit bias, encounters with the mentally ill and how best to de-escalate encounters with members of the community, especially young people. Training must be accompanied by supervision and accountability for officers who fail to conform their behavior to training principles.

President Barack Obama is right when he reminds us that policing, like education, is a function of state and local government. And it's true that his options are limited. And yet the federal government has proven to be quite adept at influencing education policy in states and cities. How? By conditioning federal funds on compliance with federal standards. In contrast, while the Department of Justice provides more than $1 billion annually in grants to police departments across the country, those funds are provided free from obligations that awardees adopt federal standards on training, data collection or other measures with an explicit anti-racial bias focus. That must change.

Also, the Civil Rights Division of the Justice Department must be properly funded to investigate any police departments suspected of engaging in a pattern and practice of discrimination. Such investigations doubled to more than 20 under Attorney General Eric Holder, but given the nearly 30,000 police departments spread across the country, this is woefully inadequate. It's been reported that nearly every investigation conducted by the department has resulted in a finding of a pattern and practice of discrimination. The results in places such as Seattle and Cincinnati, where the departments worked with local officials to negotiate changes to local police practices, are promising. But the $12 million currently allocated to these investigations nationwide is a shameful pittance.

Much has been made of rogue police officers, "bad apples" and other aberrant actors in the criminal justice system. They undoubtedly exist. But the failure of local law enforcement leadership to vigorously and aggressively discipline, punish and, where appropriate, remove those officers from police forces around the country has allowed the bad apples to spoil the whole bunch. There must be zero tolerance for racism, brutality and corruption in police departments.

Making this change will require law enforcement to value the integrity of the badge over the unquestioning solidarity that has too often resulted in the protection of officers who have committed egregious acts. Yet until police officers come to expect swift and certain punishment for violating their oath to protect and serve, we are unlikely to see a real decrease in incidents of racially motivated police brutality.

Ultimately, the crisis we face presents an opportunity to rethink policing in this country fundamentally, including who we decide to recruit to serve. Former Baltimore Police Commissioner Leonard Hamm, for example, has told me he was always skeptical of new police recruits who expressed a desire to become narcotics or homicide detectives. That thinking reflects a spirit of adventure, he told me, rather than a spirit of service.

Hamm is right -- policing is, at its core, a service profession. Those we select for this difficult and dangerous job should not only demonstrate mental toughness, courage and smarts, but also integrity, maturity, empathy and a commitment to the communities they serve.

A national crisis requires a national response, and that means that federal, state and local law enforcement leaders and organizations must honestly and aggressively move to end police brutality. Until we see that kind of wholesale engagement, the lives of innocent people -- and the integrity of our legal system -- hangs in the balance.

@highlight

Sherrilyn Ifill: Police violence against unarmed African-Americans is a national crisis

@highlight

U.S. policing needs dramatic overhaul, she says