Bekaa Valley, Lebanon (CNN) -- In surroundings even dirtier than the war they escaped, Syrian refugee children in Lebanon now face another potential threat: polio.

Highly contagious and potentially deadly, the crippling and incurable disease recently re-emerged in Syria, paralyzing 17 children there.

And as the country's brutal conflict continues to spill over its borders, aid workers know they have to act fast, since viruses can often spread quicker than violence.

Until this year, no polio cases had been reported in Syria since 1999, and aid agencies say the risk of it spreading to other countries in the region is high.

The level of concern is so great that they're going from tent to tent in Lebanon's Bekaa Valley, as part of the largest immunization program against polio in the Middle East.

"There are new families, they are escaping from the war in Syria," Dr. Zein El Dine Saad, of Lebanon's Health Ministry, told CNN. "We are afraid [in case] just one of these [families] are infected by the virus, by this polio virus."

Record sum needed to handle burden on Lebanon from Syria's civil war

The United Nations Children's Fund (UNICEF) and the World Health Organization (WHO) are attempting to vaccinate as many as 23 million children across the region.

According to the WHO, vaccinations will also be carried out in other countries including Iraq, Jordan, and Turkey.

"In order to stop the outbreak and prevent further spread, organizers aim to vaccinate, repeatedly over the next few months, all children under the age of five, whether they are living at home or displaced by conflict," UNICEF explained in a statement.

"As if children in Syria had not suffered enough, they now have to contend with yet another threat to their health and well-being," said Maria Calivis, UNICEF's Regional Director for the Middle East and North Africa.

"The current polio vaccination efforts are a huge undertaking by many partners, but we can only halt the spread of the virus if we reach those children who have remained out of reach," Calivis added.

Tiny Lebanon, which neighbors Syria and has absorbed the highest concentration of refugees - over 800,000 so far, is considered to be at particular risk.

Maria Assi is head of Beyond Association, one of the Lebanese non-governmental organizations working with UNICEF and the Lebanese Health Ministry to carry out the vaccinations. She said "refugees from areas within Syria where polio reemerged arrive into Lebanon daily, "making the immunization campaign vital."

Read more: Polio cases confirmed in Syria, says WHO

Assi said that during phase two of the campaign, "within tented settlements in Lebanon, Beyond, UNICEF and the Lebanese Health Ministry were able to vaccinate around 95,000 children" aged 5 and younger.

CNN accompanied Dr. Saad and his team of medics during part of the immunization campaign, while they were inoculating all the children aged five and under who they could find amongst the ramshackle tents in the Bekaa Valley.

Asked if the appalling conditions at this makeshift camp make it an ideal breeding ground for the virus, he was quick to respond: "Yes, yes. Of course, of course."

Here, the children routinely wade through and play in filth - it's a sickening and terribly sad sight. With trash and human waste all around, families here are effectively living in an open sewer.

It's hard enough trying to walk through the camp site, let alone trying to live here.

One 10-year-old boy told CNN how sick he was of living in these conditions.

"The dirtiness all around," he said, shaking his head, as if both embarrassed and enraged, "it's filthy - life here isn't good."

Doctors warn it isn't just polio that these children are at risk of -- they could easily contract anything from hepatitis to scabies to the mumps.

"This overcrowding and the mud," explained Dr. Saad, looking around. "The bad sanitation -- everything is bad here."

Now, to make matters worse, winter is at hand, and the cold is only exacerbating the refugees' misery.

Asked if her family feared getting sick, 12-year-old Maria Ali admitted they were.

"Of course we're worried. We're all crowded together here - if one person gets sick, they'll definitely spread it to everybody else here too."

As the aid workers packed up for the day, the parents who had been worried about polio also wondered how they'd shield their families from the elements; this is one of the worst winters on record and there's no let-up in sight.

But the children kept on playing; no matter how young they are, for them, the harshest possible existence is almost expected.

Read more: Syrian refugees face miserable winter in Lebanon
Read more: Europe 'must do more to help Syrian refugees'
Read more: Another year of horror for Syria's children

@highlight

WHO says 17 cases of polio have been found in Syria in recent months

@highlight

Experts now fear the disease will spread over the country's borders into refugee camps

@highlight

Medics are carrying out a mass immunization campaign across the region, including Lebanon

@highlight

Polio is highly contagious and potentially deadly; it can cause paralysis