(CNN) -- Intan Suci Nurhati was on her way to a religious gathering when her sisters called to say they were under attack.

"They were running for their safety as they called," she said. "When I heard, I realized how far it was to the main compound, and I was like, 'Oh, my God.' "

Nurhati and her family are members of a Muslim minority sect called the Ahmadi, who hold annual gatherings in each country where they have a community. It was in July 2005 that the Indonesian gathering came under attack by -- Nurhati estimates -- 10,000 people throwing stones.

The protesters outnumbered the Ahmadi by 100 to 1.

Nurhati was on her way to the gathering in Parung, West Java province, from the capital Jakarta with a member of the Indonesian Parliament when the attack happened.

By the time she arrived, houses and books had been burned, she said.

"No one was killed, but there were some minor injuries from the throwing of rocks. We decided to call off the conference. It was unsafe to go on with the gathering," said Nurhati, 27, a graduate student studying climate change at Georgia Institute of Technology in Atlanta, Georgia.

"There was so much anger in their faces," said Nurhati, a native of Indonesia who has been living in the United States for 10 years.

Police provided buses to get the Ahmadi community to safety, but Nurhati does not know of any arrests or prosecutions as a result of the attack.

"It was really disappointing. We have the right to be there. But the police were trying to minimize the clashes, rather than trying to say we have the right to be there," she said.

Indonesia -- the most populous Muslim country in the world -- is often touted as an example of tolerance and democracy in the Islamic world.

But a huge new study suggests it's actually among the most restrictive countries in the world when it comes to religion.

The study charted publicly reported incidents of religious violence, intolerance, intimidation and discrimination in 198 countries and territories from mid-2006 to mid-2008, its authors said. Brian Grim, the lead researcher on the project, said he worked on the study for more than three years.

The report looks not only at legal restrictions, but also at how laws are implemented and how social tensions restrict freedom of religion, even where there is no official or legal bar against the practice.

Indonesia has both.

In fact, more than two out of three people around the world live in countries with high or very high restrictions on religion, according to the report, which claims to be the first to systematically measure religious discrimination.

It produced some surprising findings and makes it possible to compare countries in ways that could not be done before, its authors say.

"Most reports don't try to quantify," Grim said. "What you are left with is studies that don't allow you to see patterns."

The study, "Global Restrictions on Religion," found some interesting ones.

For example, "religion-related violence happens in the majority of countries, but only in one in 10 does that escalate" to terrorism causing casualties, Grim said.

The study tracked violence between religious groups in 126 countries -- 64 percent of the countries in the survey. But there was religion-related terrorism leading to injury or death in only 17 countries -- 9 percent of those in the study.

In about a quarter of all countries, majority groups use force or threat of force against minority religions, according to the study, from the Pew Forum on Religion & Public Life in Washington.

Nearly half of all countries restrict the activities of foreign missionaries or prohibit them altogether.

Ninety percent have some requirement that religious groups register with the government, usually in return for some benefit such as a tax exemption. But in 40 percent of countries, those registration requirements result in major problems for those groups.

"Others often focus on naming and shaming, but this one is looking more in depth at what goes on on the street in countries -- what affects a person's ability to freely practice religion in society," Grim said. "Sometimes, one incident of violence can affect a whole country."

The report also makes it possible to compare what kinds of restrictions are placed on religious practices in different countries.

China, for example, has tight legal controls on the practice of religion, but has has relatively little social conflict over faith. India, by contrast, has only moderate government restrictions on religious observance, but very high levels of social hostility -- primarily between Muslims and Hindus.

Brazil has the lowest ratings in both categories among the 25 largest countries in the world, while Pakistan has the highest, followed closely by Indonesia. Egypt, Iran and Bangladesh also rate poorly for religious freedom, while Japan, the United States, South Africa, Italy and the United Kingdom score well.

European governments place more restrictions on religion than do governments in sub-Saharan Africa or South America, the survey concluded.

While the U.S. has a low level of government restriction on religion, it does experience a moderate amount of social tension, the report found.

"The test is not whether someone who belongs to the majority faith and is affluent and is socially advanced feels restrictions, but whether religious minorities do," said Alan Cooperman, associate director of research at the Pew Forum. "So in the United States, what does a Muslim woman who wears a hijab in a small city feel?"

Religious discrimination in the United States is not simply a matter of people feeling uncomfortable, he added.

"Law enforcement officials report to the FBI every year on hate crimes, including religious bias," he said. "There were about 1,400 each year [in the study], and they were reported in nearly all 50 states. Those crimes run the gamut, but they include arsons."

The U.S. was also marked down because of the Bush administration's "global war on terror," Grim said.

"The fact [is] that we have detainees from a war that at least one side is calling religion-related -- the Guantanamo detainees," he said.

Neither the September 11, 2001, attacks and their aftermath, nor the shootings at Fort Hood in Texas this year were included in the time period covered by the study, he said, but both could have increased the U.S. score for social hostilities based on religion, Grim said.

"Scores are not fixed. Situations can change, which is why we are looking at this as an over-time study," he said. "Countries and societies will change in how they respond to the situations they face."

In fact, the authors plan to revisit the question of religious restrictions regularly, so they can track changes over time, and the U.S. might rank differently when the Fort Hood shootings are included -- if investigators rule that they were motivated at least partly by religion.

The study authors do not assign motives to incidents of discrimination, instead relying on local sources to determine the causes.

The study does not rank countries from "best" to "worst" -- saying such a list would not be meaningful -- but instead groups them into those with very high restrictions, high restrictions, moderate or low.

It does not include North Korea, because there is not enough reliable data from the reclusive communist state, the authors said.

CNN's Tricia Escobedo in Atlanta, Georgia, contributed to this report.

@highlight

Study charts discrimination, violence, intimidation in 198 countries, territories

@highlight

It looks at how legal restrictions, social tensions restrict freedom of religion

@highlight

Brazil rates lowest in religious legal controls, social conflict among 25 largest nations

@highlight

Japan, U.S., S. Africa, Italy, UK score well in religious freedom; Egypt, Iran, Bangladesh don't