There are few certainties in American politics. But you can write it down: If Hillary Clinton wants to be the next nominee of the Democratic Party to be president, the job is hers.

Joe Biden, Andrew Cuomo, Mark Warner, Martin O'Malley and the others in the long list of commander-in-chief wannabes will go about their day jobs for the next couple years, but at the back of their minds will be only one question: Will she or won't she?

Because, as the most popular politician in America -- who also happens to be married to America's most popular ex-president and who has in place a nationwide network of donors, campaign staffers and committed supporters -- Clinton has the power to keep potential rivals from raising money or gaining political traction simply by saying, "I haven't decided what my plans are." She's in control.

That she should be in such a position at this moment is a remarkable achievement and an extraordinary testament to her grit, gifts and track record: She has been the most successful U.S. secretary of state in two decades. That outcome was hardly a foregone conclusion when Barack Obama made the bold decision to pick his former primary rival to assume the oldest and most senior post in the Cabinet.

She had, after all, lost a bruising campaign to him, there was tension between her team and his and no reason to assume the two ex-rivals would work together. She had never run a large organization before. Beyond that, the United States was facing massive crises at home and bewildering complexity abroad. Many of the issues she would be facing would be new to her.

Clinton was so famous already that she could easily be seen to be upstaging the president, something that would have undone her within the administration and made her look bad.

Avlon: Can Jindal change 'the stupid party?'

Her tour de force performance this week before Senate and House committees looking into the Benghazi tragedy illustrated how far she has come. In a charged political environment, she commanded the stage and deftly repulsed effort after effort by Republican partisans to shift the focus away from what the lessons of the attacks were and should be, turning aside their theories of conspiracy and devious motives for the missteps surrounding the event. She defended the president and revealed her character by accepting responsibility.

She had already set the stage with her swift embrace of a blue-ribbon investigation into the incident and her acceptance of its recommendations for avoiding such problems in the future. She was helped by the bipartisan recognition of her extraordinary tenure at State; her work ethic, miles traveled and commitment were praised throughout both hearings.

Most importantly, Clinton clearly knew her brief better than any of those questioning her. When Sen. Ron Johnson of Wisconsin attempted to score political points with a cynical line of questioning, she showed her strength and stature as a leader with a direct, unwavering response urging him to focus on the bigger issues at hand.

When Sen. Rand Paul announced that had he been president he would have fired her, her response evinced an understanding of the issues and processes at play; it was evident that only one of the two of them had any chance of occupying the Oval Office in the future. When describing the return of the caskets of the American victims in the Benghazi attack, she showed her humanity. Frequently, she showed the comfort with the setting that comes from her experience not just at State but as a senator.

Opinion: Rand Paul vs. Hillary Clinton: Clash of the titans

Clinton's virtuosity in such situations is no accident, nor is it a surprise to any who have watched her grow, first as a senator and then at State. Having been tested as few have been by the extraordinary stresses she faced as first lady, she famously earned her stripes in the upper chamber of our Congress by being "a workhorse not a show horse." Her close aides at State speak with some awe about her hours spent immersed in her briefing papers, her questioning of her staff and top experts to get up to speed, and her political skill in translating her conclusions into actions.

She has worked on forging not only a good working relationship with the president but also in building key alliances in the Cabinet, notably with former Secretary of Defense Robert Gates and top officials in the military and the intelligence community. When the White House limited her brief and asserted control over key issues, from the appointment of ambassadors to a host of issues in the Middle East, she found alternative paths to make a difference.

The "pivot" to Asia was one concrete example of her success -- not as merely a policy concept but as an initiative made real by active, intensive diplomacy throughout the region. She helped restore U.S. relations worldwide that had been damaged by the bull-in-a-china-shop policies of the George W. Bush administration. She actively worked to reshape the American international agenda for the 21st century, focusing on emerging powers, new technologies and populations -- like the role of women worldwide -- long neglected by the U.S. foreign policy establishment.

She led the way for the United States to be more active in Libya, to manage unprecedented international sanctions against Iran, to stand up to the Chinese in the South China Sea. Indeed, perhaps most importantly, at a time when the U.S. faced distractions and new constraints at home and a national desire to avoid military entanglements worldwide, she recognized that our greatest tools going forward would be active diplomacy and repaired alliances, and she restored them to centrality in U.S. foreign policy.

It is a stand-out record, one that makes her the equal of the likes of James Baker, George Schultz or Henry Kissinger among our leading modern secretaries of state.  What is more, she achieved her success by promoting a more humanist international agenda than her peers at the first ranks of American foreign policy leaders. At the same time, she maintained a centrist course more comfortable with the appropriate use of force than many of her more liberal colleagues in the Obama administration. Maintaining such a balance requires exceptional skill. To do so for four years under the conditions she faced is among the reasons she is so widely admired.

Hillary Clinton is likely to be the next Democratic presidential nominee because she is the best-known active Democratic politician, because she has repeatedly triumphed over adversity, because she has made herself well-liked at a time that politicians are typically viewed with contempt.

But she is likely to be the next president, the first woman to be president of the United States, because of the quality of her character and her work on behalf of the American people. With some luck she will use the next two years to restore her energy and prepare for what lies ahead. Because regardless of what political party in which you may find yourself, it is hard to deny that she elevates our political discourse in ways that few, if any, others do on the contemporary stage.

@highlight

David Rothkopf says if Hillary Clinton runs in 2016, she'll likely be the next president

@highlight

He says she's most popular politician in country, has political traction and funders in place

@highlight

He says she's excelled as secretary of state, overcome adversity, shown political wits

@highlight

Rothkopf: Whatever your party, hard to deny she lifts political discourse like few others