Dar es Salaam, Tanzania (CNN) -- As the old adage goes, "If you want it done right, do it yourself" -- and for social activist Rakesh Rajani, those words have become an ethos to live by.

Growing up in a low-income family in Tanzania, Rajani quickly learned first hand about the hardships faced by many living in East Africa. At just four years old, he started working in his parents' shop. Later, when he wanted to go to school, Rajani watched his mother fight tooth and nail to find the funds to send him.

These definitive childhood moments would set the young man on a path of social justice culminating with his movement, "Twaweza."

Meaning "we can make it happen" in Swahili, Rajani established the non-profit organization in 2009 with the goal of empowering people through information and building an "ecosystem of change" for themselves. Here he sits down with CNN's African Voices to reveal how he is trying to spark a social movement to make a difference for millions of people.

Dream big. He tells CNN: "My dream is that when people wake up in the morning, whether you are a fisherman in my home town of Wanza on the lake there, or whether you are a farmer in Subawanga or in Gulu, or you are a pastoralist in northern Kenya, you wake and you know that your life matters, and that you can do something about it."

Take responsibility. "We are forced to have thoughts for ourselves, we are forced to question, we are forced to analyze what is going on, and in the end what we are also beginning to realize is that we can complain all we want and nothing much will happen or we can take responsibility in making things happen, of co-shaping life, and I think that's what's happening," says Rajani.

Don't sit back, be part of the solution. "The concept behind Twaweza very much is this, from the ground up, that the citizens are part of the solution. They are part of the solution in terms of solving things themselves, every day; it's not every problem that you need to wait for the president or the minister to solve ... It's not just about complaining, it's not just about pointing fingers, it's about fixing things, it's about coming up with solutions."

Spark an education revolution. The self-described "broker of ideas" says: "Africa is rising, but Africa is rising for who? Who is benefiting who is not and unfortunately while there are many wonderful things and many economies are growing at rates that are enviable to the West, the reality is that Africa is not rising for many people particularly young people. And that also if we are going to fully benefit from the potential we have in Africa it will need skilled people."

Partner with politicians to achieve goals. Rajani believes that people need to focus the minds of politicians by highlighting the issues that need to be amended. To wit, a key aim for Twaweza is to seek a greater transparency and accountability in government. "I could see a whole new modeling practice where a government says, 'in order for us to succeed we need your help, we need your collaboration, we need your ideas, we need your critique.' That new model of government, I think, is the future." He adds: "The old idea that government knows everything and shuts everybody out is now so, so old thinking, it doesn't work that way."

Bridge the gap between rich and poor. Education in East Africa has been a vital development over the last decade. And while figures of youth attendance has improved, on-the-ground surveys conducted by the non-profit have found quality of education to be lacking. Rajani says transparency of fund allocation is the reason for this. "The lack of transparency is a real problem and all these things are making sure we earmark budgets properly, making sure that the system that we use to get the money there is simple and efficient, and making sure that everybody, parents and teachers, know what is going on. It's a big part of what we do at Twaweza."

@highlight

Tanzanian-born social activist Rakesh Rajani calls himself "a broker of ideas"

@highlight

He founded non-profit Twaweza, which means "we can make it happen" in Swahili

@highlight

Rajani believes there needs to be a "ground up" movement brought about by locals

@highlight

He also says as Africa continues to rise, young people musn't be left behind