(CNN) -- "Moments like these, terrible as they are, don't show our weakness; they show our strength." These words were spoken by Suffolk County, Massachusetts, District Attorney Dan Conley after Monday's terror attack in Boston.

A day later, signs of that strength are seen in the stories of people -- you might call them heroes -- who were near the Boston Marathon finish line when two bombs exploded seconds apart.

Honoring a son

Carlos Arredondo's story began nearly nine years ago, when he doused himself with gasoline and used a welder's torch to set his body on fire. Arredondo, a Costa Rican immigrant living in Florida, had just been told his 20-year-old son, Marine Lance Cpl. Alexander Arredondo, was killed in combat in Iraq.

Arredondo initially thought the three Marines pulling up to his home were bringing his son to surprise him on his 44th birthday.

Arredondo, now 52, recovered from his burns and became a peace activist, traveling the United States with a coffin filled with his son's possessions. This journey brought him to the marathon finish line to watch someone who was running in honor of his son.

Arredondo handed out American flags to spectators. He wore two buttons on his shirt with photographs of Alexander and his other son, who committed suicide at age 24.

What happened next could have been a scene familiar to his Marine son: A bomb exploded. Arredondo is seen on video, wearing a cowboy hat, helping National Guard troops, police and firefighters wrestle a fence open to allow emergency responders to reach the dozens of wounded people bleeding on the Boston sidewalk.

Once there, Arredondo found a young man -- perhaps the age of his son -- bleeding from serious leg wounds.

"I just concentrated on that young man and tied him up, his legs, and talked to him," Arredondo said, his hands trembling, in a video posted on YouTube.

He used part of his clothing to make a tourniquet to slow the blood loss from the man's severed artery.

"He was conscious," Arredondo said. "I let him know the ambulance is on the way, that it's OK."

When paramedics arrived, Arredondo helped put the man in a wheelchair. A news photo that has become an iconic image of the tragedy shows Arredondo, his hands covered in blood, running alongside as the man is rushed to an ambulance.

"There were so many people who lay next to me begging me for help, begging me for help, but I only can help one at a time," he said. "So I just helped that young man."

The man told Arredondo his name, but he couldn't remember it later.

Hours later, he still held on to an American flag, now stained with blood.

Running to help

Dr. Vivek Shah was 25 yards away from finishing the 26.2-mile run when the first bomb exploded to his left. He wasn't sure "whether it was the fireworks gone bad or something that was supposed to happen," Shah said Tuesday.

"Then, after the second explosion went off, we knew something was wrong because all of the spectators and fans started running away from us," Shah said.

Shah's story represents the heroism of many other medical professionals who were close by when the terror began: doctors, nurses and paramedics who were running, spectators in the stands or waiting at the finish line to treat exhausted runners.

Sources: Bombs were likely in pressure cookers

"My whole family was on that side where the explosions had gone off," Shah said. "So I started running towards where the bombs had gone off to check on my family and see if there was anything I could do to help."

What he found on the sidewalk was beyond anything he's seen as an orthopedic surgeon.

"It's nothing that you can ever describe," he said. "In all of my medical training, I've never seen anything like the amount of trauma I saw yesterday on the sidewalk there."

When Shah reached the wounded, he was not alone. "By the time I got there, there were so many first responders and volunteer physicians," he said. "I've never seen anything like it in terms of the quickness of the response to that tragedy."

Time is vital in saving lives, according to CNN Chief Medical Correspondent Dr. Sanjay Gupta. Doctors call the first 60 minutes the "golden hour" in trauma response, he said.

Within the first 15 minutes, 15 patients were at Brigham and Women's Hospital, a Level I trauma center, Gupta said. Seven operating rooms were immediately cleared for the nine patients needing surgery, he said.

Already a hero

Joe Andruzzi could be called a hero even before Monday. The former New England Patriots lineman helps children with brain cancer and their families pay for their treatments through his foundation. The Joe Andruzzi Foundation had a team of runners in the Boston Marathon to raise money to help more patients.

Andruzzi, who was near the finish line when the bombs exploded, rushed to help, along with many others. When football fans recognized him in photos, carrying a wounded woman to a triage tent, Andruzzi was quick to downplay his role.

"While I appreciate the interest in hearing our perspective on today's horrific events, the spotlight should remain firmly on the countless individuals -- first responders, medics, EMTs, runners who crossed the finish line and kept on running straight to give blood, and the countless civilians who did whatever they could to save lives," he said in a statement Monday. "They were the true heroes. Our thoughts and prayers go out to all those affected by this senseless tragedy."

Andruzzi knows heroes. His brothers were New York firefighters involved in the September 11, 2001, World Trade Center attack.

Anonymous hero

A Northeastern University student seriously wounded by shrapnel from the first blast is searching for her personal hero, a man she knows only as Tyler. Massachusetts Gov. Deval Patrick is helping the woman, whom he met at Tufts Medical Center, to find Tyler.

Victoria -- he didn't give her last name -- was scared and, "as she described it, hysterical" when a firefighter carried her to the medical tent near the finish line, Patrick said at a news conference Tuesday.

"There was a person who helped calm her down, who described himself as an Army sergeant, an Afghanistan vet," Patrick said. "I don't know whether he was assigned to medical tent or, like so many people there and elsewhere in the commonwealth, just jumped in to help."

Tyler helped Victoria in a way few people could.

"One of things he said to her to calm her down was to show her his own shrapnel wound or scar from ... when he was in Afghanistan," he said.

An ambulance took Victoria to Tufts Medical Center, but her memory of Tyler followed.

"Victoria very, very much wants to thank Tyler personally," Patrick said. "So, if Tyler is out there and listening or reading your reports, we would love to hear from Tyler so that we can connect him to Victoria."

Call the governor's office, Tyler. The number is 617-725-4000.

CNN's Sarah Aarthun contributed to this report.

@highlight

NEW: Wounded woman searches for her personal hero, Tyler

@highlight

NFL's Joe Andruzzi downplays carrying a victim to triage tent

@highlight

Carlos Arredondo, at the Boston Marathon to honor his late son, helped a man survive

@highlight

Dr. Vivek Shah was finishing the race; he and other medical professionals rushed to help