(CNN) -- Doctors and hospital officials from Novant Health Forsyth Medical Center in Winston-Salem, North Carolina, are notifying 18 neurosurgery patients that they might have been exposed to Creutzfeldt-Jakob disease, a serious and incurable neurological disorder.

"Today we are reaching out to 18 neurosurgery patients who were exposed to Creutzfeldt-Jakob disease over the last three weeks at Forsyth Medical Center," said Jeff Lindsay, president of the center, according to CNN affiliate WGHP.

The hospital is in the process of contacting the 18 people, spokeswoman Jeanne Mayer said Tuesday. She was not sure how many had been reached.

According to the National Institute of Neurological Disorders and Stroke, CJD affects about one person in every 1 million people per year worldwide.

"It is important to note that there are multiple variations of CJD and this case is not related to mad cow disease," Novant Health said in a statement.

The hospital confirmed that on January 18, an operation was performed on a patient with CJD symptoms who later tested positive for the illness.

Even though the surgical instruments were sterilized by standard hospital procedures, they should have gone through enhanced sterilization procedures used when there are confirmed or suspected cases of CJD.

The original patient "had neurological symptoms that could have been attributed to CJD or another brain disease," Novant Health said. "There were reasons to suspect that this patient might have had CJD. As such, the extra precautions should have been taken, but were not."

The Centers for Disease Control and Prevention, as well as the World Health Organization, recommends that surgical equipment used on CJD patients be destroyed or decontaminated through an intense disinfecting process.

Although CJD can be transferred through surgical equipment, hospital officials say the likelihood of these patients contracting the disease is very low.

The CDC corroborates that assessment.

It says that no cases of the disease have been linked to the use of contaminated medical equipment since 1976.

But Lindsay made no excuses.

"On behalf of the entire team at Novant Health, I apologize to the patients and their families, for having caused this anxiety."

CJD is a rare, degenerative and fatal brain disorder, according to the National Institutes of Health. It's characterized by rapid, progressive dementia. Initial symptoms can include problems with muscular coordination, personality changes including impaired memory and thinking; and impaired vision.

CJD is believed to be caused by a type of protein called a prion. It can be sporadic, hereditary or acquired; the acquired type is the rarest form, according to the NIH, and seen in fewer than 1% of cases. It is not contagious through casual contact.

Asked whether the 18 people would be tested, Mayer said there is no quick test for CJD. The original patient underwent brain surgery and then the disease was found through a number of tests afterward, she said. In some cases, CJD can take years to show up, Mayer said.

The hospital has instituted the enhanced sterilization process on all surgical instruments used in brain surgery, Novant Health said.

In September, 13 patients received similar warnings from two hospitals in New Hampshire and Massachusetts, when a patient who had undergone neurosurgery was later suspected to have CJD.

The hospitals shared the specialized surgical equipment that was used to operate on the patient and continued to use it until the suspicion of exposure to the disease surfaced.

Learn more about Creutzfeldt-Jakob disease

30,000 in Britain may carry human form of mad cow

@highlight

CDC says no one has been known to get CJD from surgical instruments since 1976

@highlight

18 surgery patients getting news: They may have been exposed to Creutzfeldt-Jakob

@highlight

The disease is a serious and incurable neurological disorder

@highlight

Hospital says instruments used in a surgery didn't get the approved sterilization