(CNN) -- Looking for a vacation that will shock all five of your senses? Anthony Bourdain can help.

Season 4 of "Anthony Bourdain: Parts Unknown" starts in the fall. In the meantime, here are seven ideas drawn from some of his best adventures.

Brave a bullfight in Spain

Bourdain paid a visit to La Marquesas Ranch, the private bullring of star matador David Fandila -- who is professionally known as El Fandi. El Fandi, one of the world's top bullfighters, is as known for his courage as he is for his flashy antics in the ring.

You probably won't get personal pointers from El Fandi, but just witnessing this spectacle can be breathtaking.

Although many consider bullfighting an art, the sport is not without controversy. Many are morally opposed to what they consider taunting and brutally slaughtering an animal in a very public arena. The ethical debate is a hot-button issue frequently debated in Spanish Parliament

"To see Spain, to see it straight, to understand it at all, you should probably peek -- if only through spread fingers -- at that most Spanish of traditions, bull fighting," said Bourdain. "There is no denying the terrible beauty of a very complex tradition. The matadors were the original rock stars, the very ideal of masculinity, male beauty and grace."

You may never set foot in a bullring, but you can shout "Â¡OlÃ©!" from the sidelines if you find yourself in Spain. The bullrings in Granada, Ronda and Madrid will get you started.

Sing the blues in Mississippi

Before he started traveling around the world, Anthony Bourdain admits that he never would have considered visiting Mississippi.

But his dim view of the very Deep South soon widened into a love for a very special part of his own country. Especially what he considers the United States' "most powerful and persuasive export and gift to the world": The blues.

Mississippi's poverty means regular renovations generally aren't a top priority. But the rustic atmosphere is part of the Delta's charm.

Many places where the blues are performed look exactly the same today as they did more than a half-century ago.

"The blues, rock 'n' roll, R&B, soul and funk, all came out of this place. One state. Mississippi," said Bourdain.

If you feel like venturing to the Delta this summer, check out Po' Monkey's and other spots along the Mississippi Blues Trail and stop at The Senator's Place for soul food nibbles.

Getting to know the Mississippi Delta

Take a gamble in Sin City

If you're willing to peek behind the facade, you can experience Bourdain's Las Vegas -- a Sin City remarkably void of Elvis impersonators, migraine-inducing bright lights and spinning reels of slot machine fruit.

When Bourdain visited Las Vegas in Season 3, he experienced a city that few people see. He saw the polar opposites of the spectrum: From the ultra-exclusive Villa at Caesars Palace and a nightclub whose patrons drop thousands of dollars on drinks in a single evening, to a local tavern and an eatery dripping with old Vegas charm far, far off the beaten path of the Strip.

"Sinatra and the mob are gone, but there remains, still, a certain sentimental attachment to the way things used to be. There were rules then. A way that things were done. And when they weren't done, there was always the desert and a hole in the ground," Bourdain said.

If you want to roll the dice on a different kind of experience, try local favorites like the Huntridge Tavern, the Bootlegger Bistro, Lotus of Siam and Raku.

10 things you didn't know about Las Vegas

Go gun-slinging out West

With a stunning landscape and big open sky, many people gravitate to the state some refer to as the Land of Enchantment. A large Native American population, a hippie influx that began in the 1970s and the largest Hispanic population per capita in the United States give New Mexico a unique American cultural blend.

It was in New Mexico that Bourdain explored the Western cowboy mystique. With its relaxed gun laws, target shooting is an option for a fun outing with friends. Some children receive rite-of-passage rifles the same way other kids get baseball bats.

"We are a gun culture. The expression of American power and identity has always been the lone cowboy with a gun. That goes deep. This is the heart of the American dream. Love it or hate it, this is it," Bourdain said.

Get a taste of New Mexico's culture -- with care. The Shooting Range Park is operated by the City of Albuquerque, providing "an alternative to illegal firearm practice on our mesas, open spaces and vacant areas," according to its website.

10 things to know before visiting New Mexico

Sleigh ride in St. Petersburg

Lovely weather for a sleigh ride may be a few months off, but it's never too early to plan ahead.

Bourdain traveled to Russia and filmed an episode with his longtime friend/drinking buddy Zamir Gotta. At one point, they toured the wintry terrain outside of St. Petersburg on a traditional troika, a sleigh pulled by a team of three horses.

Bundled in blankets and sipping vodka from flasks, they rode through the countryside where the city's wealthiest residents have their country homes, or dachas, and Emperor Paul built his 18th-century home.

"The rest of Russia is very, very different than Moscow," Bourdain said. "I mean (in Moscow), you drive around, and it's like Bentley, Ferrari, Maserati, you know. You go to buy a pair of shoes, you pick up a Bentley on the way out."

Near Saint Petersburg, you can experience a more traditional side of Russia with a troika ride -- flasks optional. Try rides in Pavlovsk Park or through the grounds of Catherine Palace.

Ride a human-powered Ferris wheel in Southeast Asia

In the very first episode of "Parts Unknown," Bourdain explored Myanmar. While the government has relaxed some of its hold of the Southeast Asian nation, it's still controlled by a military regime.

At one of the evening street fairs in Yangon, Bourdain happened upon a human-powered Ferris wheel. Powering the wheel requires its operators -- flip-flop-clad local teenage boys -- to move quickly through the structure, making it turn with the weight and momentum of their bodies

An "absolutely insanely dangerous, closely choreographed process," Bourdain said.

If, unlike Bourdain, you'd like to give a human-powered Ferris wheel a whirl, the rides can be found at night markets and street fairs throughout Southeast Asia and southern India.

Take a midnight train goin' anywhere

The night train to St. Petersburg is one of the most fun things to do in Russia, Bourdain said. Rolling through dark, snow-covered birch forests, he and Zamir enjoyed caviar, pickled herring, and of course, vodka.

In stark contrast, he also took the night train to Myanmar's ancient capital of Bagan. The 20-plus hour journey (it was supposed to take 10) intermittently picked up terrifying speeds on a train where derailments, known as "rail-slips," are quite common.

"Six hundred kilometers of what will turn out to be kidney-softening travel by rail ... So really the question on this end of the journey is: Come back on the train, or fly back in a coffin?" he joked.

For Bourdain, night trains leave a lasting impression.

@highlight

Follow in the footsteps of Anthony Bourdain with these travel ideas

@highlight

Ride through the winter landscape in a troika outside of St. Petersburg

@highlight

Take a night train almost anywhere for interesting memories