Cranston, Rhode Island (CNN) -- At a young age, Nicholas Lowinger learned not to take things for granted.

He was 5 years old and visiting a homeless shelter with his mother, who works in various shelters across Rhode Island. He was excited for the opportunity to show off his new light-up sneakers to the rest of the kids. But his mom cautioned him against doing so, explaining that these children might not have such luxuries.

Sure enough, when Nicholas met kids at the shelter, he quickly realized that they were living in circumstances that were very different from his own.

"I saw other kids my age who looked just like me. The only difference was, they were wearing old, tattered shoes that were falling apart. Some didn't have a pair of shoes to call their own," said Nicholas, now 15. "I've been very fortunate to grow up in a family that is able to provide me with whatever I need. A lot of kids here in the U.S. don't have the same opportunities."

There were 1.6 million homeless children across the United States in 2010, according to a report from the National Center on Family Homelessness (PDF). With no permanent place to live, many stay on the streets or in shelters, motels, cars and abandoned buildings.

"Homeless children, they shouldn't have to worry about how they'll be accepted or how they'll fit in," Nicholas said. "They shouldn't have to worry about not being able to play sports or go to school because they don't have a pair of shoes."

That first shelter visit left a strong impression on Nicholas, who started donating all the shoes he'd outgrown to local shelters. But he quickly realized that his donations, while well-intentioned, weren't that helpful.

"It bothered me that I only had used shoes to give to them instead of new shoes that fit right," he said. "No two people's feet are identical, and if you are wearing someone else's worn shoes, your feet aren't going to be very comfortable."

So in 2010, at the age of 12, Nicholas started a program that donates new shoes to homeless children.

At first, his efforts were part of a community service project leading up to his bar mitzvah, a Jewish coming-of-age ceremony. But he wanted to ensure that the work would continue after the ceremony.

"I didn't want to make one donation and stop there," he said. "I wanted it to be something I could do for the rest of my life."

With the help of his parents, he then started the Gotta Have Sole Foundation. Since 2010, the organization has donated new footwear to more than 10,000 homeless children in 21 states.

"By giving new footwear to homeless children, I'm making sure them and their families have at least one less thing to worry about," Nicholas said. "I'm also allowing parents to save money for an apartment or food for their next meal."

Two years ago, Frencis Velasquez found herself homeless with three young children.

"It's been difficult. Going from shelter to shelter, meeting all these different people. My kids didn't have anything that was stable," said Velasquez, 23.

Keeping up with the demanding needs of her growing children presented additional challenges.

"I had to decide either to spend money on shoes or medicine and diapers," Velasquez said. "I already felt horrible. Not being able to provide them shoes made me feel even worse."

Fortunately, the Rhode Island shelter where she was living worked with the Gotta Have Sole Foundation. Her children have now received multiple pairs of shoes through the organization.

"Having new shoes makes them feel great," Velasquez said. "I remember when one of my sons got his first pair, he was so excited that he just started kissing the shoes. It makes me feel awesome just knowing that they're happy."

Since starting this work, Nicholas has heard many emotional stories.

He remembers one 16-year-old boy who had fled an abusive living situation with his mother. They had to make a quick escape, so the boy put on the first shoes he could get his hands on: a pair of his mother's old winter boots.

With no other shoes, the boy had to wear the boots day in and day out. Not only were they the wrong size, but his classmates made fun of him for wearing women's shoes. The boots became a constant source of embarrassment and discomfort until he received new footwear from Nicholas' nonprofit.

"New shoes can make a child feel good about him or herself. ... They gain confidence; they're able to do better in school," Nicholas said.

Nicholas also remembers a brother and sister who had to share one pair of sparkly pink sneakers.

Each day, the siblings switched off wearing the sneakers. When one went to school, the other had to miss a day. The children fell behind in their studies until they each received a new pair of shoes from Nicholas' group.

"Something that seems so simple, a pair of shoes, made the difference between getting an education or not," Nicholas said. "It's more than just giving them a new pair of shoes. ... That's really what makes it so special for me."

The Lowinger family's garage is full of new shoes that have been donated by footwear companies and stores. If they don't already have the specific size and style that a child has requested, Nicholas uses the group's monetary donations to buy them. The shoes are then shipped to the shelters or, whenever possible, personally delivered by Nicholas.

More than 1,000 volunteers have helped out with the group. Nicholas works 15 hours a week on the project -- a time limit imposed by his mother to ensure that he has enough time for schoolwork and other activities.

Nicholas said he doesn't allow his age get in the way of achieving his dreams, and he encourages other young people to do the same.

"No one is ever too young or old to help others. Kids don't always realize that they have the power to make a difference," he said. "I urge other kids to find a passion, create big ideas and act. Kids can make a huge difference in this world."

Want to get involved? Check out the Gotta Have Sole website and see how to help.

@highlight

Nicholas Lowinger, 15, started a group that gives new shoes to homeless children

@highlight

The Gotta Have Sole Foundation has given shoes to more than 10,000 children

@highlight

Report: There were 1.6 million homeless children across the United States in 2010