A finding that Hezbollah is to blame for the bomb attack that killed five Israeli tourists in Bulgaria last July adds to pressure on the European Union to label the controversial group an outlaw terrorist organization.

The Bulgarian government's announcement of its conclusions Tuesday also could complicate life for Lebanon's coalition government, of which Hezbollah is a member.

Israelis killed in Bulgaria bus terror attack, minister says

Bulgarian Interior Minister Tsvetan Tsvetanov told reporters in Sofia that of the three people who carried out the attack, "We have established that two were members of the militant wing of Hezbollah. There is information that shows financing and the connection between Hezbollah and the two suspects."

He also said the pair had traveled on genuine Australian and Canadian passports, though it's not clear whether the documents had been stolen.

Bulgaria explosion comes amid growing Iranian-Israeli tension

Hezbollah has said nothing about Israel's previous accusation that it was responsible for the attack, which occurred outside a bus waiting at the airport in the Bulgarian resort of Burgas.

The United States and Israel seized on the conclusion of the Bulgarian investigation to urge the EU to move against Hezbollah. President Barack Obama's counterterrorism adviser, John Brennan, said Tuesday the investigation had exposed Hezbollah as "a terrorist group that is willing to recklessly attack innocent men, women, and children, and that poses a real and growing threat not only to Europe, but to the rest of the world."

Read more: The inner workings of Hezbollah

In a statement issued from the White House, Brennan said, "Bulgaria's implication of (Hezbollah) underscores the importance of international cooperation in disrupting terrorist threats.

"We call on our European partners as well as other members of the international community to take proactive action to uncover (Hezbollah's) infrastructure and disrupt the group's financing schemes and operational networks."

U.S. Secretary of State John Kerry reiterated the call for European countries to "crack down on Hezbollah."

"We need to send an unequivocal message to this terrorist group that it can no longer engage in despicable actions with impunity," he said in a statement.

Israeli Prime Minister Benjamin Netanyahu also commended the Bulgarian investigation, saying: "The attack in Burgas was an attack on European soil against a member country of the EU. We hope that the Europeans draw the necessary conclusions as to the true character of Hezbollah."

Bulgarian bus attack is work of suicide bomber, minister says

Canada also joined the chorus, with Foreign Minister John Baird issuing a statement saying: "We urge the European Union and all partners who have not already done so to list Hezbollah as a terrorist entity and prosecute terrorist acts committed by this inhumane organization to the fullest possible extent."

A technical analysis of the explosion, carried out by a team of consultants and provided on background to CNN, said the Israeli tourists had placed their luggage in a baggage compartment along the side of the bus and were boarding when the explosion occurred. The bomb -- concealed in a backpack -- went off in a confined space between two buses, instantly killing four of the tourists and the bus driver, as well as the bomber.

The consultants' analysis of closed-circuit video of the suspected bomber waiting in the terminal and of the remains of the device suggests that the bomb was detonated by remote radio control. Residue from two radio transceivers was recovered from the scene, along with a dual-tone multiple-frequency circuit. The explosive charge was approximately 3 kilograms (6 pounds) of TNT and ammonite, probably obtained from a Bulgarian company, according to the consultants.

Police release composite image of Bulgaria bus bomber

Whether the bomber intended to kill himself is unclear. It is possible that he planned to load the backpack on the bus and detonate it remotely as it pulled away. The premature detonation of the device before all members of the Israeli group were on board the bus could have been caused by a malfunction or by violent movement, or it could have happened as the device was being armed.

Alternatively, an accomplice could have detonated the bomb from a nearby vantage point, in which case the bomber may have been deceived about his true role in the attack.

Read more: Iran in "open war" with Israel

Bulgarian investigators last month said their evidence was that the bombing was not intended as a suicide attack.

Analysts say the attack was not that of a "lone wolf" but rather required planning and reconnaissance, suggesting a well-orchestrated plan.

Last year, Matthew Olsen, director of the U.S. National Counterterrorism Center, said in a congressional hearing that the Bulgarian attack could have been part of a growing international campaign of terror attacks by Hezbollah.

"Since May 2008, Hezbollah plots against Israeli targets in Azerbaijan, Egypt and Israel have been disrupted, and additional operational activity in Turkey has reportedly been uncovered," Olsen said.

But while the United States has stepped up efforts to interdict Hezbollah's international financial operations, the group has enjoyed greater freedom in Europe.

Germany's annual threat report in 2012 concluded that nearly 1,000 Hezbollah members and supporters lived there. Hezbollah raises money quietly in several European cities, according to intelligence agencies, to support its extensive network of social programs in Lebanon.

Experts: Hezbollah positioned for attack in U.S

Only the Netherlands among the main European governments describes Hezbollah as a terrorist organization. Britain distinguishes between its military wing -- which is proscribed -- and its work as a political party in Lebanon. France and other EU states do not characterize any part of Hezbollah as a terrorist organization.

If the European Union moves toward unified sanctions against Hezbollah, the current Lebanese coalition government led by Prime Minister Najib Mikati may be in jeopardy

Mohanad Hage Ali, a Lebanese expert on Hezbollah based at the London School of Economics, told CNN, "Since Mikati formed his government two years ago, there has been steady European support. But since Hezbollah is part of this government, more EU member states are likely to dissociate themselves from Mikati's government" if the link with the Bulgaria bombing is confirmed.

"Since the 1980s," he added, "the United States listing of Hezbollah on its list of terrorist organizations has been seen as a unilateral act, while the Lebanese party was improving its international relations, especially with EU states. This may now change."

Mikati said Tuesday his government is "ready to cooperate in clarifying the circumstances" of the attack "in fairness and safeguarding justice," but he did not address the accusations against Hezbollah .

Hage Ali said that if Hezbollah were designated a terrorist group by the EU it would virtually eliminate the European role in mediating between Hezbollah and Israel on such issues as negotiating prisoner exchanges.

Germany has been especially active in mediating on humanitarian issues. But there have been signals in the past few months from senior figures in Angela Merkel's coalition that the mood is shifting.

Last August, the foreign policy spokesman for Merkel's Christian Democratic Union, Philipp Missfelder, told the Jerusalem Post it was "long overdue to place Hezbollah on the EU's list of terror organizations."

The British foreign secretary, William Hague, has also called on the EU to reopen discussions on Hezbollah's status.

@highlight

Bulgaria announces that Hezbollah was behind a fatal attack in July

@highlight

Five Israeli tourists were killed in the bomb blast in Burgas, Bulgaria

@highlight

The United States and Israel urge the European Union to label Hezbollah a terror group

@highlight

A U.S. official notes a growing international campaign of terror attacks by Hezbollah