(CNN) -- Mitt Romney won all three of Tuesday's Republican presidential primaries, putting more distance between himself and his closest contender, Rick Santorum, who indicated he plans to fight on to his home state of Pennsylvania and beyond.

Romney's wins in Wisconsin, Maryland and the District of Columbia put him past the halfway mark to the 1,144 delegates needed to clinch the nomination and add to a wide delegate lead that he holds over the other major GOP presidential candidates, according to CNN estimates.

Yet Santorum indicated Tuesday night he would compete in the April 24 primaries in five states, including Pennsylvania, where his campaign hopes a win would be a gateway to a run of May primaries in states where he can capitalize on higher percentages of conservative voters.

Romney, in a speech to supporters in Milwaukee, made no mention of his GOP rivals and instead mostly contrasted himself with President Barack Obama.

"This has really been quite a night. We won a great victory tonight in our campaign to restore the promise of America," Romney said.

He continued his criticism of Obama's economic polices and what he repeatedly called Obama's plan for a "government centered society."

"There is a basic choice that we're going to face: The president has pledged to transform America, and he spent the last four years laying the foundation for a new government-centered society. I will spend the next four years rebuilding the foundation of an opportunity society led by free people and free enterprises."

The former Massachusetts governor is expected to take the majority of Wisconsin's 42 delegates and Maryland's 37 delegates, with some designated solely for the winner and the rest to be awarded proportionally. He will take all 16 delegates at stake in the District of Columbia.

Counting partial allocations for Wisconsin and Maryland, and full allocations for D.C., Romney has collected 648 delegates since the primary and caucuses began in January, according to CNN estimates. That's more than twice the 264 delegates Santorum is estimated to hold. Gingrich and Paul trailed well back.

GOP delegate count | Delegate calculator

With 93% of the vote reported in Wisconsin, Romney had 42% and Santorum, a former U.S. senator from Pennsylvania, had 38%. U.S. Rep. Ron Paul of Texas had 12%, and former House Speaker Newt Gingrich had 6%.

In Maryland, with 75% of the vote reported, Romney had 49%. Santorum had 29%, Gingrich had 11% and Paul had 10%.

In the District of Columbia, with 99% of the vote reported, Romney had 70%. Paul had 12% and Gingrich had 11%. Santorum was not on the D.C. ballot.

Maryland results | D.C. results

Pre-primary polls appeared to show Wisconsin's contest was the only one Tuesday that Santorum had a chance to win. And analysts said Wisconsin might be Santorum's final chance to slow Romney's march toward the GOP nomination.

Wisconsin exit poll | Maryland exit poll

But Santorum told supporters in Mars, Pennsylvania, on Tuesday night that the race was essentially at halftime, with only roughly half the available delegates awarded.

"Pennsylvania and half the other people in this country have yet to be heard, and we're going to go out and campaign here and across this nation to make sure that their voices are heard in the next few months," Santorum said.

Santorum, who has touted himself as a more conservative candidate than Romney, also warned supporters that the Republican Party often has fielded moderate Republicans against incumbent Democratic presidents, only to see the moderate Republican lose. He appeared to raise Ronald Reagan, a conservative who defeated Jimmy Carter in 1980, as an example for a way forward.

"If we're going to win this race, we can't have little differences between our nominee and President Obama. We have to have clear, contrasting colors," Santorum said. "... Time and time again, the Republican establishment and aristocracy have shoved down the throats of the Republican Party and people across this country moderate Republicans because, of course, we have to win by getting people in the middle. There's one person who understood we don't win by moving to the middle. We win by getting people to the middle to move to us and move this country forward."

President Barack Obama, meanwhile, clinched the Democratic presidential nomination Tuesday with primary wins in Maryland, the District of Columbia and Wisconsin, CNN projected. Unlike the Republicans, Obama faces no serious opposition in his race.

According to CNN's delegate estimate, the president had 2,735 of the 2,778 delegates needed to secure his party's nod before Tuesday's contest. He is expected to win most or all of the 119 delegates at stake in Maryland and D.C., as well as the 100 delegates at stake in Wisconsin.

On the Republican side, since Romney's double-digit victory in Illinois two weeks ago -- followed by a wave of some of the Republican Party's major names and elder statesmen endorsing him and urging a quick conclusion to the divisive nomination battle -- the conversation seems to have changed: the GOP front-runner increasingly being called the inevitable nominee.

Wisconsin exit polls show that endorsements might have helped Romney. About 60% of respondents said the Romney endorsements were a factor in their votes, and 33% called them an "important" factor. Most of those voters broke for Romney.

CNN Chief Political Correspondent Candy Crowley reported that Romney's campaign was prepared to spend "a lot of money and a lot of candidate time in Pennsylvania," where polls show Santorum's once-large lead has shrunk.

Santorum's campaign points toward May, which looks friendlier for him. He could be the favorite in primaries in North Carolina and West Virginia on May 8, Nebraska on May 15, Arkansas and Kentucky on May 22 and Texas a week later.

But it could be too little, too late by May. Sen. Hillary Clinton won most of the final contests against Sen. Barack Obama in the marathon 2008 Democratic presidential nomination battle. But in the end, it didn't matter.

And Ari Fleischer, a CNN contributor and former George W. Bush White House spokesman, said that while he believed that Santorum earned the right to fight through Pennsylvania, the race was all but over.

"I think the writing is on the wall. Does Rick Satorum want to read it is the question," Fleischer said.

Romney and Obama on Tuesday seemed to be turning their attention to November's general election, with Romney blasting the president during a campaign stop in Wisconsin and Obama mentioning Romney in a speech for the first time this year.

Speaking at a restaurant in Waukesha, Wisconsin, Romney suggested Obama wants to duck responsibility "for what's happened in this country," saying the president should get full credit or blame for "what's happened in this economy, and what's happened to gasoline prices under his watch."

"It is time to have somebody who will take responsibility, and if I am president, I will not only get things right again, I will take full responsibility for my errors and make sure that people understand we have a president in the White House again where the buck will stop at his desk," Romney said, while standing with House Budget Committee Chairman Paul Ryan, a prominent Wisconsinite who endorsed Romney.

Later Tuesday, Obama mentioned Romney while slamming a House-passed budget proposal that Ryan drew up and Romney embraced.

Obama, speaking at a media luncheon in Washington, said the plan, which would lower tax rates and cut spending while reforming the Medicare and Medicaid government-run health care programs, was "thinly veiled Social Darwinism" and "antithetical to our entire history as a land of opportunity and upward mobility for everyone who's willing to work for it."

"One of my political opponents, Gov. Romney, has said that he hoped a similar version of this plan from last year would be introduced on day one of his presidency," Obama said. "He said that he's very supportive of this new budget and he even called it marvelous, which is a word you don't often hear when it comes to describing a budget."

While Romney is far ahead of Santorum, Gingrich and Paul in the hunt for delegates, exit polls have indicated Romney still has a problem locking in the conservative base of the party.

That continues to fuel Santorum's campaign, in which he continually depicts himself as the lone true conservative going up against the Republican establishment and liberal media bias.

As in previous contests, Wisconsin's early exit polls showed Romney doing better among higher-earners and Santorum better with lower-income voters. Among exit-poll takers making $100,000 to $200,000 annually, Romney led 55%-30%, with Santorum winning the under-$30,000 voters, 44%-34%.

The Wisconsin exit polls showed Santorum is more popular in rural areas and Romney in urban areas in Wisconsin. According to the exit polls, Santorum was winning the rural vote, 37%-27%, and Romney was winning big-city voters, 43%-23%.

About 24% of the vote in Wisconsin came from urban areas and 22% from rural areas, according to the exit polls. The rest is suburban.

Wisconsin's primary was open to any registered voter in the state, regardless of party. Exit polls showed that 58% described themselves as Republicans, 30% said they were independent and 12% said they were Democrats.

Santorum was doing best among self-described Democrats with 32% of their vote, while Romney had 22% and Paul had 16%.

CNN's John Helton, Paul Steinhauser, Tom Cohen, Phil Gast and Peter Hamby contributed to this report.

Watch Piers Morgan Live weeknights 9 p.m. ET. For the latest from Piers Morgan click here.

@highlight

NEW: Santorum says he'll continue fight in home state, Pennsylvania, on April 24

@highlight

Romney: "We won a great victory tonight "

@highlight

Romney more than halfway to 1,144 delegates he needs for nomination, CNN estimates