(CNN) -- When Ana María Tekina-eirú Maynard filled out her census form last year, she checked the box for Latino, and for the first time, she also checked the box for Native American.

It had taken her more than 30 years -- plus research and genetic testing -- to discover her ties to the indigenous Taínos of Puerto Rico, to claim her identity and re-learn what she thought she knew of her history.

She's not the only one. Since 2000, the number of Hispanics who identified themselves as Native American grew from 407,073 to 685,150, according to the 2010 census.

Census: Hispanics drive growth of U.S. white population

Some attribute the increase to immigration from parts of North and South America where there are large indigenous populations. In some cases, it's because of recently discovered ties to native cultures.

Growing up in the Bronx, New York, and spending summers in Puerto Rico, Maynard said she had no words to identify who she was. She just felt "different."

How do you self-identify? Tell us in CNN iReport's Cultural Census

"It is one thing to know that you have indigenous blood," Maynard said. "And I have always known it. I look at the faces of my mother and grandmother, and that reality is undeniable."

But Maynard had long been taught that Taíno Indians, the indigenous people of Puerto Rico, were "gone, dead and buried" for centuries, decimated by Spaniards who arrived on the island in the 16th century.

"Why would you question what you have always been taught and what was considered as common knowledge?" she asked.

Still, 14 years ago, Maynard founded the Puerto Rican Folkloric Dance & Cultural Center in Austin, Texas, to preserve the culture of indiginous Puerto Ricans. Today, Maynard gives dance and singing classes as a volunteer at the center, in addition to her full-time job as an engineer with IBM.

Four years ago, Maynard heard about the work of Dr. Juan Carlos Martinez Cruzado, a geneticist from the University of Puerto Rico. In an island-wide genetic study, he found that at least 61.1% of those surveyed had mitochondrial DNA of indigenous origin.

Cruzado's findings eventually cast doubt upon the notion that the Taínos of Puerto Rico had been completely extinguished but suggested that they assimilated.

"When I learned about (Cruzado's) work, my life changed," Maynard said. "It was an awakening that the Taíno heritage was not extinct."

Map how the United States has changed

For Maynard, this was a living heritage to reclaim. Months later, she took a DNA test that confirmed she was Taíno via her mother's ancestry.

"I walked through that door and for the first time had a deep understanding of who I was," she said.

Despite diminished numbers -- the Taíno population decreased from 8 million in 1492 to 20,000 in 1520 to 200 in 1560 -- the Taíno culture has survived and is still present in the language today, said Jose Barreiro, assistant director for research at the National Museum of the American Indian.

"I am originally from Cuba, and I like to say to my fellow Cubans that Cuba is a Taíno word," Barreiro said. "They have no idea that when they say the word Cuba, they are speaking Taíno. It means 'big land, well-planted.' "

Mario Garza created the Indigenous Cultures Institute in 2005, a nonprofit organization dedicated to the research and preservation of indigenous cultures. It tries to educate people with indigenous roots who label themselves "Hispanic," Garza said.

The increasing number of people who identified as Latino and Native American in 2010 give him hope.

"The Spaniards tried to destroy our civilization and history, outlawed our ceremonies, yet we are still here," Garza said. "With a bigger group of Native Americans, we have a better chance of getting federal recognition and grants."

But for Maynard, it wasn't about gaining political power; it was a way to acknowledge her newly discovered Taíno heritage. Her Census form showed that the culture was still alive.

In a sacred ceremony, Maynard's priest gave her a consecrated Taíno name: "Tekina-eirú." It means "sweet teacher."

The name is apt, Maynard said, as she wants to teach the Taíno culture to those that come to her cultural center. Her two children will need to learn their own lessons about identity. She wants her children to know about what she yearned for: their roots.

@highlight

Ana Maria Tekina-eirú Maynard discovered her Taíno heritage in her 30s

@highlight

She is among more Latinos in the United States who identify as Native American

@highlight

Many Puerto Ricans believed Taínos were decimated in the 1500s