(CNN) -- The deadly clashes that are a fact of daily life in Syria have now bled into Lebanon, where a series of sectarian shootouts this week are raising fears that a period of relative calm for the country may be nearing an end.

Syria has dominated Lebanon's political scene for much of its post-independence history -- and while many Lebanese support the embattled regime of Syrian President Bashar al-Assad, many others do not.

It's too early to tell whether this week's clashes are blips on the radar or the new norm -- but many observers believe the longer Syria's conflict goes on, the more destabilizing it will be for Lebanon.

What's the latest in Lebanon?

A series of clashes in the past week between political and religious groups who either support or oppose the Syrian regime has shaken Lebanon and prompted fears that renewed factional rivalries could erupt into outright warfare.

The kidnapping Tuesday of a group of Shiite Muslim pilgrims in Syria prompted angry protests in the Lebanese capital of Beirut one day after gun battles between rival political parties -- one supporting Syria's al-Assad and one opposing him -- left two dead and 18 wounded.

It was the worst outbreak of violence in a city where it was once commonplace since the powerful Hezbollah militia engaged government troops in street battles in 2008.

The bloodshed followed the Lebanese military's killing of two Sunni Muslim clerics -- both of whom were opposed to the Syrian regime -- at a checkpoint in northern Lebanon hours earlier. The military later apologized for the shootings, saying the car carrying the clerics failed to heed the army's warning to stop.

And last week the arrest of an activist in Tripoli -- a northern Lebanese city known for its opposition to al-Assad -- for providing food and shelter to Syrian refugees sparked clashes between Alawite and Sunni Muslim sects that killed up to seven people and left dozens wounded.

What is the history between Syria and Lebanon?

Aside from its southern border with Israel, Lebanon is entirely surrounded by Syria, and was considered part of "greater Syria" until the end of World War I.

It became an independent country in 1943 but has been strongly influenced by Syria both politically and militarily for much of the time since.

Syrian troops were deployed in Lebanon between 1976 and 2005, primarily in the north -- ostensibly at first as peace-keeprs to help stop Lebanon's long civil war -- but maintained a significant presence long after the fighting stopped in 1990.

This all changed in 2005 after former Prime Minister Rafik Hariri was killed by a car bomb in Beirut. Anti-Assad elements in Lebanon accused the Syrian regime of being behind the attack, and popular protests -- along with international pressure -- forced the Syrian military to withdraw from the country.

Since then, Lebanon's two most prominent political blocs have been sharply divided in their attitude toward Syria -- the ruling pro-Syria alliance led by Prime Minister Najib Mikati and a group of anti-Syrian factions led by Saad Hariri, son of the assassinated former prime minister.

How else has the Syrian conflict affected Lebanon?

Thousands of refugees have poured into Lebanon since the conflict in Syria began in March 2011, mostly in the north.

And there is evidence rebel groups are receiving small arms smuggled across both the Lebanese and Turkish borders.

In April the Lebanese army announced it had intercepted a cargo ship bound for Tripoli -- the northern epicenter of support for Syrian rebels in Lebanon -- that was filled with weapons it believes were meant to be delivered to rebel forces in Syria.

Does the Lebanese government support the Syrian uprising?

Prime Minister Mikati's alliance is a firm, if quiet, supporter of the Assad regime, but the government is more interested in keeping Lebanon from getting dragged into the conflict, says Middle East expert Chris Phillips of Queen Mary, University of London.

"They're aware they're a weak government, and they're not keen on Lebanon becoming a staging point for the rebels to launch attacks on Syria," Phillips told CNN. "But there hasn't been a major drive to push the Free Syrian Army out of the country because the government knows a large segment of the Lebanese population supports the rebels."

What part do religious tensions play in Lebanon?

Lebanon has always struggled to maintain a balance among its religious and ethnic sects, and the current tensions mirror those in Syria -- in both countries, the Shiite and Alawite Muslim sects (Assad is an Alawite) tend to support the Syrian regime, while support is growing among Sunni Muslims for Syrian rebels.

The country also has a large Christian population, and both Sunni and Shiite groups have lobbied for Christian support during past conflicts.

Sunnis are in the majority in northern Lebanon, where they have clashed with a small but strong enclave of pro-Assad Alawites in recent weeks. The core of the Syrian president's support in Lebanon is in the southern part of the country.

CNN's Mohammed Jamjoom says the big worry is that Syria's troubles will reopen the wounds of Lebanon's long civil war, with the Sunni community pitted against Hezbollah, the powerful pro-Assad Shiite militia.

What is Hezbollah and why hasn't it gotten involved yet?

Hezbollah is a powerful Shiite militant group in Lebanon and a staunch ally of the Assad regime in Syria. The group, financed and armed by Iran and Syria, is classified by the United States and Israel, among others, a terrorist organization, and is believed to be responsible for a number of attacks on Western targets including the suicide bombings that killed 241 Americans at the U.S. Marine barracks in Beirut in 1983.

Hezbollah has evolved into a social and political movement in recent years, but it remains the most formidable armed militia in Lebanon.

Read more: The inner workings of Hezbollah

While the militia's leader Hassan Nasrallah praised the uprisings in Egypt and Tunisia, Hezbollah needs the Assad regime to ensure that the group's supply line to Iran, its main benefactor, remains open.

While Hezbollah is more than capable of taking the fight to Syrian rebels based in Lebanon, Phillips says the militia doesn't believe the Assad regime is in trouble -- yet.

"Hezbollah cares very much about public opinion, and if they went in guns blazing that would divide the Lebanese population -- and they've already lost some support because of their backing of Assad," Phillips told CNN.

Is Syria deliberately stirring up violence in Lebanon?

Many in Lebanon believe the recent violence was intentionally stirred up by Syria to distract from the country's own unrest and to prove Assad's claim that a destabilized Syria will lead to chaos in neighboring countries, but there's no real proof of Syrian involvement, according to Phillips.

"Is this merely an internal conflict within Lebanon, or is it Syria's way of putting pressure on the international community? It's unclear at the moment which of these is the reason for the current violence," says Phillips.

Depending on the vantage point, Bashar al-Assad's recent assertion that those who "sow chaos in Syria" may be infected by it themselves sounds either like an astute observation or a direct threat to the regime's enemies in Lebanon.

How bad will things get in Lebanon?

The recent bloodshed in Lebanon has threatened the country's fragile political and religious balance, but observers believe a full-scale breakdown is unlikely for several reasons.

First, the Assad regime remains in firm control of the vast majority of Syria, and northern Lebanon's support for the rebels hasn't reached the point where it would warrant a Syrian or Hezbollah response.

Phillips says another promising factor is that all sides in Lebanon -- most importantly Hezbollah -- appear to be advocating peace following the deadly clashes in Tripoli and Beirut.

"Hezbollah has a huge military capability and if there was ever a civil war, it's well known that the group would be the most well-equipped to triumph," Phillips said. "But they're very conscious of being seen as a destabilizing force in Lebanon."

Phillips believes the war exhaustion factor is also very high in Lebanon. Beirut is still recovering from Israel's shelling of the city in 2006 during a 34-day conflict sparked by Hezbollah's kidnapping of Israeli troops near the Lebanese border, and many other wounds from the 1975-1990 civil war have yet to heal.

"There's been an assumption for several years that the Lebanese people are fed up and exhausted with civil war," said Phillips. "The civil war there ended not because of any resolution, but simply because people lost the will to keep fighting."

While all parties appear determined to avoid a return to the dark days of the past, Lebanon's future could rely as much on the outcome of the Syrian conflict as on political goodwill within its own borders.

CNN's Mohammed Jamjoom, Rima Maktabi and CNN Wires contributed to this report.

@highlight

Syria's conflict has spilled into Lebanon, where clashes killed 9 in Tripoli and Beirut

@highlight

Lebanon strongly influenced by Syria both politically and militarily since independence in 1943

@highlight

There is evidence Syrian rebels are receiving arms smuggled across the Lebanese border

@highlight

Many believe Syria's regime is stirring up violence in Lebanon to distract from their own conflict