(CNN) -- One by one, disasters have battered the Deep South in recent years: Hurricanes Katrina and Rita, horrific tornado outbreaks, the Gulf oil spill and now a flood of biblical proportions on the Mississippi River.

It's as if Old Testament punishments have befallen the bayous, deltas and savannahs of a region that's already scourged with staggering poverty.

"We're waiting for the locusts," commented Kim Fritz, interim executive director of the Mississippi Casino Operators Association. "At a certain point, you have to go: 'What else?' "

Within her group alone, the economic punch of this month's expanding flood has put 10,000 hourly employees temporarily out of work at 16 shuttered casinos along the river, Fritz said.

Open Story: Damage map

"All kidding aside," she said, "it's been pretty tough in this area over the past few years, but we just get up and keep going."

Up and down the magnificent Mississippi, tales of hardship -- and at least one case of good fortune -- are emerging as the river is rising.

Flooding and other disasters are nothing new to the crawfishermen, casino workers, hotel housekeepers, barge skippers, watermen and other working-class individuals who make their living from the Mississippi and the Gulf. But so many problems coming so closely together are taking a toll.

"What can we do to catch a break?" asked Wayne Mansfield, director of the Warren County Port Commission and the Warren County Economic Development Foundation, based in Vicksburg, Mississippi.

Floodwaters on rise in Mississippi, Louisiana

The 600-acre facility, the nation's 11th-busiest inland port moving as many as 14 million tons of bulk material a year, is closed because of flooding, bringing business to a halt, he said.

"Vicksburg's and Warren County's economy has long been tied to the river, for 150 years or more," Mansfield said. "Because of fuel prices ... we had seen an increase in barge activity, but the problem now is the barges have nowhere to dock because the docks are underwater."

It's not just riverbank commerce that has been paralyzed, Mansfield said. Inland flooding of roads has also forced many businesses to shut down, including 1,200 jobs at a paper mill and a manufacturer of shallow-water oil rigs, Mansfield said.

"You know, the one thing about Mississippi and Mississippians, we are truly a resilient people," Mansfield said. "After the event is over, we will rely once again on the river for our recovery."

What does cresting mean?

If there's a welcome surprise in the slow-moving disaster that's the great Mississippi River flood of 2011, it's that the crawfish are now running heavy, said craw fisherman Jody Meche, 41, of Henderson, Louisiana.

Crawdads are so big in this part of the country that Louisiana accounts for 98% of the country's production, according to the Louisiana Crawfish Farmers Association.

Meche has been exposed to crawfishing all his life, starting with his father. His dad was born on a house boat on a bay of the Atchafalaya Basin, home to the nation's largest river swamp and part of the Mississippi River watershed. The basin is among the most culturally rich and ecologically varied regions in the country, and it's home to the Cajun culture.

With a thick accent steeped in the region, Meche considers himself a Cajun and speaks a little French though he can't keep up with the old timers, he said.

Meche has been fishing for crawdads for 21 years, a skill he learned from his fisherman father, he said.

For now, the flood has pushed so much water -- and oxygen -- down the river that crawfish are growing fast and eating well, Meche said. That translates to a good catch in his traps.

But the rising waters have forced Meche to string the crawfish traps to higher tree branches, he said. So he has to motor his 19-foot skiff closer to the tall branches and stand atop the catwalk on his boat to tether the traps to the tall trees among the flooded banks, he said.

It's worth the extra work, he said. He's now harvesting 50 to 60 sacks a day of crawfish, or 700 to 1,000 pounds, he said.

"The crawfish is going to run heavy, but it's a hectic situation," said Meche, who's also vice president of the Louisiana Crawfish Producers Association West, which has 400 to 500 members. "We have to cut a lot of the branches and the trees. You have to add strings to the cages, and with every day the water rises, you have to raise the strings higher in the tree."

If this pace continues, he can meet the typical annual income of $30,000 to $50,000, minus up to 35% in expenses such as bait, gas and motor parts, he said.

"You see, we're like farmers," Meche said. "You got to make hay while the sun is shining."

The flood does pose one big threat to him and other craw fishermen.

If the water breaches the levees and floods roads, markets will close and trucks won't be able to transport the bounty to consumers, he said.

"We're keeping our fingers crossed that it's going to stay within the levees," Meche said. "And that's going to be a real big if."

How the Mississippi River levees could fail

The other peril facing the fishermen is old timber.

Past hurricanes such as Gustav in 2008 felled many trees along the river, and the timber has since been lodged along the banks, said Stephen Minvielle, director of the Louisiana Crawfish Farmers Association.

The flooding Mississippi will likely dislodge a lot of that wood, and "it's going to act as 10,000-pound battering rams floating down the river," Minvielle said.

Meche, a tough Cajun who skins farm alligators in the off-season, said he's prepared for all seasons, come what may.

"The craw fishermen, we're hard working people," Meche said. "We're a resilient people. We're not lazy people, you know what I'm saying."

@highlight

The Deep South has been pummeled by big disasters caused by nature and man

@highlight

This month's flooding on the Mississippi River has rendered many residents jobless

@highlight

But, as one Cajun fisherman says, Southerners are "a resilient people"