Benghazi, Libya (CNN) -- Rebel forces in the Nafusa Mountains of western Libya were under heavy attack Tuesday by forces loyal to leader Moammar Gadhafi and had issued a call for help, the National Transitional Council said.

"Representatives have confirmed that Gadhafi forces are using GRAD missiles, snipers, and a previously unseen type of mortar," it said, adding that three locals were killed and another nine wounded on Tuesday.

The Tunisian border is a portal for the delivery of humanitarian aid, which can no longer reach civilians in the area, it said.

Pro-Gadhafi forces were also attacking the northwest Libyan city of Yafren, focusing on the hospital there, the statement said.

Tunisia's state-run news agency corroborated the attacks, but cited different casualty figures. It said at least two people were wounded, two of them seriously, in shelling that began Monday night and continued until Tuesday afternoon in the Nafusa Mountains, the state-run Tunisian news agency said.

But the focus of shelling, the Wazin crossing point, remained under rebel control, said Tunis Afrique Presse.

Some of the shells fired by Libyan government forces fell inside Tunisia, TAP said, citing a security source.

Libyan state television reported late Tuesday that government forces had exchanged fire with NATO vessels that were shelling west of Misrata, striking one of them directly.

But the claim was flatly denied by NATO. "No NATO vessels in that area have been engaged today," said a mission spokesman for the organization who, citing security reasons, declined to identify himself.

Meanwhile, fighting continued in Misrata, where seven people died and 32 were wounded Tuesday, said Khaled Abu Falgha, a physician at Al Hikma Hospital in the city.

Most of the casualties were among the rebels and occurred on Misrata's eastern edge, near the Tawergha area. Fighting there has been going on for three days, since rebels took control of the nearby airport and civil defense base, he said.

The International Committee of the Red Cross said fighting in Misrata and other cities was keeping medical aid from reaching civilians and causing casualties among health personnel.

The continued attacks came as TAP reported that two former high-level Libyan government officials had crossed the border into Tunisia in the past few days.

Abdallah Mahmoud al-Hijazi, the former adviser to the Foreign Affairs General Secretariat and deputy-director of Libyan military intelligence, entered Tunisia on Tuesday through the Ras Jedir border crossing, said TAP.

He headed for the Tunisian tourist island of Djerba accompanied by four former civil servants, it said.

The news agency also reported that the Libyan oil minister, Choukri Ghanem, had gone through the same crossing Saturday.

Their intentions were not immediately clear. Libyan government spokesman Moussa Ibrahim denied Monday that Ghanem had defected, and said he was still on the job.

Early Tuesday, in the capital city of Tripoli, crowds gathered outside two burning buildings, the aftermath of what a Libyan official said were NATO airstrikes on government facilities.

Ibrahim said the buildings housed the Ministry of Popular Inspection and Oversight, a government anti-corruption body, and the head of the police force in Tripoli. There were no reports of casualties.

Some people ventured outside to inspect the damage. Others, including a group of young men carrying a portrait of Moammar Gadhafi and waving the country's green flag, marched in front of the buildings chanting slogans of support for the Libyan leader.

Documents were strewn over the grounds of the ministry building. Ibrahim told reporters that in the last few days, the ministry had put together corruption files against leaders in the Libyan opposition's Transitional National Council. He said the files "fortunately survived."

The area teemed with security forces, and men in civilian clothing carrying AK-47s. Some shot into the air in a show of anger.

"Is this their (NATO's) protection of civilians or terrifying civilians?" one of the men asked CNN. "This is a civilian neighborhood. ... Residents are terrified."

NATO on Tuesday said that, during the previous 24 hours, planes had hit a command-and-control center and a military training facility in Tripoli and struck radar systems in the vicinity of Tripoli.

The damage in the capital is one of the latest developments in Libya's see-saw war, which has raged for months with no end in sight.

NATO is operating under a U.N. Security Council resolution authorizing the use of force and any means -- except occupation -- to protect civilians. Allied forces have conducted airstrikes on Gadhafi's resources for almost two months.

The Libyan Red Crescent reported that three of its ambulances had been hit in separate incidents in recent days, resulting in the death of a nurse and wounds to a patient and three volunteers.

It has also received allegations concerning the misuse of the Red Cross and Red Crescent emblems to support military operations and the use of ambulances to transport arms and fighters.

"All parties to the conflict must refrain from harming injured people, medical personnel, medical vehicles and medical facilities," said Georgios Georgantas, the ICRC's deputy head of operations for North and West Africa.

"Medical personnel and ambulances must be allowed to reach the wounded. We reiterate our call to the authorities and to all weapons bearers to respect medical services and the emblems of the Red Crescent and Red Cross."

Libyan opposition members are demanding freedom and an end to Gadhafi's nearly 42-year rule.

The chief prosecutor of the International Criminal Court has sought the arrest of Gadhafi and two relatives, linking them Monday to "widespread and systematic" attacks on civilians.

Luis Moreno-Ocampo told reporters his office has "direct evidence" linking Gadhafi, his son Saif al-Islam Gadhafi and his brother-in-law Abdullah al-Sanussi to crimes against humanity.

Ibrahim, the government spokesman, denied accusations against the regime. Judges on the international court must now decide whether to issue the arrest warrants Moreno-Ocampo wants.

Security forces in Libya are accused of using sexual enhancement drugs as a "machete" and gang-raping women they stop at checkpoints, Moreno-Ocampo said.

Meanwhile, the government spokesman said four Western journalists detained by Libyan authorities were to appear Tuesday in court.

Ibrahim said Monday night he expected the American and Spanish journalists to be fined and released. He said he could not confirm the names of the journalists because he did not have the list.

Ibrahim said the journalists were detained for entering the country illegally from the east. Libyan authorities have threatened to detain journalists passing through the rebel-controlled eastern part of the country.

Many people have been working out ways to flee Libya.

The U.N. refugee agency said on Tuesday that hundreds of people who had fled Libya for Tunisia and Egypt "have crossed back into Libya with the intention of boarding boats to reach Europe."

Members of the Somali, Ethiopian and Eritrean communities in camps at Shousha near Tunisia's border with Libya are among them. About 14,000 people have been taken by boat from Libya to Italy and Malta, the Office of the U.N. High Commissioner for Refugees said.

The agency said most have made the journey in boats "overladen with passengers and in a very poor state of repair." Frequently, there's "no qualified skipper or crew to operate the boat."

"UNHCR has met with refugees in Tripoli who are planning to make this treacherous journey," the agency said.

"UNHCR repeats its call to all vessels on the Mediterranean to consider all boats departing Libya to be in need of assistance, and likely to face a situation of distress at some point in the journey."

CNN's Jomana Karadsheh, Ben Brumfield and Amir Ahmed contributed to this report.

@highlight

NEW: Gadhafi forces reportedly using a previously unseen type of mortar

@highlight

Seven are killed and 32 wounded in Misrata, a physician says

@highlight

There are reports of two former Libyan officials crossing into Tunisia

@highlight

Fighting is keeping medical personnel away from the wounded, aid groups say