(CNN)Imagine a blimp city floating 30 miles above the scorching surface of Venus -- a home for a team of astronauts studying one of the solar system's most inhospitable planets.

NASA is currently doing just that; floating a concept that could one day see a 30-day manned mission to Earth's closest planetary neighbor.

Eventually, the mission could involve a permanent human presence suspended above the planet.

Deep heat

Also known as the morning star, and named after the goddess of love and beauty because it shone the brightest of the five planets known to ancient astronomers, Venus is a hot, sulphurous, hellish place whose surface has more volcanoes than any other planet in the solar system.

With a mean temperature of 462 degrees Celsius (863 degrees Fahrenheit), an atmospheric pressure 92 times greater than Earth's and a cloud layer of sulphuric acid, even probes to Venus have lasted little more than two hours. Its surface is hot enough to melt lead and its atmospheric pressure is the equivalent of diving a mile underwater.

But above this cauldron of carbon dioxide at an altitude of 50km (30 miles) scientists say the conditions are as close to Earth's as you'll find anywhere in the solar system.

The gravity at this altitude is only slightly lower than that of Earth, its atmospheric pressure is similar and the aerospace provides enough protection from solar radiation to make it no more dangerous than taking a trip to Canada.

Creating HAVOC

Known at NASA as HAVOC - High Altitude Venus Operational Concept -  engineers and scientists at the Systems Analysis and Concepts Directorate at NASA's Langley Research Center in Hampton, Virginia, have been working on a preliminary feasibility study on how robots and humans could make a Venus mission a reality.

"The atmosphere of Venus is an exciting destination for both further scientific study and future human exploration," said aerospace engineer Christopher A. Jones of the Space Mission Analysis Branch.

"One concept is a lighter-than-air vehicle that could carry either a host of instruments and probes, or a habitat and ascent vehicle for a crew of two astronauts to explore Venus for up to a month."

He said the study showed the mission would require less time to complete than crewed missions to other planets and could even be a practice run for a Mars mission.

Closer to Earth

Venus has the advantage of being much closer to Earth. Its minimum distance to Earth is 38 million kilometers, compared with 54.6 million to Mars.

"The kind of multi-decade mission that we believe could succeed would be an evolutionary program for the exploration of Venus, with focus on the mission architecture and vehicle concept for a 30-day crewed mission into Venus's atmosphere," he said.

At the heart of the concept is the logistically difficult task of sending a spacecraft into the atmosphere of Venus without landing it.

The HAVOC model involves placing the astronauts inside an 'aeroshell' that would enter the atmosphere at 4,500 miles per hour.

Decelerating during its descent to just 450 meters per second and then deploying a parachute, the shell would fall away to reveal a folded airship. Robotic arms would unfurl the blimp which would be inflated with helium to allow the airship to float 30 miles above the planet's fiery surface.

Jones said the key technical challenges for the mission include performing the "aerocapture" maneuvers at Venus and Earth (the process of entering the orbit of both planets), inserting and inflating the airships, and protecting the solar panels and structure from the sulphuric acid in the atmosphere.

"With advances in technology and further refinement of the concept, missions to the Venusian atmosphere can expand humanity's future in space," he said.

Permanent mission

Ultimately, NASA could seek a permanent manned presence in Venus's atmosphere.

Suspended in a gondola beneath the airships, astronauts would not have to contend with the physical challenges of zero gravity, where weightlessness causes muscles to wither and bones to demineralize.

And at a mere 167 degrees Fahrenheit (75 degrees Celsius) -- just 30 degrees Fahrenheit hotter than the highest temperature ever recorded on Earth -- even current technology has the ability to contend with everything that Venus could throw at the mission.

Even so, HAVOC is envisioned as a multi-phase campaign and robotic missions would have to be sent to test technologies and better understand the atmosphere.

While NASA has no current plans to fund the concept, the Langley-based team continues its work with the hope the space agency could make the plan come to fruition within several decades.

"Eventually, a short duration human mission would allow us to gain experience having humans live at another world, with the hope that it would someday be possible to live in the atmosphere permanently," Jones said.

Read more from Tomorrow Transformed:

Wind farms of the future go underwater

Is the Darknet a glimpse into the web of the future?

China's impact on the future of e-commerce

@highlight

NASA is studying the possibility of sending a manned mission into the relatively benign atmosphere of Venus

@highlight

The concept involves sending an aeroshell that would contain a folded helium airship in the planet's atmosphere

@highlight

At 30 miles above the planet's surface, the gravity, atmosphere and radiation protection is similar to that of Earth

@highlight

The space agency says the mission could involve creating a floating blimp city for a permanent manned presence