Beijing, China (CNN) -- Hardly a day has gone by this year without news coming from China of mass protests, labor strikes or violent attacks. In a country where strikes and protests are taboo, these are bold, desperate actions by Chinese angry over low wages, land-grabs, abuse from officials, corruption, worsening pollution and other bread-and-butter issues.

The Chinese labor front has been particularly uneasy. On May 17, more than 1,800 workers at a factory in southern Guangdong, which supplies parts for Honda Motors, went on strike, demanding better pay. After a two-week standoff, they won.

Their victory has been contagious. Walkouts have paralyzed several factories across China, including three other plants that supply auto parts to Honda Motors. Foxconn, a huge Taiwanese-owned manufacturing group which produces parts for Apple, Sony and other companies, announced generous pay increases after a series of worker suicides this year put the spotlight on the plight of migrant Chinese workers.

Chinese manufacturers face labor upheaval

Although China has emerged from the financial crisis stronger than most, it has not escaped economic and social disruptions. China is now grappling with a rise in social unrest, and the Chinese leadership is taking it seriously.

Zhou Yongkang, a top communist party official in charge of peace and order, acknowledges that "a wide range of social conflicts have occurred recently" and calls for "down-to-earth measures."

Foxconn firm seeks answers to rash of worker suicides

Speaking at a meeting in Beijing, Zhou said: "Improving people's livelihoods should be the starting and end point of all our work. People should be able to share the fruits of the reform and development."

But not everyone has.

Since China introduced market reforms in 1978, economic growth has averaged more than 9 percent every year and per capita income has more than quadrupled.

Prospering the most are the booming coastal provinces, where shiny skyscrapers boast malls teeming with well-heeled shoppers. But in the rural interior, tens of millions of Chinese still live in poverty. Beneath the glowing statistics, China's leap to prosperity has left millions of its citizens behind.

Seeking a better life, millions of farmers have left the land to seek work in the cities. According to 2009 figures from the State Statistics Bureau there were almost 230 million migrant workers in China.

Over the past three decades, they came in waves, working long hours in sweatshops, construction sites and assembly plants, enduring poor working conditions in order to save a little cash to remit home. They are the unsung heroes of the Chinese economic miracle.

But the second generation of China's migrant workers is a different breed.

"Their parents have lived through hardship and poverty, but the younger generation has seen nothing but economic growth and they feel they should benefit from the economic progress," says Wenran Jiang, political science professor at University of Alberta in Edmonton, Canada. "They will not put up with poor working conditions, work-related stress and low wages."

Officials are now trying to pacify them. Without specifically commenting on the recent labor disputes, Premier Wen Jiabao urged better treatment for China's young migrant workers. Speaking to a group of young workers at a subway construction site in Beijing, he praised their work as "a glorious thing" and called on the government and society to "treat them as their own children."

Wen's soothing remarks may be taken as an indication of how seriously the leadership regards a restive population. "I think the government is very concerned about the unrest spreading and causing further disruptions," says Drew Thompson, a China expert at the Nixon Center in Washington DC.

"The workers' uprising undermines the Communist Party's legitimacy to some degree and that is most worrisome to the leadership. The restrictions on reporting on strikes and workers' dissatisfaction reflect that unease."

Authorities have so far allowed workers at the Honda plants to organize and agitate for better pay, but workers say the police are keeping them under close watch. Wary of the possible emergence of Solidarity-style independent trade unions in China, China's leaders are tightening controls in the political spheres as well.

"The new regulations increasing oversight of foreign funding for Chinese NGOs is an example of how ubiquitous government oversight is," says Thomson of The Nixon Center.

"One could argue that the government might be over-doing it to preempt turmoil, and in trying to exert complete control, it is eliminating checks and balances and other safety valves that allow the public to vent their frustration."

At the annual meeting of China's legislature in March, Premier Wen had promised to address the issue of social justice and the yawning gap between the rich and the poor.

Shifting away from the growth-at-any-cost model that has prevailed over the past three decades, he promised more efforts on redressing the inequality and social tension that market reforms have engendered.

One institution that is in place to help smooth labor disputes is the All-China Federation of Trade Unions (AFTU), an officially sanctioned labor union. Chinese leaders have called on official labor unions to do a better job of representing workers. But striking workers at the Honda plant in southern Guangdong said they distrusted the official unions as pro-management, not pro-workers.

Instead of relying on the factory's official union, each department elected two workers' representatives who negotiated on their behalf the wage hike that they wished. Analysts say the AFTU now faces the choice of changing into a genuine workers' union or remaining marginalized.

@highlight

China's leadership are grappling with a rise in social unrest among the workforce

@highlight

Since market reforms introduced in 1978, the leap to prosperity has left millions behind

@highlight

Migrant workers are refusing to put up with poor working conditions and low wages

@highlight

Communist Party leadership worried discontent could spread, undermine its legitimacy