Cairo (CNN) -- The Arab League and other world powers boosted pressure on the Bashar al-Assad regime to end its nearly nine-month-long crackdown on demonstrators, a relentless push against mostly peaceful citizen protest that has now claimed at least 4,000 deaths.

Nabil el-Araby, the secretary-general of the Arab League, said the Syrian regime can "avoid the dangers of a foreign intervention" if it agrees to an Arab League plan to defuse the grinding conflict.

He said the Syrian government hasn't accepted the league plan to send observers into the country to monitor the response to civil unrest. But he said the government has a chance to overcome the crisis by agreeing to the idea.

"The Syrian government is not complying with the Arab initiative plan and their inability to stop the violence is what led to the escalation of the procedures of the sanctions against it," el-Araby said in a written statement.

Earlier this week, foreign ministers from 19 Arab League countries voted to slap economic sanctions on the Syrian regime, including cutting ties with the nation's central bank, banning high-profile officials from visiting Arab countries and freezing government assets.

The number of deaths has reached at least 4,000 since the crackdown began in mid-March and could be much higher, Navi Pillay, U.N. high commissioner for human rights, said in Switzerland on Thursday.

The Local Coordination Committees of Syria, an activist group, said 4,744 people have been killed, including 843 from the army. The group said at least 23 people had been killed in the country on Thursday.

The U.S. Treasury sanctioned two high-ranking Syrians and two government controlled entities on Thursday for their role in the crackdown. One of the people is Mohammad Makhlouf, al-Assad's uncle and father of long-serving financial adviser Rami Makhlouf. The other is Aus Aslan, a Syrian general.

The sanctions are the latest of several imposed by the United States, the European Union, and Turkey.

"It has never been more critical to escalate pressure on the Syrian government to immediately cease all violence against its own people and isolate the regime from the international financial system," said Treasury Under Secretary for Terrorism and Financial Intelligence David S. Cohen. "We will continue to work closely with our partners in Europe and around the world to hasten a transition to democracy in Syria."

A league official told CNN on Thursday it is targeting 17 senior Syrian regime officials for a travel ban to member states.

One of them is President al-Assad's brother, Maher Hafez al-Assad, the commander of the country's 4th Army Division, according to a senior Arab League official directly involved in negotiations with the Syrians.

The preliminary list also includes Defense Minister Emad Dawoud Abdulla, Interior Minister Mohamed Ibrahim Al Shaar, intelligence chief Abdulla Fattah Quedsia, and military intelligence chief Rostom Ghazali. The source doesn't want be named because of his direct involvement in the talks.

Syrian citizens blame the military and security apparatus for the casualties. The Syrian government insists that armed groups are responsible.

The instability is affecting non-Syrians. Kuwait urged its citizens in Syria to leave and said those planning to travel there should not because of "the unstable security situation," the state-run media said on Thursday, citing a statement from the Foreign Ministry.

El-Araby has said a committee examining how to implement the sanctions will focus on protecting civilians while targeting the government.

An Arab League committee led by economic ministers will meet in Doha, Qatar, on Saturday to discuss implementing sanctions, the source said. It will pass along its ideas to the league foreign ministers meeting in Cairo next week, the source told CNN on Thursday.

The source also said a ban on Arab airlines traveling in and out of Syria will start on December 15.

Syria announced that it has suspend its membership in the Euro-Mediterranean Partnership until the European Union backs down on the sanctions imposed on Syria.

But European Union foreign policy chief Catherine Ashton told the EU Foreign Affairs Council on Thursday that the group is pleased with the Arab League sanctions and international initiatives to keep Syrians safe. EU officials met with el-Araby and discussed a range of issues.

"The most important thing is to keep the people of Syria as safe as possible and to put pressure on the regime," Ashton said in Brussels, Belgium.

In Switzerland on Friday, the U.N. Human Rights Council will meet to discuss the violence in Syria.

CNN is unable to independently confirm events occurring inside Syria because the government does not allow journalists free access to the country.

CNN's Joe Sterling and Tracy Doueiry contributed to this report

@highlight

NEW: The United Nation's death count reaches 4,000 since the beginning of the Syria unrest

@highlight

Syria suspends membership in Mediterranean group

@highlight

U.S. sanctions are imposed on two high-ranking officials

@highlight

Kuwait is asking its citizens to leave Syria