(CNN) -- U.S. Secretary of State Hillary Clinton was quick to suggest that the death of Osama bin Laden offered a unique opportunity for a wider settlement in a region riven by warfare and insurgency.

"Our message to the Taliban remains the same," she said Monday. "You cannot wait us out, you cannot defeat us, but you can make the choice to abandon al Qaeda and participate in a peaceful political process."

That has been a long-cherished ambition of U.S. foreign policy -- to delink the "good" Taliban from the "bad" Taliban and al Qaeda as a way of bringing peace to Afghanistan. As Clinton put in a speech to the Asia Society in February, the Holy Grail was to "split the weakened Taliban off from al Qaeda and reconcile those who will renounce violence and accept the Afghan constitution."

Achieving that goal has become all the more urgent with the looming deadline to begin the withdrawal of U.S. and coalition forces from Afghanistan, and President Obama's goal to complete that withdrawal in 2014. Former British Foreign Secretary David Miliband has argued that the West had effectively announced the date of the end of the war; and that was an invitation to the insurgents to bide their time.

Now -- "post OBL" - the omens may be more encouraging. The secretary of state apparently thinks so.

Events across the Middle East, she said Monday, are changing the political landscape. Muslims are "rejecting extremist narratives and charting a path of peaceful progress based on universal rights and aspirations," she said.

A deathblow to al Qaeda?

And there is polling to suggest that the appeal of al Qaeda's message among Muslims around the world has sharply eroded, according to regular polling by the Pew Research Center. Even in Pakistan, only 18 percent had confidence in bin Laden in 2010, compared to 52 percent in 2005.

Jihadist online forums were full of hand-wringing in January and February that the uprisings in the Middle East had passed them by, while offering a variety of strategies for co-opting or taking advantage of the unrest.

Beyond this cultural shift, there are other reasons the Taliban/al Qaeda linkage may now be weaker.

Pakistani journalist Ahmed Rashid, author of "The Taliban" and "Descent into Chaos" wrote in the Financial Times Monday that "the Taliban do not owe al Qaeda anything now that Osama bin Laden is dead."

No obvious replacement to succeed bin Laden

"Renouncing their links with al Qaeda and negotiating as Afghans rather than as members of an international jihad has just become much easier for the Taliban," he added.

The Afghan Taliban, a home-grown movement whose principal goal is to expel foreigners, has never had that much in common philosophically with the Arab jihadists bent on using Afghanistan as the starting point in building a worldwide Caliphate. They have no record of terrorist acts beyond Afghanistan's borders. To many observers, it was a marriage of convenience.

There may also be more prosaic reasons prodding the Taliban to distance themselves from the al Qaeda leadership. If the U.S. Navy Seals did indeed come across what CNN Terrorism Analyst Peter Bergen described as a "boatload" of evidence during the raid in Abbottabad, some of it may (just may) help in tracking down members of the Quetta leadership of the Taliban.

However, analysts say it's by no means certain that the Taliban will perceive this watershed in the way that Clinton would wish.

The day before the operation that killed bin Laden, they declared the beginning of their spring offensive. They even made a point of warning that members of the Afghan Peace Council, established with great fanfare last year by President Hamid Karzai, would be targets. And they reiterated their central demand: "The war in our country will not come to an end unless and until the foreign invading forces pull out of Afghanistan."

How U.S. forces killed Osama bin Laden

The Taliban have been weakened in critical areas in the south of Afghanistan, losing strongholds in Kandahar and Helmand provinces and seeing scores of rank-and-file fighters give up the cause. But the fight in the east is as hard as ever -- and non-governmental organizations in Kabul have also spoken of a growing Taliban presence in the north. U.S. commanders acknowledge that gains made so far have been fragile -- and are reversible. A Pentagon report published last week said that expanding the Afghan government's influence and control outside Kabul had not kept pace with recent security gains.

So there are few signs that the Taliban -- even if they are tired of fighting -- can yet be strong-armed into suing for peace.

In a report for the New America Foundation last year, Anand Gopal argued that the Taliban have been able to exploit the ineptitude of the government in Kabul.

"They were able to take advantage of growing disillusionment in the countryside," he wrote. "In particular, the dominance of one particular set of tribes caused members of other, marginalized tribes to look to the insurgency as a source of protection and access to resources."

The late Richard Holbrooke, who was the U.S. special envoy to Afghanistan and Pakistan, acknowledged that victory on the battlefield was not on the horizon, telling CNN's Fareed Zakaria last October that "some kind of political element to this is essential, and we are looking at every aspect of this."

Holbrooke also made the point that the Taliban did not have a single address, a principal interlocutor like Slobodan Milosevic or the Palestinian Authority. "There is a widely dispersed group of people that we roughly call the enemy," he said.

Referring to the diffuse nature of the Taliban, Miliband argues the West needs to reappraise its goals in Afghanistan. He described Afghanistan as "a country of 40,000 villages and valleys," where a political settlement needs to be "internal with all the tribes and regional with the neighbors." That means a political role for the Taliban.

"We have to be absolutely clear, I think, that we do see a place for conservative Pashtun in the political settlement, helping govern the south and east of the country," Miliband told the Council on Foreign Relations recently.

Some of the previous contacts between the Taliban leadership and the government in Kabul have been managed by Saudi Arabia. In September 2008, an eleven-member Taliban delegation went to Mecca for talks mediated by King Abdullah. CNN's Nic Robertson reported at the time that the delegation was keen to stress that Mullah Omar, the Taliban's spiritual leader, was no longer allied to al Qaeda.

But vigorous Saudi involvement might be problematic now given the Kingdom's focus on its "near abroad:" the chaos in Yemen and conflict in Bahrain, where Saudi troops are now stationed. Add to that the deterioration in the Kingdom's relations with Washington over the "Arab spring" and what the Saudis regard as a reckless abandonment by the Obama administration of long-time allies like former Egyptian President Hosni Mubarak.

Another complicating factor: Saudi Arabia is also looking to improve its relationship with Pakistan as a regional counterweight to Iranian expansionism, and Pakistan (which supported the Taliban when it ruled Afghanistan) very much wants a place at the table in any negotiation on Afghanistan's future.

In the "plus" column, the initiative by Turkey -- an increasingly assertive regional player -- to allow the Taliban to open an office there, to help accelerate the peace process. But for now it's just an initiative, not a reality.

So while bin Laden's demise brings opportunities, there are also great obstacles in making it the first downpayment of a peace dividend. Clinton acknowledged as much when she said Monday: "Which way it breaks is not clear yet," she said. "Managing these reactions will be part of our challenge."

@highlight

Clinton sees death of Osama bin Laden as a potential avenue to peace

@highlight

U.S. secretary of states says Muslims are "rejecting extremist narratives"

@highlight

Polls suggest that the appeal of al Qaeda is eroding among Muslims around the world

@highlight

The Taliban shielded bin Laden in Afghanistan for a time