(CNN) -- You'll flip head over heels for this summer's bumper crop of new roller coasters.

"It's going to be a crazy good year," says Dave Lipnicky, an economist and volunteer public relations director for American Coaster Enthusiasts, an international group with 5,000 members.

Along with a couple of petrifying new record-breakers (highest, fastest and other superlatives go with coasters like tracks and inversions), U.S. amusement parks are also investing in new technologies and family friendly thrill rides.

"In the '70s, parks were pulling out their kiddie rides to make room for the teen-drawing bigger, faster, stomach-tightening rides," Lipnicky says. "This summer, there are plenty of those, but we're also seeing a nice balance in the major installments."

Here are 10 top new roller coasters you'll be screaming about for a long time:

Goliath
Six Flags Great America, Gurnee, Illinois

This new wooden coaster that debuts May 24 breaks three -- count 'em, three -- world records. It has the longest drop, the steepest drop and goes faster than any other wooden coaster.

It also flips riders head over heels in two inversions that could make the inevitable air-time and 180-degree zero-G roll seem kinda tame. Daredevil riders, with bated breath, have been keeping tabs on construction via the Goliath Cam on the park's Facebook site. sixflags.com/greatamerica

Bells and whistles: 
Length: 3,100 feet 
Speed: 72 mph 
Height: 165 feet 
Insanity: A 180-foot vertical drop that plunges 85 degrees into an underground tunnel

Best places to experience Native American culture

Banshee
Kings Island, Mason, Ohio

Like the mythological creature whose screams break glass, this new $24 million coaster with the same name is sure to terrify anyone who gets near.

Banshee, which opened April 18, is billed as the longest inverted coaster in the world. And, yes, inverted means upside down. It also has a curved drop, a dive loop, a zero-G roll, a batwing, an outside loop spiral and an inline-roll.

After months of watching a live videocam of the purple coaster's death-defying construction, eager fans have already raised some $65,000 for a Cincinnati charity supporting kids with life-threatening illnesses by signing up for the two-hour marathon the night before the park officially opens for 2014. visitkingsisland.com/banshee

Bells and whistles: 
Length: 4,124 feet 
Speed: 68 mph 
Height: 170 feet 
Insanity: Seven inversions and a 170-foot heartline finale

Verruckt, Schlitterbahn
Kansas City, Kansas

Ever since October 1901, when a 63-year-old Michigan school teacher survived a plunge down Niagara Falls in a wooden barrel, daredevils have been dreaming up schemes to ride down the 167-foot monster waterfall.

On May 23, Schlitterbahn Kansas City is unveiling a waterslide/hypercoaster that's actually several feet taller.

And while it's illegal to mount an expedition down Niagara these days (park officials didn't particularly enjoy dealing with mangled bodies), anyone with the guts to climb the 264 stairs can make the 17-story drop on the Verruckt, which means insane in German. The new attraction will be the world's tallest water slide. theverruckt.com

Bells and whistles: 
Length: Straight down with a second five-story slope
Speed: 65 mph 
Height: 17 stories 
Insanity: Taller than Niagara Falls, 40% taller and 20% faster than its closest competitor

El Loco
Adventuredome at Circus Circus, Las Vegas 

Living up to its name, this hair-raising new coaster that opened February 18 has a turn that banks to the outside, an unheard of gravity-defying feature, even among coaster collectors.

Eleven-year-old Benjamin De Los Santos of St. George, Utah, who won a contest to be one of the first four passengers, said, "I was out of my seat more than I was in it. The first drop was so crazy I accidentally said a bad word."

Don't worry, Benjamin, with each car's built-in sound system playing cheesy hip-hop and rock, your mother probably didn't hear. adventuredome.com/elloco/

Bells and whistles: 
Length: 1,300 feet
Speed: 45 mph 
Height: 90 feet
Insanity: It banks outside at a 45-degree angle, about 44 degrees further than the average comfort zone.

The Thunderbolt
Luna Park in Coney Island, Brooklyn, New York

Just when you thought it was safe to go back to Coney Island, a new $10 million steel Thunderbolt is opening on the site of the original wooden Thunderbolt that terrified thrill seekers from the 1920s through the '80s.

If you saw "Annie Hall," it was the coaster under which Woody Allen's fictional character grew up.

Thunderbolt 2.0 is the park's first to be built since the famous, still-in-operation Cyclone. The Thunderbolt, opening in May, starts with a jaw-dropping 90-degree vertical drop, followed by a 100-foot vertical loop, an 80-foot, zero-G roll, a 112-degree over-banked turn and a custom heartline dive. LunaParkNYC.com

Bells and whistles: 
Length: 2,233 feet
Speed: 55 mph 
Height: 115 feet 
Insanity: A 90-degree plunge

Flying Turns
Knoebels Amusement Resort, Elysburg, Pennsylvania

Most parks would have given up years ago.

But this family-owned amusement park was so determined to recreate the legendary wooden coaster that British barnstorming pilot John Norman Bartlett brought to America in the 1920s that it spent 7Â½ years melding its old-school thrills (read, laxer safety standards) with today's high-tech safety regulations.

Judging by the stunned reaction from riders in last October's sneak preview/soft opening, it was well worth every trip back to the old drawing board. On April 26, the park opens for Flying Turns' much-anticipated full debut season. knoebels.com

Bells and whistles: 
Length: 1,200 feet
Speed: 24 mph 
Height: 50 feet 
Insanity: You're in a wooden chute without any tracks making very tight turns.

FireChaser Express
Dollywood, Pigeon Forge, Tennessee

Dolly Parton herself was there to cut the ribbon on this new coaster that debuted March 22.

Although it's classified in coaster parlance as a "family ride" -- and indeed riders need only be 39 inches tall to board the splashy red fire trucks -- this innovative new ride includes explosions, fireworks, more twists than an Agatha Christie novel and enough special effects that it could get nominated for that category in next year's Oscars. dollywood.com

Bells and whistles: 
Length: 2,427 feet
Speed: 34.5 mph 
Height: 12 stories
Insanity: Once Big Bertha explodes, you ride backwards all the way to the station.

Lightning Run
Kentucky Kingdom, Louisville, Kentucky

After a five-year hiatus and a $50 million renovation, this amusement park, formerly a part of the Six Flags brand, debuts May 24 with the new steel Lightning Run.

Joining Stella and Lola, the Twisted Twins that were originally called the Twisted Sisters until the rock group of the same name threatened to sue, Lightning Run has a sleek new car design that sends riders on a negative force camelback that will have them screaming, "Mommy!" kentuckykingdom.com

Bells and whistles: 
Length: 2,500 feet 
Speed: 55 mph 
Height: 100 feet 
Insanity: An 80-degree, near-vertical drop

Seven Dwarfs Mine Train
Walk Disney World, Lake Buena Vista, Florida

You might be tempted to sniff at the stats (it IS, after all, an all-ages coaster), but this new steel coaster at Disney World's New Fantasyland does a lot more than defy Newton's laws.

According to Disney Imagineer Dave Minichiello, the ride's creative director, this roller coaster-plus has music and interactive elements, goes outside through a forest and inside through the dwarf's mine and is unlike any ride Disney World has ever seen. disneyworld.disney.go.com

Bells and whistles: 
Vultures: 2
Dwarfs: 7 
Jewels: Diamonds, emeralds, rubies and more
Insanity: The car's platform rocks back and forth.

Roar-O-Saurus
Story Land, Glen, New Hampshire

Big? Bad? Not so much. But when you figure that the Story Land customer base is 12 and under (oh yeah, and their parents), a brand new wooden roller coaster that catches air is pretty extreme.

And because Roar-O-Saurus' numerous twists and turns are built into such a tight space and because it moves at a surprisingly frenetic pace, Lipnicky, of American Coaster Enthusiasts, claims this new dinosaur-led coaster packs an impressive wallop.

With 100 inches of snow in New Hampshire this year, fingers are crossed that Rory, the dinosaur, and his team will be ready to rock and roll by the park's opening on May 24. storylandnh.com

Bells and whistles: 
Length: 1,242 feet 
Speed: 35 mph 
Height: 40 feet 
Insanity: 12 moments of airtime

@highlight

Banshee in Ohio is billed as the longest inverted coaster in the world

@highlight

Schlitterbahn Kansas City is unveiling a water slide that's taller than Niagara Falls

@highlight

Coney Island's latest version of the Thunderbolt is expected to open this summer