(CNN) -- A federal appeals court has stayed the Texas execution of a convicted rapist and murderer, saying that his defense team should have more time to make their case that Robert James Campbell is intellectually disabled.

Campbell's execution had been scheduled for Tuesday. It would have been the first execution in the United States since a botched lethal injection in Oklahoma left an inmate writhing in pain before death.

His defense team now will have more time to appeal his death sentence.

"It is regrettable that we are now reviewing evidence of intellectual disability at the eleventh hour before Campbell's scheduled execution. However, from the record before us, it appears that we cannot fault Campbell or his attorneys, present or past, for the delay," justices from the U.S. Court of Appeals for the 5th Circuit said in their opinion.

A neuropsychologist had diagnosed Campbell with "mild mental retardation." His attorneys say that makes him ineligible for the death penalty. But Texas prosecutors say their efforts are a last-ditch effort to stop execution and not a valid claim.

In 2002, the U.S. Supreme Court concluded "the mentally retarded should be categorically excluded from execution."

Texas Attorney General Greg Abbott, in a petition contesting the defense claims of mental retardation before the appeals court's ruling, questioned why Campbell, now 41, waited until 12 years after a court had determined his mental state to raise the claims.

"Campbell's last-minute claim of mental retardation, which was previously raised and rejected in the federal and state courts does not warrant review. Campbell is not mentally retarded," according to pertinent case law, Abbott contends.

Campbell's lawyer praised the appeals court's decision, arguing that Texas should stop pursuing the death penalty in the case.

"The Fifth Circuit's decision today creates an opportunity for Texas to rise above its past mistakes and seek a resolution of this matter that will better serve the interests of all parties and the public," attorney Robert C. Owen said in a statement.

According to court documents and the Texas Department of Criminal Justice, Campbell was involved in a string of armed carjackings in 1990 and 1991. In one incident, Alexandra Rendon, a 20-year-old Houston bank employee, was snatched from a gas station, robbed, sexually assaulted and fatally shot.

"Mr. Campbell gave Ms. Rendon's coat to his mother, and her jewelry to his girlfriend, as gifts; he also drove Ms. Rendon's car openly in his own neighborhood, and told people he had been involved in the crime," according to his application for post-conviction relief.

These facts are key, as the defense team says they indicate that "Mr. Campbell demonstrates no criminal sophistication."

Questions about competence

Testing showed Campbell had "applied academic skills consistent with an individual midway through fifth grade," according to court documents, and while he was able to count and add change, he was inconsistent "calculating change from a purchase."

He also asked a friend for help reading a non-digital watch, and an informant told the court Campbell could not read a car's gas gauge and "always had to ask others whether there was enough fuel to get to the destination," the documents say.

Dr. Leslie Rosenstein, a clinical neuropsychologist, diagnosed Campbell with "mild mental retardation," saying his performance on recent tests was consistent with his standardized intelligence test scores when he was a child, according to court documents.

Campbell's defense team alleges the Texas Department of Criminal Justice was aware of Campbell's low test scores, yet told the team in 2003 that his only IQ test yielded a score of 84, well above the threshold range for mental retardation.

But as Judge Elsa Alcala wrote last week in her dissent to the Texas Court of Criminal Appeals' 5-4 decision, a defense team later learned the Department of Criminal Justice administered a test in 1992, on which Campbell scored a 71. Alcala described it as "a score that, after applying the standard of margin of error, would indicate mental retardation."

Had the department not "misinformed" Campbell's defense, the judge wrote, "then this court would have had IQ testing supportive of applicant's mental-retardation claim." Also influencing the dissent is that Rosenstein had deemed the 1990 test score of 84 "unreliable."

"This court should not base its decisions that determine whether a person will live or be executed based on misinformation or wholly inadequate information," Alcala concluded in her dissent.

Questions over execution drug mixes

Campbell's attorneys have also challenged the method by which Texas intends to execute Campbell.

The constitutionality of lethal injection drugs and drug cocktails has made headlines since last year, when European manufacturers -- including Denmark-based Lundbeck, which manufactures pentobarbital -- banned U.S. prisons from using their drugs in executions. Many states were left to find new drug protocols.

Campbell's defense cites last month's botched execution in Oklahoma, in which a three-drug cocktail was used to to try to put to death convicted murderer Clayton Lockett. The provenance of the drugs was shielded by Oklahoma law. Lockett reportedly twitched, spoke and writhed in pain for about 40 minutes before dying of a massive heart attack.

Death row inmate Charles Warner was scheduled to die in Oklahoma the same day, but the execution was postponed. The Oklahoma Court of Criminal Appeals last week extended the stay until November 13.

"We are very pleased that the (attorney general) agrees at least 6 months is necessary before any execution in Oklahoma can take place, given the need for a full investigation to be conducted into Clayton Lockett's agonizing botched execution, and the Department of Corrections' own recognition that protocol revisions and extensive retraining are necessary," Warner's attorney, Madeline Cohen, said.

In Campbell's case, Texas intends to use pentobarbital, and Campbell's lawyers point out that the drug is no longer available in regulated form and can be obtained only via so-called "compounding pharmacies," which operate outside of U.S. Food and Drug Administration oversight.

Arguing Lockett was "subjected to a torturous execution that undeniably violated his Eighth Amendment" rights, the defense says that pentobarbital also poses concerns after Oklahoma inmate Michael Lee Wilson complained during a January execution, "I feel my whole body burning."

Texas' Jose Luis Villegas also complained of a burning sensation during his April execution, and he was executed "using compounded pentobarbital from the same batch intended for Mr. Campbell," the defense's appeal says.

Campbell's attorneys say Texas' refusal to disclose the "source, efficacy and potency" of the drug raises issues similar to those in Oklahoma. It's not about which drugs are used, Campbell's defense wrote in its appeal, but about the transparency of the entire process.

The Department of Criminal Justice, in its response, said that the drug that is to be used has "been independently tested at 108% potency and is free of contaminants. TDCJ has successfully carried out, without incident, seven previous executions with pentobarbital from a different compounding pharmacy and three with pentobarbital from the same source as will be used in Campbell's execution."

"What the events in Oklahoma have made clear is that the risk of torture and a clearly cruel and unusual outcome has been proved to be a very real threat when states aren't required to facilitate executions with the transparency and accountability and disclosure of the sort sought -- and denied -- in Oklahoma," the court document says.

"In short, the events in Oklahoma have made clear that the risk of inhumane executions is substantial, including in Texas."

Panel suggests fixes for death penalty in U.S.

Opinion: It's time to televise executions

CNN's Devon M. Sayers, Vivian Kuo and Catherine E. Shoichet contributed to this report.

@highlight

NEW: An appeals court stays Robert James Campbell's execution

@highlight

He had been scheduled to die by lethal injection Tuesday

@highlight

Defense team's challenges include state misconduct, client's mental retardation

@highlight

Defense: Campbell has 5th-grade academic skills, can't read watch or car's fuel gauge