Los Angeles (CNN) -- Juana Vidal yearns to reunite with her undocumented immigrant son and his family, but she fears the stakes involved.

Her son, Elesban Vidal, his wife and their two daughters will join as many as 125 families that will try to cross the California-Mexico border on Monday and demand that U.S. officials allow them back in the country to join with their U.S. relatives through a humanitarian visa or asylum.

Most, if not all, of the 125 families had earlier lived in the United States as undocumented immigrants, including some who were earlier deported.

The dramatic maneuver by so many families is designed to renew attention to how the U.S. immigration system painfully breaks up families when members are deported for being undocumented immigrants.

The families will stage their event on the Mexico side of the Otay Mesa point of entry, between San Diego and Tijuana.

"I'm very worried. I'm nervous. I sometimes can't sleep because I'm thinking something could happen to them," Juana Vidal said.

That's the feeling Juana Vidal has had since she found out a few weeks ago that her son and his family will be attempting to return from Puebla, Mexico, where they have been living the past two years.

"He's afraid but says he will try to see if he's able to come back," Juana Vidal, 56, said in an interview in her Los Angeles home. She spends her time caring for her other U.S.-born grandchildren.

She will anxiously wait on the U.S. side of the Otay Mesa crossing to see if her son and his family will be admitted.

Her son and his wife had been living in the United States as undocumented immigrants, but they were never arrested and voluntarily returned to Mexico after he couldn't find a decent job.

Their two daughters, however, were born in the United States and are American citizens, and the Vidal family hopes the citizen status of the two girls, ages 3 and 5, will help their visa applications so that grandparents can be reunited with grandchildren and their parents. Elesban Vidal also wants to unite his family with his siblings, who live in the United States.

The family won't find Monday's quest easy, experts say.

The event is part of the "Bring them Home" campaign led by the National Immigrant Youth Alliance (NIYA), which calls itself "an undocumented youth-led network" of groups that tries to reunite families.

"It's incredible that we have to rely on actions like this," said Luis Nolasco, a member of NIYA. "There are so many families that want a way to come back. The reality should be that they should be able to come back an easier way and it's not happening,"

Nolasco says everyday hundreds of families are being separated under President Barack Obama's administration. Almost 2 million undocumented immigrants have been deported since the President took office five years ago, he said.

Monday's action will be the third and largest event staged so far by the alliance.

Deportations: Missing parents, scared kids

"What happens is people will present themselves at the border and will be asked to be let back into the country because this is their home for lot of them," Nolsaco said.

Immigrants who have not been able to obtain a visa for entry can apply for an alternative visa known as humanitarian parole, according to the Department of Homeland Security website. These types of visas allow foreign residents to come into the country based on their particular situation.

However, immigration lawyers say humanitarian parole isn't an easy document to obtain and that it's granted case-by-case.

"It's a benefit that's given to individuals that want to come to the United States, generally for emergency reasons. It's applied either with United States Citizenship Immigration Services or with U.S. Customs and Border Protection at the Border," said Nelson Castillo, a California-based immigration lawyer.

Castillo said humanitarian parole is granted to those with true emergency or medical situations where they have to explain to an officer at the border why they want to be received by the United States.

"Generally they have to prove that they have tried to obtain a way to come in lawfully into the United States and they will have to plead out their case to what is the valid reason, the emergency," Castillo said.

Long-lost son, 37, to finally see mother after 35 years abroad

The National Immigrant Youth Alliance says these families have the right to come back to this country, as many have children who are U.S. citizens.

"They lived here, they grew up here, and studied here. This is their community and this is their home and they don't recognize Mexico as their home country. Just because they were born there doesn't mean it's their home," said Nolasco.

The alliance's other two efforts to reunite families involved nine young adults and 30 young adults -- all of them who once lived in the United States as undocumented immigrants but had left the country for one reason or another, including through deportation.

Those two groups used the current political coinage of "Dreamers" to describe themselves -- that is, young immigrants in the United States without documentation. Dreamer is a moniker taken after an acronym of immigration reform legislation.

"The first run had nine Dreamers, second round had 30 and this time we are including families and parents in this round," Nolasco said.

In the first two rounds, U.S. immigration officials detained all the participants and then released them, the alliance said. The majority obtained approval to stay temporarily in the United States and are awaiting for their day before an immigration judge, who will determine their fate.

The Vidal family is nervous about the alliance's latest effort.

Elesban Vidal, 32, was undocumented, like his parents, when they brought him to the United States at age 6.

The family lived in Southern California near Compton, where Juana Vidal raised all five of her children. They attended Los Angeles schools and consider the United States their home country.

But Juana Vidal said Elesban returned to Mexico two years ago because he couldn't find a job and he thought he could find more opportunity in Mexico.

That didn't happen, the mother said.

Her son didn't qualify for the Obama initiative called the Deferred Action for Childhood Arrivals Program because he didn't meet all the requirements that would have allowed him temporary permission to remain in the states, the mother said.

"He told me the situation is hard, very hard" in Mexico, Juana Vidal said. "He can't get ahead, sometimes there's days he has a job and there's other days he doesn't and he tries to get by. But he regrets he left."

A tale of two Republicans: A story of the GOP and immigration reform

Obama said he can't stop deportation of immigrants, but maybe he can

@highlight

Juana Vidal of Los Angeles hopes to see her son and his family again

@highlight

Son Elesban, his wife, their two girls left the U.S. for Mexico two years ago

@highlight

Elesban and wife had lived in U.S. as undocumented immigrants; their girls are U.S.-born

@highlight

About 125 families will seek to enter the U.S. in a dramatic border event Monday