(CNN) -- Voices across the political spectrum are debating how to prevent mass shootings such as the one in Newtown, Connecticut. Familiar ideological lines are being redrawn. Some want to renew the ban on assault weapons and expand waiting periods to buy a gun. Others want to place armed guards in schools. And then there is the challenge of preventing guns from falling into the hands of the mentally ill.

While the debate rages on, it's worth thinking out of the box for a moment. What if we could design guns to be smarter and safer -- with hardware and software? The right technology could neutralize the killing capability of an assault weapon, even in a madman's hands.

The root of the problem is that guns are "dumb." Pull the trigger and they discharge bullets mindlessly, regardless of who is doing the aiming or where they are aimed. Guns should "know" not to fire in schools, churches, hospitals or malls. They should sense when they are being aimed at a child, or at a person when no other guns are nearby.

Hardware fixes alone -- such as a ban on extended clips -- may mitigate carnage in an assault, but they will not change the risk that an event happens at all if the person holding the gun wants to harm others. Addressing that challenge with reliable precision requires a hardware and software solution.

Many complex products have been transformed by safety-enhancing technology. Look at airplanes, which have layers of computer-controlled safety features to temper pilot error. Cars, increasingly, have sophisticated controls to override drivers and avoid collisions. Guns, too, can benefit from technological advances.

Opinion: Take politics out of gun research

After the Newtown shooting, a number of Silicon Valley leaders signed the "Demand a Plan" petition for new gun laws. It is good to know how strongly they feel about tougher regulation. It would be even better if they would invest their know-how and wealth to create a new kind of gun control -- the software kind.

How might this work? Start with locational "self-awareness." Guns should know where they are and if another gun is nearby. Global positioning systems can meet most of the need, refining a gun's location to the building level, even within buildings. Control of the gun would remain in the hand of the person carrying it, but the ability to fire multiple shots in crowded areas or when no other guns are present would be limited by software that understands where the gun is being used.

Guns should also be designed to sense where they are being aimed. Artificial vision and optical sensing technology can be adapted from military and medical communities. Sensory data can be used by built-in software to disable firing if the gun is pointed at a child or someone holding a child.

Building software into guns need not affect gun owners' desire to protect their homes. Trigger control software could be relaxed when the gun is at home or in a car, while other safety features stay on to prevent accidental discharges. Guns used by the police would be exempt from such controls.

Finally, guns should be designed to broadcast their location when they are loaded. Police could see if high-powered assault weapons are entering or getting close to a public place. Gun owners, too, could choose to broadcast their guns' locations publicly to increase deterrent effect.

Couldn't gun software be hacked? Perhaps, but the risk can be reduced by open-sourcing code, requiring software patch downloads, and notifying gun makers or law enforcement if software is disabled. Open-sourcing code is not foolproof, but it will build a community of lawful gun owners and code writers who value safety and Second Amendment rights. Enabling two-way communication between guns and their original makers will help guns to be tracked beyond the initial sale, putting greater long-term responsibility on gun makers.

Developing gun software and hardware adaptations could be hastened through a Defense Advanced Research Projects Agency-style program. This Defense Department agency tries to solve difficult warfare challenges with cutting-edge ideas. It gave us GPS, among other things. In the private sector, rewards can be offered for specific technological achievements, such as what the X Prize Foundation has been doing. Gun makers, gun retailers, even the National Rifle Association could underwrite a similar prize.

Gun software could be phased in, starting with the most lethal assault rifles. Today's guns are componentized, creating possibilities for a vibrant aftermarket, with add-ons tested and certified by a consortium of gun makers or responsible gun owners.

Technology cannot end depravity or violence, but it can limit the evil a person can inflict on others. After this latest heart-wrenching massacre, enacting new laws may help us feel like we have done something. But smarter technology may actually do a lot more.

The opinions expressed in this commentary are solely those of Jeremy Shane.

@highlight

Jeremy Shane advocates changing the way guns work with "smart" technology

@highlight

Shane: Today's guns are "dumb," and making them the same way is thoughtless

@highlight

He says gun software can start with locational "self-awareness" and other simple features

@highlight

Shane: Technologists should use their know-how to help reduce gun violence