(CNN) -- The level of odorous chemical in West Virginians' water dropped Friday, but not enough for authorities to lift a warning to avoid drinking, cooking or bathing with it or to give a clear idea as to when things will change.

Gov. Earl Ray Tomblin described the situation in nine counties Friday night as "pretty bad," both for residents being told the only thing they should do with their running water is flush their toilets and schools, restaurants, hotels and other businesses forced to close.

One bit of good news is tests on the affected water supply, which are being conducted on an hourly basis, show "the chemical level is declining."

"But we're just not sure exactly how long it's going to take before it's acceptable to lift the do-not-drink ban," the governor told CNN.

Much of the anger centers around the coal-industry company from which the chemical leak occurred. And there's also frustration among some -- including Danny Jones, the mayor of West Virginia's most populated city and capital, Charleston -- that the water company trying to deal with the resulting mess still doesn't have a timeline for when things will return to normal.

"It's caused us more problems than you could ever imagine," Jones said Friday night, pointing out people can't do things like wash their hands after going to bathroom or wash their clothes.

"... It's a prison from which we would like to be released."

Utility official on water: 'I can't say it is safe'

The crisis began Thursday, when residents of Kanawha County reported a foul odor -- similar to licorice -- in the air.

The Kanawha County Fire Department and the state Department of Environmental Protection that day traced that smell to a leak from a 35,000-gallon storage tank along the Elk River.

The chemical had overflowed a containment area around the tank run by Freedom Industries, then migrated over land and through the soil into the river. The leak happened about a mile upriver from the impacted West Virginia American Water Co. plant.

After concluding the tap water was contaminated late Thursday afternoon, a stop-use warning went out to customers in Boone, Cabell, Clay, Jackson, Kanawha, Lincoln, Logan, Putnam and Roane counties.

West Virginia American Water's president Jeff McIntyre said Friday he didn't believe the substance -- 4-methylcyclohexane methanol -- was still flowing. But that doesn't mean the situation will be resolved soon.

What is 4-methylcyclohexane methanol?

"It is not intended to be in the water (or) distribution system," McIntyre said. "... Once it's in there, there's no more treatment for it."

While there haven't been reported widespread sicknesses, the ordeal is having a big impact.

Kanawha County Commission president Kent Carper told reporters Friday more than 300,000 people have been affected. Tomblin gave a lower estimate -- saying it was "way over 100,000 (but) we don't have an exact number yet of people ... without water."

Businesses -- including 15 McDonald's in the area, according to their ownership group -- have shut down. Hospitals have taken emergency measures to conserve water. And residents have been scrambling, as evidenced by empty shelves and worries at home.

"It's all very hectic," said Patricia Pearl of Charleston. "You don't even want to go to the grocery store. I think everyone is in a panic."

Emergency rooms busy, businesses closed

The emergency's ripple effects included the closure Friday of the state Supreme Court of Appeals in Charleston, courts in Boone and Lincoln counties, and the cancellation of classes at West Virginia State University.

In addition to shuttering her shop Flowers & More on Friday -- usually her busiest day -- Pearl noted other ripple effects, like how her 60-year-old husband's physical therapy session tied to a recent knee surgery was canceled.

"The problem is that no one seems to know when we'll have the water restored," she said.

First responders and hospitals saw a rush of activity after the alert went out. Carper said more than 1,000 calls were placed in four or five hours to the 911 center, 24 of them for emergency medical services -- five of which led to people being taken to hospitals.

Water company spokeswoman Laura Jordan urged people to get medical attention "if they are feeling something ... isn't right."

Many -- perhaps too many -- did just that.

"Our emergency rooms have been very busy with individuals unnecessarily concerned and presenting no symptoms," said Charleston Area Medical Center.

The restrictions affected the hospital in other ways, too. It put into place linen conservation and alternative cleaning methods and turned away all but emergency patients.

Daniel Stewart sued the water utility and Freedom Industries, saying his kidney transplant surgery was canceled because of the ordeal "forcing (him) to undergo dialysis, pain and suffering and continued illness due to his renal failure and other medical damages."

West Virginia American Water "failed to maintain an appropriate emergency response plan," Stewart claimed, while Freedom "failed to properly maintain and store its chemicals."

A lawsuit was filed Friday by a man whose scheduled kidney transplant was canceled due to the water issue, said attorney Jesse Forbes said.

CNN reached out to the water company about the lawsuit.

"West Virginia American Water is not focused on litigation at this time. Our focus is on our customers and providing safe adequate water supplies," the company said in a statement.

Leaked chemical used to wash coal

Freedom Industries is feeling the heat from others as well.

President Gary Southern tried several times to walk away from a press conference Friday evening, saying "it has been an extremely long day," only to be called back by insistent reporters -- including one who noted how long a day it has been for all the West Virginians now without drinkable water or a full explanation as to why.

"This incident is extremely unfortunate and unanticipated," Southern said. "... This has been a very, very taxing process."

Freedom's crippled steel tank is about a mile upriver from the West Virginia American Water plant, according to McIntyre. According to Carper, the county official, it's part of a former Pennzoil refinery dating back to the 1930s or 1940s. Jones, Charleston's mayor, said he believes "the chemicals went through (holes in a retaining) wall."

Southern said two Freedom employees noticed material leaking from a storage tank into a dyke around 10:30 a.m. Thursday. They contacted authorities and began the cleanup process -- including hauling away the chemical still in the tank and vacuuming up some in the nearby ground.

"We have mitigated the risk, we believe, in terms of further material leaving this facility," said the head of Freedom, which supplies products for the coal-mining industry.

Southern said he couldn't say how much of 4-methylcyclohexane methanol -- which United Mine Workers spokesman Phil Smith explained is used to wash coal before it goes to market -- leaked, only that it was under 35,000 gallons. Tomblin said a maximum of 5,000 gallons of the chemical seeped out.

The Freedom Industries president downplayed the chemical's health effects, saying it has "very, very low toxicity" and opining it poses no danger to the public.

West Virginia American Water and government officials have a different take, as evidenced by the stop-use warning.

As McIntrye said, "We don't know that the water is not safe, but I can't say it is safe."

The federal Environmental Protection Agency -- which doesn't yet have an "official role" in the response -- has taken no enforcement actions against Freedom Industries during the past five years, agency spokeswoman Alisha Johnson said.

West Virginia's Department of Environmental Protection ordered Freedom to take everything out of its 11 remaining above-ground storage tanks. This came hours after the department issued a "cease operations order" for the company, saying it could not receive any additional material until it addresses the effects of the leak and proves its structures are sound.

'I do not know how long this will last'

The rush now is on to fully assess and address the problem, and perhaps press criminal charges because of it.

Having declared a state of emergency affecting the nine involved counties, Tomblin urged West Virginians to look out for one another -- especially small children and the elderly.

To that point, he announced a "call to action drive" through Friday evening at the State Capitol to collect items such as bottled water, sanitizer, liquid baby formula, paper and plastic plates and utensils for those in need. This is in addition to water stations set up in malls, churches, high schools, recreation centers and fire departments.

The federal government has gotten involved as well, with President Barack Obama signed an emergency declaration authorizing the Federal Emergency Management Agency to coordinate disaster relief efforts.

FEMA said Friday that it was sending 75 trucks -- each carrying about 4,900 gallons of water -- to the area. Tomblin said this federal help -- for now, mostly in the form of cases of bottled water -- is helpful, as are the contributions from many donating businesses.

U.S. Attorney Booth Goodwin said he and other federal authorities is looking into what happened, telling CNN Friday that "even a negligent release of this kind could be a criminal violation."

"It's really too early to tell whether criminal charges could be brought" against Freedom, he said Friday. "... We're going to want to figure out just exactly what occurred and when ... But right now, obviously, what we're trying to do is get people's water back on."

Meanwhile, West Virginia American Water is working intently as well, including teaming with DuPont and the U.S. Army Corps of Engineers to determine the contamination level. Jordan said the system would be flushed and may be returned to service in zones, but she would not speculate when that might occur.

The water company also has provided 12 tanker trucks filled with water, and bought four tractor-trailer loads of bottled water for distribution to those in need, McIntyre said.

Tomblin noted that "there is no shortage of bottled water," but urged people to see a doctor immediately if they come down with nausea, dizziness, or eye or skin irritation. And he didn't make any promises as to when this emergency would end.

"I do not know how long this will last," the governor said.

CNN's AnneClaire Stapleton, Mike Ahlers, Paul Caron, Ashley Fantz, Ed Payne, Marlena Baldacci, Kevin Conlon, Susan Candiotti and Dave Alsup contributed to this report.

@highlight

NEW: The state orders the company behind the leak must remove all chemicals from tanks

@highlight

The leak led authorities to urge people not to use tap water to drink, bathe in, and more

@highlight

Charleston's mayor calls the situation a "prison," says his patience is running thin