(CNN) -- No doubt, it is difficult to design operating systems for computers that simultaneously run numerous applications, while managing interactions between multiple types of hardware and responding to a multitude of commands from users.

Now imagine trying to design a similar operating system not for a laptop, a PC or even a smartphone, but rather for something much, much tinier -- a living biological cell.

This is exactly what a group of scientists at the University of Nottingham, in England, will attempt to do as part of a five-year, $1.58 million research project that has been aptly named AudACiOus -- which, according to researchers is derived from "towArds a Universal BiologicAl-Cell Operating System" with an extraneous "D" and "U" thrown in.

It is undoubtedly an audacious and ambitious initiative, but if the researchers are successful it could result in a major breakthrough for synthetic biology -- a relatively new and somewhat controversial interdisciplinary field.

It combines biology, chemistry, physics, computer science and engineering to program genetic components of a cell to perform new biological functions -- such as bacteria that could produce biofuel or vaccines.

Researchers say the project could lead to the creation of completely new cellular life forms that could do anything from cleaning up pollutants in the environment to detecting and treating viruses before they enter the human body.

"It would have a large impact on many of the key issues that are facing humanity right now," said Natalio Krasnogor, a computer science professor at the University of Nottingham who is leading the AudACiOus project. "This includes carbon sequestration, bioremediation of polluted environments, personalized health care, sustainable energy."

There have already been remarkable achievements in the field. Last year, Jay Keasling, a professor of bioengineering at the University of California, Berkeley published a paper in Nature describing how his lab engineered E. coli to produce diesel fuel. But manipulating parts of a cell remains an overall vastly laborious and expensive endeavor, according to Krasnogor.

"For each single application you have in mind, you have to start from scratch, and you have to start all of the design of the biological roots from scratch," he said. "The analogy in the computer industry would be that each time you write a computer program you have to write the entire operating system."

That's why Krasnogor hopes his team will be able to create a line of cells running a generic "cellular operating system" that could be re-programmed with different applications. Or, in other words, it would be similar to computers running an operating system that could then be tweaked with different software to meet the needs of its users.

He says they aim to build a biological interface between the minimal components a cell requires to stay alive and other components that can be programmed to execute specific jobs. Or, in essence, it would be like identifying the minimal hardware components required for a computer to turn on as well as the circuitry that enables that hardware to be programmed to carry out new tasks.

"If we change the operating system, then whatever modification we want to do later on will be easier," Krasnogor said.

"The truth is there is no guarantee we will succeed," he added. "This is a high risk, high return project."

Scientists not involved with the project agree it will be difficult. J Christopher Anderson, a synthetic biologist at the University of California Berkeley, said he is taking a "wait and see" view towards the project.

"As much as I'd love to see someone find the theory or practice that simplifies genetic engineering down to something easy, I'm skeptical as to whether any one technical effort could provide that simplification," he said.

"It's hard to imagine there would be one thing that would be truly revolutionary," he added."There are so many complications at play, so many little pieces that have to be found and put together.

"There are theory gaps. There are tools gaps. There are so many other bottlenecks. But it could be an important and difficult piece of the puzzle."

@highlight

Researchers hope to create an "operating system" for living cells

@highlight

"AudACiOus" project could make it easier to re-program cells

@highlight

It could lead to new life forms that can clean up pollutants or cure disease