Just 90 miles away, Cuba inevitably shares a long history with the United States, from conquistadors to the Spanish-American War to the Cold War.

Here are some of the top moments in that history, even before the countries came into being.

Old World meets New World

Christopher Columbus lands on Cuba in 1492 and claims the island for Spain, leading the way for that country's conquistadors to explore the Caribbean and the part of the U.S. Southeast that's now Florida, among other parts of the Americas.

Spanish-American War

The United States helps Cuba win independence from Spain in a war between the European country and the Americans in 1898. In one of the more famous moments, Theodore Roosevelt and his Rough Riders charge up Cuba's Kettle Hill during the Battle of Santiago, and the so-called 1st Volunteer Cavalry become instant heroes.

The United States is given temporary control of Cuba under the Treaty of Paris, and Roosevelt later becomes U.S. President.

Guantanamo Bay

The U.S. occupation of Cuba lasts until 1902, during which U.S. forces modernize the capital's infrastructure. By 1903, the new Republic of Cuba allows for the creation of a U.S. naval base in Guantanamo Bay in 1903, whose military moniker becomes "Gitmo."

Cuban Revolution

In 1959, Fidel Castro, his brother Raul and their band of bearded guerrillas stage a successful communist revolution overthrowing President Fulgencio Batista, a U.S. ally.

Fidel Castro goes on to become one of the world's longest-ruling leaders, for more than 50 years, and one of the most vocal critics of capitalism and U.S. policies.

U.S. embargo

After the Cuban Revolution leads to the nationalization of about $1 billion of U.S.-owned property on the island, the U.S. government imposes a trade embargo on Cuba in 1960 that's designed to destabilize the communist regime. The Castros refer to this sanction as a "blockade" that they claim causes many of Cuba's problems.

Bay of Pigs and missile crisis

The United States and Cuba come to the brink of nuclear war following a series of events that begins when U.S.-backed Cuban exiles invade the island at the Bay of Pigs. But the exiles suffer a crushing defeat in 1961, embarrassing the U.S. government.

The following year, Cuba allows the Soviet Union to build missile installations on the isle, a major crisis in the Cold War. The standoff ends when the Soviet Union withdraws the missiles and the Americans promise not to invade Cuba.  Secretly, Washington also agrees to remove U.S. ballistic missiles deployed in Turkey against the Soviets.

Mariel exodus

Flotillas of rafts and boats carry a mass movement of refugees from Cuba to Florida in 1980. In all, about 124,000 Cuban migrants take to the water and enter the United States. Fidel Castro enabled the exodus by allowing his people to leave Cuba freely from the port of Mariel.

Elian Gonzalez

Only 5, Elian Gonzalez is the only boat survivor of a group of refugees fleeing Cuba to Florida in 1999. An international incident erupts during a custody battle between the boy's father in Cuba and his relatives in the United States. At gunpoint, U.S. agents remove the boy from his great-uncle's home, and Elian is returned to Cuba in 2000.

Gitmo Part II

After the September 11, 2001, attacks on the United States, President George W. Bush uses the Guantanamo Bay Naval Base as a detention facility for terror suspects. At its height, the facility hold more than 750 detainees and becomes a flashpoint of controversy about its legality as a prison and about alleged mistreatment of detainees.

Under an agreement, the U.S. government sends Cuba about $4,085 a year to lease the land. Fidel Castro, however, is said to have called the U.S. base in Guantanamo "a dagger plunged into the Cuban soil," and the last time Cuba took the U.S. payments was in 1959, when the Castros took power.

@highlight

The United States helped Cuba win independence from Spain in 1898

@highlight

The new Republic of Cuba allows the U.S. naval base in Guantanamo in 1903

@highlight

U.S. comes to brink of nuclear war with Cuba and Soviet Union in 1962

@highlight

A custody battle over Elian Gonzalez becomes an international incident in 1999