(CNN) -- Imagine you are welded to the sofa at home about to watch a third match in a row. You have been drinking throughout the day, but reach for another can of cold beer and fill your glass.

But the vessel you are drinking from says that your alcohol intake has exceeded safe levels and urges you to reconsider.

Rather than a desperate government intervention, this is the concept of the Vessyl 'smart cup' -- a groundbreaking addition to the field of consumer health technologies, which has launched for pre-orders. The sleek 13-ounce design is fitted with a sensor that analyzes the molecular content of drinks in real time, and then displays selected nutritional information such as sugar or alcohol content on the side of the cup.

In a live demonstration for CNN, inventor and CEO of parent company Mark One, Justin Lee used the Vessyl to identify a range of beverages. The cup -- synced to his iPhone -- took only a few seconds to recognize a specific brand of smoothie, and was able to discern an exact flavor of Frappuccino. Moments later, sugar and calorie content flash up.

Users can adapt the device to their personal needs, says Lee. "We want this to be a product for what matters to you. People who want to lose weight will care most about the calories. I work out so I'm more interested in protein. People can also be mindful of caffeine consumption -- to be sharp but not jittery."

The device can be set to multiple "lenses" to meet a variety of needs, from weight loss to improved sleep. It tracks cumulative consumption so that users can observe and improve their patterns.

Lee hopes that Vessyl will be used in conjunction with existing health technologies that record personal details such as heart rate and body mass index to optimize consumption choices. The mobile app includes a feature for a tailored hydration program based on such personal details.

There is a medical imperative behind the Vessyl. "Sugar-sweetened beverages are the number one source of calories", reported a recent survey from the US Center for Disease Control. Soft drinks are increasingly identified by health organizations as a leading cause of obesity, with major efforts to restrict their consumption and improve public understanding of the high sugar levels.

Other products are beginning to offer forms of molecular analysis for our food, but Smith believes that usability will prove a trump card. "We wanted this to be as easy as possible for consumers, we were completely focused on making the interaction simple. The data has to be clear and actionable."

Certainly, one need not be a technology guru to make use of the Vessyl, the ease of which owes much to the collaboration with award-winning designer Yves Behar, creator of the Jawbone.

The only action required of the user is to tilt the cup and read the numbers displayed on the side of the cup. The only maintenance required is "quick rinse" between drinks, and charging is delivered via a wireless coaster. The size and shape is conventional with a "flick-to-open" spill-proof lid.

The Vessyl has heavyweight support, with leading innovators at Google and Apple among its admirers. "People will at first be blown away, and then they are going to expect everything else in the world to be able to see its contents and materials the same way", says Mike Beltzner, head of mobile at Pinterest.

While some may still prefer not to know the gory details of everything they consume, innovations like the Vessyl are making it harder than ever to live in ignorance.

Read more from Make, Create, Innovate:

'Hacked' instruments unleashed

Incredible new tech inspired by biology

Wearables in the workplace

@highlight

'Vessyl' has a sensor that analyzes the molecular content of drinks in real time

@highlight

It then displays selected nutritional information such as alcohol content on the side

@highlight

The device can be set to meet a variety of needs, from weight loss to improved sleep