(CNN) -- The Constitution says that only "natural born citizens" are eligible to be president. Is Sen. Ted Cruz of Texas eligible, given that he was born in Canada of a U.S. citizen mother and a Cuban immigrant father?

If Cruz runs, 2016 will be the third consecutive election in which there were questions about the right of a major party candidate to serve. Unfortunately, the Framers left few clues about exactly what a "natural born citizen" is; Congress has not used the phrase in citizenship statutes since 1790.

Indeed, the phrase is so obscure that it has been called the Constitution's worst provision by the dean of the Yale Law School. But it is likely that Cruz is a natural born citizen, because he was a citizen by birth. In any event, even if there were some question, the courts are unlikely to interfere with the decisions of the electorate about who we want as our president.

We have clear rules for who is a citizen by birth, and who can become a citizen after birth by naturalization, but neither the Constitution nor laws passed by Congress define "natural born citizen."

The phrase comes from the English common law, which defined the term as including anyone who, by natural law, owed duties to, and was protected by, the monarch. The sovereign expected obedience from anyone born in the country, other than the child of a foreign diplomat or an enemy soldier. So children born in England, even to parents who were not English themselves, were natural born subjects. As such they were obligated to pay taxes, say, or perform military service, and they had the rights of English people.

The word "natural" was critical. English courts found that some people were naturally subjects if born in the dominion of the sovereign even if Parliament had passed no law making them such. Simply being born naturally created rights and duties.

Politics: Who is eligible to run for president?

The United States had natural citizenship in this same sense; white people born in the United States were always regarded as citizens, even before the Fourteenth Amendment, passed in 1868, put that principle in the Constitution and extended it to African-Americans.

Clearly, those born in the United States are eligible to be president; if they are not, no one is. There is also wide agreement that people who became citizens after birth, such as former governors Arnold Schwarzenegger and Jennifer Granholm, cannot run. Naturalized citizens are ineligible, no matter how able and popular, no matter how loyal and integrated into American society.

The question about eligibility has always been with regard to children of U.S. citizens born overseas, like Ted Cruz, and Republican presidential candidates John McCain and George Romney before him. The Supreme Court has held that foreign-born children are U.S. citizens only to the extent that a law passed by Congress makes them so. As the child of a U.S. citizen mother, Ted Cruz was born a citizen by virtue of the Immigration and Nationality Act. But did that make him a natural born citizen?

The United States has citizens, not subjects; we are a nation of free people, not ruled by a hereditary sovereign. Therefore, the English concept does not translate directly to the American context. Instead, the question is who is a natural member of the political community.

Most immigration and citizenship scholars, including me, believe that the answer is that any person who is a U.S. citizen at birth is naturally a part of the political community and hence eligible to be president. (I argued that John McCain was not eligible, because the statute granting citizenship to people born in the Canal Zone was passed only after he was born; since he was not a citizen at birth, he could not be a natural born citizen.)

There is a far-fetched counterargument, that only those who have citizenship by natural right, those born in the United States -- and perhaps only white people born in the United States -- are truly natural-born because only they are citizens without some law like the Immigration and Nationality Act or a constitutional amendment like the Fourteenth Amendment making them so. All others, who are granted citizenship because of some action by Congress, are mere naturalized citizens.

This argument seems wrong to most scholars. But whatever its merits, it is not likely to be tested in court. Judges appropriately hesitate to overrule the democratic process. If Cruz runs and is challenged, the courts will almost certainly rule that a random voter has no standing to challenge his candidacy. Other candidates are not likely to sue, but rather will focus on trying to win the election.

Judges will recognize that, at bottom, it is hard to find a legitimate reason that Ted Cruz or any other person in his situation should be denied the presidency if the people of the United States want him.

The opinions expressed in this commentary are solely those of Gabriel "Jack" Chin.

@highlight

Sen. Ted Cruz was born in Canada of a U.S. citizen mother and Cuban immigrant father

@highlight

Gabriel "Jack" Chin says Constitution is vague on the exact standards to run for president

@highlight

Chin says requirement to be a "natural born citizen" is not totally clear

@highlight

He says most scholars think Cruz is eligible, and courts likely wouldn't bar him