(CNN) -- No parent should have to worry about losing his or her child in childbirth or to a mosquito bite, malnutrition or vaccine-preventable diseases such as pneumonia and diarrhea. Yet, in some parts of the world, these are leading killers.

In 2010, 7.6 million children younger than 5 died worldwide -- the equivalent of the combined populations of Massachusetts and Rhode Island.
The good news is we have the tools to prevent most of these deaths. Vaccines, adequate nutrition, improved health care services and training for workers, anti-malaria bed nets and other high-impact mechanisms can save lives. The challenge is making them widely available and easily accessible in impoverished and underserved communities.

In recent decades, the global community has made significant progress in saving children's lives. Since 1990, the mortality rate for children younger than 5 has decreased by 35% worldwide, and more than a dozen countries have reduced their rate by more than 50%.

Yet, too many children continue to die, and we have more work to do, especially in sub-Saharan Africa and South Asia, where child mortality rates are the highest. To achieve the fourth Millennium Development Goal, which calls for reducing the mortality rate of children younger than 5 by two-thirds between 1990 and 2015, we need to accelerate our efforts. Although we have many solutions in hand, we need to strengthen financing, policies, health care systems and service delivery to give more children the chance to survive and thrive.

This week, the United Nations Foundation will join governments, the private sector and civil society organizations for a summit in Washington focused on ending preventable child deaths. Experts will identify effective child survival strategies and investments and will serve as the launch pad for activities to assess progress and sustain momentum toward this important goal.

One of the promising efforts is mobile technology, which can provide health information directly to families and assist health care workers with clinical decisions and diagnostics. The U.N. Foundation's mHealth Alliance has been leading the working group on mobile health and child survival. It will develop recommendations on how to apply mobile technologies for health.

This summit complements the work of the United Nations to dramatically improve the health of women and children around the globe. One program is its "Every Woman Every Child" initiative, which aims to save the lives of 16 million women and children by 2015.

Nearly two years ago, the U.N. Foundation joined the Every Woman Every Child effort with our own $400 million commitment to maternal, newborn and child health through 2015. We have provided nearly $200 million in grants to U.N. agencies and other partners, launched two new multistakeholder initiatives and engaged more than 300 partners and hundreds of thousands of individual people in efforts to reduce child deaths.

Working with our partners, the U.N. Foundation delivers lifesaving vaccines and insecticide-treated bed nets to children, harnesses mobile technologies to improve maternal and child health, provides opportunities for women to voluntarily plan their families, empowers girls to build the future they want and provides clean cooking stoves that are safe and healthy for families and the environment.

These efforts are making a difference: In less than a decade, we have sent more than 6 million anti-malaria bed nets to Africa, helped to reduce global polio cases by 99% and helped to decrease measles mortality by 74% worldwide.

Through smart, coordinated and committed action, the world could be on the cusp of something truly remarkable -- ending preventable child deaths.

This goal is ambitious, but it's one that we can, and must, achieve.

Now is the time for all of us -- governments, businesses, civil society and concerned citizens -- to seize this opportunity and fulfill our obligation to give all children an opportunity to celebrate a fifth birthday.

The opinions expressed in this commentary are solely those of Kathy Calvin.

@highlight

Kathy Calvin: In 2010, 7.6 million kids worldwide younger than 5 died who didn't have to

@highlight

Preventable diseases such as malnutrition and diarrhea kill children, she says

@highlight

Calvin: Vaccines, food, better health care, mosquito nets can save these lives

@highlight

Mortality has dropped, but U.N., businesses, countries must keep up efforts, she writes