(CNN) -- Ten years ago, the number of Western visitors to North Korea was well below a thousand a year, with Americans permitted by Pyongyang to visit only during the summer Mass Games.

The number of Western visitors has since risen to 5,000 to 6,000 a year, and Americans, who now make up 25% of Western visitors, are allowed to enter year round.

In response to the surge of interest, London-based website Uniquely Travel has recently launched a comprehensive North Korea app.

Part travel guide, part travel booking advisory, it features more than 350 places of interest.

All destinations on the North Korea Travel App are open to visitors and have been geo-tagged by Curtis Melvin, a North Korea satellite imagery expert who the company says was banned from the country after widespread news coverage of his work.

The app includes sections detailing the country's history, culture and the ethics of traveling to North Korea, as well as a Tour Guide Tips section offering insights by Koryo Tours manager Simon Cockerell, who has been leading groups into the country for more than 10 years.

"The app appeals to that curiosity a lot of people have about what on Earth it's like to go to a country like North Korea and is designed for armchair travelers as well as people who are actively interested in visiting," says project manager Chad O'Carroll.

A longtime North Korea watcher and founder and managing editor of NK News, O'Carroll got involved with the project last year when friends set up Uniquely Travel, a site dedicated to easing travel to countries with difficult relationships with Western governments.

The North Korea app, developed by Magora Systems, is the first to launch.

Guides to Iran and Libya are expected to follow.

What can tourists expect when visiting North Korea?

More than just monuments

"Users can compare prices through the app in a similar way to Kayak.com or they can use the unique platform to put together their own itinerary and get companies to compete against each other for a custom (trip)," says O'Carroll.

He's most excited about the work done by Melvin, who's been studying Google Earth images for more than five years to piece together a detailed map of North Korea.

"People think you can only go to Pyongyang and see a bunch of monuments, but that's not the case," says O'Carroll.

"It's interesting that they are opening places like Hoeryong, which is near a prison camp.

"With the increase in new destinations, it increases the chance that people will see more of the real North Korea."

The 99-cent app has an offline mode so it can be used in North Korea, where Internet connectivity is difficult and expensive.

Though tourists were once forced to hand over their mobile phones for storage when entering the country, widespread reports in early 2013 noted that government officials appear to have relaxed the rules.

For O'Carroll, the app is strictly for armchair use -- he too is banned from North Korea, most likely for his work with NK News, a "privately owned specialist site focused on North Korea."

Based in London, O'Carroll founded NK News in 2010.

The greatest interest for the app is expected to come from the United States -- which is why it's been produced in American English.

If successful, the app may be translated into Chinese, Japanese and Korean, the other markets with strong interest in North Korea.

The project, which started as an idea over a drink in a pub and wasn't expected to cost much money or time, has wound up taking much longer and costing far more than expected, says O'Carroll, noting that the group has spent $20,000 to develop the engine, along with hundreds of hours of writing and editing.

"We just hope a nuclear test -- which is looking increasingly possible at the moment -- doesn't happen to eclipse the launch," he says.

The North Korea Travel App is now available on iTunes and Google Play stores.

O'Carroll says the app's main competition is Bradt, a travel guidebook publishing company that covers non-mainstream destinations such as Sudan, Kazakhstan and Iran.

According to Bradt's website, the company will be publishing a guide to North Korea this year.

More: World's most exotic luxury ski resort? Hitting the slopes at Masik, North Korea

Kate Whitehead is a Hong Kong-based writer who recently visited North Korea. Her CNN reports on North Korea can be found here.

@highlight

New app features more than 350 geo-tagged North Korean attractions and history/culture info

@highlight

App project manager says he's been banned from North Korea

@highlight

North Korea Travel App cost $20,000, thousands of hours to develop