(CNN) -- White sand beaches, tropical rain forests and colorful coral reefs -- southern Mexico would appear to have it all.

Hurricane Dean hits Mexico in August last year. Experts argue hurricanes are worsening due to human activity.

But it seems that this area of outstanding natural beauty is also unusually susceptible to danger in the form of costly -- both human and financial -- natural disasters.

This year alone two maximum strength hurricanes passed over the Yucatan peninsula, while extreme floods in the Tabasco and Chiapas regions in October affected half of the region's 2.2 million inhabitants and drew comparisons with the havoc created in the U.S. by Hurricane Katrina.

Both hurricanes and the flood were natural phenomena but scientists and environmental campaigners argue that the force of these devastating disasters is exacerbated by human activity.

The north Atlantic has always been prone to hurricanes. Each season, meteorologists expect the Caribbean and the Gulf of Mexico to experience between 10 and 20 tropical storms between May and the end of November. But in recent years it has been the intensity of these storms that has surprised analysts. In 2005 there were 15 storms classified as hurricanes, seven of which were considered 'major', or category 3 or more according to the Saffir-Simpson Hurricane Scale.

Some scientists believe this escalation in intensity is down to global warming. "Both observation and theory suggest that hurricanes are becoming more intense as the earth warms," says Kevin Trenberth, Head of the Climate Analysis Section at the National Center for Atmospheric Research in Boulder, Colorado.

A number of ingredients are required to form a hurricane. One of the key components is a sea surface temperature greater than 26 degrees Celsius.

Records show that sea temperatures in the band of the north Atlantic where most hurricanes occur have risen significantly since 1994. A rise or fall in surface sea temperature can change a storm's intensity by an entire category, according to Dr Trenberth.

Some scientists have attributed this rise in sea temperature to a natural cycle of warming and cooling known as the Atlantic multidecadal oscillation. But tests run on computer models at the National Center for Atmospheric Research, where all possible contributing factors can be added or eliminated, conclude that the recent warming of the sea can be related to the dumping of greenhouse gases in the atmosphere.

Dr Trenberth believes that the increasing intensity of hurricanes will conversely result in less storms per year -- a hurricane cools the sea so that there is less likelihood of further storms forming in its wake -- but that the storms that do form will be much more devastating and much more likely to cost human lives.

"Sooner or later [a storm like Hurricane Katrina is] going to happen again," says Dr Trenberth. "It's only a matter of time -- it's quite easy to avoid these storms by chance for a while but sooner or later it will happen again."

Tabasco and Chiapas caught the tail end of one of these storms -- Noel. But the main cause of the floods was two cold fronts which sat over the Gulf of Mexico for several days in late October and early November.

The heavy rain caused the Grijalva, La Sierra, Carrizal and Puxcatan rivers to break their banks, leaving 80 percent of the state of Tabasco under water, 13 people dead and 240 still missing. The Federal Government estimates that half of the region's 2.2 million people were directly affected.

Global warming is partly responsible for the disaster, according to Jorge Escandón, co-ordinator of Greenpeace Mexico's energy and climate change campaign. "At the moment, what we know about hydro-meteorological events is that there will be a major event with major intensity. We have already been told that by the Intergovernmental Panel on Climate Change and there are also various Mexican scientists who have modeled these scenarios."

But aside from climate change, Escandón also believes that Mexico's government knew that the state of Tabasco was at risk and did not do enough to prepare for such a scenario.

"The fact is that the government of Mexico published a document on the subject of climate change in 1997 in which the state of Tabasco was singled out as being particularly vulnerable to extreme rainfall.

"You have this since 1997 and the ideal would have been that a degree of adaptation would have taken place. It all suggests a lack of infrastructure."

Escandón believes that the damage in Tabasco and Chiapas could have been considerably minimized, firstly through long-term measures to reduce global warming but also through more immediate actions.

Other human activities also played their part in causing the floods. Deforestation meant that there were not enough trees to soak up surface water, while the Integral Project Against Flooding, set up in 2003 after similarly devastating flood hit the region in 1999, with the intention of building levees and drainage canals along the Grijalva, Carrizal and Samaria rivers was never finished.

Some newspaper reports have highlighted accusations by lawmakers of government corruption, with state officials unable to say where some of the money earmarked for flood prevention has gone.

"The problem of Tabasco is that corruption continues reigning," Francisco Sanchez Ramos, a federal congressman who represents Tabasco, told the LA Times. "Without doubt, this tragedy could have been avoided."

If scientists' predictions play out, this corner of paradise will increasingly experience situations such as the Tabasco floods.

This year Mexico emerged relatively unscathed from the hurricane season -- Ivan and Dean passed over relatively unpopulated areas -- but it seems it is only a matter of time before tragedy strikes again, be it in the form of storms or heavy rains.

The government of Mexico will have to show initiative and prepare for such occurrences if they do not want to be responsible for the loss of lives. E-mail to a friend

@highlight

Scientists say human activity is provoking more natural disasters in Mexico

@highlight

The Yucatan peninsula has suffered two maximum strength hurricanes this year

@highlight

In October, there were extreme floods in the Tabasco and Chiapas regions

@highlight

80 percent of Tabasco was left under water, with 13 dead and 240 still missing