(CNN) -- The Republican Party is in the midst of a historic debate over what role it will play in immigration reform.

Should the GOP change course and support a path to citizenship for some 11 million unauthorized immigrants, hoping this will reverse the party's declining fortunes among Hispanics, the fast-growing group of voters?

Or should it double down on its opposition to reform, kill the legislation and hope to hang on by strengthening loyalty among a declining share of white voters?

While all the attention has been focused on what to do about the southern border with Mexico, Republicans would be well-advised to take a careful look north. In Canada, the Conservative Party, which lost two of every three elections to the Liberals during the 20th century, has turned the tables by embracing immigration and reaching out to Canada's immigrant communities.

There is no reason Republicans cannot do the same.

I lived in Canada for many years, as an immigrant from the United States growing up in Vancouver and then as a newspaper reporter for several publications. Throughout my time in Canada, the Liberal Party was the party supported by most immigrants.

Under a series of leaders, most notably Pierre Trudeau and Jean Chretien, the Liberals formed an unbeatable coalition based on French-speaking voters from Quebec and the rapidly growing immigrant population in the big cities of Toronto and Vancouver. Mostly white Conservative voters from the heartland grumbled and called for more provincial autonomy, but their party was usually relegated to the opposition benches in Ottawa.

Under Prime Minister Stephen Harper, however, Conservatives have turned that landscape upside down. In Canada's 2011 election, the Conservatives outpolled the Liberals decisively among voters who weren't born in Canada, a historic transformation that was the result of a strategic decision by Harper during the 2000s to reach out to Canada's immigrant communities.

The party, which won a minority government in 2006, made small gestures such as reducing the arrival fee for immigrants, and larger historical ones such asapologizing and compensating descendants for the notorious Chinese "head tax" levied to discourage Chinese immigration in the 19th century.

In the 2011 campaign, Conservatives also promised targeted tax cuts for families that appealed to suburban immigrants, recruited more minority candidates than any other party and ran campaign ads in Mandarin, Punjabi, Cantonese and other languages. Of the 23 seats picked up by the Tories, 20 were in the greater Toronto region and none had an immigrant population of less than 30%. Just a decade ago, in the 2000 election, the Liberal Party had won more than 60% of the immigrant vote.

The 2011 election was no fluke either. The Conservative Party has increased its share of the overall popular vote in each of the past four elections.

The chief architect of this shift was an Energizer bunny named Jason Kenney, who looks like he walked out of a meeting of the young campus Republicans.

In nearly five years as Canada's minister of Citizenship, Immigration and Multiculturalism (yes, that's "Multiculturalism" with a capital M), Kenney has spent almost every weekend in immigrant constituencies attending parties, visiting temples and mosques, and embracing, sometimes literally, thousands of recent immigrants.

"People from the communities like to touch you, to embrace you, to hug you, and physical contact isn't my strong suit," he told Maclean's magazine recently.

Kenney has not only embraced immigrant communities, he has championed immigration policy as a tool of Canadian economic development. Indeed, if the Republicans were looking for an actual policy on immigration rather than just saying no to the Democrats, Kenney and the Conservatives are creating a more market-driven, decentralized scheme that could be a model for the GOP.

Under the Tories, who won a majority in 2011, Canada is trying to overhaul its immigration system to increase benefits to the Canadian economy. The country's historic "points system," in which the government selected immigrants based on a set of broad skills such as education, work experience and language, has not worked very well in choosing immigrants who succeed in the job market.

So the Conservative government is creating a new scheme, modeled after successes in Australia and New Zealand, in which the credentials and language skills of immigrants will be assessed by an independent third party, and those who pass muster will become part of a pool of potential immigrants to Canada that is available to employers. But they won't get on the plane until they have a job offer.

The provinces, too, are playing a bigger a role in immigrant selection, unlike the U.S. states which have no say at all. That has gradually shifted new immigrants away from the overcrowded cities to the sparsely populated Prairies and the Maritime provinces, where immigration provides a bigger economic boost.

At a speech to the Tory faithful after the 2011 election, Kenney said the Conservatives had proved it was possible to create "a new durable and diverse Conservative electorate" based on "values like freedom, enterprise and hard work, personal responsibility, equal opportunity, and respect for law and order, family, faith and tradition."

While many in the GOP believe a similar message could sell the party to immigrants here, the Republicans remain focused on not rewarding any of the roughly 11 million immigrants living illegally in the United States.

That led to Mitt Romney's support for "self-deportation," which appealed to primary voters but sent immigrants fleeing to the Democrats in the general election. While Canada does not have the same illegal immigration problem, the Tories did face the same dilemma reaching out to immigrants while holding on to white voters who see Canada's immigration system as far too porous.

The response was to crack down on the refugee admittance scheme, which was rife with fraud, and to tighten immigration rules in other areas as well. Conservatives showed that toughness on immigration policy could go hand-in-hand with welcoming immigrants.

While it has been a balancing act, the Conservatives have so far pulled it off brilliantly.

"Canadians of all backgrounds are drawn to our party," Kenney said, "not in spite of our values, but because of them." That sounds like a slogan for the GOP -- if anyone is paying attention.

The opinions expressed in this commentary are solely those of Edward Alden.

@highlight

Edward Alden: GOP in the midst of historic debate on immigration reform

@highlight

Republicans can learn from transformation of Canada's conservatives on immigration

@highlight

By adopting pro-immigrant views, the Conservatives became a dominant party