(CNN) -- Rail riders along the California coast and the Boston-Washington "Northeast Corridor" are set to reap much of the benefits from $2 billion that Florida policymakers had earlier rejected for high-speed rail development.

The Obama administration on Monday announced the reallocated funding, part of its push to spur environmentally friendly transportation and modernize the nation's infrastructure that's supported partly by the 2009 economic stimulus package.

Fifteen states and Amtrak will receive the money to back 22 high-speed intercity passenger rail projects. Among other things, the funds will be used to improve speed and service in the Northeast, add faster rail lines in the Midwest and help spur more efficient train service between Los Angeles and San Francisco.

Nearly $300 million will be spent to reduce major delays for trains coming in and out of Manhattan -- the nation's busiest passenger rail junction. Within the next four years, high-speed rail advocate Petra Todorovich estimated trains between New York and Philadelphia will routinely move at 160 mph because of a host of upgrades aimed at improving "train speeds, capacity and reliability."

While billed as new funding, the money actually is previously pledged funds being directed to new recipients. Soon after taking office, Florida Gov. Rick Scott cited expected cost overruns and long-term operating costs for his call to block federal funding for an 84-mile-long high-speed rail line that would link Tampa and Orlando.

Days after the Florida Supreme Court issued a ruling that allowed the Republican government to reject the federal money, the U.S. Transportation Department opened up a process to solicit fresh bids from other states and entities.

It is all part of the $53 billion that the White House has proposed spending over the next six years to promote high-speed rail -- an initiative facing a chilly reception in the Republican-controlled House of Representatives.

"President Obama and I made a commitment to improve and expand America's transportation system," Vice President Joe Biden said in a statement. These new investments "will continue our progress toward making this vision a reality."

Biden, a regular Amtrak commuter between his home state of Delaware and Washington during his 36 years in the Senate, is known as a leading supporter of federally supported rail travel.

Transportation Secretary Ray LaHood, on hand at New York's Penn Station for the announcement, insisted the funds will "help states across the country create jobs, spur economic development and boost manufacturing in their communities."

Obama said in January's State of the Union address that he was setting a goal of giving 80% of Americans access to high-speed rail within 25 years.

The stimulus act has provided about $10.1 billion toward Obama's goal so far, according to the Transportation Department.

"By 2050, the United States will be home to 100 million additional people -- the equivalent of another California, Texas, New York and Florida combined," LaHood noted. "We simply cannot build enough highways and airports to accommodate this growth."

Supporters insist the emphasis on faster rail transportation is a necessary investment in the country's economic competitiveness. Critics contend it's little more than a massive boondoggle that is contributing to skyrocketing federal deficits while providing few proven benefits over the long term.

Scott's decision this winter to reject what eventually worked out to $2 billion in federal funding for the Orlando-to-Tampa plan surprised a number of observers. This came after the Obama administration pulled another $1.2 billion in funding from Ohio and Wisconsin after their newly elected GOP governors vowed to kill high-speed rail projects that were under way.

LaHood portrayed those cases Monday as relatively rare exceptions, noting that the Transportation Department received $10 billion worth of requests for the $2 billion available.

"Who says America does not have a pent-up demand?" he asked.

Amtrak officials note that they set a new annual ridership record of more than 28 million passengers for the last fiscal year.

Regardless, the new spending makes little sense at the current time, according to Sam Staley, an analyst at the Reason Foundation, a libertarian-oriented Los Angeles-based think tank.

The administration "seems to be completely deaf to the real concerns about whether this is a well thought out program," Staley told CNN. "There are so many other transportation needs that are going unfunded, including just bring existing transit systems up to a good state of repair."

"I don't see how anyone looking at the numbers can say that high-speed rail is going to be a primary driver of economic growth" in the regions targeted by the new money, Staley said.

"What it will do is supplement the existing transportation network and serve a very targeted niche of that market. But it's not going to be a broad-based transportation solution."

Todorovich, the director of the urban planning initiative America 2050, said she believed critics would continue to target the rail initiative because it is "one of Obama's signature initiatives." But she believes such efforts run counter to the needs and wants of policymakers and citizens nationwide who want such infrastructure projects to go forward -- even if that's not true in Florida.

"(This) announcement helps to restore public confidence in the program, as we see that many states around the country are ready to put Florida's unwanted funding to use," she said.

CNN's Alan Silverleib and Steve Kastenbaum contributed to this report

@highlight

NEW: Obama administration gives out $2 billion for high-speed rail projects

@highlight

NEW: This comes after Florida authorities reject $2 billion for an Orlando-to-Tampa line

@highlight

Obama wants 80% of Americans to have access to high-speed rail within 25 years

@highlight

Critics contend the project is wasteful and will do little to boost economic competitiveness