First a meteor exploded over Russia, followed closely by an asteroid fly-by. Now, two comets are expected to put on a naked-eye spectacle for sky watchers in the Northern Hemisphere.

Up first is Comet Pan-STARRS, which gets its funky name from the telescope credited with discovering it in June 2001: the Panoramic Survey Telescope & Rapid Response System in Hawaii.

The comet is already visible through telescopes in the Southern Hemisphere, and it should swing into view over the Northern Hemisphere beginning around March 8.

It's hard to predict exactly how bright Pan-STARRS will be, but you should be able to see it without binoculars or telescopes, said Don Yeomans of NASA's Near-Earth Object Program. It should be about as bright as the stars in the Big Dipper.

Science Seat: Don Yeomans

"There is a chance that it will be a little brighter than this, but likewise, it might not get quite that bright," said Karl Battams of the Naval Research Lab.

Graphic: How to tell space rocks apart

Part of the brightness will depend on how close Pan-STARRS gets to the sun. Comets are made up of water, ice, dust and other elements and minerals, all loosely packed together, Battams said. As a comet gets closer to the sun, the sun's heat causes these elements to melt, spewing out dust and gas in a brilliant tail.

"The closer it gets, the more intense the radiation and the more elements will be melted," he said.

Pan-STARRS is expected to get fairly close to the sun. That's bad news for the comet, but it could be a boon for sky watchers if the comet is brighter and easier to see.

Pan-STARRS also could fall apart and fizzle. But if it survives its sunbath, we should be able to see it low on the horizon in the western sky for a couple of weeks, Battams said.

"About half an hour after sunset would be a good time for people take a look," he said.

Here are some key dates:

March 5: Pan-STARRS will be closest to Earth;

March 10: The comet will pass closest to the sun;

March 12 and 13: The best dates to look for Pan-STARRS; it should emerge in the western sunset sky not far from the crescent moon.

Battams has these viewing tips:

1) Safety first: Don't try to look at the comet until the sun sets. Do not look at the sun using regular binoculars or telescopes. Ever! You'll burn up your eyes.

2) Comet Pan-STARRS will stay close to the horizon, so you'll need to get away from trees and buildings.

3) Look carefully! The sky will still be bright at dusk, which can make it hard to spot comets.

4) If the skies are clear, and you are away from city light pollution, you may be able to see the comet with your bare eyes. If not, use binoculars.

5) If you can't escape the city, try using binoculars.

Second chance to catch a comet

If your quest to see the first comet doesn't pan out -- get it? (OK, that's bad) -- we might get to see a better comet later in 2013: Comet ISON.

ISON was discovered by Russian astronomers Vitali Nevski and Artyom Novichonok in September 2012. It's named after their night-sky survey program, the International Scientific Optical Network.

Some early comet prognosticators -- and reporters -- have tagged ISON "the Comet of Century." But Yeomans isn't buying it just yet. He remembers being duped by another comet with that same moniker. In 1973, Kohoutek was hyped, too, and it fizzled.

"Predicting the behavior of comets is like predicting the behavior of cats -- can't really be done," he said.

So here is the hype on ISON: On November 28, it is expected to dive into the sun's atmosphere. If it survives, it might glow as brightly as the moon and be briefly visible in daylight. Its tail might stretch far across the night sky.

Battams is optimistic, but he said we won't know until late summer what to expect from ISON.

"I'll be surprised if we don't have a bright comet this fall and/or winter, but it's still just too early to speculate," he said.

So, like Pan-STARRS, ISON's fate will be decided by the sun. It could burn brightly and earn that "Comet of the Century" title; it could melt or it could just break apart.

Scientists say neither comet poses any threat to Earth, but if both comets hold together, sky watchers will get a rare treat: two comets, both bright enough to be seen with the naked eye, in one year.

Fingers crossed!

More space and science news from CNN Light Years

@highlight

Comet Pan-STARRS will swing into view over the Northern Hemisphere beginning March 7

@highlight

It will stay close to the horizon, so you'll need to get away from trees and buildings to see it

@highlight

Comet ISON will pass by this year, but scientist is skeptical of "Comet of Century" predictions