Houston, Texas (CNN) -- In the hours after a 2005 refinery explosion that left 15 people dead, a BP executive suggested a holiday weekend and the national furor over a Florida woman's last days would eclipse the tragedy.

With the oil company now battling to save an image tarnished by the worst oil spill in U.S. history, the lawyer who found that e-mail among a mountain of BP documents says nothing appears to have changed.

"Their strategy is the same every time ... And it's always, first, damage control," Brent Coon told CNN. "And with damage control, they accentuate the positive, downplay the negative, tell everybody they're sorry, they're gonna fix it, they're gonna do better, and not to worry."

Coon represented many of the victims of the March 2005 explosion at BP's refinery in Texas City, near Houston. The blast killed 15 workers and injured 180, with many of the survivors suffering severe burns, amputations and broken bones.

During litigation that followed, Coon extracted about 7 million documents from the company, including the e-mail that discussed whether the upcoming Easter weekend would push the explosion off the public stage.

SIU blog: Internal e-mail shows how BP handles a crisis

"Looks like injuries and loss of life are heavy. Expect a lot of follow up coverage tomorrow. Then I believe it will essentially go away -- due to the holiday weekend," BP America public relations chief Patricia Wright advised other executives.

Wright added, "This is a very big story in the U.S. right now -- but the Terry Schiavo story is huge as well."

Read the email

Schiavo was the severely brain-damaged Florida woman whose case became the centerpiece of a national right-to-die battle, and the controversy was reaching a climax just as the Texas City explosion occurred.

Coon said the document made him "sick to my stomach."

But he says the stacks of paper, e-mails and slides uncovered after the Texas City blast offer a rare insight into the culture of BP and may take on a new meaning in light of the massive Gulf spill.

BP is now under fire for its failure to shut down a ruptured undersea well in the Gulf of Mexico, a spill that now dwarfs the 1989 grounding of the Exxon Valdez in Alaska's Prince William Sound.

Critics say it has downplayed the scale of the disaster, underreported the amount of oil leaking and is trying to keep images of the gusher under wraps.

With its stock plummeting and the environmentally friendly image it spent years cultivating taking a beating, the company has taken out full-page newspaper ads and aired television spots in which CEO Tony Hayward apologizes for the spill and vows, "We will make this right."

But Coon said BP appears to be following "the same course of conduct" it did after Texas City.

"I don't think there's a shred of evidence in BP's favor that shows that they've done anything to change their corporate safety culture," he said.

BP has not responded to multiple requests for interviews with either CEO Tony Hayward or another executive familiar with the Texas City documents.

At least four of the people included on Wright's e-mail are still working as spokespeople for BP, CNN has found.

The Gulf spill began when the drilling platform Deepwater Horizon, owned by BP contractor Transocean Ltd., blew up and sank off Louisiana, taking 11 workers with it.

BP, Transocean and oilfield services contractor Halliburton all have pointed fingers at each other in hearings in Washington and in New Orleans.

Coon says the documents his law firm unearthed in the Texas City case showed BP employees warned that corners at the plant were being cut, and dangerous conditions were being ignored.

"Quit waiting for a known possible disaster to happen before correcting the problem," one worker wrote.

Another stated, "This company deliberately put my life in danger to try and save a buck."

A third complained, "If this facility was an aircraft carrier, we would be at the bottom of the ocean."

Read BP employees' comments

"What was shocking was that we didn't just find that smoking gun," Coon said. "We found an entire arsenal. You could have fitted an army with all of the smoking guns that we found in this."

Also among the documents that turned up in the lawsuit was a guide to filling out incident reports, created by lawyers hired by BP, that urged workers to "avoid language that is negative, inflammatory or implies criminal intent or willful misconduct."

Coon dubbed one slide from the BP presentation the "dirty words document," which tells workers to avoid terms like "reckless," "careless" or "incompetent."

"They don't want to have anything in any of their reports or anything in writing that indicates that they did anything wrong," he said.

The Texas City blast killed 15 BP contractors who were housed in a trailer near the site of the explosion, which originated with equipment used to boost the octane levels in gasoline.

In 2007, BP pleaded guilty to a felony, agreed to pay $21 million in fines from the Occupational Safety and Health Administration and paid another $50 million in criminal penalties in connection with the disaster.

The plea agreement required the company to fix the problems that led to the explosion. But when that didn't happen, they fined BP again in 2009 -- an $87 million proposed penalty that would be the largest in the agency's history if upheld.

BP is contesting those citations and the assessed penalties. Coon said the Texas City case shows BP "has a lot of systemic problems that they are never going to change unless somebody makes them change."

"If they don't make them change, something worse is going to happen," he said. "And it won't be that long. And it did happen."

@highlight

Documents show BP's concern over media coverage of deadly 2005 Texas refinery explosion

@highlight

BP exec's e-mail says coverage of the explosion 'will ... go away -- due to the holiday weekend'

@highlight

BP is now under fire for failure to cap its oil well in the Gulf of Mexico

@highlight

Lawyer says 2005 documents show BP's focus on 'damage control' hasn't changed