GITARAMA, Rwanda (CNN) -- What does Macy's have to do with healing from genocide? Nothing and everything.

Iphigenia Mukantabana sits with Jean-Bosco Bizimana, her family's killer, at her home after church.

Fourteen years after Hutu extremists killed between 800,000 and 1 million people -- mostly Tutsis -- in a devastating slaughter, Rwandan women are weaving peace baskets for sale at Macy's in the United States. Not only does the work bring them a regular salary, the business is also fostering reconciliation between victim and perpetrator.

Iphigenia Mukantabana, a master weaver, sits in front of her house in Gitarama -- an hour from the capital, Kigali -- making beautiful baskets with her friend Epiphania Mukanyndwi.

In 1994, Mukantabana's husband and five of her children were hacked and clubbed to death by marauding Hutu militias. Among her family's killers was Jean-Bosco Bizimana, Mukanyndwi's husband.

"In my heart, the dead are dead, and they cannot come back again," Mukantabana said of those she lost. "So I have to get on with the others and forget what has happened."

Forgetting and forgiving everything she lost, everything she witnessed.

"Women and girls were raped, and I saw it all," she told CNN. "The men and boys were beaten and then slaughtered. They told others to dig a hole, get in, then they piled earth on top of them, while they were still alive."  Watch Mukantabana say how she survived »

Yet today, Mukantabana shares her future and her family meals with Bizimana, the killer she knew, and his wife, her friend Mukanyndwi.

Bizimana did spend seven years in jail. He then went before a tribal gathering, part of a return to traditional ways by the new government in 2002 with Rwanda's justice system unable to cope and process hundreds of thousands of imprisoned perpetrators.

The government decided that the master planners and worst perpetrators would face formal justice. But lower-level killers were allowed to publicly confess and apologize to the families of their victims at gacaca courts, where elders would hear grievances and decide on the punishments.

"In the gacaca court, I told them how we killed our fellow men, and I asked for forgiveness in front of the court, and the whole district was there," Bizimana said.

"The people who died in this very area -- I knew all of them because they were our neighbors."  Watch Bizimana describe how he killed Tutsis »

He places blame squarely on the extremist Hutu government at the time and on vile radio broadcasts that urged on the killers during the 100-day slaughter.

"They were giving instructions all the time that was from the government, and so we thought it as the right thing because we were getting this instruction from the government," Bizimana said.

He showed where he and a Hutu mob had killed 25 people, including members of Mukantabana's family, a few yards from where he had just shared lunch with her. "We used machetes, hoes and wooden clubs," he told CNN.

Mukantabana admits that it was difficult to forgive. She said she did not speak to Bizimana or his wife for four years after the killings. What put her on the road to healing, she said, was the gacaca process.

"It has not just helped me, it has helped all Rwandans because someone comes and accepts what he did and he asks for forgiveness from the whole community, from all Rwandans," she said.

Bizimana said he did just that.

"You go in front of the people like we are standing here and ask for forgiveness," he said.

But despite his confession and apology, Mukantabana said, reconciliation would not have happened unless she had decided to open her heart and accept his pleas.

"I am a Christian, and I pray a lot," she said, the pain etched in the lines on her face and around her sad eyes.

But the basket business also played a key role in forging forgiveness and reconciliation after the horror.

"We knew how to weave baskets," Mukantabana explained. "It helped unite Rwandans in this area because they accepted me as the master weaver, and I could not say, 'I am not taking your basket' or 'I am not helping you because you did something bad to me.' "  See photos of the women who have learned to forgive »

Macy's sold the first "peace baskets" in 2005, and officials say the deal generates between $300,000 and $400,000 a year. A Rwandan weaver can earn about $14 per week -- a king's ransom in a country where so many live on less than $1 per week.

The international project is a far cry from 1994, when the United States, Europe, the United Nations and the rest of the world turned away while the genocide went unchecked in Rwanda.

"They didn't care; they were totally indifferent," Rwandan President Paul Kagame told CNN in his office in Kigali.

He said the world thought Rwanda "was just another bloody African situation where people just kill each other and that's it."  Watch Kagame explain why he sought reconciliation »

Today, Rwanda is an African success story. It has one of the fastest economic growth rates in the region, one of the lowest crime rates and the lowest rate of HIV-AIDS. About one-third of Rwanda's cabinet are female ministers, and 48 percent of parliamentarians are women -- the highest anywhere in the world, according to the United Nations.

The country looks squeaky clean thanks to many local and national programs, including a mandatory policy that sees even government ministers participate in clean-up once a month. Plastic bags are banned. The international business community praises Rwanda's good governance and the absence of official corruption or graft.

Kagame is credited not just with turning Rwanda around, but with being the driving force behind rejecting revenge.

"We were in danger of having another genocide," he said.

"People were so badly aggrieved they could easily have turned on those they thought were responsible for this and actually killed them in another wave of killings. But that did not happen," he said. "We said building a nation is the most important thing."

Now no one talks about Hutus or Tutsis, he explained. "There is Rwanda, there are Rwandans, and the common interest we have for a better future for this country is more important than any other interest."

In Gitarama, Bizimana said, "It hurts my heart to see that I did something wrong to friends of my family, to people who we even shared meals with," he said. "I am still asking for forgiveness from the people I hurt."

Amazingly, many seem to have forgiven.

@highlight

Basket weaver's husband, five children were hacked and clubbed to death

@highlight

One of killers was neighbor, caught up in hatred of Rwanda's genocide

@highlight

But now, victim and perpetrator share lunch, forgiveness and a future

@highlight

President Paul Kagame says Rwanda is healing, moving beyond 1994 genocide