(CNN) -- An Alabama man convicted of raping his former neighbor and friend was sentenced November 13 to 20 years in a state penitentiary on the lead charge, and 10 years each on the lesser offenses. Except that he wasn't.

The victim, Courtney Andrews, told CNN she was outraged by the sentencing. "I don't know how any of this is possible." Austin Clem, 25, was convicted of one count of forcible rape and two counts of second-degree rape for attacks that Andrews said started when she was 13.

"Honestly, I didn't understand when I first heard the sentence," said Andrews, now 20. "I was expecting him to spend a long time in prison." She said she hadn't talked about the abuse because of threats. "I had to grow up at a very, very young age, and I know what it's like to have your life threatened and that no one will understand me."

Even though the sentencing order says on its face that Clem will serve his time in a state penitentiary, that same order adds that he will serve none of his time in a state penitentiary. People are outraged. Moreover, they are confused. Was this a legal sentence? If so, was it a moral sentence?

'Suspended' sentences: When 'incarceration' means anything but

People have every reason to be confused. Sentencing statutes are routinely complex, and Alabama's is no exception. Most state sentencing schemes follow a common theme, arriving at an individual's punishment based on the 1) gravity of the offense; and 2) the defendant's prior record; which can then be aggravated or mitigated by any other factors the court wants to consider.

Lately, in light of the Marissa Alexander case, mandatory minimum sentences have been harshly criticized. "Mando-mins" as they are sometimes called, force a judge to sentence a minimum number of years, preventing a judge from considering the individual defendant's unique circumstances, and showing mercy where appropriate.

The Austin Clem case highlights the issue at the other end of the spectrum: whether judges can have too much discretion in sentencing convicted felons. In the Clem case, the judge's discretion came from his authority to impose a "split sentence."

Let's look at the lead charge and the sentence, taken verbatim from the order of sentence: "Count I- Twenty (20) years in the State Penitentiary, split sentence, to serve two (2) years in [a community-based program], balance suspended and placed on three (3) years supervised probation." Yes, you read that right. It essentially says: Twenty years in prison -- except that it will be zero years, and none of it in prison.

The judge likely relied upon Section 15-18-8 of the Alabama Code, which explicitly gives judges discretion to suspend a significant portion of a defendant's sentence. A suspended sentence is incarceration in name only: The defendant will serve that time out of custody. Clem received 20 years. In this jurisdiction, for sentences between 15 and 20 years, it appears that a mandatory minimum applies: The judge must order at least three and up to five years, and then may suspend the rest. Here's where it gets strange: The Alabama Supreme Court has held that even the incarceration portion of a split sentence (the three-year minimum) may be suspended. So 20 years can mean zero years.

Why give so much discretion to judges? In Alabama, the rules of procedure direct judges to consider alternatives to long prison terms. Why? The rules cite skyrocketing costs associated with actual confinement and call attention to prison overcrowding. That prison overcrowding leads to uncertainty: In other words, the judges don't know that the prison can even accommodate their sentence, so they might as well mete out a sentence that can actually be carried out.

An illegal sentence vs. an immoral sentence

For many, it doesn't matter that this might have been a legal sentence. The outrage is directed not at the legality, but the morality of the punishment.

Did the judge have a moral obligation to incarcerate Clem? What would you have done? Would you have given credence to the defense's argument that the sex was consensual? Is it more important to you as a judge that Clem get the counseling that sex offenders desperately need? Or is it more important that he be isolated from society?

The idea of punishment for criminals is justified by a few different goals. Incarceration serves to quarantine criminals and protect the rest of us in society from them.

Another goal of punishment is rehabilitation. Like it or not, most sex offenders will eventually serve their sentences and be back on the street. Given the risk of repeat offenses, rehabilitation of these felons could be the most critical factor in protecting society.

But punishment also recognizes simple retribution as a goal. Retribution is the idea that a punishment should, in theory, be equivalent to the crime. While retribution can also achieve vengeance, it serves a more practical purpose. A society that fails to punish offenders risks citizens taking matters into their own hands -- which threatens the stability of the society itself.

So, if you are a retribution-type judge, you'd probably sentence Clem to long-term incarceration -- even though the legislature has effectively told you that, because of overcrowding, he might not serve that whole sentence. If you are a rehabilitation-type judge, or you worry about Clem's dependents, you might do as this judge did, and focus on the rehabilitation, with the idea that more progress can be made on the outside than on the inside. As long as the sentence is legal, as a judge, the choice is yours: Do you focus on retribution? Or rehabilitation?

One thing is for certain, you may not agree with the judge's sentence in the Austin Clem case. Indeed, the prosecution in this case is not going gently into the good night.

The prosecution has now asked an appeals court to fix what it calls an illegal sentence, claiming the judge had no authority to impose the two-year minimum, and should have at least imposed the three year minimum. That appears to be a correct reading of the law. Of course, if the judge can suspend the entire sentence anyway, including the mandatory minimum, is it a distinction without a difference?

The prosecution also claims that felons convicted of first-degree rape are excluded by law from community-based programs, because rape is so fundamentally a crime of violence. If the judge misread the law here, the prosecution may succeed. If so, the court will have to resentence Clem -- but if the judge can still suspend the entire sentence, could Clem get an even better deal?

If you can't accept it, then your beef is not only with the judge. Your beef is with the Alabama legislature and the Alabama courts that enacted not only the rules, but warned the justice system that it simply could not accommodate prison terms.

Your beef is with the same prisons that don't have enough beds, leading to the crisis. Finally, your beef is with the Alabama Supreme Court, which sanctioned this practice. Because even if this sentence is ultimately legal, you may still conclude that it is an immoral one. Unfortunately, there's no appeals court for that.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

An Alabama man was sentenced to no prison time for rape conviction

@highlight

Danny Cevallos says Alabama law, rules give judges discretion to suspend prison terms

@highlight

He says even if the sentence is legal, it may not be a moral one

@highlight

Cevallos: People who object should blame legislature and courts, in addition to judge