(CNN) -- President Obama and Chinese President Xi Jinping just announced a major agreement to cut carbon emissions in both countries and tackle global warming over the coming decades.

As the news site Vox puts it, "This is a big deal." It's a big deal for citizens of both countries who will literally breathe easier due to reduced pollution. It's a big deal for the future of our planet. And it's even a big deal for Republicans, who had used inaction on the part of China to justify not doing anything about climate change here at home.

And yet Republican leaders, many of whom remain inexplicably skeptical of the conclusive science about climate change, insist they will use their new congressional majority to try to obstruct clean air and water regulations enacted by the Environmental Protection Agency. For added measure, they will try to force President Obama to approve the construction of the Keystone pipeline extension. They will, apparently, be joined by centrist Democrats like Sen. Mary Landrieu, facing a tough run-off election for her seat in Louisiana in December.

In other words, just as China is finally taking a significant step forward in reducing climate change emissions, the United States risks taking two steps back.

China's economic growth already exceeds ours, and the International Monetary Fund has projected that in 2016 China will overtake America as the world's biggest economy. China has already passed the United States in the share of the world's college enrollment, producing more than twice as many college graduates each year. Will China also beat the United States in the race to address climate change and profit from doing so?

The Keystone XL pipeline is a great test case. The disastrous environmental impact of the pipeline is obvious. Simply mining the tar sands — let alone consuming the actual oil down the road — will release an incredible amount of carbon into the atmosphere.

Then the thick tar sands crude would go into the 1,179 mile long Keystone XL pipeline, winding past family farms and playgrounds and lakes and water reservoirs as it makes its way from Canada to Texas. The current Keystone pipeline, which runs from Canada to the Midwest, leaked a record 12 times just in its first year of operation.

Even if you're a conservative who doesn't believe the vast majority of the world's scientists agree that climate change is both real and man-made, hopefully you still believe in facts. And the facts suggest that the Keystone XL pipeline is a bad deal not just for America's environment but also for our economy.

In 2008, in its original application to the State Department seeking pipeline approval, the company TransCanada said the Keystone XL pipeline would involve "a peak workforce of approximately 3,500 to 4,200 construction personnel." But by 2011, when the pipeline project had become controversial, TransCanada told a House subcommittee the project would create 20,000 jobs. TransCanada and the American Petroleum Institute have also alleged that an additional 119,000 jobs would be directly or indirectly created by the pipeline. Yet an independent academic study found the project would indeed create "no more than 2,500-4,650 temporary direct construction jobs for two years" and that, in fact, spills and the cost of damage from the pipeline could kill more jobs than it creates in the long term.

Well, at least the pipeline would help working families in America by lowing gas prices, right? Wrong. According to analysis by both CNN and Bloomberg, the pipeline would actually raise gas prices by creating a way for oil produced in the Midwest to make it to coastal refineries for exporting.

What the Keystone XL pipeline clearly would do is divert investment away from renewable energy — and investments in renewable energy produce more bang for the buck. Every $1 million invested in fossil fuels creates just 5.3 jobs while the same amount invested in clean energy creates 16.7 jobs.

In other words, if America builds the Keystone XL pipeline, not only are we not getting a lot of short-term jobs out of the deal and risking the economic cost of crude spills, but we're failing to put investment into green energy opportunity that will yield far more jobs now and in the future. It's plain to see which choice makes sense not only for our planet but for our economy and working families.

Earlier this year, the Global Commission on the Economy and Climate released a report detailing that over the next 15 years, worldwide efforts to limit carbon emissions would cost about $4 trillion, which is about 5% more than would already be spent on infrastructure upgrades to power plants and public transit and other systems. But once you factor in things like lower fuel costs plus fewer deaths from pollution and lower medical bills, this greening actually saves money. But what it also does is create big potential to make money from the companies — and countries — leading the way.

Solar technology alone generates over $100 billion per year in revenues worldwide, a figure steadily climbing. Currently, China makes 64% of the world's solar panels and their production is expected to double by 2017. The United States is lagging behind in this and other rapidly expanding green markets.

There was a time when Republicans openly accepted the realities of climate change and championed public policy solutions. Now the issue has become yet another partisan football. Projects like the Keystone XL pipeline are championed by conservatives not because they make any rational or economic sense but because they are convenient symbols for protesting climate science and President Obama.

Meanwhile, as Republicans bury their heads in the sand, China has an eye toward the future. If we don't catch up and take real steps to join the green energy future now, America risks being left behind — drowning in a crude-like pool of our own economic irrelevance.

@highlight

Sally Kohn: The U.S.-China agreement to cut carbon emissions is a big deal

@highlight

Kohn: Republicans need to wake up to the fact that global warming is real and man-made

@highlight

She says the Keystone XL pipeline would be bad for climate and U.S. economy

@highlight

Kohn: GOP shouldn't treat climate change as partisan football and set U.S. behind