When vulnerable Senate Democrats fled President Barack Obama this year, they left on the table a national midterm message that voters say is often the top issue for them: Their wallets.

The national unemployment rate is at its lowest since 2008 and the stock market continues to break record highs -- not universal indicators of widespread wealth, but prominent signals that the economy is recovering from the Great Recession.

And at a much more granular level, gas prices have hit their lowest level in nearly four years, the national average creeping below $3 a gallon and putting more money back into the pockets of nearly every voter with a car.

But you don't see vulnerable Democrats trumpeting those economic gains in ads this fall as they try to keep Senate seats blue.

Instead, vulnerable candidates have focused on women's issues (see Sen. Mark Udall in Colorado) and have spent most of their time trying to deflect attacks and set themselves apart from Washington and Obama.

The lack of messaging on the improved economy is also because economic indicators don't always translate into voters' minds, Larry Sabato, director of the University of Virginia's Center for Politics, said.

"People don't feel the recovery and they are still worried about the economy," Sabato said. "A candidate who in essence says you haven't had it so good -- even if backed up by the facts -- seems out of touch."

Economic gains are also a hard sell for the president's party in a midterm election, he added.

And in North Carolina while gas prices have even fallen below the national average, Sen. Kay Hagan is an example of vulnerable Democrats who have avoided talking up economic gains.

Ben Ray, spokesman for the coordinated Democratic effort in North Carolina, said positive economic news has largely stayed off the campaign trail because "a lot of Americans are still having a tough time."

"I'm sure everyone appreciates being able to gas up their car for a little bit less this month, but there's still a lot of work that remains to be done on the economy," Ray said.

But when there's bad news at the pump, it's almost always a campaign issue. Republicans wasted no time blaming Obama and Democrats when gas prices shot up to nearly $4 a gallon in 2011.

"If they were at a four year high I think you'd be hearing a lot more about them," Thomas Holbrook, a political scientist at the University of Minnesota, said. "I think Democrats have had a hard time wanting to run on these positive national indicators in part because the President is still relatively unpopular and if they try to nationalize the election in some way by focusing on these positive indicators, basically they would just be reminding people that the election is about Obama."

And that's exactly what Republicans did this cycle: turn the election into a mandate on Obama's presidency and weaving a narrative of what they see as the Obama administration incompetency.

And that crisis of confidence has kept Democrats from touting the lowest unemployment rate in six years as well as low interest rates, increased consumer spending and GDP growth that have economists feeling glib.

And from ISIS to Ebola, other issues have also overshadowed Democrats' attempts to keep on their key issue points of raising the minimum wage and fighting for equal pay.

"Ebola has sucked the oxygen out of the room," said Steven Roberts, a former New York Times White House correspondent and the Shapiro Professor of Media and Public Affairs at George Washington University said. "Other noise, other stories just dominated the news and made it difficult for any Democrat, including the President, to break through."

And the crises helped compound the Republican argument that the country is headed on the wrong track -- even a dangerous one -- and that the Obama administration and Democrats are responsible.

Nearly two-thirds of Americans believe the country is headed in the wrong direction, according to the latest NBC News/Marist poll.

"[Ebola and ISIS] have added a vague sense of menace, a vague sense of anxiety and unease," Roberts said. "They add to a sense that things are out of control. That this administration is reacting -- following not leading."

And while Obama has consistently reminded the public that his "policies are on the ballot" -- chagrining Democratic operatives -- it seems his economic policies haven't made the cut.

@highlight

Despite good economic news and record-low gas prices, Democrats have still struggled this cycle

@highlight

An unpopular president has kept Democrats from talking up economic gains

@highlight

And with many Americans still hurting, it's difficult to boast economic growth

@highlight

Plus, crises like Ebola and ISIS have crowded out Democratic talking points