"Let the sunshine, let the sunshine in...." my wife Ana blurted into a song this week, as she gazed eastwards through the window of our apartment in downtown Beijing.

The old tune from the Broadway show "Hair" seemed apt. This is the fourth consecutive morning that we woke up staring at a grey haze.

It's another bad-air day in Beijing. You can barely see. You can barely breathe. But you can feel -- and even taste -- the grit floating in the air.

The World Health Organization has set healthy level of Air Quality Index at 25 micrograms, while Beijing considers a 300 reading as "Bad" and 500 as "Hazardous." Last weekend, however, it breached 700!

"I'm getting itchy," complained my daughter Michelle, 22, visiting us from New York. "I could feel it at the back of my throat."

Longtime expatriate residents in the Chinese capital jokingly call it the "Beijing tickle," a nagging cough that takes a long time to shrug off.

Beijing adopts emergency measures for hazardous pollution

Air pollution is a major problem in China because of the country's rapid pace of industrialization, reliance on coal power, explosive growth in car ownership and the sometimes disregard for environmental laws.

It is now paying the price of rapid development.

In 2007, China overtook the United States as the world's biggest emitter of greenhouse gases, according to China's Ministry of Commerce. It is also the No. 1 source of carbon emission worldwide, state-run China Daily reported recently.

Added to this, the World Bank says 20 of the 30 most polluted cities in the world are in China.

Health is the big casualty.

Almost 400,000 premature deaths are recorded in China each year, with the majority related to pollution, according to the World Bank's "Cost of Pollution in China," a report based on official Chinese figures.

A growing number of individuals and institutions are looking to find last-gasp solutions.

The government has already shut down high-polluting factories, built new subway lines, and allocated state subsidies to reduce the cost of public transport.

Beijing bans vehicles from the road one day a week to reduce heavy traffic and vehicle emissions.

It also imports natural gas from other provinces to rely less on coal for heating and cooking.

As part of a long-term solution, Chinese researchers are producing prototypes of solar and electric cars to replace gas-fueled vehicles.

So far, these measures have not produced consistently blue skies and clean air.

Green activists complain that even though government regulations have improved, laws are often ignored.

One of Beijing's big problems has been the city's geography, as it is surrounded by mountains shaped like a horseshoe.

When pollution blows in from the heavily industrial neighboring towns and cities, it builds up and, in windless days, gets trapped over the capital.

Off-the-charts pollution in China

In fact, this is not the first time bad air has bedeviled Beijing. I remember one day last year when the U.S. embassy's air monitoring system reported the pollution level as "crazy bad."

What can we Beijing residents do about it?

Wear face masks? Unless you use heavy-duty ones, I am told, they do not really make much difference.

Turn on air-purifiers full blast? We've never used one at home, although my friends swear they help.

"The truth is there isn't a lot people can do about ambient air pollution," said Deborah Soligsohn, an environment and energy specialist at the World Resources Institute, a U.S. based think tank.

"Ambient air pollution is not nearly as large a health risk as more immediate forms of air pollution.  Tobacco is a much larger killer, and indoor air pollution from poorly ventilated wood and coal fires has traditionally been a much larger killer in the developing world. Smoky restaurants and bars can have levels as high as these recent air pollution numbers."

I know a few expat friends who have decided to relocate out of Beijing and were mainly turned off by its bad air.

"What did you think of Beijing?" I asked David Van Dyke, who lived and worked in Beijing for nearly seven years before relocating to Canada last year.

"Mostly liked it, save for the Internet (censorship) and pollution," he said.

Meantime, some residents have resorted to humor and sarcasm online to vent their frustration.

"I love my city, but I refuse to be a human vacuum cleaner," netizens re-tweeted on Weibo, China's microblogging social media. "We want clean air, and we want to breathe freely."

Others posted pictures wearing face masks of various shapes and designs.

A page of Sohu.com featured a section covered with haze, with a note saying the headlines have been obscured by a massive smog.  "Click on it, and it will clear up." Once it cleared it, the title read: "We live in a "toxic gas.'"

"Don't worry," Henry Ngo posted on my Facebook page. "Smokers are inhaling worst air than this. And they did not die immediately!"

Is this now the new "normal"?

Soligsohn, who lived in Beijing for 14 years, does not think so.

"This is a confluence of bad events," she assured me. "Pollution is definitely a problem. It hasn't gone away, but there is no reason to believe an extreme reading is anything other than an extreme."

There seems to be no quick solution.

"This is complex and takes time, but the work has begun," Soligsohn added.

"It took cities like London and Los Angeles almost half a century to get from really dirty air to pretty clean air, and LA has never actually fully met EPA standards, which have become tougher with new information."

Five days after what some have dubbed Beijing's "air-mageddon," the sunshine has reappeared, and the air has actually turned relatively clear.

My daughter points out that London and Los Angeles have confronted pollution as well. As long as the Chinese recognize it is a problem, they will eventually be able to strike a balance between a clean environment and a thriving economy."

Wind has dispersed some of the smog, although my chest remains heavy and my throat is still itchy.

@highlight

FlorCruz: On bad days in Beijing, seeing, breathing is difficult

@highlight

Rapid industrialization, explosive growth in cars contribute to China's air pollution

@highlight

State-run media acknowledge China's lead status as emitter of greenhouse gases

@highlight

Health is the big casualty