(CNN) -- In most places, when 16 people are gunned down, the local media reports the incident without missing a beat.

But when the massacre described above happened last weekend in Ciudad Juarez, Mexico, the editors of the city's largest daily newspaper had to have a long discussion before deciding to cover and investigate the story.

As drug cartel violence continues unabated throughout Mexico, journalists find themselves walking a thin line between covering the story and becoming part of it.

Already this year, three journalists have been killed in Mexico, reaffirming the country's place as one of the most dangerous in the world for journalists.

The drug violence "generates fear, even if you don't like to admit it," Pedro Torres, deputy editor of El Diario de Juarez told CNN.

Drug cartels have targeted reporters and editors who report on their activities, something that gives editors pause before reporting on incidents likely linked to the cartels.

After discussion, the Juarez newspaper decided to investigate the gruesome slayings that happened over the weekend, but are aware of what that means.

"We are always trying to investigate, but when you get too deep you draw a reaction," Torres said, referring to threats from drug traffickers. "In this case, we are trying to dig as deep as possible."

However, if the paper's efforts are met with "reactions," they will have to back down, he said.

It is a form of self-censorship that many media outlets in Mexico have accepted out of concern for the safety of their staffs.

Sometimes, cartel members will call the newspaper to try to get reporters to not write about certain incidents; other times they push for certain stories to be included.

"There's pressure from all sides," Torres said.

In January, a crime reporter for the Zocalo newspaper in Saltillo, Mexico -- Valentin Valdes Espinosa -- was kidnapped. He was found dead shortly after, his body showing signs of torture and with several bullet wounds..

According to the Committee to Protect Journalists, Valdes Espinosa was found with a message that read: "This is going to happen to those who don't understand. The message is for everyone."

Less than two weeks later, authorities in the state of Sinaloa found the body of another journalist who was kidnapped in December.

Jose Luis Romero's body also showed signs of torture, CPJ reported.

The most recent victim was Jorge Ochoa Martinez, a Mexican editor and publisher of two papers in the western state of Guerrero who died last week after being shot in the face, according to local media.

The state attorney general's office told CNN Wednesday that there were two leads in the investigation, but that authorities were not ready to talk about them publicly yet.

"Obviously, for this year, it's already an alarming figure," Anthony Mills, press freedom manager for the International Press Institute in Vienna, Austria, told CNN. "There appears to be no end in sight."

"Although journalists continue bravely to do their jobs, the fact of the matter is that the systematic killing of journalists is going to have an effect on the job that journalists do," Mills added.

Compounding the problem, Mills said, is either the inability or unwillingness of Mexican authorities to investigate violence against journalists.

The Juarez paper had a reporter killed in 2008.

Federal and local authorities visited the newspaper office and vowed to bring the killers to justice, "but in the end, nothing happens," Torres said.

The case of the Juarez reporter, Armando Rodriguez, remains unsolved.

Agustin Lozano, editor-in-chief of El Bravo newspaper in Matamoros, Mexico, across the border from Brownsville, Texas, said excessive caution has become the norm for reporting crime.

"I don't want heroes here at my newspaper because it could be dangerous," Lozano told CNN. "We are reporters, we are not police."

Matamoros has not seen as much violence as other border cities, but it is the home of the Gulf cartel.

Out of an abundance of caution, Lozano's newspaper reports only on incidents that the police department gives news conferences or press releases about.

Lozano said journalists are just the messengers who are getting caught in the middle of a conflict that is international in scope.

Mexico, as a transport country for drugs, and the United States, as a consumer of drugs, have to work together to resolve the trafficking problem before journalists and others can be safe, he said.

In the meantime, "there is no security, no guarantees."

Despite the challenges and dangerous environment, Torres, the editor in Juarez, remains hopeful.

"Our goal is to return to doing the type of journalism we were doing two years ago," before the violence there escalated, he said.

@highlight

Three Mexican journalists have been killed so far in 2010

@highlight

Says one editor: Drug violence "generates fear, even if you don't like to admit it"

@highlight

News groups must be cautious when investigating slayings linked to drug cartels

@highlight

Journalists say cartels pressure them to drop some stories, cover others