(CNN) -- Edith Windsor, who filed the original case that could upend the Defense of Marriage Act, says just getting the case to this point is a kind of victory.

"We've made a huge step forward and a huge difference in how people look at us," she said. "And so, it'll happen. Another year if not now."

It was the death of Windsor's life partner, Thea Clara Spyer, that led to the case.

Theirs was not a fleeting romance -- the women were together 42 years sharing ups and downs, laughs and tears. They also shared what they'd earned together, including from Windsor's job as a programmer with IBM and Spyer's work as a psychologist.

5 things we learned from day one of oral arguments

"We were mildly affluent and extremely happy," Windsor said. "We were like most couples."

But even after they married in 2007 in Toronto, some 40 years into their courtship, the two women were not "like most couples" in the eyes of the state of New York, where they lived, nor in the eyes of the U.S. government, which under the Defense of Marriage Act mandates that a spouse, as legally defined, must be a person of the opposite sex.

This fact hit Windsor hard in 2009, while in a hospital after suffering a heart attack a month after Spyer's death. As she recovered and mourned, Windsor realized she faced a hefty bill for inheritance taxes -- $363,053 more than was warranted, she later claimed in court -- because Spyer was, in legal terms, little more than a friend.

"It was incredible indignation," Windsor recalled feeling. "Just the numbers were so cruel."

This anger gave way to action. Why, she and her lawyers argued, should her relationship with Spyer be any different when it came to rights, taxes and more than a heterosexual couple? Why should Windsor have to pay, literally, for losing her soulmate -- even though, by 2009, New York courts had recognized that "foreign same-sex marriages" should be recognized in the state as valid?

In October, Windsor got an answer in the form of a ruling opinion from the 2nd U.S. Circuit Court of Appeals. That court found, in her favor, that the Defense of Marriage Act violates the Constitution's equal protection clause and thus she shouldn't have had to pay an inheritance tax after her partner's death. This follows a similar ruling, in May, from another federal appeals court in Boston.

Federal appeals court strikes down Defense of Marriage Act

Neither opinion settles the matter for good. That is expected to happen when the Supreme Court will weigh the constitutionality of the Defense of Marriage Act through the prism of Windsor and Spyer's story. It is one of two cases related to same-sex marriage that the high court is considering. The other addresses California's Proposition 8. The court is expected to rule on both cases by mid-June.

Even with those cases pending, Windsor said last fall -- when the lower court decided in her favor, three years after Spyer's death -- that she felt she could finally breathe and celebrate.

It was a day she relished, and one she didn't entirely expect after all her heartache.

"What I'm feeling is elated," Windsor said. "Did I ever think it could come to be, altogether? ... Not a chance in hell."

By the numbers: Same-sex marriage

Instant chemistry in Greenwich Village

Born in Philadelphia in 1929, on the eve of the Great Depression, Windsor graduated from Temple University and earned a master's degree, in 1957, from New York University, according to a fall 2011 story in the latter school's alumni magazine.

She had come to New York hoping for a fresh start after a brief marriage, according to the report. And professionally, she found it -- working for NYU's math department and soon entering data into its UNIVAC, one of a few dozen of the huge commercial computers then in operation. Her knack for programming eventually helped her land a job, and to excel, at IBM.

But something was missing in her life, personally.

Or, as Windsor put it more succinctly, "I suddenly couldn't take it anymore."

In the documentary "Edie and Thea: A Very Long Engagement," she recalled pleading with an old friend to take her "where the lesbians go." And so Windsor spent one Friday night at Portofino, a restaurant in New York's Greenwich Village.

"Somebody brought Thea over and introduced her. And we ended up dancing," she recalled.

"And we immediately just fit," added Spyer, on the documentary.

Timeline: Same-sex marriage

After reuniting two years later, according to their New York Times' wedding announcement, their connection proved deep and lasting. In 1967, Spyer proposed marriage with a round diamond pin. A year later, they purchased a house together in Southampton, according to the NYU Alumni Magazine story.

Yet while the gay rights' movement took off after the 1969 Stonewall Riots, which occurred while Windsor and Spyer were vacationing in Italy, an actual marriage -- a legal union -- seemed out of the question.

Marriage, at last, and then heartache

Regardless, their love remained strong.

On the documentary, filmed around 2007, Spyer said, "Each one of us, in fact, looks different from how we looked when we met. But if I look at Edie now, she looks exactly the same to me. Exactly the same."

Windsor had halted her new career as a gay rights activist to help care for her partner, who suffered from multiple sclerosis. And it was after getting a "bad prognosis (that) I had another year to live and that was it" that Spyer proposed again.

"And I said yes," Windsor recalled. "She said, 'So do I.' "

Video shows Spyer being pushed through the airport in her wheelchair. It was from that seat -- on May 22, 2007, at Toronto's Sheraton Gateway Hotel -- that she gave her vows to make their marriage official in Canada.

"I, Thea Spyer, choose you, Edith Windsor, to be my lawful, wedded spouse," she said. "For richer and for poorer, in sickness and in health, until death do us part."

Married same-sex couple awaits epic high court appeal

Having happily gone four decades without, Windsor soon realized how much the marriage meant to her. It made her and Spyer's love legitimate and all the more real.

"It's different because somewhere you're a hidden person, and suddenly you're a citizen of the world," she said in October of 2012.

But what happened as Spyer's condition worsened, and after her death, proved a stark reminder they were not legally united in their own country. And the fact that New York legalized same-sex marriage in 2011 didn't mean that Windsor, for example, would suddenly get back the hundreds of thousands of dollars in inheritance tax that she'd given to the government.

That could happen, however, if the Supreme Court upholds the appeals court ruling. That is Windsor's hope, as is that whether a committed couple is heterosexual or homosexual becomes irrelevant within the next decade.

In the meantime, Windsor said she's proud to fight for something bigger than herself and the legitimacy of her union with Spyer. She hopes, through her struggle, to help make it so gay teenagers can "fall in love knowing there's a future," that children of gay couples won't feel the need to explain their families, and that homophobia becomes a thing of the past.

"I feel like I'm representing them."

Couple fights for right to marry

@highlight

Edith Windsor and Thea Spyer met in New York and were together more than 40 years

@highlight

They couldn't legally marry in the U.S., but they did tie the knot in 2007 in Toronto

@highlight

When Spyer died, Windsor paid a large inheritance tax -- then fought it in court

@highlight

A court rules their union was valid; the Supreme Court is hearing the case