(CNN) -- Venture capitalist Tom Perkins is back in the news with a big (and ridiculous) idea: If you pay a million dollars in taxes, you should get a million votes. While some media outlets have since pointed out that Perkins was perhaps courting controversy, his system of wealthier Americans having more say at the ballot box follows an equally bizarre argument this week from Bud Konheim, CEO of luxury retailer Nicole Miller.

Konheim took a different tack on the inequality debate, asserting instead that all Americans are wealthy. According to Konheim, "We've got a country that the poverty level is wealth in 99% of the rest of the world. So we're talking about woe is me, woe is us, woe is this. ... The guy that's making, oh my God, $35,000 a year. ... Why don't we try that out in India or some country we can't even name ... China, anyplace -- that guy is wealthy."

For now, it's safe enough to assume that Perkins' dollar-a-vote initiative is unlikely to take off. But Konheim's argument actually falls into a growing category -- members of the wealthiest income group in the country trying to convince average Americans that they, too, are all very wealthy.

Last summer, a commercial funded by the conservative Charles Koch Foundation tried to persuade people that the middle class in America is actually rich by pointing out that someone making over $34,000 -- a decidedly middle-class income -- was part of "the wealthiest 1% in the world."

Seriously? Let's look more closely at this idea that the poor -- or even the middle class -- in America are actually wealthy.

Konheim's argument probably does not hold much weight among millions of Americans who skipped filling a prescription in 2012 because of the costs, according to Commonwealth Fund's Biennial Health Insurance Survey. Nor does it likely ring true for many in the middle class who are trying to buy a home at a time when home prices have doubled since 1970. And let's not forget the cost of a public four-year college education, which has risen by an eye-watering 250% over the past 30 years.

The federal poverty level in the United States for a family of four is $23,550, significantly less than estimated living expenses. More than 3 million Americans earn the minimum wage or lower, and today's minimum wage has 30% less buying power in real terms than the minimum wage in 1968. Or put another way, someone on minimum wage would have to work for more than 130 hours to buy the $950 dress that Konheim's company is selling right now at Saks Fifth Avenue.

To be sure, Americans do not need to buy luxury dresses. But they do need to buy food. And according to the U.S. Department of Agriculture, more than 14% of Americans were food insecure at some point in 2012. In other words, in the wealthiest country on Earth, millions of Americans could not be sure where their next meal was coming from. And poverty is much more prevalent than you might think -- more than half of Americans between the ages of 25 and 64 will spend a year of their lives in or near poverty.

As worrisome as these statistics are on U.S. poverty levels, there is also alarming data about the state of the middle class.

Median incomes in America are actually lower now than they were in 2000, and household debt levels have skyrocketed. If we look at millennials -- the youngest part of our workforce -- there were 10 million of them who were unemployed or underemployed last summer, more than the entire population of New York City.

Comparisons Konheim would have us make with developing countries miss the point. The United States is not a developing country, and it does not serve us well to try to ignore the real difficulties of many Americans. So the question is not whether a full-time retail worker earning $14,000 in Texas is better off than a full-time retail worker in India, or even whether a household with $34,000 in Philadelphia is doing better than many families in China. The question is whether the economic conditions we have now are serving us -- all of us -- well.

And the answer to that is: not really. Or, more positively: We can certainly do better.

Economic growth in the United States is lagging behind our historical average, and unemployment five years from the Great Recession is still too high. And the American Dream, the notion that if you work hard and play by the rules you can get ahead, is taking a serious knock when economic mobility -- the ability to move from the wealth you were born to another level -- is lower in the United States than in countries like Canada and Germany.

Doing better for all Americans is not about creating divisions between income levels. And it's certainly not about trying to convince workers who are struggling to pay their rent that they are actually rich.

Simply put, doing better for all Americans -- the wealthiest included -- and growing our economy in a sustainable way requires a growing and vibrant middle class that is contributing to an innovative and entrepreneurial workforce, while providing a stable source of economic demand. In short, we need Americans to be both productive workers and reliable consumers.

Acknowledging the very real struggles many of our fellow Americans face is not just a moral imperative, it is also an economic one. And we can't have a constructive conversation about how we improve the country's economy if we ignore the difficult realities facing many Americans today.

Konheim and Perkins can disparage their fellow citizens all they want, but the truth is that the American economy will do better when more Americans are doing better.

The opinions expressed in this commentary are solely those of Jennifer Erickson.

@highlight

Jennifer Erickson: The rich like Tom Perkins and Bud Konheim live in a bubble

@highlight

Erickson: Konheim's idea that the poor in America are actually wealthy is ludicrous

@highlight

She says median incomes in American are lower now than they were in 2000

@highlight

Erickson: Without a vibrant middle class, America will fall behind in economic growth