(CNN) -- Multiple Oscar winning film "Slumdog Millionaire" has brought the plight of India's slum dwellers to the rest of the world. But up to a million slum dwellers in the economic capital Mumbai are set for upheaval as the city is poised for a radical makeover

Dharavi, where parts of "Slumdog Millionaire" were filmed, is one of the largest slums in the world.

Five years after the regional government announced its intention to redevelop Dharavi, the vast Mumbai slum where parts of "Slumdog Millionaire" were filmed, developers are finally submitting their blueprints for the project.

Nineteen consortiums from around the world are vying to redevelop the 500-plus acres of land occupied by Dharavi and the bulldozers could move in within six months.

The scheme is the brainchild of Mukesh Mehta, an Indian architect who made his name in the U.S. His vision is to use private money to redevelop the slum and turn Mumbai into an international business destination.

"If effectively designed and well planned Dharavi could be not very different from London's Canary Wharf. If we plan creatively and bring in the best architects in the world we could create a new language of architecture and buildings for Mumbai," he told CNN.

What's novel about Mehta's plan is that rather than seeing a need to entice developers into slum regeneration, he views the land as a resource that developers will pay handsomely to get their hands on.

The plan is for developers to demolish the slum and build apartments on the site, which will be given free of charge to 57,000 families currently living in Dharavi. The incentive? For every 100 sq ft of apartment space the developers give away, they will get to build 133 sq ft of commercial space, which they can sell at market rates.

Back in 1997, it was Mehta who realized that Dharavi's location made it an asset. In the heart of Mumbai, Dharavi is connected by all three of the city's railway lines.

The two highways that link Mumbai to the rest of India both start nearby and just half a kilometer away is the Bandra Kurla complex, Mumbai's emerging financial hub, where land prices are astronomical.

Mehta estimates that the government could end up making $2 to $3 billion, the developers stand to make huge profits and Dharavi's residents will get real homes with running water. So why has the scheme taken 12 years to get off the ground?

Part of the problem is the word 'slum.' Dharavi is terribly overcrowded, with a chronic lack of clean water and a dearth of toilets. Sewage runs freely and the stench of feces is ever present.

But there is a real sense of community, the streets are buzzing with activity and thriving cottage industries, such as pottery and recycling workshops, operate from the ground floor of people's homes.

"The Dharavi redevelopment should not be thought of as just a housing project. Almost every house is involved with some kind of economic activity," says Sundar Burra, an advisor to the Society for the Promotion of Area Resource Entrees, which has been campaigning for years to ensure Dharavi's residents don't lose out in the redevelopment.

Burra says it is essential that residents can continue to work from their homes in the new Dharavi, or they won't be able to afford the maintenance costs of their new apartments.

"If this is not considered, people will sell and the area will become gentrified. Even though new housing stock will be added to the city, the people for whom it is meant will not be able to benefit," he told CNN.

In June 2007, some 15,000 Dharavi residents marched against the proposals, which they felt benefited developers at their expense.

Mehta says planners have been listening to people's concerns. The new apartment buildings will incorporate communal spaces where residents can carry on their trades and thousands of businesses currently operating illegally in Dharavi will be legalized.

Following objections from residents, the floor space allocated to each family has been increased from 225 sq ft to 300 sq ft.

But not everyone in Dharavi stands to benefit. Many residents lease the upper floor of their homes and their tenants are not eligible for the free apartments. Neither is anyone who moved to Dharavi after 1999, nor the laborers who sleep in Dharavi's workshops.

There is only one place for these people to go -- other slums. Burra concedes that no one knows how many people will be forced out, but it could be tens of thousands.

Although some are still fighting the plan, Mehta considers it a fait accompli. He predicts that work will begin after the summer monsoon and will take five to seven years to complete.

With over a billion people living in slums globally, Mehta sees this involvement of private money as essential for slum regeneration around the world.

"Every major university and design and planning institute in the world is studying this model," he says. "Developing countries in Asia and Africa have invited me to have similar projects in their country. This is the future."

@highlight

Dharavi, in the heart of Mumbai, is one of the biggest slums in the world

@highlight

The massive redevelopment of Dharavi could begin within six months

@highlight

57,000 families will be rehoused on site, but many others will have to move on

@highlight

Scheme is "a model that can be used to rehabilitate slums around the world"