(CNN) -- It is always risky to make predictions about the Supreme Court's decisions based on what is or is not said by lawyers and justices at oral argument. It is also almost impossible to resist the temptation to hunt through the transcripts for clues and tea leaves.

On Wednesday, the justices heard arguments in a case called Town of Greece v. Galloway, which involves a challenge to a small New York town's practice of opening its board meetings with short prayers, delivered by volunteers. A lower federal court ruled last year that the town of Greece's prayers -- but not necessarily all legislative prayers -- violate the First Amendment's rule against "establishments" of religion.

Arguing for those challenging the prayer was one of the most respected legal scholars in America, Douglas Laycock. As his argument time was running down, Justice Elena Kagan -- one of the two justices nominated by President Obama -- shared an interesting and revealing observation. She emphasized how important it is to "maintain a multireligious society in a peaceful and harmonious way" and then added, "every time the court gets involved in things like this, it seems to make the problem worse rather than better."

A clue? Perhaps. The Supreme Court's decisions and doctrines about church-state relations, religious liberty, and the role of faith in public life are regularly criticized as unpredictable and unprincipled. Why, for example, is a large Ten Commandments monument on the grounds of the Texas State Capitol acceptable while a display in a Kentucky courthouse that includes a framed copy of the Ten Commandments is not? Why did the justices permit a Rhode Island city's Christmas display, which included a creche, but disapprove Pittsburgh's, which did also.

To many observers, the court's rulings seem to have done more to cause discord and dissonance than -- borrowing Kagan's words -- peace and harmony and, at Wednesday's session, many of the justices appeared to share her concern. Over and again, they pressed the attorneys to identify clear lines and straightforward rules that courts, legislators and citizens might use to separate permissible religious solemnizations from unconstitutional religious establishments.

It would be clear and straightforward, of course, to say the Constitution bans all officially sponsored prayers at government meetings and functions. However, to say this would also conflict glaringly with American history and traditions, going back to the founding. In fact, one of the first things the first Congress did when it assembled in 1789 was to select chaplains for the House and the Senate.

This is why, 30 years ago, in the case of Marsh v. Chambers, the court held that legislative prayers offered by a paid chaplain did not violate the First Amendment and it is probably also why none of the justices indicated that he or she is inclined, at this late date, to change course so dramatically. Nor did a majority of the justices seem inclined to treat volunteer-led prayers at town board meetings like potentially coercive invocations at public school graduations and football games.

One suggestion to the justices was that legislative prayers be "nonsectarian" and avoid religious issues and theological claims on which there is significant disagreement. Several of the justices appeared to agree that this would be a sensible policy.

At the same time, most were leery of making this good practice a constitutional requirement, of forcing trial court judges into the tricky and delicate business of parsing and perusing prayers, or of policing a line between allowable prayers that invoke "almighty God" and over-the-line ones that address "Jesus Christ."

Our country is, as Kagan noted, a "multireligious society" and so it is both unsurprising and unavoidable that Americans sometimes disagree about the role and place of religious faith in our public life. It is just as much a fact about our country that, from the very beginning, we have tried to respect religious faith and protect religious liberty, in private and in public. Our tradition and practice has not been to regard public acknowledgments of religion and public requests for divine guidance as inconsistent with our founders' wise decision to distinguish between, or "separate," church and state.

A decision by the court to uphold the town board's prayers in Greece will probably not clear up all the questions about or patch up all the holes in the court's First Amendment case law. However, such a decision, one that relies on precedent and avoids any dramatic changes in direction, will avoid making things worse. And, as Kagan reminded us, that is no small thing.

The opinions expressed in this commentary are solely those of Richard Garnett.

@highlight

Supreme Court hears case challenging prayer at town board meeting

@highlight

Richard Garnett says court will likely be reluctant to uphold a ban on such prayers

@highlight

Garnett: Constitution prohibits establishment of religion, but public prayers have long history

@highlight

Garnett: U.S. has long tried to protect both religious faith and religious liberty