(CNN) -- It's official: The weather has been a bit weird this winter. The nation's climate agency says so -- and, in part, explains why.

There is method to the meteorological madness.

And it has served to spread the weirdness around the world, from the American West all the way to Russia, a climate expert from the National Oceanic and Atmospheric Administration said.

The drought parching California; those two snowpocalypses in the South; the unrelenting New England snow; the sopping soaking of the UK; short sleeves on Sochi's snow-hungry slopes.

One single weather event has a hand in all of them, said NOAA environmentalist Bill Lapenta.

"They are associated with that long-wave pattern, so they are connected in that sense," he said.

That "long-wave pattern" is like a whip that got swung in California and has cracked in all the other places.

A big, sturdy ridge of high pressure air has blustered rain clouds away from California, and at the same time, it has pushed the jet-stream way up into Canada.

What goes up...

In reaction to that, the jet-stream has swung back deeper into the South than usual, carrying Canadian cold with it.

Voila. Snow and ice from Louisiana to the Carolinas.

Then it has whipped back up, helping big storms dump snow over the Northeast.

From there, the same jet-stream has crossed the Atlantic and brought weather that flooded Great Britain in the wettest January there in two and a half centuries.

Down the road a bit, at the Winter Olympics, it's practically springtime in Sochi, and it's that same jet-stream dragging in warmth that's boosting temperatures well above freezing.

But it gets even worse.

The jet-stream is moving slower than in past years, which means that all that ugly weather is hovering over places for longer periods, plaguing them with more of its nastiness than usual.

It has weather-beaten people in many parts of the world groaning the same moan: "I've never seen weather like this before."

Are they exaggerating? Maybe not.

Let's have a look at the season's weather, starting with the whip's handle -- in California -- and follow the jet-stream's lash from there.

Cali-dehydration

The dryness in California is making its mark in the history books.

The state grows more than the lion's share of the tomatoes used in U.S. processed foods, farmer Mark Borba brags. This year? Zero, he said.

For the first time in its history, the California Water Project - a system of canals and reservoirs that provide water to two thirds of the people in the state's Central Valley -- set its allocation for all of them to zero.

This pertains to people in the country and in cities alike.

Borba blames it in part on bureaucratic tangles between state and local authorities who decide over the water's release.

But that doesn't negate the fact that there is a water shortage.

His farm gets its water from reservoirs 500 miles to his north. This year, they are running on bare minimum.

Further down the jet-stream, there's been precipitation to spare.

Winter blunderland

If you haven't been living under a rock, you've heard about or felt the winter ills that have walloped the nation's Southeast.

About two weeks ago, less than three inches of snow turned the region's largest city into a gridlocked parking lot, where thousands of motorists sat for as much as 20 hours in their cars, while lows dipped into the teens.

Not being able to deal with snow is no surprise for a region that usually gets iced over every ten years or so -- although the last such shellacking came three years ago.

Then this week, a second winter storm polished a path of white from Alabama all the way up to Maine.

Not that the Northeast is not used to snow, after all it's winter, and it's normal there. But the frequency of heavy snows has had leaders in the region huffing for a break.

New York City Mayor Bill de Blasio greeted reporters covering the storm with the line: "Welcome to winter storm six of the last six weeks."

And as New Jersey Gov. Chris Christie said before the worst of the storm hit: "This has just been a brutal winter where it never really has gotten warmer. And so the natural melting away of snow and ice is not happening."

Exaggeration or winter storm exhaustion?

It may have been a long-planned vacation, but after the last storm passed, Christie took off with his family for the warmer latitudes of Puerto Rico.

A previous recent snow-thumping wrecked much of his inauguration celebration -- along with that bridge scandal.

Add to that increased frequency of snowfall a quick CNN weather factoid: Over the last week, was snow on the ground in 49 of 50 states.

Oh, Britannia

Following the jet-stream across the North Atlantic, things get warmer, but also, much, much wetter.

London is used to rain, but this? The River Thames has burst its banks.

What British meteorologists say makes it sound like they may have already heard NOAA's Lapenta mention of hovering, long-lasting storms.

The Met Office, the UK's national weather service, said the recent series of winter storms "has been exceptional in its duration, and has led to the wettest December to January period in the UK since records began."

Some communities in low-lying areas in southwest England are looking more like the water-bound city of Venice, Italy. They have been under water since December.

And there's no letup in sight just yet.

Authorities have warned communities along the Thames that more flooding is on its way, as the river reaches its highest level in 60 years.

A powerful Atlantic storm that is blowing in on Friday will add to people's woes.

Where's that coming from? It's what's left of a storm that plastered the United States with snow and ice.

Let it snow!

Photos of Olympic cross-country skiers striding for miles in the snow in short sleeves were all the rage this week.

They illustrate how warm it has been in Sochi, Russia, at the Winter Games. Low temperatures have been well above freezing, and daytime highs have hit the 50's, NOAA says.

Spectators may find it pleasant to walk around in light jackets -- or amusing to sit in the sun in shorts and t-shirts.

But for the organizers, the warm weather, which Lapenta says is strongly influenced by that same jet-stream, has been no laughing matter.

They've had to crank up snow machines to keep some pistes white.

Sochi has been one of the warmest cities to host the winter Games, NOAA says on its website.

But that's not really shocking, the climate agency says.

"Sochi sits in a marginally wintry zone along the Black Sea coast near the Caucasus Mountains," it says.

But with the current jet-stream pattern, marginally wintry does not seem to be enough to hold back balmier air.

Luckily, many events are being held indoors or at higher, colder elevations.

Blasts of warm weather at Winter Olympic Games is nothing new, and it has been worse before.

"In 2010, Vancouver, Canada experienced its warmest January ever recorded," NOAA says.

Snow machines were powerless against it, so organizers had to ship in snow by truck and helicopter.

NOAA advises that the Olympic Committee should consider awarding the Games to cities in solidly cold regions -- as global warming increases.

That leads to a pertinent question that is often on people's minds when the weather goes haywire these days.

Yes or No

Can we chalk this wacko winter up to climate change?

Lapenta would like to know, too. Cracking that code will be very complicated.

But there is something else that baffles his team. Why has the jet-stream gotten to be so slow this year?

"That's an area of research that we're currently investigating. We don't have a clear-cut answer to that question," he said.

If climate scientists can make that connection, it will allow them to better predict weather craziness as much as a month or two ahead of time, Lapenta said.

So we'll all know what we've got coming.

CNN's Miguel Marquez, Laura Smith-Spark and Chelsea J. Carter contributed to this report.

@highlight

Yep, this is unusual; NOAA says so -- and, in part, why

@highlight

The odd weather pattern stretches from California to Russia

@highlight

It includes the Southwest's drought, the recent blasts of snow, UK flooding

@highlight

And it's warming the Winter Olympic Games in Sochi