(CNN) -- Soon after I was elected to Congress, an issue came to the House floor to which I had given considerable thought and believed that my conclusions were sound, reasonable and persuasive.

At the front of the House chamber, directly in front of the elevated rostrum from which the Speaker presides, are two lecterns. One is positioned to the right of center, facing Democrats, and one to the left of center, facing Republicans. Because I felt that most of my fellow Republicans would surely share my views, I decided to present my reasoning to the Democrats, who I had hoped to impress favorably.

So, in giving my very first congressional speech I stood at the lectern facing the Democrats. I was greeted with an audible gasp from both sides of the aisle.

Just as Republicans must drink their coffee, read their newspapers and slurp their soup in a room off the House floor, and Democrats do their reading, drinking and eating in a different room, members of the two parties must speak from different places, using different microphones positioned as an extension of their own side of the partisan divide.

It surprises me still to hear people express amazement at the hyper-partisan nature of Congress and its resulting inability to deal collectively with the nation's problems.

In a constitutional system that places most of the federal government's real power with the peoples' representatives, that is a serious problem.

But it's not an accident. It's a direct result of the systems we've created to choose those representatives and the way Congress itself has been allowed to develop not as a single body of Americans but as a pit for rival power-seeking clubs to do battle.

The leaders of the House and Senate are partisans; but they needn't be, and in other governments they aren't. The committee staffs are partisans; there's no need for that, either. Partisan leaders decide who sits on which committees, transferring enormous power over federal law to partisans who win their positions by pledging to support the party line and plowing hundreds of thousands of dollars into party treasuries (some of it raised from interest groups that are pleased to help out).

But as they say on those late-night infomercials, "Wait, there's more."

The problem doesn't begin in Congress. It begins with how men and women are elected to Congress in the first place.

To even appear on the November ballot, candidates must navigate through primaries either entirely the province of partisan activists (closed primaries) or dominated by them (so-called cross-over primaries). Most states have "sore loser" laws (supported by the parties) that then prohibit anybody who ran in a party primary and lost from appearing on the general election ballot. If 30,000 supporters secure a primary victory for one candidate, anybody who lost that primary would then be unavailable as an option for the rest of the state's voters.

In Delaware, that is precisely what happened to former governor Mike Castle. Except it didn't really happen to Mike Castle; it happened to the people of Delaware who were denied the chance to choose the person most would have wanted to represent them in the Senate. And it happened to Sen. Richard Lugar in Indiana, who, like Castle, was unacceptable to hard-line activists because he actually believed in the kinds of compromise that are necessary to govern a nation of more than 300 million people.

In most states, candidates for the U.S. House run in districts shaped by partisan leaders for party advantage, regardless of the effect on the rights of the people to be represented by somebody familiar with their concerns and interests.

That's how I, a city dweller with no rural experience, found myself representing farmers, ranchers and small-town merchants after a legislature dominated by a different party redrew my district to stretch from the middle of Oklahoma to the Kansas border and then, in an upside-down "L" halfway to Arkansas, all to strengthen their party in other districts.

Even the new infusion of big dollars into political campaigns has a distinctly partisan flavor -- the largest super PACs are not really independent; they're being run by long-time party activists.

Incentives work. We've created a system that rewards incivility and punishes cooperation. Is it any wonder that our government is a mess? Washington, Adams, Jefferson and Madison all warned us not to create political parties. We should have listened.

The opinions expressed in this commentary are solely those of Mickey Edwards.

@highlight

Mickey Edwards: Don't be surprised at the hyper-partisan nature of Congress

@highlight

Edwards: Congress' inability to deal with the nation's challenges can be fixed

@highlight

He says the problem begins with how people are elected to Congress in the first place

@highlight

Edwards: We've created a system that rewards incivility and punishes cooperation