The U.S. Supreme Court refused Friday to stop the pending release of thousands of California inmates to solve chronic, severe overcrowding in the state prisons.

The unsigned order is the latest chapter in a long-running federal lawsuit by prisoners and their advocates against what they called dangerous and unacceptable conditions in 30 state correctional institutions.

A judge's order in May required the state to further reduce the prison population by 9,600 inmates by year's end. The state has repeatedly cited public safety in resisting the mandated releases. The state in recent days asked the Supreme Court for an injunction to delay implementation of the order.

The high court in 2011 upheld an earlier order setting limits on the prison population and a timetable for the state to follow to meet that ceiling.

Justices Antonin Scalia, Clarence Thomas, and Samuel Alito said they would have granted the stay requested by the state. Scalia, in a toughly worded dissent, called the original release order a "terrible injunction" and suggested the result would be that many of the released prisoners will commit more crimes.

California to challenge court order to release 10,000 inmates by year's end

There was no immediate reaction from Gov. Jerry Brown, but he had called the earlier mandate "unprecedented." A three-judge federal court panel ordered the state to reduce its prison population to 137.5% of design capacity by December 31 and threatened to find the state in contempt if it did not report on its progress every two weeks.

Until recently, California had the nation's largest prison system and officials have said they have been reducing overcrowding.

The case grows out of lawsuits filed in 1990 and 2001 that alleged overcrowding is at the core of a domino effect of unsafe and unhealthy conditions for those on both sides of the iron bars.

In 2011, the U.S. Supreme Court upheld the federal panel's determination that California's medical and mental health care for inmates fell below a constitutional level of care and that the only way to meet the requirement was by reducing prison crowding.

The justices two years ago found "continuing injury and harm resulting from these serious constitutional violations," including as many as 156,000 people crammed in correctional facilities designed to hold about half that many.

Justice Anthony Kennedy at the time noted "needless suffering and death have been the well-documented result. Over the whole course of years during which this litigation has been pending, no other remedies have been found to be sufficient."

Federal judges in May expressed impatience with California officials, the defendants in the case. They threatened to cite the state with contempt if it did not comply with the release orders.

The larger issue is a classic battle over state versus federal authority, focusing on whether U.S. courts can step in and essentially run state prisons when officials have repeatedly violated basic constitutional guarantees afforded inmates.

The competing arguments amount to a sharply divided debate between public safety concerns and individual rights, a debate that goes into how the three branches of government should balance competing state interests.

Alito had dissented from the 2011 ruling, and warned any mass release of inmates to alleviate overcrowding would be "gambling with the safety of the people of California."

Prison overcrowding is a nationwide problem, but California's dilemma is unique in its massive scope and time frame.

A special federal court in 2009 ordered the state to shrink the prison population from 202% over capacity to a maximum of 137.5%, and to accomplish that in two years. The state was given wide latitude to meet the goal, but the court was adamant the state do it without delay and without excuse.

The current high court appeal is Brown v. Plata (13A57).

Read more: Hunger strike on for 12,000 California inmates

@highlight

California prisons are under order to release 9,600 inmates by year's end

@highlight

The state wants to delay the deadline; the Supreme Court says no

@highlight

Overcrowding has made the prisons unsafe and unsanitary, courts say

@highlight

Justices Antonin Scalia warns that many released prisoners will commit crimes