(CNN) -- Last weekend's release and the now imminent homecoming of U.S. Army Sgt. Bowe Bergdahl, held prisoner by the Taliban or its allies for nearly five years, are cause for celebration.

Bergdahl was the only U.S. soldier being held in the Afghan war. The U.S. military does not abandon its own.

Bergdahl's release is nonetheless controversial because of the price paid for it: our release of five former Taliban leaders from Guantanamo to Qatar, where, we are told, they will be monitored and barred from leaving that small Gulf Emirate for one year.

There is no denying that the release of Taliban murderers was a stiff price to pay. Letting them go (albeit after a dozen years of incarceration at Guantanamo) was necessary, the administration says, because otherwise Sgt. Bergdahl's life was in danger. If Washington, knowing of an imminent threat to his life, had chosen simply to let one of our soldiers die, how would the American public react?

Granted, the objections to this prisoner swap are not trivial. On balance, though, the administration made the right call.

One objection is that the released Taliban prisoners, who have killed before, are likely to kill again, once they return to Afghanistan in one year (assuming they do not slip away from Qatar even sooner).

That is possible -- but not a certainty. Both the Afghan and U.S. governments have been trying to encourage peace negotiations with the Taliban. Admittedly, a peace deal faces long odds. Still, there is a degree of speculation as to whether the Taliban prisoners -- after long years in Guantanamo away from their comrades -- will necessarily return to their old ways.

In contrast, we are told -- on what classified basis we do not yet know -- that Bergdahl's life was in imminent danger, if the White House and Pentagon had refused to make the swap.

And even if Bergdahl had survived, how many more years of incommunicado imprisonment would he have had to endure? With U.S. forces in Afghanistan set to wind down to only 10,000 by the end of 2014, and to leave the country altogether by the end of 2016, U.S. leverage to secure his release was steadily diminishing.

Another objection is that the U.S., as a matter of policy, should never negotiate with terrorists. In general that is a sound policy. But the Taliban are not garden variety terrorists. They are an armed force with which the U.S. has been engaged in armed conflict for over a decade.

Bergdahl was not a hostage held by ordinary terrorists. He was a soldier captured in war. The U.S. can make deals to secure the return of prisoners without relinquishing our general policy of not negotiating with terrorists.

A further objection is that this deal will encourage the Taliban to capture more American soldiers. But the Taliban need no incentives to try to capture U.S. service members. Any chance they get, they will take -- regardless of how the U.S. dealt with the Bergdahl release.

Finally, some Republicans in Congress object that the deal was illegal, because the administration is required by statute to give Congress 30 days notice before transferring prisoners from Guantanamo, but failed to do so.

The administration counters that there was no time for delay without risking Bergdahl's life, and that in these circumstances, the President's constitutional powers as commander in chief entitled him to override the statute. Although the point is debatable as a matter of law, in my view the administration wins the argument.

Aside from the prisoner swap for Bergdahl, there remains a larger question: Is the continued detention of 149 prisoners at Guantanamo (following the release of the five Taliban) in the national security interest of the United States? Sixty or so are Yemenis who have long been cleared for release, because they are deemed not to pose a threat to the U.S. The administration keeps them in Guantanamo only because of unrest in Yemen. Other prisoners are detained indefinitely, with no prospect for trial or release. Still other prisoners, who face criminal charges, are or will be tried by military commissions that fall short of minimum international standards of fair trial.

Both as symbol and in substance, Guantanamo thus remains a gaping wound in U.S. credibility. When we criticize Russia or China for violating international law, each has a ready retort: The U.S. violates international law at Guantanamo. Even our allies see us as hypocrites. At a time when our "hard power" is in decline, in both absolute terms (a shrinking military) and relative terms (versus mounting Chinese power), Guantanamo undermines American "soft power" -- when we need it more than ever.

Guantanamo has too long been treated as a domestic political football. It is past time to recognize that the price of continuing this game into overtime is too high.

@highlight

Douglass Cassel: The objections to the Bergdahl deal raise serious issues

@highlight

He says negotiating with the Taliban, which was holding Bergdahl, made sense

@highlight

Cassel: Administration was justified in not complying with requirement to notify Congress

@highlight

He says Guantanamo remains a gaping wound in U.S. credibility internationally