(CNN) -- In rolling out its Galaxy Gear on Wednesday, Samsung effectively launched the smartwatch wars, becoming the biggest player in an emerging gadget market that could soon see Apple, Google and others join the fray.

"Today, Samsung reinvents a centuries-old product," Samsung research director Pranav Mistry said at a launch event in Berlin. "I can proudly say Galaxy Gear is a design statement, an engineering marvel and something that really redefines tomorrow."

So, no false modesty here. But, what did everyone else have to say?

Tech bloggers' first impressions of the watch, which will go on sale in late September in much of the world and in October in the United States and Japan, were predictably less grandiose than that.

Many complimented the Gear as a significant step forward in mobile technology with a host of interesting features and the potential for even more. But its $299 price tag was a concern for many, as were worries that sluggish responses on some apps will turn out to be a persistent problem, not a case of opening-day jitters.

Others complained the watch must be synced with a Galaxy phone or tablet to get the most out of its functionality.

We've rounded up some thoughts from folks who got an early look at the connected watch, which will compete against rival devices from Pebble, Sony and other makers. Keep in mind that many of them had limited time with the device and some will publish more in-depth reviews later.

Consumer Reports

"We like what we saw in a brief meeting with Samsung, though the Galaxy Gear had several shortcomings, such as no direct support (yet) for Facebook or Twitter and a display that stays on only briefly with each press of the power button," reviewer Mike Gikas wrote after a short hands-on with the device. The full Consumer Reports review will come later.

"The Galaxy Gear ... appears to be one of the most useful devices to adorn the wrist since the wristwatch. But its expected initial high price could limit its appeal to early adopters with deep pockets."

The Verge

"The Galaxy Gear, Samsung's latest foray into the smartwatch category, is now official and it's quite unlike anything you've seen before," wrote Vlad Savov. "Yes, it's a smartphone accessory that can pick up notifications, control music playback, and keep time with a rich variety of watch faces, but Samsung takes it a few steps further by integrating a 1.9-megapixel camera, a speaker, and two microphones â€” allowing you to shoot short 720p movies and even conduct phone calls with the Galaxy Gear ... .

"Most of all, however, I find it hard to justify spending the $299 asking price on an accessory like the Galaxy Gear. It's too dependent on its parent device for functionality â€” which will cost you a fair amount too â€” and, like all other smartwatches, fails to truly live up to the ''smart' part of its name."

TechCrunch

In a piece titled "Your turn, Apple," Matt Burns wrote he's intrigued, even though Samsung tends to release imperfect products, then improve them.

"The Galaxy Gear watch seems to hit most checkboxes. The watch's design is fashion-forward without being completely nerdy. It's available in a wide range of colors. And it packs a good amount of tech including a camera into a modest-sized frame. The screen is attractive. It's open to applications and there's even a camera in the wrist band, because why not. And you can actually take calls on the thing by holding it up to your ear."

"Should you buy the Galaxy Gear? Nah, wait for the next one. Or Apple's smartwatch. That's what I'm going to do. A Pebble is good enough for me until then. But I still want this one. Well done, Samsung."

Engadget

"Wrist watches, smart or otherwise, are simply not for everyone -- there are more smartphone users in the world, many times over, than there will ever be smartwatch owners. Despite the limited market for such a device, however, Samsung's decided it's time to join in on the fun.

"The Gear includes ... a BSI sensor and autofocus lens mounted in the wrist strap ... . That camera, designed for on-the-go captures where convenience, not image quality, is a priority, is paired with a pre-installed app called Memographer. That application, and dozens of others that will be available at launch, are key to boosting the Gear's appeal, and setting it apart from the competition."

Gizmodo

"On first use, Galaxy Gear seems pretty responsive. It swipes quickly and smoothly between apps," wrote Leslie Horn. "We weren't able to test out texting, but we started a call that popped right up on the screen of the Note 3, more speedily than anticipated.

Overall, Galaxy Gear feels kind of awkward both to wear (it's chunky) and to use (it's unnatural, although that's to be expected since it's a new type of input). All that could be worth it, though, (if) the fitness apps (which we weren't able to test) are killer, and if moving between your Galaxy smartphone and your watch are as seamless as it seemed to be in our test."

@highlight

Samsung introduces Galaxy Gear smartwatch

@highlight

The $299 watch will be available in 140 countries late this month and in October

@highlight

On first impression, reviewers say it's a significant step forward

@highlight

Some critics worry its price, sluggish apps may dampen sales