New Orleans, Louisiana (CNN) -- What's next now that the oil stopped flowing, and what will happen when BP's crippled well in the Gulf of Mexico is finally, permanently sealed?

That was the subject of a meeting about long-term cleanup up efforts Thursday between the man overseeing the federal response to the oil spill and coastal parish officials.

Retired Coast Guard Adm Thad Allen said afterward that parish presidents "hold nothing back," but the two sides agreed there should be no premature declaration of victory, when it comes to cleanup.

The meeting came in New Orleans, Louisiana, two weeks after the ruptured well was capped and stopped leaking -- but before the final effort to permanently seal the well.

Allen promised cooperation between multiple layers of government when "response" efforts evolve into "recovery" efforts in the Gulf.

In what Allen described as a "very frank, productive conversation" the officials pledged to work together on long-term cleanup plans and jointly determine how clean coastal areas actually are.

In addition, they discussed how to better respond to storms and what was learned from Tropical Storm Bonnie. Some parish presidents contend that federal officials were too quick to remove booms and other oil-fighting equipment ahead of the storm, worrying it amounted to "downsizing."

And they talked about how next to use the many fishing vessels that have been pressed into service, laying out boom and doing other work. For example, those that aren't able to return to fishing as parts of the Gulf are reopened might be used to start removing boom in weeks ahead.

In a positive note for fishermen, Louisiana wildlife officials late Thursday announced that portions of state waters east of the Mississippi River in four parishes were re-opened to commercial fishing for fish and shrimp.

They said the move followed extensive tests by the Food and Drug Administration that determined the fish were safe for consumption.

After the meeting, Plaquemines Parish President Billy Nungesser said, "I want to be sure there are enough assets in each of  these parishes to fight this oil."

He said he wanted to ensure that for "any decision to downsize, which we know will happen someday, we will be included with that."

Louisiana Gov. Bobby Jindal, who attended the meeting, said "at times it was contentious, but I think it was productive." He said he tried to impress upon federal officials that cleanup priorities in weeks ahead should come from the bottom, up.

"What we suggest is that they allow each parish to come up with their own detailed plan, parish by parish," he said.

The meeting also included officials from a variety of federal agencies and BP Chief Operating Officer Doug Suttles.

Meanwhile, the clock is ticking toward the effort to seal the well.

Allen said in a separate briefing that crews are making good progress toward two well-killing efforts -- first by pouring mud and cement into it from the top in a move known as a "static kill" -- and then sealing it from the bottom through a relief well that's been slowly drilled to intercept the crippled well.

The first effort is planned for Monday but might take place sooner, he said.

The relief well may be ready for the "bottom kill" effort five to seven days after the static kill.

Allen was asked whether the static kill was really necessary, or if it amounted to "playing with fire" -- in a move that could jeopardize the final effort to kill the well from the bottom.

"I don't think so," he said. "Our science team has come to the conclusion that we do have well integrity and that the well is safe to do a static kill."

He said first effort "would enhance and ultimately make more effective" the final well-killing effort from below.

The ship that would pour the mud and cement for the static kill, the Q4000, is on the scene and ready to go.

And as flight crews find it harder and harder to spot oil on the surface of the water, Allen offered another bit of good news. He said said it's very unlikely that any oil might wind up in the loop current that winds around Florida toward the U.S. East Coast -- something that had been a  concern in the early days of the BP oil spill.

"The chances that oil will become entrained in the loop are very, very low -- and will go to zero as we control the leak at the well with the cap and ultimately kill it," he said.

That's partly because oil hasn't moved beyond the Florida panhandle and partly due to a stroke of luck from Mother Nature.

"For the past several months now, there has been an eddy that has broken off the loop current between the wellhead and where the current actually comes north and turns and goes back down toward the Straits of Florida," he said. "So there's been an eddy that has created a barrier between the wellhead and the loop current."

The coming static kill should also provide a ream of data that will give experts a better idea how much oil actually leaked from the well during the nearly three months it was spewing oil.

At the height of the spill, skimming vessels were collecting 25,000 barrels of oil a day.

Some scientists are skeptical the situation is improving and worry about how much oil may be lurking below  the surface.

"We've swept the oil under the rug, if you will, because we've applied a tremendous amount of dispersants to it," said Doug Inkley, senior scientist for the National Wildlife Federation." Speaking on CNN's "American Morning," he said, "What this means is that most of the oil has been dispersed throughout the entire water column, so that we're not seeing it on the surface."

"My biggest concern is the long-term effects on the food chain because the small organisms are eaten by the bigger organisms," he added. "It's still underwater and could have an effect for years, if not decades to come."

But Steve Murawski, the National Oceanic and Atmospheric Administration's chief scientist for fisheries, told CNN such a concern is, in some cases, unfounded.

"Oil does not necessarily bio-magnify into larger things," Murawski said. Fish, dolphins and other larger sea animals process and excrete oil. However, he said, consumers "need to be more careful with oysters and shrimp."

One thing not going away soon -- the threat of litigation against BP.

A panel of federal judges met in Boise, Idaho Thursday to consider arguments on where litigation over the Deepwater Horizon rig explosion and oil gusher should be consolidated. The Deepwater Horizon rig, off the coast of Louisiana, triggered the oil disaster when it exploded April 20, killing 11 people, and sank shortly afterward.

New Orleans and Houston, Texas, appear to be the favorites for the lawsuit sites because of their proximity to oil company offices and litigants surrounding the disaster.

@highlight

Local, state officials lay out cleanup concerns at "frank" session

@highlight

U.S. response official Thad Allen promises cooperation

@highlight

Crews moving ahead toward well-killing effort at BP site

@highlight

Some fishing waters reopen in the Mississippi River Delta