University Park, Pennsylvania (CNN) -- The fatal explosions at the Upper Big Branch coal mine in West Virginia and the Deepwater Horizon oil rig off the Louisiana coast drive home important truths about our country's energy supplies.

The first is that energy extracted from these sources is so valuable for our society that companies can afford to pay their workers premiums to risk their lives in dangerous circumstances. Massey Coal was extracting coal at Upper Big Branch at a cost of $35 per ton, and selling it for $60 per ton. BP and Transocean were extracting oil from Deepwater Horizon at a cost of $50 per barrel and selling it for $80 per barrel

The second is that there are no simple solutions to U.S. energy challenges. Wherever we get our energy, the price we pay for it is high.

We should consider this seemingly obvious fact when we talk about moving toward an economy that uses less carbon in order to combat climate change. Make no mistake: This move will be costly and is not likely to happen any time soon. Scholars at Resources for the Futures, a Washington, D.C., environmental think tank, estimate that enactment of the Waxman-Markey bill (the American Clean Energy and Security Act) currently pending before the Senate will cost the average ratepayer anywhere from $136 to $413 per year.

The reality is our economy is set up to burn coal for electricity and gasoline for cars, and moving away from this will be difficult, time consuming, and will compel consumers to decide whether they think it is worth it.

Almost half of the electricity produced in the United States comes from coal, which is cheap, plentiful and secure. Yet besides the dangers to coal miners, coal comes with its own costs. Burning it for electricity creates sulfur dioxide, nitrous oxide and carbon dioxide.

Scientists and engineers are working on making coal cleaner. One promising approach is carbon sequestration, in which carbon is separated out after burning coal. But once the carbon is separated, it is not clear what will be done with it. The best ideas involve storing it underground in former natural gas reservoirs. Making such storage facilities viable, however, will involve laying pipelines to transport highly compressed carbon dioxide hundreds of miles, likely against strong local opposition. Thus, for the foreseeable future, we are going to be using a lot of dirty coal.

Oil has its own deficiencies in terms of pollution and safety of extraction. Burning oil creates a variety of noxious chemicals, as well as carbon dioxide. And, as the oil spill from Deepwater Horizon demonstrates, we will never be able to eliminate environmental threats from drilling. But right now, it is the only thing we have to propel most of our cars.

Someday, electric cars may be able to take us farther than the local shopping mall. But even then, we'll have to get the needed power from an already overburdened electricity grid.

Many have held up wind and solar power as the saving solutions for our energy future. But these energy sources, which provide about 2 percent of the nation's electricity, have their own drawbacks and hurdles. For example, promising offshore wind projects have been canceled because of local environmental concerns. Indeed, Secretary of the Interior Ken Salazar is scheduled to make a decision on a wind power project off the coast of Cape Cod in Massachusetts this week that has faced opposition from fisherman, local Indian tribes and tourism concerns. After years of discussion, there have still been no offshore wind turbines built in the U.S.

And by itself, solar power is clean. But the needed rare-earth elements (such as dysprosium and terbium) are extracted through processes that are less than green. For example, extracting the elements from the raw materials mined requires a great deal of difficult-to-dispose-of and highly dangerous acids. (Rare-earth elements are also used in hybrid car motors.) Further, these elements come from China, giving the Chinese government power over our energy policies.

But beyond that, there may be limits -- at least for the foreseeable future -- to how much our electricity grid can depend on wind and solar power. This all revolves around a particular word: "intermittency." A modern society requires that nonstorable electricity be available at all times to meet electricity demand, without a significant threat of blackouts. Unfortunately, wind and solar power are intermittent -- they depend on weather conditions, which can vary. Given this, there is a serious question as to how much the electricity grid can rely on these energy sources.

Whether consumers will be willing to pay for green energy remains an open question. One example comes from Pennsylvania's restructured electricity markets. In these markets, residential customers have the option of paying for "green" power, mostly from wind sources, and somewhere between 5 and 10 percent of residential customers do so. This green power, however, raises electricity bills about 15 to 20 percent. Moving toward a greener economy will further raise these costs, as it will become harder and harder to find green power sources.

If we want to address our country's energy concerns, we have to be willing to face one important fact: that creating such solutions will not be cheap. Different forms of energy are available, but using them will result in raising our electricity and gasoline bills significantly.

The opinions expressed in this commentary are solely those of Andrew Kleit.

@highlight

Andrew Kleit says recent coal and oil extraction disasters point up truth of our energy needs

@highlight

Coal mining, oil drilling are costly, dangerous, but economy bound to it, he says, for cars, electricity

@highlight

Switch to low-carbon sources not imminent, he says; it's expensive, has own problems

@highlight

Kleit: Americans should face energy facts: Switching to clean energy will cost us.