London (CNN) -- Tensions between Turkey and Israel worsened Thursday when Turkish Prime Minister Recep Tayyip Erdogan said his country would follow aid ships to Gaza trying to break the Israeli blockade.

It comes as Israeli officials said Turkey had expelled three diplomats from the Turkish capital of Ankara.

Relations between the two countries have deteriorated since a raid on a Turkish ship carrying aid to Gaza last year when Israeli commandos killed eight Turks and one Turkish American.

A United Nations investigation into the incident found that the Israeli blockade of Gaza is a "legitimate security measure" in compliance with international law, but it said that Israel had used "excessive and unreasonable" force.

Israeli Prime Minister Benjamin Netanyahu said the recent increase in tensions between the two countries "was not our choice" but added that Israel had the right to defend its coast and to prevent smugglers and flotillas reaching the Gaza Strip.

CNN asked Fadi Hakura, Associate Fellow and Manager of the Turkey Project at Chatham House in London -- a British institute for the independent analysis of international issues -- for his take on Turkey's relationship with Israel.

What led to the souring of relations between Turkey and Israel?

"Turkey was the first Muslim-majority country to establish diplomatic relations with Israel in March 1949. Since then, bilateral relations reflected the regional conditions in the Middle East. As the Middle East peace process blossomed in the 1990s, both countries enjoyed close political, economic and military ties.

"However, bilateral relations deteriorated after Israel's military operations in Gaza. They took a turn for the worse when Israeli naval commandos intercepted the Turkish ship Mavi Marmara en route to breach the Israeli blockade of Gaza. That incident led to the deaths of eight Turks and one Turkish-American.

"Israel refused Turkey's demand for an apology but agreed to express regret and pay compensation for the Mavi Marmara victims."

How serious is the pledge to escort aid ships?

"The Turkish prime minister has threatened to send naval warships to escort future civilian aid ships heading to Gaza. So far, Turkey seems to be sabre-rattling. But the risk of a naval confrontation between Israel and Turkey in the future cannot be totally discounted."

How does this affect relations between the two countries?

"Turkey's downgrading of diplomatic relations with Israel signals a major escalation of Turkish-Israeli tensions with Israel. Thus far, Israel's response to the Turkish sanctions has been muted but may react if Turkey raises the stakes further."

Who has the most to lose?

"Turkey's suspension of military ties with Israel will not have an immediate impact since there are no major outstanding defence contracts or joint military exercises between both countries.

"A more immediate impact is the loss of intelligence-sharing between Israel and Turkey, but it is likely the U.S. will try to minimize the implications on intelligence cooperation.

"Israel does not wish to lose access to Turkey's $ 700 billion economy, one of the largest in the Middle East.

"Similarly, Turkey is not keen for the time being to diminish business opportunities and the web of private sector interests with Israel at a time of challenging economic conditions.

"For example, the northwestern province of Bursa has started manufacturing the Fluence Z.E., an electric car from Renault and Nissan, thanks to a deal signed with the Israeli company Better Place.

"However, the escalation of tensions may eventually undermine bilateral trade beyond the loss of Israeli tourism to Turkey and defence deals between both countries."

Is Erdogan playing to a home audience and if so why?

"Prime Minister Erdogan is keen to portray Turkey as a leader in the Middle East and the Muslim world. His self-confidence has grown immeasurably since winning a decisive victory in the general elections of June 2011. Part of his popularity stems from an assertive and confrontational attitude towards Israel."

What are the regional implications?

"Turkey's tensions with Israel come at time of uprisings in Egypt, Libya and Syria. In the short term, Prime Minister Erdogan's popularity among Arabs and Muslims may experience a temporary surge.

"Longer term, if the U.S. is successful in managing the fallout in Israeli-Turkish relations, then regional implications will be contained."

Has the 'Arab Spring' had a bearing on this relationship?

"The Turkey-Israel relations predated the so-called Arab Spring. They were on a downward spiral since the Israeli military intervention in Gaza."

What about Turkey's relationship with the European Union -- does this affect its desire to join the EU?

"Turkey's confrontation with Israel has no bearing on its already fractious and challenging relationship with the EU. German and French opposition to Turkish aspirations to join the EU has brought the process to a standstill. Turkey's chances of membership looked slim prior to the recent escalation of tensions with Israel."

@highlight

UN report found Israeli blockade of Gaza "legitimate" but was critical of  "excessive force"

@highlight

Fadi Hakura says bilateral relations suffered as a result of military action in Gaza

@highlight

He believes the Turkish prime minister's popularity partly stems from his stance on Israel

@highlight

Hakura says if the U.S. manages the situation, then regional implications can be contained