Four years ago an unknown startup called MakerBot showed up at the South by Southwest Interactive conference here with a prototype of its first desktop 3-D printer, which spit out plastic replicas of small objects.

Bre Pettis, the company's co-founder, took the machine around to Austin's watering holes, set it on the bar and showed off its capabilities by printing shot glasses. "They were pretty popular," he said.

On Friday, Pettis was back at SXSW, this time as a keynote speaker before a packed hall of 3,000 people, further evidence that 3-D printing is a hot trend in the tech world. Once again, he brought a new prototype with him.

This time MakerBot unveiled a desktop device that can scan small three-dimensional objects. Called a MakerBot Digitizer, it's meant to complement the company's Replicator printer by letting customers scan objects, then feed the resulting digital files to the Replicator to be printed.

The Digitizer uses two lasers and a webcam to scan objects up to about 8 inches in diameter (Pettis brought a small plastic garden gnome as an example.) The process takes less than three minutes.

Once the digital scan is completed, an object can be printed right away. It's easier and faster than using software to design a digital printing model from scratch.

"This is something you would envision being science fiction, but in fact, it is real -- and it is so cool," said Pettis, who described the Digitizer as a great tool for archiving or replicating prototypes, models, parts, artifacts, sculptures and other objects "If something gets broken, you can just scan it and print it again."

He said the scanner will hit the market this fall. Pettis did not say how much it would cost, although if the price is comparable to MakerBot's printers -- $2,000 to $3,000 -- it'll be within reach of most small-business owners.

The process of 3-D printing uses computer-created digital models to create real-world objects -- everything from simple toys or jewelry to more complex objects with moving parts. The printers follow the shape of the model by stacking layer upon layer of molten plastic to produce the items.

The emerging 3-D printing industry got a boost last month when President Obama highlighted it in his State of the Union address as something that could revive manufacturing and fuel new high-tech jobs in the United States.

The New York-based MakerBot has emerged as a pioneer in the burgeoning field by making home 3-D printing relatively affordable.  Pettis, who was splashed on the cover of Wired magazine last year, has become the industry's poster boy.

"I think we can safely say that if there is a 3-D printing revolution, he is the commander in chief," said SXSW Interactive Director Hugh Forrest in introducing Pettis, MakerBot's CEO, on Friday.

In his remarks, Pettis said he has been excited to see the many ways people have used 3-D printers to enhance their lives. He showed a slide of a boy in South Africa, born without fingers on his right hand, who received a low-cost prosthetic made by a 3-D printer.

"There's a renaissance going on (in 3-D printing) now. It's never been easier to make and share things," he said. "You can fill the world with garden gnomes if you want."

Somebody in the audience asked Pettis if 3-D printers will someday be able to print any object you could possibly need.

"Yes, eventually," he said. "There are some limitations (now)," he added, citing MakerBot's messy attempts to print food, such as chocolate.

MakerBot's announcement of its Digitizer scanner is an unusual occurrence at SXSW Interactive, which is typically known for launching apps and social media tools, not hardware. But the small but growing company -- Pettis said he's looking to hire 50 people -- is already becoming a role model for other startups.

"As an entrepreneur you have to believe that it's possible (to succeed)," he said in response to a question from an audience member. "One of the reasons MakerBot worked is that we didn't know how hard it was going to be."

@highlight

Startup MakerBot on Friday unveils a desktop device that can scan small 3-D objects

@highlight

The resulting digital file can then be used to print a 3-D replica of the object

@highlight

MakerBot CEO Bre Pettis: "There's a renaissance going on (in 3-D printing) now"

@highlight

Pettis was speaking Friday at the South by Southwest Interactive festival