(CNN) -- European Union foreign ministers on Monday imposed new sanctions on the Syrian regime, urging it to adopt a U.N.-backed peace plan that so far has failed to stop the mounting carnage.

At the same time, effects of the Syrian conflict are being felt in neighboring Lebanon, where clashes have killed at least seven people near Tripoli.

The EU ministers froze the assets of two firms and imposed a travel ban and asset freeze on three people believed to provide funding for the regime, the European Council announced.

It is the 15th time the European Union has imposed restrictions on Syria since a popular uprising began there early last year.

"The continuing violence is appalling," EU foreign policy chief Catherine Ashton said Monday, adding that the sanctions are aimed at the regime and not the civilian population.

"As long as the repression continues, we will continue to put pressure on those responsible for it," she said in Brussels.

Inside Syria on Monday, regime forces suffered heavy casualties during clashes in Rastan, a city that has been pummeled by government forces, opposition activists said.

The Syrian Observatory for Human Rights said it received "preliminary information that three armored personnel carriers were destroyed and that at least 23 soldiers were killed."

Elsewhere in Syria, at least four people were killed Monday, said the Local Coordination Committees of Syria, an opposition network. The dead included a child struck by random gunfire from the regime's army in Deir Ezzor, the LCC said.

The group also posted reports of the military aiming mortars and heavy artillery at the Homs village of Al-Burnhanieh.

The Syrian government on Monday reported four deaths, including a colonel and lieutenant colonel killed by "armed terrorist groups" in Damascus and Daraa, according to the state-run Syrian Arab News Agency.

CNN cannot independently verify reports of deaths and violence because the Syrian government has severely restricted access by international media.

The Syrian conflict is playing a role in clashes that broke out Sunday in neighboring Lebanon, where it has ignited historic divisions among residents of two Tripoli suburbs.

The fighting in Lebanon pits residents of Bab al-Tebbaneh, a Sunni stronghold hostile to the Syrian regime, against Alawite residents of Jabal Mohsen, who support Syrian President and fellow Alawite Bashar al-Assad.

At least seven people have been killed and 45 others hurt in the two days of fighting, Lebanon's National News Agency reported Monday.

Islamists in northern Lebanon, specifically Tripoli, have opposed the Syrian regime for decades. But as Syria strengthened its control over Lebanon in the 1990s, it also strengthened elements of the Alawite community, a Shiite offshoot, in the north.

The fighting in the Tripoli suburbs is part of the legacy of Syrian intervention in northern Lebanon, according to Nadim Shehadi, associate fellow of the Middle East and North Africa program at the London think tank Chatham House.

It was the arrest of Islamist activist Chadi Mawlawi that sparked the current fighting. One of his cousins says Mawlawi was supporting the Syrian rebels and trying to help Syrian refugees by providing shelter and food.

Though the Lebanese government accuses Mawlawi of being an operative in an al Qaeda-inspired group -- something his relatives deny -- it may have been Mawlawi's help to the refugees that got him in trouble.

Helping Syrian refugees puts the Lebanese government in a difficult position as it tries to stay out of the Syrian conflict, Shehadi told CNN.

"The Lebanese government's aim is to maintain neutrality and avoid spillover from Syria to Lebanon, but that's an impossible objective to attain because if you help the refugees, you're supporting the revolution, and if you don't help the revolution, you're supporting the regime. So in both cases, neutrality is impossible to maintain," Shehadi said.

A team of U.N. monitors is in Syria to see how well both sides are implementing a six-point peace plan brokered by former U.N. Secretary-General Kofi Annan.

Annan said last week that the observers are the last hope for success of the plan, which involves a cease-fire by all parties and the withdrawal of Syrian forces from populated areas.

Since the cease-fire went into effect on April 12, the fighting and killing have continued, with the LCC reporting more than 1,000 deaths in the intervening weeks.

The United Nations estimates that at least 9,000 people have died in the 14-month crisis, while opposition groups put the death toll at more than 11,000.

Despite the ongoing chaos, Syrian state-run media announced that results from recent parliamentary elections will be announced Tuesday. More than 7,000 candidates vied for 250 parliamentary seats.

But members of the opposition had urged Syrians to boycott the elections, saying a vote for any of the candidates amounted to a vote for al-Assad, whose family has ruled the country for 42 years.

CNN's Saad Abedine, Laura Perez Maestro and Holly Yan contributed to this report.

@highlight

Opposition: At least 23 regime soldiers were killed Monday in clashes at Rastan

@highlight

The Syrian government reports 4 deaths, including two army officers

@highlight

Rastan has been pummeled by government attacks, an opposition group says

@highlight

Report: Clashes continue between pro- and anti-Assad factions within Lebanon