Honolulu (CNN) -- The Internet loves a list.

Lists spark conversation. They start fights. People see a list and come away asking questions: Why isn't my song on The Atlantic's list of "10 best songs about the subway." Or why is my state on Gawker's ranking of the "worst 50 states in America." (Their winner/loser: Arizona. Ready, set: debate.)

Lists, in short, "are awesome," as Buzzfeed's CEO put it in a memo earlier this year. That site, which is the undisputed king of the Internet list, is known for using rankings, lists and GIFs to make people read about all kinds of wacky topics they never would have cared about, or even imagined, before. As I'm writing this, the site has lists for "11 DIY recipes for your favorite '90s snacks," "29 insanely elaborate custom coffins from Ghana" and "4 delightfully sexist political ads from the '50s" on its homepage.

I'm not ashamed to say I totally would read that stuff.

But I want to push the idea in a new direction.

I'm heading up a new CNN project called Change the List. It aims to appropriate everything that's great about lists -- shareability, intrigue, digestibility -- to the end of creating change in some of the places that need it most.

For each project, we will start with some sort of ranking that deals with a pressing social issue. CNN will send me, your lucky guide to all things list-y, to the place at the bottom of the list. I'll report on what's going wrong, why the issue matters, and what could be done to help. Then I'll enlist (pun intended, sorry ...) you, CNN's dutiful readers, in a social campaign created to help bump that place off the bottom of the list.

It's a collective experiment in make-a-difference journalism.

The goal is that, together, we can change the list.

The first Change the List project focuses on voter participation in the United States. You may have heard there's this little election coming up in November? Despite the fact that pundits have been yacking about the race for years, and candidates are spending unprecedented dollars on attack ads, millions of Americans will wake up on November 6 and go about the day as if they weren't blessed with the opportunity to help decide the future of the world's pre-eminent democracy.

They won't vote.

This is particularly true in Hawaii, where fewer than half the state's eligible voters cast a ballot in 2008. That's the case even though Barack Obama is Hawaii's (for-real, certifiable) native son. Hawaii, rather consistently, has the lowest voter turnout rate in the United States. Less than 49% of eligible people voted in the 2008 presidential election, according to data crunched by Michael McDonald from George Mason University. Compare that to the top state, Minnesota, where almost 78% voted.

I'm in Hawaii this week to look into why that's the case -- and to see what people there are trying to do to increase voter participation in paradise. The trip will include a meeting with Kanu Hawaii, a nonpartisan group that's going door to door to register first-time voters. Volunteers are uploading photos of these new civic participants -- the people who actually have the power to change the list -- to iReport. Photos submitted via Instagram and Twitter with the hashtag #changethelist also will pop up soon on this CNN page.

(If you've never voted, please make a pledge to do so here).

I'm also planning to visit the district with the lowest of the low voter turnout rates in Hawaii; a meeting with a homeless candidate who won the Republican primary for a U.S. House of Representatives race; and conversations with people in the state who don't vote because they say the United States is illegally occupying the islands.

When I get back, we'll try to create a conversation that could change the list -- that could bump Hawaii out of 50th place. Look for a stream of content on voter turnout between now and November, when I'll report back on our successes and failures.

The aim of Change the List, by the way, is not to shame the countries, cities or states that fall at the bottom of the lists. It's to seek understanding that could lead to solutions. No finger pointing here. Just action.

There's a fair chance the concept may leave you thinking something like this: "Hey, but won't another place fall to the bottom of the list when it's over?" Know that you're right. But I think of it this way: By trying to boost a place off the bottom of the list, we hope to raise standards for everyone.

You can follow this journey -- to Hawaii and beyond -- on the new Change the List Tumblr. Sign up for an e-mail newsletter to get updates on how you can help with this project.

For a primer on voting in Hawaii, also check out these links:

The list: Hawaii has the lowest voter turnout rate

Why doesn't Hawaii vote? Some hypotheses

On who votes and who doesn't ...

In the early 1960s, 94% of Hawaiians voted

To up voter turnout: Say 'thank you'

Map: Hawaii voter turnout by precinct

And if you have questions, please ask, either on social media or in the comments section on this post. I'll do my best to find answers.

Until then, mahalo!

@highlight

Change the List is a new CNN journalism experiment

@highlight

Current project: Bumping Hawaii off the bottom of the U.S. voter turnout list

@highlight

Stories will focus on creating change where it's needed most

@highlight

The project is led by John D. Sutter from CNN Digital