(CNN) -- Christina Pearson was half-bald at age 13. She just couldn't stop pulling her hair, and ended up taking out every lock from the tops of her ears to the crown of her head.

Trichotillomania is such a stigmatizing disorder that people will go to great length to hide it, experts say.

"It was absolutely terrifying because I was a very bright child, and doing great in school," she said. "The doctor had no idea what it was."

Pearson continued pulling her hair throughout her teens, 20s, and early 30s. It wasn't until she was 33 that she learned her condition had a name: trichotillomania. She became inspired to start an organization, called the Trichotillomania Learning Center, to help other sufferers of the disorder.

It turns out that this condition, characterized by the urge to pull hair from one's body, affects about 2 to 4 percent of the population, according to the Trichotillomania Learning Center.

A new study published this week in the Archives of General Psychiatry may hold promise for those who compulsively pull their hair. Researchers say participants who took an antioxidant called N-acetylcysteine, sold over the counter at vitamin stores, had significant improvement over patients who took placebos.

The dietary supplement used in the study is known for its benefits to the kidneys and liver, said lead author Dr. John Grant at the University of Minnesota Medical Center, who is on the advisory board of the Trichotillomania Learning Center. More recently it has been shown to affect glutamate, a chemical messenger in the brain that seems to be involved in compulsive repetitive behaviors, he said.

The sample size was small -- 50 people -- but the study has generated enthusiasm among trichotillomania researchers.

"This is one of the bigger advances we've had within this field in a long time," said Doug Woods, associate professor of psychology at the University of Wisconsin, Milwaukee.

Psychologists are still debating how to categorize trichotillomania, Woods said. Many believe it is related to obsessive compulsive disorder, but others liken it to addictions or impulse control disorders.

Researchers are unsure of exactly what goes on in the brain with this disorder. Some people with trichotillomania feel pleasure in pulling hair, while others describe it as "calming," and still others have no idea why they do it, Grant said. There may be differences in the brain pathways among people with the condition, he said.

For Pearson, pulling hair up made her feel as if her whole nervous system lit up, she said.

"Basically my fingers would search for a texture, a certain type of hair, when I found it, I would pull it out," she said. "I would feel like I had found gold."

The condition affects primarily women and usually begins in childhood or adolescence, Woods said.

The term, coined in 1889 by a Greek physician, comes from the Greek words for its features: "tricho" means "hair," "till" means "to pull," and "mania" means "frenzy."

Long before the disorder had a name, the idea of compulsive hair-pulling had been known for hundreds of years, Woods said.

The two main kinds of medications that have been used for trichotillomania are selective seratonin reuptake inhibitors -- SSRIs, used for depression -- and the OCD drug chlorimipramine, Woods said. The antidepressants may help patients' anxiety and depression but don't actually help the pulling, whereas chlorimipramine has been shown to dampen the pulling impulse somewhat.

But the treatment that has demonstrated the most effectiveness so far is behavior therapy, Woods said.

The dietary supplement probably will not replace the need for behavioral therapy, but future research may find that they two approaches work well together, Grant said.

Before trying N-acetylcysteine, people should consult their physicians, particularly to determine whether there are interactions that the supplement could have with other medications the patient already takes, Grant said.

Experts say there are still many people who compulsively pull their hair and don't know that they are not the only ones.

Trichotillomania is such a stigmatizing disorder that people will go to great lengths to hide it -- to explain bald spots to acquaintances, some patients will lie and say they had cancer, Woods said.

"I have talked to patients who have pulled for 25 years, and their husbands don't even know it, they hide it so well," he said.

People with the disorder don't just pull from their heads -- they also pull hair from their eyebrows, eyelashes, and pubic regions, Woods said.

Living with the disease, Pearson at times felt suicidal. She dropped out of high school because she was terrified of her friends finding out.

"There was a time in my early 20s when I really, seriously considered, could I cut my hands off and live my life?" she said. "My hands were my enemies, because they pulled my hair."

To manage her condition 18 years ago, Pearson tried relaxation techniques for the situations that led to her pulling. For example, she tended to pull her hair while driving, so she bought thin leather gloves and told herself that she could not remove them -- or pull her hair -- until she turned the car off.

Today, there are many more strategies available to help people identify the triggers for hair-pulling and figure out the best way to control the impulses in those situations, Pearson said.

The Trichotillomania Learning Center has assisted more than 100,000 people in some way since 1991, Pearson said. The organization holds conferences, retreats, professional training sessions, and other programs to help people manage the disorder. The center also helps health care professionals learn about treating people for the condition.

"To experience the entrapment of this type of compulsion, and then to experience the freedom of living without it is a gift I wish for everyone," Pearson said.

For more information on getting help for trichotillomania, visit the Trichotillomania Learning Center.

@highlight

People with trichotillomania uncontrollably pull their head and body hair out

@highlight

Study: Dietary supplement may help people with trichotillomania

@highlight

In the past it has been treated with antidepressants and OCD medication

@highlight

There are also behavioral strategies available