(CNN)Portuguese photographer Daniel Rodrigues had always dreamed of visiting the Amazon rainforest in Brazil, and he finally got his chance last year.

After two years of fundraising and wrestling with government bureaucracy, Rodrigues arrived at a place some might call a version of Eden: the Alto Turiacu reserve where the Awa-Guaja roam.

"I wanted to show the daily life in the world's most endangered tribe," he said.

The Awa-Guaja's way of life is being threatened by relentless loggers who are illegally encroaching on their land, according to Brazil's National Indian Foundation. Many Awa Indians have had little to no contact with the outside world, but that is beginning to change, the foundation reports, as loggers continue to destroy the forests their existence depends on.

Rodrigues set out to document the tribe's existence -- pure, pristine and, tragically, fleeting.

"I had traveled to Africa and other remote places where people at least knew what a camera was," Rodrigues said. "Here I was, in the 21st century, with other humans who (until recently) had never seen a camera, a computer ... never seen a shower and were shocked when they saw a helicopter. And yet they are extremely happy."

Calling themselves Awa, Tupi-Guarani for "man," the tribe is made of forest foragers and dexterous hunters. Challenges abound, said Rodrigues, who was forced to communicate with hand gestures for several weeks because the tribespeople did not speak Portuguese.

"I pointed this way to say the sun is setting and made hand signs to ask questions about hunting," Rodrigues recalled. "They were incredibly friendly, and I was very well-received."

Spending weeks without uttering words, Rodrigues immersed himself in the visual resplendence of the Awa-Guaja life in the forest. Twelve-hour hunting expeditions were common, cutting through thick jungle growth during the monsoon rains. Nature's orchestral sounds rang behind every moment, something his photographs seem to allude to.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Detouring from the use of formal portraiture often seen in ethnophotography, Rodrigues' black-and-white photos are filled with an honesty that could only come as a result of an amicable pact with his subjects. The Awa clearly trusted Rodrigues' camera, and in the resulting work we can clearly see how well-versed he became with the ins and outs of the Awa way of life. The cinematic quality of some of the shots in the hunting scenes is a testament to the photographer's endurance and appreciation of a highly spiritual form of sportsmanship.

"We walked and walked for hours, slashing through the forest overgrowth to look for the prey," Rodrigues said. "The Awa were barefoot the whole time."

Rodrigues nonchalantly talked about a dangerous situation while hunting for the indigenous red puma.

"The hunter had missed a shot, and the puma jumped right over towards me," he said. "In the meantime, I was having an allergic reaction to a spider bite. It wasn't easy."

There are several groups of the Awa-Guaja in this part of the forest. Some have been known to exist since the 1970s. Others have been contacted in the early 1980s. Many are believed to still be in hiding.

Earlier this month, Brazil's official news agency reported that three isolated Awa Indians had made contact with the other mainstream Awa-Guaja. The group's leader, Amakaria, reportedly said that loggers were marking trees and threatening to kill them.

The Brazilian government has launched a massive military operation into the states of Para and Maranhao, today the epicenter in the war between loggers and Indians. Latest satellite imagery shows that new logging tracks are constantly being carved.

Monitoring and preserving such a large expanse of tropical forest is a challenge. In the meantime, how can the so-called civilized world understand what is being lost?

Rodrigues tries to explain:

"Getting out of my comfort zone, my comfortable bed, to walk for hours through virgin forest, crossing rivers and rapids with water up to my neck ... hearing the triumphal songs of the hunters as they walked home a large prey to share with their brethren -- this experience can completely change a human being."

Daniel Rodrigues is a photographer based in Portugal. You can follow him on Facebook, Instagram and Tumblr.

@highlight

Photographer Daniel Rodrigues spent time with an endangered tribe in the Amazon

@highlight

The people didn't speak his language, and they communicated with hand gestures

@highlight

Illegal loggers are moving into their territory and threatening their way of life