Washington (CNN) -- Three days after Aaron Alexis walked into the Washington Navy Yard and randomly shot and killed 12 people, a congressional push for tougher gun laws still seems unlikely to materialize like it did following the the Newtown school massacre.

But as more details emerge of Alexis' troubled past, lawmakers appear to be reframing the debate over gun violence, this time with emphasis on better treatment for mental health.

The exasperated gun control debate takes a turn

After the December shooting at Sandy Hook Elementary school and a Colorado movie theater massacre the previous July that resulted in an insanity plea by the shooter, lawmakers and advocates on both sides of the gun debate called for improved mental health services.

But those calls were drowned out by the more emotional and better-funded debate over gun control.

Now, Sen. Kelly Ayotte, R-New Hampshire, wants to re-introduce a mental health measure that had overwhelming support across party lines earlier this year.

Co-authored by Sen. Mark Begich, D-Alaska, the legislation calls for more training and familiarity with services in schools and communities.

The measure was added as an amendment to the broader gun control package in the Senate earlier this year, and while the chamber approved Ayotte's amendment by a wide margin, 95-2, the overall package failed. The mental health legislation went nowhere.

Now she's trying to bring it back without attaching it to gun control bills.

"I actually think it can be taken up separately and easily passed," she said on CNN, pointing to the strong support the measure received in April. "Very little gets 90 votes around here."

Rep. Adam Schiff, D-California, also suggested a mental health bill can stand alone.

"I think we ought to move," Schiff said on MSNBC. "The gun issue has been so difficult. I think we ought to try to move forward with whatever pieces we can."

Sen. Richard Blumenthal, D-Connecticut, said he still favors legislation for enhanced background checks but believes the mental health initiative should be the "centerpiece" in any new effort to stop gun violence.

Dampening the hope of gun control advocates, Senate Majority Leader Harry Reid told reporters in the aftermath of this week's Navy Yard slaughter that the votes aren't there to bring back the failed gun control legislation.

Pressed on whether he'd consider a narrower version that strictly focuses on mental health, Reid simply said he "would hope it would have the votes."

"And I would be willing to do that," he continued. "Anything we can do to focus attention on these senseless killings that take place."

Mental health as common ground

The most avid control advocates are still poised to push ahead with their agenda.

Mayors Against Illegal Guns held a rally Thursday on Capitol Hill — an event scheduled before Monday's shooting — to keep pressure on lawmakers over expanded background checks.

But as the investigation of Alexis continues, the conversation is largely focused on red flags from his history that were seemingly overlooked.

Alexis had recently made contact with two Department of Veterans Affairs hospitals for apparent psychological issues and had exhibited signs of mental problems, CNN has learned.

His father said he suffered from post-traumatic stress after working in 9/11 rescue efforts.

Alexis, who was shot dead by police, was also arrested repeatedly for alarming offenses. He left the Navy after eight instances of misconduct, Navy officials said.

Gun rights activists have fervently maintained gun violence stems from the deranged minds of individuals, and new gun restrictions won't do anything to curb the killings.

The National Rifle Association has long been supportive of laws that keep guns out of the hands of those deemed mentally incompetent.

Following the Virginia Tech massacre, the NRA backed a 2007 law that encouraged states to submit records of dangerously mentally ill individuals to the National Instant Criminal Background Check System.

"The people that have been involved in these shootings have been people who have been severely mentally ill," David Keene, then-NRA president, said in January.

Data released last year by the FBI shows that of the nearly one million federal denials of gun purchase attempts between 1998 and 2012, about 5,481 stemmed from mental health issues.

Only about half of states still report records of those at risk. As of late 2011, 23 states and the District of Columbia had submitted records to NICS, with 17 of those states submitting fewer than 10 records, according to a report compiled by Mayors Against Illegal Guns.

States face an array of logistical, technological and privacy obstacles in reporting those records, according to reports from government agencies and the Congressional Research Office.

With that said, much work remains to be done for Congress if they decide to tackle mental health in the context of gun violence.

A popular policy that's gaining ground

Polls also indicate the public favors increased mental health treatment as a way to prevent gun violence. Asked how much better mental health services would help the problem, 46% said "a lot," while 35% said "some," and 9% said "not much," according to a CBS News poll from February 2013—at the height of this year's gun control debate.

Asked in the same survey how much stricter gun laws could help 21% said "a lot," 33% said "some," 19% said "not much" and 26% said "not at all."

When President Barack Obama announced a series of 23 executive actions in his gun control push this year, four of them focused on mental health components.

White House spokesman Jay Carney was asked after the Navy Yard shooting whether Obama would push for renewed conversation about mental health and gun control—or, the reporter asked, does the president accept "this is the normal?"

"Well, he doesn't accept that it's the new normal. He believes that Americans don't and can't accept that," Carney said. "We continue to call on Congress to listen to the voices of their constituents and legislate accordingly. And that includes mental health matters."

@highlight

Gun-control debate drowned out calls for better mental health services

@highlight

Senator might re-introduce mental health legislation that was killed in battle over background checks

@highlight

Senate leader says there's not enough votes to bring back background checks bill

@highlight

Polls show public favors increased mental health treatment to address gun violence