(CNN) -- A rash of recent oil spills around the globe -- Bangladesh, Israel, Peru and New Zealand -- serve as reminders of the damage such spills can cause and of the important role responders can play in limiting such damage.

Spill responders have several tools at their disposal, including chemical dispersants. However, the legacy of the 2010 Deepwater Horizon disaster in the Gulf of Mexico includes a public backlash against dispersants that stands to exacerbate environmental damage from future spills.

Starting with Deepwater Horizon, dispersants seem to have become an environmental villain du jour, even creeping in to the popular vernacular. To control an oil spill that ultimately exceeded 40,000 square miles, responders released 1.8 million gallons of dispersant over 59 days -- an act that society has judged a bad idea. Even now when we talk about our research on this spill the loaded question inevitably surfaces: "Just how bad was the dispersant?"

Many think the dispersants amplified damage and are continuing to harm marine life; some even believe that BP conspired with government responders to use them nefariously to conceal the most visible impacts of the spill. Based on our experience studying oil spills in the Gulf of Mexico and elsewhere, that's a biased and incomplete understanding that may unduly influence decision-makers responsible for responding to future spills.

Dispersants are not perfect, but they are certainly not new. Over six decades, they have evolved from highly toxic mixtures to safer formulations that have become a proven spill response tool. They work like dishwashing soap, by breaking apart oil into small droplets.

When sprayed on an oil slick, the resulting microsize droplets freely mix into water, effectively breaking apart the gooey coating and diluting the oil over a greater volume. Both effects can be beneficial: Dilution of the oil reduces its overall toxicity, while breaking up the slick prevents oil from reaching coastlines, where oil is assumed to cause the greatest impact.

But there are trade-offs. Dispersants contain hydrocarbons, emulsification agents and surfactants -- these could be harmful to marine life. Before the droplets get diluted to inconsequential levels, the dispersed oil can also be toxic. The chemical formulation of dispersants seems to elicit fear, but the reality is that most of these components are used for other common applications with minimal concern.

For example, the principal active agent applied during Deepwater Horizon was dioctyl sodium sulfosuccinate, or DOSS, which has other uses in over-the-counter medicines. Nevertheless, accidental spraying of dispersant on people can also cause harm if it is inhaled or swallowed though it can be washed from the skin with soap and water.

Dispersants are but one example of chemicals used when responding to environment crises. Flame retardants provide another example. Yet few blinked an eye when responders released 1.1 million gallons of flame retardant over several weeks to fight a 150-square-mile wildfire in California a few months ago.

In responding to Deepwater Horizon, decision-makers had years of experience with dispersants. They knew the risks and benefits of their application to the surface of the ocean. They also had invaluable resources in the form of two comprehensive reports in 1989 and 2005 on dispersants' efficacy and effects, commissioned by the prestigious National Academy of Sciences and prepared by leaders from academia, industry, government and even a retired commercial fisherman.

But neither report addressed the way dispersants were to be used in the Deepwater Horizon disaster.

For 87 days after the Deepwater Horizon exploded, oil gushed from a damaged well 5,000 feet under the sea surface, an unprecedented scenario. It demanded unprecedented mitigation approaches.

Weighing the potential risks and benefits, responders made the decision to inject dispersants at the ocean floor as a means to disperse the oil even before it reached the surface. Public concern over this decision grew as the amount released in this way ultimately reached 771,000 gallons (a little less than half of the total amount of dispersants released).

In choosing to use subsea dispersants, decision-makers first evaluated their efficacy with a one-day test. Before-and-after photos showed that slicks near the well site diminished when the dispersant was injected and returned, as predicted, when the injections were stopped.

As scientists, we hold to the repeatability of experimental results, but in this case the result produced immediate benefits in a crisis situation that trumped the value of conducting further experiments.

The smaller slicks reduced toxic chemical levels in the air enough to allow personnel on about 100 response boats to work more safely. As a result, efforts to contain the spill could proceed at a faster pace with fewer negative health effects. The fact that we as independent scientists were granted safe access to within 1,500 feet of the well is partially attributable to the use of dispersants at the seafloor.

What is lost on many people is that spill responders must decide quickly on whether to apply dispersants. Like those responding to forest fires, oil-spill responders are charged with reducing damages in the face of a crisis, and they don't have the luxury to conduct a real-time case study on dispersants' efficacy. Ultimately, usage is simply a question of net environmental benefit.

Unfortunately, gauging the success or failure of dispersants, especially how toxic they make seawater, isn't easy. You cannot give the Gulf of Mexico a CT scan. Moreover, we have only sparse data to inform our understanding of dispersants' efficacy and chemical behavior in the deep ocean.

In a recent study, our colleagues found traces of dispersant in oiled sand patties on beaches. But the proportion of dispersant in oil from the Gulf beaches was low compared with the proportion at which it was originally applied. That is, the dispersants were less likely to persist than the oil.

It can be counterintuitive -- and frightening -- to add chemical dispersants to fight oil spills. But dispersants are tools that help stop a bad thing from getting worse -- not so different from dropping flame retardant on forest fires. Experience underpins the decision to use them, and research, so far, supports their use.

Fear, ignorance and anger preclude an objective examination of dispersants. Let's have a rational discussion about the best course of action in a crisis -- before the next oil spill hits our shores and clouds our judgment.

Join us on Facebook.com/CNNOpinion.

@highlight

Authors: When oil spills happen, responders are faced with tough choices

@highlight

To fight BP oil spill in Gulf of Mexico, huge amounts of chemical dispersants were used

@highlight

Authors say adding more chemicals to seawater is scary trade-off but can be worth it

@highlight

Dispersants work like dishwater detergent to break apart droplets of oil, authors say