(CNN) -- One backward notion that has been used to differentiate the 1960s Civil Rights movement from today's struggle for LGBT equality in the United States is the idea that gay people are somehow "invisible" and can hide who they are.

This, in theory, makes them immune to discrimination.

"How do you know who to discriminate against ...?" Iowa Rep. Steve King asked in an interview that was rebroadcast this week by Comedy Central's Stephen Colbert.

I wish that, too, was satire, but King went on in the March 3 interview with a TV station in Des Moines to explain that characteristics that aren't "specifically protected in the Constitution" must be "immutable," meaning "a characteristic that can be independently verified and can't be willfully changed."

The insinuation there is that a person's gayness must be verified for that person to be protected from discrimination. (Keep in mind that a person's religious freedom is protected by the U.S. Constitution, and religious beliefs are not always permanent and identifiable visually). Or that, because LGBT people can't be readily branded as gay, they don't deserve special protections under the law.

Logical conclusion: Gay-labeling laws!

Colbert, bless him, went on to instruct his viewers to mail photos of themselves proving their gayness to King's office address, which is 2210 Rayburn Office Building, Washington, DC 20515. (Don't send anything pornographic, but I think that stunt is pretty hilarious).

All of this comes up in reference to the so-called "gay Jim Crow" bills that are popping in up in several states, most recently in Mississippi. These bills vary, but the undercurrent is that some religious groups want protection so that they could, in some instances, deny services to LGBT people based on their religious beliefs.

That's outrageous, obviously, as even Arizona's hyperconservative governor, Jan Brewer, realized when she vetoed one such bill in her state late last month.

Mississippi's bill already has been toned down some, but activists say the current version is still discriminatory.

I'm not that interested in the politics of these laws. What's more important are the sentiments -- fear and ignorance, it seems to me -- that drive this legislation.

These sentiments may seem isolated, but they're not.

The reality is that gay people, especially in sometimes-hostile states like Mississippi, which I visited last year to report on LGBT rights, spend a lot of their time trying to cover up who they are because they fear discrimination. And they fear discrimination not because they're litigious but because they see discrimination all around them, all the time, even in 2014 America.

It shows up in comments like those from King, in comments from friends and family, and, most crucially, in America's broken legal protections for LGBT people.

How could a person expect to live free of discrimination in a country where a majority of states don't protect gay people from being fired or evicted because of who they are? Those issues aren't the subject of soundbites this week, but they're equally important.

America is quick, and right, to judge the actions of countries such as Uganda and Russia, with deplorable records of persecuting LGBT people. Uganda last month passed a law intensifying criminal penalties for homosexual acts. But our judgment, as long as we continue to support discriminatory policies back home, stinks of hypocrisy.

That King would argue in 2014 that being gay is a "self-professed behavior," and therefore one not worthy of explicit protection, is deeply troubling, but I'm comforted to know antiquated views such as that are moving toward the fringe of the discourse.

That's true even in Mississippi, where one of these "religious freedom" bills is currently being debated and where activists have been staging demonstrations.

Gay people -- verified or not -- have increasingly stepped out into the public spotlight in Mississippi to tell their stories. That's what I found when I visited the state last year.

I met a prison guard who sued his employer after he was fired, he said, because he's gay. He won. I met lesbian couples in Hattiesburg who marched into a courthouse and demanded marriage licenses even though they would be denied under the law. And I met brave openly gay people who live proudly in the most remote of places.

By sharing their stories, I'm optimistic they'll eventually get through to people like King who, for now at least, seems to need some proof of their existence.

The views expressed in this commentary are solely those of John D. Sutter.

@highlight

Mississippi is the latest state to consider a "gay Jim Crow" law

@highlight

Sutter: Ignorance and fear promote that sort of legislation

@highlight

He says proponents would rather think of gay people as invisible