(CNN) -- While the country's been debating Woody Allen and Dylan Farrow, I've been thinking about Alaska, where a staggering 59% of women are subjected to sexual or intimate partner violence, including threats of violence, in their lives.

Farrow expanded recently on the allegation that Allen, maker of the films "Manhattan" and "Annie Hall," sexually assaulted her as a young girl. She stared at a toy train set while it happened, she wrote in a blog post for the New York Times. Toy trains still haunt her.

Allen denies the allegations.

The truth in that long-debated case may never be known, and I don't want to parse the details, since plenty of others have. But this much I can say for certain: If a survivor comes to you with a story of sexual abuse, you should start from a place of belief and compassion. Not doing so can ruin a person's life.

Related: The rapist next door

And it can perpetuate a cycle of violence I saw all too clearly on a two-week trip to Alaska, in December, as part of CNN's Change the List project. Readers of this column voted for me to cover rape in the U.S. state where that crime is most frequent. Progress has been made to reduce rape rates nationwide, but Alaska still has the highest reported rape rate in the country, according to 2012 FBI crime estimates. The rate is three times the national average.

(You can read more about the trip at CNN.com/Change.)

In one Alaska town, I spent several days with a rapist who was sexually abused as a child. When he came forward to tell his parents about it his dad punished him, pulled his ears, and told him never to speak of it again.

Related map: Reported rape by state

He didn't. Not until he served jail time for abusing his stepdaughter.

"I've got to be a man," he thought. "And carry this with me alone."

Another offender told me he hid his own abuse for six decades.

For rape and sexual violence to end, victims have to break their painful silence and, perhaps more importantly for everyone reading this, the rest of us have to be ready to listen. Too often, friends and law enforcement officers are inclined to blame the victim or question them with unfair harshness. As women's rights advocates have told me, rape and sex abuse victims are extremely traumatized by these crimes. That may affect the way they remember events -- the timeline may appear in clouded fragments -- and they way they react to questions that would be innocuous in other situations.

Related: The lawless 'end of the land'

The safe way to have these conversations isn't immediately obvious.

You should never ask a rape victim, for example, what she was wearing when the assault occurred. Was he or she drinking? That question, too, can be damaging in the aftermath of an assault. It implies the victim's actions may have instigated the rape. No matter the intention, it implies someone other than the rapist is to blame.

The most important thing, according to groups like the Rape Abuse & Incest National Network, is to "listen," "be there," and "don't be judgmental."

Exercising this sensitivity can help ensure more rapes are prosecuted, too. Currently, according to RAINN's founder and president, Scott Berkowitz, only 40% of rapes in the United States are reported to authorities, and only 3% result in jail time.

All of us can encourage survivors to come forward safely.

Many of you took the brave step of sharing your stories as part of a project we're calling "We are the 59%." In solidarity with that percentage of Alaska women who suffer from intimate partner or sexual violence, CNN iReport asked readers to share their stories of survival -- in hopes that would be healing and might encourage others to speak out.

The results were raw and powerful:

"I laid there pretending to be asleep, too terrified to do anything."

"It was a well-kept family secret."

"I hoped that by cooperating it would be over quickly."

I spent an afternoon reading many of the responses (You can see a selection of them here). One of the most common and jarring themes: Survivors often aren't believed.

They have to turn to each other for support.

"When the night seems endless and hope so hard to hold: Please, don't give up. You are not alone," wrote Robin, a 50-year-old in New Mexico.

If someone tells you about their experience with sexual violence or abuse, please take time to listen -- and to remind them they absolutely are not alone.

The opinions expressed in this commentary are solely those of John D. Sutter.

@highlight

John Sutter asks readers to share stories of surviving rape and sexual violence

@highlight

CNN iReport collected the stories in a project called "We are the 59%"

@highlight

59% of women in Alaska experience sexual and intimate partner violence

@highlight

Alaska has the highest reported rape rate, and is the focus of Sutter's latest Change the List project