(CNN) -- BlackBerry's loss of market share in the U.S. is the stuff of legends. Last fall, it was estimated only about 2% of American phone users were still carrying their BlackBerry mobile with its iconic keypad.

But consider this: sub-Saharan Africa is expected to add 175 million new mobile users in just the coming 3 years. That's according to the GSMA, which represents the world's mobile operators.

"Mobile has already revolutionized African society and yet demand still continues to grow by almost 50 percent a year," said Tom Phillips, Chief Government and Regulatory Affairs Officer, GSMA.

That could be good news indeed for BlackBerry. Research in Motion, the maker of BlackBerry, estimates it holds a 70% market share in countries like South Africa.

The company's new phones, announced this week, are not the ones some of its best customers in emerging markets would like to buy. They're too expensive. But Research in Motion -- which also this week changed its company name to BlackBerry -- is pledging some of its six new models will address that.

While millions in China, Europe and the U.S. have adopted Android or iOS smartphones with a vengeance, millions more users in emerging markets are enthused about what's in store for the new BlackBerry 10. It's the update for what many of them are already using.

They live in countries like Brazil, Malaysia, Nigeria, Kenya and South Africa. They have embraced the BlackBerry for a combination of factors that all point to the different way mobile devices are used.

Unlike their counterparts in Europe and America, the mobile in their pocket is more likely to be their primary link to the internet.

BlackBerry Messenger is the connection that allows these users unlimited conversations without paying charges for SMS data. While young, brand-conscious Chinese may be willing to part with several months' salary to buy the latest iPhone, African users are looking for more practical (and cheaper) connections.

What separates developed countries from their developing counterparts at street level can be summed up in a single word: infrastructure.

Isobel Coleman, senior fellow and Director of the Civil Society, Markets and Democracy Initiative at the Council on Foreign Relations, says mobile technology has proved it can bridge the gap where infrastructure is lacking.

"It's a culture, it's an economy, it's innovation, education, healthcare, it's all of these things," says Coleman.

You can take that to the bank. For many Africans, their cell phone account is the first bank account they've ever owned.

In emerging markets, mobile phone banking is growing because of the lack of infrastructure. Fewer bank branches often mean long distances to travel and long lines once you've arrived.

Africans are expected to transfer more than $200 billion per year or 18% of the continent's GDP by 2015.

Oh, and that keyboard. No matter where you are in the world, there will always be a demand for a keyboard that clicks. The company appears to understand that as BlackBerry 10 models come with both soft keypads and the traditional BlackBerry buttons.

I asked some of my Twitter followers to weigh in on the BlackBerry 10 roll out. While some said Android or Apple's iOS were in their future plans, many others expressed continued enthusiasm for the BlackBerry.

Soji, a pianist and teacher in Nigeria tweeted back "I'm falling in love with this BB. Cheaper to own."

From Kuala Lumpur, Amir wrote "I need a physical keyboard to type while also having a touch-screen for photos etc. Security factor also important."

Hans-Eric from South Africa reinforced the sentiments of many mobile users in emerging markets: "The cost of data is simply too high without it (BlackBerry.)"

The voices from emerging markets couldn't have been clearer. What they expect from BlackBerry 10 is a stronger, longer lasting battery, durability and continued low cost connectivity.

CFR's Coleman agrees that BlackBerry (and anyone else) trying to win and hold this mobile device sector has to understand how these devices are being used and give the customers what they want.

"Cheap. Rugged. Not too many bells and whistles. Practical."

There is little doubt smartphones are changing the way people use the internet, how they bank, shop and interact socially.

But it's worth keeping in perspective that in a world where there are now an estimated 1 billion smartphones, there are 5 billion feature phone users. That's a lot of upside growth potential for BlackBerry and all the other players out there.

@highlight

BlackBerry sales have slumped in the U.S. but is still strong in emerging markets

@highlight

New models launched should remember why they are popular in developing world

@highlight

In places like Brazil and South Africa, the 10 is the update to their current phone

@highlight

in Sub-Saharan Africa there is expected to be 175 million new customers in the next 3 years