Wanda Butts dropped the phone and screamed when she heard the news that her son was dead.

Josh had drowned while rafting on a lake with friends. The 16-year-old didn't know how to swim, and he wasn't wearing a life jacket.

"I couldn't believe it, I didn't want to believe it: that just like that, my son had drowned and he was gone," she said, recalling the 2006 tragedy.

Butts had worried about her son's safety when it came to street violence or driving, and she said she had always warned him of those dangers. But water accidents never crossed her mind.

"It did not occur to me that my son would drown because he didn't know water safety," she said. "Josh was never taught the basic life skill of learning how to swim."

Josh was not alone in the black community. According to USA Swimming, 70% of African-American children cannot swim, compared with nearly 60% for Hispanic children and 42% for white children. According to the Centers for Disease Control and Prevention, African-American children between the ages of 5 and 14 are three times more likely to drown than white children in the same age range.

As Butts tried to make sense of her son's tragedy, she realized she had passed her own inexperience to her son. Her father had witnessed a drowning when he was young and instilled in her a fear of water.

"So as a child, I never went around water," said Butts, 58. "I never went swimming. I didn't know anything about water or life jackets and water safety."

Because of this fear, Butts raised Josh without any exposure to water. But today, she is determined to prevent other mothers from doing the same. In 2007, she started the Josh Project, a nonprofit that provides low-cost swimming lessons for children in Toledo, Ohio.

"After losing my son, I wanted to do something to help other people, to help another mother not have to suffer the way I do every day from the loss of a child drowning," she said.

To date, the Josh Project has helped more than 1,000 children learn how to swim.

"All children are at risk of drowning, but the majority of the children that the Josh Project serves are minority children, who we have found are more at risk," Butts said.

Several cultural and historical factors can help explain why that is. One is the segregation of swimming pools during the 20th century, according to Jeff Wiltse, author of "Contested Waters: A Social History of Swimming Pools in America." Relatively few swimming pools were built to serve the black community back then, so much of a generation was denied the opportunity to swim, Wiltse told the BBC.

Also, if parents can't swim, their children are far less likely to learn how, according to a recent study conducted by the University of Memphis. The study, sponsored by USA Swimming, found that a fear of drowning and a fear of injury prevent many African-American parents from putting their children in swimming lessons. It also found that many avoid swimming for cosmetic reasons, such as the effect chlorinated water has on their hair.

Do you know a hero? Nominations are open for 2013 CNN Heroes

For some families today, it's still tough to find an accessible pool.

"The public pools near our home have been closed in the past, and other places were not affordable," said Lisa Haynes, whose 14-year-old son, Joshua, is one of 60-plus students in the Josh Project this season.

The swimming lessons take place at a local high school over four Saturdays for a total cost of $10.

"I am less worried if (Joshua) is near water because he has the basics of how to swim," Haynes said. "And we're thankful for that."

Butts is doing much more, however, than just providing swimming lessons.

"She ups the awareness, and that is half the battle," said Shaun Anderson, a swimming coach who was so inspired by her story that he created a Josh Project swimming program at Norfolk State University in Virginia. "Once these communities learn how to swim, they will pass it down, which results in future generations that know how to swim."

Butts said she has two goals for the future: One is to change the drowning statistics of minority children, and the other is to have an aquatic center where the children can swim daily instead of just once a week.

"The joy on the faces of those children -- when they see that they can learn, once they get it -- they are so happy with themselves," she said. "And it's like all of them are my children. It's like I didn't lose my son."

Want to get involved? Check out the Josh Project website at www.joshproject.org and see how to help.

@highlight

The Josh Project has helped more than 1,000 children in Ohio learn to swim

@highlight

Most of them are minorities, according to Wanda Butts, whose son drowned in 2006

@highlight

Statistics show that minority children are less likely than white children to know how to swim

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes