Kabul, Afghanistan (CNN) -- Afghan electoral officials Monday declared incumbent President Hamid Karzai the winner of another term in office, after canceling this weekend's second round of voting.

U.S. President Barack Obama called Monday for a "new chapter" of improved governance in Afghanistan now that Karzai's re-election as president is complete.

Observers say Karzai's real test will be whether he can form a government that is seen as legitimate in the eyes of the Afghan people and the international community.

Afghanistan's Independent Electoral Commission announced Karzai's victory Monday after it canceled Saturday's presidential runoff because of the withdrawal of candidate Abdullah Abdullah.

A runoff could have been held with just one candidate, but commission president Azizullah Lodin said electoral officials decided to cancel the second round of voting for several reasons, including security and money. The decision was made just a couple of hours before the announcement, according to commission deputy Zakria Barakzai.

Afghans went to the polls on August 20, in a vote marred by widespread fraud. Karzai had initially claimed victory, but two months after the vote, a U.N.-backed panel of election monitors threw out nearly a third of his votes, citing fraud. That left Karzai short of a majority, and he eventually agreed to the runoff.

Abdullah had called for the resignations of top election officials and politicians to avert electoral fraud in the runoff. He argued that the commissioners, who are hired by Karzai, cannot be impartial.

But that request was not met, Abdullah said Sunday, and he did not believe a transparent election was possible.

"I want this to be an example for the future so that no one again tries to use fraud to abuse the rights of the Afghan people," Abdullah told reporters.

U.N. Secretary-General Ban Ki-moon arrived in Kabul on Monday hours before the commission's announcement. He issued a statement welcoming the decision, congratulating Karzai, and restating the U.N.'s commitment to supporting the new government.

"This has been a difficult election process for Afghanistan and lessons must be learned," Ban said in the statement. "Afghanistan now faces significant challenges and the new president must move swiftly to form a government that is able to command the support of both the Afghan people and the international community."

On Monday, Ban met with both Karzai and Abdullah, as well as U.N. officials, including Kai Eide, head of the U.N. Assistance Mission in Afghanistan.

The U.S. Embassy in Kabul also issued a statement Monday welcoming the commission's decision and congratulating Karzai.

In Washington, President Barack Obama told reporters in the White House that he had congratulated Karzai in a telephone conversation.

"Although the process was messy, I'm pleased to say that the final outcome was determined in accordance with Afghan law," Obama said.

He said he told Karzai "that this has to be a point in time in which we begin to write a new chapter based on improved governance, a much more serious effort to eradicate corruption, joint efforts to accelerate the training of Afghan security forces so that the Afghan people can provide for their own security."

Obama added that Karzai assured him he understands the importance of the moment, "but as I indicated to him, the proof is not going to be in words, it's going to be in deeds."

Despite the resolved election issue, Gibbs refused to put a firm timetable on when Obama would announce whether he would increase troop levels Afghanistan. Instead, Gibbs repeated past language that the decision would be made within weeks.

"Now begin the hard conversations about ensuring credibility and ensuring improving governance, addressing corruption" in Afghanistan, Gibbs said.

Sen. John McCain, the Arizona Republican defeated by Obama in last year's presidential race, said Monday that Karzai's re-election should encourage Obama to fulfill Gen. Stanley McChrystal's request for up to 40,000 more troops.

"The most urgent priority now is to support our Afghan partners in reversing what General McChrystal has rightly called the 'deteriorating' security situation," McCain said in a statement. "This requires a properly-resourced counterinsurgency strategy, and I urge President Obama to provide our civilian and military leaders with the resources they need to succeed."

The cancellation of the runoff "puts the election issue behind us," but Karzai has yet to achieve a true victory, according to the former U.S. ambassador to Afghanistan, Zalmay Khalilzad.

"Now the key issue is how the Afghan people will react to this, what kind of government will President Karzai put together, and how the international community will react," Khalilzad said on CNN's "American Morning." "We're in a new stage now in Afghanistan."

Khalilzad had predicted last week that Abdullah would quit the race, in an interview for CNN's "Amanpour."

"First, he doesn't have much money left," he said in the interview, which aired Sunday. "Second, I think that he thinks that given the situation, he's likely to lose, and maybe he'll get less votes than he did in the first round, so that would be embarrassing."

Speaking to CNN following his withdrawal, Abdullah said his decision does not mean he has given up public life.

"I will be available to serve this country," he said. "At this stage, I am in consultation with my followers, with my supporters and a movement for change will be there and I will lead that movement. There is no doubt about it."

Karzai served as acting president following the U.S. ouster of Taliban rulers in 2001, then secured a victory in the 2004 elections. He begins his second term in office amid a resurgence of the Taliban.

The militants claimed responsibility for a Wednesday attack that killed five United Nations workers -- two of whom were helping with the vote. Nine others were wounded in the attack, on a guest house in Kabul. In response, the United Nations ordered nonessential personnel out of the country.

International troop levels increased this year to provide security for the Afghan election in August.

Attacks against U.S. and NATO forces have also spiked: 59 American troops died in Afghanistan in October, the highest U.S. monthly toll since the war began eight years ago.

CNN's Jonathan Wald in Kabul, Afghanistan contributed to this report.

@highlight

NEW: President Obama called for "new chapter" of improved governance in Afghanistan

@highlight

Karzai made president following withdrawal of opposition leader Abdullah Abdullah

@highlight

Abdullah withdrew Sunday, saying he believed the second round would be as fraudulent

@highlight

Hamid Karzai has been president of Afghanistan since December 2004