(CNN) -- I am a woman with chronic schizophrenia. I have spent hundreds of days in psychiatric hospitals. I could have ended up living most of my life on a back ward, but things turned out quite differently.

In fact, I've managed to stay free of hospitals for almost 30 years. This is perhaps my proudest accomplishment. That doesn't mean that I have been free of all psychiatric struggles. For example, on my analyst's announcing his planned retirement, I fell apart. My best friend, Steve Behnke, sensed that something was terribly wrong, and he came to New Haven, Connecticut, to see me.

Quoting from some writings of mine:

"I opened the door of my studio apartment. Steve would later tell me that for all the times he had seen me psychotic, what he saw that afternoon shocked him. For a week or more I had barely eaten. I was gaunt, and moved as though my legs were wooden. My face looked (and felt) like a mask. I'd pulled down all the shades, so the apartment was in near total darkness, the air fetid, the place a shambles. Steve, a lawyer and psychologist, has worked with many patients who suffer from severe mental illness. To this day he'll tell me that on that afternoon I looked as bad as any he'd ever seen.

"'Hi,' I said, then returned to the couch, where I was silent for several minutes. 'Thank you for coming, Steve,' I finally said. 'Crumbling world. Word. Voice. Tell the clocks to stop. Time is time has come.'

... 'I'm being pushed into a grave, the situation is grave,' I moaned. 'Gravity is pulling me down. Tell them to get away. I'm scared. I'm scared.'"

Watch Elyn Saks' TED Talk

***

As a young woman, I was in psychiatric hospitals for three lengthy stays. Despite my diagnosis with schizophrenia and my "grave prognosis" -- that I would live in a board and care facility and work at a menial job at best -- I am a chaired professor of law at the University of Southern California in Los Angeles, with a beloved husband, Will, and many good friends. I'd like to tell you how that happened and describe my experience of being psychotic. I qualify that by saying my experience, because everyone becomes psychotic in his or her own way.

One Friday night on the roof of the Yale Law School library I scared my classmates with a full-blown psychotic episode.

Quoting from my writings:

"The next morning, I went to my professor's office to ask for an extension, and began gibbering unintelligibly as I had the night before. He eventually brought me to the Emergency Room.

"Someone I'll call just 'The Doctor,' and his whole team of goons swooped down, grabbed me, lifted me out of the chair and slammed me down on a nearby bed with such force that I saw stars. Then they bound both my legs and arms to the metal bed, with thick leather straps.

"A sound came out of my mouth that I'd never heard before. Half-groan, half-scream, barely human, and pure terror. Then the sound came again, forced from somewhere deep inside my belly and scraping my throat raw."

TED.com: Sherwin Nuland on how electroshock therapy changed him

This incident resulted in my involuntary hospitalization. One reason the doctors gave for holding me against my will was that I was gravely disabled. Supporting this view, they wrote in my chart that I was not able to do my Yale Law School homework. I wonder what that meant for most of the rest of New Haven.

During the next year, I would spend five months in psychiatric hospitals on the East Coast. At times, I spent up to 20 hours a day in restraints -- hands tied, hands and feet tied down, hands and feet tied down with a net tied tightly across my chest. I never struck anyone, I never harmed anyone, I never made any direct threats to anyone.

I was lucky I wasn't one of the one to three people who die in restraints each week.

Today, I am pro-psychiatry and anti-force. I don't think force is effective as a treatment. And I think using force is a terrible thing to do to another human being with a terrible illness.

***

Everything about my illness says that I shouldn't be here. But I am. And I am, I think, for three reasons. First, I've had excellent treatment, both psychoanalytic psychotherapy and medication. Second, I have many family members and close friends who know me and who know my illness. Third, USC Law School is an enormously supportive workplace which has been able not just to accommodate my needs, but to embrace my needs.

Even with all of that -- excellent treatment, wonderful friends and family, enormously supportive work environment -- I did not make my illness public until relatively late in my life. And that's because the stigma against mental illness is so powerful that I didn't feel safe with people knowing. If you hear nothing else today, please hear that there are not schizophrenics, there are people with schizophrenia. And each of these people may be a parent, may be your sibling, may be your neighbor, may be your colleague.

TED.com: Jill Bolte Taylor's stroke of insight

***

I often get asked the "magic pill" question: Would I take a pill that would instantly cure me? The answer is a fast and emphatic "yes."

That said, I don't wish to be seen as regretting the life I could have had if I'd not been ill. Nor am I asking anyone for their pity. What I rather wish to say is that the humanity we all share is more important than the mental illness we may not.

What those of us who suffer with mental illness want is what everyone wants: in the words of Sigmund Freud, to work and to love.

The opinions expressed in this commentary are solely those of Elyn Saks.

@highlight

Elyn Saks' career as a law student was halted by schizophrenia

@highlight

She was institutionalized and doctors said she would at best hold a menial job

@highlight

Saks became a law professor, "genius grant" winner and author

@highlight

She says she continues to cope with illness and urges people to overcome stigma