London (CNN) -- The best time to be taking over as chief executive of a bank is when all the bad news is out in public.

The announcement of Antony Jenkins' appointment as the new chief executive of Britain's Barclays came just hours after the news that the Serious Fraud Office (SFO) had launched a second criminal investigation into the bank's activities. Barclays has denied wrongdoing.

This latest one concerns fees paid to Qatar Investment Authority (QIA) during the bank's 2008 capital raising exercise. Last month the SFO said it was probing the manipulation of Libor and other benchmark lending rates, the scandal that earlier this year cost Barclays both its former chief executive Bob Diamond and chairman Marcus Agius.

On that basis, the ideal time for Jenkins to take over would have been in six months to a year from now when the investigations are completed -- and always assuming that nothing else comes out of the woodwork at crisis-prone Barclays along the way. The worst time would have been three months ago before the Libor scandal broke.

Either way analysts and market watchers have been broadly positive about Jenkins' appointment, which was widely predicted in the financial press.

Are some banks too big to prosecute?

What Barclays needs more than anything is a period of stable management to allow it to make some critical changes. These include repairing the damage to the bank's reputation from the various scandals which have engulfed it. Barclays also needs to change the "anything goes" trading culture at the investment bank, and come up with an overall strategy that can provide growth against the backdrop of a poor economic environment and a raft of new regulations.

It's not exactly an easy gig.

But in many ways, the selection of Jenkins is quite a clever choice. He is from the consumer side of the business and has a track record of producing results. A report from Deutsche Bank comments that the two divisions he has run -- Barclaycard and retail and business banking -- are the only two currently meeting the bank's 13% return on equity targets.

Jenkins has sat on the bank's group executive committee since 2009 but has managed to stay out of the negative headlines relating to the banking crisis. He started his career at Barclays back in 1983 as a graduate trainee but also worked for a considerable time at Citigroup, giving him breadth of experience.

Levene: Culture of money must change

Most important of all he is not Bob Diamond. The brash style of the American investment banker -- who became the chief executive in 2011, after having spent more than a decade building up the markets business -- was known to have irritated UK regulators and played badly in a political environment where excessive risk taking by banks is blamed for causing the current crisis.

To those who suggest that Jenkins doesn't know the investment banking business sufficiently to manage it effectively, the riposte must be that not being part of the deal making culture is one of his strengths.

Barclays badly needs someone who has enough perspective on investment banking to ask tough questions about which parts of the business make sufficient returns to justify the risks being taken, and that genuinely provide customers with a service. Those activities that don't measure up should be junked.

Age of irresponsibility?

Besides, if Jenkins feels he lacks any knowledge of investment banking, he can simply walk down the corridor and speak to the new chairman of Barclays Sir David Walker who is a veteran of Morgan Stanley as well as the Bank of England and the UK treasury.

It may be too early to talk of the Walker/Jenkins combo as the dream team but frankly it's the best that could be hoped for given the disarray at Barclays and the likelihood of their names being dragged into the mainstream press on almost any trumped up charge.

With the new team in place the critical question is what will they deliver?

The speculation that they might split investment and retail banking is probably ill-informed. New UK regulations, arising out of the commission led by Sir John Vickers, already stipulate that retail must be ring fenced so that depositors' funds are protected from any losses arising in the investment bank.

Furthermore, if the bank is to make a decent living from providing genuine services to corporate customers -- as opposed to trading on its own account -- then the universal banking model of offering a broad range of services under one roof is the only sensible route to take.

One key part of Jenkins' strategy is bound to be expanding those same services in the emerging markets, especially in fast expanding Africa where Barclays has a strong presence. One of its strengths is its ownership of Absa, the third largest bank in South Africa.

Finally, Jenkins has to make sure that UK retail, the part of the bank he knows best, continues to improve, take market share and most importantly of all assist in the recovery of the bank's reputation.

He would be helped in this task by a speedy result on the two SFO investigations -- into Libor manipulation and fees paid to the QIA -- and a minimum of fallout. But that's probably too much to ask for and Jenkins may have to accept that he spends the first six months to a year in his new job fighting fires.

@highlight

Caplen: Ideal time for new Barclays' chief executive to take over would be six months to a year from now

@highlight

But analysts and market watchers have been broadly positive about Antony Jenkins' appointment

@highlight

The selection of Jenkins is quite a clever choice -- he is from the consumer side of the bank and produces results

@highlight

But Jenkins may have to accept that he spends the first six months to a year in his new job fighting fires