(CNN) -- Perhaps nothing illustrates the ambitions of the well-established Gulf carriers -- Emirates, Etihad and Qatar -- and Turkish Airlines so much as the swift expansion of their route networks.

Turkish Airlines currently flies to about 253 destinations, and plans to add another 60 to its network in the next five years. Emirates, meanwhile, is rumored to have placed a record-breaking order for Boeing's 777X aircraft.

"These carriers have a good modern fleet and can fly long distances, and because of their geographical position, they can connect anywhere from their hub to almost anywhere else in the world, either non-stop, or one-stop," says John Strickland, an independent transport consultant.

When it comes to choosing what routes to launch, it happens that the region's major carriers have a carefully calculated strategy that can speak volumes about emerging markets.

Slideshow: How drones will change your life

Breaking up America?

Traditionally, the United States has been overlooked in favor of the European market by the Gulf carriers and Turkish. All that's changing as Etihad, Emirates, Qatar and Turkish Airlines all either introduced direct routes to the States last year, or else have some in the works for 2014.

"They're really starting to shake up the U.S. market for the first time," says Brendan Sobie, a spokesperson for the Center for Aviation.

Last year, Dubai launched a direct flight from New York City to Milan -- the first time in the airline's history a flight bypassed the Dubai hub (last year, Delta and Alitalia unsuccessfully sued the Italian government to block the Emirates route).

In the next 15 years, the airline plans to double the number of U.S. destinations it flies into. Etihad will fly to four U.S. cities by the end of 2014, while Qatar Airways will be up to six.

The expansion has not gone unnoticed by the American aviation industry. The U.S. trade group Airlines for America and the U.S. pilot union, Air Line Pilots Association International, have been the most ardent opponents of the Gulf carriers encroachment into the U.S. market, often joining Delta and United in lobbying Congress for protectionist policies.

"It is interesting to see how the U.S. carriers and politicians are starting to respond," says Sobie.

Read more: Why the Dubai Airshow is a gamechanger

Tapping Africa

In just a couple of years, Turkish Airlines has become the largest international carrier in Africa, flying into 39 destinations. At first glance, some of the African cities in their network might seem random -- why fly to Somalia?

Their business plan underlines investment strategies for Turkey as a whole. According to the Center for Aviation many of the countries they serve, or are planning to serve, have a rapidly growing economy. In 2012, Rwanda's GDP grew by 8%, and Nigeria's by 6.6%. The continent also houses a wealth of natural resources.

"The most important geographic part of the world over the next 100 years will be Africa. In this respect, any destination (we fly to) in Africa will create more effective results than, say, a destination in Europe," says Ali Genc, Turkish Airlines' senior vice president of media relations.

Quiz time: Test your aviation knowledge

Building BRICs

Turkish Airlines and the Gulf carriers have been increasingly developing their network across Brazil, Russia, India and China (BRICs) -- the nations widely viewed as the most promising developing markets in the 21st century. The importance of developing these routes is not simply to connect these emerging markets with the Middle East, but with each other.

"Carriers like Emirates, Etihad and Qatar can access emerging markets in Africa, Asia and Latin America and connect them in a way that is meaningful to travelers, and that European carriers can't hope to copy," says Strickland.

Budget carriers like Air Arabia and flydubai have become particularly attractive to cities and towns across Central and Eastern Europe.

"Regionally, we're seeing a lot of interest in the Commonwealth of Independent States (CIS)," says Sobie.

"Air Arabia and flydubai is a good fit for the medium-haul, thinner routes that are high-yielding and growing, but can't support the widebody aircraft of Emirates," he adds.

@highlight

Emirates, Etihad and Qatar are expanding into the U.S. marketplace

@highlight

Some airlines are working hard to block their entrance

@highlight

Turkish Airlines -- one of the fastest growing carriers -- has a massive network in Africa

@highlight

Connecting emerging markets to each other is goal of many Mideast airlines