(CNN) -- In April 2009, the White House released a presidential memorandum declaring that democracy and human rights in Cuba were "national interests of the United States."

Assistant Secretary of State Arturo Valenzuela repeated the message in May of this year to the Cuban-American National Foundation in Miami.

The Obama administration, he said, wanted "to promote respect for human rights and fundamental freedoms ... in ways that will empower the Cuban people and advance our national interests."

Fine words. But if the administration really wanted to do something in the national interest, it would end the 50-year-old policy of political and economic isolation of Cuba.

The Cuban embargo can no longer even pretend to be plausible.

On the contrary, it has contributed to the very conditions that stifle democracy and human rights there. For 50 years, its brunt has fallen mainly on the Cuban people.

This is not by accident. On the contrary, the embargo was designed to impose suffering and hunger on Cubans in the hope that they would rise up and overturn their government.

"The only foreseeable means of alienating internal support," the Department of State insisted as early as April 1960, "is through disenchantment and disaffection based on economic dissatisfaction and hardship."

The United States tightened the screws in the post-Soviet years with the Torricelli Act and the Helms-Burton Act -- measures designed, Sen. Robert Torricelli said, "to wreak havoc on that island."

The post-Soviet years were indeed calamitous. Throughout the 1990s, Cubans faced growing scarcities, deteriorating services and increased rationing. Meeting the needs of ordinary life took extraordinary effort.

And therein lies the problem that still bedevils U.S. policy today. Far from inspiring the Cuban people to revolution, the embargo keeps them down and distracted.

Dire need and urgent want are hardly optimum circumstances for a people to contemplate the benefits of democracy. A people preoccupied with survival have little interest or inclination to bestir themselves in behalf of anything else.

In Cuba, routine household errands and chores consume overwhelming amounts of time and energy, day after day: hours in lines at the local grocery store or waiting for public transportation.

Cubans in vast numbers choose to emigrate.  Others burrow deeper into the black market, struggling to make do and carry on. Many commit suicide. (Cuba has one of the highest suicide rates in the world; in 2000, the latest year for which we have statistics, it was 16.4 per 100,000 people.)

A June 2008 survey in The New York Times reported that less than 10 percent of Cubans identified the lack of political freedom as the island's main problem. As one Cuban colleague recently suggested to me: "First necessities, later democracy."

The United States should consider a change of policy, one that would offer Cubans relief from the all-consuming ordeal of daily life. Improved material circumstances would allow Cubans to turn their attention to other aspirations.

Ending the embargo would also imply respect for the Cuban people, an acknowledgment that they have the vision and vitality to enact needed reforms, and that transition in Cuba, whatever form it may take, is wholly a Cuban affair.

A good-faith effort to engage Cuba, moreover, would counter the common perception there that the United States is a threat to its sovereignty. It would deny Cuban leaders the chance to use U.S. policy as pretext to limit public debate and stifle dissent -- all to the good of democracy and human rights.

And it would serve the national interest.

The opinions expressed in this commentary are solely those of Louis Perez Jr.

@highlight

Louis Perez: U.S. administration has said Cuban democracy is U.S.'s "national interest"

@highlight

If President Obama wants change in Cuba, he must lift embargo, he says

@highlight

While struggling to survive, he says, Cubans have no energy for political reform

@highlight

Perez: Lifting embargo would deny Cuba leaders U.S. policy as an excuse