(CNN) -- What happened in Yangon's University Avenue as the light began to fade last Saturday took many serious Myanmar watchers by surprise.

Not only was Aung San Suu Kyi released from house arrest at the very point the military regime's containment order expired, but within a very short space of time some tens of thousands of her supporters had gathered at her gates, among them many young people who had had no exposure to her before.

Any idea that Suu Kyi, a Nobel peace laureate, has been successfully sidelined in Burmese politics by her uniformed oppressors evaporated. Even so, harping on the occasion as a "Mandela moment." the international media provided a distorted picture.

With some deft camera work and biased reporting it would be perfectly possible to sell a lie, say, that everyone in the United Kingdom is a Manchester United football fan. Not true, of course, just as any suggestion that the whole of the Burmese people, except for the senior military, is squarely behind Aung San Suu Kyi would be a misrepresentation. There are those doing quite nicely under the regime, thank you very much, there are ethnic minority members whose principal dream is autonomy, not national democracy, and there are those with little or no interest in politics.

Ms. Suu Kyi is not about to assume the reins of government. Even so, it has become obvious that, politically, Aung San Suu Kyi does still command perhaps a greater following inside Myanmar than any other person or entity, whatever the outcome of the sham elections conducted a week earlier.

So the question is, what will she do with such momentum behind her?

The only certainty is she must tread carefully. While rebuilding her badly fractured party, the National League for Democracy, may seem a priority, how she goes about it could decide whether or not she remains at liberty.

Any idea that the State Peace and Development Council (the military junta's formal title) is running out of steam is misbegotten. Senior General Than Shwe and his colleagues have, over the last few years, expended enormous energy shoring up their position -- promulgating a new constitution and choreographing the first elections in 20 years as well as building themselves a brand new and secure capital at Naypyidaw.

The generals and the generals alone hold all the actual power. Should Aung San Suu Kyi resume where she left off in 2003 and campaign against the regime, addressing mass rallies up and down the country, then the generals' patience will snap, and the gates of her lakeside villa will once again be locked. Or something worse could occur.

Conversely, if Aung San Suu Kyi, once she has recuperated her physical strength, does not return to the hustings, then that would seem to some like moral cowardice, as she would be the first to admit.

There is perhaps another way. To remain at liberty and to stand any chance of effecting real change within Myanmar (something she has singularly failed to do thus far), Aung San Suu Kyi might be well advised to step back from the cut-and-thrust of daily politics and begin taking on the role of eminence grise, for which her personality is well suited.

Let others rebuild the NLD (if such is to be permitted) while she operates as an intermediary between all the parties concerned, including the "international community" and the junta itself.

Critics of this view will say that while Suu Kyi has always sought dialogue with the generals, they have never wanted to talk to her. But I suspect there may have been a meaningful sea change.

Everything revolves around the trade sanctions imposed on Myanmar by the United States and the European Union (including Britain, the former colonial power). Sanctions have failed, driving the junta into the arms of China. The generals, however, would rather be beholden to no one at all, East or West, and they will be aware that Aung San Suu Kyi has revised her opinions, to the chagrin of some activists.

Whereas when sanctions were introduced in the 1990s she countenanced them, now it seems, from recent statements she has made, she has swung to the view that sanctions hurt the ordinary people of Myanmar far more than their rulers.

Could it be that the room for maneuvering improbably extended to Suu Kyi at the present time is tied to this? If anyone could persuade the West to drop sanctions, then that person is Aung San Suu Kyi.

And, on the premise that politics follow economics, that would be good news indeed. A more prosperous Myanmar achieved through inward investment and all the values that come with that could also be a Myanmar where actual social and political change finally becomes a possibility.

The opinions expressed in this commentary are solely those of Justin Wintle.

@highlight

Justin Wintle says excitement over Aung San Suu Kyi release shows her political potency

@highlight

The military junta likely will limit her, he says, but she can use her sway to influence change

@highlight

He says she should step back from activist politics and help broker end to sanctions

@highlight

Wintle: Her help in ending sanctions could foster climate for real political change