"Smart" TVs have failed because they've always assumed more is better. Instead of evolving the television experience, TV makers have simply added to it, heaping more streams, more services, and more content onto our sets without rethinking the interfaces for accessing them.

The same problem plagues the services that power those smart TVs. Netflix offers thousands of options for what to watch, but instead of giving you a chance to skip through and sample them, it makes you evaluate each one, like a title on a video-store shelf.

In both cases, the experience has become more about selecting a piece of content than simply watching TV. The result? More ends up feeling like a lot less.

That's the central problem plaguing both set-top boxes like Roku and Apple TV and content services like Netflix and Amazon Instant Video. Instead of letting you lean back and soak up content, these new challengers require decisions -- a careful cost-benefit analysis of thousands of different options.

If the traditional TV experience is about letting viewers surf channels, today's on-demand video is like giving them a speedboat and forcing them choose a destination before they can even get in the water.

It's the fundamental reason smart TV and streaming video user interfaces pale in comparison to regular TV for so much of our daily viewing. And it's a shame.

The channels we've always known are the perfect interface for TV. For some reason, we seem hell-bent on abandoning them.

The simple joy of channel surfing

Channel surfing sounds like a '90s relic, something we did when we were a nation of mindless couch potatoes, not yet graced with on-demand content and our sophisticated second screens.

Here's the thing, though: We're still couch potatoes! According to the U.S. labor department, Americans on average watch nearly three hours of TV a day. Nielsen pegs it even higher, at 42 hours a week, with only three of those hours happening on laptops or mobile devices.

How a math genius hacked OkCupid to find true love

It's hard to find data that breaks down what we're watching, but I'll bet only a fraction is spent digesting hour-long cable dramas. That daily figure isn't so high because we're tuning in to must-see TV—rather, it's the opposite. We get home and we flip on the set. We change into comfortable clothes, drink a glass of wine, make dinner, surf the web a little bit from a couch.

In between all those things we click around from channel to channel to find something to fill the air. It doesn't have to be riveting. Often times, it's better if it's not. What regular TV really offers is low-stakes, ambient entertainment.

That's something that's utterly missing from Netflix, Amazon Instant Video, Roku, and Apple TV. Consider, for example, a strange paradox of the streaming video age: You'll totally watch an hour of "Ghostbusters" on TNT, but you'd never in a million years start it up from the top on Netflix, even though it's always right there, just a dozen clicks away.

Facebook's greatest innovations: The first decade

That example gets to the heart of what makes channel surfing so great. It's a zero-commitment affair. It's a fundamentally passive way to consume media, whereas today's streaming video libraries demand agency on the part of the viewer. Netflix is great when you want to watch something, but it's terrible when you want to watch anything.

Set-top boxes take too many clicks

Consider how much friction there is in using today's streaming services, purely on a nuts-and-bolts level. With regular TV, you press one button and something's on your screen. Mash on the remote again and there's another show in front of you.

Channel surfing is beautifully elegant in terms of input and output: a pure one-to-one relationship between tactile action and visual stimulus.

Compare that to Apple TV. One click on the slippery little remote to wake it up; several more to navigate the grid-based UI to the "channel" of your choice. Even with the fistful of live TV apps now available on the device, the experience has none of the fluidity of real TV.

Say you want to see what's on Watch ESPN. You have to click its icon, then navigate a sub-menu of ESPN's various channels. It doesn't show you what's on any of them. You just have to click into ESPN, see what's on, click back, then click ESPN 2, and so forth. It's maddening.

Netflix needs to be a stream, not just a library

When compared to the rest of our media diet, though, the bigger problems with streaming services such as Netflix quickly come into focus. As we've heard again and again, the dominant model for organizing digital content throughout the last half-decade has been the stream.

It's everywhere -- any site or service that presents content in the familiar, endlessly scrolling chronological list. Blogs are streams. Facebook's a stream. Twitter's a stream on steroids.

You know what else is a stream? Live TV! It comes with the very same qualities that exist in and enliven all the examples above. It's immediate. It's constant. It's always-on, always-there, always-new. You don't have to do a damn thing except show up.

How the NSA almost killed the Internet

While synonymous with the age of streaming video, Netflix is less like a stream and more like a colossal vending machine. It offers a plentitude of carefully wrapped choices, each requiring careful consideration. Infinite choice is exhausting. Ask anyone who's spent 30 minutes trying to pick a movie, only to give up and see what's on TV.

Nate Giraitis, Associate Director, Insights & Strategy at Smart Design, points out that Netflix is very much defined by its origins. In its earliest incarnation, Netflix wasn't competing with TV; it was competing with Blockbuster.

"Netflix was a video rental store," he explains. "And its original website was a rental shelf." That's what gave birth to Netflix's UI, and countless streaming video services have followed its example. As he puts it, with Netflix "you're not watching. You're shopping."

There are signs that Netflix is trying to do better. It recently tweaked its UI so that the next episode of a TV series starts automatically after you finish one, simulating the always-something-on-next effect of regular TV.

Felix Salmon recently argued that Netflix's new super-specific, algorithmically suggested microgenres are an effort to make itself more TV-like, an attempt to serve up something from its vast archive of second-tier content that you'll consent to watch, even if you're not enthralled by it.

Gimme channels

But for Netflix and its ilk to begin eating into those three hours of nightly TV time, it needs proper channels. Think: A dozen programmed line-ups and an interface to match, so that with one click you can be in the middle of something random from Netflix's catalog -- something that's perfectly suited for the ambient entertainment we crave. If that's too radical, just think of it as Pandora-mode. It doesn't have to replace Netflix's library entirely. But it should be offered as a complement to it.

11 must-watch Netflix movies to stream in 2014

The same goes for Roku TV. The company's newest product -- a flatscreen built from the ground up around Roku -- offers 1,200 "channels," from real stations like PBS and ESPN, to services like Pandora and Netflix and lesser-known entities like Crackle and "The Daily Burn."

There's one big problem. They're not really channels at all. Instead, they're just apps by another name. Make them into real, instantaneous video streams, and then you've got something.

There might be some dumb reason we can't have this. Perhaps there's a clause in licensing agreements that forbids Netflix from packaging this sort of programming; maybe most viewers don't yet have the bandwidth necessary for these services to simulate some sort of channel surfing experience.

Nevertheless, if Netflix truly wants to make itself an indispensable eight-bucks-a-month expense -- or if Roku wants to build the standalone TV that can finally break cable's hegemony -- giving couch potatoes some true channels to dip into is the way to do it.

I could be wrong, but I suspect there are a lot of people like me out there. I never have time for "Ghostbusters," but I always have time for the last 30 minutes of it.

You can build this open-source car in an hour

@highlight

Today's streaming services like Netflix don't offer a passive TV experience

@highlight

Instead of letting you lean back and soak up content, these services require decisions

@highlight

But we're still a culture of channel surfers

@highlight

We won't order "Ghostbusters" on Netflix, but we'll watch part of it when it's on TV