Hong Kong (CNN) -- Malaysian author Tan Tweng Eng has won this year's Man Asian Literary Prize for "The Garden of Evening Mists," set in the aftermath of the Japanese occupation of Malaysia.

"This comes as a huge shock. It's such a strong list that I'm speechless," said Tan, who beat four other shortlisted books to win the $30,000 prize.

The shortlist included some big names -- Nobel laureate Orhan Pamuk, "The Silent House", Indian poet and writer Jeet Thayil, "Narcopolis", Jiromi Kawakami, "The Briefcase" and Musharraf Ali Farooqi, "Between Clay and Dust". Pamuk was the only one not to attend the formal black-tie dinner at Hong Kong's Peninsula Hotel.

British journalist and literary critic Maya Jaggi, who chaired the panel of judges, championed the book for working on so many levels and with so many themes while also being a tale driven by mystery.

"Why is this woman the sole survivor of a Japanese labor camp? What happened to her sister? What happened to the landscape artist who was the gardener to the emperor?" she said.

Also on the judging panel, novelist Vikram Chandra drew attention to the formal structuring of the novel that mirrors the novel's central metaphor. "It's elegant in the same way that the garden is and its shape finally gives you a vision of the entire thing," he said.

Tan grew up in Malaysia and studied law, going on to specialize in property law at one of Kuala Lumpur's leading law firms. But he had nurtured a secret desire to write since his childhood and in his early 30s took the opportunity for a "gap year" -- studying for a Masters at Cape Town University. He wrote his first book, "The Gift of Rain," while doing his Masters. That book went on to be longlisted for the Man Booker Prize.

After a year of book festivals and promoting the book he settled down to write "The Garden" and spent years crafting the novel, revising the text and moving the scenes about until he felt he had achieved the right balance.

"When I was writing the book I suddenly realized that gardening is like creative writing -- the pruning, deciding where to put your sentence, your comma, where to begin the next paragraph," the 40-year-old said.

"The Garden of Evening Mists" was shortlisted for the Man Booker Prize 2012, as was "Narcopolis". Tan jokingly referred to Thayil as his "travel companion" as they have attended many of the same festivals and prize presentations over the last six months.

Attending the formal prize dinner for the last time were representatives from the Man Group that has sponsored the prize for the last six years. Chair of the prize's board of directors, Professor David Parker, said that a number of parties had expressed interest in sponsoring the prize and they were talking seriously to three.

"All I can say at the moment is that the response has been encouraging and we are encouraged," said Parker, adding that he hopes to make an announcement at the end of April.

The prize was initially awarded for an as yet unpublished book, but after three years was changed to make it the prize for the best novel of the year by an Asian writer that is either written in English or translated into English. The revised format means that people can read the long and shortlists ahead of the prize, and booksellers see a spike in sales for the listed books, especially the winner.

Matt Steele, manager of retail operations at Dymocks, said: "The profile of the prize grows each year and we expect that at some point it will reach the same levels as the Man Booker Prize."

This year saw a record 108 entries, up from 90 last year and 54 in 2010. "We're now into the ballpark of the Man Booker in terms of number of entries," said Parker.

Last year's winner, 'Please Look After Mom" by South Korean writer Shin Kyung-sook, has sold more than two million copies worldwide.

The prize has inspired a "shadow jury" of four book bloggers -- two in Europe and two in Australia -- who review and blog about the books and announce their winner two days before the real jury does.

Last year the Shadow Man Asian Literary Prize picked "Please Look After Mom" and this year they chose "Narcopolis" as their favorite.

@highlight

Tan Tweng Eng wins literary prize for the novel "The Garden of Evening Mists"

@highlight

The author, the first Malaysian to win the prize, took years to craft the novel

@highlight

This prize saw a record 108 entries this year, up from 90 last year and 54 in 2010

@highlight

Last year's winner, "Please Look After Mom" by Shin Kyung-sook, sold more than two million copies