Los Angeles (CNN) -- The prosecutor sounded like the narrator of a hard-boiled police drama as he carefully laid out pieces of the puzzle that led detectives to arrest one of their own in a 23-year-old cold case.

"A bite, a bullet, a gun barrel and a broken heart, that's the evidence that will prove to you that defendant Stephanie Lazarus murdered Sherri Rasmussen," Deputy District Attorney Shannon Presby told jurors as an unusual criminal trial began this week in Los Angeles Superior Court.

The trial promises to tell the story of a decorated female officer who rose through the ranks of the Los Angeles Police Department while allegedly hiding a dark secret: She was getting away with murder.

Lazarus, now 51 and retired from the force, is accused of killing her college crush's new bride in 1986, staging the crime scene to make it look like a burglary. Yes, she was a police officer, but she did not kill in the line of duty, or to protect the public, Presby alleged.

"This killing was personal."

Rasmussen was a tall, athletic 29-year-old hospital nursing supervisor with a pretty smile. She met a brutal end, beaten, bitten and shot to death in her townhouse in the suburban San Fernando Valley on February 24, 1986. She'd also been tied up and hit over the head with a vase. To police, it looked like a burglary gone bad. Stereo components were stacked by the door and Rasmussen's new BMW, an engagement gift, was missing.

The case intrigues because it blends soap opera suds with "CSI"-style forensics -- including broken fingernails and a bite mark. It also promises to hold up a mirror to one of the nation's most storied law enforcement agencies.

"Metaphorically speaking, this case is about the new LAPD investigating the old LAPD," said Andrew Blankstein, who has covered the department for the Los Angeles Times since the 1990s. "This trial really traces the evolution of the LAPD and its approach to investigations, coupled with the revolutionary advances in technology."

He added, "There's the old adage that the LAPD would never go after one of its own, but this case flies in the face of that."

According to prosecutor Presby, the crime was all about a guy. Witnesses who knew them in college at UCLA will testify that Lazarus was smitten with John Ruetten, but he just wasn't that into her.

To underscore his portrayal of Lazarus as a woman obsessed, Presby displayed an old photograph found during a 2009 police search of the journals she'd stashed in a footlocker at home. Taken at their college dorm 30 years earlier, it shows Ruetten sleeping with his back to the camera. He was wearing only white cotton briefs.

Ruetten did care for Lazarus, Presby continued, but in his view they were just good friends -- with occasional "benefits."

Defense attorney Mark Overland told jurors there was much more to the relationship. The couple dated after college, went on trips and slept together "many, many times." Lazarus thought it was serious and also got to know and love Ruetten's mother and brother. She thought they had a future, the lawyer said.

When she learned Ruetten was marrying someone else, Lazarus decided to lay her cards on the table. She told him how she felt. They slept together one last time, and then he told her he was going ahead with his marriage to Rasmussen, Overland said.

"She was tearful," he added. "She wasn't hysterical."

A key part of the case involves a confrontation between Lazarus and Rasmussen at the hospital where Rasmussen worked, but Overland insisted his client was no stalker. By some accounts, Lazarus allegedly told her rival: "If I can't have him, nobody can." While Overland acknowledged there was a meeting between the two women, he described it as more of a heads-up.

The message from Lazarus, according to her attorney: "Hey, if he's dating you, you'd better tell him to stop bothering me. He keeps calling me. Tell him to knock it off."

At the time of the slaying, Lazarus was in her second year with the Los Angeles Police Department. The killing occurred on a Monday. Lazarus had taken the day off; Rasmussen had called in sick that morning. Authorities estimate she died before lunchtime.

Ruetten found the body when he came home from work after 6 that night. Wearing a red robe, pink T-shirt and black panties, Rasmussen was sprawled on her back on the living room floor. By all accounts, the grim find left Ruetten dazed and despondent.

Lazarus was a newbie patrol officer when Ruetten broke up with her for good. She was hurt by his rejection, sure, but she moved on and prospered, Overland said. She made detective and met her husband, a fellow Los Angeles police detective, in 1993, and they have a daughter. She was headed for the department's internal affairs and its prestigious art theft detail.

According to prosecutors, the key to unlocking Lazarus' dark secret lay for years on the back shelf of an evidence freezer in the coroner's office. A sealed evidence envelope contained a vial. Inside that vial was a cotton swab. On that swab, prosecutors say, was DNA taken from saliva from the bite wound on Rasmussen's left forearm.

Testing in 2005 revealed the assailant was a woman. But still some detectives clung to the burglary theory and focused their inquiries on known female prowlers. From the beginning, the victim's family had pointed to an ex-girlfriend of Ruetten's who was a cop, and as the DNA testing advanced, undercover police followed Lazarus to a Costco store and retrieved a discarded soda from a trash can. Saliva traces from the straw matched the bite mark DNA, and she officially became a suspect.

Lazarus was confronted, and another sample was taken from her shortly before her arrest. Tests revealed the DNA found in the bite mark on Rasmussen's left forearm belonged to Lazarus.

How sure were they? Presby said the chances of the killer being anyone else is "one in 1.7 sextillion."

That's a 17 followed by 20 zeroes.

Overland says the crime scene evidence from 1986 was mishandled and tainted years ago and can't be trusted. The envelope has been torn. Photos show the top of the vial poking through. And while the top of the envelope may have been sealed with red crime lab tape, the bottom was wide open. Overland quoted the crime lab's supervisor, who observed: "We've got a problem."

Hairs, fibers and fingerprints found at the crime scene can't be tied to Lazarus at all and haven't been matched to anyone else, Overland told the jury.

The jurors listened intently Monday but didn't take many notes. As prosecutors set the scene with their first witnesses, the images projected on a large screen were jarring: A beaming bride in white appeared one minute, followed by an image of a bloodied corpse in a red robe, arms and legs stiffened with rigor mortis. Both photos were of Rasmussen, and they were taken less than four months apart.

Her father, Nels Rasmussen, occasionally choked back sobs, and one of the victim's sisters teared up at the sight of the bloodied face with one eye blackened and swollen shut.

Sherri Rasmussen "wore the white dress that the defendant felt was hers," Presby said. "Four months after that marriage, Sherri Rasmussen was dead, her beauty disfigured, obliterated, blotted from existence."

Lazarus, dressed in black for court, appeared pale and waxy as she jotted notes and whispered with her attorneys. During breaks, she waved at her husband, mother and brother, who were seated behind her.

Presby reminded jurors what life was like in 1986. Ronald Reagan was president. Bill Cosby had the top-rated television show. People played Pong and Asteroids and hardly anybody had a home computer.

And few, except for scientists, had heard of DNA. The genetic testing that is now the "gold standard of evidence," was yet to come, Presby reminded the jury.

"A tiny Stephanie Lazarus was hiding in the bite on Sherri Rasmussen's arm," he said.

The O.J. Simpson trial in 1994 and 1995 helped cement DNA as a household word. Ten years later, the Los Angeles Police Department launched its cold case squad, reopening hundreds of files to see, as Presby said, "if there were more killers hiding on evidence shelves in coroners' freezers."

It will be up to eight women and four men to decide if Lazarus is one of them.

@highlight

Trial of former Los Angeles police detective Stephanie Lazarus is under way

@highlight

She is accused of killing her romantic rival; murder case went cold for 23 years

@highlight

The case blends soap opera suds with "CSI"-style forensics

@highlight

It also promises to hold up a mirror to a storied law enforcement agency