Nairobi, Kenya (CNN) -- The villagers' faces light up as Evans Wadongo arrives. Men, women and children sing and gather around as he shows how his invention -- a solar-powered LED lantern -- will soon light up their homes.

"These families, they are so poor. They don't have electricity," said Wadongo, a native of rural Kenya. "It's only kerosene and firewood that they use for lighting, cooking.

"The amount of money that every household uses to buy kerosene every day -- if they can just save that money, they can be able to buy food."

Wadongo, 23, not only is giving his country's rural families a way to replace the smoky kerosene and firelight with solar power, he says he also hopes his invention will ultimately improve education and reduce poverty and hunger. And he's providing it for free.

Do you know a hero? Nominations are open for 2010 CNN Heroes

The youngest of four children, Wadongo grew up in a home that stressed the importance of education -- his father was a high school teacher. But years of exposure to smoke while studying by kerosene and firelight left Wadongo with eyesight problems.

With a lack of good light to study by -- Wadongo often had to share one lantern with his siblings and other family members -- he remembers the frustration of unfinished homework and poor exam performance.

"I couldn't compete effectively with other kids who had access to lighting," he said. "In every home in the village it was the same. Many children drop out of school for these reasons ... so they remain poor for the rest of their life. All along I was asking myself if there is anything that can be done to improve this situation."

In 2004, while attending a Kenyan university for agriculture and technology, Wadongo found his answer. He was fiddling with a dorm experiment involving the timing of LED (light-emitting diode) Christmas lights when it struck him: The environmentally friendly light source could be used to light rural homes.

"I knew it would have to be sourced by the sun to be useful to people in rural areas," he said, "but [I] had never seen a solar panel small enough for individual homes."

Then, while walking home from visiting a friend, Wadongo stumbled upon a broken-off piece of a discarded solar panel. With it, he was able to light a small number of LEDs. His project -- Use Solar, Save Lives -- was born.

"I immediately knew the impact that [it] would have on the rural communities," he said.

An artisan helped him design the solar lantern, which Wadongo calls MwangaBora -- Swahili for "good light."

To help get the project started, Wadongo's family and friends subsidized his student loans for two years. Production of the lanterns was slow until Wadongo attended a leadership training program sponsored by the nonprofit Sustainable Development for All-Kenya.

When the group heard about his MwangaBora, it immediately committed to help, eventually bringing Wadongo on as a partner and chairman of the board.

The group has helped reduce production costs to $20 per lantern. Costs are covered by donations. Volunteers help build the lanterns and work with local government and women's groups to determine the communities most in need. The group sets a small percentage of the cost of each lamp to go toward the volunteers.

"We're helping them to earn a living. They're able now to sustain their families," he said.

Wadongo works on the lantern project full time without pay and eats only one meal a day to help save money and build more lanterns. He said he expects costs to decrease further as the program grows.

The group buys excess pieces of solar paneling, cut from commercially sold panels, in bulk from an overseas company. In an outdoor metal shop, Wadongo and volunteers hammer scrap metal for the frame of the lantern.

Wadongo estimates he's distributed 10,000 lanterns -- and he has no plans for slowing down.

"I want to reach out to as many rural communities as possible," he said. "The impact is saving lives."

Children can now study. Households can buy food with the money they save on kerosene, reducing hunger in communities. The solar lanterns help reduce carbon emissions, too. Wadongo said that when the time and need arises, he intends to service, replace and recycle his lanterns.

For villager Julia Dzame and her three children, life will change dramatically thanks to Wadongo and his solar lantern.

"I am so grateful for the lights," she said. "My children will have light to read, and I'll have my own light to cook in the kitchen. No more sickness brought [on] by smoke."

For Wadongo, the satisfaction comes in knowing that he's helping to lift people out of poverty.

"I just feel like it's right," he said.

Want to get involved? Check out the Use Solar, Save Lives Web site and see how to help.

@highlight

A 23-year-old Kenyan's solar-powered LED lantern helps light rural homes

@highlight

With help of nonprofit, he estimates he's distributed 10,000 lanterns -- for free

@highlight

Villagers can buy food with money saved on kerosene, firewood, he says

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes