(Financial Times) -- China is looking at introducing tough controls on its carbon pollution as soon as 2016, in a shift that could boost talks on a global agreement to curb greenhouse gas emissions, an official at the heart of state carbon policy has said.

China, which accounts for nearly a quarter of global carbon dioxide emissions, has resisted international pressure to commit to absolute cuts in its emissions, which are the world's highest. Instead, it has said it will lower its "carbon intensity", or emissions relative to economic output.

However, the powerful economic planning ministry is considering an outright cap on emissions for its next five-year plan (2016-20) and is studying what level would be appropriate, Jiang Kejun said.

That could help to break a deadlock at the heart of UN climate talks, which are aiming to agree a legally binding global deal on cutting emissions -- at a 2015 meeting in Paris -- that would take effect from 2020.

Mr Jiang, a carbon policy researcher at the National Development and Reform Commission, said: "I am sure China will have a total emission target during the 13th five-year plan."

Mr Jiang, whose department is influential in shaping China's carbon policies, said a target for total emissions would be "more effective" than the previous intensity target. He added it was "very possible" China might drop its longstanding opposition to carbon caps for developing nations before the UN climate talks in Paris in 2015.

"The whole world needs to come up with a good protocol, and this should be the last protocol, otherwise we will not have time," said Mr Jiang, referring to the Paris climate talks.

China's emissions cap would be linked to the existing caps on coal consumption, he said.

Another reason for the changing stance is the growing public debate over air pollution in China, where it has become a public health crisis as well as a political issue.

No official announcement has been made about an absolute emissions cap but Mr Jiang's comments mark the first time China's carbon policy makers have spoken publicly about such a plan. His remarks are in line with a shift in China's position that some say has been evident in recent closed climate talks outside the formal UN negotiations.

The UN talks have stalled because the US and other wealthy western countries say they cannot approve a deal until big developing countries such as China drop their historical opposition to making the sorts of emissions cuts that have so far only been demanded of industrialised powers.

Peter Kent, the Canadian environment minister, said that both China and Brazil had made "very positive sounds" about such a shift at a meeting of the so-called Major Economies Forum on Energy and Climate in Washington DC in April.

"Both Brazil and China were saying things that I'd never heard before," Mr Kent said. They were among countries that had until now been "reluctant to step up and step away from" their previous positions on curbing emissions but "all of a sudden were making some very positive sounds".

He added: "We still have a way to go, but it was very encouraging. China and Brazil in particular, I think we're seeing movement from them to eventually make commitments."

The MEF includes the US, the EU and the Brics nations. The combined emissions of its members account for more than four-fifths of all fossil fuel greenhouse gas emissions, far more than the 15 per cent covered by the only existing global climate treaty, the Kyoto protocol.

China's leaders, Xi Jinping and Li Keqiang, have forged ahead with efforts to control carbon emissions since they took office in March. After several years of preparation, China is this year launching seven pilot carbon exchanges, which are envisioned as a testing ground for a possible national emissions tradition scheme later.

Part of the reason for China's enthusiasm for controlling emissions is that policy makers see these controls as a way to rebalance China's economy away from energy-intensive, resource-intensive sectors and towards "cleaner" sectors such as services and technology.

It is still unclear how China's carbon cap would be enforced, and whether it would be a firm limit or a loose target. A second policy maker who works on carbon policy at the NDRC declined to comment on the carbon cap, saying only that "no announcement has been made so far".

The NDRC did not respond to faxed questions about a future carbon cap.

© The Financial Times Limited 2013

@highlight

China may introduce checks on carbon pollution by 2016

@highlight

A Chinese policy expert says the economic planning ministry is exploring an emissions cap

@highlight

China accounts for nearly a quarter of global carbon dioxide emissions

@highlight

Tough emission controls in China could help break a deadlock in UN climate talks