Concepcion, Chile (CNN) -- The death toll from Saturday's 8.8-magnitude earthquake in Chile reached 795 on Tuesday, the president's office said.

Officials say the tally likely will increase in coming days as search-and-rescue crews dig into collapsed buildings and discover more bodies.

While that work continued, officials also dealt with another pressing problem: looting and lawlessness in the city of Concepcion and other areas of central and southern Chile.

Authorities said they would enforce a curfew from 6 p.m. Tuesday until noon Wednesday.

Speaking at a Tuesday morning news conference, President Michelle Bachelet said mayhem will not be allowed.

"We have seen images that are, frankly, intolerable," Bachelet said. "We want to make it clear that it won't be accepted."

The government will "apply the full force of the law," she said.

The president's comments came after another restless night in Concepcion, where looters openly ransacked stores in front of soldiers standing guard nearby and neighborhood residents have set up armed security committees.

The unrest broke out as thousands of desperate residents in southern and central Chile remained without food, water, electricity, gas and other basic services in the wake of the earthquake.

More than 13,000 soldiers were being dispatched to secure order, Bachelet said.

A CNN crew witnessed looters being arrested Tuesday and observed that more troops seemed to be patrolling Concepcion on Tuesday than Monday.

See scenes of devastation from the quake

But no troops or police could be seen in nearby Talcahuano, a correspondent for CNN Chile said Tuesday afternoon. The network showed live images of people pilfering fuel from a closed gas station and other residents walking out of stores carrying large sacks of goods or placing them into car trunks and driving off.

The threat of violence slowed the flow of aid, said Michael Black of the nongovernmental organization World Vision. "The truth is it's taken a lot longer than needed for them to deploy the forces and re-establish order, which is necessary for any NGO," he told CNN.

The Christian humanitarian group had not yet released any supplies from its warehouse in Santiago, he said. He predicted that would change on Wednesday.

"With the arrival last night of army forces, we think that's going to improve," Black said.

A weeping Talcahuano resident told CNN Chile, CNN's partner network in the nation, that the city had not received any help and residents felt abandoned.

Bachelet vowed to address the situation.

"What worries us the most today is to provide security and tranquility to the nation," she said. "We ask for understanding and patience because the aid will arrive."

But some of that aid was temporarily delayed Tuesday at a military checkpoint on the Itata Route about 12 miles (20 kilometers) outside of Concepcion. Images broadcast by CNN Chile showed at least 12 tractor-trailers filled with aid stopped at the checkpoint. Dozens of other vehicles were lined up, stretching to the horizon, behind the trucks.

One truck driver said he had been waiting for four hours.

An unidentified army captain interviewed at the checkpoint said if it was up to him the convoy would pass, but he had to wait for approval from the National Emergency Office.

"We haven't received any aid," Concepcion Mayor Jacqueline Van Rysselberghe said Tuesday morning.

On Monday night, she had complained about the lack of security.

"We don't want to spend one more night in the darkness and in fear," she said on CNN Chile. "We are no longer hungry, we are so scared."

Bachelet said all emergency measures should be in place by Tuesday.

Carmen Fernandez, director of the National Emergency Office, said Tuesday afternoon that aid is starting to reach all regions. Distribution is becoming standardized, she said, and the flow of aid is starting to become constant.

Rescuers in the hardest-hit areas, including Concepcion and the Maule and Bio Bio regions, continued to scramble to reach possible survivors Tuesday.

At least 12 aftershocks were recorded in the past 24 hours, ranging in magnitude from 4.8 to 5.3, the U.S. Geological Survey reported. The strongest of the more than 90 aftershocks was a 6.2-magnitude quake on Sunday near the main quake's epicenter.

Although damage was significant in Santiago, the nation's capital, electricity and water were restored to much of the city by late Monday and many residents could use their cell phones and other conveniences. About 90 percent of the city's stores were open.

In the quake's immediate aftermath, more than 1.5 million people had been without power in and around Santiago, which is about 270 miles (432 kilometers) northeast of Concepcion.

Rescuers from Santiago, recently returned from a stint in quake-ravaged Haiti, were working to free residents who were trapped in a 15-story building in Concepcion, about 70 miles (112 kilometers) from the earthquake's epicenter.

Fire commander Juan Carlos Subercaseaux confirmed Monday three people were trapped inside the collapsed building, CNN Chile reported. Rescuers said they heard banging and yelling from an apartment on Monday but had not heard anything Tuesday.

Subercaseaux told reporters Tuesday afternoon that rescuers would work overnight, though he held out little hope of finding survivors. Six people were missing, seven were dead and 79 had been evacuated from the structure, with 20 apartments still unsearched, he said.

Chile has received offers of international aid and will accept the help that it needs, Bachelet said.

Paul Simons, U.S. ambassador to Chile, said that the international community and Chilean government have realized in the past two days "that the magnitude of this earthquake is very, very substantial."

"Chile is a country that's not really used to asking for outside help," Simons said in Santiago. "Quite frankly, it's been a donor country."

Simons said field hospitals are among Chile's greatest need, given its loss of 19 hospitals, representing more than 4,000 beds.

"The doctors are fine, but they need places to operate," Simons said.

The nation's ambassador to the United States, Jose Goni, listed Chile's top priorities Monday afternoon.

"After a detailed assessment of the situation," Goni said, "the Chilean government has requested aid from the U.S. government consisting essentially of field hospitals, power generators, water-purification plants, rescue teams, medical crews, tents, satellite telephones, temporary infrastructure for people in need and dialysis autonomous systems."

The United Nations also said Monday that Chile had requested international assistance and indicated it is ready to help.

U.S. Secretary of State Hillary Clinton traveled to Santiago for a brief visit Tuesday on a previously scheduled trip through Latin America. She had originally been scheduled to arrive Monday.

Clinton brought with her 20 satellite phones and a technician, part of the aid the United States will provide to Chile.

Chilean Foreign Minister Mariano Fernandez ticked through a list of promised international aid: from Canada, 150 portable houses; China, $1 million and a field hospital; South Korea, a planeload of medical equipment; Cuba, a portable hospital equipped with a surgical suite and 25 doctors; Indonesia, $1 million; the European Union, $4 million; Spain, rescue teams, including structural engineers and search dogs; Japan, $3 million and emergency materials; the United Nations, health aid.

Other promised aid, according to Fernandez: from Argentina, three portable hospitals; Peru, one portable hospital and 25 doctors; France, a team of 15 structural engineers; the Organization of American States, 20 satellite phones; the United States, 60 satellite phones; Switzerland, a team of engineers; Russia, 100 portable houses and seven tons of food; Uruguay, two water-purification plants.

Saturday's earthquake is tied for the fifth-strongest since 1900, according to the U.S. Geological Survey. Another 8.8 quake struck off the coast of Ecuador in 1906.

Stronger earthquakes occurred in Kamchatka, in northeastern Russia, in 1952 (magnitude 9); off the west coast of northern Sumatra in 2004 (magnitude 9.1); at Prince William Sound, Alaska, in 1964 (magnitude 9.4); and just south of Concepcion, Chile, not far from the epicenter of Saturday's quake, in 1960 (magnitude 9.5).

Bachelet said Saturday that about 2 million people had been affected in some way, but she did not elaborate. The Chilean Red Cross reported that about 500,000 homes had considerable damage.

The armed forces were available to help with security and the distribution of food, she said.

CNN's Ana Maria Luengo-Romero, Sara Sidner and Soledad O'Brien contributed to this report.

@highlight

NEW: Slow deployment of troops hindered aid deployment, relief group says

@highlight

Aid starting to reach all of Chile's regions, National Emergency Office says

@highlight

Stores ransacked in front of soldiers in Concepcion, where mayor says aid hasn't come

@highlight

President Michelle Bachelet says all emergency measures will be in place Tuesday