Deep inside Cameroon's Lobeke National Park a team of conservationists venture into the lush rainforest, weaving their way through the bush's narrow paths.

Tasked with patrolling the immense park, these eco-guards are on a mission to protect its pristine habitat and the life that resides within. Ever alert, they push deeper into the woods to prevent any illegal activities that could put Lobeke's fragile ecosystem in danger.

Amongst the park's wide array of creatures, there's one species that's particularly vulnerable.

"The major threat is elephant poaching for ivory," says Zacharie Nzooh, who joined the World Wildlife Fund more than 10 years ago.

"There was a big elephant population here," he recalls. "When I first arrived here in 2002, I saw 35 elephants at once. But progressively, despite the efforts put in place to fight poaching, the elephant population continues to dwindle. So we steadily saw their population fall -- [from] seeing 35 elephants on one occasion to seeing only four, three, two or one elephant at a time."

Read this: Unmanned plane to spy on rhino poachers

Over the past decade, conservationists say poachers have shrunk Africa's forest elephant population by 62%, threatening the magnificent mammals with eventual extinction. At last count, Cameroon had some of the world's last significant populations of forest elephants, with about 20,000 of them remaining.

The main purpose of Nzooh's team is to deter poachers through their presence, as well as arrest any illegal hunters. Last year the patrols arrested 16 poachers in Lobeke, which is situated in southeast Cameroon, within the Congo Basin forest.

Will elephants still roam earth in 20 years?

But even as eco-guards intensify their efforts, poachers are getting hungrier for ivory; the precious commodity is selling for hundreds, even thousands of dollars per kilogram on the black market. The lucrative poaching market has been built on high demand from Asia, attracting organized criminals who are increasingly using more sophisticated methods in their illegal activities.

"These crimes are committed because of the elephant tusks, which are sold to big traders within the community," says eco-guard Simon Pierre Mpouop. "The traders go and sell the ivory at higher prices in other big towns. This explains why it has become a recurrent activity in Lobeke."

Last year, heavily armed poachers from Sudan arrived on horseback at the Bouba Ndjida Park in northern Cameroon. They slaughtered more than 300 elephants within a matter of weeks, taking only the tusks. In some cases, poachers waited for surviving elephants to return to the scene to mourn their dead before shooting them as well.

At the end of it all, poachers had eliminated more than half of that park's elephant population, leaving the park to resemble a battlefield, instead of a tourist destination. Under-equipped eco-guards are no match for these kinds of well-coordinated attacks.

"It's frustrating that we should be doing so much to protect the species in this park, yet those who take the laws into their hands continue to slaughter elephants because of their tusks," says Mpouop.

Read this: Boy's website helps tourists spot big beasts

Second in size only to the Amazon rainforest, the Congo Basin spans six African countries, including the Central African Republic and the Republic of Congo, which share part of their borders with Lobeke.

Lobeke and its peripheral zone cover more than 650,000 hectares. There are currently 40 eco-guards in place but that's not enough to properly patrol the entire length of the park.

Nzooh says they need more than twice as many guards, as well as better equipment and weaponry to ensure surveillance across the whole park.

"We need to have a permanent monitoring station," he says. "And for eco-guards to work, they must have the appropriate equipment, appropriate arms to first ensure their protection, but also to serve as a deterrent."

The park's rangers earn $15 each day they patrol. Tasked with enforcing the law, the park guards often cover the forest on foot, gathering clues to track an evasive enemy.

"We often walk several kilometers without even getting to a small stream from which we can fetch drinking water," says Mpoup. "It's really difficult because you can come across a wild, harmful animal, and you won't be able to escape; this is a regular phenomenon here," he adds.

Read this: Last of the bush trackers on the trail of a dying art

Last year, more than 60 rangers died in the line of duty, protecting parks around the world. According to the International Ranger Federation, more than half of these deaths were homicides.

Whether clashing with poachers or confronting wildlife, danger seems to always lurk for these guardians of the forest.

"I can say that our missions are calculated risks," says Mpoup. "Anytime we enter Lobeke, it's a big calculated risk," he adds.

Bur despite the risks and the often limited means, Nzooh says there's a glimmer of hope. Though it is harder to come by elephants in the park today, the conservationist still envisions a clearing filled with animals the way it was 10 years ago.

He says the elephant stands a chance so long as the crackdown on ivory markets continues.

"The number of elephants in the national park of Lobeke has not reached a critical stage," says Nzooh. "I am certain that if significant efforts are put in place the elephants will survive. Those efforts must be made on different levels, on site level, on an international level and on a national level."

Find out more about WWF's African Elephant Program

@highlight

Rangers in Cameroon are working to save forest elephants from the edge of extinction

@highlight

The conservationists are tasked with protecting wildlife in Lobeke National Park

@highlight

The biggest threat comes from poachers wanting elephant tusks

@highlight

High demand from Asia has created a highly lucrative poaching market