Washington (CNN) -- Could the Boston Marathon bombing have been prevented?

That was the question legislators tried to answer at Thursday's House Committee on Homeland Security hearing, where the members of Congress asked a former senator, Boston's top cop and two experts on public safety about whether or not the intelligence community dropped the ball when they closed an investigation into one of the alleged Boston bombers before the marathon bombing in April.

In opening the hearing, Republican Rep. Michael McCaul of Texas, the committee chairman, said he feared "the Boston bombers may have succeeded because our system failed. We can and we must do better."

"We learned over a decade ago the danger in failing to connect the dots," McCaul said, referring to the terrorist attacks of September 11, 2001.

One of the alleged culprits in the Boston bombing, Tamerlan Tsarnaev, 26, was investigated by the FBI after the agency received a tip from Russian authorities that the suspect could be radicalizing. Tamerlan, along with his 19-year-old brother, Dzhokhar Tsarnaev, allegedly carried out the April 15 marathon bombing, which killed three people and left 264 people wounded.

Russian intelligence services asked the FBI to investigate Tamerlan Tsarnaev in 2011 over a possible association with terror groups. They later also asked the CIA. After receiving a tip, the FBI investigated Tsarnaev and, at the time, didn't find that he was engaging in any extremist activity.

Boston bombing suspect's body entombed in undisclosed location

The FBI said a three-month probe turned up nothing derogatory about Tsarnaev. The agency also said the Russians never responded to requests for more details. The case was closed.

Tamerlan Tsarnaev's name was put on a Customs and Border Protection list to alert officials in case he left the country and the CIA also asked that his name be added to another file, the Terrorist Identities Datamart Environment list, which contains more than 700,000 names of suspected foreign and domestic terrorists.

"Based on what I've seen so far, the FBI performed its duties, the Department of Homeland Security did what it was supposed to be doing," President Barack Obama has said.

Former Sen. Joe Lieberman, one of four witnesses at the hearing, told legislators that "though it would not have been easy, it was possible to prevent the terrorist attacks in Boston." Lieberman, who pushed for the creation of the Department of Homeland Security after the 9/11 attacks, said that post-9/11 reforms have worked well to protect Americans, but they are not perfect.

Boston Police Commissioners Edward Davis echoed Lieberman's sentiment. "The truth of the matter is nobody bats a thousand," the commissioner said.

"I think that as a nation we need to come to terms with it and do everything we can to prevent it, but also recognize that fusion centers and intelligence analysis and joint terrorism task forces are part of our future," Davis said. "The world is a dangerous place and I think we need to recognize that and be prepared for it."

Bomb suspect's friend out on bail, released to mom

Republican lawmakers in particular were critical of the FBI for not following up on its initial investigation of Tsarnaev. In an exchange with McCaul, Davis acknowledged that if he had known about the initial FBI investigation, he would have done things differently.

"If you'd had this information before the bombing, would you have done -- your police force and you -- would you have done anything differently," McCaul asked.

"That's very hard to say," answered Davis. "We would certainly look at the information, we would certainly talk to the individual. "

McCaul continued to press Davis, asking "but if you knew of a Russian intelligence warning that this man's an extremist and made travel overseas and the fact that he did travel overseas and came back into the United States, would that may not have caused you to give this individual a second look?"

"Absolutely," said Davis.

In apparent response to the idea that the FBI did not inform Boston police of the investigation, the bureau issued a statement Thursday from Boston Special Agent in Charge Richard DesLauriers, saying the information was available.

The Boston Police Department has representatives on the Boston-area Joint Terrorism Task Force, he said, and all task force members can access Guardian, "a web-based counterterrorism incident management application that was launched in July 2004."

All task force members "are able to perform customized key word searches of Guardian to identify relevant" assessment of suspects, he said.

The assessment of Tamerlan Tsarnaev, one of about 1,000 conducted by the Boston task force in 2011, was "documented" in the Guardian database and "was thorough, comprehensive and fully compliant with law and policy," DesLauriers said. He noted that the task force is limited by law in "the types of investigative methods" it can use when there are no specific accusations.

In addition to revisiting the FBI's initial investigation into Tsarnaev, Davis used his testimony to say the Boston Marathon bombing is further proof the United States must strengthen vulnerable targets without violating civil liberties.

Before a hearing convened by the House Committee on Homeland Security, Davis submitted lengthy written testimony that touches on what worked and what didn't in the response to the Boston bombing. In that testimony, Davis argues that in order to defend soft targets -- locations that are not armored or are largely undefended -- law enforcement agencies need to "deploy more assets including technology, cameras, undercover officers and specialized units."

"It is clear after these events and other types of mass casualties such as those which have happened in our nation's schools and colleges that we need to continue to harden soft targets, especially events that lend themselves toward large gatherings celebratory in nature," Davis wrote.

However, Davis cautioned against overstepping the bounds of security. "I do not endorse actions that move Boston and our nation into a police state mentality, with surveillance cameras attached to every light pole in the city," he said.

After the bombing, Davis became the face of the response. Almost every legislator who asked questions in Thursday's hearing thanked him for his service.

Davis used that high-profile response as proof that reforms to the nation's video surveillance are needed, writing that in order to catch the bombers, law enforcement officials rely "almost exclusively on the support of our business partners to provide critical video surveillance along the finish line."

"I strongly support the enhanced ability to monitor public places," he wrote. "This monitoring, which been upheld by the United States Supreme Court, violates no constitutionally protected rights but gives police the ability to investigate and effectively prosecute. Images from cameras do not lie. They do not forget. They can be viewed by a jury as evidence of what occurred."

In the hunt for the Tsarnaev brothers, surveillance video proved crucial. Investigators solicited video from many of the business around the marathon route and used it to locate the bombing suspects. On April 18, the FBI released surveillance-camera pictures of the brothers.

The final 24 hours that paralyzed Boston

Although Thursday's meeting is the first congressional hearing on the Boston bombing, it certainly will not be the last. Legislators in both the Senate and the House have expressed an interest in hosting experts to discuss what to learn from the terrorist attack.

The Boston bombing saga began after the two bombs went off at the Boston Marathon finish line on Boylston Street on April 15. Hundreds of Boston law enforcement officers then began a gripping week long search for those who carried out the terrorist attack.

Late at night on April 18, Massachusetts Institute of Technology police officer Sean Collier was shot and killed on campus, allegedly by the bombing suspects. In the early morning of April 19, the suspects allegedly hijacked a car in Cambridge and led police on a high speed chase through Cambridge and Watertown, two Boston suburbs. In a shootout during the chase, the older Tsarnaev brother was wounded by gunfire. He later died at a hospital.

Throughout much of that day, hundreds of law enforcement officers went door-to-door on 20 streets in Watertown, looking for Dzhokhar Tsarnaev. Residents around Boston were asked by authorities to stay inside as the hunt continues for the suspect.

In the early evening of April 19, David Henneberry discovered Tsarnaev, wounded, hiding in his boat. He alerted police, and after a tense standoff, police took him into custody.

Dzhokhar Tsarnaev, who was in serious condition at the time of his capture, is now stable and charged with one count of using and conspiring to use a weapon of mass destruction resulting in death and one count of malicious destruction of property by means of an explosive device resulting in death.

In addition to Tsarnaev, three 19-year-olds -- Azamat Tazhayakov, Dias Kadyrbayev, and Robel Phillipos -- were arrested in connection with the bombings. The three are accused of helping Tsarnaev after the bombing by taking items from his dorm room in an effort to keep them from investigators.

CNN's Pam Benson and Carol Cratty contributed to this report.

@highlight

Congressman: "Boston bombers may have succeeded because our system failed"

@highlight

"The truth of the matter is nobody bats a thousand," Boston top cop says.

@highlight

Boston police commissioner advocates more cameras to defend "soft" targets

@highlight

Police "almost exclusively" relied on businesses to provide video surveillance, he says