(CNN) -- As a baseball executive whose mother survived relentless domestic violence, and an advocate who worked for years to pass the Violence Against Women Act, we want to celebrate the 20th anniversary of that life-saving bill, signed into law on September 13, 1994.

This groundbreaking law was the first to put the full force of the federal government into efforts to stop violence against women and help victims. It reshaped our criminal justice system, ushered in training for law enforcement and judges, and enhanced a life-saving national network of services and supports that has saved countless lives. Over time, the law became a catalyst for broader, badly needed change.

In fact, according to the Justice Department, intimate partner violence has dropped 64% since the Violence Against Women Act was passed 20 years ago. Now that's something we can all be proud of.

But frankly, the media paid little attention to the bill that was introduced by then-Senator Joe Biden, and signed into law by President Clinton in 1994. They were too busy clamoring over the story about a high-profile NFL football hero named O.J. Simpson. Simpson had a history of domestic violence and was on trial for the murder of his wife and friend. He was acquitted in that famous trial.

But the Simpson story had a silver lining: It led to tens of thousands of women around the country feeling empowered to reveal their own stories of abuse. And it gave activists an opportunity to rally their communities and demand more services and protections for victims and survivors. It took the topic of domestic violence from the back page to the front page and to the top of the newscast -- everywhere.

It's ironic, then, that 20 years later, the nation would be so laser-focused on the story of another football hero. In this case, it's the story of Baltimore Raven player Ray Rice that is dominating our conversations, and despite the damage done, there is a positive repercussion worth noting: Again, thousands of people are sharing personal statements and encouragements around the issue of domestic violence.

NFL toughens domestic violence policy with six-game bans

There's even a hashtag campaign, #WhyIStayed. We know from experience, that staying in the public conversation is often the precursor to making true and lasting change. And we're hopeful that the NFL, and other professional sports leagues are recognizing that now is the time for a strong, enforceable policies that will not tolerate domestic violence or sexual assault.

The first Violence Against Women Act didn't do nearly enough for the children who grow up in homes in which there is violence. It didn't do enough to help college students and other victims of rape, stalking and sexual assault. It didn't do enough for minority, immigrant and disabled communities, and populations with special needs. And it didn't do enough to promote prevention.

NFL's past penalties for domestic violence 'a different story'

With each subsequent re-authorization of the law, progress has been made -- but there's much more to do. We're convinced the country can finish the job. Vice President Joe Biden poured his heart and soul into passing the Violence Against Women Act 20 years ago and his commitment has never wavered. He was its proudest champion, winning crucial support on both sides of the political aisle. We still need him, and we still need a bipartisan group of dedicated congressional champions.

Today, we both work with key federal agencies, large philanthropies, leading corporations and other partners that share our mission to finish what the Violence Against Women Act started. We need every one of them.

There's still much too much violence against women, and our nation pays a huge price. We need to continue the progress for adult women, heal kids who are hurt, and show perpetrators that they have to be accountable for their actions. We need to engage the public and make men part of the solution.

Passage of the Violence Against Women Act was a triumph of bipartisanship, and a moment in time when lawmakers had the clarity and courage to recognize that they could make an enormous difference on a problem affecting every community. It was a huge step forward for the country. Twenty years later, we should cherish and take enormous pride in this achievement -- and finish the job.

Join us on Facebook.com/CNNOpinion.

@highlight

It's been 20 years since the Violence Against Women Act was passed

@highlight

Joe Torre, Esta Soler: Domestic partner violence has declined sharply

@highlight

They says discussion sparked by Ray Rice case shows the problem still is formidable

@highlight

Authors: Take pride in what's been accomplished but we need to finish the job