NSA leaker Edward Snowden accused New Zealand Prime Minister John Key of misleading the public over the country's spying activities, as the nation's explosive election campaign reached a crescendo Monday.

The claims were made at a packed public meeting in Auckland's Town Hall, organized by the German tech entrepreneur Kim Dotcom, that was billed as a "Moment of Truth" for the election campaign. Dotcom had hyped the event as a "game-changer" that could alter the course of this Saturday's general election.

Appearing onstage alongside Dotcom were journalist Glenn Greenwald, who broke the NSA leaks story, lawyer Robert Amsterdam, and Laila Harre, the leader of the political party founded by Dotcom. Snowden, who is evading U.S. authorities in Moscow, and Wikileaks founder Julian Assange, who is confined to Ecuador's embassy in London, spoke via video-link.

Drawing on information contained in Snowden's NSA leaks and elaborating on articles they had published earlier in the day, Snowden and Greenwald said New Zealand was involved in mass electronic surveillance activities as part of the Five Eyes intelligence partnership with the United States, the United Kingdom, Canada and Australia.

The pair said their information showed that New Zealanders were subject to mass electronic surveillance via the "XKeyscore" software tool that New Zealand intelligence agency the Government Communications Security Bureau (GCSB) shared with the NSA.

They claimed this directly contradicted Key's assertion that "there is not, and never has been, mass surveillance of New Zealanders undertaken by the GCSB."

Rather, Snowden wrote: "If you live in New Zealand, you are being watched."

He also claimed during his remarks that the NSA operated two facilities in New Zealand.

READ MORE: What is XKeyscore?

Key said in a statement he would not address the XKeyscore matter, saying "we don't discuss the specific programs the GCSB may, or may not use.

"But the GCSB does not collect mass metadata on New Zealanders, therefore it is clearly not contributing such data to anything or anyone."

Key has previously told reporters that he and the head of GCSB would resign if the spy agency were found to have conducted mass surveillance.

Project 'Speargun'

Greenwald said Key had also misled the New Zealand public when the government was seeking to pass controversial, beefed-up spying laws last year, by giving assurances the new legislation would not allow mass metadata collection on the New Zealand public.

On the contrary, claimed Greenwald, the bill, which narrowly passed into law, was designed to enable just that.

Leaked NSA documents appeared to show that at around the time Key was making his public assurances around the planned legislation, the GCSB was implementing the first phase of a mass surveillance program code-named "Speargun," Greenwald said.

"Speargun," which would have involved tapping into the Southern Cross undersea telecommunications cable to harvest internet data, would have required the expanded laws to operate, and would have constituted "the greatest expansion of GCSB spying activities in decades," he wrote.

The claims prompted the government to acknowledge the existence of plans for the "cable access surveillance program" for the first time.

In a statement, Key said the government had begun work on presenting a business case for the project, described as a "cyber security protection initiative." But the project was ultimately shelved, he said.

"The business case for the highest form of protection was never completed or presented to cabinet and never approved. Put simply, it never happened," he said.

Anthony Briscoe, chief executive of Southern Cross Cables, released a statement saying there was "no facility by the NSA, the GCSB or anyone else on the Southern Cross cable network."

War of words

The conflicting claims over the government's spying activities have sparked a harsh war of words between Key and Greenwald, with the prime minister labeling the latter a "clown" and "Dotcom's little henchman" in remarks to reporters.

"If this loser's going to come to town and try to tell me, five days before an election, staying at the Dotcom mansion... he's doing anything other than Dotcom's bidding? Please don't insult me with that," Key told a radio interviewer.

In response, Greenwald told the Auckland Town Hall audience it was a new experience to arrive in a foreign country and be "publicly maligned and attacked by the nation's head of state using the most adolescent set of epithets imaginable."

He had not been called a loser "since I was, like, 14 years old," he said.

Dotcom in politics

A New Zealand resident since 2010, Dotcom is fighting a battle in New Zealand courts to avoid extradition to the United States, where he faces major criminal copyright charges relating to his now-defunct cloud storage site, Megaupload.

The site is alleged to have facilitated the piracy of hundreds of millions of dollars worth of films and music.

At odds with the government since his 2012 arrest, Dotcom has gradually emerged as a significant player on the fringe of New Zealand politics. While as a non-citizen, he cannot run for office, he has formed a political party, the Internet Party, which has campaigned on a platform of Internet freedom, digital rights and opposing government electronic surveillance.

The party has formed an alliance with the Maori nationalist Mana Party which, on current polling, looks set to win two seats in parliament.

READ MORE: Who is Kim Dotcom?

Dotcom himself was subjected to illegal surveillance by the GCSB prior to his arrest.

The surveillance was unlawful at the time, as the GCSB was not permitted to spy on New Zealand residents, although those laws have since been changed. The seizure of his electronic data by U.S. authorities has also been ruled illegal by a New Zealand court.

In his fight against extradition, Dotcom has argued he is a victim of a conspiracy by the New Zealand and U.S. governments and Hollywood.

He claims his arrest in a military-style police raid over criminal copyright charges is a clear-cut example of prosecutorial overreach, and a case study in the way in which the surveillance state was being harnessed to pursue commercial interests rather than protect citizens from terrorism.

READ MORE -- Kim Dotcom writes: 'Why New Zealand is a slave to U.S. interests'

He has repeatedly outlined his beliefs that the New Zealand government decided to grant him residence in 2010 -- over the objections of intelligence officials -- only in order to facilitate his extradition to the United States.

He claims he was used as a bargaining chip in the New Zealand government's negotiations with Hollywood executives over the filming of "The Hobbit" trilogy. Warner Brothers were threatening to relocate the production of the films in a spat over New Zealand's employment laws, at around the same time in October 2010 at which Dotcom's residency application was being considered.

Key has previously rejected those claims, saying he did not know of Dotcom's existence until more than a year later, immediately prior to his arrest.

Smoking gun?

But in the lead-up to his event Monday night, Dotcom released to the New Zealand Herald newspaper what he claimed was an email between Hollywood executives which backed his version of events.

He gave no account of the email's provenance, but the newspaper reported it the email was one of the main bombshells Dotcom had planned for his "Moment of Truth" event.

Dated October 27, 2010, it purports to be from Warner Brothers chairman and chief executive Kevin Tsujihara to a senior executive at the Motion Picture Association of America, the lobby group for Hollywood studios.

Titled "MegaRIP," the purported email read:

"We had a really good meeting with the Prime Minister. He's a fan and we're getting what we came for. Your groundwork in New Zealand is paying off. I see strong support for our anti-piracy effort.

"John Key told me in private that they are granting Dotcom residency despite pushback from officials about his criminal past. His AG will do everything in his power to assist us with our case. VIP treatment and then a one-way ticket to Virginia."

But Warner Brothers, the MPAA and Key's office all rejected the email's authenticity.

"Kevin Tsujihara did not write or send the alleged email, and he never had any such conversation with Prime Minister Key," Paul McGuire, Warner Brothers' senior vice president of worldwide corporate communications, told CNN via email.

Warner Brothers is owned by Time Warner which also owns Turner Broadcasting, the parent company of CNN.

Key released a statement saying: "The conversation allegedly reported on in the email did not take place. People will see this for what it is."

Dotcom did not raise the subject of the email during the Town Hall event, and did not address questions on it at a subsequent press conference, other than to say he believed it "to be 100 per cent true."

Hone Harawira, the leader of the Mana Party, has lodged a complaint with parliament's Speaker to investigate the email.

'Dirty politics'

New Zealand's election campaign has been unusually controversial this year.

While Key's National Party has a strong lead in the polls, it has been hit by a string of scandals, following the publication of a book alleging the government was outsourcing its political smears to a controversial "attack blogger."

The affair led to the resignation of a senior minister and two official inquiries being launched into allegations raised.

READ MORE: 'House of Cards' in the South Pacific: New Zealand's dirty election campaign

@highlight

NSA leaker Edward Snowden accused NZ PM John Key of misleading public over spying

@highlight

He was speaking at an event organized by Kim Dotcom billed as the election's "moment of truth"

@highlight

Dotcom is battling extradition on U.S. copyright charges and has formed a political party

@highlight

Dotcom was the subject of unlawful surveillance by a NZ intelligence agency