Jakarta, Indonesia (CNN) -- Millions of Indonesians cast their ballot for their next president in a neck-and-neck race between Joko "Jokowi" Widodo, a former furniture businessman who has drawn comparisons to U.S. President Barack Obama, and Prabowo Subianto, a well-connected former military man.

Official results may take two to three weeks. Unofficial quick counts showed a slight edge for Widodo.

One survey group, Lingkaran Survei Indonesia, showed 53.3% for Widodo and 46.7% for Prabowo with 99% of its data, and another group, Center for Strategic International Studies reported 52% for Widodo over 48% for Prabowo, with 95% of its data. Another independent survey group, Saiful Mujani Research and Consulting indicated 52-53% for Jokowi over Prabowo's 46% with 99% of data.

Quick counts in Indonesia are usually accurate with a slim 1-2% margin of error, said Kevin Evans, a political analyst. Unlike previous Indonesian elections though, this race is a tight one.

"Officially it will take us a few weeks to know if we are the actual winner so it must be official," Prabowo told CNN.

"I am very confident, very confident," he said after voting. "You saw how enthusiastic the people are, how happy they are. Of course, this is my home village but most of the reports I get from all over Indonesia, we are doing very well."

Over 185 million eligible voters across 17,000 Indonesian islands were eligible to vote.

The campaign

Both candidates have been dogged by allegations leading up to voting day for the world's most populous Muslim nation.

Earlier this year, Widodo had enjoyed double-digit lead in polls only to watch that advantage erode following smear campaigns suggesting that he is of Chinese descent, or even a Christian -- a deal breaker for many in this Muslim-majority nation. Prabowo, a career military man, had not been able shake off persistent questions about his human rights record.

The current president, Susilo Bambang Yudhoyono, will end his 10-year tenure, as Indonesian law prohibits a third term. Yudhoyono leaves office with sagging popularity as growing violence against religious minorities and high-profile scandals tarnished his presidential legacy.

Voters are looking for firm leadership that they haven't received under the current president, said Douglas Ramage, an analyst from Bower's Asia Group.

The next president will be inaugurated on October 20.

The economy question

Yudhoyono leaves behind a slowing economy hampered by trade and budget deficits. The first and foremost issue -- like all elections -- is the economy.

Indonesia's economy has slowed to 5-6% growth, which the World Bank says is not enough to provide jobs for the 15 million Indonesians joining the work force.

The two candidates have touted the usual talking points, pledging economic growth, more jobs and better infrastructure.

"It has the people, it has the resources, it has favorable demographics, it has rapid urbanization and it has a rising middle class," said Ndiame Diop, the World Bank lead economist for Indonesia. "And it has very good macro-economic management. I think those are ingredients that really lift the country."

But there are concerns over whether the next leader will cut roughly $30 billion in annual energy subsidies. Analysts also worry over a rise of protectionism within the country.

"Both candidates believe Indonesia deserves a bigger share of their national wealth," Ramage said. "Both candidates are presenting a more inward-looking vision of Indonesia."

"Prabowo might be giving voters what they want to hear: a version of a muscular and assertive Indonesia whose wealth has flowed out of Indonesia and been seized by foreign countries. That message may be resonating with voters."

Questions over Prabowo

Prabowo, a former son-in-law of Indonesian president Suharto, has sought to project an image of a take-charge leader. Having never served in public office, the former lieutenant general has campaigned hard on his military service.

And that has appealed to the nation which has had a history of military leaders.

"I think Prabowo has the character of a firm leader and at this point what Indonesia needs is a leader who is very strong," said Budi Satria, an Indonesian voter. "When I say firm, it doesn't mean someone who just speaks loudly, but someone who is decisive."

Prabowo's military record has made him subject of scrutiny for his alleged involvements in controversial campaigns in East Timor, West Papua and a crackdown on pro-democracy activists in 1998. He was removed from his military post that year.

In 2000, Prabowo was denied a visa to the United States, believed to stem from his human rights record.

He has defended his record, describing himself as "the staunchest human rights defender in this country."

It hasn't swayed Andreas Harsono, human rights researcher based in Jakarta.

"Of course he makes statements about human rights, but it is murky," said Harsono of Human Rights Watch. "Someone who is accused of making human rights abuses and fired from his job as a general, now talking about human rights, is problematic."

One Indonesian poll indicated about a third of voters know about the human rights questions pertaining to Prabowo.

"I do think that human rights and the question over Prabowo's record has made impact on voters, particularly on swing voters' or undecided voters' political behavior," said Usman Hamid, a former student activist in 1998 and masters candidate at Australian National University.

Economic class schisms

Earlier this year, Widodo appeared to be a virtual lock for the presidency as he enjoyed double-digit leads in various polls.

As a political newcomer to the national stage, he climbed the ranks as mayor of Surakarta to become Jakarta governor. Projecting an image as a reformer, he became known for his spontaneous visits to slums, which drew media attention, and unannounced drop-ins at government offices to catch under-performing workers.

"We want to see this election proceed in a clean, honest way so that it can produce a clean and honest leader who is willing to serve the people," he told CNN.

As the campaign wore into the summer, Widodo's polling numbers took a hit.

"The Prabowo camp has been effective at negatively defining Jokowi as weak on policy substance and basically not ready for the national stage," Ramage said. "In campaigns, you have to define your opponent first, and Prabowo did that very effectively."

The bulk of his support came from the poorer Indonesians.

"I choose Jokowi because I can see that he cares for the poor and marginalized," said Wulan, an Indonesian voter in Jakarta.

Meanwhile, the bulk of Indonesia's upper class tends to back Prabowo, according to polling data. But the race may boil down to swing voters.

"The 15% swing voters will be crucial, said Hamdi Muluk, a University of Indonesia professor who specializes in political psychology. "These voters, they come from the middle class, they're very skeptical and more knowledgeable... it's the key to win the election."

CNN's Kathy Quiano reported from Jakarta and Madison Park repoted and wrote from Hong Kong. Intern Casey Tolan contributed to this article.

@highlight

Unofficial quick counts show slight edge for "Jokowi" Widodo over Prabowo Subianto

@highlight

185 million voters eligible to decide president of Indonesia for next five years

@highlight

Middle class swing voters key to who wins the presidency