(CNN) -- A lot of people don't pay close attention to midterm elections. They are not as exciting as the presidential campaigns, and most Americans are just not interested in the ups and downs of individual members of Congress.

But the last midterm that a president faces matter very much.

President Obama knows more than anyone that he has much at stake in the midterm elections. If Republicans are able to regain control of the Senate while retaining their majority in the House in November, they will have two years to inflict significant damage on the administration's agenda and set the terms of debate for the 2016 election.

Republicans have already been remarkably successful at using their standing in Congress to cause problems for President Obama. Even though Democrats have controlled the Senate, House Republicans have stood as an impenetrable barrier against almost any substantial legislation and used the lower chamber as a platform to keep public attention focused on deficit reduction. If they can grab hold of the Senate as well, their power will vastly increase.

Lame-duck presidents have repeatedly seen the ways in which an opposition Congress can be used as a battering ram against the White House.

During the late 1950s, the enormously popular Dwight Eisenhower learned this the hard way. In the 1958 midterm elections, Democrats, who already controlled Congress, vastly increased the size of their majorities in both chambers. Most importantly, the number of Northern liberals grew to counteract the power of Southern conservative Democrats. Liberals used the next two years to put forward a huge array of proposals—ranging from medical care for the elderly to civil rights—that liberalized the political conversation.

President Eisenhower, who was focused on balancing the budget and cutting federal spending, had little success holding back this idealistic bunch. Although they didn't have much legislative success before John F. Kennedy and Lyndon Johnson arrived in the White House, congressional Democrats were able to set the agenda for the next decade, with many of their ideas culminating in the Great Society.

One of the most influential presidents of the 20th century, Ronald Reagan, learned about his diminishing clout after the 1986 midterm elections, when Democrats retook control of the Senate (which they had lost in the 1980 election) and retained control of the House.

Between 1987 and 1989, Democrats used their power in Congress to finally hit back against the conservative revolution. With powerful Speaker James Wright at the helm in the House, Democrats obtained a budget deal that increased taxes and preserved most key domestic spending. They also expanded Medicare and built pressure for clean air initiatives. On foreign policy, they launched a devastating investigation into the Iran-Contra scandal that severely damaged President Reagan's reputation, while working on a peace plan for Nicaragua, a country that had been a focus of Reagan's anti-Communist efforts.

If anyone survived the lame-duck blues it was President Bill Clinton.

In the 1998 midterm elections, Republicans defied historical trends and suffered losses in the House. Undeterred, they managed to impeach Clinton on December 19, 1998. In the months that followed, Clinton was able to avoid conviction because the Senate refused to move forward with the decision of their counterparts. Over the next couple of years, Republicans suffered as much as Clinton, as there was a backlash against what they had done. Clinton watched his approval ratings soar while the booming economy continued to lift the president's spirits.

Nonetheless, Republicans still had considerable clout through their congressional base. They continued to keep the public agenda focused on deficit reduction and spending cuts and offered almost no space for Clinton to pursue any major domestic initiatives. Clinton's presidency—even with his popularity and a booming economy—sputtered in its final moments with Republicans making sure that no policy-making opportunities emerged at the end for him to build his legacy.

Nobody understood how that lame duck period could really hurt like President George W. Bush. At the height of power after his 2004 defeat of John Kerry, Bush struggled after Democrats regained control of Congress in 2006. Democrats used the next two years to get their bills through Congress, including an economic stimulus package, ethics reform, a higher minimum wage and energy legislation that raised fuel efficiency standards. They also mounted enormous pressure on the administration to change course in Iraq -- which the President did with the announcement of the surge in 2007—and blocked any hope that existed for him to pursue spending cuts.

The midterms this November will matter a great deal. If Republicans win control of the Senate, President Obama will be in for some tough times. Some Democrats have complained that the White House has not been doing enough to provide assistance in the midterms. If that accusation is true, the White House might want to rethink its strategy given the important two years that lay ahead.

@highlight

Julian Zelizer: The last midterm election that a president faces matters very much

@highlight

Zelizer: If GOP gains control of Senate and retains control of House, its power increases

@highlight

He says President Obama might turn into a lame-duck president with little clout

@highlight

Zelizer: If Democrats lose the Senate in November, Obama will accomplish little