(CNN) -- When President Obama proposed his stimulus in January 2009, the economy was in a freefall, losing more than 700,000 jobs a month. The immediate cause of the plunge was the freezing up of the financial system after the collapse of Lehman Brothers, but the deeper cause was the loss of demand after the collapse of the housing bubble.

The bubble had been driving the economy both directly and indirectly. The unprecedented run-up in house prices led to a record rate of construction, with about 2 million homes built at the peak in 2005.

In addition, the $8 trillion in housing equity created by the bubble led to an enormous consumption boom. People saw little reason to save for retirement when their home was doing it for them. The banks also made it very easy to borrow against bubble-generated equity, which many people did. As a result, the personal saving rate fell to 3% in the years 2002-07.

The bubble also indirectly enriched state and local governments with higher tax revenue. And there was a mini-bubble in nonresidential real estate, but that came to an end in 2008 as well.

The economy had already been in recession for nine months before the collapse of Lehman because the bubble was deflating, but the Lehman bankruptcy hugely accelerated the pace of decline. This was the context in which Obama planned his stimulus package before he even entered the White House.

At that point, most economists still did not recognize the severity of the downturn, just as they had not seen the dangers of the housing bubble that had been building over the previous six years.

The Congressional Budget Office projections, which were very much in the mainstream of the economics profession, showed a combined drop in GDP for 2008 and 2009 of 1%, before the economy resumed growth again in 2010. This is with no stimulus. By contrast, the economy actually shrank by 3.1% in those years, even with the stimulus beginning to kick in by the spring of 2009.

Given this background, it was easy to see that the stimulus was far too small. It was designed to create about 3 million jobs, which might have been adequate given the Budget Office projections. Since the package Congress approved was considerably smaller than the one requested, the final version probably created about 2 million jobs. This was a very important boost to the economy at the time, but we needed 10 million to 12 million jobs to make up for jobs lost to the collapse of the bubble.

The arithmetic on this is straightforward. With the collapse of the bubble, we suddenly had a huge glut of unsold homes. As a result, housing construction plunged from record highs to 50-year lows. The loss in annual construction demand was more than $600 billion. Similarly, the loss of $8 trillion in housing equity sent consumption plunging. People no longer had equity in their homes against which to borrow, and even the people who did would face considerably tougher lending conditions. The drop in annual consumption was on the order of $500 billion.

The collapse of the bubble in nonresidential real estate cost the economy another $150 billion in annual demand, as did the cutbacks in state and local government spending as a result of lost tax revenue. This brings the loss in annual demand as a result of the collapse of the bubble to $1.4 trillion.

Compared with this loss of private sector demand, the stimulus was about $700 billion, excluding some technical tax fixes that are done every year and have nothing to do with stimulus. Roughly $300 billion of this was for 2009 and another $300 billion for 2010, with the rest of the spending spread over later years.

In other words, we were trying offset a loss of $1.4 trillion in annual demand with a stimulus package of $300 billion a year. Surprise! This was not enough.

That is not 20/20 hindsight; some of us were yelling this as loudly as we could at the time. It was easy to see that the stimulus package was not large enough to make up for the massive shortfall in private sector demand. It was going to leave millions unemployed and an economy still operating far below its potential level of output.

We are still facing the consequences of an inadequate stimulus. The reality is that we have no simple formula for getting the private sector to replace the demand lost from the collapse of the bubble.

Contrary to what Republican politicians tell us, private businesses don't run out and create jobs just because we throw tax breaks at them and profess our love. If the government doesn't create demand, then we will be doomed to a long period of high unemployment -- just as we saw in the Great Depression. The government could fill the demand gap by spending on infrastructure, education and other areas, but in a political world where higher spending is strictly verboten, that doesn't seem likely.

The one alternative, which has been successfully pursued by Germany, is to reduce the supply of labor through work sharing. Companies reduce all their employees' hours and pay so everyone keeps their jobs. The government then pays the workers part-time unemployment benefits -- cheaper than paying someone full-time unemployment.

Germans have used this route to lower their unemployment rate to 5.2%, even though their nation's growth has been slower than ours.

Some bipartisan baby steps have been taken in this direction; we will need much more if we are to get back to near full employment any time soon. In a world where politics makes further stimulus impossible, work sharing is our best hope.

The opinions expressed in this commentary are solely those of Dean Baker.

@highlight

Dean Baker: When stimulus began five years ago, we were losing 700,000 jobs a month

@highlight

Baker: Underlying cause of the recession was the utter collapse of the housing bubble

@highlight

He says economy lost $8 trillion in housing equity as well as construction jobs, tax revenue

@highlight

Baker: $300 billion a year stimulus is pittance against loss of $1.4 trillion in annual demand