Havana, Cuba (CNN) -- Ernest Hemingway hasn't lived here in over 50 years but Finca Vigia is still his home.

In the garden there's his boat "the Pilar" used to hunt marlin and then Nazi subs off Cuba during World War II. Scrawled on a bathroom wall next to a scale are the daily records of what the writer weighed.

Lizards and frogs he caught rest in jars filled with formaldehyde. Antelopes and buffalo heads taken as trophies from African safaris decorate the walls. Yellowing Time and The Field magazines are still on the shelves.

Now a museum, a visitor to Finca Vigia or "lookout farm," could be mistaken for thinking Hemingway might walk in the door at any second.

"Our philosophy was to recover the environment and surroundings," said Ada Rosa Alfonso Rosales, the museum's curator. "This was not just a mere house, this was his home."

Hemingway lived in the home on a hilltop on the outskirts of Havana from 1939 to 1960. The years were pivotal ones for the famed American writer and for his adopted home of Cuba.

Life.com: Ernest Hemingway's life in photos

In 1953, Hemingway won the Pulitzer Prize for his book the "Old Man and the Sea" about an aging Cuban fisherman's epic duel with a marlin. Six years later revolutionaries led by Fidel Castro took control of the island, leading to the eventual breakdown in relations with the United States.

Battling depression, Hemingway killed himself in Ketchum, Idaho in 1961. Even though the Finca Vigia receives over 40,000 visitors a year, the house nearly fell victim to Cuba's unforgiving environment.

"This is a very humid climate," Alfonso said. "We're on top of a hill where winds and even hurricanes batter the house."

In 2005, the National Trust for Historic Preservation called the house "a preservation emergency," citing roof leaks and shifting foundations that endangered the house.

One of the people who came to the house's rescue was Jenny Phillips, the granddaughter of Maxwell Perkins, the editor who first pushed for Hemingway's work to be published and worked with the writer for the rest of his life.

"I realized we could help because of my connection to Ernest Hemingway through my grandfather," Phillips said. "That we could bring about a collaboration between the United States and Cuba which after 50 years of embargo little collaboration has happened between the two countries and yet here was this shared cultural legacy, deeply appreciated by the Cuban people and the American people."

Phillips started the Finca Vigia Foundation, navigating the bureaucracies of two countries and restrictions of the U.S. embargo to bring restoration experts to the project.

One of those experts was home improvement icon Bob Vila, who is also Cuban-American.

Vila said helping to save Hemingway's house transcends politics.

"It's the best cultural bridge we could have hoped for between the American people and the Cuban people. And I emphasize people, I am not talking governments," Vila told CNN. "The Cuban people and the American people have a warm relationship that goes back many decades. It's a very important project."

Life.com:  Fidel Castro mingles with celebrities

In $1 million renovation, the Cuban government restored the main house on the property. Curators estimate another $1 million is needed to save a collapsing guest house on the property, repair Hemingway's cracked swimming pool and build a workshop to restore thousands of original documents.

Until then, restorers are carefully packing up Hemingway's letters and writings to protect them from further decay.

"He gathered ideas and wrote about them in the margins in the books," Phillips said. "And that 'marginalia' has never been seen before by scholars outside of Cuba."

Eventually those writings will be digitized and exhibited at the John F. Kennedy Presidential Library in Boston, Massachusetts.

Already, Hemingway's Cuba writings have solved one mystery for Jenny Phillips.

"What I always noticed was that they called each other 'Dear Mr. Perkins, Dear Mr. Hemingway,' she said. "Then one day they started saying 'Dear Max, Dear Ernest." How did that happen?"

A letter from Cuba following Hemingway's father's suicide in 1928 provided the answer.

"Hemingway was extremely distraught," Phillips said. "There's a post-script in that letter, 'For God's sake will you unmister me anyway .' "

"Perkins was quite a bit older than Hemingway," his granddaughter Phillips said, "and who Hemingway felt safe with and nurtured by, so this was a deepening in their relationship."

@highlight

Ernest Hemingway lived at Finca Vigia outside Havana for over 20 years

@highlight

The house, now a museum, receives over 40,000 visitors a year

@highlight

Despite its popularity, Finca Vigia nearly fell victim to Cuba's humid, hurricane-prone environment

@highlight

A team is navigating U.S. embargo restrictions to bring restoration experts to the project