LONDON, England (CNN) -- There is a mathematical reason why the French Open is so different to any other of the Grand Slam tennis tournaments.

Clay courts require a different type of game to grass and hard court surfaces

The Roland Garros tournament is currently being contested, with Rafael Nadal looking for his fifth win in a row, and world number two Roger Federer searching for his first ever French Open title. • Get the latest French Open news

What has brought problems to Federer, and to other greats like Pete Sampras and Boris Becker -- who never won a French Open, is the clay surface on which it is contested.

The maths of the clay surface are distinctly different to grass or hard-court surfaces. All officially recognized courts have a court pace rating (CPR), which rates the "speed" of the court -- and clay courts are at the bottom.

The crushed-brick mixture that constitutes the base of a clay court produces a the highest bounce and most friction of the three surfaces, meaning they have the lowest CPR of all three surface types and are considered as the "slowest". Grass courts are generally have the highest CPR numbers, and are the "fastest" courts.

The CPR numbers give a hint as to whether a ball will bounce higher or lower on a specific surface, and how much friction there is to either slow the ball or allow it to skid on.

An example court pace rating for each surface may be 23 for a clay court, 35 for a hard court and 46 for a grass court.

• Try our special interactive to see how tennis ball bounce on different surfaces »

This number is calculated by considering both horizontal speed and vertical bounce of a tennis ball off a court. The equation used is CPR = SPR + 150 x (0.81-e).

To make more sense of this, the International Tennis Federation, the game's law-makers, have produced a chart which simply matches the coefficient of friction (friction) and coefficient of restitution (bounce) to produce a court pace rating.

But it's not just the bounce and speed of the ball off the clay surface that sets it apart from other courts, and makes the French Open an elusive tournament for some players.

Head of women's tennis at Britain's Lawn Tennis Association (LTA), Nigel Sears, told CNN the slippery nature of the clay surface also set it apart from other types of court.

"The main factor that makes it different is that it's a loose surface. That allows players to slide on it."

The loose surface and different clay characteristics meant the crushed-brick surface required a different game plan, he said.

"Players are a lot further back on the clay surface. If you look at Nadal, his return of service points of contact are different to other surfaces ... on clay he can sit back."

The slower pace and higher bounce also meant big servers like Sampras were negated on clay and certain types of players were better suited to it, Sears said.

"Clay magnifies spin. So the slice is effective on clay ... and you can also produce a lot of top spin. One of the problems Federer has on clay is that he has a single-handed backhand, and Nadal can get so much spin -- so Federer is trying to hit single-handed shots up around his shoulder."

The clay approach was slightly different in women's tennis, however, as some players tended to approach clay matches similar to hard-court games, he said.

Sears said endurance was also a crucial advantage on clay, particularly at Roland Garros.

"You tend to have longer rallies on clay. The French Open is so physical with five-set matches. When somebody faces Nadal to five sets no-one can compete with him physically," he said.

@highlight

Clay, grass and hard tennis court surfaces all produce different bounces

@highlight

The speed and bounce of certain courts can adversely affect a player's game

@highlight

Use the CNN interactive to see how the bounce differs on each surface