(CNN) -- Two advocacy groups filed a federal complaint Tuesday alleging a North Carolina school district's treatment of three Latino families was discriminatory because it did not provide important information in Spanish.

The Southern Poverty Law Center and Advocates for Children's Services, a project of Legal Aid of North Carolina, filed the complaint with the U.S. Department of Justice's Office for Civil Rights.

They say that in the cases of three students and their Spanish-speaking parents, the Wake County Public School System failed to provide documents about the students' suspensions in Spanish.

That meant the parents, who speak limited English, were unable to ask questions or even appeal the suspensions, which discriminated against them on the basis of national origin and violated their civil rights, the groups say.

The school district responded by saying it has many programs in place to support and inform Latino and Spanish-speaking families. It also provided forms in Spanish,including notification of suspension, a form for parents to request information on disciplinary actions, and confirmation that a parent has made an appeal.

The school district has had the Spanish-language forms since the mid-1990s, said Samiha Khanna, spokeswoman for the district's Office of Family and Community Engagement.

After media inquiries about the groups' complaints, Superintendent Tony Tata said last month, "We have been proactively engaging all students and families in the Wake County Public School System, including those in the Latino community." North Carolina's capital, Raleigh, is in Wake County.

He added that "as a district, WCPSS has developed relationships with key community groups, leaders and media partners to support the needs of our Spanish-speaking families."

The district has several measures to help Spanish-speaking families understand school policies, including Spanish-language parental training, explanation of policies through Spanish-language media and bilingual customer service representatives.

The advocacy groups said the Spanish-language forms did not help the three families in these cases.

"Whether they gave these parents the blank forms themselves in Spanish, in no instances in these cases did they provide the form in writing with individualized information about their students in Spanish," said Sean Driscoll, spokesman for Legal Aid of North Carolina. "They may have given them the form, but the form didn't include the individualized information about their students in Spanish."

Jerri Katzerman, the deputy legal director for the Southern Poverty Law Center, also said the Spanish-language forms are often filled in using English, with descriptive information about students left out.

"It's inadequate, and it certainly doesn't benefit the family who's trying to participate in the child's education," she said.

"These are the absolute core and key responsibilities of a school system," she added, especially because of the number of Latino and Spanish-speaking families in the Wake County district.

Latino students comprise 15% of the district's student population, the advocacy groups said, and students with parents who speak limited English are 7.5%.

As part of the same complaint, the Southern Poverty Law Center is also representing an unidentified class of students and their families with the same allegation of discrimination, Katzerman said.

The three students specifically represented by the advocacy groups, who are identified only by their initials, were all recommended for long-term suspensions and have mothers who speak limited English, the groups said.

The first case is that of a 12-year-old with a learning disability. The school's information about his suspension was in English, so the student's mother didn't know she could appeal, the groups said.

The second student was a ninth-grader, also with a learning disability. After she was accused of smoking marijuana on campus, the school recommended she be suspended for the rest of the school year.

The girl's mother could not understand the assistant principal when he called to discuss her daughter's suspension, and the mother was unable to ask questions, the groups said. Letters about her daughter's disciplinary actions were also in English, they said.

In the third case, the student was suspended after being accused of marijuana possession, and the notice of his suspension was sent to the student's mother in English only. The mother wanted to appeal but wasn't given information in Spanish about her son's alleged offense. The mother also requested her son be tested for special education services, but all of the written information about his eligibility was in English, they said.

By the time the mother managed to appeal her son's suspension, he had been out of school for more than three weeks because the mother had missed the deadline because of her limited English, the groups said.

@highlight

Complaint filed against school district in Wake County, North Carolina

@highlight

They say the district gave English forms to Spanish-speaking families

@highlight

They filed a complaint with the U.S. Department of Education

@highlight

The district says it has Spanish forms and outreach programs