(CNN) -- Whether you're looking for culture or just a reason to party, you'll want to make sure these European destinations are on your radar in 2013.

Thanks to a slew of new galleries, hotels and museums paired with festivals, fairs and more, there's plenty to keep you busy across the Continent in the coming year.

CNN's 2013 travel wish list

Corsica, France

It's France, but not as we know it.

A petite island a couple of hundred kilometers from the French mainland, Corsica flies under the radar for the most part -- and that's part of its appeal.

Hillside Mediterranean towns are blissfully crowd-free compared to the streets of tourist hot spots like Cannes and Nice, and you'll have most beaches entirely to yourself.

5 places to find France in North America

Still, the real draw in 2013 will be thousands of men clad in Lycra.

For the first time in history, Corsica will host a leg of the Tour de France (June 29-July 21).

More than that, it will hold the opening of the event, celebrating the race's 100th year with pomp and ceremony -- and some serious cycling.

The 3,360-kilometer race weaves across the country until it reaches Paris, where the pedaling culminates against the backdrop of a floodlit Arc de Triomphe.

Lonely Planet's top U.S. travel destinations for 2013

Liverpool, England

If you've heard Liverpool mentioned only in reference to its football club, you're missing out.

Besides London, it's arguably the most exciting destination in England at the moment, offering plenty of reasons to party well into the New Year.

Having just celebrated the 50th anniversary of The Beatles' first record -- the Fab Four formed here in 1960 -- Liverpudlians are looking forward to another installment of International Beatle Week in August, commemorating the music and lives of one of the most influential pop groups of all time.

The festivities continue at the freshly minted Museum of Liverpool, where a new theater (opening in early 2013) will host music and drama events alongside insightful exhibitions and film screenings, many of them free.

Museum of Liverpool, Pier Head, Liverpool Waterfront, Liverpool, England; +44 (0) 151 478 4545; www.liverpoolmuseums.org.uk

8 travel resolutions for 2013

Reykjavik, Iceland

The fact that it's one of the most affordable destinations in Europe aside, Iceland's capital is cool on many levels.

Kissing latitude 67 degrees north, the isolated island of volcanoes and glaciers is home to equal urban drama: the Harpa Reykjavík Concert Hall and Conference Centre opened here not long ago and is now the official home of the Icelandic Opera and Iceland Symphony Orchestra.

Local favorite Björk has also been known to belt out a tune or two in the shimmering glass-clad building, embedded with colored LED strips.

While the glowing hall is pretty, it's hard to beat the lights in the night sky. Until April, Reykjavik and much of northern Europe are forecast to be treated to some of the best showings of the Aurora Borealis in history.

The Winter Lights Festival (February 7-10) will bring music, performances and food to help you get in the mood.

Harpa Reykjavík Concert Hall and Conference Centre, Ingólfsgarður Austurbakki 2, 101 Reykjavik, Iceland; +354 (0) 528 5050; en.harpa.is

Wishes for smooth journeys in the new year

Istanbul, Turkey

Turkey's biggest city delights visitors with some of Europe's hippest hotels and boutiques, not to mention a booming contemporary arts scene.

In 2013, Istanbul will host a handful of forward-thinking fetes, including the inaugural edition of Art Istanbul International at the Haskoy Yarn Factory (September 14-17), showcasing exciting new works from Turkey, the Middle East and beyond.

September also heralds the larger Istanbul Biennial (September 14-November 10), curated by renowned critic Fulya Erdemci.

Creative hoteliers are flocking to the city in response, which means that visitors can look forward to 2013 outposts from the likes of Shangri-La, Raffles and Hilton, among others.

Haskoy Yarn Factory, Kırmızı Minare Sokak 7-11, Sütlüce, Beyoğlu, Istanbul, Turkey; no tel; no website.

A sweet tour of Istanbul

Innsbruck, Austria

The Austrian capital may steal the spotlight from the rest of the country -- let's face it, Vienna is one beautiful city -- but Innsbruck deserves a place in the sun.

Encircled by the Alps, the city offers the ultimate access to some of Europe's best ski fields: hop on a funicular in town, zip past jaw-dropping railway stations designed by Zaha Hadid and you'll find yourself flying down untrammeled snow in no time.

Visit early in the year and you'll share the slopes with the world's snowboarding elite for the 20th edition of the Billabong Air & Style (February 1-2).

White stuff aside, Innsbruck offers equal allure during its warmer months, when visitors jump on bikes and cycle between historic hillside towns.

Crete, Greece

It may be one of the largest islands in the Mediterranean, but Crete offers plenty of intimate experiences, plus plenty of reasons to party -- the island is celebrating a century of union with Greece in December 2013.

Away from the blissful beach resorts, still extremely good value thanks to the country's recent economic woes, chilling of another kind is in full swing.

Crete is developing a reputation as one of the region's finest wine producers, with a growing catalog of extremely drinkable native grape varieties: Vilana and Vidiano, Dafni and Kotsifali, Mandilari and Thrapsathiri.

The best bit? Many of the vineyards are wedged between languid towns where predictably good tavernas dish up uncomplicated, but classic, Cretan fare for a handful of euros.

Helsinki, Finland

The World Design Capital in 2012, Helsinki continues to push creative boundaries.

In Narinkka Square, the freshly minted Kamppi Chapel of Silence resembles a wooden egg, dressed in fir and with a halo-shaped skylight beneath which you can sneak a moment of quiet contemplation.

Another eye-opening building will soon feature pine, larch and spruce rooms: the upcoming Kulttuurisauna will be the first public sauna to open in the city in some 50 years.

And on the outskirts of Helsinki in Espoo, the WeeGee Exhibition Centre is now home to The Futuro, an elliptical plastic house showcasing the space-age architecture and design of the late 1960s.

An equal spectacle will unfold at sea in 2013 when Helsinki hosts the Tall Ship Races for four days (July 17-20), welcoming more than 100 imposing vessels on their voyage from Denmark to Poland.

WeeGee Exhibition Centre, Ahertajantie 5, Espoo, Finland; +358 (0) 9 8163 1818; www.weegee.fi

Belfast, Northern Ireland

Near, far, wherever you are, you've no doubt heard a lot about Belfast -- and the legendary cruise liner it launched.

The ill-fated Titanic, which went down just over a century ago on April 15, 1912, was built and floated in Belfast and you can still visit the old Harland and Wolff Shipyard where the luxurious vessel was brought to life.

Today, the area has been reinvented as the Titanic Quarter -- Europe's largest urban regeneration scheme -- and is now home to the spectacular Titanic Belfast complex.

Newly opened, the space showcases an impressive collection of memorabilia, taking you from the conception to the destruction of the ship, and also hosts activities for the Titanic Belfast Festival (April 2013).

If that doesn't float your boat, book in for one of Titanic Walking Tours' excursions, where you'll learn yet more about the Titanic and how it changed the city forever.

Titanic Belfast, Queen's Road, Titanic Quarter, Belfast, Northern Ireland; +44 (0) 28 9076 6386; www.titanicbelfast.com

Amsterdam, Netherlands

It's a bit obvious as a Euro hot spot, but there is a reason -- well, there are many -- why Amsterdam is a must-visit in 2013.

For a start, the Rijksmuseum will open once again on April 13, welcoming visitors after 10 years of renovations.

Highlights of the made-over space will include a dazzling new pavilion dedicated to Asian art, as well as lighter, brighter and impeccably restored halls, cupolas and galleries.

Other milestones over the course of the year include the reopening of the Van Gogh Museum (April 25), just in time to mark Vincent's 160th birthday and the gallery's 40th, and the 400th anniversary of the city's canal ring, which was added to the World Heritage List in 2010.

Celebrations will be in order.

Rijksmuseum, Jan Luijkenstraat 1, Amsterdam, Netherlands; +31 (0) 20 674 7000; www.rijksmuseum.nl

Van Gogh Museum, Amstel 51, Amsterdam, Netherlands; +31 (0) 20 570 52 00; www.vangoghmuseum.nl

Berlin, Germany

Come October 2013, Berlin will be much easier to fly into, thanks to the highly anticipated (and well overdue) opening of the Brandenburg Airport, replacing three other airports at a cost of more than €4.2 billion (US$5.4 billion).

Needless to say, it will be one of the most modern terminal buildings in the world.

And when you do finally touch down you'll be pleasantly surprised to find that Berlin is home to some of the most affordable five-star hotels in the world at the moment.

Newcomers to look out for include the 232-room Waldorf Astoria Berlin (opening February), as well as boutique properties Bikini Berlin and Leonardo Hotel Berlin Mitte. The Waldorf will be part of a large retail complex with upscale boutiques, a cinema and office space and will feature a spacious rooftop terrace and bar.

The Leonardo will resemble a glass-and-metal pyramid and has been designed by notable German architect Eike Becker.

Got a favorite or must-hit European destination? Please share your suggestions in the comments.

@highlight

Corsica is set to host part of the Tour de France for the first time in 2013

@highlight

The Rijksmuseum in Amsterdam is reopening in April after a 10-year renovation

@highlight

Berlin is set to open a handful of luxury hotels

@highlight

Istanbul will host the inaugural edition of Art Istanbul International