(CNN) -- Sometimes the hardest thing is to say "no" to a friend. All the more reason to applaud the bravery of Lee Saunders and the American Federation of State, County and Municipal Employees.

A few months ago, the United Negro College Fund accepted a $25 million grant from Charles and David Koch to support scholarships for minority students. It raised more than a few eyebrows. After all, everyone -- including me -- reveres the college fund. Its contribution to the cause of equal opportunity is legendary.

But few people still alive have done more to promote policies that hurt African-Americans than the Koch brothers.

The Koch brothers are one of the most prominent funders of organizations that work to restrict early voting and registration and effectively disenfranchise African-Americans. They oppose the minimum wage, which would disproportionately help black workers. They are spending millions to lie to the public about climate disruption, which hurts the most vulnerable communities first.

In other words, the Koch brothers' agenda is great for African-Americans -- so long as we do not want to vote, make a living or avoid our homes being swept away in a flood.

It is one thing to accept money from dubious sources. One could argue -- convincingly -- that the college fund was taking money from a bad source and doing something good with it.

But the breaking point came a few weeks ago when United Negro College Fund President Michael Lomax appeared at a Koch brothers' retreat in California. The public stated purpose of this event was to build support for the Koch brothers' various political causes. The moment he stepped through the door, Lomax lent the his organization's good name to a radical agenda that causes untold damage to African-Americans.

All this was too much for AFSCME, a predominantly African-American union with a long civil rights track record that had partnered with the United Negro College Fund for years in giving out scholarships. Last month, Saunders sent Lomax a letter ending their partnership.

It was a tough decision, no doubt -- but it was the right one. (Full disclosure: AFSCME once made a donation to Rebuild the Dream, an organization that I lead.)

I am all for education. That is one of the reasons I helped start #YesWeCode, an initiative to teach computer science to black, brown and low-income young people. I am the first to point out how much brilliance and creativity our nation is losing by failing to uplift youth from low-opportunity backgrounds. That's why I am usually such a huge fan of the United Negro College Fund.

But the Koch money seems to have come with strings attached. The funds are earmarked only for young people with "an interest in the study of how entrepreneurship, economics, and innovation contribute to well-being for individuals, communities, and society." To many, that sounds like the Koch brothers are restricting the funds only to students who adopt the Koch's economic and political views. Koch representatives will even help choose which students qualify for scholarships.

It is also worth noting that AFSCME did not end its support for minority scholarships. The union will still give just as much money to young scholars as it always has -- just through other channels. It is simply choosing not to partner with a group that is lending a helping hand to those whose political views most African-Americans detest.

After all, according to documents reported by The Progressive and the Center for Media and Discovery, Charles Koch was once a member of the John Birch Society, the far-right group that so opposed the civil rights movement that it declared the Rev. Martin Luther King Jr. a communist. And that one of the speakers at the Koch retreat was Charles Murray of the notorious "The Bell Curve," a book he co-authored that argued blacks and Latinos were innately less intelligent than whites and Asians, and to blame for every social injustice they face.

Endorsing these views in exchange for scholarship funding is not worth it. It is not two steps forward, one step back. It is half a step forward, then go sit in the back of the bus.

Lomax and the United Negro College Fund may not agree. Conservatives definitely do not -- Rush Limbaugh tactfully likened the college fund to slaves and AFSCME to slaveholders. But AFSCME has an obligation to its members not to align itself with this kind of behavior.

It is harder to say "no" to a friend than an enemy. But in this case, the hard path was also the right one.

@highlight

The United Negro College Fund accepted $25 million from Koch brothers to use for scholarships

@highlight

Van Jones: Koch brothers fund, promote policies destructive to African-Americans

@highlight

Union that worked with United Negro College Fund decided to break ties as a result

@highlight

Jones agrees with union, says college fund chief going to Koch retreat was wrong