London (CNN) -- Built on a temporary site and made entirely from recycled shipping containers, London's latest retail park lays claim to be the world's first ever "pop-up" shopping mall.

The aptly-named "Boxpark" opened for business today along a vacant strip of east London's fashionable Shoreditch High Street. It is composed of 60 standard-size shipping containers, stacked two stories high and five rows wide.

The park, which has taken a year to complete, is the brainchild of British entrepreneur Roger Wade, who made his fortune in the 1990s with another box-themed venture -- the urban fashion label "Boxfresh."

"These containers have a strong symbolism for me," says Wade, during an interview inside one of the site's impressively refitted "shoebox" shops.

"When I first started out selling clothes on a market stall, I dreamed of the day I'd be shipping my wares off to Hong Kong inside one of these," he remarks. "Now I think it's fitting that something so closely associated with global trade has ended up itself as a shop."

But while Wade spends time enthusing about his love of the iconic sea cans' "industrial aesthetic"-- he's also keen to stress that the Boxpark, which has a temporary lease of five years, is more than just a hip new retail experience.

"This is probably the most environmentally friendly shopping mall ever built," he says.

Despite the fact that the park does not boast sophisticated insulating technology or even a small array of solar panels, the simple fact that it's made from recycled materials adds credibility to Wade's claim.

"When people talk about the energy efficiency of buildings, they tend to focus on operational carbon emissions. That is to say, how much energy the building consumes once it's up and running," says Anna Surgenor, senior technical adviser at the UK's Green Building Council.

"But what often gets overlooked are the 'embodied' carbon emissions -- all the carbon released into the atmosphere when the building materials were manufactured in the first place," she adds.

Surgenor illustrates her point by way of the Angel Building in London which, she says, saved 7,400 tons of embodied CO2 by retaining and adapting the existing concrete structure of the site's previous building.

"This saving is equal to approximately 13 years of operational energy use," she notes.

According to a 2008 UK government report on low-carbon construction, the manufacture of building materials for use in the UK creates 45.2 million tons of CO2 emissions a year, equal to roughly 7% of the country's total emissions.

And carbon's not the only thing to impact the environment when it comes to the sourcing and manufacture of building materials.

"Chopping down timber, polluting water streams, degrading the landscape by digging up mines ... all these things affect biodiversity and harm the environment," says Surgenor. "This is why it's so important architects think about how they can use recycled materials during the design process."

Back at the park, a frenzy of journalists are sampling tasters from rows of boutique eateries, coffee shops and a juice bar, each with colorfully decorated interiors that belie their miniature scale.

"The great thing is, if one of these shops doesn't feel it's getting the most out of this location, they can potentially move to another part of the country with a vacant bit of land, without having to close down or dismantle a thing," says Wade.

For him, the park represents a convenient alliance of economy and ecology, providing a cheap exciting retail space without extensive plundering of resources.

"Also, after five years, we'll return the land back to its owners in exactly the same condition as we got it, and then the community can decide if it wants a more permanent retail space there," he says.

While the Boxpark may be the first "pop-up" shopping mall made from shipping containers, it's certainly not the first building project to capitalize on their structural appeal.

"There are about 400 established architectural projects making use of shipping containers around the world," says Slovenian architect Jure Kotnik, who has written two books on the subject and is curating an international exhibition on "container architecture" currently on display at the AIA in Seattle.

"From Volvo, Puma, Rolex, Nike to Ikea -- loads of big names have been turning shipping containers into shops or spaces that they think will enhance their brand image," says Kotnik. "I think in part because it is a universal symbol ... it's also become increasingly cool."

The 31-year-old architect believes that the containers have an inherently strong associated link with architecture. "They resemble building blocks, and when they're stacked up along the port in little towers, it creates a neighborhood feel."

According to Kotnik, containers have been used for decades as makeshift residences and market shops in places like Africa, but it's only in the last 10 years that architects have "added value" by creating high concept designs out of them.

"In some ways I'm surprised it's taken the mainstream architectural community so long to utilize containers in this way -- as their modular, standardized shape lends itself so well for creating interesting buildings," he says.

Kotnik imagines that there will soon be more sustainable building materials available on the market and that this may ultimately diminish the popularity or need for his beloved containers.

But at least for now, he says, "if you need a strong, relatively cheap, easily mobile structure, there's few things better."

@highlight

London's "Boxpark" shopping mall has been built from 60 shipping containers

@highlight

Park's founder says mall offers sustainable alternative to conventional retail outlets

@highlight

Mall's shops can relocate to another part of the country if business is slow

@highlight

Recycled containers save "embodied" carbon cost linked to construction of new buildings