Seventy years ago, thousands of Allied troops stormed the beaches of Normandy to take on the might of the German army.

The soldiers all carried guns and grenades, but Private Tony Vaccaro of the U.S. Army was armed with something else as well: a camera.

In the days, weeks and months that followed the D-Day landings in northern France, Vaccaro, who was born in Pennsylvania, took more than 8,000 photographs with his trusty 35mm Argus C3.

The pictures -- many of them raw, graphic, disturbing -- follow his advance, and that of his unit, the 83rd Infantry Division, from the beaches to Berlin.

They represent one of the most complete collections of images of World War II, as seen through the eyes of someone who fought during the conflict.

Now a spritely 92-year-old, the former G.I. is back in Normandy to mark the 70th anniversary of the D-Day landings with an exhibition.

Vaccaro's show, "Shots of War" is on display at the Caen Memorial, a stone's throw from Omaha Beach where the infantryman came ashore 70 years ago.

"The first thing I see is this gun, looking at me," he told CNN on a tour of the exhibition, gesturing at a black-and-white photo of the intimidating weaponry that confronted him as he stepped onto French soil.

Vaccaro's status as a regular soldier who happened to be carrying a camera -- rather than an official war photographer -- meant he had to make do with whatever equipment he could find.

After begging and borrowing rolls of film, he would process his pictures by night, improvising by pouring chemicals into two army helmets to develop and fix the images.

But it also meant he could get closer to the action, and to the people involved: the result is a series of photos which are often more candid than the official pictures of war.

"I was with the same unit, I knew everyone intimately," he says. "The intimacy was at such a level that if I aimed a camera, they didn't react to it."

Vaccaro documented the devastation left in Normandy in the wake of D-Day and across Luxemburg, Belgium and Germany after years of warfare: villages and towns ravaged by the conflict, corpses lining the roads.

He also captured some of the joys of liberation: a shot of a G.I. embracing a young French girl as others dance in the background is among his best-known images.

In a short film made to accompany the exhibition, Vaccaro explains that his dual role as soldier and photographer meant he faced a constant choice between his gun and his camera.

"I considered the situation and I said 'first the rifle, then photographs' -- I was careful to make sure I would take photographs when I felt safe. If I didn't feel safe I didn't take the picture."

And he says that the speed at which he was forced to work also had an impact on the final images.

"Sometimes I was scared because I felt that while I was taking photographs perhaps the Nazis would kill me, would shoot me, so what I did was to work very quickly. Many times I didn't even look through the viewfinder, I just shot."

After the war, Vaccaro became a professional portrait and fashion photographer, working for magazines including "Life" and "Look," taking pictures of stars including Charlie Chaplin, Marlene Dietrich, Pablo Picasso and Sophia Loren.

Decades on, Vaccaro says he is disturbed at our failure to learn the lessons of the past and ensure that conflicts like the one he fought in -- and photographed -- are consigned to history.

"I think that the world, the way it's going, it hasn't changed at all. You'd think we would learn a lesson with World War II but we are arming like hell," he says.

"One of the greatest thing we should have, we don't have. A Department of Peace, we don't have it. You'd be surprised the need that we have to have that."

He has returned to Normandy many times in the decades since D-Day, and he's determined that this 70th anniversary visit won't be his last.

"I'm going to do this at 102," he insists, saying he'll be back in 2024. "My doctor says: 'I don't know how you do it.'"

READ MORE: 'It's too early to forget,' insists veteranREAD MORE: The myths and reality of D-Day

@highlight

Former U.S. soldier Tony Vaccaro carried a camera with him while fighting in WWII

@highlight

Vaccaro shot 8,000 pictures of what he saw on way from beaches of Normandy to Berlin

@highlight

Photos show devastation left in wake of conflict, but also joys of liberation

@highlight

The former G.I. became a professional portrait photographer after the war