Washington (CNN) -- Getting a deal done on the government shutdown was ugly, divisive and controversial. And it has left a few people missing pork.

Days after Republicans kept their House majority in the 2012 election, Speaker John Boehner doubled down on a ban on earmarks -- those legislative nuggets that get embedded into bigger bills directing funds to specific pet projects.

These legislative provisions were generally the grease that made Congress go -- leadership in the House and Senate would add earmarks to bills as a way to win votes on a larger controversial proposal.

The "earmark ban shows the American people we are listening," Boehner said in 2012. "We are dead serious about ending business as usual in Washington."

But with that announcement, Boehner was tying one hand -- a hand that many of his predecessors had used before -- behind his back. He would have to pass legislation without the ability to woo members with money for their districts.

"Trying to be a leader where you have no sticks and very few carrots is dang near impossible," Trent Lott, former Republican Senate Majority leader and House Minority Whip told CNN. "Members don't get anything from you and leaders don't give anything. They don't feel like you can reward them or punish them."

Lott, who is now a senior fellow at the Bipartisan Policy Center, said Boehner's job during this recent shutdown and debt ceiling crisis would "absolutely" have been easier had he been able to use earmarks.

"When I was the whip in the House in the 80s, I had a shop window hours when members could come in and say they had a problem and ask for help," Lott said. "Then when I came to do my whip job, the members" were more receptive to support him.

Lott, however, operated in a different Republican Party.

"Bringing home the bacon" back then was seen as a good thing, where today, many tea party and conservative Republicans campaigned on the idea that earmarks represented the seedy, pay-to-play deals of Lott's Congress.

Even in Wednesday's Senate deal to reopen the government and raise the debt ceiling there was a little pork.

The spending bill added more than $2 billion for a system of locks under construction at the confluence of the Ohio and Mississippi rivers and between Kentucky and Illinois.

Senate Minority Leader Mitch McConnell has received some blow back for the money, but Democratic and Republican leaders say McConnell did not ask for it.

"I find it funny that people keep coming back to this," said Steve Ellis, vice president of Taxpayers for Common Sense, a group that has been vocally supportive of the earmarks ban. "I don't think earmarks are this sort of panacea that would make the trains all run on time."

The group has put out different research on earmarks, backing up Boehner's ban and pointing out some of the more earmark-laden bills of the past 20 years.

Ellis says it is "preposterous" to assume that conservative members of Congress who ran against Washington spending could be "bought off" with earmarks.

"If you are willing to shutdown the government over the issue of Obamacare," why would a road project in your district change your mind, he said.

Earmarks, while something long used in congressional spending bills, grew significantly between the presidencies of Bill Clinton and George W. Bush.

In 1996, the defense appropriation bill included 270 earmarks. In 2005, there were 2,506 earmarks in the defense spending bill, costing taxpayers over $9 billion. For other bills, like the energy and water development appropriation, earmarks made up 24.8% of the money spent in 1994 and 30.3% in 2002.

Proponents of earmarking will argue that the small amount of money they cost is a price worth paying to make government run more smoothly. Opponents, however, say earmarks are what lead to massively expensive appropriation bills, making them more difficult to pass.

Earmarks have also caused Congress -- and specific members -- a number of public relations headaches.

Some of the projects earmarks have funded are laughable and make for comedic fodder.

* In 2010, $1.8 million was approved for the Las Vegas Neon Boneyard, a museum to neon, as part of the Southern Nevada Public Land Management Act.

* In 2009, Democratic Rep. Jim McDermott of Washington backed a $250,000 earmark for window repair and limestone sill replacement at "The Rainier Club" -- a high society club in Seattle.

* Then there was the 2005 "Bridge to Nowhere," a project in Alaska slated to cost nearly $400 million that was secured with an earmark by Rep. Don Young and the late Sen. Ted Stevens. It became a notorious illustration of pork-barrel spending and was never built.

* Another infamous pet project line item was some $450,000 in 2005 to the New River Community Partners Museum Development Project, which was responsible for the Sparta Teapot Museum of Craft & Design in North Carolina. The money was eventually returned to the government.

"They are a tool," said former Democratic Rep. Dan Glickman of Kansas. "For years they were an overused tool and now they are an absolutely underused tool. There has got to be something in between."

Lott acknowledged that, at times, earmarks got out of hand and needed to be reformed. But that doesn't mean, he said, they should have been outlawed all together.

"There needs to be a defined process," he said.

As for whether his support of earmarks opens him to criticism from other Republicans, Lott laughs.

"Some of them may say you sound like a RINO," Lott said, using the acronym for "Republican In Name Only. "Look, I was conservative before many of these turkeys were born."

@highlight

Former congressional leaders say earmarks could remedy Congressional dysfunction

@highlight

Earmarks - or pork spending - are nuggets embedded into large bills for pet projects

@highlight

Former Senate Majority Leader Trent Lott says "no sticks and very few carrots" make it hard to lead

@highlight

Some tax groups say earmarks wouldn't have helped with tea party in the latest showdown