Woodward, Oklahoma (CNN) -- Threats of another perilous outbreak of tornadoes appeared to fizzle Sunday, a day after powerful storms tied to the same weather system tore through the Midwest and Plains states.

The National Weather Service had issued widespread tornado watches for several states including Minnesota, Wisconsin, Arkansas, Iowa and Illinois. And several big cities -- including St. Louis, Missouri; Little Rock, Arkansas; and Minneapolis and St. Paul in Minnesota -- were thought to be in the line of another stream of powerful storms.

Yet while people in many of those areas experienced inclement weather and a handful of tornadoes were reported in several states, the impact paled compared to what others had experienced Saturday and into the early morning hours of Sunday.

Survivors in hard-hit Oklahoma town: 'We are truly blessed'

As of 10 p.m. CT, the service's Storm Prediction Center had received 10 reports of tornadoes on Sunday. Most of those were from mid-day -- the latest being a reported touchdown at 5:30 p.m. (6:30 p.m. ET) in McLeod County in Minnesota -- but there was no immediate word of any significant damage during the day and night Sunday, especially in more populated located.

The numbers of reported twisters were well below the 122 that the weather service said happened Saturday.

Kansas Gov. Sam Brownback told CNN that "97 tornadoes touched down" in his state, a figure not yet confirmed by the National Weather Service.

Oklahoma was also hard-hit, with Gov. Mary Fallin declaring a state of emergency in 12 counties in order to help expedite resources.

All the deaths tied to the weekend storm were in Woodward, a small northern Oklahoma city of about 12,000 people about 85 miles west of Enid.

Frank Hobbie was confirmed dead along with two girls -- presumed to be Hobbie's 5- and 7-year-old daughters -- said medical examiner's office spokeswoman Amy Elliot. Woodward Mayor Roscoe Hill earlier said a father and his two children were inside their trailer at the Hidden Valley Mobile Home Park when the tornado rolled through and they were killed.

Elliot identified one of the other dead as Derrin Juul. A 10-year-old girl also killed was found with him and is presumed to be Juul's daughter. Hill had said that two people died when the car they were in rolled over several times.

Another 29 in Woodward were treated for injuries, said Matt Lehenbauer, the city's director of emergency management.

"This thing comes in the middle of the night. It caught us asleep, mostly," Hill told CNN.

In addition to leveling 89 homes and 13 businesses, the storm "took out" the transmitter for the public siren and tornado notification system, and "we lost our manual override" when the electricity was knocked out, City Manager Alan Riffel said.

Given that and timing of the tornado -- after midnight, and after other severe weather had barreled through -- Fallin said the human cost could have been even worse.

"It's remarkable that we didn't have more loss of life in Woodward," she told reporters late Sunday afternoon.

Officials credited working early warning systems elsewhere in the region with preventing more fatalities.

Advisories from the system were issued two days in advance, rather than just a matter of hours, and were "remarkably accurate," said Brownback. "People took it very seriously."

In southwest Iowa, officials evacuated the entire population -- roughly 300 people -- of the town of Thurman after a suspected tornado struck Saturday, damaging or destroying three out of every four homes.

By early Sunday morning, many Thurman residents who took up temporary shelter at a high school in nearby Tabor were again in the path of a storm that spawned suspected tornadoes in neighboring Kansas.

A sign in a park that bears the town's name is one of the few things still standing, said Mike Crecelius, Fremont County's emergency management director.

"That's about all there is. About 75% of the homes are damaged or destroyed," he said. "From the looks of things, there won't be a tree left in that town either."

Four truckers whose rigs were blown off Interstate 29 were the only ones hospitalized -- one with a punctured lung -- due to this particular tornado, the National Weather Service said. The agency reported the twister had winds between 111 and 135 mph as it caused a half-mile long damage path over 10 miles.

Across the south and central Plains, storm chasers broadcast images of funnel clouds roaring through rural landscapes.

One of the biggest cities hit Saturday and early Sunday was Wichita, Kansas, where resident Katie Sykes said torrential rains produced a "river in my front yard" and the prospect of a tornado had her shuddering in fear.

"When I was little we prepared for storms, hearing the sirens and then going to the basement. And going through this experience I felt like a little kid, young and scared," the CNN iReporters said.

In the basement of her downtown home, 30-year-old Lacy Jay Hansen and her family donned bicycle helmets and crouched against a corner as a suspected tornado churned its way toward her home.

"It turned right in the nick of time for us, striking this other neighborhood," she said, later learning the storm destroyed a friend's house several miles away.

Eleven months ago, Hansen, her husband and son were in Joplin, Missouri, visiting their ailing grandfather in a hospital when a tornado ripped through, killing 158 people.

"None of us were supposed to be there," she said. "We've always taken it seriously. But ever since then, we take it more seriously."

The tornado that tore through Joplin was one of 1,691 tornadoes that killed a total of 550 people in 2011, according to the National Weather Service. Last year was the fourth deadliest tornado year in U.S. history.

The tragedy in Joplin triggered stronger warnings by the weather service about life-threatening storms. More than 24 hours before the storms began rolling across the Midwest on Saturday, the service was cautioning residents of the storm's potential damage.

At the Marriott in downtown Wichita, Johnny Williams watched over eight children -- in town for a basketball camp -- in a ballroom where they'd taken shelter.

"We play together as a team, and we believe together as a team," Williams said.

The storm caused flooding in parts of downtown Wichita, and McConnell Air Force Base also sustained damage, authorities said. A suspected tornado tossed baggage carts across runways at the Wichita Mid-Continent Airport but didn't cause any structural damage, Sedgwick County spokeswoman Kristi Zuckovich said.

A few hundred employees were working at a Spirit Aero Systems plant, producing fuselages and other equipment for Boeing aircraft, said company spokesman Ken Evans, when a twister came through and caused the roof to collapse. No one was injured, and workers have been told not to come in until Wednesday as the damage is assessed, added Evans.

Damage was also reported to a Hawker Beechcraft building, which manufactures high-performance business jets and turbo-prop planes.

Country singer Miranda Lambert's concert Saturday night at the Intrust Bank arena in Wichita was interrupted by an apparent tornado. She was taken off the stage and fans were kept inside, said Lt. Jason Gill of the Sedgwick County Sheriff's Office.

Later, Lambert tweeted, "We made it y'all. Thanks for coming out and for making it through the delay with a smile."

The storm destroyed six mobile homes in Wichita County, officials said, but didn't cause any known fatalities in the area.

Earlier, a confirmed tornado struck a hospital in Creston, Iowa, blowing out windows and damaging the roof, said John Benson of the Iowa Homeland Security and Emergency Management agency. There were no major injuries reported, and patients were relocated to other area hospitals.

CNN's Susan Candiotti reported from Kansas and Rob Marciano reported from Oklahoma and Kansas. CNN's Josh Levs, Chelsea Carter, Randi Kaye and Maria P. White reported from Atlanta.

@highlight

10 tornadoes are reported Sunday, including three in Minnesota

@highlight

This is below the 122 reported Saturday, when several states were hit hard

@highlight

Three children were among five people killed in Oklahoma, an official says