(CNN) -- A Carnival cruise ship was adrift 150 miles off the coast of Mexico after an engine room fire. Cruise passengers were complaining about the lack of air conditioning, hot cabins, cold food and toilets that wouldn't flush.

As I watched the news broadcast, I thought it was a documentary about the Carnival Splendor, which suffered a disabling engine room fire in November 2010 off Mexico. But the story was about the Carnival Triumph, which caught fire early Sunday after sailing from Galveston, Texas, with more than 3,100 passengers.

The cruise industry says cruise ship fires are rare, but they are not rare. They happen with alarming frequency. In the two years between the Splendor and the Triumph fires, more than 10 cruise ship fires were reported in the media. Several cruise ships were completely disabled, including the Costa Allegra, the Bahamas Celebration and the Ocean Star.

The Azamara Quest was partially disabled and had to crawl back to port in Indonesia. The Allegra and Quest broke down in waters where pirates frequent, to add to the drama.

A fire aboard the Queen Mary II was later determined to have been caused by a "catastrophic explosion."

Other cruise ships experienced what the industry would either deny or call "minor fires," including the Adventure of the Seas, the Crown Princess, the MSC Musica and the Allure. But there is nothing minor about a cruise ship, filled with thousands of passengers, catching on fire on the high seas, even for a matter of seconds.

I have attended seven congressional hearings since 2005 regarding issues of cruise ship passenger safety. At the last hearing, before Sen. Jay Rockefeller, cruise expert and author Ross Klein said fires broke out in 79 cruise ships from 1990 to 2011. Most of these fires received little coverage in the U.S. press. It is a topic that the travel publications avoid and travel agents do not like to hear.

Concordia disaster focuses attention on how cruise industry operates

The cruise industry does a remarkable job advertising that cruising is a safe and affordable family vacation. It certainly is affordable, in large part because major cruise lines such as Carnival and Royal Caribbean are incorporated in foreign countries like Panama, the Bahamas, Bermuda and Liberia. Their ships fly the flags of foreign nations and thus avoid all U.S. federal taxes, labor laws and safety regulations.

In 2011, three-quarters of the nearly 16 million cruise bookings worldwide were made from the United States, according to the industry group Cruise Lines International Association, which represents 26 cruise lines, including the world's largest, Carnival and Royal Caribbean.

You can't find a cheaper vacation than spending a week on one of these "fun ships." But the vacation comes with a hidden price. The cruise lines are working their crew members excessively long hours and paying them extremely low wages.

The Cruise Lines International Association says its "crew members are provided wages that are competitive with international pay scales." But a cleaner aboard a Royal Caribbean ship, for example, will work 12 hours a day, seven days a week, for as little as $156.25 a week with no tips. U.S. labor laws are not applicable to provide protection to crew members at sea, nor is there any real oversight of the cruise lines' operations.

The cruise industry insists that it is regulated and that the safety and security of its passengers and crew is its highest priority. Ships are subject to inspections by the countries they call on. In the United States, ships must pass initial and annual U.S. Coast Guard Marine inspections.

But the Coast Guard is underfunded and understaffed and can't possibly conduct adequate inspections of the hundreds of cruise ships that call regularly on U.S. ports across the nation. And the ships are getting bigger and carrying more passengers every year. For example, Disney Fantasy -- whose safety is not in doubt -- is 14 decks high and more than three football fields long and can carry about 5,500 people.

Cruise ships theoretically follow guidelines set forth by the International Maritime Organization and the recommendations in the Safety of Life at Sea. But the International Maritime Organization, a United Nations organization, does not have the authority to enforce its own guidelines, nor can it impose fines or criminal sanctions against cruise lines that flout Safety of Life at Sea recommendations. This obligation falls to flag states, like Panama.

The result is that cruise lines are largely unregulated. They offer low-price cruise fares to get the passengers aboard and then make their profits from alcohol sales; casino, spa and photography activities; and shore excursions.

The cruise lines operate their ships virtually 24 hours a day, seven days a week, 52 weeks a year. Cruise ships do not make money unless they are operating. The cruise lines push the ships just as hard as they push their crew members. A ship out of service for a week for routine maintenance means the loss of tens of millions of dollars and thousands of dissatisfied customers.

Talk Back: How should cruise passengers be compensated?

It is in this environment that the 13-year-old Carnival Triumph was trying to sail back to Galveston.

Cruise ships, like their foreign-based crew members, are treated as fungible goods. When crew members get debilitating injuries because of overwork and exhaustion, they are left in their home countries. The Triumph, sailing since 1999, will eventually end up being sold to the European market, renamed and abandoned as well.

The push to always keep the show on the road without long delays causes the same problems in investigations of passenger disappearances, shipboard crimes and gastrointestinal illnesses. These investigations are often rushed so the cruise is held up for as little time as possible.

When there is a norovirus outbreak on a ship, cruise lines are faced with the prospect of disembarking hundreds of ill passengers, sanitizing the ship and then reloading several thousands of passengers on board. It is an impossible prospect to locate and kill the virus on the massive ships given the short turnaround on an embarkation day. But the business model of the cruise industry is: Strike up the band and hand out the daiquiris, the cruise must go on.

It is also impossible for governmental entities such as the Centers for Disease Control and Prevention to conduct a thorough, painstaking epidemiology study to ascertain the type of virus and its origin. Cruise lines quickly blame the passengers for not washing their hands, but the CDC and the Food and Drug Administration concluded long ago that the most likely and common source of norovirus is contaminated food or water.

Crew members say that infected workers often do not complain of their illness out of fear of not being paid or of losing their jobs. Cruise lines tell the passengers to use hand sanitizers, but the culprit may be norovirus-laden salad.

Unlike the U.S. commercial aviation industry, with strict Federal Aviation Administration oversight that can ground a fleet of aircraft, the cruise industry is largely accountable to countries like Panama or the Bahamas -- which may or may not want to offend their cruise line friends in Miami.

The opinions expressed in this commentary are solely those of James Walker.

@highlight

James Walker: Carnival Triumph was a rerun of Splendor, which also had engine room fire

@highlight

Walker: Fires are frequent on cruise ships, investigations of illness outbreaks rushed

@highlight

He says industry avoids U.S. labor laws, taxes, oversight by incorporating in foreign nations

@highlight

Cruises are cheap because crews work long hours for little pay, ships are run 24/7, he says