(CNN) -- The fall of the Berlin Wall, and the eventual disintegration of the Soviet Union, were overwhelmingly positive events -- a near miracle, in fact, given the potential for widespread chaos and violence.

But as we prepare to mark the 25th anniversary of the Wall's fall, it is important to also remember some of the less pleasant side-effects. Indeed, this Sunday and beyond we have a responsibility to consider not only the joy and liberation of so many in Europe at the time, but also the repercussions that landmark event continues to have for the world today.

For a start, it's worth remembering that not all Western policymakers were thrilled, at least in the early stages, at the prospect of the end of the Cold War and the collapse of the Soviet Union. After all, although the Cold War offered a wretched global order, it was at least a form of order. And so it was not unreasonable for those who remembered at least one global conflict -- World War II -- to feel a little anxiety about state disintegration and the potential spread of nuclear weapons, among other things.

But the end of the Cold War was not just about the break up of the Soviet empire. In fact, it involved three related but distinct events -- the end of a global strategic confrontation between NATO, the Soviet Union, and their allies and proxies; the effective end of a global ideological struggle between capitalism and communism; and the partial disintegration of the Russian Empire, of which the Soviet Union was simply the latest manifestation.

The end of the global confrontation was as much, if not more, of a relief in what used to be known as the Third World, or non-aligned countries. It is easy for those who live in Europe and North America to forget that this "cold war" did not feel that way at all in swathes of Africa, Latin America and the Far East, where regional conflicts and civil wars both fed and were exacerbated by the wider tensions between the world's two great power blocks.

And while it may be no comfort to the people of the former Yugoslavia, or the victims of the genocide in Rwanda, for example, the absence of such confrontation has contributed to the steady decline of conflict worldwide, as well as easing the considerable fears over a possible nuclear exchange and conflict.

But the end of the ideological struggle arguably began a decade before 1989, with the partial conversion, at least in economic terms, of Communist China under Deng Xiaoping. In fact, one could argue that even before the late 1980s, the Soviet Union and its satellites were no longer trying to spread a credible alternative to capitalism, but were instead simply clinging on for dear life. (Although Soviet leaders might smile wryly at the scene now, where democracy has found its credibility battered by a global financial crisis and the seeming dysfunction of its political institutions).

Still, as we are frequently reminded, the collapse of the Soviet Union was a traumatic and humiliating experience for many of its citizens, even if it also resulted in unmitigated jubilation for comparable numbers of others. Indeed, even today, the combination of the dramatic loss of global status, the perceived dismembering of its country by foreign powers, and the economic hardship many Russians experienced in the transition to the political system of their country's former enemy has produced a toxic cocktail for much of Russian society. The fact is that cynicism and arbitrary rule have displaced the heady optimism of the 1990s, and in many Russians' eyes, liberal democracy is (wrongly) considered to have been tried and thoroughly discredited.

Such perceived failures have left us where we are now, in a new strategic and ideological confrontation between Russia and the West over Ukraine. However, unlike the Cold War, this tension is regional, not global, and it is portrayed by Russian President Vladimir Putin as being between "liberal" and "conservative" values, not capitalism and communism. (And it is also being fought mostly through non-conventional, economic and information warfare, rather than an enormous buildup of hard power, although a more conventional conflict has raged in the east of Ukraine).

Why is all this worth remembering now? Because 25 years on, it is no longer satisfactory only to discuss what may have disappeared between 1989 and 1991 -- we must also consider what eventually replaced it. The harsh reality, despite the excitement and optimism at the time, is that the Cold War order did not give way to peace and prosperity across the world. Instead, we have a messier picture, with varying degrees of success and failure.

From the war in Ukraine to the unrest in the Middle East, the West is faced with threats to its security that are less clear-cut than our confrontation with the Soviet Union, and also less predictable and much harder to understand. This is the reality we have inherited, and we must maintain our vigilance and be more creative in developing strategies to address the challenges we face.

The Age of Triumph, if it ever existed, is over.

@highlight

Malcolm Rifkind is a former British foreign secretary

@highlight

Fall of Berlin Wall was overwhelmingly positive, Rifkind writes

@highlight

But not all the side-effects were, he says

@highlight

Rifkind: West facing new confrontation with Russia