(CNN) -- President Barack Obama gave a special salute Monday to Americans who lost their lives fighting in the Korean War, noting the upcoming 60th anniversary of the conflict's end, and asked Americans to remember the troops' work in Afghanistan as that war winds down.

"Last Memorial Day, I stood here and spoke about how, for the first time in nine years, Americans were no longer fighting and dying in Iraq. Today, a transition is under way in Afghanistan, and our troops are coming home," the president said after laying a wreath at the Tomb of the Unknowns. "This time next year, we will mark the final Memorial Day of our war in Afghanistan."

He delivered Memorial Day remarks the week after addressing America's controversial counterterrorism strategies and a rash of sexual assaults in the military that he said could threaten national security.

Calling Virginia's Arlington National Cemetery "a monument to a common thread in the American character," Obama asked the audience not to forget the "men and women who are willing to give their lives and lay down their lives" for the freedoms the nation enjoys.

A serviceman recently wrote the president to say he feared "our work in Afghanistan is fading from memory," Obama said. "And he's right. As we gather here today, at this very moment, more than 60,000 of our fellow Americans still serve far from home in Afghanistan. They're still going out on patrol, still living in spartan forward operating bases, still risking their lives to carry out their mission.

"And when they give their lives, they are still being laid to rest in cemeteries in the quiet corners across our country, including here in Arlington."

Obama cited a handful of troops by name who were buried at Arlington after making the ultimate sacrifice in Afghanistan:

â€¢ Capt. Sara Cullen, a West Point graduate and Black Hawk helicopter pilot, died after a crash during a training mission near Kandahar.

â€¢ Staff Sgt. Frankie Phillips, a combat medic, was killed by a roadside bomb while on patrol. "He was so humble that his parents never knew how many lives he had saved until soldiers started showing up at his funeral from thousands of miles away," Obama said.

â€¢ Staff Sgt. Eric Christian served five tours of duty because he felt responsible for his team and "was determined to finish the mission." He was killed escorting a U.S. official to meet with Afghan leaders.

"For those of us who bear the solemn responsibility of sending these men and women into harm's way, we know the consequences all too well," Obama said. "I feel it every time I meet a wounded warrior, every time I visit Walter Reed and every time I grieve with a Gold Star family."

Chuck Hagel, a former Army sergeant who volunteered for the Vietnam War and is the first enlisted combat veteran to hold the post of defense secretary, told CNN's Barbara Starr that he remembers soldiers who served alongside him, including a captain who was killed 14 days into his tour. Hagel was next to him when he died, he said.

"Anybody who has ever been in combat remembers the names, remembers the faces, remembers the fun, remembers the uniqueness of every person," the defense secretary said.

Obama arrived at the cemetery amid a 21-gun salute and was met by Hagel, cemetery Executive Director Kathryn Condon and Maj. Gen. Michael Linnington, commander of the Army's military district of Washington.

Linnington escorted the president to the tomb, where Obama laid the wreath and observed a moment of silence before speaking at the Memorial Amphitheater.

Home and Away: Remembering those we have lost

The president, who used last year's occasion to pledge his support for Vietnam War veterans, spoke Saturday about the "1% of the American people (who) bear the burden of our defense."

"They are heroes, each and every one," he said. "They gave America the most precious thing they had, the last full measure of devotion. And because they did, we are who we are today: a free and prosperous nation, the greatest in the world."

What to know about Memorial Day

He continued, "They risk their lives, and many give their lives, for something larger than themselves or any of us: the ideals of liberty and justice that make America a beacon of hope for the world. That's been true throughout our history -- from our earliest days, when a tiny band of revolutionaries stood up to an empire, to our 9/11 generation, which continues to serve and sacrifice today."

Obama further urged Americans to "do more than remember:" to care for the loved ones the fallen soldiers leave behind; to ensure that veterans have adequate care, jobs and benefits; and to support military missions at home and abroad.

By the numbers: Memorial Day and veterans

The speech comes at a time when the administration is dogged by controversy. While facing tough questions about the alleged IRS targeting of conservative groups and his administration's response to the attack on the U.S. Consulate in Benghazi, Libya, Obama also answered questions last week about the use of drones, the closing of the Guantanamo Bay detention center and sexual assault in the military.

In a Thursday speech, he said drones are a necessary evil but one that must be used more judiciously as the American security situation evolves. About Gitmo, he said he would push Congress to allow him to shut down "a facility that should never have been opened."

On Friday, responding to a Defense Department report that the number of cases of unwanted sexual contact had jumped 35% between 2010 and 2012, Obama said the attacks threaten the trust and discipline that is the military's backbone.

"That's why we have to be determined to stop these crimes. Because they have no place in the greatest military on Earth," Obama said during remarks at the U.S. Naval Academy.

Opinion: In Ohio, signs of soldiers' sacrifice

@highlight

NEW: Defense secretary says he "remembers the uniqueness of each person"

@highlight

Obama says serviceman fears that "our work in Afghanistan is fading from memory"

@highlight

Obama lays wreath at Tomb of Unknowns, delivers Memorial Day remarks

@highlight

His Memorial Day speech comes as he and military face controversies