(CNN) -- If you were flipping around your television dial on Election Night, you saw a lot of news coverage dominated by anchors and pundits sitting in TV studios spouting opinion and analysis. But not on CNN.

On our air, you saw dozens of reporters at polling places around the country, watching for irregularities but also capturing the messy yet miraculous spectacle of democracy in action. You saw Candy Crowley, Jessica Yellin, Jim Acosta and Brianna Keilar at election night headquarters, offering behind the scenes details about the candidates and campaigns as they anxiously awaited the verdict of the people.

You saw Dana Bash dissecting the Senate and House outcomes as only someone can who has covered Congress for two decades. And you saw the maestro of the Magic Wall, John King, interpreting the tallies from decisive counties within the swing states minute by minute as they came in, telling you what they meant and how they would shape the electoral map.

A lot has been written about how cable news has become increasingly dominated by talk and opinion, because that's what drives TV ratings. But as we began our planning for Election Night more than a year ago, CNN decided to go in the opposite direction and double down on our strength: reporting.

We pared back on the number of analysts in our studio and sent more reporters into the field. We invested in new state-of-the-art sets in our Washington bureau that allowed us to display electoral data more clearly and vividly than we ever had before.

We relied on two anchors, Wolf Blitzer and Anderson Cooper, who have always been more interested in conducting great correspondents than being soloists themselves. We asked our incomparable international reporters to keep track of what the rest of the world was saying about America's voteâ€”and we actually put them on our U.S. airwaves to talk about it.

We did it because we value facts more than opinions, but also because these days that's what sets CNN apart. And we were glad to see that, for this historical night at least, it was what the public appeared to crave as well.

An average of more than 8.8 million viewers watched the evening's coverage on our U.S. network, more than any other cable news network, and others followed it on CNN's international networks around the world. The reviews are also in, and they tell us that our investment in covering the election as journalists was welcomed. "CNN Destroys Cable Competition on Election Night," was only one gratifying headline, on a post by Erik Wemple, the media critic for The Washington Post.

At CNN.com, we had more than 203 million page views, the highest in four years. Our social media traffic on Twitter, Facebook and other sharing platforms set new records.

But at CNN we're not ones to dwell over press clippings, good or bad, and so we are already hard at work following up on all the angles that emerged from last night's result.

Can the parties now come together to address jobs, the deficit, immigration, the environment, relations with Iran and China and all the other pressing problems clouding our future? Or is a $6 billion election that left us with the same division of executive and legislative power we had before a recipe for more gridlock?

And what will the demographic winds that carried Barack Obama to reelection, despite a sour economy, mean for tomorrow?

How will our future be shaped by a Hispanic population that now accounts for more than 1 in 10 voters, by the empowerment of a generation of young voters who have now turned out in record numbers for two presidential cycles in a row (and who are driving a slow but steady sea change in acceptance of gay rights), by a white electorate that favored Mitt Romney, but is smaller than it has ever been, by the growing political gap between women, who favored Obama by 11 points, and men, who went for Romney by 7 points?

And what are we to make of not only the persistent red/blue divide between states, but the growing urban/suburban/rural divisions within states?

All fascinating questions, for our politics and for our society, and ones that will keep us at CNN busy and happy providing you with the kind of reporting and story telling we love to do.

@highlight

Mark Whitaker: CNN made the choice to focus on reporting for election night coverage

@highlight

He says the public wanted to know the facts, rather than dwell on opinion

@highlight

Whitaker: Election raises key questions, worthy of more reporting, about politics, demographics

@highlight

He asks: Can the parties work together on jobs, the deficit, immigration, the environment?