ACCRA, Ghana (CNN)  -- President Obama reached out to Africa on Saturday with a wide-ranging address praising the continent's steady achievements, but he called its persistent violent conflicts "a millstone around Africa's neck."

President Obama speaks before Ghana's Parliament on Saturday.

"Despite the progress that has been made -- and there has been considerable progress in parts of Africa -- we also know that much of that promise has yet to be fulfilled," Obama said in a speech to the parliament of Ghana, a western African nation seen as a model of democracy and growth for the rest of the continent.

Ghana was the first sub-Saharan nation to gain independence, in 1957, and Obama continually cited the nation during his speech for its stability, political strides and painstaking economic progress. Its stability stands in contrast to other hot spots on the continent, such as Zimbabwe, where the society is in economic and political turmoil; Sudan, where fighting rages in the Darfur region; and Somalia, where a shaky transitional government is now battling an Islamic insurgency.

Ghana, with a population of 24 million, was once a major slave trading center. Obama visited the Cape Coast Castle, a British outpost where slaves were held until shipped overseas, along with his daughters.  Watch Obama's remark after touring Cape Coast Castle »

"I think it was particularly important for Malia and Sasha, who are being raised in a very blessed way, that history can take some cruel turns," he said. "And hopefully, one of the things that was imparted to them during this trip is their sense of obligation to fight oppression and cruelty wherever it appears."

Obama, whose father was Kenyan, compared the history to that of the Holocaust, Nazi Germany's efforts to exterminate the Jews of Europe during World War II.

"It's one of those things that you don't forget about," he told CNN in an interview scheduled to air Monday on "Anderson Cooper 360."

"I think it's important that the way we think about it, the way it's taught, is not one in which there's simply a victim and a victimizer, and that's the end of the story," he said. "I think the way it has to be thought about, the reason it's relevant, is whether it's what's happening in Darfur or what's happening in the Congo or what's happening in too many places around the world, the capacity for cruelty still exists."  Watch how Ghana is celebrating the Obamas' visit »

But he told lawmakers that Ghana now shows "a face of Africa that is too often overlooked by a world that sees only tragedy or the need for charity." While the nation-building the country exemplifies may lack "drama of the 20th century's liberation struggles," he said "it will ultimately be more significant."

As he has in past remarks, including his Cairo address last month about U.S.-Muslim relations, Obama stressed the superiority of governments that "respect the will of their own people," saying they foster more prosperity and stability than governments that don't.  Watch Obama deliver speech to Ghanaian lawmakers »

"No business wants to invest in a place where the government skims 20 percent off the top, or the head of the Port Authority is corrupt," he said. "No person wants to live in a society where the rule of law gives way to the rule of brutality and bribery. That is not democracy, that is tyranny, even if occasionally you sprinkle an election in there."

Even Kenya, his father's homeland, continues to struggle with tribalism and corruption, he said. That eastern African nation "had a per-capita economy larger than South Korea's when I was born" and now, he says, it has been "badly outpaced."

But he said Kenya has restored stability after the violence that followed the disputed 2007 election. South Africa has had high voter turnout in recent elections, and Zimbabwe's Election Support Network has defended the right to vote.  Watch report on Ghanaians' reaction to Obama's remarks »

"Make no mistake: history is on the side of these brave Africans, and not with those who use coups or change constitutions to stay in power. Africa doesn't need strongmen, it needs strong institutions," he said. He said his administration will work "to support those who act responsibly and to isolate those who don't, and that is exactly what America will do."

As for the economy and opportunity, he said African nations need to stop focusing on one particular commodity, such as oil or cocoa, and "promote multiple export industries, develop a skilled work force, and create space for small and medium-sized businesses that create jobs."

He cited "our $3.5 billion food security initiative" and said "new methods and technologies for farmers -- not simply sending American producers or goods to Africa" is what is needed.  See where Ghana is located »

Obama also made reference to climate and energy challenges, saying the developed world should work with Africa to confront such problems. He said Africa has much potential to exploit its wind and solar power and geothermal energy and biofuels.

As for disease, Obama said strides are being made in dealing with HIV/AIDS and malaria, but "too many still die from diseases that shouldn't kill them." He also indicated that there need to be ways to keep African doctors and nurses from going overseas and creating gaps in primary care.

"When children are being killed because of a mosquito bite, and mothers are dying in childbirth, then we know that more progress must be made."

He said his administration has committed $63 billion to fight disease, praising the "strong efforts" of his predecessor, George W. Bush.  Watch Ed Henry's report Obama's emotional visit to Africa »

Obama welcomed efforts by the African Union and the Economic Community of West African States to help resolve conflict. He said the United States "will stand behind efforts to hold war criminals accountable" and that the Pentagon's Africa Command will fight "common challenges to advance the security of America, Africa and the world."  Watch Obama's remarks as his visit to Ghana concludes »

"We all have many identities -- of tribe and ethnicity; of religion and nationality. But defining oneself in opposition to someone who belongs to a different tribe, or who worships a different prophet, has no place in the 21st century," he said.

"Africa's diversity should be a source of strength, not a cause for division. We are all God's children," he said.

@highlight

Obama tells Ghana's lawmakers Africa needs "opportunity for more people"

@highlight

"Africa's diversity should be a source of strength, not a cause for division"

@highlight

Pledges U.S. will help fight HIV/AIDS, tropical diseases, childhood illnesses