Baghdad (CNN) -- Attackers killed at least 60 people in Iraq on Thursday in strikes that targeted Shiites and renewed fears of sectarian violence, authorities said.

The deadliest attack was a suicide bombing targeting Shiite pilgrims just west of the southern city of Nasiriya. It killed at least 36 and wounded 72 others, police and Interior Ministry officials said. A series of blasts in Baghdad left 24 dead and dozens wounded, an Interior Ministry official said.

The violence raged as Shiites made a pilgrimage to the city of Karbala, south of Baghdad, leading up to Arbaeen, one of the holiest days of the Shiite calendar. It arrives next week and marks the end of a 40-day mourning period for Imam Hussein, a grandson of the Prophet Mohammed, who was killed in a seventh century battle in the Iraqi city.

Gen. Qassim Atta, the Iraqi commander of Baghdad security operations, said that "terrorist groups take every chance they get to incite sectarianism."

Martin Kobler, the U.N. special representative in Iraq, condemned the strikes and urged Iraqis to "remain steadfast in the face of those who are using violence" and trying to undermine the country's efforts to succeed as a democracy.

"These casualty figures are people, women and men, the youth of the country and its children. These are mainly civilians, and one life taken per day is one life too many. And this has to be stopped," Kobler said.

Violence raged for years after the U.S. invasion of Iraq between members of Iraqi's Sunni minority, who held power during the era of Saddam Hussein, and its Shiite majority, which gained power after his ouster. Iraqis have been concerned about an increase in Sunni-Shiite violence after the U.S. military withdrawal from the country last month.

Sunnis in Iraq have felt marginalized by the government of Prime Minister Nuri al-Maliki, a Shiite. That anger intensified after he ordered the arrest last month of Sunni Vice President Tariq al-Hashimi, who was charged with ordering bombings and assassinations, a charge he denies.

The bomber in Nasiriya struck an Iraqi Army checkpoint where buses carrying pilgrims were parked. Most of the casualties were pilgrims, police and an Interior Ministry official said. The city is located in Thiqar province.

A triple bombing in Baghdad's Sadr City area Thursday morning killed at least nine people and wounded 35, an official with Iraq's Interior Ministry said.

The first bomb -- attached to a motorcycle -- detonated near a group of laborers who were searching for day jobs in the Shiite neighborhood, according to the official. Shortly after that, two other bombs detonated in quick succession nearby.

The sprawling neighborhood of Sadr City is a Shiite enclave.

Car bombs exploded successively in northern Baghdad's predominantly Shiite Kadhimiya district on Thursday morning, killing 15 and wounding 31, the Interior Ministry official said. The bombs exploded in two busy squares that were about 150 meters (nearly 500 feet) apart.

Kadhimiya is busy with many Shiite pilgrims who started their pilgrimage walking to Karbala, and security has been jacked up accordingly.

Atta said it was too soon to tell who was behind what appeared to be coordinated attacks in Baghdad. However, he said he believes it was "what remains" of terrorist groups trying to incite sectarian rifts.

Iraq has a large Shiite population in the capital and across southern Iraq.

Iraq has been engulfed in political turmoil that has threatened to unravel the government.

Al-Hashimi said al-Maliki's charges against him were politically motivated and fled to the semi-autonomous Kurdish region.

His arrest warrant was issued just days after the Iraqiya bloc suspended its participation in parliament amid complaints it was being cut out of the political process. Iraqiya, a cross-sectarian as well as Sunni-backed bloc, castigated the al-Maliki government, saying it had shunned cooperation despite the power-sharing arrangement.

It said it is considering sending a request to parliamentary leaders to withdraw support for al-Maliki and come up with a new prime minister to form a post-occupation government.

There have also been mounting calls for federalism from at least three predominantly Sunni provinces. Al-Maliki has called federalism a recipe for the partitioning of Iraq.

The bloc loyal to the radical Shiite cleric Muqtada al-Sadr, a key ally to al-Maliki, has called for the dissolution of parliament and early elections.

Al-Maliki managed to forge a fragile coalition and secure a second term in office because of backing from followers of al-Sadr, the powerful leader of the notorious Mehdi Army that fought some of the fiercest battles against U.S. forces.

@highlight

NEW: Pilgrims are also targeted in the Shiite heartland

@highlight

Three bombs explode in Sadr City

@highlight

Two more explode in northern Baghdad Shiite area

@highlight

Fears intensify over Sunni-Shiite sectarian violence