A doctor who recently returned from Guinea has tested positive for Ebola -- the first case of the deadly virus in New York City and the fourth diagnosed in the United States.

Here is a timeline of Craig Spencer's movements since he got back from the West African nation:

When did he return from Guinea?

Spencer came back to the United States last week after treating Ebola patients in Guinea, where he worked for Doctors Without Borders. He completed his work in Guinea on October 12 and left the country two days later via Brussels, Belgium.

He arrived at John F. Kennedy International Airport on October 17, but he exhibited no symptoms of the virus until Thursday morning, said Dr. Mary Travis Bassett, New York City's health commissioner.

The physician, who works at Columbia Presbyterian Hospital, was checking his temperature twice a day. He has not seen any patients since his return.

Did he have any symptoms?

The 33-year-old did not have any symptoms just after his return, but he developed a fever, nausea, pain and fatigue Thursday morning, authorities said. He began feeling sluggish a couple of days ago, but his fever spiked to 100.3 degrees Fahrenheit (about 38 Celsius) the day his symptoms appeared.

How many people has he been in contact with?

Spencer was in contact with a few people after he started exhibiting symptoms. Ebola isn't contagious until someone has symptoms.

Three people -- his fiancée and two friends --  are being placed on quarantine and monitored, health officials said.

"They are all well at this time; none of them is sick," Bassett said.

What places did he visit?

Spencer started feeling fatigued Tuesday, though without a fever, officials said.

That day, he visited a coffee stand and a meatball restaurant in Manhattan. The next day, he ran for 3 miles in his neighborhood, and took the subway to a bowling alley in Brooklyn. He wasn't symptomatic until Thursday, when he had a low-grade fever, officials said.

The bowling alley closed Thursday and its bar  was cleaned and sanitized as a precaution, it said.  Both the coffee stand and the bowling alley were assessed and cleared by health officials while the restaurant was expected to reopen Friday evening.

Spencer also traveled on three subway lines. "At the time that the doctor was on the subway, he did not have fever ... he was not symptomatic," Bassett said. Chances of anyone contracting the virus from contact with him are "close to nil," she said.

Is the hospital equipped to handle Ebola cases?

Spencer is at New York's Bellevue Hospital Center, where he has been in isolation since emergency personnel took him there.

It's one of eight hospitals statewide designated by Cuomo as part of an Ebola preparedness plan.

"We are as ready as one could be," Cuomo said. His state will be different from Texas, he said, where a Liberian man was diagnosed with Ebola and two nurses who treated him later contracted the virus. The man, Thomas Eric Duncan, died October 8.

"We had the advantage of learning from the Dallas experience," he said.

CDC issues new hospital guidance for Ebola

How will his case be different from Duncan's?

Duncan, who had flown from Liberia to Dallas, was the first person diagnosed with Ebola in the United States. Two nurses who helped care for him also got infected, raising concerns about the nation's ability to deal with an outbreak.

One of the Dallas nurses, Nina Pham, has been declared free of the Ebola virus while another one, Amber Vinson, is still hospitalized.

New York Mayor Bill de Blasio said his city followed every protocol in its handling of Spencer's case.

For starters, Spencer was admitted to a hospital as soon as he developed symptoms, unlike Duncan, who was sent home with antibiotics the first time he went to Texas Presbyterian Hospital. Duncan returned days later and was hospitalized.

The Centers for Disease Control and Prevention has dispatched a team to New York to help with the case.

"We want to state at the outset there is no reason for New Yorkers to be alarmed," the mayor said.

5 things nurses say the Texas hospital got wrong

What about his neighbors?

Spencer's Manhattan apartment has been isolated and locked.

City health department workers canvassed the neighborhood, distributing information about Ebola and slipping fliers under doors, said Eugene Upshaw, who lives in Spencer's building.

The handbills, which read "Ebola: Am I at risk?" explain the virus, its symptoms and how you can get it.

"What we're doing now is just telling the folks who live here in the neighborhood that they're safe. It's safe for them to be in their buildings, it's safe for them to go to their apartments, it's safe for them to walk down the street," said Sam Miller, associate commissioner of the New York City Department of Health and Mental Hygiene.

Ebola is spread by direct contact with the bodily fluids of an infected person. The outbreak has killed nearly 5,000 people, mostly in Liberia, Sierra Leone and Guinea.

How many Ebola cases have been diagnosed in the U.S.?

Spencer is the fourth person diagnosed with Ebola in the United States. After Duncan, who was infected in his native Liberia before being diagnosed in Dallas, two nurses treating him later tested positive.

Latest Ebola developments

Have there been other cases involving Americans?

Yes.

Five other Americans have been diagnosed with Ebola in West Africa and later transferred to the U.S. for treatment.  They were treated and discharged from hospitals in Atlanta and Omaha, Nebraska.

An additional American died of Ebola in July after traveling to Nigeria from Liberia.

@highlight

Craig Spencer, 33, came back to the United States last week

@highlight

The doctor did not have any symptoms until Thursday, health officials say

@highlight

New York Gov. Andrew Cuomo: "We are as ready as one could be"