(CNN)When racial conflict flared in Ferguson, Missouri, this summer it brought back terrible memories of what happened nearly 50 years ago, in the summer of 1965.

Then, with a Democratic administration riding high on a string of major legislative victories, including landmark civil rights and voting rights legislation, six days of horrendous rioting broke out in Watts, Los Angeles following community frustration with police brutality.

As the nation celebrates the birthday of civil rights leader Martin Luther King Jr., it is a good time to look back at some of his unfulfilled agenda from the late 1960s, when he had turned his attention to issues directly related to the riots, such as fair housing, unemployment and the infrastructure of the cities.

The rioting in Watts devastated the community. The conflict began on August 11 following a traffic stop in the African-American neighborhood. The police pulled over the car of 21-year-old Marquette Frye and his brother in the early evening. The police believed that Frye was intoxicated. Frye's mother arrived on the scene and started to yell at the police to leave her son alone.

In Watts, many community residents didn't trust the police. Charges of police brutality had been commonplace for decades. When the policeman arrested the brother and their mother, an angry crowd started to throw bottles and rocks at the police. Rumors circulated that the police had hit a pregnant woman.

The rioting quickly spread through a 25-block area. One five-year-old boy was killed by sniper fire.

President Lyndon Johnson, who had been riding high from a wave of legislative victories, couldn't believe what he was hearing was taking place in Watts. His response shifted from anger to frustration to a determination to fix the problem.

At times, Johnson showed his worst side by privately castigating the African Americans as irresponsible children who didn't appreciate what he had done for them and who were ruining everything that he had helped to achieve.

During a conversation with I.W. Abel, the new president of the Steelworkers Union, on August 14, Johnson said they had "hell in Los Angeles" and that African Americans needed to learn they had "obligations as well as rights. We fought like a devil to get them their rights and we're going to continue to. And we want them to be responsible now."

The riots continued for six days with 34 people killed and hundreds injured. The National Guard helped restore order. More than 3,000 people were arrested. The buildings and businesses in the area were devastated. Americans watched in shock. Overseas, the Soviet Union blasted out images of the rioting to use as propaganda in an effort to show that racial violence was commonplace in this allegedly "democratic" country.

As Johnson's anger simmered when the riots cooled down, he spoke much more about the deeper economic problems that he believed were fueling the anger in communities like Watts.

Johnson had been moved by a report from Patrick Moynihan that traced the breakdown of the African American family after years of discrimination and hardship. On August 18, Johnson told former CIA Director John McCone that these "groups they got really absolutely nothing to live for. Forty percent of them are unemployed. These youngsters, they live with rats and they've got no place to sleep . . . broken homes and illegitimate families and all the narcotics are circulating around them.... And we've isolated them, and they're all in one area, when they move in why we move out."

The riots caused tension with civil rights leaders, who were eager for Johnson to deal more aggressively with issues like police brutality and economic despair.  On August 20, Johnson told Martin Luther King that he was telling everyone the government needed to "correct these conditions," like housing and unemployment. King was frustrated. He complained to Johnson that the mayor of Los Angeles was "absolutely insensitive to the problems and to the needs to really cure the situation."

King said the mayor and police leaders were unwilling to make any concessions. King feared that if there was more rioting there would be violent retaliation from white people. "So that I'm fearful that if something isn't done to give a new sense of hope to the people in that area -- and they are poverty stricken -- that a full-scale race war can develop here...."

King wanted Johnson to propose a robust poverty program for the area. Johnson said he fully supported such a strategy. The president said that they needed to get young African Americans jobs and homes. He said that "I've spent the biggest part of my life the last four years on civil rights bills, but it doesn't, all of it comes to naught if you have a situation like war in the world or a situation in Los Angeles."

Johnson said that "there's no use giving lectures on the law as long as you've got rats eating on people's children and unemployed and no roof over their head and no job to go to and maybe with a dope needle in one hand and the cancer in the other!"

But, the president went on to say, there wasn't much political support for doing anything substantial. Indeed, the Senate was already giving him a tough time on simply providing funding for his War on Poverty. "I'm having hell up here with this Congress," Johnson said.

In the end, the riots did not result in any major changes in policy. The only major outcome following two more riots in 1967 (in Detroit and Newark) would be an independent commission, chaired by former Illinois Gov. Otto Kerner, that investigated the causes of the rioting.

The Kerner Commission issued its landmark report in 1968, concluding: "Our nation is moving toward two societies, one black, one white -- separate and unequal."

But Congress never provided any substantial boost in funds to deal with these sorts of problems. The riots came right as Johnson's political strength in Congress started to diminish. He didn't believe he could ask for money to do something about it.

Ever since then, the situation in too many inner-city areas has remained grim even as neighborhoods around them boom with gentrification. Good jobs continued to be elusive. Policing remains a problem as does the narcotics trade. Families continue to suffer and educational opportunities have vanished.

The nation has never dealt with the problems that afflicted Watts. The riots took place just as Johnson's political power was staring to ebb and the white backlash against more racial reform was setting in. The inability to save the inner cities was one of the great failures of liberal reform in the past century, one that continues to haunt the nation.

​

@highlight

Deadly riots erupted in an L.A. neighborhood in 1965, just as LBJ's power was waning

@highlight

Julian Zelizer says America never came to grips with problems that afflicted Watts, other inner cities