(CNN) -- How do you go back to work when one of your colleagues has been seriously injured?

That is the reality facing the field of Formula One drivers just days after French racer Jules Bianchi suffered a potentially devastating type of brain injury at the Japanese Grand Prix.

"It's principally business as usual," John Watson, who raced in the sport's attritional era of the 1970s and 80s, told CNN. "But it will affect some more than others.

"Today's generation of drivers have never seen what they had to deal with on Sunday. It will make them realize that they are no longer infallible."

Bianchi underwent surgery Sunday at Mie General Hospital and remains in a critical but stable condition, his family said in a statement Tuesday.

The 25-year-old's Marussia car collided with a recovery vehicle as heavy rain sent slick rivers down the demanding Suzuka circuit.

The race was red-flagged soon afterwards, a few laps short of the race distance, with Lewis Hamilton declared winner.

As the drivers climbed out of the cars, they were met by grim-faced team members explaining that one of their number was injured.

There were muted celebrations on the podium for Hamilton, his Mercedes teammate Nico Rosberg and Red Bull's Sebastian Vettel; the champagne stayed on ice.

Ferrari's Fernando Alonso gave an insight into the brooding preoccupation the accident brought him, writing on Twitter Sunday night: "Difficult to sleep... #ForzaJules."

This experienced band and their peers will climb back into the cockpits and resume racing at this week's inaugural Russian Grand Prix while Bianchi continues his personal fight in Japan.

David Brabham can empathize. He faced the queasy dilemma of driving in the 1994 San Marino Grand Prix after his teammate Roland Ratzenberger had been killed in qualifying the day before.

The Australian, son of three-time world champion Jack Brabham, decided he would compete in the fateful Imola race that would also take the life of Brazilian hero Ayrton Senna.

"When an accident like that happens it hits you like a bolt of lightning," Brabham told CNN.

"I made a decision to race because I said 'we have to keep the show on the road.' I knew Roland well enough to know he would have said 'if it's safe get out there.'

"We raced for him as well, and it was the only way I could pick the team up to continue what we had to do."

Dancing with danger is part of the job description for each and every racing driver.

Last week's race at Suzuka was, however, made more complex by rain swirling around the incoming Typhoon Phanfone.

When the race began at 3pm local time, the field completed two opening laps behind the safety car before being called back to the pit lane to wait until track conditions improved.

The race restarted after a 20-minute delay and Bianchi's accident came as more heavy rain coincided with fading day light as the race reached its climax.

The events stirred echoes of the 1976 Japanese Grand Prix when Niki Lauda effectively handed the world title to rival James Hunt by choosing not to race as a deluge swamped the Fuji circuit.

Lauda, now a guiding voice for the Mercedes drivers as the team's non-executive chairman, argued his life was worth more than the world title.

In contrast, Watson, racing for the Penske-Ford team, was one of the drivers who decided to drive despite the dangers.

"I raced. I had no problem," Watson recalls. "The conditions were diabolical all through Sunday.

"At Fuji, when we started the race, the track conditions were very bad probably every bit as bad, if not worse, than Suzuka.

"Japan has a different attitude to the role of a sportsman, you're a samurai in a way to the Japanese public.

"There was a championship to be decided, F1 was just beginning to make a global footprint in terms of television. There was huge pressure.

"But it's what you do. We just started the race and got on with it. In a sense that was our job.

"Every driver has a right to say no and not compete but if you said that individually, as Lauda and others did in Fuji, in some quarters that would be considered: 'Are you a racing driver or are you a racing driver?'"

An intrinsic element of fearless machismo may well help drive today's racers as they line up on the grid for the Russian Grand Prix.

The Sochi Autodrom, built around the Sochi Olympic Park on the Black Sea coast, will present a fresh and completely different challenge but there will be inevitable distractions from Suzuka.

"It's not easy," says Brabham. "When they go to Russia to race there will be a lingering thought about the accident.

"I know from my experience in 1994 how difficult it can be. You still do your job but there's a little bit of edge that could be missing.

"The minds in Formula One won't be as clear as they normally are."

It has been 20 years since the sport's last fatalities when Senna and Ratzenberger lost their lives in consecutive days at Imola.

That dark weekend prompted a sea change in F1's safety standards, a process which is ongoing.

Helmet safety improved with Head and Neck Support (HANS) devices made obligatory while run-off areas at the tracks were increased and many corners were modified to reduce G-forces, for example.

But Watson argues such vast improvements in safety have dulled the fear factor of today's F1 heroes.

"In our day it was an occupational hazard," says Watson of facing the reality of a potentially fatal accident.

"We never knew one day or the next if we would be a victim or just roll on to the next race.

"Because of the incredible safety improvements, the ferocity of some of the accidents in contrast to the lack of fatality and serious injury is incredible.

"Today's generation have seen massive accidents and the driver is able to walk away and return to his car for the next race.

"The side effect of this is that it's created a sense of indestructibility in the minds of some of the drivers, if not all of them.

"They've got such good safety facilities and car safety. So they feel, not bulletproof but as close to that as you can become."

Bianchi's accident has proved that may no longer be the case and that reality may still be being absorbed by the drivers.

Felipe Massa, the last F1 racer to suffer a serious injury when he fractured his skull during the 2009 Hungarian GP weekend, visited the Mie General Hospital after the race on Sunday.

Before he left the circuit, the Williams driver said he had been "screaming on the radio... that there was too much water on the track."

The drivers will gather together in Sochi for their usual pre-event meeting and Bianchi's accident will surely be high on the agenda.

The FIA said it has also started its own investigation into the incident.

"The drivers' concerns are going to be raised by the Grand Prix Drivers' Association and they will want answers as much as the FIA do," Watson explains.

"It will be analyzed beyond navel gazing because it is a serious issue to understand what occurred.

"Was there fault with any of the parties? Were the protocols strictly observed? Did someone not respect the protocols? That applies to Bianchi as much as it does to the corner workers retrieving the car and the flag marshals."

There is another cold reality in Russia -- the wheels of Formula One will continue to roll.

Less than 24 hours after Bianchi's accident, photos appeared and statuses changed on social media as the F1 community arrived in Russia for the next race.

Marussia has asked for "patience and understanding" as it copes with the fallout of Bianchi's accident.

The team, which has Russian backers, is yet to announce if it will run a replacement for Bianchi in Sunday's race.

"Be under no misunderstanding, I imagine Marussia's phone was ringing off the hook with drivers with budgets wanting to drive that car this weekend," comments Watson.

"It's a reality of life.

"As sad as this is for Jules Bianchi, a fine young man, who in my view probably didn't do anything wrong.

"He's there fighting for his life and the team have to get on with the job of running two cars on Sunday."

Brabham, who combines racing with a long-term plan to bring the famous Brabham marque back to motorsport, is philosophical about what will drive F1 and its main protagonists this weekend.

"Life either gives you pain when you think about something or it doesn't," he says.

"There is always a respect of the risk involved [in racing] but you have to be firm in your mind about what it is you're trying to achieve.

"Things happen for reasons that sometimes you don't understand, yet there are many things to learn from those experiences."

Watch: Racing through the Sochi Autodrom

@highlight

Formula One must get back to business at the Russian GP on Friday five days after Jules Bianchi's crash

@highlight

The 25-year-old Marussia driver remains seriously ill in a Japanese hospital

@highlight

Former driver John Watson says modern F1 drivers sees themselves as "indestructible"

@highlight

David Brabham says accidents like this can "hit you like a bolt of lightning."