Paris, we can all agree, has a lot going for it.

It has splendid museums, grand avenues, a famous pointy tower and thousands of cafes where you can order a minuscule coffee for a fairly large amount of money.

But Lyon is a supremely qualified rival.

In Lyon, a hearty serving of tradition

Smaller it may be, but France's second city has a sophistication that makes it a hugely intriguing option for visitors.

While the following suggestions may cause rioting (or, at least, mild shrugs of indifference) along the Champs-Elysees, there are a number of ways Lyon outshines the French capital.

Eight, in fact.

1. Wine

Just about everyone in France loves wine.

But in contrast to Paris -- which sips anything fruity put in front of it, but doesn't produce anything of its own -- Lyon brings a bottle to the party.

A lot of bottles.

Lyon is the gateway to the Beaujolais viticultural region, which fans out immediately to the northwest.

From Lyon, you can explore these whispering vineyards yourself.

Or you can take the easy route and make a few wise purchases in the excellent wine shops around the city.

Cave Chromatique does flavorsome reds and whites, while La Cave des Vins Magnifiques is hardly short on confidence when it comes to the contents of its stock list.

2. Notre Dames

Paris's Notre Dame Cathedral is an inimitable French icon, especially if you like long lines and pigeons.

Lyon's Notre Dame -- the Basilica of Notre-Dame de Fourviere -- is, simply, a more beautiful church.

A young maiden (built 1872-1884) compared with Paris's grande dame (built 1163-1345), she sits prettily atop the city's main hill, offering views down to the riverside streets below, and, on clear days, across to the snowcaps of the Alps.

3. Outdoor music

Lyon knows how to put on a summer extravaganza.

The Nuits de Fourviere festival sees 60 or so shows -- rock, classical music, drama -- stretched across the warm evenings of June and July.

Alumni of this wide showcase include Lou Reed, Bjork and Sting. The 2014 lineup includes French pop stalwarts Phoenix and U.S. indie veterans the Pixies.

Better than any band, though, is a setting that Paris can't match.

The French capital may have modern venues befitting its size and status, but it can't dance the night away as if Caesar Augustus were still in the posh seats.

The majority of the Nuits de Fourviere performances take place amid the sturdy tiers of Lyon's main Roman amphitheater, which dates to 15 B.C.

4. Cinematic history

Paris has been in many movies. "Moulin Rouge." "Amelie." "Midnight in Paris."

But Lyon pretty much invented the movies.

Or, at least, two of its most famous sons did.

Auguste and Louis Lumiere are credited with creating the first film camera (the cinematograph) in 1892.

You can pay tribute to their vision at Lyon's Institut Lumiere, with its museum and cinema.

5. Food

Paris is very good at cuisine.

It's just that Lyon believes it's better.

It may well be.

Its restaurants include L'Auberge du Pont de Collonges, a fabled temple of Gallic gastronomy which has three Michelin stars.

It's overseen by French uber-chef Paul Bocuse, who is now 88, but still a master at his signature truffle soup.

Then there's La Mere Brazier, which exists under the gaze of Mathieu Viannay.

The restaurant has two Michelin stars, but Viannay is only 46, so can be excused his shortfall.

6. Parks

Paris doesn't have a large central green space -- unless you count the Jardins des Tuileries, which are predominantly surfaced in gravel, and are therefore white.

But Lyon has the Parc de la Tete d'Or, which -- with its 117 hectares of grass and trees -- cozies up to the Rhone in the sixth arrondissement.

Here, you can go boating on the lake, cycle along winding pathways, or simply lie in the shade and remark on the fact that this metropolitan lung's name -- Park of the Golden Head -- sounds a bit silly in English.

7. Roman history

In numbers, this is basically a tie.

Julius Caesar stomped his sandals into the fledgling Paris in 52 B.C.; Lyon had its first date with expansionist toga-wearing proto-Italians when it was founded as Lugdunum a decade later in 43 B.C.

But Lyon was the more important city under Roman rule -- a teacher's pet that became Rome's head boy in ancient Gaul.

This still shows.

Lyon's Roman structures are almost as impressive today as they were in the days of the gladiators -- especially the remnants of its public baths and the giant amphitheater on Fourviere hill at the Gallo-Roman Museum.

8. Rivers

Why did the Romans plonk Lugdunum onto the map where they did?

Because the place was ideal for a settlement. West of the Alps, it was a decent stop-off point halfway up France and not too far from the mother city.

But above that, because it had -- and has -- two rivers.

The Rhone, which is so long that it has to travel from Switzerland, curves through the center of Lyon.

So does the Saone.

The two meet in the aptly titled district of Confluence.

Paris, by contrast, has just one river, the Seine. Ah, c'est dommage.

@highlight

Lyon is France's "second city" but it leads the way in a number of cultural categories

@highlight

Paris has Notre Dame but Lyon's Basilica of Notre-Dame de Fourviere is more beautiful

@highlight

Paris has one river; Lyon has two

@highlight

Lyon's Auguste and Louis Lumiere are credited with creating the first film camera