Los Angeles (CNN) -- When Haiti suffered a massive earthquake two years ago, many people responded by donating money.

Jake Wood responded with a Facebook post.

"I'm going to Haiti. Who's in?" wrote the former U.S. Marine.

The images Wood was seeing on the news reminded him of his tours of duty in Iraq and Afghanistan. He realized that the skills he had acquired in the service, including the ability to adapt to difficult conditions, work with limited resources and maintain security in a dangerous environment, were sorely needed.

"Those are just lessons that you work at every single day in Falluja," said Wood, 28. "To a veteran, it's second nature."

Wood wanted to help, and he persuaded his college roommate, a firefighter, to join him. Within minutes of seeing Wood's Facebook post, another friend and former Marine, William McNulty, signed on. Interest quickly snowballed, and soon donations poured into Wood's PayPal account. Three days later, he and seven others were in the Dominican Republic, heading into neighboring Haiti with medicine and equipment.

Over the next three weeks, more than 60 volunteers -- mainly from medical or military backgrounds -- followed Wood's lead and made their way to the stricken country to join his group. They set up triage centers in camps, treating whoever they could, and helped ferry people to hospitals. Wood estimates they helped thousands of Haitians.

They called their group Team Rubicon, in reference to the phrase "crossing the Rubicon," which means passing a point of no return. The moniker turned out to be appropriate. Wood had planned for the trip to be a one-time mission. But during their time in Haiti, he and McNulty became aware that they were on to something.

"We realized we were more effective than many organizations that were down there with us," Wood said. "We also realized that most organizations weren't engaging vets on their own. So we said, 'Let's try to improve this.' "

Team Rubicon became a nonprofit, and Wood has never looked back. In the past two years, he says, the group has built an army of more than 1,400 volunteers -- 80% of them military veterans -- who respond to disasters and help those in need.

The team has conducted 14 missions. It ran triage clinics after the Chile earthquake and the flooding in Pakistan. It traveled to Sudan and Myanmar to help people caught in regional conflicts. And last year, it removed debris and assisted in search-and-rescue missions following tornadoes in Tuscaloosa, Alabama, and Joplin, Missouri.

Do you know a hero? Nominations are open for 2012 CNN Heroes

Disaster relief requires springing into action quickly, and Team Rubicon prides itself on being fast to deploy. Senior team members monitor severe weather alerts via Twitter, and when a storm is brewing, they notify volunteers in that region to make sure it's on their radar.

When the decision is made to deploy, the team quickly establishes a roster of needs online so volunteers can sign up.

"We'll tell them where to be, when, etc." Wood said. "For instance, we'll meet up, convoy in, (and) link up with the emergency operations center."

Wood never envisioned himself running a nonprofit.

After graduating in 2005 from the University of Wisconsin, where he also played football, Wood enlisted in the Marines and completed two combat tours. When his military obligation was up, he intended to go to business school. But a couple of weeks after he finished filling out his applications, the earthquake hit Haiti.

'A reason to come together'

From the beginning, Wood and McNulty believed that using veterans to respond to disasters made a lot of sense. But over time, they realized that the missions were also benefiting the veterans themselves, giving them a sense of purpose and self-worth that they often lose when they transition to civilian life.

Wood believes that today's veterans enjoy the fellowship that comes from giving back.

"Being able to help people and be a part of a team once again ... I think gives them some of (what) they were missing," Wood said. "They are almost recharged."

Wood realized the importance of this after a personal loss in April 2011. His best friend, Clay Hunt -- a fellow veteran and Team Rubicon volunteer -- committed suicide. Hunt had suffered from post-traumatic stress disorder and survivor's guilt. It was a shock to Wood, as Hunt seemed to be adjusting well. He was literally a poster boy for returning veterans, appearing in a public-service announcement for a veterans advocacy group.

"It was tremendously difficult to feel like I had let him down, knowing that we had survived two wars together but that when things were easy and it had come to peace, that I wasn't there enough for him," Wood said. "That has been a very tough battle for me, dealing with that."

Hunt's death made Wood realize how critically important the connections are that Team Rubicon enables veterans to build with each other. It also made the group refocus its own mission: Instead of being a disaster relief organization that uses veterans, Team Rubicon is now a veterans support organization that uses disasters as opportunities for continued service.

"We're giving them a reason to come together ... and that community lasts long after the mission," Wood said. "Right now, Team Rubicon is focused on how we can ... get them involved in as many ways as possible."

The approach seems to be working.

Nicole Green served in the Air Force for four years, working as an intelligence officer in Iraq from 2003 to 2004. For her, finding Team Rubicon has been life-changing.

"When I got out of the military, it was very stressful," she said. "You feel alone. You meet people who don't understand your background."

Green volunteered for the group's first domestic mission, in Tuscaloosa. She enjoyed it so much that she helped out in Joplin less than a month later.

"I felt that I was doing something meaningful with my life again ... using a lot of the same skills, but in a way that (was) constructive instead of destructive," Green said. "And I was with other people who understood me ... focused on a common goal. That was really a great feeling."

Team Rubicon is working with several veterans organizations to recruit more volunteers, and Wood is aiming to have 10,000 on its roster by the end of the year. The group is also working on ways to keep volunteers engaged once they sign up by doing service projects at home and abroad.

Wood believes that giving veterans a chance to give back is a formula for success, and he's determined to bring his message to as many people as he can.

"There's no limit to what veterans can do. ... They've already proven that they want to serve ... and when they come home, a lot of them still want to do it," he said. "It's a win-win situation."

Want to get involved? Check out the Team Rubicon website at teamrubiconusa.org and see how to help.

@highlight

Jake Wood started Team Rubicon to help those in need after natural disasters

@highlight

Most of the group's 1,400 volunteers are military veterans who still want to serve

@highlight

The nonprofit also gives veterans a chance to connect and feel part of a team

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes