(CNN) -- The last time most New Yorkers focused on pillaged antiquities from Cambodia was likely after the release of the Angelina Jolie film "Lara Croft: Tomb Raider," which featured the heroine's adventures through the country's famous archaeological wonder, Angkor Wat.

Now, real "tomb raiding" is making the news as the Cambodian government seeks to recover antiquities allegedly plundered from the kingdom's ancient sites during its civil war, ethnic cleansing and foreign occupation.

At Cambodia's request, the United States recently filed suit in U.S. District Court against Sotheby's in New York, demanding that the auction house forfeit a sandstone warrior that was "illicitly removed," according to the complaint, from a remote jungle temple. But according to a recent New York Times story, Cambodia has now set its sights on another Manhattan institution: the Metropolitan Museum of Art. It has specifically targeted the highlight of its Southeast Asian collection: two kneeling figures that archaeologists declare are companions to the contested Sotheby's piece.

If these stones could speak, what a story they would tell.

Carved in the 10th century by some of the most skilled artisans known to history, they originally adorned the sanctuary of Prasat Chen, at the temple complex of Koh Ker. Experts believe that with other characters, they formed a three dimensional tableau from the Hindu epic the Mahabharata for a millennium. They say that came to an end when paramilitary groups trafficked them, sculpture by sculpture, overseas.

What a strange twist of fate: Having traveled halfway around the world, quite possibly through the illicit and licit markets, the three disputed objects are now just miles apart in New York City.

Phnom Penh's forceful request for their return has alarmed the less scrupulous in the art world, and with good reason: They have a lot to lose if the art is repatriated. American and European galleries, auction houses and museums are allegedly full of Cambodian plunder. Many of these artifacts were allegedely stolen during the country's long conflict, making them "blood antiquities," little different than "blood diamonds" from Sierra Leone and other war-torn African states.

The years before, during, and after the Killing Fields decimated the Cambodian population and led to the looting of most of the nation's archaeological sites. Yet sadly, now that Cambodia is at peace and in a position to recover its rightful property, some collectors are portraying themselves as the victims.

In the wake of the Sotheby's case, one Asian specialist lamented the "crisis" now facing collectors. She warned that such legal actions "threaten the very future of collecting and collecting museums" and the "next generation of collectors, donors and patrons." Such histrionics aside, it will always be difficult and expensive for countries such as Cambodia to recover their pillaged heritage through the courts, even when in the right.

Especially when its acquisition may have been made possible by tragedies such as the Holocaust, Cambodia's killing fields or even the more recent looting of the Baghdad Museum during the Iraq war, the real issue is why any collector or museum would want to possess stolen art?

Thankfully, individuals and institutions who would argue to keep looted art are a minority and do as much disservice to their fellows as they do to victims of the illicit art trade. Indeed, many have voluntarily repatriated antiquities to Cambodia, once learning they were wartime plunder. The Met is no exception, having itself returned a valuable piece to the country in 1997 at its own initiative.

There is much common ground between archaeologists, collectors and curators, as all share a love of the past, if not an outright obsession with it. Archaeologists recognize that there will always be, and should be, a legal market for antiquities, just as most collectors and curators agree that the looting of archaeological sites and trafficking of antiquities must be stopped.

Indeed, if there is to be any real progress, both sides of the issue will likley have to make concessions. But as campaigns like Cambodia's demonstrate, the art world must reconsider what is ethically acceptable. And today, the sale, purchase and exhibition of "blood antiquities" is not only deplorable, it may actually be criminal. (The sale, possession, and transport of stolen property is illegal under the National Stolen Property Act.)

Sotheby's and the Met have a choice: They can treat Cambodia's requests as obstacles, or recognize them as the opportunities they are to right past wrongs and set the moral standard for the entire field. For Cambodia's sake, as well as their own -- and for all of humanity that finds these treasures important -- let us hope that they choose wisely.

The opinions expressed in this commentary are solely those of Mark Vlasic and Tess Davis.

@highlight

Writers: Met and Sotheby's have ancient figures thought to have been looted in Cambodia

@highlight

U.S. authorities have attempted to seize Sotheby's figures; now Cambodia seeking those at Met

@highlight

Vlasic, Davis say some in art world act the victim because Cambodia wants its art back

@highlight

Writers: Why would anyone want stolen art? Both sides must make reasonable concessions