Sendai, Japan (CNN) -- Wednesday broke in Japan with news of a new blaze at the damaged nuclear plant that crews have struggled to control since last week's devastating earthquake and tsunami, adding to radiation fears in a country racing to avoid a full-on nuclear crisis.

The fire was discovered Wednesday morning in the northwestern corner of the No. 4 reactor building at the Fukushima Daiichi plant, an official with Tokyo Electric Power Company told reporters.

It was the latest setback for a country struggling to dig its way out of the wreckage wrought by last week's earthquake and tsunami.

At least 3,676 people have died, the National Police Agency said Wednesday morning. Another 7,558 people are missing and 1,990 were injured, it said.

Shell-shocked survivors huddled in cramped shelters, grieved over lost loved ones and worried about relatives who are missing across villages and towns inundated by the tsunami waves spawned by Friday's 9.0-magnitude quake off the east coast of Honshu.

Japanese Prime Minister Naoto Kan has called the disaster the country's worst crisis since World War II, and one firm says that the earthquake and tsunami are likely to surpass Hurricane Katrina as the most expensive disaster in history.

Stocks in Japan opened higher Wednesday morning, one day after the nation's main market index suffered one of its biggest drops on record. Tuesday, the Asian economic powerhouse reeled as stocks plummeted, sending shock waves through global markets.

"The scale of this event has taken everyone by surprise," said Patrick Fuller, a Red Cross spokesman. "It's stretched resources to the max."

The latest fire at the Fukushima Daiichi nuclear plant in northeastern Japan comes one day after another fire there and an explosion at the plant's No. 2 reactor.

Radiation level readings spiked at the building gate during the first fire but went down after the blaze was extinguished. Chief Cabinet Secretary Yukio Edano said amounts returned to a level that would not cause "harm to human health."

Radiation levels in Tokyo were twice the usual level Tuesday, but they were too negligible to pose a health threat, officials said.

But Japanese authorities could not rule out the possibility of a meltdown at the troubled reactors.

While sea water was being pumped into the reactors in an effort to prevent further damage, "it cannot necessarily be called a stable situation," Edano had said Tuesday.

A meltdown occurs when nuclear fuel rods cannot be cooled, thus melting the reactor core and causing a release of radioactivity. In the worst-case scenario, the fuel can spill out of the containment unit and spread toxic radioactivity through the air and water. That, public health officials say, can cause both immediate and long-term health problems, including radiation poisoning and cancer.

The plant's owners have taken precautions to protect the people in Fukushima Prefecture, where the reactors sit. The plant is about 138 miles (225 kilometers) from Tokyo.

They evacuated all but about 50 workers from the facility and urged people within 18.6 miles (30 kilometers) of the plant to remain indoors. The government imposed a no-fly zone over the 30-kilometer radius "because of detected radiation after explosions" there, the country's transportation ministry said.

Edano said analysts also have their eyes on reactors No. 5 and 6 at the plant, where cooling systems weren't functioning well, though the temperature had dropped slightly Tuesday.

Concerns about hot radioactive fuel boiling off cooling water and catching on fire continued into Wednesday, with plant operators and government officials considering a plan to use helicopters to drop water into the cooling pond through the damaged roof of the reactor building, according to a Kyodo News report.

For many across Japan, calming jittery nerves is becoming increasingly difficult as the situation at the damaged facility looks increasingly dire.

"I think, from a sanity standpoint, I'm trying to side with the cool-headed point of view because I don't want to think about the possibly of a full-blown meltdown," said Osaki resident Tyler Martin.

"So far, the winds are blowing north-northeast, so if a lot of radiation leaks, Tokyo shouldn't get a lot of the exposure," said Robert F. Mendel, who lives in suburban Tokyo.

"Of course, if the winds change, that's a different story. We've been advised to wear long sleeves, a cap, a surgical mask to reduce the amount of exposure -- that is, cover as much skin as possible."

Across the country, emergency workers from Japan, foreign governments and international aid groups continued to scour tangled and displaced piles of debris, searching for survivors. Ninety-one countries and regions and six international organizations have offered assistance, according to the Japanese foreign affairs ministry.

Public broadcaster NHK reported that 450,000 people were living in shelters, and many schools had turned into emergency shelters.

In the area of Sendai, the capital of Miyagi Prefecture, several tractor-trailers with cars on top had flipped over. Personal belongings -- a child's doll, an empty shoe, wedding photos covered in mud -- lay in heaps where houses once stood.

Cold weather has increased the hardship for disaster victims and rescuers. Rescuers report that some victims have been exposed to cold weather and water, in some cases for days.

Conditions are expected to worsen, with temperatures forecast to drop below freezing by Wednesday across portions of the earthquake zone, accompanied by snow, heavy rain and the threat of mudslides.

Already in Sendai, cold rain and sleet fell on the decimated city Tuesday, and snow fell in parts of northeastern Japan.

Rescue work is also being complicated by the hundreds of aftershocks that have rocked Japan since Friday's quake. The U.S. Geological Survey reported Tuesday at least three quakes with magnitudes of 6.0 or greater, and more than a dozen others greater than 5.0 or greater.

Experts predict that the earthquake and tsunami will rank among the costliest natural disasters on record.

Jayanta Guin, senior vice president of research and modeling for AIR Worldwide, said it is clear that the total losses will "be far greater than we experienced in Katrina." That 2005 hurricane, which devastated New Orleans and the U.S. Gulf Coast, had estimated losses of $125 billion, according to the Insurance Information Institute.

While agencies are working to raise money, donations have been slow to come. The Chronicle of Philanthropy, a newspaper covering nonprofit organizations, says donations to nonprofit organizations have reached about $25 million so far. The total is far below the first four-day totals of other recent natural disasters, including Hurricane Katrina and the crisis in Haiti, it said.

Wide-scale economic problems also loom.

Japanese stocks closed down 10.55% Tuesday, the third steepest percentage fall in the Nikkei's history. That was on top of a 6.2% drop Monday, the first full trading day after the quake. Wednesday, the Nikkei 225 index, the most prominent measure of Tokyo market stocks, rose 520 points, or 6%, shortly after the market opened.

All three of the major U.S. stock indexes closed down about 1.2% Tuesday, after plunging much deeper earlier in the day on fears of the Japanese economic downturn.

Friday's quake was the strongest in recorded history to hit Japan, according to USGS records that date to 1900. The USGS revised the magnitude of the quake from 8.9 to 9.0 on Monday.

CNN's Gary Tuchman, Anna Coren, Jill Dougherty, Kyung Lah, Anderson Cooper, Paula Hancocks, Dean Irvine, Stan Grant, Kevin Voigt, Jaime FlorCruz, Sean Morris, Holly Yan and Alanne Orjoux contributed to this report.

@highlight

NEW: More than 11,000 are dead or missing in the wake of the disaster

@highlight

A new fire is discovered at the Fukushima Daiichi plant

@highlight

A fire and explosion Tuesday at the nuclear plant led to temporary radiation spike

@highlight

One company says the disaster could be the most expensive in history