The Southeast is preparing to be swaddled in a paralyzing blanket of ice and snow that could leave huge chunks of the region cold, slick and in the dark.

"This is one of Mother Nature's worst kind of storms that can be inflicted on the South," Georgia Gov. Nathan Deal told reporters Tuesday afternoon. "That is ice. It is our biggest enemy."

Winter storm warnings stretched from Louisiana through Georgia, parts of eastern Tennessee, the Carolinas and Virginia on Tuesday. A separate ice storm warning extended from the Georgia-Alabama state line to just west of Charleston, South Carolina, with forecasters warning of "potentially catastrophic" accumulations in Georgia.

Amtrak will suspend some of its rail service in the Northeast, South and Mid-Atlantic regions due to the winter storm forecast, the company said in a statement.

At least five people have been killed in weather-related incidents, including three people who died when an ambulance driver lost control on an icy patch of road outside of Carlsbad, Texas, according to the state's Department of Public Safety.

The ambulance slid off the roadway into a ditch, where it rolled over, caught fire and burned, the department's spokesman, Tom Vinger, said. A patient, a paramedic and one other passenger were pronounced dead on scene, he said.

In Mississippi, where the northern part of the state could see up to four inches of snow, authorities blamed two traffic deaths on the storm. Residents of Charlotte, North Carolina, were looking at up to a foot of snow, while mountainous southwestern Virginia could see up to 14 inches. Roads were expected to ice up early, making them impassible.

"If you get even a tenth of inch of ice on a road, it's like a skating rink," said Kurt Van Speybroeck, a National Weather Service meteorologist in Dallas.

And in Georgia, the state's largest utility warned that hundreds of thousands of customers could be out of power "for days" when ice-laden tree limbs crash onto electric lines.

"This has the opportunity to be a huge event when you're talking about the amount of ice you're looking at," Aaron Strickland, the emergency operations chief for Georgia Power, told reporters. The company expected between half an inch to an inch of ice in some parts of the state, he said.

The new storm is the first test for a 32-member severe weather task force that Deal created after the January 28 snowfall that brought Atlanta to a standstill and led to blistering criticism of state and municipal leaders. Deal said his administration has brought in an additional 180 tons of salt and sand in an effort to keep roadways open, but he urged his citizens not to put themselves "in jeopardy or danger."

A 'very unpredictable' storm

Deal and his fellow governors in Louisiana, Mississippi, Alabama, both Carolinas and Virginia issued emergency declarations ahead of the weather. In North Carolina, Gov. Pat McCrory said the storm was "very unpredictable" as storm warnings were extended northward early Tuesday, forcing state agencies to shift their footing to face the elements.

"Even within the last hour, we're seeing changes in the weather predictions, which makes it very difficult to work on logistics," McCrory told reporters in Raleigh. But he said he was happy with how his government dealt with the late January snowstorm, "and we expect the same type of coordination, activity and teamwork."

South Carolina Gov. Nikki Haley dispatched additional Highway Patrol officers to help with the expected accidents and stranded motorists on state highways, her office announced. State workers and volunteers from the Red Cross and Salvation Army prepared to open shelters if needed.

National Weather Service forecaster Jason Deese said the storm "certainly looks like it could be of historic proportions, especially in the last 10 to 20 years." Meteorologists will keep an eye across the Carolinas on Tuesday evening as the temperatures there will largely dictate Atlanta's fate, he said.

Low temperatures are expected to sink southwest out of the Carolinas, so if the mercury drops precipitously there, it could mean trouble for Atlanta in the form of an inch of ice, he added.

"You've got to get right around 30 and ideally into the upper 20s (for significant ice accumulation). That certainly could happen with this system," he said. "As for how much ice, that's the uncertain part."

There is also a possibility of snow falling on the "backside of the system" Thursday, which would further complicate matters, and once the ice starts melting, travel could be further hampered by chunks of ice breaking off overpasses, something that happened during the recent winter storm in Charleston, South Carolina, Deese said.

"That's going to create travel headaches as well, even after the storm is gone," he said.

Travelers get another winter wallop

A run on supplies

As the skies turned heavy, Atlantans cleaned stores out of loaves of bread, gallons of milk, bundles of firewood and cans of beans and beer. In some stores, all that was left were the apparently less-popular corn and asparagus.

After the ninth-largest U.S. metropolitan area was humbled by January's two inches of chaos, residents said they aren't taking any chances.

Atlanta's city government announced its offices would be closed Wednesday, with only essential employees expected to report to work. The Atlanta Public Schools and other systems across North Georgia announced they would be closed Tuesday and Wednesday. And local leaders urged people to stay off the roads.

"As of midnight tonight, wherever you are, you need to plan on staying there for a while," Atlanta Mayor Kasim Reed said Tuesday afternoon.

Even before the first raindrops fell, Jagannathan Santhanam had decided to throw in the towel.

"I will work from home and keep my kids home, too," the software developer said. "It was not fun, especially with family members stranded for more than 24 hours in different places during the last storm."

Charles Davidson also opted for a similar strategy.

"My wife and I decided a few days ago that we were going to get groceries early in the day, and we're going to stay in," he said. "We're going to stick around for the next two or three days."

It took Davidson more than seven hours to get from Georgia Tech near downtown Atlanta to his home in Marietta, a northwest suburb, during the earlier storm.

Not going to happen this time: Lessons from stranded snow survivors

Flights affected throughout South

The system was taking its toll on air travel across the region.

Airlines announced more than 2,400 flight cancellations Tuesday ahead of the storms. The greatest concentrations, according to Flight Aware.com, are in airports in Atlanta, Charlotte and Raleigh-Durham.

Delta Air Lines said Tuesday that some employees at Atlanta's Hartsfield-Jackson International Airport would sleep on planes because there weren't enough hotel rooms for them. On Wednesday, though, a Delta spokesman said employees did not end up sleeping on planes after all.

Snow, sleet and rain are in the forecast through Wednesday morning, with temperatures in the 30s. By Wednesday, ice on the roads could make driving "hazardous or impossible," forecasters from the National Weather Service warned.

The storm already dumped sleet and snow in Texas and Arkansas, and could bring snow as far north as Pennsylvania and New Jersey later in the week. Washington is bracing for nasty weather Wednesday and Thursday.

When the last storm struck two weeks ago in Georgia, roads were gridlocked almost instantaneously as commuters fled Atlanta en masse. Thousands of children across northern Georgia spent the night in schools, and countless motorists endured commutes of more than 20 hours, if they were lucky enough to get home at all.

Snowed Out Atlanta, the Facebook group where Georgians asked for and offered help during the last storm, was ramping back up Monday.

The forum posted alerts about school closings and the possibility of power outages and tips on how to prepare for the storm.

And there were also -- shall we say -- more practical tips. One featured a drift packed with a variety of brews.

Says the caption: "The best part about snow is that it keeps my beer extra cold."

There's nothing like a silver lining.

@highlight

Amtrak suspends some rail service in the Northeast, South and Mid-Atlantic

@highlight

More than 2,400 flights have been canceled ahead of the storm

@highlight

Five dead in weather-related incidents in Texas, Mississippi, authorities say

@highlight

Utility executive warns power outages could last days