(CNN) -- Every non-democratic government faces the following problem: when they tell the truth, everyone thinks it is a lie.

Recently, the new leadership of the Chinese government has launched one of the most intense anti-corruption campaigns in decades to, as President Xi Jinping put it, fight both "flies" and "tigers." Bo Xilai, a former Politburo member and the biggest "tiger" so far that has fallen from grace, was sentenced to life in prison on Sunday.

Yet very few outside observers believe that this marks a success in the anti-corruption campaign; many argue that this is a political purge against a potential rival to the new regime. It is difficult to know how many ordinary Chinese citizens feel the same way, but as the old Chinese saying goes, "every new sovereign brings his own courtiers." That is to say, people understand how politics works.

The suspicion among the masses of the true intention of the government poses a major challenge to China's recent efforts to curb corruption. If the anti-graft drive was designed to create a better image of the Communist Party and make the Chinese people happy, what if the people don't believe it is sincere? Considering the huge costs of the campaign, is it really worthwhile if people consider this as just another round of political reshuffling to consolidate the new leaders' power?

Read more: China's Bo Xilai appeals conviction

The costs are substantial: just imagine how much human and financial resources it took to investigate, arrest, adjudicate and imprison a high-ranking official, let alone the time it cost for the leadership to reach a consensus. The 18th National Party Congress, a key meeting that began the once-in-a-decade leadership change, was delayed for about a month in late 2012 in the wake of the Bo Xilai scandal.

However, the biggest cost comes from the fact that an intense campaign like this harms solidarity among the nation's elite -- the key to the survival of single-party regimes.

This presents the greatest dilemma of anti-corruption campaigns in any non-democratic regime. Should they fight against corruption sincerely to avoid being overthrown by the masses but risk being assassinated by a desperate comrade in a coup from the inside? Should they launch a seemingly strong campaign to selectively crack down on some politicians to maintain elite unity but irritate the public? The Chinese government seems to have chosen the second strategy because, first, they care more about elite solidarity and, second, people are cynical any way.

Historical evidence is supportive of this. Anti-corruption campaigns have arrived in waves: the late 1980s, early 1990s, early 2000s and today. Big "tigers" have been arrested in each wave: Chen Xitong (former Beijing Party chief) in 1995, who was sentenced to 16 years in prison but released in 2006 due to health concerns. Chen Liangyu, the former Shanghai Party chief, was suspended from the Party in 2006 and eventually sentenced to 18 years in prison on bribery and corruption charges. And now Bo Xilai, the former Chongqing Party chief -- it is no coincidence that these waves occurred around leadership changes.

Bad policies are good politics. The Chinese Communist Party has had very few instances of elite split in the last 90 years since it was founded in 1921 because they figured that elite cohesion is far more important than public support in sustaining their rule.

However, this strategy will not solve the dilemma forever. An empowered and enlightened public has increasingly threatened non-democratic regimes, as the Arab Spring revealed. To have a long-term plan, the Chinese Communist Party needs to institute strong institutions such as The Independent Commission Against Corruption in Hong Kong or an independent judiciary to check the power of the Party and the government.

It might be a pain in the short-run, but it will bring longevity to the Party.

@highlight

Wang: The recent corruption crackdown creates problems for China's political elite

@highlight

The conviction of Bo Xilai follows a familiar pattern during Chinese leadership changes

@highlight

Few observers believe Bo conviction marks a success in the anti-corruption campaign

@highlight

The Communist Party needs to institute strong independent institutions to check corruption