(CNN) -- Houdini wouldn't speak to me. He refused to say one word. He hasn't spoken to anyone for 87 years -- since he died.

Every Halloween, Harry Houdini fans try to prize a few words out of the world's greatest escapologist.

Before he died, Houdini promised to send a message back from the Other Side.

After his death in Detroit on October 31, 1926, his wife, Bess, inaugurated the official Houdini séance.

He hasn't been heard from.

Yet.

This year's séance will be held at the Halifax Citadel National Historic Site.

The citadel is a 19th-century fort. The catacombs are supposedly haunted.

Houdini played Nova Scotia and toured the Canadian Maritimes in 1896.

The séance will feature performances by local magicians.

Some proceeds will go to the "Feed Nova Scotia" initiative, a province-wide food bank. Seating is limited. Admission is $45.

Guests this year include escape artist Lucas Wilson, holder of three Guinness World Records, and the daughter of Jacques Price, one of the three men in the dressing room when Houdini received the fateful punches to his stomach.

The medium charged with getting through to Houdini is Alan Hatfield of Pictou Landing First Nation.

A former truck driver, Hatfield has been a professional psychic since 1988 and has helped on several missing persons inquiries.

He claims to have spoken with victims of the Titanic disaster buried in Halifax's Fairview Cemetery.

"I don't know much about Houdini any more than the casual observer interested in magicians," he says. "I like to have no preconceived information but to begin all endeavors with spirit dialogs from Ground Zero status. It's a privilege to be asked to be part of the séance."

Spirit hotline remains dead

In 2001, I had the honor of sitting at the séance table in Milwaukee, the first journalist to do so.

Sadly, Houdini didn't show up. Or pick up. The line to the Other Side remained dead.

Hatfield is more confident of success.

"I'm not a traditional trance medium, but have had great results, using sweet grass and prayer to open doorways," he says. "And employing EVP (Electronic Voice Phenomena) recordings in communion with disembodied souls."

Among those joining hands around the table will be historians, collectors and experts such as Bill Radner, whose late father Sid owned the world's largest Houdini collection.

This included the only recording of the magician's voice.

The memorabilia was sold at auction in 2004.

"We always have the séance handcuffs on the table," says Radner. "Only Houdini knew how to open them. They are similar to those he escaped from in a 1904 challenge in London staged by Britain's Daily Mirror newspaper."

Houdini said he would open the handcuffs from the afterlife, if he could.

"They were very important to my father," says Radner. "He bought them from Harry's brother, Theodore, who performed as Hardeen, and were first used in a séance in 1948."

Until 1995, the official Houdini séance was held at his graveside in New York's Machpelah cemetery.

It has since taken place around the United States as well as in London and Montreal.

Great escapologist, but he couldn't drive

"Harry was an amazing guy," says fan and "Inner Circle" member Tom Boldt, a construction executive from Wisconsin.

"There wasn't much he couldn't do. Except perhaps drive. He was the first man to fly a plane in Australia. In 1910. He even toured in Russia.

"The séance has become part of Americana. It's an opportunity to retell Houdini's incredible rags to riches story. And another serious attempt to honor Houdini's claim that if anyone could return from the hereafter, it would be him."

Fellow table member and séance host Bruce MacNab from Dartmouth, Nova Scotia, wrote an award winning book, "The Apprenticeship of Harry Houdini," about The Metamorphosis, Houdini's tour of eastern Canada.

He spent five years researching it.

"Houdini spent a month in the area and stayed in the Carleton House in Halifax," says McNab. "He discovered the straitjacket on the tour.

"His show at Yarmouth was his first one outside of the U.S. And the one in Dartmouth his first international one as a headliner."

Along with Frank Lloyd Wright, Senator Eugene Macarthy and Liberace, Houdini is one of Wisconsin's favorite sons.

His hometown of Appleton, two hours north of Milwaukee and one hour south of Green Bay, offers self-guided walking tours around Houdini-related sites, like the Houdini Elementary School.

The school motto is "The Magic of Learning. The Magic begins here."

There are the Houdini Escape Gastropub and the Stone Cellar Brewpub, which serves "Houdini Honeywheat" or "Weiss" beer.

From shoe shiner to crowd pleaser

Born Ehrich Weiss in Budapest in 1874, Houdini spent the first nine years of his life in the Wisconsin town now famous for dairy farming and a fire engine factory.

Appleton boasted the United States' first enclosed shopping area and the country's first hotel with electrified lighting. And first hydroelectric plant.

Houdini's father, Samuel, was the town rabbi. He preached above Heckert's Saloon, now a carpet shop and bridal outfitter. The family home is now a shopping plaza.

The only physical landmark left from Houdini's boyhood is the wooden Temple Zion synagogue at 320 North Durkhee Street, which was built around the time Rabbi Weiss was sacked from his $750 a year job for not being able to preach in English.

The family moved to Milwaukee in 1883.

Houdini and his brothers shined shoes and worked as newspaper boys for the Milwaukee Journal.

Their father became a kosher butcher.

Houdini took his name from the French illusionist, Robert-Eugene Houdin.

His first professional performance is thought to have been at the Pasadena Athletic Club in New York.

There's a small Houdini museum in Scranton, Pennsylvania. The Library of Congress in Washington, D.C. and the University of Texas in Austin hold collections.

There are commercial museums at Houdini's Magic Shop in Las Vegas and Fantasma Magic in New York. Magician David Copperfield has a private collection.

The Museum At The Castle in Appleton also has exhibits. Its gift shop sells straitjackets. But no butter churns or manacles.

"We hope to hear from Harry soon," says Boldt. "He might make his comeback if he knows it's a sellout crowd.

"He was the ultimate showman. He once said that only when people were sure he was licked would he appear. He was a master of suspense."

This year's Houdini séance takes place October 31 at the Halifax Citadel National Historic Site and is open to the public; entrance fee $45; more information at this leading Houdini fan site.

Numerous Houdini artifacts can be seen at the History Museum at the Castle in Appleton, Wisconsin.

@highlight

Harry Houdini died in 1926, having said he would speak from the afterlife

@highlight

He also said he'd open a pair of handcuffs, but to date neither has occurred

@highlight

This year's seance takes place in Halifax, Nova Scotia, on October 31, the anniversary of Houdini's death