Seoul, South Korea (CNN) -- Conservative candidate Park Geun-hye claimed victory Wednesday in South Korea's presidential election, a result that will make her the country's first woman president.

Addressing crowds in Seoul's central Gwanghwamun Square, Park said her win was a victory for the people.

"I will be the president of the nation who keeps pledges," she said.

"This is considered a victory for people who want to overcome crisis and revive the economy. I will never forget the will of the people who believed in me wherever I went during the election campaign.

"I will start an era of happiness in the nation."

Her rival, liberal candidate Moon Jae-in of the Democratic United Party, conceded victory, according to South Korean network YTN.

South Korea's outgoing President Lee Myung-bak congratulated Park on her win, which comes at a time of rising economic anxiety for the nation.

The result has not yet been confirmed by the country's National Election Commission.

But Park was leading with 51.66% of the vote, to 47.91% for her rival Moon, with more than 94% of the vote counted, election officials said.

Read more: Pocket, not rocket, worries Koreans

The three major broadcasters in South Korea all projected a win for Park, the 60-year-old daughter of a former dictator who heads the governing conservative Saenuri party.

U.S. President Barack Obama sent a message of congratulations to Park on Wednesday.

"I look forward to working closely with the Park Administration to further enhance our extensive cooperation with the Republic of Korea on a wide range of important bilateral, regional and global issues," he said. "The U.S.-ROK alliance serves as a lynchpin of peace and security in the Asia Pacific, and our two nations share a global partnership with deep economic, security, and people-to-people ties."

Obama also praised Lee for what he said the outgoing leader "has done to strengthen U.S.-ROK relations and promote a Global Korea."

Read more: Ghosts of past presidents loom over South Korea's election

Park will assume office in February 2013, in a country grappling with income inequality, angst over education and employment prospects for its youth, and strained relations with North Korea.

South Korea is also a strategic Western ally and the fourth-largest economy in Asia.

"I hope the next president can put what the people want and how the country can develop before the interests of their own party," said Yong Sung-hwa, who voted in the morning.

As in many other elections around the world, the economy is the No. 1 issue for South Korean voters. Though the Asian country has fared far better than other countries, including the United States, during the economic crisis, its export-led economy has still felt the pinch.

Read more: South Korea's election paradox

"This country depends on the world's economy," said Jong Kun Choi, associate professor in the department of political science and international studies at Yonsei University in Seoul. "Eighty-nine percent of our GDP comes from the international trade."

The election appeared to be a showdown of generations. Park enjoys broad support from older Koreans in their 50s and 60s, while Moon has strong support from younger Koreans.

In a survey conducted by the National Election Commission, 80% of the respondents said they would vote, despite frigid weather.

Lee, the outgoing president, could not run for re-election, as it is prohibited by Korea's constitution. He will leave office next year dogged by low approval ratings, an impasse with North Korea, and corruption scandals involving his family and inner circle. The Korean presidency has not enjoyed a sterling reputation.

Park and Moon also bring baggage from the past.

Park is the daughter of former President Park Chung-hee, whose legacy left the Korean public divided. Some claim he was a dictator who ignored human rights and cracked down on dissent, while others credit him with bringing economic development to South Korea. Her father's assassination in 1979 ended his 16 years of rule.

Moon is a former human rights activist who was imprisoned in the 1970s for protesting Park's father's regime. He is also a former special forces commando and holds a black belt in judo. Like Park, he carries divisive associations with the past. He was chief of staff for the late President Roh Moo-hyun, who was in office from 2003 to 2008. Roh committed suicide in 2009 amid an investigation into a bribery scandal.

Throughout the campaign, Moon portrayed himself as the down-to-earth choice, calling for welfare reform and economic democracy. Both candidates pledged reforms including engagement with North Korea, reining in the country's big conglomerates -- like Samsung and Hyundai -- support for small and medium-sized businesses and more social spending, although their proposed methods differ.

Read more: South Korea: A presidential election primer

"I'm concerned about homeland security, foreign policy and the economy," voter Lee Dong-hoon said. "Among those, the economy is the most important. We need to raise the number of the middle class."

The election comes at a time of sluggish growth and increasing poverty. In October, the Bank of Korea, the nation's central bank, lowered its growth forecast for next year to 2.4% from its previous prediction of 3%.

Since 2006, the number of residents living in relative poverty has jumped 10%. Almost one-fifth of the population earns less than half the national average income, according to Statistics Korea, a government agency.

Nowhere in the country is the gap between rich and poor more stark than Guryong village, part of the exclusive Gangnam district of Seoul, made famous by the viral "Gangnam Style" song by rapper PSY.

Lee Ha-soong, 80, has lived in the neighborhood for 30 years. Her home is a patchwork of wood and corrugated iron, sandwiched between other improvised cabins. In heavy rain or snow, she is forced to stay with neighbors as her 5-square-meter home floods.

After seeing presidents come and go, Lee is unimpressed by their promises.

"Every election and every Christmas, politicians come and ask me, 'How are you, Grandma? How can we help?' It's always the same questions. I tell them, 'If you can't change anything, why are you asking such useless questions?' "

Despite plans to raze the shacks and build low-income apartments for these residents, Lee is unconvinced that change will happen.

Less than a kilometer away from her shack, high-rise apartments stretch into the sky. The cheapest apartment in these buildings cost a cool $1.2 million in an area known as the Beverly Hills of Seoul.

CNN's Soo Bin Park and Laura Smith-Spark contributed to this report.

@highlight

NEW: President Barack Obama congratulates Park Geun-hye, praises outgoing leader

@highlight

Park says her win is a victory for South Koreans; outgoing president also congratulates her

@highlight

Rival Moon Jae-in concedes victory to Park, broadcaster YTN reports

@highlight

South Korea is a strategic Western ally and Asia's fourth-largest economy