(CNN) -- He's a best-selling crime novelist from a Scandinavian country, but don't call Jo Nesbø the next Stieg Larsson. It's not that Nesbø doesn't care for the comparison. He just believes it's misleading.

The 51-year old from Oslo, Norway says he has more in common with American hard-boiled crime fiction.

Nesbø (pronounced NESS-buh) is a former professional soccer player, musician and stock broker, who eventually turned to writing. He was writing bestsellers for ten years before Larsson's "The Girl with the Dragon Tattoo" was published.

While his crime novels have sold nine million copies worldwide, he's just becoming widely known in the United States, but his new novel will likely change that.

"The Snowman" hit bookstores in the United States last week and is winning raves from American critics. It's Nesbø's seventh novel featuring police detective and recovering alcoholic, Harry Hole (pronounced WHO-leh).

It's a terrifying thriller, about the hunt for a serial killer, who leaves a snowman as his calling card.

The book is already a bestseller in Britain, won Norway's novel of the year in 2008, and appears headed for the big screen. "The Snowman" has been optioned by Working Title films, ironically, the same production company behind the movie version of "The Girl with the Dragon Tattoo."

Nesbø was at the Cannes Film Festival last week to promote "Headhunters" a movie based on another of his novels. He's now touring a handful of U.S. cities to promote "The Snowman."

CNN caught up with the author this week. The following is an edited transcript.

CNN: For new readers, tell us a little about your main character Harry Hole.

Nesbø: It is not easy to summarize the protagonist of the series in a few words, but here are some features of Harry's personality that are important to me when I write about him: He's the type of guy who is driven by his good side as well as his darker side.

At times he believes in his role as law enforcer, at other times he doesn't. And occasionally he is so gripped by his emotions that they overwhelm his basic belief in the principles of a state governed by law.

He hunts down criminals with such an intense hatred and finds revenge so hard to resist that at times he could be mistaken for the antagonists he is fighting. But at the same time he can feel empathy for, perhaps even a kinship with, the lawbreaker.

Harry Hole is a hero with pronounced weaknesses. All good heroes have an Achilles heel, and in Harry's case, it is alcohol.

CNN: What's Harry's up against in "The Snowman?"

Nesbø: Harry Hole receives an anonymous letter signed "The Snowman." A few months later he discovers an alarming resemblance in numerous old disappearances: Married women (who have children) go missing the day the first snow falls each year.

CNN: How would you describe Oslo -- where the story takes place?

Nesbø: Oslo is a cozy little capital, but it is also what you have seen in my books. For a while it had the highest number of fatalities from drug overdoses in Europe. There is organized crime, hardcore prostitution, trafficking in drugs and women, and a Russian Mafia presence.

It's a town that has gone through immense changes over the last twenty years. It's still a very beautiful town in one of the richest countries of the world, and it's safe.

But there is all the rest, so it's easier to write about the shady side of Oslo now than it was twenty years ago. I want to describe the contrasts, and to me Oslo today is a perfect setting for a thriller.

CNN: Your novels deal unflinchingly with some dark and complex themes, including Harry's alcoholism. Where do your ideas come from?

Nesbø: I believe that those of us who were afraid of the dark when we were young have an advantage. If you pretended you were too big to be afraid of the dark, you closed off part of your brain, but if you let your imagination run, it went wild.

When I went down to the cellar to get potatoes as a boy, I came back up again with a horror story of novel proportions in my head. And when I'm writing the passage about the woman being chased through the forest, or when Harry gets lost, I draw from the fear and horror I experienced myself.

I've been lost in a forest myself and felt I wasn't far away, but suddenly it became darker and darker, and even though I thought the house was close by, it wasn't. And then you're convinced you're lost.

Your terror is the fuel for your writing. I was a lot more afraid of the dark and frightened than my brothers, and I'm sure it has given me an extra edge and sense of horror.

I was always the one who had to tell ghost stories when we were small because they could hear the terror in my voice. And I was petrified by my own stories.

I am attracted and fascinated by the dark side. I write about it because I'm curious. I'm curious about everything that is human.

I'm not fascinated by suffering for its own sake - torture scenes don't interest me as such -- but I am fascinated by people who torture, what drives them.

CNN: Explain why you say Harry's goal is to understand evil and also love.

Nesbø: Harry feels something akin to what the serial killer feels, the same tension and excitement, when he approaches a victim and the same anti-climax after the killer is caught. It is Harry's ambition to understand both love and evil. He is a passionate guy in all ways. And he is the type of man who has no control over his impulses.

The fact that he cannot set limits permeates his drinking habits and his attitude to his job. He takes on cases and is swallowed up by them. It is the same with his relationships with women.

I could have chosen to make them live happily ever after and have children, but then we have a completely different person, one I find boring. I like the fact that he is in transit in his own life, as far as his emotions and his job are concerned.

When you make a person a hero you are bound to have some things in common with him -- at least a basic set of values if you're going to understand him.

I think understanding basic emotions like hate and love is something we spend a lifetime trying to achieve. So, yeah, it's true for me too.

CNN: How has your success impacted your career?

Nesbø: I have less time to write because I have to travel more. Apart from that I do the same things, I keep my life fairly simple and unchanged because I was perfectly happy with the life I had.

Having millions of readers is not dramatically different from having a few thousand; you still have to write books and you still wake up in the morning being your own boss, deciding whether you want to get up.

CNN: Any thoughts why "Nordic Noir" has become so popular among readers globally?

Nesbø: The popularity may have to do with the general level of quality in Scandinavian crime.

In the 70s, Sjöwall and Wahlöö established the crime novel as an art form, as serious writing, and since then many of the best writing talents have turned to the crime novel and used it as a vehicle for their stories.

CNN: Did you always want to be a writer?

Nesbø: I come from a family of readers and storytellers. My mother was a librarian and my father used to sit in the living room reading every afternoon.

When I was seven I pulled "Lord of the Flies" off the bookshelf and asked my father to read it to me. Not so much because I had good taste, but because on the cover there was a picture of a pig's bloodstained head impaled on a pole.

My father read and I used to think I could have made the story more exciting myself. I had already begun to impress friends my age, and some older children, with my gruesome ghost stories.

CNN: What other authors and artists inspire you?

Nesbø: Jim Thompson, Vladimir Nabokov, Knut Hamsun, Henrik Ibsen, Ernest Hemingway, Charles Bukowski, and Frank Miller. Miles Davis, Jayhawks, Teenage Fanclub, Elvis Costello, Ryan Adams, Tom Waits, Bruce Springsteen, Neil Young and Bob Dylan.

CNN: What's on your summer reading list?

Nesbø: "The Corrections" by Jonathan Franzen. I read the first half in Asia in February, but lost the book. Now I have a new one.

CNN: What's next for you?

Nesbø: My next Harry Hole novel, the ninth in the series, will be published in Norway next month. Next year I plan to write a fourth children's book in my Doctor Proctor series.

Find out more about "The Snowman" and Jo Nesbø on his website.

@highlight

Crime author Jo Nesbø comes out with his latest Harry Hole mystery, "The Snowman"

@highlight

His character, Harry Hole, is driven by his good side as well as his darker side

@highlight

Author: "Your terror is the fuel for your writing"