Washington (CNN) -- President Barack Obama revitalized his push for holding down middle-class tax rates Monday, calling on Congress to pass a one-year extension of the Bush-era tax cuts for people earning less than $250,000 a year.

In a White House statement delivered while people described as working Americans stood behind him, Obama said his proposal would provide the certainty of no tax increase next year for 98% of Americans.

Noting that Republicans seek to maintain all of the Bush tax cuts enacted in 2001 and 2003, Obama said both sides therefore agree on extending the lower rates for middle-class families.

"Let's agree to do what we agree on, right?" Obama said to laughter and applause in the East Room. "That's what compromise is all about."

Senate Majority Leader Harry Reid, D-Nevada, indicated he would schedule a Senate vote on Obama's proposal, while House Majority Leader Eric Cantor, R-Virginia, said the chamber would vote later this month on a one-year extension of the Bush tax cuts for everyone.

White House spokesman Jay Carney told reporters Monday that Obama would veto the House version if it reached his desk.

Facing a tough re-election fight against certain Republican challenger Mitt Romney, the Obama campaign seeks to frame the contest as a debate between the president's goal of restoring middle-class opportunity versus GOP policies that it says would primarily benefit corporations and wealthy Americans.

Opinion: Class warfare discussion is essential

Obama and other Democrats said Monday that Republicans would have to decide if protecting wealthy Americans from a tax increase was worth holding "hostage" the extension of middle-class tax cuts.

A Romney campaign official criticized Obama's announcement as more bad policy from the president in the wake of the latest disappointing jobs report.

"President Obama's response to even more bad economic news is a massive tax increase," said Andrea Saul, the Romney campaign's spokeswoman. "It just proves again that the president doesn't have a clue how to get America working again and help the middle class."

Unlike Obama, Saul continued, Romney "understands that the last thing we need to do in this economy is raise taxes on anyone."

Republicans also complained that Obama's plan would raise taxes on more than 900,000 small-business owners who report their income in individual returns as so-called flow-through enterprises.

"The proposed tax increase on 53% of all flow-through business income would be especially harmful to small businesses," said a statement by Sen. Jon Kyl, R-Arizona, a leading conservative.

Obama, however, said that under his proposal, 97% of the nation's small business owners would benefit from having their lower tax rates maintained at current levels.

"This isn't about taxing job creators," Obama said. "This is about helping job creators."

Carney also took exception to the GOP argument, saying that the small-business people Republicans sought to protect from higher taxes included "partners in law firms or hedge-fund managers."

"They're not the kind of small businesses that you and I tend to think of when we talk about small businesses," Carney said.

Monday's statement was part of a new presidential push on the tax issue following the weak June jobs report that came out Friday. Congress is returning from it's weeklong Independence Day break on Monday.

An Obama campaign official said his re-election team will "amplify the president's message on middle-class tax cuts" by hosting a series of events this week in battleground states.

In Las Vegas, for example, local elected officials will discuss Obama's efforts to fight for the middle class, the campaign official said. In Colorado, Aspen Mayor Mick Ireland, Colorado Democratic Party Chair Rick Palacio and state Sen. Gail Schwartz will hold a news conference to discuss the contrasting economic visions of Obama and Romney.

Obama signed a bill in 2010 to extend all of the Bush-era tax cuts until the end of 2012, citing the need for economic stimulus at the time. He has since vowed he would not permit another extension of the lower tax rates for wealthy Americans.

His proposal Monday would maintain the current lower tax rates for families making up to $250,000 for another year while allowing tax rates to return to 1990s levels for those earning more.

The president sounded major themes of his re-election campaign, saying his goal was "putting people back to work but also rebuilding an economy where that work pays off."

He blamed a political stalemate in Congress for the failure to take decisive steps toward addressing rising deficits and other economic issues, saying he and Democrats disagreed with what he called "top down" policies of Republicans who favor tax cuts for the wealthiest Americans.

"I believe our prosperity has always come from an economy that's built on a strong and growing middle class," Obama said, noting that he has cut middle class taxes as president. "... So that's why I believe it's time to let the tax cuts for the wealthiest Americans, folks like myself, to expire."

Extend the tax cuts for the middle class now, the president said, and then let the result of the November election decide the debate on broader tax reform, including how much the wealthy should pay

On Sunday, top Obama campaign adviser Robert Gibbs told CNN that the president was "100% committed" to ending the Bush tax cuts for the wealthy.

The tax breaks are set to expire in what has become known as the "fiscal cliff," a package of spending cuts and the removal of tax breaks that will take place on January 1 if Congress fails to act. In total, they could add up to $7 trillion.

Tax breaks that would end include the Bush tax cuts, middle-class protection from the Alternative Minimum Tax and more than 50 "temporary" tax breaks for individuals and businesses that have been on the books for years.

Should the rich pay more taxes? Share your thoughts in the iReport Debate

Obama also has backed the so-called Buffett Rule, named after billionaire investor Warren Buffett, which would impose a minimum 30% tax rate on those making more than $1 million. The measure was blocked by Senate Republicans in April.

Republicans say the solution to the country's deficit problems should focus on shrinking the size of government, rather than raising taxes on anyone.

"In the wake of another weak jobs report, the president is doubling down on his quixotic call for the same small businesses tax hikes that have been routinely rejected by the House and Senate," House Speaker John Boehner, R-Ohio, said in a statement Monday. "How will these small business tax hikes create jobs?"

Opinion: 3 bipartisan bills that could get the economy moving

Middle class taxes may rise anyway

CNN's Ashley Killough and CNNMoney's Jeanne Sahadi contributed to this report.

@highlight

NEW: The House and Senate will vote on differing proposals on the Bush tax cuts

@highlight

President Obama says extend lower tax rates only for the middle class, not the wealthy

@highlight

Republicans says the tax cuts should extended for everyone

@highlight

The tax cuts are set to expire at the end of the year