Tokyo (CNN) -- First come the blackouts, then come the blues ... at least from worried business owners in disaster-hit Japan.

In the end, the rolling outages may wind up being a bigger drag on the Japanese economy than the initial damage from the March 11 earthquake and tsunami.

The area that relies on electric power from the Tokyo Electric Power Co., including Tokyo, accounts for more than half the economy of Japan, so any outages have long-ranging and sometimes unexpected consequences.

A fast-food noodle factory in Saitama, just north of Tokyo, is but one example.

For 63 years, the Kuritaeimu Derica has turned out precooked noodle dishes with fresh ingredients for sale in convenience stores. But managing director Sawako Kurita said the family business is at risk of shutting down and cutting hundreds of employees.

Kurita's problems run all up and down the intensely choreographed production chain. Each day 300 workers at the spotless suburban factory turn out 80,000 packages of 120 varieties of noodle dishes, relying on dozens of vendors for ingredients.

The factory lost some food and flour during the quake, but Kurita said the days afterward were far harder to deal with at the plant. Dozens of foreign workers fled back to their home countries after word spread of the dangerous and still ongoing nuclear crisis at the Fukushima Daiichi plant.

Then pre-announced blackouts forced the factory to shut down for three-hour periods, often during peak production. And Kurita said it takes hours before and after each shutdown to get the machines up and working.

"Our factory has no windows so we can't leave our workers inside," Kurita said. "We have to take them out to the office or the cafeteria, and for three hours we give them some food and drinks because we feel bad for them just waiting to start again."

The hourly employees get no pay for the wait. And most are mothers, often with children in the company day care center who don't have flexible schedules to work around blackouts.

Sayuri Kimura, 38, said she's worried about the cuts and how to provide for her young son.

"I think the planned blackouts are inevitable, and it seems working hours and income will go down, so we're all worried about that," she said while on break at the factory.

And the problem's not only in Saitama -- the ingredients from farmers are also in constant flux.

Kurita explained they are scrambling to buy vegetables and meat from areas outside the affected prefectures where they had relied on food from before. Fuel shortages and quake-damaged roads also hamper deliveries, blackouts let fresh foods spoil, and sometimes trucks are stuck behind electrically powered warehouse doors.

Then there are problems with how to get the goods to customers.

Kurita said many stores are shut and customers are short of cash across the Tohoku area, meaning revenues are taking a hit.

Tokyo Electric has been able largely to avoid blackouts in recent days as cool weather and customer cutbacks have led to nearly a 25% reduction in demand around Tokyo, the company said.

Prime Minister Naoto Kan said Tuesday that he prefers industry and individuals to cut back voluntarily, but Tokyo Electric has warned that as temperatures rise and air conditioners get switched on, companies may be forced to trim power use by a fifth, or face mandatory cuts.

At the Kurita factory, a few small generators sit outside with makeshift power chords snaking along the floor to ensure they can keep phones and computers working to take orders. But a generator large enough to power the factory would take months to find and deliver, and regulations ban big units near the apartments that crowd all around the plant.

Kurita said she's tried to bring aid to the worst-hit tsunami areas, personally delivering tens of thousands of noodle packs to the survivors in the Tohoku region. But she said now the Japanese government and Tokyo Electric must help her and other small businesses out.

"As you see in the factory, all the products come down a line, so if we're asked for a 20% reduction in power we have to stop everything," Kurita said, sighing. "We didn't suffer badly in the quake and have to do our part to help ... but we can't afford to cut 20% and keep on in business."

@highlight

Rolling outages have long-range and unexpected consequences to Japan's economy

@highlight

Fast-food noodle factory in Saitama is at risk of closing due to impact of blackouts

@highlight

"We can't afford to cut 20% and keep on in business," factory official says

@highlight

Tokyo Electric Power Co. warns companies may face mandatory power cuts as temperatures rise