(CNN) -- Neil Kookoothe watched quietly as the state of Ohio killed James Filiaggi.

Kookoothe, a witness during Filiaggi's 2007 execution, saw the condemned man's face turn beet red as lethal fluid ran through his veins. Beads of sweat glistened on his forehead. Strapped to a table, his chest and stomach heaved three or four times, Kookoothe recalled. Then, at age 41, Filiaggi was gone.

"It's surreal when you know that the state is killing him," said Kookoothe, a Roman Catholic priest who counseled Filiaggi in the months before he was executed for killing his ex-wife. "Jimmy was ready to die."

Over the past 18 years, Kookoothe has witnessed executions of two inmates he counseled on Ohio's death row. He has become a student of state-sanctioned death.

The death penalty is entering a crucial period of national scrutiny, Kookoothe said, which may shape its future. "It's a critical moment," he said.

Although the number of U.S. death row inmates stands at about 3,100, executions dipped nearly 10% last year, according to the Death Penalty Information Center. In the past six years, six states have ended capital punishment, according to the center.

The tide of opposition to the death penalty has been rising in the United States for two decades, according to Gallup. Polls show the percentage of respondents opposed to it has more than doubled from 16% in 1994 to 35% in October.

Kookoothe views capital punishment through a unique lens. He's seen it up close as a priest, but he also has the perspective of a nurse and attorney. After graduating with a communications degree in the early 1980s, Kookoothe felt drawn to the priesthood. Instead, he ended up at nursing school, later working as a licensed nurse at a Toledo, Ohio, hospital intensive care unit. "You saw traumas, gunshot wounds and stabbings," he said. While nursing during the day, he put himself through law school, eventually moving on to work briefly as an attorney in Indiana. But the priesthood kept calling. "It was always in the back of my mind," he said. He eventually settled on a life in the church, graduating from seminary school.

The three disciplines served Kookoothe well in the remarkable case of death row inmate Joe D'Ambrosio.

In 1988, D'Ambrosio, an Army veteran, was arrested in the stabbing death of 19-year-old Anthony Klann. He was charged with felony murder.

A co-defendant in the case, Eddie Espinoza, agreed to be the prosecution's star witness. According to court documents, Espinoza testified that he, D'Ambrosio and a man named Thomas Michael Keenan, had forced Klann into their truck and demanded that he help them find a mutual acquaintance named Paul "Stoney" Lewis, who had allegedly stolen drugs from them.

Espinoza testified that, when they couldn't find Lewis, Keenan slit Klann's throat and D'Ambrosio then stabbed him to death in a Cleveland creek.

Read Espinoza's police statement

D'Ambrosio, Kookoothe said, had no previous criminal record. He had neither an alibi nor motive. He told Kookoothe he was home alone sleeping at the time of Klann's killing.

A three-judge panel convicted D'Ambrosio and sentenced him to death.

As D'Ambrosio languished on death row during the appeal process, Kookoothe agreed to look at his case. The priest saw a red flag, informed by his medical training.

He was stunned to learn that Klann's knife wounds were inconsistent with Espinoza's story that Klann screamed after his throat was cut.

"If this is wrong, what else might be wrong?" Kookoothe thought at the time.

Read Klann's autopsy report

Kookoothe got a local newspaper reporter, Martin Kuz, interested in the case. Klann's father told Kuz that, shortly before his son's death, Klann had been subpoenaed in a rape case. Kuz told Kookoothe what he had learned.

That's when Kookoothe's legal training came in handy.

Kookoothe pored through case files looking for information about the rape case. His search revealed a stunning fact: the man accused in the rape case for which Klann had been subpoenaed to testify was Paul "Stoney" Lewis, the same man Espinoza said they were looking for the night of the murder.

The priest felt like his heart had dropped into his stomach. "The adrenaline started flowing," he said. "I'm thinking there's no motive for Joe at all. ..." A U.S. Appeals Court opinion said prosecutors "failed to disclose that Lewis was being investigated, and had earlier been indicted, for a rape to which Klann was a witness."

A man named Christopher Longenecker testified in 2004 that Lewis raped him shortly before Klann's murder. Immediately after the alleged rape, Klann walked in on the two men, which gave Longenecker a chance to escape, Longenecker testified. Longenecker didn't tell Klann he had just been raped, according to Longenecker. However, Longenecker said Klann knew he was upset. Longenecker told Klann that "something had just happened," according to the testimony. Longenecker testified he suspected Klann understood what had happened.

Later, Longenecker was subpoenaed to testify against Lewis in his rape trial, according to court documents, but Longenecker misread the subpoena and missed the trial date. As a result, the rape indictment against Lewis was dismissed.

If Longenecker's story had been introduced as evidence in D'Ambrosio's trial, it "would have ... increased a reasonable juror's doubt of D'Ambrosio's guilt," the court wrote.

Kookoothe had connected legal dots that pointed suspicion away from D'Ambrosio.

It blew the case wide open.

During the trial, prosecutors hadn't shared this information with D'Ambrosio's lawyers, according to the U.S. Court of Appeals.

"I didn't see any connection" between the rape case and D'Ambrosio's case, trial prosecutor Carmen Marino told CNN's "Death Row Stories." It's unlikely "someone would murder another witness to keep them from testifying."

Read the opinion by the 6th Circuit of the U.S. Court of Appeals

Prosecutors also failed to share the opinion of veteran homicide detectives who disputed Espinoza's story, saying Klann was killed somewhere else and his body was dumped in the creek.

Read an affidavit from one of the detectives

Both these revelations gave D'Ambrosio's lawyers much of the ammunition they needed to win his freedom after two decades on death row.

"There's never been a formal complaint filed against Mr. Marino," said Scott Drexel, disciplinary counsel for the Supreme Court of Ohio, which oversees grievances against judges and lawyers. But the court did cite Marino for alleged "misconduct" during a trial against D'Ambrosio's co-defendant, Thomas Michael Keenan. In front of jurors, Marino "stabbed a large knife into a counsel table" prompting the court to conclude "... the prosecutor's pattern of misconduct throughout much of the trial and during closing argument did deprive [Keenan] of a fair trial."

D'Ambrosio's case triggered calls for Ohio to adopt so-called open discovery laws to force prosecutors to share much more case information with defense attorneys. New legislation went into effect in 2010.

"Many exonerations of prisoners on death row and elsewhere have happened because prosecutors failed to disclose important evidence to the defense," said CNN legal analyst Jeffrey Toobin. "Open discovery would prevent those problems from happening and preserve the chance for a fair trial in the first place."

The National Association of Criminal Defense Lawyers lists 14 states as having the "least discovery in the nation." They are New York, Alabama, Georgia, Iowa, Kansas, Kentucky, Louisiana, Rhode Island, South Carolina, South Dakota, Tennessee, Texas, Wyoming and Virginia.

But there may be a dark side to open discovery laws. Criminals might use the information from prosecutors to learn the identities of their accusers, and then intimidate them before they testify. In Oregon, Clatsop County District Attorney Joshua Marquis supports open discovery laws while admitting their drawbacks.

Marquis, a member of the National District Attorneys Association board of directors and a former member of the American Bar Association's Criminal Justice Section Leadership Council, sometimes asks judges to allow blacking out — or redacting — of personal information contained in disclosed files. But redacting personal data, such as witness addresses, can cause problems, too, Marquis said. What if an attorney needs an address to track down a witness for a pretrial interview or to run a background check? In that case, he said, the attorney is out of luck.

In Ohio, Joe D'Ambrosio "was the poster child case for open discovery," said Kookoothe. Such laws, he said, would force prosecutors to focus less on winning and losing. "The issue is not about winning — but about truth-seeking and justice," Kookoothe said. "Open discovery should be the norm in every case, everywhere."

Marquis has a less idealistic point of view. "Not to disparage defense attorneys," he said, but a defense attorney's "job is not to seek the truth. Their job is to seek the acquittal of their client."

Marquis asked: What should defense attorneys say if their clients want to read those unrestricted reports?

"We have in our possession, often, information that can be really badly misused."

According to a U.S. Court of Appeals opinion, if D'Ambrosio's defense attorneys had gained access to the prosecution's case files during trial, they could have demonstrated enough reasonable doubt to win an acquittal. Instead, D'Ambrosio served two decades in prison under a death sentence.

Kookoothe remembered a day in January 2012 when he watched D'Ambrosio clear his final hurdle.

A judge had already dismissed all charges against D'Ambrosio. All that was left was waiting to learn whether the U.S. Supreme Court would hear the state's appeal.

Kookoothe and D'Ambrosio sat together, ready to live blog their news from an open laptop. Finally, the highest court in the land announced its decision: The justices refused to consider the state's appeal.

"'It's over. It is OVER, Joe," Kookoothe remembered saying. "There is no more appeal, there is no other place to take this. There's no place they can go. You are done. You're free."

"That," Kookoothe said, "was a great day."

Should more states require prosecutors to share all case files with defense attorneys? What do you think? Share your thoughts in the comments.

@highlight

Neil Kookoothe -- a priest, nurse and lawyer -- finds evidence in Ohio death row case

@highlight

Joe D'Ambrosio sat on death row for years before evidence overturned his conviction

@highlight

Case poses big questions about requiring prosecutors to share evidence