Dearborn, Michigan (CNN) -- If the crooked blue staircase, colorful crank and dangling bathtub looked familiar, well, that's the point.

"Who wants to play 'The Life Size Mousetrap' -- and sign a waiver?" a big top voice boomed across the Maker Faire at the Henry Ford Museum in Dearborn, Michigan, this summer.

Ahh, yes. At this annual celebration of DIY culture, of course this would appear: a scaled-up version of "Mouse Trap," the Hasbro game bent on marbles zigging through a plastic labyrinth. And the circus voice? That would be Mark Perez, creator of the larger-than-life board game. Almost every run begins with a boardwalk-style sales pitch of his grand machine.

"Are there any engineers in the house?" a voice bellowed over the sound system, drawing a few claps.

"Who likes to do math in here?" it demanded, drawing ... nothing.

"Let's not have this weak applause for math! MATH!"

Perez played "Mouse Trap" a lot as a kid -- kind of. Nobody followed the rules, he said. They just liked to build the machine and make it work. In his house, they built and rebuilt the contraption so often, they'd get a new version of the game every couple years.

"I decided one day to put three of them together to see if I could make them all work and hopefully not poke my sister's eye out," he said.

His sister's eye was fine. And as he grew up, the mystique of the Rube Goldberg machine didn't leave him.

Why Rube Goldberg machines still matter in 2012

It took him 13 years and 50,000 pounds of stuff to build the big one. The crane alone took two years: It's all hand-built, but it's capable of lifting a two-ton safe 30 feet in the air. Its role in the game was to trap a plastic mouse.

Because this is real life, and the Henry Ford Museum, its role was to crush a junked white Hyundai.

"It's the grand finale," Perez said.

But you've got to ask: Why? Why build it? Why take it on the road? (He did a 10,000-mile tour last year, Perez said. Considering it costs $3 a mile to move, it ain't cheap.) Why put the time, money, effort into oversized rainy day entertainment?

Spectacle. Perez is a showman and artist, in addition to being a builder. He likes the craft, the handiwork, doing something he doesn't really understand. He's not really a physics guy, but this project turned him into one. So why not everybody else?

"One of our major goals is to teach kids and adults about the physics that surround us," Perez said. "Give us the really unplugged vision -- you know it's not wired in. It's the real thing with counterweights and science and engineering."

It's just an idea, but the guy is on to something.

A new set of standards for science education is in development now and expected to debut early next year. Classrooms might feel a bit more like Perez's machine than tidy rows of desks, said Gerald Wheeler, interim executive director of the National Science Teachers Association.

How a 21st-century science class should look

Some kids excel with a page of gray text. Others need to see something bubble or break before they can really understand. And all of them can benefit from realizing that experiments on paper don't always work in practice. Wheeler has seen those kind of revelations happen in science classes. Students have had to design a system of pulleys, planes and screws to do something simple like put cereal in a bowl. (For the advanced crowd, make 'em do the math for milk, too.)

"The computer screen, like the physics textbook, can be pretty clean. Physics is a lot cleaner when you don't have to worry about air resistance," Wheeler said. "Using it as a team, in the real world, very much mimics what the NASA engineers have to do."

States can decide whether to adopt the standards, but demand from students, teachers and corporate America makes Wheeler optimistic for the future of hands-on, "really unplugged" science, as Perez put it.

"It's going to be messy," Wheeler said. "It's going to be a challenge for the country to get behind that, but it's much more directed toward creating (science, technology, engineering and math) careers.

"They won't be smashing cars, but they will be putting cereal in a cereal bowl."

Perez, for what it's worth, isn't always smashing cars, either. He knows all too well that not every test in every experiment will work. His big machine takes five days to assemble with a crew of 10, builders and performers all of them.

"Just like the board game," he said, "there are moments when it does not work."

As a crowd gathered, a man with two kids sidled up against the protective barrier around the mousetrap.

"Ahhh," he sighed. "The smell of invention!"

The kids rolled their eyes, but they didn't budge from their primo trap-watching spot. When the weight fell, they cheered with the hundreds of other folks who'd gathered to take in the spectacle.

"You just saw," Perez belted out, "a successful Rube Goldberg chain reaction!"

@highlight

"The Life Size Mousetrap" is a large-scale version of the classic board game

@highlight

Creator Mark Perez said it applies physics concepts -- and it's just fun to see

@highlight

Hands-on and problem-based learning will be key parts of new school science standards