In just the past week, questions over the IRS targeting of the tea party and other groups have reached a new level of volume and, frankly, confusion.

This, after the tax agency revealed that it lost an unknown number of emails in the investigation due to hard drive crashes from years ago.

The most wanted of those missing emails belong to Lois Lerner, who ran the IRS division in charge of tax-exempt status and was the highest-ranking official to be directly connected to the political targeting.

Lerner has refused to testify about the controversy, invoking her constitutional right not to do so.

Friday, IRS Commissioner John Koskinen will face sharp questions about the missing emails and hard drive crashes in an appearance before the House Ways and Means Committee.

Here are some key things to know about the IRS controversy:

What do we know about the missing Lois Lerner emails?

An unknown number of her emails, dating between 2009 and mid-2011, are missing.

The IRS notified Congress last week that they were lost when her computer hard drive crashed in 2011.

We don't know exactly how many are missing because a) they are missing and b) the IRS has managed to retrieve 24,000 of the lost emails by searching through the accounts of dozens of other IRS employees who could have been included in those emails.

Overall, the IRS has turned over 750,000 pages of documents in the investigation, including 67,000 emails.

This investigation's been going on for a year. When did the IRS know about these missing emails?

It depends who you ask.

When CNN spoke with the IRS commissioner on Tuesday, John Koskinen said that agency investigators knew about the crashed Lerner hard drive in "late spring."

But the House Ways and Means Committee insists that on that same day, the IRS told them it knew about the problem in February.

It is not clear why the IRS waited to tell Congress.

Wait. How exactly can government emails be lost forever?

Ah yes. Our first question too.

During this time period (2009-2011), the IRS capped how much material each employee could keep in an email account to about 1,800 emails. If the employee went above that capacity, the individual had to either delete emails or move them to their hard drive.  All of them on Lerner's hard drive were lost when it crashed.

Government to revise proposed regulations on controversial tax-exempt groups

But, didn't the emails stay on a server or somewhere else in the system?

The IRS has said no. That during this time period, the only system-wide email storage were backup tapes erased every six months. Thus the only permanent storage of emails was on employees hard drives. The agency changed this policy in May 2013.

How do we know Lerner's hard drive really did crash?

The IRS has supplied CNN and others with emails between Lerner and the IT department during the time of the crash.

At the end of a chain of emails, on August 5, 2011, an employee wrote, "Unfortunately the news is not good. The sectors on the hard drive were bad which made your data unrecoverable."

Lerner replied, "I really do appreciate the effort. Sometimes stuff just happens."

What happened to the hard drive? Can the IRS double check for emails?

No. According to the Senate Finance Committee, the IRS told them that the hard drive has been "recycled" and is no longer accessible.  It is not clear if the hard drive is still in the agency's possession.

What about the other missing emails? Did six other hard drives also crash?

The House Ways and Means Committee says that this past Monday, the IRS told them that the agency also lost emails belonging to six other IRS employees whose hard drives had also crashed.

One of those six employees was particularly important: Nikole Flax, who had worked as chief of staff to the former head of the IRS. Flax was known to be involved in discussions about the tea party targeting.

The agency told CNN: "the IRS in recent days identified other instances where individuals had hard-drive issues. We are still assessing whether any of this data is permanently irretrievable, so it is premature to say that a significant amount of this data was lost as a result of these issues."

GOP-led House votes to hold former IRS official in contempt

Why didn't the IRS tell everyone about the other missing emails?

That's not clear.

The IRS seemed to only tell one House committee, not other congressional groups, working on the issue.

This is a particularly harmful aspect of the controversy to the IRS because the same day that the House committee says it learned of the additional missing emails, the two top senators investigating the matter sat down with Koskinen.

And Sen. Orrin Hatch, a Utah Republican, says that neither Koskinen nor the staff with him mentioned the other missing emails.

Hatch sent a letter to Koskinen Thursday expressing intense frustration.

"Clearly someone was aware of this information when we met and chose not to disclose it to me," he wrote.

Hatch later took to the Senate floor and said he didn't feel he could trust information from the IRS any longer.

RNC files suit against IRS on Tax Day

Back to all this email, isn't the IRS required to keep every communication? Did the IRS break the law?

This could be a significant question and point of debate at Friday's hearing.

Federal regulation generally requires agencies to retain items of official record.  The IRS insists that its email policy met that regulation and that the determination of what was "official" (vs what was personal) was up to each employee.

Thus, the agency asked Lerner and each IRS employee to move any "official" email to their hard drive to be saved.  Republicans have already indicated they are not satisfied with that answer.

Isn't it hypocritical that the agency requiring taxpayers to keep receipts for three years only kept emails for six months?

Lawmakers are raising that precise point.  In response, the IRS says it simply does not have the funds for enough server space to keep every e-mail permanently.  Koskinen estimates that would cost up to $10 million.

What is Congress doing about all this right now?

There are three committees looking into this.  These efforts are led by Republicans with the exception of what has been a bipartisan investigation underway in the Senate Finance Committee.

* House Ways and Means Committee: is holding  its hearing. Chairman Dave Camp, a Michigan Republican, has also asked the White House to turn over any emails between its offices and Lerner and requested that the Department of Justice launch an investigation and audit into the hard drive crash.

* House Oversight Committee: has issued a subpoena for Koskinen to appear at a hearing Monday, June 30. The IRS has not officially responded yet. Oversight Chairman Darrell Issa, a California Republican, led the effort for the House to hold Lerner in contempt of Congress for not testifying about the targeting controversy.  The committee is now waiting for the Justice Department to determine how it will handle the contempt charge.

* Senate Finance Committee has put its bipartisan report on the IRS controversy on hold.  It was nearly completed last week when the IRS told lawmakers about the Lerner hard drive crash.  Hatch, the top Republican on the panel, has called for an independent investigation into how the IRS has handled congressional requests and the search for information about Lerner.

Darrell Issa's Democratic counterpart: You're pulling a McCarthy in IRS case

@highlight

New controversy erupts over the IRS targeting of conservative groups

@highlight

A House committee seeking answers about lost emails at a hearing on Friday

@highlight

Communications involving top level official Lois Lerner at center of latest flap