Last week's presidential election should be a wake-up call to the Republican Party -- we cannot afford to ignore a rising generation of 21st-century Americans.

Going into the 2012 election, I worried that without effectively connecting with the youth vote, the GOP risked losing the millennial generation for the rest of their lives. On November 6, we may have sealed our fate.

That's because partisan self-identification forms in new generations like cement -- setting softly and hardening over time.

After three presidential elections cycles of voting for the Democratic candidate, there's a danger that millennials will vote blue from here on out. They broke for John Kerry in 2004 by 9 percentage points, for President  Barack Obama in 2008 by 34 percentage points, and again in 2012, by a lesser 23 percentage points.

Republicans can take cold comfort in the fact that the surge in millennial support for Obama that Democrats had hoped for in 2012 didn't turn up. The Center for Information & Research on Civic Learning and Engagement estimates that about as many millennials voted in this election as the last one -- even though a whole new cohort of 18-plus voters became eligible.

Opinion: My generation showed up

As GOP pollster and millennial maven Kristen Soltis points out, "Young people are open to hearing a new message and new solutions. And they are frustrated. They didn't turn out in higher numbers for Barack Obama this election than they did four years ago. But they have not warmed to the Republican Party. We have not made the connection for why conservative principles are better for their future."

But there's a silver lining, according to Soltis: Mitt Romney improved with millennials more than any other age group over John McCain's performance -- no other age group had such a dramatic swing.

The problem, she acknowledges, is that it's still not enough. Obama beat the GOP among youth by 4 more points than Clinton and Reagan won youth in their re-elections, each capturing the youth vote by 19 percentage points. For a generation whose enthusiasm has waned, winning the youth vote by 23 percentage points is still historic in modern American politics.

David Burstein, filmmaker and author of the forthcoming book on millennials, "Fast Future: How the Millennial Generation Is Shaping Our World," tells me that "with sustained increased youth participation in 2004, 2008 and now 2012, it's impossible to say that young people don't show up to vote. We've proved our political muscle. Politicians have been able to get away with paying little attention to issues facing young Americans by invoking the argument that we don't vote. Now, they have no excuse not to address our concerns. ... Millennials take participating in politics seriously and see it as a real responsibility."

Where are all the millennial feminists?

That's why I'm stubbornly optimistic as I look to the future. My Republican Party has no choice but to reach out to millennials. And when Republicans sift through the exit polls, we will have to confront our demographic deficit with Latinos, single women, non-churchgoers and centrist voters. But here's the hidden good news -- if Republicans aggressively reach out to millennials, they will find that they can begin to address all their problems in one fell swoop.  Because the character of the millennial generation embodies the demographic challenges facing the GOP.

The millennials are the most diverse, least traditional, least partisan generation alive today. They are 40% nonwhite, and Hispanics are the largest minority population within the age cohort. By supporting the Dream Act, which allows a pathway to citizenship for millennials who are in the United States without authorization through no fault of their own, we reach out to both millennials and Hispanics. Only one quarter identify with organized religion, and they adhere least to traditional family structures. Being the political party perceived as obsessed with limiting the rights of their gay friends is not a winning formula.

Millennials are concerned with national debt and the deficits. The message that previous administrations' reckless spending -- Republicans and Democrats alike -- has amounted to "generational theft" that is compromising the millennial generation's fiscal future can resonate. I had hoped that vice presidential nominee Paul Ryan would make it his mission to tour college campuses making an explicit generational appeal to millennials. This could be a winning issue for Republicans to help bridge the divide, and while Ryan did visit some universities, a consistent drumbeat by the Romney-Ryan ticket to compete for the youth vote did not occur. It was a lost opportunity.

It's not just about social issues. Even if the GOP were to embrace freedom to marry as being consistent with advancing individual freedom (something I'd love to see), we would not suddenly win over millennials. We need to make a compelling case for why conservatism can connect with this rising generation, explaining that our fiscal policies in particular will help build a more prosperous and less debt-ridden future for them and the country we all love.

There's still time. The 2020 election will be the first presidential race where all millennials will be of voting age -- with 90 million eligible voters (as opposed to this year's 64 million). We may have failed to connect with this first wave of millennials, but there's no excuse to miss the chance to connect with this rising generation now. The GOP can make itself competitive without compromising our core principles of individual freedom, fiscal responsibility, free markets and a strong national defense. We might have missed our chance in 2012, but if we start now, the party, and the country will be better for it.

A millennial says: Stop trashing us!

@highlight

GOP consultant Margaret Hoover says her party missed the boat in 2012 with millennials

@highlight

Obama won the millennial vote by 34 percentage points in 2008 and 23 points in 2012

@highlight

Republican stances on marriage and immigration turn away millennials, Hoover says

@highlight

GOP should emphasize its strong points -- fiscal conservatism, national defense