LONDON, England (CNN)  -- The mysterious disappearance of Flight AF 447 over the Atlantic Ocean has fueled speculation among aviation experts about what caused the state-of-the-art airliner to come down.

An airliner is struck by lightning strike at Washington's Dulles airport last year.

According to Air France CEO Pierre-Henri Gourgeon, the Airbus A330-200 encountered heavy turbulence about 02:15 a.m. local time Monday (10:15 p.m. ET Sunday), three hours after the jet carrying 228 people left Rio de Janeiro, Brazil, for Paris, France.

At that point, the plane's automatic system initiated a four-minute exchange of messages to the company's maintenance computers, indicating "several pieces of aircraft equipment were at fault or had broken down."

The jet, which was flying at 35,000 feet and at 521 mph, also sent a warning that it had lost pressure, the Brazilian air force said. Its last known contact occurred at 02:33 a.m., the Brazilian air force spokesman added.

The assumption is that these electrical problems led to a catastrophic failure of the aircraft's controls.  What brought Flight AF 447 down? »

Some experts have said that a lightning strike was a possibility, particularly since the plane disappeared in a storm-prone area along the equator known as the Intertropical Convergence zone (ITCZ). This is where the trade winds of the Northern and Southern Hemispheres converge. The intense sun and warm water of the equator heats the air in the ITCZ, raising its humidity and making it buoyant. Aided by the convergence of the trade winds, the buoyant air rises, releasing the accumulated moisture in an almost constant series of thunderstorms.  The airliner's route »

According to CNN's Mari Ramos, these storms can reach altitudes of 52,000 ft -- way beyond the capacity of commercial airliners to fly over.  Watch more about the weather systems »

Retired airline pilot John Cox told CNN that modern aircraft receive a constant stream of real time weather data which allows them to plot a course around storms. "Because safety is the paramount concern, airliners don't fly into storms. They fly around them," he said.

"The ITCZ is no different. Planes fly through it every day.

"At 8 miles per minute, modern jets can easily fly around storms. Even if they encounter turbulence, they're designed to absorb it."

When lightning strikes a plane, the bolt typically hits a sharp part of it, such as a wing tip. Huge amounts of energy surge through the aircraft before exiting out of another sharp point, such as the tail. But sometimes high voltages can cause electrical damage if components are not well-grounded.

Unlike other aircraft where the pilot's controls are manually attached to the flaps and rudders, Airbus 330 airliners are equipped with a "fly by wire" system that sends electronic signals from an onboard computer to move key control surfaces.

Experts say that it is possible for this system and its back-up computers to be disabled by lightning. "If you have a massive electrical problem it's possible that you could cut off all the commands out to the control surfaces," said aeronautics expert John Hansman.

However, Kieran Daly, from the online aviation news service Air Transport Intelligence, told CNN that this scenario, while not impossible, is inconceivable. "It's more likely that lightning would cause a fire or punch a hole through the aircraft structure," he said.

"It could be significant that the jet reported a loss of pressure."

He added that the aircraft would be able to continue without the fly-by-wire system. The "trim tab," which enables the pilot to manually manipulate controls such as the rudder, would allow the crew to fly the aircraft safely. "Pilots are routinely trained for these kinds of events in a simulator," he said.

Former Airbus pilot John Wiley said on average every airliner is hit by a strike once a year. "They don't go down," he said.

According to Air France, the captain of Flight AF 447 had a record of 11,000 flight hours and had already flown 1,700 hours on Airbus A330/A340 aircraft. Of the two first officers, one had flown 3,000 flight hours (800 of which on the Airbus A330/A340) and the other 6,600 (2,600 on the Airbus A330/A340).

The aircraft had totaled 18,870 flight hours and went into service on 18 April 2005. Its last maintenance check in the hangar took place on 16 April 2009.

@highlight

Air France Airbus A330-200 encountered heavy turbulence

@highlight

CEO: "Several pieces of aircraft equipment were at fault or had broken down"

@highlight

Some experts have said that a lightning strike was a possible cause

@highlight

Flight 447, traveling from Rio de Janeiro to Paris, was carrying 228 people