Atlanta (CNN)  -- Ernest Green hit the roads of the segregated South as a teen in the 1950s, using a travel guide that pointed out safe havens where African-Americans could eat and stay.

The pamphlet promoted vacation without humiliation.

On that trip in the 1950s, Green journeyed the 1,000 miles from Arkansas to Virginia with his mother, aunt and brother to attend his sister's college graduation. His aunt and mother used the travel guide to plot the entire trip.

"It was one of the survival tools of segregated life," Green says.

Ernest Green became a symbol of the civil rights movement as one of the Little Rock Nine, a group of African-American students who braved death threats and harassment to become the first black students at Central High School in the Arkansas state capital in 1957.

A man with the same last name, but no relation, was behind the African-American travel guide, an institution among black families as they traveled the nation at a time when many businesses wouldn't allow them inside.

Victor H. Green was a mail carrier in New York City's predominantly black neighborhood of Harlem. He was tall, handsome and personable. In 1932, he came up with the idea for a travel book to prevent African- Americans from being humiliated, especially in front of their families.

"The Green Book," as it was known, was first published in 1936. Initially, it pointed out friendly restaurants and hotels in New York. It eventually expanded to include everything from lodging and gas stations to tailor shops and doctor's offices across the nation, as well as in Bermuda, Mexico and Canada.

"Through this guide a number of white business places have come to value and desire your patronage," Victor Green wrote in the 20th anniversary of his travel guide. "Without your support (the guide) could not have remained in business and no doubt would have failed as others did.

"We trust, in the future, your faith will be justified as in the past; and in so doing, you will tell others of your satisfaction."

In the guide's early years, Victor Green would travel to most locations his guide touted. But as the book expanded and he got older, he couldn't visit every spot.

In 1949, the Green Book -- officially called "The Negro Travelers' Green Book" -- noted Wrigley Field in Chicago as a great place to stop. The book especially recommended the town of Robbins, Illinois, for being "owned and operated by Negroes." In Boise, Idaho, Hotel California got a thumbs up.

Susan Sessions Rugh is the author of "Are We There Yet?" a book about how the road trip became part of the American lexicon after World War II. She says African-Americans had a much different experience than white travelers because they "were not free to travel throughout the nation," especially in the segregated South.

"They wanted to educate themselves and their children, and they had a desire to see the country and go on vacation just like anyone who was white. And so they set about doing that," she says.

"To know where to stay, they could consult the Green Book."

Cotten Seiler, an associate professor of American studies at Dickinson College who has written extensively about automobiles and American society, adds that the Green Book steered African-Americans "to these little oases for people of color."

"It gives us a history of what we might call 'driving while black,' " Seiler says.

History had largely forgotten about the Green Book. Then came author and playwright Calvin Alexander Ramsey. He'd never heard of the book until the funeral of a family friend in Georgia about a decade ago. An older relative, coming from New York, asked him, "Do I need a Green Book?"

"I said, 'What's the Green Book?' ... and that kind of sent me on a search."

Ramsey's play, "The Green Book," debuted last year in Washington and featured former NAACP head Julian Bond as Victor Green. Ramsey also wrote a children's book, "Ruth and the Green Book," about the perils a Chicago family faced while traveling to Alabama in 1952 to visit a grandmother. The family was welcomed at Esso gas stations, which sponsored the Green Book.

"People were traveling but they were still having difficulties," Ramsey says, adding that his works are a tribute to Victor Green for helping African-Americans navigate their first American road trips.

Ramsey recently read his children's book to a group of fifth graders at an Atlanta school for Black History Month.

He encouraged the children to never forget the past -- and to keep on journeying across the country.

The Green Book eventually stopped being published in the 1960s, following the passage of the Civil Rights Act, which outlawed forms of discrimination, including racial segregation.

Unlike most businessmen, Victor Green had always looked forward to the day his business would no longer be relevant.

"There will be a day sometime in the near future when this guide will not have to be published," he wrote in his foreword in 1949. "That is when we as a race will have equal opportunities and privileges in the United States.

"It will be a great day for us to suspend this publication, for then we can go wherever we please, and without embarrassment."

@highlight

Travel guide, known as the "Green Book," helped African-Americans travel nation

@highlight

The guide was started in 1936 by a Harlem mailman named Victor Green

@highlight

Professor: "It gives us a history of what we might call 'driving while black'"