(CNN) -- Nobody likes politicians.

Ever since Jimmy Carter won his way to the White House in 1976 by assuring voters that they could trust him in contrast to the more experienced opponents he faced, both Republican and Democratic candidates have tended to boast about every part of their resume that can distinguish themselves from the Washington status quo.

In 2008, then-Sen. Barack Obama undercut the "inevitable" Democratic nominee Hillary Clinton by running as the candidate who was the least corrupted by the bargaining ways of Capitol Hill. Through its portrayal of Sen. John McCain's selection of Sarah Palin, the HBO film "Game Change" effectively captures just how far political candidates are willing to go to have this appeal.

This year, the story is the same. Although President Obama is boasting of his accomplishments in the White House as the nation's leader, he is also using Congress as a foil to lambaste the way that the "real" insiders in the capital do their business. Newt Gingrich and Rick Santorum have tried to transform themselves from pillars of the congressional Republican establishment into conservative mavericks, while front-runner Mitt Romney talks frequently about how he would bring the skills of a CEO to Washington.

The problem is that doing well in Washington requires a very different kind of skill set than the ones that business executives or mavericks bring to the table. Each of these claims is flawed -- as Obama himself discovered -- given the world in which presidents must operate.

Presidents govern in a porous world that makes every move and decision visible to the public within a relatively short time span. Constant scrutiny from the media means the president essentially works inside glass walls.

A CEO enjoys a certain amount of space in which to work through the different options on the table, and even some room to make some mistakes in the process, before announcing a final decision. Both Presidents Carter (with "Lancegate") and Obama (with the Solyndra scandal) have found out how impossible it is to maintain the image of the maverick once under the constant scrutiny of the media.

Moreover, the experiences of the CEO and the outsider do little to prepare a candidate for the government's separation of power. The fact is that the president only gets partial control of the mechanisms to run Washington. In his second year as president, John Kennedy admitted, "The fact is that I think Congress looks more powerful sitting here than it did when I was in Congress ... when you are in Congress, you are one of a hundred in the Senate or one of 435 in the House, so that power is divided. But from here I look at a Congress and I look at the collective power of the Congress ... and it is a substantial power."

While the CEO does have to report to a board of directors, chief executives don't have to share their own authority with a legislature such as Congress -- two other decision-making authorities that carry great weight, each of which has very different incentives and interests.

A recent piece by The New York Times made Romney's gubernatorial experiences sound a lot like Carter's presidency, as the former businessman had immense trouble interacting with members of the state Legislature in Massachusetts. According to one Democratic state senator, "Romney didn't want to deal with legislators. Typically, the governor wants to have a productive relationship with the legislature. That is not something that happened with him."

Similarly, like it or not, it is hard to act as an outsider once daily life involves dealing with hundreds of insiders with considerable power. A president can talk about reforming government and working outside the system, but will only be able to accomplish things by making deals with the very forces and through the very processes they detest. Once presidents start to do so, they look more like the Washington insiders against which they ran.

Finally, presidents have millions of bosses. While the CEO can focus his or her energy on pleasing shareholders or the board of directors and the outsider often does not have to report to anyone at all, the president is being judged by millions of bosses -- the American voters -- each with different interests and objectives. Notwithstanding the constant discussion of a "red" and "blue" America, the reality is much messier than that. In certain respects, if the nation was divided so clearly along these lines governance would be easier.

As presidents start to make tough choices about what legislation to propose and what bills to sign into law, the challenge of having to please so many bosses becomes evident. Indeed, Obama has struggled in recent months to rebuild the coalition that frayed as many of his decisions angered core supporters and alienated the moderate voters he won over in 2008.

In the end, presidential politics is about surviving and thriving in Washington. The kinds of talents that so many candidates like to boast about these days really have little to do with the institutions that the winner will have to govern. It's time to recognize that having a deep political resume is more of a virtue than a vice.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Mitt Romney stresses that his career outside Washington is a plus

@highlight

In 2008, Barack Obama ran as an outsider who was capable of fixing Washington

@highlight

Zelizer: The reality is a president has to be able to operate inside the political system

@highlight

A long political resume should be seen as a plus, not a negative, Zelizer says