(CNN) -- When I was a boy, my father used to take me by the hand to visit the ruins of the ancient metropolis on the outskirts of our town. We would always stop by to visit the huge winged bulls that guarded the gates of the ancient city of Nineveh.

I was scared of the winged bulls, but at the same time, they excited me. Through them and the site, I learned the stories of the civilization that lived along the Tigris River in what was now Northern Iraq.

Many decades later, I started a technology company that brought the world its first 3-D laser scanning system and cloud of points software. The systems we developed were extremely fast and could rapidly collect millions of points with very high accuracy and very high resolution.

A surveyor with traditional survey tools would be hard-pressed to produce maybe 500 points in a whole day. These new systems would produce something like 10,000 points a second. As you can imagine, this was a paradigm shift in the survey and construction businesses, as well as in the reality capture industry.

TED.com: Experiments that hint of longer lives

In 2001, Cyra Technologies was acquired by Leica Geosystems. Right around that time, a terrible tragedy happened: The magnificent 160-foot-tall Buddhas in the Bamiyan Valley in Afghanistan were blown up by the Taliban. They were gone in an instant. Unfortunately, there was no detailed record of the site.

This devastated me, and I couldn't help but wonder about the fate of my old friends, the winged bulls, and the fate of heritage sites all over the world.

My wife and I decided to start a project to digitally preserve world heritage sites. We called the project CyArk, which stands for Cyber Archive. CyArk is now an international nonprofit organization.

With the help of a global network of partners, we've completed more than 50 projects to date, including Chichen Itza, Rapa Nui, Babylon, Rosslyn Chapel, Pompeii and Mount Rushmore. CyArk uses 3-D digital documentation, archiving and the dissemination of the data to tell the story of the sites and engage the public.

We are losing the sites and the stories faster than we can physically preserve them. Natural phenomena take their toll, but it has become clear that human causes are a significant part of the reason for their destruction.

TED.com: How algorithms shape our world

We're fighting a losing battle. Not only are we losing the sites, we're losing a significant piece of our collective memory. Imagine the human race not knowing where we came from.

Because of the accelerated pace of destruction, we created a project we call the CyArk 500 Challenge -- to digitally preserve 500 world heritage sites in five years.

To me, the 500 is really just the first 500. To sustain our work, we take the technology to local universities and colleges. They then can help us with digital preservation of their heritage sites, and at the same time, they get the benefit of learning a technology they can use in the future.

Two years ago, we were approached by a partner of ours to digitally preserve an important heritage site, a UNESCO heritage site in Uganda, the Royal Kasubi Tombs. The work was done successfully in the field, and the data was archived and publicly disseminated through the CyArk website.

Last March, we received very sad news. The Royal Tombs had been destroyed by suspected arson. A few days later, we received a call: "Is the data available, and can it be used for reconstruction?" Our answer, of course, was yes.

Our heritage is much more than our collective memory -- it's our collective treasure. We owe it to our children, our grandchildren and the generations we will never meet to keep it safe and to pass it along.

The opinions expressed in this commentary are solely those of Ben Kacyra.

@highlight

Ben Kacyra: World's most historic, treasured sites are always at risk of destruction

@highlight

He says technology developed for the construction industry can rapidly digitize sites

@highlight

Kacyra's nonprofit CyArk is preserving 500 world heritage sites

@highlight

He says the world is at risk of losing its collective memory and heritage