(CNN) -- He rose from humble beginnings, worked his way through the local leagues before graduating to become a major player on the international stage, netting him millions of dollars along the way.

But this isn't a tale about a footballing hero. This is a story about one of modern sport's greatest villains -- the man dubbed the most notorious match-fixer in the world.

You may not be familiar with the name Wilson Raj Perumal but given how prolific he was, you might have watched one of the games he's fixed.

"I never really counted, but I think it should be between 80-100 football matches," Perumal told CNN's Don Riddell in his first-ever television interview.

Few doors seemed to be closed to Perumal.

"I was on the bench at times, and telling players what to do, giving orders to the coach. It was that easy. There was no policing whatsoever."

Officials were just as easy to target, he boasts, with "no barriers" when approaching select referees, while certain football associations would "welcome you with open arms," he added.

It was only after his arrest and subsequent conviction in 2011 -- his fourth for football-related crimes - - that Perumal started coming clean on his former life, with the poacher-turned-gamekeeper now helping European police combat match-fixing.

In all, Perumal claims to have pocketed around $5 million himself from match-fixing.

However, he lost it all gambling, perhaps explaining why the 49-year-old recently published an autobiography, "Kelong Kings," recounting his journey from rural Singapore to football's globetrotting Mr Fix-it.

"I had my boyhood dreams. I wanted to be a soldier but during my school days I got a criminal record and couldn't really pursue what I wanted to. And then I got attracted to betting when I was about 19-20 years old," he said.

"I kind of got hooked and I didn't want to lose ... so I started fixing local matches," he says.

Perumal plied his trade in Singapore's local football leagues in the late 1980s before joining what international crime-fighting organization INTERPOL recently described as "the world's most notorious match-fixing syndicate" allegedly headed by Tan Seet Eng -- better known as "Dan Tan," who is now reportedly in detention in Singapore.

As the Internet age dawned in the mid-1990s, so Perumal's match-fixing horizons expanded.

"We could see all these matches around the world ... I had the opportunity to target vulnerable countries ... people who were prone to accept bribes," he said.

"So I registered a company and started e-mailing associations and building relationships."

'Like two hands prepared to clap'

The 49-year-old's first foray into international match-fixing -- a 1997 friendly match between Zimbabwe and Bosnia Herzegovina -- failed, he says.

Perumal alleges up to six players from the Zimbabwe team had agreed to lose the match 4-0 in return for a share of $100,000. But the game played in Kuala Lumpur, Malaysia finished in a 2-2 draw.

"We gave them a result that was difficult to accomplish and what happened during the game was that one player accidentally kicked the ball into the net."

A decade later, Perumal targeted Zimbabwe again in what became known as the "Asiagate" scandal with both players and officials receiving bribes to fix a string of matches between 2007 and 2009.

"We were like two hands prepared to clap," Perumal says.

Former FIFA match-fixing investigator, Terry Steans was shocked when he was handed a FIFA case file on match-fixing in Zimbabwe in 2009.

"I read that file and thought: 'No. It can't be. It can't be this easy and it can't be this prevalent,'" Steans told CNN.

"Five years later, I know yes it was and yes it is. But that file opened our eyes and it was to set FIFA Security, at that time, on a path to try and discover as much as we could about the fixers and how prevalent and widespread they were."

Zimbabwe's game was destroyed by the fixing scandal, Steans says.

Dozens of players and officials were sanctioned, some receiving life bans while others were barred from playing for several years.

The Footballers Union of Zimbabwe has been critical of the Zimbabwe Football Association (ZIFA) investigation but Steans says ZIFA deserves credit for taking action.

"They appointed an investigation committee and they took the investigation as far as they possibly could do."

CNN invited ZIFA to comment on match-fixing in the country but they hadn't responded by the time of publication.

Hat trick of jail terms

Perumal says he achieved around a 70-80% success rate and claims to have rigged games at the Olympics, World Cup qualifiers, the women's World Cup, the CONCACAF Gold Cup and the African Cup of Nations.

But his attempts to corrupt didn't always go undetected by the authorities, notably in Singapore where he was imprisoned three times for football-related offences.

In 1995, he was jailed for 12 months for trying to bribe a football player. Four years later he was imprisoned for 26 months for introducing a referee to a match-fixer and in 2000 he attacked a footballer with a hockey stick prior to a game -- an offense he says he deeply regrets.

In 2011, the football authorities eventually caught up with Perumal again, this time in Finland where he was arrested and subsequently jailed for fixing matches in the Veikkausliiga, the country's premier football division.

Perumal served one year of a two-year sentence before being extradited to Hungary where he has been helping police there with match-fixing investigations in the Balkans.

Steans was shocked when police showed him Perumal's list of contacts.

"Perumal had 38 countries in one phone book contacts list -- he had officials and players from those 38 countries," Steans told CNN.

"If you then go to his laptop address book, there were over 50. FIFA has 209 associations ... so we are talking a quarter of FIFA associations for one fixer," he added.

"As we now know, he used most of these people and used them for his own ends and his syndicate's ends and made a lot of money out of it."

He might have lost all his ill-gotten gains but Perumal looks back fondly on that period of his life.

"I have no regrets. It was like, it was a phase of my life and I enjoyed it and I traveled around the world. I had a good time."

There are glimmers of remorse. Perumal says he feels sorry for fixing some matches but then says there are "no regrets" for others.

"Football is no longer a sport. It is more like a business now. So I think we're just trying to make money out of this business. People want to win and they will do anything just to get a result."

Pitch battle

FIFA says preserving the game's integrity is "a top priority" and in 2011 announced it was giving INTERPOL â‚¬20 million ($26.5 million) to fight match-fixing.

"We take any allegations of match manipulation very seriously and are looking into those," FIFA's media department told CNN via email.

"Obviously we are aware of publications such as 'Kelong Kings.' We do not further comment on our activities and we do not share investigative reports.

"FIFA continues to work closely with law enforcement agencies as well as the respective public authorities and other sports organizations on a national regional and global level to tackle the issue of match manipulation."

But Perumal thinks they could be doing more.

"FIFA has not come up with enough strategies or methods or publicity or marketing or whatever you can call it, to combat match-fixing," Perumal says.

"FIFA are doing a lot of things to combat racism but I think match-fixing is more of a problem than racism. I'm not saying FIFA shouldn't pump in so much money (to tackle racism) but what I'm saying is that match-fixing is a more pressing issue."

Steans says Perumal has been "value for money" for investigators helping them understand how match-fixers operate.

"Wilson is a bit of an enigma," he says. "But you know what, every piece of information that he gave out of Finland and Hungary that came our way was right."

The former FIFA man is still fighting match fixing, working as a consultant for a sports corruption company.

But given the recent past, he fears for football's future if match fixing continues to carry on virtually unchecked.

"We end up with a game that lacks integrity, with the game's reputation in tatters and with fans not really knowing what they're watching," Steans says.

"Will fans watch? We'd probably end up with something similar to Zimbabwe where fans walked away, sponsors walked away ... You will end up with a game that means nothing. Just means nothing.

"And when it means nothing, sponsors don't want it and fans don't want it either. So teams would be playing in empty stadiums. It'd be a desert."

Match-fixer denies story on Cameroon throwing World Cup game

Cricket hit by fresh match-fixing allegations over New Zealand players

@highlight

Convicted match-fixer Wilson Raj Perumal speaks to CNN in first television interview

@highlight

Singaporean says he fixed up to 100 matches all over the world

@highlight

Perumal boasts about having fixed World Cup qualifiers and making millions of dollars

@highlight

Former FIFA investigator says match-fixing threatens to destroy game's integrity