(CNN) -- Until a few months ago, Denmark's Greenland North National Park was the world's largest nature reserve at 972,000 square kilometers -- bigger than all but 30 countries on Earth.

There are now two spots that eclipse it.

For a few short weeks, the French semi-autonomous territory of New Caledonia in the southwest Pacific held the top spot, having established the world's largest marine managed area in May.

Covering 1.3 million square kilometers (502,000 square miles) -- the territory's entire economic zone -- the Natural Park of the Coral Sea protects the world's second longest double barrier reef and the world's largest marine lagoon, an underwater coliseum where the level of endemism (the number of species found nowhere else on earth) is off the charts.

"Because it lies in a temperate zone, the marine biodiversity of New Caledonia's reef is very peculiar," says Richard Farmer, director of the Aquarium Des Lagons in the capital Noumea.

"So we have an obligation to humanity to keep the reef pristine."

On June 17, the United States outdid New Caledonia when it declared an even bigger national park in the central South Pacific Ocean measuring 2 million square kilometers.

But getting there is difficult.

The U.S.-controlled islands lying between Hawaii and American Samoa that are incorporated into the new Pacific Remote Islands Marine National Monument are mostly uninhabited or off limits to all but a handful of scientists.

New Caledonia's park, however, is open for business.

Here are three novel ways to experience the world's largest "accessible" national park.

On a surf board

On the east coast of the main island of Grande Terre, La Roche Percee beach is a long strip of sand edged by an extraordinary cliff formation that looks like a giant chess piece.

It's the only known place in New Caledonia where one can surf off the shore.

The waves are for beginners but the real action lies three kilometers out to sea, where the swell hits the outer reef to produce thick and hollow waves.

Manu Hernu runs Nekweta (Respect for the Ocean), a small surfing and fishing camp set in the mangrove forest behind La Roche Percee.

A typical day starts with breakfast at 6:30 a.m. followed by a half-hour motorboat ride to the outer reef.

There, guests spend the next five hours surfing two different reef breaks, snorkeling or fishing for snapper to be baked back at the camp.

"We saw four- to five-foot (1.2-1.5 meter) waves, but it can get up to six to eight feet," says Nicolas Sarian, a surfer and recent visitor from Argentina.

"But the best things about it is nobody was there. Just Manu and me."

Nekweta Fish & Surf Camp (+687 784 026) offers seven-day surf camps and bungalow-style accommodation with communal meals from $1,386. Book via The Perfect Wave or World Safaris.

On a yacht

Each June, a dozen or so monohulls and catamarans sail out of Noumea's Port Moselle to compete for glory at the Great Lagoon Regatta.

The friendly three-day, 90-nautical-mile yacht race heads along the west coast of Grande Terre to Ouen Island for a night, then through the Woodin Canal and south to Ua Islet for a second night at sea before heading back to Noumea.

This isn't an event filled with wind-burnt sailors who wake at the crack of dawn to swab the decks and raise the sails.

The crews -- families and groups of friends from Noumea plus a few ring-ins from Sydney and Tokyo -- spend race nights at sea eating paella, drinking punch and dancing to '80s hits on the beach.

They aren't early risers.

For those who are, the late-morning starts present an opportunity to borrow a kayak or tender to explore the outer reef and its rich marine life.

Or to walk around a tropical island all by themselves.

"In this small part of the lagoon you have at last 50 little islands," says Herve Moal, a super-yacht agent in Noumea who co-founded the regatta in 2011.

"Even on the weekend you can find a place to be alone."

The Great Lagoon Regatta (+687 795 601) is held on the first weekend of June. Entry is free for foreign boats.

Dream Yacht Charters (+687 799 118) in Noumea rent 43-foot catamarans that sleep eight to 10 people for $900 a day. Add $275 per day for a skipper.

Through a snorkel mask

Less than 20 kilometers from Noumea, Signal Island Marine Park is a campground straight out of "The Blue Lagoon."

On weekends, rangers visit to leave chopped wood for people to enjoy campfires on the beach.

Camping is free but most visitors sleep on yachts and motorboats moored around the island on floating buoys designed to protect the reef from anchor drag.

More alien than the edge of space and more spectacular than an exploding supernova, the coral here is free of the bleaching and crown-of-thorns starfish infestation affecting reefs throughout other parts of the South Pacific.

The rich coral creates habitat for an extraordinary number of marine species: leopard sharks, green turtles, dugongs, shoals of rare bump-headed parrot fish and yellow sea perch, poisonous but friendly banded sea snakes, clown fish, big sweetlip cod, huge toothy groupers, delicate feather starfish and the serene butterfly-shaped fish from "Finding Nemo" known as Moorish idol.

"It's incredible to have this quality of water and coral so close to the city," says Bernard Andreani, a diver who runs small group snorkeling tours to Signal Island.

Bernard Andreani Snorkelling Treks (+687 779 072; bernard.andreani.nc@gmail.com) offers half-day snorkeling, walking and birdwatching boat tours to Signal Island Marine Park for $170 for two people. Bookings essential. Tours depart 8 a.m. from Noumea's Kuendu Beach.

Getting there: Qantas and Aircalin offer codeshare flights to New Caledonia from Australia and New Zealand.

Flight times from Auckland and Sydney are less than three hours. Tontouta International Airport is a 45-minute drive from the capital, Noumea.

Ian Lloyd Neubauer is a Sydney-based freelance journalist specializing in adventure travel. He's the author of two travel novels, Getafix (2004) and Maquis (2006).

@highlight

New Caledonia's Natural Park of the Coral Sea covers 1.3 million square kilometers

@highlight

Signal Island Marine Park, less than 20 kilometers from the capital, is great for snorkeling

@highlight

The world's largest marine managed area is the U.S. Pacific Remote Islands Marine National Monument