(CNN) -- We are all sick at heart to witness the unfathomable suffering in Haiti. Why do bad things happen to innocent people? Why Haiti, again? Even Secretary of State Hillary Clinton said recently, "It is biblical, the tragedy that continues to stalk Haiti and the Haitian people."

How we make meaning of this suffering will be crucial to how we respond, in the long term, as a global community.

My Haitian in-laws, visiting from Boston, Massachusetts, to take some comfort with us, announced that the verse of the day on their favorite Bible Web site is from Revelation 16:18. "And there were voices and thunders and lightnings; and there was a great earthquake, such as has not been since men were upon the earth, so mighty an earthquake and so great."

The word "earthquake" appears sixteen times in the Bible. It was clear to them -- and many other Christians -- that the earthquake was part of God's plan. Why God ordains such disasters is a mystery that is not ours to question. It is only our job to have faith.

iReport: Looking for loves ones in Haiti

A friend who barely escaped the collapse of her house in the quake writes that people in her Port-au-Prince neighborhood are living this time as the apocalypse. They are gathering en masse, singing hymns and praying nonstop as they wait for disaster aid -- and Jesus.

For them, the meaning of their suffering is clear. How else to interpret the collapse of their entire world, earthquake, famine, death, disease and drought? They are God's children living out the last chapter of the Bible.

Fundamentalist Pat Robertson says that the earthquake is the devil's work. Haitians are cursed by a pact with Satan that their ancestors made, he says. Distorting a Haitian national myth, he is referring to a famous Afro-Creole religious service said to have sparked and launched the Haitian War of Independence in 1791. Ironically, historians tell us that such a single ceremony never happened --although surely there were many slave gatherings, and many Afro-Creole religious rituals in the region.

Haitians do not mistake African religiosity for Satanism as Robertson does, so for them the ceremony was a spiritually charged political rally. Slaves gathered to plan and inspire themselves for the outrageous feat they would succeed in performing: a slave revolution, the abolition of slavery, and by 1804, national independence.

Afro-Creole religion, known as Vodou, still underpins the philosophy of many Haitians, though by no means everyone. A spirit-priest I know reads the earthquake as an allegorical message from the spirits who infuse the land. "The land is our mother," he said. When you abuse the land -- deforest her, plant only one crop, overpopulate her, erode her soil -- she explodes, searching for a way to rebalance.

The spirit of the land had become sick with abuse. Her children -- the eldest ones, the ones in charge, the Haitian government -- had no policies, no laws to protect the land or use it wisely. The spirit-mother exploded with fever. "We know this has a scientific cause," said the spirit-priest. "But look how the government buildings caved in. This tells us something."

In the last several years there has been a saying among Haitians that "the country is finished." "Peyi-a fini," they say in Creole. It has been called a dying land, a failed state, a product of irreversible environmental degradation.

For social scientists, there is nothing metaphysical about the question "Why Haiti?" Longstanding structural reasons have produced a dysfunctional system long in crisis. Beginning as a French slave society, the nation was founded at a severe disadvantage. France demanded enormous payment for abandoned property after the revolution, starting a cycle of debt that was never broken.

Deep and abiding racism prevented the U.S. and Europe from recognizing Haiti for 60 years. Trade was never established on even terms. The military ruled the state, culminating in the brutal Duvalier dictatorship, which the U.S. supported.

No robust civil society developed -- there's no vigorous tradition of PTAs and town planning boards. A brain drain evacuated top talent from the country, while the U.S.-subsidized farm industry sent surplus crops to Haiti, undercutting local prices there. Farmers abandoned their lands, flocked to the capital, and built the shanty towns that have now collapsed into rubble, burying the innocent and vulnerable, strong and powerful alike.

The suffering Haitians are enduring is a natural disaster worsened by human-made conditions. It is a spiritual crucible. But it is also a crisis of meaning. For Christians it is to have faith, hope, and charity. For fundamentalist Protestants, it is to convert all souls, give aid, and wait for Jesus' return. For Vodouists, it is to regain balance with the land and the unseen spiritual world.

For many social scientists, it is to strengthen Haitians' capacity for self-government, to relieve the debt Haiti owes, to reforest the land, and to figure out how to divorce aid from dependence.

How we interpret the suffering of the good people of Haiti will lay the groundwork for how we walk forward.

The opinions expressed in this commentary are solely those of Elizabeth McAlister.

@highlight

Haiti has endured extraordinary suffering, Elizabeth McAlister says

@highlight

She says the nation's different faiths view the suffering differently

@highlight

Some view the earthquake as a sign of the Apocalypse, she says

@highlight

Social scientists offer answers based on history, racism, environmental degradation