Hong Kong (CNN) -- Hong Kong's highest court on Monday rejected the final appeal of two Filipino workers to gain permanent residency in Hong Kong, dealing a blow to thousands of foreign domestic helpers seeking to make the Chinese territory their permanent home.

The Court of Final Appeal also rejected a request from the Hong Kong government to seek Beijing's clarification on a previous interpretation of the city's constitution regarding residency rights, in a case that had implications for the independence of Hong Kong's judiciary.

Chief Justice Geoffrey Ma called any ruling on the request "unnecessary" given the court's decision on the application.

Tens of thousands of domestic helpers -- mostly from the Philippines and Indonesia - often spend years, and sometimes decades, working and living in the homes of Chinese and foreigners living in Hong Kong.

While other foreign workers can apply for permanent residency after spending seven consecutive years in the Hong Kong Special Administrative Region, domestic helpers are excluded from the law.

Justice Ma wrote in his ruling that foreign domestic helpers are "told from the outset that admission is not for the purposes of settlement."

The ruling was greeted with disappointment by campaigners.

"It's very unfortunate and it's sad but in a way it will make us stronger as it highlights the social exclusion that foreign domestic workers face in Hong Kong," said Cynthia Tellez, General Manager of the United Filipinos in Hong Kong.

"This really just reinforces this situation...that in terms of advocacy (for foreign domestic helpers) we need to do a lot more work."

Lawyers for Filipino maid, Evangeline Vallejos, had argued that immigration rules excluding foreign domestic helpers were unconstitutional and that helpers were entitled to the same treatment as professional expatriates.

One of the lawyers, Mark Daly, said that they were "very disappointed" with the ruling but will continue to fight for the rights of foreign domestic helpers in Hong Kong.

"We respect it (the judgment) but we think our arguments were stronger in the law and in principle," he said. "We will keep fighting both inside and outside the court for human rights."

In 2011, The Court of First Instance came down in favor of Vallejos, ruling that the provision excluding domestic helpers should be struck down.

But last year, the Court of Appeal's slammed the door shut again, stating that the Hong Kong legislature "has a free hand in defining, refining, elaborating and adapting" the Basic Law's expression of "ordinarily resident," within certain limits.

More than 117,000 maids would have been eligible for permanent residency if the appeal had been upheld. A total of about 292,000 foreign domestic workers live in the territory.

Domestic helpers are a financial lifeline to their home countries -- remittances from Hong Kong to the Philippines exceeded $420 million in 2012, according to figures from the Philippines' central bank, Bangko Sentral ng Pilipinas. Studies show domestic helpers contribute billions to the Hong Kong economy in terms of childcare and care for the elderly.

The decision by the Court of Final Appeals not to refer the case to Beijing for its ruling was welcomed by Hong Kong's legal community, many of whom had expressed concern that the request to send the issue to China for its decision undermined the court's independence.

"On this issue of referral the court has applied exactly the standards it has applied in the past and it reiterates the independence of Hong Kong's judiciary," Michael Davis, a lawyer from Hong Kong University said.

The Hong Kong government's request for the court to seek Beijing's interpretation highlighted the sometimes difficult relationship between Hong Kong and China.

Any ruling could have affected the status of children born in the city to mainland Chinese mothers whose husbands are non-Hong Kong residents. Under Hong Kong's constitution these children are granted the right of abode, and in recent years many Chinese mothers had been coming to Hong Kong to give birth.

In January, the Hong Kong government issued a policy that bans Chinese mainland women with non-local husbands from booking public hospitals in Hong Kong to give birth.

@highlight

Hong Kong's highest court rejects final appeal of Filipino workers to gain residency

@highlight

Case had implications for the future independence of the Hong Kong judiciary

@highlight

Chief Justice: domestic helpers "told from the outset that admission is not for the purposes of settlement"

@highlight

Lawyers argued immigration rules excluding foreign domestic helpers were unconstitutional