(CNN) -- On Monday the World Court in the Hague ruled that Japan's "scientific" whale-hunting was baloney. It ordered Japan to revoke its "scientific research" permits to all its ships, effectively tying Japan's fleet to the dock and silencing the cannons and exploding bombs that are the way whales die nowadays.

Japan says it will abide. I wish it would take this opportunity to bow gracefully out of something so dishonest and unfit for modernity. But I expect a fragile truce, and only a partial one.

That's because Japan has a history of creatively bending the rules beyond the breaking point of international intent. Authorities and whalers seem committed to killing whales first and finding a rationale second, and it would be no surprise if the program were tweaked in some meaningless way so they could excuse continued hunting. Or they might say the court's ruling applies only in Antarctic waters and not the Pacific, where they also hunt. Or they might simply ignore the ban like their suppliers Norway and Iceland.

Come with me to three faraway places and you might see why I feel deeply and strongly about whales.

During the week it takes us to circle the ice-crowned sub-Antarctic island of South Georgia, we see exactly two large whales -- and two now-defunct whaling stations. In 1904, the Norwegian whaler C.F. Larsen arrived right here and wrote with astonishment, "I see them in hundreds and thousands."

During the next 60 years, whalers killed about 2 million whales in the Southern Hemisphere, including about 360,000 blue whales, 200,000 humpbacks, almost 400,000 sperm whales, and a staggering 750,000 fin whales. Many of those whales should still be alive. That's why we haven't seen more whales.

Down along the Antarctic Peninsula on a penguin-research expedition, we find that the beach at King George Island is strewn with bigger-than-dinosaur bones of great whales, cast off after the whales were stripped of flesh. A whale vertebrae the size of a hassock makes a good seat for jotting a few notes. Then, like children making up a game, we'll try to walk a couple hundred yards on the bones of whales killed by human beings, without stepping on the sand. It's quite do-able.

One skull -- a blue whale -- measures 12 feet across, eye to eye. Lengthwise, from tip-of-jaw to back-of-skull, we pace it out at 27 boot-lengths. The jawbone is so big around that it comes up past our knees. We look at each other, then glance seaward, knowing that the now-silent bay should be spouting whales.

Next to the far north. In the Arctic's Svalbard islands north of Norway, we have come to observe the accelerated melting of glaciers, and we find abandoned whalers' shacks and more whale bones on the beach. These bowheads, killed by the tens of thousands, barely cling to existence in the Atlantic.

In 1993, two stone harpoon points were found inside an Alaskan bowhead. It had been harpooned by 19th century hunters still living in the Stone Age. Industrial-age Eskimos finally got it. In chemical analyses of Alaskan bowheads, the oldest whale was deemed 211 years old at its death. It had been gliding through icy seas when Thomas Jefferson was president.

What Herman Melville in Moby-Dick called "so remorseless a havoc" still resonates in the wide silences of polar seas. Most large whale populations remain depressed.

There's no humane way to kill a whale. And at roughly 10 times the price of chicken, no people will starve if they don't eat whale meat. An elderly Inupiat woman once offered me a few pieces of bowhead blubber after inviting me into her home. It really warmed me, and was surprisingly bland-tasting. But the whale needed it more than I did.

Australia and New Zealand had argued that Japan was abusing a loophole allowing lethal scientific research within the worldwide commercial whaling ban. (Norway and Iceland ignore the ban). Japan has been killing protected species and hunting in an internationally declared Antarctic whale sanctuary.

The international agreement banning commercial whaling allows whale killing "for the purposes of scientific research." The court found that Japan was doing "research," but that the whole program was commercial whaling wrapped in a research shroud.

In 2012, Japan's Fisheries Agency director explained that minke (rhymes with "kinky") whale meat is, "prized because it is said to have a very good flavor and aroma when eaten as sashimi and the like." He added that, "the scientific whaling program ... was necessary to achieve a stable supply of minke whale meat." In other words, the program is not "for the purpose" of scientific research. The court busted Japan on that.

As for the quality of the research, the court noted with understatement, "Japan points to only two peer-reviewed papers... since 2005 and has involved the killing of about 3,600 minke whales, (thus) the scientific output to date appears limited."

At my university, a science professor who published two papers would be terminated by year six.

Basically, the court affirmed what was always obvious: Japan's research was bogus. (Part of the research is "to determine pregnancy rates" by seeing if they're pregnant at the time of death.) And although it's for commercial purposes, it loses money and is publicly subsidized.

Japan compares killing whales with Westerners killing cows. Nice try, but Japan's own laws on killing cows require swift and humane killing. It would be illegal in Japan to kill cows the way they kill whales.

Sure, whaling is part of Japanese culture: It's part of New England culture too. Yesterday's culture. There are plenty of old-style harpoons on the walls of Yankee restaurants. That's a good place for them. It's time for Japan to update its strange commitment to cruel and useless whale killing. Much of the world is more interested in whales than ever. We've just gotten beyond killing, into real research, and gained better appreciation and understanding.

So I am happy with the ruling that will at least hit the pause button on Japan's incomprehensibly outmoded whale hunts. Japan embraces Western influences ranging from baseball to jazz, business suits, trains, and tobacco. Suzuki makes Samurai cars that harken to an older culture, not samurai swords that cling to it. It's time for Japan to come into the 21st century and hang up the whaling. For good.

@highlight

World Court ruled Japan's "scientific" whale-hunting was baloney and it must stop

@highlight

Carl Safina: Japan ducks ban on whaling with "research' excuse: Court agrees it's for meat

@highlight

Safina: Using cannon and bombs, whaling empties oceans once teeming with whales

@highlight

He says arguing whaling is Japanese culture is no excuse: It's New England culture too