(CNN) -- In warm weather, the sound of music is everywhere -- in parks, at waterfronts and blasting from car radios. Like food, music is different (and often better) when sampled alfresco. It's not just a matter of acoustics: cool breezes, newly cut grass and open skies stimulate all the senses, heightening the total experience.

A truly memorable encounter, though, means quality music performed in an inspiring setting. Across the United States and abroad, summertime heralds festivals and concert series in venues ranging from romantic to regal. Find the right outdoor concert and you're sure to remember it as a highlight of your year.

Here are eight places to let the music move you.

Red Rocks Amphitheatre
Morrison, Colorado

Even legendary entertainers should worry about this spectacular venue upstaging them. The Amphitheatre, opened in 1941, incorporates the natural formations of red sandstone in Red Rocks Park, 15 miles west of Denver. As if the geology alone wasn't dazzling enough, the region's typically clear skies mean concertgoers can expect to gaze up at sparkling stars.

6 hot resorts for adults only

The Amphitheatre is open year-round; in summer, the schedule is packed with acts of every genre. Among artists appearing this year are Keith Urban, The Avett Brothers, Bruno Mars, The National and Josh Groban with the Colorado Symphony. Tickets can be purchased through Ticketmaster.

Caramoor Center for Music and the Arts
Katonah, New York

Wealthy New Yorkers Walter and Lucie Rosen established the Caramoor estate in Westchester County as a weekend getaway in the 1920s. The Mediterranean-style villa designed by Walter Rosen reflected their love of Italian culture; their affinity for music was expressed in intimate concerts they hosted there. In 1946 three public concerts were held on the estate; they became Caramoor's Summer Music Festival, which has grown in scope and fame in the decades since.

Airports where architecture soars

The festival's program includes classical, opera, jazz, roots and Broadway music; this year it opens June 22 and runs until August 7, with events happening most days. Concerts are held indoors and out, so when purchasing tickets on the venue's website look for events in the Spanish Courtyard or Venetian Theater, or on the picnic lawns, where you can spread a blanket and have a meal. Emmylou Harris and Rodney Crowell are playing in the Venetian Theater on July 13.

Deer Valley Resort
Park City, Utah

Once the snow melts and the skiers go home, Deer Valley turns up the lights on its Snow Park Outdoor Amphitheater, where the Deer Valley Music Festival sends melodies ringing through the Wasatch Mountains twilight. It's part of a very busy "off season" in Park City, where relatively cool summers are ideal for hiking, mountain biking, and other outdoor activities.

The festival runs from late June to the middle of August; its summer lineup pairs the Utah Symphony with acts like the Indigo Girls, Mandy Patinkin and Steve Martin with The Steep Canyon Rangers and Edie Brickell. Tickets can be purchased from the Abravanel Hall Ticket Office, 1-801-533-6683, or through ArtTix.

Millennium Park
Chicago

This section of Chicago's historic Grant Park opened in 2004 and showcases some of the best urban design and public art in the country. The Grant Park Music Festival is held in the Frank Gehry-designed Pritzker Pavilion; other intriguing features include "Cloud Gate," the already-iconic sculpture inspired by liquid mercury and nicknamed The Bean, and the Crown Fountain, which combines video images with running water. The festival draws top classical musicians from around the world to join the Grant Park Orchestra and Chorus on the shores of Lake Michigan.

Dating back to the Great Depression, the Grant Park Music Festival is free and runs June-August. This year's performers include violinist Stefan Jackiw and pianist Valentina Lisitsa.

5 spectacular art fair cities

The Gorge Amphitheatre
George, Washington

As the Columbia River rolls majestically through central Washington State, it passes The Gorge Amphitheatre, beautifully located with views of the river valley and the Cascade foothills beyond. Take time to marvel at the landscape and its hues of green, brown and blue by reserving a spot at the on-site campground -- or "glamping" (a camping alternative for the less rugged among us) in a rustic cottage.

The Gorge hosts big name contemporary acts and festivals of various genres. In late June, the two-day Paradiso Festival will feature DJ headliners Kaskade and TiÃ«sto. Tickets for all events can be purchased through Live Nation.

Camping: Horror or bliss?

The Greek Theatre
Los Angeles

Set amid the trees of Griffith Park in the heart of L.A., The Greek Theatre has garnered plenty of fame over its 84-year history. In 1972 Neil Diamond recorded "Hot August Night" here, the album that he said made his career. Nicholas Stoller's 2010 film "Get Him to the Greek" assumed everyone would know the landmark referred to in its title.

The Greek's season runs from May through October, with a variety of genres represented. This summer's lineup has a nostalgic flavor, with acts like Cyndi Lauper, LL Cool J, and Jethro Tull's Ian Anderson appearing. Tickets can be purchased through Ticketmaster.

The places where masterpieces are born

Gendarmenmarkt Square
Berlin

Dominated by two cathedrals and a magnificent concert house, Berlin's Gendarmenmarkt Square seems purpose-built for the performance of sumptuous music. Since shortly after the fall of the Wall, that's exactly what it has hosted over a long weekend each summer. Concerts in the Classic Open Air Festival begin at 7:30 p.m., so you can watch the sun set to the strains of Vivaldi or Wagner.

This year's festival runs for five consecutive nights, July 4-8. The program includes baroque, opera and pop, with fireworks on opening night and a light and laser show on July 6. Tickets can be purchased at Ticketmaster Germany.

Princes Street Gardens
Edinburgh, Scotland

Beneath the rocky splendor of Edinburgh Castle lies Princes Street Gardens, site of the Edinburgh International Festival's concluding Fireworks Concert. The Scottish Chamber Orchestra provides the accompaniment to a colorful pyrotechnic display, and this is the spot from which to see and hear the extravaganza. The elegant park also hosts a lively carnival on July 21 as part of the Edinburgh Jazz and Blues Festival.

This year's Fireworks Concert is on September 1. Tickets may be purchased online or by calling 44-131/473-2000

@highlight

Beautiful music with an outdoor setting to match is one of summer's can't-misses

@highlight

Colorado's Red Rocks Amphitheatre is one of the United States' most stunning venues

@highlight

The Pritzker Pavilion in Chicago's Millennium Park marries architecture and acoustics