(CNN)  -- Green living is a spiritual calling for a group of Christian women in the upper Midwest. Call it a heavenly approach to being good stewards of the Earth.

While most people don't think about sustainable buildings in a spiritual light, the Benedictine Women of Madison, Wisconsin, believe they should.

The ecumenical order's new Holy Wisdom Monastery scored the highest number of points ever awarded by the U.S. Green Building Council's Leadership in Energy and Environmental Design (LEED) rating system for new construction.

Holy Wisdom Monastery is run by three Benedictine sisters.  The idea that they wanted to build the most sustainable, cutting-edge, eco-friendly building in the United States is surprising to some; but given the order's mission, it's an obvious fit for the women.

"People who know us see it as falling out of our mission. They see it as something they would expect from us," Sister Mary David Walgenbach said. One of the order's core values is "Care for the Earth."

"People who don't know us, who come into the building, are surprised by its elegance and simplicity. And they ask the same question: 'Why would a small community of women do such a thing?'" said Walgenbach. "But when we talk to them about who we are and why we think it's important to do this, and, in our day and age, why it's even more important that our religious people think about caring of the Earth, then they're very open to that."

Also surprising: the building's sustainability statistics.

Holy Wisdom Monastery sits on 130 rural acres, just outside Madison. The original building, once a Catholic high school for girls, was torn down and 99.75 percent of the material was either reused or recycled.

Hoffman LLC designed and built the monastery at a cost of $246 per square foot, or just over $7.5 million for demolition through construction.

"There's a long list of reasons this building is the greenest in the U.S. right now," said company owner Paul Hoffman. "For one, the building is projected to save at least 60 percent on energy costs alone."

That's because the heating and cooling systems are powered by 39 geothermal wells, closed-loop wells sunk deep in the earth. Hoffman says the geothermal wells work so efficiently that on some days, the monastery actually sells energy to the utility, instead of buying it.

Photovoltaic lights, which are cells that convert sunlight into electricity, are used in the parking lot. Another set of photovoltaic cells on the monastery's roof generates 15 percent of the building's energy needs. Eventually the monastery hopes to generate all of its own energy from on-site renewable sources.

The windows in the monastery are unique. They were specially designed for the building using a new technique.

"We used Andersen wood windows and they developed a special highly sustainable window with special glazing," Hoffman said. "So there's absolutely no blinds, shades, or draperies in the building because the glass is the thing that transmits the light, but eliminates the glare, yet grabs the solar heat gains."

Hoffman hired the green consulting firm Vertegy, based in St. Louis, Missouri, to help coordinate the many complex aspects involved in constructing a sustainable building and completing the very complicated U.S. Green Building Council LEED certification process.

Construction methods for a green building are very different from traditional ones, according to Thomas Taylor, Vertegy's general manager.

"The person who designs the structure of the building, the person who designs the mechanical systems like the air conditioning, the people who design the plumbing, and even the outside landscape, they all have to work together," he said.

"In recent times in design and construction, they haven't worked together. They've worked kind of in a bubble." Then, Taylor added, "one person brings it all together, puts it on a drawing and then the contractor goes out and builds it."

That process doesn't work very well for green projects, he said.

"This is a situation where we tried to take the talents of all those people, integrate them so they're doing their work at one time, and they're really being mindful of each other and supportive of each other's disciplines and needs, in order to maximize the energy efficiency, the water efficiency, the impact on the environment that their own discipline might have" as the building is being constructed, Taylor said.

While the monastery officially opened last August, the Benedictine sisters just found out last month their building achieved the highest LEED Platinum rating ever awarded by the U.S. Green Building Council for a new construction building, 63 out of a possible 69 points.

And that gives the Benedictine sisters a heavenly end to their monastery construction project.

@highlight

Benedictine Women in Wisconsin win award for greenest new building in U.S.

@highlight

Monastery features geothermal heating, photovoltaic lights, specially designed windows

@highlight

Building is projected to save at least 60 percent on energy costs alone

@highlight

Hoffman LLC designed and built monastery at a cost of just over $7.5 million