(CNN) -- I know from experience how the lack of tangible evidence gnaws at an accident investigator. Eventually, the passion driving efforts to find answers is replaced with a feeling of futility and hopelessness. For the investigator in charge, valuable time that could be spent on the search and investigation will be spent justifying the cost of the search to the bureaucracy. But as the search for Malaysia Airlines Flight 370 resumes after a four-month hiatus, investigators must realize the question here is not how much it will cost to find the airplane and determine the cause to ensure it won't happen again. Instead, the question should be this: How much will it cost if they don't?

Armed with new maps of the seafloor from an extensive survey operation funded by the Australian Transportation Safety Board, the Fugro Equator has resumed the underwater search for MH370. Three ships will begin searching for debris on the ocean floor in a refined search area after new information revealing an attempt to communicate with the plane via satellite phone prompted investigators to revise the search area much farther south than previously.

Each of the search vessels has been fitted with sophisticated underwater sonar equipment designed to use a towed device to examine the bottom of the ocean floor for abnormalities that may be remnants of the Boeing 777 that vanished from radar on March 8. The Echo Surveyor II being used is much more capable, and can work at more extreme depths, than the Bluefin 21 used in previous searches.

But all this sophisticated equipment and trained scientists to operate it is not cheap. Australian Deputy Prime Minister Warren Truss announced a $50 million (Australian dollars) contract in August to fund yet another round of searches for the missing plane and 239 passengers and crew, while Australian Air Chief Marshal Angus Houston reportedly estimated as much as $25 million has been paid to the defense force for the visual search it conducted. In addition, another $60 million has been committed for the underwater search. Finally, if and when the aircraft is found, the retrieval and causal investigation could easily add $50 million or more to the price tag.

All this adds up to what would be the costliest search in history, more even than the estimated $160 million in recovery costs for Air France Flight 447 off the coast of Brazil in 2009. The search area for that plane was narrowed to only five square miles within weeks, and yet it took nearly two years to find and recover the remnants of the Airbus A330 aircraft. The search and recovery area for MH370 is exponentially greater, at some 23,000 square miles, and may therefore be exponentially more expensive.

But while it is understandable against the backdrop of such rising costs why investigators might be tempted to abandon the search, the consequences of not establishing the cause of the tragedy could be disastrous. After all, without some kind of assurance that the problem has been corrected -- clearly not possible without knowing what happened -- it could happen again at any time to any airline.

The reality is that accidents without answers produce doubts about safety, and such doubt can eventually take a toll on the entire airline industry, not just one particular air carrier. True, millions of people continue to fly in the wake of the disappearance of MH370. But tens of millions of dollars in passenger revenue have already been lost as Malaysian Airline's jets reportedly fly with large numbers of vacant seats. As a result of the drop in passenger numbers, Malaysia Airlines is set to be removed from the stock exchange as part of a 12-point recovery plan in an effort to rebound from the losses. But imagine the damage it could do to the entire airline industry if there is another tragedy and still no answer to the question of what caused the disappearance of MH370. Such a turn of events would rock not only passengers' faith in the airlines' ability to keep them safe, but also governments' ability to assure safe air travel.

Ultimately, while the cost of the search can be counted, the costs of giving up cannot be fully calculated. But they are surely higher, in terms of lost revenues and damaged public confidence. Put bluntly, the best way of ensuring that the tragedy of MH370 is not repeated is to find the plane -- or what remains of it -- and work out what actually caused this in the first place. Whatever the cost.

@highlight

Search has resumed for missing Malaysia Airlines Flight 370

@highlight

Australia has already spent millions of dollars on search, David Soucie notes

@highlight

MH370 search set to be most expensive in history, Soucie says

@highlight

But the cost of not finding out what happened even greater, he says