WASHINGTON (CNN) -- Israeli Prime Minister Benjamin Netanyahu reiterated his concern over the potential of a nuclear-armed Iran during meetings with top congressional leaders Tuesday.

Israeli Prime Minister Benjamin Netanyahu walks Tuesday with Reps. John Boehner, left, and Nancy Pelosi.

He met with the Senate Foreign Relations Committee first, followed by House Speaker Nancy Pelosi and House Minority Leader John Boehner.

An Iranian regime armed with nuclear weapons "is a great danger to all of us, to Israel specifically and to the moderate Arab regimes, [and] to America," Netanyahu said after his meeting with Pelosi and Boehner.

"Especially if this regime were to arm itself or arm terrorists with nuclear weapons, the consequences could be unimaginable."

Netanyahu also reiterated his call for normalizing relations between Israel and the "broader Arab world" while moving forward on the Israeli-Palestinian peace process.  Watch where Mideast flash points could be »

"We have to do this in tandem," he said. "That's going to be our policy. ... If we do it together, we'll get a lot further, a lot faster."

Pelosi said she endorsed a two-state solution for the Israelis and Palestinians, but emphasized that it "must be a solution that provides for a democratic Jewish state of Israel living side by side with her Palestinian neighbors."

"The question of Iran is one that is of concern to us in Congress," she said. "... It is an issue for the world. It is important for all of us to work together to be sure that Iran does not develop a weapon of mass destruction."

Netanyahu is on his first visit to Washington since becoming prime minister earlier this year -- his second time as head of Israel's government.

He met Monday with President Obama at the White House and dined with Secretary of State Hillary Clinton.

Obama offered the hawkish Israeli leader a small diplomatic victory, warning that he would not allow Iran to drag out talks as a way of buying time while it develops nuclear weapons.

Speaking at an Oval Office news conference, Obama again refused to commit to an "artificial deadline" for Iranian negotiations. But he also warned that he would not allow such talks, which he expects to accelerate after the Iranian presidential election in June, to be used as an excuse for delay.  Watch Obama start the clock on Iran »

"We're not going to have talks forever. We're not going to create a situation in which the talks become an excuse for inaction while Iran proceeds with developing ... and deploying a nuclear weapon," he said.

He said the United States is not "foreclosing a range of steps, including much stronger international sanctions, in assuring that Iran understands that we are serious."

The issue of Iran's nuclear ambitions has become increasingly urgent in recent months. Netanyahu wanted a time limit for negotiations relating to such ambitions, with the threat of military action if no resolution is reached.

Both Israel and the United States believe Iran is seeking nuclear weapons under the guise of a civilian nuclear energy program; Tehran denies the accusation. Israeli leaders have pointed to Iranian President Mahmoud Ahmadinejad's calls for the end of Israel as a Jewish state, and argue that quick action is needed.

Clinton and Netanyahu also talked about Iran, among other issues, during a 90-minute working dinner Monday night, according to a senior State Department official.

"Clinton's messages were entirely consistent with President Obama's," the official said. "She reiterated our support for a two-state solution, and explained our strategy for direct engagement as a means to prevent Iran from developing a nuclear weapons capability."

In his appearance at the White House, Netanyahu emphasized that while "the common goal is peace ... the common threat we face are terrorist threats and organizations that seek to undermine [that] peace and threaten both our peoples."

The prime minister called Iran the biggest threat to peace in the region.

"If Iran were to acquire nuclear weapons, it could give a nuclear umbrella to terrorists, or worse, could actually give [them] nuclear weapons. And that would put us all in great peril," he said.

Obama is considered to have a more conciliatory approach to the Arab and Muslim world than Netanyahu.

Obama supports the idea of a Palestinian state alongside a secure Israel. Netanyahu has not endorsed the idea, arguing that Israel first needs security guarantees and a clear Palestinian partner for peace talks.

The Palestinians issued a statement after the meeting criticizing Netanyahu for failing to more explicitly endorse a two-state solution.

Netanyahu "missed yet another opportunity to show himself to be a genuine partner for peace," said chief Palestinian negotiator Saeb Erakat. "Calling for negotiations without a clearly defined end goal offers only the promise of more process, not progress."  Watch how hard-liners have driven breakthroughs for peace »

Despite their differences, Obama and Netanyahu agree on numerous key issues, such as U.S. military and financial support for Israel.

Obama also supports funding for Palestinian entities not controlled by Hamas, which controls Gaza and which the United States labels a terrorist organization.

Before making his trip to Washington, Netanyahu met with leaders of Jordan and Egypt, viewed as potential partners in the effort to bring peace to the region.

Obama will host Egyptian President Hosni Mubarak on May 26 and Palestinian Authority President Mahmoud Abbas on May 28.

CNN's Paula Hancocks contributed to this report.

@highlight

Israeli PM meets with Speaker Nancy Pelosi, Minority Leader John Boehner

@highlight

Iranian regime with nuclear weapons "is a great danger to all of us," Netanyahu says

@highlight

He calls for normalized relations with Arab world, peace process with Palestinians

@highlight

U.S. leaders also express concern over Iran's nuclear intentions