(CNN) -- Are criminal charges just the beginning of Justin Bieber's legal troubles?

Depending on how things play out, the Canadian citizen could also have an immigration case to worry about.

#DeportBieber trended on Twitter last week, with critics pushing authorities to send the teen pop star north of the border after he was arrested in Miami Beach, Florida, on suspicion of drunk driving, resisting arrest and driving without a valid license.

It's not likely Bieber will be kicked out of the United States, immigration law experts say. But even so, criminal charges could complicate things for the 19-year-old singer -- and if he's charged with and convicted of any drug offenses, that could change the equation.

What crimes lead to deportation?

In addition to the charges he faces in Florida, investigators in California are also weighing whether Bieber will face a felony vandalism charge tied to an egg attack there.

Immigration lawyers say convictions on those charges wouldn't generally lead to deportation for someone like Bieber, who has a visa allowing him to legally live in the United States because of his "extraordinary ability" in the arts.

That's because those charges aren't considered to be aggravated felonies or crimes of moral turpitude -- the two types of crimes that federal law defines as grounds for the deportation of non-citizen immigrants.

And according to federal law, only violent crimes and sentences longer than one year result in a re-evaluation of a person's visa status.

Translation for those of you who aren't legal eagles: Bieber's probably not going anywhere.

But when it comes to deportation proceedings, it's not a simple matter.

"It's a very complex area of immigration law," said Annaluisa Padilla, a California immigration lawyer.

An "aggravated felony" sounds severe. And often they are; crimes like murder, rape or sexual abuse are among the violations that fit that description.

But crimes that might sound less serious to the average person can also be considered aggravated felonies.

In 2000, for example, a federal appeals court determined that a man with a green card was an aggravated felon after a misdemeanor conviction for stealing Tylenol and cigarettes, according to the Transactional Records Access Clearinghouse Immigration project at Syracuse University, which follows immigration trends and statistics.

Sometimes, Padilla said, a crime considered a misdemeanor at the state level is viewed as a felony by federal immigration officials.

The bottom line: Until investigators finish weighing their options and the criminal case against Bieber proceeds, it's impossible to predict how his immigration status could be impacted.

Drugs could change the equation

After his arrest in Florida last week, Bieber "made some statements that he had consumed some alcohol, and that he had been smoking marijuana and consumed some prescription medication," Miami Beach Police Chief Raymond Martinez said.

Since then, breathalyzer tests have suggested Bieber was not too drunk to legally drive when he was pulled over by Miami Beach police early Thursday. But it could be two or three weeks before tests that should give a more accurate blood-alcohol reading and could tell if he was high on pot are back from the lab.

When authorities searched Bieber's California home earlier this month, a deputy found suspected illegal drugs at the bedside of Bieber house guest Lil Za, who now faces a felony drug charge. But a detective who searched other parts of the home told CNN last week that he saw "no sign of drugs" there.

Bieber hasn't been charged with any drug-related crimes in connection with either case.

But if drugs were involved, that could change the equation when it comes to immigration issues, experts say.

"He may have a difficult time returning to the U.S. after traveling," Padilla said. "If there is a conviction on the use of marijuana, he may run into some issues when renewing his visa or even attempting to apply for residency."

And if authorities add a drug charge into the mix, that could eventually put deportation on the table, said Ira Kurzban, an attorney in Miami who wrote a widely used reference book on immigration law.

"Deportation grounds for drug-related crimes are broadly defined," Kurzban said. But a drunk-driving charge that isn't drug-related, he said, "is not a basis to deport somebody."

Decision near on Bieber's egging charge; singer takes it easy in Panama

A double standard?

Bieber was released Thursday from a Miami jail an hour after he made a brief appearance through a video link before a judge, who set a $2,500 bond that afternoon.

Since his arrest, some critics have wondered whether Bieber wouldn't be deported for reasons that have little to do with the law.

In a CNN.com opinion column last week, CNN contributor Ruben Navarrette suggested the wealthy singer's star status might be getting him special treatment.

"Bieber has an estimated net worth of about $130 million," Navarrette wrote. "I bet that, right about now, many of those Mexican immigrants who were deported because they came to the attention of local police officers for a burned-out taillight, or for not making a complete stop at an intersection, are wishing that they had been a rich, white kid with marginal music ability and too much money. If so, things might have gone differently for them."

But Padilla says there's a key difference between such examples and Bieber's case: He has a visa.

"The reason an individual who had failed to stop at a stop sign or is driving without a license comes in contact with immigration authorities is because they're undocumented," Padilla said. "You're not comparing apples to apples."

CNN's Alan Duke and Todd Leopold contributed to this report.

@highlight

Immigration lawyers say it's unlikely Justin Bieber will face deportation

@highlight

If he's charged with and convicted of drug offenses, that could change the equation

@highlight

The 19-year-old Canadian citizen faces misdemeanor charges in Florida

@highlight

California authorities are weighing whether to charge him with felony vandalism