Berlin has long been a magnet for artists and art fans from around the world, so it's no shock it crams about 300 public and privately owned galleries into its city limits.

Inevitably, the greatest symbol of the city's recent history, the Berlin Wall, has been a focus for some of this creativity, spawning the East Side Gallery, a 1.3-kilometer section now covered in paintings by international artists.

It doesn't stop there.

Scattered across the city are intriguing artworks related to the Berlin Wall -- many of which are often overlooked by both visitors and residents.

Here are eight places worth checking out.

Bornholmer Strasse S-Bahn Station

A bright red oval sculpture, which -- despite its slightly battered appearance -- seems to beckon passersby to take a seat, is located in front of Bornholmer Strasse S-Bahn station.

During the time of the Berlin Wall, the Bornholmer Strasse checkpoint was one of seven border crossings within the city.

It was also the first checkpoint along the Wall to be opened on November 9, 1989.

Under the name "(e.) Twin Gabriel," artists Else Gabriel and Ullf Wrede created the sculpture -- titled "Mind the Gap" -- as a way to point out to viewers that the former border crossing was "an interface between two systems, a chilblain of the Cold War."

Getting there: Located at the exit of Bornholmer Strasse S-Bahn.

iReport: Tell us what's your favorite thing about Berlin

Oberbaumbrucke at night

Located across the East Side Gallery, the Oberbaumbrucke Bridge connects Kreuzberg and Friedrichshain, former boroughs that were separated by the wall.

The bridge is worth seeing during the day, but it becomes more interesting at night.

From dusk until one in the morning, visitors get a glimpse of "Rock, Paper, Scissors," a piece by Thorsten Goldberg that features two round light boxes installed in the elevated railway bridge running above the Spree river.

Inside the boxes, randomized neon signs depicting contours of gestures from the popular hand game are lit up and changed every six seconds.

"By using this game of chance, the division of the city and the significance of the bridge as a border crossing between East and West Berlin from 1972 to 1989 are put in an artistic context," writes Goldberg about his piece.

Getting there: From Schlesisches Tor U-Bahn station, walk on Oberbaumstrasse toward the Spree river.

Along the Berlin Wall on November 7-9, 2014

On the weekend marking the 25th anniversary of the collapse of the Berlin Wall, a one-time light installation is planned that promises to be stunning.

"Lichtgrenze" (Border of Lights) will feature 8,000 illuminated white balloons running about 15 kilometers (about 9 miles) along the former path of the wall.

Each balloon belongs to a "balloon patron" and represents a story about how the wall affected individual lives.

In addition to various events and open-air exhibitions planned along the Lichtgrenze during the weekend, there will be a ceremony on the evening of November 9, in which the balloons will be released into the sky after a performance by the Staatskapelle Berlin orchestra.

Getting there: The installation will stretch from Bornholmer Strasse and Bosebrucke to the East Side Gallery and Oberbaumbrucke.

Chausseestrasse

In the Berlin borough of Wedding, 120 life-sized silhouettes of rabbits running, crouching and hopping are inlaid into the ground along Chausseestrasse, once occupied by a former border checkpoint.

According to Karla Sachse -- the artist behind "Kaninchenfeld" (Rabbit Field) -- the animals are symbolic because they were able to dig under the wall during the Cold War and had the freedom to go where they wanted.

The creatures were also regarded by people living on both sides of the wall as peaceful inhabitants.

Although part of Sachse's work is currently hidden by construction in the area, many metal-plated rabbits can still be seen scattered on sidewalks, bike lanes and roads.

Getting there: From Schwartzkopfstrasse U-Bahn station, walk on Chausseestrasse toward Liesenstrasse.

Sonnenallee

At the former Sonnenallee border crossing stands an unassuming artwork known as "Ubergang -- Nahe und Distanz" (Crossing -- Proximity and Distance) by Heike Ponwitz.

Two pairs of inconspicuous gray telescopes are set up here as a symbol of the mass surveillance that took place during the era of the Berlin Wall.

At first glance, the installations resemble the type of telescopes set up at tourist attractions.

However, a look through them reveals the word "Ubergang" ("crossing" or "transfer") overlaid on the landscape beyond the lens, acting as a disruption to the viewing experience.

The word's unexpected appearance is a reminder of the site's historical significance and how the Berlin Wall affected the urban landscape.

Getting there: From Baumschulenweg S-Bahn station, take bus 170, 265 or N70 to Sonnenallee and walk along Sonnenallee towards the Sudlicher Heidekampgraben.

The Panorama

For a glimpse into what it was like to live with the Berlin Wall, it's worth a visit to "The Panorama" by artist Yadegar Asisi.

From the outside, the exhibition looks like a large steel-framed cylinder.

Inside, there's a compacted view of what daily life was like on both sides of the wall on a fictional fall day.

"In the '80s, I lived on and with the Wall in the Kreuzberg district ... The many scenes from everyday life in the images presented by 'The Panorama' show how the population came to terms with the situation and circumstances," says Asisi about his work.

Getting there: From Kochstrasse/Checkpoint Charlie U-Bahn station, walk to Friedrichstrasse 205 (entrance on Zimmerstrasse).

For visitor information, visit www.asisi.de.

Strasse des 17 Juni/Brandenburg Gate

The Brandenburg Gate once represented the separation between East and West Berlin.

Since the fall of the wall, it's come to symbolize Germany's reunification.

Behind the gate, on Strasse des 17. Juni, stands a three-meter-tall bronze sculpture titled 'Der Rufer' (The Crier) by artist Gerhard Marcks, one of Germany's most renowned 20th-century sculptors.

Inscribed on its base is an excerpt from Italian poet Francesco Petrarch: "I wander through the world and cry, 'Peace, peace, peace'."

Getting there: From Brandenburger Tor S-Bahn station, walk through the Brandenburger Gate toward Strasse des 17. Juni and Tiergarten.

Magdalenenstrasse U-Bahn station

In the Magdalenenstrasse U-Bahn station, located on the U5 line, you'll be pleasantly surprised to find walls covered in German expressionist-style murals instead of billboard advertising.

Commissioned and installed by the East German government in 1986, the works were painted by artist Wolfgang Frankenstein before the fall of the wall and depict scenes from German history spanning the 1800s to the 1980s.

Getting there: Magdalenenstrasse U-Bahn station.

@highlight

Berlin is a mecca for artists, but many artworks associated with the Berlin Wall are overlooked

@highlight

Among installations close to the structure is "Rock, Paper, Scissors" -- a neon work by Thorsten Goldberg

@highlight

"The Panorama" aims to show what it was like to live alongside the wall