WASHINGTON (CNN) -- Attorney General Eric Holder has asked federal prosecutor John Durham to examine whether CIA interrogations of suspected terrorists were illegal, the Justice Department announced Monday.

President Obama wants the FBI to question terror suspects from now on, sources say.

The move came as senior administration officials said President Obama had OK'd a special interrogation unit to be housed within the FBI, and as a redacted CIA inspector general's report on interrogation methods was made public for the first time.

Durham has been investigating the destruction of CIA interrogation tapes since January 2008. He was initially appointed to do so by then-Attorney General Michael Mukasey.

Holder said he decided to expand Durham's mandate after examining reports from the Justice Department's Office of Professional Responsibility as well as a classified version of the 2004 CIA inspector general's report into questionable interrogation techniques, among other documents.  Watch what tactics a rights group calls "illegal" »

"As a result of my analysis of all of this material, I have concluded that the information known to me warrants opening a preliminary review into whether federal laws were violated in connection with the interrogation of specific detainees at overseas locations," Holder said in a written statement.

He said he recognizes his decision to open the investigation "will be controversial," and he reiterated earlier statements that there would be no prosecutions of CIA personnel "who acted in good faith and within the scope of the legal guidance given by" Bush administration lawyers.

"This preliminary review will not focus on those individuals," he said. He did not specify a focus for Durham's investigation.

President Obama issued a statement echoing Holder's comment that Obama would "look forward and not backward when it comes to issues such as these."

Then-President George W. Bush authorized "enhanced interrogation techniques" for terror suspects in the years following the September 11, 2001, terror attacks. Those techniques, which included the practice of waterboarding -- simulated drowning -- drew sharp criticism from opponents, who said they amounted to torture.

Liberal groups have pushed for an investigation, stressing that it should include those who ordered the use of the techniques.

Prior to his appointment to looking into the interrogation tape destruction, Durham was an assistant U.S. attorney in Connecticut, where among other cases he oversaw the investigations and convictions of a pair of Connecticut mayors.

He also oversaw a federal investigation that broke up a corrupt law enforcement situation in Boston, Massachusetts, that was the basis for the Oscar-winning movie "The Departed."

Durham was tasked with investigating the destruction of tapes of CIA interrogations of terror suspects. The tapes were destroyed in 2005 and never handed over to the courts or the special 9/11 commission.

Holder said Durham's investigation has given him "great familiarity with much of the information that is relevant to the matter at hand."

Earlier Monday, senior administration officials said Obama approved the establishment of a special unit of terrorist interrogators based out of the FBI.

The move comes in the wake of criticism of questionable CIA interrogation techniques, such as waterboarding and the transfer of detainees to countries where torture is common.

The decision to place the FBI, rather than the CIA, in charge of interrogating suspected terrorists represents a major shift in U.S. national security policy.

The change is based on the recommendation of an interrogation task force that Obama established shortly after taking office in January.

The interagency High Value Detainee Interrogation Group will be overseen by the National Security Council and "draw on interrogators from defense, intelligence, and law enforcement," a senior administration official said. The group will be tasked in part with ensuring that future interrogations comply with restrictions outlined in the U.S. Army Field Manual.

The manual provides "adequate and effective means" of conducting investigations, the administration officials asserted, though they left open the possibility of adding new methods based on the latest scientific research regarding what are called "best practices" for interrogation.

"There will be full transparency" regarding "any new techniques that might be allowed" as a result of such research, one of the officials promised.

The State Department also will play a more prominent role in overseeing transfers of suspected terrorists to other countries for interrogation, the official said. The department will help ensure that suspected terrorists are not abused or tortured.

"The new policies proposed by the Task Force will allow us to draw the best personnel from across the government to conduct interrogations that will yield valuable intelligence and strengthen our national security," Holder said in a written statement.

"There is no tension between strengthening our national security and meeting our commitment to the rule of law, and these new policies will accomplish both."

Asked to comment on the transfer of responsibility for interrogations from the CIA to the FBI, two former senior CIA officials said the agency never intended to handle detentions, and that it essentially was forced to do so as a result of its pursuit of suspected terrorists after the September 11, 2001, terrorist attacks.

Some of the questionable tactics used in that pursuit were highlighted Monday by the release of a 2004 report from the CIA's inspector general. The report outlines the use of multiple unauthorized detainee interrogation methods.

Among the findings: U.S. interrogators threatened a captured al Qaeda operative with a power drill to try to scare him into giving up information. Interrogators also threatened to kill another top captive's children in an effort to get the men to talk, the report says.

The gun and drill were used in two interrogation sessions against Abd al-Rahim al-Nashiri, according to a source familiar with the report's contents. Al-Nashiri is accused of plotting the 2000 attack on the USS Cole, which left 17 U.S. sailors dead.

The report says interrogators told al-Nashiri that if he didn't talk, "we could get your mother in here. We can bring your family in here."

Interrogators also reportedly told Khalid Sheikh Mohammed, the alleged mastermind of the 9/11 attacks, that "if anything else happens in the United States, we're going to kill your children."

Unauthorized detainee interrogation methods also included, among other things, "the making of threats, blowing cigar smoke, employing certain stress positions, the use of a stiff brush on a detainee, and stepping on a detainee's ankle shackles," the report says.

The report also states that interrogators staged mock executions -- which are banned by the U.N. Convention Against Torture -- to try to frighten detainees into talking. In one instance, a gun was fired in an adjacent room to make a terrorism suspect think another prisoner was being killed.

"When the guards moved the detainee from the interrogation room," the report states, "they passed a guard who was dressed as a hooded detainee, lying motionless on the ground and made to appear as if he had been shot."

A federal judge in New York had ordered a redacted version of the report to be released as part of a lawsuit filed by the ACLU.

"This is in many ways an old story," CIA Director Leon Panetta said in a written statement.

"The outlines of prior interrogation practices, and many of the details, are public already. The use of enhanced interrogation techniques, begun when our country was responding to the horrors of September 11, ended in January. For the CIA now, the challenge is not the battles of yesterday, but those of today and tomorrow."

The interrogations took place in the CIA's secret prisons before 2006, when Bush moved all detainees from such facilities to the detention center in the U.S. Navy base at Guantanamo Bay, Cuba.

A CIA spokesman would not talk about specifics of the inspector general's report but said all the incidents described in it have been reviewed by government prosecutors.

"The CIA in no way endorsed behavior -- no matter how infrequent -- that went beyond formal guidance. This has all been looked at; professionals in the Department of Justice decided if and when to pursue prosecution. That's how the system was supposed to work, and that's how it did work," CIA spokesman Paul Gimigliano said.

One of the sources, a former intelligence official who is familiar with the report, said that while the report "reaffirmed" the interrogation program, it "also showed some had strayed off center."

The official said about a dozen cases of potential misconduct by interrogators were referred to the Justice Department. Of those, only one person was prosecuted, the official said, with the rest being referred to the CIA accountability board, an internal disciplinary body. Two people resigned rather than face the CIA board, the official said.

This official said that when CIA leadership found out about the drill incident, they were "angry as hell."

The official called it "nickel-and-dime foolishness" that was not tolerated. The individual who used the drill was pulled from the program and "sharply reprimanded," the official said.

Anthony D. Romero, executive director of the ACLU, released a statement Sunday saying, "Leaked portions of the CIA inspector general's report offer more proof that government officials committed serious crimes while interrogating prisoners. So-called 'enhanced interrogation techniques' like mock executions and threatening prisoners with guns and power drills are not only reprehensible but illegal."

In anticipation of the release of the report Monday, Romero added, "Releasing the report with minimal redactions is essential to knowing what crimes were committed and who was involved."

CNN's Pam Benson, Elaine Quijano, Kevin Bohn and Gloria Borger contributed to this report.

@highlight

NEW: Investigator oversaw federal probe forming basis for "The Departed" movie

@highlight

NEW: Report says interrogators threatened families, faked murders

@highlight

Attorney general wants "review into whether federal laws were violated"

@highlight

Officials promise transparency on research that alters interrogation "best practices"