(CNN) -- This week India staged another phony protest. Political parties forced shops to shutter nationwide to object to a government policy allowing international retail giants greater participation in the world's second most populous country. They were outraged on behalf of small shopkeepers.

Indian shopkeepers protest government plan for retail

However, for many mom-and-pop shops run in pokey back alleys and on street corners it was a case of "more business than usual." India's small neighbourhood stores beavered away as always -- delivering much needed groceries home for free - even as the rest of the nation put up a brave fight anticipating the demise of these shops.

India's army of small-retailers, it seems, sensed no such threat. The shopping culture they share with millions of Indian shoppers is a hard one for big retailers to replicate.

Most of the country's small shops start life as rough makeshift spaces that grow into permanent outposts keeping pace with the demands of the community. They mushroom everywhere - in pockets rich and poor, urban and rural, uptown and downtown - stocking goods entirely to reflect the needs of the community they serve.

The locals, who shop in equal measure for gossip and goods, often drop by for small purchases that can be as obscure as a bar of soap or a box of matchsticks.

The friendly neighbourhood storekeeper, for those unwilling to bear the trip or the gossip, will also readily deliver such small purchases home, at no extra fee, as many times a day as he is called upon to -- perhaps the biggest reason why Indian households remember their grocery needs only from one day to another.

For a majority of small shopkeepers, no order is too small and no house too far.

In India, consumers who shop at these stores aren't looking for the usual supermarket experience. Customers flocking to corner-shops typically buy goods they need for a limited period and for a limited value.

Groceries are felt, smelt and recommended before any actual purchase is made. It's among few markets in the world where most groceries are still available unlabeled and un-packaged and can be bought in any quantity, however small or large. Oftentimes, goods are bought on credit with the only one collateral -- trust. And many a time, goods are returned -- without any proof of a bill. Try that at Walmart or Tesco.

The biggest challenge for big retail, hoping to dent the business of small shopkeepers though, is familiarity. Not only do most small shopkeepers know their customers by name, they can also be relied upon for remembering individual grocery-buying patterns; brand by brand, category by category.

It's a given that, even during the busiest periods, the local shopkeeper will remind the customer of things they haven't bought in a while. In short, the one-man retailer uses grocery records stored in his memory, far more interactively that a smart phone or the supermarket till ever will. To the neighborhood shopper then, the small shopkeeper is an extension of their household.

To be fair, the entry of organized retail in the last few years has led to a different shopping experience for India's middle class. It's opened up an aspirational type of shopping, in sanitized environments with well-stocked shelves and everything from clothes to candy under one roof. Still, according to various industry estimates, such retail accounts for only some 7 percent of India's $450 billion retail market.

So far, no large Indian supermarket chain has managed to replicate the convenience-store format successfully, because it's tough to offer goods on credit, personalize the service and stay profitable. Small retailers, who employ workers from the unorganized labour force, are estimated to extract three times the productivity of a uniformed employee at a supermarket. It's even tougher for big-ticket retailers to squeeze margins on small quantities of goods to serve the whimsical needs of each neighborhood.

It's then hard to imagine how the world's biggest retailers will wipe out the small mom-and-pop stores, which work to an organized chaos that few inventory-keeping systems can mimic. India's small-retailers, unlike its deluded political class, realize that there is room for everyone.

The opinions expressed in this commentary are solely those of Anjana Menon.

@highlight

It was "more business than usual" for India's shopkeepers this week, says Anjana Menon

@highlight

This was despite political parties forcing some shops to close in protest at retail reforms

@highlight

The government plans to allow international supermarkets greater access to India

@highlight

But Menon says it is hard to imagine big retailers wiping out "mom-and-pop" stores