(CNN) -- Social networking may be one of the biggest phenomenons of the 21st century, but for some denizens of the Web, it's a way to get in touch with the past.

Web sites like livinghistoryworldwide.com (with a membership of more than 5,700) and groups on Facebook allow people who enjoy past eras to connect with each other. But it goes beyond that: Some of them dress and live like they would decades, if not centuries, ago.

Step into Estelle Barada's living room in Providence, Rhode Island, and you might feel like you've traveled back to the 1890s.

Barada, a hotel caterer, sees it as an escape from her stressful job.

"I was the middle child and kind of like the dreamer, and for some strange reason I always dreamed of living not in America, but England," she explained. "I imagined having tea with the queen and touring the castle and that was my dream as a little girl."

Today, "Lady Estelle," as she likes to be called, lives out that dream by hosting tea parties for her friends while dressed in Victorian clothing, completely in character.

When going out, she's dressed in a more understated fashion, but still completely consistent with the late 1800s, with a long skirt and hat. "I always wear hats and when I go shopping, I get the attention of the older women, who say, I love the way you look," she said.

iReport: Fashions of a modern-day Victorian

"Eighteen-seventy-four should have been my birth date ... instead of 1974," said Raychyl Whyte of Hamilton, Ontario. Her fascination with the Victorian era began in childhood, coinciding with a pop cultural revival of Victorian themes in the 1970s.

Whyte and her "Victorian gentleman" began restoration on a circa-1898 house in 2008. Now they host 1800s-themed events there, where dress from the time period is always encouraged. They use Meetup.com to organize these events as part of the Hamilton Victorian & Steampunk Society.

Why would one live this lifestyle? For many of these iReporters, it's a reaction to modern society just as much as a love of the fashion and style of days gone by.

"I suppose others might call me an eccentric, but I just live the life I want to live and don't care about what others say or think about me," said Ray Frensham, a "Living Victorian," from London, England. "Even though I've felt increasingly disconnected from the modern world for many years now, I'm not retreating into some past nether-world seeking a kind of comfort-blanket."

Modern society in the United Kingdom can be "remarkably cruel and unforgiving," Frensham said. "There is certainly no sense of any kind of community anymore," he said. "People are purely self-centered, only in it for what they can get out of themselves." He points to the recent MP expenses scandal there, which led to the resignation of British House of Commons Speaker Michael Martin, as an example.

At the same time, something just feels right to Frensham when he wears a suit and bow tie, or more recently, an ascot. "It just creates a mind set that you're ready to face the day," he said.

Frensham is also the coordinator of the London Victorian Strollers, who take walks around the city while decked out in Victorian garb, and says that the reaction from passersby, especially tourists, is extremely positive. "It's quite extraordinary, people just love it."

Social networking certainly plays a large role, but Frensham also believes that groups like the Victorian Strollers (with its 125 members on Facebook) are emerging more and more lately. "I think it's just a lot of people saying 'I don't like what I see anymore, so let's create our own reality.' "

Carmen Johnson of Orlando, Florida, certainly sees that as being the case. She runs one of several social networking sites that bring together retro lifestyle enthusiasts of all stripes. "The first thing I ask [members of the Web site] is what they would like to bring from the past. Many of them say they would like to see the return of good manners and morals," she said. "They like the values of respect for women, respect for others. Now with the society we live in, anything goes."

Johnson, like Frensham, can trace at least some of what influences her to Hollywood. Growing up in the 1970s and '80s, she was a big fan of "Grease," Elvis Presley and "I Love Lucy," but "Back to the Future" captured her imagination. "Just thinking about traveling in time to whatever year that I always dreamed about was fascinating to me!" she said. Needless to say, the 1950s are her favorite era. This translated into her pursuit of art, which she described as both modern and retro.

When her love of this time translated into reality upon viewing a documentary about "time warp wives," she was inspired to start the blog Timewarpwives.com, eager for the opportunity to interview women who live their lives as "traditional 1950s housewives."

iReport: Johnson's life as a "retro artist"

Now, those with casual interest as well as those who live their lives in a past era, what Johnson calls "timewarpians," interact on her site, Timewarpliving.com, which boasts more than 250 members. "When people come to this site, they see that they're not alone," she said.

Johnson considers "Lady Estelle" Barada to be a great example of a "timewarpian." Barada hopes to pass on the manners, if not necessarily the fashion, of the era to the next generation by hosting parties with young girls and teaching them about etiquette.

As for her own granddaughters, she said they love paying a visit. "They ask their mother if they can wear a pretty dress and go to grandmother's house."

@highlight

Social networking allows those who enjoy past eras to connect

@highlight

"Timewarpians" enjoy dressing and living as they would in the past

@highlight

Some say this is partially a reaction to modern day stresses, problems

@highlight

Check out more stories of those "living in a time warp" on CNN iReport