(CNN) -- Dorothy Cooper is a 96-year-old African-American resident of Chattanooga, Tennessee. She was born in a small town in northern Georgia before women could vote and when Jim Crow laws mandated racial segregation. Her life has spanned nearly a century of progress: The 19th Amendment extended suffrage to women, the Civil Rights movement led to the dismantling of segregation laws, and the Voting Rights Act outlawed overt racial discrimination in elections.

Mrs. Cooper has always honored this past by voting. In 70 years, she has missed only one election, in 1960, because a move made her miss the registration deadline. Despite living through an era when African-Americans were routinely turned away from the ballot box -- and worse -- Mrs. Cooper said she "never had any problems" exercising her rights. Even before the Voting Rights Act was passed in 1965.

Until now.

Last week Tennessee effectively prohibited her from voting because of the state's new photo ID requirement.

In 2011, Republicans in Tennessee passed a law requiring all voters to show current, government-issued photo identification before voting in person. Mrs. Cooper has a Social Security card and a photo ID issued by the Chattanooga Police Department for seniors in her housing complex.

When she went to the Tennessee Driver Service Center to obtain a new photo ID before the next election, she came prepared. She had her rent receipt, a copy of her lease, voter registration card and birth certificate.

But under the new Republican law, this still wasn't good enough. Tennessee refused to issue Mrs. Cooper a photo ID because the last name on her birth certificate is different from her married name, the name she uses now. But she has no marriage certificate, so she cannot clear up the discrepancy to Tennessee's satisfaction. And so she cannot enter a voting booth and have her vote counted.

In support of photo ID laws, Republicans have argued that everyone has a photo ID -- a claim that Mrs. Cooper's story squarely disproves. Mrs. Cooper has proved her identity beyond a shadow of a doubt, and it's still not enough. Under this new Republican regime, her voting rights are entirely dependent on bureaucratic whims and one missing piece of paper. If only the GOP cared as much about the Constitution, Mrs. Cooper wouldn't have suffered this injustice and would continue to enjoy her fundamental right to vote.

Mrs. Cooper's experience is shocking, but because of an unprecedented wave of GOP legislation restricting ballot access across the country, this is not an isolated incident. In 2011, Republicans have pushed through photo ID mandates, reductions of early voting and restrictions on voter registration.

These measures disproportionately harm communities of color, young voters, poor voters and voters with disabilities. And all too often, they harm the elderly. Throughout the United States, 18% of people age 65 and over -- more than 6 million Americans -- lack a current government-issued photo ID. In Wisconsin, which also passed a strict photo ID measure, there have been numerous reports of elderly citizens waiting hours to obtain an ID for voting.

Republicans have disingenuously claimed that photo ID laws are necessary to prevent election fraud, but state and federal laws already do that. Many states have effectively addressed the Republicans' concerns with alternative methods of affirming one's identify, such as signing an affidavit attesting that you are eligible to vote. Nevertheless, Republican legislators across the country are needlessly pursuing photo ID laws, at the risk of disenfranchising millions of eligible Americans.

In Pennsylvania, where Republicans are currently pushing a photo ID mandate, new legislation could prevent 340,000 older Pennsylvanians from voting -- more than the total population of Pittsburgh.

If this is how Republicans thank the Greatest Generation, elderly veterans and amazing women like Dorothy Cooper, I sure hope they don't try to take care of me when I'm older.

Mrs. Cooper has always displayed a remarkable commitment to our democracy. It is time that we do same. This weekend, we dedicate a national memorial to Dr. Martin Luther King, Jr. We may have thought that restrictions on the right to vote were behind us. But in 2011, Republican leaders are more interested in protecting themselves from defeat than protecting a citizen's right to vote.

As Mrs. Cooper's experience shows us, photo ID mandates simply don't work -- unless, of course, your goal is to prevent eligible Americans from voting.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: 96-year-old Tennessee woman lacks papers required for new voter ID law

@highlight

She says the woman had voted for 70 years; the new mandate disenfranchises her

@highlight

She says GOP push for voter ID's is affecting the elderly, the poor and minorities

@highlight

Brazile: GOP leaders are more interested in winning than protecting citizens' right to vote