(CNN) -- Ahmed Fouad Negm, Egypt's "poet of the people" whose biting political verses inspired rebellion and taunted successive regimes for decades, died Tuesday in Cairo at age 84.

Negm's colloquial prose made poetry an act of defiance directly accessible to millions of poor and illiterate laborers often marginalized by the palace-based Cairo government.

"Who are we and who are they? They are the princes and sultans and we are the poor convicts. Solve this riddle and use your brain: See which of us rules over the other? Which of us serves the other?" reads one of Negm's most popular poems.

Born to an impoverished family of "fellahin," or peasants, Negm published countless love poems for his maiden, the nation of Egypt, and once said: "The love for a woman exists in the body. It is temporary and passes. But the love for a cause lives in your mind and in your blood forever."

Negm shot to fame in the 1970s when he began a more than 30-year partnership with a blind oud player known as Sheikh Imam who sang his witty criticism to the music of the pear-shaped, stringed instrument.

"A great renaissance will take place. And we will finally be worth something ... And we will never need Syria or Libya again. And an Arab Union will finally be formed with London and the Vatican. The poor will eat sweet potato. And walk around all cocky," Sheik Imam sings softly with a smirk as the chorus responds with the French refrain "wee wee."

The sharp-tounged satirist never shied away from controversy, which earned him a total of 18 years in prison and made him a timeless icon of resistance whose words galvanized protesters from Egypt's 1977 bread riots to the 2011 revolution.

"Prohibited from travel, prohibited from singing, prohibited from words, prohibited from longing...everyday your love brings more prohibition and every day I love you more than the day that passed," Negm wrote mockingly after the government of then-President Gamal Abdel Nasser imposed measures to limit his influence and reach.

The leather-faced poet, famous for wearing the galbya, the long robes worn by Egypt's common man, often riddled verses with crude insults and funny anecdotes that endeared him to Egypt's coffee house audience but made him plenty of enemies among the ruling class.

"Regarding the issue of beans and meat an alleged official source decreed ... eating Egyptian beans makes you strong as an ox ... and Dr. Mohsin added that meat is surely poison. It cause stomach pains and turns you into a thief," Negm wrote mocking the failure of the state to provide for its growing numbers of hungry and underprivileged citizens.

Affectionately nicknamed Al Fagoumi, Negm won dozens of awards but choose to imitate his art with a humble life in a ramshackle Cairo apartment where he hosted literary circles and continued to feed Egypt's revolutionary fervor with recent works like the "Brave Man is Brave," which became a staple slogan in the iconic Tahrir Square.

"Ahmed Fouad Negm is honoured for creating true poetry in vernacular Arabic that communicates deeply with people; for his independence, unwavering integrity, courage and rigorous commitment to the struggle for freedom and justice; for speaking truth to power, refusing to be silenced and inspiring more than three generations in the Arab-speaking world," said statement by The Prince Claus Fund, which named Negm as its Principal Laureate for 2013.

A rebel to the end, Negm supported the 2011 Egyptian revolution and the ouster of Muslim Brotherhood President Mohammed Morsy earlier this year. When asked what he would write about Egypt's new strongman, General Abdel Fatah El Sisi, Negm said: "This man Sisi is sharper than the devil himself. After all is he not a peasant?"

@highlight

Peasant-born poet Ahmed Fouad Negm challenged Egyptian elites

@highlight

Negm's poetry inspired uprisings, earned him 18 years in prison

@highlight

Partnership with musician Sheikh Imam helped boost Negm's popularity