Rome (CNN) -- Thrust from obscurity to notoriety overnight, Capt. Francesco Schettino is the man at the center of the questions and recriminations over the Costa Concordia cruise ship disaster.

As transcripts emerge of his conversations with the Italian coast guard on the fateful Friday night the ship ran aground, the 52-year-old's every word is being pored over for clues as to what happened.

A picture is beginning to develop of a man who spent decades at sea, but who his employers say did not live up to his training or responsibilities at the helm of his ship.

With at least 11 deaths confirmed and about two dozen people still missing, Schettino may face charges including manslaughter, shipwreck and abandoning a ship when passengers were still on board, chief prosecutor Francesco Verusio has said.

It also has been widely suggested Schettino may have been "showboating" when he sailed the luxury cruise liner so close to the island of Giglio, where submerged rocks tore through the hull.

Schettino, who has said he will cooperate with investigators, says the rocks were uncharted, and his lawyer says Schettino did everything he could to preserve the lives of crew and passengers.

Read court documents on the case against Francesco Schettino (trans. by La Repubblica)

A native of Castellamare di Stabbia, near the southern city of Naples, Schettino comes from a seafaring family, Italy's Corriere della Sera newspaper reports.

He graduated from the well-regarded Nino Bixio nautical institute in Piano di Sorrento, in Naples province, 30 years ago, according to the news agency Adnkronos.

He joined Costa in 2002 as a safety officer, served as a staff captain, and was appointed captain in 2006, according to the cruise line.

Like all Costa masters, the cruise line said, Schettino "has been constantly trained, passing all tests."

Costa chairman Pier Luigi Foschi said Schettino had never been involved in an accident before. He also played down the possibility that alcohol may have played a role in the disaster, saying he did not believe Schettino drank, and that all crew were subject to random drug and alcohol tests by Costa Cruises.

But Foschi placed the blame for the wreck squarely on the captain, saying it was his choice to deviate from frequently traveled routes.

Corriere della Sera reported that Schettino came close to Giglio to salute Mario Palombo, a legend among Costa Cruises' commanders, and as a gesture to the only Giglio native on board, chief steward Antonello Tievoli.

Schettino, who according to the Virgilio newspaper was well thought of by fellow sailors in Naples, is under house arrest at his family home in Meta di Sorrento, where some residents have come to his defense.

Judge Valeria Montesarchio told a court in Grosseto, the provincial capital, that there was substantial evidence against Schettino and spoke of "the grave imprudence and inexperience" that had marked his behavior.

The court heard that Schettino was accused of abandoning about 300 people who were unable to look after themselves, and to whom he had a responsibility as captain, when he left the ship before they did.

He made no serious attempt to get back on board the ship and was "totally incapable of managing" the emergency, the judge said. The judge said the captain admitted to to making a mistake and that, at the time of the collision, he was navigating by sight.

But, ordering his house arrest, Montesarchio said he had shown no signs of trying to flee the scene after the accident and that there was no danger of him tampering with the evidence.

There was also no risk of him committing the same offense again, Montesarchio said, saying Schettino had expressed "intent to change his life" and no longer work on ships. For the time being, Schettino is confined to his family home, and can only communicate with those he lives with, the judge ordered.

It was to his mother, Rosa, that Schettino made a call at 5 a.m. Saturday, according to the Repubblica newspaper, telling her that "a tragedy" had occurred and that he had "tried to save as many passengers as possible."

The captain reportedly told her "not to worry because it was all over."

A rather different picture has emerged from the transcripts of conversations between Schettino and the Italian coast guard published by Corriere della Sera.

In those, the captain gives conflicting accounts of what happened when the ship hit rocks just off Italy's western coast, leading to what passengers described as a chaotic and surreal scene as they rushed to evacuate.

Schettino initially appears to play down the scale of the disaster, saying only that a "technical failure" has occurred.

Schettino then tells an official he has abandoned the vessel, according to the transcripts, which prosecutors say match those used in their investigation.

But as the official questions his decision, Schettino appears to reverse course and says he did not abandon ship but was "catapulted into the water" after the ship ran into a rock, began taking on water and started listing.

As the night unfolds, the coast guard commander repeatedly questions why Schettino, as captain, is not on the ship when passengers are still aboard.

But Schettino appears unwilling either to go back on board or to take charge of the desperate evacuation efforts, the transcripts reveal.

Prosecutors have ruled out technical error as a cause of the accident, saying Schettino was on the bridge at the time the ship ran aground and made a "grave error" that led to the disaster.

The Italian coast guard and Costa Cruises are still investigating why Schettino took the ship so close to shore in an area known for its rocky sea floor.

Costa Cruises has said that "preliminary indications are that there may have been significant human error on the part of the ship's master, Capt. Francesco Schettino, which resulted in these grave consequences."

"The route of the vessel appears to have been too close to the shore, and the captain's judgment in handling the emergency appears to have not followed standard Costa procedures," the statement added.

In addition to questions over how Schettino handled himself after the wreck, questions also lingered about whether the captain should have ordered an evacuation sooner and why no "mayday" distress signal was sent.

The captain's attorney, Bruno Leporatti, said in a statement Monday that Schettino was "shattered, dismayed, saddened for the loss of lives and strongly disturbed."

But, he said, Schettino is "nonetheless comforted by the fact that he maintained during those moments the necessary lucidity to put in place a difficult emergency maneuver ... bringing the ship to shallow waters."

That move, Leporatti said, saved the lives of many passengers and crew members.

The eyes of the world will likely remain on Schettino as investigators come to their own conclusions about the role he played in a catastrophe some have likened to the sinking of the Titanic a century ago.

CNN's Hada Messia, Livia Borghese and journalist Barbie Nadeau contributed to this report.

@highlight

Schettino trained at a well-regarded nautical institute, local media report

@highlight

He was appointed captain by the Costa cruise line in 2006

@highlight

Schettino, now under house arrest at his family home, comes from a seafaring background

@highlight

He argues the rocks he hit were uncharted; Costa says he took an unauthorized course