London (CNN) -- While Ukraine's fight for freedom gets bloodier by the day and Russia faces the West's cold shoulder, in the elegant surroundings of London's Somerset House, one oligarch is using art to get his message across.

"This work is called 'Widows,' for one simple reason," says Andrei Filatov as he points towards a picture of five elderly ladies looking forlorn. "Because instead of an icon [on the wall] there is Karl Marx."

And in cottages where the father of socialism has taken the Holy Mother's place, he explains, "this tells us the women depicted have probably lost their husbands in the war."

For almost half a century the widows' empty eyes have stared out over Moscow's Tretyakov Gallery, caught behind the iron curtain as a new, "cold" war came and went.

But now, thanks to the 42-year-old's passion for paintings, they have been given a new perspective, on display for the first time in London alongside 39 other canvasses by Viktor Popkov, in a special exhibition dedicated to the Soviet-era artist.

The exhibition includes pieces from Filatov's own collection, and brings together works from museums across Russia's biggest cities, recording a post-Stalin age when heroic peasants and propaganda had begun to give way to themes of industrial optimism and the bloom of youth.

"I was born in the Soviet Union and I loved that country," says Filatov.

"So it seems right to showcase the good things that it created because there wasn't the opportunity to do so before. As a period, it was somewhat misunderstood."

With an estimated $1 billion fortune this Forbes rich list stalwart has clearly done well out of his country's break with communism.

Yet he is nostalgic about the past and, having amassed a sizeable collection of Soviet masterpieces, Filatov hopes to one day found his own museum in London and promote a "better understanding" of his home nation.

"I want to show the creative work of the Russian people, so that there is more love for Russia," he says. "That is why I want to build a museum here."

Filatov isn't new to the world of soft diplomacy.

As President of the Russian Chess Federation, he has overseen international tournaments at the Louvre in Paris and personally funded the restoration of the tomb of the Russian chess legend Alexander Alekhine in the same city.

Cultural exchanges, he says, can be key ways of keeping the dialogue going.

"For people to understand each other better they must communicate ... through the exchange of culture, through exhibitions, through theaters, through music and ballet.

"I hope this exhibition will improve the understanding and relations between different peoples and countries. That is its meaning."

For Filatov, just like many Ukrainian-born Russians, the concept of "home" is more complicated than it first seems.

Born in Kryvyi Rih in Ukraine, the co-owner of the ports and roads firm N-Trans describes himself as Russian but still has relatives in Ukraine.

And like many practical business people with a sizeable stake in this complex region, Filatov leaves the artwork to make the bold political statements, saying only he considers sanctions imposed by the EU and the U.S., "a big mistake."

According to Filatov, "the sooner there is an understanding by the European countries and the U.S., the faster there will be logical, sensible and constructive relations."

Putting on a large Russian art show in London at a time of heightened animosity towards his country is an ambitious project. Even talking about art, at a time of deadly skirmishes in Ukraine, may seem flippant but Filatov does have another motive for wanting to host the show: to cater for the British capital's sizeable Russian expat population.

"Walking around here I discovered there is not one large collection of Russian art," he says.

"Russian culture is not presented here yet hundreds of thousands of people from Russia live here. Russian children go to school here and they are losing their connection to their own culture."

"Viktor Popkov: The Genius of The Russian Soul" was organized last year as part of 2014's somewhat overshadowed UK-Russia Year well before Ukraine's crisis pitted the countries against each other.

SEE MORE: Crisis in Ukraine

WATCH MORE: Billionaire declares victory in Ukraine

EXPLORE: Ukraine favors Europe

@highlight

Oligarch Andrei Filatov is a collector of Soviet-era art and is putting on an exhibition at London's Somerset House

@highlight

Filatov doesn't agree with the sanctions against Russia but says there needs to be better understanding

@highlight

He is putting on the exhibition as a way to encourage cultural ties and improve relations