(CNN) -- The old deal made rough sense.

The United States would provide only a very thin social-insurance cushion for people of working age, but jobs would always be available. Critics might deride the jobs as McJobs: often poorly paid, often offering scanty benefits. But better McJobs than No Jobs. To anyone who proposed tighter job protections or more generous social benefits workers came the crushing answer, "Do you want us to be like Europe?"

While American generated tens of millions of low-wage service jobs, the economies of Europe struggled hard not to lose jobs, even during good times. The tradeoff was patiently explained by free-market economists and is by now familiar to us all. More job rules mean less jobs; fewer rules will bring more jobs.

And for a quarter-century, from 1982 until 2007, the old deal held true. Wages didn't rise much, but demand for nurses' aides, fast food servers and other low-wage service workers surged and surged -- so much that for the first time since 1913, the United States again found itself welcoming a mass immigration of poor people, arriving legally and illegally from Guadalajara and Guangzhou, eager to accept America's abundant $9-an-hour jobs.

Then, suddenly, the old deal broke down. It broke down as abruptly, as utterly and as seemingly irretrievably as a previous old deal broke in 1929. Mass and long-term joblessness characterize the U.S. economy of 2014 as surely as plentiful low-wage jobs characterized the U.S. economy of 15 years ago. Look at the output statistics, and the United States has recovered from the crisis of 2008. Look at the job numbers, and it seems the United States never will.

What are Americans to think of and do about their new economic dispensation?

One answer is to deny that the dispensation is new at all.

Republicans in Congress are working to repeal the emergency job benefits put in place in 2009, on the familiar theory that if we quit paying the unemployed, they'll stop being unemployed. Extended unemployment insurance coverage lapsed on Saturday; 1.3 million long-term jobless lost benefits that day, and those still receiving benefits will lose them if they remain without work for longer than 26 weeks.

Food stamp coverage has been cut once and will probably be cut again in 2014. Proposals to raise the minimum wage gain no hearing in the Republican-majority House of Representatives, whose members condemn such proposals as job-killers.

Yet these familiar arguments bump into an unfamiliar situation. Almost six years after the economic collapse of 2008, the ratio of job seekers to unfilled positions -- which peaked at 5.5 to 1 -- has declined to 2.9 to 1, a ratio that would until now have indicated severe recession.

The huge backlog of unemployed workers exerts downward pressure on the wages of those still working. The old employment deal seems a formula for a massive write-off of the great majority of working Americans lacking specialized skills.

On the other hand, nobody seems to offer any credible new deal. Some cities and towns are experimenting with higher minimum wages. That may put money in the pockets of some workers at Wal-Mart and Starbucks. But people who can't find work at $9 won't find it easier to find work if their price is raised to $12.

In a major economic address delivered in Osawatomie, Kansas, in 2011, President Obama speculated that more public-sector hiring might do the trick. But how many people can government employ? And how sustainable is it for government to raise its payroll at exactly the same time as it is also shouldering the rising costs of Medicare and Social Security for retiring baby boomers?

These are questions that will dominate American politics for years to come. As the European experience of the 1990s sadly reminds us, mass prolonged unemployment is not a problem that recedes rapidly in a peacetime economy. People who have been out of work would find it hard to return to work even in a strong job market -- and this job market remains desperately weak.

What we can at least do is refrain from further penalizing people whose problems nobody knows how to fix.

People who can't work still must eat. Americans in distress have a claim on the rest of the nation. Extend unemployment insurance. Sustain food stamps. While we're looking for a new deal, at least quit deluding ourselves that the old deal is still operable. It's not. It has passed on, from everywhere except our increasingly outdated memories.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Mass joblessness isn't going away; wages are falling

@highlight

Frum: U.S. used to provide minimal benefits but lots of jobs, but not now

@highlight

Public-sector hiring is helpful, he says, but how many can government employ or afford?

@highlight

Frum: Cuts to food stamp and unemployment benefits punish jobless when no jobs exist