(CNN) -- This year's African cocoa harvest, which has just gotten underway, is looking bright. Warm weather is leading many to expect a bumper crop for the main harvest.

But a number of problems in the Ivory Coast, the world's largest producer of cocoa beans, are casting a cloud over the longer-term supply outlook and leading to increasing volatility in cocoa prices, experts say.

For years, the Ivory Coast, which accounts for 35 percent of the world's supply of cocoa, the main ingredient in chocolate, has been the lifeblood of international chocolate manufacturers.

According to the International Cocoa Organization, the Ivory Coast, officially known as Cote d'Ivoire, produced 1.2 million tons of cocoa in 2009-2010. Its annual output is nearly double that of its closest rival, Ghana.

But in recent years, the West African nation has been struggling with production growth as a host of challenges -- from political strife to disease -- have threatened supplies.

"All analysts are looking into what's going on in the country," Laurent Pipitone, senior statistician at the International Cocoa Organization, told CNN. "If you know what's happening in Cote d'Ivoire, you already have a rough idea of the global situation."

The last 10 years have seen cocoa crops in the Ivory Coast flat-line, while consumers' insatiable appetite for chocolate has increased. (In three of the past four years, world cocoa supply has failed to keep up with demand. The exception was in 2008-2009, when the economic downturn curbed demand.)

Farmers in the Ivory Coast are still struggling with political instability. The country was split in two following a civil war in 2002 -- the south is controlled by the government while rebels control the north.

According to William Guyton, president of the World Cocoa Foundation, this has delayed much needed reinvestment in the sector.

"One of the major reasons for declining yields on farms is the number of aging trees," he said, adding that there aren't enough supplies, such as fertilizers, available to farmers.

There are also problems with pests and diseases, namely black pod, a fast spreading fungal disease that causes cocoa pods to blacken and rot. A third of the global cocoa crop is lost to diseases annually.

Limited access to credit, as well as a shift among Ivorian farmers away from cocoa to more reliable crops such as rubber, or to jobs in the city, are additional challenges facing production, industry watchers say.

Doubts about the Ivory Coast's cocoa production have led to increasingly volatile cocoa prices.

"If there's a bad cropping season, if there's an insect pest or fungal disease that goes through the Ivory Coast, that can impact the whole market," Guyton said.

Recently, the market has attracted speculators who, betting that prices will rise, buy up cocoa stocks and store them to sell later.

In a headline-generating move, London based hedge fund Armajaro took delivery of 240,100 tons of cocoa in July. That order accounted for around 7 percent of annual global production and caused cocoa prices to rise to their highest level in more than 30 years.

The upward trend in cocoa prices has affected consumers, to a degree. In the past two to three years, most chocolate companies have increased their prices," Pipitone from the International Cocoa Organization said.

But, he added, the chocolate sector is quite competitive so firms have been looking for ways to avoid passing on rising input costs to their customers.

"Companies don't want to lose market share, so there are some who have reduced the size of their chocolate portions to limit the price increase. Some have also changed their chocolate recipes, using less cocoa."

Pipitone doesn't expect any substantial increase in chocolate prices in the near term. "This year and the next few, we don't need to be concerned that our chocolate bars will increase in price," he said.

But he warned, further down the line there are key concerns supplies will not meet demand -- a problem the industry is trying to address by diversifying its supply away from the Ivory Coast and other West African nations and into countries such as Indonesia and Vietnam.

@highlight

The Ivory Coast is the world's top supplier of cocoa, producing 35 percent of global supplies

@highlight

After increased cocoa production in the 1990s, production has flat-lined in the past 10 years

@highlight

Political instability has delayed investment in the Ivory Coast's cocoa industry

@highlight

Other challenges include lack of credit and a shift among Ivorian farmers away from cocoa to more reliable crops