Slovyansk, Ukraine (CNN) -- Russian Foreign Minister Sergey Lavrov on Tuesday ruled out holding a second international meeting in a bid to defuse the crisis in Ukraine, also saying it would be "unusual" to hold a presidential election in the country when the army was being deployed against the population.

In what could be a sign of Moscow preparing to question the legitimacy of the May 25 presidential election if it is unhappy with the process, Lavrov said, "In the situation where they use the army against their own population, it's quite unusual."

"This is not Afghanistan; this is a completely different situation," he said, adding that constitutional reforms promised by Kiev's new leaders would not be implemented in time for the vote.

Kiev's security forces have launched their biggest effort yet to dislodge the pro-Russian militants who have overrun the south and east of the country, reportedly seizing buildings in dozens of towns and cities. Both sides clashed at the rebel stronghold of Slovyansk on Monday.

Ukraine's security services said 30 "heavily armed" militants had been killed in recent days as part of the "anti-terrorist" operation in the volatile region.

The rising tensions could have an impact far beyond Ukraine's borders, NATO Secretary General Anders Fogh Rasmussen warned on Tuesday.

"Today we are facing the gravest crisis to European security since the end of the Cold War," he told reporters. "But this is not just about Ukraine. This crisis has serious implications for the security and stability of the Euro-Atlantic area as a whole."

Asked about a German proposal to hold a second international meeting on Ukraine, Lavrov said the agreements reached during the first round of talks in Geneva, Switzerland, last month still had not been implemented. He also called for pro-Russian sympathizers to be involved in talks.

"We already discussed the framework of the possible actions of stabilizing Ukraine. We already discussed it. There's no point doing it again," he said.

"Of course, it is possible, but we will walk in circles, and we will repeat the same things, and we will say again and again that we have to stick to the decisions which were already made -- but it's up to the Ukrainians to realize that it's their country, that they have to live in peace between themselves."

Lavrov was speaking after a meeting of the Council of Europe in the Austrian capital of Vienna, where the Ukrainian crisis dominated talks, even though diplomatic efforts have done little to ease the situation.

His words came as violence escalated, with Ukraine's military seeking to regain control of swaths of the country that pro-Russian militia groups have seized. Kiev and many in the West believe that the separatists are backed by Moscow and fear that Russian President Vladimir Putin is fomenting trouble to increase his influence in the region.

Earlier, in remarks to reporters in Vienna, British Foreign Secretary William Hague accused Russia of seeking to undermine Ukraine's presidential elections.

"Russia seems to be intent on a course of preventing and disrupting those elections," he said. "That is wrong, and I think there will be a very strong message from the great majority of countries here today that the Ukrainian elections must be allowed to go ahead."

Hague said the doors to a diplomatic solution remain open. But he said that any chance of breathing new life into last month's international pact on Ukraine agreed to in Geneva would depend on all parties implementing it, including Russia.

The U.S., Russia, Ukraine and the EU struck a deal in Geneva that included the disarming of militants, the departure of activists from occupied public buildings and a Ukrainian national dialogue on constitutional reform.

As Russia and Ukraine are among the 47 member states of the Council of Europe, Lavrov and his Ukrainian counterpart, acting Foreign Minister Andriy Deshchytsia, attended the Vienna talks.

Hollande warns of chaos, civil war

On French TV station BFMTV earlier Tuesday, French President Francois Hollande echoed Hague's concern that Ukraine's election should go ahead as planned.

"The main goal we have is that the presidential election should be held in Ukraine on May 25," he said. "Otherwise, there will be chaos and civil war. Vladimir Putin wishes today that this election does not take place."

U.N. High Commissioner for Human Rights Navi Pillay voiced concern about the escalating violence Tuesday and urged all sides to do more to find a peaceful solution to the crisis.

"Armed opposition groups must stop all illegal actions, including detaining people and seizing public buildings in violation of Ukraine's laws and constitution," she said.

At the same time, Ukrainian authorities must "demonstrate full respect for the rule of law and scrupulously protect the human rights of all, including the Russian-speaking population," she said.

Pillay also called for an end to the harassment of journalists.

Unrest has simmered in Ukraine since street protests forced out pro-Moscow President Viktor Yanukovych in February. The interim government scheduled presidential elections for this month, but pro-Russian activists in the eastern part of the country refuse to accept Kiev's authority.

Flights suspended in Donetsk

With the unrest in eastern Ukraine, flights into Donetsk airport were halted for several hours Tuesday. Armed pro-Russian groups have seized a number of administrative buildings in Donetsk.

The separatists in Donetsk plan to hold a referendum Sunday that will ask residents whether they want sovereignty from Ukraine, an echo of events that led to Moscow wresting Crimea from Kiev in March.

Ukrainian government forces launched a military campaign last week, which focused on the rebel stronghold of Slovyansk on Monday.

Military gains were evident on the main highway into the city as the security forces moved in. A CNN team on the ground saw militants bolster their defensive positions and checkpoints inside the city. One civilian car was hit in the fighting, its exterior damaged by bullet holes.

At a local hospital, the CNN team saw several people injured from the heavy clashes. One woman had been shot in the head, probably caught in a crossfire, and two pro-Russian militants were also brought in.

Ukraine's Interior Ministry quoted local residents as saying the attackers had shot at residential buildings and set them on fire. Militants blamed Ukrainian forces for the civilian casualties.

In a statement on its website, Ukraine's security service, the SBU, said 30 militants died and state security forces suffered casualties, but it did not give numbers for the latter nor specify the location.

A spokesman for pro-Russian militants in Slovyansk said 10 militants died and 30 were injured Monday. These numbers did not include civilians.

Ukrainian authorities describe the separatists as "terrorists." But the rebels say they are defending Russian-speaking areas of the east against Ukrainian "fascists" trying to root out Russian influence.

Kiev says the rebellion is backed by Moscow and led in the field by Russian special forces, an accusation the Kremlin denies. In its statement, the SBU added that Russians in Crimea were also heading into east Ukraine. It did not provide further details.

Moscow has accused the Kiev government of "continuing a war against the people of their own country."

Russia and the West squared off diplomatically over the fate of Ukraine when Moscow annexed the Black Sea peninsula of Crimea after a hastily called referendum and Yanukovych's ouster. He was pushed from office after months of protests by people upset that he had turned away from Europe in favor of Moscow.

Odessa investigation

Violence has also spread to the southern Black Sea port city of Odessa, where pro-Russian sympathizers smashed their way into a police station Sunday, demanding that detained comrades be released.

The unrest came two days after more than 40 people were killed in a street battle and deadly blaze in the city -- and was one more example of how Ukraine's new Western-backed leaders are struggling to maintain law and order.

After the violence, acting President Oleksandr Turchynov dismissed the regional governor of Odessa, Volodymyr Nemyrovsky, and installed Ihor Palytsia in his place, Turchynov's official website said.

At a news conference Tuesday, Deputy Interior Minister Sergiy Chebotar said that anyone wearing a balaclava or mask outside would be detained and questioned as police in Odessa step up security after Friday's riots.

He also said police had detained some "citizens from one country on the Odessa border" on Tuesday but did not give details.

A week in eastern Ukraine

Ukraine crisis: Small numbers, global impact

CNN's Nick Paton Walsh reported from Slovyansk and Marie-Louise Gumuchian and Laura Smith-Spark wrote from London. CNN's Andrew Carey, Claudia Rebaza, Talia Kayali, Anna Maja Rappard, Elaine Ly and Yon Pomrenze, and journalists Lena Kasharkovain, Julia Gorodetskaya and Laura Akhoun, contributed to this report.

@highlight

NEW: NATO chief: It's "the gravest crisis to European security" since the Cold War

@highlight

Ukrainian security services say 30 militants were killed in recent days

@highlight

Russian Foreign Minister Sergey Lavrov calls timing of presidential vote unusual

@highlight

Lavrov rules out second international meeting on Ukraine