(CNN) -- Ebola is not a death sentence. That is the lesson to the world from the release this week of Dr. Craig Spencer from a hospital in New York.

Less than three weeks ago, Spencer was diagnosed with Ebola and admitted to Bellevue Hospital in New York. On Tuesday, he walked out, free of the virus. Spencer had been treating Ebola patients in Guinea. He knew he was risking his life. But he also knew that, given proper care, people can survive this disease. Indeed, eight of the nine people treated for Ebola in the United States have returned home safely to their families.

That's the good news: Health care can make a difference. In, Africa, however, too many Ebola patients are dying from the disease, nearly 5,000 from the about 13,500 cases that have been reported. Yet we can dramatically reduce this rate and ensure the disease is not spread.

The strategy for containing and ending the outbreak in West Africa, and for preventing worldwide spread, requires an army of courageous health care workers and community volunteers like Spencer to join those from within the affected countries, those who already are making a difference on the Ebola front lines throughout Guinea, Liberia and Sierra Leone.

When Spencer was admitted to Bellevue, the situation in these countries looked bleak. Today, there are reasons for optimism that the Ebola outbreak can and will be brought under control. While transmission continues to outpace the response, we are also seeing that, where people receive care, and where communities embrace safe burial and other practices that reduce infection, the rate of transmission may be slowing. As a result, we are potentially seeing the curve bending -- not everywhere, but in enough places to give us reason for hope.

Over the past several weeks the international community across Africa and around the world has mobilized to provide assistance. From governments and aid organizations to foundations and the private sector, the world's leaders are stepping up.

But much more is needed, especially medical personnel to work in Ebola treatment units and others to train West Africans who are volunteering to work in their own communities. Several governments and nongovernmental organizations from Africa and around the world have stepped up to provide skilled health care workers, but many more will need to join them to complete the task.

The Global Ebola Response Coalition, coordinated by the United Nations, has a clear strategy: By December 1, isolating and treating 70% of all Ebola cases and providing safe and dignified burials to 70% of those who have died. By the end of the year, we aim to establish Ebola-free zones.

The next goal will be zero cases of Ebola in Africa and everywhere. That is the only way to avoid a resurgence and prevent Ebola from spreading across borders.

We will also need to provide sustained support to the affected countries. The outbreak has had a significant impact on health care, with people unable or afraid to access essential services such as maternal care, measles vaccinations and treatment for malaria. Many schools are closed, food prices have risen by nearly 25% and trade has suffered.

We must work to ensure such an outbreak never happens again. That means investing in infrastructure, education and public health in developing countries, learning the lessons of Ebola and making sure communities are less susceptible and that global early warning and response systems for outbreaks are more robust. We must prepare for the worst so it never happens.

Ebola has caused inestimable suffering and havoc in West Africa. But the story of Dr. Craig Spencer and the others who have been cured with adequate health care is that Ebola can be beaten. Let us celebrate the health care heroes in Africa and show global solidarity so the people of Guinea, Liberia and Sierra Leone can return to the path of progress that they were on before the Ebola crisis.

Thank you, Dr Spencer, for the care you gave. Thanks to those who have cared for you. And thanks to those who have cared for the thousands of others who have recovered. Thanks for what you have given and continue to give. We owe you all so much.

@highlight

Almost 5,000 people have died in current Ebola outbreak, David Nabarro says

@highlight

Case of Craig Spencer shows the virus isn't a death sentence, he says

@highlight

Ebola has caused inestimable suffering and havoc in West Africa, Nabarro says