Semi-ambidextrous Nicholas Cronquist rebelled against third-grade cursive lessons.

"I remember I hated it and I told my teacher I thought it was dumb," he says.

Cronquist, now 26, eventually learned to like using his left hand to inscribe strings of words. But typing papers while at the University of North Dakota and choosing a career rooted in technology drastically decreased the amount he wrote by hand, causing writing in cursive to become uncomfortable and painful.

So he switched to printing right-handed while still signing his name with the left.

"I don't even think I know how to write in cursive anymore," says Cronquist, who now lives and works in Laos.

Technology is constantly increasing communication speeds, often anticipating words before our brains can send signals to our fingers. But experts say handwriting is being sacrificed for the sake of technology's convenience. People like Cronquist say they communicate so much via laptops, phones and tablets that they rarely need to scribble a handwritten note.

This trend is reinforced by a 2012 study that found 33% of people had difficulty reading their own handwriting. Docmail, a UK-based printing and mailing company, conducted the study and concluded that one in three participants had not been required to produce something in handwriting for more than half a year. It also found that updating calendars, phone books and reminder notes was more likely to be completed without using a pen. Finally, more than half of participants said their handwriting was noticeably declining.

The state of handwriting in the United States, which celebrates National Handwriting Day every January 23 -- John Hancock's birthday -- is not much better, says Wendy Carlson, a handwriting expert and forensic document examiner. Carlson works as an expert court witness, maintaining offices in Denver and Dallas. She says the dramatic decline of handwriting is causing "great" deterioration of the mind.

"Texting played a role in it because people are trying to write quick short sentences," she says. "People aren't using their minds and they are relying on technology to make the decisions for them."

Carlson says cursive writing combines mental and physical processes which involve both sides of the brain. She says she's noticed that the number of people who write cursive decreases as technology becomes the most dominant means of communication.

"If you are typing or texting, it's a matter of punching and finger-moving," she says. "You are doing very little thinking because you are not allowing your brain to form neural processes."

Jan Olsen is the founder and president of Handwriting Without Tears, a company that creates handwriting curriculum guides and workbooks for teachers and students from kindergarten through fifth grade. She says handwriting, especially cursive, is viewed as old-fashioned by some.

Lernstift smartpen checks your spelling as you write

"The only reason to write anything is to retrieve it later," she said. "So you need to have it legible."

Cursive requirements in U.S. public schools have declined as access to technology increases. Alabama, California, Georgia, Idaho,  Massachusetts and North Carolina require cursive and several other states are considering it.

The Washington Post reported in April that 45 states have adopted common core standards for education. Such standards are designed to provoke thought while at the same time preparing students to pass standardized tests, but they do not include a cursive learning requirement.

In other words, many kids today are growing up without having to learn the looping, elegant script that was demanded of their parents and grandparents.

Going forward, it will be up to individual states to decide whether to require cursive and then up to school districts to make it a focal part of the curriculum. Burdened by budget cuts, it is likely many states and districts will choose to have students type instead of write.

Olsen, 72, says the writing styles used in technology and handwriting conflict. Texts and instant messages require use of communication English, while writing requires use of standard English, she says. "To achieve in the world, people need to use standard (English)."

But the irony is that Olsen, who communicates via text message on her iPhone, says Handwriting Without Tears must be tech-savvy to remain competitive. In addition to its workbooks, the company offers an electronic teaching guide and an app.

"At work we have technology up the kazoo," she says.

Nation of adults who will write like children?

Francis Smith, a bank officer living in Gibraltar, says that while technology allows instantaneous communication, he is nostalgic about handwriting due to its permanence and tangibility.

"If there is no electricity, none of (technology) will work," he says. "Notebooks have served us for a couple thousand years."

Smith, a former civil servant, used to write for work, but has spent the last 23 years typing on a PC. He says it has negatively impacted his handwriting to the point that people would never guess he won a handwriting contest when he was a child.

"It's a shame that now when you write quickly it looks like it's by someone who has not had an education," he says.

Smith, 52, says he's started using a fountain pen to try to improve his penmanship.

"It's got a lovely feel to it," he says. "It's not very practical."

Smith says he wants to recapture his ability to write cursive. Cronquist, however, is happy that printing allows him to write legibly.

"My right-handed printing is not too terrible," he says. "It's slow, but readable."

Spot-on handwriting analysis surprises

@highlight

One-third of participants in a study had trouble reading their own handwriting

@highlight

Core education standards in U.S. schools no longer include handwriting requirements

@highlight

Communicating via technology requires using different English from handwriting

@highlight

National Handwriting Day is celebrated on John Hancock's birthday, January 23