(CNN) -- Let's face it: Barack Obama has not exactly been the second coming of Alexander the Great. He swept into office vowing to step up the war effort in Afghanistan and Pakistan, and he did, sending 30,000 fresh troops into the former and vastly expanding drone strikes in the latter.

Obama managed to get Osama bin Laden, an achievement will likely be hearing about ad nauseum on the campaign trail over the long months ahead. But he hasn't realized the much more difficult goal of bringing stability to Afghanistan, a land we have now been trying to stabilize for more than a decade. The recent spectacular attacks in Kabul, in which insurgents were able to once again paralyze the capital for 24 hours, may not have been Tet II, but they did underscore just how the fragile the planned 2014 handover to Afghan control really is.

Enter Mitt Romney, whose positions on Afghanistan have been all over the map. He's criticized the Obama administration for setting a timeline for withdrawal, but he has endorsed the timeline in practice. He's denounced the idea of negotiating with the Taliban but hasn't explained how he plans to defeat the insurgent movement on the battlefield. His main substantive complaint seems to be that Obama is withdrawing the surge troops by September instead of ... December.

Indeed, his campaign's few pronouncements on this subject are reminiscent of Richard Nixon's "secret plan" to end the war in Vietnam, which turned out to be a plan to cut and run without ever admitting as much. The truth is that Romney holds more or less the same position on Afghanistan as the president -- steadily turning control over to the Afghans in the run-up to 2014, while cajoling the Pakistanis to be more cooperative -- but he just can't admit it.

Politically speaking, this is a smart strategy. Poll after poll has shown that Americans simply aren't interested in spending billions of their dwindling tax dollars to prop up Hamid Karzai, a deeply unimpressive leader who appears to them as ungrateful as he is incompetent and untrustworthy. That is, to the extent that Americans still think about this long-forgotten war at all.

One way or another, we're leaving Afghanistan, and I suspect we'll someday look back on the conflict and wonder just what we were doing there for so long -- why, for instance, we thought it made sense to spend more money there each year than the country's entire GDP (excluding opium production, that is), and why we thought an impoverished, land-locked strategic backwater was such an important chess piece in a new "Great Game."

As long as Pakistan sees its interests as diametrically opposed to ours, and shelters and colludes with our enemies, this war could grind on forever. As long as Afghanistan is led by venal and weak-kneed partners, counterinsurgency is a waste of time. And nothing in the past decade suggests any of that will change on any time scale the American people will accept.

None of this is to say that leaving Afghans -- especially women -- to their fates after all we've promised them is a comfortable moral decision to make. I don't envy the American officials having to explain that all the talk about saving Afghan women was just political rhetoric from a country that, at the end of the day, makes its national security decisions based on hard-nosed interests, not sentiment. But those conversations would happen under a Romney presidency just as they would under a second Obama term.

We've gotten our revenge for 9/11. Bin Laden is at the bottom of the Arabian Sea, and the core of his al Qaeda network is much diminished. Karzai's government has been given an ample chance to succeed or fail on its own. As for Alexander, let's not forget -- Afghanistan was where the greatest general in history met his match. History may not be repeating itself today, but it sure does rhyme.

Join us at Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Blake Hounshell.

@highlight

Blake Hounshell: Obama got bin Laden but hasn't brought stability to Afghanistan

@highlight

Enter Mitt Romney, he says, who denounces Obama but whose positions are all over the place

@highlight

He says Romney would do about same as Obama; Afghanistan is an intractable conflict

@highlight

Hounshell: U.S. will leave Afghanistan under Romney or Obama; not easy, but necessary