Washington (CNN) -- Setting up a showdown with the White House and Senate Democrats, House Republican leaders Thursday proceeded with plans to vote next week on a proposal to extend the payroll tax cut and unemployment benefits while easing the path for approval of the Keystone XL oil pipeline.

Meanwhile, the Senate blocked competing Democratic and Republican proposals to extend the payroll tax cut from proceeding Thursday, with both failing to get the 60 votes necessary.

Senate Republicans halted the Democratic proposal on a 50-48 vote. It included a surtax on income over $1 million to help pay for the lower payroll tax rate. Republicans seeking to shrink the size of government oppose such a tax increase.

Opposition from both parties blocked the Republican measure, with only 22 votes in favor and 76 against it. The measure would have been paid for by freezing federal pay as well as reducing the federal work force by 10%, provisions rejected by President Barack Obama and Democrats.

The outcome means party leaders and Obama must work out a compromise by the end of the year, when the payroll tax cut is set to expire, or face the wrath of Americans facing higher taxes in the election year of 2012.

On the House side, Speaker John Boehner, R-Ohio, told a closed-door meeting of GOP members that he was ready for a "fight" with Obama over the pipeline issue, according to two senior Republican leadership aides in the meeting.

Cheers went up in the room after Boehner's comment, the aides said.

On Wednesday, Obama said he would reject any attempt by Republicans to tie the pipeline project to the payroll tax extension issue.

The House proposal would shift authority from the State Department to the Federal Energy Regulatory Commission for approving the proposed pipeline from Canada's oil sands production in northern Alberta to Texas.

It also would shorten the time frame for a decision. The State Department recently said its decision would be delayed until 2013 to examine environmental issues raised by critics, a move Republicans labeled as political to put off the issue until after next year's presidential election.

Boehner told reporters after Thursday's meeting that the pipeline project would generate "tens of thousands of jobs immediately." He also noted that Canadian Prime Minister Stephen Harper supports the plan.

The State Department puts the jobs figure at 5,000-6,000, and Senate Majority Leader Harry Reid, D-Nevada, slammed the House GOP proposal on Thursday as a "partisan joke that has no chance of passing the Senate."

The impasse sets up another countdown clock on congressional action, this time before the end-of-year holiday recess scheduled to begin at the end of next week.

Obama told reporters Thursday that he was willing to stay in Washington "as long as it takes to make sure that the American people's taxes don't go up on January 1st and to make sure that folks who desperately need unemployment insurance get that help."

"There is absolutely no excuse for us not getting it done," Obama said, adding that his response to efforts by Republicans "to see what can they extract from us in order to get this done" was "just do the right thing."

Referring specifically to the Keystone project, Obama said that "however many jobs might be generated by a Keystone pipeline, there are going to be a lot fewer than the jobs that are created by extending the payroll tax cut and extending unemployment insurance."

The House proposal, which Boehner and other leaders outlined to GOP members at Thursday's meeting, was largely similar to one they discussed last week, according to several aides.

It would extend the payroll tax cut for one year, continuing savings of $1,000 for families earning $50,000. It also includes unemployment assistance but gives states the ability to reform the program -- including removal of a federal ban from the 1960s that prohibited states from drug-testing those who apply for unemployment benefits.

The GOP legislation would also shorten the time period for receiving jobless aid benefits from the current level of 99 weeks, phasing it down to 59 weeks by the middle of 2012. In addition, the bill would avoid a scheduled cut in payments for Medicare physicians for two years -- the so-called "doc fix."

Boehner noted that the bill is "fully paid for," and aides said the bulk of the cost would be offset from a freeze on salaries of federal employees and members of Congress through 2015. The measure would use funds from health care programs to pay for the Medicare "doc fix" provision.

Last week, GOP leaders encountered significant resistance from conservatives when they outlined their plan, with a bloc of members opposing any renewal of the payroll tax cut because the bill uses spending cuts over 10 years to pay for a one-year extension.

Some of those critics later said that after they talked through their concerns with leaders, they don't want to see a tax increase during the tough economy, even though they don't support the structure of the payroll tax cut.

Republican leaders also added a couple of new spending cuts to help attract conservative support. One would eliminate the child tax credit for those in the country illegally, and another would not renew a research-and-development tax credit focused on energy programs.

Some Republicans noted that Obama's comments the day before opposing any effort to link extending the payroll tax cut to the Keystone pipeline helped rally support for the plan.

Ohio Rep. Jim Jordan, leader of the fiscally conservative Republican Study Group, said he supports the bill, adding: "Frankly, the fact that the president doesn't like it makes me like it even more."

Asked about overcoming divisions among Republicans, Boehner said feedback on the proposal was good and that "I feel confident about our ability to move ahead."

The House is expected to vote on the bill early next week, according to several aides.

Even though the Republican plan could muster a majority of votes in the House, it is likely to encounter major obstacles in the Democratic-led Senate.

The payroll tax issue, a headache for Republicans already, threatens to become a major campaign theme for 2012.

Obama touched on it Tuesday in a policy address in Kansas, saying Republicans protected wealthy taxpayers from a tax increase during deficit negotiations this year, but now threaten to block the payroll tax cut extension. Blocking it would cause most Americans to pay higher taxes next year.

Republicans, who oppose tax increases in keeping with their push to shrink the size of government, argue that Obama and Democrats are forcing votes on proposals they know won't pass in order to score political points.

So far, the public backs the Democratic position, with polls showing majority support for increasing the tax burden on wealthy Americans to help pay for the measure.

Republicans are on the defensive due to their history of arguing that tax cuts end up paying for themselves because they stimulate economic activity by letting consumers keep more of their money instead of giving it to the government.

Democrats are quick to point out that the mounting federal deficits dominating the Washington discussion were caused in part by reduced revenue due to tax cuts from the Bush administration.

Now both parties agree that any measure to extend the payroll tax cut should include provisions to reduce spending or raise revenue to offset the cost.

As part of a budget-cutting deal last December, Obama and Congress negotiated a reduction of 2 percentage points in the payroll tax rate -- from 6.2% to 4.2%.

With the reduced rate expiring on January 1, Obama and Democrats seek to expand the provision by lowering the rate even further -- to 3.1% -- for another year.

Republicans initially opposed the idea, saying the provision failed to create jobs last year. Republican leaders now say they support an extension, but they differ with Obama and Democrats on how to pay for it.

The latest Senate Democratic plan calls for a 1.9% surtax on income over $1 million, as well as increased fees that Fannie Mae and Freddie Mac charge mortgage lenders to guarantee repayment of new mortgage loans to cover the $180 billion cost.

Republicans oppose the plan because they say it will increase the tax burden on small-business owners, a contention the White House says is false.

In their compromise, Collins and McCaskill included a provision to exempt the income of small-business owners from the surtax. However, House Republicans questioned whether it was possible to legislate such a distinction.

CNN's Tom Cohen contributed to this report.

@highlight

NEW: Senate Democratic leader rejects planned House proposal

@highlight

Separate Democratic and Republican proposals are blocked in the Senate

@highlight

Raising taxes remains an unresolved issue dividing Democrats and Republicans

@highlight

House GOP proposal links payroll tax cut to an oil pipeline project, defying Obama