Washington (CNN) -- We're getting to the point where even good news comes wrapped in bad news.

Good news: Despite the terrible June job numbers (125,000 jobs lost as the Census finished its work), one sector continues to gain -- manufacturing.

Factories added 9,000 workers in June, for a total of 136,000 hires since December 2009.

So that's something, yes?

Maybe not. Despite millions of unemployed, despite 2 million job losses in manufacturing between the end of 2007 and the end of 2009, factory employers apparently cannot find the workers they need. Here's what the New York Times reported Friday:

"The problem, the companies say, is a mismatch between the kind of skilled workers needed and the ranks of the unemployed.

"During the recession, domestic manufacturers appear to have accelerated the long-term move toward greater automation, laying off more of their lowest-skilled workers and replacing them with cheaper labor abroad.

"Now they are looking to hire people who can operate sophisticated computerized machinery, follow complex blueprints and demonstrate higher math proficiency than was previously required of the typical assembly line worker."

It may sound like manufacturers are being too fussy. But they face a real problem.

As manufacturing work gets more taxing, manufacturers are looking at a work force that is actually becoming less literate and less skilled.

In 2007, ETS -- the people who run the country's standardized tests -- compiled a battery of scores of basic literacy conducted over the previous 15 years and arrived at a startling warning: On present trends, the country's average score on basic literacy tests will drop by 5 percent by 2030 as compared to 1992.

That's a disturbing headline. Behind the headline is even worse news.

Not everybody's scores are dropping. In fact, ETS estimates that the percentage of Americans who can read at the very highest levels will actually rise slightly by 2030 as compared to 1992 -- a special national "thank you" to all those parents who read to their kids at bedtime!

But that small rise at the top is overbalanced by a collapse of literacy at the bottom.

In 1992, 17 percent of Americans scored at the very lowest literacy level. On present trends, 27 percent of Americans will score at the very lowest level in 2030.

What's driving the deterioration? An immigration policy that favors the unskilled. Immigrants to Canada and Australia typically arrive with very high skills, including English-language competence. But the United States has taken a different course. Since 2000, the United States has received some 10 million migrants, approximately half of them illegal.

Migrants to the United States arrive with much less formal schooling than migrants to Canada and Australia and very poor English-language skills. More than 80 percent of Hispanic adult migrants to the United States score below what ETS deems a minimum level of literacy necessary for success in the U.S. labor market.

Let's put this in concrete terms. Imagine a migrant to the United States. He's hard-working, strong, energetic, determined to get ahead. He speaks almost zero English, and can barely read or write even in Spanish. He completed his last year of formal schooling at age 13 and has been working with his hands ever since.

He's an impressive, even admirable human being. Maybe he reminds some Americans of their grandfather. And had he arrived in this country in 1920, there would have been many, many jobs for him to do that would have paid him a living wage, enabling him to better himself over time -- backbreaking jobs, but jobs that did not pay too much less than what a fully literate English-speaking worker could earn.

During the debt-happy 2000s, that same worker might earn a living assembling houses or landscaping hotels and resorts. But with the Great Recession, the bottom has fallen out of his world. And even when the recession ends, we're not going to be building houses like we used to, or spending money on vacations either.

We may hope that over time the children and grandchildren of America's immigrants of the 1990s and 2000s will do better than their parents and grandparents. For now, the indicators are not good: American-born Hispanics drop out of high school at very high rates.

Over time, yes, they'll probably catch up -- by the 2060s, they'll probably be doing fine.

But over the intervening half century, we are going to face a big problem. We talk a lot about retraining workers, but we don't really know how to do it very well -- particularly workers who cannot read fluently. Our schools are not doing a brilliant job training the native-born less advantaged: even now, a half-century into the civil rights era, still one-third of black Americans read at the lowest level of literacy.

Just as we made bad decisions about physical capital in the 2000s -- overinvesting in houses, underinvesting in airports, roads, trains, and bridges -- so we also made fateful decisions about our human capital: accepting too many unskilled workers from Latin America, too few highly skilled workers from China and India.

We have been operating a human capital policy for the world of 1910, not 2010. And now the Great Recession is exposing the true costs of this malinvestment in human capital. It has wiped away the jobs that less-skilled immigrants can do, that offered them a livelihood and a future. Who knows when or if such jobs will return? Meanwhile the immigrants fitted for success in the 21st century economy were locating in Canada and Australia.

Americans do not believe in problems that cannot be quickly or easily solved. They place their faith in education and re-education. They do not like to remember that it took two and three generations for their own families to acquire the skills necessary to succeed in a technological society. They hate to imagine that their country might be less affluent, more unequal, and less globally competitive in the future because of decisions they are making now. Yet all these things are true.

We cannot predict in advance which skills precisely will be needed by the U.S. economy of a decade hence. Nor should we try, for we'll certainly guess wrong. What we can know is this: Immigrants who arrive with language and math skills, with professional or graduate degrees, will adapt better to whatever the future economy throws at them.

Even more important, their children are much more likely to find a secure footing in the ultratechnological economy of the mid-21st century. And by reducing the flow of very unskilled foreign workers into the United States, we will tighten labor supply in ways that will induce U.S. employers to recruit, train and retain the less-skilled native born, especially African-Americans -- the group hit hardest by the Great Recession of 2008-2010.

In the short term, we need policies to fight the recession. We need monetary stimulus, a cheaper dollar, and lower taxes. But none of these policies can fix the skills mismatch that occurs when an advanced industrial economy must find work for people who cannot read very well, and whose children are not reading much better.

The United States needs a human capital policy that emphasizes skilled immigration and halts unskilled immigration. It needed that policy 15 years ago, but it's not too late to start now.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Some jobs remain unfilled because not enough skilled workers, manufacturers say

@highlight

David Frum: Immigration policy has created influx of unskilled labor

@highlight

He says pool of new workers more suited to needs of last century

@highlight

Frum: U.S. policy should emphasize admitting highly skilled immigrants