New Orleans, Louisiana (CNN) -- As Tropical Depression Bonnie churns through the Gulf of Mexico, several response vessels at the site of BP's ruptured well are in the process of being moved out of harm's way Friday, possibly leaving the sealed well cap unattended for about 48 hours, federal officials said.

"The intention right now is to put the vessels in a safe place so they can return as quickly as possible," retired Coast Guard Adm. Thad Allen said.

The rigs drilling the relief wells and the Q4000 recovery vessel are expected to be fully disconnected by late Friday afternoon, Allen said in a briefing Friday. Operators manning the vessels will begin to move to a position of the "best survivability," he added.

Even if the vessels monitoring the well have to depart, Allen said, they'll perform aerial and satellite surveillance and leave recording equipment at the base of the well to continue observation.

"If we have to evacuate the scene, we're probably looking at a very limited window, probably 48 hours," he said.

Allen also addressed the "good and bad part" of a tropical storm hitting the Gulf region: While he acknowledged how a storm surge could drive the oil into beach and marsh areas, where it would have not been driven otherwise, Allen says the increased weather activity may "actually help" disperse the oil.

"So we're mindful that those are two consequences and prepared to move out and aggressively attack this once the threat is passed through. But in [the] meantime, preservation of life and preservation of equipment are our highest priority," Allen said.

Later, Allen told CNN's Wolf Blitzer, "it's certainly going to be a setback" in the effort to permanently seal the well and clean up the Gulf.

He noted that 800 skimmers that had been collecting oil on the surface across the Gulf Coast will be returning to safety on shore but said authorities are slowly making progress.

"I'm not ready to declare victory, nor should anybody. But we certainly are starting to gain a bit of an upper hand here," he said. "Of course, we still have beach cleanup and marshland areas that are affected."

BP said that pressure in the well continues to "slowly increase." Company officials said they will continue to take pressure readings and monitor the well as long as weather permits.

On Thursday, officials said the departure of the relief well rig could delay work on the operation -- described as the permanent fix to the ruptured well -- for at least 10 days.

Allen said the cap placed over the damaged well in the Gulf of Mexico will remain sealed and continue to stop oil from escaping even if the more than 2,000 people who have been working at the well site are off the water.

The weather could force officials to temporarily scale back efforts to search beneath the surface for leaking oil. But Allen said Thursday that the remote vehicles used to monitor the area will be the last to leave and the first to return.

Sensors and extensive monitoring have allowed observers to "rule out any indications that there might be a leak," Allen said Thursday, noting that his confidence in the integrity of the well had "improved dramatically" after he examined data over the past few days.

Once the weather system passes, a plan to pump mud into the well to force oil back into the reservoir below is in the works. BP has Allen's approval to prepare for the "static kill" process but would still need the government's final go-ahead before proceeding, BP Senior Vice President Kent Wells said.

Meanwhile, officials monitoring the spill say they continue to track the tropical weather and communicate with the Federal Emergency Management Agency, which is ultimately responsible for the safety of the more than 40,000 people assisting in recovery and response efforts in the Gulf region.

"The protection of the equipment and crew is paramount to ensure maximum ability to respond to any new challenges a storm may pose to the enormous mission," Rear Adm. Paul Zukunft, the federal on-scene coordinator, said in a news release Thursday.

"We are repositioning assets away from low-lying areas to higher-ground staging areas to protect our ability to respond to the dynamic requirements of the incident," Zukunft said.

At 5 p.m. ET Friday, Bonnie had been downgraded to a tropical depression after moving across southern Florida. It was moving west-northwest at 18 miles an hour and had maximum sustained winds of 35 miles an hour. It's expected to make landfall early Sunday between New Orleans, Louisiana, and southeastern Texas.

If the storm continues on its path, it could slam into the area of the BP oil spill and possibly push more oil to shore.

The tropical weather system could diminish or erase encouraging signs of recovery from the BP oil spill, according to a scientist who spearheaded the first major examination of the Louisiana coast wetlands.

"Early marsh regrowth could easily be taken away with high winds and waves," said Tom Bianchi, a Texas A&M oceanography professor who has spent his career researching marshes.

Meanwhile, at a federal hearing in New Orleans, Louisiana, on Friday, a Deepwater Horizon chief engineering technician testified that the rig's general alarm system -- which is designed to detect a sudden rise in natural gas -- had been disabled because rig managers "did not want people woke up at 3 in the morning due to false alarms."

Technician Mike Williams said the alarm system had been been "inhibited" for about a year before the April 20 explosion that killed 11 workers and started the worst oil disaster in the nation's history.

Williams said supervisors on the Transocean rig were aware that the system had been inhibited.

Transocean later said in a statement that the disabling was "intentional and conforms to accepted maritime practices."

"It was not a safety oversight or done as a matter of convenience," it said.

The company said there were hundreds of individual fire and gas alarms on the Deepwater Horizon in a "zone-based" system. The rig had an option -- which was resorted to -- to prevent the general alarm from sounding when an individual alarm went off.

Transocean said it's possible that individual alarms might be providing notification of "minor issues or a non-emergency," and "repeated false alarms increase risk and decrease rig safety."

CNN's Ashley Fantz, Vivian Kuo and Sean Morris contributed to this report.

@highlight

NEW: Retired Adm. Thad Allen says there is "certainly going to be a setback" at well site

@highlight

NEW: Allen says crews "starting to gain a bit of an upper hand" in collecting oil

@highlight

NEW: Transocean says that disabling general alarm at rig is accepted practice

@highlight

Deepwater Horizon alarm had been "inhibited," technician testifies