MIAMI, Florida (CNN)  -- A NASA report on the last minutes of Space Shuttle Columbia cited problems with the crew's helmets, spacesuits and restraints, which resulted in "lethal trauma" to the seven astronauts aboard.

Columbia crew members were killed when the shuttle broke apart upon re-entering Earth's atmosphere.

But the report also acknowledged that "the breakup of the crew module ... was not survivable by any currently existing capability."

The spacecraft broke up while re-entering Earth's atmosphere near the end of its mission on February 1, 2003.

The NASA report found the astronauts knew for about 40 seconds that they did not have control of the shuttle before they likely were knocked unconscious as Columbia broke apart around them.  Watch more details from the report »

The report also found that while crew members were wearing their pressurized suits, one astronaut did not have on a helmet, three were not wearing gloves and none lowered the visors before the module lost cabin pressure. One astronaut also was not seated.

"In this accident, none of those actions would have ultimately made any difference," said former shuttle program manager Wayne Hale, now a deputy NASA administrator.

The graphic, 400-page investigative report relied on video, recovered debris and medical findings, supplemented with computer modeling and analyses. It also includes many recommendations to make space travel safer for future astronauts.

A shuttle-program source told CNN the families of the astronauts who died were brought in specifically to look at the report and even in some cases to help with its preparation. The report took more than five years to complete.

"The members of this team have done an outstanding job under difficult and personal circumstances," said Johnson Space Center director Michael L. Coats. "Their work will ensure that the legacy of Columbia and her heroic crew continues to be the improved safety of future human spaceflights worldwide."

Columbia broke apart some 200,000 feet over Texas -- just minutes before it was to have touched down in Florida. The shuttle's wing was damaged on takeoff when a large piece of heat-reflecting foam ripped off and gouged a hole in it.

During re-entry, the hole allowed atmospheric gases to burn the wing and destroy the spacecraft. The oldest orbiter in the fleet, Columbia had just completed a 16-day science mission.  Watch the view from the command deck as the shuttle enters the atmosphere »

Killed were commander Rick Husband, pilot Willie McCool, payload commander Michael Anderson and mission specialists David Brown, Kalpana Chawla, Laurel Clark and Ilan Ramon, an Israeli Air Force colonel who was Israel's first astronaut.

By request of the families of the Columbia astronauts, NASA released the report between Christmas and New Year's so that the astronauts' children would be at home where they could discuss the findings with their families in private, said former shuttle commander Pam Melroy, deputy project manager for the investigation team.

"It was a way for us to work through our grief about the accident," said Melroy about compiling the report. "This was one of the hardest things I've ever done."

The report stated that "after the crew lost consciousness due to the loss of cabin pressure, the seat inertial reel mechanisms on the crews' shoulder harnesses did not lock.

"As a result, the unconscious or deceased crew was exposed to cyclical rotational motion while restrained only at the lower body. Crew helmets do not conform to the head. Consequently, lethal trauma occurred to the unconscious or deceased crew due to the lack of upper body support and restraint."

Another section of the report focused on the pressure suits used by the space shuttle crew on launch and re-entry. It said the suits were not part of the initial design of the orbiter and that depressurization "occurred so rapidly that the crew members were incapacitated within seconds, before they could configure the suit for full protection from loss of cabin pressure."

Melroy said investigators took some comfort in data that suggests the Columbia crew died abruptly and without suffering.

"Of course, we were relieved," she told reporters during a NASA conference call Tuesday afternoon. "It is a very small blessing, but we'll take them where we can find them."

The NASA team's report evaluated every aspect of the crew cabin infrastructure, including the design of the safety belts and helmets worn by the crew. The report also included recommendations to improve spacecraft design and crew safety.

Those recommendations cover a broad range of subjects from crew training, procedures, restraints and individual safety equipment to spacecraft design methods and recommendations regarding future accident investigations.

"By learning these lessons and ensuring that we continue the journey begun by the crews of Apollo 1, Challenger, and Columbia, we help to give meaning to their sacrifice and the sacrifice of their families," the report stated. "It is for them, and for the future generations of explorers, that we strive to be better and go farther.

The report will have little if no effect on the nine remaining space shuttle flights to come. NASA is mothballing the shuttle program in 2010 as it begins a new program, Constellation, designed to send astronauts back to the moon.

There is expected to be about a five-year hiatus in manned U.S. space flight as NASA transitions to the new program, which it hopes will launch in 2015.

CNN's Brandon Griggs and Rich Phillips contributed to this report.

@highlight

NASA released a report Tuesday on the last minutes of Space Shuttle Columbia

@highlight

Seven astronauts died when the spacecraft broke up while returning to Earth in 2003

@highlight

Report: Astronauts knew for about 40 seconds that they'd lost control of craft

@highlight

Report also cited problems with the crew's helmets, spacesuits and restraints