(CNN) -- The death of Chinua Achebe represents more than the loss of a great writer. Achebe was perhaps the first to give voice with elegance, a poetic prose, and startling insight to the other side of the world which most Western readers encounter in Joseph Conrad.

For the first time, through the success of Achebe's best-known book, "Things Fall Apart," a world both distinctive and familiarly human as well as uniquely African won the hearts of an otherwise ignorant and insensitive and largely condescending reading public in Europe and North America, regarding African history and culture.

It is a pity that not more of Achebe's prose is as well-known as "Things Fall Apart." At the same time, Achebe took his place in the pantheon of great writers with one acknowledged masterpiece, alongside Melville's "Moby Dick" and Charlotte Bronte's "Jane Eyre."

But Achebe's contribution was not merely literary. Unlike most writers, he displayed few traces of narcissism. He was committed to his people and his community. He did not shy away from political controversy, and he did so in a manner that was unforgettable.

He was soft spoken, gracious to a fault, generous. His charisma was one that mixed authority with kindness. He seemed to possess no limits to patience. He made his interlocutors and students feel that they were as important as he was.

Unlike so many he did not internalize the brutalities and prejudices of oppressors only to visit the very same quality on others when the oppression vanished. Perhaps this was a function of his personality and his natural nobility and pride in his heritage. But it was also a function of his Christian faith and his commitment to the vocation of teaching and writing.

Chinua Achebe came to Bard after suffering an accident that left him paralyzed from the waist down. By coming to the United States he was able to secure the proper medical care, and at Bard he became a member of an academic community as teacher and colleague. He used his prestige and presence to ensure that African history and literature would take their proper place in the education of undergraduates.

One of Achebe's most fervent admirers has been Nelson Mandela, who once described the sense of hope he derived from reading Achebe in prison. What Mandela saw in Achebe was the characteristic that inhabits all great literature: details that seem very particular retain their uniqueness in the hands of a great writer.

But through the poetry of the prose what seems utterly foreign and unfamiliar becomes recognizable and profoundly thought-provoking. Time and place are transcended without the loss of authentic particularity. These qualities are what have made great writers great, whether they be George Eliot or Tolstoy.

Achebe, drawing from his heritage and traditions, used his talent and gift of imagination to generate a visual and moral landscape entirely unfamiliar to most readers. His achievement was both historic and personal.

If there was one dimension of disappointment that one could detect in Chinua Achebe, it was the fact that he was famous for one great book when in fact he had written a whole series of great books. He suffered the same frustration that is perhaps more common among composers who become associated with one piece to the exclusion of the rest of the music they have written.

One hopes that Chinua Achebe's death will spark a renewal of interest beyond "Things Fall Apart." That novel will remain a staple of world literature. Readers should be encouraged to look at the novels Achebe wrote aftewards. The simplicity of his language, the disarming lyricism, and acuity of perception define his greatness.

But in the end Achebe was in the best sense a moralist. Not a preacher, but a writer who drew his readers into contemplating the possibilities of how they might lead a better life with a greater commitment to justice, to civility, to respect, and to simple decency.

The opinions expressed in this opinion piece are solely those of Leon Botstein.

@highlight

Unlike so many, Achebe did not internalize the brutalities and prejudices of oppressors, writes Leon Botstein

@highlight

His charisma was one that mixed authority with kindness, he says

@highlight

Botstein: One hopes that Chinua Achebe's death will spark a renewal of interest beyond "Things Fall Apart."

@highlight

Achebe was in the best sense a moralist, says Botstein