The morning tide keeps time on the barrier islands of Cape Hatteras National Seashore.

It slowly washes away tiny tracks left by newly hatched sea turtles that wobble into the surf under the cover of darkness. Meanwhile, dolphins play in the waters close to shore as brown pelicans hover in competition to snack on schools of fish.

The Outer Banks were home to Native Americans long before 1584 when Sir Walter Raleigh attempted to make Roanoke Island the first permanent European settlement in the new world. A little more than a century later, the pirate Blackbeard unscrupulously assaulted Ocracoke Inlet, marauding and terrorizing merchants.

The Ocracoke, Hatteras and Bodie Island lighthouses were built and rebuilt throughout the 19th century to help ships avoid the "Graveyard of the Atlantic," and the Wright Brothers made history's first recorded flight in Kill Devil Hills at the beginning of the 20th century.

Cape Hatteras National Seashore is history, a vacation destination, a home to endangered wildlife and a geological wonder combined into one national park site on North Carolina's coast.

Park stats: More than 2.3 million people visited Cape Hatteras National Seashore in 2012, and it has averaged more than 2 million guests per year since 2008. It is the fourth-most visited national seashore, according to the National Park Service.

The location: Cape Hatteras National Seashore lies on North Carolina's Outer Banks, about a four-hour drive from Raleigh and 2½ hours from Norfolk, Virginia.

The park has north and south entrances. The north entrance is in Nags Head at the junction of U.S. 64 and state Highway 12. The south entrance, state Highway 12 north of Ocracoke, is accessible only by ferry.

If you go: There is no admission to enter Cape Hatteras National Seashore, and there are visitor centers on Cape Hatteras and on Bodie and Ocracoke islands.

Cape Hatteras and Bodie Island lighthouses are open from the third Friday in April through Columbus Day. Admission to each lighthouse is $8 for adults and $4 for children under 12. Ticket purchases do not transfer from one lighthouse to the other.

Weather permitting, visitors can climb the steps of Cape Hatteras Lighthouse on their own, and rangers conduct guided tours of the Bodie Island Lighthouse.

Ocracoke Island, home to the second-oldest operating lighthouse in the United States, is about 60 miles south on state Highway 12 and accessing it requires taking a ferry across Pamlico Sound. The ferry to Ocracoke from Avon, North Carolina, is free, but ferries from Swan Quarter or Cedar Island are paid and require reservations.

The Wright Brothers National Memorial is in Kill Devil Hills, about seven miles north of Nags Head. Fort Raleigh National Historic Site is on Roanoke Island about three miles north of Manteo.

Meet our ranger: Patrick Gamman is the district interpretative ranger for Cape Hatteras National Seashore.

The seeds for Gamman's career in the park service were planted when his aunt gave him a subscription to Ranger Rick magazine as a gift for his 7th birthday. Gamman, now 44, grew up in Oregon and says Ranger Rick's adventures taught him environmental ethics. While attending the University of Oregon, Gamman sought out nature during spring break instead of following classmates to traditional destinations.

"I wouldn't go party," he says. "I chose national parks instead."

Gamman changed his major to geology after spending a summer volunteering at Wind Cave National Park. After graduation, he joined the Peace Corps and helped develop cave national parks in the Philippines. He then worked seasonal ranger jobs until landing his first permanent job in the park system at Grand Canyon's backcountry office. He came to Cape Hatteras National Seashore in 2010.

"It's a barrier island, one of the three most dynamic geological formations (along with volcanoes and glaciers) in the world," he says. "We're having a ball here because there are so many fun things to do."

For a day trip, don't miss: Seashell hunting on the beach, touring one of the lighthouses and watching the sun set over Pamlico Sound.

"It's rare to see sunset on a body of water on the East Coast," he says.

Favorite less-traveled spot: Nighttime on the beach. Gamman says Cape Hatteras has the darkest night sky on the Eastern Seaboard. In addition to stargazing and watching ghost crabs scramble across the sand, he says, hot summer nights cause the water to glow with bioluminescence.

"I can't get enough of it here," he says. "The night sky blows me away."

Favorite spot to view wildlife: The boardwalk near Bodie Island Lighthouse. Gamman says the boardwalk leads guests through bird ponds to a gazebo, where they can also watch crabs chase fish.

"There is always great wildlife sightings no matter what time of day," he says.

Most magical moment in the park: His first trip kayaking on the Pamlico Sound. Gamman says Pamlico Sound is not deep and is a relatively safe body of water. Almost every village on Cape Hatteras National Seashore rents kayaks, and he recommends paddling along the shore to "bliss out."

"It all has to do with peace and tranquillity," he says. "Whenever I take my kayak out, I'm seeing turtles and brown pelicans."

Moment that made him smile: Raising a camera to photograph a young couple at Bodie Island Lighthouse and seeing the guy get down on one knee.

"I'm like, 'Oh my God, I think I know what is going to happen,' " he says. "I just went crazy taking pictures. There are a lot of (wedding) proposals at the top of lighthouses."

Gamman says the woman accepted, and he was happy to share news of the marriage engagement with the other guests on the tour.

Oddest moment at the park: A music teacher giving students a demonstrative lesson on sound resonance by playing a didgeridoo, a wind instrument used by Australian aborigines, at the base of Cape Hatteras Lighthouse.

"It was way out there, but I really liked it," he says. "The crowd waiting applauded when he finished."

A ranger's request: Educate yourself about rip currents before entering the water and do not go swimming at sunset or sunrise. Gamman says rip currents are common at Hatteras because of small sand dunes that build up in shallow water. When the water gets pulled back out to sea, it punches holes in the dunes, creating the pull for rip currents.

Gamman says the way to escape a rip tide is to remain calm and float on your back. The current will take you out about 100 yards, he says. From there you should swim parallel to the shore until you clear the pull. Then swim back.

"People try to swim out of it and you can't," he says. "Michael Phelps couldn't do it."

Another park he'd like to visit: Dinosaur National Monument in Utah. The area features a combination of science, history, geography, petroglyphs and fossils.

"They've got dinosaur bones," he says. "How cool is that?"

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

More than 2.3 million people visited Cape Hatteras National Seashore last year

@highlight

North Carolina's Ocracoke Island is home to second-oldest oldest operating lighthouse in U.S.

@highlight

Area home to Wright Brothers National Memorial and Fort Raleigh National Historic Site

@highlight

Barrier islands offer history lesson, a vacation destination and a geological wonder