Port-Au-Prince, Haiti (CNN) -- Extraordinary drama unfolded Tuesday in Port-au-Prince as charges were filed against former Haitian dictator Jean-Claude "Baby Doc" Duvalier, government sources told CNN.

It was not immediately clear what the charges were.

A judge will have 30 days to investigate and decide whether the accusations merit moving forward with a case against Duvalier.

Earlier in the day, the former leader was taken into custody at his hotel and transported to a downtown courthouse for a hearing. After hours of questioning, Duvalier was allowed to return to his hotel.

A flurry of intense legal activity preceded Duvalier's emergence from the Karibe Hotel, where he had been since his mysterious return to Haiti on Sunday.

His hands free of handcuffs, he made his way down three flights of stairs and waved to a small crowd of supporters before heavily armed police escorted him away in a waiting white van.

Outside the hotel in the swanky suburb of Petionville, throngs of journalists had waited for Duvalier's appearance amid speculation that the former despot would be arrested.

Several hundred people lined the downhill road from Petionville to downtown Port-au-Prince to show support. Some held photos of Duvalier when he was in his prime and banners.

Duvalier shocked the world by returning to his homeland Sunday night after some 25 years of exile in France. He is accused of pillaging the country, siphoning money from Haiti's treasury into his family's pockets during his rule, which ended with a popular rebellion in 1986.

Human rights groups have sounded a call for justice for atrocities committed during his 15 years of rule.

Under Duvalier's presidency, thousands were killed and tortured, and hundreds of thousands of Haitians fled into exile, according to Human Rights Watch.

Michele Montas, a Haitian journalist who has fought for democracy and is a former spokeswoman for the United Nations secretary-general, said Monday night that she plans to file a criminal complaint against Duvalier.

"We have enough proof. There are enough people who can testify. And what I will do is go to a public prosecutor, and there is a public prosecutor that could actually accommodate our complaints," she said on CNN's "Parker Spitzer."

The United Nations said Tuesday that Duvalier's presence in Haiti had taken the global body by surprise and it "clearly raises issues of impunity and accountability." Rupert Colville, a spokesman for the U.N. Office of the High Commissioner for Human Rights, said a range of human rights abuses and corruption issues surround Duvalier.

U.S. Ambassador to the United Nations Susan Rice told reporters Tuesday she hoped for a peaceful resolution to the tensions in Haiti.

"I think that it is clearly a tense and fragile time in Haiti, given the unresolved issues around the election, given the cholera epidemic, and it's certainly in the interests of the people of Haiti for there to be peaceful and cooperative efforts to resolve the outstanding issues related to the elections," she said.

It's still unclear why Duvalier decided to go back to Haiti, and speculation is mounting over what he hopes to accomplish.

His presence certainly added to a bubbling cauldron of political turmoil sparked by a presidential election mired in controversy.

"Obviously this is an important and crucial time for the people of Haiti," said White House Press Secretary Robert Gibbs.

"Any political leader or any former political leader should focus not only on him or herself, but on making progress towards a set of important elections," Gibbs said, adding that such people should dedicate "their time and their energy toward the reconstruction of the country."

Journalist Amy Wilentz, author of "The Rainy Season: Haiti Since Duvalier," said the "Baby Doc" media circus was taking the focus off Haiti's leadership crisis.

"It's a giant sideshow to the electoral debate," she said.

Preliminary results of the November 28 election placed former first lady Mirlande Manigat in a runoff with Jude Celestin, the candidate backed by Haiti's unpopular President Rene Preval. However, international monitors charged fraud and a subsequent election review put Celestin in third place. Observers suggested he be eliminated from contention.

Preval's government has not officially commented on Duvalier's return, though some Haitians, craving a father figure to lead the nation out of crisis, have commented favorably on the old days of Duvalier.

Back then, the streets were safe, said Port-au-Prince resident Jean Etienne. People could walk outside at night and food was cheap, he said.

But Garry Pierre-Pierre, editor of the New York-based Haitian Times, blamed the father-son Duvalier dynasty for a nation struggling to regain footing. He said the scars still run deep from an era when no one trusted each other.

Pierre-Pierre said he hopes justice will finally prevail.

"If there is a bright sport," he said, "finally we have to face that decision that we have never faced straight up. We've been in denial about what happened during the 29-year reign of dictatorship of the Duvaliers."

Duvalier was supposed to have held a news conference Monday but it was canceled and he remained huddled inside the Karibe until he was taken away Tuesday.

Henry Robert Sterlin, a Duvalier associate, told reporters that Duvalier returned because he was moved by the anniversary of last year's tragic earthquake and because he missed his native land.

"He's deeply hurt in his soul after the earthquake," Sterlin said. "He wanted to come back to see how is the actual Haitian situation -- of the people and of the country."

Sterlin said he did not know how long the former leader had planned to stay.

The Duvalier family ruled Haiti for three decades, starting in 1957 when Francois "Papa Doc" Duvalier was elected president. He later declared himself president for life. When he died in 1971, he was succeeded by his son, then only 19.

CNN's Lonzo Cook, Kim Segal, John Zarrella, Mary Snow and Moni Basu contributed to this report.

@highlight

It is not immediately clear what the charges are

@highlight

A judge must now decide whether the charges merit moving a case forward

@highlight

Police escort the former dictator from his hotel to a courthouse

@highlight

A Haitian journalist plans to seek criminal charges against the former dictator