Lima, Peru (CNN) -- Peruvians will head to the polls Sunday in a tight race that centers on how to best manage Peru's robust economic growth.

Peru can expect growth of 7% this year, according to the World Bank, and is one of the fastest-growing economies in Latin America. The country overcame the global financial crisis relatively unharmed, maintaining GDP growth, employment creation and poverty reduction, according Peru's ministry of economics and finance.

The good news comes with high expectations from Peruvians, who want to see the rewards of this progress in tangible ways in their lives. While the economy as a whole has done well, salaries have remained depressed during the same period.

So the big question for Peruvians this Sunday is, who will make the most of the recent combination of good macroeconomic management and high commodity prices?

They have five main choices who are so close in the polls that pollsters anticipate there will be a second round of voting. But it is impossible to predict which two candidates will make it to the second round.

Peruvian law forbids the publishing of poll numbers one week prior to election day, but the trend from all pollsters previously was a rise for Ollanta Humala, who entered the final stretch as the leader of the pack.

The nationalist Humala represents the most radical departure from the rest of the pack. The former army officer, who participated in a failed uprising in 2000, lost to current President Alan Garcia in the second round of the last presidential elections.

His previous presidential bid was sunk in part because of accusations that he admired and would emulate Venezuelan President Hugo Chavez, who embarked on a socialist reorganization of his country.

Humala denies that he would follow in Chavez's footsteps, and has portrayed himself as an admirer of former Brazilian President Luiz Inacio Lula da Silva, who represented a more center-left position.

"I think (Humala) has tried much harder to appear more moderate, more centered," analyst Giovanna Penaflor said.

Running close to him is Keiko Fujimori, the daughter of disgraced former President Alberto Fujimori. At 36, she is the youngest of the candidates. At 19, she was the country's first lady for her father.

"She is young, which is both a positive and negative characteristic," Penaflor said. "It puts her close to a very important segment of voters, but it detracts from her experience."

Critics have accused her of campaigning more to free her father, who is serving multiple, concurrent 25-year sentences, but she says that his case should rest on decisions from the judiciary, not the executive.

Another former president, Alejandro Toledo, also has the potential to advance to the second round. Toledo, who was the face of the opposition to Fujimori, championed market-oriented policies that helped Peru grow during his term from 2001 to 2006, but was unpopular in the polls.

He is enjoying a resurgence of popularity that he is riding into this weekend's elections.

Pedro Pablo Kuczynski is another surging candidate. The economist is a one-time minister of energy and mines, minister of economy, and prime minister. In addition to his Peruvian citizenship he holds an American one, which has been the source of criticism. But Kuczynski has embraced his Peruvian nationality on the campaign trail, even adopting the cuy, a Peruvian guinea pig served as a traditional dish, as his mascot.

The final leading candidate is Luis Castaneda, a former mayor of Lima.

"He is an efficient and successful public administrator that has done works for the good of the community, and Lima has recognized that with a very high approval rating," analyst Luis Benavente said. "But in the campaign, he was unable to turn it into a national symbol."

The top two vote-getters would face each other in a runoff on June 5.

Journalist Maria Elena Belaunde contributed to this report.

@highlight

Peru will vote for a new president on Sunday

@highlight

Five candidates are in a tight race

@highlight

Management of the economy is a top issue

@highlight

A runoff election would be held in June