LONDON, England (CNN) -- Given its long history of warfare, the United Kingdom is not squeamish about fatalities in time of war and yet a debate has been ignited by the deaths of 15 British soldiers in Afghanistan over the last few weeks. The question now is whether this profound soul-searching results in a more efficient policy towards the war-torn country.

Soldiers from the Welsh Guards carry the coffin of Maj Sean Birchall, killed on patrol in Afghanistan in June.

The West became involved in fighting in Afghanistan principally because the Taliban government allowed a non-state actor to carry out acts of terrorism unhindered from within its borders.

Following the September 11, 2001 attacks on the United States and the Taliban's subsequent refusal to extradite members of al Qaeda, the United States allied itself to the Northern Alliance and moved to bring down the Taliban. Following this, the UK and other NATO member states stepped forward to help rebuild the country under a United Nations mandate.

While critics of the war have claimed that al Qaeda and the Taliban are separate entities, the links between the two organizations were quite strong; both share a strict interpretation of Islam and a deep antipathy for the West and modernism more generally. And this affinity has not been played out in the ideological sphere alone: before 9/11, an elite al Qaeda formation called the 055 Brigade fought alongside the Taliban in northern Afghanistan and provided training and strategic support. This military co-operation is likely to continue today.

The level of interconnection is best exemplified by the fact that Osama Bin Laden's son was married to Mullah Omar's daughter in the sort of political match which is meant to forge a blood kinship between the two. The main difference between the two seems to be in the scope of their objectives: while the Taliban is content with imposing its religious beliefs system on Afghanistan, al Qaeda has a global agenda of building a new Caliphate.

Gordon Brown's statement in 2007 that two-thirds of all terrorist attacks originate in the region reveals not only the severity of the threat but also the fact that many of these plots are hatched over the border in Pakistan. And yet sending British troops across the border is not an option. The Pakistani military has been engaged in a low-level war in the border regions with elements of the Taliban since 2001, when they streamed into the country, chased by U.S. and Northern Alliance forces.

These elements have successfully taken over the region by emphasizing their Pashtun kinship, the predominant ethnic group in the area, and by killing or intimidating pro-Pakistani government tribal elders. They have been able to negotiate one false cease-fire after another with the Pakistani security forces, while at the same time regrouping and repairing their losses.

Despite the grave threat at its doorstep, Islamabad is unable to invite foreign troops across its border as that would be to admit that it cannot protect itself and would induce severe public censure from its own population.

The military campaign in Helmand has a chance to succeed, but will require luck, energy and increased co-ordination of efforts by International Security Assistance Force (ISAF) forces. The shift from chasing insurgents to protecting the population offers the potential to gain the allegiance of the local population, but results are unlikely to show themselves for at least six months.

If the military part of the campaign is to succeed, there must be positive results in diplomacy, development and security sector reform.

The first will be necessary to bring regional actors like Iran, Pakistan, and India to the table, and to buy over local Taliban commanders and their fighters. In development terms, northern Afghanistan is already showing some results, but there is much more to be done in the south where the fighting is the most severe.

One key area of development work that can be improved is the removal of the Western cultural bias from the efforts. Taliban fighters and local resistors are known to be galvanized by development efforts that stress Western values, such as gender and human rights.

Development efforts should instead focus on cultural-neutral projects such as building a civil service, developing agriculture, building lanes of communication like bridges, roads, and train lines. Local and national markets should be developed, for nothing breeds peace like prosperity.

We should not be imposing our vision of how society should be, but rather building an Afghan state that can survive and thrive in the cultural context in which it sits. Furthermore, development efforts should be reformed with government agencies taking more of the brunt of the work than private contractors.

One of the biggest military obstacles is fighting an insurgency with insufficient forces and equipment. While U.S. President Barack Obama's surge is intended to correct this, the numbers of troops in Afghanistan are very low compared to those in Iraq.

A further obstacle is putting an Afghan face to the fighting. Afghanistan is essentially engaged in a civil war, and while the West must assist and support the current government, it must also build that same government's capacity to defend itself. Indeed, in a country where foreign troops have been a liability, the sooner the Afghan government in Kabul is able to do this, the more credibility it will have in the eyes of its own people.

While the specter of defeat always looms in public debate, victory remains within grasp. Certainly, throwing in the towel would have grave consequences for both the region and for the West more generally.

The first result would be the rejuvenation and galvanization of al Qaeda and other similar fundamentalist groups around the world. While victory is possible, it must be carefully defined. Already, signs of success are evident in other parts of the country that detract from the gloomy view that we regularly receive from our newspapers and television.

According to a UK Department for International Development report released in April, the number of Afghan children in school has increased from one million in 2002 to six million in 2008. Healthcare is now available to more than 82 per cent of the population, and 40,000 more children will live beyond their first birthday than in 2002.

A sudden withdrawal by the West would send the wrong message to both friends and enemies alike in the region and would result in the probable collapse of the infant Kabul government. Furthermore, given that UK losses (to take one example) have been lower than those experienced in the Northern Ireland and the Falklands campaigns, withdrawal would question the UK ability to stomach losses defending itself and its allies.

It would appear to be a long uphill struggle, but the alternatives indicate that this struggle is a necessary one.

The opinions expressed in this commentary are solely those of John Hemmings and the Royal United Services Institute for Defence and Security Studies.

@highlight

Debate in UK sparked by recent deaths of 15 British soldiers in Afghanistan

@highlight

Al Qaeda and Taliban are separate entities but have strong links

@highlight

Major military obstacle is fighting insurgency with insufficient forces, equipment

@highlight

UK government under pressure at home to revise policy on Afghanistan