(CNN) -- Floods have devastated the landscape of the state of Queensland, Australia, but they also present a high risk to the Great Barrier Reef.

Stretching over 2,300 kilometers (1,430 miles) along the northeast coast of Australia, large parts of the southern Great Barrier Reef are "flooded" with fresh water.

Currently the biggest plumes of fresh water reach about 200 kilometers (124 miles) north from the mouths of the Fitzroy and Burnett Rivers, and stretch around 70 kilometers (43 miles) off the coast.

"These are extraordinary events. The whole of the inner-shore reef lagoon filled with river water," says Jon Brodie, Principle Researcher for the James Cook University's Australian Center for Tropical Freshwater Research.

Brodie and his team regularly monitor the reefs and are immersed in studying the impact of the flood waters.

Brodie describes the threat to many coral reefs closest to the flooding rivers as "quite high" but expects the flood waters to affect in some way the reefs stretching from Frazer Island, 200 kilometers (124 miles) north of Brisbane, all the way to Cairns, 1,500 kilometers (930 miles) away.

The prevailing tides and south easterly winds mean the flood waters will probably continue to head north.

"It's quite remarkable to see. If you were to snorkel where the flood water meets the seawater and look to one side, the sea water will be clear with visibility to 50 meters while the other side is fresh, dirty brown water where visibility is down to one meter," says Brodie.

The mix of nutrients, sediment and pesticides from agricultural run-off, plus currently unknown amounts of trace metals from flooded mines, will likely have an immediately devastating impact on corals and sea grasses, says Brodie.

Salinity could go down to ten parts per thousand or less and remain like that for weeks; "nothing can live in those conditions," says Brodie.

The immediate death of corals and sea grass is expected, which could then have a devastating affect on other marine creatures like dugongs that feed on sea grass.

When the Fitzroy River (that flooded Rockhampton before Christmas) suffered severe flooding in 1991, the corals and sea grasses around the Keppel Islands suffered 100 percent coral mortality.

Bigger fishes can swim away from the deluge of fresh water, but smaller coral reef fish may suffer the same fate as the corals they live around, says Brodie.

While corals can recover from "bleaching" (when coral organisms die leaving what looks like a white skeletal structure), it's a slow process.

Some recovery around the Keppel Islands was seen after 10 years, while other coral species and marine organisms were still recovering until the latest floods. Other marine species can actually benefit from floods.

"Some fish species thrive in the current flood plume conditions which can enhance productivity for some popular inshore species," Andrew Skeat, General Manager of the Great Barrier Reef Marine Park Authority said in a press statement.

Other unwanted long term effects can be algae blooms which can upset the reef ecosystems.

"It will take some time before the impacts of these flood plumes on the marine ecosystem and on the industries that use these areas are known," said Skeat.

Climate scientists have blamed the excessive rainfall the region has seen in the last month on the latest La Niña weather event.

La Niña refers to the cooling of the central and eastern Pacific that drives wetter conditions in eastern Australia.

Brodie agrees with the cause of the heavy rain: "It was predicted. It certainly fits the pattern of severe weather events from climate change modeling."

Queensland suffered its wettest ever December, according to the Australian Bureau of Meteorology, during what it describes as a "very strong" La Niña event in the Pacific Ocean. In June 2010 the bureau stated that La Niña was likely to have an affect on Australia by the end of that year.

A previous La Niña event happened in 1974 when a record flood of the Brisbane River killed 14 people.

@highlight

Flood water will have devastating affect on corals and sea grass in parts of Great Barrier Reef

@highlight

Flood water is full of sediment, pesticides and nutrients that kill corals

@highlight

Inshore coral reef lagoon region likely to be full of fresh water for weeks

@highlight

Coral reefs can take over a decade to recover from 'bleaching'