Eli -- a sweet, active, blonde-haired preschooler -- had gone to sleep feeling fine, perhaps dreaming of playing with his sisters or having a fun day at school.

He didn't make it through the night.

While the young boy died sometime between the night of Wednesday, September 24, and the following morning, it wasn't until Friday night that authorities figured out why: enterovirus D68, a particularly pernicious strain of an otherwise common virus that has been particularly widespread this year.

While it's been detected in at least four people who died, Eli's case is the first in which authorities have definitively cited enterovirus D68 as the cause of death.

Jeff Plunkett, the health officer in Eli's hometown of Hamilton Township, New Jersey, explained Saturday that, while the boy was born premature, "he had no other existing condition" and his parents no reason to believe he was direly ill before the virus took his life. Eli was 4.

"He was asymptomatic and fine, and the next morning he had passed," Plunkett told reporters. "So the onset was very rapid, very sudden. And that's clearly the big difference (between enterovirus D68 and other enterovirus strains)."

Authorities are testing one other child who attended preschool at Eli's school, Yardville Elementary, albeit in a different class, for enterovirus D68. That boy has been treated at  Robert Wood Johnson University Hospital and is now recovering at home, according to Plunkett.

There are no other suspected cases in the town of 90,000 residents. Nor is there any sign of pervasive sickness at Yardville Elementary or other town schools, with attendance levels around normal.

This speaks to the deadliness, the randomness and, in a sense, the pervasiveness of enterovirus D68.

Hamilton Township Mayor Kelly Yaede pointed out that his parents "nor anyone will ever be able to determine where Eli may have contracted this virus."

"The virus is out in the community, there is nothing we can do about that," the health officer said. "The way to prevent it is from your own personal hygiene and be vigilant with your own children and yourself."

Officials did not disclose Eli's last name during a Saturday press briefing.

More enterovirus cases are likely

Just last week, the U.S. Centers for Disease Control and Prevention or state public health laboratories had confirmed 277 cases of enterovirus D68. That figure has skyrocketed in recent days, to 538 confirmed cases in 43 states and the District of Columbia as of Friday.

And there's no reason to think it won't get even worse.

As the CDC points out, "Enteroviruses commonly circulate in summer and fall. We're currently in middle of the enterovirus season."

Not including Eli's cases, tests showed enterovirus D68 in four people who had died. The CDC, though, reported then that "the role that EV-D68 infection played in these deaths is unclear at this time."

Mercer County's medical examiner, Dr. Raafat Ahmad, was unequivocal about it's part in Eli's death.

"The child had some brain swelling, it had some lymph node swelling," Plunkett said. "But Ahmad attributed that to the virus as the cause of death."

Enterovirus is very common, with the CDC estimating 10 million to 15 million infections each year in the United States.

But it has about 100 strains, with D68 among the most dangerous.

Authorities say this strain has sent more children than usual to the hospital with severe respiratory illnesses. It seems to be most affecting children with a history of asthma or breathing problems.

Enterovirus may also be linked to a small number of cases of a mysterious neurologic illness in Colorado, Boston and Michigan.

Doctors in Colorado spotted it first -- a group of 10 children hospitalized with limb weakness, cranial nerve dysfunction and abnormalities in their spinal gray matter

Staff at Boston Children's Hospital have since identified four patients with the same symptoms. And a child in Washtenaw County, Michigan, has also developed partial paralysis in the lower limbs after being hospitalized with the virus, according to the Michigan Department of Community Health.

As Plunkett, the Hamilton Township health officer, explained: "The D68 strain is a very virulent strain of entire that would attack young children, preschoolers, toddlers who have for the most part compromised immune systems. It has a certain target in our population."

Hygiene education, cleaning ramped up in schools

It's not clear, though, whether Eli should have been any more susceptible than anyone else, beyond his age. That and the suddenness of his death makes it especially difficult to fathom or fully understand.

People in Hamilton Township, at least, are doing something about it.

While officials say they're being careful not to overly alarm students, they are stressing things like hand washing, sneezing into your sleeves, staying home if you're sick and the like to students, teachers and parents to try to prevent the spread of enterovirus D68 and other viruses.

Superintendent Jim Parla also said "we have ramped up cleaning in all of our schools," devoting extra staff and hours to "do cleaning that goes above and beyond what we normally do."

Then there's the matter of taking care of Eli's family, namely his parents -- both educators -- and two young sisters.

Yardville Elementary Principal Elena Manning said that blue-and-yellow bows, her school's colors, are being put up around the community in Eli's honor. The late boy's preschool teacher and an assistant bought a girlish bedroom set and rug to decorate his sisters' room at home. And the school will soon have a "Proud of Me" wall to display students' work, because Eli would regularly "ask Daddy if Daddy was proud of him," according to Manning.

Eli's parents are working with school officials on other things. But their focus now is more on grieving, taking care of their daughters and sending a message to the community.

According to Principal Manning, "They are most concerned about giving thanks, which is incredible."

@highlight

Official: A preschooler went to bed "asymptomatic," was dead the next morning

@highlight

A medical examiner now says the boy died suddenly from enterovirus D68

@highlight

There's no way of telling how the boy contracted the virus, official says

@highlight

CDC confirms 538 people in 43 states have respiratory illnesses caused by enterovirus D68