(CNN) -- They are the world's cultural capitals, the nerve centers of innovation and the engine rooms of economic growth, but could cities also hold the key to cutting  carbon emissions long-term?

A 2010 study from the World Bank found that the 50 largest cities and urban areas on the planet are now home to roughly 500 million people and spew out some 2.6 billion tons of greenhouse gasses every year.

As urban migration continues apace, these figures are only expected to rise in the short term. While this may initially lead to more pollutants being pumped into the earth's atmosphere, some experts believe it could work out better in the long term. They say that the ecological efficiencies cities can offer, aligned with their financial and political influence, could lead to the development of more effective ways to curb carbon emissions.

As the world's leading environmental figures gather in Durban, South Africa for the 2011 United Nations Conference on Climate Change (COP17), CNN asked two urban climate change experts to explain the complex role of cities.

Dr Stephen Hammer is co-director of the Urban Climate Change Research Network, a consortium of academics and institutions dedicated to the analysis of climate change mitigation, and an adviser to New York City's Energy Policy Taskforce.

Mike Hodson meanwhile is a senior research fellow at the Centre for Sustainable Urban and Regional Futures at the University of Salford and co-author of the book, World Cities and Climate Change.

How much do cities contribute to climate change?

Stephen Hammer (SH): Cities are the where the majority of global energy use occurs, by far.

The irony is, however, that the dense nature of cities can actually reduce the level of carbon emissions by introducing different kinds of efficiencies. The sheer number of people, however, just means that you just end up with a large volume of energy use and emissions.

Mike Hodson (MH): Cities are increasingly being characterized as significant producers of climate change.

Just over half the world's population lives in cities, around three-quarters of global energy consumption is linked to cities and around four-fifths of global greenhouse gas emissions are linked to cities.

In what ways can cities help to address the issue of climate change?

SH: Cities are often the laboratories for central government policies. Central governments don't often create these things on their own. They're looking at what others have done including sub-national governments and saying "well if it worked there, we can make it work nationally."

Therefore, in the absence of national-level action, it is possible for cities to take very concrete steps to influence overall emission levels.

MH: The biggest cities are pretty powerful in terms of positions within their national economies.

They've got pretty well-developed government structures; they've got mayors and related agencies. But not only have they got those sorts of resources -- and therefore the ability to lobby and influence central government -- they also encompass quite significant national resources, whether it's financial centers, centers of business and centers of media.

Given that they've got that range of expertise, knowledge, social networks and financial resources ... they can start to paint that picture that they are the places that can actively and effectively start to build (climate change) strategies and deliver on them.

Why is it in cities interest to act in a way that negates the impact of climate change?

SH: I think it's very safe to say that climate change threatens the long-term economic viability of many cities in addition to creating public health risks.

Hurricane Katrina in New Orleans is a great example of that ... although not an event that was necessarily caused by climate change. The city suffered hugely in terms of the economic impact of an extreme weather event ... and these types of events are assumed to become more commonplace as the climate changes.

MH: I think the flipside of this sort of argument about cities being producers of climate change is that they're also increasingly being seen as victims of climate change.

This is particularly the case with rising sea levels, coastal cities and riverside cities that are at risk from rising sea levels but also those susceptible to drought or urban heat islands.

What can cities do to negate or prepare for the impact of climate change?

SH: It becomes particularly important for cities, as they expand rapidly, to make the decisions today that will constrain emissions in the future.

So, again, going back to some of the first things I was talking about, the way the city is designed, having it so that it promotes density that that then supports public transportation ridership; designing the city in a way that makes it bicycle-friendly or eco-friendly or pedestrian friendly, so you're not always forcing people into automobiles.

You must make the right decisions right now and as the city expands going forward you must constantly revisit them to see how can we be changing the old city to be more efficient but also how it can maintain efficiency when we are designing the expanding city or the new city.

MH: One of the things that strikes me is that, whether it's global cities or more ordinary cities, to different degrees they have started to get their strategic act together by developing strategies, setting targets, setting timelines.

But as of yet, they've not managed to translate that into any sort of effective way. They've really got to get to the more practical elements of how to translate that into tangible actions and deliver on them.

@highlight

World Bank: Cities produce roughly 2.6 billion tons of carbon emissions each year

@highlight

Some scientists believe expanding cities could help curb carbon emissions in the long term

@highlight

Two urban climate change experts give their views on cities importance to curbing future emissions