(CNN) -- The U.S. Preventive Services Task Force, the group that told women in their 40s that they don't need mammograms, will recommend that men not get screened for prostate cancer, according to a source privy to the task force deliberations.

The task force is set to recommend a "D" rating for prostate specific antigen, or PSA, testing. Such a rating means "there is moderate or high certainty that the service has no net benefit or that the harms outweigh the benefits," according to the group's website. The task force is set to propose this recommendation Tuesday, and then allow for a comment period before issuing a final recommendation.

According to a draft copy of a report released Friday, a review of studies shows screening with the PSA blood test results in "small or no reduction" in prostate cancer deaths.

The report adds that PSA testing is "associated with harms related to subsequent evaluation and treatments."

The PSA test, which is sometimes accompanied by a digital rectal exam, can help determine if a man has prostate cancer. The problem is that many of the cancers that get detected are so small and slow-growing, they'll never be harmful, and doctors have a difficult time discerning the quick, harmful cancers from the slow, harmless ones.

Empowered Patient: What's a dude to do?

If you test 100 men over age 50, 17 of them will have prostate cancer, and only three of those will have a fast-growing cancer and die of the disease, according to Dr. Kenneth Lin, senior author of the paper.

If the 14 men with the slow-growing cancers are treated, they could be rendered impotent or incontinent from the treatment; or worse, the treatment could kill them. About one in 500 men who has a radical prostatectomy will die because of complications of the surgery, according to Lin.

Some prostate cancer patients were disappointed with the task force's decision.

A spokesman for the Prostate Cancer Foundation called the proposed recommendation "a tremendous mistake."

"You're talking to someone whose life was saved by [the PSA test]," Dan Zenka said.

But Lin says he believes testing does more harm than good.

"Maybe you should get tested if you have this horrible family history where everyone gets prostate cancer before the age of 50. But for most men, testing is harmful," he said.

Until last year, Lin worked with the Preventive Services Task Force as a medical officer for the Agency for Healthcare Research and Quality. He says the task force voted in 2009 to give PSA screening a "D" rating, but it didn't announce it because of the uproar over the mammogram recommendation.

"I was so frustrated with the political interference, and this was the final straw," said Lin, who left the group in November and is now an assistant professor of family medicine at Georgetown University Medical Center.

CNN's Jennifer Bixler and Aaron Cooper contributed to this report.

@highlight

NEW: Prostate Cancer Foundation spokesman calls recommendation a mistake

@highlight

NEW: But author of report says he believes testing does more harm than good

@highlight

U.S. Preventive Services Task Force to give prostate specific antigen testing a "D" rating

@highlight

It says tests bring "small or no reduction" in prostate cancer deaths