United Nations (CNN) -- The U.N. Security Council on Wednesday issued a statement condemning the Syrian government's crackdown on protesters and calling for an immediate end to violence by all parties.

"The Security Council condemns the widespread violations of human rights and the use of force against civilians by the Syrian authorities," the eight-paragraph statement says. It further calls for "all sides to act with utmost restraint, and to refrain from reprisals, including attacks against state institutions."

The statement says those responsible for the violence should be held accountable but offers no suggestion that foreign intervention is being considered.

"The Security Council reaffirms its strong commitment to the sovereignty, independence, and territorial integrity of Syria," it says. "It stresses that the only solution to the current crisis in Syria is through an inclusive and Syrian-led political process, with the aim of effectively addressing the legitimate aspirations and concerns of the population which will allow the full exercise of fundamental freedoms for its entire population, including that of expression and peaceful assembly."

Secretary-General Ban Ki-moon, who is to update the council on the situation in Syria within seven days, welcomed the statement. "The world has watched the deteriorating situation in Syria with the most profound concern, but the events of the past few days have been brutally shocking," he told reporters. "Once again, I call on President (Bashar al-) Assad and the Syrian authorities to immediately cease all violence against their people, to fully respect human rights and implement reforms that they have already announced."

He further urged Damascus to comply with the Security Council's demand that international humanitarian organizations be granted unimpeded access to affected areas. "Those responsible should be held to account," he said.

He praised the 15-nation Security Council for speaking out "with one voice and condemning all this violence and asking them to take necessary measures" after long discussions on the matter.

But Lebanon's ambassador, Caroline Ziade, said her country, which is Syria's neighbor, dissociated itself from the statement. However, Lebanon chose not to block the measure, as it could have done.

Resolutions usually carry with them some sort of action. Presidential statements are simply unanimous on-the-record positions.

Though a resolution would have been more significant than the presidential statement, U.S. diplomats said they were glad the United Nations had taken a stance.

U.S. Ambassador Susan Rice called the statement "long overdue." She added that she hoped Damascus will "be chastened by the strength and the unity of the condemnation." About Lebanon's reaction, she said, "The Lebanese allowed this council to speak with one voice. It was a unanimous statement by the Security Council and we don't view their statement after the fact as in any way undermining that unity."

The statement came on the third consecutive day of talks in New York to address the crisis, which a White House spokesman called "grotesque and appalling."

Conflict continued Wednesday in Syria, where residents of the western city of Hama said security forces were brazenly advancing into the heart of the city, a center of discontent and a bastion of anti-government protest, where violence has persisted for days.

The city, which has seen massive demonstrations by anti-government protesters in Friday demonstrations, was the site of the 1982 bloody crackdown by the Alawite-dominated government against a Muslim Brotherhood uprising.

Hama is under siege by security forces amid a military offensive, according to the London-based Syrian Observatory for Human Rights, and witnesses said communications have been shut off amid the military push.

"There is a big, ongoing military operation," said the observatory's Rami Abdul-Rahman. His group monitors the unrest in Syria through many contacts on the ground, and his sources report hearing explosions and seeing plumes of smoke. "There are great concerns of a massacre in the city."

"The human situation is very bad," said a witness from an opposition movement who said he was in the center of Hama and asked not to be named for security reasons.

Security forces killed four people after evening prayers on Wednesday, according to the observatory group. One death occurred in the southwestern town of Nawa, in Daraa province, one in the central city of Palmyra, and two in Damascus, the group said.

Wednesday's death toll could rise. Corpses were seen on the ground after tanks occupied parts of central Hama amid heavy shelling, said a resident who fled the city.

Dozens more people have been killed in Hama and other Syrian cities in recent days, rights groups have said.

Residents said the city is running short on food. Power and water are scarce and residents said they fear a humanitarian crisis. Across Hama, intermittent gunfire and shelling rang out, helicopters whirled overhead and government snipers took positions, making it difficult for people to venture out, residents said.

Security forces also have launched a series of raids and detentions in the Khaldiyeh neighborhood of Homs, another western city, and dozens of people have been detained in the area, the scene of marches by anti-government protesters.

In the coastal city of Latakia, a 9-year-old girl was killed by sniper fire as she was getting off a bus with her mother, the observatory said. Security forces had been dispersing a demonstration at the time. The girl's uncle was killed by security forces at the beginning of the crisis.

Syria's parliament plans to meet Sunday to discuss "issues related to the homeland and citizens' interests," the state-run Syrian Arab News Agency reported Wednesday.

CNN is unable to independently confirm death tolls or events in Syria, which has restricted access to the country by international journalists, including CNN's.

Since mid-March, anti-government protesters have taken to the streets across the whole country to demand reforms from or an end to the al-Assad's regime.

The death toll in Syria since its uprising began in mid-March has reached 2,003, the observatory's Abdul-Rahman said. The dead include 1,629 civilians and 374 Syrian security forces.

The figure doesn't include tolls from the Wednesday unrest in the city of Hama, where it is difficult confirming information because of the ongoing military offensive there.

Activists blame the deaths of demonstrators on security forces, but the government has consistently attributed the violence to "armed groups."

The violence has outraged world powers.

Italy urged other European Union nations to follow its lead after recalling its ambassador in Damascus in light of the "horrible repression of the civilian population," the country's foreign ministry said Tuesday.

White House spokesman Jay Carney said al-Assad is "completely incapable of dealing with" meeting the aspirations of his people and the administration views him as "the cause of instability" and what he termed the "grotesque and appalling" situation in Syria.

Secretary of State Hillary Clinton said the United States is "exploring broader sanctions that will isolate the Assad regime politically and deny it revenue with which to sustain its brutality."

Three U.S. senators plan to introduce legislation that would set down sanctions targeting Syria's energy sector. Sens. Kirsten Gillibrand, D-New York, Mark Kirk, R-Illinois, and Joe Lieberman, an independent from Connecticut who caucuses with the Democrats, say they plan to introduce the Syria Sanctions Act of 2011 this week.

"Under this bill, the president would be called on to block access to the U.S. financial system, markets, and federal contracts for companies that invest in Syria's energy sector, purchase the country's oil, and sell gasoline to Syria," the lawmakers said in a news release.

CNN's Richard Roth, Amir Ahmed, Yasmin Amer, Arwa Damon, Nada Husseini, Elise Labott and Joe Vaccarello contributed to this report.

@highlight

Four deaths are reported Wednesday in Syria

@highlight

"The Security Council condemns the widespread violations of human rights"

@highlight

More than 2,000 people have died, an activist group says

@highlight

A White House spokesman calls the situation "grotesque"