(CNN) -- Wouldn't moving objects with your mind be fun? But the implications go deeper: For the millions of Americans who live with paralysis, mentally controlling artificial limbs and mobility devices would be a big step forward toward more independent living.

Melody Moore Jackson, director of the BrainLab at the Georgia Institute of Technology, is trying to make that happen.

Jackson started this lab in 1998 to look at methods of brain control that didn't involve surgery. At that time, she estimates, there were about five labs working on the same topic of brain-computer interfaces. Now there are about 300.

The BrainLab was one of the first to demonstrate that a person can control a robotic arm and a wheelchair with brain signals, Jackson said.

"We can literally influence the wiring of the brain, rewiring the brain, so to speak, to allow them to make new neural connections, and hopefully to restore movement to a paralyzed arm," Jackson said.

About 6 million Americans live with paralysis, according to the Christopher & Dana Reeve Foundation.

A smaller subset in need of such technologies consists of patients with locked-in syndrome, a rare neurological disorder. These patients feel, think, and understand language, but cannot move or speak -- they are "prisoners in their own bodies," Jackson explained.

A famous example is Jean-Dominique Bauby, who became locked-in after a stroke, and wrote the memoir "The Diving Bell and the Butterfly" by blinking to indicate individual letters. Jackson wants to open up possibilities for people with locked-in syndrome to communicate and move.

There has been a lot of activity in brain-computer interfaces to help such people.

Another pioneering research group in this area is the laboratory of Miguel Nicolelis at Duke University Center for Neuroengineering. Nicolelis and colleagues have shown that a rhesus monkey in North Carolina could, using only its brain, control the walking patterns of a robot in Japan. In 2011, they got a monkey to move a virtual arm and feel sensations from it.

This team is leading the Walk Again Project, an international consortium of research centers dedicated to creating brain-computer interfaces to restore movement.

One technique that Jackson and colleagues use to harness brain signals is called functional near-infrared spectroscopy. This involves shining a light into the brain to discern how much activity is there, and examining the corresponding oxygen level.

Light at a specific wavelength is beamed into the brain, and the oxygen present will absorb some of that light. This allows scientists to pick up on small differences in the blood's oxygenation.

For example, scientists can place a sensor over the Brocca's area, a part of the brain essential for language. This area is activated when you talk to yourself inside your head or count silently, which is called subvocal speech.

Scientists can use the oxygen levels associated with this to create a system of allowing a person to say "yes" and "no" just by thinking; "no" corresponds to no subvocal speech or nonsense syllables.

The original hardware for a device that utilizes this technique was developed by Hitachi, and it allows a person with locked-in syndrome to say "yes" or "no," Jackson said.

But Jackson wanted to make something more interesting to learn. Her group created a hot-air balloon video game, where the balloon reflects the blood oxygenation level. Multiple locked-in syndrome patients can compete with each other in this game.

"It's not necessarily just for fun," Jackson said. "We can actually say, 'Well, they got 70% of the obstacles correct, they were able to jump over the mountains or get through the wind.' And so it also allows us to collect data."

In the stroke rehabilitation arena, Jackson's group hopes to restore movement in people who have paralysis or partial paralysis in a limb.

Researchers are looking at a rehabilitation robot called an exoskeleton, a device that a person sits in to be able to move limbs that they wouldn't otherwise. The robot can detect the brain signal corresponding to a person thinking about moving an arm, and then move the arm.

"What we're trying to do is make new neural connections from the brain to the arm," Jackson said.

The lab has also developed a wheelchair that a person can drive by using brain signals, rather than moving a joystick or pressing buttons.

Such brain-computer interfaces require that the user wear an EEG cap to measure brain signals, but setting one up is very complicated. Jackson hopes to make it accessible for anyone to use in their own home.

"You can imagine how much faster the therapy would go if you were doing it all the time," she said.

@highlight

Melody Moore Jackson is the director of Georgia Tech's BrainLab

@highlight

About 6 million Americans live with paralysis

@highlight

Moving limbs and wheelchairs with the brain could help many people with limited mobility