Beijing, China (CNN) -- After much speculation, it is now official: The Communist Party of China (CPC) will convene its 18th Party Congress in Beijing during the "latter half of this year," a party official announced this week without giving specific dates.

The political conclave, held every five years, will shape China's future. It will also formalize the accession of a new generation of leaders.

China has seen dramatic socio-economic transformation in recent years, but its political system remains opaque and antiquated. The Leninist, top-down system still does not allow direct, open elections.

Instead, selections are made by a coterie of communist party cadres after drawn-out negotiations and horse-trading behind closed doors.

A total of 2,270 delegates have been elected from across the country to represent the CPC's 82 million members.

Who are these delegates?

About 30% are from grassroots, says Wang Jingqing, vice minister of the party's organization department. Most are national, provincial and city officials.

Ni Yulan and the agonies of Chinese justice

Their average age is 52. Only 5 % are under 35.

Some 23% of them are female, and 11% are ethnic minorities.

Although the CPC claims to represent the working class, only 169 (less than 8%) of the total delegates are workers.

Theoretically, the delegates play an important role.

At the end of the party congress, they will elect a new Central Committee. This time, Wang says, there will be more candidates than posts -- unlike in the past when the numbers of candidates were exactly the same as the open slots.

About 300-member strong, the policy-making body is a motley group of provincial and city leaders, technocrats, military officers and party functionaries, plus token representatives from other sectors.

The Central Committee will then elect a new Politburo, the inner council currently comprising 25 members. The Politburo in turn will elect a new standing committee, the elite cabal empowered to make important decisions on policies.

The committee currently has nine seats, led by Chinese President and General Secretary Hu Jintao. Hu, 69, is expected to step down later this year. Media reports say the party plans to cut the seats down to seven, but Wang says there is no decision on the matter.

In practice, the selection of politicians into the Central Committee and the Politburo are determined even before the Party Congress.

"The wheeling and dealing has long begun," says a Beijing-based political analyst, who asked not to be named. "We are now in the endgame."

Bo Xilai and the politics of Chinese succession

But the race to China's pinnacle of power remains opaque.

"In the U.S. you have wall-to-wall coverage of what candidates say and do and how people voted," says the analyst. "Here it's all neibu (for internal consumption), without open campaigning."

Personnel decisions are negotiated and finalized by party insiders behind the walls of Zhongnanhai, the CPC's official headquarters in Beijing.

When the Party Congress convenes, it will be largely a formality. Still, which new leaders will emerge in key positions remains a subject of speculation. For now the front-runner to succeed Hu as party boss and president is Xi Jinping.

Xi, 59, became Vice President in 2008 and was later appointed a vice-chair of the CPC's Central Military Commission -- important steps in succession.

He earlier served as party chief of the prosperous provinces of Fujian and Zhejiang and Shanghai, China's financial center.

Xi is a "princeling," a descendant of revolutionary veterans. His late father Xi Zhongxun, a contemporary of Deng Xiaoping, had served as governor of Guangdong province.

The other top contender is Li Keqiang, 57, a protege of Hu and the presumptive successor to Wen Jiabao when he steps down from premiership in March next year.

Li is already ranked 7th in the Politburo and, as executive vice premier, holds important portfolios, including economic development, finance, climate change and health care reform. Like Hu, Li is a native of Anhui province and honed his organizational skills when he headed the 73 million-strong Communist Youth League, a training ground for the party's young cadres.

Why Chinese succession matters

Many of upcoming leaders used to work at CYL, which is why analysts speak if a "tuanpai," or CYL faction.

Other rising politicians include:

Li Yuanchao, 61, the minister of the CPC's Organization Department, the equivalent of the H.R. department, and more. With this portfolio, Li holds all the personnel dossiers and wields considerable power in appointing party and government officials nationwide.

Wang Qishan, 64, the former Beijing mayor who currently serves as the Vice-Premier in charge of economic, energy and financial affairs. Like Li, Wang is already a member of the Politburo.

Analysts expect both to get promoted into the Standing Committee.

A few Gen-Y leaders may be lined up for meteoric rise.

Among them is Hu Chunhua, 49, the party chief of Inner Mongolia Autonomous Region. No relation to the Chinese president, he is nonetheless another protÃ©gÃ© and also served as head of the CYL and is known as "Little Hu."

Influence may not be confined to delegates.

Jiang Zemin, the retired party chief and state president, was last year rumored to have died, or was dying, but a source says he is now in fairly good health. "He swims 600 meters everyday and gets daily tutorials in foreign languages, economics and other topics," says the source. He turns 88 next week.

Although Jiang has been out of the public eye since retiring 10 years ago, he is believed to still wield residual influence in policy and personnel issues.

The other influential politician is Bo Xilai, the former Party chief of Chongqing who was dismissed last April for "serious breach of Party regulations." Bo's wife Gu Kailai, accused of premeditated murder of a British businessman, is now awaiting a court verdict.

The party has yet to formally decide on Bo's fate, but the signals are clear.

Bo is not among the 2,270 party members elected as Party Congress delegates.

That, analysts say, spells the end of his career.

@highlight

China's political system does not allow direct, open elections

@highlight

A total of 2,270 delegates elected to represent CPC's 82 million members

@highlight

Front-runner to succeed Hu as party boss and Chinese president is Xi Jinping

@highlight

Personnel decisions are negotiated, finalized by party insiders