(CNN)  -- With only 71,000 private sector jobs created in July, the latest employment report tells the story of a slow and agonizing recovery. But if you look beneath the surface of recent government data, you can see the developing outline of the next powerful expansion.

The leader? The broad digital communications sector -- everything from telecom infrastructure to content providers to applications developers. Communications is one of the few areas where people are consuming more since the recession started, and key communications industries have continued to add jobs despite the downturn.

All of which suggests that Washington policymakers should do everything they can to hitch a ride on the communications sector and find ways to stoke the jobs and spending engine a little bit. But proposals to regulate internet activity now before the Federal Communications Commission would do the opposite.

What's needed from regulators now is some creativity and humility --  in the form of "countercyclical regulatory policy." This gives innovators a bit of breathing space at the start of an economic recovery, but sets the stage to tighten regulations later on if excesses develop.

This approach does not mean regulators can go to sleep nor does it mean they can raise the flag of laissez-faire. What's needed is the nuanced judgment of sentries posted at a tense border spot. With watchful eyes, regulators must practice thoughtful restraint that allows space for job leaders to innovate and hire, while remaining ready to aggressively confront violations of law or abuses of consumer rights if they take place.

The communications sector is one of the few bright lights in an otherwise dismal economic picture. Facebook just reported its 500 millionth member; Droids are flying out of stores; and the iPad is the latest "must have" in technology. To enjoy the new toys, Americans are paying for more powerful mobile connections, too.

The powerful pull of the new technology shows up in statistics from the Bureau of Economic Analysis and the Bureau of Labor Statistics. Since the recession began in the fourth quarter of 2007, real personal consumption has dropped in big categories of spending, such as motor vehicles, furniture, clothing, eating out and recreation services. There are only two major exceptions to this pattern of big cutbacks. For one, real consumption has risen in some health, education and social services -- all areas that receive a lot of government funding.

But operating without big government subsidies, the communications sector has shown equally impressive gains. Real consumption of cell phone services, adjusted for price changes, is up 12.6 percent since the end of 2007. Purchases of internet service, adjusted for price changes, have risen by 5.1 percent, and personal purchases of telephone equipment, adjusted for price changes, are up more than 25 percent.

At the same time, key communications-related industries have managed to keep adding jobs. Jobs at internet publishing and broadcasting and web search portals -- think Google and Yahoo -- are up 16 percent since the recession started in December 2007. Employment in the "custom computer programming" industry -- think website and apps development -- took a hit in the first half of 2009, but since then has bounced back strong. The same is true for jobs in wireless telecom, which bottomed out in July 2009 and have been on a slow upward trend since then.

This strength signals that the broad communications sector can help drive recovery, because businesses that hire during a recession usually carry that strength into the subsequent upswing. If history is any guide, these job leaders may grow at least twice as fast as the rest of the economy during the next expansion.

That brings us to regulators and government policy. Policymakers should follow the principle of "do no harm" when dealing with communications, one of the few sectors showing vibrant growth. That means the FCC should avoid the temptation to add rules, even with good intentions.

In particular, the FCC is considering bringing broadband under the same common carrier rules that govern older phone networks. This tightening of the regulatory regime would be part of a move toward net neutrality, a policy that would impose rules on broadband providers and govern the services and products they could offer.

The debate over net neutrality is heated, and there are strong arguments on both sides. But whether or not you think that such a move is a good idea, such regulations are unlikely to boost investment or employment in the telecom industry, at a time when we need all the capital spending and jobs that we can get.

For that reason, I suggest a two-year pause in new broadband regulation, keeping the current balance among the different players, which seems to be generating growth. At the same time, the knowledge that the regulator remains on duty, ready to intervene, would provide an essential check.

Such a countercyclical approach requires regulatory discipline and wisdom. Yes, we know from recent experience that regulators can be too lax. But there's an important difference between deliberate restraint by a regulator who remains alert for the right moment to step back in and a regulator who has gone to sleep. For now, getting more Americans working is more important than imposing too much regulation on growing sectors. Let's help the job leaders soar.

The opinions in this commentary are solely those of Michael Mandel.

@highlight

Michael Mandel: Even in recession, people spending more on digital communications

@highlight

Policy should stoke jobs and spending engine of communications, Mandel writes

@highlight

He says FCC regulations under consideration could slow growth

@highlight

Need regulatory policy that allows growth but could clamp down if needed, he says