(CNN)There may be plenty of idiots on the road, but is putting them in the skies taking it, quite literally, to the next dimension?

For Dr. Heinrich H. Bülthoff -- one of the leading researchers on the 'MyCopter' project -- it's a serious question.

Making an idiot-proof flying car that anyone can pilot has involved years of painstaking research and may be the secret to the long-held dream of firing up the rotors, levitating and simply flying out of the bumper-to-bumper grind.

Now the European Union wants to make the dream a reality, researching the feasibility of small commuter air vehicles to ease the world's traffic congestion.

"It's been a dream of mine since I read it in science fiction books and in the movies as a kid, but science fiction is becoming the reality these days," says Dr. Bülthoff,  director of perception, cognition and action at the Max Planck Institute in Tübingen, Germany.

Under the four-year project, the EU has drawn together six institutes from across Europe to look at the problems associated with commuting in personal aviation vehicles (PAVs). At the center of the research is a focus, not so much on building the vehicle, but on all the issues and challenges surrounding commuter aviation.

In the case of his institute, it's how to make the machine accessible to ordinary drivers.

A flying car for everybody

"There's no intention with this project to actually build the system," explains Dr.Bülthoff whose research is part of a 2007 EU report called "Out of the Box: Ideas About the Future of Air Transport". "They said to us 'please, not another proposal for a flying vehicle' - we have received so many - there are so many other issues to address," he said.

These challenges involve setting up "virtual corridor" traffic systems in the sky that guide PAVs under existing aircraft, using advances in swarm technology to stop them crashing into each other and working on landing systems that do not involve air traffic controllers.

"If you want to make a flying car it should be for everybody, but you can't make every car driver into a pilot," he said. "The idea is to fly in uncontrolled airspace without interfering with all the other aircraft."

He said the plan is to make the flying vehicles so intelligent, they communicate with each other and avoid collisions without any human input.

Keeping it simple

His institute, in particular, is focused on the problems of the human-machine interface: creating a design that reduces the withering array of dials and monitors in a helicopter or plane into a few simple controls on a dashboard.

Keeping the simple steering wheel on a flying vehicle -- where controls must make adjustments for traveling through three rather than two dimensions -- has been just one of the challenges of the project.

"For more than 100 years cars have used the steering wheel. It was a good idea for cars, but if you make the transition to the air why should a driver learn something completely new?" he said.

Pilotless planes

The aircraft would be largely autonomous and would, for the most part, need no piloting at all. Flying through "highways in the sky" - flight paths designed to host swarms of PAVs flying in formation - the PAVs would avoid obstacles and select landing spots autonomously by using intelligent sight sensors.

The controls would be shared between the pilot and the machine allowing for what researchers call "comprehensive situational awareness." So-called "haptic" controls that put a feeling of resistance in the steering wheel would allow drivers to know when they were edging towards the confines of the "highway in the sky".

Other aspects of the study have looked at the social impact of PAVs as the commuter vehicle of the future.

"Many people might ask whether we really want thousands of these things buzzing around in the sky," Dr Bülthoff said.

Researchers have been looking at ways of constructing PAV flight paths above existing freeways and roads to minimize the environmental impact, keeping the flight ceiling at 50 meters to avoid commercial aircraft.

While flying time is relatively short due to the constraints of battery life using current technology, researchers on the project had found that 90 percent of commuter trips were shorter than 25 km (15 miles) and averaged about 30 minutes with peak hour delays of about 15 minutes, making a PAV perfect for short hop journeys from work to home.

Google holds open the door

Dr Bülthoff said recent advances, and social acceptance of, Google's driverless car had given real hope to researchers on the project.

"That really makes me very optimistic," he said. "The car industry has been producing the same basic model of automobile for more than 100 years. Google is doing something that is making the car industry wake up. I would never have expected that several states in the United States have legalized autonomous driving, for example."

"Even so, there are many issues still to be examined. Legally, for instance, if there's no driver we don't know who's responsible in case of a crash. These questions still need to be answered."

While the driverless car is now a reality, he says it might be some time yet before anyone can walk into a dealership and buy a personal aviation vehicle.

"The timescale is to have them available by 2050," says Dr Bülthoff. "But I am not likely to be around in 2050, so I'm quietly optimistic that we will have one before that."

Read more from Tomorrow Transformed:

Can this one-wheeled wonder change the way you commute to work?

Will people still be useful in the 21st century?

The "green man" in your traffic lights just got new super powers

@highlight

EU research project is looking at feasibility of small commuter air vehicles

@highlight

Called 'MyCopter', it aims to consider all the issues surrounding personal aviation vehicles

@highlight

Challenges include air traffic systems, crash avoidance technology and accessibility

@highlight

The project hopes to have a commuter air vehicle commercially available by 2050