(CNN) -- If you're standing in the rain at the bus stop tomorrow morning, trying to get to work, and if, in the downpour, you should notice that waiting patiently for the bus with you is Bill Gates. . . .

Or if you're in a long line at the convenience store, waiting to buy a lottery ticket in the hopes of striking it rich, and you see that the equally hopeful person in front of you in the Powerball line is Mr. Gates. . . .

Will you please ask him something?

Will you ask him about Winky Dink?

We'll get back to Mr. Gates in a moment. He is, as you probably know, one of the world's wealthiest and most influential men. As the co-founder and chairman of Microsoft, he has had vast influence on the way we live -- particularly in the way that screens, and our constant interaction with them, have taken over everything.

Which brings us to Winky Dink.

A strong case can be made -- and several authors, deep thinkers and historians over the years have made it -- that Winky Dink, more than any other single person (or single cartoon character, in Winky Dink's case), ushered in the era of interactivity.

In the early day of television, Americans sat transfixed as the first sets were delivered to homes. The brand-new experience was like having a constantly programmed movie screen in the family living room. The pleasure, the convenience-- all a person had to do was lean back and be entertained.

Or so it seemed.

But two men -- a pair of fledgling television producers whose names were Harry Prichett and Edwin Wyckoff -- had the foresight to realize that the screen did not necessarily have to be one-way.

And that there was money to be made by encouraging people to treat the screen as something with which they could interact.

Thus was born "Winky Dink and You" -- a primitive and rudimentary first step into what would eventually become the screen-obsessed world in which we live today: millions of people endlessly tapping away, sending and receiving messages, relentlessly responding to what glows in front of their eyes, regarding their screen as almost a person, a friend.

"Winky Dink and You," which aired Saturday mornings on CBS beginning in 1953, was hosted by Jack Barry and starred a sprightly, squeaky-voiced cartoon character named. . .well, you know what he was named. Winky Dink's adventures were not all that spectacular -- but it is what he asked the children watching the show to do that heralded a cultural change.

Winky Dink said he wanted the children to mail away for a "Magic Window," which was actually a cheaply produced, thin sheet of plastic that adhered to the TV screen by static electricity. "Send your name and address, along with 50 cents, to Winky Dink, Box 5, New York, 19, New York!" Those incessantly repeated words became one of the most familiar phrases in the land.

Along with the plastic sheet that arrived in the mail were "magic crayons." Children were encouraged to place the sheet on their TV screen and watch the show each Saturday, so that Winky Dink could tell them what to do. They might be instructed to draw a ladder on a certain part of the sheet, or a chimney, or a bridge. Then the action on the television screen would combine with what the children had drawn on the plastic sheet to create a narrative-in-motion.

It was a sensation, for a while. Children who didn't own the magic sheet or the magic crayons felt left out -- they could watch the show, but they weren't participating in the whole experience. Winky Dink guilted them into sending in the 50 cents so they weren't deprived of what every other kid on the block was doing.

The show's downfall derived from two things. According to author Billy Ingram, perhaps the world's leading Winky Dink authority, many children who didn't own the plastic sheets simply took crayons they had around the house and, on Winky Dink's cue, drew directly on the glass screens of their parents' expensive first-generation television sets. And if that didn't make the parents angry enough, there was the concern that the children, by sitting so close to the TV sets as they drew, could be exposing themselves to harmful radiation.

The original show went off the air in 1957, and although there were short-lived attempts to revive it, it is now just a distant memory. But Winky Dink's influence lives on in every screen that every person today regards as a two-way window.

Which brings us to Bill Gates. There is a line that occasionally pops up in Winky Dink-related literature. The line quotes Gates -- it has him crediting "Winky Dink and You" as "the first interactive TV show."

It certainly would make sense. Gates and his Windows are the logical extension of Winky Dink and his Magic Window. Winky Dink and Gates both saw the true back-and-forth possibilities of those screens. What Gates has accomplished is essentially Winky Dink writ large. Very large.

But, try as I might, I was unable to locate a reliable, rock-solid citation for that quote.

Was is it real -- had Gates ever actually uttered the words? Or was it merely some tall tale, repeated person-to-person by would-be believers?

I contacted the Microsoft corporate offices to ask if they could verify, for the sake of posterity, that Gates had, in fact, once sung the praises of Winky Dink. I had some false starts and hit some dead ends.

But then, paydirt.

I was able to get in touch with a man by the name of John Pinette, who once worked for Microsoft and who now is a spokesman for Gates himself. Pinette said he had a distinct recollection of having been present at the key moment:

"I remember the Winky Dink speech -- but don't remember when Bill gave it (or where -- or to whom). It was a brief example of 'here's an early example of interactive TV' before he went on to a bigger presentation of Microsoft's TV efforts.

"He had one of the plastic film sheets -- and the Winky Dink box, if I remember correctly."

So there it is. Gates was born in 1955, so it is unlikely that he remembers watching in first-run the original version of "Winky Dink and You." Perhaps he saw the subsequent attempts to bring the show back; perhaps, like so many young Americans of the time, he simply found himself awash in the echoes of Winky's legend.

Every creative genius is influenced by someone.

Plato was influenced by Socrates.

Beethoven was influenced by Mozart.

William Faulkner was influenced by Mark Twain.

In some future century, a new Mount Rushmore may be carved, to celebrate the figures of our own era who changed the course of the world as dramatically as any presidents or statesmen.

It will be only fitting and right if the three faces on the side of the mountain are those of Bill Gates, Steve Jobs and Winky Dink.

Not necessarily in that order.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: A popular 1950s TV show featured interactivity with a screen

@highlight

Children were invited to draw on a plastic sheet placed on the TV showing "Winky Dink and You"

@highlight

The show faded, not least because kids were drawing on the plastic sheet

@highlight

The question is, did Bill Gates actually call it the "first interactive TV show," or is that a wishful myth?