(CNN) -- The prospects for immigration reform just got a lot brighter. Eight leading senators, four Republicans and four Democrats, came together to announce on Monday their agreement on broad principles to modernize our immigration laws, which have been largely unchanged since 1965.

Since then, the world has changed dramatically and globalized markets have revolutionized our economy. But our antiquated immigration laws are still designed for an economy that existed when people were watching black and white TV.

As China offers generous stipends, access to prestigious incubators, honorary titles and other benefits to lure home the scientists and engineers who come to America to study, we turn these innovators away.

As Canada, the United Kingdom, Australia, Singapore and Chile offer visas and other incentives to attract entrepreneurs to their countries, we make it nearly impossible for most entrepreneurs to come here. And as countries like the United Kingdom experiment with using independent economists to help determine which immigrants their economy needs, we continue with an immigration system that not only ignores our economic health, but actively works to undermine it.

Opinion: Stars align at last for immigration plan

In South Korea, Spain and Switzerland, roughly 80% of all permanent visas are used for employment needs. Italy, Germany, and the United Kingdom allocate around 60% of all permanent visas this way. But in the United States, we give just 7% of our permanent residency "green cards" to fill gaps in our economy.

In the past, we could afford an immigration system that was not focused on recruiting top workers. With the American economy such a dominant force, these workers had no other choice but to wait and wait until they could get to America.

But in the global economy, talent is transient. A top scientist who cannot gain access to the United States can easily go work in a lab in Germany, India or any other of America's direct competitors. Canadian immigration authorities recruit scientists with just this pitch, promising far easier entry and access to permanent residency then they could gain in the United States.

The economics are simple. If we attract and retain the world's top talent, our economy will grow faster. A recent study by the conservative American Enterprise Institute and the bipartisan Partnership for a New American Economy found that, from 2000 to 2007, each foreign-born worker with an advanced degree from a U.S. university who stayed in the country to work in science, technology, engineering and math -- the STEM fields -- created, on average, 2.62 additional jobs for American workers. Their innovations power new technologies, new products and new companies.

And the reverse is equally true. If we fail to attract and retain the world's top talent, our economy will falter. By 2018, the United States is projected to have a shortage of more than 230,000 advanced degree STEM workers. Jobs in these fields are exploding, growing three times faster than the rest of the economy over the last decade, but we simply cannot fill them, even in a recession with so many people looking for work.

The same is true in industries all over the economic spectrum. Harsh immigration laws that discourage migrant farm workers have led to millions of dollars of crops rotting on the vine. Overly bureaucratic and restrictive visa application processes have forced hotels to run at less than peak capacity even when demand is high because they can't get workers to staff them.

Opinion: Key to immigration reform -- Worker visas

In an iPad and smartphone world, we need an iPad and smartphone immigration system. We need a system that recognizes that it is not only possible, but even probable, that a business would have its manufacturing in China, its headquarters in Europe, its back office in India and its sales offices all over the globe.

We need a system that makes it easy for entrepreneurs, scientists, farm workers, engineers, hotel workers, business travelers and all the workers our economy needs to easily come here and help our companies compete. And we need a system that is flexible to changing economic demands, attracting workers when and where they are needed and easing immigration when demand for workers slows.

New York City Mayor Michael Bloomberg and the 500 business leaders and mayors who make up the Partnership for a New American Economy have been making the economic case for immigration reform for the last several years. Republicans and Democrats are once again, for the first time in years, having honest discussions on how to overhaul the system.

Reforming our immigration laws is not just good economics, it's also good politics. This was made evident on Monday when leading Republicans and Democrats in the Senate came together behind principles that, in their words, would improve our immigration system so that it "will help build the American economy" and "establish an improved process for admitting future workers to serve our nation's workforce needs." Recruiting the talent we need to compete and succeed in a global marketplace is an idea that crosses party lines.

Opinion: Immigrant -- Can we trust Obama?

America became the world's most dynamic and powerful economy by opening our doors to all those seeking freedom and opportunity. If we are to retain that position in the 21st century, we must open our doors not only to family members and asylum seekers, but to more of the talented and hard-working people our economy needs to grow.

This is a moment of progress. Leading members of both parties in Congress understand the need for action and are standing together with an agenda for reform. Let's capitalize on it and get the modern immigration system our economy deserves.

Join us on Facebook/CNNOpinion.

The opinions in this commentary are solely those of John Feinblatt.

@highlight

John Feinblatt: U.S. immigration system hasn't been updated since black and white TV

@highlight

Feinblatt: Today our economy is competing on a global scale for the best and brightest

@highlight

He says other nations offer incentives; we make it hard for workers to get in

@highlight

U.S. can't fill STEM jobs, he says. We need to lure workers and entrepreneurs