(CNN) -- From a remote valley in Northern California, Jill Tarter is listening to the universe.

Jill Tarter at the Allen Telescope Array in California, which monitors radio signals for signs of alien life.

Her ears are 42 large and sophisticated radio telescopes, spread across several acres, that scan the cosmos for signals of extraterrestrial origin. If intelligent life forms do exist on other planets, and they try to contact us, Tarter will be among the first to know.

Are we citizens of Earth alone in the universe? It's a question that has long fascinated astronomers, sci-fi authors, kids with backyard telescopes and Hollywood executives who churn out spectacles about alien encounters. Polls have found that most Americans believe that some form of life exists beyond our planet.

"It's a fundamental question," said Tarter, the real-life inspiration for Jodie Foster's character in the 1997 movie "Contact."  "And it's a question that the person on the street can understand. It's not like a ... super-collider or some search for neutrinos buried in the ice. It's, 'Are we alone? How might we find out? What does that tell us about ourselves and our place in the universe?'

"We're trying to figure out how the universe began, how galaxies and large-scale structures formed, and where did the origins of life as we know it take place?" Tarter said.

"These are all valid questions to ask of the universe. And an equally valid question is whether the same thing that happened here [on Earth] has happened elsewhere."  Watch a preview of CNN's "In Search of Aliens" series »

Thanks to advancements in technology, scientists hope to get an answer sooner rather than later. Rovers have snapped photographs of the surface of Mars that show fossil-like shapes. NASA hopes to launch within a decade a Terrestrial Planet Finder, an orbiting observatory that would detect planets around nearby stars and determine whether they could support life.

Such developments are catnip to scientists like Geoffrey Marcy, a professor of astronomy at the University of California-Berkeley who has discovered more extrasolar planets than anyone else.

"It wasn't more than 13 years ago that we hadn't found any planets around the stars, and most people thought that we never would. So here we are not only having found planets, we are looking for habitable planets, signs of biology on those planets," Marcy told CNN. "It's an extraordinary explosion of a field of science that didn't even exist just a few years ago."

Then there's Tarter, whose quest for signs of extraterrestrial life kept her on the fringes of mainstream science for decades. While pursuing her doctorate at UC-Berkeley, Tarter came across an engineering report that floated the idea of using radio telescopes to listen for broadcasts by alien beings.

It became her life's work. In 1984 Tarter founded the Search for Extraterrestrial Intelligence Institute (SETI) in California. Using telescopes in Australia, West Virginia and Puerto Rico, she conducted a decade-long scouring of about 750 nearby star systems for extraterrestrial radio signals.

None was found, although Tarter had some false alarms. In 1998, she intercepted a mysterious signal that lasted for hours. Tarter got so excited she misread her own computer results: The signal was coming from a NASA observatory spacecraft orbiting the sun.

Today, Tarter listens to the heavens with the Allen Telescope Array, a collection of 20-foot-wide telescopes some 300 miles north of San Francisco. The dish-like scopes are a joint effort of SETI and UC-Berkeley's Radio Astronomy Lab and have been funded largely by Microsoft co-founder Paul Allen, who donated more than $25 million to the project.

Unlike previously existing radio telescopes, which scan the sky for limited periods of time, the Allen Telescope Array probes the universe round the clock.

Each of the 42 scopes is aimed at a different area of the sky, collecting reams of data that are continually studied by computers for unusual patterns. Then the listeners must filter out noise from airplanes and satellites.

"We're listening for something that we don't think can be produced by Mother Nature," Tarter said.  "We're using the radio frequency, other people are using optical telescopes ... and in both cases we're looking for an artificial nature to a signal.

"In the case of radio, we're looking for a lot of power being squished into just one channel on the radio dial. In the optical, they're looking for very bright flashes that last a nanosecond ... or less, not slow pulsing kinds of things. To date we've never found a natural source that can do that."

Signals that any extraterrestrials might be transmitting for their own use would be difficult to detect, Tarter said. Astronomers are more likely to discover a radio transmission broadcast intentionally at the Earth, she said.

Astronomers at SETI, however, are not sending a signal into space in an attempt to communicate with aliens.

University of California professor Marcy is skeptical about the existence of intelligent alien life and believes our galaxy's vast distances would make communication between Earth and beings on other planets almost impossible.

"The nearest neighbor might be halfway across our galaxy, 50,000 light-years away. Communicating with them will take a hundred thousand years for a round-trip signal," he said.

Still, Tarter remains undaunted. The Allen Telescope Array already does in 10 minutes what once took her scientists 10 days. When the project is completed, it will have 350 telescopes that, combined, can survey tens of thousands of star systems.

"We can look in more places and more frequencies faster than we ever could. And that will just get better with time. We're doing something now we couldn't do when we started, we couldn't do five years ago," she said.

"Think of it as a cosmic haystack. There's a needle in there somewhere. If you pull out a few straws, are you going to get disappointed because you haven't found the needle yet? No. We haven't really begun to explore."

CNN correspondent Miles O'Brien contributed to this story.

@highlight

Scientists use radio telescopes to monitor the heavens for signals of alien life

@highlight

Among them is Jill Tarter, inspiration for Jodie Foster's character in "Contact"

@highlight

Tarter listens to the cosmos from a massive telescope array in Northern California

@highlight

Other experts believe our galaxy's vast distances make contact almost impossible