(CNN) -- If you're among the companies vying for one of the nearly 2,000 new generic top-level domains, or gTLDs, you've got big pockets. The application alone costs about $185,000.

But if you're just an average Joe building your own website or blog, there are much cheaper options out there. One of the most popular is .tk. It's a country code top-level domain, similar to .ca for Canada or .fr for France. But .tk stands for a country you've probably never heard of. It's called Tokelau.

Places don''t get much more remote than Tokelau. It would make a great backdrop for a desert-island television series. The only problem would be getting the crew there. What appears on a map as three tiny pinpoints in the midst of the Pacific Ocean are the country's tiny atolls, bringing the total size of Tokelau to a whopping 4 square miles.

If you want to get there, you will start in Los Angeles and fly to Hawaii. From Hawaii, you'll fly to American Samoa. From American Samoa, you'll take a small plane to Samoa, where you might wait two weeks for a boat. The boat ride is 48 hours, and there's no cabin, so you'll sleep on the deck. The boat will get you close to Tokelau, but the sea is too rough and the coral too dangerous to approach, so you'll hop in a canoe and paddle to shore. Now, you're ready to start your island holiday.

Tokelau is home to only about 1,300 people. But a recent report (PDF) released by Verisign, the global registry operator for .com and .net, found that .tk is the third-most popular country code top-level domain (or ccTLD) behind only Germany (.de) and the United Kingdom (.uk).

It's all thanks to a man who literally lives on the other side of the planet from Tokelau: Joost Zuurbier of Amsterdam.

Around 2000, Zuurbier says, he and a friend looked at Hotmail as inspiration for a business model of their own. If Hotmail could make money providing free e-mail, couldn't money be made offering free domains?

"At that moment, there were no free domain names yet," Zuurbier said. "So we were shopping around for a registry that wanted to play along, and in the end, we founded .tk, which didn't exist at the time."

Zuurbier says it wasn't easy. The Tokelauans were not only unaware of their entitlement to their own country code domain, no one on the island had ever seen a webpage before.

"We had to explain to them what they had and what the Internet was in order to get things going," Zuurbier said.

There was also another small problem. ICANN, the group responsible for doling out ccTLDs, didn't believe that Tokelau really existed. Luckily for Zuurbier, an ICANN board member informed the rest of the group that he had installed the island's first shortwave radio equipment there in the late 1970s. So the two sides agreed to the deal.

After some handshakes in New Zealand, Zuurbier took the long, faithful journey to Tokelau with satellite equipment in tow. It took more than two weeks to get there, and he had to keep the equipment dry. Otherwise he risked having to repeat the long, expensive and exhausting journey.

After six years of hurdles and complicated setup, Freedom Registry launched its .tk domain in 2006. Now, more than 9 million websites have .tk domains, and Zuurbier says there's been a recent explosion of popularity, with about a million added each month.

"We have never seen such enormous growth," Zuurbier said. "The growth is coming especially from emerging economies like China, Brazil, Russia, Peru, Vietnam. These countries also have local ccTLD's like .pe or .vn or .cn, but these are very hard to register for the local communities there, so they go to .tk."

Freedom Registry makes money through ads on expired domains. Zuurbier says registration and renewal are free for users, but when they abandon the site or don't meet the minimum requirements of 25 unique visitors every 90 days, the domain gets "parked." That means the URL still exists, but the content is replaced with ads tailored to the original site.

"If your website was about your trip to Mexico, we have spiders that go through all of the live websites, and the moment the live website expires, we take the domain name back," Zuurbier said. "We then put ads on there that are relevant to the content that was there before. In this case, your trip to Mexico."

Freedom Registry gives a cut of the money it earns to the people of Tokelau. In fact, one-sixth of their economy comes from the sale of .tk domains. Tokelau, however, has the smallest GDP in the world: about $1.2 million a year.

Through Freedom Registry, Zuurbier didn't just bring hard cash to the people of Tokelau, he brought connectivity.

"They had four phone lines, and that was basically it," he said. "They had dial-up, but there was such a slow bandwidth, they could only use it for e-mails without any attachments. If there was any attachment, they had to actually make a call to New Zealand to remove the attachment, because otherwise, the e-mail wouldn't get through."

Besides the annual license fees, Freedom Registry provides Internet service to Tokelau with that satellite equipment Zuurbier brought with him. He says it costs about $2,000 a month for the same connection that would cost about $10 in the U.S.

"We brought them the connectivity, and now there are 120 computers on the island, mostly laptops, because the power goes off at 10 p.m.," he said.

Though it still may be almost impossible to find, Tokelau's profile has been raised, thanks to Freedom Registry.

And now with new investment in his company, Zuurbier hopes to do the same in Africa. He spoke from a train bound for Paris, where he was to meet with representatives of seven countries. Zuurbier won't say which ones, but he says that in the next two months, the first one will go live. That means that not only will there be a few new top-level domains, there will probably be more than a few people in those countries seeing a website for the first time.

@highlight

Tokelau is only 4 square miles, but 9 million websites have the country's domain

@highlight

No planes fly to Tokelau, and the islands have four phone lines and one satellite

@highlight

Only about 1,300 people live in Tokelau, which has the smallest economy in the world