Washington (CNN) -- If federal safety advocates get their way, collision avoidance systems that warn drivers about hazards -- and even automatically hit the brakes -- will become as commonplace as seat belts and air bags.

The National Transportation Safety Board said Wednesday that the federal government should mandate the systems as standard equipment in all cars and commercial vehicles.

Many of the systems are already available as options, typically in luxury cars.

But the NTSB said the time is ripe for the federal government to require the systems in all vehicles, saying their "full life-saving and crash-avoidance potential will not be realized" until the government mandates the systems and sets standards for their performance.

"We know that hundreds of lives can be saved and hundreds of thousands of injuries can be prevented if the technology improves and we can avoid these run-off-the-road, rear-end and also the side lane departure collisions," NTSB Chairwoman Deborah Hersman told CNN.

The safety board called for the change in its updated "Most Wanted List" of transportation safety improvements. Six of the 10 issues on the annual list address highway travel, as the board shifted focus to the 35,000 people who die on the nation's roadways every year.

The board also added "eliminating distraction in transportation" to its list -- highlighting a concern that has grown as the number of cell phones and other digital devices has proliferated. 

Meanwhile, the board removed "fatigue" from its list. Fatigue, which has been on the list since it was first created in 1990, was removed largely because the board feels the issue is being addressed, a board spokesperson said.

The independent NTSB has no authority to enact transportation policy, nor to force the federal government to make changes. But it makes recommendations to governments, industry and the public and uses its "Most Wanted" list as a soap box to affect change.

Hersman said collision avoidance technology can help address driver fatigue and distraction.

"People are distracted. People are fatigued. People aren't paying attention," Hersman said. "Technology can really be an aid to prevent you from running into the car ahead of your or running off the road."

The board specifically endorsed the use of lane departure warning systems, which provide an audible or visual warning, or both, when a car drifts out of a lane when the turn signal is not used. It also mentioned automatic braking, electronic stability control and adaptive cruise control, which reduces a car's speed when appropriate. And it endorsed tire pressure monitoring, speed-limiting technology and, for commercial truckers, onboard monitors, which track drivers' performance. 

Tests of existing crash avoidance technology have shown mixed results, according to the Insurance Institute for Highway Safety, an organization funded by insurance companies. 

Forward collision avoidance systems, particularly those that brake autonomously, along with headlights which shift direction as the driver steers, show the biggest crash reductions, the IIHS said. Lane departure warning "appears to hurt, rather than help, though it's not clear why," they said. And other systems, such as blind spot detection "aren't showing clear effects on crash patterns yet."

In a statement, the National Highway Traffic Safety Administration said Wednesday that it is continually working to reduce crashes. The administration "already has work underway to help address bus safety issues... combat impaired driving... discourage texting and other distracting behavior behind the wheel" and is evaluating crash avoidance technologies.

"We've already taken aggressive action to address a number of issues identified by the NTSB," the agency said, adding, "We look forward to continuing our work" with the board.

CNN Correspondent Sandra Endo contributed to this report. 

@highlight

National Transportation Safety Board urging collision avoidance devices in all cars

@highlight

Luxury vehicles already may come with options for the next generation technology

@highlight

The board is urging the government to mandate the life-saving systems in vehicles