(CNN) -- Twenty-five years ago, nearly to the day, I arrived at Oxford University with my wife of six months to become the first rabbi in residence in decades. I had just turned 22. My mandate was simple: Deepen Jewish identity among the Jewish students and cultivate values-based leadership among the students at large.

What I never expected to be my mission, but what eventually became central to everything I did, was defending Israel against ferocious and unjust assault.

I quickly discovered that universities in general, and elite universities in particular, are breeding grounds for anti-Israel bias. We beat back many attempts over 11 years to slander Israel as an expansionist, neo-colonialist power and succeeded in portraying the true nature of the Middle East's only democracy. We hosted six Israeli prime ministers and countless other eloquent defenders of the Jewish state.

But since I returned to the United States, the situation among academics has only become worse.

Just after Pink Floyd's Roger Waters compared Israel to Nazi Germany, we have the American Studies Association, comprising about 5,000 academics, voting to boycott Israeli academic institutions. The group is refusing all collaborations with universities, although not individual scholars.

The reason, members say, is Israel's human rights abuses against Palestinians and the occupation.

Opposing view: Boycott a sting to Israeli apartheid

The ASA has not boycotted any other country in a similar way. Not, say, China, which regularly jails political dissidents for lengthy sentences and commits them to near-slave labor without any judicial process. Liu Xiaobo, who won the 2010 Nobel Peace Prize, is serving an 11-year sentence on fraudulent subversion charges. His wife, Liu Xia, has been held incommunicado under house arrest for three years even though she has never been charged.

So why would Israel, a thriving liberal democracy that guarantees the right of due process to all of its citizens, including minorities, be singled out?

If you argue that the reason is Israel's "occupation" of Arab lands, the American Studies Association is surely aware of China's brutal occupation of Tibet since 1950. China faces no existential threat. It does not have terrorists blowing up schools and buses and does not have a neighbor building a nuclear bomb threatening to annihilate it. Israel, by contrast, has all of these things.

Israel has been under the threat of extermination by its Arab neighbors for six decades, has lost countless citizens to terrorism and has a nuclear-inclined Iran threatening to wipe it off the map. Surely a group of scholars would understand the unique security situation facing a nation that has suffered a genocide of 6 million people just 70 years ago.

So why Israel?

According to an article in the New York Post, ASA President Curtis Marez said that his group singled out Israel, knowing that many of Israel's neighbors have worse human rights abuses, because "one has to start somewhere."

At Oxford, I had the privilege of hosting and debating some of the world's leading intellectuals. Never before have I read a more inane quote from a man claiming to be a scholar.

That's your reason? One has to start somewhere and that somewhere just happens to be, yet again, the Jews?

If it's a matter of choosing a place to start, you could draw straws or perhaps throw dice or pull names from a hat. So, a group of academics just decided it was time to boycott some country and decided, arbitrarily, that Israel was as good as any?

This isn't even a case of anti-Semitism so much as buffoonery, not a case of prejudice so much as stupidity.

Let's state the real facts.

Israel is the Middle East's only democracy, guaranteeing a free press and the right to worship, as well as the rights of women and homosexuals. Although the Arab nations that surround Israel commit unspeakable human rights violations every day, Israel struggles under existential threat to balance its security needs with the freedoms it cherishes.

The 1995 interim agreement says, "Israel and [the Palestinians] will ensure that their respective educational systems contribute to the peace between the Israeli and Palestinian peoples." Yet Palestinian schools teach hatred of Israel. A U.S. government report finds that 84% of the references to Israelis in Palestinian textbooks are negative.

Palestinian universities promote extremism. In 2007, the Washington Institute reported in an article called "Teaching Terror" that university campuses are full of Hamas propaganda. Israel has roadblocks and builds fences solely because it got tired of seeing its citizens blown to smithereens.

Calling for an academic boycott of Israel for the steps it takes to defend itself is akin to calling for an academic boycott of Britain and the United States during World War II. And, mind you, Israel has never even come close to indiscriminately bombing civilian population centers the way the allies did in that war. Israel takes great care to protect the lives of innocent civilians even as it fights genocidal terror organizations Hamas and Hezbollah.

We Americans who cherish freedom, democracy and liberty should be ashamed that a group of our nation's "scholars" have so viciously maligned a most humane nation.

The opinions expressed in this commentary are solely those of Shmuley Boteach.

@highlight

American Studies Association voted to boycott Israeli academic institutions

@highlight

Shmuley Boteach: With all the nations that are extreme human rights violators, why Israel?

@highlight

He says Israel is a thriving democracy that guarantees the right of due process to all

@highlight

Boteach: Americans should be ashamed that "scholars" have maligned a humane nation