John Meyers remembers standing at ground zero, feeling like a small speck amid mountains of debris.

"Everything was pulverized," said Meyers, a former New York police officer and first-responder who provided security after the September 11 terror attacks. "It was nothing but dust."

For 20 days, during 14-hour shifts, Meyers breathed in countless chemicals; he even ate meals on site as the dust hovered.

Most of that time, he did not wear a mask.  In retrospect, he said, "We were ingesting whole buildings."

Less than four years later, at age 46, Meyers was diagnosed with stage IV oropharyngeal cancer.  One tumor had formed in Meyers' throat and two on his lymph nodes.  An ultrasound later revealed another tumor near his collarbone.

"All four were malignant," said Meyers, who choked up as he recalled being diagnosed. "I asked, 'What's my chances?' No one could give me an answer."

According to the most recent data from the World Trade Center Health Program, there are nearly 3,000 cases of cancer among firefighters, police officers, contractors and civilians who worked or lived near the site of the attacks.

A growing number are being diagnosed with oropharyngeal cancer, but some -- including Meyers -- are being denied insurance coverage because their cancers were diagnosed too soon after 9/11.

The minimum latency period for oropharyngeal cancers -- in other words, the minimum time period required to prove a link between exposure to toxins at ground zero and a diagnosis of that type of cancer -- is four years.

(Absent this type of dramatic environmental exposure, oropharyngeal cancers in most cases take one or two decades to develop, although recent studies suggest that cases are being diagnosed at younger ages and more frequently.)

Meyers was diagnosed three years and 10 months after his work at ground zero, about eight weeks shy of eligibility for cancer coverage or compensation.

"We got screwed," he said. "They don't know what the latency period should be; four years may be right, or it may be wrong."

The National Institute for Occupational Safety and Health determined the latency periods for 58 cancers, including oropharyngeal, now covered under its WTC Health Program.

In a statement, the institute said it "selected minimum latencies informed by the available science" and that it "erred on the member-favorable side to avoid false negatives for coverage."

In documents outlining its process, the agency acknowledged that, for the most part, data in this area are scant.

"At the time they came up with the latency period, there was nothing unreasonable about it," said Noah Kushlefsky, a partner at the Kreindler & Kreindler law firm in New York, which is representing thousands of 9/11 responders, including Meyers.

That is because it was not known what effects cancer would have on this population. But in the two years since latency for cancers was spelled out -- and many cases later -- Kushlefsky says, it has become "an inescapable fact that the latency period has to be wrong."

Wrong, he says, because of the sheer number of oropharyngeal cancer cases he is seeing cross his desk.

Kushlefsky, along with colleagues at another New York law firm, represents about 7,500 people exposed to toxins while working at ground zero. He says 39 have been diagnosed with oropharyngeal cancer.  About one-quarter of that group was denied coverage because of the four-year latency rule.

To have so many cases of a rare cancer -- diagnosed in an unusually young population, according to data provided by Kushlefsky -- should, he says, spur a re-examination of the data by the National Institute for Occupational Safety and Health.

Dr. Otis Brawley, chief medical officer of the American Cancer Society, says that oropharyngeal cancer in this population, absent risk factors like drinking, smoking or a human papillomavirus infection, is unusual.

Still, determining an accurate latency window is an exceedingly complex process.

"Four years is a group of people's best guess; it's literally that," said Brawley, a practicing oncologist. "I don't know of any animal models for cancers developed after sucking in that much soot and smoke (from collapsed buildings), so people have to make a guess."

Brawley added that four years is probably a fair -- perhaps even generous -- timeline for developing oropharyngeal cancer, even considering the unique circumstances surrounding 9/11.

Not everyone agrees.

"I think (the National Institute for Occupational Safety and Health) made a terrible mistake," said Michael Banahan, a first-responder diagnosed with stage III oropharyngeal cancer at age 44, three years and five months after 9/11.

Like Meyers, he was denied coverage because he was diagnosed too soon.

"I'm going to die knowing I got my cancer from 9/11. I don't care what NIOSH says."

Advocates for responders, including medical experts, say that they will petition the institute to amend its rules concerning coverage for oropharyngeal cancer.

In a statement, the institute indicated that as new scientific information becomes available, it could modify minimum latencies for certain cancers.

"This has to be a dynamic process where they look at what's going on this community and say, 'Maybe we need to change this,' " Kushlefsky said.

Banahan and Meyers have been in remission for several years, yet both remain hypervigilant about cancer, as it could one day reappear.

Compensation, they say, would provide some comfort that their families would be supported if they die. But it is less about money, Meyers says, than about not being forgotten.

"There is an abnormal amount of cancers amongst us that aren't in the general population," he said.  "This is something that has to be looked at."

Number of 9/11-related cancer cases growing

9/11 cancer compensation too late: One man's story

@highlight

Nearly 3,000 cases of 9/11-related cancer among first responders and civilians

@highlight

A growing number are being diagnosed with oropharyngeal cancer

@highlight

Insurance coverage depends on latency period defined by WTC Health Program