(CNN) -- The Jumpstart our Business Startups, or JOBS Act, is a win for entrepreneurship as well as bipartisan politics, and given economic hardship, unemployment and political bickering, it's time for a win. Next step: Declare victory and unleash an economic winning streak.

On Thursday, President Barack Obama signed the JOBS Act with overwhelming bipartisan support. The bill makes it easier for startups to raise money, to stay private when they need to and to go public when the time is right. Overall, it promotes a pro-entrepreneurship agenda.

What impact will the JOBS Act have?

The bill's "crowdfunding" provision is getting the most attention. It allows entrepreneurs to raise small amounts of capital from large pools of individual investors. The Internet provides a tool for private citizens to form new marketplaces as social networks evolve to become more than just networks of friends. Web-based platforms such as Kickstarter and IndieGogo allow entrepreneurs to raise up to $1 million annually, as sanctioned by the new legislation.

This provides a funding source for startups that might otherwise have never made it past the business plan stage. Many entrepreneurs finance their fledgling businesses with their own lines of credit, sometimes backed by the value of their homes. With the recent recession, lines of credit have been difficult to obtain, and the value of many homes has decreased. Crowdfunding opens a new source of capital, especially for underserved communities. Crowdfunding could invigorate local economies outside of Silicon Valley and other entrepreneurial centers.

Further, the JOBS Act allows companies to stay private longer, which gives entrepreneurs the flexibility to decide how and when it's best to go public. Previously, companies with more than 500 investors were mandated to file with the Securities and Exchange Commission. The JOBS Act raises this number to 2,000 investors and excludes employees as shareholders in that number. This enables private companies to build revenue and develop sophistication before entering the capital markets.

When the time is right, the JOBS Act makes it easier for a new class of "emerging growth companies" to go public. For businesses with less than $1 billion in revenue, the number of audited financial statements required is reduced. Young, high-growth firms are allowed up to five years to comply with certain Sarbanes-Oxley Act disclosures.

Sarbanes-Oxley compliance is much more onerous for smaller companies than it is for larger entities such as General Electric, Johnson & Johnson or IBM. The JOBS Act helps smaller companies conserve resources. It also provides an "IPO On-Ramp" during which time emerging growth companies can protect sensitive information and competitive trade secrets.

Of course, there is concern about the potential for financial fraud. Will there be scams? There always are. Will Uncle Ned lose his shirt chasing the latest crowdfunded investment idea?

To protect investors, the JOBS Act includes an amendment that mandates companies to provide basic financial information to investors before seeking crowdfunding. It also requires third-party intermediaries, in the form of websites managing crowdfunding shares, to register with the SEC. The amendment also sets limits on the amount of money an individual can invest to prevent investors from taking too much risk. Individuals with an annual income or net worth of less than $100,000, for example, would be limited to investing 5% of their income in crowdfunding.

In addition, Obama called on the Treasury Department, Small Business Association and Justice Department to monitor the new legislation closely and report regularly on their findings.

Certainly, the JOBS Act is a win for entrepreneurs in America. But it is only a first step. The bill will help innovators reduce burdensome regulation and gain faster access to capital to grow their startup businesses. But we need to do more.

We need to overhaul immigration to welcome foreign-born founders. According to a December study by the National Foundation for American Policy, immigrants founded or co-founded almost half of the 50 top venture-backed companies in the United States, and on average these companies created 150 jobs.

We must enhance commercialization of research out of U.S. universities. One way to do this is to adopt a standardized licensing agreement for spinoffs. Another way is to make open-technology licensing a condition for universities to receive federal research dollars. Currently, the Bayh-Dole Act of 1980 requires faculty innovators to work through their own university technology licensing offices. This creates significant delays.

To catalyze our innovation economy, we need to increase collaboration between startups and larger corporations. One such example is the NYSE Big StartUp initiative that partners large companies with small businesses to provide corporate assistance with accounting support, legal services, marketing infrastructure and financial training. Small companies often lack resources to take their business to scale. Corporate America can help catapult fledgling entrepreneurs to the next level.

America's competitive position in the world will increasingly depend on our entrepreneurs. The JOBS Act provides momentum. Let's not stop here.

The opinions expressed in this commentary are solely those of Amy M. Wilkinson.

@highlight

Amy Wilkinson says JOBS Act is a win for small business, bipartisanship, economic growth

@highlight

"Crowdfunding" allows startups to raise small amounts of money from many sources, she says

@highlight

Wilkinson: Business owners have more flexibility to decide when to go public, less red tape

@highlight

We need more foreign-born entrepreneurs, she says, and small- and big-business partners