London (CNN) -- With races run, records set and a remarkable sporting infrastructure now in place, the London Olympic and Paralympic Games have confirmed the UK capital's reputation as one of the world's great cities.

The Games will also have inspired millions across the globe to pursue sporting careers across a range of disciplines. But arguably London 2012's legacy is more intangible.

Who would have thought gold medallists like American swimmer Mallory Weggemann, Brazilian Alan Oliveira, South Africa's double amputee Oscar Pistorius and Briton's Ellie Simmonds (swimming), Jonnie Peacock (athletics) and David Weir (wheelchair racer) would become household names across the world?

Recording unprecedented crowds, with some two-and-a-half million tickets sold, the British got behind the Paralympics in a way that no other country has previously done and helped shift perceptions towards disability around the world as they did so.

The Star newspaper in Pistorius' home nation captured an emotion reverberating around the globe saying that the Paralympic Games have marked a watershed in the way the planet views disability.

"The 2012 Paralympics will live long in the memory as the Games where South Africa and the world learnt that these Games were not the fun games nor the 'shame' games," wrote The Star.

"London was where the athletes became professional, where they became elite and celebrated their elevation to a new status," the newspaper added.

It was a Paralympics where spectators finally started to focus on ability rather than disability, a request many Paralympians have always made.

"I think people are going to look back at this Paralympic Games and for the first time really, truly believe that Paralympic sport is not just inspirational, it's hard-core sport," said Pistorius.

Born with a congenital defect, Pistorius had both legs amputated below the knee when he was 11 months old.

But the 25-year-old has overcome his disability to such an extent that he became the first double amputee to compete at the Olympics when running in South Africa's 4x400m relay team this summer.

The achievements of Kenya's Mary Zakayo have also helped change attitudes to Paralympic sport in Africa.

The wheelchair-bound javelin and shot put thrower was the women's Whang Youn Dai Achievement Award winner in Sunday's Paralympic closing ceremony -- an award given to a male and a female athlete who exemplify the Paralympic spirit.

"Because of my success in field events, more women with disabilities in my community and in Kenya have shown interest in sports," Zakayo says.

"The Paralympic Movement is spreading in my country and opens opportunities for people with disabilities and help change the perceptions towards people with disabilities in a positive way."

But it's not just Africa where attitudes are changing.

The Gulf Daily in Bahrain has been won over, crediting this year's Paralympics with providing a "fundamental change in the way much of the world looks at disability," adding that the Games "swiftly taught us to look beyond disability towards achievement."

Thirty-two years after Moscow refused to stage the Paralympics, the enthusiasm shown by the organizers, the British crowds and, of course, the athletes at this summer's Games has finally begun to convert the Russian public, says tabloid Komsomolskaya Pravda.

"Russians are not used to encountering disabled people in the street ... yet for the first time, they discovered a previously unknown sporting world and its courageous fighters," the paper said.

Even in Britain, attitudes have been changing. Polls conducted during the Games showing that eight out of 10 British adults thought the 2012 Paralympics had had a positive impact on the way disabled people are viewed by the public.

This would be yet another triumph for the London 2012 organising committee whose chairman, Lord Coe fervently believes that the British public will never view sport nor disability in the same way after this summer's Paralympics.

"We set a goal to create awareness," said Lord Coe, the chairman of the London 2012 Organising Committee.

"I really think we have done that in helping converting some of those extraordinary talents into household names. I really genuinely think we have had a seismic effect in shifting public attitudes (towards disability)."

On Monday afternoon, the likes of Simmonds, Peacock and Weir were joined by fellow Paralympians and Olympians as crowds estimated to be in excess of one million thronged the streets of London to wave goodbye to what Prime Minister David Cameron called a "golden summer of British sport."

It officially ended on Sunday as the Paralympics closing ceremony extinguished the flame in the Olympic Stadium for the final time, before the Paralympic flag was handed to the Mayor of Rio de Janeiro, the Brazilian city which will host both Games in 2016.

And if the legacy of London 2012 really proves to be a defining shift in the global attitude towards disability, then what on earth could Rio expect to achieve in four years time?

@highlight

London 2012 Games have produced massive crowds, memorable action and a surprising legacy

@highlight

Paralympics has inspired many people around the world to think differently about disabled sport

@highlight

Newspapers in South Africa, Russia and the Middle East praise Games for changing perceptions of disability