(CNN)Empathy. Confidence. Passion. These are the traits the next police chief in Ferguson, Missouri, will need to shrink the ocean of distrust between community and police.

So says Cecil Smith. And maybe he should know.

Smith is the police chief in Sanford, Florida, another community rocked by racial tensions and poor police-community relations after the high-profile shooting of a black teenager -- the 2012 death of Trayvon Martin.

And if Smith's experience is any guide, it will take "a lot of prayer and a little goading" to convince someone to step into the job vacated this week by Chief Thomas Jackson.

"That community, as we see, has been hurting and struggling for some time now," he says.

And how:

-- The community remains deeply scarred by the events last year, after the August shooting death of unarmed African-American teenager Michael Brown by a white Ferguson Officer Darren Wilson, and the November decision by the St. Louis County Grand Jury not to charge Wilson, who later resigned. Occasionally violent protests and sometimes heavy-handed responses by police deepened divisions and distrust.

-- The police department was already groaning under the epic weight of months of nearly constant protest and last week's release of a damning Department of Justice report that found evidence of discriminatory conduct on the part of Ferguson officials.

-- Add to that the obvious fears facing officers following the shooting early Thursday of two police officers only hours after Jackson resigned.

The decision for Jackson to step aside was a mutual one between the chief and city, Mayor James Knowles told reporters. He'll get severance and a year of health insurance and will turn the reins over to Ferguson police Lt. Col Al Eickhoff next week.

The city will launch a nationwide search for a permanent replacement, Knowles said.

"The City of Ferguson looks to become an example of how a community can move forward in the face of adversity.  We are committed to keeping our police department and having one that exhibits the highest degree of professionalism and fairness," said Knowles -- who has himself been targeted by protesters demanding he resign.

To get there, it might look to Sanford for guidance.

There, trust in the police department bottomed out in the aftermath of the Trayvon Martin shooting. While no police officers were involved in the shooting, anger over their perceived failure to arrest the teenager's killer, George Zimmerman, pushed relations in the community to a boiling point, eventually resulting in the firing of Chief Bill Lee. Zimmerman eventually was arrested, and a jury acquitted him.

Smith watched the chaos play out from Elgin, Illinois, where he was deputy police chief. A former boss in Illinois suggested he look at the job, so he traveled to Florida on his own time, getting to know the community and learning what divided residents and police. He still isn't sure how to explain why he took the job.

"The first year, I was still wondering, was it a smart move?" Smith joked. But things are better now, he says.

After taking the job, Smith made it a point of spending time "walking and talking" in Sanford, building relationships with community leaders and everyday residents. Inside the department, stepped up training in engagement and ethical policing. He also stepped up recruitment of African-American officers.

"One of the things that's going on is we don't have people who look like us in the community," said Smith, himself an African-American.

He handed out long-delayed promotions. And he even presided over a makeover, enlisting officers to help choose new uniforms.

The new chief in Ferguson will likely need to do some of the same things, Smith says.

Community leaders and other officials agree.

"We need to deal with the culture issue here to make sure whoever is coming in behind Chief Jackson is not a new face and a new name on the same type of issues," Patricia Bynes, a Democratic committeewoman for Ferguson Township," told CNN Wednesday. "We need to seriously deal with the culture of the police department and the municipal courts and the way the city is run."

New York police Commissioner William Bratton said there are two issues confronting the heads of police forces.

There is the lack of trust on the community's part and the lack of confidence some officers have in their leadership.

On the first issue, he said: "You need to be willing to embrace that there is a need to change."

To police leadership consultant John Vanek, whoever takes over the Ferguson department will need to have the same leadership traits valued in boardrooms across the world -- the ability to form partnerships across organizational lines, to think differently, to turn failure into success and to do it all in a harsh media spotlight. But that's easier said than done.

"There's going to be a lot of hostility in Ferguson for a long time," he said.

So will the new chief need to be African-American to help defuse the racial tensions roiling the city? Here's the politic answer: Find the right candidate, regardless of race.

"You want to find the best candidate to be police chief," said attorney Benjamin Crump, who has represented the families of both Trayvon Martin and Michael Brown.  "But diversity is very important. It's very important that the police officers understand the communities, at least want to engage with members of the community they are going to be protecting and serving."

"There's an old saying in the black community that everybody else is protected and served but we are policed," Crump said. "We don't want to be policed. We want to be protected and served as any American citizen."

CNN's Nick Valencia contributed to this report.

@highlight

NYPD commissioner: Chiefs need to embrace need for change

@highlight

Ferguson might look to Sanford, Florida's experience when choosing a new chief

@highlight

That city also had to find ways to heal divisions between community and police