Manila, Philippines (CNN) -- Manny Pacquiao is not a god, but that doesn't stop millions of Filipinos worshipping him.

Since his first professional fight at 16, Pacquiao has amassed a formidable professional record of 54-5-2.

He is arguably the most famous person in the country's history, a world title holder 10 times over and the first person to earn belts in eight separate weight divisions, and in 2012 was one of the highest paid athletes on earth, earning upwards of $62 million, more than Tiger Woods, Lebron James, Roger Federer and Cristiano Ronaldo.

In addition, he is an actor, TV host and singer. Oh, and in 2010, voters also elected Pacquiao to the Philippines' House of Representatives, where he serves the district of Sarangani.

Pacquiao's story reads something closer to fable than fact.

The man who earned the title "Fighter of the Decade" in the 2000s by the World Boxing Council (WBC), comes from the humblest of roots.

Born in 1978 in a small village called Kibawe, Pacquiao lived with his mother and five brothers and sisters: "When I was young my parents were jobless. We had no home. Sometimes we can't even afford to have a single meal a day," says Pacquiao.

"When you see my slippers, one is green, one is red. And they had holes. I would walk the streets to sell, that's how I made my living as a kid. I felt sorry for my mother. I wanted so badly to study. I stopped though and pursued boxing."

At 14, Manny moved to Manila where he says he lived for a time under a cardboard box in a city park.

He found work as a servant for a rich man. Luckily, he was treated well, he says. When he began boxing as a teenager, he admits having to put rocks in his pockets to make the minimum weight of 105 pounds (47kg).

When he was 16, Pacquiao decided to pursue a professional boxing career. At 4'11'' and weighing 98 pounds, it's unlikely he struck much fear in those early opponents. But his fast fists and unrelenting toughness quickly earned him respect.

He gained global recognition in 2001, when as a late replacement, he beat IBF Super Bantamweight title holder Lehlohonolo Ledwaba. Pacquiao won the fight by technical knockout to win the title, his second major boxing world title.

Ten years later, I'm standing in the middle of the MGM Grand's casino.

"Do you want to meet him?" The question came across the table from a documentary film producer, who was profiling Pacquiao.

It was May 6, 2011, the night before the champion would defend his WBO Welterweight title against Shane Mosley. The Las Vegas strip buzzed with energy, gamblers and partiers just getting started as it neared midnight. Of course, I said yes.

As we got off the elevator and walked down the hallway to his penthouse suite, I had the same feeling you might get when entering a special, reverential space. Two bodyguards flanked the door. They recognized my friend and let us pass.

I had expected a reverential, ascetic scene. A peaceful room dotted with his family and close friends speaking in hush tones, careful not to disturb their leader as he prepared to do battle in less than 24 hours.

What I found instead was a mob. At least 100 people had packed into his hotel room. Most were Filipino well-wishers. As we tried to make our way in, someone told us Pacquiao and his wife, Jinkee, had retreated to the bedroom. We left, but I wasn't disappointed. I figured I would soon get to know him well in Manila.

That night I had drinks with his security guard. I wanted to get to know the man I would be covering. I wanted to hear what he was like from a person who was often closest to him, his bodyguard, in an unguarded moment.

He offered little dirt. "Manny is a very nice guy. Very good to the people around him. He believes he is here for a purpose. That his rise means he has a responsibility to take his position and do something good with it."

Pacquiao won the fight easily. I watched it from the media room. Afterwards, Pacquiao felt good enough to perform a concert at the Mandalay Bay Hotel across from the MGM Grand Casino.

He said: "I consider my experience in life as an advantage in all that I do. I was down there and I have made my way up here now. I have experienced it all. I was trained through all the hardships of life, so I feel the pain of the poor."

In 2010, shortly after being elected as a congressman from Sarangani district, he had given a speech in which he argued the country must do more to organize and fund the efforts of anti-trafficking agencies. Immediately, he began working with the Visayan Forum, at the time, the largest anti-trafficking charity in the country.

"I think Manny is a very important milestone in our fight against human trafficking here in the Philippines because young people actually believe and listen to Manny," says Cecilia Flores-Oebanda, executive director of the Visayan Forum Foundation, a charity founded in 1991 to help victims of domestic servitude and forced prostitution.

"He's a hard-working guy, he came from a very poor family. He inspires a lot of people. Of course, everybody wants Manny in their own campaign, but I'm happy Manny is joining our fight."

Click here to get full infographic on human trafficking in the Philippines

Pacquiao arrived at the Visayan Forum headquarters to hear first-hand from girls who had been victimized.

He spoke to three rescued girls, all under the age of 12. They had been forced to perform sexual acts in a video chat room for a number of foreign men. Some of the men demanded they perform sexual acts with men pulled off the street, drink their own urine and other even more awful acts. A man off-camera would force the girl's compliance.

Pacquiao left shaken.

"Now that I'm here as a congressman, I know what to do. I know what I can do to help people.

"These traffickers have now been warned. We just need to be vigilant in order to sustain this. We also need funding from Congress. In addition, we need close coordination between government agencies. Likewise, we need coordination within various local governments," said Pacqiuao.

Read how Oebanda was inspired to fight the traffickers

In February 2012, Pacquiao delivered a speech to congress in which he outlined the necessity to stop human trafficking.

"During my visit to the Visayan Forum I talked to children as young as 9-years-old who are trafficked for prostitution," Pacquiao told Congress. "As politicians, we need to be true to our words and actions. We need to send a clear message; that Filipinos are not for sale."

Now more than a year later, the Philippines is in the midst of an election. Congressman Pacquiao is again on the campaign trail -- this time hoping to parlay his popularity into a victory for his wife, Jinkee, who is running to become vice governor of Sarangani district.

Campaigning with his wife is one step toward life after boxing. And rumors of the boxing champ's own political ambitions push beyond the House of Representatives.

Now, fresh off his stunning loss to Juan Manuel Marquez, in which he was knocked unconscious and lay face-down for several seconds before being helped to his corner, Pacquiao is looking toward his future.

Thirty-four is old for a boxer. With more than 60 professional fights under his belt, the fear among those in his circle is that he will stay too long in the game, and do permanent damage to his standing.

Speaking to a CNN producer in Tagalog, Pacquiao says: "In boxing, I don't think people will forget me after I retire. But I really want people to remember me as a public servant, who is good, who is a champion for the people."

Less than two months after his loss to Marquez, Pacquiao scored an equally stunning victory.

On February 13, 2013, Philippines's President Benigno Aquino III, signed the Anti-Trafficking bill Pacquiao had been championing, into law.

For thousands of vulnerable Filipinos whose lives may be changed or even saved, this Pacquiao fight is one whose legacy will last far beyond the ring.

@highlight

Boxing star Manny Pacquiao joins the fight against human trafficking

@highlight

He was shocked after hearing the stories of children trafficked for sex

@highlight

Pacquiao also fought to make an anti-trafficking bill law

@highlight

He says he hopes people will remember him as a public servant, not just a boxer