LONDON, England (CNN) -- The butt -- in more ways than one -- of a thousand puerile schoolboy jokes, methane, in the form of natural gas, has for some time now been used to fuel cars and other modes of transport (the Honda Civic GX, which uses natural gas, has been rated the cleanest car on earth).

"Amanda" is the world's first train to run exclusively on biogas

Despite producing 25 percent less CO2 than petrol or diesel, however, natural gas is still a fossil fuel, and burning it results in the emission of significant amounts of atmospheric pollution.

As a "biogas", however -- derived from recently living organic matter -- methane is far less environmentally damaging since the CO2 it gives off is immediately reabsorbed by plants and thus adds little to the net sum of greenhouse gases in the atmosphere.

Methane biogas is already being used in projects around the globe to generate electricity -- in China and India, indeed, it has been employed for decades -- and is attracting increasing interest from the car industry as a source of renewable energy.

Now a company in Sweden has developed a novel and environmentally sustainable -- if somewhat gruesome -- method of actually obtaining methane: boiling cow intestines.

The digestive tracts of all living creatures produce methane, a by-product of the action of bacteria breaking down ingested food matter. Because cows have four stomachs, they create considerably more of the gas than any other animal -- 75 percent of the total methane produced by all animals.

To date no viable method has been devised to capture this gas as it erupts from either end of the cow.

Swedish company Svenska Biogas, however, are currently doing the next best thing: taking the bits of cows that would otherwise be discarded during the slaughter process -- stomach and intestines primarily, but also udders, blood and parts of the liver and kidneys -- and extracting the residual methane directly from them.

"Depending on the cow's size, we can get 80-100 kilos of material from each animal," Carl Lilliehook, Managing Director of Svenska Biogas told CNN.

"These are all the things that would otherwise be classified as food-process waste and either incinerated or disposed of in landfill sites.

"This material is then heated at 70 degrees centigrade for one hour to boil off the impurities, and put in a digester for one month, where micro-organisms break it down, producing a mixture of methane and CO2 which is drawn out of the top of the digester."

Having been "upgraded" -- filtered through water to remove as much of the CO2 as possible -- the resultant methane biogas is then used to fuel cars, taxis, rubbish trucks and the 70-strong bus-fleet in Linkoping, the town where Svenska Biogas is based.

"We have been running this system for two years, and are now taking 54,000 tonnes of slaughterhouse waste each year," explains Lilliehook, "Mainly from cows, but also from pigs and chickens.

"From this we are able to produce five million cubic meters of biogas. Linkoping's seventy buses use three million cubic meters annually, and the rest fuels other vehicles such as cars and dust carts."

The boiled-gut biogas is even being used to power "Amanda," a train that runs the 116 kms between Linkoping and Vastervik and the world's first train to be powered solely by biogas (the entrails of one cow, it is estimated, are enough to fuel the train for four kilometers, making Linkoping-Vastervik a 29-cow one-way journey, or a 58-cow return).

The decomposed stew of innards from which the gas has been extracted, meanwhile, is employed as bio-fertilizer by local farmers, ensuring that the whole process leaves no waste.

As well as cow guts, Svenska Biogas is also producing biogas from sewage and organic plant matter, but it is their pioneering intestinal work that is attracting the most attention.

Already two other companies in Sweden are doing the same thing, and there has been interest from countries around the world, including the UK, Ireland, South Korea, China, India and Argentina (the latter alone dumps the guts of 35 million slaughtered cows annually in landfill sites).

Arnold Schwarzenegger, as governor of California, has been in touch with a view to introducing the technology to the U.S.

"I've even had discussions with someone from Uganda" says Lilliehook. "Apparently President Museveni had heard about our biogas train and wanted to have something similar in his own country."

Lilliehook accepts that cow guts are not necessarily going to provide the definitive solution to global warming. In the week that the U.N. under-secretary general for humanitarian affairs warned that the world is already in the grip of a climate change "mega-disaster," however, he believes that they have an important role to play.

"I certainly think that this is a technology that can help to reduce greenhouse gases," Lilliehook told CNN. "True it costs more than petrol or diesel -- you need 20 percent more biogas to give the same amount of energy -- but the environmental benefits in terms of waste disposal and cleaner emissions are enormous.

"Biogas is definitely the way forward."

So far as methane biogas is concerned, the winds of change would definitely seem to be blowing.

...................................

Biogas-driven transport: a promising avenue or a load of hot air? Share your thoughts and read others' comments in the Just Imagine forum.

@highlight

Swedish company extracts methane from fermented cow guts

@highlight

Methane biogas an important renewable energy source

@highlight

World's first train powered solely by biogas

@highlight

Arnold Schwarzenegger and Ugandan president interested