Editor's note: Aaron David Miller, a public policy scholar at the Woodrow Wilson International Center for Scholars in Washington since 2006, served in the State Department as senior adviser for Arab-Israeli negotiations and in other roles under six secretaries of state. He is working on a book about presidential greatness.

Aaron Miller says the Obama administration is departing from longtime policy on dealing with Israel.

WASHINGTON (CNN) -- President Obama has embarked on what could represent a radical departure in America's Mideast policy, at least on settlements.

Having worked for Republican and Democratic administrations, I took it for granted that the current president and secretary of state would first try to invest in Israeli Prime Minister Benjamin Netanyahu before publicly confronting him.

After all, even the toughest secretary of state, James Baker, who initially had no confidence in the hard-line Israeli Prime Minister Yitzhak Shamir, found common ground with him in an effort to pull off the Madrid Peace Conference in 1991.

Unlike his two immediate predecessors (Bill Clinton and George W. Bush), the president has decided to draw the line with Israel and push for a comprehensive freeze on settlements on the West Bank. The president seems unwilling to yield ground and to allow the Israelis any of the traditional loopholes that would have permitted some settlement construction. If the U.S.-Israeli brouhaha leads to a real confrontation, even the fall of the Netanyahu government, President Obama may not feel too bad about it.

Fighting with Israel is a normal occupational hazard if you want to be an effective mediator. Henry Kissinger, Jimmy Carter and James Baker knew this. But tension with Israel was designed with a purpose under prior administrations. You didn't pick fights with an Israeli prime minister because you were frustrated or to make nice with the Arabs, but to achieve a breakthrough in negotiations that made you, America and the peace process look good.

As President Obama heads to Saudi Arabia and Egypt this week, his strategy is not altogether clear. The logic appears to be to get Israel to freeze settlements, the Arab states to offer up partial normalization and together this will somehow get Israel and the Palestinians into a successful negotiation on the toughest issues -- Jerusalem, borders and refugees. The president would presumably be prepared to lay out his own peace plan if necessary.

To make this work, the sun, moon and the stars would need to align almost perfectly. Netanyahu has already rejected an airtight freeze on settlements; the prospect of the Arabs, already scared of Iran, giving visas to Israeli entrepreneurs is unlikely. And the idea that a conflict-ending agreement can be reached between a Palestinian national movement so broken that Palestinian Authority President Mahmoud Abbas and Hamas share control over the guns, people and legitimacy of Palestine, and a right-wing Israeli government almost seems fantastical.

I can only conclude that the administration -- filled with talented and experienced people -- understands the long odds, too. In fact, both White House Chief of Staff Rahm Emanuel and Secretary of State Hillary Clinton have seen the Netanyahu movie before (he was prime minister from 1996-1999) and may well have advised the president that getting an agreement with him will be almost impossible.

If the prime minister gave in on a freeze, he would be too weakened in his own country (without stunning concessions from the Arabs) that he couldn't go on to do an accord that divides Jerusalem and has Israel returning to borders very close to those of June 4, 1967.

So what's the administration's real objective? Certainly, to improve American credibility and demonstrate its commitment to peace. But there is a backstory here that points strongly in the direction of pressing Netanyahu either to change his behavior or his government. The president and secretary of state have come out early and tough on settlements, and they're denying Israel any wiggle room.

President Obama may be banking on the fact that no Israeli prime minister can afford a confrontation with America, particularly with a popular president at a time when Israel needs America to deal with Iran. And the president may also have concluded that if the prime minister decides to hang tough, well, we'll let the chips and his government fall where they may. The problem is the next Israeli government may be no more willing or able to do what the president and a two-state solution to the Israeli-Palestinian conflict would demand.

It's a risky play so early in his administration. I hope the president has thought through the consequences, because what's left of the peace process depends on it.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron David Miller: U.S. has shied away from confronting Israeli prime ministers

@highlight

He says Barack Obama has shown signs of confronting Netanyahu

@highlight

Miller: The tough stance on settlements is a risky move

@highlight

He says U.S. may have decided there's no chance of peace with Netanyahu in office