(CNN) -- Concorde is a thing of the past, but a number of companies are racing to release the first supersonic business jet.

Aerion Corporation is working on a jet that would reach Mach 1.6 and would possibly be ready for release by 2020, while Spike Aerospace has announced plans for the S-512, a business jet that could travel at speeds of Mach 1.8 and would be available by 2018. So why has it taken nearly 50 years to revisit the concept?

According to Vik Kachoria, president and CEO of Spike Aerospace, one of the main issues that plagued the Concorde was the sonic boom -- the disruptive noise that results from the shockwaves created when an object travels faster than the speed of sound.

"At its worst, the sonic boom would sound like a loud thunder clap over your head. It would rattle windows and loosen roof tiles. It was pretty jarring. If you lived under the Concorde's flight path, you might hear it several times a day," he says.

The effect was so disturbing that most countries either banned supersonic flights, or restricted them from traveling over land. Understandably, this is an issue that the aerospace industry has needed to address in order to make supersonic flight viable.

A plane without windows?

Kachoria notes that currently, it makes more sense to develop supersonic business jets than larger commercial aircraft, because the plane's diminutive size results in a smaller boom.

While he's remained tight-lipped about many aspects of the design (some are still awaiting patent), he recently announced that the S-512 will be built without windows (except for the one the pilots see out of), a feature that will reduce drag and overall cost of the unit.

"Even at subsonic speeds, windows add a tremendous cost to the aircraft because the fuselage has to be designed to support those windows. If you eliminate all that, you create piece with less structural issues, less manufacturing costs, and less parts count," he says.

It sounds like a claustrophobe's nightmare, though Kachoria has attempted to compensate for the windowless design by installing flatscreens, which can either display the view outside, or can be used to show a movie or PowerPoint presentation -- should a conference need to take place in the air.

"It's not a new concept, but in the past we didn't have the technology -- the flatscreens, or digital cameras to capture the resolution, or the ability to stitch together cameras to create a seamless panoramic view," he says.

Overall, the saving in manufacturing means each unit will cost between $60 million to $80 million.

It's all in the wing

According to Aerion, the main detriment to producing a supersonic aircraft in the near future isn't the boom (an issue even Kachoria admits is still another 15 years or so from being fully resolved), but the cost.

"The reasons speeds haven't changed much since the 1960s has more to do with economics than technology. You just can't have supersonic travel at the rock-bottom fares most passengers prefer" says Jeff Miller, the director of communications for Aerion.

"Those constraints don't apply to business jets, so it's most likely supersonic technology will be applied there first. Even so, economy of operation is important, mainly in terms of fuel efficiency. If you can't find a way to reduce fuel consumption, you won't have a supersonic jet that will get you very far," he adds.

When the Concorde slowed down to below Mach 1, it burned though more fuel. Aerion has been researching ways to compensate this with the development of the supersonic natural laminar flow (SNLF) wing, which it has been testing in conjunction with NASA.

The wing, which is thinner and shorter than typical plane wings, has been proven to reduce friction drag by 80%, and overall airframe drag by 20%.

"The more drag, the more power required to push a wing through the air," explains Miller.

A resolution?

While work is being done on the sonic boom issue, neither Aerion nor Spike expect to release a jet before it's resolved completely. The early models will likely only be able to reach high speeds when traveling over seas.

"We don't have the sonic boom issue resolved yet," admits Kachoria, "you wouldn't be able to fly above Mach 1 between New York and Los Angeles, for instance. But between Tokyo and LA? You'd see a big time savings."

@highlight

A few companies are developing supersonic business jets

@highlight

Spike Aerospace has a model that will be built without windows, but will instead have flatscreens lining the cabin

@highlight

The biggest challenges to supersonic flight is cost and mitigating sonic boom