(CNN) -- The English commentator veered from disbelief to anger and then, finally, to mirth.

It was the opening heat of the men's 100 meters freestyle swimming at the 2000 Sydney Olympic Games, but only one man was standing on his block: Eric Moussambani from Equatorial Guinea, a tiny, oil-rich state in west Africa.

There had been two other swimmers to compete with -- one from Niger, the other from Tajikistan -- but both had jumped the gun, dived in to the pool and been disqualified.

The crowd cheered, the gun fired and the 22-year-old dived in.

Suddenly he was on his own.

What followed was one of the most memorable two minutes in Olympic history, one that would embody something far away from the podiums that honor the motto of the modern Games: "Faster, higher, stronger."

During the first 50 meters Moussambani appeared to be holding his own, but by the turn things had gone very wrong. At one point he appeared to stop, treading water to catch his breath before continuing.

"This guy," remarked the commentator for British TV, who was none other than Adrian Moorhouse, gold medalist in the same discipline at the 1988 Seoul Olympics, "he's not going to make it ... I'm convinced this guy is going to have to get hold of the rope in a minute."

'Me against the swimming pool'

Looking back today, Eric Moussambani is hard pressed to disagree with him.

"It was me against the swimming pool," he recalls with a laugh.

"I didn't care about anything else, I just wanted to finish the race ... When I went to Australia that was the first time I had seen an Olympic swimming pool. I was scared of the dimensions."

Somehow he managed to crawl to the end, posting a time of one minute 52.72 seconds. The man who would eventually win gold in the event, Pieter van den Hoogenband of the Netherlands, would finish the final in 48.30 seconds,

His swim made him an instant star of the Sydney Olympics -- dubbed "Eric the Eel" by the world's media -- and lampooned around the world for posting the worst time in the history of the sport. But it also reminded the world that there's far more to the Olympic spirit than just victory.

A voice on the radio

Moussambani didn't start out as a swimmer. Growing up in Malabo, the capital of Equatorial Guinea, he excelled at soccer and basketball. But one day, three months before the start of the Sydney Olympics, he heard an advert on the radio with an intriguing offer.

"I heard on the radio that they (the Equatorial Guinea National Olympic Committee) needed swimmers, so I went and put my name down," he recalls.

He may not have wanted to be an Olympic swimmer but, having practiced in a local river, Moussambani decided to give it a shot. When he arrived at the hotel in Malabo where the trial was to take place, he soon discovered that the competition was nonexistent.

"We were called for the selection, and I was the only person who was there!" he says.

"So nobody came. For two hours we were waiting. I was the only one. That was in the only hotel that had a pool, a 12-meter swimming pool. They told me to get in and asked if I could swim."

After proving that he could swim, Moussambani was told that he would be heading to Sydney after securing a place on the Equatorial Guinea Olympic team, a place that had been gifted by the International Olympic Committee's wildcard system that gave less developed nations a chance to send athletes to the Games to gain experience.

"They just told me to get my passport and a picture ready so they could send me to the Olympics. They said to me, 'Keep on training.' I asked them, 'With who? I don't have a trainer.' They said: 'Do what you can. Keep training because you are going to the Olympics.' "

Preparations were tough for Moussambani. There was no Olympic-sized pool in Equatorial Guinea and the hotel pool was only of limited use. Still, he left for Australia for the first time knowing that, if nothing else, it would be an adventure.

"The Olympic Games was something unknown for me," he says.

"I was just happy that I was going to travel abroad and represent my country. It was new for me. It was very far from Africa."

The terror of the pool

It wasn't until he turned up for training on the first day that he saw an Olympic-sized swimming pool for the first time. Reality quickly dawned on him.

"When I arrived I just went to the swimming pool to see how it is. I was very surprised, I did not imagine that it would be so big," he says.

"My training schedule there was with the American swimmers. I was going to the pool and watching them, how they trained and how they dived because I didn't have any idea. I copied them. I had to know how to dive, how to move my legs, how to move my hands.

"I learned everything in Sydney. I didn't know how to dive, anything. While they (the U.S. swim team) were training I was watching them. I was alone. I didn't have a coach."

When the day of the race arrived, Moussambani sat in his seat with his goggles on, going through everything he had learned from the American swimmers.

"I was just thinking, 'Do whatever you think you can do.' I was thinking how the American swimmers were training," he explains. But when his two competitors were disqualified for two false starts, Moussambani suddenly felt very alone.

"At first I was thinking that I was the one who was disqualified!" he laughs.

"They told me I was the only one that was going to swim, so I was very nervous. Everybody was screaming: 'Go go go!' "

Out on a limb

Most athletes can only a recall a blur of memories when remembering their time at the Olympics, but Moussambani remembers every second of that race: the pain, the fear, the exhaustion and finally the relief.

"The first 50 meters I did very well. I did it with a lot of energy. When I was coming back to complete the 100 meters I was exhausted. If you watch the video, I couldn't feel my legs. I was feeling like I wasn't going to go any further. I was moving in just one place.

"The crowd was singing, 'Go go go go!' So I did my best to complete it. But once I completed it I was exhausted. I thought, 'Phew, my god!' All my muscles were tired. So when I went in to the changing room I just collapsed on the floor and lay there. I couldn't even breathe."

The anti-hero

It is unlikely that any swimmer will ever get close to Moussambani's time, which is more than a minute slower than the women's 100m record and not even as quick as the best men's 200m effort. But once he picked himself up off the changing room floor he had become a worldwide celebrity.

"The media attention was, phew..." he remembers.

"Everyone in the media was asking about me. Oh, where's Eric the Eel? I didn't know how to speak English back then. People were saying I was a star. But I didn't know what to do. A lot of people were making fun of me, others were congratulating me.

"But what they didn't understand was that it was my first time in a swimming pool. People were making fun of me. But some said you are a good example of the Olympic spirit."

While most people saw the true values of the Olympic movement in Moussambani's Quixotic swim at Sydney -- heart, determination, a never-say-die spirit -- his performance sparked much hand-wringing elsewhere. Elite athletes were offended that more talented swimmers were denied a place at the Olympics to accommodate developmental athletes.

As Moorhouse said in a later interview: "It was quite a defining moment for the Olympic Games as to whether that level of performance should be in Olympic competition."

The end of Eric the Eel?

Sure enough the International Olympic Committee tightened up the rules on wildcard entries to prevent other "Eric the Eels" from turning up. But they still slip through the net. Only this week Hamadou Djibo Issaka, a rower from Niger, was hailed as the "new Eric the Eel" after finishing 100 seconds behind his nearest rival in the men's single sculls repechage.

Britain's five-time Olympic gold medalist Steve Redgrave criticized the decision to allow Issaka to compete. "There are better scullers from different countries who are not allowed to compete because of the different countries you've got," he said.

Yet it was Issaka, and not the winner, who was roared across the finishing line. Likewise with Moussambani. Few outside of the swimming world will remember Sydney champion Van den Hoogenband, but "Eric the Eel" has become an Olympic euphemism. "They even took my trunks to display in an Olympic museum in Sydney," he happily boasts.

An outside bet for Rio 2016?

But if swimming development was a key aim of the IOC's decision to give Equatorial Guinea a wildcard at the Sydney Games, then the move can be seen as a roaring success.

After the cameras left, Moussambani continued to swim. His last competition was the World Championships in Japan in 2002 and his times have steadily improved. And although he didn't make it to Athens four years later, nor Beijing, he is now the national swimming coach of Equatorial Guinea and hopes to still have one last shot at next Olympics in Rio in 2016 before he retires.

"My last time was 55 seconds, that was only last year," the 34-year-old explains hopefully.

"Right now I'm the coach of the country but I've asked my Olympic federation if I can swim at the next Olympics.

"I still have a dream. I want to show people that my times have improved, that we have swimming pools in my country now and that I can now swim a hundred meters."

@highlight

CNN talks to Eric Moussambani, better known as "Eric the Eel"

@highlight

Equatorial Guinea athlete became a worldwide celebrity for the worst swim ever

@highlight

He finished 100 meters freestyle heat at Sydney 2000 in double the world record time

@highlight

Now 34, Moussambani is hoping to return to the Olympics at Rio in 2016