WASHINGTON (CNN) -- The Supreme Court has concluded Texas can execute a Mexican man sentenced to death for murder, ending an unusual capital appeal that pitted President Bush against his home state in a dispute over federal authority, local sovereignty and foreign treaties.

The case decided by the Supreme Court on Tuesday pitted President Bush against his home state, Texas.

The 6-3 vote Tuesday means the pending execution of Jose Ernesto Medellin can proceed. He faces lethal injection for two brutal slayings.

At issue was whether the state had to give in to a demand by the president that the prisoner be allowed new hearings and sentencing.

Bush made that demand reluctantly after an international court concluded Medellin was improperly denied access to his consulate before his original prosecution, a violation of a treaty signed by the United States decades ago.

Chief Justice John Roberts wrote the majority opinion saying the international court "is not domestic law," thereby restricting the president's power over states. "The executive's narrow and strictly limited authority to settle international claims disputes pursuant to an executive agreement cannot stretch so far as to support the current presidential memorandum" that would force Texas to conduct a new state trial, he wrote.

Medellin was 18 when he participated in the June 1993 gang rape and murder of two Harris County, Texas, girls: Jennifer Ertman, 14, and Elizabeth Pena, 16. He was convicted of the crimes and sentenced to death.

Medellin's lawyers argued he was not informed upon his arrest of his right to contact Mexican consular officials. Those officials were never able to meet with him until after his conviction.

About 43 other Mexican nationals awaiting execution in various states -- including 13 in Texas -- also will be affected by the high court ruling. Only Oklahoma has commuted a capital inmate's sentence to life in prison in response to the international judgment.

The Mexican government filed an appeal against the United States with the International Court of Justice in January 2003, alleging violations of international law. Medellin filed his own federal and state appeals based on similar complaints as well as a claim of ineffective counsel. Medellin has the support of the European Union and several international human rights groups.

The ICJ ruled in 2004 the United States had violated the rights of the Mexican prisoners, in part because officials and prosecutors failed to notify their home countries, which could have provided legal and other assistance. The ICJ judges ordered the United States to provide "review and reconsideration" of the sentences and convictions of the Mexican prisoners.

The court is based in The Hague, Netherlands, and resolves disputes between nations over treaty obligations. The United States is one of the signatories to the 1963 Vienna Convention, laying out rights of people detained in other nations. The case turned on what role each branch of government plays to give force to international treaty obligations.

Roberts concluded international court judgments cannot be forced upon individual states. The president cannot "establish binding rules of decision that pre-empt contrary state law," he said, and the treaty does not specifically require states to remedy any treaty violations.

The chief justice was supported in his position by Justices John Paul Stevens, Antonin Scalia, Anthony Kennedy, Clarence Thomas and Samuel Alito.

In dissent, Justice Stephen Breyer said the presidential memorandum in this case was "self-executing," and warned, "the nation may well break its word even though the president seeks to live up to that word and Congress has done nothing to suggest the contrary."

He was supported by Justice David Souter and Ruth Bader Ginsburg.

Justice John Paul Stevens, who normally opposes the use of the death penalty, agreed with his conservative colleagues in this case. But he suggested the legal responsibility now falls on the state to give Medellin a fresh hearing, calling it a "modest cost of compliance."

"Texas' duty in this respect is all the greater since it was Texas that -- by failing to provide consular notice in accordance with the Geneva Convention -- ensnared the United States in the current controversy. Having put the nation in breach of one treaty, it is now up to Texas to prevent breach of another."

Lawyers for the administration and Medellin argued Bush properly exercised his unilateral executive authority, which a majority of justices had questioned in oral arguments last September.

The Mexican government filed an appeal with the ICJ against the United States in January 2003, alleging violations of international law.

Medellin filed his own federal and state appeals based on similar complaints, as well as a claim of ineffective counsel. Medellin has the support of the European Union and several international human rights groups.

Bush said he disagreed with the international court's conclusions but agreed to comply with them.

In a February 28, 2005, executive order, he said, "The United States will discharge its international obligations ... by having state courts give effect to the decision."

But a Texas appeals court later rejected that executive authority. In a sharply worded opinion, Judge Sharon Keller concluded the president's "unprecedented, unnecessary, and intrusive exercise of power over the Texas court system cannot be supported by the foreign policy authority conferred on him by the United States Constitution."

The Constitution does not directly give the president the power to enforce the treaties agreed to by the United States.

However, Article VI says that "all treaties made ... under the authority of the United States shall be the supreme law of the land, and the judges in every state shall be bound thereby."

Lawyers for the administration and Medellin argued Bush properly exercised his unilateral executive authority, which several justices had questioned in oral arguments last September.

Texas Solicitor General Ted Cruz told the high court the president's action was "a very curious assertion of presidential authority," saying it "singles out the states, commandeers those judges."

The Bush White House typically backs states in their power to carry out executions, but Justice Department officials said that in these instances, the president's power to conduct foreign policy outweighed states' interests.

The Supreme Court originally heard the Medellin case in 2005 but did not rule on the merits, waiting instead for lower courts to resolve the federalism angle. E-mail to a friend

@highlight

Mexican national Jose Medellin convicted of murder of two Texas girls

@highlight

International court concluded Medellin was denied access to his consulate

@highlight

President Bush asked Texas to give Medellin new court hearing

@highlight

Supreme Court supports Texas' refusal, says Bush can't force new hearing