Forensic tests have found the blood of Michael Brown on the gun, uniform and police cruiser belonging to Officer Darren Wilson, who fatally shot the unarmed teen two months ago in Ferguson, Missouri, The New York Times reported.

The revelation, provided by unnamed government officials familiar with a federal civil rights investigation, marked the first public account of Wilson's testimony to investigators.

That it could potentially serve as exculpatory evidence -- or at the very least, used by Wilson's supporters to back the officer's account of what transpired on Canfield Drive on August 9 -- immediately drew suspicion and anger from leading activists who portended an ominous reaction from Brown supporters.

"This is clearly constructed and contrived to justify the killing of Mike Brown," Ferguson resident Pam Peters told CNN affiliate KTVI.

Angela Whitman, a Ferguson resident who was among activists meeting with U.S. Attorney General Eric Holder there in August, found the newspaper account of Wilson's testimony "so hard to believe."

She said the report addressed only the initial encounter and not the subsequent fatal shooting, when some witnesses said Brown was surrendering with his hands up. But police said Wilson shot Brown after the teen attacked him and tried to take his gun.

Whitman speculated that the account was leaked to the newspaper because a St. Louis County grand jury investigating the teen's killing is now leaning toward not indicting the officer.

"If [Michael Brown] struggled with this officer, this still does not justify why this child is not alive," Whitman said. "If this young man did this, and struggled, that means he got free. And then witnesses said he turned around with his hands up. This kid should still be alive.

"There was speculation probably about a week ago, that Wilson will not be indicted, and that he is going to get off. People are more angry now. There's more anger now than when the incident happened," Whitman continued.

Whitman worried whether the revelation would provoke another round of racially charged protests akin to the violent demonstrations immediately after Brown's August 9 death in the St. Louis suburb. Wilson is white; Brown was black.

"This is not a black and white thing, this is about what's right and wrong. St. Louis is in trouble, because if this is what Darren Wilson said, and they believe him, St. Louis is going to burn," Whitman said.

"I'm so frustrated with this. It's all for political gain. It's become no longer about Mike Brown," Whitman added.

The officer's account

Wilson, 28, a resident of the St. Louis area, has stayed out of the spotlight since the incident, and until now, few details have emerged publicly about his side of the story.

Wilson told investigators he was trying to leave his car when Brown shoved him back in, the Times reported Friday night.

Once in, Brown pinned him in his car and tried to get his gun, which made him fear for his safety, the newspaper reported, citing unnamed government officials familiar with the federal civil rights case.

The officer told authorities that Brown hit him and scratched him repeatedly,  leaving bruises on his face and neck, according to The Times.

Analyst: "Helpful testimony" for officer

CNN legal analyst Paul Callan said the new account appears to be "strong evidence" favoring the officer, but "the real focus on the case will shift to what happened outside of the car when Michael Brown ran away, according to many witnesses," Callan said.

"I think the focus will shift on the officer," Callan said. "He is not out of the woods yet, even though this is helpful testimony for him.

"The officer will claim here that because Michael Brown tried to kill him with his gun ... he was a danger to the public and to the officer in general," Callan said. "However, if, as some witnesses have said, Michael Brown turned with his hands up in a surrender gesture, well, then he's no longer a threat to anybody and he cannot be shot.

"The officer may be saying, well, that is not what's happening. He was running towards me and trying to tackle me and he constitutes a continuing threat to my safety. So it will depend on what the grand jury believes which is the accurate version," Callan said.

Gun fired twice in car

FBI forensic tests showed the gun was fired twice in the car, with one bullet hitting Brown's arm while the second one missed, the newspaper said.

In addition to Wilson's uniform and gun, forensic tests found the teen's blood on the interior door panel of his car, The Times said.

His account did not include an explanation on why he shot at Brown even after they got out of the car, according to The Times. A preliminary autopsy showed the teen was shot at least six times, including twice in the head.

Separate federal and local investigations are still ongoing, but the government officials said the evidence so far does not indicate that the officer violated any civil rights, The Times reported.

CNN cannot confirm the details of The Times' report.

A grand jury is considering whether Wilson should be tried on other charges.

What happened in the car mostly a mystery

Most of the accounts of Brown's shooting have focused on what happened outside the car -- on the street -- with conflicting narratives between both sides.

Dorian Johnson, 22, who was walking with Brown on the street when the shooting occurred, told CNN that the officer pulled up and told them to get on the sidewalk. They told him they were almost home, and would be off the street shortly.

The officer drove forward, but stopped and backed up, almost hitting the pair, Johnson said.

"We were so close, almost inches away, that when he tried to open his door aggressively, the door ricocheted both off me and Big Mike's body and closed back on the officer," he said.

Witnesses' version a stark contrast

Still in his car, the officer grabbed Brown by his neck, but he tried to pull away as the officer pulled him toward him, Johnson said.

The officer drew his weapon and fired, hitting Brown, Johnson said. A bloodied Brown took off running, but the officer followed him and fired, according to Johnson.

Brown turned around with his hands up and told the officer he was unarmed, but the officer fired and the teen hit the ground, Johnson said.

Another witness, Tiffany Mitchell, has said she saw Wilson and Brown "tussling through the window" of the police cruiser.

Complete coverage of Ferguson shooting and protests

@highlight

Officer's testimony helps him, but "he is not out of the woods yet," analyst says

@highlight

A leading activist finds account of officer's testimony "so hard to believe"

@highlight

Brown supporters are so angry that St. Louis area may "burn," activist warns

@highlight

Report: Evidence does not indicate any civil rights violations so far