Washington (CNN)  -- Health care reform is a signature issue for Democrats, but the attempt to overhaul the nation's health system has pitted liberals against centrists, exposing fissures 11 months before the 2010 midterm elections.

A year ago Democrats were united in victory after winning back the White House and picking up additional seats in Congress. But with victory comes expectations that are accentuated when a party controls both ends of Pennsylvania Avenue.

For Democrats, it is the party's political base -- voters who turned out in 2008 to help elect Barack Obama president and boost the Democratic majorities in the House and Senate -- which is demanding results.

Simply by the numbers, the health care overhaul should easily pass Congress. Democrats comfortably control the House of Representatives, and with the assistance of two Democratic-allied independents have the 60 votes needed to overcome a Republican filibuster in the Senate.

Except it is not about numbers on health care. It is about differences in ideology on the public option and abortion that has slowed down the bill.

Liberal advocacy organizations wasted little time this week condemning Democratic leaders when news broke that a Senate deal had been struck to replace the public option with another proposal to help cover the uninsured. The deal was intended to address concerns by some centrist Democrats over the public option. The news enraged some liberal activists.

MoveOn.org organizers sent a note to the e-mail boxes of its 5 million members. It opened with three words: "How could they?"

"Senate Democrats have just announced a tentative health care deal that doesn't appear to include a real public health insurance option," the organizers wrote in the note. "Instead of pulling out all the stops, they've bargained away the heart of health care reform -- allowing conservative senators like Joe Lieberman and Ben Nelson to hold the process hostage and protect Big Insurance."

Lieberman is an independent from Connecticut politically aligned to the Democratic Party. Nelson is a centrist Democrat from Nebraska.

The Progressive Change Campaign Committee was more aggressive in its reaction. "This is outrageous," PCCC officials wrote in an e-mail that was sent to 300,000 people. "We need to fight back now."

The fissures in the Democratic Party do not end at health care. The president's decision to send 30,000 additional U.S. troops to Afghanistan was met with skepticism by some Democratic lawmakers and outright opposition by others. The decision frustrated anti-war groups.

"In terms of the policy, I think it is a dreadful mistake," said former Rep. Tom Andrews, a Maine Democrat who is national director of Win Without War. "The whole idea of getting out of Afghanistan by escalating is like fighting a fire by throwing gasoline on it."

Some liberals express concern that policy decisions made by the Obama administration and Democratic leaders could hurt the party in the 2010 elections.

"I think the Democratic base -- the danger is it becomes a no-show in 2010," Andrews said. "An element that was so critical to the success in 2006 and 2008 is going to be on the sidelines. People are going to be so dispirited."

Ilyse Hogue, MoveOn.org's director of political advocacy, echoed Andrews' concern and said that while MoveOn.org members "trust" Obama, "they are sincerely concerned about the gap between his campaign promises and the reality of the legislation that is being passed."

"I think we are going to see, if this trajectory plays out, a depression in 2010 and that is deeply concerning," she said.

An analysis of CNN polling indicates that support for the president and congressional Democrats has slipped among self-described liberals.

In June, a CNN/Opinion Research Corp. poll showed that Obama had an 89 percent favorable rating with liberals. In December, his favorable rating with this group fell to 73 percent.

In October, a CNN/Opinion Research poll showed Democrats had an 87 percent favorable rating with liberals on the generic congressional ballot. It has since dropped to 79 percent.

"From Afghanistan to the public option to abortion to the economy, the past few months have seen President Obama and Democrats in Congress taking actions that some liberals don't like," said Keating Holland, CNN's polling director.

At the same time, Obama is facing increasing pressure from the Congressional Black Caucus to pay more attention to issues affecting the African-American community. Rep. Barbara Lee, D-California, issued a statement following the president's economic speech this week that prodded him to do as much.

"While we agree with the president that support for small businesses, infrastructure investment and green jobs is essential, we also believe that much more needs to be done, particularly for those Americans who are hurting most," said Lee, chairwoman of the caucus.

One of the more troubling signs for Democrats, perhaps, is that liberal advocacy groups have been spending money on television ads targeting Democratic lawmakers on health care.

After the House approved its health care bill, MoveOn.org ran TV ads against seven Democratic lawmakers criticizing them for voting against it. The Progressive Change Campaign Committee also has run ads against Democrats as has Health Care for America Now, an umbrella group that represents 1,000 organizations, including major unions and liberal-leaning groups.

There is even an organization that is trying to recruit liberal candidates to challenge more conservative Democrats in next year's primaries.

But for all the talk of Democratic infighting, a senior official at the Democratic National Committee shrugged it off and said disagreements are par for the course when you have a "big tent" party.

"What is occurring in the Democratic Party is no different than what always occurs in the Democratic Party," said Brad Woodhouse, the DNC communications director.

"It is the most diverse collection of people and ideas of any political party that has walked the face of the earth ... from the very liberal members to the very conservative members. It really is no surprise that when you have such a big and diverse party there are going to be differences."

@highlight

Democratic differences on public option, abortion slows down health care overhaul

@highlight

Move for more Afghan troops also stirs opposition among Democrats

@highlight

Support for President Obama, congressional Democrats slip among liberals

@highlight

Democratic National Committee official downplays divisions