So long, margarine: Artificial trans fat in foods may eventually become a thing of the past.

The Food and Drug Administration on Thursday took a first step toward potentially eliminating most trans fat from the food supply, saying it has made a preliminary determination that a major source of trans fats -- partially hydrogenated oils -- is no longer "generally recognized as safe."

If the preliminary determination is finalized, according to the FDA, then partially hydrogenated oils will become food additives that could not be used in food without approval. Foods with unapproved additives cannot legally be sold.

Trans fat can be found in processed foods including desserts, microwave popcorn products, frozen pizza, margarine and coffee creamer, and has been linked to an increased risk of heart disease.

Partially hydrogenated oil is formed when hydrogen is added to liquid oils to make solid fats, like shortening and margarine. It increases the shelf life and the flavor of foods. Partially hydrogenated vegetable oil, or shortening, was used in American kitchens as early as 1911.

However, in recent years many food manufacturers have taken steps to limit or eliminate trans fat from their products.

McDonald's, for instance, stopped cooking its french fries in trans fat more than a decade ago. The company's website says all its fried menu items are free of trans fat.

New York City in 2007 adopted a regulation banning partially hydrogenated vegetable oils and spreads in restaurants.

Mayor Michael Bloomberg said Thursday that he was encouraged by the FDA's move.

"The groundbreaking public health policies we have adopted here in New York City have become a model for the nation for one reason: They've worked. Today, New Yorkers' life expectancy is far higher than the national average, and we've achieved dramatic reductions in disease, including heart disease. The FDA deserves great credit for taking this step, which will help Americans live longer, healthier lives," Bloomberg said.

Photos: The history of trans fat

Trans fat intake among American consumers decreased from 4.6 grams per day in 2003 to about a gram a day in 2012, according to the FDA.

However, "current intake remains a significant public health concern," FDA Commissioner Margaret Hamburg said in a written statement.

There is no safe level of consumption of trans fat, Hamburg said. It has been shown to raise the "bad," or LDL, cholesterol.

"Through our efforts at product reformulation and the development of suitable alternatives, trans fats that are not naturally occurring have been drastically reduced in the food supply," the Grocery Manufacturers Association, which represents more than 300 food, beverage and consumer product companies, said in a prepared statement.

"Since 2005, food manufacturers have voluntarily lowered the amounts of trans fats in their food products by over 73%."

Other countries are also working to reduce trans fat in the food supply. Policies in Brazil, Costa Rica, Denmark, the Netherlands, South Korea and the United States have proved effective over the past two decades, the World Health Organization said in April. The WHO has called for eliminating trans fat from the global food supply.

WHO outlines steps to reduce leading causes of death

The FDA has opened a 60-day comment period on the determination "to collect additional data and to gain input on the time potentially needed for food manufacturers to reformulate products that currently contain artificial trans fat should this determination be finalized," the agency said.

There are two phases to the process, FDA officials said Thursday. The agency will evaluate the comments and evidence received during the comment period.

"If we finalize our conclusion, then we are inviting comments from industry on what would be an appropriate phaseout," said Michael Taylor, the agency's deputy commissioner for foods.

"The timeline would be based on the comments we get. Given the public health impact, we want to move as quickly as we can."

The National Restaurant Association noted in a statement the industry's "tremendous strides" in reducing or eliminating trans fats.

"We plan to discuss the impact of this proposal on the industry and submit comments, and we will continue to work with our members and the manufacturing supply chain to address any new federal standards that may arise out of this process," said Joan McGlockton, the association's vice president of industry affairs and food policy.

Hamburg called Thursday's move "an important step toward protecting more Americans from the potential dangers of trans fat."

The American Heart Association, the American Medical Association and the Center for Science in the Public Interest were among those praising the move.

"The scientific evidence is clear -- eating food with trans fat increases production of 'bad' cholesterol, which is a risk factor for heart disease," the AHA said.

So what should consumers do in the meantime? Choose products that have the lowest combined amount of saturated fat, cholesterol and trans fat, the FDA said.

Dietary fats: Know which types to choose

Under current regulations, companies can claim their food has 0 grams of trans fat if the food contains less than 0.5 grams of trans fat per serving, according to Mical Honigfort, a consumer safety officer at the FDA. But if partially hydrogenated oil is listed in the ingredients, there may still be a small amount of trans fat present.

Nancy Brown, the Heart Association's CEO, said she hopes the FDA goes a step further and revises labels for foods that are trans fat free.

The preliminary determination was based on "available scientific evidence and the findings of expert scientific panels," the FDA said.

The determination covers only partially hydrogenated oils, not trans fat that naturally occurs in some meat and dairy products. Trans fat is also present at very low levels in other edible oils, such as fully hydrogenated oils, where it is "unavoidably produced during the manufacturing process," according to the FDA.

Avoiding foods containing artificially produced trans fat could prevent 10,000 to 20,000 heart attacks and 3,000 to 7,000 coronary heart disease deaths each year, according to one study from the U.S. Centers for Disease Control and Prevention.

"Artificial trans fat is a uniquely powerful promoter of heart disease, and today's announcement will hasten its eventual disappearance from the food supply," said Michael Jacobson, the Center for Science in the Public Interest's executive director. "Not only is artificial trans fat not safe, it's not remotely necessary. Many companies, large and small, have switched to healthier oils over the past decade. I hope that those restaurants and food manufacturers that still use this harmful ingredient see the writing on the wall and promptly replace it."

@highlight

The FDA takes a first step toward eliminating artificial trans fat in the food supply

@highlight

The agency says partially hydrogenated oils are not "generally recognized as safe"

@highlight

The oils can be found in processed foods including desserts and coffee creamer