(CNN) -- Is this just a normal year, or is the southwest monsoon acting more aggressively than normal?

The 2011 tropical cyclone season in the west Pacific has been about average, not significantly above or below usual events. We did have a few consecutive storms that made landfall in the Philippines and other parts of South East Asia in late September and early October, such as Haitang, Nesat, and Nalgae -- but that had more to do with a steering pattern caused by high pressure over the Pacific, not the monsoon. The remnants of these storms did make their way farther into South East Asia, which likely enhanced the monsoon trough, thus leading to higher than average rainfall in countries such as Thailand, Cambodia, Laos and Vietnam. Rainfall in most of Thailand is running 15% to 25% above average for the year (with a vast majority of that rain coming in the monsoon months of May to October).

What exactly is the southwest monsoon? When does it start, end, and how is it generated?

The southwest monsoon occurs during the northern hemisphere summer, and is caused by the land masses of the Indian subcontinent and South East Asia heating up faster than the Indian Ocean. This creates an influx of cooler, moisture-laden air from the ocean over the land. The southwest monsoon generally begins in mid-May and ends in late October/early November, though start and end times vary based on location. India, for example, has a southwest monsoon season that begins June 1 and ends September 30.

Which countries are most affected by this monsoon?

India, Pakistan, Bangladesh, Myanmar, Thailand, Laos, Vietnam, Cambodia, Philippines, and Malaysia are all affected in a significant way. India is largely considered the most "affected," since it has the most-consistent monsoon season and depends the most on the rains of the monsoon for their life-sustaining agriculture.

Some areas in Asia are recording above-average precipitation, such as in Bangkok which has so far received 58% more rainfall than usual this year. Why is the monsoon bringing more intense weather than usual in 2011?

Some monsoons are more active than others, and there can be a myriad of reasons for this. I think the monsoon rainfall was enhanced in September by numerous tropical systems interacting with the monsoon trough. But other reasons could be much more complicated. There could be interactions with other large-scale weather and climate variables, such as El Nino or La Nina (in the case of this summer, La Nina was in place, and this does normally lead to higher than average precipitation in South East Asia). Sea-surface temperatures that are slightly above or below average can also lead to a variation in monsoon rainfall. Scientists will need to look into how all of these potential ingredients came together to produce these flooding rains.

Also, the monsoon can be very active in one region, while being relatively inactive in another. It just so happens that for the last several weeks, the monsoon trough has been very active over central Thailand (in and around Bangkok), but other areas of the country have seen below average rainfall.

In general are Asian summer monsoons becoming more destructive, or is it just cyclical?

I believe it is just cyclical, and as mentioned above, depends on a wide variety of factors. The consequences, however, could be getting worse as populations and cities grow along the major rivers, which see rapid and intense rises during monsoon floods.

Is there anything that Asia can do to help alleviate higher than usual rainfall?

Better city planning and flood prevention strategies would be the biggest thing. Monsoon floods have always occurred, and these rivers naturally flood their banks occasionally (which is what makes the land in these areas so fertile). But if people continue to build more in these vulnerable areas, natural disasters like floods will continue to become more frequent.

CNN meteorologist and weather anchor Jennifer Delgado also contributed to this report.

@highlight

The 2011 tropical cyclone season in the west Pacific has been about average

@highlight

Some storms likely enhanced the southwest monsoon trough, thus leading to high rainfall in some countries

@highlight

There could be interactions with other large-scale weather and climate variables, such as El Nino or La Nina