(CNN) -- Modern medicine is very good at some things, and really lousy at others. As I wrote in a blog last week, psychiatry is no different in this regard.

We understand some types of aberrant behavior pretty well and can do things to help resolve it. But, unfortunately, in other instances-and often the most interesting ones-we can only mumble generalities that require no special expertise and that offer no hope for a diagnosis or treatment.

Consider filmmaker Jason Russell, director of "Kony 2012", a much debated video about an African warlord. Several weeks ago, Russell was apprehended by police in San Diego after running naked through the streets, pounding his fists on the pavement and shouting incoherently.

This is certainly an unexpected and bizarre turn of events for a well-regarded and previously normal filmmaker. However, from a psychiatric perspective, this behavior is neither unexpected nor bizarre. In fact, it happens all the time. If you'd asked 100 psychiatrists for their diagnosis of Mr. Russell upon first hearing the story, I'd bet more than 90 of them would instantly say "manic episode".

Why? Because people who develop severe mania almost always demonstrate bizarre agitated behavior, and usually utter what sounds like nonsense to others. And as most psychiatrists will attest, nakedness is a behavior commonly seen in catatonic episodes.

I can't begin to count the number of manic patients I've treated who went naked in public prior to landing in the hospital. And I'll never forget the mental images I have of various manic patients lumbering naked down corridors in the psychiatric inpatient unit, much to the dismay of everyone but themselves.

Manic episodes can be caused by various factors. Most of the time they occur in people with bipolar disorder, which is a devastating psychiatric condition characterized by alternating manias and depressions. But manias also can be caused by drugs of abuse, medications, and more rarely, by medical problems such as hormone imbalances, seizures or brain tumors. Even in people with bipolar disorder, manias don't come out of thin air, but are usually sparked by stress and its evil attendant, sleep loss. This appears to have been the most likely causative factor in the case of Mr. Russell.

The good news about manias is that they can almost always be treated, and sometimes very rapidly. Several classes of medications almost always resolve manic episodes within several weeks. Occasionally something as simple as a single good night's sleep will resolve a manic episode. I wouldn't believe this if I hadn't seen it myself on numerous occasions.

In the end it appears that, according to his family, Mr. Russell has received the diagnosis of "Brief Reactive Psychosis."

This label tells us nothing about what caused Mr. Russell's episode, what pattern of symptoms he experienced, or what his future is likely to hold. Like all current psychiatric diagnoses it is only a description of his symptoms. It says Mr. Russell was briefly psychotic and is now doing better. With a little bit of luck it will be his last such diagnosis.

@highlight

Psychiatrist: "Kony 2012" filmmaker Jason Russell's behavior is neither unexpected nor bizarre.

@highlight

People who develop severe mania almost always demonstrate bizarre agitated behavior, says expert.

@highlight

Dr. Charles Raison: Manias can almost always be treated, and sometimes very rapidly.