(CNN) -- America can handle the truth. Even if that truth could include a coverup at the powerful IRS.

The IRS mission statement pledges to "enforce the law with integrity and fairness to all."

But public scrutiny has revealed details indicating a level of politicization totally at odds with that.

Look at the two eye-opening developments that have happened at the IRS since May: An acting IRS commissioner resigned, and another powerful IRS official refused to answer questions before Congress, pleading the Fifth Amendment.

Whatever is going on, there is only one way to proceed, and that is a professional and thorough investigation.

For people who haven't been following a lot of this, let me quickly get you up to speed:

The IRS inspector general released a report on May 14 describing how the agency had inappropriately targeted tea party and conservative groups that had applied for tax-exempt status.

Then the IRS put these groups through extra reviews, substantial delays and burdensome requests for information.

The reaction was immediate. The next day, President Barack Obama announced that the acting IRS commissioner was resigning.

That doesn't exactly happen every day.

Obama went on to say, "I will not tolerate this kind of behavior in any agency, but especially in the IRS, given the power that it has and the reach that it has into all of our lives."

After that shocking disclosure, several things happened:

• Senate and House committees launched investigations into the scandal.

• The FBI began a criminal investigation.

• The IRS inspector general expanded its ongoing investigation.

• IRS official Lois Lerner exercised her Fifth Amendment right against self-incrimination by refusing to answer questions before Congress.

Some interesting developments emerged from all that.

For one, the original claim during IRS testimony -- that the scandal was the result of a couple of "rogue IRS agents" in the agency's Cincinnati field office -- didn't hold water.

It turned out that, according to frontline IRS agents in Cincinnati interviewed by House Oversight committee investigators, the Washington IRS office had played a key role in the handling of the tea party applications.

Retired IRS lawyer Carter Hull disclosed in testimony that IRS Counsel William Wilkins was one of his supervisors in the targeting of conservative groups. (The IRS has denied Wilkins' involvement in the targeting of specific groups.)

The inspector general's report found that Wilkins' office had sent the exempt organizations determination unit on April 24, 2012, "additional comments on the draft guidance" for considering applications of tea party groups for tax-exempt status (PDF).

Read the inspector general's report

The connections between Wilkins' office and the inappropriate profiling of conservative groups are especially noteworthy because there are only two appointees of the president at the IRS: the commissioner and the chief counsel.

Cynics may view this controversy as typical when the House is in the hands of a different party than the president, but guess what?

The Democrat-controlled Senate's Finance Committee has also weighed in.

That committee has called for three things: a hearing, an investigation and a request to the IRS for documents.

Montana Democrat Sen. Max Baucus, the committee chairman, stated bluntly, "Targeting groups based on their political views is not only inappropriate, it is intolerable, unacceptable and cannot be allowed."

Baucus promised a bipartisan investigation and has been true to his word. When the first week of August arrived, Baucus and his GOP counterpart, Sen. Orrin Hatch of Utah, said the IRS failed to provide "most of the information requested by the Committee."

New details reshape IRS targeting scandal

As chairman of the ethics watchdog group National Legal and Policy Center, I had filed a complaint with the IRS in May 2011 showing that a purported charity called the Barack H. Obama Foundation -- named for the father of President Obama and run by his half-brother, Malik Obama -- had been raising funds in the U.S. by falsely claiming to be an IRS-approved charitable group.

I submitted proof that the foundation was not tax-deductible and had never even applied for that status despite the fact that it had been fundraising for about three years.

In fact, one of the foundation's directors admitted that an IRS application had never been submitted.

There was compelling evidence suggesting that the foundation was raising money on the Internet by misrepresenting itself as being IRS-approved when it really wasn't.

Suddenly, the foundation rushed an application to the IRS in late May 2011.

In the short span of about a month, Lerner -- the same person who took the Fifth Amendment rather than testify before Congress -- gave the Obama Foundation its tax-deductible status.

And, the IRS made that status retroactive for three years.

Even more curious, several of the forms submitted by Malik Obama were stamped as being received by the IRS in July 2011. That's one month after Lerner approved the group's new tax status.

Generally, the approval process for charitable groups seeking tax-deductible status takes longer than it does for groups that merely want to be tax-exempt, such as most of the tea party groups.

In any case, there's a good chance this scandal could last a while.

Anyone who follows Washington scandals knows that investigations can take months, sometimes years.

Consider Watergate.

That story broke during the presidential campaign of 1972. The president's press secretary dismissed it as a third-rate burglary. The investigation was slow because there was an active pushback from the Nixon administration and the people being investigated. The end finally came in August 1974, when President Nixon resigned.

'Enemies list' won't be tolerated, says GOP lawmaker

Was there a coverup here, like there was in the Watergate scandal? I have no idea.

But it could easily be argued that there are a lot of signs pointing in that direction: Multiple investigations were cut off; document processing was delayed; a key official took the Fifth Amendment.

McConnell says Obama administration marked by 'culture of intimidation'

When the issue involves the integrity of an institution as powerful as the IRS, the media and the public are entitled to a thorough, professional investigation.

Anything less leads an already cynical public to become even more cynical. If it comes to the appointment of a special prosecutor, that, I believe, should be reserved as a last resort.

The administration says there's no political basis for the IRS actions. If that's true, then it has nothing to lose. Sometimes, though, the truth hurts. But don't worry. Whatever happens, America can handle it.

The opinions expressed in this commentary are solely those of Ken Boehm.

Got a story idea or tip for CNN's investigations team? Go to cnn.com/investigate or click here to submit.

Watch Erin Burnett weekdays 7pm ET. For the latest from Erin Burnett click here.

@highlight

The Internal Revenue Service should get a thorough investigation, author says

@highlight

The IRS targeted tea party and other conservative groups that applied for tax-exempt status

@highlight

An acting IRS commissioner quit, and another official pleaded the Fifth before Congress

@highlight

Whatever is going on, Boehm says, America can handle the truth