Washington (CNN) -- Supreme Court nominee Elena Kagan once believed a federal law to ban physician-assisted suicide was a "fairly terrible idea." The handwritten remarks were part of more than 46,000 documents released Friday, as Senate lawmakers prepare for confirmation hearings for the 50-year-old Kagan.

The memos detailed Kagan's service in President Bill Clinton's Domestic Policy Council, which advised the White House inner circle on a range of issues pending in Congress and the courts. As deputy to then director Bruce Reed, Kagan offered legal and political advice on an agenda that included abortion, tobacco legislation, AIDS, consumer protections and healthcare.

At issue was a federal challenge to Oregon's 1994 Death with Dignity Act allowing doctors to prescribe lethal doses of medicine to assist patients to commit suicide. The law, which passed a state referendum by a slim margin, survived multiple court challenges and attempts to blunt its effectiveness, including a second referendum in 1997 that would have repealed it. Sixty percent of Oregon's voters rejected the repeal attempt.

But in early 1998, the Clinton administration was prepared to support the argument that Oregon's referendum was acceptable and that federal authorities had no power -- under the Controlled Substances Act (CSA) -- to block doctors from prescribing lethal doses of drugs.

In a January 16, 1998, memo from the Justice Department, Clinton officials laid out their case, despite internal concerns the law was an improper preemption of federal power. At the top of the document, Kagan added her thoughts.

"DOJ [Justice Department] is ready to opine that Oregon doctors who assist suicides are not violating the Controlled Substances Act (This is contrary to an initial DEA [Drug Enforcement Administration] ruling," wrote Kagan. "We need to decide whether to accompany this ruling with a request for new legislation making assisted suicide a federal crime. I think this is a fairly terrible idea, but I know Begala likes it."

Kagan, in the memo, does not specify why she opposed that idea. "Begala" is Paul Begala, a longtime Clinton political adviser. He is now a political contributor for CNN and a Democratic party strategist.

She signed her remarks with "Elena."

Conservative groups expressed initial concern over this and other memos outlining Kagan's often blunt views on hot-button issues.

"It shows her as a political thinker, which was her role at the time," said Carrie Severino of the Judicial Crisis Network. "But as someone who has never been a judge, it is something to look out for, if her approach on the bench will be politically driven. It can be hard to change that role, to become a fair arbiter of the law and not be a judicial activist."

The high court the year before the Kagan memo upheld state bans on assisted suicide, concluding there was nothing in the Constitution supporting an individual's right to die. But the ruling left open the possibility of state referendums supporting the practice, and Oregon's measure went into effect after numerous appeals and injunctions.

The Bush administration in the 2000s -- backed by a Republican-led Congress -- vigorously took up the issue to make assisted suicide a federal crime and to challenge the Oregon law, eventually appealing all the way to the Supreme Court.

The justices in January 2006 ruled against the federal government, dismissing the argument the U.S. attorney general has the power to block Oregon's then-unique law.

Medical groups and patient right advocates supported Oregon, while many religious conservatives backed the Bush administration.

@highlight

Kagan memo on doctor-assisted suicide part of 46,000 documents from Clinton years

@highlight

Notes were response to Justice Department case on Oregon law

@highlight

Conservatives concerned that memo suggests Kagan might by 'judicial activist'

@highlight

Supreme Court ultimately upheld Oregon assisted suicide law