(CNN)Latest developments:

Full story:

Saudi Arabia has launched military operations in neighboring Yemen, where for months Houthi rebels have intensified their violent campaign against the government, the Saudi ambassador to the United States told reporters in Washington on Wednesday.

Adel al-Jubeir said the operation consisted of airstrikes on more than one city and in more than one region.

Yemen, a longtime stronghold for one of al Qaeda's most dangerous branches, has been plunged into chaos since the Houthi rebels began seizing control of the capital and other areas of the country in recent months. The unrest has led to the withdrawal of U.S. special forces from Yemen, seriously undermining counterterrorism efforts there.

How did Yemen get to this place?

"We are determined to protect the legitimate government of Yemen," al-Jubeir said. "Having Yemen fail cannot be option for us or for our coalition partners."

A leading member of the Houthis' political wing, Ansar Allah, said force will be met with force.

"This is a clear aggression and we will respond by a counteraggression," Ali Al Imad told CNN Arabic. "The Saudi move will unite all the people of Yemen against the Saudis and the kingdom will pay the price."

If the Saudis try to invade with ground troops, he said, they will fail.

"They probably will try to avoid that, but If it happened then they will pay a very high price," Imad said.

The Saudi airstrikes appear to be targeting military compounds, headquarters and weapons storage areas. Journalist Hakim Almasmari, who is staying in the capital of Sanaa, said hundreds of explosions have caused residents to stay in their homes.

"I do expect the Sanaa of a couple of hours ago to be a different Sanaa in the morning," he said.

A senior Arab diplomat told CNN that the Gulf Cooperation Council soon will issue a statement that the Yemenis have asked for military assistance and the GCC is prepared to step in. It will be signed by all GCC countries except for Oman. Not all countries will contribute military forces, the source said.

Arab and senior administration officials from the United States told CNN that an interagency U.S. coordination team is in Saudi Arabia. The sources said the Saudis have not specified what they want yet, but will likely ask for American air support, satellite imagery, and other intelligence.

"We can help with logistics and intelligence and things like that, but there will be no military intervention by the U.S.," a senior administration official said.

Al-Jubeir said the United States is not involved in the airstrikes against the Houthis, who are Shiites in a majority Sunni nation.

But the coalition includes more than 10 nations, he said, meaning more than the six GCC countries will be involved.

Yemen, which has been in turmoil for months, shares a border with southern Saudi Arabia.

"We hope that the wisdom will prevail among the Houthis and they will become part of the political process rather than continue radical approach to try to take over Yemen and destroy it," Al-Jubeir said.

Earlier Wednesday, rebel forces captured parts of the port city of Aden and a nearby Yemeni air base recently evacuated by U.S. forces, officials in the country said, with one rebel spokesman claiming that Yemen's president fled Aden as his opponents advanced.

The rebels late Wednesday morning captured al-Anad air base, an installation that the last Yemen-based contingent of U.S. special operations forces evacuated over the weekend because of the deteriorating security situation in the country, said Mohammed AbdulSalam, a spokesman for the Houthi rebels.

The rebel forces -- Houthis and some allies in the Yemeni military -- then advanced on Aden, the nearby port city where President Abdu Rabu Mansour Hadi had taken refuge for weeks.

There were conflicting reports Wednesday about Hadi's whereabouts. But one Houthi spokesman, Mohammed AlBukhaiti, said Hadi left  Aden on a boat with a Saudi diplomatic team as the rebels approached the port city.

AlBukhaiti told CNN that Hadi went to Riyadh, Saudi Arabia.

But a Saudi Arabian source told CNN's Nic Robertson that the President was still in Yemen in the early hours Thursday.

Earlier, U.S. State Department spokeswoman Jen Psaki told reporters, "It's pretty clear (Hadi) left voluntarily," without saying where Hadi had gone. She clarified that circumstances in Yemen caused him to leave his residence, but that rebels did not expel him.

Two senior administration officials said it's unclear if he left Aden.

The rebels' advance illustrated the growing power the Houthis have enjoyed since taking over Sanaa in January, and illustrated a further collapse of a government that had been a key U.S. ally in the fight against then Yemen-based al Qaeda in the Arabian Peninsula.

For years, Yemen had allowed U.S. drones and special operations forces to stalk AQAP in the country. Now, that arrangement is in tatters, along with any semblance of peace in the Middle Eastern nation.

Underscoring rebels' increasing strength, Houthi-commanded Yemeni air force jets on Wednesday dropped bombs on or fired missiles at the presidential palace in Aden for the third time in a week, causing minimal damage and injuring no one, two Hadi aides said.

The airstrikes happened before reports of Hadi's departure from Aden emerged. Hadi had been staying at the Aden palace since last month, when he fled the capital, Sanaa, after a Houthi takeover there.

The United States "strongly condemn(s) the recent offensive military actions taken in Yemen that have targeted President Hadi," Psaki told reporters Wednesday.

The Houthi militants -- Shiite Muslims who have long felt marginalized in the majority Sunni country -- moved into the capital, Sanaa, in September, sparking battles that killed a few hundred people before a ceasefire was called. In January, they surrounded the presidential palace and Hadi resigned and was put under house arrest.

But Hadi escaped in February, fleeing to Aden and declaring that he remained the country's leader. The Houthis took control of military forces stationed near Sanaa, including the air force. Some of the forces aligned with the Houthis also are loyal to Hadi's predecessor, former President Ali Abdullah Saleh, who resigned in 2012 after months of "Arab Spring" protests inspired in part by a 2011 revolution in Egypt.

By last week, opposing Yemeni military forces -- those loyal to the Houthis, and those answering to Hadi -- battled in Aden, with Hadi's forces temporarily pushing out the rebels on March 19 after at least 13 people were killed.

On Wednesday, with the U.S. forces gone, Houthi-aligned forces took over al-Anad air base, about 40 kilometers from Aden, said AbdulSalam, one of the Houthi spokesmen.

The number of casualties, if any, wasn't immediately available. Some Hadi supporters evacuated the base, and Houthi forces arrested some top officials who were there, including Hadi's defense minister, AbdulSalam said.

No deaths or injuries were immediately reported in the rebels' subsequent takeover of Aden's airport and the central bank.

CNN's Elise Labott, Becky Anderson, Nick Paton Walsh, Greg Botelho, Michael Pearson, Anas Hamdan, Salma Abdelaziz and Mustafa al-Arab contributed to this report.

@highlight

Egypt state news agency says country will give military support to Saudi Arabian-led coalition

@highlight

Saudi Arabia begins military operations in Yemen, ambassador says

@highlight

Sources tells CNN that other Gulf nations will be a part of a coalition fighting the Houthi rebels