Gracen Duffield, 45, sold her house in Austin, Texas and threw in a successful career in IT with Dell Inc. to take MBA studies in China -- "somewhere with real opportunities," she said.

Leea Tiusanen, a 27-year-old from Finland, took a sabbatical from her managerial role at a large retail company to complete one year of her business degree in China. "There's so much more happening over here (China) than there is in Europe," she said.

And Jonathan Oi, a 25-year-old American with Chinese parents said he "returned to the motherland" to get his MBA at Guanghua School of Management to help differentiate himself from his American graduate-school peers.

These three are just a few of the thousands of western students now flocking to China for higher education, cultural adventure and -- more often than not -- an edge in an extremely competitive job market.

As Chinese swell the ranks at western universities, the numbers of foreign students studying in China are also burgeoning -- increasing by 10% in a year to more than 290,000 in 2011, according to the Chinese Ministry of Education (MOE).

The push for foreign students is a deliberate strategy by the Chinese government -- through investment in scholarships and facilities -- to foster a greater understanding of their culture and language globally, and expand Beijing's "soft power," academics say. Meanwhile, governments in the U.S., Asia and Europe also are investing in their own China study programs, often in conjunction with the Chinese government, breeding a new generation of Sino-savvy graduates.

"It's student exchanges linked to diplomacy," said Gerard Postiglione, a professor of education at the University of Hong Kong.

Education's soft power

China's current five-year plan for the education sector aims for higher education institutes in the country to accommodate around 500,000 international students by 2020, according to the state-run Xinhua news agency.

China is rapidly expanding its Mandarin and English-language offerings -- 34 Chinese universities now offer English-taught programs, according to the MOE -- and the government said it plans to fund 50,000 scholarships for overseas students by 2015.

"If you look at Xi Jinping's speeches since he became president, he clearly says that we want soft power and we are willing to spend on this. And this is what the Chinese government is doing (with their international education programs)," said Yang Rui, a University of Hong Kong professor who has written extensively on the issue.

Governments in the U.S. and Europe are investing in their own programs to encourage more of their students to study in China.

In 2010, the U.S. launched the "100,000 Strong Initiative" that aims to increase the number of American students studying in China to 100,000 by 2014, according to the 100,000 Strong website. The EU-China High Level People-to-People Dialogue (HPPD), described by the EU as "the third pillar of EU-China relations," facilitated the first-ever higher education talks between Europe and China in April, where the Chinese government announced it would provide 30,000 scholarships for EU students over the next five years, according to Xinhua.

But while the west wants improved relations, Yang believes China's communist system of government has resulted in a program more about control than diplomacy.

"Using education as part of a soft-power push has been practiced by many countries," he said. "The U.S., France and Japan have been doing this for a long time. But the way the Chinese are doing this is not skillful."

Still, foreign students are pouring in. About 290,000 studied in China in 2011, compared to just over 60,000 in 2001, according to the MOE. South Koreans (62,442) were the largest group of foreign students studying in China in 2011, followed by Americans (23,292). The Japanese (17,961), Russians (13,340), Indonesians (10,957) and Indians (9,370) also have large student populations, while almost 50,000 Europeans undertook some form of tertiary study in China in 2011, led by France (7,592) and Germany (5,451).

Are Chinese universities up to the challenge?

While foreign students in China say it's more exciting studying here than in the west, it's also substantially cheaper.

University tuition fees in China average about $1,000 per semester, according to the MOE, while rent, food and other incidentals are also substantially less.

Tuition fees alone in the United States can cost anywhere from $12,000 to $37,000 per year, according to the U.S. National Center for Education, depending on the type of institution. That's on top of the average $15,000 per year required for accommodation, food and academic supplies.

But questions have been raised over the quality of China's university education.

"On international rankings, Chinese universities did not perform as well as other countries, in particular given the size of the system, but there have been improvements in recent years," said Nick Clark, from World Education Services, a New York-based education research organization.

Yang, who regularly visits universities across China for his research, agrees. "I get many complaints about the quality of the teaching (from foreign students studying in China), especially with regional universities."

Professor Darryl Jarvis from the Hong Kong Institute of Education said there is enormous diversity among the tertiary institutions in China, and far less quality programs that use English for instruction compared to countries like the U.S., UK, Australia, and Canada, the top destinations for overseas university students in 2012, according to UNESCO.

"The biggest barrier China faces in attracting overseas students is the medium of instruction. Rightly or wrongly, English remains the language for business and academia and the rise of China is not going to change that overnight," Jarvis said.

Learning through experience

And while many Chinese academics who trained overseas are now returning to China, attracting good-quality teachers and researchers with a high level of English remains a problem.

Paul Gillis, an expatriate American professor and co-director at Peking University's business school in Beijing, says that although the teaching is rewarding, China won't be able to fill its "insatiable demand" for quality foreign professors until they start paying appropriate salaries.

"This is China's century. Here I have the ability to train some of most brilliant minds in the world and have a much bigger impact than I can anywhere else," said Gillis, when asked why he chose to teach in China over a western university. "I think I have the best job in the world for 29 days of the month. Then comes payday."

But Beijing is investing heavily in its universities to overcome gaps in quality, academics say.

"There is definitely a desire to see institutions perform better in the rankings," said Clark. "Funding through government programs are specifically designed to boost standards in 'key' research areas, while the banding together of the top nine Chinese institutions under the C9 League is a clear indication that the country would like to see its best institutions competing at a global level of excellence."

For students like Jonathan Oi, the shortcomings he has encountered with Peking University's "relatively young" business program are more than compensated for in the lessons learned outside the classroom.

"You shouldn't come to China looking for a Western-style education or you will be disappointed," Oi said. "Previously education to me was all about the books and the quality of the classes, but you need to factor in the outside experiences as well."

@highlight

Overseas students studying in China increased 10% in a year to more than 290,000 in 2011

@highlight

China is aiming to attract more foreign students as part of a push for soft power

@highlight

The U.S., Europe and Asia are encouraging their youth to study in China

@highlight

Academics are questioning whether China's universities are up to the challenge