Kabul, Afghanistan (CNN) -- Behind high, whitewashed walls in the middle of dusty, noisy Kabul is a sacred place respected by all who come through its gates.

Many who enter are unable to walk into the compound, which was built as a kindergarten by the occupying Soviets back in the 1970s.

Instead, the majority of the men, women and children are carried in on stretchers from the back of ambulances -- their bloodied bodies riddled with bullets and shrapnel; their flesh and organs ripped apart by rockets and machine gun fire.

And while most are innocent victims, caught in the middle of Afghanistan's ongoing war against the Taliban insurgency, some of the patients are responsible for the pain and trauma that is being treated.

This is Emergency Hospital -- an international NGO run predominantly by Italians -- and it treats all victims of war.

Teenage victims

On the afternoon we arrive to watch Emergency and its staff in action, two teenage boys are rushed in from Andar in Ghazni Province -- a Taliban stronghold where some of the worst fighting takes place each day. Najibullah, who is only 15, lies motionless in the ambulance -- part of his jaw has been blown off and he's lost a lot of blood.

He's quickly wheeled into the emergency room where doctors and nursing staff immediately go into overdrive to keep him alive.

On the bed next to him, his 13-year-old cousin moans in pain. As a doctor removes the blood-soaked bandages wrapped around his right hand, blood gushes onto the floor from where his fingers once were.

The boys had been herding sheep when they walked on a landmine -- a crude yet lethal device that's responsible for at least half the injuries treated at Emergency Hospital.

In less than 10 minutes, the boys are prepared for surgery and wheeled into the operating theater.

Despite the howls of agony, the torn flesh, mutilated limbs and Najibullah's life threatening injuries, the staff work quickly, calmly and professionally -- each highly skilled at their job, knowing exactly what they need to do to save lives.

"This is nothing out of the ordinary," explains Emergency Hospital Program Coordinator Emanuele Nannini. "This is what we do every single day."

Twenty minutes later another ambulance arrives with more casualties of this war. Business as usual in this bloody conflict.

Life-saving work

Nannini is one of a dozen Italians and foreigners committed to giving free and proper medical treatment to victims of conflict zones around the world. Founded by Italian surgeon Gino Strada, Emergency was first set up in Iraq in 1994. Then in 1999, Strada came to Afghanistan, initially working with the Mujahideen in the Panjshir Valley, north of the capital, before receiving permission from the Taliban, who were governing at the time, to set up Emergency Hospital in Kabul in 2000.

Through his life saving work, Strada and Emergency pressured the Italian parliament to ban the production of landmines. A law that still stands today.

Inspired by his fellow countryman, Nannini arrived in Kabul five years ago with a plan to stay only six months. "It's an amazing place," he says. "Very challenging but also very interesting. Every year I say is the last year but it's very difficult to leave. You get very connected to the place, the people and the hospital."

I ask Nannini what he hates about his job.

"Seeing children injured, suffering, crying," he replies without hesitation. "Unfortunately we see a lot of suffering every day. But we also see a lot of resilience. Afghans are very strong and they're really hoping to have a better future. And while our statistics show a dramatic change and an increase in fighting ... I also think Afghan people are tired of the conflict and they want peace."

Dr. Reinhold Perkmann -- a professor of Cardiovascular Surgery back in Italy -- has been volunteering his lifesaving skills since his first mission to Afghanistan in 2009. He did the night shift and saw his last patient at 5 a.m. Eight hours later he's back in ER treating patients who've undergone serious trauma because of this seemingly endless war.

He says he's not suffering from the "help syndrome" but rather doing what he was trained to do in a country crying out for skilled medical professionals.

Fighting season

"I'm here because I'm a doctor and I think that everybody needs help and here in Afghanistan the help is very needed."

Perkmann says almost half the cases he sees are children -- blown up by landmines -- and the statistics are only going to get worse once fighting season gets underway with the arrival of the warmer weather.

"I see so many children losing their limbs because of these landmines," he says. "It's hard enough for these people to live in this country, let alone as amputees. It's such a tragic situation."

Emergency Hospital's medical coordinator, Luca Radaelli, jokes with the patients, especially the young ones, hoping to put a smile on their weary faces. But he admits the years of pain and suffering that he's witnessed are starting to wear on him.

"I hate when we can't do anything else, we can't make a difference because the patient is in too bad condition," he says.

"We all try but sometimes it's not enough."

One patient in particular was seven-month-old Mohammadullah. The baby boy was in his mother's arms when they were caught in the middle of a firefight -- a bullet hit his spinal cord and the fracture led to meningitis. Despite positive signs of improvement, the infant died two weeks later in the Intensive Care ward surrounded by the staff who had lovingly cared for him.

"That affected all of us," says Radaelli with a heavy heart and a sigh. "We were so hopeful he was going to survive. But this is life in Afghanistan."

OPINION: After Karzai, Afghanistan at perilous crossroads

@highlight

Emergency Hospital -- an international NGO -- treats victims of Afghanistan's war

@highlight

Founded by Italian surgeon Gino Strada, Emergency was first set up in Iraq in 1994

@highlight

Many of the victims of this brutal conflict are children, according to staff there