(Health.com) -- Infants who undergo surgical procedures requiring general anesthesia in their first two years of life may be at increased risk of developing attention deficit hyperactivity disorder (ADHD) as they grow older.

A new study of 5,357 children born in Rochester, Minnesota, between 1976 and 1982 found that kids who underwent at least two such surgeries before their second birthday were roughly twice as likely as their peers to develop ADHD by the time they were 19.

Having a single surgical procedure did not appear to increase risk. In this group of infants, 7.3% of those with no exposure to anesthesia and 10.7% of those with just one exposure went on to develop ADHD -- a difference the researchers deemed to be negligible, statistically speaking.

By contrast, infants who had two or more experiences with anesthesia had a dramatically higher 17.9% chance of developing ADHD, according to the study, which appears this week in the journal Mayo Clinic Proceedings.

Health.com: What causes ADHD? 12 myths and facts

The longer a child was unconscious, the greater the ADHD risk, which suggests that even several short exposures to anesthesia could heighten risk, says senior study author David O. Warner, M.D., a pediatric anesthesiologist at the Mayo Clinic, in Rochester.

Warner, however, stresses that parents should not be unduly alarmed if their child requires general anesthesia. "All we can say is that we can't exclude that this could be a problem," he says, noting that the findings do not prove cause and effect.

Very few young children undergo surgery requiring general anesthesia, and those who do typically have serious medical conditions that can't be ignored. Procedures might include hernia repair (to prevent a section of intestine from getting trapped and causing an obstruction), or surgeries to correct life-threatening abnormalities of the lungs or heart.

Health.com: 9 food additives that may affect ADHD

The new findings should not dissuade parents or doctors from approving necessary surgery, says Peter J. Davis, M.D., anesthesiologist-in-chief at the Children's Hospital of Pittsburgh. "There is no data to suggest that kids who require surgery shouldn't have it," says Davis, who was not involved in the study.

Concerns about the potential impact of general anesthesia on brain development first arose about 10 years ago, after studies showed that young animals exposed to anesthesia had brain changes that were associated with behavioral problems.

At the time, investigators didn't think the results from animal studies would be borne out in humans. But a study published last year by Warner and his colleagues found that young children had double the risk of developing learning disabilities if they'd been exposed to multiple rounds of general anesthesia.

Health.com: ADHD linked to pesticide exposure

The new study implies the same pattern might hold for ADHD, although a number of major caveats apply.

Only 350 children -- less than 1% of the study participants -- were put under for a surgical procedure, which is a small sample from which to draw conclusions. And more than two-thirds of the children needing surgery were boys, who are already at triple the risk for ADHD than girls.

In addition, most of the surgeries, which took place in the late 1970s and early 1980s, involved the anesthetic halothane, which is no longer used.

Finally, not all of the children received an ADHD diagnosis from a doctor. The researchers identified most ADHD cases by piecing together detailed school and medical records, although they used a rigorous multistep process to do so.

Health.com: What if my child begins to exhibit symptoms of ADHD?

But perhaps the main reason for caution is that the authors can't rule out the possibility that the medical conditions that prompted the surgeries, rather than the anesthetic, are responsible for the increased ADHD risk.

Similarly, they can't rule out the possibility that some other aspect of surgery or recovery, such as medications, may be to blame. "The issues of surgery and anesthesia really can't be separated in all this," Davis says.

Still, there is some evidence that suggests a link between general anesthesia and ADHD is plausible.

In animals, anesthetics -- including newer-generation drugs -- seem to speed up the otherwise normal process of cell death, which may make the brain more vulnerable to ADHD, Warner says. The drugs may also directly damage neurons, he adds.

The good news is that the window in which a child's brain is developing rapidly and is susceptible to this type of damage appears to be relatively brief. Researchers haven't pinned down the exact time frame, but animal studies suggest that the risk of damage decreases after about age three, Warner says.

Copyright Health Magazine 2011

@highlight

Higher chance of ADHD found in infants who had two surgeries

@highlight

Having a single surgical procedure did not appear to increase risk

@highlight

The longer a child was unconscious, the greater the ADHD risk