(CNN)"This used to be a land of bandits, wolves and bears," says Daniele Kihlgren, surveying the countryside around ancient houses of Santo Stefano di Sessanio.

High above the barren Gran Sasso hills in Italy's central Abruzzo region, this tiny hamlet, barely changed since medieval times, was in danger of reverting to its wild past until Kihlgren showed up with a vision.

"When I first got here on my motorbike, I was wandering, totally lost. This unspoilt place, with no traces of modernity, struck me like Saint Paul on the road to Damascus," he says.

Kihlgren, an Italian-Swedish businessman, has since made it his life's mission to rescue such crumbling villages by turning them into high-end resorts that blend in with their surroundings.

Sextantio (Via Principe Umberto, Santo Stefano di Sessanio; +39 0862 899112) in Santo Stefano is one of several so-called "diffuse hotels" that eschew the usual hotel model of grouping rooms and facilities under one roof.

Instead, Sextantio's 29 rooms, spa, wine bar, restaurant and reception lie scattered in separate buildings formerly used as barns, stables, pigsties, wine cellars and farmers' or shepherds' lodgings.

Wood and stone cottages have been restyled as suites, the village dungeons serve as a wedding room and a former witch's lair now hosts business meetings.

The hotel even makes use of a medieval brothel.

Santo Stefano di Sessanio is a maze of cobbled streets, steep stone stairs, arches, vaults, gargoyles, hidden grottoes, frescoed loggias and crumbling walls covered in ivy.

There are also ruins -- the remains of the houses collapsed during the 2009 earthquake that rocked nearby L'Aquila.

Slaughtered pig

Kihlgren gives me the grand tour, describing his early days trying to acquire property in the hamlet -- leading to surreal situations for both him and the villagers.

"When I knocked at people's doors offering to buy their dwellings, they thought I was crazy," he says.

"Once a local slaughtered a pig right in front of my eyes with Bach playing in the background."

Today the village may be marginally less rustic, but Sextantio's charm lies in its sympathetic use of historic structures.

At the reception, housed in a former donkey stable at the hamlet's entrance where nativity scenes are staged at Christmas, the concierge hands me the biggest and heaviest room key I've ever encountered: 30 centimeters of pure iron.

"That way you'll never lose it," she says.

A path leads to my room -- La Bianca -- one of the closest cottages to the reception (the farthest one lies 200 meters away).

I open the squeaky bolt of a heavy wooden door and enter a snug, warm room filled with the scent of embers and orange peel -- a perfume created by the hotel to evoke a typical hearth scent.

Old furniture, including a spinning wheel and museum pieces, are juxtaposed with modern sculptures and sleek, luxurious bathroom facilities.

Showering in the elegant white resin tub is an experience. Rinsing involves using a pitcher to collect running water from a low tap, a throwback to the past.

There's no television, phone or minibar, but it's not totally offline.

There's a powerful Wi-Fi signal throughout the buildings.

Bird's nest

Lying back on my wrought iron king size bed, I spot an old bird's nest among the wood ceiling beams.

"This is what I call 'authentic' Italy," says Kihlgren. "I wanted to restyle the buildings as we found them and bring back to life the so-called secondary human heritage: that of poor, outcast communities who for centuries stood as Italy's shame.

"That's why I kept the cracks in the walls and the fireplace hearth soot: these are layers of history.

"Sextantio is the opposite of colonialist tourism. Clients here want to discover the village identity and mingle with locals."

Outside, in the center of the hamlet, silence rules. No cars are allowed.

Just 50 residents still live here and, walking around, I come across elderly women sitting on doorsteps and art restorers at work.

Occasionally a passerby looks at me shyly, but greets me with a hello.

"Even when the hotel is fully booked you'll feel on your own," says Annunziata Taraschi, who has an unusual job as Sextantio's anthropologist, collecting the village's oral tradition and lost customs.

While that might be great for guests, locals aren't so sure.

"It's one thing coming here as a visitor, and another living here" says Dina Rusciolelli, owner of La Bettola di Geppetto, the village tavern.

"After a while you can go nuts."

There are no complaints about the food though -- a mix of gourmet and traditional.

Sitting at the scarred wooden tables of the Cantinone, a large dining room 50 meters from reception, Franco Cannioli serves me pan bagnato -- a dish of bread and vegetables -- with cured meats, lentil soup, pecorino cheese, pears and nuts.

Bloodsucking witches

There's a glass of Montepulciano di Abruzzo red wine on the table.

Evening meals are taken in La Locanda Sotto gli Archi, the hotel's grotto restaurant located on the other side of the hamlet where chef Simone Iezzi serves a daily changing menu that includes signature dishes like ricotta cheese ravioli, pork chops and fried breaded porcini mushrooms.

After an afternoon nap, I'm greeted in the hotel's tea room and craft shop by Giovanna Fiorenzi, who sits at an old spinning frame making wool carpets, bed covers and giving weaving lessons to guests.

She also spins a few old tales, telling me about spirits haunting the woods and witches who suck the blood of crying babies.

She serves licorice and artichoke herbal tea alongside traditional Ferratelle waffles.

She also makes Genziana, a sweet and sour alcoholic drink made from Gentian roots.

There's a crystal bottle of Genziana and a crackling fire waiting for me when I get back to my room in evening.

The next morning I'm woken by birdsong and light filtering through small, wooden-framed windows.

Breakfast is a buffet table laden with homemade yogurt, pies, ricotta cheese and a ham leg over in the restaurant.

It's fine to wander over there before getting ready for the day to savor one of the great treats of these hamlet hotels.

How many other hotels offer guest the chance to stroll outside through a mountain village, taking in great views and fresh air, while wearing pajamas?

Other 'diffuse' hotels

Scicli Albergo Diffuso sits among the ruins of a temple and has Baroque dwellings spread across a UNESCO-listed historical center. Its Diffuse Breakfast features the best of Sicily's pastries. Via Francesco Mormina Penna, 15, Scicli, Sicilia

The spa area at Aquaesinis, a traditional farm in Sardinia, used to be a wine cellar. Vegetables were once stacked in the romantic suite while the family suite used to be a hen house. Via C.Battisti, Cabras; +39 0783 392251

The stones of Matera town offer a stunning background for Le Grotte della Civita featuring grotto rooms, rock bathtubs and animal feeders turned into sinks. The reception area is a former monastic cell and the restaurant sits inside a crypt. Via Civita 28, Matera; +39 0835 332744

Il Borgo di Sempronio dates to 849 AD. Several rooms were once part of a convent. The Degustation Room, an old mill, serves Tuscany's top cured meats and cheese. (Via del Pretorio, 3 Semproniano; +39 0564 986226)

@highlight

Sextantio is a so-called "diffuse hotel" based in the Italian village of Santo Stefano di Sessanio

@highlight

Instead of being based under one roof, these hotels spread their facilities across different buildings in a village

@highlight

Sextantio uses barns, stables, pigsties and even an old brothel to create an upscale rural hotel