LONDON, England (CNN) -- A common perception among many who have followed the recent banking and stock market crises is that the big financial players have been reckless, splashing large amounts of other people's money on half-understood, risky schemes.

Go on, take a risk -- it might be good for the economy.

But a pioneering business school study -- which, perhaps uniquely in it's field, gathered data inside a Las Vegas casino -- now suggests precisely opposite.

Indeed, in many parts of the economy the problem could be that people are simply being too cautious, the authors surmise.

The paper, which has the catchy title, "Fear and Loathing in Las Vegas: Evidence from Blackjack Tables," was produced by Bruce Carlin and David T Robinson, both finance professors at UCLA's Anderson school and Duke University's Fuqua school respectively.

They studied more than 4,300 hands of blackjack played for real at a Las Vegas casino -- more than $120,000 changed hands -- and uncovered what psychologists call an omission bias; that is, players being more conservative in their bets than the level which would have optimized winnings.

Mostly, such studies of risk are carried out in laboratory conditions where, both figuratively and literally, the stakes are lower.

"As we point out in the paper, blackjack is a great venue to study how people behave during risky situations," Carlin told CNN. "What is striking is that they often play too conservatively, even though they have voluntarily accepted a role in a risky game."

Blackjack was the ideal pursuit to use as a testing ground as it is widely acknowledged that players are at the tables to maximize gain.

Equally important, with bets being made before decisions are made, the strategy pursued is not shaped by a shifting level of exposure to potential loss or gain.

The study's key finding was that passive strategy errors, in which players fail to take the right action, were four times more common than mistakes in which they did something that was not necessary.

Crucially, "passive mistakes" -- players failing to take the necessary action -- were on average one third more financially costly than mistakes caused by overconfidence.

The paper also found evidence for what was termed a "rebound effect" -- that an error made by playing aggressively was more likely than average to be followed in the next round by a passive error.

The authors were at pains to rule out other factors that could affect the outcomes, such as card counting strategies, or players simply getting confused.

On the latter point, the authors found that more complex hands were no more likely to prompt errors of omission.

Inexperience was also eliminated -- in fact, small-stakes gamblers, perceived as more likely to be newcomers, made fewer errors of caution than those betting higher.

But can any wider lessons really be drawn?

As the paper notes: "Perhaps few decisions of economic consequence are made at a blackjack table." Nonetheless, it argues, the same risk-versus-inaction decision is present in many areas of business and economics.

"We can extrapolate our findings to investment decisions, insurance choices, and savings choices in the general public," Carlin said. "Many of these people are not seeking risk and probably exhibit what we find in a more profound way."

@highlight

Business school study examined blackjack players at Las Vegas casino

@highlight

Finding was that losses came more from over-caution than recklessness

@highlight

Authors believe lessons could be expanded to business world