(CNN) -- On Copacabana Beach in Rio de Janeiro, a line of 26 black crosses stand in the sand, with the Stars and Stripes behind them and a pot of flowers alongside.

They are the tribute of the group Rio de Paz -- River of Peace -- to the victims at Sandy Hook Elementary School, from a group that knows all too well what tragedies gun violence can inflict on society.

Brazil, Norway, Britain, France and Australia are among many countries that have seen terrible episodes of gun violence in recent years.

But alongside the many expressions of sympathy and condolences that have poured into Newtown, Connecticut, from around the world, there is also a sense of bewilderment that such tragedies happen on an almost routine basis in America.

"Routine" may seem an exaggerated or callous description, but it was President Barack Obama who said at an interfaith service Sunday night in Newtown: "We can't accept events like this as routine."

Strangers inspired to honor Newtown victims

Even so, commentaries from abroad often include a sense of resignation that not much can or will be done to prevent such atrocities in the future.

John Cassidy, who is British and blogs for The New Yorker, writes of driving to his hometown of Leeds in northern England, as he heard the news of the killings at Sandy Hook.

"Nowhere have mass shootings been as prevalent as the United States, and nowhere has the policy reaction been so pathetic," he wrote this weekend.

Brian Masters, writing in the UK's Daily Telegraph, agreed.

"No American politician will have the nerve to propose the only cure to this repetitive insanity, which would be a sensible, mature and responsible attitude towards the ownership and use of guns," he predicted.

In the Israeli newspaper Yedioth Ahronoth, commentator Tzipi Shmilovitz was more brutal.

"America is not ready to talk about how it is easier to get a handgun than it is to see a doctor, not ready to speak about the video games that have extreme violence. It is just willing to sweep up everything under the carpet of tears."

And over at Haaretz, one of Israel's leading commentators, Chemi Shalev, lamented a "combustible mix of angry American young men, often disturbed and usually white, spurred on by the pervasive and always growing presence of limitless violence in popular American culture, together with the easy-access, open market of guns and ammo, which together produce these shooting slaughters with such sickening regularity. ...

"And if you pour in the often gruesome violence so rampant in the computer and video games that so many American boys are weaned on and addicted to, it should come as no surprise, perhaps, that not only are the most evil and inhuman of mass murders possible, they may soon become commonplace," he added.

Such observations are not new. Five years ago Chris Lockwood, U.S. editor of The Economist wrote in the Los Angeles Times: "We might be a little surprised that a country with all the ingenuity and energy that America has seems simply to throw up its hands when it comes to guns, and in effect declares that the homicide rate and regular appalling school massacres, are insolvable problems."

Obama has now suggested otherwise -- broadening his existing support for a ban on assault weapons.

"We can't tolerate this anymore; these tragedies must end," he said Sunday.

"We will be told that the causes are complex and that is true. No single law, no set of laws can eliminate evil and prevent acts of violence, but that can't be an excuse for inaction," he continued.

Dunblane: How UK school massacre led to tighter gun control

Commentators and academics from other countries who have looked at this "inaction" in America often raise the following points.

The polarization in U.S. politics means that on the really difficult issues, paralysis is more likely than progress. The power of lobbying interests -- and in the case of guns that means the National Rifle Association -- contributes to that paralysis, they say.

They also assert that the U.S. Constitution and its political culture protects individual liberty -- or license -- to a much greater degree than is the case almost anywhere else. That includes allowing the ownership of powerful firearms capable of killing dozens within a minute.

Sixteen years ago, both Australia and the United Kingdom saw gun rampages similar to those at Virginia Tech, the Sikh temple in Wisconsin, the theater in Aurora, Colorado, and Sandy Hook.

More: How other countries have dealt with massacres

In the town of Dunblane, Scotland, 16 children and one adult were shot dead at an elementary school in 1996. The gunman then shot himself. The atrocity led to revisions to the Firearms Act that in effect banned the possession of handguns in Britain.

Jack Straw, the minister who pushed the legislation through Parliament, said after the Sandy Hook killings that he would "not put money" on U.S. laws changing.

In a BBC interview, Straw added: "I think sensible people want it to happen, but the National Rifle Association, which is this extraordinary gun lobby and gun manufacturers' lobby, controls politics in a number of states."

One tweet put it more bluntly: "Dunblane,1996. 16 dead kids+adult. 1.2 million sign petitions. UK govt. enacts new law. Halts private guns. Tag, USA. You're It."

In that same year, a 28-year old Australian killed 35 people with two semiautomatic rifles in just eight minutes. Then-Prime Minister John Howard pushed through a law that banned assault weapons and instituted a gun buy-back policy. (Some 650,000 were taken out of circulation.)

Howard recalls telling an audience in Texas in 2008 that the law was among his proudest achievements in 12 years as prime minister.

"There was an audible gasp of amazement," he wrote in an op-ed this year in The Sydney Morning Herald.

After the mass shooting in Aurora this year, Howard said he was not optimistic it would change anything.

"The responses of President Barack Obama and Mitt Romney ... were as predictable as they were disappointing," he said.

"There are many American traits which we Australians could well emulate to our great benefit. But when it comes to guns we have been right to take a radically different path," Howard concluded.

Australian-born media magnate Rupert Murdoch chimed in Saturday on his Twitter account: "When will politicians find courage to ban automatic weapons? As in Oz after similar tragedy."

Some columnists don't detect any popular pressure in the United States for change, even if the gun control debate has flared in the wake of the Sandy Hook shooting.

Mirjam Remie, who writes for the Dutch newspaper Handelsblad, observes that "support for stricter gun laws has been steadily declining for decades. According to Gallup, it is 44%, but twelve years ago it was 66%."

Debate rages about the relationship between the availability of guns in society and the number of deaths caused by guns. But the laws enacted in the UK and Australia sharply restricting gun ownership do appear to have made a difference.

A study (PDF) by researchers at Harvard University in 2011 found that in the 18 years before the new law was enacted in Australia, a total of 13 gun attacks had led to four or more fatalities. In the 16 years since the new law, the number was zero. Individual homicides involving guns have also fallen.

Japan has some of the most restrictive regulations in the world on gun ownership. Shotgun licenses for hunting require a lengthy application; handguns are forbidden. Homicides by gunfire in Japan rarely get into double figures in a year.

In the view of author David Kopel, who has studied Japan's gun control laws in great detail, its regulations work because they are "part of a vast mosaic of social control ... a pervasive cultural theme that the individual is subordinate to society and to the government."

That would not be acceptable in the United States. Even so, while recognizing the power of the Second Amendment, foreign commentators are not shy of recommending what could and should be done to tackle gun violence in the U.S.

In the UK, The Guardian editorialized in the wake of the Newtown shootings: "A proper federal system of regulation, including background checks registration, and limits on the type and number of weapons an individual can own, would bring the U.S. belatedly into line with other civilized countries, as would a determined push back against state legislation allowing the carrying of concealed weapons in public."

Hours before the Sandy Hook massacre, Michigan lawmakers passed legislation allowing those with concealed pistol licenses to carry guns into schools, hospitals and churches among other places.

In the words of one commentator: "No society that holds itself up as an example to the world should, as the United States does, brazenly shrug off what are clearly deep national character flaws when it comes to our love of guns or our celebration of hate politics."

The writer was not a foreigner, but an American -- David Rothkopf -- writing in Foreign Policy. And he was writing not this weekend, but after Jared Loughner shot and killed six people, and injured more than a dozen, including U.S. Rep. Gabrielle Giffords, in January 2011.

@highlight

Australia and UK also have had terrible episodes of gun violence in recent years

@highlight

These countries enacted laws sharply restricting gun ownership after tragedies

@highlight

"Nowhere has the policy reaction been so pathetic," British blogger says of U.S.

@highlight

Observers point to power of NRA, political culture that protects individual liberty