Editor's note: Canadian writer Margaret Atwood is the author of more than 35 books of poetry, fiction and nonfiction. Her novels include "The Handmaid's Tale" and "The Blind Assassin," which won the Booker Prize in 2000. Her new book, published this week by House of Anansi Press, is "Payback: Debt and the Shadow Side of Wealth." Atwood says the book "is not a practical guide about how to get out of debt. Instead it examines the underpinnings of the whole structure -- why we human beings have such a thing as a debt-credit system in the first place."

Margaret Atwood says we've come to feel that debt is essential to our lives.

(CNN) -- Unless we value fairness, reciprocity, and honest dealing, and the concept of balances -- for debt and credit depend on them -- and unless we are able to trust our systems, we would not be able to have debt and credit -- no one would lend, because there would be no expectation of ever getting paid back.

What caused the massive financial mess we are in comes back ultimately to these concepts. The rules were too loose, fairness and honest dealing were violated, the balance was upset. We must now restore trust so people will take their pennies out of the sock under the mattress where they are now inclined to store them.

In my part of the world we have a ritual interchange that goes like this:

First person: "Lovely weather we're having."

Second person: "We'll pay for it later."

My part of the world being Canada, where there is a great deal of weather, we always do pay for it later. One person has commented, "That's not Canadian, it's just Presbyterian." Nevertheless, it's a widespread saying among us.

What this ritual interchange reveals is a larger habit of thinking about the more enjoyable things in life: They're only on loan or acquired on credit, and sooner or later the date when they must be paid for will roll around. It's pay-up time. Or payback time, supposing that you haven't paid up.

In any case, the time when whatever is on one side of the balance is weighed against whatever is on the other side -- whether it's your heart, your soul or your debts -- and the final reckoning is made.

The financial world has recently been shaken as a result of the collapse of a debt pyramid involving something called "subprime mortgages" -- a pyramid scheme that most people don't grasp very well, but that boils down to the fact that some large financial institutions peddled mortgages to people who could not possibly pay the monthly rates and then put this snake-oil debt into cardboard boxes with impressive labels on them and sold them to institutions and hedge funds that thought they were worth something.

A friend of mine from the United States writes: "I used to have three banks and a mortgage company. Bank number one bought the other two and is now trying hard to buy the mortgage company, which is bankrupt, only it was revealed this morning that the last bank standing is also in serious trouble.

"Now they are trying to renegotiate with the mortgage company. Question One: If your company is going broke, why would you want to buy a company whose insolvency is front-page news? Question Two: If all the lenders go broke, will the borrowers get off the hook?

"You can't imagine the chagrin of the credit-loving American. I gather that whole neighborhoods in the Midwest look like neighborhoods in my hometown, empty houses with knee-high grass and vines growing over them and no one willing to admit they actually own the place. Down we go, about to reap what we sow."

Which has a nice biblical ring to it, but still we scratch our heads. How and why did this happen? The answer I hear quite often -- "greed" -- may be accurate enough, but it doesn't go very far toward unveiling the deeper mysteries of the process.

What is this "debt" by which we're so bedeviled? Like air, it's all around us, but we never think about it unless something goes wrong with the supply. Certainly it's a thing we've come to feel is indispensable to our collective buoyancy.

In good times we float around on it as if on a helium-filled balloon; we rise higher and higher, and the balloon gets bigger and bigger, until -- poof! -- some killjoy sticks a pin into it and we sink. But what is the nature of that pin?

Another friend of mine used to maintain that airplanes stayed up in the air only because people believed -- against reason -- that they could fly: Without that collective delusion sustaining them, they would instantly plummet to earth. Is "debt" similar? In other words, perhaps debt exists because we imagine it.

Another part of the human imaginative debt/credit structure has to do with payback time -- the time when you have to pay the debt back, or else suffer the consequences.

All major religions have extended this structure to the afterlife, where, if you haven't righted the moral balances on earth, you must do so after death.

There are no clocks in heaven. Nor are there any in hell. In both, everything is always now. Or so goes the rumor.

In heaven, there are no debts -- all have been paid, one way or another -- but in hell there's nothing but debts, and a great deal of payment is exacted, though you can't ever get all paid up. You have to pay, and pay, and keep on paying. Hell is like an infernal maxed-out credit card that multiplies the charges endlessly.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Margaret Atwood: Rules of fair dealing were violated in the growth of debt

@highlight

We have to restore trust so people are willing to put their money in banks, she says

@highlight

Atwood: Debt is like air; we don't notice it until it disappears

@highlight

In heaven, there are no debts, while hell is nothing but debts, Atwood says