A statin can be a lifesaver if you're at risk of heart disease, but some people who take the cholesterol-lowering drugs -- up to 20 percent, by some estimates -- have to stop because of muscle pain, the most common side effect. (Nearly 30 million people filled a statin prescription in 2005, according to the Agency for Healthcare Research and Quality. Statins include popular drugs such as Crestor, Lipitor, and Zocor.)

Some patients who take statins to cut the cholesterol buildup in their arteries experience muscle pain.

Now a new study suggests that an over-the-counter dietary supplement sold at pharmacies and health-food stores may be a workable alternative for people who have statin-related muscle pain. It seems that when combined with diet and lifestyle changes, red yeast rice supplements can lower LDL, or bad cholesterol, levels by more than 20 percent without a substantial risk of muscle pain (also known as myalgia), according to a study published Monday in the Annals of Internal Medicine.

"For some people, especially if they've had muscle aching, taking red yeast rice and making lifestyle changes can work as well as a statin," says lead study author David Becker, M.D., of Chestnut Hill Cardiology in Pennsylvania.

Although these and other results are promising (in a previous study led by Becker, a combination of red yeast rice and fish oil outperformed simvastatin, the generic version of Zocor), people with high cholesterol shouldn't race to the vitamin store just yet. Red yeast rice is "not a panacea for all people with statin-association myalgias," Becker cautions. In some patients, the supplements may cause a recurrence of muscle pain, or other serious muscle problems that are more difficult to detect. Health.com: Myths and facts About cholesterol

Plus, consumers who buy red yeast rice off the shelf don't necessarily know what they're getting. The Food and Drug Administration does not regulate dietary supplements, and the contents and potency of red yeast rice pills have been shown to vary widely among manufacturers. Some pills might even be dangerous: A 2008 analysis of red yeast rice products conducted by a supplement-industry watchdog group found a potentially toxic ingredient in 4 of out 10 brands -- one was the store brand of a major pharmacy chain.

What is red yeast rice?

Becker and his colleagues studied 62 patients with high cholesterol who had to stop taking at least one statin because of muscle pain. Half of the patients took six capsules of red yeast rice daily for six months, and the other half received identical placebo capsules. For the first three months, all of the patients also attended weekly meetings in which they were taught how to eat well, exercise, and maintain a healthy lifestyle.

After three months, the LDL levels of those taking the active red yeast rice had declined 27 percent, on average, compared with 6 percent in the placebo group; at six months the decline in the active group was still more than 21 percent. And only 2 of the 29 patients who took red yeast rice in the study developed myalgia -- a far smaller percentage than could have been expected had they tried another statin.

But in a way, the study participants did try another statin.

Red yeast rice, which has been used in Chinese medicine for hundreds of years, is derived from a fungus that grows on rice. It contains a series of compounds that slow the production of cholesterol in the liver. One of those compounds, monacolin K, is a naturally occurring form of lovastatin, the active ingredient in Mevacor, a brand-name statin that was approved by the FDA in 1987 and now available as a generic. Health.com: Heart attack prognosis may depend on what's in your medicine cabinet

In effect, red yeast rice is a low-dose lovastatin, which may explain why it can sometimes cause muscle pain in statin-intolerant patients, according to Becker. At the same time, the reduction in LDL that the supplements provide can't be attributed solely to the monacolin K, says Becker, so there must be other cholesterol-lowering ingredients in red yeast rice.

The patients in Becker's study received a dose of monacolin K roughly five times smaller than the typical lovastatin prescription, yet the reduction in their LDL levels was comparable to the average drop patients see on a statin.

"Clearly something else is having a powerful lipid-lowering effect," says Becker. Although the patients' lifestyle changes probably helped, the findings suggest that some of the other compounds found in red yeast rice may enhance the effects of the naturally occurring lovastatin.

The researchers used a supplement manufactured by Sylvan Bioproducts, but Becker says he doesn't endorse or recommend any particular brand of red yeast rice. The contents were analyzed before the beginning of the study, which was funded by the Commonwealth of Pennsylvania and the National Center for Complementary and Alternative Medicine. Becker and the other researchers did not report any financial conflicts of interest.

Red yeast rice supplements are not for everyone

Not all cardiologists are sold on the potential utility of red yeast rice. "Despite the preliminary evidence that the average patient suffering from muscle pain might see some lipid-lowering without having the pain again, we're not to ready to recommend red yeast rice to our patients," says Paul Phillips, M.D., a cardiologist who runs a clinic for statin-related muscle complications at Scripps Mercy Hospital, in San Diego, California.

In an editorial accompanying Becker's study, Dr. Phillips notes that the incidence of muscle pain reported among the study participants taking red yeast rice (about 7 percent) could be artificially low. Roughly half of the patients who experience muscle pain after starting a statin eventually begin to feel better as their bodies become accustomed to the drug, says Dr. Phillips, and that could have occurred in the study participants. Health.com: In reallLife, heart-healthy diets can be work

More important, he adds, the majority of patients who experience statin-related myalgia never have pain. Instead, they may experience muscle atrophy, weakness, and fatigue potentially serious side effects that the new study may have overlooked. (Although side effects other than myalgia weren't formally tracked, there were "no significant adverse events" in the patients taking red yeast rice, Becker says.) Health.com: Are you cholesterol smart? Take this quiz

Red yeast rice isn't appropriate for everyone with high cholesterol, agrees Becker. He says that people who have had a heart attack or who have significant blockages in their arteries due to atherosclerosis should not replace a statin or other medical therapy with red yeast rice, since statins are proven to reduce the risk of heart attack and death. "I don't think it would be wise to ever consider using red yeast rice if you have a known heart problem," Becker says.

Supplements not immune to safety concerns

In fact, all people looking to lower their cholesterol levels should think twice before taking red yeast rice, Becker advises. Red yeast rice is "quite a bit stronger" than other dietary supplements used to lower cholesterol, he says, and the market is poorly regulated.

In 2008, the supplement-industry watchdog group ConsumerLab.com analyzed 10 brands of capsules whose labels advertised 600 milligrams of red yeast rice. When the products were tested in a lab, however, they were found to contain wildly different amounts of lovastatin and other compounds. "There was a 100-fold difference from the lowest to the highest," says ConsumerLab.com president Tod Cooperman. An unexpectedly large dose of lovastatin could cause serious side effects and could interact with other drugs.

The uncertain lovastatin content of red yeast rice products have led to a long-running dispute between the manufacturers of the pills and the federal government. A decade ago, the FDA successfully sought to regulate a red yeast rice extract known as Cholestin, claiming that the lovastatin it contained made it an unapproved statin rather than a supplement.

Any red yeast product containing more than trace amounts of lovastatin can also be regulated (and effectively banned) by the FDA, but red yeast rice products containing monacolin K have remained on the market. And though the FDA does continues to monitor the industry -- in 2007, the agency warned three manufacturers that their red yeast rice products were unapproved drugs the woolly marketplace for supplements should make consumers wary.

"I would never, under any circumstances, suggest that someone take red yeast rice," says Dr. Phillips. "It's not controlled, it's not safe, and it hasn't been approved by the FDA in such a way that it's formulated to be consistent."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Red yeast rice may be an alternative for people with statin-related muscle pain

@highlight

Supplement may cause pain for some patients; is not FDA regulated

@highlight

Red yeast rice is derived from a fungus that grows on rice