(CNN) -- Desperation, sophisticated smuggling operations and the emergence of a small Italian island as a migrant destination provide the sad backdrop to Monday's tragedy on the Mediterranean Sea -- the capsizing of a boat carrying African migrants from Libya to Italy.

Libyan police officers help rescued migrants off an overcrowded boat that arrived this week in Tripoli.

Jean-Philippe Chauzy, spokesman for the International Organization for Migration, said Tuesday that Libya for years has been a destination for migrants from the rest of Africa. Its relatively successful economy is a magnet for people from impoverished regions, and its proximity makes it a logical jumping-off point for Europe.

People from places such as Ghana, Nigeria, Niger and Burkina Faso long have traveled to Tripoli and other Libyan locations and have gotten work there, from construction to washing cars. Chauzy said even people from the Horn of Africa, where Somalis and Ethiopians have fled to Yemen via the Gulf of Aden, are choosing to travel to Libya rather than pursue a trip to Yemen. Asians as well are opting to travel to Europe from Libya.

While some Africans hope to settle in Libya, many others have their eyes on moving onward to Europe.

They tend to sail to Lampedusa, an Italian island lying southwest of Sicily and just north of the African coast -- considered an advantageous way station for entrance into Europe. Italy has been bolstering its efforts to stop the illegal traffic.

Some of the people who find their way to the island get asylum. Some migrants eventually are returned to their home countries, but others are taken from Lampedusa to facilities on the mainland, where they are sometimes simply released instead of being deported.

Chauzy said people head to Europe first and foremost to help their families back home with a paycheck.

He said the global economic crisis has led to a drop in the money sent back home, and that in turn has affected hurting African economies, where prices for staple crops have plummeted.

He said that the bolstering of border controls sparked by such a tragedy could prompt migrants to take other dangerous routes.  Watch as details emerge on latest tragedy »

Officials said at least hundreds of migrants are believed to have perished in the Mediterranean over the past year.

In the latest incident, more than 200 African migrants are believed to have died after their vessel, carrying 250 people, capsized in rough waters. At least 20 people are confirmed dead, and 23 have been rescued. Another boat with more than 350 migrants aboard was rescued, and these migrants -- mostly Africans but also including some Asians -- were taken to Tripoli in Libya.

The International Organization for Migration believes there are two other boats in the Mediterranean that could be carrying migrants.

The flight of migrants on rough seas is not just a local phenomenon. "We are seeing it all over the world," U.N. High Commissioner for Refugees Antonio Guterres said Tuesday. Smugglers, for example, also take people from western Africa to the Canary Islands, from Myanmar to Thailand, and from Turkey to Greece.

Guterres said the tragedy shows the urgent measures people take "to escape conflict, persecution and poverty in search of a better life."

Some of the people can be classified as refugees -- people fleeing war and persecution and who could qualify for asylum in other countries. Others are migrants from countries where there is no persecution. They are in search of jobs and a better life.

Thousands have died on their journeys, but thousands have survived as well, with many awaiting asylum and resettlement opportunities.

There has been much publicity about the flight of Ethiopians and Somalis across the Gulf of Aden to Yemen. Many have died en route, with smugglers at times throwing people overboard to avoid getting arrested by navies for their operations.

Ron Redmond, the UNHCR spokesman, said he believes such movement will persist as the "economic situation continues to worsen worldwide."

The agency said the number of asylum seekers in industrialized countries increased last year for the second year running, in part because of higher numbers of asylum applications by citizens of Afghanistan, Somalia and other turbulent nations.

Last year, 36,000 people arrived in Italy by sea from North Africa. Some 75 percent of them applied for asylum, and about 50 percent of those received some form of international protection from the Italian authorities.

Demetrios G. Papademetriou, president of Washington-based think tank Migration Policy Institute, said the movement of migrants is organized, with smuggling syndicates making "obscene profits" and "enormous amounts of money."

"These are organized flows," Papademetriou said.

As for the tragedy, "you will see this again and again and again," he said.

@highlight

Libya has long been a destination for migrants from the rest of Africa

@highlight

Many African migrants try to find work in industries such as construction

@highlight

Others attempt to move on to Europe, with Italy a common destination

@highlight

Strict border controls often prompt migrants to take other dangerous routes