(CNN) -- Forty days alone in the wilderness was enough for Jesus, but Lance Armstrong is facing an altogether longer period of solitude.

The disgraced former cycling icon was stripped of his seven Tour de France titles 44 days ago, on October 22, and has spent most of the intervening period in his hometown of Austin, Texas.

While he contemplates his next move, there have been beneficiaries of his newfound infamy, notably Mellow Johnny's bike store.

Call it the power of celebrity or call it voyeurism, but thanks to Armstrong's notoriety, the Austin store co-owned by the disgraced cyclist, with its name inspired by the Texan's nickname on the Tour -- Mellow Johnny's, an Americanized version of the French for the leader's yellow jersey, maillot jaune -- is doing just fine.

Giant photographs of Armstrong crossing the line, arms aloft, loom over racks of bikes; a set of framed, signed yellow jerseys fills another wall; Armstrong merchandise is on offer at every turn, from cycling spandex to lemon-flavored waffles.

"It would be Lance's decision," general manager Will Black explained when asked why the memorabilia remains on display, given Armstrong's spectacular fall from grace. "If he decides he wants us to take them down, we would, but until that happens, they will stay up."

How an all-American hero fell to earth

And by the look of the shop's bustle on a Monday morning, Mellow Johnny's will survive the scandal that has enveloped Armstrong.

"We haven't seen it in terms of the number of customers coming in," Black said. "It really hasn't had an effect in a negative way."

It is not just cycling enthusiasts that are flocking to the shop; the stars of Formula One also stopped off during the sport's first visit to Austin last month.

Ferrari driver Fernando Alonso took a look inside Mellow Johnny's while seven-time world champion Michael Schumacher and Mark Webber of Red Bull both purchased bikes.

Lance Armstrong's epic downfall

Written out of history

Since the release of the U.S. Anti-Doping Agency's report that stated there was "overwhelming" evidence Armstrong was involved in "the most sophisticated, professionalized and successful doping program" ever seen in professional cycling, the American's reputation has unraveled like a onion being peeled away one layer at a time.

Armstrong steadfastly maintains his innocence. But a few blocks east of Mellow Johnny's is the yellow-hued headquarters of the Livestrong Foundation -- the charity Armstrong set up after overcoming testicular cancer that had spread to his lungs, abdomen and brain -- which has taken down his Tour race-winner's yellow jerseys.

But if the American has been written out of cycling history -- "Lance Armstrong has no place in cycling," said the International Cycling Union's president, Pat McQuaid, recently -- the cyclist's legacy at home in Austin remains deep-rooted and complex.

It was thanks to Armstrong that this laid-back city became synonymous with cycling.

Its biking culture has been strengthened by the presence of close to 50,000 University of Texas students using bikes to commute around town, the city's provision of cycling infrastructure and the popular biking trails that circle the shoreline of Town Lake on the fringes of downtown.

Few in the city disagree that Armstrong put Austin on the cycling map -- and vice versa.

"The Lance Armstrong effect is part of what gave cycling such a big boost here," said Gilbert Martinez, president of the Austin Cycling Association Gilbert Martinez.

"When he started winning the Tour, there was lots of buzz. People gathered to watch it; there were parties all round town, not just at bike shops but at bars and grills. It was a tremendous boost."

The city paid tribute to Armstrong's contribution to cycling with the creation of the Lance Armstrong Bikeway, running east to west across downtown.

There have been calls for the bikeway to be renamed, but Austin's Mayor Lee Leffingwell says he has no plans to amend this homage to Armstrong.

So as they whizz past Armstrong's name emblazoned on square, green and white signs, Austin's cyclists have a permanent reminder of his deeds -- good and bad.

"Lance is a very divisive topic," Martinez explained. "There are people who really believe he was persecuted and it's not fair what's happening to him.

Armstrong quits Livestrong entirely

"Then there are others who feel he is getting exactly what he deserves. There's a reputation of Lance as a bit of a jerk and (the doping) was part of his win-at-all-costs personality.

"There is a sizeable part of the community who really don't care one way or another.

"We as people want to believe he overcame cancer and he won the most grueling bicycle race in the world, and he did it seven times in a row.

"But cycling was here before Lance got here, and it'll still be here long after we've forgotten him."

Back at the 15-year-old Livestrong Foundation charity, which has raised more than $500 million to support cancer patients, donations have increased since the allegations linking Armstrong with serial doping.

"It might be that people are learning about the work of the foundation as a result of the controversy from the cycling world," mused Livestrong spokeswoman Katherine McLane. "In which case, that is a positive effect."

Armstrong stepped down as chairman of the Livestrong Foundation in October, the same month the organization also legally changed its name from the Lance Armstrong Foundation.

McLane says it's his work with the foundation that should remain as Armstrong's lasting legacy, not the implosion of his cycling career.

"I would say that Lance's greatest legacy is creating an organization that has helped 2.5 million people when they are facing cancer," she added.

"He's still the foundation's biggest donor. He's donated $7 million."

Amid all the opinion and rhetoric bubbling around Armstrong in Austin, there was no sign of the man himself.

His only public appearance since the scandal enveloped him was at a Livestrong gala on October 20, and when Formula One made its debut in the city, Armstrong flew to Hawaii to avoid the hubbub.

Suzanne Halliburton, who has followed Armstrong's rise and fall for the Austin American-Statesman newspaper since 1996, is one of the few still in regular contact with Armstrong.

"The last time I talked to him, he seemed to be doing reasonably well," she said. "He has access to a private plane where he can zip off and go hang out in Hawaii at his house there."

Armstrong, who also has a Spanish-style villa close to downtown Austin, has no reason to keep out of the public gaze in his hometown, according to Halliburton.

"When he rides, he goes out to the Hill Country, but his house is in central Austin," she explained.

"He's got five kids, two of whom live with him. He's very active, going to see all their sporting events, sometimes coaching their soccer teams. He sits in line to pick up the kids.

"He lives pretty normal. He goes out to eat. I don't see him keeping a low profile here.

"He's not beloved anymore, but he's not hated."

Away from Austin, the wheels of justice are cranking into gear.

Sponsor sad at loss of Armstrong's 'great story'

An International Cycling Union commission has been assembled to investigate the USADA's damning report into the allegations that Armstrong systematically used performance-enhancing drugs.

He could also face lawsuits from groups such as British newspaper The Sunday Times, which lost legal disputes with Armstrong surrounding doping allegations and, as a result, paid out huge sums, as well as Texan insurance firm SCA Promotions, which insured performance bonuses paid to the American after he claimed his fourth, fifth and sixth Tour de France wins.

Back in Texas, there is a little expectation of Armstrong undergoing a Damascene conversion.

"He'd already fallen off the pedestal," Martinez argued. "All that is left is for a mea culpa -- but I don't think that is ever going to come."

Halliburton is less sure.

"Whether you think Lance did drugs or not -- and it looks like he did something -- he still worked his ass off," she opined.

"I've had people come up to me and say 'I've been an athlete. and I know that performance enhancers are not going to help somebody who's not also working hard.' so he's real driven. He's a perfectionist, and he doesn't suffer fools gladly.

"The last time I talked to him, he said he's going to get the last word.

"But first and foremost, he is going to think about his family. You can't just go throwing yourself on the mercy of the public and want them to love you again.

"He's in a tough spot right now."

@highlight

Mellow Johnny's is a cycling store co-owned by disgraced former cyclist Lance Armstrong

@highlight

The store is in Armstrong hometown of Austin, Texas

@highlight

Armstrong was stripped of his seven Tour de France titles and banned for life from cycling

@highlight

Some cycling fans in Austin still stand by Armstrong despite doping allegations