(CNN) -- Every day, more than 500 ships from all corners of the globe set out to navigate the bustling waters of the English Channel.

Huge merchant vessels carrying every category of cargo imaginable -- from iron ore to wheat, and from crude oil to sugar -- sail amongst fishing vessels, passenger ferries, pleasure craft and more unorthodox traffic such as swimmers.

Keeping this narrow body of water that separates England and France clear is vital for a wide range of economic as well as recreational travel purposes.

See also: Introducing the world's biggest ship

But as passenger and cargo vessels become longer, wider and more frequent, ensuring a smooth passageway in a straight just 34 kilometers (21 miles) across at its shortest navigable point has come to represent a considerable logistical challenge.

"It is the busiest shipping lane in the world," explained senior watch manager of the Dover coastguard, Tony Evans." And this is not including small pleasure craft (and) motorboats."

"Today we have 12 attempts at swimming the Channel. Obviously that has some bearing on the traffic in the fact that vessels may need to take action to avoid them," he added.

Sailing safe seas

Given the waterway's strategic importance, it is perhaps little surprise that the English Channel has long been at the vanguard of maritime planning and safety.

The world's first sea-traffic separation scheme was set up here in 1972 creating two lanes of traffic that ships must follow to avoid collisions.

Vessels traveling north have to use the French side, whilst the English lane is used for those traveling south. The basic premise of this system still exists today.

See also: Can Danube boost European trade?

Further lanes that dictate the flow of traffic from east and west -- east towards the North Sea and ports in Northern Europe and west towards the Atlantic Ocean -- have also been formed on both the English and French sides of the Channel (see traffic movement in video below).

Today these routes are regularly plied by some of the biggest cargo ships on earth, including the recently launched Maersk Triple E which at 400 meters long is the world's largest operational vessel.

Coastguard duties

According to Kaimes Beasley of the Dover based Channel Navigation Information Service, such high-value ships passing through the Channel mean coastguards in both England and France must be more organized and vigilant than ever before.

"The nature of the vessel traffic over the years has become significantly larger," Beasley explained.

"The navigational challenges remain the same, (in terms of topography, sandbanks and congestion). It is the job of the officers on watch of the vessels to make sure they navigate safely."

See also: Eight of the world's biggest infrastructure projects

To help with their daily duties, officers can call on a range of state-of-the-art tools to help direct and monitor maritime traffic.

Detailed radar screens provide a real-time snapshot of all ships on the channel at any given moment.

Automated Identification Systems (AIS) meanwhile present information on the larger vessels in the area, such as their size, name, course, destination and traveling speed.

All vessels that weigh over 300 tons are automatically tracked by satellite.

A captain's view

For those at sea, these hi-tech systems and services offer valuable guidance as well as reassurance.

Many ships have similar access to AIS systems ensuring they are aware of what is around them at all times.

"The ships have got much larger and therefore ... the technology has had to increase to match it," explained David Miller, senior captain of the Spirit of Britain passenger ferry.

"The basic concept of seamanship has been replaced by integrated electronic systems," he added.

Silk Road railways link Asia and Europe

But while such advanced technology has been a welcome development, Miller also points out the fundamental rules that govern movement on the Channel remain the same.

"The rules of the road are there for us all to obey them and if there is a risk of a collision we will follow (them)," Miller said.

"As long as everybody observes (these) rules then there's room for us all."

Find out more about The Gateway and when you can watch the show on CNN here

@highlight

The English Channel is home to the world's busiest shipping lanes

@highlight

More than 500 vessels pass through the straight that is only 34 kilometers across at its shortest navigable point

@highlight

Some of the world's biggest cargo ships ply the Channel alongside smaller objects such as yachts, fishing boats and swimmers