(CNN) -- You have a brain with billions of neurons. You have thoughts, and you do things because of those thoughts. But how do tiny cells translate into thoughts and actions?

The Brain Activity Map initiative is seeking answers to that question. As described in a proposal published online Thursday in the journal Science Express, a group of prominent researchers is proposing a large-scale effort to create new tools to map the human brain in unprecedented detail. This could lead to treatments for brain disorders such as epilepsy, autism, dementia, depression and schizophrenia, as well as ways to restore movement in paralyzed patients.

"We don't actually understand (how circuits of neurons) generate all these interesting behaviors we have, like speech and language and thoughts and memory," said John Donoghue of Brown University's department of neuroscience.

"What we're hoping is that as the tools develop -- and they will continue to develop -- we have additional insights that will lead to better medical devices."

Donoghue and his colleagues are eagerly waiting to see if the federal government will approve new money to pump into the project; the recent spending cuts known as the sequester could affect that prospect. But the scientists' proposal states that the project should be "funded by a partnership between federal and private organizations," and they're already beginning to ramp up their collective efforts, according to George Church, professor of genetics at Harvard Medical School, who is one of the key minds behind the project.

There are already indications of federal interest. President Barack Obama, in his State of the Union address in February, said, "If we want to make the best products, we also have to invest in the best ideas," and alluded to scientists "mapping the human brain to unlock the answers to Alzheimer's." Along with talking about drug development and materials science, Obama stated, "Now is not the time to gut these job-creating investments in science and innovation."

Fixing and manipulating the brain

A big goal of the initiative is to create ways of stimulating neurons that are less invasive than what's currently available, said Church.

There is already research being done on brain implants. Parkinson's disease, for example, is being treated with deep brain stimulators, electrical devices in the brain that restimulate specific circuits of neurons that have become faulty.

Donoghue is working on a project called BrainGate2, where scientists are developing technologies to reconnect the brain to the body in patients with paralysis. Researchers implant a small sensor -- about the size of a baby aspirin -- in the motor area of the brain. The sensor picks up a person's thoughts about moving, and transforms brain signals into movement signals.

Through this technology, researchers have demonstrated that patients can move a computer cursor by thinking and manipulate a robotic arm as if it were their own.

A next step will be to connect to the person's own arm or -- if a person has an amputated limb -- to a prosthetic limb that they could control with thoughts.

So far, the movements of the robotic arm don't seem as natural, coordinated or quick as a real arm. That's because scientists do not yet understand the precise brain processes involved. The Brain Activity Map project could help, for instance, look at the neural connections involved in brushing teeth.

"If we truly understand the code of how the brain does that, we could reproduce it," Donoghue said.

Further into the future, if scientists better understand the neural bases of mental illnesses such as schizophrenia, it could be possible to also develop treatments by targeting groups of neurons with electrical impulses.

"If you understood how thinking emerges from the interaction of many neurons, then you would have ideas about what a disordered thought would look like," Donoghue said.

Another set of tools in the project that looks promising is called optogenetics. Ed Boyden of the Massachusetts Institute of Technology is well-known for this technique. It involves using proteins that are sensitive to light, derived from other organisms such as algae, and putting them into neurons.

Researchers can then use optic fibers to manipulate those neurons. High-density optical fiber arrays would offer more, and thinner, probes for neuronal exploration than bulky electrodes.

"About a thousand groups are using these right now to study the brain because it lets you turn on one cell, or one kind of cell, and figure out what it does," Boyden said. "Although we don't have a complete list of the parts of the brain, we know that some cells are different than others, and people can turn on and off those cells to figure out how they work."

From worms to humans to cars

The intention of the Brain Activity Map project is to study the human brain, but there is also a lot of work going on in animal models, as they allow opportunities for testing devices before they are deemed safe for human trials. Worms, flies and leeches are good invertebrate candidates, and zebra fish, mice and rats provide another level of depth.

"Within 5 years, it should be possible to monitor and/or to control tens of thousands of neurons, and by year 10 that number will increase at least 10-fold," Donoghue and colleagues wrote in the Science article. "By year 15, observing 1 million neurons with markedly reduced invasiveness should be possible."

Donoghue anticipates that there will be insights that come out of the Brain Activity Map project that go beyond the human brain. After all, as a result of the space program, we have GPS. We have the Web because a primitive version of it was developed at the European Organization for Nuclear Research so that particle physicists could communicate better.

How particle smasher and space telescopes relate

In the case of this project, next-generation sensors that work in the brain could also be used to make cars smarter, Donoghue said. For instance, a car could automatically slow down if a soccer ball is detected in the road, anticipating that a child may dart out next.

About that money...

Researchers compare the economic benefits of brain mapping to the Human Genome Project, which generated $800 billion in economic impact as a result of a $3.8 billion investment, according to the Science Express article.

The genome project, for which Church was a key leader, was another one of the "best ideas" Obama mentioned in his State of the Union. The Human Genome Project started out in 1990 with $30 million in funding a year, and was ramped up to $300 million a year, Church said.

But Church and his colleagues involved in the brain project have a vision that is akin to what happened after that project ended in 2003. Between 2004 and 2011, Church said, there was a "million-fold" reduction in the cost of genome sequencing, and it's still happening.

"Every person who does molecular biology now is a million times more effective because of the cost drop that came after the genome project was over," he said.

Cost reduction of brain mapping is also a big aim of the Brain Activity Map project. As technology gets better, it will also get cheaper, Church said.

"Rather than have some monolithic juggernaut goal, where we're compulsively going to get this neuron and this neuron and this neuron, I think it's more, we want to enable all the creativity, and maybe even jostle the creativity a little bit, because people can dream different dreams," he said.

@highlight

Brain Activity Map project wants to study brain in great detail

@highlight

This could lead to treatments for paralysis, Parkinson's and other brain disorders

@highlight

Budget cuts may affect funding, but scientists are working with existing resources