ARLINGTON, Texas (CNN)  -- To begin with, Gregory Rose didn't have health insurance. Plus, it was finals week. So his first instinct was to ignore the pain.

A nurse takes blood from Gregory Rose, who has leukemia.

A walk across his apartment convinced him otherwise.

"My hip was like on fire, grinding" is how he recalled the morning seven months ago that changed everything. "I know pain, and I've never felt that kind of pain before," Rose said.

At the hospital, a blood test with startling results: a dramatically elevated white blood cell count. He had leukemia, at 23.

Rose had no health insurance because he was too old to be covered on his parents' policy and too young and seemingly healthy to think he needed it.

So count Rose among the estimated 47 million Americans who lack health insurance, and as a resident of a state with the highest percentage of uninsured: Nearly one in four Texans do not have health coverage.

Despite no coverage, he received expert care through the JPS Health Network, a county hospital that sees 800,000 patients a year, and where fewer than 7 percent of the patients have private health insurance.

"I have had excellent doctors --- excellent doctors," Rose said. "The chemo just wears you down. I had to be admitted for five days every time, every three weeks."

He is cared for through a hospital program called JPS Connection, which is geared to help those without insurance get care --- and to look to see if they are eligible for any government assistance.

Rose initially was put on Medicaid, then at a social worker's suggestion applied for Social Security disability payments. But after he started receiving them, his Medicaid was cut off because Texas is one of a dozen states that counts such payments against its income standards for Medicaid.

"Now I have no insurance again," he said with a sigh.

"Godspeed" is how Robert Earley, the JPS CEO, responds when the health care debate in Washington is brought up.

Nearly 15 percent of the hospital's patients are on Medicare, another 14 percent Medicaid. Most don't have any coverage.

So while he backs effort to find a way to cover the millions of uninsured Americans, Earley and his chief of medicine, Dr. Gary Floyd, said they worry President Obama's plan to pay for his effort to overhaul health care, in part, by squeezing billions from Medicare and Medicaid could do as much or more harm than good.

"Then you either cut services or you cut payments to providers," Floyd said. "And in Texas we have a significant problem with Medicaid. Only 38 percent of our physicians participate in Medicaid programs. ... So if we start squeezing the payment rates down or freezing them, there are fewer and fewer physicians who will want to participate in those programs."

In Texas, another major concern is how overhauling health care will deal with the question of providing treatment to illegal immigrants --- a significant slice of the patient population at JPS and other public hospitals.

"I've never met anyone in this area that is lukewarm on this issue," Earley said. "We have over 6,000 births last year, and over 70 percent of them were to an undocumented population. That is a population we have to take care of."

As for Rose, he said he's optimistic but also waiting to learn from doctors whether he needs to consider a bone marrow transplant.

"The bone marrow testing alone costs $300,000," Rose told us. "And we're not even talking about the hospital stays. That's just the testing part of it. At least that is what I am told."

In his apartment, he shows the eight prescription drug vials with his daily medications. In the window still hangs an Obama-Biden campaign sign.

Ask about the politics of health care in Washington, and Rose's first reflex is to blame Republicans. But as the conversation continues, he voices frustration at all the recent Democratic infighting over how to pay for the overhaul.

"I think they need to get their heads together," Rose said. "Because it's really not just about Republican vs. Democrat anymore, it's about getting the job done. And with those majorities in place, things should be happening, especially if you're coming from the same types of ideas and backgrounds, there shouldn't be too much opposition. ... And if they don't get it done, there's going to be a lot of people that are going to be hurting because of it."

@highlight

Texan Gregory Rose, who's uninsured, was diagnosed with leukemia at 23

@highlight

He's among nearly one in four Texans who do not have health coverage

@highlight

Rose may face treatment costing hundreds of thousands of dollars

@highlight

He voices frustration on health care debate, says lawmakers need to get job done