U.S. regulators issued a safety advisory on Wednesday night urging freight railroads to avoid using older tank cars when hauling highly volatile crude oil when possible.

The Transportation Department action follows a string of derailments over the past 10 months, including a catastrophic explosion and fire last July that wiped out a town center in Canada, killing nearly 50 people, and another fiery accident on April 30 in Virginia.

"These accidents have demonstrated the need for emergency action to address unsafe conditions or practices in the shipment of petroleum crude oil by rail," the agency said in its notice that included an order for railroads to notify relevant state emergency response offices when planning to ship large amounts of petroleum crude from the Bakken oil field in North Dakota.

Large shipments were classified as trains hauling more than 1 million gallons of Bakken crude, or approximately 35 tank cars.

Petroleum crude is said to be more volatile than other types of shipments of that kind, and safety questions have been raised previously about large volumes of it moving through the United States and Canada.

To that end, the Federal Railroad Administration and the Pipeline and Hazardous Materials Safety Administration advised those offering oil shipping contracts and rail carriers on Wednesday "to the extent possible to avoid the use of older" tank cars when shipping Bakken crude.

Regulators are "strongly urging" the use of tank cars with the "highest level of integrity available in their fleets" when hauling that product.

"All options are on the table when it comes to improving the safe transportation of crude oil, and today's actions, the latest in a series that make up an expansive strategy, will ensure that communities are more informed and that companies are using the strongest possible tank cars," said Transportation Secretary Anthony Foxx.

The Transportation Department also said it aims to move forward with new regulations on tank car standards.

Accidents cited by regulators included:

The April 30 derailment of a CSX train with 105 tank cars loaded with petroleum crude in Lynchburg, Virginia.  Seventeen cars jumped the tracks, triggering an oil fire. Some 350 people were evacuated. Up to 30,000 gallons of crude spilled into the James River.

Last December, a BNSF train hauling more than 100 cars of petroleum crude hit the derailed car of another train in North Dakota. The locomotive and 21 tank cars left the tracks, dumping 400,000 gallons of oil and triggering a massive fire. Some 1,400 people were evacuated.

Last November, a 90-car petroleum crude oil train operated by Alabama & Gulf Coast Railway derailed in Alabama. Twenty-six cars were involved, triggering a fire.

The worst was last July when an unattended freight train loaded with petroleum crude rolled down a grade in the town of Lac-Mégantic, Quebec. The resulting explosion and fire leveled the small community's downtown, killing 47 people.

The freight rail industry, represented by the Association of American Railroads, said it has worked for years with emergency responders to educate them about hazardous materials.

"These open and transparent communications will continue as railroads do all they can to comply with the Department of Transportation's emergency order," the group said in a statement.

In February, the industry announced steps in conjunction with the Transportation Department that included stepped up track inspections, improved braking procedures, new route analysis, and speed restrictions.

The industry at the time said it would continue to work with regulators on new tank car standards.

Safety officials wary of growing use of trains to ship oil

Opinion: Stop shipping volatile oil by rail

@highlight

Transportation Department takes action after string of derailments

@highlight

Safety questions have been raised about highly volatile petroleum crude

@highlight

There is concern about older tankers being used for those shipments

@highlight

Derailments over the past 10 months have been fiery; one in Canada was catastrophic