(CNN) -- In Chicago, thousands of public school teachers and support staff represented by the Chicago Teachers Union have walked off their jobs after reaching an impasse in contract talks with the city.

Last month, 780 machinists at a Caterpillar Inc. parts plant in Joliet, Illinois, voted to end their three and a half month strike, accepting a six-year contract that contained almost all of the concessions the company demanded.

These contemporary disputes hide a dramatic historical fact: The strike has almost disappeared from American life.

The numbers are stark. During the 1970s, an average of 289 major work stoppages involving 1,000 or more workers occurred annually in the United States. By the 1990s, that had fallen to about 35 per year. And in 2009, there were no more than five.

The decline in strikes cannot be explained solely by declining union membership. According to a study by sociologist Jake Rosenfeld, unionization among private-sector full-time employees fell by 40% between 1984 and 2002. But the drop in total strike frequency was even greater, falling by more than two-thirds.

What has happened to the strike, and what does it mean?

Since the 1970s, the forces of economic globalization and technological changes have put increasing pressure on employers and employees. Neither of those forces by themselves, however, requires the disappearance of either unions or strikes, as is shown by the example of other industrialized nations such as Canada, Britain, Australia and many European countries. Rather, the most important difference in the U.S. experience has been a profound change in the legal and institutional order governing labor relations and workers' rights.

We have essentially gone back to a pre-New Deal era of workplace governance.

Before the 1930s, American unions confronted a legal environment that historians have described as "judicial repression." During that time, federal courts repeatedly struck down workers' rights to organize and act collectively, making unions themselves all but illegal.

In 1935, the National Labor Relations Act (NLRA) created a process for legally recognizing union representation and managing private-sector labor conflict. The result was historic democratization of the American workplace and economy. The strike was a crucial part of this system: While the law was intended to reduce industrial strife, it also relied on the right to strike to protect the integrity of the bargaining process.

The prospect of economic sanctions served to push both employers and employees to compromise and negotiate their way toward a peaceful agreement. Thus, the right to strike was explicitly protected in the language of the NLRA and affirmed by the U.S. Supreme Court in 1960.

From the beginning, though, employers gained a crucial advantage. In 1938, the Supreme Court ruled that while workers could not be fired for striking, they could be "permanently replaced," a distinction with little difference in reality.

For much of the post-World War II period, employers generally accepted unions in sectors where they were already established.

But in 1981, President Ronald Reagan summarily fired the striking federal air traffic controllers. Reagan's actions announced a critical turn in the federal government's attitude toward workers' rights. As a result, employers quickly adopted more aggressive tactics against unions and their strikes.

Decades of conservative federal court and NLRB decisions have now turned the law upside down.

For example, in 1983 the Supreme Court allowed permanent replacements to sue their employer if they were dismissed in favor of returning strikers, making a negotiated settlement of such strikes much more difficult.

In 1989, the court ruled that the federal Railway Labor Act governing transportation unions did not require employers to lay off employees who crossed picket lines in order to reinstate more senior strikers after an economic strike. That case brought a blistering dissent from Justice William Brennan, who found no basis for the court to favor crossover workers "unless it is perhaps an unarticulated hostility towards strikes."

At the bargaining table, the threat of replacement dovetails with legal rules that give management unilateral power to impose its last offer on declaration of impasse. As labor law scholar Ellen Dannin notes, the NLRB issued a series of decisions under the Reagan administration that lowered the number of bargaining sessions needed to show impasse, reduced the obligation to provide information to the union and gave employers freer rein to seek concessions, including total discretion in wages. These decisions have made it easier for employers to reach impasse and then implement their desired terms and conditions.

The previous mechanisms that once encouraged settlement are now reversed: Managers have incentive to reach impasse quickly and terminate bargaining, while unions often must scramble simply to avoid deadlock.

Disputes over impasse and implementation have featured in many high-profile labor struggles of recent years, involving Caterpillar, Bridgestone-Firestone, the Detroit News and major league sports. Even profitable employers can make extraordinary demands, and increasingly firms have chosen to lock out their workers and operate with replacements, as the National Football League is doing with its unionized referees.

In effect, we have returned to a policy of judicial repression.

The government may no longer send in troops, but ruinous legal and financial penalties threaten unions that go beyond tight restrictions on collective action.

For some, the disappearance of strikes may seem like a good thing, an end to the disruptions and occasional inconvenience they may cause. But there are more serious consequences to the loss of workers' rights to organize and to strike.

The decline of unionization has contributed to the rise of economic inequality in the U.S. over the past several decades. More than that, it also signals a historic de-democratization of the institutions that traditionally served to hold corporations accountable and govern our working life, from the scope of collective bargaining on the job to the protection for workers' rights under the law.

"This is a difficult decision for all of us to make," said union President Karen Lewis about the Chicago teachers' call for a strike. Work stoppages involve real sacrifices, not least of all from the striking workers.

For the sake of our economic and political future, however, America would be better off if we had more strikes.

Chicago parents: What are you doing to keep your kids busy? Share your story with CNN iReport.

The opinions expressed in this commentary are solely those of Chris Rhomberg.

@highlight

In Chicago, public school teachers are set to go on strike

@highlight

Chris Rhomberg: The strike has mostly disappeared from American life

@highlight

He says declining union membership isn't the only reason; the laws have changed

@highlight

Rhomberg: Weakening of rights to organize and to strike has serious consequences