(CNN) -- The movement to eradicate food deserts would benefit from, of all things, banishment of the term food desert.

In a job where I'm seeking innovations that allow more families to have better access to fresh fruits and vegetables, I'm struck that advocates seem mostly interested in mapping and remapping the same neighborhoods to establish conclusive proof that food deserts exist. By the USDA definition, that means documenting "a census tract with a substantial share of residents who live in low-income areas that have low levels of access to a grocery store or healthy, affordable food retail outlet."

The problem is that this approach focuses on diagnosis but not cure. It's as if doctors kept perfecting the test for polio without looking for a vaccine.

The food desert diagnosis too easily turns into a club used to beat families most in need. Being labeled a food desert makes a neighborhood undesirable, rather than a target of opportunity.

The discussion gets mean-spirited when critics assert that it's the people -- not the neighborhoods -- who are broken.

In poor neighborhoods where there's more violence and limited opportunities, some assume that residents brought the difficult circumstances on themselves, that families like living on the dole. Sometimes it's whispered. Sometimes it's shouted. Either way, it's the same conclusion: Those people got what they deserved.

To buy the critics' argument means you have to believe a mother would put her family in life-threatening situations, endure the suffering associated with hunger, opt out of the American Dream, all to get about $4.50 a day in federal food assistance.

On top of everything else, as economist Jacob Geller and others have pointed out, the government's food desert definition might not matter much.

What we need is the recognition that food represents heritage, love, faith, healing and family pride. Food builds community and helps reduce social isolation.

What we need is experimentation with new ownership, supply chain and distribution models to disrupt the existing food systems.

What we need is a Food Oasis Movement.

There is an untapped demand for fresh fruits and vegetables. Unlocking the demand requires understanding that food access is about relationships, not transactions. Also, price matters.

Families won't respond to the food police nagging them to eat their veggies. Outsiders dropping off a pallet of free food won't cut it.

Families will respond positively to cooking classes with their friends, celebrations of family kitchen traditions and high-quality produce distributed through trusted sources.

Philadelphia grocer Jeff Brown has opened supermarkets in neighborhoods written off as food deserts. He hires from the neighborhood, adds specialty items the neighbors like and puts health clinics and community meeting rooms inside his stores. His stores make money.

Food Oasis innovators focus on what they can do, not what they can't.

In Chicago, community activists came up with Fresh Moves, a grocery on wheels. In California, Oakland's People's Grocery created a mobile market and a farm-to-table distribution business serving low-income families. It's now launching a grocery store. In Maryland, Baltimore's virtual supermarket allows residents to order healthy food and pick up their deliveries at neighborhood libraries, schools and senior housing sites.

In Atlanta, across the street from the Martin Luther King Jr. National Historic Site, Rashid Nuri turned a neglected property into a six-acre farm, Wheat Street Garden, with an on-site market. He is transforming a neighborhood into a Food Oasis.

The demand is unquestionable. Customers keep coming back for chemical-free kale, squash and other whole foods. The distribution model is creative. Many shoppers pay full price. Thanks to foundation grants, families using SNAP benefits get $2 worth of food for every $1 spent. For people who are broke and hungry, Nuri makes sure they get food.

There's an easy way to test the usefulness of the food desert label.

Show up at a neighborhood meeting with research on how residents are living in a food desert. Guess what? They already know.

So take another tactic. Ask residents how they want to transform their neighborhood into a Food Oasis.

I've done it, and residents have lots of ideas. They want to turn vacant lots into gardens, learn canning techniques so summer vegetables will be available year round and teach young people the joy of making casseroles.

Sorting through all of the answers, it boils down to three things: Eat. Cook. Grow.

Daniel Ballard, whose Edible Yard and Garden firm creates landscapes that feed people, figured this out when he was working with high school kids through Desire Street Ministries in New Orleans.

He saw that young people were interested in culinary traditions. He taught them that the way to eat what you want is by learning to cook. To get the ingredients for the recipes -- these young people discovered -- they had to grow the food.

We all get the food desert diagnosis. Like Ballard's kids, we're ready to create a Food Oasis. We're ready to eat, cook and grow.

The opinions expressed in this commentary are solely those of John Bare.

@highlight

John Bare: The movement to get rid of food deserts can start with banishing the term

@highlight

Bare: Being labeled a "food desert" makes a neighborhood undesirable

@highlight

He says we need a Food Oasis movement that disrupts existing food systems

@highlight

Bare: Innovators are taking fresh food to neighborhoods inspiring locals to eat better