Washington (CNN) -- This year, despite the recession and record-high unemployment, Americans appear to be getting into the holiday spirit by starting to shop again.

This isn't necessarily a bad thing given that consumer spending makes up more than two-thirds of the U.S. economy.

Americans, however, should not go into debt to buy presents. Just as important, they need to start saving before they spend. It may sound like Scrooge to argue for saving during the holidays, but saving is essential if American families and the economy ever are to recover from the worst economic downturn since the Great Depression.

Returning to business as usual without fundamentally recalibrating our household finances will just lead to the inflation of the next bubble. Easy credit helped get us into this mess, and credit cards and mortgages will be harder to come by from here on out.

Americans are going to need savings to pay for emergency expenses or to make a down payment on a house. We're also going to need them to pay for long-term expenses, such as the rising cost of college tuition for our kids and retirement.

Increasing savings is also good for the economy as a whole. When the economy is healthy, banks lend the money we save back out to businesses that produce the goods and services that, in turn, help grow the economy and create jobs.

As Americans' savings rates declined over the past several decades, businesses and the government started borrowing more heavily from foreign countries, like China, to pay for these investments.

But the cost of this borrowing is likely to rise and is not sustainable. We need more homegrown savings to fuel our economic growth.

The past year has been a good one for savings, with the personal savings rate rising from near zero earlier in the decade to nearly 4½ percent in October.

But it seems that Americans aren't saving enough, and further action is needed to make sure that this becomes a habit and not just a temporary fad.

A recent survey by the TNS group, with assistance from Harvard Business School and Dartmouth College, found that almost half the respondents couldn't come up with $2,000 for an emergency in a month from savings, family or borrowing. These numbers are probably even worse for lower-income families who most need savings to fall back on.

Another survey, by the Federal Deposit Insurance Corp., revealed that more than a quarter of Americans do not have a bank account or have one but prefer to use high-priced alternative financial services, such as check cashers and payday lenders instead.

It difficult to start saving if you don't even have an account or you're paying exorbitant fees for basic financial services and products.

Savings starts with individual behavior, but there are steps the government can and should take to help us do this.

President Obama has proposed automatically signing up all workers for IRAs in the workplace along with expanding the Saver's Credit, a tax credit that matches the retirement savings of low-income individuals.

These are an excellent first steps, but if we are going to transform our financial habits, bolder action is required.

Congress is discussing one such deal: Giving every child a savings account at birth with a small initial deposit. Every child would be able to start saving on Day One, gaining valuable financial education and building savings for college or a down payment on a home as they grow up.

Improving the way Americans manage their personal finances will take time and an effort by individuals, government and business.

The holiday season exemplifies our worst tendencies to overspend, so it's the best place to make a stand. It starts with you and your pocketbook, but a little catchy marketing never hurt either. Move over Black Friday and Cyber Monday, it's time for Piggybank Wednesday.

The opinions in the commentary are solely those of David Newville.

@highlight

David Newville: Americans are shopping again this season but shouldn't go into more debt

@highlight

Newville writes that the economy won't be refueled unless families start saving

@highlight

U.S. borrowed heavily from foreign nations when savings rates went down, he says

@highlight

Newville: Try more tax credits for savings, automatic IRAs, savings accounts for babies