(CNN)The future of the United States lies in North America. This is not a geographic truism, but a strategic imperative. Generations of Americans, distracted by far-flung crises, have long taken our own region for granted. This must change if the 21st century is to be an American century. The United States, Canada and Mexico are bound by a shared economic, environmental, demographic and cultural destiny. How we move forward together is key to our success.

In recognition of our shared destiny, the three countries should create a North American passport that would, over time, allow their citizens to travel, work, invest, learn and innovate anywhere in North America.  Work, tourist and student visas are necessities in the modern world to regulate the flow of people between sovereign states.

In the North American context, much like within the European Union, our economies and societies are far more integrated than our immigration system recognizes -- and a North American passport, much like the EU passport, would align our laws with reality.

Podcast: A North American passport?

Such a move would provide a dramatic break from Washington's historical negligence of its  "near abroad," which stems from a rare luxury. In contrast to other major continental powers through the centuries, the United States has not had to worry much about its neighbors and devote the bulk of its military resources to protecting its borders. With no real threat next door, the United States has felt free to roam elsewhere in the world, as unconstrained and secure as if we were an island nation.

Meanwhile, our neighbors bolster our prosperity.  Mexico and Canada are now the top two export markets for the United States, and two of our top three trading partners overall. Trade has exploded in the two decades since the passage of the North American Free Trade Agreement, or NAFTA, which has created an integrated manufacturing platform and labor market.

Canada, a stalwart ally that embodies the best of our shared democratic values, has long been the No. 1 source of imported oil to the United States, with Mexico usually coming second or third. The North American region has become the fastest-growing producer of oil and natural gas in the world and will surpass Saudi Arabia and OPEC within a decade or two as the global energy leader.

This potential must be leveraged regionally, with cross-border infrastructure investments and environmental planning. Even if Washington still thinks in terms of tidy lines separating nation states, mineral resources are about as influenced by such lines on a map as the water gushing down the Colorado River.

Mexico, an emerging powerhouse with more than 100 million people, is striving to consolidate its democratic gains and become a predominantly middle-class society. The United States has a strong stake in this effort. Mexico is the linchpin to our relations with the countries of Central and South America. The economic prosperity, education and security of Mexico's people will help determine the overall competitiveness of North America on the global stage. Moreover, Americans on this side of the Rio Grande must acknowledge the "Mexicanness" in the United States and treat Mexicans living here with the dignity and respect they deserve.

The inception of NAFTA marked an important step toward leveraging these geographic realities for a shared North American success. NAFTA has been a boon to our growth and competitiveness. Integrated production platforms, sometimes spanning all three countries, have helped draw manufacturing back from competitors across the Pacific.

But the promise of NAFTA has fallen short in a critical respect; while trade and investment have grown, the barriers to movement have remained too high for the people who help drive and stand to benefit from that growth.

As evidenced by the recent political firestorm over President Obama's executive move to allow more undocumented workers to avoid deportation, it would take farsighted and courageous political leadership in all three countries to press for a North American passport.

But the fact is that allowing North Americans to move more effortlessly across the borders would help alleviate our contentious domestic immigration battles.

We have more than 10 million undocumented immigrants in this country because we didn't create a realistic, legal avenue for the number of Mexicans who would -- and should, given our level of integration -- come to the United States over time.  Moreover, by erecting a wall along the border and making crossings so difficult, costly and dangerous, we have interrupted the old "circularity" of migratory flows, trapping millions of workers on this side of the border.

If we established a North American passport and adapted our legal framework to economic realities, allowing people to move within our North American economy, we wouldn't need to debate whether to offer more than 10 million people U.S. citizenship.   Even a few years ago, immigration was a far more polarizing issue in states like Arizona. Now the tide is slowly changing. More Republicans are recognizing that their prior stance on immigration needs to change if they want to win over voters in the next presidential election.

A North American passport would reflect the unique relationship and shared interests among our nations. In the face of growing competition from rising powers elsewhere in the world, simply taking our geography for granted and focusing our attention elsewhere is no longer a viable option.

@highlight

The future success of North America depends partly on how the U.S., Canada and Mexico work together

@highlight

Andrés Martinez, Daniel Kurtz-Phelan: We should have a North American passport, like the European Union passport