(CNN)I obey the speed limit, use turn signals, and don't cruise around with broken tail lights. I don't have substance-abuse problems, unless you count Diet Dr. Pepper. I live in a safe neighborhood, and no one in my family has a criminal record. I like to think all of that is why I spend virtually no time worrying about the police.

Yet there's another big reason: I'm white.

The way most white people see the police, and the way most black people see them, is separated by a gap so wide it may as well be a canyon.

That gulf has been cast into sharp relief by events in Ferguson, Missouri, where a grand jury declined to indict white police officer Darren Wilson in the death of unarmed black teenager Michael Brown. That sparked protests around the country, as did a decision in New York not to indict a white police officer in the death of Eric Garner, an unarmed black man who police confronted while investigating allegations that he was selling cigarettes illegally.

Those cases collectively have come to stand as a kind of national Rorschach inkblot test, with people looking at the same events and reaching different conclusions. Some people adopted the phrase "black lives matter" to protest police treatment of minorities, while others countered with "police lives matter," and -- maybe in search of a more universal middle ground -- "all lives matter."

People immortalized Garner's last words -- "I can't breathe" -- on T-shirts and protest signs and social media posts. Those on the other side of the national divide fired back with slogans such as "I can breathe" and "Breathe Easy, Obey the Law," arguing that if you just obey the law, you will avoid encounters with the police altogether.

One of our latest CNN/ORC polls put numbers on the gap in public opinion.

Asked "How many police officers in the area where you live ... are prejudiced against blacks?" 17% of whites said "most or some," but more than twice as many non-whites -- 42% -- felt that way. "Does the U.S. criminal justice system treat whites and blacks equally?" Whites: 50% said yes, compared to 21% of non-whites. True, plenty of blacks and whites buck those trends, and no racial group can be treated as a monolith in these matters, but leanings -- writ large -- remain.

Those opinions may grow out of the fact that police tend to arrest blacks at rates disproportionate to their share in the general population. FBI figures, for example, show that blacks made up 28% of all people arrested in 2013; they make up about 13% of the U.S.  population.

But plenty of people have long suggested those numbers are deceiving; that police pursue black suspects more vigorously because they are predisposed to believe blacks are guilty, and those suspects are often less educated and not as financially prepared to defend themselves. The result, they argue, is a self-fulfilling prophecy: a larger percentage of blacks are arrested and convicted because police spend more time chasing them down.

Accordingly, when an unarmed teen gets shot and killed by a cop in Missouri, or a man in New York dies after being choked by an officer, some people see evidence of police targeting and brutalizing minorities.

Still, facts often fit into this debate like broken Legos, if at all. In both Ferguson and New York, police supporters point out that the men who died were being approached about possible criminal behavior and did not do what the officers asked of them. That's a formula for trouble, they say, regardless of race.

Want more complications? Consider this: About a quarter of the nation's officers come from minority groups, and they too are making those arrests that so disturb some people in minority communities. That suggests this friction may be partially about black and white, but also tied to a pro-police mentality that sees blue first. And by the way, there are still plenty of places like Ferguson where the overwhelming prevalence of white officers in a largely black community creates a feeling of apartheid for some minority residents.

It all plays out in so many heated ways. Protestors flood the streets and some observers see overdue demands for change, while others see pointless rabble-rousing and destruction. In New York, officers turned their backs on Mayor Bill DeBlasio on the grounds that he supported protesters outraged by the grand jury decision not to indict a police officer in Garner's death. Anger at the mayor deepened after two New York police officers were killed in ambush by a man who had posted on Instagram: "I'm Putting Wings On Pigs Today. They Take 1 Of Ours, Let's Take 2 of Theirs."

Some see well-founded, fair objections, while others see brazen disrespect. On it goes, each action honestly generated from within a worldview, and yet seen in a wildly different way by those who use another lens.

The divergent views were captured neatly after a Facebook post from Mike Rowe, who stars in the CNN series "Somebody's Gotta Do It." Someone asked what he thought of the protests in California triggered by events in Ferguson. He said those protests made him 90 minutes late for a holiday dinner in Alameda, California, where the deaths of Brown and Garner dominated conversation.

"My conservative friends were focused on the fact that both men died while resisting arrest, and were therefore responsible for their own demise. They wanted to discuss the killings in light of the incredible risk that all police officers agree to assume," Rowe wrote. "My liberal friends were focused on the fact that both men were unarmed, and were therefore victims of excessive force. They wanted to discuss the killings in the context of historical trends that suggest bias plays a recurring role in the way cops treat minorities."

He said it was clear by dessert that both sides wanted law and order.

"But the conservatives were convinced that order is only possible when citizens treat cops with respect. Liberals, on the other hand, were arguing that order can only occur when cops treat everyone the same," he wrote. "And round and round we went."

More than 115,000 people offered a range of views in their comments on Rowe's Facebook post. Nearly 65,000 people shared the post, with each spawning more comments from more people with more views.

When these events happen, people always say "At least we're talking about the problems. That's a start." I'm not so sure. I've covered versions of this debate for close to 40 years now, and it hasn't changed much.

Some are so convinced of police bigotry, they will not stomach the slightest allowance that maybe officers are taking on a hard, dangerous job in which judgment calls can be fairly made and still wind up fatally wrong.

Some others are so certain that this is all just so much liberal whining, that they cannot tolerate even a reasonable review of police conduct, suggesting that it constitutes an erosion of respect and support for people they consider de facto heroes.

I suspect if any real progress is to be made in this national discussion, it will have to be started by people who don't fully buy into either camp. And the discussion probably can't include poisoning phrases like "black underclass" or "white privilege," because those are conversation stoppers -- not starters.

The man who helped me get my first job in television was an excellent investigative journalist named Norman Lumpkin. He made his reputation as a rare African-American TV reporter in Montgomery, Alabama, grappling with inept public officials, scheming businessmen, and, yes, shady cops. He was my friend and mentor. One day Norman called me aside to criticize a story I'd just done on divorces, noting that I had not included any black families. I took offense.

"This isn't a story about race," I said.

"It's always about race," Norman said.

"Well, I don't judge people that way."

"We all do."

I've thought of that clash many times, especially since Norman passed away, and I've concluded I was right to try to ignore race in a story that was about human values we all share. He was equally right to say race has a way of creeping into places where it doesn't belong; like divorces, politics, and police work. And we were collectively right in trying to actually talk about our differences, instead of accusing each other and lapsing into hardened silence. Neither of us was being racist. We were trying, as friends do, to help each other understand. But then, Norman and I already knew we could trust each other.

And in too many places, police and the people they are sworn to protect, are not so sure of that.

@highlight

Whites and blacks tend to have different views of race and police

@highlight

That divide has been on display since the deaths of Michael Brown and Eric Garner

@highlight

Some also have a pro-police mentality that sees blue first