Los Angeles (CNN)It's more than just one state's internal problem. The historic California drought hurts the rest of the union, too.

That's because California is a breadbasket to the nation, growing more than a third of its vegetables and nearly two-thirds of its fruits and nuts.

Here's why we should heed the ongoing drought in the most populous state, a slowly expanding natural disaster now in its fourth year that this week prompted Gov. Jerry Brown to announce a mandatory 25% cutback in water consumption in all cities.

In 2014, one expert predicted consumers would pay more for some groceries because of the California drought.

He was often right, according to statistics gathered by Timothy Richards, agribusiness professor at Arizona State University.

Prices rose last year for these items on your kitchen table:

• Berries rose in price by about 80 cents per clamshell to $3.88

• Broccoli by 11 cents per pound to $1.89.

• Grapes by 64 cents a pound to $3.06

• Melons by 24 cents a pound to $1.23.

• Packaged salad by 23 cents a bag to $2.91.

• Peppers by 26 cents a pound to $2.39.

Though fruits and vegetable prices fell in February, overall prices are expected to rise this year, because of inflation, U.S. Department of Agriculture economist Annemarie Kuhns said.

Fresh fruit prices are projected to rise between 2.5% and 3.5%, and vegetables between 2% and 3%, close to historical average increases, Kuhns said.

Whether the California drought will affect food prices again this year is unknown, thanks to a strong dollar.

The greenback's strength allows producers to import crops that may be withering under the absence of West Coast rain or other misfortunes elsewhere in the nation, Kuhns said.

Moreover, the drop in oil prices also eases the cost of transporting food from California to the other 49 states, she said.

What economists don't know yet is whether farmers will plant fewer crops because of the drought. Those decisions are now being made in the field and could boost supermarket prices, she said.

"The drought in California does have the potential to impact the price we pay for fresh fruit and fresh vegetables and dairy and fresh eggs we pay at the counter," Kuhns said. "We are not sure what the exact impact will be."

The reality is there's a major drought throughout the West and Southwest.

While not as bad as California, Texas and Oklahoma are also seeing extreme and exceptional drought -- the two worst categories -- in several parts of their states, the U.S. Drought Monitor said this week.

Overall, the Western drought affects more than 52 million people, the monitor says.

As a result, consumers paid a whopping extra 12.1% for beef and veal in 2014, the USDA reports.

Straining under a drought that began in 2012, ranchers in Texas and Oklahoma last year saw smaller grazing pastures, paid more for feed, and experienced difficulties accessing water to cool their cattle.

So the cattlemen began culling their herds, Kuhns said.

This year's beef and veal prices should rise only by 6% at most, still higher than the 4.1% historical average, the feds project.

But beef prices offer an object lesson about the drought.

"There's other areas being affected," Kuhns said.

It's called the Golden State for the gold rush of yore, but let's face it: the rest of the nation flocks to California for vacation because of another golden reason.

Its year-round sunshine.

So the next time you take a holiday in California, you'll find a few changes around here, thanks to the drought.

Like asking for a glass of water at a restaurant.

You won't find water waiting for you on the table.

Eateries now "can only serve water to customers on request," the State Water Resources Control Board declared in March under expanded emergency regulations.

Tourists can also expect to hear a lot of requests at hotels about whether they want their linens and towels laundered daily. These requests are mandatory under the new regulations.

And they'll see fewer homes running decorative fountains.

Because much of the snowpack in the Sierra Nevada has alarmingly disappeared, many ski resorts shut down early this year, including at Lake Tahoe, and some are now building zip lines, mountain bike trails and wedding venues to keep tourists coming, the Sacramento Bee reported.

"If the drought continues through next winter and we do not conserve more, the consequences could be even more catastrophic than they already are," State Water Board Chair Felicia Marcus said in March.

But what about those yummy California wines, you ask?

Guess what.

They're only getting better -- because of the drought.

Yes, you read that right.

The 2014 wine grape harvest was "third in a string of great vintages this decade," the Wine Institute says.

"California vintners and growers across the state are grateful for another excellent vintage, despite an ongoing drought and earthquake that rocked south Napa in late August just as crush was getting underway," the institute said in a statement last year. "A mild winter and spring caused early bud break, although the overall length of the growing season was similar to past years."

Wine grapes use relatively low water, said institute spokeswoman Gladys Horiuchi.

"Yes, drought years tend to produce terrific quality," she added. "With the record high California wine grape harvests in 2012, 2013 and 2014, there is a good supply of California wine."

That may be the only thing to toast about this drought.

@highlight

Americans paid more for some fruits and vegetables last year because of the drought

@highlight

Tourists will now have to ask for a glass of water at a California restaurant

@highlight

Perhaps the only good thing is another "great" wine grape harvest last year