(CNN) -- The newly elected head of Syria's opposition briefed European foreign ministers Monday on the crisis there, European Union foreign affairs representative Catherine Ashton said.

Ashton met Monday with Ahmed Moaz al-Khatib and pledged European support ahead of the monthly meeting of European Union foreign ministers.

"We want to help, but it's their country," she said.

Al-Khatib was to discuss his proposal for a political transition to end the hostilities that have left thousands of people dead during nearly 21 months of violence that Syrian President Bashar al-Assad has characterized as a fight against terrorism.

Ashton said the world must take a stand against al-Assad's actions.

"It is important that we recognize the terrible things that have been happening in Syria and the responsibility that Assad has," Ashton said. "We said from the very beginning that it is no place to be in a position of power in your country if you respond to peaceful demonstrations with the murder of your citizens."

After hearing from al-Khatib, the foreign ministers released a statement saying, "The EU is seriously concerned about the potential use and transfer of chemical weapons in Syria and reminds the Syrian regime and other parties that, in case of their use, those responsible will be held accountable."

Syria has accused the United States of working to falsely accuse the country of using chemical weapons, Syrian state-run media said Monday.

"The U.S. administration has consistently worked over the past year to launch a campaign of allegations on the possibility that Syria could use chemical weapons during the current crisis," the Foreign Ministry wrote in letters to U.N. Secretary-General Ban Ki-moon, the state-run Syrian Arab News Agency reported.

"What raises concerns about this news circulated by the media is our serious fear that some of the countries backing terrorism and terrorists might provide the armed terrorist groups with chemical weapons and claim that it was the Syrian government that used the weapons," SANA quoted the letters as saying.

U.S. officials have said they have seen intelligence suggesting that Syrian military units may be preparing chemical weapons for use.

President Barack Obama has said any use of chemical weapons would cross a "red line," eliciting swift U.S. reaction.

The United States and European allies are using defense contractors to train Syrian rebels to secure chemical weapons stockpiles, a senior U.S. official and several senior diplomats said.

The training, in Jordan and Turkey, covers the monitoring and securing of stockpiles of weapons and materials, said the officials, who spoke on condition of anonymity because they were not authorized to publicly discuss the issue.

Some contractors are working with rebels in Syria to monitor sites, one of the officials said.

Opposition groups said fighting continued Monday across the country.

At least 142 people died Monday, 59 of them in Aleppo and 50 in Damascus and its suburbs, the Local Coordination Committees of Syria said.

In one Aleppo neighborhood, opposition activists said, they discovered 10 handcuffed and blindfolded corpses killed by government forces in recent weeks, the Syrian Observatory for Human Rights reported.

CNN is unable to confirm casualty reports as the government has severely restricted access by international journalists.

The Observatory said a rebel group seized control of a government military base in northwest Syria.

The seizure occurred in Aleppo province, where rebel fighters from the jihadi al-Nusra Front, Muhikiri al-Sham and the al-Battar battalions took over three brigades and the command center of the 111th regiment in the Sheikh Sleiman area of western Reef Aleppo, the observatory said.

Two rebels and one soldier died; five other soldiers were captured, it said, adding that 140 soldiers and their officers fled.

The rebel forces represent a variety of interests. In Washington, State Department spokeswoman Victoria Nuland said Monday that U.S. officials were concerned "that al-Nusra is little more than a front for al Qaeda in Iraq who has moved some of its operations into Syria."

The State Department is planning to designate al-Nusra Front, a radical Islamist group, as a foreign terrorist organization, two U.S. officials told CNN last week.

The announcement is likely to come this week, the officials said.

The hope is to finalize the designation before the Friends of Syria meeting, which is slated to be held Wednesday in Morocco.

The goal of the designation is to isolate extremists groups in Syria while giving a boost to the new political opposition group unveiled last month in Doha, Qatar, they said.

Al-Nusra and several other groups announced their opposition to a new anti-government coalition last month. U.S. officials estimate al-Nusra members represent some 9% of rebel forces in Syria.

Officials said the group has not affiliated itself publicly with al Qaeda in an apparent effort to appear more mainstream.

In recent months, the al-Nusra Front has emerged as one of the most effective groups in the Syrian resistance, drawing on foreign fighters with combat experience in Iraq and elsewhere.

It has claimed responsibility for a number of complex attacks in Damascus and Aleppo, frequently involving suicide bombers.

CNN's Elise Labott and Samira Said contributed to this report.

@highlight

"Those responsible will be held accountable" for use of chemical weapons, EU says

@highlight

At least 142 people are killed Monday across Syria, the opposition says

@highlight

Syria accuses the United States of setting it up to be framed on chemical weapons