The United States is on the verge of an energy renaissance. We need to recognize and seize the opportunity.

This renaissance involves domestic production of natural resources ranging from clean renewables to hydrocarbons.

In particular, domestic hydrocarbon production -- both oil and gas -- is increasing dramatically, with some experts predicting that the United States could become the largest hydrocarbon producer in the word -- outstripping Saudi Arabia and Russia -- by 2020.

Increased domestic production of hydrocarbons is driven by two trends. First, new technology is unlocking unconventional resources such as shale-derived oil and gas. And second, investors and policy makers are recognizing that the U.S. still has an enormous resource base of conventional oil and gas, particularly in Alaska.

Opinion: Why we should look to the Arctic

Federal agencies estimate that Alaska's North Slope and federal waters off Alaska's northern coast contain approximately 40 billion barrels of technically recoverable oil and more than 200 trillion cubic feet of conventional gas.

According to the U.S. Geological Survey, this region contains more oil than any comparable region located in the Arctic, including northern Russia.

However, the United States is lagging behind its Arctic neighbors in developing these resources. This is unfortunate, because we have some of the highest environmental standards in the world and we should be setting the bar for Arctic development.

Developing our Arctic resources will promote our nation's interests in many ways: securing a politically stable, long-term supply of domestic energy; boosting U.S. economic growth and jobs; reducing the federal trade deficit; and strengthening our global leadership on energy issues. Leading academic researchers and economists in Alaska have estimated that oil production from Alaska's outer continental shelf will bring federal revenues of approximately $167 billion over 50 years, and create 55,000 jobs throughout the country.

Developing U.S. resources in the Arctic has the added benefit of enhancing global environmental protection.

One of the arguments used by Arctic drilling opponents is that "we aren't ready," but it is obvious that no matter what preparations are made, they will argue that it isn't enough.

Shell, for example, has spent billions to prepare for drilling in the Arctic this summer, incorporating the lessons learned from the Deepwater Horizon spill in the Gulf of Mexico, state-of-the-art equipment and extensive scientific research. Recently, the Obama administration has publically expressed its confidence in the company's drilling plans.

The U.S. has created some of the highest standards in the world for environmental protection. When we delay or disallow responsible resource development, the end result is not to protect the environment, but to drive hydrocarbon investment and production to countries with much lower environmental standards and enforcement capacity.

Last year, it was reported that between 5 million and 20 million tons of oil leak in Russia per year. This is equivalent to a Deepwater Horizon blowout about every two months. Russia had an estimated 18,000 oil pipeline ruptures in 2010 -- the figure for the U.S. that year was 341.

If we do not pursue responsible development in the Arctic, countries such as Russia -- perhaps even China, which is interested in securing access to Arctic hydrocarbon resources -- will dominate energy production from the Arctic.  Such a scenario does not bode well for the global environment.

By embracing the opportunities in the Arctic, the United States will show the world that it can be a strong leader in responsible energy development.

@highlight

Estimates are that Alaska has about 40 billion barrels of technically recoverable oil

@highlight

Dan Sullivan: The U.S. is on the verge of an energy renaissance; we must seize the opportunity

@highlight

He says we have some of the highest standards in the world for environmental protection

@highlight

Sullivan: If we do not pursue responsible development in the Arctic, other countries will