(CNN) -- The man charged Wednesday with attempting to blow up the Federal Reserve Bank of New York, the latest alleged jihadist to be charged in a law enforcement sting, may or may not have had the capability to create a major terrorist incident. But if his case follows the pattern of other similar sting operations, what is clear is that he faces very long odds in court.

Quazi Mohammad Rezwanual Ahsan Nafis, a 21-year-old Bangladeshi from Queens, is accused of plotting to detonate a 1,000-pound bomb outside the Federal Reserve building in Manhattan.

Sounds pretty terrifying. But as acting Assistant FBI Director Mary Galligan explained, "It is important to emphasize that the public was never at risk ... because two of the defendant's 'accomplices' were actually an FBI source and an FBI undercover agent."

According to the complaint against him, Nafis did travel to the United States by his own account to wage "jihad." But Nafis doesn't seem like the sharpest aspiring terrorist. According to the complaint, Nafis believed that the undercover agent he was talking to had traveled overseas to meet al Qaeda's leadership to get approval for the New York plot during the summer of this year.

Not too many folks are known to have traveled to Pakistan's tribal regions from the United States to meet with al Qaeda's leaders in recent years.

Terror plotting: Bravado or sincerity?

Yet Nafis will be quite unlikely to successfully mount a defense that he was entrapped by the feds.

Since September 11, 2001, 207 individuals have been indicted on charges related to jihadist terrorism. Of those, 94 had interacted with an informant or an undercover law enforcement officer in the leadup to their arrest, according to data compiled by the New America Foundation.

Defense attorneys and members of the local community have in many of those cases accused authorities of entrapment, though that claim is rarely used as an official defense, since entrapment is extremely difficult to prove.

In one such contentious case in 2004, two imams at a mosque in Albany, New York, Yassin Aref and Mohammed Hossain, became embroiled in an elaborate terrorism plot created entirely by the FBI after Hossain approached a longtime FBI informant to ask about obtaining an illegal driver's license for his brother. Then, after agreeing to launder money that the FBI informant said would be used to buy a surface-to-air missile for terrorists, the two men were tried and convicted and sentenced to 15 years in prison on money laundering and terrorism charges.

Aref -- who spoke broken English -- maintained throughout the trial that he hadn't even known he was laundering money, much less that he was supporting terrorism, and dozens of community members -- Muslim and non-Muslim -- wrote letters to the courts and to local newspapers describing Aref as a devoted father and peace-loving, law-abiding member of society.

However, the odds are stacked against suspects like Aref. Of the 81 jihadist terrorism suspects who have gone to trial since 9/11 in cases involving an undercover agent or informant, every single one has either been convicted or pleaded guilty.

Entrapment defenses just haven't worked in post-9/11 jihadist terrorism cases.

By contrast, of the 45 non-jihadist terrorism suspects -- who include neo-Nazis, anarchists and anti-government extremists -- who have gone on trial since 9/11 in plots involving undercover agents or informants, the rate of successfully obtaining convictions or guilty pleas was about 77% rather than the 100% conviction rate in jihadist terrorism cases.

New York City Police Commissioner Ray Kelly said Wednesday, "Whether al Qaeda operatives like Iyman Faris or those inspired by them like Jose Pimentel, terrorists have tried time and again to make New York City their killing field.Â We're up to 15 plots and counting since 9/11, with the Federal Reserve now added to a list of iconic targets that previously included the Brooklyn Bridge, the New York Stock Exchange and Citicorp Center."

But few of these 15 plots were truly threatening to New York.

One of the terrorist suspects Kelly mentioned, Pimentel, allegedly came close last year to completing the construction of three pipe bombs he planned to use against New York police officers and returning U.S. troops, before authorities arrested him.

But the FBI had turned down more than one request from the New York City Police Department to get involved with the investigation because its agents were of the opinion that Pimentel "didn't have the predisposition or the ability to do anything on his own," according to one anonymous law enforcement official.

In fact, multiple acquaintances of Pimentel's told police he was mentally unstable and had once tried to circumcise himself. He had difficulty drilling the holes in the pipe bomb parts that the undercover informant had provided him with and asked an upstairs neighbor to help him. This doesn't sound like a cunning terrorist plotting to wreak havoc on the American public.

Similarly, the other terrorist mentioned by Kelly, Pakistani-American Iyman Faris, was certainly someone who had met with al Qaeda leaders in Pakistan, but the harebrained plan he hatched to bring down the Brooklyn Bridge was to use a blowtorch to burn through the massive steel cables of the bridge, which had no chance of succeeding and which he never attempted.

The good news is that even these not especially threatening cases, like that of Nafis, are becoming increasingly unusual. Since 2009, jihadist terrorism cases in the United States has been on a steady decline, with only three suspected jihadists indicted in 2012, compared with 25 in 2011 and a record 44 in 2009.

Why these jihadists' terrorism cases have so precipitously declined in number is hard to diagnose precisely. But law enforcement efforts, which are well-publicized as in the Nafis case, have surely had a significant deterrent effect, and the ideology of al Qaeda has continued to lose whatever appeal it once enjoyed among a tiny minority of Muslims living in the United States.

@highlight

Man from Bangladesh charged with attempting to detonate bomb outside Federal Reserve building

@highlight

Peter Bergen: Jihadists arrested as a result of many law enforcement sting operations

@highlight

He says they haven't succeeded in getting acquittals by using the entrapment defense

@highlight

Bergen: Jihadist terrorism cases have declined steadily since 2009