New York (CNN) -- Jacob Stevens scrambled to new wife Clara's side moments after she was struck by a car and whispered desperate entreaties for her to live.

But in his heart, he knew that Clara Heyworth, 28, would soon die.

Blood from a wound on her head was spilling onto the road, Stevens said, and it was clear that she was seriously injured.

"I don't think anyone can fix this," Stevens told friends that morning. "We all know this can't be fixed."

A lawsuit filed Monday in Brooklyn federal court claims that the driver of the car that struck Heyworth was intoxicated, speeding and violating other traffic laws.

But the civil suit -- which names the driver, Anthony Webb, and the New York City Police Department -- is far from open-and-shut.

"The New York City Police Department is legally required to investigate traffic accidents if there is a serious injury, but their current policy is not to do so," said a statement from Stevens, who is a plaintiff in the case along with his late wife's estate.

"They canceled their investigation into the crash that killed Clara that very night, destroying crucial evidence, and they've also failed to investigate hundreds of other similar cases."

The suit goes further, saying that rather than being a random lapse, the handling of Heyworth's case is consistent with an entrenched policy within the NYPD of failing to meaningfully investigate cyclist and pedestrian incidents crashes except when the victim's death is certain.

"NYPD systematically misclassifies vehicular crimes as 'accidents,' creating a false appearance of declining crime rates while motorists like Webb escape consequences," according to the lawsuit.

Efforts to seek comment from the department and from Webb have been unsuccessful. The City of New York's law department has said they will review the case thoroughly once the legal papers are formally served.

'Likely to die'

At the heart of the issue is a seemingly simple phrase: "Likely to die."

When traffic crashes result in death, and sometimes when death is imminent, a specialized squad within the NYPD called the Accident Investigation Squad -- trained to perform a comprehensive canvas of the scene -- is called in to investigate.

"A sergeant or a lieutenant makes a determination after consultation with the doctors -- say, at the hospital to keep it simple -- that there is a likelihood (of death)," said John Cassidy, executive officer of the NYPD Transportation Bureau, at a City Council hearing in February. "At that point, the accident investigation technicians ... respond to the location, and they begin the examination of the scene."

The problem, according to Steve Vaccaro, Stevens' attorney, is that the NYPD has substituted a more restrictive and ill-defined standard of "likely to die."

"It is left to untrained officers, given no guidance as to what 'likely to die' means, to obtain a prognosis for the victim from emergency room personnel completely engrossed in saving the victim's life," Vaccaro said. Meanwhile, "the decision of whether to gather and preserve evidence of how the crash occurred hangs in the balance."

The lawsuit says Webb's vehicle allegedly struck Heyworth just before 2 a.m. July 10 at an intersection in Brooklyn.

"I can still hear the screech of his brakes and the sound of the impact," said Stevens, who was steps away but has no visual memory of the accident. "My friends saw the tire marks that (the car) left all over the road."

By 2:06 a.m., an officer who had arrived on the scene, according to the lawsuit, radioed that Heyworth "may be likely" to die.

Two minutes after that, the officer asked for an Accident Investigation Squad detective to respond to the scene.

Then, at 2:59 a.m., while Heyworth was being rushed to Bellevue Hospital, the Accident Investigation Squad inquiry was called off.

"Police canceled the investigation because Heyworth was still alive," Vaccaro said. "No doctor was at that point willing to say she was likely to die."

Doctors later estimated that Heyworth was effectively brain dead when her head hit the pavement, so it is unclear why the Accident Investigation Squad inquiry was never started, Stevens said.

Despite that, doctors at Bellevue offered an operation to save Heyworth's life, with the caveat that her quality of life would be questionable. Even if it succeeded, Stevens said, it was not clear whether she would regain normal functioning.

"The surgeon said, 'I need your guidance here,' " he said. "I was asked, in other words, whether to let her die or to bear the risk of her being severely brain damaged."

Stevens gave the go-ahead for the operation, but despite doctors' efforts, Heyworth died.

This is where the "likely to die" policy -- which is a departure from state traffic law in which an investigation is triggered, at minimum, in the event of serious injury -- becomes murky for families of victims clamoring for an investigation.

"If Clara had survived that operation but come out of it severely brain damaged, what would NYPD's position be?" Stevens asked. "That they were right to cancel their investigation since she hadn't actually died?"

Three days after Heyworth's death, the Accident Investigation Squad opened an investigation of her case -- an act Stevens says came way too late to collect crucial evidence.

Accidents or criminal acts?

Vaccaro says that in many cases involving cyclists or pedestrians versus vehicles, deference is given to drivers, and the tendency is to treat them as accidents rather than potentially criminal acts.

"As a civilized society, we cannot classify every accident as lightning bolts from an angry God," Vaccaro said. "These cases have causes that are understood and have to be investigated."

The lack of Accident Investigation Squad presence on the night of the crash meant Webb would probably not be criminally charged.

"I'm horrified that they canceled their investigation that night," Stevens said. "I'm angry about the fact that this not only applies to Clara and myself, but that there seems to be a policy not to investigate violent road deaths in New York City."

What Stevens hopes to gain from the lawsuit is, of course, justice. But on a broader level, he wants the NYPD to make it the rule of law to investigate these cases.

"I want to see the law followed and for every case of serious injury or death on the road to be properly investigated," Stevens said. "I want the police to solve the crimes that people want solved."

Bicycle injuries: Is the right-of-way fight getting ugly?

@highlight

Widower Jacob Stevens is a plaintiff in a lawsuit filed against the NYPD

@highlight

Stevens says the police failed to investigate his wife's death after she was hit by a car

@highlight

At the heart of the issue is a seemingly simple phrase: "Likely to die"