(CNN) -- Like a lot of people, Anna Owens began using MySpace more than four years ago to keep in touch with friends who weren't in college.

Our real-world friendships are often a reflection of who we connect with online, experts say.

But soon she felt too old for the social-networking site, and the customizable pages with music that were fun at first began to annoy her. By the time she graduated from the University of Puget Sound, Owens' classmates weren't on MySpace -- they were on Facebook.

Throughout graduate school and beyond, as her network began to expand, Owens ceased using MySpace altogether. Facebook had come to represent the whole of her social and professional universe.

"MySpace has one population, Facebook has another," said the 26-year-old, who works for an affordable-housing nonprofit in San Francisco, California. "Blue-collar, part-time workers might like the appeal of MySpace more -- it definitely depends on who you meet and what they use; that's what motivates people to join and stay interested."

Is there a class divide online? Research suggests yes. A recent study by market research firm Nielsen Claritas found that people in more affluent demographics are 25 percent more likely to be found friending on Facebook, while the less affluent are 37 percent more likely to connect on MySpace.

More specifically, almost 23 percent of Facebook users earn more than $100,000 a year, compared to slightly more than 16 percent of MySpace users. On the other end of the spectrum, 37 percent of MySpace members earn less than $50,000 annually, compared with about 28 percent of Facebook users.

MySpace users tend to be "in middle-class, blue-collar neighborhoods," said Mike Mancini, vice president of data product management for Nielsen, which used an online panel of more than 200,000 social media users in the United States in August. "They're on their way up, or perhaps not college educated."

By contrast, Mancini said, "Facebook [use] goes off the charts in the upscale suburbs," driven by a demographic that for Nielsen is represented by white or Asian married couples between the ages of 45-64 with kids and high levels of education.

Even more affluent are users of Twitter, the microblogging site, and LinkedIn, a networking site geared to white-collar professionals. Almost 38 percent of LinkedIn users earn more than $100,000 a year.

Nielsen also found a strong overlap between those who use Facebook and those who use LinkedIn, Mancini said.

Nielsen isn't the first to find this trend. Ethnographer danah boyd, who does not capitalize her name, said she watched the class divide emerge while conducting research of American teens' use of social networks in 2006.

When she began, she noticed the high school students all used MySpace, but by the end of the school year, they were switching to Facebook.

When boyd asked why, the students replied with reasons similar to Owens: "the features were better; MySpace is dangerous and Facebook is safe; my friends are here," boyd recalled.

And then, boyd said, "a young woman, living in a small historical town in Massachussetts said to me, 'I don't mean to be a racist or anything, but MySpace is like, ghetto.'" For boyd, that's when it clicked.

"It's not a matter of choice between Facebook and MySpace, it was a movement to Facebook from MySpace," she said, a movement that largely included the educated and the upper-class.

So why do our online worlds, unencumbered by what separates us in daily life, reflect humans' tendency to stick with what -- and who -- they know?

A lot of it has to do with the disparate beginnings of MySpace and Facebook, said Adam Ostrow, editor-in-chief of Mashable, a blog about social media. Facebook originated at Harvard University and was limited at first to students at approved colleges before opening itself to the public in September 2006.

MySpace, on the other hand, had a "come one, come all" policy and made a mad dash towards monetization, Ostrow said. "They used a lot of banner ads without regard to the quality, and it really diminished the value [of the site] for the more tech-savvy demographic."

And while the Internet can build bridges between people on opposite sides of the globe, we still tend to connect with the same people through online social networks who we connect with offline, said technology writer and blogger Sarah Perez.

"It's effectively a mirror to our real world," she told CNN. "Social networks are the online version of what kids do after school."

These social-networking divides are worrisome to boyd, who wrote "Taken Out of Context: American Teen Sociality in Networked Publics." Instead of allowing us to cross the boundaries that exist in our everyday lives, these online class differences threaten to carry those boundaries into the future.

"The social-network infrastructure is going to be a part of everything going forward, just like [Web] search is," boyd said. "The Internet is not this great equalizer that rids us of the problems of the physical world -- the Internet mirrors and magnifies them. The divisions that we have in everyday life are going to manifest themselves online."

Jason Kaufman, a research science fellow with the Berkman Center for Internet and Society at Harvard University, examined the Facebook profiles of a group of college students over four years and found that even within Facebook, there's evidence of self-segregation.

Multiracial students tended to have more Facebook friends than students of other backgrounds and were often the sole connection between white and black circles, Kaufman said.

Nonetheless, Kaufman feels that social networks may one day help us overcome our instinct to associate with those who share our income level, education, or racial background.

"I think it's fair to say that the Web has great potential to at least mitigate everyday tendencies towards self-segregation and social exclusion," Kaufman said. "In some ways, [Facebook] levels the playing field of friendship stratification. In the real world, you have very close friends and then there are those you just say "Hi" to when you pass them on the street.

"The playing field is a lot more level in that you can find yourself having a wall-to-wall exchange with just an acquaintance. If you pick up the unlikely friend, not of your race or income bracket, the network may [help you] establish a more active friendship than if you met them in real life."

But MySpace's users still find something appealing about MySpace that they don't about Facebook, and it may have nothing to do with class or race, blogger Perez said.

"It's not just the demographics that have people picking one over the other," Perez said. "It also comes down to what activities you like. If you like music, you'll still be on MySpace. If you're more into applications, then you might go to Facebook because you're addicted to Mafia Wars or whatever."

In the end, boyd isn't as concerned about the reasons behind these divisions online as she is about the consequences of people only networking within their chosen social-media groups.

"Friendships and family relationships are socially divided; people self-segregate to deal with racism sometimes," she said. "Okay, fine: We've made a decision to self-segregate, but what happens when politicians go on Facebook and think they're reaching the whole public? What happens when colleges only go on Facebook to promote?"

When and if that does happen, Mashable's Ostrow said, we'll know perhaps we've given social networks more credit than they're worth. "When it comes to information, I don't think social networks are the best source for that. The Internet is so open," said Ostrow, who believes users would go beyond their networks to search out information online.

If you're looking to branch out of your social network box, your best option may be Twitter. Nielsen's survey didn't find a dominant social class on Twitter as much as they found a geographical one: Those who use Twitter are more likely to live in an urban area where there's greater access to wireless network coverage, Mancini said.

"The simplicity of Twitter definitely creates less of a divide, because it's not a relationship like it is on MySpace or Facebook," Ostrow said. "If you live in the middle of nowhere or you live in a city, you can follow anyone about anything."

@highlight

A recent Nielsen study finds class differences between online social networks

@highlight

Wealthier people are more likely to use Facebook; the less affluent, MySpace

@highlight

Almost 38 percent of LinkedIn users earn more than $100,000 a year

@highlight

A researcher found that college students tended to self-segregate online