Augusta, Georgia (CNN) -- Golfers worldwide generally know Augusta, Georgia, for one thing: the Masters, and the Augusta National course on which the fabled tournament is played each April. The course is arguably the most famous in the world -- and certainly the most exclusive.

There are no public tours. It's heavily walled off from public view. In fact, you could drive past the course without knowing it. Only the main gate has a small sign that simply reads "Augusta National Golf Club: Members Only" (the last two words in large, bold print).

Widely considered the toughest ticket in sports, this year's Masters tournament -- and the practice rounds -- are sold out. And the lucky souls who are able to get their hands on a Masters badge are often willing to shell out thousands of dollars for the privilege. So, what's the average golf lover to do?

There's little chance of getting into this year's event (unless you're willing to pay a premium). But golf or history lovers can still make a pilgrimage to Augusta -- about a two-hour drive east of Atlanta -- to check out all the other things the city has to offer and be as close as possible to one of the greatest golf tournaments, and courses, in the world.

Here are the highlights:

Fine art

Augusta is the second-largest city in Georgia, so it shouldn't come as a shock that they have an impressive art museum. The Morris Museum of Art offers a rare and large (5,000 pieces) collection of work from pre-Civil War itinerant portraitists, Southern impressionists and the works of current and self-taught artists, all of whom depict the American South. It is the first, though not the only, major museum in the country to devote its collection to Southern regional art.

One example is Lamar Dodd's "From This Earth," a modern painting of slaves working in cotton fields. The ground is tinged with red as skeletal figures hunch over their work, a strong wind blowing their white, drapelike clothes. Like many of the museum's pieces, it strikes a chord.

The museum also hosts special exhibits and events. During the Masters, golf fans can view the "Fore! Images of Golf in Art" exhibition, on display until April 15. The show includes a LeRoy Neiman portrait of four-time Masters champ Tiger Woods and even a painting of Bill Murray's character from "Caddyshack."

Famous Augustans

James Brown, the "Godfather of Soul," was raised in Augusta. Today you can visit the former radio station where, as a little boy, Brown delighted crowds with his dance moves. Take a photo of his statue in downtown Augusta near James Brown Boulevard or catch a concert at the James Brown Arena (formerly the Augusta-Richmond County Civic Center and renamed in 2006 to honor Brown).

And be sure to see one of the most comprehensive James Brown exhibits in the world at the Augusta Museum of History. It features the icon's outfits, family photographs, gold and platinum records, and tributes to his music, including an emotionally moving video of the Godfather performing "It's a Man's World" in Italy with opera star Luciano Pavarotti not long before their deaths.

President Woodrow Wilson also called Augusta home. He moved to the town as a little boy when his father became the pastor of the First Presbyterian Church, across the street from the family's house. As an adult, Wilson returned to his boyhood home to reminisce about his fondly remembered childhood.

Today the home has been meticulously restored to how it looked when the 28th president of the United States etched his name in the window pane (which you can still see). Tours of the home (now a National Historic Landmark that has been designated an official "Save America's Treasures" site) are offered Tuesday through Saturday.

Other famous people who hail from Augusta include actress Thelma "Butterfly" McQueen, who played Prissy in "Gone With the Wind," actor Laurence Fishburne, soprano Jessye Norman and Frank Yerby, the famous poet and author.

Golf

Even though you can't tee off on the Augusta National, Augusta has nearly a dozen public courses within 10 minutes of downtown -- some with ties to golf legends.

For example, Forest Hills Golf Club is an 18-hole golf course where the likes of Bobby Jones and Phil Mickelson competed (not against each other, of course) in tournaments. You can book tee times online. The city is also home to the Augusta State University golf teams -- last year the men's team successfully defended their 2010 NCAA Division I National Title.

The Riverwalk

Augusta lies along the Savannah River, which separates Georgia from South Carolina, and the city has made it a priority to highlight that asset.

Their Riverwalk, which began construction in 1986 to help revitalize the downtown area, is now an impressive stretch of red-brick walkways ideal for strolling, jogging or attending one of the many events hosted at the Jessye Norman Amphitheater. It's flanked by hundreds of trees and landscaped with flowers that set off the blue waters of the river.

History

Beyond the James Brown display, there are two golf-themed exhibits at the Augusta Museum of History. One of them has an official Masters' green jacket on display, given to the museum's director by Augusta National. There's no word on who wore it; all that's known is it's a 39 long.

Other exhibits e include the evolution of golf equipment, the biographies of golf greats who changed the sport, and the courses that made Augusta a golf destination. The rest of the museum is worth a look, too.

Dining

Augusta, like many Southern cities, has plenty of food options. The oldest restaurant in town is Luigi's, an authentic Italian joint great for a family outing. Golf fans will appreciate their collection of Master's badges.

Interested in gourmet tacos? Get 'em at Rooster's Beak. And you'll want to splurge on Frog Hollow, the new gastropub in town that serves up some seriously good eats. With its farm-to-table feel, you can expect to find fresh and inventive food.

Who knows -- you may even see a pro golfer sitting at a table somewhere in town. Just don't expect to see the Augusta National Golf Course without a badge. If your appetite for the famous course has merely been whetted, try scoring practice round or daily tickets for next year to see the exclusive club firsthand. Apply for a chance at access starting May 1. Once inside you can enjoy $1.50 pimento cheese sandwiches and $2 beers. Seriously.

@highlight

Augusta National Golf Course is off limits without membership or a pricey badge

@highlight

But the city that hosts the Masters has more to offer than golf

@highlight

The Morris Museum of Art houses an impressive collection of regional art

@highlight

Or visit monuments to late Augusta residents James Brown and Woodrow Wilson