(CNN) -- The secret to traveling in Jordan is to sit back and let your expectations be defied. Expect the unexpected in a country that offers glorious contradictions for the traveler to experience.

The Jordanian state, for example, is less than a century old, but its history is ancient. The country contains the sandstone city of Petra, built and abandoned by the Nabateans and lost for a millennium after that, alongside Roman ruins, crusader castles, and mountains where prophets lived and listened.

The Jordanian summer is long, hot, and dry, but it is still possible to swim and climb through the country's river canyons throughout. The winters are freezing, but thermal waterfalls offer relief. The Red Sea at Aqaba offers exceptional marine life, but no fish or plants can withstand the intense salinity of the Dead Sea, which allows the visitor to read a book whilst floating, even if the water itself is hundreds of meters below sea level.

If the Fertile Crescent of the north gave Jordan its life, then the deserts of the south, home of the southern Bedouin nomads, gave Jordan its soul. I tried to learn a little about the Jordanians by traveling across the southern desert, from Wadi Rum to Aqaba by camel. I learned a lot about myself along the way.

Ships of the desert

Camels may have an image problem, but they're not unreliable. True, they love to eat, and will eat almost anything, including bananas. Driving a camel is less an exercise of steering than of prompting the animal from one shrub to another.

But any creature which, at the age of four, possesses the strength and endurance to cross one of the harshest places on Earth with a man and his supplies on its back, whilst drinking only twice in five days and eating nothing but thorns, does not deserve the label of unreliable.

More: Couch surfing a cave in southern Jordan

The sensation of riding a camel is at once irregular and predictable, much like sailing in a small boat. Maybe that's one of the reasons why they've long been called ships of the desert. The view from the animal is astonishing, totally panoramic and unobstructed. And what a view it is that Wadi Rum offers.

"Vast, echoing, and God-like"

These words were used by Lawrence of Arabia to describe Wadi Rum, as he traveled the same route as us almost a century ago. By road, and by car, the 40-mile journey from Wadi Rum to Aqaba can be done in less than an hour. By camel, and through the extended isolation of the desert, a comfortable journey will take five days and four nights. That pace will allow you to see the sites of Wadi Rum, and explore this imposing place.

The red sands stretch like seas between mountains of crimson sandstone. The rock monoliths have been sculpted by nature to resemble the drippings of candle wax on a monumental scale.

Perspective becomes confused in Wadi Rum. The elements contort, and move in eerie ways. The wind comes from nowhere, blows strongly for a few seconds, and then disappears for hours. Bright blue birds leaped and darted around our camels before, just as suddenly, they disappeared.

There is endless space in the desert, but time is something that you bring with you, like mineral water or tinned sardines. It is as though Rum has always been that way, and always will be.

There is the movement of the sun, and the interplay of light and shadow, and that defines your waking hours. At night the campfire flickers and the moon drifts, and you are dazzled by the glitter of innumerable stars. The rocks retain the sun's warmth for hours after it sets, and will lend it to you as you sleep against them. There is silence and there is peace.

If you go

Wadi Rum is four and a half hours drive from Amman, the Jordanian capital, by rental car. The national coach company, JETT, does not travel directly to Wadi Rum, but there are services to Petra (where buses cover the one hour connection to Rum) and to Aqaba (which is 40 minutes by taxi from Wadi Rum).

More: The cave dwellers of Petra

The Wadi is not a single valley (as the Arabic word suggests) but rather a vast area of protected desert in which the Bedouin have established numerous government-approved camps. Always book a camp by email or phone, and try contacting several, before arriving at Wadi Rum. This allows you to secure the best price, and know what to expect.

More: 'Inside the Middle East' heads to Jordan

Most camps offer a similar service of tent or under-the-stars accommodation, meals cooked in the Bedouin style, and various desert activities. A night in the desert and a day of activities can cost you anything from around $30 per person upwards, depending on the degree of comfort you seek and whether you prefer a private or large group journey. Prices can always be haggled, and are listed on the websites of tour companies along with the activities that they offer (see below). Wadi Rum is an outdoor experience, so don't expect any hotels.

A five-day camel trip is a more complex and unusual endeavor, so prices will always be negotiated and you should try several companies. I received quotes that varied from $80 to around $110 per person per day for a trip of two people. This includes everything from guides, camels, food, water, and bedding, which is brought to you each day by a jeep.

I traveled with Sabbah Ali (sabbahrum@yahoo.com) who offered fantastic quality and service. He is affiliated with Jordan Tracks. Other larger agencies are Bedouin Roads and Rum Guides.

When to go

Like the rest of Jordan, temperatures in Wadi Rum are very cold in the winter months and very hot in the summer, making the best time to visit during the Spring (late March to early June) and Autumn (late September to early November).

What to take

Even during Spring and Autumn there is a difference between day and night time temperatures that makes it wise to pack for heat, but prepare for cold. Bring some light thermals and a sturdy jacket, as these are great for sitting around a campfire then sleeping under the stars.

Comfortable clothing is fine for riding a camel, and if you don't buy the red and white Jordanian head scarf, or keffiyeh, then your hosts may be able to provide one, as they serve well against all conditions and are the Bedouin item of choice. Walking boots are a must for Wadi Rum if you intend to hike or climb, and for camel riding it is advisable to wear socks to the knee, and tight underwear under a loose underwear layer to prevent any rubbing of your skin. Sun cream must be worn, even under thin clothes.

Sensitive electronics may deal badly with the sand and climate of Rum, so be careful. If you want to bring a book then bring a torch too, because there's no electricity in the middle of the desert, but you may prefer to watch the stars and take a well-earned sleep instead.

@highlight

Wadi Rum is a vast area of protected desert in southern Jordan

@highlight

Tourists can take five-day camel treks across the desert

@highlight

Camps offer tents or under-the-stars accommodation, and meals cooked in the Bedouin style