(CNN) -- Check-in applications for your smartphone are all the rage; even Facebook has gotten into the game with its new "places" feature. But not all location-based apps are created equal -- or even with the same goal in mind. Enter CauseWorld, a location-based platform that allows you to turn your shopping into charity.

Made possible in part by Kleiner Perkins Caufield & Byers' iFund, which funded 14 business plans out of the thousands it received, the company that created CauseWorld has capitalized on the check-in craze to turn marketing dollars into charitable donations -- donations that reached an impressive milestone.

CNN talked with Cyriac Roeding, the co-founder and CEO of Shopkick, which created CauseWorld. The following is a transcript that has been edited for length and clarity.

CNN: Describe CauseWorld.

ROEDING: It is the first app that lets you do good deeds simply for checking into a store. Every time you check in, you earn what we call Karma Points. These karmas turn into real money contributions to charities.

There are 30 different charities on CauseWorld. The 30 charities range from feeding a family in America, behind that is the Feeding America charity; or helping to fight cancer, that's Lance Armstrong's LiveStrong organization; or helping an earthquake victim in Haiti that goes through the Red Cross; all the way to feeding a chimp in Africa, or if you're more on the green side of things, you can plant a tree in a rainforest with American Forest. So there's a whole range of different causes on the application. The simple way to earn these karmas is to check in to stores and restaurants as you go about your shopping day.

CNN: How does the check-in process work?

ROEDING: So you open the app, and by GPS, it pulls a list of stores that are closest to you, and then you can click on them, tap on them and check in, and you earn like FIVE karmas, 10 karmas. Then you can go to the "Cause Mall" and select the cause you are most passionate about, and then your karmas turn into actual money contributions to one of these charities that you selected. And the coolest part is, you don't have to pay for this. The money comes from big brands like Citibank, Procter & Gamble, Kraft Foods and Sears, who have together provided more than a million dollars in marketing money that consumers turn into charity donations.

That's kind of the interesting piece from a business perspective. This money would have never gone into charity. This is marketing money; this is not philanthropy money. The reason the big brands provided the money was because they reach consumers in a really passionate moment. If you were the chief marketing officer of a big corporation, would you rather put your money into billboards or into feeding a family in America or helping an earthquake victim and at the same time reaching consumers in really positive special moment when they make that contribution?

CNN: How did CauseWorld originate?

ROEDING: CauseWorld is the result of us wanting to get into the market of mobile location-based shopping applications. We were trying to figure out the answer to a simple question: Are consumers really interested in doing something besides texting and talking on their cell phones while they are out shopping? We were working on our flagship product [Shopkick] in the background, but what we wanted to do was make sure we put something in front of consumers really quickly and understand what they like to do. And we thought of the notion of CauseWorld as the perfect way to do that.

CNN: How did you come up with the idea?

ROEDING: We came up with it by saying: How can we give meaning to the check-in? Because honestly, what does the check-in mean today? There are only so many places I want to let my friends know where I am. The question is not what happens at the check-in, but what happens after the check-in? What is the check-in standing for? We're saying: What if you could actually change the world by going shopping? That's CauseWorld. The result was that CauseWorld became the fastest-growing location-based retail application in the entire app store. 550,000 downloads in five months. And 40,000 consumer ratings -- people love this app. We have donated close to a million dollars. (Shortly after the interview Shopkick notified CNN that it had reached the million dollar milestone.)

CNN: Who decides where the money goes?

ROEDING: You decide it. Big brands provide the money; consumers decide where the money goes. The money can go anywhere.

CNN: What do the brands get out of this?

ROEDING: The brands get multiple things. First, they reach the consumer in a really passionate moment, because the consumer does something they care deeply about. You're planting a tree, for example, or you're feeding a family -- and then it says on your phone, "Made possible by Kraft Foods" or "Made possible by Citi." And then you can let your friends know about it, and it goes all the way into the Facebook feed, and the average number of friends on Facebook per person is 130. Now, do the math; that leads to a CPM rate [the cost to show the ad to 1,000 viewers] of less than $6. If you do advertising on a billboard or a magazine you pay $10 to $50 CPM, and you have not fed a family, you have just paid for a billboard.

CNN: What are the brands' reactions to this?

ROEDING: They like it so much, they have doubled down. Citibank has already put more money into the whole operation. Kraft Foods is excited about it.

CNN: What is Shopkick?

ROEDING: Shopkick is basically the selfish version of CauseWorld. The points go to yourself, they're called kickbucks, and you can spend them on anything you want. You can donate them to charity if you like, or you can rack them up for yourself.

CNN: So what are some of the achievements that CauseWorld has reached?

ROEDING: We've provided clean water for 80,000 people for a month in Sudan. 41 million liters of clean water in developing countries for children. Offset 5 million pounds of carbon. 315,000 meals to people in the U.S. Helped plant 88,000 trees. Donated 36,000 books to children. Provided 42,000 pounds of food to hungry chimps. Rescued 190 animals that were victims of animal cruelty. Provided netbooks to a sixth-grade classroom in Chicago, a second-grade class in Southern California and one in Virginia. The American Red Cross has received more than $100,000 for Haiti. So this is actually serious impact.

It was just a trial -- we thought we'd just have a few thousand users -- turns out more than half a million in just a few months. It's just amazing really, because the check-in actually means something.

As long we get donation money, we will keep donating.

@highlight

With the CauseWorld app, users check in at stores and get points

@highlight

Then they use the points to donate to charities

@highlight

The donations come from big brands' marketing funds