BEIJING, China (CNN) -- China's job outlook is "grim," and the global financial crisis could cause more layoffs and more labor unrest until the country's economic stimulus package kicks in next year, the nation's minister of human resources and social security said Thursday.

Thousands of graduates crowd a jobs fair in Nanjing but vacancies are becoming harder to find.

The stimulus package, unveiled earlier this month, will pump $585 billion into rebuilding communities destroyed by the May earthquake, constructing railways, housing, airports and highways, and funding other projects.

China is most concerned about the growing labor unrest, the human resources minister, Yin Weimin, said at a news conference. The increase in unrest has paralleled the increase of business and factory closings and job losses.

Yin noted that in the past two months, some businesses, mainly smaller ones, have been forced to close or suspend production.

Several hundred taxi drivers went on strike Wednesday in Chongqing, in southwestern China, after the government said it planned to put more cabs on the district's roads, thereby increasing competition, the Gansu Daily newspaper said

And about 2,000 people rioted Monday in the impoverished northwestern province of Gansu over plans to move Longnan's city government offices, which were damaged in the May 12 Sichuan earthquake, to a nearby county.

Residents, fearing the change would reduce their property values and threaten their livelihoods, clashed with police and looted government offices, the Gansu Daily reported.

China's manufacturing sector, which produced 14 percent of the clothing, toys and footwear imported into the United States last year, has decelerated rapidly over the past few months, pulled down by a pair of factors.

First, the global economic slowdown and the subsequent drop in consumer spending stymied demand for discretionary goods made in China.

Second, Chinese manufacturers are battling rising labor and material costs at the same time that the yuan's rising value versus the dollar is making Chinese exports to the United States and elsewhere more expensive.

Because of these challenges, more than 65,000 Chinese factories have gone bankrupt this year, said Lan Hailin, professor of business strategy with the South China University of Technology in Guangzhou, China.

And as overseas orders continue to shrink, he thinks the number of bankruptcies will keep rising.

The urban unemployment rate through October this year was 4 percent, lower than the government's projection of 4.5 percent.

But Yin said Thursday the jobless numbers do not include migrant rural workers -- probably the most-affected group -- because they move so frequently. There are about 150 million migrant laborers in China, mostly in cities.

Xinhua said Yin has predicted unemployment will rise in the first quarter of 2009. After that, he said, the stimulus package and other steps China has taken to boost the financial sector should boost employment, according to Xinhua.

China hopes the growth of jobs will then cool down the protests. Until then, China is bracing for more demonstrations.

Meng Jianzhu, minister of public security, was quoted by the BBC as warning police this week to be "fully aware of the challenges brought by the global financial crisis."

He said officers should be careful about how they handle "mass incidents."

@highlight

China warns of labor unrest and more layoffs during economic crisis

@highlight

Human resources minister says unemployment will rise

@highlight

$585 billion economic stimulus package won't kick in until 2009, he says

@highlight

China being hit by reduced demand and rising costs