In a few weeks, the New York State Education Department will begin the second round of Common Core tests. Earlier this spring, thousands of students refused to take the Common Core English Language Arts (ELA) exams. In New York, as in states across the country, parents are telling administrators that their children will not sit for exams that pressure teachers to teach to the test and drain school budgets.

Ignore the baseless charge that families don't want high academic standards for their kids or are afraid their kids won't live up to higher standards. Parents and students want schools that offer a well-rounded curriculum and a sensible amount and way of testing. But the Common Core seems to focus too much on testing.

According to the 2014 New York Testing Program School Administrator's Manual, parents may eventually review students' responses to open-ended questions, but they are not allowed to look at the test itself. Although educators are under a gag order from New York State and Pearson that prohibits them from discussing specifics of the tests, Principal Elizabeth Phillips of PS 321 in Park Slope, Brooklyn, and other educators across the state have decried the ELA exams as confusing and developmentally inappropriate.

The situation may be the same in mathematics. Stanford professor James Milgram argues that the Common Core math standards do not command international respect and will not prepare students for STEM careers. If the state keeps hiding the exams from public scrutiny, then parents and educators have a right to doubt their pedagogical value.

There are other issues. The Race to the Top program awarded New York $700 million on the condition that the state adopts a value added modeling teacher evaluation system, in this case, APPR. Put plainly -- the state may now fire teachers if test scores are low. That creates incredible pressure to teach to the test.

Additionally, English language learners must also take the tests, regardless of how well they can understand them, and teachers in impoverished school districts are more likely to be punished, despite taking on harder assignments. In the words of noted education scholar Diane Ravitch: VAM is a sham.

I recently attended an iRefuse rally held on Long Island. The poster for the event juxtaposes two silhouettes of a child's head: one, under the title "Learning," is filled with images of Shakespeare, a guitar, a flower, math equations and plants. The other, under the title "Testing," is filled with a multiple-choice exam. That is why parents are refusing -- they want school to be a place where children's talents are cultivated and not harmed by tests whose main use is to fire teachers.

In 1849, the American philosopher Henry David Thoreau wrote a classic essay on civil disobedience that has inspired countless activists around the world, including Mahatma Gandhi and Martin Luther King Jr. According to Thoreau, "It is not desirable to cultivate a respect for the law, so much as for the right."

According to Thoreau, people are too inclined to respect the government rather than question whether the people who lead it are acting justly. Today, a parent inspired by Thoreau would point out that the New York Education Department is led by fallible human beings such as John King, Ken Slentz and Ken Wagner, and the tests are created by Pearson, a corporation that has been found to use its nonprofit foundation to produce curriculum materials and software for its for-profit business.

Such a parent would also object to the School Administrators Manual's policy that "schools do not have any obligation to provide an alternative location or activities for individual students while the tests are being administered." This sentence justifies the sit-and-stare policy whereby refusing children are not allowed to read or talk, but are forced to remain at their desks while their peers take the tests. In other words, this manual encourages administrators to employ the "silent treatment" on kids who don't want their education to become endless test prep. This is bullying pure and simple.

As a parent, what would you do if you wanted to refuse the upcoming math test for your child? Write a letter or e-mail to the board of education, superintendent, principals and teachers in your school district to formally notify them of your decision to refuse to allow your child to participate in any local assessments tied to APPR for the 2013-2014 school year.

Tell them that you want your child to be scored as a "refusal" with a final score of "999" and a standard achieved code of 96, on all state testing. This ensures that schools and teachers are not impacted by the refusals.

There is a chance that administrators will try to dissuade you. Tell them that you are advocating for your children to receive a well-rounded, personalized education. Tell everyone in your district that you are not fighting him or her, but rather political and corporate forces that are trying to centralize and standardize public education.

@highlight

In New York, as in other states, some parents oppose the Common Core exams

@highlight

Nicholas Tampio: Common Core seems to focus too much on testing

@highlight

He says teachers should not have to teach to the test and drain school budgets

@highlight

Tampio: Children should receive a well-rounded curriculum and education