(CNN) -- Horrific ethnic and religious violence resulting in "mass murder" and other abuses in two central Nigerian states has largely gone ignored by the authorities, rights group Human Rights Watch said Thursday.

Its report, focused on Plateau and Kaduna states, is based on interviews with more than 180 witnesses and victims of violence as well as police investigators, prosecutors, defense lawyers, judges and community leaders.

Many of the victims, including women and children, Christians and Muslims, "were hacked to death, burned alive, or shot simply based on their ethnic or religious identity," said the report, "Leave Everything to God: Accountability for Inter-Communal Violence in Plateau and Kaduna States, Nigeria."

And a seeming culture of impunity has created a cycle of violence as individuals who find no recourse elsewhere seek retribution for wrongs done to them, it said.

"Witnesses came forward to tell their stories, compiled lists of the dead and identified the attackers, but in most cases nothing was done," said Daniel Bekele, Africa director at Human Rights Watch.

"The authorities may have forgotten these killings, but communities haven't. In the absence of justice, residents have resorted to violence to avenge their losses."

According to the report, communities in Plateau state have been plagued by sectarian violence for more than a decade, leaving thousands of Christians and Muslims dead.

"However, the Nigerian authorities have taken no meaningful steps to address underlying grievances or, until recently, bring to justice those responsible for the bloodshed," it said.

Human Rights Watch lays much of the blame for the culture of impunity at the door of "an already broken criminal justice system."

It points the finger at "systemic corruption in the Nigeria Police Force," exacerbated by political pressure to protect those responsible for violence.

The Nigerian police have not yet responded to repeated CNN requests for comment.

Complex root causes

Much international attention has focused on recent violent attacks by the Islamist extremist group Boko Haram in northeastern Nigeria, particularly Borno, Yobe and Adamawa states.

But the Human Rights Watch report paints a grim picture of life in Kaduna and Plateau states.

Their location in Nigeria's "Middle Belt," between the largely Muslim north and the predominantly Christian south, has put them at the intersection of sectarian strife in the large and unruly West African nation.

"Since 1992, more than 10,000 people in those two states have died in inter-communal bloodletting; several thousand of those deaths have occurred since 2010 alone," the report said.

The root causes of the violence are complex, it said.

While they often involve longstanding grievances and disputes, "they are exacerbated both by divisive state and local government policies that discriminate on ethnic or religious lines and by the failure of authorities to hold to account those responsible for the violence."

The strife pits Hausa-Fulani Muslims -- the largest and most politically powerful group in northern Nigeria -- against smaller predominantly Christian ethnic groups, which counted together make up the majority of the population in the region, it said.

Each side accuses the other of discrimination, oppression and violence to advance its position.

Rights group urges reforms

In Plateau state, episodes of mass violence in 2001, 2004 and 2008 left hundreds of people dead, the report said.

"Following this violence, federal and state authorities took no meaningful steps to address underlying grievances and brought no one to justice for the bloodletting," the researchers said.

The continuing tensions erupted in 2010, centered on the Plateau state capital of Jos, resulting in the massacre of hundreds of people, many of them Muslims in rural communities. While the federal authorities this time stepped in and prosecuted some suspects, most were not brought to justice, the report said. Many more sectarian attacks have followed.

In Kaduna state, bloody episodes of ethnic and sectarian violence in 1992, 2000 and 2002 left hundreds or more dead -- and few perpetrators were held accountable.

The authorities' response to different mass killings often follows a similar pattern, the report said. Police will round up hundreds of "suspects" but fail to gather evidence properly. This makes it difficult for prosecutors to file a case against any individual -- and ultimately most charges are quietly dropped, it said.

Witnesses who did report crimes said police often took no action; others told researchers they were afraid to report them or did not do so because they believed the police would do nothing.

The prosecution of suspects by federal authorities following the 2010 violence in Plateau state was an important exception to this pattern, Human Rights Watch said.

The right group urges the federal government to ensure mass killings are swiftly and properly investigated by the police, to bar discriminatory policies that help fuel ethnic tensions and to treat the intercommunal violence as a criminal, rather than political, problem.

Other recommendations include ordering a high-level review of police investigations into crimes alleged in the report, ensuring police are trained to do their jobs properly and reforming the police force. The Justice Ministry should identify why suspects in certain cases were not prosecuted and prosecute remaining suspects, it said.

"Nigerian authorities can and should take urgent steps to ensure that the perpetrators of communal violence, including mass murder, are investigated and prosecuted, and that victims are provided restitution or compensation for their enormous losses," the report said.

CNN's Vlad Duthiers contributed to this report.

@highlight

Rights group: Nigerian authorities are not doing enough to investigate mass killings

@highlight

Human Rights Watch report focuses on Kaduna and Plateau states in central Nigeria

@highlight

Intercommunal violence has claimed more than 10,000 lives there since 1992, report says

@highlight

Nigeria's police force has not commented on the criticism in the report