(CNN) -- Under President Obama, the United States of America has deported about 400,000 undocumented immigrants each year. That's an average of 1,100 people, including moms and dads and children, per day. These are people who are in the United States largely because our businesses lure-- and rely on--many of them to do the unskilled jobs Americans don't want to do. They are people who have come to the United States as generations came before, to feed their families and fulfill a dream. And we're kicking them out. Every day, in busloads.

This weekend, thousands of undocumented immigrants and their allies took to the streets of Washington and communities across the country to demand that President Obama put an end to reckless and rampant deportations in America. "Not one more," the marchers chanted.

There are literally 11 million-plus reasons to stop deportations in the United States -- 11 million undocumented immigrants at risk of deportation every day. There is also the collateral damage done to their citizen families who don't want their lives torn apart and to their co-workers, employers and community members. So what are the reasons not to stop our abysmal, extreme rate of deportations? There are basically three.

First, anti-immigrant activists insist that the people being deported are dangerous criminals — and that they should be deported faster and at even higher rates. Yet Monday, The New York Times released an analysis of government records revealing that of the nearly 2 million people deported since President Obama took office, two-thirds had no criminal record whatsoever or had committed only minor infractions, such as traffic violations.

Sure, on a technical level anyone in the United States without official permission has broken the law. But let's not over-dramatize the reality. Technically, everyone who has ever driven above the speed limit or jaywalked has also broken the law. And many undocumented immigrants in the United States originally arrived with authorized work or travel visas and simply stayed in the country past the expiration date of their paperwork. This is the great "crime" that anti-immigrant activists insist all undocumented immigrants have committed, asserting that folks should instead "get in line."

But the line is broken. Decades ago, it simply was easier for aspiring Americans to get green cards or visas for family members: The United States let more people in and made it easier for immigrants already here to bring along their families. Today, those "lines" are longer and harder to get into. And yet the economic need for immigrants, not to mention America's cultural imperative for inclusion and diversity, is unyielding. Our policies have simply not kept up.

The second argument against stopping deportations is a tactical one, made especially by the White House in arguing that it needs to show toughness in immigration enforcement to increase its hand in pushing for comprehensive reform. But the fact is that even though President Obama's administration has deported more immigrants than any president before him, many Republicans still argue it isn't enough and backed off on their recent support of immigration reform, claiming they couldn't trust President Obama to implement any law if passed.

If a record rate of deportation against undocumented immigrants with only the most minor of offenses has been insufficient to bring Republicans to the bargaining table, perhaps now the White House will finally realize that its self-destructive capitulation won't yield rational behavior on the part of Republicans.

Today's Republicans seem perpetually willing to alienate increasingly vital Latino voters — and even big business interests who favor immigration reform—in favor of continuing to placate their loyal, but dying, old, white and socially narrow-minded voting base. The final argument against stopping deportations is that President Obama doesn't have the legal authority to do so. He does.

Everyone from top constitutional lawers to The New York Times editorial board agree the President is well within his authority to determine how immigration enforcement resources are prioritized and deployed. And President Obama has already used his executive authority to grant temporary deportation relief to undocumented immigrants brought to America by their parents when they were young, so-called DREAMers who grew up in the United States and yet legally can't find a place in the only nation they've ever called home.

What President Obama did for DREAMers is wonderful; now many of these kids can get in-state tuition or federal loans for college and go on to get good jobs as teachers and engineers our nation needs. But to only use his authority to grant relief for these most-sympathetic of immigrants would reflect the sort of political risk aversion that has so often typified our 44th president.

The White House indeed has said it is using its executive discretion to only deport those immigrants with dangerous criminal records. As The New York Times reported, this is simply not true. Of the nearly 2 million immigrants the Obama administration has deported — a milestone we're expected to hit any day— at least 1.6 million of those deported were for minor offenses like traffic violations.

In other words, overwhelmingly, we're not kicking violent offenders out of the country but moms and dads and hardworking aspiring Americans who got parking tickets and now are being ripped away from their families. The White House could legitimately and wisely reprioritize those law enforcement resources to investigate unsolved murders or sexual assaults or prevent terrorism or mass shootings.

The arguments against stopping deportations are weak at best and getting weaker every day. We need comprehensive immigration reform in the United States to finally fix our broken immigration system and create a path to citizenship for undocumented Americans. But until Republicans are willing to do the right thing by immigrants, our economy and our nation's values, President Obama can and must stop the excessive deportations under his watch. Not one more.

@highlight

Sally Kohn: Under Obama administration, some 400,000 immigrants a year deported

@highlight

She says majority deported had no criminal record, families torn by deportations

@highlight

She says GOP immigration reform efforts a ruse; party obstructs fix to broken system

@highlight

Kohn: Obama must use executive discretion to halt rampant deportations