(CNN) -- When it comes to taking spirited vacations, wandering a vineyard falls flat in the face of handcrafted brew. With more than 1,500 breweries across the United States, beer is not just a drink -- it's a destination.

Wooden barrels of beer are just part of the draw at The Lost Abbey Brewery in San Diego, California.

"What's happened is that the old world has influenced the new world; the U.S. is now a travel destination for beer, [even] for people from outside of the country," said Julia Herz, craft beer program director at the Brewers Association.

"What's so great about beer is that you have this range," said Randy Mosher, author of "Tasting Beer: An Insider's Guide to the World's Best Drink." "It's from 3 percent alcohol to 20 percent, from super malty to very hoppy, and then you throw in stuff like fruit, spices -- you have an enormous range of possibilities."

With such a wide flavor profile, said Stephen Beaumont, author of "Premium Drinker's Beer Guide," beer travel is less about hanging out at the brewery and more about the tasting. In other words, don't look just for an incredible brewer, but also for an incredible city in which to drink beer.

Although it's a highly contested question that Herz calls "fodder for late-night philosophical conversations," there are a few brew towns that these beer aficionados identify as the cream of the hops.

Eat, drink and brew local

If you didn't know that Portland, Oregon, is synonymous with "Beervana," then you clearly need an introduction to the beer scene.

"In a lot of ways, [it's] a very highly developed town for craft beer," Mosher said.

The city has a reputation for going local, and Portland thoroughly applies that philosophy to brewing.

"When you live in Portland, you become entrenched in the whole hops and malts [thing] because you're living right where it's being produced," said Portland resident Angelo De Ieso of beer site Brewpublic.com. Thirty percent of the world's hops come from the Pacific Northwest and Idaho, De Ieso said.

The other major pull is the "high concentration of breweries," Beaumont said. "Portland is a fairly small compact area, [but] they've got a free transit system, and they've got brewpubs chockablock."

Higgins Restaurant and Bar is a great place to get advice on navigating the local beer scene, according to Beaumont. And while you're there, you can sample their impressive beer list including Oregon-bottled Rogue Morimoto Imperial Pilsner and The Bruery's "Trade Winds" Triple out of California, a brewer that Beaumont notes is "up-and-coming, doing phenomenal stuff."

As for breweries, De Ieso said "the one that really stands out is Upright Brewery with their Belgian farmhouse style beers."

Another stop has to be Hopworks Urban Brewery, an all-organic brewpub fully powered with renewable energy. "They do a lot of the standard styles of Northwest beers, like the IPA, which is our flagship beer," De Ieso said. Try the signature Hopworks IPA for a taste of Pacific Northwest flavor.

SoCal brew style

Much further south, in San Diego, California, you'll find what Beaumont calls "a hotbed of innovation," where the beer tends "to be a little stronger, with more alcohol."

And while "all of California could be considered the state from which the innovators of craft beer came, San Diego specifically grabbed the golden ring from the merry go round and ran with it," said Matt Simpson, a craft beer consultant.

So when you're talking San Diego-style beer, for most beer geeks you're talking about The Lost Abbey. "The most notable guy right now is Tomme Arthur at Lost Abbey. He was one of the early adventurous brewers in Southern California," beer tasting expert Mosher said.

Known for Belgian-style beers and a "flavor first" philosophy, beer expert Beaumont said "they're doing some really innovative, interesting stuff in terms of barrel aging and unusual fermentations, beyond basic brewers yeast."

Beer experts also fawn over AleSmith, a microbrewery that has been pumping out diverse, high quality ales since 1995. "The special beers that they do are astounding, if not sublime," Simpson said. "They do a barrel-aged series, and those beers are limited to 250 bottles or less, so you can imagine the supply and demand market for them."

Flavors of the South

Although other beer lovers often skip over the South because of restrictive brewing laws in some areas, Simpson insisted that some of the best brew can be found below the Mason-Dixon line.

"One of my top three is North Carolina, with Asheville being the center of that. Not only is it a really fun place to visit, they make amazing beers," he said. "There's Foothills, a brewpub that has a breakout hit called Sexual Chocolate, an imperial stout that put them on the map of craft beer."

Simpson also touts his home stomping grounds, Atlanta, Georgia. "We have one of the top five beer bars in the world in the Brick Store Pub, across the board," Simpson said. "You can go to Greatbeers.com, Ratebeer.com, Beeradvocate.com -- they're rating the Brick Store Pub as one of the top beer bars in the world. And if you're here for a few days you can hit breweries like Sweetwater, 5 Seasons, and Twain's."

Whether your drink town of choice is San Diego or Philadelphia, San Francisco or Boston, Beaumont recommends chatting up locals for clues on the local beer scene.

"Beer is a social drink, and beer people love to talk about the beer," he said. "You can find a local or savvy visitor who can tell you about something you've never heard of, and that makes it a phenomenal experience."

@highlight

Craft beer has turned popular brewing towns into travel destinations

@highlight

Experts say Oregon, California and North Carolina offer some great brews

@highlight

Wherever you go, make sure to talk to locals to get insider brewpub suggestions