(CNN) -- New details have emerged about a Jewish immigrant who fled Austria as World War II was brewing, lived frugally in New York and left an estate whose size -- $300,000 -- astounded some.

Ida Blumin fled Austria in 1938 for the U.S. and married Walter Fischer, who earned money performing odd jobs.

In a story published Monday, CNN and other news organizations reported neither the woman's name nor much else about her, except for the fact that she had donated half of her estate to Hebrew University in Jerusalem, a school with which she had had no known contact.

Since then, CNN has contacted two of her friends and a relative, who have identified her as Ida Fischer, who was born Ida Blumin in 1911 in Vienna. They said she was neither a concentration camp survivor nor had she ever been homeless, as the school originally reported.

Her life story, however, was still remarkable.

In 1938, she, her mother, her sister and her sister's husband fled Austria, said Peter Last, a Jewish collectible coin and banknote wholesaler who lived on East 32nd Street and befriended Fischer 20 years ago, when she lived a block away.

The Blumins made their home in New York, where they had relatives. The 5-foot-2-inch immigrant married Walter Fischer, another Austrian, who earned money performing odd jobs. The couple lived with Fischer's mother; Ida Fischer earned money from a variety of office jobs.

Fischer, who was in her mid-70s when Last met her in the late 1980s, gave the impression that she was just scraping by, he said. "She hung around on the street and talked to everybody and people gave her food and clothes," he said. "She was very thrifty."

She once traveled with her mother to Israel, but did not appear particularly religious, Last said.

Gabor Szanto, who met Fischer nearly 40 years ago upon his arrival in the United States from Hungary by way of Italy, disagreed, saying his friend observed all the high holidays.

"I used to take her to the synagogue," said the hair colorist who has a shop on the Upper West Side and cut Fischer's hair for free. He received 25 percent of her estate. "She was a great believer in God."

He described her as "a free spirit."

"She would say she liked weak men and strong coffee," he said. "She was always being taken out to eat by one person or another; people bought her things, bought her food, bought her newspapers. But she wasn't a down-and-out bag lady with a pushcart like the people in the movie. She was very neat, clean and she was a decent person."

He said her penny pinching was understandable "because she lived through the Depression."

Last said that, throughout the years he knew Fischer, she lived on East 31st Street in a 10th-floor, sparsely furnished one-bedroom apartment in a building for senior citizens.

Her rent -- about $145 per month -- was even lower than it would have been because she reported housing code violations in her apartment to authorities, who then declined to approve rent hikes, Last said.

But Fischer spent much of her time outside the building, where she sat on a bench dressed in old clothes and carried on a busy social life. "Everyone knew her," he said. "Everybody in the diner on the corner knew her."

Among her coterie was Rue McClanahan, who played Blanche Devereaux on "The Golden Girls" and lived on the block, he said.

Neighbors would sometimes give her items they no longer wanted. Fischer's frugality was legend: She recycled greeting cards, crossing off the name of the original recipient and replacing it with the new one. "She'd write on the top of it: 'From Ida,'" Last said.

Instead of paying extra to get an unlisted telephone number, she simply listed it under someone else's name, he said.

Occasionally, Last, now 74, would treat his neighbor to a meal at the diner or a nearby delicatessen, where her favorite dishes included lox. Though she was not thin, she would rarely finish what was on her plate. "A lot of it, she would take home," he said. "She'd take all the sugar and all the napkins; she'd bring extra jars to take coffee home in."

He always picked up the tab. "There was never any question," he said. "I don't think she ever bought anything."

Last, who was also born in Austria, helped Fischer increase her monthly pension from the Austrian government. He also helped her augment her income, giving Fischer $5 to sit in his Peugeot on days when the street sweeper went by so that he would not get a parking ticket.

One day, Fischer asked Last about a flier she had received offering to help residents write their will for free.

"I looked into it and I found that this was the Brooklyn Law School; they would send a lawyer who would take two students to people's houses and do their wills, so I said, 'It's OK.'"

Fischer asked Last to serve as executor and he agreed. She also told him that she would leave him money, but Last was unimpressed. "I never thought she had any real money," he said. "She was enough of a pest that I told her, 'No, I don't want it.'"

She took him at his word. Instead, she left a quarter of her $300,000 estate to Last's wife, Silvia, a quarter to Szanto and half to Hebrew University in Jerusalem, where a spokesman said the school was grateful for the donation, but had no idea what inspired it.

Though Fischer remained alert until the end, she faltered physically during her final months, when she "very reluctantly" hired a woman to take care of her. "She didn't want to pay for it," Last said.

Fischer died in 2007 of heart failure, he said.

Last said Fischer had told him she had no relatives, but he discovered after her death that she had not been truthful.

"It turned out there was a sister and a nephew that she wasn't on speaking terms with," he said.

Even after Fischer died, Last continued to learn about his friend's penurious ways. When he went to a bank to carry out his duties as executor of the will, a vice president told him Fischer had taken advantage years before of a promotional offer of a year's free access to a safe deposit box, Last said. But after the year elapsed, she refused to pay the $100 annual fee, he said.

So the banker told him he kept Fischer's Series E savings bonds for $60,000 in his desk drawer, Last said.

Though the size of her total savings surprised him, Last said her dogged thrift could have explained it.

He calculated that -- between her pension from Austria and her $800 monthly check from Social Security -- her monthly income was about $2,000, of which she spent only about $500.

Fischer's sister -- from whom she had long been estranged -- died a few months ago, said Fischer's nephew, Peter Lynwander, who lives in Ridgewood, New Jersey. He said he last saw his aunt more than three decades ago at a family get-together.

"She was a live wire," quick to pound out a waltz on the piano or to dance. He was not surprised at the sum of her savings: "She worked all her life and she didn't live high. So I don't think that's all that unusual."

CNN's story published Monday quoted a spokesman for the school as saying Fischer had survived a concentration camp and lived homeless on the streets of New York. Her friends and her nephew said neither was true.

On Friday, school spokesman Richard Dukas said the discrepancies were the result of a miscommunication.

Hebrew University "regrets misinterpreting the facts about Ida's amazing and generous story," he said. "What is clear is that Ida was a remarkable woman who has made a difference by supporting research and education at the Hebrew University of Jerusalem, something that will have an impact far beyond the borders of the state of Israel."

@highlight

Ida Fischer a Jewish immigrant who fled Europe before WWII

@highlight

Fischer lived in New York; her frugality was legend among friends, neighbors

@highlight

She re-used greeting cards, got supplies from restaurants, paid rent of $145/month

@highlight

She left half her estate to Hebrew University in Jerusalem