(CNN) -- This spring break, thousands of college students will ditch the bars and the beaches to do something more meaningful with their vacation time.

Brad Vonck (bottom, left) and other student volunteers worked with the Cherokee Nation in Stilwell, Oklahoma.

Brad Vonck is one of them. A sophomore at the University of Illinois, Vonck will travel to San Juan, Texas, in a group of 13 students to volunteer with La Union del Pueblo Entero, an organization that helps strengthen the communities and lives of farm workers and their families.

"Learning about different cultures is very important to me," Vonck said. "I like to engage in different areas of life that I don't really understand."

Every year, more and more college students, like Vonck, are choosing to spend their valuable time off from school participating in "alternative spring break" programs -- community service-based opportunities dealing with the most pressing issues of the day, including hunger and homelessness, disaster relief and global warming.

"If you can name a social issue, then students are doing trips around it," said Jill Piacitelli, executive director of Break Away, an organization that trains and helps colleges across the United States promote alternative break programs.

For the past six years, these programs have been growing in popularity among college students. Break Away estimated that this year, nearly 65,000 students will participate in its alternative break programs, an 11 percent increase from 2008.

"It's a student-led social movement. ... This is a group that very much wants to be involved in the world around them," Piacitelli said of the volunteers. "They're solution-oriented. They want to innovate and lead and involve their peers."

The average domestic trip costs around $250 or $300, Piacitelli said, which includes "housing, travel, social activities, food and often a donation to the community."

Many university programs offer financial aid and the option to raise money to help pay for trips. "It is rare that anyone who wants to go on a trip cannot go," Piacitelli said. The affordability is part of the reason why so many students return for second or third trips.

Nikunj Shah, a graduate of Arcadia University, has taken several alternative spring break trips volunteering in the United States and Mexico. This year, he will be traveling as an alumnus to Jean Lafitte, Louisiana, a city that has been largely ignored by disaster relief efforts in the wake of hurricanes Katrina, Wilma and Rita.

"I've always had an interest in helping people. I've always been really involved in community service," Shah said. "So I saw this as an opportunity to go places I haven't been before, to get a feel for different cultures and to help people there that truly need help."

In an effort to expand their alternative spring break options, universities across the United States partner with humanitarian organizations like the United Way of America. Randy Punley, director of corporate and media partnerships at the United Way, oversees the organization's Alternative Spring Break programs. After Hurricane Katrina, the United Way partnered with MTV to engage young people in the response effort.

"We knew there was an interest and a passion in young people for the work we were trying to achieve," Punley said.

Since then, the United Way has evolved and expanded, establishing chapters on college campuses. The organization has also developed an Alternative Spring Break Social Media Challenge, encouraging young people to be active in their communities and use social media Web sites, like Facebook or Twitter, to involve other people.

"Whether it started with the first Gulf War, punctuated by the September 11 attacks and Katrina and the economic meltdown, young people have a very different perspective about what's going on in the world," Punley said.

At the end of the weeklong trip, most students say it was the best week of their lives, Punley said. The increasing interest in these programs, Punley believes, speaks volumes about the attitudes of Generation Y, a group of people who are eager to make an impact on the world around them.

"It's such a difference from going home and not really feeling accomplished to going on these trips and meeting new people," Vonck said. "You get experiences that you wouldn't get sitting on the couch watching TV for a week."

Piacitelli said these programs encourage young people to continue serving their communities and those in need.

"The students are the main benefactors of what goes on," Piacitelli said. "It changes their consciousness. They get really interested in social issues ... They see themselves as active citizens, and helping the community becomes a priority."

Like Vonck and Shah, University of Illinois senior Adriana Collazo has a passion for community service. During her spring break last year, Collazo traveled to the Bronx in New York to volunteer at a homeless shelter. She stayed at a hostel with other volunteers and helped serve food and organize clothing drives.

"I never really had all that money to go off and do the whole Cancun, Mexico, spring break, and I didn't really want to, because I think that's throwing away money," Collazo said. "When you can give back, it's selfish."

The trip to the Bronx was a personal one for Collazo who, at the age of 6, experienced poverty firsthand when her family became homeless.

"My family's better now, and I want to give back," Collazo said. "I think a lot of students have realized that they can do better things with their time. ... It humbles you."

@highlight

"Alternative" spring breaks are becoming more popular among college students

@highlight

The programs center on community service

@highlight

Trips may address hunger and homelessness, disaster relief and global warming

@highlight

The average domestic trip costs around $250 or $300