(CNN) -- When five-year-old Xiao Ge starts primary school in Guangzhou next year, she won't endure strict discipline and mountains of homework. Unlike the school life of most children in China, her days will be filled with art, music and creative learning at a private Waldorf school.

Xiao is part of a fast-growing number of Chinese children whose parents are turning their backs on the state-run education system, which is based on rote learning and limited critical thinking. Instead, they are choosing independently-run schools that use the Waldorf, Montessori, or Reggio Emilia pedagogies.

Despite a lack of regulation over these schools, parents prefer the humanistic approach of these classrooms and the perceived softer learning environment.

"Compared with studying under the public system, my daughter will get a healthier education and life here," says Xiao's mother, Lu Dan, when we met at the Hairong Waldorf School Xiao is attending in the southeastern city of Guangzhou.

As we tour the school, headmaster Wei Yueling, casually dressed in a tweed jacket and sneakers, playfully grabs one of the students by the waist and spins her in the air, making other kids scream with laughter. At a state-run school, a similar scene of student-teacher bonding would be next to unthinkable.

Global attention

China has undeniably gained the world's attention for outstanding academic performance. Shanghai's 15-year olds lead in mathematics, science and reading, as seen in the 2013 Pisa survey by the Organization for Economic Cooperation and Development, rating the performance of children across 65 regions.

Urban Chinese families are particularly invested in their children's education. Don Starr, a lecturer at Britain's Durham University, points out in a research paper that these families spend more than 30% of their household income on their children's education, compared to 2% in the UK.

But the "tiger mom, wolf dad" approach to education is not without consequence. Chinese youth suffer higher levels of depression and lower self-esteem than their peers elsewhere. Last autumn, a 10-year-old boy in the city of Chengdu reportedly jumped 30 floors to his death after failing to write a 1,000-word letter of self-criticism demanded by his teacher.

Perhaps in reaction to this phenomenon, China has seen a major expansion of alternative teaching establishments. These schools emphasize a holistic approach to education and use qualitative assessment methods, especially for kindergarten and primary school students.

While there are no official figures for the current number of alternative schools in China, headmaster Wei estimates that some 40 schools and as many as 500 kindergartens operate across the country. His own primary school and three kindergartens in Guangzhou have about 300 students, each paying CNY40,000 (US$6,500) a year, with 300 more queuing to get in.

Education for the whole family

For Lu Dan and her husband, their choice of school is about much more than their daughter's education. The Waldorf philosophy can be embraced by the whole family. With a focus on developing free-thinking and morally responsible individuals, the humanistic Waldorf concepts offer a sense of relief from the purely materialistic lifestyle that many of the country's new middle class have been caught up in.

Two years ago, Lu attended a Waldorf workshop where she met Wei. She recalls becoming immediately captivated by the philosophy.

"It was like a calling, like realizing your destiny," Lu says. "Waldorf became the start of a more relaxed and happier life."

One of the first things the family did was to get rid of their television and computer games, which immediately opened up plenty of time for "real life and real play," says Lu.

They are far from alone. Some 40 families have moved to the area where the school is, creating a community for like-minded people. Many parents volunteer for the school, which regularly hosts workshops on Waldorf education and related topics, often featuring experts from abroad.

Headmaster Wei studied the Waldorf pedagogy in 2007, after which he left his nine-year career as a photographer to open his first kindergarten. He observes that many parents come to his school with a desire to change their lives, but not knowing how.

"I speak to parents who don't know how to play with their children anymore. They just put them in front of the television screen," he says. "Often the father is working so much and comes home so late at night that the child hardly knows they live in the same apartment. After coming to our school they learn good ways to be with their children. They get more quality out of life. Waldorf is a therapeutic form of education that can help the whole family."

Doubts over authenticity

Some say, however, that alternative schools are proliferating out of control. There are few regulations around the growth of these private schools. The U.S.-based Montessori Foundation and the Association of Waldorf Schools both offer online courses for those interested in starting a school. Teacher education programs are also available involving at least one year of study.

However, as the demand for these schools go up in China, some are hastily opened without a full understanding of the philosophy behind the brands.

Gina Lofquist, the director of the Montessori education program at Xavier University in the U.S., sees the number of Montessori schools explode in China, but doubts that there are enough qualified teachers to fill the new classrooms.

"I've been to so-called Montessori preschools where there was not a trace of Montessori material," says Lofquist. "Instead, they had a big flat screen television in the middle of the room, something that goes totally against our beliefs. There's no way to train enough teachers for all those new schools. A lot of money is being made from these franchises but the parents are not getting what they pay for."

The same situation can be seen at other private schools, including Waldorfs, according to several teachers and parents in Guangzhou and Hong Kong that we spoke with.

Despite the growing interest in alternative education forms, most Chinese parents are still reluctant to hop on the bandwagon. The biggest fear is that opting out of the state-run system will lower their child's chances at passing the notorious "gaokao," the national college entrance exam that determines which Chinese university a student will enter.

Lu Ziwen, professor of English language at Central China Normal University and a member of the state English curriculum standard team, is far from convinced by alternative education.

Less homework, he argues, is not the path to future success. "Many parents think that you should not let the child lose at the starting line," he says, referring to a popular proverb.

All this seems far removed from Xiao Ge who is happily playing on the swings in the school playground, unconcerned about future exams and career prospects. Instead, she is putting all her energy into being just a child.

@highlight

Chinese parents seeking alternatives to rote learning in state-run schools for their young children

@highlight

Holistic education philosophies affect not only the student, but the student's family lifestyle as well

@highlight

Lack of regulation over new alternative schools may become a problem