(CNN) -- Census workers are in the final stages of going door-to-door to complete the 2010 U.S. census, but some experts are looking further to the future to explore the way Americans work, live and identify themselves.

In his new book "The Next Hundred Million: America in 2050," Joel Kotkin offers thoughts on what the census will reveal in the next 40 years, including how migration patterns, population dynamics and cultural diversity will come to shape the portrait of the American landscape.

CNN spoke to Kotkin recently on what he says is a lot more change to come. Here is an edited transcript:

CNN: You claim that "the majority in the United States becomes nonwhite by 2050." The current census has stirred up much controversy in terms of race relations and how we as Americans choose to identify ourselves. How will the nation's ethnic makeup differ in relation to today?

Joel Kotkin: There's going to be a very diverse minority population with large amounts of interracial marriage. What we'll see is that the Anglo-Saxon population will no longer be the majority. I believe the mixed-race population will grow the fastest because compared to the past, interracial relationships are increasingly tolerated and considered OK by a large percent of the younger generations. It's no longer strange to see a black and white couple at a restaurant together today. Yet someone visiting from the 1960s would be shocked.

CNN: Will negative factors like discrimination because of race be eliminated in the future?

Kotkin: I think the racial issue will always be there. Race won't disappear, but it won't be the marker it was at one time. I think that people have a different attitude now. You don't see the kind of concern for racial classifications that we once had. [President] Obama's election was a major turning point in America in defining that. I believe the current attitude will have a cascading effect of all varieties.

CNN: How do you believe Americans will identify themselves in 2050? By categories of race or just as Americans?

Kotkin: I'm almost sure that these categories of racial or ethnic identification will still be as important as they are now. Historically, people were defined in a binary matter by race. But now more than ever, ethnicity is intertwined with identity and shapes the way people grow, what they believe and their perspectives on a variety of topics. Now, a gay person is the same no matter what race. A conservative is conservative. Thus, these cultural and ethnic backgrounds will be key markers in terms of identity for Americans.

CNN: In your book, you describe how the nation's population will grow to be nearly 400 million people in the next 40 years. How exactly will this happen?

Kotkin: The fact is that there will be more people in the future because of longevity. People are going to start living longer, immigration will be more feasible in the future, and the United States will have a slightly higher fertility rate than other countries. This will mean more people to count in terms of the census and perhaps considering alternative ways to get that work done.

CNN: Your book also describes the idea of America becoming more energy efficient. That's hard to believe with all the current energy and environmental issues affecting our nation today.

Kotkin: We are going to have to deal with the energy issue -- I think people just need to be able to see a clear solution that makes some sort of sense. Just look at how far we've come. We've invested billions of new transit systems all over the country, and that's more since 1980. By 2050, most people between the ages of 30 and 70 are going to want to live in single-family homes and [drive] more energy-efficient cars.

CNN: Will people be traveling less? Is that how we will contribute to bettering our energy situation?

Kotkin: Yes. A lot more people will be working at home or closer to home. This is why suburbs will become the new centers of movement and grounds for change. This is the only real way to deal with it -- trying to tell people that they have to give up their houses, backyards, cars, and live like their grandparents is not a winning solution. Especially when the people pushing for this method, like Al Gore and Prince Charles, live infinitely larger than they could ever imagine living.

CNN: So cities will become obsolete? They will no longer be the hub of our planets?

Kotkin: Well, if you look at the current status now, 90 percent of jobs are outside of the central core of cities. They won't be completely obsolete -- by 2050, cities will still play a symbolic role in terms of culture, amenities and sports, but they will no longer be one of the dominant places where people live and work.

CNN: You also describe how the U.S. will become more economically competitive in the future. How do you -- this to Americans who have seen our current economy slide downward into a recession and aren't convinced about this prediction?

Kotkin: The U.S. has relatively younger demographics, which gives it a competitive advantage. This nation attracts people from all over the world, and that's what gives it global advantage; we have the potential to be energy sufficient. We are the only advanced country with a growing population, agricultural surplus, lots of raw materials, significant domestic energy. The nation is entrepreneurial in culture and has a reasonably stable political system. That doesn't mean that the U.S. will be a hegemonic global power, but I believe the economic condition, due to these factors, will definitely improve in the future and the census will reflect that.

CNN: Your claims show a positive outcome for the nation amidst all the current issues in the world: war, political instability, the oil spill, lack of resources, unemployment, global warming. What should Americans consider in terms of making these changes happen by 2050?

Kotkin: The U.S. has many great advantages going into the next 40 years -- if we do what we need to do. There are serious problems we need to attack in terms of upward mobility and economic growth. If we don't do that and we have a growing population, it will get difficult -- things will get worse and downwardly mobile for the nation.

@highlight

Author Joel Kotkin predicts that majority of nation will be non-white

@highlight

Suburbs to become economic centers of country instead of cities

@highlight

Despite current situations, Kotkin says America's economic and social issues will improve