(CNN) -- The videos and photographs are numbered in the dozens, every one of them telling a fragment of a terrible story: toddlers breathing their last gasp, the bodies of children laid out in rows and covered in blocks of ice, their faces pale and expressionless.

Elsewhere, dozens of white shrouds appear to hold the corpses of adults, the names of the victims written hurriedly on the cloth.

There was some sort of ghastly event in the suburbs of Damascus early on Wednesday: the sheer volume of material uploaded within a short time span and the consistent testimony of medical staff attest to that.

But there are as many questions as answers. The victims showed no sign of injury; there was none of the bloodshed associated with artillery attacks, no wounded, dust-covered people being dug from buildings reduced to ruins.

It was impossible to know how many had died and exactly where or why. By the end of the day, the Local Coordination Committees were reporting that more than 1,300 people had been killed in areas around Damascus, some 400 in the neighborhood of Zamalka alone.

Even by the standards of Syria's remorseless conflict, that would represent a catastrophic day. But there was no way to verify such figures: mass burials began within hours, and of course, there was no access to the area for independent observers.

Mistrust between U.S., Syrian rebels hinders military aid

Accusations fly

Opposition activists almost immediately alleged President Bashar al-Assad's regime had used chemical weapons against districts long controlled by rebel groups. It is not the first such allegation; some activists were soon claiming the regime had used sarin, a nerve agent that it is widely thought to possess. Residents spoke of dizziness and choking, convulsions and difficulty breathing, which would be consistent with the symptoms of sarin poisoning. But some victims appeared to have died in their sleep, undisturbed, according to local reports.

The Syrian government dismissed the claims of chemical weapons being used as "disillusioned and fabricated."

Some opposition activists say the toxin used may have been "Agent 15," also known as BZ. Its full name is 3-quinuclidinyl benzilate, and it affects both the peripheral and central nervous systems.

The opposition claimed that BZ was used in tank shells fired in the city of Homs last December. A doctor in the city told the online publication "The Cable" soon after that the victims "all had miosis -- pinpoint pupils. They also had generalized muscle pain. There were also bad symptoms as far as their central nervous system. There were generalized seizures, and some patients had partial seizures."

Physicians for Human Rights, a non-governmental organization, says that BZ induces a "severely altered mental status (hallucinations, giddiness, confusion); lack of secretions -- dry mucous membranes, dry mouth, eyes, skin; dilated pupils, blurred vision, nausea, vomiting."

But the reports from Homs, like so many of the allegations to emerge from Syria, were never confirmed. The next month, the U.S. State Department said it had "found no credible evidence to corroborate or to confirm that chemical weapons were used" in Homs. Some experts doubt the Assad regime possesses BZ.

Perhaps more significant is an account from the spring of this year, when Jean-Philippe Remy from the French newspaper Le Monde spent weeks in and around Jobar, the opposition-held district on the edge of Damascus that saw many of the casualties early Wednesday.

"No odor, no smoke, not even a whistle to indicate the release of a toxic gas," he reported "And then the symptoms appear. The men cough violently. Their eyes burn, their pupils shrink, their vision blurs. Soon they experience difficulty breathing, sometimes in the extreme; they begin to vomit or lose consciousness."

"The people who arrive have trouble breathing," a doctor told Le Monde. "They've lost their hearing, they cannot speak, their respiratory muscles have been inert. If we don't give them immediate emergency treatment, death ensues."

"In Jobar, the fighters did not desert their positions, but those who stayed on the front lines -- with constricted pupils and wheezing breath," Remy reported.

Syrian refugees stream into Iraq

Outsiders unsure of the cause

Independent experts who studied Wednesday's videos were unsure of the cause.

Gwyn Winfield, editorial director at the magazine CBRNe World -- which reports on chemical, biological, radiological, nuclear or explosives use -- analyzed the videos and wrote on the magazine's site: "Clearly respiratory distress, some nerve spasms and a half-hearted washdown (involving water and bare hands?), but it could equally be a riot control agent as a (chemical warfare agent)."

The allegations that some sort of chemical weapons were used came amid an ongoing government assault on rebel-held areas around Damascus - such as Douma and Mouadamiya - with artillery and air strikes further complicating the picture. The Syrian military's goal is to push the rebels back, thereby reducing mortar attacks on the heart of the capital. That offensive continued Wednesday, according to opposition activists in Jobar and Ghouta.

Some analysts speculated that a stockpile of chemical agents may have been hit by shelling, whether controlled by the rebels or the regime. But that would not explain the number of neighborhoods -- some several miles apart -- where the same symptoms were reported among victims.

U.N. chemical weapons inspectors in Damascus

There is also the question of motive and timing, if regime forces were responsible. Just a few miles from those terrible scenes, a team of United Nations chemical weapons inspectors -- led by a well-qualified Swede -- were asleep at their hotel.

Russia -- an ally of the Assad regime -- made that point immediately. A Foreign Ministry statement from Moscow noted that "the criminal act was committed near Damascus at the very moment when a mission of U.N. experts had successfully started their work of investigating allegations of the possible use of chemical weapons there."

But the terms of the inspectors' visit are tightly prescribed; they are only permitted to visit three sites where chemical weapons are alleged to have been used in the past.

Government forces did not appear to be in imminent danger of being overrun by rebel factions in the areas concerned; in fact, many observers believe a bloody stalemate has set in around Damascus. And regime forces have also made gains recently against rebels around Homs and elsewhere. Why would it risk an action that would likely kill hundreds in a heavily-populated area and risk stirring up an international appetite for intervention?

Would it also have risked using an agent as lethal as sarin just a few kilometers from the heart of Damascus -- to both the southwest and northeast of the city -- on what appears to have been a quite windy night?

The European Union believes the Syrian government was the most likely culprit.

"We have seen with grave concern the reports of the possible use of chemical weapons by the Syrian regime, said the EU's Foreign Policy chief, Catherine Ashton."Such accusations should be immediately and thoroughly investigated."

The White House made a very similar statement.

In a familiar ritual, Russia quickly pointed the finger at rebel forces, alleging that "a homemade rocket, analogous to that which was used by terrorists on the 19th of March in Khan al-Asal, containing a so-far-undefined poisonous substance, was launched from positions held by the fighters" early on Wednesday morning. The incident in Khan al-Asal, near Aleppo, was reported to have left 19 people dead.

Some observers also point to claims on jihadist websites that rebels have seized chemical weapons equipment after overrunning government bases such as one outside Aleppo in July 2012.

Supporters of the Assad government claim that Wednesday's reports are very convenient for the opposition as it tries to spur the international community to action just as events in Egypt have claimed the front pages.

Little hope for change

George Sabra, president of the Syrian National Council, an umbrella group of Assad opponents, said in Istanbul: "It's not the first time in which the regime used chemical weapons ... but it presents a move by the regime, because they are doing it with impunity....The United Nations will be puzzled, and the U.S. will announce more red lines, and will leave it in the air."

Given the stated positions of the great powers, an emergency meeting of the UN Security Council seems unlikely to prompt decisive international action. Perhaps the world will never know whether the events of August 21, 2013, around Damascus amounted to the most widespread use of chemical agents since Saddam Hussein's bombardment of the Kurdish town of Halabja 25 years before.

CNN's Yousuf Basil contributed to this report.

@highlight

Videos of suffering and dying Syrians suggest a chemical attack, but verification is difficult

@highlight

Bashar al-Assad's government, rebels trade accusations, denials about event on Wednesday

@highlight

Outside experts are unsure if there was a chemical attack, and if so, what agent was used