(CNN) -- In the past two weeks, police have killed at least four people with psychiatric disabilities, each of whom had a weapon. Most recently, police in St. Louis shot Kajieme Powell, killing him just a few miles from Ferguson, Missouri.

Powell is black and his death initially ratcheted up tensions, but people have since seemed to accept police explanations. Powell acted erratically, had a knife and refused to put it down. Mental illness made it, in the eyes of many, a sad but unpreventable situation.

In cases like these, we need to stop talking about mental illness and start thinking through the implications of psychiatric disabilities. We also need police whose first instinct is to de-escalate tense situations whenever and however possible, and, when necessary, solve confrontations with the absolute minimum amount of force.

"Psychiatric disability" refers to mental illness that "significantly interferes with the performance of major life activities," a category that clearly applies to people whose "erratic behavior" got them killed by police.

The distinction matters. In America, being disabled comes with certain civil rights protections. While we generally try to eradicate illness, we are required to accommodate disability. So how does a police officer accommodate someone behaving erratically and holding a knife?

Here are the details of the four cases. They came from different races, classes, ages and parts of the country. In each case, police demanded that a disabled person choose between not being disabled or getting shot. Now four more people are dead.

After St. Louis police killed Kajieme Powell, they tried to be transparent. They called a news conference, released the incident report, 911 calls and a graphic cell phone video.

According to the police, two officers arrived to deal with an individual acting "erratically." The officers had been trained to recognize mental illness. They got out of their car. Powell drew a knife. The officers drew their weapons and ordered Powell to drop it and stop. He advanced. On the video, you can hear them firing about seven times. Powell falls. They fire twice more.

While some journalists have pointed out discrepancies between the police account and the video, the chief has defended his officers. Once the man wouldn't stop and was within a few feet, what else could they do but shoot?

Police in Arizona used a similar explanation after shooting Michelle Cusseaux. Police had arrived to carry out an emergency court order to take her to a mental health facility, called for by her mother. Police had trouble getting her to open the door. She'd open and close it, repeatedly. As the officers forced their way in, Cusseaux came out with a claw hammer. According to witnesses and a spokesman, the officers told her to drop the hammer several times, then shot her when she did not comply.

In the aftermath, Phoenix police have lamented the tragedy and promised to implement new training, likely to be "Crisis Intervention Team" (CIT) training, an approach that is being implemented all over the country. It's great, but won't solve everything.

In San Jose, a CIT-trained officer shot and killed a 19-year-old woman holding a power drill. Diana Showman, who had bipolar disorder, had called police to claim she had an Uzi and would shoot her family. Police understandably responded in numbers and started negotiating. Showman came outside but wouldn't drop the object she was holding. As reported in the San Jose Mercury News, "They told her many times to stop, to drop her weapon," one witness said. "And she didn't." One of the five officers fired, just once.

Powell had a steak knife, Cusseaux a hammer, and Showman a drill. Jeffrey Towe, in Sacramento, actually had a military combat knife. The actual danger of the weapon, though, doesn't change the shape of the story. Police arrived at the scene because a neighbor heard Towe ranting loudly about, "four horsemen, cutting hearts out and stuff." Towe threatened the officers verbally and the police told him to drop the knife, but instead he charged. An officer shot and killed him.

Except for the fact that Powell was shot repeatedly, a detail that intensifies the racially charged aspect of that killing, the stories follow a similar pattern. The victim had a weapon and did not respond to police commands to drop it, and so they died. Of course, a person struggling with his or her disability is not likely to follow verbal police commands in a moment of stress. Once the equation reached drop or die, death was inevitable.

The only solution is for the police to avoid getting into that situation if at all possible. Unfortunately, this runs directly against police training. Police are trained to display command presence in the face of uncertainly, seizing control of a situation by issuing orders, demanding compliance and using force on those who won't obey. Protect and serve has become command and control.

There are other models. Seattle police now teach their recruits to be "guardians." Others emphasize patience. When Cusseaux frustrated the police by opening and closing the door repeatedly, why not just wait her out? Moreover, where were the Tasers? Taser-overuse is a major problem, but if they have a place in modern policing, surely it's when confronted by an armed psychiatrically disabled person at close range.

There will always be terrible situations in which police must shoot to kill someone struggling with their disability. There could be a lot fewer. Moreover, accommodations for disability tend to have positive ripple effects for the whole population.

Every time an able-bodied person uses an automatic door or wheelchair ramp while pulling a suitcase or stroller, they should thank the Americans with Disabilities Act and the power of accommodations. Similarly, if police will accommodate psychiatric disability by not forcing confrontation whenever possible, we will all be a lot safer.

@highlight

In the past two weeks, police have killed at least four people with psychiatric disabilities

@highlight

David Perry: How does a police officer accommodate someone with mental illness?

@highlight

He says one solution is to train police to act like guardians, another is to use Tasers

@highlight

Perry: Being disabled comes with civil rights protections, we can include the mentally ill