Call it a historic technological achievement. Call it a victory lap across America. Call it a shameless promotion for a controversial energy agenda. Its owners simply call it Solar Impulse.

It's the first manned plane to fly for 24 hours on nothing but solar-powered batteries. That's right -- we're talking about a sun-powered plane that can fly at night. "Theoretically," said its pilot, Bertrand Piccard, "the plane can fly forever."

The Swiss-made Solar Impulse is in the middle of a U.S. tour this month, flying five legs from California to New York. In 2015, Piccard and his co-pilot, Andre Borschberg, hope to make the next generation of Solar Impulse the first solar-powered plane to circle the globe.

It's a lofty goal for this funny-looking, slow and unwieldy design --  with one main wheel, a tiny cockpit and no toilet. It's made of revolutionary lightweight materials and its solar cells are built in as part of the wings. Basically, it's a giant flying solar cell.

Circling the globe is only part of the plan. The mission also includes an environmental agenda aimed at promoting the use of green technology and renewable energy sources such as the sun and the wind.

We caught up with Piccard on the phone at Phoenix Sky Harbor Airport, where he landed after flying the first 18-hour, 650-mile leg of Solar Impulse's journey from Mountain View, California. As a safety precaution, Piccard reportedly had to circle the airport to wait for officials to suspend commercial flight operations for his landing.

Turbulence poses the biggest danger when piloting Solar Impulse, Piccard said. While flying near San Francisco's Golden Gate Bridge, he said, he experienced some of the worst turbulence since he started flying the aircraft in Europe several years ago.

Related video: Watch Solar Impulse in motion

Even with the aircraft's lumbering 43-mph cruising speed, Piccard "was really fighting hard to keep the plane on track," he said. Flying through clouds and near mountains, he said, offers the biggest potential for turbulence. He keeps a parachute handy for a worst-case scenario, which he said is unlikely.

The men

At age 54, Piccard is a bona fide adventurer -- with world records to prove it. Decades after pioneering ultralight aircraft in the 1970s, Piccard and his colleague Brian Jones were the first to circle the earth nonstop in a balloon in 1999. Their gondola is displayed at the Smithsonian.

Breaking barriers is a Piccard family tradition. His grandfather explored the stratosphere in a pressurized chamber carried by a balloon. Ten miles high, he was the first human to see the curvature of the planet with his own eyes.

Piccard's father plumbed the Pacific, taking a special submarine to a record-setting depth of nearly 7 miles.

"I was deeply influenced by them," he said. "Each of my adventures is a way to pay tribute to everything they've showed me and taught me and initiated me to do."

Oh, and on a random note, Piccard is a respected psychiatrist with a recognized expertise in hypnosis.

Borschberg, 60, came to the project with more than two decades as a Swiss Air Force fighter pilot. It was Borschberg who was in the cockpit during the Solar Impulse's 24-hour flight.

The machine

This beautiful example of elegant engineering looks like a giant goose. Its wings are huge: 208 feet -- that's wider than a Boeing 747.

A 747's maximum takeoff weight is 833,000 pounds. This plane weighs only 3,500 pounds -- about the same as a Honda CR-V. Its batteries are able to store enough energy from the sun during the day to power the aircraft throughout the night.

And what happens in the cockpit when nature calls? Piccard, always the gentleman, explained it like this: When the plane takes off, "you have full bottles of water on the right side and empty bottles on the left side," he said. "And when you land, it's the other way around."

In 2012, Solar Impulse flew from Spain to Morocco, making it the first manned sun-powered plane to fly to another continent. But it won't be the first solar aircraft to soar the entire width of the United States. The Sunseeker I, piloted by Eric Raymond, crossed the nation in 21 legs back in 1990. Four years earlier, Burt Rutan and Jeana Yeager flew a fossil fuel-powered plane, the Voyager, around the world nonstop without refueling. But it's never been done with a solar-powered aircraft -- so far.

The mission

The Solar Impulse project's goals amount to more than breaking records and making history. The group hopes to change minds and influence future generations. With each stop on their itinerary, Piccard and Borschberg bring with them a message: Use technology that saves energy and support government-mandated targets for creating electricity from renewable sources.

Many U.S. states have passed legislation calling on utilities to generate specific percentages of their electricity from renewables -- wind, water, solar or others -- by a certain date. Supporters say such regulations will cut pollution caused by burning fossil fuels. Opponents say it will drive energy prices higher.

The Obama administration has opened millions of acres of public land to be used by private companies for giant solar power farms.

What does the future of solar-powered transportation look like?

As more consumers buy electric-powered cars, more vehicle charging stations are popping up which are powered by the sun. But a commercially viable solar-powered car, experts say, is still very far down the road. And many engineers say the development of a solar-powered airliner is very unlikely because they don't believe it's possible to build an onboard system that can produce the massive amounts of energy required.

A few tinkerers are coming up with solar-powered scooters and pedal vehicles, like the Elf trike being sold in North Carolina.

Development of Solar Impulse may contribute to better designs of "long-endurance unmanned aerial vehicles," as the Pentagon calls them. Engineers are developing giant solar-powered flying wings that are remote-controlled and designed to remain aloft at high altitudes for weeks, months, or even years -- nonstop. Such machines could be used for scientific research or surveillance, or as relay stations to transmit communication signals across long distances.

Piccard and Borschberg are looking forward to a future that includes more solar power. In the meantime, they'll be focusing on their plan to circle the globe and their current journey across America. That will include a stop in St. Louis, the hometown of aviation icon Charles Lindbergh.

"I think we share the same spirit," Piccard said of Lindbergh, the first pilot to solo across the Atlantic. Global excitement from that 1927 flight sparked the beginning of a "new cycle," Piccard said, which led to the international airline industry we enjoy today. Piccard hopes Solar Impulse will start a similar cycle that will lead to unimaginable new dimensions in the development of technology.

@highlight

Solar Impulse is the first manned plane to fly 24 hours on sun power

@highlight

Groundbreaking aircraft is now on a five-leg trip across the United States

@highlight

Adventurer Bertrand Piccard wants to pilot a solar plane around the globe

@highlight

Solar Impulse promotes renewable energy sources and energy-efficient technology