Boston (CNN) -- In the 14 years he lived as a drug addict, former NBA player Chris Herren had no shortage of moments that could have been his "rock bottom."

The earliest may have come when he was only 18, shortly after Sports Illustrated hyped the local star's matriculation to Boston College. Herren -- then one of the most highly anticipated freshmen basketball players in the country -- left BC after only one game after a positive test for cocaine.

Maybe it could have come a few years later, after he had transferred to Fresno State. Just days after one of the most brilliant games of his college career, he announced to a national audience at a news conference that he had once again failed a drug test.

Or maybe rock bottom came in 2001, when Herren's family and friends joined the packed crowd at Boston's Fleet Center to witness Herren fulfill his childhood dream of playing for the Boston Celtics. Even though he was in the starting lineup, Herren was nowhere to be found among the players warming up on the fabled parquet floor.

Instead, he stood in full uniform outside the Fleet Center in the pouring rain, waiting on a dealer just moments before the game.

Herren shot heroin into his veins before his mother's funeral, bailed on his wife and newborn son in the hospital to get drunk, and even had to be brought back to life once after an overdose.

But it wasn't any one of these moments that finally motivated him to get the treatment he needed to overcome his addiction. Herren did not have one singular moment of rock bottom.

"Addiction is rock bottom" he said in a recent interview. "I had 14 years of rock bottom."

Now three-and-a-half years sober, Herren looks back at those dark moments of his life with glib honesty and an almost macabre sense of gratefulness.

Making that buy on a street corner in his Celtics uniform? "Just another normal day in the life of an addict," he said.

Using heroin before a game? "I couldn't play without it in my system."

The overdose that almost killed him? "It was a blessing."

Burying his mother while he was on heroin? "When I tell the story about getting high before my mother's funeral -- the looks of disgust people give me -- those looks mean everything to me now."

Opinion: Addiction is not hopeless

Herren said those looks of disgust help him stay on the straight and narrow because he had never before been on the receiving end of such confrontational shows of disapproval. No one had ever looked him in the eye and told him what he already knew: that he was a junkie.

"I used to tell myself that I was no good all of the time," he said. "But it's much harder to look someone else in the eye and say the same thing."

When Herren was finally ready to dedicate himself to getting clean in 2008, he was met with a new challenge, one as daunting as kicking heroin, and one that he says helps perpetuate the cycle of addiction: the cost of effective treatment.

"Unless you have the very best insurance, you'll only get eight or nine days," he said. "You can't expect someone to run the streets for 10 years and come out clean in 10 days."

Herren knew effective treatment for him was going to need to last more than 10 days, and because he squandered all of his earnings to feed his addiction over the years, he also knew there was no way he could afford to overcome it himself.

That's when Chris Mullin, his friend and former NBA mentor, emerged to give Herren the assist of a lifetime. Mullin, a Hall of Famer and a recovering alcoholic, arranged for Herren to spend nine months getting clean in the type of intensive rehabilitation that he knew Herren needed so badly.

Although Herren still doesn't know exactly how Mullin made that happen, he is sure of one thing: "If it weren't for Chris Mullin and his family, I probably wouldn't be here."

It was his inability to access effective treatment, combined with his desire to repay Mullin's kindness, that inspired Herren to launch his own nonprofit in 2011. In one year, the Herren Project has already privately paid for more than 100 addicts to receive the treatment they otherwise could never have afforded on their own.

Read more about addiction

Effective treatment doesn't come cheap. At Gosnold on Cape Cod, a place where Herren spent three of his nine months in recovery, treatment runs $17,500 a month, according to Gosnold CEO Raymond Tamasi.

But that doesn't deter Herren, who says that "for some cases, we've paid for three months if it's needed."

As part of his work with his foundation, Herren crisscrosses the country, visiting high schools, colleges and prisons to tell his raw and jarring tale. In 2011, ESPN Films wove together scenes from those assemblies for a documentary about him called "Unguarded" that chronicled his rise and fall from stardom amid his descent and emergence from the abyss of addiction. That same year, Herren wrote "Basketball Junkie," a memoir in which he refuses to spare readers a single anguishing detail about his harrowing journey.

But if anyone thinks Herren wasted his talent or his life, he doesn't see it that way.

"People come up to me now and pity me, they call me a 'poor thing,' " he said. "I was a 'poor thing' for 14 years. My life is second to none now."

That life is in Portsmouth, Rhode Island, these days, where Herren, 36, spends his days marveling over the routine tasks of waking his children up for school every morning and putting them to bed every night -- a ritual he calls his proudest achievement.

He also spends a lot of his time at a nearby gym, running his eponymous basketball clinics for boys and girls of all skill levels. Here is where Herren's life has come full circle. He spent 14 years using basketball to fuel his addiction. Today, his basketball clinics also have another purpose, this time a positive one: It might look like he is teaching kids the mechanics of a jump shot, or a pick-n-roll, or a full-court press, but what he is really doing is teaching them to discover their self-esteem.

And that's something Herren didn't get around to doing for himself until he got sober.

@highlight

Former NBA player Chris Herren struggled with drug addiction for 14 years

@highlight

He had many "rock bottom" moments, including shooting up at his mother's funeral

@highlight

When he decided to get sober, he was faced with expensive rehab

@highlight

Today, he runs a foundation to help others pay for effective addiction treatment