(CNN)I was 8 when I watched my first and only Republic Day parade in my home in India. Back then, long before Delhi's population swelled to its current 20 million, the streets seemed wide and open and my eyes feasted on a sea of saffron, green and white, the colors of my country's flag.

The annual January 26 parade celebrates the day in 1950 when a newly independent Republic of India adopted its first constitution. It's India's showiest moment of pride, when patriotism trumps all and the nation lays out its culture, accomplishments and military might for the world to see.

This year, President Barack Obama will see the festivities firsthand. He's the first U.S. leader India has invited to be the guest of honor and the first president to visit India twice in his tenure.

That's a sign, I believe, of how far India has come from the nation of my childhood.

Back then, I stood in the crowd thinking of things I learned in school about India's rich history and valiant struggle for freedom from British colonizers. But it was impossible to forget I was born in the "Third World." Signs of poverty and despair were everywhere.

I often heard this refrain: "The East shall rise again." But I held no expectations, no hopes, really, that my homeland would ever be any different. Not in my lifetime.

But over the last two decades, I have been going home to a radically transformed India, one that has experienced immense economic growth and social change.

Now, Obama is making history with his trip. He'll stand with Prime Minister Narendra Modi on Rajpath, the grand avenue that leads to India Gate, Delhi's version of the Arc de Triomphe.

Obama will also be meeting Modi for the second time within the span of a few months; the two met at the White House at the end of September on Modi's first trip as prime minister to the United States.

All this indicates India's arrival on the global stage.

Rick Rossow of the Center for Strategic and International Studies put it this way: "It's a big deal. There's no better way to put it."

Modi's invitation to Obama, say India experts, is a simple but extremely important gesture that could jump-start relations between the two countries.

Modi's a controversial figure; some blame him for doing nothing to stop a massacre of Muslims in Gujarat, the western Indian state where he was chief minister. But Indians voted him into the highest office of the land in a roaring landslide victory. They were fed up with years of stagnation and government corruption and in Modi, they saw the man who can again make India prosper.

So, apparently does Obama.

South Asia expert Milan Vaishnav told me the White House has been waiting a long time to conduct business with India with confidence.

"In Modi, they believe they have found that elusive leader, and they don't want to pass up the opportunity," says Vaishnav of the Carnegie Endowment for International Peace.

Both India and the United States want a strong economy and a strong defense. A good guess is that the leaders of the world's two largest democracies will talk trade and terrorism.

They are also likely to take up the issue of Chinese dominance. Besides Japan, India is America's strongest ally on that matter.

"We really talk about it more as not a counterweight to China, but you want a multipolar Asian future," says Rossow of CSIS. "You know, you want multiple sources of power in any jurisdiction, and we would love for India to be because, of course, we've got an alignment of values."

That last point got me thinking about India's growing prominence and what the world might look like 50 years from now in terms of power. America may not be the sole superpower anymore. And that refrain from my childhood could be ringing true after all. The East is rising.

People in the West often talk about the emergence of India on the world stage. But that's because they don't know the history of my homeland: that for centuries, India was one of the richest countries in the world -- until the British Empire swallowed it up and left it destitute. The British even stole the famous Kohinoor diamond and stuck it on the queen's crown.

I recently read a story in the Indian news magazine Tehelka that mentioned a 1983 study of the world economy that created quite a stir among Western economists. The study said that in 1750, China owned 33% of the global GDP and India, 24.5 %. In the same year, the combined share of Britain and the United States was a mere 2%.

A subsequent analysis found that India had the largest economy in the world for 1,700 of the past 2,000 years.

So to call India an emerging power is silly. If anything, my homeland is re-emerging as the global power it once was.

India, of course, has a way to go to catch China, although it has already outranked Japan as the third largest economy.

OPINION: "Why 2015 will be a defining year for India"

Economic historian Robert Fogel has predicted that by 2040, the Chinese economy will reach $123 trillion. That's three times the economic output of the entire globe and quite staggering when you consider that China was considered a poor country in 2000.

Fogel thinks China's per capita income will hit $85,000, more than double the forecast for the European Union. China's GDP at 40% will dwarf America's 14%.

But some economists think that India has a chance to leap over China in about 50 years. The most recent World Bank forecast says growth in India is likely to outdo China's.

Granted, it's a prediction that has been made before and India has disappointed. But now with Modi in the driver's seat, many experts are hopeful that India can resolve problems of political stasis and take off like it was supposed to have done a decade ago.

India, says Rossow, is destined to become another pole of power.

"India is a large country that will be population-wise, in the next 20 years, probably surpassing China," says Rossow. "Economy-wise, it'll be a rival and growing quite heavily."

That's why my city councilman in Atlanta, Kwanza Hall, is visiting India. Coincidentally, he will be there at the same time as Obama.

I recently spoke with Hall about why he is going on the State Department-sponsored trip.

"The geopolitics of the world and its economic focus has shifted and it will continue to shift East," Hall told me. "India is a very significant player."

Hall, of course, is interested in strengthening Indian business ties with the city of Atlanta, home to more than 100,000 South Asian immigrants. He says he is impressed by the burgeoning middle class in India and by the fact that India is rooted in democracy, unlike China.

India has the advantage of leapfrogging its development, says Hall. Indians are innovating above and beyond what was normal in the West and they have the advantage of learning from mistakes made by developed nations.

"They have a chance to address education, poverty and heath care in a wholesale way," says Hall. "Whichever emerging superpower brings its people along the best will be the most dynamic. The human element is what people always leave out."

Obama, says Hall, has every reason to reach out to Modi, a man who began as a "chai wallah" -- a tea seller -- and became prime minister of India.

That, after all, is the American dream realized in the land of my birth.

@highlight

As a child, I felt pride in my homeland's valiant history

@highlight

But I could not forget I was born in a "Third World" country plagued by poverty

@highlight

Obama's trip signifies how far my country has come