Washington (CNN) -- A group of pro-Hillary Clinton super PACs had it all figured out a few months ago: One would handle the email list, another the rapid response and another would spearhead the big-dollar fundraising. Strategists touted their cohesion and efficiency, two attributes they admitted were not usually applied to Democratic groups.

But the excitement they created around a possible presidential bid had a somewhat unintended byproduct when a few eager and ambitious young politicos with no connection to Clinton or her aides realized that they, too, could get in on the early organizing game by starting their own super PACs.

So that's what they did.

And while these organizers feel they are just adding their voice to the chorus of pro-Clinton groups, representatives from those PACs with longstanding ties to the former first lady and secretary of state see the new entries as an uncontrollable variable.

Inside Politics: Rubio gives Clinton an 'F' as secretary of state

And these organizers feel that could siphon attention from other efforts to get Clinton to run.

Right now, there are at least eight pro-Clinton super PACs registered with the Federal Election Commission.

The highest-profile groups -- Ready for Hillary, American Bridge and Correct the Record -- have deep connections to the Clintons and are staffed by longtime confidants who regularly attend Clinton events and receptions.

But then there are the unaffiliated groups -- Hillary 2016, Hillary Clinton Super PAC, Hillary FTW, Hillary PAC, Madam Hillary 2016 and more.

Not only are these unaffiliated groups created out of the excitement stirred by the larger PACs, but they are also, in some ways, copying the message that is working.

Making strategic sense

"I entirely believe that with so much support from so many young politicos, this is really shining a light at the importance of young progressives," said Eric Williams, the co-founder of Hillary 2016 PAC, who has zero ties to Clinton-land. "We like her and I feel like that is going to encourage her decision."

That grassroots mission statement is similar to what Ready for Hillary founders said when in 2013, strategists talked about getting young progressives so excited that their enthusiasm would compel Clinton to run. And the similarities aren't lost on the more established groups.

Clintons in Oxford for Chelsea's graduation

"A bottom-up effort like Ready for Hillary won't discourage any grassroots supporters from expressing their enthusiasm or organizing," said a person familiar with Ready for Hillary's view of other super PACs. "At the same time, it makes more sense strategically to have one vehicle and build one massive list of supporters, because that's what will put Hillary in the strongest position possible should she decide to run."

The issue isn't that these groups are stepping on fundraising toes.

Since organizing earlier this year, Hillary 2016 has gained fewer than 100 followers on Twitter and has raised a total of $0, according to the group.

Despite that start, Williams says they will bank a decent amount after their first fundraiser in June and plan to have one each month after that. His attitude is that you have to start somewhere and his PAC is in the beginning of the building process.

By comparison, Ready for Hillary has raised nearly $6 million from more than 55,000 donors since organizing in early 2013. While many of these donors come from small, grassroots events that cost $20.16 (get it?) to attend, a number have been high-profile Clinton supporters and confidants.

The group has also begun moving into the endorsement game, securing Clinton support from Chicago Mayor Rahm Emmanuel and Sen. Tim Kaine of Virginia in the past week.

'We kind of roll our eyes' when another super PAC emerges

That hasn't stopped some from worrying, though.

"Legitimately, I can understand why it concerns people," said a source close to a pro-Clinton super PAC who asked not to be identified in order to speak more candidly. "We don't know who these people are. ... The good thing about Ready for Hillary is they channel all the excitement. It seems to me it would be more beneficial to have Ready for Hillary be the mother ship."

The source added, "We kind of roll our eyes every time we see a new super PAC has filed."

Representatives from Ready for Hillary said they have not yet reached out to the founders of Hillary 2016 PAC. In the past, the group has reached out to other pro-Clinton super PACs to talk about possibly working together.

Williams said that he didn't start the group to get pulled into Ready for Hillary because he wants to lead his own organization.

"We all have different political idea and idea for political success," Williams added in an apparent knock on Ready for Hillary.

Biden takes shot at Clinton White House

"To be honest with you, I don't think I expect it," Williams added about meeting with Ready for Hillary. "It wasn't an expectation of mine."

The concern among the super PACs close to Clinton is twofold. One, they worry that these groups will make mistakes and muddy what they had hoped would be a clean and efficient effort. Even if these groups are small, they say, their impact on that front could be outsized.

"Anyone can start one of these organizations and raise money and then eventually, if they are successful, start running ads," said Alan Abramowitz, an except on super PACs and campaign finance laws. "Having these super PACs support you is a double edged sward. ... The problem is that you can't control their message, so someone could go out there and start running ads who thinks they are helping Hillary Clinton, even though she might not like the message."

Secondly, some representatives from organization's closer to Clinton also question the motives of the smaller groups, especially the idea that starting a super PAC is a way to get possible get a job with a hypothetical presidential campaign.

Angling for campaign jobs?

Representatives for Hillary 2016 PAC played coy about whether they would want campaign jobs.

"At this current moment, that is not an interest of ours," Williams said when the group launched in April, pausing before he added this caveat: "But of course we are always open to anything. Times change and things change."

Not all agree that the proliferation of pro-Clinton groups is a bad thing, though. To some, including Burns Strider, a senior adviser to Correct the Record, the process is "healthy and uniquely "American."

"As long as Americans are looking to support her and promote her and encourage her, that is a great thing," Strider said. He added, however, this caveat: "When all of this filters out, the pretenders will be outed and they will be out of the way and those who are for real will be there to the bitter end. They will be right there at the end."

On the other side of the spectrum, anti-Clinton super PACs are both experiencing their own splintering and watching the pro-Clinton side with amusement.

Although America Rising PAC has become the top Republican super PAC against Clinton, there is also Stop Hillary PAC and a handful of other small groups.

Garrett Marquis, the spokesman for Stop Hillary PAC, said while his group isn't focusing on what the pro-Clinton groups are doing, he does find it comical that random efforts are beginning to sprout up.

"It is interesting watching all these groups build up around Hillary," Marquis said. "It is quite curious, if not comical."

He added that he hopes more Republicans will begin to organize anti-Clinton efforts and said it will make the overall campaign against her better.

"Time will filter out those that are inferior," he said. "This is the same with pro-Hillary groups."

Rubio puts himself back into 2016 conversation

@highlight

Some with no connection to Clinton have started their own super PACs

@highlight

Organizers of established PACs feel upstarts are uncontrollable variables

@highlight

Anti-Clinton groups are also springing up around more established super PACs