(CNN) -- Former naval aviator Bob Besal was just 24 when his life literally took a dive.

Besal was piloting a Vought A-7C on a training mission 20 miles east of St. Augustine, Florida, more than 37 years ago when his light attack aircraft collided with another plane at 15,000 feet, sending his jet spiraling into the Atlantic. Besal ejected safely from the cockpit; his plane sank to the bottom of the ocean. The other plane limped back to base.

This month, Besal's past caught up with the present as divers found his wreckage, and the story can now be written about the people who recently found it and Besal's reaction.

See photos of the wreckage

It was mid-morning on December 2, the first Monday after Thanksgiving in 1974. Lt. (j.g.) Besal and three other A-7 Corsair II pilots had taken off from Cecil Field Naval Air Station about 10 miles from Jacksonville.

They were rolling their aircraft and doing simulated bombing runs. He estimates they were flying at 300 to 350 knots (345 to 402 mph). By his own admission, Besal said he got too close to the plane piloted by his commanding officer, Cmdr. Peter Schoeffel, a former Vietnam POW.

"The event is burned in my brain," Besal, 62, a retired rear admiral who served 30 years in the Navy, said by phone this week from Charleston, South Carolina, where he now teaches aviation maintenance technology at Trident Technical College.

"It was gray and rainy, not a nice day to be sitting in the ocean," laughed Besal in an obvious understatement. "I was literally bobbing like a cork in a tiny raft."

Besal remembers ejecting and free-falling for a couple thousand feet before his parachute opened automatically. He said he was floating in water with an air temperature of about 40 degrees "shooting off pencil flares" to get the attention of a nearby helicopter.

"Absolutely unbelievable," he said thinking back after he was pulled to safety.

A newspaper article at the time from the Florida Times-Union reported, "The helicopter was operating in the area on a routine water indoctrination flight."

As luck would have it, that helicopter crew was trained in search and rescue.

An accident investigation board was convened by the Navy to determine the cause of the collision, but Besal knew who was to blame.

"Pilot error. It was entirely my fault," he said humbly. "Truthfully, I got a little disoriented. I thought 'Oh my God,' it would be close. The planes were in a climb. I heard a huge bang. My airplane almost immediately went out of control, lost hydraulics."

The vertical tail of his jet was broken off.

Besal, the oldest of nine siblings, said he never really focused on what happened to his plane once he saw it disappear below the clouds, but over the years, he's never forgotten. "The memories have never left," he reflected.

It's likely not something Joe Kistel is ever going to forget either. Kistel, who at 31 is half the age of Besal, is the man who found Besal's plane by accident this month.

Kistel is the executive director of TISIRI (Think It Sink It Reef It), a Jacksonville-based company in the business of building artificial reefs and environmental conservation. Kistel and his team of divers -- Larry Davis, Ed Kalakauskis and Nate Tucei -- were mapping the sea floor 20 miles off the coast of St. Augustine, when they spotted wreckage 80 feet down in the Atlantic Ocean.

Bringing closure to relatives of those killed in 1952 Alaska crash

They took photos and launched their own investigation in hopes of identifying the aircraft.

"By a stroke of luck," Kistel said, he found a key part. It was what appeared to be a small flat part riveted to another piece. He brought it to the surface, removed years of growth and discovered a data plate. TISIRI supporter Steve Blalock used the documentation to identify the aircraft and find Besal.

"It's a great feeling. This endeavor was very much worthwhile. Much effort was spent on searching the actual site and researching with no promise of finding any results," Kistel said.

"Due to much luck and perhaps insistence, we were able to locate the right components that lead us to the identification. To actually be able to solve the riddle of this aircraft wreckage is quite gratifying."

For Besal, who went on to earn two Distinguished Flying Cross awards and the Bronze Star in Desert Storm and whose career included duty as commanding officer of the aircraft carrier USS America, the collision nearly four decades ago and the recent discovery of his plane have brought back memories and another opportunity for a teachable moment.

"I was fortunate to grow up in a Navy system that accommodated some human error," Besal reflected. "I had a lot of people that gave me another chance. I was blessed."

Besal acknowledged he has a greater appreciation for the errors he made, and it helps bring a "little more understanding when my juniors and people who work for me make mistakes."

"Burying it wouldn't do much good," Besal said.

But good is exactly what became of the actual wreckage still partially buried in the sand.

"What I am probably most excited about is (to) be able to tell/show Bob how this wreckage is a productive reef ecosystem today and probably has been for some time," Kistel said. "A very positive outcome today because of the unfortunate accident years ago."

Daughter explores plane wreckage, searching for dad who went missing 16 years ago

@highlight

Bob Besal was a young Navy flyer when his plane collided with another

@highlight

He was rescued from the Atlantic after the 1974 incident; the plane sank

@highlight

The wreckage was found by accident this month by a Florida company

@highlight

Now the wreckage is "a productive reef ecosystem," says the man who found it