(CNN) -- Ever since the 2003 invasion of Iraq exposed deep-rooted religious and ethnic divisions, analysts have suggested giving up on the colonial-era borders of modern Iraq and dividing the country.

Jihadists have felt the opposite, that the region should be united into a new caliphate -- indeed that is precisely what the militant group the Islamic State in Iraq and the Levant (ISIS) declared this week. Both are wrong.

The lines drawn by the British and French colonial powers in 1916 became, after the collapse of the Ottoman Empire, the borders of new Arab states. Over the years, these lines splitting the Levant into Syria, Lebanon, Jordan and Iraq have been enormously contentious, to the extent that it is often argued the region might be better without them. Either removing these lines altogether and returning to the world of the early 20th century, or drawing them smaller and tighter still.

Certainly the idea of closer union among the Arab countries has been tried, in various forms, over the decades since the close of the Second World War. But what should work in theory hasn't worked in practice -- the most ambitious attempt, the United Arab Republic, practically destroyed liberal, secular politics for a generation.

Conversely, the lines in the sand of Sykes-Picot, which should not have worked in practice, have held, broadly, for decades. That doesn't mean they are perfect. But at a time of immense upheaval in the Middle East, they may be better than the alternative.

The end of the caliphate necessitated a new search for political organization in the region. But if the joining together of all the Arab lands in a new caliphate is not a realistic answer to the real political questions of the Middle East, nor is the oft-proposed division of Iraq into smaller statelets.

Dividing Iraq

Ever since the invasion of Iraq in 2003, the division of Iraq into three parts -- roughly, a Kurdish north, a Sunni middle and a Shia south -- has been proposed earnestly, often by people with barely any knowledge of the region, its peoples and societies.

The casualness with which the suggestion of such an immense change is made mirrors the callous approach taken by the colonial surveyors who first drew these borders, seeking to change the lives of nations with the stroke of a pen.

As recently as 2006, the U.S. vice-president Joseph Biden argued that Iraq should be partitioned, and even the German foreign minister, two weeks ago, in a tone that suggests he was simply exasperated with the complexity of the situation, said it might be difficult to prevent Iraq splitting apart.

Such a project, however, faces immense technical as well as human challenges, which are rarely addressed. Any division of Iraq has to take into account people, politics and economics.

In the most often suggested scenario, the northern Kurdish region would take the oil-fields around Kirkuk in the north, the Shia state would take the capital Baghdad and the main port in the southern city of Basra, leaving a Sunni rump state in the west, denuded of resources with which to survive. Moreover, the new smaller Shia state in the south would come under Iran's influence, extending Tehran's reach into a state that would now border Kuwait and Saudi Arabia. The idea that this division would solve anything is a dangerous fantasy.

As things stand today, an attempt to divide Iraq would not occur calmly but would be a furious scramble for the country's resources, as well as a rush by Iraq's neighbors for influence over the three new states in their midst. It would not solve the problem. Rather it would entrench the failures of politicians, writing failed policies across the lines of a map.

Mass migration

Moreover, drawing new borders along religious lines would mean a mass movement of hundreds of thousands, perhaps millions, of people. An estimated one million Iraqis are already on the move within Iraq, internally displaced from their homes. Any attempt to divide Iraq into different countries would mean many more.

To ask or force so many to move, even from, say, Baghdad to Basra, would mean uprooting them from jobs, friends and families. It would need a strategy to ensure that there are sufficient jobs waiting, that there are schools for the children to attend, that there are apartments and houses for people to live in. Mass migration cannot be accomplished safely by speeches alone.

Even with the most extensive planning, the results would likely be chaotic. As Feisal Istrabadi, former deputy Iraqi ambassador to the United Nations, pointed out two weeks ago: "If Iraq falls apart, it will not fall apart into three neat pieces. What you're much more likely to see is a Somalia in Iraq."

Iraqis are simply too mixed together. Even today, more than a decade after the invasion of Iraq, the same mistakes of understanding are made.

One is to imagine a neat division of Sunnis, Shia and Kurds, mixing up ethnic and religious categories. The Kurds, after all, are mainly Sunni Muslims and both Sunni and Shia Muslims and Christians are Arabs. Add to that mix the other minorities of Iraq, the Yezidis, the Armenians, the Circassians. In a divided Iraq, where would they go? If the answer is that they could stay as minorities in the areas they currently live, why couldn't that formulation equally apply to Sunnis in Shia areas and Shia in Sunni areas?

Another is to imagine that such neat distinctions continue in real life. In fact, until the Iraq war unleashed political forces that fanned the flames of sectarianism, the idea of division along sect or religion was broadly unknown in Iraq. Baghdad, like most of the big cities, was religiously mixed.

'Iraqis must make decision'

It wasn't a utopia -- it was, after all, ruled by Saddam's iron fist -- but to imagine that life, for decades, was merely a bubbling cauldron of resentment waiting to explode is to do a great disservice to Iraqi society, defining it solely by its divisions, as if the lines of religion or ethnicity could never be surmounted. In fact, they were, both individually -- Sunnis and Shias married each other, as did Christians and Muslims -- and city-wide. Divisions in Iraq were, as in most countries of the world, more about economics than race or religion.

None of that means that partitioning Iraq should not be considered. But it has to come with the understanding that it is Iraqis themselves who must make the decision and that rearranging what were lines in the sand is a serious business, because the new borders will have to be drawn across the bodies of real people.

It is always easier to speak of division than to speak of good policy. But that is what is needed now. The colonial-era divisions were a mess. But seeking to change them now, at this moment, is a recipe for a generation of war. For better or worse, the Middle East is stuck with the lines drawn by Sykes-Picot.

@highlight

Iraq's borders were mapped out by the British and French colonial powers during WWI

@highlight

Faisal Al Yafai writes that the borders -- though contentious and flawed -- have broadly held

@highlight

Plans for an Arab caliphate or dividing Iraq into statelets are not realistic, he says

@highlight

Seeking to change them now is a recipe for a generation of war, Al Yafai writes