(CNN) -- As smoke clears from two deadly bombings near the finish line of the Boston Marathon on Monday, focus turns to identifying those responsible. And that's no easy task. The massive number of cell phones and closed circuit cameras on the street provide an incredible wealth of video and photo.

"This is probably one of the most well photographed areas in the country," said Boston Police Commissioner Ed Davis. The wealth of photographic and video evidence available is both a challenge and an opportunity. "We intend to go through every frame."

The Boston marathon extends over 26 miles of streets and is largely open to the public. The crime scene around the bombing covers 12 city blocks. "This is the most complex crime scene we've ever had to deal with," said Davis at a press conference Tuesday about the bombings.

"We are processing all the digital photographic evidence we can," says Richard DesLauriers, the special agent leading the FBI's Boston Division. He asks that "the public continue submitting whatever they have to police." There's a huge amount of video evidence to process, he says, creating a logistics issue.

Grant Fredericks is a forensic video analyst and instructor at the Law Enforcement and Emergency Services Video Association (LEVA) in Indianapolis. LEVA is the only digital multimedia evidence processing lab in the world designed to train video investigators and analyze massive amounts of forensic video evidence, Fredericks says.

Which is exactly what's needed in Boston.

Fredericks says there's no standard in law enforcement to acquire video from the public in the wake of a tragedy such as yesterday's marathon bombings. But the best example of mass video collection for investigative purposes occurred in June 2011, when riots occurred after the Vancouver Canucks lost the Stanley Cup finals to the Boston Bruins. The City of Vancouver set up a system in which the public could provide video evidence, such as photos and videos from cell phones, anonymously to police.

In response, Vancouver police received 5,000 hours of video from the public. Considering the size of the Boston Marathon and the growing prevalence of smartphone video cameras, the raw volume of footage after this tragedy could be much larger.

After gathering those 5,000 hours of footage, Vancouver police then contacted LEVA through the Forensic Video Analysis Response Team to go through all that video. Fredericks says 52 analysts then spent 14 days processing that footage, identifying 15,000 criminal acts perpetrated by 300 rioters.

The analysis is not magic, Fredericks says. Three shifts of video forensics experts distributed the raw video evidence to analysts, who then put the evidence into a single interoperable format, and uploaded it into a central management system.

From there, it was watched and coded — meaning that anyone perceived to commit a criminal act was profiled and then attached to a special code that would identify, for example, whether they were wearing a backpack or a hoodie, whether they were carrying anything with them, and any other physical attributes that could be identified. (CNN describes the first potential suspect in the Boston Marathon bombing as "seen with a black backpack and sweatshirt" and "trying to get into a restricted area about five minutes before the first explosion.")

The purpose of this is to tag people so they can be identified later — to say, "hey, this is the same person" identified in previous videos, he says.

Fredericks notes that Boston police are likely now going through a similar process, collecting every piece of digital media available from transit and nearly 600 closed circuit television cameras covering the Massachusetts Bay Transportation Authority alone.

According to the ACLU of Massachusetts, "Stored video can be easily shared with other [police departments] over standard web browsers using a system protected by a basic username and password."

In a post Tuesday, Popular Mechanics quoted the study, inferring: "If the bomber(s) took public transportation, there's a good chance those steps can be retraced through video footage."

But does this profiling open the possibility for wrongful arrests? Recall the tragedy of Richard Jewell, the security guard falsely accused of bombing Atlanta's Centennial Olympic Park during the 1996 Olympics.

"The thing about profiling is that you're not profiling an individual, you're profiling a type," Fredericks says. In Boston, authorities are now combing video evidence for "anyone with a backpack." In other words, it's not the video analyst's role to worry about whether people are wrongly accused of involvement in the Boston marathon bombings; it'll be up to law enforcement to get evidence before they start arresting people.

"The video officer is just a technician," Fredericks says.

In an email to The Verge, Larry Compton, a video analyst with Forensic Video Solutions in Washington D.C., sees where improvements might be made in the future to make the process easier.

"What needs to be developed is a solution for governments to accept public video and images for such situations, as there were likely several Zapruders who captured evidence," he writes, referencing the famous film of the Kennedy assassination. "It needs to be far more comprehensive and useful than just random submissions to the 911 centers."

He suggests that such a system should accept wireless, web, and email submissions when activated. Each submission should include basic contact information, camera info, as well as a time sync reference.

"This would provide a quick bigger picture," Compton writes.

And beyond the video evidence, Fredericks says federal authorities will already have a list of potential terror suspects who could be involved. "They'll ask, 'who's in town, who are we tracking?'" Those people become instant suspects before video evidence is analysed.

"The message is this: the most prolific source of evidence available to law enforcement comes from video evidence, comes from video sources," he says. "These kinds of cases really underscore that the general public is collecting video evidence every moment of every day. So when you have a major incident in a major area like this where you have a huge gathering of the public, everyone there with a cell phone now has an evidence collection device that can be used by law enforcement."

"Law enforcement just needs to get that video."

UPDATE: "The FBI has set up a tip line — at 1-800-CALL-FBI — for anyone who has information, images, or details relating to yesterday's explosions along the Boston Marathon route. We are particularly interested in reviewing video footage captured by bystanders with cell phones or personal cameras near either of the blasts. In an investigation of this nature, no detail is too small."

Read the original article on The Verge: In Boston bombing, flood of digital evidence is a blessing and a curse

© 2013 Vox Media Inc. All rights reserved

@highlight

The many cell phones and cameras on Boston streets give authorities a wealth of images

@highlight

Police: "We intend to go through every frame"

@highlight

Authorities are asking witnesses for photos and video that might offer clues to the bomber

@highlight

Vancouver police used video footage to identify criminal acts after 2011 riots in that city