Editor's note: Buzz Aldrin, whose new book is "Magnificent Desolation," was one of the two American astronauts who were the first people to set foot on the moon.

Buzz Aldrin walks on the moon in a photo taken by Neil Armstrong, his colleague on the 1969 mission.

(CNN) -- Four decades have passed since the summer of 1969, when Neil Armstrong, Mike Collins and I flew America's first lunar landing mission.

The passage of time has not faded either the memory of that summer or the importance of what we achieved, for our mission was about more than just exploring the moon.

On July 20, 1969, Neil and I were peering out the window of our lunar lander, the Eagle, as it descended toward the lunar surface. The ship's computer was steering us toward a field of boulders the size of cars.

That same computer -- with less power than today's pocket calculators -- was signaling that it was overworked and dangerously overloaded. Our single tank of fuel was nearly empty as we approached the surface, invisible to us, cloaked in a cloud of swirling dust.

Neil took manual control and flew us toward a smoother terrain. Then, as the shadow of our landing gear appeared etched onto the surface in the gloom, a light on our console flashed that contact had been made.

"Houston, Tranquility Base Here," Neil radioed to the listening world back home. "The Eagle has landed!"

For more than two hours, we explored the moon's dusty surface. We could easily tell that the planet we had landed on was very different from our home. The horizon visibly curved away in the distance, a sign of the moon's much smaller landscape.

When my boot struck moon dust, the soils flew away in a straight line, a sign of the lighter gravity load, one-sixth that of Earth. When I looked around the stark landscape, it was a magnificent desolation.

An uninviting world greeted us in eerie silence, hostile to our presence and to all visitors from Earth.

The following day, we rocketed up off the surface, rejoined Mike Collins orbiting alone in our command ship, the Columbia, and headed home to a hero's welcome.

That welcome took us all around the world in parades, banquets and greetings from millions. I was astonished that so many had followed every facet of our flight from start to finish, almost as if they were part of the adventure. That spirit, of a world come together in celebration of a peaceful scientific achievement, was perhaps our greatest legacy.

More than just exploring a hostile new world, Apollo 11 was about bold vision and great risk, about the obstacles a great nation could overcome with dedication, courage and teamwork. It was about choosing a goal that exceeded our grasp -- and then reaching across history to make it happen.

For me, the most difficult part of the mission wasn't what happened during the flight but what happened after we came home. Without a new mission to train for, I felt lost and without a purpose. My personal life was marked by deep depression and bouts of drinking. Nothing I did seemed to have meaning or motivation for me.

I left the Air Force, the space program, and was adrift. But then, as I began to recover my bearings, something wonderful happened. I met a woman, Lois Driggs Cannon, who helped me to climb out of my depression and see a role for me in space -- but this time while on Earth.

I came to dedicate my life to opening space to the average person and crafting designs for new spaceships that could take us far from home. But since Apollo ended, such travels were only in our collective memory.

For these past decades, our country has achieved great things in space. It has built a reusable spacecraft and flown it more than 100 times. It has orbited great observatories that have unlocked the secrets of the universe.

Most impressively, it has helped construct an orbiting laboratory that offers the prospect of long-term research into the effects of space flight, research that can not just improve the health and safety of our astronauts but also of people on Earth. But what America hasn't done is inspire the world -- and itself --with a bold vision for our future in space.

We have remained, since our Apollo days, locked in Earth orbit. But five years ago, NASA was tasked with returning to the moon by 2020, rerunning the moon race that we won 40 years ago. Not surprisingly, this new race has failed to ignite the imagination of young Americans -- or their leaders.

What we truly need is not more Cold War-style competition but a destination in space that offers great rewards for the risks to achieve it. I believe that destination must be homesteading Mars, the first human colony on another world.

By refocusing our space program on Mars for America's future, we can restore the sense of wonder and adventure in space exploration that we knew in the summer of 1969. We won the moon race; now it's time for us to live and work on Mars, first on its moons and then on its surface.

Exploring and colonizing Mars can bring us new scientific understanding of climate change, of how planet-wide processes can make a warm and wet world into a barren landscape. By exploring and understanding Mars, we may gain key insights into the past and future of our own world.

Just as Mars -- a desert planet -- gives us insights into global climate change on Earth, the promise awaits for bringing back to life portions of the Red Planet through the application of Earth Science to its similar chemistry, possibly reawakening its life-bearing potential.

Four decades ago, I was privileged to have been part of a great mission of exploration and discovery. But America's future in space has only just started. It is time for us to continue the journey.

The opinions expressed in this commentary are solely those of Buzz Aldrin.

@highlight

Buzz Aldrin: Our mission to the moon was shared by the world as an adventure

@highlight

He says he became depressed after the mission was over

@highlight

Aldrin says he took on a new mission: to open space to the average person

@highlight

He says a mission to colonize Mars would restore adventure of space travel