(CNN) -- There was the news that made the headlines. And then there were the personal stories that made a lasting impact on only a few people, but touched the lives of millions.

This year, CNN invited people to share their personal essays with the world, and they delivered. Dozens of iReporters had the courage to pour out their hearts with unforgettable stories of pain, loss, joy, courage and anger, many of which were published on CNN.com.

Parenting was a huge topic this year. Gun control and frustrations with government were also on people's minds. As 2013 comes to a close, here's a look back at some of the best stories we received and the people who shared them.

The mother raising her kids without religion

Deborah Mitchell stirred intense debate on CNN.com in early January when she posted seven reasons "why I raise my children without God." Readers who disagreed with her view flagged the iReport as inappropriate so many times that we had to put a note on it asking people to stop.

Mitchell, a mother of two teenagers in Texas, said she simply wanted people to stop fearing atheists. "I do not want religion to go away," she wrote. "I want my children to be free not to believe."

Her story drew more comments than any other iReport story to date and resulted in a book contract for Mitchell. Her memoir, "Growing Up Godless: A Parent's Guide to Raising Kids Without Religion," comes out this spring.

The woman whose son taught her Oscar Pistorius was just a man

Cynthia Falardeau had always searched for a role model for her 10-year-old son, whose right hand was amputated at birth. The first time she saw South African runner Oscar Pistorius run on his carbon fiber blades, she was ecstatic. But Wyatt calmly told her, "Mom, he's just a man."

Falardeau never really processed her son's wise words until Pistorius was accused of shooting his girlfriend on Valentine's Day 2013. Her brave piece became one of the first iReport personal essays published on CNN.com.

The Venezuelan who won't miss Hugo Chavez

When Venezuelan President Hugo Chavez died in March at 58, CNN.com reader Juan Francisco De LeÃ³n posted a passionate critique about the controversial leader.

More than 200,000 views and 41,000 Facebook shares later, "10 reasons why I will not miss Chavez" quickly became a talker (and spurred a fact-check post). "Rest in peace now," he wrote, "while we try to rebuild the mess of a country that you left us."

The nurse who feels safer with guns in the house ...

Mother of three Tracy Scarpulla used to be adamant about not having guns in the house. But her husband, a Marine and firm believer in the right to bear arms, thought having a gun would ensure their safety. After their first child was born, they agreed to have one gun locked in a safe. Since then, Scarpulla has slowly changed her views on firearms.

"I think mothers need to educate themselves and learn how to best educate their kids," she wrote in an essay for CNN. "I work with a lot of other mothers and a lot of them are shocked that I was taught how to shoot. I understand because I was there at one point. I was scared of guns."

... and the activist whose father and son shot themselves

After reading Tracy Scarpulla's essay arguing for gun ownership, Dorothy Paugh was compelled to respond. Paugh lost her father to suicide by gun 50 years ago, and in April 2012, she lost her son in the same way. She now hands out educational materials to gun shops on suicide prevention modeled after New Hampshire's Gun Shop Project.

"Our love affair with guns in this country needs to be tempered with a healthy dose of respect for all the dangers of ownership," she wrote in an essay for CNN. "I support the right of individuals to make informed decisions about whether and how to keep a gun in their house."

The stay-at-home mom who caught Sheryl Sandberg's attention

When Jennifer Kuhle shared her thoughts on iReport about "Lean In," the best-selling book from Facebook COO Sheryl Sandberg, she hardly expected to hear from Sandberg herself. Kuhle, who has two young children and lives in Pennsylvania, explained that the book's message that too many women are choosing not to 'lean in' to their professional lives," as she put it, initially made her feel inadequate and depressed.

She later realized that Sandberg's point was to put yourself fully into whatever you choose to do, be it parenting or working.

"When the time is right, I'll lean into my career once again, and I know I'll do it with gusto," Kuhle wrote. "But right now, my family is my favorite. And I wouldn't have it any other way."

Sandberg shared Kuhle's iReport on her personal Facebook page, writing, "Of all of the things that have been written about 'Lean In,' this post is one of my favorites."

The professor who fought his child's bullying with music

Virginia teen Mano Kolman is often treated as "not very cool," as her father gently puts it. She has high-functioning autism and walks and talks a little bit differently from other kids. Tired of the teasing, her parents came up with a plan: Her dad, Barry, a music professor, would give Mano clarinet lessons.

A year and a half later, Mano is a proud member of her middle school band. Her parents can tell from the way she brags about being a member that it's made a world of difference in her social life, and they say the lessons made her more focused in school, too. They shared their story on iReport in hopes of helping other children with autism.

The lesbian who cried when DOMA was reversed

The webcam was rolling as tears streamed down Nikki Boudreaux's face on June 26. With a scream of "booyah" and a fist pump, she cried from joy that the Defense of Marriage Act, or DOMA, was declared unconstitutional.

"This means me and my honey can get married!" she exclaimed, holding up a picture of herself with her partner, Jessica, in a video she posted to CNN iReport. The Texas pair tied the knot on October 21 in a quiet ceremony on the Brooklyn Bridge. Meanwhile, the hunt is still on for a new home.

The loan they hoped to get from the U.S. Department of Veterans Affairs is still up in the air; Boudreaux says she was told same-sex spouses still can't be added on for disabilities benefits.

The teacher who almost left his disabled daughter

He had never experienced so much love, or so much fear. In June, Jack Barr Jr. opened up about coming to terms with his daughter's Down syndrome diagnosis. He spent the first year of Marley's life wallowing in a deep depression that had him contemplating either suicide or giving his daughter up for adoption. One day, Barr went out for a "walk" that he intended to be permanent.

"I had no intention of going back," he said. "I was going to leave my wife and daughter." But with the support of other families in the Down syndrome community, he faced the reality of Marley's condition. Barr, a teacher in Bangkok, shared his journey so other parents would know they are not alone.

"Once I overcame my own selfish expectations for my daughter," he wrote, "I slowly began to see the beautiful girl that would change my life forever."

The student who was groped in India

A story that sparked record traffic to iReport and often tumultuous debate from its readers, Chicago college student Michaela Cross' allegations of sexual harassment while studying abroad in India opened up a conversation between the two nations and beyond about women's rights, cultural differences and finding justice.

Coming so soon after news of the deadly gang rape of a young woman in Delhi, Cross's raw, earnest and often angry account pushed people's buttons.

"This is the story you don't want to hear when you ask me about India," she said. "But this is the story you need."

The woman who doesn't want any more children

Jessica Crookston loves her 8-year-old son and has no desire for more children. Feeling hounded by friends, family, relatives, co-workers and perfect strangers, she wrote eloquently about her decision not to expand her family and the judgment that has followed.

"Whether my family includes one child, two children or 10 children -- it's none of your business." Many parents of only children could relate, as they wrote in the comments.

The boy who got his stuffed wolf stitched up by a doctor

It was one of the sweetest stories we saw all year. Joshua Wade, a 9-year-old from Colorado, brought along his stuffed wolf to keep him company while he underwent an endoscopy. Before being sedated, he noticed the wolf had a tear in one of its seams.

Pediatric gastroenterologist Christine Waasdorp Hurtado quietly sewed up the animal with real sutures while Wade was under anesthesia and brought it out with a surgical mask and gloves on his paws.

Joshua's dad Kevin Wade wrote, "It was such a sweet gesture by busy, but caring, professionals, and I will never forget it."

The actors who were stopped in South Carolina -- but not for an autograph

Hollywood actors Cherie Johnson and Dennis White were passing through South Carolina when they said they were stopped by police, handcuffed and questioned on suspicion of drugs.

The black actors shared their experience with iReporter Krystol Diggs, and their account of alleged racial profiling became the third most-viewed iReport of all time. Many readers said they had experienced similar situations with law enforcement. The ensuing media coverage from CNN and others prompted an investigation into the incident by the Marion County police.

Got a story of your own to share? We'd love to see it on CNN iReport.

CNN's Sarah Brown, Henry Hanks, Katie Hawkins-Gaar, Rachel Rodriguez, Nicole Saidi, Daphne Sashin, Christina Zdanowicz and David Williams contributed to this report.

@highlight

iReporters got deeply personal in 2013 with essays on parenting, gun control and more

@highlight

Their essays sparked passionate conversations among others who could relate

@highlight

One story caught the attention of Sheryl Sandberg, another prompted a police inquiry

@highlight

Got a story of your own to share? Submit at CNN iReport