(CNN) -- Not since the Wright brothers flew the first powered aircraft near Kitty Hawk in 1903 has the competition been so intense. The technology that can give us the world's first affordable and easily pilotable flying car is almost here.

Several start-ups are already moving their prototypes forward and the race is on.

But just like the early days of flight, there are several schools of thought about which model will be the most efficient, workable and worthy of being the template for the future.

No need for a runway

"For me, it has to be vertical take-off and landing," said Daniel Lubrich, the managing director of Krossblade Aerospace Systems. "I think this idea of an aircraft you can drive on the street but you still have to find an airport for is nice, but it doesn't really solve the problem."

His Arizona-based team has developed a concept for a hybrid five-seat transformer airplane called a SkyCruiser.

Looking a bit like the lovechild of a futuristic light plane and the flying vehicle known as "The Bat" from the movie "The Dark Knight Rises", the SkyCruiser sports foldable wings and four foldable rotors with electric motors powered by a Wankel rotary engine generator.

The quadcopter concept would allow the flying car to take off vertically from a traffic jam, for instance, without the need for a runway.

Once airborne, it would switch to horizontal flight, using two 150 bhp electric motors in the tail to power it through the air at more than 300 mph. The designers claim it could fly from Los Angeles to San Francisco in little more than an hour -- faster than any other drivable aircraft currently in development.

On the ground, its 31-foot (9.5 meter) wingspan can be stowed, its four rotors retracted and electric motors in the wheels can drive the vehicle along the road at 75 mph (112 kph). However, with a total length of 8.4 meters (27.5 feet), don't expect to park it on any city block with ease.

Lubrich says he envisages the hybrid could fly almost three times faster than equivalent projects; a necessary advantage in his native Germany, where cars can already travel as fast as 85 mph on the country's autobahns, with some stretches even free of any speed limit.

"I think you need to fly significantly faster than that to really have an advantage," he told CNN. "If you only fly at 110 mph, you're only going a little bit faster, you have to pay a lot more money in fuel and you still have to land at an airport.

"A flying car really needs to be optimized for flight -- if you have to drive a little bit it should only be a mile or two."

Currently its prototype, a model called the SkyProwler, has worked according to plan and the company says it's only a matter of time before it can be scaled up into five-seat, fully operational flying car.

Ease of control

While quadcopter technology is not new, the fact that it is now computer driven has changed the aviation landscape.

Lubrich explained that, unlike helicopters, quadcopters cannot change the pitch of their rotors to achieve maneuverability. Instead, the four rotors make adjustments by changing the speed at which they rotate.

"The drone revolution, with its multi-rotors, has changed everything," he said. "The very first attempts to have vertical takeoff were not helicopters but quadcopters in the 1920s and even earlier.

"They had the problem that they didn't have computers for the flight control so the pilot had to constantly adjust for the minute differences in the composition of the rotors. They were impossible to fly.

"Now we have flight computers and they do everything wonderfully and automatically. Press up and they go up, press left and they go left -- you don't have to worry about calibrating and controlling it."

Flying in from the East

Another flying car pioneer is the Slovak company Aeromobil whose Aeromobil 3.0 flying car was unveiled in Vienna last month. Dubbed the Flying Roadster, the sporty working prototype looks like a finished production model and has a range of 430 miles (700 kilometers) and a top air speed of 124 mph (200kph).

Co-founder of the company Juraj Vaculik told CNN the quest to find a workable solution to the flying car may be in its final stages.

"This race is actually almost 100 years old," Vaculik said. "I love the pioneering history of aviation and the first attempt to build a flying car was in 1917 -- since then there have been plenty of others."

"The technology now is so accessible and at such a high level. Carbon fiber materials, high-tech technologies; 10 years ago these things were just so expensive and out of reach for small teams."

"The quality of the autopilot systems that we were able to install in our prototype, for instance, even five years ago was just an impossible dream," he said.

While the Aeromobil needs some aviation infrastructure to operate, its makers say that it has proprietary systems which make it flexible. With variable angle of attack wings, the flying car has increased lift for takeoff and greater drag for landing.

"Europe and the United States have plenty of small airfields and sports airfields, but at the same time with this prototype you don't need that. All we need is a 250-meter grass strip for take off and just 50 meters for landing."

Rules and regulations

As with most new systems, both start-ups say the biggest hurdles are likely to be regulatory and political. In this respect, Aeromobil says the MyCopter project -- which is investigating the regulatory and logistical problems with mass air traffic -- has been invaluable for the nascent flying car industry.

"It's similar a situation with many innovations," he said. "When mobile phones came in they created a completely different environment that needed new regulations and new ways of thinking."

"What the guys in MyCopter are doing is creating the right set up for how air traffic systems could be organized."

While there's some rivalry between the start-ups (Vaculik remains skeptical of fuel-heavy vertical take off models which he says need too much power to lift the dead weight of the vehicle), he says it's mostly collaboration.

"We are just so happy that we are not the only ones doing this," he said. "If we were, maybe people would think we were just crazy."

@highlight

The technology to give us the world's first affordable and easily pilotable flying car is almost here

@highlight

Start-ups are already moving their prototypes forward but which will be the template for the future is up for grabs

@highlight

Krossblade Aerospace is developing a vertical take-off and landing flying car it says will carry five passengers

@highlight

Aeromobil from Slovakia has already produced a working prototype that was unveiled in Vienna last month