(CNN) -- The massive earthquake and tsunami in Japan one year ago understandably raised questions about the safety of America's nuclear energy facilities. Americans should know that all U.S. nuclear energy plant safety systems have been verified by the companies operating them as well as deemed safe by the independent Nuclear Regulatory Commission.

Equally important, the industry is proactively applying lessons learned from Fukushima Daiichi and is making nuclear power, which provides 20% of America's electricity, even safer.

The nuclear energy industry is working with the Nuclear Regulatory Commission on the steps to be taken to enhance safety at America's reactors. To further strengthen the plants' ability to withstand extreme events, the commission will require U.S. facilities to install additional instruments to monitor the level of water in used reactor fuel storage pools and add protection from extreme natural events such as floods and earthquakes, no matter how infrequent they may be.

Nuclear energy facilities already have multiple emergency generators, battery banks, backup offsite power supplies, extra pumps and other equipment. But companies that operate America's 104 commercial reactors have added or ordered nearly 400 major pieces of equipment to supplement layers of safety at these facilities. Under a commitment made by all U.S. operators, the companies will buy additional equipment, such as portable generators and pumps, which can be used to provide power and water to cool the reactors and used fuel pools under any extreme scenario.

Additional backup equipment at America's reactors will add even more layers of protection to deepen the resources that operators can draw upon to ensure power can be delivered to critical safety systems no matter what causes an event.

Our industry is committed to continuous learning: checking and rechecking every safety measure to make sure nuclear energy facilities are safe at all times. After global operational or natural events, it is our responsibility to ask again: How can we be even safer?

The nuclear industry is, without hesitation, using what is being learned from Japan to improve safety. Within days of the Fukushima accident, the U.S. industry launched intensive inspections to evaluate the readiness of the operators and equipment to respond to events similar to what happened in Japan, including managing an extended loss of power for vital safety systems, and seismic and flooding challenges.

Another view: Our reactors are still vulnerable a year after Fukushima

The inspections confirmed assessments by the Nuclear Regulatory Commission and state-based task forces that nuclear energy facilities are safe and have identified key areas for near-term safety enhancements. Important operational and preparedness features at U.S. reactors, different from those in Japan, would have enabled them to maintain safety during earthquakes or extreme flooding. Nonetheless, the industry is forging ahead to make those enhancements.

In a recent CNN.com opinion piece, an organization criticized these actions, saying industry is "getting out ahead of the NRC" by launching its own safety initiative. We would have it no other way. It's in our industry's DNA to learn safety lessons at any opportunity and apply them where warranted at our facilities. That is why our industry and its own watchdog organization -- the Institute for Nuclear Power Operations -- was held up as a model for safety when the president's commission on the Deepwater Horizon accident was looking at other industries for the oil industry to emulate.

Public and worker safety is our industry's top priority. We constantly reevaluate our safety practices to see how they can be even stronger. We have embraced this challenge, and our industry is aggressively seeking out and applying the lessons from Fukushima to our operations.

America needs nuclear energy as part of a portfolio of electricity options that will power our economy for generations. It is a vital source of affordable, carbon-free electricity today and for the future. To continue to reap its benefits and move toward American energy independence, we must and we will ensure that nuclear energy facilities operate safely.

The opinions expressed in this commentary are solely those of Marvin Fertel.

@highlight

Marvin Fertel: After Fukushima, industry has made sure U.S. nuclear reactors are safe

@highlight

Fertel: Nuclear power provides 20% of U.S. electricity; industry has its own watchdog agency

@highlight

Nuclear energy industry working with the Nuclear Regulatory Commission on safety, he says

@highlight

Fertel: Companies buying more equipment for safety in extreme circumstances