(CNN) -- On September 30, a group of Jewish Israelis from the activist groups Solidarity and Ta'ayush set out on a visit to support the Palestinian al Rifai family in the West Bank. The family's claim to their land has been recognized by the Israeli Supreme Court, but the settlement of Anatot is nevertheless built upon it. Al Rifai family members have faced harassment for years while insisting on their right to access private land. The settlers of Anatot, enraged by the Israeli support of the Palestinian family, violently attacked the family and activists alike.

It is all too common that Jewish settlements in the West Bank are built on stolen Palestinian land, and all too common that Palestinian farmers are prevented from cultivating and collecting their rightful harvest anywhere near these settlements. In 2007, in a report based on the government's own statistics, the Israeli group Peace Now showed that the majority of settlements are wholly or partially constructed on private Palestinian land. Regardless of what kind of land they are built upon, settlements are illegal under international law and contrary to U.S. policy.

While Palestinians have long faced violence from both settlers and soldiers, now Jewish Israelis who choose to stand up for the basic human rights of Palestinians, can no longer expect protection from their own government. In Israel they are calling what happened a pogrom. What other name is there for state-condoned mob violence directed at a group of people simply because of their beliefs?

Until recently, Jewish Israelis willing to take the risk of solidarity visits to West Bank Palestinians have been able to use the privilege they have as Jews to minimize violence against Palestinians. When Jewish Israeli activists put their bodies between Palestinians and violence, both soldiers and settlers have held back. Thus perhaps a field can be plowed or olive tree picked if Jewish activists accompany Palestinian farmers as in Anatot.

Palestinians live with the violence and repression of the Occupation every day, while the Israelis only visit it and then return home. Yet the fact that these Israelis choose to place themselves in harm's way for the sake of justice is nothing short of inspiring.

The violence in the video of the attack is shockingâ€”knives, rocks, blindside punches, screams of "Death to Arabs" and "Death to Leftists." Most horrifying of all were the policemen who stood watching without interfering. No arrests were made, and not a single policeman took action as a group of about 50 activists was attacked by a mob of approximately 200 settlers.

It shouldn't be surprising that Israeli soldiers and police choose not to protect some Israelis. The status of Israeli citizens who defy discriminatory government policies regarding Palestinian rights is steadily eroding. In July, the Knesset passed a law making it a punishable offense to advocate for boycotting settlement products. This non-violent tactic used worldwide in social justice struggles, a basic tenet of democracy and free speech, is now off-limits for Israelis.

In August, in a frenzy of unfounded fear of widespread Palestinian violence following a U.N. proposal on Palestinian statehood, Israel announced a new policy of arming and training settlers. The settlers have long been armed and dangerous, but this gave them the legitimacy to act with impunity.

Finally, in September, President Obama's speech to the U.N. so lopsidedly supported Israel that Foreign Minister Avigdor Liberman, a man even Marty Peretz called a "neo-fascist," said that he would "sign onto this speech with both hands." President Obama spoke not a word about occupation or settlements or the suffering of Palestinians.

Is it any wonder that the settlers in Anatot felt nothing should hold them back? The message, from all sides, is that Palestinians on their own land, and now the Israelis who dare to support them, are a dangerous enemy.

At the end of the video a woman off-camera says shakily in Hebrew, "This is really dangerous. I am afraid." To put your body in harm's way for the sake of a righteous cause is both a hallmark of civil rights struggles and a remarkable personal act of will to transcend fear and discomfort.

The pogrom occurred on the second day of Rosh Hashana, which also marks the beginning, in the Jewish tradition, of the Yomim Noraim, the days of reflection and repentance that culminate in Yom Kippur 10 days later. Especially for those of us who were raised with an intimate connection to an image of Israel as a safe haven and a beacon of light for all the world, it takes another kind of courage to face what it has become.

As Americans, our government defends Israel in the economic, diplomatic and military realms, regardless of its actions. For those of us who are Jewish, Israel claims to act in our name. If the Israeli activists are brave enough to face physical harm, if Palestinian farmers risk attack just because they try to work their own lands -- aren't we obligated to face our own discomfort and speak up to end the American policies which make this disgrace possible?

@highlight

Rebecca Vilkomerson says Palestinians are often the victims of attacks from Israeli settlers

@highlight

She says many Jewish Israeli's stand up to protect the basic rights of Palestinians

@highlight

Vilkomerson fears that Israelis who protest could now also be a target for settler violence