(CNN) -- Facing growing global pressure over rising violence in his country, Syria's embattled president had little choice but to accept a U.N. special envoy's peace proposal, analysts said Tuesday.

"He has nothing to lose, and he has something to gain, and that is that he can potentially slow down the process of international isolation that is taking place," said Joshua Landis, an associate professor at the University of Oklahoma who writes a daily newsletter analyzing events in Syria.

Syrian President Bashar al-Assad and his government "understand that this is truly their last opportunity to hang on to power," said Murhaf Jouejati, a Syrian-born scholar at the Middle East Institute in Washington.

"They cannot mess any more with the international community, lest they create a unified front against them," Jouejati said.

Nations watching Syria after it accepts peace plan

Timing was likely a key factor in the Syrian government's response this week to special envoy Kofi Annan's six-point plan, analysts said.

U.S. Secretary of State Hillary Clinton and other global leaders are expected to discuss ways to assist the Syrian opposition at a "Friends of Syria" meeting in Istanbul Sunday.

"(Al-Assad) wants to slow that down, and by accepting this peace plan, it makes it difficult for Clinton to announce further measures while the United Nations is carrying out a negotiation," Landis said.

Annan called Syria's agreement "an important initial step." But analysts cautioned that the next steps the Syrian government and members of the opposition will take are unclear -- and crucial in deciding the nation's future.

Annan's six-point plan

Elliott Abrams, a senior fellow for Middle Eastern studies at the Council on Foreign Relations, said Syria's agreement to Annan's plan is a "fraud" aimed at buying time.

"They can keep on negotiating and drag this out, because with every passing week they kill more dissidents. I think what the regime is hoping is they can crush all of this before anybody moves to help the opposition," he said.

Russian officials, who met with Annan to discuss his plan over the weekend, likely encouraged Syria to sign on, Abrams said.

"The Russians have been talking about ending the violence, and it would be logical that they would advise Assad to talk a good game, and not to reject it, but rather to use it to gain more time," Abrams said.

Along with China, Russia -- a long-time ally of al-Assad -- has vetoed recent United Nations resolutions to condemn al-Assad and his government's crackdown on anti-government protests.

"What the Russians have done is signaled that, 'Look, you have one opportunity, you'd better make it count.' Because it's not clear to anyone at the international level that the Russians and the Chinese are willing to press along with Assad indefinitely." said Aram Nerguizian, a visiting fellow at the Center for Strategic and International Studies.

Some analysts said a key difference in Annan's plan made it more palatable to the Syrian government: It doesn't require al-Assad to leave office.

"Previous efforts have been to get President Assad to agree to step down and initiate some kind of transfer of power from him to revolutionaries. Kofi Annan, of course is not asking that," Landis said. "He is turning to the Chinese and Russians and hoping to draw them in and just stop the fighting, with Assad staying in power."

Nerguizian described Annan's plan as "fundamentally different in ways that signal a willingness to step back from the brink."

In addition to allowing al-Assad to stay in power, Annan's plan also criticizes both sides for the violence, Nerguizian said.

But allowing al-Assad to stay in power is an option opposition leaders aren't likely to support, Jouejati said.

"Something that is more serious would be, perhaps, a political dialogue in which Assad accepts to step down in order to form a transitional government. ... This is like having a political dialogue with Stalin. How does one have a political dialogue with another party that has a gun to the head of a civilian population?" Jouejati said.

The Syrian government "is simply playing for time," said former U.S. ambassador to Syria Edward Djerejian.

"It will talk the talk of cooperation with the international community, but not walk the walk on the actual requirements that are necessary, such as really ceasing the use of lethal force against its own people in the streets of Syria," said Djerejian, director of Rice University's James A. Baker III Institute for Public Policy.

But even if the Syrian government is just stalling for time, that doesn't mean negotiations should stop, Nerguizian said.

"The reality is the alternative is to do nothing, and the alternative is to let a protracted crisis become a regional nightmare," he said.

CNN's Joe Sterling contributed to this report.

@highlight

Analyst: Syrian president "has nothing to lose, and he has something to gain"

@highlight

Timing was likely a key factor in the response to Annan's proposal, analysts say

@highlight

Russian officials likely encouraged Syria to sign on to the police plan

@highlight

Annan's plan does not require Bashar al-Assad to leave office