(CNN) -- His trial's over. And now it turns out that George Zimmerman might need the same thing millions of Americans are looking for: a job.

As Zimmerman and his legal team mounted their defense, they convinced people across the country to donate hundreds of thousands of dollars to help him.

Living expenses, bodyguards and expert witnesses were costly, they argued on websites set up to raise money in the case.

So what's next, now that a jury has acquitted him?

For the 29-year-old Florida man, the financial picture is cloudy. Critics have already accused Zimmerman of profiting from the case. Will the donations keep pouring in? Will he win a monetary reward in his defamation lawsuit against NBC? Could he cash in on his personal story with a book or movie deal?

Beyond the legal costs, Zimmerman's attorney says the case has come at a high price. Fear for his safety has made him live off the grid for months.

"I don't know how he gets a job where he is out in public," Zimmerman's lawyer Mark O'Mara said, "without having the fear of somebody finding out where he works."

Expert to Zimmerman: Pick a new career path

Before he shot 17-year-old Trayvon Martin in February 2012, Zimmerman had studied criminal justice. He applied to become a police officer in Virginia in 2009, but was rejected due to bad credit, according to testimony in his trial.

Even with more money in his bank account, that career path shouldn't be on the table anymore, an expert told CNN.

"That is the absolute worst thing you can do," said reputation management counselor Mike Paul. "It might be your old passion; you need to find a new passion. And it needs to be helping people in a very different way -- a way that is much more compassionate, not just involving law enforcement."

So far, Zimmerman's lawyers and family have been tight-lipped about his next steps. O'Mara describes his client as a marked man, arguing that his options are limited due to death threats he faces.

"The first time that he got out of jail, he slept a lot. I think he is going to have to take a lot of time to relax, to center himself, to get used to his new reality, which is a free man, exonerated," brother Robert Zimmerman Jr. told CNN en EspaÃ±ol on Sunday. "And he is going to have to take his own steps as he sees fit, whatever brings him the best result."

Whatever he does, his brother said, it will have to be under the radar.

"As he engages the world, as anyone in his situation would, without restrictions," Robert Zimmerman said, "he's going to have to learn to move about in a very low-profile way and keep to himself."

Race perhaps simplest disagreement in Zimmerman post-trial interviews

Donations fueled defense, led to wife's arrest

But online, at least, being low-profile hasn't exactly been Zimmerman's style.

Through websites set up for his defense, he raked in hundreds of thousands of dollars.

One site, gzdefensefund.com, raised more than $330,000 in just over a year, according to a spokesman for Zimmerman's lawyer. That's in addition to about $200,000 Zimmerman raised on his own through a PayPal account before O'Mara took the case.

Where did that money go?

A summary on the website gives examples of how Zimmerman spent some of the donations: $95,000 for bail bond, about $56,000 for security and a whopping $61,747.54 for living expenses over an eight-month period.

"If $61,747.54 sounds like a lot of money for living expenses for 8 months -- you are right," the website says. "It's more than most people earn in a year. Most of George's living expenses for the first several months were allocated to providing a safe, secure place for George and his wife, Shellie, to live."

At one point after his arrest, the site says, Zimmerman was hiding out in a location that was so remote that it cost $2,500 to connect a phone line.

Raising hundreds of thousands of dollars from supporters for your case is a good thing, right?

Well, it wasn't for Shellie Zimmerman, who now faces a perjury charge.

Prosecutors allege she lied when she told a Florida judge during a bail hearing for her husband in April 2012 that the family was indigent. In fact, they argue, George Zimmerman actually had about $135,000 at the time.

She's pleaded not guilty, and has a court date in the case scheduled for next month.

Even if donations keep pouring in, Zimmerman shouldn't necessarily take all the money he's offered, said Gene Grabowski, a crisis public relations manager.

"He's got to be careful to avoid the appearances of creating more divisions by accepting money or support openly from groups that, maybe, that would create more friction because of the tenor of this case," he said. "He's got to be careful about who he associates with afterwards, even if they are offering financial support."

Despite outrage, federal charges uncertain in case

What about a book?

A juror in the high-profile case has already inked a deal with an agent for a possible book.

Could a book or a made-for-TV movie be in Zimmerman's future?

Last week HLN's Nancy Grace said a multimillion-dollar book for Zimmerman would probably be in the offing.

And that possibility is already drawing sharp criticism.

In an editorial titled "Zimmerman's acquittal shouldn't lead to riches," The Philadelphia Inquirer argued Monday that Zimmerman is "likely to be offered millions through lucrative book and movie deals."

"It would be a shame," the newspaper said, "if the unnecessary death of 17-year-old Trayvon Martin produced more paydays for the man who fatally shot the unarmed black teenager in the heart during a scuffle."

Civil lawsuits surge to the forefront

Even with the criminal trial over, Zimmerman still is likely to face several legal battles.

Activists are pushing for the federal government to file civil rights charges against him.

And it's possible Martin's family will file a civil wrongful death case, which could threaten Zimmerman's pocketbook.

They haven't said yet if they will.

That could be more likely, some analysts say, if it appeared Zimmerman was profiting from the case.

A book or movie deal could make Zimmerman more vulnerable to a wrongful death suit, criminal defense attorney Randy Reep told USA Today.

And then there's another case that Zimmerman started, suing NBC Universal over edited versions of a 911 call Zimmerman made.

That lawsuit alleges that NBC deliberately edited an audio tape of his 911 call to make Zimmerman sound racist.

"Because of NBC's deceptive and exploitative manipulations, the public wrongly believes that Zimmerman 'use(d) a racial epithet' while describing Martin during the call to the dispatcher on that fateful night," the suit says.

NBC Universal has disputed the accusations.

"There was no intent to portray Mr. Zimmerman unfairly," the company said last year. "We intend to vigorously defend our position in court."

The lawsuit says Zimmerman is seeking "damages in excess of the jurisdictional limit," but doesn't specify a dollar figure.

Zimmerman's brother says the family is focusing on getting a fresh start. But so far, the verdict hasn't put a stop to debate over the controversial case.

And it's unclear what that could mean for Zimmerman's cash flow.

CNN's Thom Patterson, David Mattingly, MaryLynn Ryan, Gustavo Valdes, Chris Cuomo and Kate Bolduan, HLN's Graham Winch and In Session's Jessica Thill contributed to this report.

@highlight

Trayvon Martin's killer, George Zimmerman, won't likely find a safe job, his lawyer says

@highlight

Zimmerman has collected hundreds of thousands of dollars

@highlight

Zimmerman's wife faces a perjury charge for allegedly lying about their financial situation

@highlight

Zimmerman has sued NBC Universal, but hasn't specified a dollar figure