(CNN) -- North Korea is "skating very close to a dangerous line" after weeks of saber-rattling, U.S. Defense Secretary Chuck Hagel warned Wednesday as northeast Asia watched for an expected missile test.

"Their actions and their words have not helped defuse a combustible situation," Hagel told reporters at the Pentagon. He said the United States and its allies want to see North Korean rhetoric "ratcheted down," but if that doesn't happen, "our country is fully prepared to deal with any contingency."

"We have every capacity to deal with any action North Korea will take to protect this country and the interests of this country and our allies," Hagel said.

American radar and satellites are trained on the east coast of the Korean Peninsula, where the communist government of Kim Jong Un is believed to have prepared mobile ballistic missiles for launch at any time, U.S. and South Korean officials warned.

Japan has deployed missile defense systems around Tokyo, some Chinese tour groups have canceled visits to North Korea and the top U.S. commander in the Pacific said Tuesday that he couldn't recall a time of greater tension in the region since the end of the Korean War in the 1950s.

Cheney to GOP leaders: 'We're in deep doo-doo' on North Korea

Since December, North Korea has put a satellite in orbit atop a long-range rocket; conducted a nuclear bomb test, its third since 2006; and claimed to be prepared for pre-emptive nuclear attacks on the United States, though most analysts believe it does not yet have that capability.

The north has given ample warning to the world before previous long-range rocket launches -- but it is keeping everyone guessing about what it might do this time around.

Intelligence suggests that North Korea may be planning "multiple missile launches" in the coming days beyond two Musudan mobile missiles it has placed along its east coast, Pentagon officials told CNN. The officials did not have specifics on the numbers of other missiles and launchers.

One official said the North Koreans are military "masters of deception," and may have planned all along to focus the world's attention on the Musudans while they plan multiple launches of other missiles. That's a tactic they have used in the past, the official said.

The United States is less troubled about the other missiles, a second Pentagon official told CNN.

"We've been seeing some launchers moving around. These are smaller and don't cause us as much concerns," that official said. "We think these movements are within seasonal norms for their exercises."

But he didn't discount the possibility that they might launch some of those, as they often do.

The Musudan is an untested weapon that South Korea says has a range as far as 3,500 kilometers (2,175 miles). That would mean it could reach as far as Guam, a Western Pacific territory that is home to U.S. naval and air bases and where the United States recently said it was placing missile defense systems.

After a launch, U.S. satellites and radars in the region would be able to calculate the trajectory of missiles within minutes and quickly conclude whether they are on a test path headed for open ocean or potentially headed for land areas such as Japan.

The United States and Japan would then have to decide whether to try to shoot the missiles down, U.S. officials say.

Russian Foreign Minister Sergey Lavrov on Wednesday told CNN that despite being an ally of North Korea, it stands with the United States.

"On North Korea, we have no differences with the United States. One just shouldn't scare anyone with military maneuvers and there's a chance things might calm down," he said.

U.S., North Korean officials met secretly in March

A launch without warning?

South Korean Foreign Minister Yun Byung-se said at a parliamentary hearing Wednesday that "according to intelligence obtained by our side and the U.S., the possibility of a missile launch by North Korea is very high," the semiofficial South Korean news agency Yonhap reported.

Yun said he was basing his assessment on South Korean and U.S. intelligence.

On Tuesday, a U.S. official said that the American government believes a test launch could happen at any time and without North Korea issuing a standard notice to commercial aviation and maritime shipping that would warn planes and vessels to stay away from the missile's path.

The official, who declined to be named because of the sensitivity of the information, cautioned that most of the information comes from satellite imagery, so it's impossible to reach a definitive conclusion because the United States cannot gather information on the ground.

He said the launch could be "imminent" but also cautioned that the United States "simply doesn't know." Based on what the United States has seen, the belief is that the missiles have received their liquid fuel and are ready for launch.

Speaking at a Senate Armed Services hearing Tuesday, Locklear said the U.S. military would not want to shoot down a North Korean missile whose trajectory would send it into the open sea. But he said if a missile's path appeared to threaten a U.S. ally, such as Japan, interceptor missiles could be used to try to bring it down.

Japan poised to react 'calmly'

Japan's deployment of missile defenses in Tokyo follows similar measures taken ahead of the North's rocket launches last year. Prime Minister Shinzo Abe told reporters Tuesday that his government would do "calmly" whatever needed to be done to protect its population.

In a sign of the level of concern, however, the port city of Yokohama had to apologize for prematurely publishing a warning of a missile launch on the Twitter page of its emergency management agency. The tweet was up for about 20 minutes before being removed.

The agency said that the misleading tweet was caused by human error and that it would work on changing its system to prevent the problem from happening again.

Since the U.N. Security Council voted last month to impose new sanctions on Kim's regime over the latest North Korean nuclear test, Pyongyang has kept up a steady flow of words and acts that could give the impression of a nation heading inexorably toward conflict.

On Tuesday, it advised foreigners in South Korea to secure shelter or evacuate the country in case of hostilities on the Korean Peninsula, the latest in a string of ominous warnings.

It also kept more than 50,000 of its workers from an industrial complex jointly operated with South Korea, which had been a key symbol of cooperation between the two countries.

North Korea's war of words escalates: A timeline of the crisis

'Holiday atmosphere' inside North Korea

But on the same day, state media published articles that described festive events and international visits, suggesting a much less fraught situation inside North Korea.

The state-run Korean Central News Agency (KCNA) reported that various sporting events were happening or scheduled to take place to mark the 101st anniversary next week of the birth of Kim Il Sung, the founder of North Korea and the grandfather of Kim Jong Un.

"The ongoing sports tournaments make the country seethe with holiday atmosphere," KCNA said. Kim Il Sung's birthday, known as the Day of the Sun, is a major public holiday in North Korea.

The planned events include an international marathon Sunday in Pyongyang in which runners from North Korea and other countries will participate. KCNA also noted Tuesday the arrival by plane in North Korea of a delegation from the Japan-Korea Society for Scientific and Educational Interchange.

Such visits sit strangely alongside the North's warning last week to foreign diplomats in Pyongyang that it wouldn't be able to guarantee their safety in the event of a conflict.

Some North Korea watchers have observed that the regime's domestic propaganda has focused recently on efforts to promote economic development, while the bellicose threats appear targeted primarily at a foreign audience.

North Korea's missile capabilities

Varying levels of concern

The angry rhetoric has also failed to alarm South Koreans, who have lived through decades of North Korean bombast. Residents of Seoul have continued to go unflappably about their daily business.

"South Korea has been living under such threats from the past, and we are always prepared for it," South Korean Unification Minister Ryoo Kihl-jae told CNN on Wednesday. He called the current climate "a very ordinary situation."

"North Korea may launch missiles at any time, and our military is fully prepared for it," he said.

But the North's fiery words appear to have had an effect on the American public, with 41% of those surveyed saying they see the reclusive nation as an immediate threat to the United States, according to a recent CNN/ORC International poll.

That's up 13 percentage points in less than a month, CNN Polling Director Keating Holland said.

"If North Korean leader Kim Jong Un wanted to get the attention of the American public, his strategy is starting to work," Holland said.

Andrei Lankov, a professor of history at Kookmin University in Seoul, noted the varying levels of concern in an opinion article for The New York Times published Tuesday.

"The farther one is from the Korean Peninsula, the more one will find people worried about the recent developments here," he said.

The tense situation does appear to have prompted some Chinese tour groups to call off upcoming trips to North Korea.

Hong Lei, a spokesman for the Chinese Foreign Ministry, said Wednesday that some agencies and tourists had canceled plans, but he said the Chinese-North Korean border continued to operate normally.

Western tourism agencies that organize visits to North Korea haven't so far reported any changes to their activities.

DMZ: Tensions high at knife-edge of Korean conflict

A troubled industrial zone

The most tangible signs of disruption are in the Kaesong Industrial Complex, the manufacturing zone on the North Korean side of the border where more than 120 South Korean companies operate.

Last week, the North started blocking South Korean personnel from crossing the border back into the complex. And this week, it said it was pulling out the more than 50,000 North Koreans who work inside the zone and temporarily suspending activities there.

It had blocked the border crossing previously, in 2009, but pulling out the workers was a new step.

As of Wednesday lunchtime, only a few hundred South Koreans remained inside the complex, according to South Korean authorities, down from more than 800 before the North started restricting entry.

Also on Wednesday, South Korea accused the North of carrying out a wave of cyberattacks that paralyzed the networks of major South Korean banks and broadcasters last month. It is the first time that Seoul has formally pointed the finger at Pyongyang for the hacking, which affected more than 48,000 computers.

CNN's Barbara Starr, Joe Sterling, Elise Labott, K.J. Kwon, Brian Walker, Tim Schwarz, Kyung Lah, Judy Kwon, David McKenzie, Tom Cohen and Dana Ford contributed to this report.

@highlight

NEW: North Korea "skating very close to a dangerous line," Pentagon chief says

@highlight

Intelligence suggests North Korea could be planning multiple launches, U.S. official says

@highlight

The U.S. believes test could occur without standard warning to aviation, shipping

@highlight

Recent North Korean threats contrast with some of its other state news reports