(CNN) -- At first glance, Austrian artist Klaus Pichler's spell-binding photographs could be mistaken for a set of stylish advertisements. It takes a moment to digest -- excuse the pun -- that you're staring at pictures of rotting food.

Among them, a pineapple hangs suspended in negative space above an antique gold dish -- its formerly yellow flesh having given way to luminous green mold; Deep purple beetroots sit snugly in an elegant porcelain vase with thin films of gray fur accumulating on their skin.

The idea is simple: "To expose the contradiction between the beauty of food products -- particularly as presented in the media -- and the ugly reality of overconsumption and waste," explained Pichler.

The title of his new series -- "One Third" -- derives from a 2011 U.N. Food and Agriculture Organization report. It revealed a chilling statistic: A third of all food products worldwide go uneaten.

Depending on the type of food in question, this figure ranges from between 25% and 75% and, altogether, it amounts to 1.3 billion tons of edible goods discarded each year.

In a world where approximately 925 million people suffer chronic hunger, the overarching moral implications are stark. But the less documented environmental consequences are almost as alarming.

According to a Greenpeace report, the food industry is responsible for creating up to 30% of the world's total annual carbon emissions.

"The dominant food production system is based on fossil fuel at every level," said Dr Martin Caraher, Professor of Food and Health Policy at London's City University. "It needs oil to make the fertilizer, oil for the farm, oil for the food processing, oil for the packaging and oil to transport it to the shops."

Read related: Futuristic farm shop grows food in synthetic veg patch

But wasted food doesn't just entail all the embedded carbon released during production and transportation. It generates more emissions once it's discarded on the trash heap.

"A significant percentage of the household food that is wasted ends up in landfill, where it produces CO2 and methane gas," explained Richard Swannell, director of waste prevention at the UK-based Waste & Resources Action Programme (WRAP). "Methane is 23 times more potent than CO2 as a greenhouse gas," he added.

As such, WRAP calculates that every ton of food and drink wasted roughly equates to 3.8 tons of greenhouse gas emissions that could otherwise have been avoided.

"Applying this factor to the quantity of food waste in the UK, leads to an estimated 17 million tons of CO2 in 2010 -- the equivalent to the emissions of 1 in 5 cars on our roads," said Swannell.

And yet a recent study revealed that up to 40% of food thrown away by consumers in Europe is still in its original packaging when it lands in the dustbin. This all begs the question: Why do we squander so much?

Pichler says that the high-end, fashion magazine finish of his images reflect what he sees as the "over-commoditization" of food as a lifestyle accessory.

"With countless cookery shows and ever more seductive advertisements, food has become a major part of the culture industry," he said. "This, along with the false economy of discount bulk buys, is part of why people are purchasing more than they can use.

"It's a peculiarly Western phenomenon," he added.

Dr Ulf Sonesson is senior scientist in environmental systems at the Swedish Institute for Food and Biotechnology -- the body commissioned by the UNFAO to coordinate its food waste report.

He agrees with Pichler that the problem is symptomatic of the West's culture of cheap disposable goods. His research found, perhaps unsurprisingly, that in Europe and North America, each consumer wastes between 95 and 115 kilograms of food a year, whilst only 6 to 11 kilograms of edible goods are discarded per person in Sub-Saharan Africa and South East Asia.

These numbers don't reveal the full extent of the disparity.

Sonesson notes that the majority of uneaten food in places like Sub-Saharan Africa is created at the point of production, largely as a consequence of things like spoiled crops or poor refrigeration.

In contrast, supply-side practices have become more efficient in wealthy industrialized nations, according to Sonesson, but consumers have become much less diligent: "We throw away more food than ever before," he said.

Sonesson contends that the problem boils down to basic economic logic. He says that, despite some recent commodity fluctuations, the price of food in industrialized nations continues to drop, so there's less incentive to think about what's in the fridge, or make an effort to avoid cooking more than we need.

"As a result, today we have less knowledge about cooking and food preparation ... My parents and grandparents knew how to make use of everything," he said.

What would it take to wind back the clock? Swannell thinks that it would only require a series of relatively small behavioral modifications:

"For instance, just taking five minutes to go through your store cupboard and fridge before making a shopping list can stop you wasting money buying ingredients you may already have.

"Or, when you get home with your shopping, transfer as much as you can straight into the freezer. If you have large packets of chicken pieces or fish, divide them up and freeze individual portions ... there's loads of simple, easy things like this that you can do."

But it's not just consumers who are at fault. Pichler says that supermarkets are guilty of discarding large quantities of food for seemingly frivolous reasons.

"There's a tendency for supermarkets to put pressure on food producers to supply them with 'perfect' products. This pressure is to blame for the common practice of goods being discarded and destroyed immediately after harvest because of minor imperfections," he said.

"Furthermore, it's not unusual for supermarket chains to purposely acquire a surplus of food, so shelves can remain fully stocked with perishable items -- pastries, meat, fruit and vegetables -- right until closing time," he said.

Farm in the city could be supermarket of the future

But the tides might be turning. Swannell points out that, although a long-time coming, people in some nations are finally waking up to the seriousness of the issue. He points out that in 2007, the UK wasted 8.3 million tons of food, but by 2010 that figure had dropped to 7.2 million.

Only time will tell if the rest of the industrialized world will follow suit.

@highlight

Austrian artist has created a series of images that challenge wasteful attitude to food

@highlight

Project inspired by U.N. report that reveals one third of all food worldwide is wasted

@highlight

Wasted food is a major cause of avoidable CO2 emissions

@highlight

Anti-waste pressure group provide tips for cutting down on uneaten food