(CNN) -- Days after blocking a Gaza-bound flotilla, Greece's government offered Sunday to ship aid to the Palestinian territory -- a move applauded by the U.N. chief but derided as insufficient by protest organizers and Palestinian authorities.

Greece's foreign ministry released a statement Sunday afternoon in which it proposed to "undertake the task of transporting the humanitarian aid, with Greek vessels or other appropriate means, through existing channels."

That same day, Foreign Minister Stavros Lambrinidis talked by phone with U.N. Secretary-General Ban Ki-moon. The U.N. chief "thanked" the Greek official and "expressed support for the Greek initiative," according to a statement from the United Nations.

"In his view, it could help to reduce tensions in the region and ensure much-needed aid is delivered to those who need it in Gaza," the U.N. statement said of Ban's views, adding the world body will "work closely with Greece, Israel and Palestinian authorities on this matter."

However, one Palestinian official, chief Palestinian negotiator Saeb Erakat, said that funneling food, cement and other goods via other means, such as Greek ships, missed the point, which he said is to "immediately lift, not ease" Israel's maritime blockade of Gaza. He lauded those behind the flotilla as people "who have dedicated their time, effort and passion for a just cause."

"The situation in Gaza is not about border crossings," Erakat said Sunday in a statement. "It is about the illegally denied and internationally recognized rights of the Palestinian people to dignity, freedom and self-determination."

A spokeswoman for The Audacity of Hope, a U.S. ship full of activists (but no humanitarian aid) that was barred last week by Greek authorities from sailing to Gaza, said the Greek offer "doesn't really address the issue for us, (which is) ending the naval blockade."

"It's all very well and good that there are some channels (for aid to Gaza)," Leslie Cagan said. "But that is not the same as lifting the siege of Gaza."

The vessel's captain, John Klusmire, remained in Greek custody on Sunday, one day after being asked to report to a police station.

A spokesperson with the Greek Coast Guard, who was not named per custom, said Klusmire, an American, was arrested because he left the mainland without permission and put passengers in danger. He will appear before Greek prosecutors on Tuesday.

Jane Hirschmann, one of the flotilla organizers, called the arrest "intimidation" aimed at likewise preventing the other nine boats in the flotilla from setting sail to Gaza. On Sunday, eight passengers from the U.S. ship began a hunger strike outside the U.S. Embassy in Athens, demanding their captain's release and allowing the ship to set sail.

The vessel -- which carried 36 American passengers, four crew members and several journalists, including CNN reporter Phil Black -- was intercepted last Friday by a Greek Coast Guard patrol vessel roughly 10 minutes after it had departed Perama. After an hours-long standoff, the ship eventually returned to Greece, where it is tied up at a Greek naval facility.

The Audacity of Hope and the nine other ships are aiming to promote public awareness about Israel's blockade of Gaza and, in part, to commemorate a May 2010 incident in which Israeli troops boarded Mavi Marmara, a Turkish ship filled with humanitarian aid and 700 activists from various countries. Nine people died in subsequent clashes with Israeli Navy commandos.

Cagan said that while the American ship's crew are frustrated they haven't been able to head to Gaza, there is some degree of satisfaction that their cause has drawn attention and provoked debate worldwide.

"People went to Athens and still would like to complete the mission," said Cagan, who is in the United States but is in close contact with her fellow activists in Greece. "At the same time, the feeling is very good that important work is being done that is shedding more light on the situation, with the whole blockade."

The Greek government has said it won't allow any of the boats in the flotilla to sail to Gaza because their mission is too dangerous. Flotilla members accuse the Greek government of buckling to pressure from Israel's government.

For their part, the Israelis have said they are mounting a diplomatic offensive to try to stop the flotilla from setting sail at all.

On Tuesday, the Israeli government said flotilla participants had threatened to kill Israeli military personnel should their boats be boarded. They said that the participants were stockpiling sacks of sulfuric acid on boats to be used in the event of any attacks on Israeli commandos.

Flotilla organizer Medea Benjamin dismissed the allegations Tuesday as ludicrous, saying: "They see this nonviolent, ragtag group of ships as such a threat they're using their entire propaganda apparatus, and their diplomatic and economic clout to try to stop 300 peace activists. It's pathetic."

The Middle East Quartet -- composed of officials from the United States, United Nations, European Union and Russia -- on Saturday issued a joint statement asking "all governments concerned to use their influence to discourage additional flotillas, which risk the safety of their participants and carry the potential for escalation."

The Quartet added in its statement that it "strongly urges all those wishing to deliver goods to the people of Gaza to do so through established channels, so that their cargo can be inspected and transferred via established land crossings." Doing so, the group contends, is the best way to both help Palestinians and address Israel's "legitimate security concerns."

On Sunday, Erakat said that while Palestinian leaders "support international engagement in lifting the unjust and inhumane Israeli blockade," the Quartet's statement and their opposition to the planned flotilla to Gaza skirt the broader challenges in the region.

"We invite them to focus on resolving the root cause of the conflict, which is the occupation, rather than seeking ways to manage its destructive symptoms." Erakat said of the Quartet.

CNN's Greg Botelho contributed to this report.

@highlight

The Greek government offers to transport humanitarian aid to Gaza on its ships

@highlight

Its authorities have barred 10 ships full of activists from sailing to Gaza

@highlight

U.N. chief Ban Ki-moon welcomes the offer, saying "it could help reduce tensions"

@highlight

But a Palestinian leader says this won't address what it calls an unfair blockade