(CNN) -- Afghan President Hamid Karzai said Saturday that a suicide bombing targeting the country's spy chief was planned in the Pakistani city of Quetta, and that he expects to raise the issue with Pakistani authorities.

The attack occurred Thursday in one of the intelligence agency's guesthouses in Kabul, seriously injuring National Directorate of Security Asadullah Khalid -- who is expected to recover -- while leaving others wounded or dead, officials said.

The Taliban claimed responsibility for the bombing, but Karzai says he believes otherwise.

"The reality is that such a complicated attack and a bomb that was hidden inside his body, this is not the work of the Taliban," he told reporters. "It's a completely professional and thoroughly engineered type of attack. The Taliban are not capable of that, and therefore there are bigger and professional hands involved in this.

"We will be seeking a lot of clarifications from Pakistan," Karzai said, though he avoided blaming Pakistan directly and pledged that it would not derail the peace process.

Cross border raids from Pakistan into Afghanistan and accusations that Pakistani intelligence support Afghan insurgents have long fueled discontent between the two nations. But Pakistan is also considered a key regional power broker needed to settle the more than decade-long Afghan conflict, particularly as NATO's 2014 withdrawal nears.

While it remains unclear how the bomber smuggled the explosive device into what is expected to be a high-security location, Thursday's strike highlights looming safety concerns and the difficulty of marrying them with the rigors of religious and cultural guidelines in a country where modesty is often a prime concern.

Last year, the mayor of the restive southern city of Kandahar -- considered the Taliban birthplace -- was killed during a city hall meeting when explosives detonated inside the turban of his attacker.

On Saturday, Pakistan's Ministry of Foreign Affairs cautioned Karzai against the suggestion of Pakistani culpability in Thursday's attack while raising questions about security lapses.

"Before leveling charges the Afghan government would do well if they shared information or evidence with the government of Pakistan that they might have with regard to the cowardly attack on the head of NDS," the ministry said in a statement. "They would also do well by ordering an investigation into any lapses in the security arrangements around the NDS chief."

The Ministry added that "Pakistan is ready to assist any investigation of this criminal act."

But the attack has since raised questions about top Afghan officials' vulnerability to assassination attempts and the effect they could have on broader peace negotiations.

Known as a staunch Karzai loyalist and practiced anti-Taliban fighter, Khalid was tapped as Afghanistan's intelligence chief in September.

He drew attention in Kabul and across the region for his experience and at times heavy-handed tactics, particularly in the country's volatile south, serving as Kandahar's governor in 2005 and later as minister of tribal and border affairs where he oversaw southern security forces.

Considered an ambitious man despite dropping out of Kabul University, Khalid joined famed Northern Alliance leader Ahmad Shah Massoud, known as the "Lion of Panjshir," before the U.S.-led invasion in 2001.

Largely viewed as a well-connected senior official critical to the president's inner circle, Thursday's attack against Khalid drew comparisons to last year's assassination of Berhanuddin Rabbani, an Afghan leader spearheading the reconciliation process with the Taliban.

Rabbani, a former Afghan president and chairman of the High Peace Council, was killed in a suicide attack at his home on September 20, 2011.

"The attack against (Rabbani) was formulated in Quetta, and now the attack on Asadullah Khan Khalid has also been organized in Pakistan," Karzai said Saturday.

Quetta is the provincial capital of Baluchistan, a volatile Pakistani province that borders Afghanistan, where a Taliban leadership council known as the Quetta Shura is believed to have been based since the U.S.-led invasion in 2001.

It was formed after coalition forces toppled the Taliban-led government, prompting senior Taliban leaders to escape to Pakistan, which has been at times blamed for harboring the group. Though U.S. officials say it is not clear if the group still remains in Quetta.

CNN's Masoud Popalzai in Kabul and Nasir Habib in Islamabad contributed to this report. David Ariosto is in New York.

@highlight

The attack occurred in one of the intelligence agency guesthouses in Kabul

@highlight

It seriously injured National Directorate of Security Asadullah Khalid

@highlight

The Taliban claimed responsibility for the Thursday bombing

@highlight

Pakistan's Ministry of Foreign Affairs cautioned Karzai against assigning blame