Brooklyn, New York (CNN) -- We all have things that we can't stand but must routinely put up with. Here are a few of mine: slow elevators, outrageous bank fees and being asked the question, "Where are you from?"

Everybody hates the first two, but why am I so opposed to the last one?

For starters, I know the impatient looks that will follow when I answer with where I live (Brooklyn) or where I grew up (Canada), or where I was born (Switzerland).

That last one, by the way, really seems to throw people for a loop. (My parents were graduate students in Zürich when I landed on this earth.) What often follows next is that the person asking me the question either congratulates me on speaking English well or, confused by my answers, looks at me like I don't understand English. The next question, though, is always the same:

But where are you really from?

Of course I know what they mean, and the people who ask me this (almost) never have any real malice in mind. They're not saying I couldn't possibly be American. Rather, something about me -- perhaps my name or the color of my skin -- has lit their curiosity. Still, I've always resented the question because it implies that I can only really and authentically be one thing, the one thing, incidentally, that I had no choice in choosing and have no power to change.

I don't want to be misunderstood. Like millions of other Americans, I,  too, have a hyphenated identity.

Left of the hyphen, I'm Egyptian, and a very proud one to boot.  But that's not all I am.

I'm also a writer, a professor, a Muslim, a German speaker, a passionate (but terrible) singer, a lousy swimmer, a New Yorker, an Arab, the youngest of three children, a drinker of way too much coffee, a lover of W.B. Yeats' poetry, a hater of injustice, a husband, a frequent flyer, and, according to my wife, a person in some serious denial that he's getting older.

The question "Where are you from?" may help others locate me, but it will never describe me.

It used to be the case that after I told people about my origins, I would invariably hear a wish to visit the pyramids or be asked my thoughts regarding certain Anne Rice novels. Yet lately, the reaction has changed. Now, after telling people I'm Egyptian, I can almost see the news headlines and maps of the Middle East overlapping in their mind, and I'm usually confronted with a statement like this: "Oh.  (Long pause.) Hey, I have nothing against Muslims." That's precisely what a man I met in an Ohio restaurant recently told me. It was his pause that, well, gave me pause.

Today, identity is too easily turned into a rallying cry for purity and violence. Think of the lunatics of al-Qaeda, like Adam Gadahn, who recently called on American Muslims to attack their own country. Al-Qaeda will never accept that Muslims (or Americans) can be more than what al-Qaeda determines them to be. Likewise, the anti-Muslim chorus led by people like Dutch politician Geert Wilders, who calls Islam a "retarded culture," want to pigeonhole us into diametrically opposing identities that necessarily have to careen into conflict with each other.

But this is nonsense. I know it because I live the many facets of my identity every day without succumbing to my own internal civil war. Millions of other Americans do, too.

A few years ago, I heard a useful way of thinking about identity. I was in Ramallah, addressing a group of Palestinian university students, and with me was François Burgat, the eminent French scholar of the Arab World. Burgat began his talk about identity with a metaphor, asking the audience to imagine they were invited to a big international pot luck dinner.

All the guests have brought their national foods to share. At that moment, our differences are the only things that matter, since from the differences in taste comes flavor. But if a fire were suddenly to consume that same house, trapping a baby in the flames, no sane person would hesitate to save that baby, regardless of its origin. In our choices for survival, our similarities simply must outweigh our differences.

Burgat's metaphor strikes me as a particularly powerful way of thinking about the United States. Yes, there are people around today trying to start that fire, but I'm confident they are a few in an increasingly complex nation of over 300 million people, each of us with multiple identities. It's up to us to douse the flames of hatred and intolerance before they start, keeping the party that is the United States going.

The opinions expressed in this commentary are solely those of Moustafa Bayoumi.

© 2009 AOL, LLC. All Rights Reserved.

@highlight

Moustafa Bayoumi: Like many Americans, I have a hyphenated identity

@highlight

He says he's of Egyptian descent but that doesn't fully describe him

@highlight

Bayoumi was born in Switzerland, raised in Canada and now lives in New York

@highlight

He says, "Today, identity is too easily turned into a rallying cry for purity and violence."