The leadership of Boko Haram must think they have hit the jackpot. The abduction of more than 200 schoolgirls in northeast Nigeria has been denounced by U.S. President Barack Obama and UK Prime Minister David Cameron.

That has given them all the publicity they crave. Their movement is now the top item on all global news channels. If, as I suspect, Boko Haram sees itself as a suicide mission to inspire all Muslims to follow them and wage war on the West, they must feel their hour has come. The final battle is about to begin.

Bornu state Nigeria is one of the poorest, most neglected parts of the planet. Until recently I would have said the only surplus in that part of Nigeria was its long-suffering Islamic resignation. Now that has turned to anger. And this remote, dry, dusty corner of Nigeria, a place you would only visit on your way to the Sahara Desert, has become the new battleground between militant Islam and the Western world.

How? The answer lies in a very telling comment from John Kerry, the U.S. Secretary of State. The U.S. had, he said repeatedly offered help to Nigeria but it was ignored.

Ignored. That is exactly what the Nigerian government's attitude has been to the northeast for decades -- and to the Boko Haram terrorists until they hit Abuja, the capital. Then there was an attempt to clamp down but the security extended there never reached Maidugri, the capital of Bornu state in the northeast and some 500 miles away from Abuja, the capital, and another 320 miles from Lagos, the commercial megacity of West Africa.

So it doesn't matter. Just as the kidnapping of more than 200 girls did not elicit any statement from President Goodluck Jonathan until more than two weeks after it happened.

Nor do the levels of poverty, unemployment, lack of education and health services and a fast-growing population in the northeast matter to the government of Nigeria. Its income derives from Western oil companies so the government has little democratic relationship with the people of Nigeria. Sixty per cent live in poverty.

Boko Haram began as a fundamentalist but not particularly violent movement in 2002. The killing of its leader, Mohammed Yusuf, while in police custody inspired its members to take up arms against the state. Nigerian police said Yusuf had been shot while trying to escape, but other reports said he had been summarily executed.

The police force, which in normal times just collects "personal fines" from motorists and others for minor transgressions, is too corrupt to protect anyone.

Meanwhile the army, trained to fight a conventional war, went in heavily and terrified rather than protected the population. On this day last year Boko Haram attacked a barracks, a prison and a police post in the town of Bama. The military said the group killed 55 people and freed 105 prisoners.

Nigeria is used to uprisings. A few years ago the Niger Delta which produces Nigeria's immense oil wealth, was in flames. Gangs of youths with heavy machine guns killed their rivals and kidnapped oil workers for cash. They too played on the neglect of the local population which could see billions of dollars-worth of oil being sucked out from under their feet while not a single road was being built. The government of Goodluck Jonathan -- himself from the Delta -- now administers an amnesty program under which former militants receive payments to give up their arms. Many of the militants were given jobs in the government and swapped their tee-shirts and bandanas for sharp suits and ties.

But there is no such incentive to develop Bornu state. It produces nothing and will not vote for President Jonathan. Unless there is a major political upset, he will serve another four-year term after elections in February next year.

The big challenge in Nigeria for the U.S. military and intelligence services is this: if they limit their intervention purely to tracking down and releasing the girls and killing or capturing their Boko Haram kidnappers, they will have a brief success followed by long term failure. No movement like Boko Haram can exist for long without some, at least tacit, support of the local people. And the local people have little to thank the government for.

I was on the beach at Mogadishu in 1992 when the Navy Seals stormed ashore followed by waves of Marines. For a few weeks Somalia was quite peaceful, mission accomplished was the message. We wrote positive stories about the restoration of Somalia. The war has continued to this day.

Two years later I followed the U.S. Marines into Kuwait and then into Iraq in the first Gulf War. Problem solved, it seemed. And I worked in Northern Ireland in the early 1970s where the British army was always claiming to be on the brink of defeating the IRA. That very attitude simply strengthened them.

Have the lessons from Iraq, Afghanistan, Northern Ireland been learned? Military intervention is tough but easy compared with the long haul of development which must accompany it. The Kanuri people of northeast Nigeria need robust protection, peace and security in the short term but they also need education, health services and livelihoods in the long term.

They need to know that the Nigerian government and its American supporters are on their side. Can America provide that? Or will we see a magnificent charge, lots of shoot-outs and arrests followed by a declaration of peace, the departure of the army and then an even worse uprising two years hence?

The biggest challenge facing Obama and the Americans is the failure of President Goodluck Jonathan to focus on the problems of northeast Nigeria.

Together they need to make a long term plan to bring investment to the area, provide health and education services and build institutions.

Above all make the people there feel they are part of this booming new Nigerian economy which recently became the biggest in Africa.

CNN EXCLUSIVE: Nigerian girl who escaped Boko Haram says she still feels afraid

@highlight

UK, U.S. have denounced Boko Haram's abduction of more than 200 schoolgirls in Nigeria

@highlight

Richard Dowden says their reaction has given the militant group the publicity it craves

@highlight

Nigeria's government has long ignored the area where Boko Haram is based, he says

@highlight

He says necessary development there is a bigger task than any military intervention