(CNN) -- Three years after Haiti's devastating earthquake, more than a third of the country's hospitals are still not functional.

A cholera outbreak has killed more than 7,000 people and overwhelmed the already-reeling health care system.

Three out of the four medical schools in Haiti were damaged in the January 2010 quake, which killed the entire second-year class at the nation's largest nursing school. In all, more than 200,000 people perished in the magnitude-7.0 earthquake.

Despite this bleak outlook, Dr. John Macdonald says he feels "blessed every day."

Macdonald, a doctor at the University of Miami Miller School of Medicine, runs a health clinic in Port-au-Prince that's managed to serve 10,000 patients since it opened more than a year ago. In a country where so many things seem to go wrong, his program and others like it stand as a suggestion that it has been possible, at least to some extent, to make a difference in health in Haiti.

Macdonald's clinic tends to Haitians with wounds and spinal cord injuries. Other programs have successfully vaccinated children, distributed condoms and brought down malaria rates.

"There are major failings in our system," says Dr. Jean Marie Rwangabwoba, an adviser in disease prevention and control to the Pan American Health Organization, a part of the World Health Organization. "But at the same time, there's some hope the system can really get back on its feet."

Haiti still reeling from quake

Country club dinners and a $100,000 check

According to Rwangabwoda, malaria rates in Haiti are now under 1%, down from 5% seven years ago, thanks in large part to wide distribution of mosquito nets treated with insecticides by his group.

Last year, a major vaccination campaign against diseases such as measles and rubella reached 90% of children under 9, he said.

About 2.2% of the population has HIV, when many had thought by now it would be around 5%, he added. Condom distribution has helped keep that rate relatively low, he said.

These programs were funded by large groups such as the Pan American Health Organization, U.S. Centers for Disease Control and Prevention and U.S President's Emergency Plan for AIDS Relief.

Other programs, such as Macdonald's clinic, rely on smaller donors and some level of serendipity.

Macdonald, a wound care specialist, says he was devastated to see people dying in Haiti after the quake from wounds that could have been easily treated.

It was more than just wounds from the earthquake. Women had cuts in their breasts where cancerous tumors had erupted through the skin; men had grotesque genital swelling caused by infection; children had maggot-filled wounds on their scalps.

Macdonald yearned to start a clinic just for wound care. In 2011, he pleaded his case to a potential donor during lunch at the Coral Ridge Country Club in Fort Lauderdale, Florida. A man who'd been sitting at the next table walked over about 40 minutes into Macdonald's pitch.

"He said, 'I'm a lawyer, and I have a client who has an interest in Haiti and is in a charitable mood. Would you speak with him?' " Macdonald recalls.

His answer, of course, was yes. A few months later, Macdonald had lunch at the same country club with the lawyer's client, a French-Canadian businessman, and at the end of the meal, Macdonald was handed a check for $100,000.

"His wife was with us and she was crying, and at first I thought it was because this was her jewelry money, but she was crying because she was so happy," Macdonald says.

Haitians living in fear 'under the tent'

That check gave birth to a wound clinic in conjunction with Hospital Bernard Mevs in Port-au-Prince and Project Medishare, a group started by doctors at the Miller School of Medicine.

About 50 patients a day come into the clinic, and in addition there's a 10-bed ward for people suffering spinal injuries. A second check for $100,000 from the same donor, who's asked to remain anonymous, has kept the clinic going into a second year. Macdonald spends about a week a month at the clinic, which Haitian staff mostly run.

"This is a very important program, and we want to expand it," says Dr. Marguerite Mevs, who founded Hospital Bernard Mevs with her husband and other family members.

'A three-ring circus and a brothel'

Finding the funds to stay operating in Haiti is all about persistence, says Dr. Enrique Ginzburg, international medical director of Hospital Bernard Mevs/Project Medishare.

"If you get a 'no' in one area, you just go in another direction to accomplish the same goal," Ginzburg says.

Macdonald agrees but makes another observation.

"Being a doctor in Haiti is like being a doctor for a three-ring circus and a brothel," he says. "On the one hand, you look and see all this amazing talent doing all these incredible feats. But there's also stuff going on behind closed doors you don't want to know about -- corruption, people taking money."

The trick is to not pass judgment, he says.

"You're a guest in someone else's country," he says. "You're fascinated, and helpless to walk away."

Haiti transitions from relief to rebuilding

@highlight

Some programs are making a difference in Haiti's health care, doctors say

@highlight

A January 2010 quake devastated the already impoverished nation

@highlight

Dr. John Macdonald's clinic has served more than 10,000 patients in about a year

@highlight

Malaria rates are down, and a vaccination campaign reaches 90% of kids, doctor says