(CNN) -- It would be easy to dismiss Friday's election of Hassan Rouhani as president of Iran as little more than a sham -- a rigged election that changes nothing. Supreme Leader Ayatollah Ali Khamenei still calls the shots in Tehran.

The election won't stop Iran's nuclear program or end Iran's years of enmity with Israel or the United States. Nor will it reverse Iran's support for Syria's brutal regime.

It would be easy to shrug off the election, like Prime Minister Benjamin Netanyahu of Israel has effectively done.

But it would be wrong.

While the election did not change Iran's real power structure and was not an exercise in democracy -- the theocratic backroom bosses blocked more than 700 aspiring candidates from the ballots -- it has already changed the calculus of the Middle East in a number of important, if subtle, ways. It was not a political sea-change as much as a shift in tone and optics. But such a shift may have very significant consequences.

Perhaps most importantly, the election has enabled Iran to shrug off President Mahmoud Ahmadinejad. Ahmadinejad, who combined the hateful ignorance of being a Holocaust denier with the governing incompetence that has left his country in an economic shambles, will not be missed. Indeed, this week began with reports that the outgoing president is now facing criminal charges in his own country where his popularity, thanks largely to rampant inflation and high unemployment, is at rock bottom.

Instead of Mahmoud the Mockable, Iran has in an instant bought itself greater credibility and a moment to demonstrate whether real change there is possible. While the election denied the people the real choice they deserved, voters sent an unmistakable message with the strong first-ballot victory they gave Dr. Rouhani, a former Iranian nuclear negotiator known for his pragmatic streak. They rejected six other more hard-line candidates, including those who were seen to be favored by Khamenei.

The election has reminded the world that the Iranian people are not easily reduced to a simplistic identity as members of "the axis of evil." The country has a diverse populous with a rich history of intense national debate, despite decades of autocratic rule.

When the West propped up a corrupt and abusive Shah, an Islamic revolution was the result. More recently, as the Islamic leadership has caused great hardship in Iran, we have seen the stirrings of opposition that arose most dramatically in the Green Revolution that followed Ahmadinejad's re-election in 2009.

The government is oppressively heavy-handed, the world's leading state sponsor of terrorism, and actively trying to spread its influence throughout the Middle East, but, the election reminded us the people of Iran contain many views, some of which, despite the best efforts of the regime, remain very close to the surface.

In his first press conference, Rouhani espoused views that suggested that he would seek to moderate Iran's international stance. While strongly defending the country's right to its nuclear program, he underscored a desire to "enhance mutual trust" with the rest of the world. He spoke of enhancing the "transparency" of the nuclear program and specifically of seeking better relations with neighbors in the Persian Gulf region.

And, not surprisingly, he focused on doing what he could to fix the spluttering Iranian economy -- the issue that more than any other will determine how he fares when he assumes his role in August.

Rouhani's press conference offered other shreds of hope. He offered the possibility of improved relations with both the U.S. and the UK, saying of the former "the issue of relations between Iran and America is a complicated and difficult issue. It is an old wound that needs to be healed."

It would be naÃ¯ve to assume that this election or a more moderate tilt by a new president who will not actually be running the country signals a sea-change. But simply by virtue of his stance, he has effectively hit the pause button on the U.S.-Iran stand-off on nukes. A confrontation or attack in the near-term seems much less likely. At the same time, the international community will inevitably test his willingness to seek better relations.

The U.S. should participate in that effort, identifying achievable near-term goals that might show progress toward stopping the Iranian nuclear program, or assistance in finding a solution in Syria, while underscoring to Rouhani that his actions will be the only meaningful metric by which he will be judged.

Perhaps this election signifies only a superficial or temporary change. But given the stakes, it must also be seen as a cautiously encouraging one. One of the world's most dangerous situations is not, at this moment, hurtling irreversibly toward conflict. There is, for all but the most cynical, a glimmer of hope for a slight opening.

That not only resets the clock, it actually creates the opportunity for something like progress. More importantly, it reminds us that however repressive or dangerous Iran's autocratic clerics may be, the people of the country should not reflexively be seen as the enemies of the West or of peace.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Some say election of Iran's Rouhani won't change anything -- they're wrong

@highlight

He says Khameni may really call shots, but vote for moderate changes Mideast tone, optics

@highlight

He says it showed Iranians favored Rouhani, a former nuke negotiator, reject Ahmadinejad

@highlight

Rothkopf: U.S. should seek reachable goals with Rouhani aimed at stopping Iran nuke program