WASHINGTON (CNN) -- The Taliban in Afghanistan -- whose government was toppled by U.S.-led forces after the September 11 attacks in 2001 -- has strengthened its military and technical capabilities even while suffering heavy combat losses, says a State Department report released Wednesday.

Afghan policemen stand Wednesday outside the ruins of a house destroyed during clashes with Taliban insurgents.

"The Taliban-led insurgency remained a capable, determined, and resilient threat to stability and to the expansion of government authority, particularly in the Pashtun south and east," according to the "Country Reports on Terrorism 2007."

The Taliban's information operations have become "increasingly aggressive and sophisticated," and their ability to obtain al Qaeda support and recruit soldiers from the Taliban base of rural Pashtuns is "undiminished," the report says.

But new civilian-military counterinsurgency approaches in the east, particularly Nangarhar, have begun to yield successes, the report says.

The Taliban is funding its terror activities with money from supporters in neighboring Pakistan and from narcotics trafficking and kidnappings. Kidnappings of foreigners have increased, the report says.

The group also has increased its use of improvised explosive devices, and suicide bombings have become more frequent and more deadly, it says. Quoting U.N.-compiled figures, the State Department said terrorists launched about 140 suicide-bomb attacks in 2007.

The number of terror attacks in Afghanistan increased from 969 in 2006 to 1,127 last year, and the number of people killed, injured or kidnapped as the result of terrorism rose from 3,557 in 2006 to 4,673 in 2007, the report says.

In the face of attacks by the Taliban and related groups on coalition forces and others, Afghanistan has struggled to build a stable, democratic government. However, it has taken steps to build strong relationships with neighboring Pakistan and address problems such as poverty that help fuel terrorism, the report says.

The Program for Strengthening Peace and Reconciliation has persuaded more than 5,000 Taliban members and other insurgents to stop their lives of violence, it says.

The shifting situation in Afghanistan prompted the top U.S. military officer to say in early April that he is "deeply concerned" about the situation there, and that maintaining troops in Iraq is harming overall U.S. military capabilities.

"The Taliban is growing bolder, suicide attacks are on the rise, and so is the trade in illegal narcotics," said Adm. Mike Mullen, chairman of the Joint Chiefs of Staff.

U.S. Defense Secretary Robert Gates said the United States needs more troops to hold areas of southern Afghanistan -- the region of highest concern -- and to train local army and police personnel.

The two men testified before the Senate Armed Services Committee.

The United States recently sent an additional 3,500 troops to Afghanistan, but commanders in the region would like 10,000 to 12,000 more, Gates said. He said he doubted NATO would make up the difference.

Although 25 NATO allies and 13 other countries have contributed forces, the bulk of the recent fighting in Afghanistan has been done by U.S., Canadian, British and Dutch troops. Canadian troops are based in the southern province of Kandahar, once a Taliban stronghold. E-mail to a friend

@highlight

State Department report: Taliban military, technical capabilities stronger

@highlight

Taliban called a determined threat to Afghan stability

@highlight

Funding comes from Pakistan supporters, narcotics trafficking, abductions

@highlight

Number of terror attacks increased from 969 in 2006 to 1,127 last year