(CNN) -- "Today I will fight again. This disease will not own me or define me."

These are the words I like to begin each day with, stating my intent out loud. Somehow it seems if I actually hear it, it's easier to live it and believe it.

I have Crohn's disease, for which there is no cure -- a disease that requires a daily personal battle with things most of us prefer not to discuss with others. And for those who must deal with it, one thing is certain. It's horrible, it's overwhelming, and it's humiliating.

The humiliation factor is a major reason so many suffer in silence -- the evidence of the disease and the treatments are things you just don't tell others about.

So you find yourself facing the challenges alone -- the pain that literally doubles you over without warning: nausea, life-threatening bowel obstructions, incontinence, dehydration, intravenous feeding, fatigue and depression.

There is also the ever-present threat of surgery, ostomies and permanent damage to my body. There are long days without any food or water, followed by multiple days of clear liquids only.

Doctors: A new era in Crohn's disease

Each person suffering from the disease will have their own private hell made up of variations of these components, but all will share the guarantee of loss of normal life, and the knowledge that there is no cure. During my worst times it's been so tough that, exhausted from battling the pain, frustration and fear, I've cried myself to sleep on the bathroom floor.

There are many, many drugs and some forms of chemotherapy treatments that may bring about remission in Crohn's cases but no guarantees.

And even with remission, the fear and questions linger -- will it come back? Every healthy day is a blessing that carries a black cloud on the horizon.

There is relief as you realize you have a reprieve from the disease but a lingering sense of anxiety as you contemplate the "what if" that hangs just above your head, depriving you of real peace. It's a daily struggle to keep the fear and uncertainty at bay and enjoy the moments that feel "normal."

So I will focus just on today.

Teen diagnoses her Crohn's disease in science class

I rise early so I can exercise -- exercise helps battle the fatigue that, because of an inability to absorb nutrition from food, is the out-of-control demon affecting each day.

I dress for work, pack my small meals and snacks from the very short list of things that I can easily digest. Others will see the confinements of my diet as depressing, but for me they are delicacies that are far preferable to the too-often-required clear liquid diet. The freedom to consume real food, and to do so by mouth instead of through a tube, is a gift I treasure at each meal, and that I never take for granted.

Saying blessings before my meals has taken on a new meaning as I give thanks and pray that some nourishment will be retained as my food speeds through my system. This is important to prevent dehydration and/or artificial feeding.

Next, I fill my pill divider with the 13 doses of six medications I will take that day, almost hourly. Four times a month, I'll give myself a scheduled injection of vitamin B12. Monthly injections from a caregiver are part of the drill twice a month, but if today is not one of those days, I'm good to go.

There will be no spontaneity to my day. A sudden, last-minute invitation to lunch will be met with "I'd love to, but I already have plans," a small white lie that keeps me from having to explain. An invite to dinner, drinks, a movie or shopping will be met with a similar excuse.

Trying not to appear anti-social while repeatedly declining all invitations has resulted in a neat little list of interchangeable excuses. Even a meeting will require advance notice and preparation if it takes place around a meal. Menus must be reviewed in advance, and medication dosages slightly altered.

And more often than not, even with all this preparation it will just turn out to be "a bad day" and a last-minute cancellation will be unavoidable. Occasionally this happens around events that are really important to me, such as a wedding or a family member's funeral.

Missing these events brings frustration, anger and eventually leaves me in tears. But acceptance will finally come as I make peace with what I know can't be changed.

So most days, it's easier to just give in and have no plans. I can replace the anxiety of "what happens if" with the comfort and security of home, where my safe foods, medicine, supplies and a comfortable resting place all reside. I need the downtime and the extra rest, because tomorrow I'll do it all again.

My battle closely resembles the battle fought by those with colon cancer. Suffering from Crohn's disease can mean debilitating pain, fistula surgery and diarrhea that can be so severe it can bring on dehydration.

Like colon cancer, remission is possible, but recurrence is probable. Like colon cancer, a variety of medications and treatments can help with the effects, but they are strong medications that bring their own set of problems and risks.

While Crohn's disease itself is not terminal, the complications often result in death. Keeping it under control requires a real commitment to fight and a resolve to sustain that commitment every day. The motivation to fight is the strong desire to not suffer, and deviation often results in serious illness. Each surgery or flare-up leaves me with a little bigger battle to face, so I keep fighting.

And yet I do feel lucky -- lucky to be alive and grateful to be in the midst of a season of fewer struggles. I am blessed, and I truly understand that in the big scheme of things this struggle is but a moment.

And in this season of reprieve. I carry the cold knowledge that there are more than 1 million other people suffering like me. So few people understand this disease, yet it's part of the lives of so many people all around them. I hope to help change that.

I tell my story only to help bring a little attention to what life is like for those who battle Crohn's -- because sharing equals attention, and attention equals awareness.

And awareness builds hope that something can be done -- maybe not in my lifetime, but perhaps in my children's. That's important because the probability of my children being diagnosed increased the day I was diagnosed.

So today, I share. And today I will fight again, with every intention of winning.

Crohn's diagnosis means lifelong battle

@highlight

Crohn's disease is "horrible, it's overwheming and it's humiliating," Debbi Wynn says

@highlight

Many with Crohn's suffer in silence, Wynn says

@highlight

Even in remission, fear and anxiety linger, she says

@highlight

Wynn says she's learned to be grateful for each day in remission