(CNN) -- Mexico's new leader has a message for U.S. officials as he heads to Washington this week: Ties between the neighboring nations must go beyond the drug war.

Just four days before his inauguration, Mexican President-elect Enrique Pena Nieto will meet with U.S. President Barack Obama on Tuesday. And he says he wants to reshuffle the list of priorities the United States and Mexico share.

"It is a mistake to limit our bilateral relationship to drugs and security concerns," the president-elect wrote in an editorial published by the Washington Post on Friday. "Our mutual interests are too vast and complex to be restricted in this short-sighted way."

A crackdown on cartels was a hallmark of outgoing President Felipe Calderon's six-year tenure, and the United States voiced its support, offering $1.6 billion to aid in the fight.

Pena Nieto has said he plans to focus more on reducing violence, but he's offered few specifics about that approach.

The 45-year-old former governor, who won Mexico's presidential vote in July, has said a top priority is to deepen economic ties with the United States.

"Perhaps the most important issue is finding new ways to bolster our economic and trade relationship to attain common prosperity in our nations," Pena Nieto wrote last week, noting the potential for more trade, manufacturing deals and energy investment.

The United States is Mexico's largest trading partner. The two countries share billions of dollars in imports and exports and a border that stretches nearly 2,000 miles.

For the first time in more than a decade, economic issues are likely to dominate the agenda shared by Mexico and the United States, the Washington-based Woodrow Wilson International Center for Scholars said in a policy brief this week.

That's because drug-related violence appears to have plateaued and illegal immigration in the United States from Mexico has dropped dramatically, according to Andrew Selee, director of the center's Mexico Institute.

FBI most-wanted fugitive captured in Mexico

"What's driven the U.S.-Mexico agenda for the past 10 years has been the influx of undocumented immigrants and the headlines about increasing violence, and now both of those have leveled off. ... It allows the two governments to begin to talk about other issues that matter for their long-term well-being," Selee said.

In Mexico, analysts said on CNN en EspaÃ±ol's "Mexico Opina" that Tuesday's meeting could signal a new approach to the relationship between the two countries.

"Pena Nieto should convince Obama that Mexico deserves more attention. ... This is the moment to change the style and propose a higher agenda," said Olga Pellicer, a professor at Mexico's Autonomous Institute of Technology and a former diplomat.

Political analyst Gabriel Guerra said Pena Nieto's government should push to have a greater influence on affairs within the United States, convincing U.S. officials that Mexicans are "important and relevant."

"The image of the country is very negative. There is a perception that we are corrupt and drug associates. This is a result of accumulated neglect," he said. Pena Nieto "is inheriting a neglected relationship."

Mexican beauty queen killed in shootout

Some critics have said Obama neglected Latin America during his first term, and lambasted the U.S. president for not bringing up Mexico or other countries in the region during last month's foreign policy debate with Republican challenger Mitt Romney.

At a forum hosted by the Spanish-language Univision network in September, Obama said the United States is committed to continuing to work alongside Mexico to fight organized crime.

"What I will be saying to the new president of Mexico when he takes office is that we want to continue this cooperation and we recognize this is a threat on both sides of the border. We obviously generate a lot of demand for drugs on this side of the border, and cash and guns flow south just as drugs flow north," Obama said. "If we can reduce demand, that means less cash flowing into these drug cartels. The other thing we need to do is work much more aggressively in preventing the flow of guns and cash down to Mexico."

Both the White House and Pena Nieto's transition team have said security will be a key topic during Tuesday's meeting, and U.S. officials should continue to push for justice and human rights reforms south of the border, the Washington Office on Latin America said in a statement Monday.

"While Pena Nieto has expressed his desire to shift the focus of the bilateral relationship away from the fight against drug trafficking and organized crime in order to place more emphasis on economic issues such as investment, trade, and energy, a dramatic shift in the focus of the U.S.-Mexico relationship seems unlikely," the statement said.

Immigration also is likely to come up Tuesday, since the topic is important to residents on both sides of the border, said the Mexico Institute's Selee. Topics such as education partnerships between the two countries and global issues could also be on the table, he said.

CNNMexico.com and CNN en EspaÃ±ol's Mario Gonzalez and Rey Rodriguez contributed to this report.

@highlight

Mexico's president-elect will meet with U.S. President Barack Obama on Tuesday

@highlight

Enrique Pena Nieto says he wants to reshuffle the priorities the countries share

@highlight

There is potential for more trade, manufacturing and energy deals, he says

@highlight

Pena Nieto takes office as Mexico's president Saturday