(CNN) -- Upgrading to the new Windows 8 operating system is not nearly as complicated as it looks, despite Microsoft's sometimes muddled marketing.

Getting used to using it is a different story.

At midnight Thursday, Microsoft's newest operating system is finally on sale. With more than a billion users, Microsoft's Windows is the dominant PC platform in the world. This launch is a big moment for the company, which is trying to keep those users from leaving for more mobile friendly competitors.

CNNMoney: Windows 8 -- Microsoft's biggest gamble

Here are the basics for regular, non-techy Windows users curious about getting started with Windows 8.

What is Windows 8?

Windows 8 is Microsoft's latest operating system. It features touchscreen capabilities and a drastically different interface, and runs on tablets as well as PCs. It can be controlled entirely by touch (on compatible devices), with a mouse and keyboard, or by any combination of your preferred input options.

The operating system is a daring effort by Microsoft to stay relevant as PCs are being overtaken by mobile devices. Apple's iOS and Google's Android operating systems are dominating the tablet and smartphone market, and Microsoft is attempting something big, different and risky to catch up.

This is Microsoft's first operating system since the well-received Windows 7 was released three years ago. It is a complete reimagining of the desktop computer interface, but it is built on the same base as Windows 7, so all your old applications should continue to work just fine. (Except on devices running Windows RT. More on that later.)

What's different in this operating system?

The biggest change in Windows 8 is a system-wide shift in attitude. Apple products have the reputation for being fun and creative, Windows PCs for being dull but hardworking. One brand screams "Angry Birds," the other Excel spreadsheets. Microsoft wants Windows to be hip and enjoyable to use, so it has come up with its own tablet-style interface and tried to make it work on tablets as well as PCs.

At its best, the result adds some much needed life to an all-work-and-no-play operating system. At its worst, Windows 8 feels like two creatures hastily thrown together, Ã  la CatDog. One interface feels better with a touchscreen and gestures, the other with a keyboard and mouse or touchpad.

The familiar desktop view has been pushed to the background to make room for a colorful, touchable, swipeable Start Screen, which acts as your home base. When you start the computer, you'll be greeted with a jazzy array of square and rectangle tiles representing applications, arranged into groups. The tiles can show live information such as your latest e-mail, breaking news, photos, the weather or calendar reminders.

This side of Windows 8 runs apps developed for and sold in the Windows Store. But you can also click on a traditional Windows application and it will open it in the desktop view.

Windows 8 review: A big, beautiful, slightly shaky step forward

Back on the old desktop view, the most visible change is that the Start button is gone. All your old applications look and feel the same in this retro world, though tapping on buttons designed for a mouse can be tricky.

If you get confused, and you will in the beginning, one swipe from the right side of the Start Screen brings up a search tool to help you track down files or applications.

Some Windows users will scoff at the attempts to liven up the old system as pandering to more casual computer users, or as somehow making the system less capable of serious work. But there are also many subtle, under-the-hood changes, including performance improvements. Most notably, the startup time is greatly improved over Windows 7. There also is a new feature called Storage Spaces that makes it easy to manage your various storage and backup options.

Who should update to Windows 8?

The first version of a new operating system is bound to have bugs and issues. Individual Windows users, especially those with just one machine who depend on it for work or school, should not rush right out for that upgrade. Wait until a more stable version comes along that irons out early problems.

If you have an non-touchscreen computer, the switch may not be worth it unless you need the under-the-hood improvements. The operating system works on regular computers that don't have touchscreens, but they miss the best parts of the experience. The Start Screen and new tiled interface aren't nearly as satisfying when you can only click on them with a mouse (a touchpad is slightly better).

If you are a diehard Windows fan, or just a tech-savvy computer user familiar with the perils of being an early adopter, you'll just need to make sure your current computer meets the system requirements.

If you want to buy a new computer, there are already a large number of touchscreen options pre-loaded with Windows 8 from major manufacturers, including Samsung, Sony, Dell and Toshiba. There are ultrabooks, tablets, hybrids and desktops at all prices. There is plenty of hardware available at launch, but the Windows Store software selection is still a bit sparse.

Corporate users are usually slower to upgrade their workforces to a new operating system, and without a compelling reason to switch to Windows 8, that will likely be the case this time as well. A recent report from technology research firm Gartner predicts 90% of enterprises will wait to upgrade to Windows 8 until 2015. Companies that depend heavily on mobile devices might be the exception.

Which version of Windows should I get?

There are four versions of the new Windows operating system: Windows 8, Windows 8 Pro, and Windows RT and Windows 8 Enterprise. While that may seem like a lot, it's actually fewer versions than Windows has offered for its operating systems in the past.

Luckily, the decision of which to buy is pretty much made for you.

If you are an individual upgrading an existing computer, your only option at the moment is Windows 8 Pro. The basic consumer version of Windows 8 will not be available for standalone purchase until February 2, 2013.

For now, Windows RT and the basic version of Windows 8 are only available pre-installed on new computers. The differences between Windows 8 and Windows 8 Pro are minor. The big decision you'll have to make when buying a new system is if you want a Windows 8 or Windows RT device.

Windows RT is a different version created for devices with ARM processers. These processers, typically found in phones and tablets, use less power, which means longer battery life. At the moment, Windows RT is only available pre-installed on Microsoft's new Surface tablet and a handful of other devices.

CNNMoney: In Windows 8, the iPad has its first real challenger

Windows RT and Windows 8 look the same, but there's one key difference: Windows RT will not run your old Windows applications, only applications available through the Windows Store. That means no downloading any third-party apps from the Internet. The Windows Store has 5,000 apps in stock, but that number should grow over time. This closed approach is similar to the iPad and iPhone, which can only run applications sold through Apple's App Store.

Finally, are you a large company planning on buying a large number of licenses? If yes, check out Windows 8 Enterprise.

Is Windows 8 difficult to learn?

Windows 8 presents a completely new approach to using a Windows computer, and as with anything radically new, it takes some getting used to. Do not upgrade unless you can spare some time to familiarize yourself with the layout and settings. The new look borrows heavily from the iOS and Android mobile operating systems, but isn't nearly as intuitive.

Before you get scared off, know that it's not that hard to figure out the new system. It just takes a bit of effort and time, like learning any new program would. Microsoft took a big leap and created something new. Getting acclimatized is just a natural part of the process.

Some stores selling the Windows 8 products are offering classes. Staples, for example, will have free personalized training on the new system, as well as help moving old data over to a new computer.

How much does it cost?

Microsoft is dropping the $200 price of Windows 8 Pro for its big debut. Existing WIndows 7, WIndows Vista and WIndows XP (with SP3) users can upgrade to Windows 8 Pro for $40 online. If you'd prefer a physical copy shipped to you in a nice box, the price goes up to $70. The deal is good through the end of January.

@highlight

The new Windows 8 operating system is available after midnight Thursday

@highlight

It can be downloaded online, shipped or you can buy a new computer with it pre-installed

@highlight

The new interface, which is for tablets and PCs, is fun but takes some getting used to

@highlight

Existing Windows users can upgrade for $40 online