(CNN) -- TED talks have become an integral forum in airing ideas about tomorrow's world, and how the likes of transport and energy will be revolutionized in the future. Here, we take a look at nine of the most thought-provoking discussions on what the transformation of tomorrow will entail.

ELON MUSK, The mind behind Tesla, SpaceX, SolarCity...

Paypal and Tesla Motors founder Elon Musk - otherwise known as the man who wants to colonize Mars - sat down with Ted curator Chris Anderson to discuss his plans for the future of transportation. His upcoming vehicular inventions include building better batteries for electric cars, leasing out solar energy and creating a reusable rocket.

BASTIAN SCHAEFER, A 3D-printed jumbo jet?

Aircraft engineer Schaefer unveils his plans for the future designs of jet planes. The collaboration with Airbus is focusing on sustainability: social, environmental and economic values that will make the jumbo jet of the future a greener and leaner contraption.

JANETTE SADIK-KHAN, New York's streets? Not so mean any more

Sadik-Khan, a former transportation commissioner of New York City, explains how street design is a crucial element of living in today's "urban age." Her work, under the guidance of then-mayor Michael Bloomberg, turned tourist-magnet Times Square into a two-and-a-half-acre pedestrian-friendly zone, simultaneously cutting down traffic and making the environment a safer space.

AMORY LOVINS, A 40-year plan for energy

Integrating all four energy sectors with new innovations are the key to shifting our reliance on oil, according to physicist Lovins. He believes that the sector costs to the US economy could be reduced by $50 trillion if we can "eliminate our addiction to oil and coal by 2050 and use one-third less natural gas while switching to efficient use and renewable supply."

DAVID LANG, My underwater robot

TED fellow Lang taught a robot to become an amateur oceanographer, and maintains that the future of underwater discovery lies in our automated friends. Having raised money for his DIY project on Kickstarter, he has high hopes for the creation of a global community of ocean explorers, where thousands of the devices roam the seas.

JEFF SPECK, The walkable city

A leader in the fight to eradicate dependence on cars, urban planner Speck slams 'suburban sprawl' - the reorganization of landscape around automobile use. He believes that we can have a healthier, more sustainable future by ditching the "gas-belching, time-wasting and life-threatening prosthetic device."

JONATHAN TRENT, Energy from floating algae pods

Scientist Trent is currently developing a new form of grow-it-at-home biofuel by farming micro-algae in floating offshore pods that eat waste-water from cities. "I discovered that what's really required for sustainability is integration more than innovation," he says. "Biofuels production is integrated with alternative energy is integrated with aquaculture."

ANDREAS RAPTOPOLOUS, No roads? There's a drone for that

Drones are slowly but surely being adopted by businesses to make the likes of deliveries and surveillance easier, and airborne logistics expert Raptopolous believes they could be the key to global infrastructural weaknesses. The one billion people living in areas that don't have all-season roads could receive the likes of medicine and food via drone instead, he proffers.

ALEX STEFFEN, The shareable future of cities

"Planetary futurist" Steffen discusses the ways in which we can begin "reweaving the urban fabric that we already have" in our cities and conurbations. By creating neighborhood-based green projects and reducing our reliance on cars, a more eco-friendly future could become a reality.

Read more from Tomorrow Transformed:

Finally, a flying car for everybody? It's the idiot-proof aerial commuter

Will people still be useful in the 21st century?

Can this one-wheeled wonder change the way you commute to work?

@highlight

TED talks have become one of the biggest global forums for discussing ideas

@highlight

Renowned figures from Stephen Hawking to Chimamanda Ngozi Adichie have given talks

@highlight

From 3D-printed jets to underwater robots, there are numerous ideas for the innovations of tomorrow