Nashville, Tennessee (CNN)  -- The recent news item about a Connecticut worker fired for Facebook postings that annoyed her employer, like other accounts of employees sacked for private speech, was bound to draw a lot of attention. Americans hold First Amendment rights to free speech as a kind of sacrosanct birthright, and for many of us the idea that you can lose your job for expressing private thoughts away from work offends the core principle of freedom of expression.

In fact, though, firing a worker for off-the-job speech that unsettles an employer is pretty routine, and for the most part very legal. The First Amendment and the rest of the Bill of Rights protect us from infringements on our liberties by acts of government, not from the oppressive acts of nongovernmental actors such as private-sector employers.

Combine that with the labor law concept of "employment at will," which makes it possible to fire someone without due process for just about anything short of discrimination, and you are left with an American workplace where free expression has scarcely more moral credibility than employee theft. A particularly eye-catching example is an Alabama woman who lost her job -- with no legal recourse -- during the 2004 election season because her Republican boss didn't like the John Kerry bumper sticker on her car in the factory parking lot.

Widespread use by just about everyone of online networks and social media opens new opportunities for workers to engage in personal expressive activity that might arouse the notice and disapproval of one's employer, and by extension opportunities for touchy or paranoid employers to police and punish essentially harmless extracurricular speech.

So in a sense, the situation involving Dawnmarie Souza, the Connecticut emergency medical technician fired by an ambulance services firm for posting negative comments about her boss on Facebook, is just the latest skirmish in an ongoing conflict between employers' desire to keep workers in line and the rights of employees to live their private expressive lives without unwarranted employer interference.

But there's a wrinkle that makes this case important: the involvement of the National Labor Relations Board (NLRB), which contends that Souza's Facebook comments could be protected activity under labor law. Americans don't enjoy general free speech protections against infringement by a private employer (with some limited exceptions, such as certain kinds of whistle-blowing). But federal labor law does grant union-eligible workers the right to engage in "concerted activity" for the purpose of "mutual aid or protection" -- essentially, to communicate with each other about working conditions and terms of employment. Those same federal laws bar employers from interfering with workers' efforts to improve their work situations.

If Souza had dissed her boss in, say, a blog post or a letter to the editor, her expressive act would likely earn no protection against her employer's wrath. But on Facebook her comments catalyzed responses from and interaction with some of her co-workers. That online "conversation" involving Souza and other employees of the same firm is what the NLRB alleges could amount to protected concerted activity. If the courts agree (at this point it's just a charge by the NLRB, with a hearing slated for early next year) then Souza's dismissal was illegal.

When this case does reach a courtroom, lawyers will tussle over the nature of social media sites. Does interaction within a closed Facebook circle of friends amount to private conversation, or are negative comments about one's job or boss on Facebook the equivalent of a public statement that could affect a firm's reputation? Does it matter how big one's network is? How many co-workers have to chime in to the conversation to make it "concerted" activity?

Until this works its way through the courts, employment lawyers are advising corporate clients to ensure that employee policies regarding internet use are not written so broadly that they chill workers' exercise of their associational rights under labor law.

Souza's situation turns more on labor law protections than on constitutional free-speech rights because she worked for a private-sector employer. The First Amendment does afford more protection to public-sector workers, but government employees reading this shouldn't get their hopes up. Federal court decisions along with developments in management practice have combined to make even the public-sector workplace rather inhospitable to employee free-speech claims.

Consider the cautionary tale of Ashley Payne, a Georgia public school teacher forced to resign last year when administrators learned in an anonymous email about pictures of her on Facebook holding an alcoholic beverage during a trip to Europe. According to the Atlanta Journal-Constitution, Payne kept her network settings private, and never friended any students. A year later, as her case crawls through the legal system and she awaits her day in court, Payne is still unable to find a teaching position.

A common reaction among working professionals to stories such as Souza's and Payne's is to advise people to manage their online presence and their digital footprints more carefully and prudently. Avoid giving your employer a reason to frown on your online expressive activity, goes the argument, even when you do it on your own time, on your own device, and on private networks. This is reasonable advice to the extent that it equates to "avoid being really stupid," but it's unfortunate advice if it counsels individuals to suppress their own private expressive life as a career strategy.

To be sure, employers need not tolerate any and all extracurricular speech by workers that might genuinely pose a legitimate threat to the firm's interests or to its workplace harmony. If I worked for CNN, with a spare-time hobby maintaining the web site timewarnerisevil.com, it certainly shouldn't behoove my employer to retain my services in the name of some abstract notion of off-work freedom of personal expression. Employers need not allow workplaces to become debating societies or free-for-alls for hostility and harassment.

But it's troublesome when employers favor a management culture so bent on predictability and control that even mild or tangential departures from expressive conformity are treated with suspicion and rebuke. Employees will kvetch about jobs and bosses until the day there no longer are jobs and bosses, and enlightened employers understand that new technological vehicles for said kvetching will inevitable emerge and evolve.

Holding a job should not require giving up your right to an expressive private life, even if you might be prone to the occasional untoward remark about the people who sign your paycheck. Cultivating a thin-skinned managerial impulse to treat workers' expressive activities as existential threats to the enterprise isn't how you manage a workforce; it's how you chase talent away to your competitors.

The opinions expressed in this commentary are solely those of Bruce Barry.

@highlight

Bruce Barry: Losing private-sector job over a Facebook remark doesn't violate freedom of speech

@highlight

Employers shouldn't view offhand remarks on Facebook as threats, he writes

@highlight

Barry: National Labor Relations Board says comments may be protected under labor law

@highlight

Workers shouldn't forfeit rights, he says, and thin-skinned bosses can scare away talent