Brattleboro, Vermont (CNN) -- The skies may have cleared, but an assessment of damage has only just begun.

Officials from President Barack Obama's administration will travel Tuesday to Virginia, North Carolina and Vermont -- some of the hardest-hit states -- to survey ongoing response efforts, according to the Department of Homeland Security.

The storm known as Irene left parts of the U.S. East Coast grappling with dangerous floodwaters and widespread power outages.

At least 27 deaths in nine states have been blamed on Irene, which fizzled to a post-tropical cyclone and headed over eastern Canada Monday.

Flooding was ongoing, particularly in New England, said Craig Fugate, director of the Federal Emergency Management Agency. Upstate New York, New Jersey and Vermont endured some of the worst flooding.

"A lot of the activities are moving into recovery phases, but we are still very concerned about the flooding," Fugate told reporters Monday.

Southern states were affected primarily by power outages and the effects of the storm surge, particularly on the Outer Banks of North Carolina, where Highway 12 had been chopped into pieces in several places by the pounding surf.

As of Monday afternoon, about 5 million customers were without power, Fugate said, citing figures from the Department of Energy. That was down from about 6 million earlier, he said.

In New York, torrential rains washed out roads and bridges, flooding homes and some businesses. The town of Prattsville was struck particularly hard.

In Vermont, the governor warned that further flooding and loss of life are likely for the small, rural state. While small brooks have crested, large rivers have not, he said.

"It's just devastating," Gov. Peter Shumlin said. "Whole communities under water, businesses, homes, obviously roads and bridges, rail transportation infrastructure. We've lost farmers' crops. We're tough folks up here but Irene ... really hit us hard."

David Vallee, a hydrologist for the National Weather Service in charge of the Northeastern forecast center in Taunton, Massachusetts, said rainfall reached 15 inches in some places. The fact that much of the affected area was already heavily saturated by rainfall in the weeks prior to Irene made things worse, he said.

Moderate to major flooding was occurring from New York into the Connecticut Valley, through much of northern New Hampshire "and a good chunk of Vermont." Many of the river crests set records, he said.

In New Jersey. an array of rivers and creeks eclipsed flood stages and continued to rise Monday.

"We're seeing record flooding levels across the northern part of our state. Nine river locations have reached or passed record flooding levels," New Jersey Gov. Chris Christie told reporters.

Asked how FEMA has changed its approach to handling disasters six years after Hurricane Katrina laid waste to much of the Gulf Coast, Fugate said the agency now has more authority to act prior to receiving a request from a governor. That translates into "not having to wait" until the impact of the storm is clear. "We have to act quickly and be prepared to support that," he said.

In Washington, Obama vowed, "We will make sure folks have all the support they need." He added that "it will take time" to recover.

Residents from North Carolina through New England will need that support, with homes, businesses, roads and bridges torn apart by floodwaters.

Some of the worst flooding since 1927 ravaged Vermont's normally tranquil countryside, turning babbling brooks into turbulent rivers and knocking homes from their foundations.

In Wilmington, Vermont, a young woman who had been standing near a river was swept away by the water. Her body was recovered Monday. One person is still missing in Vermont and feared dead, authorities said.

In all, 260 roads were affected, many of them underwater, Vermont's Emergency Management Agency said Monday.

The emergency management headquarters flooded overnight and was evacuated and relocated from Waterbury to Burlington, approximately 20 miles away.

"We never see this sort of thing in Vermont," said Jesse Stone of White River Junction, where a covered bridge was flooded. "For the people who are saying that Irene was disappointing, maybe, because they didn't get the sort of wind and damage they expected, I just want to remind them that, in places like Vermont, we really got it pretty hard."

In North Carolina, about 250,000 customers were without power Monday, down from more than 440,000 on Sunday night, the state's division of emergency management said.

Connecticut Light & Power reported Monday evening that an estimated half million people had no power. Some customers might have to wait a week or more because of damage to the system.

But life along much of the East Coast returned to normal, as subway services resumed on all 22 lines in New York City, and the three major airports in the area reopened after thousands of flights were canceled over the weekend. Flight schedules were expected to normalize slowly, and passengers were urged to check with their airlines before going to the airport.

Amtrak canceled many trains, but had some service in the Northeast.

Officials reported six deaths in North Carolina, four in Virginia, five in Pennsylvania, three each in New York and Vermont, two each in Connecticut and New Jersey and one each in Maryland and Florida.

The U.S. government estimates that the cost from wind damage alone will exceed $1 billion. Analysts have put the total anticipated cost of Irene much higher.

CNN's Joe Sutton, Gary Tuchman, Paul Courson, Jake Carpenter, Mark J. Norman, Poppy Harlow, Divina Mims, Rob Marciano, Rose Arce, Jeanne Meserve, Chris Boyette, David Mattingly, Susan Candiotti, Greg Botelho, Phil Gast, Ed Payne, Ric Ward and Justine Redman contributed to this report.

@highlight

NEW: Obama administration officials will visit hard-hit areas on Tuesday

@highlight

New Jersey, Vermont and upstate New York are coping with floodwaters

@highlight

The death toll rises to at least 27

@highlight

5 million customers without power as of Monday afternoon, FEMA's administrator says