New research shows a major section of west Antarctica's ice sheet will completely melt in coming centuries and probably raise sea levels higher than previously predicted, revealing another impact from the world's changing climate.

According to a study released Monday, warm ocean currents and geographic peculiarities have helped kick off a chain reaction at the Amundsen Sea-area glaciers, melting them faster than previously realized and pushing them "past the point of no return," NASA glaciologist Eric Rignot told reporters.

The glacial retreat there "appears unstoppable," said Rignot, lead author of a joint NASA-University of California Irvine paper that used 40 years of satellite data and aircraft studies.

NASA says the region has enough ice to raise global sea levels by 4 feet. According to Rignot, conservative estimates indicate the complete melting of the Antarctic ice cited in the study could take several centuries.

However, the melting could have an impact this century, according to Sridhar Anandakrishnan, a geosciences professor at Pennsylvania State University.

The United Nations' most recent climate change report estimated sea levels could rise from about 1 foot to 3 feet by 2100. Such a rise could displace tens of millions of people from coastal areas around the world.

Anandakrishnan said the U.N. estimate largely didn't take into account the melting ice sheet from west Antarctica, because few studies for that area had been completed.

"So as this paper and others come out, the (U.N.) numbers for 2100 will almost certainly" lean closer to 3 feet, he said.

Why scientists think it's unstoppable

The rate at which the area's ice is melting has increased 77% since 1973, and there are several reasons, researchers said.

The ice sheet there, unlike those in much of east Antarctica, is attached to a bed below sea level. That means ocean currents can deliver warm water at the glaciers' base, or grounding lines -- places where the ice attaches to the bed, NASA said.

The heat makes the grounding line retreat inland, leaving a less massive ice shelf above. When ice shelves lose mass, they can't hold back inland glaciers from flowing toward the sea. Glaciers then flow faster and become thin as a result, and this thinning is conducive to more grounding-line retreat, NASA said.

"The system (becomes) a chain reaction that is unstoppable, (with) every process of retreat feeding the next one," Rignot said.

Iceberg is twice the size of Atlanta

A hill or a mountain behind the grounding line would slow this retreat. But the beds behind nearly all the Amundsen Sea glaciers slope downward, researchers said.

Rignot said he believes climate change and a depletion of the Earth's ozone layer are partly to blame, saying they have changed the winds in the area to cause more warm water to go toward the glaciers.

Climate change skeptics, many backed by a huge campaign funded by the fossil fuels industry, seek to undermine research findings on the impacts of what is popularly referred to as global warming. They challenge the scientific validity of climate change, as well as the role of human-produced pollution in contributing to it.

For example, such opponents of policies to reduce U.S. carbon emissions say the severe North American winter that just ended and evidence of increasing Antarctic sea ice defied the claims by scientists of a warming planet.

However,  Rignot and Anandakrishnan said their findings on the west Antarctica ice shelf don't clash with news of the record levels of Antarctic sea ice. They noted that sea ice forms and melts quickly, while glaciers are subject to longer-term change.

Rignot added that the same winds that stir subsurface heat toward the base of Antarctic ice shelf also can expand sea ice cover.

Not a first

Such a melting would be uncommon, but not necessarily unprecedented, Anandakrishnan said. Evidence shows that west Antarctica retained an ice sheet during the last few 100,000-year cycles of glacial formation and retreat, he said.

But evidence also suggests the entire west Antarctica ice sheet might have melted 500,000 to 600,000 years ago, Anandakrishnan said.

The six Amundsen Sea glaciers are just a portion of the entire west Antarctic ice sheet. Though much of the other west Antarctic sections are grounded below sea level, the Amundsen Sea area is more vulnerable, in part because it has fewer hills behind the leading edges and because the shape of the sea floor helps usher more warm water to the base, NASA said.

Anandakrishnan said it was possible that the melting in the Amundsen Sea area could destabilize other ice sheets. The entire west Antarctic ice sheet has enough ice to raise the global sea level by about 16 feet, NASA said.

@highlight

Warm currents, other factors have caused chain reaction, NASA says

@highlight

Region has enough ice to raise global sea levels by 4 feet, scientists say

@highlight

Researchers: Melting could take several hundred years, but could have impact this century