(CNN)There was some good news this week. The New York state attorney general's office has told four major retailers --Walmart, GNC, Target and Walgreens -- to cease sales of their store-branded herbal supplements because their products do not actually contain the herbs purportedly listed on their labels. These herbal supplements contain mostly fillers and in some cases potential allergens. But other supplements are more worrisome.

As a nutrition expert, I am horrified by the daily barrage of outrageous and unsubstantiated claims touting cures from everything from E. coli to Ebola. If you do a Web search on just about any disease, you will find carefully worded ads promoting unproven nutritional therapies. Worse, some of these can be harmful. For example, people have suffered liver damage from green tea extract that is so severe that they have needed a liver transplant. And the frequency of harm from dietary supplements is on the rise.

Dietary supplements are not miracle pills. Extremely few of the claims are supported by good science, even when the substance on the label is actually in the bottle (which we've learned we don't know for sure), and many others have been proven ineffective.

Fortunately, some recent developments are heartening. The Federal Trade Commission won a settlement against NourishLife, LLC and its owner, Mark Nottoli, who shamefully claimed that the company's dietary supplements, which are mostly fish oil, will treat speech problems in autistic children. The FTC also won a large settlement against Lindsey Duncan and Pure Health, LLC. This company is infamous for promoting its green tea product as a weight loss miracle by sending paid spokespeople disguised as objective experts to appear on "The Dr. Oz Show."

The outrageousness of these claims knows no bounds. And there are no bounds since the law that regulates the industry, the Dietary Supplements Health and Education Act of 1994, took all control and oversight of these products away from the Food and Drug Administration. Powerful politicians, in partnership with the supplement industry, created ad campaigns so effective that more people wrote to Congress in support of the bill than wrote about the Vietnam War.

As a result, there is little regulation of anything called a dietary supplement.  It is left mostly to the FTC to prosecute companies for fraud for their unsubstantiated claims about supplements. These companies are crafty in how they make their claims when the health effect, and safety, of their supplements are unproven.

But those of us in the health community are at least in part to blame for the confusion that drives the enormous market for alternative medicine.

First, we contradict ourselves every time we issue a new set of guidelines. For example, the U.S. Department of Agriculture issues new dietary guidelines approximately every five years.  Since the 1980s, there have been the Food Wheel, the Food Guide Pyramid, the MyPyramid Food Guidance System and MyPlate. Each of these guidelines has substantially changed how we are supposed to think about our diets. The Department of Agriculture plans to publish another guideline next year.

And there are dozens of additional dietary guidelines published every year by professional organizations on everything from preventing cancer to controlling diabetes. Flooded with all of these different guidelines, consumers may feel overwhelmed and think that health experts do not have all the answers, hence they turn to health fads and supplements.

Second, there are no controls in place, where supplements are concerned, to regulate how we might be biased by conflicts of interest. This is illegal when it comes to pharmaceuticals. Not so with supplements.

For example, Duncan of Pure Health, LLC claimed to be a nutrition expert despite having no credible education or degree to support it. Currently, he is being sued by the Texas attorney general on allegations of falsely representing himself as a doctor.

The authors and supporters of nutritional quackery are often quick to claim that there is little potential harm.  After all, we are talking about nutrients. We all need nutrients, so of course they are safe, right? The magical thinking that nutrients or herbs that we take into our bodies have no potential for harm often goes unchallenged. But we have seen time and again that nutritional interventions that sound great can turn out to be harmful. For example, in large randomized trials, beta carotene increases the incidence of lung cancer. In other studies, vitamin E and selenium significantly increased the incidence of prostate cancer.

Nutritional science is very complex. If these substances are effective, they are acting as drugs and should be regulated as such. Given the clear potential for harm, and even death, from these unregulated supplements, and the lack of ethics in the absence of strong prohibitions, it is time for better laws. But meanwhile, let the buyers beware.

@highlight

New York attorney general told retailers to cease store-branded herbal supplement sales

@highlight

David Seres: Unregulated supplements make outrageous, unsubstantiated claims on health