A new study of over a million women reports smokers more than triple their risk of dying early compared with nonsmokers, and that kicking the habit can virtually eliminate this increased risk of premature death.

Smoking remains the leading causes of preventable death in both the United States and the United Kingdom. Lead study author Richard Peto, a professor at the University of Oxford in the U.K., and his colleagues conducted one of the largest studies looking at the hazards of smoking and the benefits of quitting among women born around the 1940s.

These women were among the first generation of females to smoke regularly throughout their lifetimes, and tracking these women into the 21st century provided the most comprehensive look at the prolonged effects of smoking, as well as the benefits of quitting.

TIME.com: Largest ever survey on global tobacco use issues dire warnings

"Only in the 21st century could we observe directly the full effects of prolonged smoking, and of prolonged cessation, on premature mortality among women," said Peto in a statement.

Between 1996 and 2001, the researchers recruited 1.3 million female participants ages 50 to 65. The women filled out questionnaires detailing their lifestyles, medical status and sociodemographic factors. The researchers followed up and resurveyed the women three and eight years later.

At the start of the study, published in the journal Lancet, 20% of the women were smokers, 28% were former smokers and 52% never smoked. Each of the women was registered in the U.K.'s national health system, so their deaths and cause of death were recorded. By 2011, 66,000 had passed away.

The researchers found that women who smoked cigarettes throughout their adult years had three times a greater risk of dying compared with nonsmokers and women who quit well before middle age.

They were much more likely to die of smoking-related causes like lung cancer, heart disease and stroke. Even light smokers who smoked one to nine cigarettes per day had two times the mortality rate of nonsmokers.

TIME.com: 5 smartphone apps that promote smoking

More encouraging, however, was the positive effect that quitting seemed to have on the women's life span.

Those who quit smoking before they reached 40 avoided more than 90% of the increased risk of premature death from cigarettes, while women who stopped even earlier -- before age 30 -- avoided 97% of the added risk.

And it's never too late, the authors write, to stub out those cigarettes. "Even cessation at about 50 years of age avoids at least two-thirds of the continuing smoker's excess mortality in later middle age," they write. The hazards of smoking on health and mortality for women who continued to smoke past 40, for example, were 10 times greater than among women who quit before age 40.

Rachel Huxley, a professor at the University of Minnesota who wrote an accompanying editorial to the study, says that the latest data on women are a welcome addition to existing knowledge, which have underestimated the full impact of smoking on women.

"Unlike in men, we have had to wait until now to fully understand the hazards of smoking and the associated benefits of quitting in women," she says. "This is because smoking only first became popular among women born in the 1960s -- decades later than men -- and because of the long time lag between smoking and disease onset, we've had to wait until these women were in their 50s to really see the damage to health that smoking has."

TIME.com: The major toll of secondhand smoke

Huxley and the study authors note that compared with those who don't smoke, women who smoke are at greater risk of heart disease than male smokers.

Although the underlying mechanisms are largely unknown, researchers speculate that smoking's effect on dampening the potentially protective effects of estrogen on the heart might put women smokers at a higher risk for heart disease than men who light up.

Behavioral factors, like the fact that women tend to inhale more deeply than men, may also play a role. "We just don't know, but it's intriguing and warrants further study," says Huxley.

Although smoking rates have largely declined in the West since the 1940s, new evidence suggests the practice may be on the rise in developing countries. In August, the World Health Organization released a report showing global smoking rates remain strong, with 1 in 10 women picking up the habit. More people from middle-income countries are smoking, and women are starting at younger ages.

Given these trends, data on the long-term health effects of smoking are desperately needed, says Huxley. "The main message is that quitting smoking works, and the sooner the better."

TIME.com: How much weight will you gain after you quit smoking?

TIME.com: Teens and tobacco use: Why declines in youth have stalled

This story was initially published on TIME.com.

Women who give up smoking extend lives by 10 years

@highlight

A new study examines more than a million women in the United Kingdom

@highlight

Women who smoke throughout adult years have three times the risk of dying

@highlight

Women smokers are also at a greater risk of heart disease than male smokers

@highlight

Quitting smoking before middle age can virtually eliminate this risk