Sen. Rand Paul marked the 50th anniversary of the Civil Rights Act at a ceremony this week honoring the late Maurice Rabb, a renowned ophthalmologist and civil rights leader.

It was part of his aggressive outreach to African-Americans and other nontraditional GOP voters as he works to expand the Republican Party and as he crisscrosses the country laying groundwork for a potential presidential campaign.

It's a community in which he has some fences to mend.

While campaigning for the Senate four years ago, Paul sparked a firestorm for questioning parts of the historic law, especially its underpinnings that place restrictions on private property.

The law gave the federal government too much power in telling business owners what they could and could not do, he argued. While he expressed strong abhorrence for racism, he said it was the job of communities, not the government, to fix discrimination in private places by boycotting such businesses.

His argument lined up ideologically with his libertarian, limited-government leanings, but Democrats have used his comments to try to define him as a civil rights opponent.

Paul is now considered a likely presidential contender. And as the most active Republican leader in the effort to recruit African-Americans to the GOP, his comments from four years ago have become a thorn in his side.

Political strategists say the senator has gotten better at framing his arguments in a less divisive manner. But in order to lay to rest controversy over his 2010 remarks, he needs to keep doing what he's doing: Try to convince African-Americans and Democratic voters that he's an advocate for many of their views, and push his fellow Republicans to join him in the effort.

"If we're going to be the white party, we're going to be the losing party," Paul said Tuesday at the Shelbyville Rotary Club while he was in town for the event honoring Rabb.

Paul's questions about the law

In April 2010, Paul was asked by the Louisville Courier-Journal about his thoughts on the Civil Rights Act. He hailed the law for striving to end discrimination in the public domain, but he didn't fully approve of the government's role in the process.

"I think it's a bad business decision to exclude anybody from your restaurant â€” but, at the same time, I do believe in private ownership," he said.

He added that he agrees any publicly-funded entities should not be allowed to discriminate, but the law shouldn't necessarily apply to private businesses. "And that's most of what I think the Civil Rights Act was about in my mind."

So how would he resolve the problem? Consistent with his small-government philosophy, he said it should be up to the people to self-correct the issue.

"In a free society, we will tolerate boorish people who have abhorrent behavior. But if we're civilized people, we publicly criticize that and don't belong to those groups, or don't associate with those people," he added.

His comments were similar to the views of his father, former Rep. Ron Paul, who famously protested a 2004 vote in the House commemorating the 40th anniversary of the Civil Rights Act. The then-congressman said the law did not improve race relations, and it diminished individual liberty.

Defending his father, Paul said the problem with the law was the unintended consequences it had on property rights.

"It's not all about race relations. It is about controlling property, ultimately," he said on CNN in January 2012.

But Patrick Maney, a history professor at Boston College, said the discussion around property rights was only a portion of the debate about the Civil Rights Act at the time of passage.

"Saying the Civil Rights Act was about property rights is sort of akin to those who say the Civil War was about states' rights," he said. "The main objection, especially among the most rabid opponents, was to racial integration, assimilation, and race mixing."

'Concerned about the ramifications'

Paul also argued that the law set a dangerous precedent that's paved a way for other restrictions on businesses, such as calorie-count regulations and smoking bans.

While visiting Howard University, a historically black college in Washington, Paul was questioned last year about his views on the law. He forcefully said he's never come "out in opposition to the Civil Rights Act or ever introduced anything to alter the Civil Rights Act."

Rather, he's been "concerned about the ramifications of certain parts of it beyond race, as they are now being applied to smoking, menus, listing calories and things on menus, and guns."

But historians say there's no direct connection between the 1964 law and the federal regulations he mentioned.

"I see absolutely nothing in the Civil Rights Act as opposed to any other law which would lead to smoking bans," said Ed Dorn, a professor and former dean of the Lyndon B. John School of Public Affairs at the University of Texas at Austin.

A more likely connection, Dorn added, would be linking smoking bans and menu restrictions to health laws mandating child vaccinations.

There is one title (out of 11) in the law that addresses private businesses. It states that certain entities are exempt from the law, such as small bed-and-breakfast type facilities, known colloquially as "Mrs. Murphy's Boarding Houses," in which there are five or fewer bedrooms and where the owner is a full-time resident.

In a May 2010 interview with MSNBC's Rachel Maddow, Paul famously suggested that if he were around in 1964, he "would have tried to modify that" section of the law and "there would have been some discussion" on property rights.

The Washington Post in 2013 ran a fact-check of Paul's comments about the Civil Rights Act over the years and gave him three out of four Pinnochios for what they described as "rewriting history."

"It would be better to own up to his mistake â€” if he now thinks it was one â€” rather than sugarcoat it," the article stated.

An uphill battle

Perhaps more than any other Republican politician, Paul has been actively trying to expand the GOP by making it more attractive to African-Americans. He started his outreach following the 2012 presidential election, when Republican Mitt Romney garnered only 6% of that vote.

Paul has made multiple trips to historically black colleges and urban centers, preaching a pro-school choice position and holding meetings with students and school leaders. Last month he helped open a Kentucky GOP office in a predominantly African-American area in Louisville. In late July, he'll address the National Urban League in Cincinnati.

And in Congress, he's working to restore voting rights for people convicted of nonviolent felonies, many of whom are minority voters, and he's pushed his idea of "economic freedom zones" that would focus on improving struggling communities in urban areas.

"I think you'll find nobody in Congress doing more for minority rights than me, right now. Republican or Democrat," Paul told reporters Tuesday in Shelbyville.

Paul's policy messages will resonate with "the African-American of 2014," said Elroy Sailor, an African-American businessman who's traveled with the senator to urban areas and historically black schools -- though he stressed historical issues were still important to the black community.

Sailor said Paul's actions will ultimately speak louder than any comments he made in the past.

"That's what's transcending a statement here, or a statement there," he argued, predicting Paul will win people over in the long run.

"I think you'll see a lot of Rand Paul Democrats."

But Paul still faces an uphill battle in courting those voters. While he's reaching out to African-Americans on issues they care about, his political associations and ideology may be an obstacle for some.

"The libertarian perspective has never been terribly strong in the African-American community precisely because it is tied to a private property argument that bears a very insidious connection to slavery and racial discrimination," said Dorn, the professor of public affairs, though he said he takes Paul at his word that the senator detests racism.

"Very few civil rights advocates have been libertarians," Dorn added, however.

Learning a valuable lesson

As Paul works to appeal to African-Americans on the policy front, he'll need to continue sharpening his message skills.

"He learned a very, very valuable lesson: If it's too complicated to explain your position, you're probably in trouble," said GOP strategist Ford O'Connell.

He's tried to clean up and clarify his comments about the Civil Rights Act, and in May 2012, he told CNN's Wolf Blitzer that he would have voted for the bill in 1964 if he had the chance. He "would have been there marching with Martin Luther King" during the civil rights movement, he said.

In a statement this week on the anniversary, Paul said the law "changed the future of our nation by enforcing the belief that all men and women are created equal."

When running for the Senate in 2010, Paul was considered a newcomer to politics. He had campaigned for his father's presidential bids and had been involved in political activism, but Rand Paul's Senate run was his first big campaign of his own.

Strategists say his comments about the Civil Rights Act were a rookie mistake; Paul, who had been a practicing ophthalmologist for 17 years, wasn't quite ready for the sound-bite friendly media.

If Paul runs for president, Democrats are almost certain to make sure his comments about the Civil Rights Act overshadow any other efforts he's made to appeal to African Americans.

On Tuesday for example, the Democratic National Committee quickly pounced on the statement Paul released on the anniversary. In an email blast, the DNC reminded people of his Louisville Courier-Journal interview. Paul is "now trying to have it both ways," the email stated.

"No rhetoric can erase the number of instances where Paul has turned his back on the Civil Rights Act that's created a more fair and just America," it continued. The response offered a glimpse at how Democrats plan to target the likely presidential candidate.

From a strategy standpoint, O'Connell said Paul has "gotten a lot better" at talking to the media and it's "wise" for him to be active in appealing to the African-American community, not only for his own political future, but for the Republican Party as a whole.

"His job between now and then is to continue what he's doing with minority outreach and try to bury this every way possible," he said.

@highlight

Rand Paul got in some hot water over his 2010 comments about the Civil Rights Act

@highlight

Democrats will likely make the controversy a line of attack if he runs for president

@highlight

The Kentucky Republican is now trying to appeal to African-American voters

@highlight

Experts say he's made strides with his outreach efforts, but needs to keep it up