Los Angeles (CNN) -- Seventy-five former professional football players are suing the National Football League, saying the league knew as early as the 1920s of the harmful effects of concussions on players' brains but concealed the information from players, coaches, trainers and others until June 2010.

The players "did not know the long-term effects of concussions" and relied on the NFL to protect them, the suit says.

The lawsuit also names as a defendant the football equipment maker Riddell Inc., which has been the official NFL helmet brand since 1989.

"For decades, defendants have known that multiple blows to the head can lead to long-term brain injury, including memory loss, dementia, depression and (chronic traumatic encephalopathy) and its related symptoms," says the 86-page lawsuit, filed in Los Angeles County Superior Court on Tuesday.

"This action arises from the defendants' failure to warn and protect NFL players such as plaintiffs against the long-term brain injury risks associated with football-related concussions. This action arises because the NFL defendants committed negligence by failing to exercise its duty to enact league-wide guidelines and mandatory rules regulating post-concussion medical treatment and return-to-play standards for players who suffer a concussion and/or multiple concussions."

NFL spokesman Greg Aiello said Monday night that the league had not seen a copy of the suit but would "vigorously contest any claims of this kind."

Riddell declined to comment, issuing a statement saying only, "We have not yet review(ed) the complaint, but it is our policy to not comment on pending litigation."

NFL to require sideline test after head blows

The 75 former players accuse the NFL of engaging in "a scheme of fraud and deceit" by having members of the NFL's Brain Injury Committee "deny knowledge of a link between concussion and cognitive decline and claim that more time was needed to reach a definitive conclusion on the issue."

"When the NFL's Brain Injury Committee anticipated studies that would implicate causal links between concussion and cognitive degeneration it promptly published articles producing contrary findings, although false, distorted and deceiving, as part of the NFL's scheme to deceive Congress, the players and the public at large," the suit says.

"The defendants acted willfully, wantonly, egregiously, with reckless abandon, and with a high degree of moral culpability," the former players charge in court documents.

The suit notes that in 1994, the NFL studied concussion research through funding the NFL Committee on Mild Traumatic Brain Injury. The committee's published findings in 2004 showed "no evidence of worsening injury or chronic cumulative effects" from multiple concussions, the suit says. In addition, in a related study, the committee found that "many NFL players can be safely allowed to return to play" on the day of a concussion, if they are without symptoms and cleared by a doctor.

However, "it was not until June 2010 that the NFL acknowledged that concussions can lead to dementia, memory loss, CTE and related symptoms by publishing (a) warning to every player and team," says the suit.

"The NFL-funded study is completely devoid of logic and science. More importantly, it is contrary to their (the NFL's) Health and Safety Rules as well as 75 years of published medical literature on concussions," according to the suit, which asks for a jury trial and damages.

Even when the warning was issued, the NFL did not warn any past players, including the plaintiffs, or the public of "the long-term brain injury caused by concussions," the suit says.

"By failing to exercise its duty to enact reasonable and prudent rules to protect players against the risks associated with repeated brain trauma, the NFL's failure to exercise its independent duty has led to the deaths of some, and brain injuries of many other former players, including plaintiffs," the lawsuit says.

Film aims to show NFL's culture of playing on

Chronic traumatic encephalopathy is a degenerative, dementia-like brain disease linked to repeated brain trauma. The disease has been found in the brains of 14 of 15 former NFL players studied at the Boston University School of Medicine Center for the Study of Traumatic Encephalopathy as of May.

They include former Chicago Bears safety David Duerson, 50, who shot himself in the chest in February, leaving behind a note requesting that his brain be donated for study.

His widow, Alicia, said Wednesday that she had mixed emotions about the lawsuit. The Duersons weren't part of the lawsuit, according to court documents.

"I truly believe the NFL must have known on some level because there were always doctors present, you know, with these guys," Alicia Duerson said. "But I guess the other part of me is saying the 12 families who have lost their loved ones and their husbands or father that did have CTE, I feel like we're the families who they probably needed to help in this lawsuit as well.

"Dave would approve of it, I think, because he did want his brain donated, and he felt there was a problem with his brain, and he felt because of all the blows he took to his head that it caused him to have this problem," she said. "So David sacrificed his brain so they could research and develop and get better safety procedures and stuff like that for the NFL and for future football players.

"The final days of his life, it was very difficult for him because he was such a brilliant man, and he was very gifted, and for him to forget simple things like directions or having to write things down constantly and reminders for himself ... he was aggravated a lot," she said.

Former NFL player suffered from brain disease

Another player who showed signs of brain damage was former NFL defensive lineman Shane Dronett, who committed suicide at age 38 in 2009. His family said this year that Dronett's symptoms, which began in 2006, included bad dreams that eventually came nearly nightly, along with fear, paranoia and episodes of confusion and rage.

A wide variety of information on the subject -- including the first case of "punch-drunk" boxers, published in 1928 -- has been available to the league over the decades, the suit alleges.

In June 2007, the NFL scheduled a concussion summit because of congressional scrutiny and media pressure, the suit says.

"Unfortunately, the NFL in keeping with its scheme of fraud and deceit issued a pamphlet to players in August 2007, which stated: 'there is no magic number for how many concussions is too many,'" the suit says.

During hearings by the House Judiciary Committee in October 2009, U.S. Rep. Linda Sanchez, D-California, "analogized the NFL's denial of a causal link between NFL concussion and cognitive decline to the tobacco industry's denial of the link between cigarette consumption and ill health effects," the lawsuit says.

A brain with chronic traumatic encephalopathy contains dense clumps of a protein called tau, which is associated with repeated head traumas -- concussions or subconcussive hits -- that are not allowed to heal. The disease can also diminish brain tissue and is associated with memory loss, depression, impulsive behavior and rage.

The NFL was founded as the American Professional Football Association in 1920 and changed to its current name in 1922, the suit says. By 1924, there were 23 franchises in the league, court documents say. In 1970, the American Football League, which operated from 1960 to 1969, merged with the NFL.

The lawsuit didn't specify a monetary figure for compensatory and punitive damages.

CNN's Molly Green, Stephanie Smith and Justin Lear contributed to this report.

@highlight

NEW: Ex-player Duerson, who killed himself, would approve of the suit, his widow says

@highlight

NFL's failure to act has led to the deaths and brain injuries of former players, a lawsuit says

@highlight

The lawsuit filed by 75 former NFL players asks for a jury trial and damages

@highlight

An NFL spokesman says the league will "vigorously contest" such claims