MADRID, Spain (CNN) -- Spain is reeling from its most severe drought in 70 years with the nation's reservoirs on average just half full, the Environment Ministry reports.

The tower of a former church, underwater before the drought, reappears in the Mediano reservoir.

Rainfall has been less than half of what's considered normal for the last six months and reservoir levels were already low after two years in which normal rain levels failed to rebound from the driest 12 months on record -- October 1, 2004 to September 30, 2005.

The worst-hit areas are the Catalonia region -- whose capital, Barcelona, is the nation's second-largest city -- and central Spain in the Castilla-La Mancha region near Madrid, according to Antonio Mestre, a climate specialist at the State Meteorological Agency in Madrid.

The Baells reservoir near Barcelona is about 20 percent full, and in some places it appears to be bone dry. A little row boat could this week be seen resting on the sandy dirt bottom of the reservoir.

In a nearby village, Gelida, trucks already bring drinking water every week because the town's three wells are too dry.

It's become a political headache for Socialist Prime Minister Jose Luis Rodriguez Zapatero, who is just starting his second term.

"Despite the difficult drought years," Zapatero said in the investiture debate in parliament, "there's been no shortage of drinking water anywhere in the country."

But Barcelona might run out by October.

The government has decided to quickly build a water pipeline for 60 kilometers (37 miles) along the major AP-7 highway, to pump water in to Barcelona, if necessary by the autumn and depending on reservoir levels at that time. The project would cost 180 million euros ($280 million).

The water would come from the Ebro river and that has sparked protests from the regional governments of Valencia and Murcia, down the Mediterranean coast from Barcelona, that the central government is favoring Barcelona.

Valencia and Murcia leaders this week threatened to take the case to the Constitutional Court, the highest in Spain.

Barcelona-area officials already have restricted the use of water for home gardens and parks and public fountains. They have also considered bringing drinking water in by boat.

To tackle chronic water shortages, Spain in recent years has also invested heavily in desalination plants, which take the salt of sea water to make it drinkable -- but several are not yet finished, including one that would serve Barcelona.

The latest drought hits Spain just after tens of thousands of new vacation homes have sprung up en masse along the coast in recent years, along with dozens of new golf courses thirsting to stay green.

"The amount of water resources depend not only on precipitation, but also on consumption," Mestre said. "The water demand in Spain has increased a lot in the last 10 or 15 years."

Despite recent showers, the past six months are the driest period in Spain in 70 years, when record-keeping began, Mestre said.

Farmers also compete for the water, to irrigate their fields, which are suffering in the latest drought.

Some critics say that successive Spanish governments have repeatedly taken short term measures during droughts, rather than making long-term water-use plans.

One old fisherman at the Riosequillo reservoir - an hour north of Madrid and just a third full despite the recent rains - said he'd never seen it so bad.

"We'd have so much progress," said Gregorio Consentini, the 78-year-old fisherman, "but we're doing badly."

To make matters worse, he didn't catch any fish that day -- which he also blamed on the drought. E-mail to a friend

@highlight

Spanish reservoirs on average half full after six dry months

@highlight

Past six months are driest in Spain in 70 years, when record-keeping began

@highlight

Worst-hit areas are Catalonia and central Spain

@highlight

Government building 60km pipeline to supply Barcelona