Washington (CNN) -- Forget, for now, the traditional debates over taxes and spending or national security.

The flashpoint in presidential politics, at the moment anyway, seems to be more about age.

Or experience. Or maturity. Or something like that.

Conservative columnist George Will labels the incumbent, President Barack Obama, an adolescent. Others from the right -- RedState's Erick Erickson among them -- are leading the charge in labeling Hillary Clinton too old.

And the debate is hardly limited to what Republicans think of the current and perhaps future Democratic Party standard bearers.

Bob Dole, who has firsthand experience on the receiving end of the age debate, took issue this past week with the "younger" members of the prospective GOP 2016 field.

"First-termers like Rand Paul, (Marco) Rubio and that extreme-right-wing guy -- Ted Cruz? All running for president now," Dole said. "I don't think they've got enough experience yet."

That last part suggests Dole's beef has more to do with legislative experience than the actual age of the three freshmen senators thinking about running for president in 2016. Not to mention his clear ideological differences with them, especially Cruz and Paul.

What Dole said publicly tracks a line of thought many Republicans debate more privately: After arguing for five-plus years now that Obama -- a freshman senator when elected -- wasn't ready for the highest office in the land, does it make sense for Republicans to nominate a freshman senator?

Double standard on age?

Ironically, that argument is advanced most by Republicans who anticipate Clinton as the Democratic nominee and use terms like experienced and formidable -- not old -- to describe her.

For point of reference, Clinton is 66 now.

Mitt Romney is 67. Jeb Bush is 61. Rick Perry is 64. Chris Christie and Rand Paul are 51. Paul Ryan is 44. Ted Cruz is 43, and Marco Rubio and Bobby Jindal are 42

Dole was 73 when he became the Republican presidential nominee in 1996 -- the oldest first-time presidential nominee.

Bill Clinton allies weren't shy, in public and even more so in private, in suggesting the Kansas senator was too old. Nor were Democrats, especially those in Obama's inner circle, shy about suggesting that 2008 GOP nominee John McCain, who was 72 on Election Day that year, was too old for the rigors of the presidency.

So in some ways, what goes around comes around now that the age debate is focused on Hillary Clinton. She is 66 -- and would be 69 on Inauguration Day if she assumed the presidency in 2017.

That is the same age as Ronald Reagan in 1981. So then is it sexist when conservatives who treat Reagan as a demigod say Clinton, the former secretary of state, would somehow be too old?

Going too far

Writing this past week on CNN.com, conservative commentator David Frum said age was openly discussed when Reagan, Dole and McCain ran for president. So why not when Clinton runs?

Fair enough. Like other candidates, Clinton will be asked to release health records and to make her doctors available for interviews. Some candidates are more cooperative than others on this front.

But it is a fair, and relevant, avenue of inquiry, regardless of whether the candidate for president is a man or a woman. Or in his or her 40s or 60s for that matter.

But how it is raised can make a huge difference.

As a substitute host for Rush Limbaugh this week, RedState's Erickson tossed in a plastic surgery reference: "She's going to be old. I don't know how far back they can pull her face."

He later argued on RedState that "any objective fact about Hillary Clinton" will be labeled out of bounds. Many conservatives make that argument, suggesting, as Frum also did, that Clinton thrives in a world of double standards. At times they have a case.

But the cosmetic surgery line wasn't an "objective fact about Hillary Clinton." It was mean and, yes, sexist.

Veteran GOP strategist Mary Matalin says many conservatives probably feel justified repeating against Clinton the age argument Democrats used against Reagan long ago.

"However justified they might be, it does feed right into the opposition meme," she said. Matalin is among those -- "in the minority" as she puts its -- not fully convinced that Clinton will run. But if she does, Matalin says, the age debate will intensify. "The first to pick it up will be her primary opposition."

A veteran Democratic strategist close to Clinton said a politician's age becomes an issue only when the politician behaves in a way that makes it an issue. "It's all how you act and think," the strategist said, speaking on the condition of anonymity.

Scott Reed, who was Dole's 1996 campaign manager, said just about anything, including age, can be relevant as a presidential campaign issue. But, he added, "the woman thing is such an unknown."

Another GOP strategist with presidential campaign experience chimed in with a one-word "nope" when asked if it is wise to raise Clinton's age.

"Perhaps that her politics/policies are outdated, or that she has been part of D.C. too long," this strategist suggested.

Life expectancy a more relevant point

A National Journal report on this debate this week smartly focused on a question more relevant than chronological age: the life expectancy of the candidate in question. A chart from that report suggests that Clinton "would have the longest total life expectancy of any president yet."

Still, a Clinton candidacy -- assuming she won the Democratic nomination -- would present voters with a generational question.

Her husband was 46 when he took office in 1993. George W. Bush was 54 in 2001. Obama was 47 in 2009. All three were elected to two terms; all three will have ended their presidencies in their 50s or early 60s.

"America doesn't go back," former Vermont Gov. Howard Dean said in a conversation several months ago -- meaning once the mantle of leadership is passed to one generation, he could not envision voters going back to an older generation. "Except for Hillary," he said. "She is the only one who could do it because of the historic aspect of her candidacy."

@highlight

Questions about potential GOP, Democratic presidential candidates' ages a flashpoint

@highlight

Both sides have alternately argued candidates are either too young or old over the years

@highlight

Political strategists say the relevance of the question depends on the way it is asked

@highlight

The life expectancy of the president is a far question, strategists say