(CNN) -- The charm of Ventotene is apparent the moment you spot it from the boat transporting you to its shores. Sitting there like a lonely sponge cake protruding from the surface of a clear blue plate, the island's sheer size -- or lack thereof -- promises something not only special but personal.

Ventotene lies in the Tyrrhenian Sea just west of the mainland region of Campania.

Arriving on this tiny island off the west coast of Italy, you enter the port built into the side of the volcanic island by the ancient Romans and only recently developed and expanded to provide for heavier traffic. The fishermen's boats lining the harbor along with pizza and scuba shops give the island that quintessential small-town Italian feel.

To get to the center of the island, you walk the winding ramp to Piazza Castello, where the town hall sits. Grab a cappuccino at one of the two cafes there, which moonlight as restaurants during peak season from May to October. If caffeine doesn't satisfy you, grab a bottle of wine at one of the local alimentari and sit in the park right off the square for  majestic views of the small uninhabited island of Santo Stefano (used to detain Mussolini's adversaries during his rule).

Part of the cluster of islands known as the Pontines, Ventotene -- which gets its name from the Italian word for wind, "vento" -- lies in the Tyrrhenian Sea just west of the mainland region of Campania.

It occupies less than a square mile, and its history dates to the Roman Empire, when emperors such as Augustus and Tiberius found the island's isolation perfect for banished troublemakers. During World War II, it was used as a listening post by a German garrison before being captured by the Allies in 1943.

The island also has a rich literary history. It is thought that Homer intended this to be the spot where Ulysses confronted the sirens during his long journey home. John Steinbeck wrote about the 1943 U.S. raid on Ventotene while he was a war correspondent for the New York Herald Tribune.

During the day, you can sunbathe at one of the three main beaches. Cala Nave is the preferred choice for its accessibility, black volcanic sand and rock outcroppings that make for ideal basking in the intense Mediterranean sun.

Ventotene has become a scuba diving destination because of its lush and mostly undisturbed aquatic life. There are several scuba-diving schools on the island, one of which was erected in the late '70s and is the oldest scuba academy in the whole of Italy. Private and group lessons start at 100 euros.

Ventotene's size makes it perfect for simply setting off and exploring. Walking is cheap, and traversing the bright landscape -- which often doubles as cliff's edge because of the island's narrow width -- is rewarding not only for its brilliantly colored vegetation but also for its panoramic views and lack of entry fee.

Lower on the island, discover the chiseled rocks pockmarked by saline (little crevices used to collect fresh salt water in ancient times) and the sea caves down by the port where transparent pools often act as windows into the astonishing marine life that surrounds the island.

If you're looking for something a little less nature-oriented, there are two museums. Villa Giulia -- which is less enclosed museum than outdoor relic -- is the ancient remains of a structure that housed/imprisoned Emperor Augustus' daughter, Giulia, who was exiled there for her promiscuity and immorality. The other is the Archeological Museum, which in its more standard presentation holds many artifacts that have been uncovered on the island over the years.

Unlike its more frantic (by Italian standards) and popular southern neighbors, Ischia and Capri, Ventotene has barely been touched by international tourism. The hotels are affordable, and the food isn't overpriced. Today, it's home to a year-round population of about 600. That number skyrockets during the summer months, especially in August, when it seems that every Italian heads to the seaside, or September, when the Festival of Saint Candice (Festa di Santa Candida) turns the island into one extended party.

Ventotene's real appeal isn't in its breathtaking 360-degree sea views, its clear, clean water or even its architecture and people. There are other places in Italy just as stunning. Its charm is in the sense you get that you're experiencing something not discovered by the tourists who flock en masse to the rest of Italy year-round. A sense you're among Italians.

@highlight

Ventotene lies in the Tyrrhenian Sea off the west coast of Italy

@highlight

Roman emperors found the island's isolation perfect for banished troublemakers

@highlight

Its lush and mostly undisturbed aquatic life makes it attractive to scuba divers