(CNN) -- What would you do if you were Vladimir Putin? What would you do if you were a Russian citizen?

Russia's economic problems -- slowly incubating in recent months -- are about to get a lot worse. And that should make all of us nervous.

The stomach-turning free fall of the ruble, the Russian currency, revealed the impending crisis. It may seem like a matter of economics, but at this level it is about politics, and when it comes to Putin, politics does not stop at the Russian border.

Putin will try to blame Russia's problems on the West. He will work to bolster support at home, rally the public by making Russians feel besieged by the outside world, mostly by the United States and its NATO allies. That could end up creating even more dangerous tensions between Moscow and Washington, between Russia and the West. And Putin has shown he is not afraid of using every instrument of power, including his military forces, to achieve his goals.

The walls are closing in on Putin's Russia. The spectacular collapse in global oil prices has led to an even more dramatic crumbling of the Russian currency, all of it coming at the same time as economic sanctions the West had imposed after Putin's forces captured Crimea, legally part of Ukraine, and stoked a separatist war between pro-Russian Ukrainians and the central government in Kiev.

In his annual speech to the nation this month, Putin told Russians that the West is determined to keep Russia from becoming strong, that Ukraine was not the real reason for the sanctions. "If none of that (Ukraine) had ever happened," he said, "they would have come up with some other excuse to try to contain Russia's growing capabilities." He described it as a historical pattern the West repeats "whenever someone thinks that Russia has become too strong or independent."

For now, the strategy, which includes suppressing any critical media and quieting critics, is working. Polls show Putin's approval ratings at stratospheric levels. But that was before the price of oil collapsed and the ruble went into a downward spiral.

Even if he can keep strong popular support, Putin has to worry most of all about keeping happy the oligarchs, the wealthy Russians who back him in exchange for continued prosperity. Economic sanctions and a shrinking economy will not make them happy.

The severity of the current crisis became apparent by Tuesday. The ruble had lost nearly 20% in just one day. So the Central Bank, Russia's version of the Federal Reserve, held an emergency meeting and raised interest rates to 17% from 10.5%.

The move was meant to strengthen the ruble, to keep people from selling. Wealthy Russians have taken more than $125 billion out of the country, and slashed oil earnings mean there are less export earnings to convert into rubles.

The rate hike hasn't appeared to work. But even if it does, that neck-snapping hike will make it hard for the economy to breathe. Once again, the Russia people will go through wrenching economic hardship because their leaders are following foolish, grandiose policies.

Only recently authorities had predicted a mild recession for next year. That is all changing now. Instead of the original government forecast of a 0.8% decline, the Central Bank said that if oil stays under $60 a barrel, the economy could contract more than 4.5%. That is a deep and painful recession.

Living standards are now sure to slide.

For Putin, strong oil and gas export earnings have provided political power. Popularity came from rising living standards. It was less than a year ago when, flush with cash, Putin staged his triumphant Winter Olympic Games in Sochi. He spent $50 billion to dazzle the world and show the Russia people that under his leadership Russia was a global power. But before the Olympic flame flickered out fires were already raging in Ukraine. Then came the invasion of Crimea, economic sanctions, and now this, the most painful cut of oil.

Sanctions, which were meant to loosen Putin's grip on eastern Ukraine, are now not the main problem for the Russian leader. If he relented to Western demands, he would still have a recession on his hands.

A cornered Putin could prove dangerous, as Russia's neighbors know well.

Sweden's defense minister went on TV a few days ago to announce new military readiness measures in response to Russia's military maneuvers.

The Baltic states, whose NATO membership commits the United States and others to intervene in their defense, worry Russia may make a move in their territory. Russian agents captured an Estonian official a few months ago. The Baltics -- Lithuania, Latvia and Estonia -- have fresh memories of being annexed by the Soviet Union in 1940.

Moscow's military muscle-flexing has not been limited to border states. Britain's Royal Air Force has intercepted several Russian bombers as they neared UK airspace. Norway, too, has intercepted Russian bombers. NATO says it has intercepted more than 100 Russian aircraft since the crisis over Ukraine started.

Would Putin start a new military crisis to fuel nationalistic fervor and thus protect himself from the backlash of economic troubles at home?

Recent rhetoric indicates that would be a preferred tactic. But polls show the Russian people are wavering. Russian support for a military presence in Ukraine has dropped from 74% to 23%, according to The Economist.

That's the first sign of a majority of Russians doubting, if not in any way turning against their President for now.

Putin has no good, easy choices. That should give the rest of the world reason to be nervous.

@highlight

The ruble dropped nearly 20% in one day, signaling an economic crisis for Russia

@highlight

Frida Ghitis: Vladimir Putin will try to blame Russia's problems on the West

@highlight

She says Putin has strong approval ratings but Russians will likely face recession

@highlight

Ghitis: Will he start a new military crisis to divert from the backlash of economic woes?