(CNN) -- Hillary Clinton has started to re-enter the public spotlight, very possibly beginning a new stage of her career that may lead to the presidential election of 2016.

In recent appearances, Clinton seems energized and spirited. She has already begun to talk about issues like women's rights and voting rights, causes that have animated her for decades. Gone is the constrained demeanor that turned off many potential supporters in previous years. The real Hillary Clinton seems to be emerging.

Republicans are instantly attacking as might be expected. Former House speaker and presidential candidate Newt Gingrich, an arch nemesis of the Clintons in the 1990s, warned that she was promoting "left-wing ideas" that would lead to her defeat.

Those kinds of attacks won't have the same weight as they did eight years ago. The former first lady, senator, and secretary of state is in excellent position to run the kind of campaign that is true to her history, in large part because of the impact that President Obama has had in the past six years.

Democrats are more confident about throwing their support behind a candidate who stands proudly for the key tenets of the liberal tradition: a belief that government can help solve social problems in the United States.

Unlike her husband, who felt in the early 1990s that he had to emphasize his centrist, new Democratic credentials, President Obama has opened the doors for a Democrat to build their campaigns on the tradition of the New Deal and Great Society, rather than running away from that legacy.

How did President Obama make this happen? Most important, the president has been far more assertive in his willingness to use the federal government to address big domestic challenges than many Democrats who preceded him. The Affordable Care Act put into place a large series of regulations aimed at providing better and more accessible care for a health care system whose costs had spun out of control.

The Dodd-Frank Act provided a regulatory framework to prevent the kind of risky behavior that led to the 2008 financial crash, and the economic stimulus provided government money to help get the economy moving again.

Since his re-election in 2012, an important mark for Democrats that these kinds of policies don't result in inevitable defeat, Obama has also fought back against the austerity drives of the GOP, defending key government programs from the scalpel. After the Supreme Court weakened the Voting Rights Act, Obama vowed to protect the law and Attorney General Eric Holder announced that he would not allow states to violate rights. Though hesitant at first, President Obama has embraced the major social movement of our dayâ€”gay rightsâ€”taking a more progressive stand than any president before him.

In short, President Obama has broken an important barrier for Clinton, or any other Democrat, by allowing members of his party to be proud of their ideals and challenging the notion that the only way for their party to win is to agree with the right.

President Obama has also shifted the center of political debate by driving Republicans further to the right ever since the 2010 midterms. Tea party Republicans have placed immense pressure on the Republican leadership to take harder line stances on issues like the budget.

Republicans moved so far to the right they have made liberal Democrats seem much more moderate. Liberal Democrats, who back in the 1990s could still be attacked as "the far left" can appear more "reasonable" to the mainstream when compared with conservative Republicans. The tea party has also opened the door to Clinton, as Obama discovered with Mitt Romney in 2012, to build a campaign that argues the GOP is too extreme to govern.

In a very different way, President Obama has created a huge opportunity for Hillary Clinton because of his failures. Despite his accomplishments, he has failed to make progress on a number of important issues that Clinton can embrace as central to her platform, setting her up to be a leader who can complete and move beyond what President Obama has started.

The most important is the economic insecurity of the middle class. The sluggish economic recovery and historically high rates of inequality, which Obama himself laments but has not been able to reverse, give Clinton a potent theme to run on. Gingrich might call such rhetoric left wing, but for millions of Americans it will strike the exact right chord.

Clinton, who demonstrated her skill on the international stage, also has a chance to address some of the disappointments with President Obama's foreign policy.

Many Democrats are watching the events in Egypt, deeply concerned that the unraveling of democracy will undermine the kinds of promises that Obama made about liberal internationalism and the ability of diplomacy to solve global problems without resort to war. Many Democrats are also unhappy with the ongoing revelations about how Obama continued with President Bush's war on terror programs, making them even more robust with extensive NSA surveillance and drone attacks.

Unlike most of the Democrats who are considering entering into the campaign, Clinton now has an extensive record of experience on foreign policy that will bolster her credentials as she talks about what she would do to correct these problems. If she tackles these issues effectively, she could energize support from liberals in her party who previously dismissed her as the candidate of the status quo. Even if President Obama's approval ratings decline further, Clinton has an opportunity to win public support using the framework Obama put forward.

Hillary Clinton now has an excellent chance to put together the kind of presidential campaign that was elusive in 2008, one that could very well give the nation its first female president. In the coming months she will have to decide whether she wants to take this step or to instead focus on her work as a global leader outside government. But the opportunity for her is there and Obama, who once was engaged with her in some of the most bitter fights that Democrats have seen among their own in many years, has changed the terms of the debate in ways that will greatly benefit her.

The opinions expressed in this commentary are solely those of Julian Zelizer

@highlight

Hillary Clinton speaking out more on liberal causes like voting rights

@highlight

Julian Zelizer says President Obama has made it safe for liberals to assert themselves

@highlight

Republicans have moved right, allowing Democrats' liberal views to seem more moderate, he says

@highlight

Zelizer: If she runs, Clinton could be an outspoken voice for liberal policies