ATLANTA, Georgia (CNN) -- Joshua Miller trotted off the football field after making a special-teams play and headed to the bench.

Automated external defibrillators are increasingly available in public places, including airports and malls.

Louis Acompora manned his lacrosse goal, blocked a shot with his chest and prepared to make a play on the ball in his first high school game.

Within seconds, each teen collapsed. In both cases, coaches, medical personnel and parents rushed to the boys, figuring they were dehydrated, had had the wind knocked out of them or had suffered a concussion.

Before they realized the boys were in cardiac arrest, both were dead.

Two 14-year-old boys. Two lives that could have been saved, their parents said, with one solution: an automated external defibrillator.

If a defibrillator had been nearby, "there is no doubt in my mind Louis would be alive today," said Louis' dad, John Acompora.

Eight years after their sons died, Acompora and his wife, Karen, and Ken and Jerri Miller have made it their mission to make sure other parents don't suffer the same wrenching loss. The couples successfully lobbied in their home states of Ohio and New York to pass laws mandating defibrillators in schools.

Now, these two families have joined cardiologist Dr. Terry Gordon and lawmakers to push for a bill in the U.S. House of Representatives to mandate federal funding for defibrillators in primary and secondary schools across the nation.

The automated external defibrillator is a portable, self-contained machine that can shock the heart back into rhythm. The device comes with complete audio instructions. In most cases, you'll hear it tell you to remove the person's clothes and place the electrode patches in specific locations.

Statistics show more than 200,000 Americans die of sudden cardiac arrest every year, according to the American Heart Association. Up to 50,000 of these deaths could have been prevented, the association said, if someone had initiated what the group calls the Cardiac Chain of Survival and a defibrillator had been available.

In a study presented last fall at the annual heart association meeting, a team of heart experts from Johns Hopkins University reported evidence that at least 522 lives can be saved annually in the United States and Canada by the widespread placement of automated external defibrillators.

U.S. Rep. Betty Sutton, an Ohio Democrat, introduced a measure in Congress named for young Miller that would establish a grant program to help schools nationwide afford defibrillators.

"The availability of automatic external defibrillators can be the difference between life and death when an individual goes into sudden cardiac arrest," she said. "Schools are central gathering places in our communities, and placing AEDs in our schools will not only potentially save the lives of students enrolled there, but they will be available for teachers and staff, parents and volunteers, and the many other members of the community who pass through our schools every single day."

Gordon joined the cause after seeing videotape of Miller's tragic death.

"It was the most sickening thing in the world," Gordon said. "In that normally boisterous stadium you could hear a pin drop -- except for his mother wailing."

Gordon is making it his goal to try and re-educate people on the importance of the lifesaving devices.

"When someone collapses from a cardiac arrest, their heart starts to quiver, and unless immediately shocked, they'll die," he said.

Calling 911 and waiting for paramedics is not enough, he said. Gordon said the average response time is eight to 12 minutes.

"If you do the math, for every minute that they are lying there, the chances [of survival] decrease," he said. "That's why only a precious few survive."

One of the big fears that many people have about defibrillators, Gordon said, is that they will hurt someone by using the machine. But in fact, the defibrillator won't automatically shock anyone. Once placed on the patient, the defibrillator analyzes the heartbeat and won't deliver a shock if one is not medically needed. The device may prompt the rescuer to begin CPR. If a shock is needed, the machine instructs the person using it to stand clear. After the first jolt, it will continue to analyze the patient's heartbeat to see whether more shocks are needed.

For every minute a person isn't shocked, his or her chance of survival drops 10 percent, Gordon said. With CPR alone, that survival rate improves, but use of a defibrillator can be as much as 10 times more effective, he said.

Studies have shown the devices can be used safely by anyone -- even children.

Gordon said in one study where paramedics and seventh-graders were trained on the machine, the students only took 29 seconds longer to figure out how to use them.

One of the biggest concerns people have is that there is a liability if they try to use the defibrillator without training, but citizens are protected by the Good Samaritan law, Gordon said.

The Acompora and Miller families believe defibrillators at their children's schools could have changed their lives.

Because the biggest problem in stocking schools with defibrillators is funding, the bill before the House would require the federal government to match funds for the devices.

Defibrillators cost about $1,500.

"What's a life worth?" Ken Miller asked.

John Acompora said the answer is in the number of people whose lives have been saved because of the devices being in schools.

"You're asking the wrong person if this is a worthwhile device," he said. "That morning I would have given everything to have owned one." E-mail to a friend

@highlight

Parents of two teens who died of cardiac arrest push for defibrillators in all schools

@highlight

Automated external defibrillators can shock the heart back into rhythm

@highlight

Bill introduced in U.S. House to require defibrillators in public schools