For many hotel guests, paying for Wi-Fi is an outdated charge that you only get wind of when you're up in your room. Now that mobile phones have rendered hotel room phones largely obsolete, Wi-Fi is the new bugbear for today's traveler.

"A lot of hotels lived well off telephone income," says Kurt Ritter, president & CEO of Rezidor Hotel Group. "Telephone income was a big part of -- I don't want to say cheating -- but overcharging the customer.

"Everyone wants to make money, but I think you should make it in a reasonable way and internet, it's not a good idea to charge. It's like the air you breathe, the water you turn on -- it should be for free."

The Rezidor Group owns mid-tier chain Radisson Blu and has offered free Wi-Fi since 1995, which is now available in more than 50,000 rooms worldwide.

"If I use the 60% (Wi-Fi) usage that we have over the chain and the median figure that travelers pay, we would have roughly $10 million more income a year," Ritter says. But he adds that even though the revenue from Wi-Fi could fill the international phone-charge void, he isn't tempted to charge.

See also: Marriott mogul's 55 years of hotels

For hotel guests there's the added frustration of inconsistency. Some hotels charge for Wi-Fi per device, others offer it free only to loyalty members; some chain hotels offer free Wi-Fi at their budget brands but charge for it at their luxury ones; sometimes Wi-Fi is free in the lobby. With no set rules, hotels charge as much or as little as they like.

Take five-star hotels in London as an example: The Hilton Mayfair's daily rate is $32, and it also charges $120 for five days or $150 for a week, while Hilton Gold and Diamond members get it for free; the Haymarket hotel also charges $32 a day or 50 cents a minute; Four Seasons offers complimentary Wi-Fi for basic use, like emailing and social media, but charges $32 a day for a premium level with faster Wi-Fi. Other charges range from $15 a day at The Savoy to $41 a day at The Ritz Hotel.

Joe Germanotta, chief executive of GuestWi-Fi, Wi-Fi provider to hotels such as Crowne Plaza and the Intercontinental Hotel Group, doesn't see a problem with Wi-Fi rates.

"When you have to pay for it as an amenity they guarantee you the reliability and speed and the security," he says. "And it's becoming a very expensive proposition for the hotel to maintain these services, so it makes sense that they have to charge for it."

Germanotta says it costs a hotel roughly $375 per month to pay for Wi-Fi, which is why not all hotels charge for it. So when some budget and luxury hotels, along with bars and cafes, offer it for free, it's hard not to raise an eyebrow at the hotels that don't.

But some argue the real cost for hotels comes in keeping up with ever-changing Wi-Fi specifications.

"What's been happening over the years is the bandwidth, the internet size requirement, has gone up tremendously and that number keeps growing and growing -- and that's where the hotel has a problem," Germanotta says.

See also: Richard Gere's boutique hotel

The Mandarin Oriental in Knightsbridge, London, charges $10 an hour or $25 a day, allowing for up to six devices, but guests can use Wi-Fi for free in the lobby and bar.

"Given the constant re-investment and the constant drive with new technology coming in much faster than most of us can adapt ... we're at a point where we take any bit of profit and continue to re-invest in the technology," says Monika Neger, chief information officer for the Mandarin Oriental Hotel Group.

She adds that if hotels charge for Wi-Fi, the service must be excellent. "Some of the challenges the industry has had is charging for not very good bandwidth and this has really caused the entire industry to reflect and say how are we going to manage this?" Neger says.

"We've had to make investments in areas that we've never invested in before -- meeting space, in the lobby. We are spending at minimum $250,000 per year in all of our properties to bring them up to current specifications."

She adds: "The hotels who have yet not adopted any type of operating cost to set off this investment will find themselves in a difficult position."

Paying the bills may be difficult but so is keeping customers happy. It's not just how much they have to pay that's frustrating for guests -- it's also the difficulty of just logging on.

Jean-Jacques Cesbron, from New York, is co-founder and president of Cami Music, and is on the road every other week.

"Every hotel has a different system," he says. "Some require a code from front desk, some require you put in a credit card number, some just ask for your room number and then charge to your room.

"The fact is that it is a crapshoot to get a quality connection and the inconvenience of figuring out the process to get it is terrible."

With the growth of social media and websites like HotelChatter, it's becoming clear that guests' changing demands can't be ignored. Since 2004, HotelChatter has published an annual Hotel Wi-Fi report, praising the brands and boutiques that offer high-quality networks and naming and shaming those that don't.

"Getting charged each night for 24 hours Wi-Fi seems like pure profiteering on their part, but I think hotels are starting to realize that they will lose valuable customers and valuable business by charging crazy amounts for Wi-Fi," says Juliana Shallcross, managing editor at HotelChatter.

"What we are probably going to see more of is a tiered pay structure, where basic internet is free for emailing and updating your Facebook status. Anything more involved, like downloading movies, large PDF files, then you'll start to pay," she adds.

Hotels not only need to adapt to guest activity, they also need to be aware that for many guests Wi-Fi is not an extra luxury, like the mini bar or dry cleaning, it's part and parcel of the guest experience -- like hot water and clean towels.

Do you think it's OK for hotels to charge for Wi-Fi or do you think it should be free? Do you think tiered payments are the answer? Let us know by leaving a comment below.

@highlight

Many hotels still charge guests for Wi-Fi access and prices are often inconsistent

@highlight

Some hotel chains say Wi-Fi should be free, others say they need to offset investment

@highlight

Tiered payment system could see extra charges for downloading movies