(CNN) -- Did you know that there exists an all-natural remedy for memory loss? Weight gain? Macular degeneration? Prostate enlargement? These products are so successful that clinical testing has already begun! Just listen to the following testimonial from an unidentified person ...

As these ads blare at you from your favorite AM radio station, perhaps you wonder: How can this be legal? Since the late 1960s, aspirin makers have been trying to win the right to tell the public that a daily low-dose tablet can help prevent heart disease. They have been told no, and no, and no again.

Federal regulators are so nervous about over-selling aspirin's benefits that they have restricted statements about aspirin to the most bland and basic. Yet while the statements about aspirin have to be cushioned in the vaguest generalities, snake oil flim-flam can be huckstered in the most truth-defying way, thanks to a 1994 law coaxed through Congress by the people who make these drugs.

The law bears the long title of the Dietary Supplement Health and Education Act of 1994. It was sponsored in House of Representatives by Rep. Dan Burton, R-Indiana, and in the Senate by Orrin Hatch, R-Utah, and Dick Durbin, D-Illinois.

The DSHEA law draws a line between synthesized medicines like aspirin and remedies made from herbs, minerals, vitamins and amino acids. This latter group was recategorized as "dietary supplements" -- that is, as foods rather than drugs.

"Drugs" are subjected to exacting scientific trial to prove them both safe and also effective. Sellers of dietary supplements are not required to prove that their remedies work. They are not even required to prove them safe -- as "foods" they are presumed safe unless shown otherwise. "Drugs" must disclose any risk of side effect. (That's why those erectile dysfunction ads terrify TV audiences with their references to four-hour erections.)

Dietary supplements bear no such burden -- which is why St. John's wort can be sold as an anti-depressant, without any mention of the disturbing indications that the herb weakens the effectiveness of birth control pills.

"Drug" advertising must be pre-approved by the Food and Drug Administration, which minutely reviews the ads' accuracy. Dietary supplement advertising is regulated by the Federal Trade Commission.

So long as supplements avoid promises to cure a specific disease, their sellers can say pretty much whatever they want, provided only that they have some kind of supporting evidence on file.

That evidence does not have to meet any kind of scientific test: pretty much any pattern of ink on paper will do the job. I cannot say, "My rosemary-sage-thyme-and-oregano tablets cure AIDS." But if I pay my cousin $100 to do a few experiments, I can claim, "My tablets boost the immune system -- and clinical trials are under way!"

(There is an exception to the permissive rules about advertising natural products: wine. There is substantial evidence that a glass of red wine a day reduces the risk of heart attack. The laws of most states forbid any hint or suggestion that moderate alcohol use might confer health benefits. Still, if you ask the scientists, wine has better grounds to call itself a health food than does, say, echinacea!)

Fifteen years after receiving the favor of Congress, dietary supplements have grown into a $24 billion a year industry. Most of the products sold by the industry are merely useless.

For those who eat a balanced diet, scientists have found no quantifiable benefit from taking multivitamins. On the other hand, multivitamins probably won't do any harm. It would be better to give the $10 you spend on a jar of pills to the Salvation Army, but at least you are not poisoning yourself.

The same could not be said, alas, for the unfortunate customers of a Belgian herbal dispensary who bought a supplement that contained the herb Aristolochia fangi. The A. fangi herb is rich in aristolochic acid, a carcinogen -- and users experienced an outbreak of urinary tract cancers. A. Fangi has since been banned in the European Union. It remains legal in the United States.

As outrages go, Congress' special favor to the herbal supplement industry might seem relatively small stuff: a splash in the torrent of the $2 trillion per year that Americans spend on health and wellness.

And yet in the midst of a great national debate over health care, this small outrage has some serious implications. Advocates for the herbal supplement industry justify their special sweet deal by championing the right of consumers to make their own "health choices."

Individual choice certainly sounds like the American way. But the fact is that most of us are not well positioned to make intelligent health choices. If we try to play our own doctor, we are going to expose our health -- and our money -- to risk and exploitation.

As individuals, we have trouble distinguishing between anecdotes: "My neighbor took zinc for her cold and she said it really helped," and data: Most colds last four days, so you could smoke yak-dung cigarettes on day three and feel better on day four.

We are poor balancers of risk: Look at the rising number of Americans who resist taking vaccines because of astronomically remote chances that something might go wrong.

We are vulnerable to placebos: "Hey -- I took the 30-day free sample and I feel sure my vision did improve!"

We are swayed by prejudice and ideology: The film-maker Spike Lee wrote in Rolling Stone in 1992: "I'm convinced AIDS is a government-engineered disease."

The reason we should defer to experts is not that the experts know everything. Of course they don't. It's just that they know more than non-experts do.

It's not that science has all the answers. It doesn't. It's just that astrologers, shamans, and natural healers have none of them.

Americans spend over 50 percent more per person on their health than anyone else on earth. For all that extra money, Americans see very little benefit. Americans rank 42nd on earth in life expectancy, 29th in infant mortality.

Improving and rationalizing this costly and dysfunctional system is a gigantic, maybe impossible, task. But one small reform could strike a meaningful blow for reason and cost-effectiveness: Apply the rules governing the advertising of aspirin to the advertising of oregano tablets. Repeal the DSHEA law and give the Food and Drug Administration full authority over every manufactured substance that purports to promote health or relieve illness.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Consumers get constant pitches for herbal supplements as remedies

@highlight

David Frum says a 1994 law exempted supplements from scientific review

@highlight

He says people who try to be their own doctor take on unnecessary risk

@highlight

Frum: Government should regulate supplements as it does drugs