WASHINGTON (CNN) -- The Bush Pentagon tried to find loopholes in the Geneva Conventions for its "ghost detainee" program in Iraq and to delay the release of Guantanamo Bay prisoners to avoid bad press, three human rights groups contend.

The Pentagon considered delaying the release of detainees from Guantanamo Bay because of criticism.

Pentagon documents discuss CIA and Pentagon detention activities earlier this decade and indicate coordination between agencies in hiding internees from the Red Cross.

Amnesty International USA, New York University's Center for Human Rights and Global Justice, and the Center for Constitutional Rights obtained the material through a Freedom of Information Act request and released it Thursday.

"It's obvious that Defense officials engaged in legal gymnastics to find ways to keep detainees off the books," said Meg Satterthwaite, faculty director of the Center for Human Rights and Global Justice.

"A full accounting of all agencies' responsibilities must now take place to ensure that these abuses don't continue under a different guise."

President Obama has signed an order closing the Guantanamo detention facility in Cuba and prohibiting CIA prisons. However, the order allows the CIA to detain people temporarily.

It is not known whether the Pentagon or the CIA still holds "ghost detainees," Satterthwaite said, referring to people housed at secret facilities.

The Pentagon issued an information paper May 28, 2004, on the "applicability of the Geneva Conventions to 'Ghost Detainees' in Iraq." Its purpose was to clarify the law about such detainees.

The Geneva Conventions spell out international humanitarian law and authorize the International Committee of the Red Cross to visit prisoners during armed conflicts.

The Pentagon's information paper said that if "absolute military security" requires it, the conventions permit the holding of persons "who participated in activities hostile to the security of the occupying power."

Specific examples would be "spies and saboteurs," the paper said.

Although the Red Cross must be notified of such detentions, "persons who have committed such acts are considered to have forfeited the rights of communication," the paper said.

"Normally the ICRC has the right to go to all places where protected people are detained," the paper said. But, it added, such visits can be denied temporarily "for reasons of imperative military necessity."

A February 17, 2006, e-mail showed that a State Department foreign policy adviser urged the Pentagon to consider delaying by a month and a half the release of Guantanamo prisoners who were scheduled to be sent home in order to avoid bad press.

This came amid worldwide furor over the Guantanamo detention facility, photos of prisoners being mistreated at the Abu Ghraib prison in Iraq, and sharp criticism on the streets and in blogs toward U.S. detention policies.

"We may need to definitely think about checking with SouthCom to see if we can hold off on return flights for 45 days or so until things die down," the adviser wrote to Gen. Norton Schwartz, then head of the U.S. Transportation Command. "Otherwise we are likely to have hero's welcomes awaiting the detainees when they arrive, and we will have problems getting overflight and landing clearance for the flights anyway. It would probably be preferable if we could deliver these detainees in something smaller and more discreet than a T tail" -- apparently referring to a large transport plane like the giant C-5 Galaxy.

SouthCom is the U.S. Southern Command, the American military command covering Latin American and the Caribbean. Schwartz is now the Air Force chief of staff.

The letter appeared to be an e-mail reply to a State Department "hot issues" memo that said the United States was getting "creamed on human rights" and "taking a big hit on the issues of human rights and respect for the rule of law." It pointed to news stories about a U.N. Guantanamo report and coverage highlighting calls from officials to close Guantanamo.

It cited criticism of the United States in blogs and discussion boards.

"America has lost its prestige," a blogger from Yemen wrote. "Every year the world waits for the annual U.S. State Department report on human rights. Today, it is America that awaits the world's opinion of its human rights policy. From Gitmo, to Abu Ghraib, to secret prisons in Europe, the world accuses America of not respecting human rights."

Pentagon spokesman Bryan Whitman said Thursday that he had not seen the documents and wasn't aware of the story. He did elaborate on the factors taken into account when transferring detainees from the Guantanamo facility.

"It has to do with their threat," Whitman said. "It has to do with ... whether or not we think they have information that is important to our intelligence efforts.

"And there are also considerations given to ensure that the [transferred detainees] will be treated appropriately and that in cases where continued detention is necessary, that the appropriate conditions are met for that, too.

"It has been U.S. policy not to return detainees if we thought they would be mistreated by their country of origin," he said.

@highlight

Military tried to justify detention practices, human rights groups say

@highlight

Groups present Pentagon documents to support accusations

@highlight

Groups: Pentagon also sought to delay Guantanamo releases to avoid bad press

@highlight

Communications came amid criticism over Abu Ghraib prison in Iraq