(CNN) -- Chris Nowinski's professional wrestling career didn't end with a pink slip or a celebratory sendoff, but with a swift kick to his chin.

Chris Nowinski was a WWE wrestler when he suffered a concussion, but didn't realize how badly he was hurt.

Nowinski played college football at Harvard -- a defensive tackle. He was a promising newcomer to World Wrestling Entertainment. At the time he suffered the injury -- the hit that would cut his career short -- he was performing in a summer 2003 tag-team match as his WWE character, Chris Harvard, a blonde, blue-eyed symbol of Ivy League elitism.

Nowinski didn't know he had suffered a concussion. He didn't know that he shouldn't have been wrestling immediately afterward, and he didn't know that this was probably the sixth concussion of his athletic career. There was a lot Nowinski didn't know about concussions.

Hard hits were nothing new to Nowinski, 28, a tree of a man who had played sports since childhood. Blows to the head punctuated many of the games and matches in his career, he said. Sometimes he blacked out.

"The sky would change colors, or I would see stars, and get really dizzy, and I would just collect myself on the field or in the ring, and continue going, because that's what I thought I was supposed to do," he told CNN in a telephone interview. "I didn't realize that it was a serious brain injury."

Nowinski continued to wrestle, which aggravated the injury, he said. He developed post-concussion syndrome, a condition characterized by prolonged concussion symptoms.

"After my last concussion ... I was stuck with four years of headaches and immediate memory problems and depression and sleep-walking," Nowinski said. He said he still endures migraines and memory loss. "My head just feels differently all the time," he said.

Concussions are common, particularly among athletes in heavy contact sports. The Center for Disease Control and Prevention estimates that at least 300,000 sports-related concussions occur annually in the United States.

Nowinski waited a year and a half for his head to clear so he could return to the ring -- a day that never came. So, the fallen wrestler decided to change what he considers the sports world's biggest liability.

He's now on a mission to eliminate the "damage" from head injuries in athletics. His task is two-fold: To educate coaches, parents and athletes about identifying and treating concussions and to help facilitate research to pin down the injury's long-term effects.

"I knew I had the information that could prevent suffering for a lot of people, a lot of people that I cared about," said Nowinski. "It wouldn't have been right for me to just go on with my life, make money, do whatever, while that information just sat in my head."

He wrote "Head Games: Football's Concussion Crisis from the NFL to Youth Leagues," published in 2006. He's been speaking before youth leagues, sports conferences and other public events for more than three years. And he and a group of top neurologists have recently formed The Sports Legacy Institute.

Part of that organization's purpose will be to study the effects of multiple head injuries, investigating cases of a condition called chronic traumatic encephalopathy, or CTE, Nowinski said. CTE is a dementia-like condition caused by repetitive blows to the head over an extended period of time, according to the National Institute of Health.

Hoping to prove to the rest of the world that multiple concussions have permanent, sometimes ruinous consequences, Nowinski began to work with a University of Pittsburgh neuropathologist, Dr. Bennet Omalu, who found the condition in the brains of two deceased former National Football League players, Terry Long and Mike Webster. With Nowinski's help in obtaining the brain tissue, Omalu diagnosed the condition in two other former players who died, Andre Waters and Justin Strzelczyk.

Both Long and Waters committed suicide. In the case of Waters, Omalu said, "Major depression was the cause of his suicide ... And the underlying causation here was trauma."

But aside from the research and studies that garner headlines and national attention, a large part of Nowinski's task lies in his clear-spoken testimony. In smaller groups, in schools and other events, often away from the stare of the cameras, Nowinski tells people what he knows.

Despite the repeated occurrence of concussions amid practice, games or matches, Nowinski says many coaches and players -- from youth leagues to professionals - still don't know how to properly treat concussions or even how to identify them.

And what's worse, he said, just like in his case, athletes often try to play while they are still injured.

A second concussion suffered while a player is recovering from the first could result in death, according to the American Association of Neurological Surgeons.

Furthermore, some studies show that there are cumulative long-term effects from multiple concussions.

Nowinksi says he's had mixed reactions to his message. Some, like Carmen Roda, president of the Westport, Connecticut-based PAL football program, say Nowinski's lecture is imperative for coaches. "Bottom line, if they care about kids, they should listen to this lecture," Roda said.

Others have shown more resistance. "I['ll] go to schools to speak, and the football coach will refuse to show up to the talk," Nowinski said.

But the former wrestler says the biggest hurdle to better practice and treatment of concussions are the professional sports leagues. He is particularly critical of the NFL.

"They need their best players on the field to sell tickets," Nowinski said. "And a lot of these problems from playing through concussions don't show up until these guys are retired. So their incentive to protect them while they're players is not where it should be."

NFL Commissioner Roger Goodell says the league puts its players' interests as first priority and the individual teams "do an excellent job in the care and management of concussions that affect NFL players."

Dr. Joseph Maroon, the neurosurgeon for the Pittsburgh Steelers and a member of the league's committee on mild-traumatic brain injury, applauds the NFL's efforts to protect its players.

Asked about studies that suggest long-term damage from concussions, Maroon said there are other factors that could affect the ability of a person's brain to function normally.

"It's extremely difficult and quite impossible to ascribe problems that develop 20 or 30 years after someone played to a concussion that's experienced 20 or 30 years before," he said.

Nowinski said players still do not understand the seriousness of concussions. They need to be educated, he said, and the "tough-it-out" culture inherent to football and other sports needs to change.

"If within a few years, everybody doesn't know that playing through concussions is a terrible idea, then I'll be surprised and disappointed," he said.

"The idea is we make the change that needs to be made as quickly as possible," Nowinski said. "And then I can do something else." E-mail to a friend

@highlight

Chris Nowinski played football at Harvard, then wrestled professionally

@highlight

Still suffers effects of six concussions

@highlight

Nowinski says athletes ignore dangers to get back in contests

@highlight

NFL says it is taking steps to study effects on players