(CNN) -- The little boy sits proudly next to his snowman, and smiles.

He has no coat, gloves or hat to protect him from the freezing cold, but for a moment he is distracted from the harsh reality of life inside a makeshift refugee camp in Lebanon.

We do not know his name, but he is one of 842,000 refugees the U.N. says are spending the winter in Lebanon after fleeing a brutal three-year civil war in Syria.

They thought that life could not get much harsher. But that was before winter storm "Alexa" moved in, bringing snow, rain and freezing temperatures across the region.

Despite the miserable conditions, for many children in refugee camps, the snow was a novelty.

The snowman photo above was captured by CNN cameraman Christian Streib as he toured the U.N.-run Arsal transit camp in Lebanon's Bekaa Valley, now home to 40,000 refugees.

"I saw the snowman in front of a tent and thought it would make a good picture," he said. "Then the boy appeared, and smiled as I took his photo. Then he looked away, distracted as more people arrived. We were in a rush to finish filming so I never got to talk to him."

"But just look at the smile. So innocent. The snowman symbolizes so much too. Everyone can relate to a snowman. All of us have built a snowman. And this one -- while built out of very little -- puts a smile on the face of a boy with meager means."

Streib said he was amazed by the dignity of the children, even though they were hungry and cold. The majority had their naked feet in plastic slippers, he said.

"Kids are everywhere in the camp, just roaming, with time on their hands, but they'll always find something to play with."

Khadija and her brother Amjad are from Aleppo, which has suffered some of the heaviest bombardments during the bloodbath in Syria.

CNN Correspondent Mohammed Jamjoon recalled how the children were determined to have fun, despite the freezing conditions.

"Clinging to any remnant of childhood abandon they could, they decided to build a snowman," he said. "This photo was taken on the same site where Christian got the picture of the boy and the snowman.

"It's very moving: You want to give, but you feel helpless. You're the outsider with the big camera, but they just want to explain their situation," he recalled. "And every conversation finishes with the same sentence: I want to go home."

That's not going to happen soon. The child refugees in Lebanon are unlikely to see their homeland again before reaching adulthood.

Lebanon has absorbed the highest number of Syria's refugees. The U.N. predicts there will be more than 1.5 million in the country by the end of 2013. Lebanon's population is only 4.2 million.

This Syrian boy launched into a snowball fight in Arsal on Monday. Mohammed Jamjoom said: "We watched at least six boys play and enjoy themselves while aid was being distributed."

Syrians would go to any lengths to reach Lebanon, Jamjoom said. That's despite the horrific conditions they found when they arrived.

He recalled the scene as he and cameraman Chris Jackson accompanied medics and aid workers as they immunized children aged five and under on a previous visit to a camp in the Bekaa Valley.

"It's absolutely heart-breaking," he said. "These people are effectively living in an open sewer. They are walking through filth, through human waste."

Yaacoub lives in the UNHCR-tented transit site in Arsal. This picture was taken on Monday as the U.N. delivered blankets, clothes, fuel vouchers and stoves to refugees. He told Jamjoom he was extremely happy that aid was being delivered, but they need much more.

The younger children - aged eight and under -- are better able to endure the harsh conditions in the camp, Jamjoom said.

"These are kids walking around sockless with sandals despite the cold -- but they would still come up to me asking me to take a photo. They can cling to any remnant of childhood because they are resilient."

But children two or three years older had more mixed emotions, he said.

"They are still young, but there is anger at the realization of their conditions," said Jamjoon. "Everything around them is forcing them to become adults."

Syria's children: Another year of horror

And for the parents, seeking to provide order amid chaos for their children, life is no easier.

"They are still shocked their children are living in such conditions. When the weather gets bad, the water seeps under the tarpaulins of their tents. They need concrete bases. The moms say: 'If we could only make some money. If only our children could be educated ...'"

Ghazi is also in Arsal. "He asked me to take his picture and was very curious about what we were filming," said Jamjoom. "He misses home but has friends here. He's cold but thinks it will get better and was glad that his family was happy that winter weather gear was being distributed."

These Syrian children should be at school. Instead they are forced to help their parents in the desperate battle for survival with thousands of others in the camp.

"I met one boy aged 12 who had arrived from Syria in the Bekaa Valley with only one thing, which were his school certificates," Jamjoom said. "He now works gathering eggs or on construction sites."

Syria's brutal war within a war gains momentum

In urban areas, children help their parents by selling tissues or shining shoes.

"In Beirut I saw 10 kids, all them aged under seven, begging with their mums. The U.N. warns of a lost generation, but I see it happening before my eyes. All of them say: 'We want to go back to Syria, but we can't return because of the war.'

"The U.N. has asked for $6.5 billion just for humanitarian needs, but is finding it hard getting donations even though it's apparent how much suffering there is.

"It's a dire humanitarian crisis -- and it's getting worse by the hour."

Impact your world: How to help

@highlight

More than a million children have fled the brutal three-year civil war in Syria.

@highlight

842,000 Syrian refugees are spending the winter in Lebanon, the U.N. says.

@highlight

Misery in the camps was compounded by the arrival of winter storm "Alexa."