(CNN)The jailing of four Blackwater security guards, eight years after they killed 17 Iraqi civilians in a shooting in Baghdad, is a positive step for justice -- but is also not enough.

The kind of horror represented by the Blackwater case and others like it -- from Abu Ghraib to the massacre at Haditha to CIA waterboarding -- may be largely absent from public memory in the West these days, but it is being used by the Islamic State in Iraq and Syria (ISIS) to support its sectarian narrative.

In its propaganda, ISIS has been using Abu Ghraib and other cases of Western abuse to legitimize its current actions in Iraq as the latest episodes in over a decade of constant "Sunni resistance" to "American aggression" and to "Shiite betrayal"—as phrased in an ISIS publication from late 2014 titled "The Revived Caliphate," which chronicles the rise of ISIS since 2003.

As the Iraqi government today struggles to regain the support of Sunnis in its fight against ISIS -- or even renew intra-Sunni trust -- this invocation of American transgressions by ISIS should be a sobering reminder of the importance of good governance in the pursuit of a solution to the unrest in Iraq.

The lack of accountability in the aftermath of the American intervention in Iraq not only paved the way for abuses like Abu Ghraib and Blackwater, it also fuelled sectarian tension in the country -- and today ISIS is reaping the benefits.

The U.S. poured money into Iraq after the 2003 invasion, but it did not make this support contingent upon a fair distribution of power and resources by the Iraqi government. This enabled the Shiite-dominated government of former Prime Minister Nuri al-Maliki to discriminate against the Sunni community.

The United States was also sloppy in relying on private security firms like Blackwater without implementing rigorous measures to regulate their behavior. It also turned a blind eye to the way its own troops were treating Iraqis. All those factors contributed to a rising sense of injustice that is now being conveniently packaged by ISIS to push its own version of Iraqi history.

In "The Revived Caliphate," Abu Ghraib is invoked three times as the place where Iraqi Sunnis who resisted the U.S. ended up as a result of their betrayal by Shiites who collaborated with the Americans.

The publication first recounts attacks on Abu Ghraib at the height of the American intervention by al Qaeda in Iraq (AQI)  -- ISIS' predecessor -- to free imprisoned "Sunnis" who had been detained by the Americans.

It then presents the Sahwa (Awakening) of 2007 -- when Sunni tribes collaborated with the U.S. to fight AQI -- as a case of intra-Sunni resentment that led the tribes to hand over AQI members "to the Americans, where they were put through severe torture in the likes of the prisons of Abu Ghraib," according to the publication.

It then links those two stories to the storming of the prison by ISIS in 2013 to free those who had been tortured by "the Americans and Shi'a" (as the publication puts it) over ten years. In bridging a decade of history and in placing the Shiites squarely in the category of "enemy," ISIS is sending a strong message that its current fight in Iraq is about reversing longstanding injustices against Sunnis and restoring a sense of Sunni belonging under the umbrella of the "caliphate."

The civilians killed by the Blackwater guards, like the Abu Ghraib prisoners, were both Sunni and Shiite. But the repackaging of history by ISIS -- in which the Saddam Hussein regime is reinvented as a "Sunni" regime that tried to stand up to the United States and its Shiite allies -- glosses over those nuances.

The reproduced images of Abu Ghraib prisoners in the aforementioned ISIS publication, juxtaposed with images of civilian deaths as a result of U.S. airstrikes against ISIS targets, are presented as "proof" of the group's narrative. And they are reinforced with text that frames America today as "the air force of the Shi'a."

It is becoming clear that ISIS cannot be defeated in Iraq without buy-in from the country's Sunnis. Without Sunni help, ISIS will continue to frame the conflict as one where Sunnis are once again being attacked by the U.S. and the Shiites -- particularly as Shiite militias have become a key part of the fight against the terror group in places like Tikrit.

To balance out this Shiite involvement, the U.S. and Iraqi governments are counting on the establishment of a cross-sectarian Iraqi national guard, and hoping to resurrect the "awakening" to re-engage and unify the Sunnis under a nationalist umbrella.

But those plans will not succeed unless serious steps are taken to ensure that good governance measures are in place to hold both Iraqis and all those affiliated with the anti-ISIS coalition to account.

This should not just apply in the context of the current conflict -- so that scenarios like Abu Ghraib and Blackwater are not repeated -- but also when the dust settles. Good governance is the most effective antidote to sectarianism.

@highlight

ISIS is using past Western transgressions in Iraq to justify its brutality

@highlight

Lack of accountability following 2003 invasion paved way for abuse -- and for sectarian tensions