(CNN) -- For the 20 million residents of Beijing, air pollution -- and the lack of official information about it -- is a constant concern. Until recently, eye-watering smog was the only reliable sign that car fumes and smoke had reached unsafe levels, but now two young designers have come up with a more elegant and accurate indicator of air quality.

Xiaowei Wang worked with Deren Guler, a fellow design student, to develop the concept of FLOAT Beijing, a network of air-quality monitors fixed to the kites traditionally flown across the city. Lights controlled by sensorS and trailing along the kite string like fireflies would give a simple readout of pollution levels: green for safe and red for danger.

Kites flying has a long history in Beijing, which helped Wang and Guler to get local residents involved in the project -- something that they considered crucial to its success. They organized a series of workshops at which people could modify their own kites, turning them into mobile air-quality monitors.

"At first we were really worried no local citizens would show up to any of the workshops, that it might just be university students or expats who already have access to things like Twitter," Wang says -- but they were amazed at how many elderly people joined in. "They were incredibly excited and it tapped into their (sense of) youthful activism, and they started telling neighbors, bringing their grandchildren to the events."

Read this: Tiny computer takes prize at design awards

Wang said that the workshops also helped break down barriers between the kite fliers and the equipment they were working with. "It was not just about putting technology into a black box or having people buy modules that they could read data off," she said. "It was really allowing people to see how (the sensors) functioned and therefore develop a relationship to the technology."

The sensors used for the project measure carbon monoxide, ozone and general particulates.

Guler acknowledges that the traffic-light readouts provide a ballpark guide to pollution levels rather than specific quantitative data, and that some critics and supporters have suggested they adopt a more rigorous approach. In response, she says that the simplicity of the data is one of its strengths.

"We didn't just collect the data and put it on a spreadsheet online," she says. "We displayed it in a way that was really intuitive. Everyone understood that different colors mean different pollution levels and just the activity of kite flying itself was also a really exciting way to distribute information."

Designers often start with a small-scale solution to a big problem, according to Patrick Frick. He is a member of the jury for the INDEX: Awards -- held last week, and for which FLOAT was nominated -- and a partner at Social Investors, a consultancy that advises people trying to tackle social and environmental challenges.

"They start by sketching out an idea, followed by building prototypes that can then be tested with early users," he said. "The feedback received can then be used to further improve the product. FLOAT is at that early stage.

"For FLOAT to have the maximum impact, it must succeed in creating a larger demand for its product and get it to the buyer. The hope is that FLOAT receives more attention now through the nomination, which in turn helps the designers to attract partners that can help develop the product further, mass-produce and distribute it."

One recent upgrade the designers have made is to add a GPS locator and a memory card to the sensor, so the kite fliers will now be able to record pollution readings over time and plot them on maps of the city. The intention is that these pollution maps should be open source, so that anyone in the city can analyze or add to the data.

"We're really interested in the more political aspects of data," Guler says. "What we're really interested in is finding a way to distribute intelligence as opposed to just information, and empowering people to interpret the data."

@highlight

A pair of young designers have created kites that monitor Beijing's air quality

@highlight

Lights on the kite string would give a simple readout of pollution levels

@highlight

Kites' rich history in Beijing made it easier to get local residents' support