(CNN) -- On Wednesday, the U.S. Supreme Court issued its unanimous ruling in two cases testing the authority of police to conduct a warrantless search of an arrested person's cell phone, holding that police generally must obtain a warrant before searching the cell phone of someone they arrest.

For the most part, the justices' rulings in cases dealing with the Fourth Amendment go largely unnoticed by the public, but the court has reminded us in this opinion that modern technology is subject to the same original privacy rights that flow from the Constitution.

Most citizens are not interested in these cases the way they are in issues like same-sex marriage or gun control. On the whole, Americans don't worry too much about search-and-seizure issues because they think these cases don't apply to them.

"Those cases only apply to criminals."

"I'm not planning on getting arrested."

"I have nothing to hide."

The sentiment is understandable. Most of these cases involve application of the "exclusionary rule" to throw out evidence like guns or drugs, based on the way it was seized.

But this does not mean that only criminal defendants have an interest here. The rest of us should pay attention for two reasons. First, most people don't realize how easy it is for the police to arrest a person and seize his or her property. Second, our private information is no longer on a piece of paper in a safe. It's in the form of data, and it's on our person, or in that thing they call the "cloud." If police can access your cell phone without a warrant, they can access your entire life.

Don't believe me? What's in your cell phone right now? Is there anything you wouldn't want a stranger swiping through? How about the apps on your phone? Do you do any banking or other transactions on there? Cell phones not only contain data -- they are now becoming a portal beyond the device itself, into a third-party world, whether that's your health information, your finances, or anything else out there in the cloud.

And if you're like most people, you're not immune to arrest. Police can potentially arrest you for minor infractions like littering, jaywalking, and traffic offenses. And just because they arrest you, should they be able to swipe through your pictures and text messages? Police can search containers on your person without a warrant if they contain evidence that might be destroyed, or a potential weapon. Unless you can throw your iPhone like a ninja shuriken, it's probably not much of a weapon.

The two cases decided Wednesday by the Supreme Court involved somewhat different factual situations.

In Riley v. California, the case involved a stop for a traffic violation, which led to David Riley's arrest on weapons charges. An officer performed a "search incident to arrest" (one conducted without a warrant) and accessed information on a phone in Riley's pocket. He saw on the phone the repeated use of gang terminology. A later search at the station of the phone's digital contents led to Riley being charged in a gang shooting.

The United States v. Wurie case involved an arrest after police observed Brima Wurie engage in a drug sale. As in Riley, the officers seized a cell phone and noticed on the screen that the phone was receiving multiple calls from "my house." The officers opened the phone, traced the "my house" number to an apartment, obtained a search warrant and found drugs, a firearm and other bad stuff.

In deciding these two appeals, the Supreme Court ruled that the police generally may not, absent a warrant, search digital information on a mobile phone seized from an arrestee.

Officers may still examine the physical aspects of a cell phone to ensure that it will not be used as a weapon -- which is a definite possibility due to modern criminal ingenuity. But the Supreme Court has now announced that absent certain urgent circumstances, the actual data on a phone is never physically dangerous. You can't throw an emoji at anyone, or stab someone with a Snapchat. Citizens enjoy more substantial privacy interests when digital data is involved, says the court.

The Supreme Court ruling in the Riley case says American jurisprudence has "recognized that the Fourth Amendment was the founding generation's response to the reviled 'general warrants' and 'writs of assistance' of the colonial era, which allowed British officers to rummage through homes in an unrestrained search for evidence of criminal activity. Opposition to such searches was in fact one of the driving forces behind the Revolution itself."

@highlight

Supreme Court unanimously rules that cops can't search a cell phone without a warrant

@highlight

Danny Cevallos says people should pay more attention to Fourth Amendment cases

@highlight

He says phones can still be checked to make sure they're not being used as weapons

@highlight

Cevallos: Court affirms Fourth Amendment passed to limit ability of law enforcement to search