(CNN)  -- Free elections 20 years ago this week in Poland marked the unraveling of the Soviet bloc of Eastern European nations and the beginning of market reforms.

Shipyard workers hold Solidarity trade union flags on the anniversary of free elections in Poland.

The events of June 1989 also marked the turning point for companies like KGHM, which has grown into a global player in the world's copper market and one of Poland's largest companies with 18,000 employees.

"A lot of changes have happened since that moment, since 1989," said Zbigniew Klich, a development engineer who has worked at a company copper smelter near Lubin for more than 30 years.

"This is the Poland of my dreams," Klich said. "Even though I will probably retire in the next few months I feel so fortunate to have seen the last 20 years in my professional career."

The financial crisis has had minimal impact on the company so far. "In comparison to other sectors of the Polish economy, the commodity business has been doing quite well," said Jarek Romanowski, sales director of KGHM.

Poland's export prowess has led the nation to become one of the great success stories of former communist bloc economies. In 2008, it ranked 22nd in the world with more than $190 billion in exports, ahead of Australia and India, according to the CIA Factbook.

The country's economy has grown every year since 1992, and bucked the recessionary trend of other European Union nations by expanding its economy by just under 1 percent in the first quarter of this year.

"Poland is not an island and we are very much linked to other EU countries so a lot depends on the performance of the German economy," said Dominik Radziwill, Poland's deputy finance minister. "But even with the current forecasts which are really pessimistic for the German economy, we still think Poland should be doing relatively OK."

Leszek Balcerowicz was the country's first Finance Minister after the fall of communism and initiated Poland's free market reforms. "Socialism (was) a very bad system and everybody knew that it was a bad system without any hope for a better life," he said. "Transition to a better system is sometimes difficult but you have to overcome these difficulties on the way to a better regime."

One industry that exploded was Poland's once state-run media industry, which now includes eight daily national newspapers plus dozens of television channels and radio stations.

"The transformation had many phases in Poland. The state totally withdrew from the press market and step-by-step, private TV stations appeared," said Polish journalist Adam Mischnik. "So, today we have a pluralist media which represents very different tendencies."

Janusz Weychert and Mariusz Walter founded the ITI group, a leading private media company in Poland with television stations - including the influential news network TVN24 - as well as a home video, new media and theatrical production operations.

"Under one umbrella there's various projects put together," Weychert said. "The advantage it gives us is the free flow of content and information between all the platforms."

Communism and absolute media control may have only been twenty years ago - but in Poland today, certainly for the country's youth and the media, it's a lifetime. Maciej Popowicz set up "Nasza-Klasa" - Poland's equivalent to Facebook -- with three friends in 2006. Its success made 25-year-old Popowicz one of Poland's youngest millionaires.

He's also too young to remember what life was like under Communism. "I'm very glad that I live in these times because we have so many more opportunities than our older friends so for example, you couldn't manage your own business twenty years ago, now there is an opportunity to do that," Popowicz said. "So you can develop your ideas, create your own firms."

But market reforms haven't been kind to the historic shipyards of Gdansk, where the Solidarity Union movement began with union leader and future Polish president, Lech Walesa. Marching with him was Brunom Baranowski, a shipyard worker for more than 30 years who spent nearly a year in jail for civil disobedience for his role in the union.

In the 20 years since the end of communism, he's seen the shipyard workforce shrink from 18,000 to about 2,700 today. The shipyard, in danger of going bankrupt, was given a lifeline this week when Neelie Kroes, European Commissioner for Competition, met with Polish officials and told the press an EU bailout of the shipyard was likely.

Still, Baranowski said "shipyard workers don't have much reason to be happy. Over the past 20 years we have been trying to save our jobs."

While the fortune of his nation improved, he still lives in the same tiny apartment as he did in 1989 and has the same worries about his job.

But Brunom says it was all worth the fight. "Of course it's much better. In the old days all you could get at the shop was vinegar and mustard. To get anything else you had to know people. Now everything is available," he said.

CNN's Fred Pleitgen and Fionnuala Sweeney contributed to this report.

@highlight

Twenty years after democracy Poland has strongest economy in former Soviet bloc

@highlight

The country's economy has grown every year since 1992

@highlight

By export it ranks 22nd in the world, ahead of Australia and India

@highlight

Shipyards like Gdansk, home of the democracy movement, struggle to survive