The Justice Department filed a lawsuit Monday seeking to block parts of a new North Carolina voting law that tightens election procedures, including requiring photo identification to cast ballots.

Justice Department officials said the North Carolina law is discriminatory in intent and effect. The suit challenges four parts of the law and asks a court to require North Carolina to obtain pre-approval for certain voting law changes under a part of the Voting Rights Act that remains in effect.

The lawsuit is part of Attorney General Eric Holder's response to a June Supreme Court ruling that struck down a Voting Rights Act requirement for a patchwork of states and local jurisdictions to get permission from the Justice Department or a federal judge before enacting voting law changes.

North Carolina lawmakers approve controversial election changes

The four sections in dispute are: the requirement of photo ID to cast ballots; the shortening of early voting from 17 days to 10; the elimination of same-day voter registration during early voting; and restrictions on counting some provisional ballots.

The photo ID portion of the North Carolina law was the center of controversy because Democrats said that it didn't include protections for voters who don't have identification and that it disproportionately would affect minority voters.

Conservatives have pushed such photo ID requirements in many states, saying they would prevent vote fraud. Studies of recent elections have shown in-person vote fraud to be rare.

Some voter photo ID laws have been upheld by the courts.

In August, the Justice Department filed similar lawsuits against Texas seeking to block the state's 2011 election redistricting plan and a new voter photo ID law. The federal government is also seeking to require Texas to seek future pre-approval for voting law changes.

North Carolina Gov. Pat McCrory signed the voting law changes last month.

McCrory's office issued a statement on Monday with a link to a video showing President Barack Obama being asked for and presenting his driver's license at an Illinois polling station before voting in the 2012 presidential election.

"I believe if showing a voter ID is good enough and fair enough for our own president in Illinois, then it's good enough for the people in North Carolina," McCrory said.

He said North Carolina is in line with a majority of states with voter ID laws, and said voters without identification will be able to get free identification cards from the state in January.

"Protecting the integrity of every vote is one of the most important duties I have as governor of this great state. And that is why I signed this common sense legislation into law," McCrory said.

In a speech earlier this month at a convention of the Congressional Black Caucus Foundation, Holder repeated his criticism of the June high court ruling on the Voting Rights Act, calling it "a deeply flawed decision that effectively invalidated a cornerstone of American civil rights law."

He said despite the ruling, the Justice Department would find ways to try to accomplish the goals of the section of the law that was struck down.

"We will continue to vigorously enforce federal voting laws not affected by the Supreme Court's decision -- including all remaining parts of the Voting Rights Act," Holder said.

The Supreme Court called the pre-clearance portion of the law unconstitutional in part because of its disparate treatment of the affected states.

The ruling left standing other portions of the 1965 law, which was reauthorized by Congress and signed by President George W. Bush in 2006.

N.C. governor brushes off criticism amid weekly protests

@highlight

North Carolina passed stricter voting rules after parts of the Voting Rights Act were struck

@highlight

The Supreme Court said certain jurisdictions no longer needed preclearance for changes

@highlight

The Justice Department challenged rules on photo ID, early voting