(CNN) -- Steve Reeder says it's no secret among his Facebook friends: He's a Republican.

But after he began posting news articles and political cartoons on his page that reflect his support for GOP presidential nominee Mitt Romney, his friend count began falling off. Today, it's down by several dozen.

"One day, they are there. The next day, they just disappear," said Reeder, 53, of Roswell, Georgia. "Most (people) don't say anything to me about it. So I just say 'good riddance.'"

It's a story that's been playing out on Facebook and Twitter with growing frequency among friends, family members, colleagues and acquaintances as an already contentious presidential campaign between Romney and President Barack Obama enters its final, frenzied weeks. Your close friends may share your political views, but that eccentric uncle, former co-worker or high school classmate may not.

Nearly one-fifth of people admit to blocking, unfriending or hiding someone on social media over political postings, according to a recent survey by the Pew Research Center's Internet & American Life Project. The biggest gripes: The offending person posted too often about politics, disagreed with others' updates, or bothered mutual friends with partisan political postings.

"In the real world, we navigate these issues all the time. We know not to bring up politics around certain friends or family members. We try to avoid people who are constantly looking for an argument or trying to sell us on their pet ideas," said Aaron Smith, a Pew research associate.

"Since blocking, unfriending, hiding people is the closest social analogue to those real-world examples, it's not necessarily surprising to see people taking these steps in the virtual space."

Etiquette 101: Talking politics over Thanksgiving dinner

Muting the rhetoric

It's the hateful tone of the political conversation that is particularly disturbing to Luis Stevens, who has temporarily muted the Twitter voices of roughly 150 people and blocked more than 400 others until after the November 6 election.

More than one person has threatened to show up on Stevens' doorstep after he disagreed with them on Twitter. A few more have called him names. And at least one stepped across a political "red line," endorsing a pundit that Stevens finds offensive.

"This is a pretty mercurial campaign on both sides. People on both sides tend to get heated pretty fast," said Stevens, 37, of Ruidoso, New Mexico. As a result, he said, "there are way too many people on Twitter who are a little scary."

Stevens tweets under the pseudonym @pettybooshwah. He doesn't post pictures of himself, nor does he release details about his whereabouts.

But he's not shying away from political debate.

"When you don't follow people with the opposing viewpoint, Facebook and Twitter can become an echo chamber where everybody agrees," Stevens said.

'Facebook is not a democracy'

But that's just fine with Andre Kelly, who took to Facebook in recent weeks with a posting decrying political opposition on his page.

Simply put: For Kelly, Facebook is not a democracy.

"This is not about platforms and political theory, from this point forward, to me, it's about people simply picking a side," Kelly, an Obama supporter from Los Angeles, said in a Facebook post shortly after the Republican National Convention in late August.

He warned off supporters of Romney from posting on his page, writing that he was "simply NOT having it."

Since then, Kelly's post has been repeatedly shared, finding a home on pages across Facebook's political and not-so-political discussions.

"This was amazing and I loved every second. I'm glad he took the time to think and word this the way he did. I believe and agree with this 100%," wrote one admirer.

Kelly, who works as a touring comedian, hasn't defriended anybody on his Facebook page, though he believes he has probably lost a few social-media followers.

Tricky politics of political discourse in the workplace

Battling allegations

The political divide on social media has become so wide that some people have been trying to silence one another.

On Twitter, conservatives have accusing liberals of trying to squelch their voices by falsely reporting them for spam, a violation of Twitter rules that can result in the suspension of an account.

Liberal groups, meanwhile, have accused conservatives of using #block/report to shut them down.

The battling allegations have led to competing blog posts that offer some of the same advice.

Liberty Chick, a columnist for conservative site Breitbart.com, encouraged users to report suspected abusers, while Charles Johnson of left-leaning blog Little Green Footballs said he would continue to tell his followers "to block and report" those who harass them.

However it's used, Twitter has clearly become a key destination in the national discussion. Twitter said a record 10.3 million tweets were sent during the first presidential debate last week, making it he most tweeted-about event in U.S. politics.

And for people sick of politics poisoning their feeds, there are Facebook pages such as "Nobody Cares About Your Political Posts. Really," where users can vent their frustrations.

The page promises to be "Open to all conservatives, liberals and moderates who are tired of the constant stream of political posts on FB. Doesn't mean that your views are not important -- just means that it isn't important to us to hear you blather on. P.S. You do realize that you really aren't changing anyone's opinion, right?"

Repairing relationships

It started out as friendly barbs on Facebook, childhood friends sparring over differences in the presidential election.

Sarah Mirocha supported Obama; her friend supported Romney. But by the time the conversation was over, the two were no longer friends -- on social media or otherwise.

"One less hateful troll = more peace on my page," Mirocha, 43, wrote in a Facebook post.

The Iowa-based writer made no apologies: "It's my page, isn't it?"

Yes and no, says etiquette blogger Thomas P. Farley of What Manners Most.

"The beauty of social media is that it does allow us to be commentators on the news. But you have to be aware of your audience," Farley said. "You know these people would never say anything to your face. But it is sort of an unfortunate consequence of anonymity online."

For many people, the hardest part of the 2012 political debate may be restoring friendships that have been damaged.

"I think that for friends, real friends, it will get better," said Stevens, who after the election plans to restore a number of Twitter voices he has muted. "I think for people that are partisan acquaintances, it will probably calm down a little."

But Farley believes repairing friendships damaged by political differences will probably take a little work.

"If it's somebody you see regularly," he said, "I would have the conversation in person."

@highlight

A survey finds 18% of social network users have blocked or defriended over political posts

@highlight

Conservatives are accusing liberals of making false spam allegations to shut down debate

@highlight

Liberals, in turn, says conservatives are advocating block and report actions

@highlight

Netiquette expert Thomas P. Farley says people need to be aware of their audience