Oakland, California (CNN) -- "What is it like to bury both of my kids?" Dinyal New's voice trails off, unable to continue.

She sits in the same pew of her church, listening to the same pastor on the same subject -- the loss of a child.

Her two boys, Lee and Lamar, were shot to death, 19 days apart, young victims of Oakland, California's relentless street violence.

With a population of nearly 400,000, Oakland has long been known as a Bay Area pocket of urban violence. Its proximity to drug corridors and high poverty are fertile breeding grounds for gang violence.

Nearby San Francisco and Silicon Valley are routinely named "Most Innovative Cities in America," yet Oakland makes it on very different lists with one of the highest gang homicide rates and robbery levels in the country.

Last year, Oakland police touted a 28% drop in murders, the biggest reduction in homicides since 2004. After two years of rising death tolls, Oakland's police chief credited the drop in homicides -- from 131 in 2012 to 90 in 2013 -- to the city's violence reduction strategy which targets the most violent gangs.

But because of Oakland's size, its reduced homicide rate still makes it one of the most dangerous cities in the country, with a murder every four days.

After riots, California city gets new police chief

New's youngest son, Lee Weathersby III, died on January 1, Oakland's first murder of 2014. A gunman approached the 13-year-old on New Year's Eve as he walked home from the Boys and Girls Club, and shot him 28 times.

Teachers, family members and others who knew him best say Lee wasn't in a gang. The eighth grader loved to play drums in band. Neighbors said Lee was a good boy. He stayed at home playing video games or hung out at the Boys and Girls Club, while his single mother worked as a social worker.

It's unclear why Lee was targeted.

Surveillance video turned over to Oakland police shows him walking down the street, his youth apparent in his gait. He was walking home from the bus stop. Usually he called his mom to pick him up, but his cell phone battery had died. On the video, his mother says you can see a gunman approach, carrying a semi-automatic rifle.

Minority kids impacted by zero-tolerance laws

Dinyal New was at home, watching local news of the aftermath of another shooting in her neighborhood. The report showed video of a gurney being loaded into an ambulance, with the on-screen graphic, "Teen shot."

She'd seen it hundreds of times -- just another kid shot in Oakland.

Hours later, she rushed to the hospital with her oldest son Lamar where she was called to identify Lee's body. She looked up at a television in the waiting room and saw the local news report again.

This time it hit her: it was Lee in that news report, his body being loaded into the ambulance.

"Thirteen years old. Just a baby, just a baby."

Another son gunned down

Lamar Broussard had started straightening out his life after occasional run-ins with the law, including a stint in juvenile detention. The 19-year-old had been taking classes at the local community college.

He was close to his younger brother, Lee -- so close that the two still slept together in the same bed.

After Lee's death, Dinyal New worried about Lamar. Her youngest son, who was never in trouble, had clearly been a target. Was it a message to Lamar?

Fearing for her older son's safety, New asked Lamar to leave Oakland. But with the bravado of youth, Lamar convinced his mother he was safe.

After losing Lee, New wanted to get back into a routine, back to her career as a case worker for the homeless, but says she was exhausted by her grief.

Then, three days after Lee's funeral, on January 19, she asked Lamar to run an errand for her, to pay her cell phone bill. He was two blocks from home when friends started calling her phone.

There had been gunfire in the neighborhood, they told her.

New ran towards the corner, and spotted the yellow police tape.

"I see my son's car shot up. And I just broke down crying." She couldn't approach the car. She could see from 20 yards away what had happened.

"The suspect stood on top of the car and just shot into the car. Just shot into the car."

She called Lamar repeatedly from her cell phone. "He never answered. He never answered." There was no logic in it, she says, because she already knew in her heart that Lamar was gone.

In 19 days, Dinyal New went from a mother of two, to a mother of none. Oakland police will not say whether the murders of Dinyal's sons are gang-related, but because they are brothers, police say their deaths "are possibly related."

New's horror may be extraordinary, but losing a child to gun violence is a common experience in Oakland, says Naomi Harry. "This city is full of mourning mothers," she says.

Harry's son was shot on a city bus, coming home from school. He survived.

Alicia Waters' son Jamal Waters was not so lucky. He was shot and killed on Oakland's streets six years ago. His murder is still unsolved.

Burying your child defies the natural order, says Waters. But she says it's normal in Oakland.

"It's beyond sickening to me," says Waters. "No parent should ever, ever have to bury their kids. Especially like this. This is crazy. I can no longer see mothers bury their kids anymore. I just can't."

Waters drops her head, the tears still fresh six years after she buried her son.

Trying to make a difference

Todd Walker thinks of himself as the mop-up man to Oakland's violence. He often picks up the bodies of young African-American men lost to gun violence, after the coroner's work is complete.

He plugs the bullet holes with plastic screws so the fluid doesn't stain the white satin of the casket, so mothers can see their sons one last time.

Walker estimates he's put a few hundred children, or "babies" as he calls them, into caskets.

He picked up both Lee and Lamar's bodies on his gurney.

"I'm tired of it," says Walker, 52. "I'm the one who sees them firsthand at the coroner's office. I'm the one who's got to identify them right off the top. The mother's calling you: How does their kid look? Sometimes ... the kid's been shot up so bad they can't even identify them. It's real sad."

Walker held Dinyal New's hand as she picked out her second casket this month. He's done this hundreds of times -- but still finds himself at a loss for words.

"Ain't too much you can say to her. It's horrible."

A life-long East Bay resident, Walker also coaches Pop Warner football for the neighborhood boys. When he started picking up the bodies of the very boys he coached, Walker pledged to try and make a difference.

He began inviting children and their parents into the MWJ Mortuary funeral home and walked them through the embalming process. During these tours, in which he hopes to show young people the sober reality of life on the streets, Walker opens up the empty caskets and closes the lid on the children.

"That's how it ends," he tells the visitors.

His program, which he now calls Restoring Inner City Peace, or R.I.P., has proven so popular that teachers now invite him to schools. For classroom visits, which can be for children as young as kindergarten, Walker brings body bags and zips the children inside.

His message is always the same: There is nothing romantic about guns and street life -- only finality and darkness.

"Gun violence is a regular, everyday thing. There's shooting everyday. All these kids do not have an education, but they have a gun. And there's something wrong with that picture. ... To me, the city is failing these kids," he says.

Walker says that even the horror of Dinyal New's story will fade after Lamar is buried.

"A month or two from now, it'll be over with," he says. "We'll be talking about something different. That's how it goes, year after year."

Still, New is trying to make Lamar's service special. She's decorating the program in his favorite colors, green and white. She's asked their god-sister to read at the service.

"I need to bury him right. I need to do a good job," she says.

New can make it through today. The family and the neighborhood will fill the church. She'll have plenty of support for Lamar's funeral.

But tomorrow? She'll be alone.

@highlight

Dinyal New buried her only two children last month

@highlight

Both sons were shot and killed within three weeks of each other

@highlight

She lives in Oakland, California, one of the most violent cities in the U.S.