Editor's note: Leonard Pitts Jr., a columnist for The Miami Herald, won the 2004 Pulitzer Prize for commentary and is the author of a new novel, "Before I Forget" and "Becoming Dad: Black Men and the Journey to Fatherhood."

Leonard Pitts says we know what it takes to improve the performance of African-American students.

(CNN) -- Back in 1972, on an episode of "All in the Family," Gloria posed the following riddle to Archie and Meathead.

Father and son go driving. There's an accident. The father is killed instantly, the son is rushed to the hospital for emergency surgery. The surgeon walks in, takes one look at the patient and says, "I can't operate on this boy. He's my son."

The answer to the apparent paradox eluded Archie, Meathead and the guys down at Kelsey's bar for the balance of the half hour. They floated theories involving stepfathers, sons-in-law, priests, adoptions and returns from the dead. All of which Archie apparently found more believable than the true answer which was, of course, that the surgeon was the boy's mother. "If that's the answer," he spouted, "that's the dumbest riddle I ever hoid!"

Thirty-seven years later it is, perhaps, difficult to appreciate why this riddle ever was a riddle, how so apparent an answer could have stymied Archie, Meathead and, I would wager, the vast majority of the viewing audience.

The riddle speaks volumes not just about how the world has changed in four decades, but also about how unconscious expectations can blind us to the obvious. In 1972, one expected a man when one heard the word "surgeon."

Much as, in 2009, one expects a white kid when one hears the word "scholar."

People will deny this, will say all the right and politic things. But the disclaimers will be as thin and transparent as Saran Wrap. Black, white and otherwise, we are all socialized by the same forces and all carry, by and large, the same unconscious assumptions. One of which is that a certain level of achievement is black and another is white.

This is what you are hearing when a black kid speaks standard English and another black kid chides him for "talking white." This is what George W. Bush was alluding to when he decried "the soft bigotry of low expectations." And this is what we need to address forthrightly if we ever hope to close the so-called achievement gap that looms between black kids and white ones.

In 2007 and 2008, I traveled the country for a series of columns called "What Works," aimed at profiling programs that addressed that gap.

I traveled between big programs and small ones, from the Harlem Children's Zone, which encompasses 90 square blocks of holistic education, family counseling, medical care and tutoring in New York City, to the Freedom Project in Sunflower County, Mississippi, which offers field trips, martial arts and academic enrichment in a rural county where the median income is $25,000 a year and the teen pregnancy rate is said to be 25 percent.

I toured Self Enhancement Inc. in Portland, Oregon, a KIPP (Knowledge is Power Program) School in Gaston, North Carolina, the East Lake Foundation in Atlanta, Georgia, and many others. In all these places, I saw black kids -- well-spoken, clean-cut and noon-sun bright -- making a lie out of other peoples' expectations.

Over the course of 13 months, common themes began to emerge whenever I would ask why kids such as these were doing such wondrous work in these places and substandard work elsewhere.

We have more power to fire bad teachers and reward good ones, they said. We require parental involvement. We have a longer school day and a longer school year. We mentor children that need it. We counsel children and families that need it. We are invested in them and make sure they know it.

Most of all, they spoke of the simple power of expectation: making it a conscious point to look for greatness in black kids in whom people had not thought to look for it before. What I came to understand in those interviews is that we already know the secret to improving academic performance for African-American children. What is missing is the will to do so.

And that, I think, is because where they are concerned, we have other expectations.

I asked Geoffrey Canada, founder of the Harlem Children's Zone, how he justifies asking for money to uplift poor kids in Harlem. His response struck me: "Someone's yelling at me because I'm spending $3,500 a year on `Alfred.' 'Alfred' is 8. OK, Alfred turns 18. No one thinks anything about locking him up for 10 years at $60,000 a year."

But then, we expect Alfred to be locked up, don't we? Expect it so blithely that we will not challenge the expectation even when it works against our own economic self-interest. Canada, after all, presents a rather stark choice: invest a smaller amount early and produce a citizen who pays taxes and contributes to the system or pay a much larger amount later for the upkeep of a citizen who consumes tax monies and contributes nothing.

That we consistently choose the latter says something about how we assess the educability, the salvageability, of African-American kids.

Thirteen months of interviewing young scholars left me more impatient than ever with a culture that writes off black kids because they are black kids. Somewhere between the 13-year-old in rural Mississippi who wants to go to Harvard and the second-graders in Harlem studying Vincent Van Gogh, I ceased being surprised and started being angry that what I saw was still the exception and not the rule.

Everywhere I went, there were black kids excelling. And at some point, you say to yourself: well, of course.

What did you expect?

The opinions expressed in this commentary are solely those of Leonard Pitts Jr.

@highlight

Leonard Pitts Jr.: Unconscious expectations can blind us to the obvious

@highlight

He says many people expect black students to perform more poorly

@highlight

Programs have demonstrated that investing in children's education pays off

@highlight

Pitts: We already know secret to improve performance, but do we have will to do it?