(CNN) -- President Barack Obama's surprise decision to seek congressional approval for a strike in Syria was a gamble that will likely succeed and over time may be judged deft. But the way he got there has also raised troubling questions about his leadership in foreign affairs.

History strongly favors congressional backing. Over the past two centuries, presidents have asked Congress to approve the use of force before a coordinated military engagement on 18 occasions. Every time, the answer has been at least a qualified yes.

The current Congress, of course, is also one of the most partisan and rambunctious of the past century, so there is a risk they will turn him down. But in the end, a majority -- especially in the Senate -- are likely to follow the example of Sen. John McCain. Despite his disagreements with the proposed strike (a "pinprick" to him), the Arizona Republican has concluded that it would be catastrophic for the country to strip the president of his authority and prestige as commander in chief. That argument -- along with others about the risks of emboldening Syria and Iran, appearing to leave Israel exposed and failing to act in the face of such horrific crimes -- will surely carry weight.

Tactically, the president's decision to seek approval got him out of a box. When the British Parliament on Thursday unexpectedly rejected military action, Obama was placed in a perilous position. He was almost a Lone Ranger in trying to punish the regime of Bashar al-Assad, with no U.N. support, a growing "coalition of the unwilling" (a nice phrase from Arianna Huffington), weak support in polls at home and a squalling Congress.

By asking for approval, he might not only build a firmer foundation for a strike, but he has also regained a consistency with the view that he and his top team have been arguing since the invasion of Iraq a decade ago: that the road to U.S. military action should go through Capitol Hill. As a senator, Vice President Joe Biden even threatened impeachment against President George W. Bush if he struck Iran without congressional approval.

For Obama, it is also possible that the delay for a congressional vote will one day be seen as tactically shrewd.

Already, he is receiving more help internationally. Saudi Arabia has come out publicly for military action, the Arab League has toughened its stance and the NATO Secretary General has now called for punishment of the Assad regime for using chemical weapons. Obama's trip to the G-20 next week gives him a chance to round up more support.

But there is no doubt that he and his team still have a lot of work to do to convince the skeptics, and nowhere is that more important than with the American public. Members of Congress know full well how uneasy many of their constituents are. They will soon be demanding that the president win over more of the public as a price for their own support. There is a good chance we will hear an address from the Oval Office on the eve of congressional voting.

However this episode comes out, the president and his team -- despite flashes of tactical proficiency -- have been hurt by the uneven path they have taken to this point.

At home and abroad, observers watch carefully and calibrate their own responses by whether they think the U.S. commander in chief and his team have a firm hand on the tiller. In this case, unfortunately, the overall leadership has looked shaky and hesitant.

What is needed above all is a sound long-term strategy for the Middle East that is communicated to the world. Admittedly, that is very hard to do with the region in turmoil. But the world was also complicated and fluid after World War II and President Harry Truman and his team put together a strategy that worked for half a century and helped to win the Cold War. Truman turned out to be a celebrated leader.

In retrospect, as Fareed Zakaria wrote this weekend on CNN in a stinging critique of the White House, it is clear that when Obama drew his "red line" a year ago against Syrian use of chemical weapons, he was making an off-the-cuff bluff with little thought behind it. That "red line" comment set off a chain of events that has made experts shake their heads.

More recently, the surprise of Saturday's decision to consult Congress after weeks of beating the war drums has left many world leaders -- not least British Prime Minister David Cameron, who with the potential for a U.S. strike looming, tried and failed to win the British parliament's authorization to support it-- feeling whiplash.

For the sake of the country as well as a just, stable Middle East, one hopes the president will succeed in bringing al-Assad and his thugs to account for their crimes against humanity. But it is surely important as well that he and his team emerge from this storm with a stronger grip on the journey ahead.

The opinions expressed in this commentary are solely those of David Gergen and Michael Zuckerman.

@highlight

Gergen, Zuckerman: Obama asking Congress' OK on Syria, a gamble that will likely succeed

@highlight

But they say the move follows an uneven strategy on Syria that has hurt his support

@highlight

They say it also realigns Obama with his own position before the invasion of Iraq

@highlight

Writers: U.S. needs long-term strategy on Middle East to show world it has firm grip