(CNN)Richard Glossip has spent 17 years in a tiny cell in H Unit of the Oklahoma State Penitentiary, close to the death chamber. Every execution is a reminder that his turn will come one day.

He got that reminder again Thursday when Charles Warner became the first inmate to be executed in Oklahoma since last April. That's when Clayton Lockett died in what was widely seen as a botched lethal injection process.

"I've seen it on TV," says Glossip, 51, in a telephone call from death row.

He says he's reconciled with his fate, though he has always maintained his innocence. He says he has long believed that without mental preparation, things will not go well in his final moments.

But when he learned that Lockett's was one of the longest executions in U.S. history and that he moaned and writhed on the gurney for 43 minutes before dying of a heart attack, a new anxiety set in.

"I am worried they will botch it again," he says.

The bungled execution horrified people around the world, and the state put a moratorium on carrying out the ultimate punishment until it could fully review what happened.

But Oklahoma's decision to go forth Thursday with a variation of the same drug formula concerned death penalty lawyers who say the state still risks violating the Constitution by inflicting cruel and unusual punishment on inmates.

Attorneys for Warner, Glossip and two other Oklahoma inmates facing execution appealed to the U.S. Supreme Court on Wednesday for stays until the new protocol could be evaluated. But the justices voted 5-4 to deny the application.

In her dissent, Justice Sonia Sotomayor wrote that she was "deeply troubled" by the continued use of midazolam, a sedative at the heart of the lethal injection controversy.

Attorney Dale Baich, one of the lawyers who filed the suit, says the Supreme Court will have to revisit this issue in the near future.

"The drugs and drug combinations used in executions today vary tremendously across different jurisdictions," he says. "This experimentation has led to the predictable but tragic result of multiple botched executions. The court's guidance on the practices currently employed in lethal injection is urgently needed."

Oklahoma officials say, however, that they have addressed the concerns that surfaced after Lockett and put new equipment and protocol in place.

So, shortly after 7 p.m. (8 p.m. ET), in a renovated death chamber, the lethal cocktail began flowing into the veins of Warner, convicted of the first-degree rape and murder of his then-girlfriend's 11-month-old daughter.

He was pronounced dead at 7:28 p.m.

Glossip is scheduled to die next, on January 29.

Oklahoma spent $71,000 renovating the chamber and the adjacent witness rooms so that executioners have more space. The state also spent $34,000 on new equipment, including a $12,500 gurney that replaced one from the 1950s and an ultrasound machine to help detect veins.

But the state did not deem it necessary to change its controversial three-drug formula. Of particular concern is the use of the sedative midazolam, also used in two other executions that went awry: Dennis McGuire agonized for 26 minutes in Ohio, and Joseph Wood gasped more than 600 times and took two hours to die in Arizona.

Witnesses in Oklahoma said Lockett regained consciousness after the sedative was administered. They said he grimaced and suffered for many minutes.

Lockett's execution was halted after his IV needle dislodged and spewed blood, but he later died. A state investigation linked the problem to the IV lines not being inserted correctly. This has been a problem in other executions as well.

"What they have not done is investigate whether their use of midazolam in the Lockett execution contributed to the fiasco that resulted," says Richard Dieter, executive director of the Death Penalty Information Center, which does not officially take a position but is widely seen as anti-capital punishment.

Oklahoma upped its dosage of midazolam to 500 milligrams, compared with the 100 milligrams Lockett got. But Dieter says there is no proof that increasing the dosage will avoid problems.

"They have not shown that this drug will produce the necessary level of unconsciousness to allow the execution to proceed humanely," he says.

Florida uses the same three-drug cocktail and it, too, executed a convicted murderer Thursday after the Supreme Court gave the green light. Johnny Shane Kormondy was declared dead at 8:16 p.m. at the Florida State Prison in Starke.

Until 2010, states employed a fairly standard drug formula to carry out the death penalty that included the anesthetic sodium thiopental. But after the sole U.S. manufacturer stopped making the drug and European companies refused to sell it for use in executions, states faced drug shortages for the lethal cocktail and searched desperately for alternatives.

Midazolam, commonly used as a sedative before surgery, was first used in Florida in 2011 without any guarantees that the inmate would remain sedated long enough. Witnesses who watched convicted murderer William Happ die said that he remained conscious longer than those who were killed with the old formula.

Death penalty opponents say the use of midazolam amounts essentially to experimentation on human beings. But four states use the drug in their lethal injections.

The executions Thursday in Oklahoma and Florida began with midazolam. Then the inmates were injected with a paralytic agent to prevent the inmate from flailing, followed by potassium chloride, which stopped their hearts.

Glossip thinks about what he might feel after he is strapped into the gurney and the drugs begin coursing through his veins. He has spent the last few weeks imagining a disastrous end like Lockett's.

Helen Prejean, a Catholic nun who ministers to the condemned and has spoken with Glossip, says he is haunted by Lockett's agony.

"He's scared," she says: that the sedative won't do its job, that he will be helpless to stop the pain.

It's difficult for many people to feel any sympathy for a man who was convicted in a hire-for-murder scheme that resulted in the 1997 death of Barry Alan Van Treese, owner of a Best Budget Inn in Oklahoma City.

Van Treese's family appeared at a clemency hearing for Glossip in October and spoke of the many ways they missed a husband, father and brother. They said too often, victims of crime are forgotten in the capital punishment process.

"I will speak for my brother," said Kenneth Van Treese. "It hurts like hell to have your head bashed in with a baseball bat. Do not feel sorry for the bastard who took my life."

Van Treese's sister, Alana Van Treese Mileto, told the clemency board that the death penalty was not revenge, but the law.

But attorneys for death row inmates say Oklahoma's execution protocol remains unconstitutional. Their appeal to the Supreme Court says the state is relying on a "drug that cannot reliably produce or maintain a deep, comalike unconsciousness."

Baich, one of Warner's attorneys, says midazolam was not part of the lethal injection protocol approved by the Supreme Court in 2008. Simply increasing the dosage, he says, does not overcome the risk and leaves Oklahoma open to inhumane action.

"Oklahoma's current execution protocol creates a substantial risk of severe pain, needless suffering and a lingering death," Baich says.

CNN contacted the Oklahoma Department of Corrections for comment and was referred to the execution protocol posted on its website.

Glossip says he can't believe Oklahoma resumed the use of a sedative that has been so problematic, one that, ironically, bought him time.

He might have been dead already -- his initial execution date was set in November -- but the state postponed it because it said it wasn't quite prepared with its new procedures.

For a while, Glossip got to leave a special holding cell for the final 35 days before execution and return to his old one, located beneath the death chamber. He was glad for that.

In the holding cell, two fluorescent lights glared down on him 24/7. His plexiglass-wrapped television set was revoked. He was allowed a single book but chose to write letters instead. Many inmates ask for a Bible, he says.

At Christmas, he launched a hunger strike. That way, he could have some agency over his death, he thought. But Prejean, who is planning to be with him at his execution, persuaded him to eat.

"I feel especially responsible for Richard," she says. "A few days ago I urged him to eat again so he can fight to expose the horrible injustice, not only for himself but for all who go through this torture."

Glossip has exhausted all appeals of his verdict and sentence. He was tried twice for Van Treese's killing -- the first conviction was tossed because of incompetent legal representation. But a second jury also convicted him.

Prosecutors said Glossip hired maintenance worker Justin Sneed to take a baseball bat and bludgeon their boss Van Treese to death because Glossip thought he would be fired. At trial, Sneed testified that he killed Van Treese at Glossip's behest and received a life sentence. Glossip was sentenced to death.

"Twice a jury has heard the evidence against Richard Glossip and twice a jury has convicted him and sentenced him to death for his role in the murder of Barry Van Treese," says Aaron Cooper, a spokesman for the Oklahoma attorney general.

Glossip holds steadfast to his innocence. He says he is being put to death even though the real killer lied and gets to live.

"I feel sorry for Barry's family," Glossip says. "But I did not commit a crime."

He adds, "At first I was angry at Justin, but now I feel sorry for him. He's afraid of how Oklahoma will kill him if he owns up to what really happened, just like I am afraid of how they'll kill me. It's fear making him lie about what happened."

These days Glossip thinks about his late parents -- his mother died just a year ago -- and 14 siblings. He thinks about what it would feel like to see green grass and trees again. To smell fresh air.

They are things that Van Treese's family wishes their loved one could see now, too.

@highlight

Oklahoma put a hold on executions after a botched one in April

@highlight

State resumed them Thursday with a lethal injection cocktail containing a controversial sedative

@highlight

Inmate Richard Glossip, set to die January 29, says bungled execution adds to his anxiety