(CNN) -- World leaders rushed to congratulate President-elect Barack Obama as incumbent George W. Bush called his win "a testament to hard work, optimism and faith in the enduring promise of our nation."

Kenya declared a national holiday for Obama's White House victory.

Speaking from the White House, Bush said the people had chosen a president "whose journey represents a triumph of the American story."

He said: "It will be a stirring sight to watch President Obama, his wife, Michelle and their beautiful girls step through the doors of the White House.

"I know millions of Americans will be overcome with pride at this inspiring moment that so many have waited for for so long."  Watch the speech from President Bush »

Across the globe, people in city squares and villages, living rooms and shacks cheered his success, boosting hopes that America's first black commander-in-chief might herald a more conciliatory approach to the rest of the world.

Leading the congratulations by world leaders, British Prime Minister Gordon Brown said he was excited about the prospect of working with the new U.S. president.

"I know Barack Obama and we share many values," he said. "And I look forward to working extremely closely with him in the coming months and years."  Watch as Brown hails 'friend of Britain' »

German Chancellor Angela Merkel also offered her congratulations and said she would work with Obama to deal with the challenges facing the world.

"I'm convinced that through a close and trusting cooperation between the United States and Europe we will be able to confront new risks and challenges in a decisive manner and will be able to take advantage of the numerous opportunities that are opening up in our world," Merkel said.

Obama met both Brown and Merkel over the summer while on an international trip through Europe and the Middle East and held a huge rally in Berlin that revived memories of President John F. Kennedy's 1963 visit.

Chinese President Hu Jintao offered similar congratulations, urging Obama to join China in shouldering "important common responsibilities."

"I look forward to endeavor together with you," he said. "To push the Sino-U.S. constructive and cooperative relations to a new level, in order to better benefit our two peoples and the peoples of the world."

In Kenya, Obama's extended family danced in his ancestral village of Kogelo, chanting, "Barack Obama, Barack Obama is going to the White House."

Obama's grandmother, half-brother and relatives eagerly watched the election results, while in the capital Nairobi, revelers marched and danced through the streets to sirens and whistles, singing Obama's name and carrying and waving American flags. Blog from Kogelo, Kenya

Kenyan President Mwai Kibaki called Obama's election "a momentous day not only in the history of the United States of America, but also for us in Kenya. The victory of Senator Obama is our own victory because of his roots here in Kenya. As a country, we are full of pride for his success."  Watch celebrations in Kenya »

U.S. Secretary of State Condoleezza Rice said: "On a personal note, as an African-American, I am especially proud because this is a country that's been through long journey in overcoming wounds, and making race not the factor in our lives."

Her predecessor, another African-American, Colin Powell said he wept as he watched Obama deliver his victory speech in Chicago's Grant Park.

Powell, in an interview with CNN in Hong Kong, said he believed Obama had the potential to be a great president and asked Americans -- including Republicans -- to get behind Obama.  Watch as Powell describes his reaction »

Powell, a retired U.S. general and a Republican, was once seen as a possible presidential candidate himself but endorsed Obama towards the end of the campaign.

"Obama displayed a steadiness. Showed intellectual vigor. He has a definitive way of doing business that will do us well," Powell said Wednesday.

In Jakarta, Indonesia, where Obama lived with his mother and stepfather in the late 1960s, hundreds of students at his old elementary school poured into the playground and danced in the rain, some chanting "Obama! Obama!" The Associated Press reported.

In a Japanese town bearing Obama's name, jubilation took a few minutes to translate from the group of American teachers to the local crowd, which also cheered "O-ba-ma!" CNN's Kyung Lah reported.  Watch reaction in Japan and China »

Financial markets in Asia closed higher Wednesday as traders were hopeful that Obama could successfully tackle the global economic crisis. But in Europe the major markets closed down about 2 percent and U.S. markets closed about 4.5 percent down. Read what Obama must do to tackle crisis

Amid unprecedented turmoil in the financial markets, Wall Street is desperate for an end to the uncertainty that has built up over the two-year campaign.

At an election party in Paris, French Finance Minister Christine Lagarde highlighted the financial crisis as Obama's priority when he takes office. She told CNN's Jim Bittermann she expected the president-elect to be "clearly involved" in the upcoming financial summit being hosted by Bush.  Watch Lagarde discuss priorities for the U.S. president-elect »

In an open letter to Obama, French President Nicolas Sarkozy said Obama's election raised in France, in Europe and around the world "an immense hope" and that the American people "had expressed with force their faith in progress and the future."

Afghan president Hamid Karzai said the American people have taken "themselves ... and the rest of the world into a new era, the era where race, color and ethnicity ... will also disappear as a factor in politics in the rest of the world."

Iraqi President Jalal Talabani said: "We look forward to relations between our two countries that witness, during your rule, further consolidation and development in all different fields, based on a firm contractual ground, common interests and similar values."  Watch reaction from Iraq, Afghanistan »

In addition to the global financial crisis, Obama's challenges include Iran's nuclear ambitions, the Israeli-Palestinian conflict and relations with Syria -- challenges the Middle Eastern media have dubbed "the hot files."

Iran's Deputy Parliament Speaker Mohammad Hossein Abutorabifard offered a mild note of optimism to traditionally thorny relations between his country and Washington.  Watch as Iran awaits Obama »

"If the United States takes into consideration the realities of the world and chooses suitable policies, America can play its (proper) role in the relations between the United States and the countries of the region and the world of Islam," he said.

Israeli Prime Minister Ehud Olmert said: "We have no doubt that that the special relations between the two nations will continue and strengthen during the Obama administration."

Russian President Dmitry Medvedev congratulated Obama on his victory and said he was hoping for constructive dialogue with the incoming U.S. president but also highlighted differences between the two countries, including the missile defense plan.  Russia expresses hope for a new relationship »

In Russia, Pravda newspaper was ecstatic, announcing that "Eight years of hell are over." It criticized the cost of the "grand American soap opera" during a time of economic crisis.  Watch how world's media covered the election »

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

President Bush: Obama victory represents a triumph of the American story

@highlight

World leaders congratulate Barack Obama on winning U.S. presidential election

@highlight

Most stocks rise in Asia as Obama win seen positively; markets fall in Europe

@highlight

Kenyan President Kibaki calls Obama victory "our own victory"