(CNN) -- Chinese fans will have a new reason to cheer when the 101st Tour de France kicks off on Saturday: 26-year-old Ji Cheng will become the first rider from China to compete for competitive cycling's highest honor.

Ji, who will be riding with the Netherlands-based Giant-Shimano team, has competed in professional European cycling since 2007 and has already completed other top races.

"I am just really happy to race for my country in the Tour de France, I'm really excited," Ji, who comes from the northern Chinese city of Harbin, told CNN.

He's dreamed of competing in the Tour since he began racing.

"When I started cycling in China, the Tour de France was the only race they showed on the TV," Ji said from Leeds, England, where the tour will begin. He's happy that his friends and family will get to watch him compete.

As Ji qualifies for one of the most famous races in the world, his example could help kickstart China's nascent competitive cycling scene.

'Breakaway killer'

Ji started his athletic career as a runner in school, but shifted to cycling soon after in part because of the cold weather in Harbin, where winter temperatures get below -4°F (-20°C) and cycling gave him the opportunity to train indoors.

He started with track cycling -- in which racers do laps around a velodrome track on specialized bikes -- and then moved to longer distance road cycling. After training with a Hong Kong team for a year, he was signed by Shimano and moved to Europe in 2007.

The Tour de France won't be the first milestone Ji has passed. He's also competed in the other two highest profile races in competitive cycling: the Vuelta a Espana, in which he raced in 2012 and the Giro d'Italia the following year. The three races collectively are known as Grand Tours, and he is the first Chinese cyclist to participate in each of them.

Ji is known as a "breakaway killer," which means he catches up with cyclists who try to get away from the pack of riders. It's not the flashiest role, but it helps position his teammates on the nine-man squad to win races.

He says he doesn't have a strategy going into the Tour.

"My goal is to try my hardest for my team, and I hope I finish the whole three weeks."

Giant-Shimano coach Rudi Kemna said in a statement that Ji played an important factor in the team's formations.

His participation in the Tour "will be huge for him and his country and we look forward to seeing the impact this has on the globalization of the sport," Kemna said.

Kingdom of Bicycles?

Advocates hope that Ji's participation in the Tour could help competitive cycling gain attention in China.

"The fact that there is a Chinese racer in the race means the media and the public will focus on it much more," said Alain Rumpf, the director of Global Cycling Promotions, an organization affiliated with cycling's governing body, that promotes the sport around the world.

"Ji Cheng is a pioneer."

International teams currently compete in events like the Tour of Beijing, a top-level annual race that will have its fourth edition in October. Ji and several of his Shimano teammates competed in the race in 2013.

But overall, international road cycling hasn't gained much traction in the country. China won three medals in women's track cycling at the 2012 London Olympics -- two silvers and a bronze -- but has lagged behind in road cycling. Some cyclists aim instead for China's National Games, where athletes represent their regions or cities.

Cycling in general is also not as prevalent as it once was. China was known as the "Kingdom of Bicycles" in the 70's and 80's, when a bike was the main form of transportation for many. Now, as more people have moved into the middle class, mopeds and automobiles have started to replace bikes on the streets of Beijing and other cities, although there are still more than 8 million bikes in the capital city.

Poor air quality is also an obstacle for cyclists, who can face health problems from riding in smoggy urban centers.

READ MORE: Nine things that make air pollution bearable

Cycling renaissance

Recently, however, members of a growing middle class are picking up their bikes again. For these people, cycling is recreation, not a way to get to work.

"There's now more and more people who will strap an expensive road bike to the top of their BMW and head to the hills around Beijing," said David Culbert, a spokesperson for the Tour of Beijing.

In the suburbs, the roads are smooth and the air is clean.

"You will see literally hundreds, if not thousands, of people out there on the weekends riding their bikes," said Shannon Bufton, the co-founder of Serk Cycling, a Beijing NGO promoting cycling culture.

This cycling renaissance has even gotten support from the headline-grabbing billionaire Chen Guangbiao, who celebrated China's "National Urban Car-Free Day" in 2011 by smashing a Mercedes-Benz and giving his employees free bicycles.

It's also attracting the attention of professional cycling teams eager to find untapped talent, and cycling sponsors eying China's potential as a lucrative market. And Beijing is looking to build a more competitive road cycling program for the 2016 Olympics in Rio de Janeiro.

Ji's example could give more people a reason to get back in the saddle.

"What Chinese cycling needs is a national hero who performs well at an international level," Bufton said -- and that could be Ji.

For now, Ji is focused on the Tour, in which 198 cyclists, divided among 22 teams, will ride a total of 2,272 miles before the July 27 finish line. But he's already thinking ahead.

"I hope for the future we will send more and more riders to European pro races," Ji said. "I hope they can use my experience to see that European cycling is possible."

@highlight

26-year-old Ji Cheng will become the first rider from China to compete in cycling's most prestigious race

@highlight

Ji, who is part of the Giant-Shimano team, has also competed in two of the sport's other two highest profile races

@highlight

International road cycling hasn't gained much traction in China, and some bicycles have been replaced by vehicles

@highlight

As a growing middle class starts cycling for recreation, some think China could be the next frontier for competitive cycling