Washington (CNN) -- Since 1974, U.S. presidents have had a tool to use Central Intelligence Agency operatives clandestinely -- but with limits. The term "presidential finding" is back in the headlines this week because of the situation in Libya. A former counterterrorism official with knowledge of U.S.-Libya policy said there is a presidential finding authorizing the CIA to conduct operations in support of U.S. policy in Libya, including assessing the opposition and determining their needs. Here's a deeper look at prescribed covert activities:

What is a presidential finding?

A finding is a subset of a presidential directive, focused on the Central Intelligence Agency.

According to a Congressional Research Services study in 2007, presidential directives have been around since the early days of the federal government. "Presidents, exercising magisterial or executive power not unlike that of a monarch, from time to time have issued directives establishing new policy, decreeing the commencement or cessation of some action or ordaining that notice be given to some declaration," the study said.

Over the years, there have been various directives created, known by specific names and which have a set purpose.

The notion of a presidential finding was established in 1974 during the height of a congressional investigation into allegations the CIA was illegally spying on Americans and was involved in covert programs to assassinate foreign leaders.

In an effort to reign in the executive branch and the CIA, Congress passed the the Hughes-Ryan amendment to the 1974 Foreign Assistance Act. The law prohibits the expenditure of appropriated funds by or on behalf of the CIA for intelligence activities "unless and until the President finds that each such operation is important to the national security of the United States and reports, in a timely fashion, a description and scope of such operation to the appropriate committees of Congress."

How is covert activity legally defined?

U.S. law describes covert activity as any secret action taken by the United States in another country to influence that nation's political, economic or military situation. The involvement of the U.S. is not intended to be apparent or publicly acknowledged. The statute does not include traditional intelligence-gathering overseas; that is, seeking information within a country and analyzing it for policymakers.

How specific are presidential findings?

A former senior intelligence official said presidential findings are written in a way that is "general enough to allow flexibility, but specific enough to know legally what you can do." Intelligence officers engaged in the secret task will know that what they are doing has been authorized by the White House and determined to be legal.

A U.S. official with knowledge of findings said they create a framework for broader actions taken in the future -- actions that would require permission from the White House before being done.

A former counterterrorism official said the specific activities of CIA officers would be determined by conditions on the ground and would need further approval from the president.

Who determines what the covert activities will be?

The U.S. official said it is a "collective decision." The administration determines what the overall policy is and what the goals are, and then turns to the intelligence community for suggestions on how to carry it out. As the official put it, "You need to look at all instruments of national power" to carry through a policy.

The former senior intelligence official said covert action is seeking to change such things as the political future of a country, the attitudes of the populace, and/or the economic conditions within a nation.

The fact there is a presidential finding indicates there is a "much greater involvement" by the CIA in Libya, said the official. For instance, in the case of the rebels, the former official suggested some of the things the CIA operatives are doing on the ground are "finding out who they (the rebels) are, what they are doing and what they need" to be successful. The official went on to say the officers "might be advising on how to target the adversary, how to use the weapons they have, reconnaissance and counter surveillance."

Is covert action always secret?

Whenever the CIA is engaged in secret action, the U.S. wants plausible deniability of the role it may have played -- but as the former senior intelligence official indicated, that isn't always the case. For instance, when the CIA helped launch the occupation of Afghanistan following the September 11, 2001, terrorist attacks on the United States, CIA operatives were in the country coordinating activities before there were any U.S. boots on the ground. "Things were blowing up," said the official, making it difficult to deny the agency's involvement.

The same could be said of the CIA's use of unmanned aircraft to fire missiles at suspected terrorists in the tribal areas of Pakistan. Although the CIA and the U.S. government never acknowledge the attacks, it is one of the worst-kept secrets. The drones can be seen and heard, and the damage done is publicly evident. But the U.S. government continues to be mum on the attacks because of Pakistani outrage to them.

The former intelligence official angrily said the disclosure of the Libyan covert action "puts people's lives at risk."

"You can't do covert action without the U.S. showing its hand," said the official, adding that will have a detrimental impact on the United States' ability to carry out its foreign policy objectives.

@highlight

A "presidential finding" allows certain covert activities

@highlight

The law is primarily focused on the use of the CIA

@highlight

Findings can be both general and specific