(CNN) -- There are things one has come to expect in New York -- cold winters, sweltering summers, and walking fast through throngs of tourists. Now composting?

As you may have heard, San Francisco set a goal to achieve zero waste by 2020; that means sending nothing to the landfill. Thanks to the efforts of our businesses, residents, commuters, schools, city agencies and tourists, our city diverts 80% of all waste from landfill disposal through source reduction, reuse, and recycling and composting programs.

New York's announcement to require residents to separate food scraps for collection to be composted by 2016 is a laudable and achievable goal. Since the implementation of San Francisco's mandatory recycling and composting ordinance, composting collection has increased by more than 50% within three years. We went from collecting 400 tons daily to more than 600 tons daily.

A thriving composting and recycling effort in San Francisco has not only been good for the environment, but also good for the economy. According to the U.S. Environmental Protection Agency, recycling creates nearly five times as many jobs as sending material to a landfill. A study from the Blue Green Alliance also states that if we increased our recycling rate to 75%, 2.3 million jobs would be created nationwide.

Decreasing the amount of refuse the city is sending to the landfill is also helping San Francisco reduce our carbon footprint. Waste sent to a landfill produces methane, a greenhouse gas that is up to 21 times more potent than carbon dioxide.

That's why Mayor Michael Bloomberg's decision to begin a composting program this year in New York is music to the ears of those of us in the zero waste movement. Composting has been key to increasing our diversion rate.

As New York and other cities roll out their composting collection efforts, there are some lessons learned from the road to zero waste in San Francisco to share.

Set a goal: By creating a goal, such as doubling your composting rate, city leaders are able to communicate a vision of success. Our own San Francisco Giants have embraced a zero waste goal, and diverted more than 80% of stadium discards from the landfill in last fall's playoff games. Celebrate your incremental successes toward that goal to build momentum.

Make composting simple: Conduct outreach to your businesses and residents to determine the steps needed to make composting easy. We found out that providing residents with free kitchen composting pails as well as providing commercial recycling and composting training were two easy ways to get the community engaged and participating.

Teach the next generation: Educating young San Franciscans about what goes in the green composting bin has helped not only increase the composting rates in our schools, zero waste education has helped raise awareness about protecting nature and understanding the source of food.

Success does not happen overnight. Behavior change is hard business. In San Francisco, when recycling and composting was mandated, we experienced some initial resistance because of the "ick" factor: the idea that composting could be foul smelling and belongs on a farm, not in a city.

Overcoming these misconceptions is as easy as reminding people that compostables have been in your kitchen trash can all along. Now, you are separating out your coffee grounds, food scraps, soiled paper and dead flowers and putting them toward a good cause.

In San Francisco our good cause is wine and fresh produce. San Francisco has collected more than a million tons of food scraps, yard trimmings, and other compostable materials and turned it into nutrient rich compost that is in demand by local farmers and wineries in Napa and Sonoma counties.

Can New York compost? Without a doubt. By setting up an easy to use system, investing in teaching New Yorkers what goes in the compost bin and celebrating incremental successes, New York will be well on its way to making composting second nature, too.

The opinions expressed in this commentary are solely those of Melanie Nutter.

@highlight

Mayor Bloomberg in New York wants people to compost. Is that even possible?

@highlight

Melanie Nutter: San Francisco has thriving composting program, goal to send nothing to landfill by 2020

@highlight

Nutter's advice to New York: Get people over the ick factor, set goals, teach, make it simple

@highlight

Composting, recycling creates jobs and substantially reduces waste to landfill, she says