(CNN) -- The family of Bob Levinson, who disappeared from Iran seven years ago, has long known he worked for the CIA -- a fact they once feared disclosing because the U.S. government told them it could put Levinson in even more jeopardy. Now, they believe it could be the key to bringing him home.

Members of Levinson's family offered the revelation in an interview with CNN on Tuesday, in which they accused the U.S. government of failing to do enough to find and free the missing American and prodded it to act before it's too late.

The family said it's time for the government to lay out the facts about Levinson's case.

"I hope they are hearing our request that (U.S. government officials) acknowledge what he was doing over there and they understand that the family does want this acknowledged now," the missing man's son, Dan Levinson, said. "And we think it would be more of a positive step to getting him home."

U.S. officials have consistently denied publicly that Levinson was working for the government.

At the same time, they have repeatedly insisted finding him and bringing him home is a "top" priority.

Kerry: Levinson not 'abandoned' in Iran

"We obviously stand with the family who are the ones who live with every single day that their husband or their father isn't home with them," State Department spokeswoman Marie Harf said. "So we are using every tool at our disposal to help bring him home to his family. We can't, obviously, talk about those."

White House officials have said they believe any recognition Levinson worked for the U.S. government is counterproductive.

While Iran has consistently denied knowing where Levinson is, the family provided CNN with copies of documents they described as an arrest order and a memo saying Levinson had been diagnosed with diabetes, was transferred to a hospital and had fallen into a coma. The family said they obtained the documents from a source in Iran.

They acknowledge they cannot authenticate the documents, but the family said they were provided a translation by the FBI and have been told the names of the officials listed on the document are real. Absent any other word about their missing loved one, it's the closest they have to proof that he was arrested and could remain in Iranian hands.

But Iranian Minister of Foreign Affairs Mohammad Javad Zarif Wednesday said he had not seen the documents and repeated that the government has no knowledge of Levinson's whereabouts.

"I have not seen anything that could prove that he was ever in Iran," he said Wednesday in an exclusive interview with CNN's Jim Sciutto. "In fact, we have seen evidence ... he was last seen alive outside Iran, with pictures showing that he was outside Iran when he was last seen. It's a very unfortunate case. We've said clearly that we have no knowledge of his whereabouts... We need the United States to explain for Iran what a CIA operative was doing, if he was ever in Iranian territory, what was he doing in Iranian territory."

The Levinson family said Wednesday they "would be very happy to provide Minister Zarif with the documents as soon as possible, and any other information he may need so that Bob can safely return home to us."

Dan Levinson said the family believes getting his father's work history out into the open gives them the best chance of reuniting with him once again.

Bob Levinson, now 65, had gone to Iran on a mission to investigate corruption involving Iranian officials, according to an e-mail obtained by the family. Levinson disappeared shortly after arriving and has not been heard from since a 2010 video.

His situation gained renewed urgency in December, when The Associated Press and the Washington Post reported that he was working as an independent CIA contractor when he disappeared.

Reports: Missing American worked for CIA

The CNN interview was the Levinson family's first since these news reports publicly revealed the retired FBI agent was working as a CIA contractor at the time of his disappearance.

The family's attorney, David McGee, said documents show "without a shadow of a doubt" that Levinson was a contract CIA operative who traveled extensively overseas recruiting and interviewing sources. One detail provided Tuesday to CNN includes an e-mail the family said was sent by Levinson to CIA officials discussing an investigation of Iranian corruption and discussion over the cost of his work.

"In connection with ongoing research I am conducting for an analytical report on the foreign investment of kickback and bribe monies of top Iranian government officials, an individual with detailed knowledge of this subject, with whom I have been in contact by phone and e-mail over the past year, has agreed to meet with me," the document reads. "This meeting will take place either in Dubai or on an island nearby and should cost about two or three thousand dollars."

The family said the CIA at first lied to them about the trip.

But after the family's lawyer discovered documents, including e-mails between Levinson and his handlers, the family said the CIA admitted Levinson was working undercover in Iran. Eventually, three CIA employees -- including Levinson's handler -- were fired and seven others disciplined in connection with the case. The CIA paid the family $2.5 million to avoid a lawsuit, McGee told CNN.

The Justice Department is still investigating the CIA with an eye toward possible obstruction charges involving allegations that officials lied to the Senate Intelligence Committee about Levinson's status.

The agency declined comment Tuesday.

Levinson's wife, Christine Levinson, said the FBI is working the case hard, but the government overall should be doing more.

"We thought that they would do the right thing and get him home as soon as possible," she said. "Unfortunately they haven't done anything, and this has been going on through two administrations, and nothing has gotten him home. And we don't know why."

The missing man's wife said the government should be using unspecified "intermediaries" to help negotiate a release.

"We have asked them in the past, and unfortunately we have not been able to get any intermediaries over there to Iran to work on the case," she said. "And now is the time for the United States government to authorize someone to do this."

The government has been treating the disappearance as a criminal case more than one requiring negotiation to resolve, according to McGee, the Levinson family's lawyer.

"This is something far beyond a criminal investigation, but there are people who have experience, who have the training, and who have the contacts and who have the history who can contact the Iranians, who can deal with the Iranians in good faith, who have the trust of the Iranians who should be brought into this and they have not been brought in yet," he said. "And that's one of our frustrations."

Who is Bob Levinson?

Levinson's family hopes to return to Iran soon to press authorities to investigate the documents and provide more information.

"The Iranians have the documents," Christine Levinson said. "They have done nothing with them. They have not told us anything since we gave them to them. We would like to do the investigation ourselves if they are not able to do it."

Zarif told CNN, "If there is any hope or any use for this, Iran will consider it."

Levinson's family said Tuesday that they hope Iran's new president, Hassan Rouhani, will be more willing to help than his predecessor.

"What better way could he show the world that he is all about human rights and wants to do humanitarian deeds by helping a normal American family who is not political, who is not who has no concern other than getting their father home," Dan Levinson said. "He has the power to do that, he has the power to talk to these people, put us in touch with these people and find out what happened to my father and send him home."

Americans detained abroad

CNN's Yon Pomrenze, Julia Lull and Greg Botelho contributed to this report.

@highlight

U.S. government has failed to do enough to free him, Bob Levinson's family says

@highlight

Family says documents strongly suggest Iranian officials arrested him

@highlight

The family want U.S. to acknowledge Levinson's work with CIA; officials have not

@highlight

Being up-front "would be more of a positive step to getting him home," son says