Was a police officer justified in shooting and killing Michael Brown?

That's the question at the heart of the looming legal battles over the controversial case.

What charges could Ferguson Police Officer Darren Wilson face? What would state and federal authorities have to prove in order to pursue charges? And does the fact that the gunman was a police officer change how the case could play out?

Here's a look at what legal analysts say could happen next.

Was a state crime committed?

A local grand jury has started hearing testimony, but that doesn't mean any particular charges are being recommended by prosecutors at this point, CNN senior legal analyst Jeffrey Toobin said.

"An investigation is just an investigation. ... It's just something that they're looking into," Toobin said.

For a criminal case to go forward, the grand jury must decide whether a crime was committed, and whether it's more likely than not that the accused person -- in this case, Wilson -- committed the crime, said CNN legal analyst Sunny Hostin, a former federal prosecutor.

After a fatal shooting, a range of charges are typically on the table, said CNN legal analyst Danny Cevallos, a criminal defense attorney. "They're going to be anything in the spectrum of murder, manslaughter (or) negligent homicide," he said.

The prosecutor will make a recommendation to the grand jury.

From there, the grand jury could decide to indict Wilson, or that there isn't enough evidence to move forward. In order to bring charges against Wilson, nine of 12 jurors will have to agree.

But the prosecutor plays a key role in the hearings, which are not open to the public.

"The grand jury ultimately decides whether to indict, but it's 100% the prosecution's show. ... The prosecutor could, in theory, make less of an effort if he doesn't want someone indicted," Cevallos said.

Some residents and community leaders contend St. Louis County Prosecuting Attorney Robert McCulloch has deep ties to the police and has favored law enforcement in criminal cases.

J.Tom Morgan, a former district attorney in Georgia who knows McCulloch, defended him as fair and objective.

"I believe Mr. McCulloch will present the facts and the evidence to the grand jury and the Missouri law as he is required to do so," Morgan said. "We do not put defendants on trial just to see what a jury will do."

Were Brown's civil rights violated?

As part of a federal civil rights investigation, authorities are interviewing witnesses and weighing a number of factors.

Key among them: whether Wilson exhibited "racial hostility," Toobin said.

"The most important thing would be, did he say anything that indicates racial hostility, either before, or after, or during (the shooting)?" Toobin said.

Wilson is white, and Brown was African-American.

"The bar is very high," Hostin said, "and they're difficult cases to prove."

But race doesn't have to be a factor in the shooting for investigators to allege there was a federal civil rights violation, Cevallos said.

Federal statute says it's a crime for government officials "to willfully deprive a person of a right or privilege protected by the Constitution."

Federal prosecutors could argue that Brown's right to life was violated, Cevallos said, but it's a tough case to make.

"They have to show that the officer intended to deprive somebody of that constitutional right. They would have to show intent to kill...which is not a particularly easy showing to make," he said.

When can police use deadly force?

The fact that Wilson is a police officer could influence whether he faces charges -- and how the case plays out.

"Often jurors are extremely sympathetic to police officers," said Paul Butler, a professor at Georgetown University Law School and a former federal prosecutor. "They think, even if he made a mistake, he's got the hardest job in the world, so they often want to cut police officers some slack."

Authorities also weigh different factors when deciding to prosecute police.

"There are issues that come up when you're prosecuting cases against police officers, because police officers by the very nature of their jobs can use deadly force," Hostin said.

Police officers have the same rights civilians have to self defense, Cevallos said, and they also have the right to make arrests.

"To do that," he said, "they can use deadly force to prevent an escape."

If Brown was trying to get away from the officer, Cevallos said, the Supreme Court case Tennessee v. Garner allows the use of deadly force when an alleged felon is trying to flee if "the suspect poses a significant threat of death or serious physical injury to the officer or others."

But given the number of times Brown was shot, along with newly released audio that may show a pause in rapid gunfire, Wilson has a lot of explaining to do, the analysts said.

"Evidence suggests that he wasn't fleeing and was facing the officer," Cevallos said. "If that's true ... the officer has to explain six shots. He has to explain a reason for each of those six shots. He has to have justifiably been in fear of his life or fear of some imminent serious bodily harm."

Complete coverage of Ferguson shooting and protests

@highlight

A Missouri grand jury is considering whether to bring charges against Darren Wilson

@highlight

A federal civil rights investigation is also underway

@highlight

Analyst: Federal civil rights cases are difficult to prove

@highlight

Former prosecutor: "Jurors are extremely sympathetic to police officers"