(CNN) -- Despite supporters' hopes that this time it's different, President Barack Obama's new call for restricting some semi-automatic rifles and high-capacity magazines will face deeply entrenched resistance in the Republican-controlled House of Representatives and could be a long shot even in the Democratic-led Senate.

Any gun legislation sent to the House "is going to have to pass with most Democrats and a few Republicans," said Nathan Gonzales, deputy editor of the Rothenberg Political Report. "This would be an even more high-profile bill."

Read the proposals

And Obama's call for Congress to reinstate the federal ban on military-style rifles that expired in 2004 "is a further reach than some of the other proposals that are being tossed around," Gonzales said.

"There is no way that it is going to pass with a majority of Republican support," he said. "That is just the reality of the situation. It is going to take virtually all the Democrats, and all the Democrats won't vote for that."

Obama and Vice President Joe Biden laid out a package of measures aimed at reducing gun violence Wednesday, just over a month after the December massacre at a Connecticut elementary school. The killings of 26 people there followed a July rampage in a movie theater in Aurora, Colorado, that left 12 dead and the August attack on a Sikh temple in Wisconsin that killed another six.

"The world has changed, and it's demanding action," said Biden, who led a White House task force on gun violence after the Connecticut slayings.

But before the announcement, local officials in at least three states vowed to resist any new gun controls. And Second Amendment fans have poured out their vituperation online, some floridly warning of a power grab by the Obama administration.

A look at U.S. gun laws

Texas state Rep. Steve Toth told CNN on Wednesday that he'll introduce legislation that would make it illegal to enforce a federal gun ban.

"We're going to do everything we can to call people back to the belief and the understanding that we're a constitutional republic and that our rights do not come from Congress," he said. "Our rights come from God and are enumerated in the Constitution."

And in a video that spread virally across the Internet, the head of a Tennessee gun training and accessory company warned "all you patriots" to "get ready to fight" if the Obama administration took steps to restrict firearms.

"I am not letting my country be ruled by a dictator. I'm not letting anybody take my guns. If it goes one inch further, I'm gonna start killing people," Tactical Response CEO James Yeager vowed. In a later video, in which he's accompanied by his attorney, Yeager apologized "for letting my anger get the better of me" and cautioned viewers, "It's not time for any type of violent action."

Opinion: NRA's paranoid fantasy

Obama on Wednesday signed 23 orders that don't require congressional approval that he said would stiffen background checks on gun buyers and expand safety programs in schools. And he called on Congress to restrict ammunition magazines to no more than 10 rounds and to require a background check for anyone buying a gun, whether at a store or in a private sale or gun show.

The steps that require legislative action are likely to bump up against the often-visceral opposition of lawmakers from conservative districts -- and some of their more outspoken constituents.

Most Republicans in the House of Representatives have top rankings from the National Rifle Association, the powerful gun-rights lobby, which quickly criticized the White House plans.

But it's not just Republicans: Many Democrats, particularly in the conservative South and rural West, are vocal gun-rights supporters as well.

"Guns have been one of the key issues that more moderate Democrats have used to express their independence from the Democratic Party, and this gun talk is putting a strain on that independence," Gonzales said. Though they might be willing to support proposals such as a ban on large-capacity magazines, they're unlikely to vote to ban "an actual gun," he said.

CNN/Time Poll: Slight dip in support for gun control measures in last month

"You can just see the ads -- 'They are taking guns away' -- where with these other items it is different," Gonzales said.

Even in the Senate, where Democrats control the chamber, Democratic leadership sources told CNN that passing any new legislation will be extremely difficult. More than a dozen vulnerable Democrats from conservative states will likely resist much of what the president is pushing, the sources said.

Those sources say they have no intention of putting their members in politically vulnerable position on a gun measure unless they are sure it can reach the president's desk. That means not only getting enough red-state Democrats on board, but getting enough Republicans to break a possible GOP filibuster.

But Rep. Carolyn McCarthy, D-New York, said the tide appears to have shifted in favor of gun control after the Connecticut killings.

A CNN/Time magazine/ORC International poll released Wednesday found 55% of Americans generally favor stricter gun control laws, with 56% saying that it's currently too easy to buy guns in this country -- but only 39% say that stricter gun controls would reduce gun violence all by themselves.

McCarthy said Senate approval "might even give some members of Congress the spine to do the right thing."

"You know, the NRA is not in line with an awful lot of their members, and that is something we're counting on to go forward," said McCarthy, whose husband was among the six killed when a deranged gunman opened fire on a Long Island commuter train in 1993

December's killings have "gone to the heart of every mother, father, grandparent thinking about their children, grandchildren. We have to do something," she added.

Opinion: Gun control -- it's on all of us

CNN's Dan Merica contributed to this report.

@highlight

Obama's proposed assault weapon ban isn't likely to survive the House, analyst says

@highlight

Vulnerable Democrats may not support legislation in the Senate, either

@highlight

But supporters say December's killings in Connecticut changed the equation