Washington (CNN) -- The first day of business of President Barack Obama's second term began with a prayer service Tuesday, but it will take more than spiritual guidance to change the divisive culture of Washington politics.

Conservative critics of the president wasted no time ripping into an inaugural address laden with progressive themes such as climate change, gun control, gay rights and immigration reform.

More specifically, they targeted the president's vigorous defense of costly but popular entitlement programs such as Social Security, Medicare and Medicaid.

"One thing that is pretty clear from the president's speech yesterday -- the era of liberalism is back," said Senate Minority Leader Mitch McConnell, R-Kentucky. "An unabashedly, far left-of-center inauguration speech certainly brings back memories of the Democratic Party of ages past."

If Obama "pursues that kind of agenda, obviously it is not designed to bring us together and certainly not designed to deal with the transcendent issue of our era, which is deficit and debt. Until we fix that problem, we can't fix America."

Obama's inaugural address "was trying basically to throw a bone to every left-wing activist group he could," said Rep. Dave Schweikert, R-Arizona.

Back at work, Republicans assess Obama's address

Americans for Prosperity, a conservative group that focuses on fiscal policy, labeled Obama's speech "harshly ideological" and akin to "a liberal laundry list."

The group will "be in the vanguard of the effort to oppose the president's big government policies," its president, Tim Phillips, said in a statement Monday.

In his inaugural address, Obama insisted that programs such as Social Security and Medicare -- long targets of conservatives seeking to cut the size of government -- remain vital to the maintenance of America's safety net for the elderly, poor and disabled.

Second-term priorities

"We, the people, understand that our country cannot succeed when a shrinking few do very well and a growing many barely make it," Obama declared, adding that tough decisions on how to address the nation's chronic federal deficits and debt must avoid choosing between "caring for the generation that built this country and investing in the generation that will build its future."

While some Republicans sounded less combative, they said they were nevertheless disappointed by the president's inaugural remarks.

Obama "could have found some way to be more constructive," Rep. Peter King, R-New York, told CNN. "I think he should have done more to say there's honest disagreement" instead of characterizing the debate as "the voice of reason on his side" and "shrill cries on the other side."

King acknowledged that some on the right "are never going to agree" with Obama but insisted the president needs to indicate a willingness to compromise with the GOP to make progress on the major issues facing the country.

House Majority Leader Eric Cantor, R-Virginia, told CNN on Monday that while "there are plenty of areas of disagreement ... there also are some things fundamentally we agree on, and that is this country is one of opportunity."

Marine Band: Beyonce lip-synched

Differences involve "the way we get there to help everybody," Cantor said, adding that "hopefully, we can bridge those differences."

The Republican response reflected in part a continuing split between conservatives resisting concessions to the president and GOP moderates trying to buff up the party's tarnished reputation in light of a growing public perception of congressional dysfunction.

A House vote set for Wednesday on suspending the federal debt ceiling for three months will provide the first test of GOP resolve.

The measure represents the latest in a series of Republican concessions on spending and debt issues, with House Speaker John Boehner, R-Ohio, and his leadership team proposing the debt ceiling increase without any spending cuts they had previously demanded to offset the cost.

In return, they demand that the Democratic-controlled Senate pass a budget for the first time in four years, which would provide a platform for a detailed congressional debate on spending.

Otherwise, the measure calls for legislators to forgo their salaries until they complete a spending plan.

Granderson: Obama's rallying cry

Boehner told House Republicans in a meeting Tuesday afternoon that passing a short-term debt ceiling suspension "buys time for the House and Senate both to pass a budget," according to a GOP source at the gathering.

The source noted that former vice presidential nominee and House Budget Committee Chairman Paul Ryan, R-Wisconsin, will work with House GOP leaders to draft a budget by an April 15 deadline. The budget would place federal spending on a trajectory to eliminate the deficit within 10 years, a goal shared by the speaker.

"It's time for the Senate to act," Boehner told reporters after the GOP meeting. "You can't continue to spend money you don't have."

Obama, who rejects any negotiations over the debt ceiling, has welcomed the House plan as a step forward because it prevents immediate brinksmanship over whether the government will meet its financial obligations. A political battle over raising the debt ceiling in 2011 contributed to the first-ever downgrade of the U.S. credit rating.

Four of your top second-term priorities

The White House Office of Management and Budget released a statement Tuesday afternoon noting that while "the administration supports a long-term increase in the debt limit that would increase certainty and economic stability, ... the administration would not oppose a short-term solution to the debt limit."

The White House "looks forward to continuing to work with both the House and the Senate to increase certainty and stability for the economy," the statement concluded.

However, some conservative House Republicans oppose Boehner's debt ceiling measure, setting up a possible repeat of previous votes in which the speaker failed to get enough support from his GOP conference to push through a bill.

What else could Washington waste four years doing?

"I think it's a terrible idea," Rep. Tom McClintock, R-California, told Fox Business Network on Monday, arguing the plan "gives the most spendthrift administration in this country's history literally an open credit card to borrow as much as they can."

Rep. Louie Gohmert, R-Texas, also disagreed with giving up the leverage of the debt ceiling without any guaranteed spending cuts in return.

"At some point, we have got to use the leverage we have to bring this spending down and to actually make the president do what he said in his speech," Gohmert told FBN.

In addition, Gohmert complained that Boehner's plan essentially gives the "millionaires club" in the Senate the power to determine whether he and other House members who need their congressional salaries will get paid.

At the White House, spokesman Jay Carney called the House GOP plan "a welcome thing" and rejected accusations that Obama's address Monday amounted to liberal ideology.

"He focuses on the fact that we are Americans first, and I hardly thing the pursuit of equal rights, pursuit of comprehensive immigration reform, pursuit of sensible policies that deal with climate change and enhance our energy independence are ideological," Carney said Tuesday.

In the Senate, Majority Leader Harry Reid outlined an agenda that closely conformed to the priorities of the president's inaugural address the day before.

NRA chief: Obama makes 'mockery' of American freedoms

"The last Congress was too often characterized by sharp political divides -- divides that hampered efforts to foster success for all Americans," the Nevada Democrat said, telling his colleagues that "it is possible to hold fast to your principles while making the compromises necessary to move our country forward."

At the same time, Reid said Senate Democrats "will stand strong -- strong -- for the standard of balance, and we will remain resolute -- resolute -- in the pursuit of fairness for all Americans, regardless of where they were born or the color of their skin, regardless of the size of their bank accounts, regardless of their religion or their sexual orientation."

McConnell also called for compromise but said it was Democrats who must be willing to meet in the middle.

"Over the past four years, while the president focused on re-election and too many Senate Democrats focused on avoiding tough decisions, the debt grew by more than $6 trillion," McConnell said. "In short, Democrats have put off all the hard stuff until now. And our problems have only gotten worse. But that was the first term."

Saying "a lot of Democrats are afraid of a process that exposes their priorities, particularly on spending and debt," McConnell made clear that Republicans reject any further increases in tax revenue after the fiscal cliff deal at the end of the last Congress that raised rates on top income earners.

"Since the revenue question has been settled," he said, "I'm sure the American people are eager to see what other ideas Democrats might have to bring down our ruinous deficits."

CNN Poll: Do Americans agree with Obama on climate change and immigration?

CNN's Dana Bash, Ted Barrett and Deirdre Walsh contributed to this report.

@highlight

House GOP leaders pushing 10-year plan to balance budget

@highlight

Conservatives criticize progressive themes in President Obama's inaugural address

@highlight

The House will vote Wednesday on a plan to spark budget negotiations

@highlight

Some House Republicans oppose leadership's plan to suspend debt ceiling