Climate change is here and will only worsen. Get used to more flooding, wildfires and drought, depending on where you live. Cities and states across America already are spending lots of money to respond.

Those are the take-home messages of a new White House report released Tuesday that is part of President Barack Obama's second-term effort to prepare the nation for the impacts of a changing climate such as rising sea levels and increasingly erratic weather.

The National Climate Assessment update said evidence of human-made climate change "continues to strengthen" and that "Americans are noticing changes all around them."

"This is not some distant problem of the future," Obama told NBC, while John Holdren, who directs the White House Office of Science and Technology Policy, said climate change "already is affecting every region of the country and key sectors of the economy."

Read the National Climate Assessment

The Obama administration wants the report to ignite awareness of the need for government and communities to respond now to climate change in the face of fierce political opposition, mostly from conservatives.

Unrelenting political opposition

A relentless campaign backed by the fossil fuel industry and its allies challenges whether climate change is real, and if so, whether human activity such as increased carbon emissions from power plants, factories and cars contributes to it.

In a statement coinciding with the report's publication, the White House said the findings "underscore the need for urgent action to combat the threats from climate change, protect American citizens and communities today, and build a sustainable future for our kids and grandkids."

Breaking down the report by region

John Podesta, a Democratic operative who now counsels the President, told reporters that Obama will kick off a broad campaign this week to publicize the report, while Cabinet members and other administration officials would be "fanning out" across the country to spread the word about how climate change impacts specific regions.

Republican critics immediately pounced on new report as a political tool for Obama to try to impose a regulatory agenda that would hurt the economy.

Senate Republican leader Mitch McConnell of Kentucky mocked what he described as the hypocritical stance of "liberal elites" who demand strong action on climate change while failing to reduce their own carbon footprint.

"Even if we were to enact the kind of national energy regulations the President seems to want so badly, it would be unlikely to meaningfully impact global emissions anyway unless other major industrial nations do the same thing," McConnell said in arguing against proposals to reduce industrial pollution.

He called the debate "cynical" because Obama knew that "much of the pain of imposing such regulations would be borne by our own middle class."

Changing attitudes?

To Podesta and Holdren, the reality of climate change will win out over opponents of new energy policies to combat it.

"Public awareness has been going up and will continue to go up," Holdren told reporters, predicting increased public support for government action to reduce U.S. carbon emissions and for America to take a leadership role on climate change in the international arena.

Five things you can do

Recent polling indicates most Americans believe human activities cause climate change, but also shows the issue is less important to the public than the economy and other topics.

A Gallup poll in March found that 34% of respondents think climate change, called global warming in the poll, posed a "serious threat" to their way of life, compared to 64% who responded "no." At the same time, more than 60% of respondents believed global warming was happening or would happen in their lifetime.

More than 300 experts helped produce the report over several years, updating a previous assessment published in 2009. Podesta called it "actionable science" for policymakers and the public to use in forging a way forward.

Scientists categorize the response to climate change into two strategies -- minimizing the effects by reducing the cause, which is known as mitigation, and preparing for impacts already occurring or certain to occur, which is called adaptation.

The report breaks the country down by region and identifies specific threats should climate change continue. Major concerns cited by scientists involved in creating the report include rising sea levels along America's coasts, drought in the Southwest and prolonged fire seasons.

Sea levels rising

It predicts sea levels will rise at least a foot by the end of the century and perhaps as much as four feet, depending on how much of the Greenland and Antarctic ice shelf melts.

Such an outcome could be catastrophic for millions of people living along the ocean, submerging tropical islands and encroaching on coastal areas.

Low-lying U.S. cities already experience high flooding, with Miami planning to spend hundreds of millions of dollars to address the problem, noted Jerry Melillo of Marine Biological Laboratory, who chaired the advisory committee that produced the new assessment.

The Great Plains could experience heavier droughts and heat waves with increasing frequency, while more wildfires in the West could threaten agriculture and residential communities, the report notes.

Obama's week-long focus on climate change continues Wednesday, when the White House convenes a summit focused on green building tactics. Later in the week, Obama will announce new solar power initiatives, according to Podesta.

In his first term, the President faced opposition by Republicans and some Democrats from states with major fossil fuel industries such as coal production to significant climate change legislation.

He pledged to renew his efforts on the issue in his final four years, including using executive actions that bypass Congress. Obama has introduced new regulations on vehicle emissions and created "climate hubs" that help businesses prepare for the effects of climate change.

A major upcoming issue is a proposal under consideration by the Obama administration to build the Keystone XL pipeline, which would transport tar sands oil from Canada to the Gulf of Mexico.

Environmental groups say the project would contribute to climate change because tar sands oil is dirtier than conventionally drilled crude, and importing it would maintain the country's dependence on fossil fuels. Republicans and some Democrats from oil industry states want the pipeline approved to create jobs and bolster exports from a strategic ally and U.S. neighbor.

The new assessment calls for continued mitigation steps including regulations and programs to reduce carbon emissions, as well as necessary planning and investment to deal with the known impacts.

Melillo cited some adaptation measures already underway, noting a "terrific plan for extreme heat events" by the city of Philadelphia.

"Things are starting to happen," Melillo said, adding that the continued efforts over time will "ultimately present a very positive picture" about Americans taking action on climate change.

@highlight

President Obama says climate change happening now

@highlight

A new government report outlines how climate change already affects the country

@highlight

Administration officials "fanning out" across the country to publicize the report

@highlight

Republicans criticize proposed government steps on climate change