London (CNN) -- As concerns about rising Islamophobia in Britain grew amid anti-Muslim protests and attacks targeting mosques, authorities made a 10th arrest in last week's knifing death of a British soldier.

Armed police arrested a 50-year-old man on a street in the town of Welling in southeastern England.

The man's connection to the case was unclear, but like the other nine suspects, he was arrested on suspicion of conspiracy to commit murder. Three of those arrested are still in custody, including the two men who allegedly hacked to death British soldier Lee Rigby. Two were released without charge, and five were released on bail.

Police haven't said how anyone they've arrested could be tied to killing, and they've been tight-lipped about the attackers' identities and their motives. But a video recording of one of the suspected attackers claiming the soldier's death was revenge for the deaths of Muslims worldwide has fueled long-simmering tensions.

And the series of arrests after the British soldier's slaying have done nothing to quell surging anti-Muslim sentiment in some sectors of the United Kingdom.

A mosque was set ablaze Sunday in Grimsby, a town on England's east coast. Officers arrested two men there on suspicion of arson, according to Humberside county police. No one was injured in the fire.

The English Defence League demonstrated in the town's center the morning before the fire. On Monday, hundreds of EDL supporters marched near the central London office of Prime Minister David Cameron.

Enraged by the murder of Rigby in the southeast London neighborhood of Woolwich on Wednesday, the EDL has called for marches around the UK.

In a demonstration in Newcastle on Saturday, angry supporters cried out for Muslims to leave the country. EDL demonstrators threw objects at counter demonstrators, and police stepped in to keep the raucous men from going after their opponents.

The EDL claims Islamic law is poised to overthrow British society and calls for Britons to act aggressively to pre-empt it.

"If we fail to show courage now, we will leave revolution, civil war or subjugation to our children and our children's children," reads the motto on the EDL's website. "Any act of muslim extremism will now be countered by the EDL," it vows on its Facebook page.

Fear at the mosque

On Friday, members of the Grimsby Islamic Cultural Centre expressed fear on its Facebook page over the EDL's announcement of Saturday's protest.

"Guys can you try to keep as safe as poss as the EDL in Grimsby have planned a few demonstrations in the coming days," Nadia Hussein posted.

Another poster on the mosque's Facebook page claimed the Grimsby EDL gave out the Islamic center's address. "Stay safe and Allah be with us all," Gayle Hardy added.

CNN could not corroborate the claim on EDL Grimsby's Facebook page. Police have not implicated the EDL or any other group in the mosque fire.

After the blaze, police said they were aware of online postings "by a small minority of individuals" that were intended to "incite trouble," Humberside County police said.

"Those people should be aware that we are monitoring these sites in Humberside and we will take action against those intent on attempting to incite violence or post messages of a racial nature," police warned.

Reports of anti-Islamic incidents surged after Rigby's gruesome killing, according to Fiyaz Mughal, who operates a hotline for Muslims under attack. In the 48 hours after the murder, he received 162 reports from victims saying people had called them names, assaulted them or thrown things at them.

Before the Woolwich killing, Mughal received around five complaints per day.

Eight mosques were attacked across the country during that time, he said.

Cub scout leader, ex-teacher confronted London terrorist

What is the English Defence League?

The EDL sports symbolism that resembles that of neo-fascist groups. Its logo is adorned with red medieval crosses. One of its popular slogans is "Defender of Faith! Defender of England!" A motif on some of its sweat shirts is the image of a Christian knight, possibly a Crusader, praying with his sword drawn.

Many EDL sympathizers seen at demonstrations have similar appearances to those of right-wing extremist groups. Almost all of them are young, white men. Many of them have shaved heads typical of skinheads and wear nationalist symbols.

But the group focuses strictly on Islam. It claims to oppose racism and to promote democracy and diversity. It brags that it has support from gay rights groups, Sikhs and Hindus.

The EDL even links to a "Jewish Division" on its Facebook page and posts messages of support for people of color it feels have fallen victim to Islamist extremists.

Members of the EDL clashed with police near the scene of Ribgy's killing last week. A tweet from its official account proclaimed then that "it's fair to say that finally the country is waking up!:-) NO SURRENDER!"

Who is the bloody, cleaver-wielding man?

Murder sparked outrage

Men in a blue car drove up on a sidewalk Wednesday and struck the 25-year-old Rigby. They got out of the car, according to police, then stabbed and slashed him to death with knives and meat cleavers, before dragging his body into the middle of the street.

After the attack, one of the men, his right hand covered in blood, the left brandishing a knife and a cleaver, found someone with a camera and talked into it. He justified the terrible deed as revenge for the killings of Muslims around the world.

The video went viral on the Internet.

When police arrived, one of the suspects rushed officers with a gun, authorities said. Police opened fire, wounding both of them.

Kenya: Before British soldier's slaying, suspect was tied to terror

Extremism task force

Britain is forming a task force that will examine the dynamics behind extremist groups in the country, Prime Minister David Cameron's office announced Sunday.

The group, led by Cameron, will "have a general focus on extremist groups, but accept that in practice the greatest threat is from Islamist extremists," a statement from Downing Street said.

The Muslim Council of Britain said the task force needs to look at "extremism from all quarters" while forming an effective strategy.

"We must be vigilant and ensure we do not inadvertently give into the demands of all extremists: making our society less free, divided and suspicious of each other," said a statement from the council's secretary-general, Farooq Murad. "Lessons from the past indicate that policies and measures taken in haste can exacerbate extremism."

After soldier's slaying, Britain forms extremism task force

CNN's Ben Brumfield reported and wrote from Atlanta. CNN's Atika Shubert reported from London. CNN's Erin McLaughlin, Stefan Simons, Victoria Eastwood, Neda Farshbaf, Laura Smith-Spark and Catherine E. Shoichet contributed to this report.

@highlight

NEW: British police arrest a 10th suspect connected to a soldier's slaying last week

@highlight

Attacks on Muslims in Britain surge after the religiously motivated killing of a UK soldier

@highlight

Two men in Grimsby, England, are arrested on suspicion of arson

@highlight

The English Defence League, an anti-Islam political group, marches in central London