(CNN) -- "Who are we?" It's a question Northern Sudanese have been asking themselves for some time. Tucked away at the meeting point of Arab North Africa and the Horn, the people here have identified with both East and West.

It's a question Sudan's President Omar al Bashir believes he's given the definitive answer to. At one of his many public rallies he told supporters: "We are an Arab, Muslim nation. Anyone who doesn't like it can go."

This was after those who didn't like it did exactly that: In 2011, after a peace agreement brought to an end more than 21 years of civil war, the majority of Christians chose to secede and create their own country, aptly named South Sudan.

But it hasn't brought the two countries any closer to a lasting peace: Border squabbles and skirmishes over the division of oil wealth are still the norm.

It did, though, give Islamists in northern Sudan a clearer goal for the "cultural project" launched in 1989 when they took power in a military coup that instated Islamic law and did away with any semblance of political plurality.

Islamist theocracy

The project denounced the multi-ethnic, culturally-rich Sudan -- with its Sufi chants and Orthodox Easter festivals -- and reinforced -- as an Islamist theocracy with headscarves and "public order" courts. Effectively it created morality police.

In the early years of Islamist rule, the public order courts were our bogeymen. Girls who were deemed inappropriately dressed -- by the arbitrary metric of whichever officer happened to be on duty at the time -- were carted off in the back of police pick-up trucks in their hundreds, taken to be at best humiliated, and at worst flogged.

Even today, although the "diktats", or rules on Islamic dress have loosened, the occasional street sweep serves as a reminder of what still lies in wait should your behavior be ruled "un-Islamic."

It was a public order court that sentenced Meriam Yahya Ibrahim to death for apostasy, for her refusal to renounce Christianity, a move that has left many of my Sudanese friends and family shocked.

This comes as licenses to build new churches are routinely denied, permission for Christmas festivities routinely blocked and rights activists tell us an estimated 200 foreign nationals were thrown out of Sudan for "Christian evangelizing."

Ibrahim's husband told me she was Christian when he met her and that he's never met the men alleging she is their missing -- Muslim -- sister called Abrar.

Her father, who Ibrahim claims wasn't involved in her upbringing, has yet to speak, either in court or publicly.

International outrage

And it's these missing pieces of the puzzle that the government has clung to, trying to distract the growing domestic and international outrage.

But it hasn't escaped people's notice that the press conference Ibrahim's alleged brothers held was in a government hall, and that in a country where journalists are told not to broach certain topics, the statement by the man claiming to be her older brother was allowed to be freely published; a statement announcing that the woman he claims as a sister must return to Islam or be killed "as a glory to the faith."

Perhaps it's because the "Ijma" or consensus of the Islamic community, which is taken as a guide in Islamic jurisprudence, is not unified in the meting out of a death sentence for apostasy, although countries like Saudi Arabia and Pakistan do have the law on their books.

Or maybe it's because, even in a country that has found a way to live with the gunning down of protesters, the shrinking of freedom and allegations of government corruption and financial mismanagement, that seem to come almost daily, the death sentence of a mother-of-two for a crime that many here don't think really counts, has allowed many to realize, at the very least, who we are not.

READ MORE: Only court can release death row Christian
READ MORE: Sudanese woman gives birth on death row

@highlight

After years of civil war, the majority Christian South of Sudan chose to secede

@highlight

Border squabbles and skirmishes over the division of oil wealth are still the norm

@highlight

Diktats on Islamic dress have loosened -- but there is the occasional street sweep

@highlight

The death sentence for apostasy has left many Sudanese shocked