(CNN) -- Uber, the ride-sharing service, is once again in the spotlight for a PR nightmare of its own making. Stunningly, executive Emil Michael suggested -- in what may have been off-the-record comments -- that the company might not be above threatening journalists who criticize Uber.

In the past, Uber supporters have offered excuses for the company's blunders, saying that its speed of growth creates stress and contributes to mistakes. Uber seems to make many mistakes. Tracking a journalist's whereabouts with an app called "God View," or conflating the Uber on-demand car service with a fictitious on-demand service trolling for women that CEO Travis Kalanick calls "Boob-er," are not good ideas.

But the story is more important than PR gaffes and immature jokes.

Uber is the latest example in a long line of organizations and professional cultures guided by corporate narcissism. Such companies are so consumed with preening and filling their coffers that they lose sight of their customers. When taken to an extreme, corporate narcissism can put customers at risk. They can even be physically hurt and have their lives turned upside down in disastrous ways.

Consider the number of people whose lives were shattered in the 2007 mortgage crisis. Led by a notoriously narcissistic company, Countrywide Financial, the rapacious mortgage and banking industry zeroed in on new profits from record numbers of mortgages by giving unqualified borrowers loans. Who cared if folks couldn't pay back the money?

When the inevitable housing market crash came, countless lives were left in ruins as the roofs over their heads were taken away. The financial meltdown was so epic that we're still recovering from it today. Yet, most of the mortgage and banking institutions involved remained standing despite the big mess.

Or consider the NFL. Revelations of NFL players who were hardly punished for domestic violence incidents or charges of drug addiction have become almost commonplace. And what about players who suffer brain damage, depression and dementia, as a result of repeated concussions -- a situation long covered up by the NFL? It seems like the NFL keeps its eye more on league success at the expense of player ethics and safety. Where's the accountability?

Or consider Target, whose CEO, Gregg Steinhafel, lost his job earlier this year after presiding over many missteps, including a massive credit card data breach that affected millions of customers. If Target had heeded early warnings from its IT department, maybe this could have been prevented. But the company seemed to have lost its focus, and the protection of customers' privacy didn't garner as much attention.

One need look no further than the past few months to see Uber barreling down similarly narcissistic paths. And people are pushing back asking, among other things, if their personal safety is at risk when they get in an Uber car. Can they really trust that this company, with such apparently impulsive and aggressive leadership, will protect them and ensure a positive experience?

What companies need is a culture of consumer accountability. But Uber is going in the opposite direction. None of the 8 Uber "competencies" that are expected of employees focuses on appealing to customers, much less consumer values like responsibility for passenger safety, privacy, data protection or the right to a rating-free experience after a ride.

Uber's privacy policy is vague and not transparent, which could lead to abuses of customer data security, especially in full-steam-ahead cultures where the message is anything goes if it drives scale. The company has yet to address what it will do with the abundant customer data it collects with every ride. But even in the absence of these protections, a company whose CEO thinks of women as "Boob-ers" may not be perceived as one that has every consumer's interest at heart.

The company may see this moment of blowback as a speed bump on its way to world dominance -- an inconvenience that can be managed by an expert political campaigner, a PR challenge that can be smoothed over through private dinners with media influencers. In reality, Uber is a company at major risk of losing its lead in the market. The app is easily copied and the service it provides erects no barriers to competitive entry. If Uber changes its approach from narcissism to accountability by focusing on consumer relationships and loyalty, it will have a chance at a bright future.

@highlight

Uber recently was in the spotlight again for a PR nightmare of its own making

@highlight

Martha Pease: Uber is the latest company to be guided by corporate narcissism

@highlight

She says such companies lose sight of their customers; at times consumers can be put at risk

@highlight

Pease: If Uber doesn't change its narcissistic way, it will lose its lead in the market