(CNN) -- When players get their hands on "Grand Theft Auto V" on Tuesday, the gaming world will get another titillating dose of the sex and violence that has come to define the series in the eyes of millions -- many of whom have never played it.

Early reviews of the game confirm a checklist of activities from any good criminal's daily planner: bong hits and lap dances, torture and tasers. They also herald the return of what The New York Times called "the most immersive spectacle in interactive entertainment."

And in a world that's learned to take "Call of Duty" and Quentin Tarantino in stride, it's a combination some predict could result in the most lucrative entertainment launch in history.

"GTA is easily one of the biggest game releases of the year," said Steve Butts, editor-in-chief of games and entertainment site IGN.com. "The previous game is still one of the biggest entertainment launches of all time, and there's no reason to think GTA V will be any different."

Launched in 1997, the "Grand Theft Auto" series is one of the most successful in video-game history, selling more than 125 million units. Along the way, the series has transcended the gaming world to become a cultural phenomenon through its rare mix of popularity and controversy. Samuel L. Jackson, Dennis Hopper, Ricky Gervais, Peter Fonda and Debbie Harry are among the voice actors who have lent their talents to the series.

Flipping the script on the typical good-versus-evil story, gamers play "Grand Theft Auto" titles as criminals -- from two-bit hoodlums trying to work their way up the ranks of organized crime to seasoned, rough customers hell-bent on revenge for wrongs done to them by other crooks.

Much of the franchise's appeal is its status as an "open world" game. While most video games, even those with story lines attached, keep the player busy on a predetermined course of action, open-world games allow greater freedom to explore.

And while games with some open-world elements date back to the video arcades of the '80s, none had ever combined as many as the "Grand Theft" series, creating an immersive experience for players of its 10 titles and numerous expansion packs.

Want to work out? Hit a night club? Get a job? Change the radio station on your car stereo? All are possibilities.

But there's no denying that, for some players, the ability to do very nefarious things in that open universe has also been a draw.

The game's big breakout among players, as well as critics, came in 2001 with "Grand Theft Auto III."

Perhaps the most notorious discovery in that version, set in a New York-like "Liberty City," was the player's ability to hire a prostitute, have (offscreen) sex with her, kill her and then steal her money.

The now-defunct GameSpy named "GTA III" both "Game of the Year" and "Most Offensive Game of the Year."

"I think this is a technically marvelous game that at the same time is absolutely reprehensible ...," the site's most-offensive "honor" read. "It's a game that rewards you for killing innocent people by the dozen. In Grand Theft Auto 3, I can hijack a car, kill the driver, run someone down on the street, commit drive-by shootings, and score points for doing all of it.

"In some scripted sequences, I'm tasked to kill people at random. In one, the identities of the victims don't even matter. The goal is merely to kill a certain amount of people within the allotted time. There are no significant penalties for offing bystanders."

The game was briefly banned in Australia and a modified version was later released. Other bans, protests and even lawsuits would follow. But IGN's Butts says that's not why the games have endured.

"The more salacious content definitely gets headlines -- and undoubtedly resonates with some members of the audience -- but the real appeal of GTA has always been in its open-ended world," he said. "Here's a game where you exist in a simulation of a real city, a sort of real-world sandbox, where you can play golf, race cars, jump out of airplanes, fly blimps and loads of other activities.

"While those activities, by themselves, are fun, the real joy is in seeing the way the world responds to your actions and decisions. The combat and driving are obviously significant draws for some players, but they're not what most set GTA apart."

Controversies over violent video games feel almost as old as video games themselves, dating back to the 1980s. Perhaps that's why the din leading up to the release of "GTA V" hasn't been so loud.

Which is not to say controversy has gone away. As recently as last month, authorities in Lousiana said an 8-year-old had been playing "Grand Theft Auto IV" before he shot and killed his elderly caregiver. (Age 8, it's worth mentioning, is far too young to be playing the game according to its "M for Mature" rating.)

The sheriff's office implied the child's activities in a violent virtual world might have led to the killing.

But Butts and others see a cultural shift that's taking the edge off of complaints.

"I will say that the drift of modern society normalizes subjects that the previous generations would have found objectionable," he said. "Creators in all media intentionally shock sensibilities either to make a point or simply to get noticed.

"Games exist within a larger context, particularly with regard to violence. Violence in games is just an expression of the presence of violence in all of our media and in society at large."

And for his part as an avid gamer, Butts welcomes anyone offended by popular titles such as "Grand Theft Auto" to speak up.

"I don't know that I think the protests will stop (and) frankly, I don't think they should," he said. "Games are an increasingly important part of our culture, and we all have a responsibility to find a more appropriate, inclusive context to debate what is and isn't appropriate entertainment for certain audiences."

@highlight

"Grand Theft Auto V" marks the return of one of gaming's top titles

@highlight

The series is known for expansive play options, including violence

@highlight

In game, players are criminals free to act as they please

@highlight

Some say as our culture shifts, reaction to violent games is more muted