BARCELONA, Spain (CNN) -- We traveled by metro to the Barcelona suburb of Santa Coloma de Gramenet, where the phrase over my dead body takes on a new meaning; it's the first town in Spain that has placed solar panels in its municipal cemetery and has been attracting global attention and causing local discussion.

Santa Coloma de Gramenet cemetery: Where many rest in peace, some see renewable energy.

We could quickly see why the town officials said there was not enough land to put the solar panels on the ground. The town is densely packed with tall apartment buildings for its population of 124,000 people, many of whom commute to work in nearby central Barcelona.

From Santa Coloma's city hall plaza, we took a taxi to the cemetery situated on the town outskirts, and the driver provided the first indication that not everyone approves of solar panels in a final resting place.

"In Spanish culture there's a lot of respect for the dead. I don't think people will like this idea," said taxi driver Juan Nogales, whose grandmother and uncle are buried in the cemetery.

He said he didn't even know about the cemetery solar panels, even though town officials had told us earlier that there had been a broad public information campaign to inform residents and solicit their opinions before the solar panels were even installed.

The cemetery provided further evidence of the land crunch in town. Few people are actually buried in the ground here. Instead, like in the apartment buildings, the deceased are stacked up in tall mausoleums, rising to five levels. Many Spanish towns have similar cemeteries

And where were the solar panels?

It's true that the solar panels are not easily visible from the ground in many parts of the cemetery, but from up the hill and looking down the photovoltaic panels become readily apparent.

Perched atop the mausoleums is a veritable sea of solar panels, connected by cables that channel the electricity into a small transformer station at the top of cemetery hill, which connects to tall electrical towers nearby.

We stopped at the tomb of Teresa Grinon, who died in 1985 and rests in the top row of a mausoleum. There are four other tombs directly below her, but directly above her is a large solar panel. Esteve Serret's family firm is in the cemetery management business.

It has the contract to manage the Santa Coloma cemetery -- among others in Spain -- and the idea for the solar panels came from the firm. Serret, a cheerful man who speaks Spanish, English and Catalan said the aim was to put the solar panels discreetly in the cemetery.

"We think it's important for the cemetery to generate this clean energy, but it's so important to respect the use, the normal use, of the cemetery," Serret said.

The cemetery florist, Francisca Hans, whose father and grandfather are buried here, perhaps had a bit of graveyard humor as she told us, with a smile. "Nothing's going to happen to the dead once they're here if there are solar panels up above."

We also talked to Natividad Jimenez, a housewife who has two brothers buried in the cemetery. She approves of the solar panels, and said that's partly because another brother installs solar panels in Valencia.

Santa Coloma's environment councilor, Begona Bellette, told us about the city's other solar initiatives, on the roofs of schools -- one of which we visited -- and at the library.

The town proudly says the United Nations has recognized it in the fight against global warming.

But the cemetery has many advantages over the other locations in town for solar panels, Bellette said.

"You have a large surface, with no chance of shadows on it that would reduce the energy production," Bellette said. The cemetery currently provides enough electricity to power 60 homes, Serret said.

There are more solar panels planned for the cemetery, and Serret said a dozen other cities in Spain and Mexico have expressed interest in following their lead and are considering installing solar panels in their own cemeteries.

Where many rest in peace, some see a renewable opportunity.

@highlight

Solar cemetery in town just outside Barcelona the first of its kind in Spain

@highlight

Panels fixed on top of five-storey mausoleum, power 60 homes

@highlight

Relatives of deceased generally have no objections to solar installation