(CNN)German investigators found antidepressants in the apartment of Germanwings co-pilot Andreas Lubitz this week, according to published reports.

Die Welt, a German newspaper, cited an unidentified senior investigator who said Lubitz suffered from a severe "psychosomatic illness" and German police seized prescription drugs that treat the condition. Lubitz suffered from a "severe subjective burnout syndrome" and from severe depression, the source told Die Welt.

The New York Times also reported that antidepressants were found during the search of his apartment. CNN has not been able to confirm the reports.

Investigators continued to work Saturday to piece together the secret life of Lubitz, who officials say was hiding an illness from his employers. He had been declared "unfit to work" by a doctor.

They were expected to question his relatives, friends and co-workers as they try to pin down what could have prompted the seemingly competent and stable co-pilot to steer a jetliner into a mountainside on Tuesday.

As their efforts continued, dozens of people attended a remembrance ceremony for the victims of the crash at a church in a nearby town, Digne-les-Bains. There were 150 people on board Germanwings Flight 9525, including Lubitz.

Relatives of the victims and local residents also gathered Saturday afternoon by a simple stone memorial set up near the crash site, in the village of Le Vernet. Flowers have been laid there, in the shadow of the snow-covered peaks of the French Alps.

Much attention has focused on Lubitz's state of mind, with some media reports speculating that he may have had mental health issues.

Investigators found a letter in the waste bin of his Dusseldorf, Germany, apartment saying that Lubitz, 27, wasn't fit to do his job, city prosecutor Christoph Kumpa said Friday. The note, Kumpa said, had been "slashed."

Just what was ailing Lubitz hasn't been revealed. The New York Times and the Wall Street Journal, citing unnamed sources, reported Friday that Lubitz suffered from mental illness and kept his diagnosis concealed from his employer.

A subsequent New York Times report on Saturday, citing two officials with knowledge of the investigation, said Lubitz sought treatment before the crash for vision problems that might have put his career at risk. According to those unnamed officials, Lubitz also was being treated for psychological issues. Other media reports indicate he was treated for depression.

Lubitz passed his annual pilot recertification medical examination in summer 2014, a German aviation source told CNN.

An official with Lufthansa, which owns Germanwings, said the exam only tests physical health, not psychological health, and that if Lubitz had vision problems that would have been discovered during the tests.

"We can't believe it. If anything was wrong with his eyes during the physical exam we would have known," the official says.

The Lufthansa official also said the company was never given any indication Lubitz was depressed, and that if he went to a doctor on his own  he would have been required to self-report if he had been deemed unfit to fly.

A Dusseldorf clinic said he'd gone there twice, most recently on March 10, "concerning a diagnosis." But the University Clinic said it had not treated Lubitz for depression.

German investigators said they still have interviews and other work to do before they can reveal what they gleaned from the records found in the apartment and at his parents' home in the town of Montabaur.

But the fact that investigators found "ripped, recent medical leave notes, including for the day of the offense, leads to the preliminary conclusion that the deceased kept his illness secret from his employer and his professional environment," prosecutors said.

Germanwings corroborated that assertion, saying it had never received a sick note from Lubitz.

Authorities left Lubitz's apartment Friday night with boxes of papers and evidence folders after spending about 90 minutes inside.

Dusseldorf police said Saturday that a small team of French investigators had arrived in the city and that they were sharing information.

Jean Pierre Michel, lead investigator for the French inquiry, told French TV from Dusseldorf that the French team would work in "full transparency" with their German counterparts.

"We will interview people related to the investigation in the coming days. The hearings will be conducted in the coming days and weeks," he said, according to CNN's French affiliate BFMTV.

Asked by a journalist about reports of Lubitz's possible mental illness, he replied: "The elements of the investigation are strictly confidential and we cannot address these matters today."

No scenario can yet be ruled out, including mechanical failure, "as we do not have the necessary evidence," he said.

The German tabloid newspaper Bild said Saturday it had interviewed an ex-girlfriend of Lubitz. The woman is not named in the story and CNN has not been able to verify the report independently.

According to Bild, the ex-girlfriend said Lubitz was a very nice and sensitive man who needed a lot of care and attention, and he was very troubled. She said he would get into fights with her.

The newspaper also cited the ex-girlfriend as saying that Lubitz had bad dreams that his plane was going down.

Patrick Sondenheimer was the pilot of Germanwings Flight 9525, according to Reiner Sondenheimer of Dusseldorf, Germany, who says he is a relative of Patrick's.

Patrick Sondenheimer is the pilot believed to have been locked out of the cockpit by his co-pilot, Lubitz.

CNN spoke to Reiner Sondenheimer at his Dusseldorf apartment. Also at the apartment was a woman who did not provide her name but said she was Patrick Sodenheimer's relative. That woman also said that Patrick Sondenheimer was on the doomed flight.

Reiner Sondenheimer declined to say anything else, other than the family wanted time to grieve.

The pilot has not been named by German authorities.

Another Germanwings pilot who once flew with Lubitz, Frank Woiton, told WDR, a local broadcaster belonging to CNN's German affiliate ARD, that his impression of Lubitz was that he was "friendly" and that there was "nothing suspicious."

Woiton also said Lubitz "was a good pilot and had a good command of the plane."

Woiton's first job after he found out about the crash was the route Dusseldorf-Barcelona-Dusseldorf -- the same route as had been taken by Germanwings Flight 9525 a day earlier.

He was praised in German media for the emotional announcement he made to passengers before takeoff, in which he said the crew, like everyone else on the plane, wanted to get home safely to their families.

At the scene of the crash, two helicopters were being deployed above the mountainside by recovery crews Saturday. The weather has improved after high winds Friday made their complex task even more treacherous.

Lt. Col. Xavier Vialenc, a spokesman for the Gendarmerie, told CNN there were about 40 officers at the crash site Saturday.

Once at the crash site, recovery workers spend all day working there, he said. Back in Seyne-les-Alpes at the end of the day, they can see a psychologist if they choose and have a debriefing session with all the workers.

Vialenc said the operations were going well so far and that the progress made was meeting their expectations.

Yves Naffrechoux, captain of rescue operations at Seyne-les-Alpes, told CNN on Friday that rescuers have found bodies at the rugged crash site, but few of them are intact.

It could be weeks before all the bodies are recovered, identified and released to the families, authorities said.

What could have prompted Lubitz to deliberately destroy the aircraft, killing everyone on board, remains the focus of investigators in Germany.

He had passed medical and psychological testing when he was hired in 2013, said Carsten Spohr, CEO of Lufthansa, which owns Germanwings.

Spohr also told reporters that Lubitz had "interrupted" his pilot training, which he began in 2008. That break lasted several months, he said, but added that such an interruption isn't uncommon. Spohr didn't give a reason for the break.

While the ailment Lubitz had sought treatment for hasn't been revealed, that he was declared unfit for work is an important detail, aviation analysts say. Pilots are required to maintain their fitness to fly and must tell their airline if they're found unfit, CNN aviation analyst David Soucie said.

Who was co-pilot Andreas Lubitz?

Although authorities have recovered the cockpit voice recorder, the flight data recorder remains missing. It could shed crucial details about what happened inside the cockpit, authorities say.

Lubitz was the co-pilot on Tuesday's flight between Barcelona, Spain, and Dusseldorf when he apparently locked the captain out of the cockpit, then activated a control causing the plane to descend toward rugged terrain.

Germanwings said the plane dropped for about eight minutes from its cruising altitude of 38,000 feet before crashing.

The only sounds, authorities said, were those of pounding on the cockpit door, Lubitz's steady breathing and, eventually, screaming passengers.

Lubitz and 149 other people on board the plane died in an instant, authorities say. Most were from Germany and Spain.

Mother, daughter among 3 American victims

CNN's Pam Brown, Frederik Pleitgen, Mary Kay Mallonee, Michael Pearson, Nic Robertson, Margot Haddad, Stephanie Halasz, Sandrine Amiel, David Fitzpatrick, Felix Gussone, Karl Penhaul and Anna Maja Rappard contributed to this report.

@highlight

Reports say investigators found antidepressants in Andreas Lubitz's apartment

@highlight

Patrick Sondenheimer was the pilot of the doomed flight, says a man who says he's a relative

@highlight

Ripped medical-leave notes found at his home indicate the co-pilot hid an illness, officials say