(CNN) -- Barack Obama may be a risk averse president focused more on the middle class as his legacy than on the Middle East. But ISIS' advances against Irbil (where there are U.S. troops and diplomats) and its brutality against the Yazidis and Christians gave him no choice but to become more risk ready.

But we should be under no illusion that targeted airstrikes against ISIS and humanitarian assistance to besieged minorities means a transformation in the President's views about Iraq, a slippery slope to military intervention, or the beginning of a new save the Middle East campaign. Obama is likely to remain a very cautious, risk-averse president. And here's why.

The 'extricator-in-chief'

Barack Obama's own political legitimacy is intertwined with a commitment to withdraw U.S. forces from Afghanistan and Iraq, the two longest and among the most profitless wars in American history. This is both a campaign promise and one about which the President feels very strongly.

He knows he can't fix Iraq and if there is a red line in his world view that won't turn pink, it is his opposition to redeploying American forces back into Iraq at any significant level. He is in this regard the extricator-in-chief determined to get the United States out of old wars and not into new ones.

That, combined with Obama's wariness about using military force in an open-ended conflict without clear purpose and his aversion to appearing to take the Shia side, particularly one identified with Nuri al-Maliki, a prime minister who has lost the confidence of the vast majority of the Iraqi public, should serve as a brake against an expansive mission creep.

The Libya precedent

The President's risk aversion will be strengthened by the way things turned out in Libya. There, in 2010, in an effort to prevent Moammar Gadhafi's forces from killing thousands of civilians in Benghazi, the United States and France mobilized a coalition backed by the United Nations, the Arab League and NATO. Despite action by all these formidable forces, it took an eight-month effort by NATO to facilitate the opposition's efforts to overthrow the Libyan dictator.

More important, today Libya is a mess riven by tribal and regional rivalries. And to boot, for the first time since 1988, a U.S. ambassador was killed in a terrorist attack in Benghazi. Obama knows that there are clear limits to what he can do in Iraq and that even a much more ambitious commitment will not produce results. On the contrary, it will lead to a trap in which the United States is likely to become ensnared.

If you couldn't fix Iraq in a decade of effort, $25 billion to support the Iraqi military and a trillion dollars or more to prop up the Iraqi government, you're not going to fix it now.

800+ days and counting

Governing is about choosing, particularly as a President watches the sands run through the hourglass in a second term. It may well be that Obama's clock has run out with respect to new domestic initiatives. The really tough issues -- dealing with a grand bargain on tax increases and entitlement reform and climate change -- are probably beyond his capacity to realize. Even immigration reform will likely be a bridge too far.

He may well find himself suffering significant losses in the House and perhaps even the loss of the Senate in the November 2014 midterms. Obama could well complete his second term with his major accomplishments being realized in his first.

That said, he has no intention of having his remaining less than 1,000 days be consumed with an Iraq war he can't win or with a legacy that will be compared to his predecessor George W. Bush, who took America into Iraq in 2003.

Those prospects will virtually ensure a determined effort to keep the Iraq venture limited. If possible, he will share with other nations the humanitarian dimension so the United States doesn't have to bear the sole responsibility. One thing is clear. While Barack Obama acted quickly this time around to protect Americans and alleviate the suffering of threatened minority groups, he has no intention of becoming the Lone Ranger of Iraq. Not even George W. Bush was prepared to do that.

ISIS: A threat to the United States?

Last year, there were 17,891 global fatalities due to terrorism. Of that number, 16 were Americans. Terrorism from ISIS or anyone else is not right now a strategic threat to the continental United States. It is to our allies, however, particularly in Jordan. And it could become a threat to us, too. With millions of dollars, stolen passports and foreign fighters, ISIS could if it chose make a bid not just to strike at the so-called near enemy (Jordan, Iraq, Saudi Arabia) but at the far enemy, too (the United States).

ISIS has its hands full at the moment. Striking ISIS could well provide it with an added incentive to strike back at U.S. targets in the region and over time at America. ISIS' bold threat today that its flag will one day fly over the White House is sheer delusion. But it means that this vicious group could direct its attention at the United States. Indeed, an attack against the United States or its assets in the region would clearly be the one trigger that could impel the President to do now what he clearly wants to avoid: launch a major military campaign to strike at ISIS in Iraq and Syria.

What's the endgame?

The biggest challenge for the President is that limited strikes against ISIS targets may protect Americans, buck up the Kurds, and perhaps defuse the current threat to the Yazidi minority on the mountaintop. But they cannot put Iraq back together again, save all persecuted minorities from ISIS brutality or help create a new political contract among Iraqi Kurds, Muslims and Shia.

Iraq is likely to continue to bleed and we can't stop that. The President was right to act and may well be called on to do so again. Indeed, we can't rule out the possibility that he would send in more special forces. He can try to enlist other nations, work with America's regional allies, and push for internal reconciliation among Iraqi politicians. But he's also right to be cautious and realistic about what he can really accomplish.

We cannot save Iraq from itself or from its neighbors, particularly Iran, whose vision for Iraq is much different than ours. This was a bridge too far when George W. Bush tried to cross it in 2003. And it remains one to this day.

@highlight

President Obama orders U.S. military strikes in Iraq, humanitarian assistance

@highlight

Aaron Miller: Despite the moves, Obama will not take a more aggressive stance

@highlight

He says President sees his legacy as one of ending foreign wars, not renewing them

@highlight

Miller: Obama saw how Bush's efforts in Iraq proved counterproductive