(CNN) -- A growing pilot and passenger revolt over full-body scans and what many consider intrusive pat-downs couldn't have come at a worse time for the nation's air travel system.

Thanksgiving, the busiest travel time of the year, is less than two weeks away.

Grassroots groups are urging travelers to either not fly or to protest by opting out of the full-body scanners and undergo time-consuming pat-downs instead.

Such concerns prompted a meeting Friday of Homeland Security Secretary Janet Napolitano with leaders of travel industry groups.

Napolitano met with the U.S.Travel Association and 20 travel companies "to underscore the Department's continued commitment to partnering with the nation's travel and tourism industry to facilitate the flow of trade and travel while maintaining high security standards to protect the American people," the department said in a statement.

Federal officials have increased security in the wake of plots attributed to al Qaeda in the Arabian Peninsula.

Industry leaders are worried about the grassroots backlash to Transportation Security Administration security procedures. Some pilots, passengers and flight attendants have chosen to opt out of the revealing scans.

More of the units are arriving at airports, with 1,000 expected to be in place by the end of 2011.

"While the meeting with Secretary Napolitano was informative, it was not entirely reassuring," the U.S. Travel Association said in a statement.

"We certainly understand the challenges that DHS confronts, but the question remains, 'where do we draw the line'? Our country desperately needs a long-term vision for aviation security screening, rather than an endless reaction to yesterday's threat," the statement said. "At the same time, fundamental American values must be protected."

The travel industry is concerned that consumers may decide not to take a plane to Aunt Gertrude's for the holiday.

"We have received hundreds of e-mails and phone calls from travelers vowing to stop flying," Geoff Freeman, an executive vice president of the U.S. Travel Association, told Reuters.

A 2008 survey found that air travelers "avoided" 41 million trips because they believed the air travel system was either "broken" or in need of "moderate correction," the U.S. Travel Association said. The decisions cost airlines $9.4 billion, the survey said.

One online group, "National Opt Out Day" calls for a day of protest against the scanners on Wednesday, November 24, the busiest travel day of the year.

Another group argues the TSA should remove the scanners from all airports. The Electronic Privacy Information Center (EPIC), a non-profit privacy advocacy group, is taking legal action, saying the TSA should be required to conduct a public rule-making to evaluate the privacy, security and health risks caused by the body scanners.

Pilots' unions for US Airways and American Airlines are urging their members to avoid full-body scanning at airport security checkpoints, citing health risks and concerns about intrusiveness and security officer behavior.

"Pilots should NOT submit to AIT (Advanced Imaging Technology) screening," wrote Capt. Mike Cleary, president of the U.S. Airline Pilots Association, in a letter to members this week. USAPA represents more than 5,000 US Airways pilots.

"Based on currently available medical information, USAPA has determined that frequent exposure to TSA-operated scanner devices may subject pilots to significant health risks," Cleary wrote.

Napolitano told industry leaders that biometric identification, such as retinal scanning and thorough background checks will expedite the screening of 80,000 passengers who participate in "trusted traveler" programs, the department said.

In a blog posting this week, the TSA said pat-downs "have long been one of the many security measures TSA and virtually every other nation has used in its risk-based approach to help detect hidden and dangerous items such as explosives like the one we saw in the failed terrorist attack last Christmas Day."

The agency said only a small percentage of passengers end up needing a pat-down.

"There's nothing punitive about it; it just makes good security sense," the blog post reads. "And the weapons and other dangerous and prohibited items we've found during pat-downs speak to this."

But the chorus against the security measures is getting louder.

The website "We Won't Fly" urgers travelers to "Act now. Travel with Dignity."

"We are opposed to the full-body backscatter X-ray airport scanners on grounds of health and privacy. We do not consent to strip searches, virtual or otherwise. We do not wish to be guinea pigs for new, and possibly dangerous, technology. We are not criminals. We are your customers. We will not beg the government anymore. We will simply stop flying until the porno-scanners are history," the site says.

"National Opt Out Day," organized by Brian Sodegren, encourages solidarity on November 24, amid the crush of Thanksgiving travelers.

"It's the day ordinary citizens stand up for their rights, stand up for liberty, and protest the federal government's desire to virtually strip us naked or submit to an "enhanced pat-down" that touches people's breasts and genitals. You should never have to explain to your children, 'Remember that no stranger can touch or see your private area, unless it's a government employee, then it's OK.' "

According to the group, passengers who say "I opt out" when told to go through body scanners are submitted to a pat-down.

"Be sure to have your pat-down by TSA in full public -- do not go to the back room when asked. Every citizen must see for themselves how the government treats law-abiding citizens," the website says.

The Facebook page of the group includes a litany of complaints about the scanners.

"I'm completely appalled by this," one woman wrote. "What happened to our right to privacy? Has Homeland Security forgotten our rights because they think its going to stop terrorists?"

Meanwhile, the Council on American-Islamic Relations has issued its own travel advisory over pat-downs many "describe as invasive and humiliating."

Muslim women who wear a hijab and are selected for secondary screening because of a head scarf should remind TSA officers "that they are only supposed to pat down the area in question, in this scenario, your head and neck. They should not subject you to a full-body or partial-body pat-down," the group said.

The TSA has deployed nearly 350 advanced imaging technology (body scanner) units in nearly 70 U.S. airports, administrator John Pistole said recently. "By the end of calendar year 2011, we plan to have deployed approximately 1,000 units."

The agency is exploring enhancements to the technology.

"This capability would make screening more efficient and would eliminate most privacy concerns about the technology," Pistole said.

Privacy concerns aren't the only reason for protests.

Some scientists and two major airline pilots unions contend not enough is known about the effects of the small doses of X-ray radiation emitted by one of the two types of airport scanning machines.

The Transportation Security Administration's advanced imaging technology machines use two separate means of creating images of passengers -- backscatter X-ray technology and millimeter-wave technology.

While the TSA says the machines are safe, backscatter technology raises concerns among some because it uses small doses of ionizing radiation. The use of millimeter-wave technology hasn't received the same attention, and radiation experts say it poses no known health risks.

The risk of harmful radiation exposure from backscatter scans is very small, according to David Brenner, director of the Center for Radiological Research at Columbia University and a professor of radiation biophysics.

The TSA says the technology has been evaluated by the Food and Drug Administration's Center for Devices and Radiological Health, the National Institute of Standards and Technology and the Johns Hopkins University Applied Physics Laboratory.

CNN's Marnie Hunter and Lexie Clinton contributed to this report.

@highlight

Homeland Security chief meets with travel industry group

@highlight

Pilots and passengers are unhappy with security measures

@highlight

Some groups urge people not to fly or to opt for pat-downs