Venezuelan prosecutors dropped the most serious charges against opposition politician Leopoldo Lopez, whom the country's government blames for inciting clashes that have left at least five people dead.

Lopez, one of the leading opposition figures in Venezuela, was formally charged with arson and conspiracy, but murder and terrorism charges were dropped, said his attorney, Juan Carlos Gutierrez.

If convicted, Lopez could face up to 10 years in prison.

Lopez's legal team welcomed the reduced charges, though it criticized the way the judicial process was being carried out.

Wednesday night's hearing, to charge Lopez and determine whether he would be released or remain behind bars, took place in an unusual spot: a bus parked outside the prison where he is being held.

"It seems very unorthodox," Gutierrez told CNN en Español.

The initial court appearance was to take place in a courtroom, but because of security concerns, officials wanted to move it to the prison.

Gutierrez argued that inside a prison was not a proper venue for a hearing, so the strange solution was reached: the bus-turned-courtroom parked just outside the facility.

The prison, outside the capital, Caracas, is a military facility, and Lopez's defense has raised questions about why a civilian is being held there.

The response was that it was a place where the government could guarantee his safety, Gutierrez said.

Lopez turned himself in to authorities this week in a dramatic scene before tens of thousands of supporters he had called to the streets.

Anti-government protests in recent weeks are the largest demonstrations that President Nicolas Maduro has faced in his 11 months in power.

The unrest

During the demonstrations, supporters of the country's socialist government and anti-government protesters have flooded social media with reports of violence, making drastically different claims about who's behind it.

Since February 13, more than 2,000 stories from Venezuela have been uploaded to iReport, CNN's user-generated platform. Many of the videos and photos depict violent scenes between demonstrators and government forces.

Alejandro Camacho Beomont told iReport that students Wednesday blocked streets and burned debris in San Cristobal, from where he sent photos -- and he said he didn't blame them.

"Even though I am always looking for peace to make a better place to live, I think people have the right to express themselves in the ways they can, and it is not easy to express yourself in this country now," he said. "I support the protesters. There have been more than 15 years that the majority of the Venezuelan citizens are going through tough times. There are so many problems we have to face every day, and there seems to be not a sincere attitude from the high government officials to rectify (them)."

In a nationally televised broadcast Wednesday night, Maduro described bullet wounds sustained by government forces during protests and showed videos that he said depicted opposition protesters throwing stones and setting buses ablaze.

"You think this is a novel? This is the reality that you with your hatred have created," he said. "If you don't like Venezuela, leave."

Reports of violence drew condemnation from Henrique Capriles, a leading opposition politician who lost a bid for the presidency last year. He called for the government to open a dialogue with demonstrators, rather than cracking down on dissent.

"In this hour of turbulence, to the students, to those who are in the streets, again we call for you not to step into the trap of violence," he said.

Human rights concerns

Human rights groups warned about the danger of turning the protests into a persecution of political opponents.

The charges against Lopez, who has organized protests demanding better security, an end to shortages and protected freedom of speech, "smack of a politically motivated attempt to silence dissent in the country," Amnesty International said in a prepared statement.

Human Rights Watch warned that Venezuela must avoid "scapegoating" political opponents.

Justice Minister Miguel Rodriguez Torres said Thursday that out of about 200 people who were detained during clashes in the past week, only 13 remain in jail for offenses that include illegal gun possession and vandalism.

Rodriguez Torres ridiculed reports that the Venezuelan state is illegally detaining students in an effort to put an end to the protests.

Obama decries 'false accusations'

Major social and economic problems in Venezuela have fueled the protests. But as the demonstrations gained steam, officials have pointed fingers at other factors, accusing the United States of plotting to destabilize the government.

Venezuela expelled three U.S. diplomats this week, accusing them of conspiring to bring down the government. At a rally Tuesday, Maduro shouted, "Yankee, go home" from the stage, drawing cheers from the crowd.

U.S. President Barack Obama fired back at a news conference in Mexico on Wednesday.

"Venezuela, rather than trying to distract from its own failings by making up false accusations against diplomats from the United States, the government ought to focus on addressing the legitimate grievances of the Venezuelan people," he told reporters.

In a television broadcast Wednesday, Maduro accused Colombian paramilitary forces and the United States of fueling the violence, and he vowed to stand firm against any attempts to overthrow his government.

"And what is the Venezuelan opposition going to do?" he said. "Believe that with the support of (U.S. Secretary of State) John Kerry or Obama, you are going to be able to take political power by violent means?"

This isn't the first time that bitter protests and counterprotests by supporters and opponents of the government have threatened political stability in Venezuela over the past decade.

Many of Maduro's claims -- of U.S. intervention, of assassination plots -- were also lobbed by the late President Hugo Chavez. Chavez was briefly ousted in a coup in 2002, but otherwise outlasted the protests and repeatedly won reelection. He ruled for 14 years, until his death last year after a long battle with cancer.

Venezuela: 9 things to know about the protests

Cheered by supporters, Venezuelan opposition leader Lopez surrenders

17-year-old dies during Venezuelan protests

@highlight

Capriles to protesters: "Do not step into the trap of violence"

@highlight

iReporter: "People have the right to express themselves"

@highlight

A hearing for the opposition leader was held inside a parked bus

@highlight

Leopoldo Lopez charged with arson and conspiracy; terrorism, murder charges are dropped