Manama, Bahrain (CNN) -- Government forces fired Friday on protesters in Bahrain's capital, killing at least four of them, an ambulance worker told CNN. The violence was the latest in a series of confrontations that began Monday in this Persian Gulf island nation.

"I told everyone to put their hands up as a sign of peace," said one man who was covered in blood. "Then I saw the military crouch down."

Medical sources at a hospital said at least 50 people were treated Friday for injuries in Manama, and five of them were in critical condition, including one with a bullet wound to the head.

Friday's deaths brought to at least 10 the number of people killed since protesters took to the streets in Bahrain, one of several countries in the Middle East and North Africa to face a surge of dissent following the revolts that toppled longtime autocrats in Tunisia and Egypt.

The casualties here occurred when security forces fired shots and tear gas at a few hundred anti-government protesters who were trying to make a push on Pearl Roundabout, the focal point of the demonstrations this week.

The area had been cleared Thursday in a harsh crackdown and security forces cordoned it off. But the violence resumed there Friday as security forces unleashed a massive and sustained barrage of tear-gas canisters and gunfire, witnesses said.

That was followed by "complete chaos" as demonstrators ran for cover, said CNN's Arwa Damon, in the capital.

Afterward, witnesses reported seeing bodies loaded into ambulances.

One man vowed to keep up his protest, whatever the cost. "There would be nothing more honorable than to be killed fighting for freedom for my country," he said.

Bahrain's special envoy to the United States, Abdul Latif Al Zayani, said that if Bahraini forces did fire live rounds, "Probably they were warning shots only."

He added, "The forces that were used were proportional according to the law, they were legal, they were necessary because they were stopping the shops. The economy was hurting, the national economy. We had to take action and action was taken by the law."

But he acknowledged to CNN that the protesters were not using live ammunition.

Told that ambulance workers had confirmed the deaths of protesters by live rounds, he said those reports needed to be confirmed. "The reports are still coming in. ... We have great nation and we are a small country. We cannot divide. We have to unite. It's time that we get together. Investigations will happen. And they will continue."

The crown prince himself called Friday for a return to normalcy.

"I offer my condolences to the people of Bahrain for the painful days they are living," said Prince Salman bin Hamad Al Khalifa in a nationally televised address. "Good morals have to prevail and everybody should exercise self-restraint at this moment. This applies to the military forces, the security forces and the citizens of Bahrain."

Many of the protesters are Shiite Muslims, who make up 70 percent of the residents of the island kingdom and have long harbored deep political and economic grievances against the ruling family, which is Sunni.

At first, the protesters were asking for economic and political reforms, but their demands have changed slightly as authorities have stepped up the use of force against them. Now, many of them say they want the regime brought down and parliament dissolved.

But the prince vowed not to favor one group over another. "We are neither a country where there are only Sunnis who get whatever they want nor a country where there are only Shias who get whatever they want," he said. "We are a nation of Bahrainis where everyone respects everyone."

After Salman's TV appearance, King Hamad bin Isa Al Khalifa announced that the crown prince is to lead a dialogue "with all parties and sections of Bahrain, without exception."

But a leading member of parliament from Bahrain's main Shiite opposition party, al-Wifaq, told CNN that there can be no dialogue with the government while the military controls the streets of Bahrain. Jamil Kathem said the protests had emerged spontaneously, especially after funeral processions. He noted that there would be further funeral processions Saturday.

Human Rights Watch denounced the security action. It said several patients at Salmaniyya Hospital told the group that "the army and police opened fire without warning on a crowd making their evening prayers near the heavily guarded roundabout."

The crowd had been attending funerals for the slain protesters and "began moving towards the roundabout" around 5:30 p.m., Human Rights Watch said. It appears security forces fired as the crowd approached roadblocks, it said.

"The victims said the scene was peaceful and that there was no warning issued before the forces opened fire using tear gas, rubber bullets, and live ammunition. They said the attack did not last long because people immediately started running away."

In the town of Sitra, east of the capital city of Manama, thousands of people marched Friday in the funerals of three of the people killed Thursday.

Many in the crowds carried black flags or Bahraini flags, and some referred to security forces involved in the crackdown as "criminals."

The crowd chanted praises to the people killed in the protests and called them martyrs. Some called for death to Bahrain's ruling family.

Demonstrators also gathered in the village of Karzakan, seven miles west of Manama, for the funeral of another victim, witnesses said.

At the funeral of one protester, mourners chanted "death to Khalifa!" a reference to King Hamad.

Meanwhile, a pro-government demonstration was held in Manama, where people chanted slogans in support of the royal family and said the government must maintain stability and has the right to crack down on demonstrators.

Many of the participants said they believe the protesters aren't considering the long-term, negative impact of their actions.

Isa Al Koohejai, a pro-government member of parliament, told CNN that the anti-government demonstrators numbered only around 5,000 people, and represented a minority view in Bahrain.

He said the international media were showing only one side of the story and neglecting the perspective of "normal" Bahrainis.

"It's not an uprising," he said. "It's not a revolution."

The tiny but strategically critical country of Bahrain is a key American ally and home to the U.S. Navy's Fifth Fleet.

But U.S. President Barack Obama was openly critical of his ally. "I am deeply concerned by reports of violence," he said Friday, citing Yemen and Libya as well as Bahrain. "The United States condemns the use of violence by governments against peaceful protesters in those countries and wherever else it may occur."

"The Bahraini army has done what the Egyptian army did not do and exactly what the United States and its other partners urged it not to do -- it has opened fire on its own people," said Tom Malinowski, Washington director for Human Rights Watch.

"Donors cannot continue to provide aid to Bahrain's security forces as if this did not happen."

CNN's Arwa Damon, Nic Robertson, Tim Lister and journalist Mansoor Al-Jamri in Bahrain contributed to this report.

@highlight

"Mistakes and escalation had been made, but we have fixed them," says Prince Salman

@highlight

Medical sources at a hospital say at least 50 people were injured

@highlight

Opposition party member rejects dialogue while the military controls the streets