(CNN) -- "I didn't become a nurse to risk dying -- by getting infected from a patient -- and then going home and infecting my children, too!" the nurse told me. She was angry and afraid.

A new infectious disease was rapidly spreading with no treatment and no end in sight, terrifying doctors, nurses and the public at large.

As a medical student, I remember being afraid to touch patients with this deadly disease, anxious I might catch it. My instructors told me just to swipe my hands and stethoscope with a tiny alcohol wipe and not stick myself with a needle after drawing blood. But I was scared. Many doctors announced that they would not work in certain hospitals where they felt the disease was more likely.

The year was 1984, and the disease was HIV/AIDS. Survey showed that half of medical interns and residents would not continue to treat patients with this disease, if given a choice.

Over the past few weeks, I have thought back to that era, as fears of Ebola grip the nation.

For about 15 years -- from its first identification in 1981 until demonstration of its effective treatment, using the so-called "cocktail" in 1997 -- fears of HIV swept the world.

Ebola and HIV are both transmitted through bodily fluids, and potentially fatal. Ebola is far more contagious to caregivers -- mere exposure to bodily fluids such as saliva can spread it.

Our responses to the epidemic of HIV have several lessons to teach us.

With Ebola, we have not yet seen large numbers of health care professionals announcing that they do not want to come to work because of the possible risks to themselves. Certainly, some may not want to report to duty to the Dallas hospital where exposures have occurred, but the vast majority of health care professionals continue to be prepared to treat patients in emergency rooms and elsewhere across the country.

Several doctors and nurses are now getting infected as well -- most recently Dr. Craig Spencer from my institution -- Columbia University Medical Center.

It is a scary time to be a doctor or nurse. Medicine has always depended on providers putting themselves at some risk. We aim to minimize these dangers, but they often persist.

Until recently, a clear social contract existed concerning medical professionals. Doctors and nurses agreed to put themselves at danger to help their patients because they operated not just from an economic model of a job description, but from a more profound moral sense of commitment to beneficence -- to the health and well-being of their patients. They accepted that sometimes they would have to put their patients' needs ahead of their own. Such commitment aids patients and society and instills trust. But that professionalism is diminishing as caring for patients evolves from a "calling" to merely a "job."

In the end, countless health professionals and I overcame our fear and treated patients with HIV. One surgeon announced, "any staff member who does not want to treat these patients should simply plan to no longer come to work" -- i.e., to quit. None did.

Yet in all the attention given to the current Ebola crisis, little has been said about the extraordinary heroism of Doctors Without Borders -- an organization better known by its French name, Medicins Sans Frontiers -- and other health care professionals putting themselves on the front lines. This organization in particular has emerged as for its inspiring heroism.

In March, MSF started responding to this Ebola outbreak, and by June it declared the epidemic was "out of control" and that the organization had reached the limit of what it can do alone, calling on the world to provide more aid. But precious weeks passed. Only in August did the CDC issue its first news release about this outbreak.

Still, MSF continued to work hard on the front lines in Africa, instituting and following procedures for protecting providers that far exceeded those of the vastly better-resourced United States and have only belatedly become the gold standard.

Why? Because they worked hard to uphold their professional ideals. Their moral commitment has motivated them to respond to crises and develop expertise in delivering on-the-ground care in emergencies.

MSF understands that adequate resources must be marshaled to deal with potential outbreaks. But in the United States, we have underfunded governmental health care agencies involved in disease prevention and disaster preparedness at all levels. Many legislators have argued for less government involvement in our lives and less public health infrastructure. But in a crisis, our nation demands that the Centers for Disease Control and state and local Public Health Departments protect us while struggling with increasingly limited budgets.

The Ebola crisis has revealed serious gaps in our health care system, and we need to think broadly how to deal more effectively with future epidemics.

We should also acknowledge the need to support professionals on the front lines of health care delivery. Their courage in facing this disease should inspire us, since in recent years, notions of medical professionalism have been under siege as profit motives and economic bottom lines drive our health care system.

Insurance companies, health systems and others pressure physicians and nurses to see themselves as employees who punch time clocks and service clients rather than as professionals who care for patients. Consequently, health providers demonstrate more burnout, as they have had their ideals eroded. Those who are fully committed -- and there are still many -- have our appreciation.

Historically, doctors and nurses have rallied to care for our sickest patients, sometimes placing themselves at significant risk. In the upcoming months, these professionals will be among our greatest weapons against this modern plague.

@highlight

Robert Klitzman: As fear of Ebola grips the nation, I think back on how HIV/AIDS scared the world

@highlight

Klitzman: It is a scary time to be a doctor or nurse; health professional are at the front lines

@highlight

He says Doctors Without Borders, in particular, has emerged for its inspiring heroism

@highlight

Klitzman: Despite eroding morals in health care, we still have many dedicated professionals