(CNN)Looking for a spa break? In the past, the world's chill-seekers might have ventured to Thailand or India to get their massage fix. In the future, they're more apt to be Africa-bound.

A new report in the Global Spa and Wellness Monitor puts Sub-Saharan Africa as the world's fastest growing region for wellness tourism. The number of spas has tripled since 2007, and spa revenue has leaped 184%.

The number of those lured to the continent for a little R&R has also soared. 2013 saw 4.2 million wellness tourists -- a 90% increase from 2012. As a testament to this growth, this year's annual Global Spa and Wellness Summit took place in Morocco -- the first time the event was held on African soil.

"Africa is seen as the final frontier. It's virgin territory," says Magatte Wade, the Senegal-born founder and CEO of beauty brand Tiossan, and a keynote speaker at the summit. She attributes the continent's spike in spas not only to the increase of international travelers, but to the growth of the consumer class within Africa.

"The middle class is growing, there are more African billionaires right now, and then you have people like me, who've had the opportunity to live all over the world and have money to spend, and want to go back home and have the same top-of-the-line service you have in New York or Tokyo," she says.

The wellness trend has also started to leak into Africa's safari industry, according to Henry Hallward, founder of both the Good Safari Guide and the Safari Awards, and former chairman of the African Tourism and Travel Association. Hallward estimates there are 9,000 safari lodge operators today, up from approximately 400 in 1995. Pampering, he admits, has also become a stronger focus.

"Almost every safari lodge that I'm aware of has added into its suite of services either massage, or else an entire spa branded by product suppliers," he says.

A geographical shift

Even countries that were once eschewed due to political concerns are set to emerge as wellness hotspots. Hallward says he's seen growth in markets such as Ethiopia and even the Sudan, "now that the politics has calmed down."

He is also noticing a shift in the type of safaris on offer. The old formula of trekking the "Big Five" in the Masai Mara from the comfort of a jeep is outdated. Instead, safaris are becoming more active, and different countries are starting to specialize in niche versions.

"Botswana has become the center for safaris on horseback, while Malawi and Zambia are emerging for the underwater wildlife experience," he says.

Wade too is also noticing growth in regions that were once considered off-limits.

"Angola is getting up there, and Rwanda is starting to pay attention. It's still in its infancy there, but it will grow fast," she says.

A taste of the continent

Wade says there is an incredible opportunity for new properties to embrace the numerous healing traditions and natural ingredients indigenous in the continent. Her product line, which boasts Senegalese black seed oil, is one of the few to do so, but Wade is hoping it's a trend that will spread.

"There are 54 countries in Africa, and each of these has dozens upon dozens of different healing rituals. There is a richness and diversity that we need to tap into," she says.

So far only a handful of brands have taken a similar track -- such as the South African spa brand Healing Earth, which incorporates local ingredients like Kalahari melon or mongongo nut. Wade worries about the implications if more don't follow suit:

"If we're not careful, the wellness industry will come and put a blanket over what we already have. They'll bring the Asian- and European-inspired traditions they already know, and what we've had for thousands of years will be lost," she warns.

@highlight

Africa has a multitude of healing traditions and ingredients

@highlight

The spa industry in Africa is soaring. It's the fastest growing market for wellness tourism

@highlight

There is opportunity for beauty brands and resorts to showcase these traditions to the world