After more than a decade on the sidelines of the international community, Serbia has emerged from a long and troubled history to become one of Europe's newest republics.

Sitting at the crossroads of central and southern Europe -- and often seen as a geographical region that straddles both eastern and western Europe -- Serbia has been at the center of some of Europe's bloodiest conflicts.

Invaded by the Ottoman Turks in 1459, one of the catalysts for World War I in 1914 and, most recently, the diminishing hub of a rump Yugoslavia as the former communist nation tore itself apart in a bitter civil war, Serbia only emerged as an independent republic in 2006 after a referendum in Montenegro that ended the last vestige of the Yugoslav federation.

With the secession of Montenegro, Serbia lost its coast and remains one of nine landlocked countries in Europe. Its population is now a little over 7 million people.

End of the union

The end of the Union of Serbia and Montenegro was the last move in the bitter dissolution of the six republics that once formed the Socialist Federal Republic of Yugoslavia that also included Slovenia, Croatia, Bosnia-Herzegovina and Macedonia.

Formed in 1945 under strongman Josip Tito, the authoritarian Croatian-born dictator forced an uneasy alliance amid the ethnically diverse Balkan states by keeping strong, central control over the army and police.

When he died in 1980, the Yugoslav Federation continued until the early 1990s but began to fall apart under the leadership of Serbian nationalist leader Slobodan Milosevic.

Slovenia and Macedonia were the first to secede and left the Yugoslav federation with relatively little bloodshed. (The 10-day War in 1991 with Slovenia was a low-intensity conflict that claimed the lives of 19 Slovenians and 44 members of the Yugoslav forces.)

Conflict escalates

However, conflicts in neighboring Croatia, Bosnia and Kosovo between 1991 and 1999, all states with sizable Serbian minorities, were more intense, leaving upwards of 140,000 people dead and millions displaced.

Belgrade led military campaigns to unite ethnic Serbs into the long-held nationalist idea of a Greater Serbia. Neighboring states, meanwhile, fought to create new nation states outside the Yugoslav federation.

In 1998, violence erupted in the autonomous province of Kosovo in Serbia when the ethnic Albanian Kosovo Liberation Army rebelled against Serbian rule. Amid mounting pressure on Milosevic, NATO forces unleashed airstrikes on Kosovo and Serbia in 1999.

The conflict created a crisis in the region as ethnic Albanians sought refuge in neighboring countries. When Serb forces were eventually driven out, the United Nations administered the region. U.N. talks on the future of the province broke down in 2007, and Kosovo declared independence in 2008 despite Serbian opposition.

Kosovo remains only partially recognized within the European Union.

Economic realities

Since the dark days of the Yugoslav conflict, Serbia has sought to find equilibrium for an economy that was subject to years of mismanagement under the post-Yugoslavia Milosevic regime, suffered infrastructure damage during NATO bombings in 1999 and endured extended economic sanctions during the Yugoslav conflict.

Despite embracing market reforms after the fall of Milosevic in 2000, many of the country's largest enterprises (including its gas, telecommunications and power utilities) remain in state hands, and high unemployment and stagnant household incomes remain persistent political and economic problems. 

Levels of youth unemployment in 2012 were at a record 51.1%, according to the CIA World Factbook, ranking it seventh in the world and only marginally better than South Africa, Greece and Bosnia Herzegovina.

While the most recent jobless figures show an overall fall to over 20%, a historic high of 25% in 2012 ranked the country only slightly better than Sudan and Gaza in terms of joblessness.

European reintegration

After years of isolation during the Yugoslav conflict, Serbia has begun reintegrating into the international community. It rejoined the World Bank and the European Bank for Reconstruction and Development as it emerged from the heavily state-controlled economy under Milosevic. 

While high levels of corruption, an inefficient judicial system and an aging population remain challenges to Serbia's progress, it has the advantage of a skilled labor force, a strategic location at the center of Europe and free trade agreements with the EU, Russia and Turkey as well as member states in the Central European Free Trade Agreement.

Despite a pro-Western government under current President Tomislav Nikolic, Serbia has historically been a strong ally of Russia, which supported the state during its opposition to Kosovan independence.

Russia not only signed a major energy deal with Serbia in 2008, but ties were further strengthened in 2009 when Russia provided it with a 1 billion-euro ($1.4 billion in 2009) loan to help it overcome a sharp downturn triggered by the global financial crisis.

Nikolic's stated aim is to develop ties with both the European Union and its traditional ally Russia. 

While it is a candidate to join the European Union, it is widely considered that it will not be ready for accession until 2020.

@highlight

Serbia emerged as an independent republic in 2006

@highlight

With Montenegro's secession, Serbia lost its coast; it now has a little over 7 million people

@highlight

Since the dark days of the Yugoslav conflict, Serbia has sought economic equilibrium

@highlight

After years of isolation during the Yugoslav conflict, Serbia has begun reintegrating into Europe