(CNN) -- Our experience in Iraq provides three essential lessons that should guide America's response to the Syrian regime's alleged use of chemical weapons against its own people.

First, the president must present the American people and the international community with clear evidence that the al-Assad regime was responsible for the use of chemical weapons. The Bush administration took America to war in Iraq based on the false claim that Saddam Hussein had weapons of mass destruction, including stockpiles of chemical weapons.

Those false claims not only led us into a costly and unnecessary war, but did lasting damage to America's credibility. That erosion of credibility is haunting us now, as many in the international community question our claim that the al-Assad regime used chemical weapons. That makes it imperative that the Obama administration present clear and convincing evidence that the al-Assad regime was responsible for the chemical weapons use.

Second, if the Obama administration presents such evidence, it is essential that the United States and the international community take strong action to punish the regime and deter the future use of chemical weapons in Syria or elsewhere in the world. Again, the Iraq example is instructive.

Many would like to forget the fact that the United States and the international community willfully ignored Saddam Hussein's use of chemical weapons against Iran during the Iran-Iraq war and against Iraq's Kurdish population in 1988 in the aftermath of that war.

I remember those days well. Together with Peter Galbraith, my former colleague on the staff of the Senate Foreign Relations Committee, I traveled to the Iraq-Turkey border in September 1988 to investigate Saddam Hussein's chemical weapons offensive against the Kurds. We returned to Washington to urge the United States government to impose economic sanctions against Iraq for its use of chemical weapons.

While the United States Senate did pass such legislation, it was opposed by the Reagan administration and never made it out of the House of Representatives. Recently released CIA documents demonstrate that the Reagan administration deliberately ignored Iraq's use of chemical weapons because it favored Iraq in its war against Iran. But the failure of that sanctions legislation represented a failure of the United States to help enforce the international convention against the use of chemical weapons.

A strong case can be made that the refusal of the United States and the international community to confront Saddam Hussein for his flagrant violations of the international ban on chemical weapons emboldened him to take additional reckless actions. In 1990, he miscalculated the international response to his invasion of Kuwait.

Years later, even after he had destroyed his chemical weapons stockpile, he underestimated the depth of international concern that he was still hiding them. That is perhaps not surprising, considering that the international community did nothing when Saddam Hussein actually used chemical weapons in the 1980s.

The United States and the international community must not again stand idly by if the al-Assad regime, or another party, has used chemical weapons. It must take action to uphold international norms and send a clear signal that breaches of the international ban on chemical weapons use will not be tolerated.

Failure to act upon strong evidence will only encourage Bashar al-Assad and other international actors to use chemical weapons in the future.

The third lesson from Iraq is equally important as the first two. Our mission must be clearly defined and achievable at an acceptable cost. In 1990, President George H.W. Bush established a well defined goal -- using force to oust Saddam Hussein's forces from Kuwait. He deliberately chose not to send American troops to Baghdad to topple Saddam Hussein, because he rightfully determined that the United States would not be able to contain the violent fallout without a huge commitment of American lives and treasure.

President George W. Bush later made the mistake that his father avoided. The Iraq war clearly established that even massive U.S. troop intervention on the ground for over eight years cannot change many of the basic cultural and sectarian forces at play in the region.

Today, despite the huge sacrifice in American and Iraqi lives, Iraq is rocked by almost daily eruptions of sectarian violence. The American-backed, Shiite-dominated government of Iraq now allows Iranian planes to use its airspace to supply weapons to al-Assad and the minority Shiite Alawite sect that controls Syria.

Meanwhile, al Qaeda and Sunni extremists in Iraq are fighting to defeat the government in Baghdad as al Qaeda and Sunni extremist forces in Syria are fighting in tandem with American-supported rebels to defeat the al-Assad regime. The toxic mix of forces suggests that even a large U.S. troop presence in Syria would be unlikely to change these deep-running currents.

These lessons are important as President Obama defines the purpose of American military action in Syria in response to the use of chemical weapons. The president should make clear that the goal of our military action is to punish Syria for its blatantly illegal use of chemical weapons and to deter the future use of such weapons by the Syrian regime or others that might contemplate their use in future conflicts.

Our action should be coupled with a clear statement that any future use of chemical weapons will be met with increasing force. This goal can be reasonably accomplished by using cruise missile strikes that inflict significant pain and damage on al-Assad's forces without putting American lives in the line of fire.

Some have argued that it is pointless for the United States to engage in punitive military strikes against Syria unless our actions are designed to decisively tip the military balance toward the rebels. That claim downplays the more limited, but nevertheless important, objective of deterring the future use of chemical weapons.

Moreover, defining the success of our response as decisively changing the military balance is unrealistic, unachievable without putting American lives at risk, and will ultimately drag the United States toward full-scale intervention in a Syrian civil war.

Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, has stated that measures like the establishment of a no-fly zone would put American pilots at risk and may not change the situation on the ground.

Measuring success of these actions in terms of changing the tide of the war will lead inexorably to further assertions that American credibility is at stake and suck America into a costly civil war that could, with the current configuration of forces, result in the extremist al Qaeda elements among the rebels gaining the upper hand. That is why it is so important to define this particular mission in a way that can be achieved at an acceptable cost.

Let's heed three important lessons from Iraq: Protect our credibility by presenting clear evidence of the use of chemical weapons by the al-Assad regime; take strong action to punish the illegal use of chemical weapons and deter their future use; and define the mission in achievable terms at a cost we are willing to pay.

The opinions expressed in this commentary are solely those of Chris Van Hollen.

@highlight

Rep. Chris van Hollen: Three lessons from Iraq can guide intervention in Syria

@highlight

He says President Obama must present clear evidence of Assad regime culpability

@highlight

He says U.S. must take strong action to punish Assad regime, deter use of chemical weapons

@highlight

Van Hollen: Mission must be clearly defined and achievable at an acceptable cost