Kiev, Ukraine (CNN) -- Ukraine's embattled government has agreed to scrap harsh laws limiting protests and give amnesty to demonstrators who seized the Justice Ministry headquarters, a top official announced late Monday.

With Ukraine's political crisis deepening, protesters left the ministry after Justice Minister Olena Lukash warned that she would call for a state of emergency. But at the end of the day, Lukash said the anti-protest laws that went into effect on January 16 would be repealed and the protesters who occupied her ministry would receive amnesty -- as long as they cleared out of "all seized premises and roads."

The statement came after another round of talks between the government of President Viktor Yanukovych and an opposition whose followers have massed in and around central Kiev's Maidan Square to demand Yanukovych's ouster and new elections. Police and protesters have fought pitched battles in the streets, leaving scores injured and several dead.

Anti-government demonstrators seized the Justice Ministry building on Sunday night. They cleared out Monday after Lukash threatened to impose a state of emergency -- a step opposition spokeswoman Lesya Orobets warned could lead to the use of military units to suppress protests.

"We as an opposition spent the whole day trying to negotiate with people who actually captured the premises to get out of there, not to give them any legal base for a state of emergency," Orobets told CNN's Amanpour program.

Oleksandr Danylyuk, the leader of one of the protest factions, said the groups retreated to avert difficulties in negotiations between the government and opposition. But while the protesters left the ministry, they remained outside, where a sign and front window were smashed, creating a blockade. They jumped up and down, thumping sticks on the ground and shouting, "Bandits out."

The violence that has rattled Kiev for weeks spread outside the capital Sunday, with reports of protesters seizing municipal headquarters in other towns. Ukraine's parliament was expected to hold a special session on the protests Tuesday, and the European Union's foreign policy chief, Catherine Ashton, was headed for Kiev in a bid to help defuse the standoff.

Ashton urged the government not to impose a state of emergency, saying the move "would trigger a further downward spiral for Ukraine, which would benefit no one."

"What is urgently needed is a genuine dialogue to build a new consensus on the way forward," Ashton said in a written statement late Monday. "I hope that the Ukrainian parliament will set a clear path during tomorrow's session towards a political solution. This must include revoking the package of laws passed on 16 January."

And U.S. Vice President Joe Biden called Yanukovych on Monday night to reiterate American support for "a peaceful, political solution to the crisis," the White House said.

"Underscoring that no time should be lost, the vice president urged President Yanukovych to pull back riot police and work with the opposition on immediate measures to de-escalate tensions between protesters and the government," a White House readout of the call stated. "He also urged the government to take concrete steps during tomorrow's parliamentary session to respond to the full and legitimate concerns of the Ukrainian people, including by repealing the anti-democratic laws passed on January 16."

Ukraine opposition rejects president's offer; protestor mourned

Government offer rejected

Ukraine, a former Soviet republic, is home to 45 million people. The clashes there are an escalation of weeks of largely peaceful public protests prompted by Yanukovych's decision in November to spurn a planned trade deal with the European Union and turn toward Russia instead.

Among the snowy rooftops of Kiev, smoke can often be seen billowing from the city center, where thousands of demonstrators have massed despite freezing weather, setting up makeshift barricades and bombarding police with gasoline bombs. Scenes of fires, burnt tires, smashed windows and the drumbeats of sticks on corrugated metal have become familiar occurrences on the city's central arteries.

More recently, protesters, old and young, have been voicing their anger about anti-protest laws passed this month. The controversial new laws have sparked concerns that they could be used to put down demonstrations and deny people the right to free speech. They're also calling for changes to the country's constitution.

Former Prime Minister Yulia Tymoshenko, imprisoned since 2010 on charges the United States and Europe have called politically motivated, called on the opposition to remain firm in a statement Monday evening.

"The people of Ukraine went out onto the Maidan not for the opposition leaders to be given government posts, and not even for revoking of the dictatorial laws," Tymoshenko said. "The people want fundamental changes in their lives, justice in Ukraine and a path to European values. This is their last chance."

Opposition leader Arseniy Yatsenyuk has refused Yanukovich's offer to be prime minister, Lukash said Monday night. Yatsenyuk, who heads the Fatherland Party, would have become the prime minister and would have been able to dismiss the current government, which has been one of the protesters' demands.

Opposition leader Vitali Klitschko, the former heavyweight boxing champion, said Sunday that he had rejected the post of deputy prime minister on humanitarian issues. His announcement was greeted by loud cheers from the crowd -- but his Ukrainian Democratic Alliance for Reforms party, or UDAR, said it was ready to continue negotiations with the government.

Yanukovych also said he would agree to a working group to look at changes to the constitution, according to the President's website.

Read more: Is Ukraine becoming a dictatorship?
Read more: Ukraine protests - 5 things you need to know

CNN's Anna Maja Rappard, Diana Magnay and Stephanie Halasz contributed to this report.

@highlight

NEW: "No time should be lost" in defusing crisis, Biden tells Yanukovych

@highlight

Government pledges amnesty, end to anti-protest laws

@highlight

Jailed Yulia Tymoshenko calls on opposition to stand firm

@highlight

The Ukrainian parliament will hold a special session Tuesday