(CNN)Four top environmental scientists raised the stakes Sunday in their fight to reverse climate change and save the planet.

Climate and energy scientists James Hansen, Ken Caldeira, Kerry Emanuel and Tom Wigley have released an open letter calling on world leaders to support development of safer nuclear power systems.

Wait -- pro-nuclear environmentalists? Isn't that an oxymoron? Apparently, not so much anymore.

Embracing nuclear is the only way, the scientists believe, to reverse the looming threat of climate change which they blame on fossil fuels. Depending who you ask, they're either abandoning -- or leading -- traditional environmentalists who for a half-century have rejected clean-burning nuclear power as too expensive or too dangerous. Opponents cite disasters at Fukushima, Chernobyl and Three Mile island.

Related: Fukushima update

The fear is that time is running out. Without nuclear, the scientists believe global energy consumption will overtake the planet's ability to reverse the buildup of carbon dioxide pollution from burning oil, coal and other fossil fuels. At risk, said Hansen, are disintegrating polar ice sheets and rising sea levels which will threaten coastal regions.

The letter is among the scientists' strongest public statements backing nuclear power. It also comes as CNN plans to air "Pandora's Promise," a documentary about environmentalists and longtime nuclear opponents who've done complete 180s on nukes.

By releasing the letter, the scientists are "putting their reputations on the line to do something that the ultra-greens regard as treason," said Stanford University Nobel-winning physicist Burton Richter.

Nuclear power is burgeoning in some parts of the world and shrinking in others. Asia is embracing it -- except Japan -- which is still struggling to figure out how to safely deal with the dangerously radioactive Fukushima nuclear power plant.

The Japanese disaster left Germany so unnerved that they've chosen to phase out their 17 nuclear facilities by 2022.

"We've got four top guns in the environmental movement telling [German Chancellor] Angela Merkel, 'You're wrong to shut down nuclear,'" said Richter. "I think that's a relatively big deal."

Are we witnessing the birth of a mutiny within the environmental movement? Will typical 21st-century environmentalists eventually embrace the power of the atom? A leading environmental group opposed to nuclear power says no.

"I don't think it's very significant that a few people have changed their minds about nuclear power," said Ralph Cavanagh of the Natural Resources Defense Council. Nuclear fuel may burn cleaner, the NRDC says, but comes with too many safety issues and too high of a price tag.

The letter admits "today's nuclear plants are far from perfect." However, "... there is no credible path to climate stabilization that does not include a substantial role for nuclear power."

Read the letter

The four scientists say they have no connection to "Pandora's Promise," which blames resistance to nuclear energy on groundless fears rooted in the Cold War, Chernobyl in 1986 and 1979's Three Mile Island.

Related: Chernobyl's local health problems

Map: Closest nukes to your home

In the documentary, which debuts on CNN Thursday at 9 p.m. ET/PT, climate change activist and author Mark Lynas says he knew publicly supporting nuclear energy would put his entire career at risk. "I'd have been much better just to keep my mouth shut," he admits in the film. "But I couldn't do that."

Cavanagh said the "movie attempts to establish the proposition that mainstream environmentalists are pouring into nuclear advocacy today. They aren't. I've been in the NRDC since 1979. I have a pretty good idea of where the mainstream environmental groups are and have been. I've seen no movement."

Selling nuclear energy to environmentalists is a tough pitch. Hansen acknowledged that many of them won't easily buy into it. Parts of the community operate like "a religion of sorts, which makes it very difficult," Hansen said. "They're not all objectively looking at the pros and cons."

The NRDC hasn't rejected nuclear power out of hand, Cavanagh said. It constantly evaluates nuclear power and "everything else," he said. "I think that's our obligation." Is it possible to be both an environmentalist and a supporter of nuclear power? "You can be," Cavanagh said.

Hansen has been spreading his message to the community's top influencers.

He tells of a recent meeting with Al Gore where he tried to sell the former vice president on how advanced nuclear technology might stabilize climate change. Gore invited two anti-nuclear advocates to the meeting, Hansen said, and by the time it was all over, Gore was unmoved. "I mean, Al essentially understands that we had better try to develop safer, better nuclear power," said Hansen, "but he won't come out and say that."

Here's what Gore did say publicly about it during a recent Reddit "Ask Me Anything" chat: nuclear energy "will continue to play a limited role, and IF the ongoing [research and development] produces cheaper, safer, smaller reactors, they may yet play a more significant role."

Decarbonizing

Among nuclear energy supporters, France remains a hero nation. In the 1970s, it chose to invest heavily in nuclear power creating a system that boasts some of the cheapest energy and cleanest air on the planet.

Germany puts out about 18% of its power with nuclear. But with the upcoming nuke phase-out, there are doubts about whether Germany can offset its nuclear output with wind and other clean energy sources. 

Michael Limburg, vice president of the European Institute for Climate and Energy, told CNN in September that the government's energy targets are "completely unfeasible."

"Of course, it's possible to erect tens of thousands of windmills but only at an extreme cost and waste of natural space," he said. "And still it would not be able to deliver electricity when it is needed."

There are 65 commercially operating nuclear plants in the U.S., including 104 reactors. Five new reactors are currently being built, in Georgia, South Carolina and Tennessee. In the past year, utilities have permanently shut down four others and plan to take a fifth out of service in 2014. At least two other planned projects have been shelved.

"Nuclear power is dying a slow death in the market place, which is what matters in determining its future," said Cavanagh.

As an alternative, the NRDC is touting efficiency. Energy-saving technology is becoming so successful, according to a new NRDC report, that efficiency has "significant potential to dramatically reduce power plant emissions." Total U.S. energy use peaked in 2007 and has been trending downward ever since, the NRDC says.

On the other hand, scientists in "Pandora's Promise" claim energy consumption globally could double by 2050 -- and perhaps triple or quadruple by 2100 -- as growing nations like China, India and Brazil start to want more energy.

A United Nations report released last month re-confirmed Hansen's fears. The study concluded that the planet is heating up, the oceans are rising and there's more evidence that neither development is natural.

Hansen, who was among the initial wave of scientists warning about climate change in the 1980s, said Friday he fears most its "irreversible effects."

"Once we get to a certain point and the ice sheets start to disintegrate, then you can't stop it."

Then Hansen paused. "And we're getting very close to that point."

If we stay on the current path, he said, "those are the consequences we'll be leaving to our children. The best candidate to avoid that is nuclear power. It's ready now. We need to take advantage of it."

CNN's Matt Smith and Oliver Joy contributed to this report.

@highlight

Top enviro-scientists call on world leaders to embrace nuclear power

@highlight

Only nukes can make enough clean power to slow climate change, they say

@highlight

Nuclear energy is too expensive and risky, says Natural Resources Defense Council

@highlight

Scientist: Al Gore supports safer, better nuclear power, "but he won't come out and say that"