(CNN) -- A federal judge on Monday blocked implementation of a law that would have mandated tobacco companies include on cigarette packages graphic pictures and messages showing the dangers of smoking.

"This case poses a constitutional challenge to a bold new tact (sic) by the Congress, and the FDA, in their obvious and continuing efforts to minimize, if not eradicate, tobacco use in the United States," concluded U.S. District Judge Richard J. Leon, who cited First Amendment rights against unconstitutionally compelled speech as a factor in his 29-page decision.

"Notwithstanding the potential legal and financial ramifications of this challenge, the Government, for reasons known only to itself, is unwilling to voluntarily stay the effective date of this Rule until the Judicial Branch can appropriately review the constitutionality of the Government's novel -- and costly -- approach to regulating tobacco packaging and advertising. Thus, this Court must -- and will -- act to preserve the status quo until it can evaluate, on the merits (and without incurring irreparable harm to those companies genuinely affected), the constitutionality of the commercial speech that these graphic images compel," Leon wrote in his decision.

Gallery: See the cigarette labels

He said the tobacco companies had shown: a substantial likelihood of success; that allowing the labeling requirements to proceed would cause them to "suffer irreparable harm"; that "neither the Government, nor the public, will suffer any comparable injury as a result of the relief sought"; and that the public's "interest in the protection of its First Amendment rights against unconstitutionally compelled speech would be furthered."

The 36 proposed images include a man exhaling smoke through a hole in his throat; diseased lungs next to healthy lungs; a mouth bearing what appear to be cancerous lesions; a bare-chested male cadaver with chest staples down his torso.

Opinion: Can scary labels, taxes end smoking?

Leon noted that the some of the pictures appeared to have been digitally enhanced or manipulated to make them "evoke emotion" and are not therefore "purely factual," as the government had asserted.

Though Congress mandated the images fill the top half of the front and back of cigarette packages, Leon said the dimensions suggest it was trying to turn cigarettes into mini-billboards intended not to impart information about smoking but "to advocate a change in consumer behavior."

In a statement, Matthew L. Myers, the president of Campaign for Tobacco-Free Kids, called the decision "wrong on the science and wrong on the law" and called for the Justice Department to appeal. "If allowed to stand, this ruling would make it impossible to implement any effective warning labels," he said, adding that Leon's ruling "ignores the overwhelming scientific evidence about the need for the new cigarette warnings and their effectiveness" and ignores First Amendment precedent that supports the right of the government to require warning labels to protect public health.

Myers noted that studies have shown that such graphic warnings are effective at "informing consumers about the health risks of smoking, discouraging children and other nonsmokers from starting to smoke, and motivating smokers to quit."

FDA reveals bigger, graphic warning labels for cigarette packages

At least 43 other countries require such cigarette box warnings, he said.

The law on the labels was to have kicked in beginning next September. "They serve the compelling goal of reducing the death and disease caused by tobacco use, which kills more than 400,000 Americans and costs the nation $96 billion in health care expenditures each year," Myers said.

Richard Daynard, a professor at Northeastern University Law School and head of the Tobacco Products Liability Project, said the case may not be resolved for years, and the matter is an urgent one. "Even a relatively modest percentage improvement or a percentage reduction in initiation or continued use will potentially save tens of thousands of lives per year," he said.

@highlight

Judge cites First Amendment rights against unconstitutionally compelled speech

@highlight

Court acts "to preserve the status quo," he says

@highlight

Case may not be resolved for years, expert says

@highlight

More than 400,000 Americans die of tobacco-related disease each year