WASHINGTON (CNN)  -- President Obama's ambitious strategy for Afghanistan and neighboring Pakistan, dubbed "Afpak" by administration officials, will face its first test Wednesday when he meets with the leaders of both countries -- neither of which is seen as able to maintain stability and fight strengthening Islamic insurgencies.

Pakistani President Asif Ali Zardari will meet with Afghanistan's president and President Obama.

The president will meet separately with Afghan President Hamid Karzai and Pakistani President Asif Ali Zardari before holding a joint session with the two leaders. The leaders also will hold talks at the State Department, FBI, CIA and on Capitol Hill.

Obama will try to build an enduring regional alliance with both countries, enlisting them as full partners rather than treating them as battlefields for U.S. soldiers to fight extremists. But both leaders are seen as weak and are deeply unpopular back home.

The Taliban has re-emerged to retake large swaths of Afghanistan, and in recent weeks, Taliban fighters have made alarming advances in Pakistan.

Just last week, the State Department warned that al Qaeda continues to enjoy safe haven along the rugged border between the countries, where al Qaeda plots attacks against the U.S. and its allies.

U.S. concern has focused on Pakistan, which Rep. Gary Ackerman, D-New York, on Monday aptly warned has its "pants on fire."

In Pakistan's Swat Valley, the government's recent peace deal with militants pushing for the establishment of strict Islamic law went awry, allowing the Taliban to advance within 60 miles of the capital, Islamabad. The government's initial inaction prompted Secretary of State Hillary Clinton to accuse Islamabad of abdicating to terrorists. Obama also expressed concern about the fragility of Zardari's government.

Richard Holbrooke, Obama's formidable point man for Afpak, insists Pakistan isn't a failed state. Yet there is plenty of concern in Washington that Zardari's government could fall, leaving Pakistan's considerable nuclear arsenal at risk.

Holbrooke also played down reports the U.S. is courting Zardari's main political rival, former Prime Minister Nawaz Sharif. Rather, officials say the U.S. wants the two men to work together, which would divert Zardari's attention away from domestic political squabbles and enable him to unite the country in the fight against extremists.

This is the U.S. main challenge -- persuading Pakistan to focus on what it considers a "mortal threat," and not on what Obama himself has called the Pakistani military's misguided "obsession" with neighboring India.

The Taliban advances seem to have delivered a wake-up call to the government, which has launched an offensive against the militants. To help, Obama has asked Congress to quickly approve hundreds of millions of dollars in emergency aid to help the Pakistanis combat the insurgency and is supporting a $7.5 billion civilian aid package over the next five years.

Concerned about reports that the Pakistani military is working at cross-purposes and, in some cases, aiding the Taliban, Congress is trying to condition the money on progress made by Pakistani forces in rooting out extremists.

A key component of the U.S. strategy is a surge in civilian assistance to boost domestic support for both governments. In an effort to promote more economic development and cooperation between the U.S. and the two countries, the ministers of agriculture and finance from both countries have been invited to Washington to join the talks.

While the U.S. focus clearly has been on Pakistan, violence in Afghanistan has reached its highest levels since Taliban forces were driven from power after the U.S. invaded in the fall of 2001 in response to the 9/11 terror attacks.

The U.S. wants to ensure stability in the lead-up to August elections, which is why Obama has committed 21,000 additional troops, in addition to the much needed economic assistance.

Since talking office in January, Obama and other U.S. officials have been tough on Karzai, criticizing his government as ineffective and weak on corruption. Karzai further angered U.S. officials this week when he named Mohammad Qasim Fahim, a powerful warlord accused of violating human rights, as his vice presidential running mate, despite warnings from Secretary of State Clinton that Fahim would be a polarizing choice.

But despite the belief by many in Washington it is time for Karzai to go, the Afghan president arrived this week in Washington virtually assured re-election, having persuaded his main opposition not to run against him.

In a speech Tuesday, Karzai wisely said "money can't buy you love" and "force won't buy you obedience"

Those sentiments illustrate one of the deficits in Obama's strategy.

While the U.S. hopes the additional assistance will turn both leaders into reliable allies, the administration has yet to unveil a plan for communicating directly to the Afghan and Pakistani populations, both of which are skeptical of the U.S. intentions toward their countries.

Additionally, the U.S. has focused its diplomacy so far on officials at the federal level, and efforts to establish strong and regular lines of communication with provincial government officials are in their infancy. That has contributed to the lack of U.S. influence in Pakistan during the Taliban's recent advances in the Northwest Frontier.

Creating and implementing an effective strategy toward Afghanistan, and more importantly, Pakistan, is proving to be one of the most challenging, yet important, foreign policy issues facing the Obama administration. Wednesday's talks will be the first indicator as to whether the U.S. has two partners in what has been dubbed "Obama's war."

CNN's Jill Dougherty contributed to this report.

@highlight

Obama to meet with leaders of Afghanistan, Pakistan on Wednesday

@highlight

President's ambitious agenda for nations faces its first critical test

@highlight

Recent Taliban gains in nuclear-armed Pakistan especially worrisome

@highlight

Analysis: Lack of influence with the populace could weaken Obama's hand