(CNN) -- An internal report by the Massachusetts Institute of Technology has found that it committed no wrongdoing in the case of Internet activist Aaron Swartz, who committed suicide while facing charges he hacked into the university's computers and stole millions of online documents.

The report "makes clear that MIT did not 'target' Aaron Swartz, we did not seek federal prosecution, punishment or jail time, and we did not oppose a plea bargain," wrote MIT President L. Rafael Reif in a letter Tuesday to the MIT community. Reif had requested an analysis of the university's involvement in the federal case against Swartz from the time MIT first perceived unusual activity on its Web network in 2010.

But the report also questioned MIT's "neutral" policy on the issues raised by Swartz's prosecution and suggested the university could have showed more leadership. It also asked whether MIT should become involved in debates over reform of the Computer Fraud and Abuse Act -- one of the laws under which Swartz was charged.

Swartz, 26, was discovered dead in his Brooklyn, New York, apartment in January. He was facing 13 felony counts stemming from his illegal downloading from MIT of more than 4 million articles from JSTOR, a repository of research journals, and was scheduled to go to trial in April. If convicted on the federal computer-fraud charges, he faced up to 35 years in prison.

Internet prodigy, activist Aaron Swartz commits suicide

Swartz was an Internet savant who helped develop social-news site Reddit and RSS, the technology that allows websites to send updates to subscribers. He was an outspoken advocate for the free exchange of information over the Internet and co-founded Demand Progress, a political action group that campaigns against Internet censorship.

As described in the report, Swartz's death "ignited a firestorm on the Internet." Admirers held memorial services, a petition on the White House's website demanded the firing of the federal prosecutor responsible for the case and members of Congress introduced a proposed revision of the law under which he was prosecuted.

After his suicide, Swartz's family issued a statement criticizing prosecutors for seeking "an exceptionally harsh array of charges (for) an alleged crime that had no victims," and claiming that decisions made by prosecutors and MIT officials had "contributed to his death."

How Aaron Swartz helped build the Internet

The MIT report on Swartz was issued by a review panel led by Hal Abelson, an MIT professor of electrical engineering and computer science. In preparing its report, the panel reviewed about 10,000 pages of documents and interviewed about 50 people, including MIT faculty, students, alumni and staff; lawyers, police officers and prosecutors; and Swartz's friends and family.

"The review panel's careful account provides something we have not had until now: an independent description of the actual events at MIT and of MIT's decisions in the context of what MIT knew as the events unfolded," Reif wrote in his accompanying letter. "From studying this review of MIT's role, I am confident that MIT's decisions were reasonable, appropriate and made in good faith."

But others disagreed, including Swartz's family and romantic partner.

"Having now read Abelson's report, it is clear that MIT in fact played a central role in Aaron's suicide," Robert Swartz, Aaron's father, said in an e-mailed statement through a family friend.

"MIT made numerous mistakes that warrant further examination and significant changes. MIT was not neutral in the legal case against Aaron. And whether MIT was neutral or not is a red herring: the university had a moral obligation to advocate on Aaron's behalf."

Robert Swartz had some conciliatory reaction as well.

"We are encouraged by MIT President Raphael Reif's desire to ensure that some positive comes of the terrible, tragic situation in which Aaron found himself, and applaud MIT for its commitment to self-examination."

Swartz's partner was upset at the report.

"MIT's behavior throughout the case was reprehensible, and this report is quite frankly a whitewash," said Taren Stinebrickner-Kauffman.

"We have an institution to contrast MIT with -- JSTOR, who came out immediately and publicly against the prosecution. Aaron would be alive today if MIT had acted as JSTOR did. MIT had a moral imperative to do so," she said.

There was further reaction, too.

"Today's report was intended to provide closure for the MIT community regarding the overprosecution and tragic loss of Aaron Swartz. Instead, the report simply whitewashes MIT's role in Aaron's prosecution and revises history to protect MIT's image," said Demand Progress campaigner Charlie Furman.

"MIT does not seem to understand that a few simple, reasonable actions would have saved Aaron's life," Furman added. "If the university had said publicly, 'we don't want this prosecution to go forward,' there would have been no case, and Aaron would be alive today."

Opinion: Why the Net grieves Aaron Swartz

CNN's Brandon Griggs, Todd Leopold and Laura Smith-Spark contributed to this report.

@highlight

NEW: Father of Internet activist says "MIT in fact played a central role in Aaron's suicide"

@highlight

Internal report finds no wrongdoing by MIT in the case of Aaron Swartz

@highlight

Swartz committed suicide while facing charges he stole documents from MIT's computers

@highlight

MIT president: "I am confident MIT's decisions were reasonable ... and made in good faith"