(CNN) -- Taking attendance.

That is the phrase used by the parent of a Sandy Hook Elementary School student, describing to a reporter what went on in the firehouse near the school as terrified mothers and fathers arrived in the minutes and hours after the shootings.

The mothers and fathers looked anxiously for children who had lived through the shootings and had been brought into the firehouse. The surviving children and their parents found each other.

But the other parents waited and waited. Their sons and daughters did not appear.

And as the mothers and fathers who had been reunited with their children left the firehouse to go to their homes, a list began to be compiled. On it were the names of the boys and girls who were not accounted for.

The most heart-shattering and unbearable list that can be imagined.

Those 20 children, as they had left home for school earlier that day, were boys and girls who had favorite television shows, and Christmas wish lists, and jokes that only they and their families understood, and brothers and sisters they knew they'd be having dinner with.

And parents, who now waited in the rapidly emptying Sandy Hook Volunteer Fire and Rescue station.

There are days when it seems fair to ask if part of American life has gone irretrievably insane. A description of the scene inside the elementary school, from a law enforcement official who spoke to a reporter, was that it resembled "a killing field."

That is a term of warfare, even of genocide, yet it seems not at all out of place in the context of contemporary domestic news.

"We have lockdown drills," said Mary Ann Jacob, a library clerk at the school. She was explaining to reporters that the teachers, children and staff at Sandy Hook Elementary, like teachers, children and staff at elementary schools all across the United States, were well versed in the advisability of preparing for a day like Friday.

Lockdown drills. More than half-a-century ago, children in elementary schools were trained in so-called duck-and-cover drills: the practice of diving under desks in case of nuclear attack by foreign enemies. Even at the time, it felt kind of comical; few boys and girls really believed that enemy aircraft were going to materialize over Midwestern or Southern or West Coast skies, bearing atomic payloads -- and a schoolroom desk, even in children's eyes, didn't promise much of a shelter against a bomb. American children tended to laugh and kid through the drills.

Today's enemies seem considerably more real, and the children are taught to understand that. "The kids knew the routine," the librarian said.

Thus, with the gunman in the school, she led the boys and girls to the lockdown-drill location: "between some bookcases and a wall, where you can't be seen from any windows."

And, because they were children, and not soldiers trained in responding to heavy weaponry, when she and her colleagues then led the children to a storeroom and locked the door, she did the only thing she could to calm them as shots rang through the school:

Passed out crayons and paper.

We tend to talk about terrorism in terms of potential attacks from foreign shores, but on weekends like this one we have to acknowledge that the specter of terror seems to have become a part of the very atmosphere of American life. At a movie theater in Colorado, a shopping mall in Oregon, a school in a quiet Connecticut town ... the places change, the news media gather after the bloodshed, the police piece together the sequence of events, the grief counselors mobilize.

And somehow it all feels like flailing. At the end of a weekend like this one, do we feel at all secure that, having learned what we can about what has happened, the knowledge will help to prevent the next day and place of carnage? Of course not.

There is an old movie that is often played on television during the holiday season; its very title bears a message of warmth and safety and affectionate December memories. "Christmas in Connecticut," the movie is called, and the words are meant to comfort and cheer. It was broadcast again nationally late last week as America settled in for what is supposed to be a season of kindness and gentle spirit.

By the weekend in Connecticut, a law enforcement official, preparing to release the identities of the children who died, said that his colleagues were carefully compiling "a formal list of names, birthdates and information."

A resident of Newtown told a television reporter: "Things like this just aren't supposed to happen here."

No, they aren't. And "here" means not just Newtown, not just Connecticut, but this country we all share. It's not supposed to happen here.

Yet it does, again and again. And, in a season of peace, a strong, no-longer-young nation, blessed with so many people of compassion and wisdom and good will, finds itself in a bleak and familiar place -- unable to answer the most basic question of all:

Why?

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene describes parents' heartbreaking wait for kids, many of whom didn't arrive

@highlight

Greene: There are days we want to ask: Has America gone insane?

@highlight

He says the joke of duck-and-cover drills has given way to deadly serious lockdown drills

@highlight

Greene: We hear stories of attacks and what we should do, but it all feels like flailing