(CNN) -- Glass screens that can feel the touch of your fingers are all the rage these days. You'll find them in all kinds of gadgets, from smartphones to tablet computers.

But the way a team of Disney Researchers sees it, there's one huge problem with this technology: All glass screens feel exactly the same.

So, OK, that "problem" may not be keeping you up at night. But think about the difference between typing on a hardware keyboard, where you can feel whether your fingers are hitting the right keys, and a touch screen keyboard, where the letters "q" and "w" feel exactly the same -- as does the space between them.

That's the problem that Disney Research is hoping to solve with a new technology it's calling "TeslaTouch."

This new type of touch screen, which was demonstrated for the first time at a tech conference in New York this week, uses a small static force to control friction between a user's finger and the touch screen.

"It's kind of like a buzzing or a vibration. It has the same effect as a buzz," said Chris Harrison, one of the Disney researchers and a Ph.D. student at Carnegie Mellon University. "But if you carefully tune the frequency and the vibration of the panel you can actually create things that feel like sandpaper or rubber or a wall."

In the case of a touch screen keyboard -- like those on the Apple iPhone, for example -- users would be able to feel the location of the keys, and could learn to "touch type" without looking at their hands, he said.

When people clicked on a file to drag it into a folder, they would be able to feel the weight of the file and would know, through their sense of touch, that it had landed in the appropriate location, he said. Larger files, like HD movies, could also be made to seem heavier than small files, like text documents, Harrison said.

"A heavier document, like one that's going to take longer to transfer, is going to feel heavier," he said.

Unlike other attempts at touch-screen technology with "haptic feedback," or impulses that stimulate the sense of touch, TeslaTouch has no moving parts. It uses small electrical impulses -- kind of like those involved in static cling -- to create a pull and push between a person's fingertip and the gadget's screen.

Here are some of the nerdy details: The touch screen is made up of three layers. A glass plate, topped with a transparent electrode and an insulator, is what people touch. To simulate friction and texture, the electrode creates small electrical fields in the insulation layer. These fields oscillate between positive and negative charges, creating those sensations.

Others have tried to use vibrations to make touch-sensitive screens feel more realistic. The BlackBerry Storm's screen, for example, compresses and clicks when users push on it successfully.

But that doesn't allow for users to touch different parts of the screen and receive different touch sensations, Harrison said. That is possible with TeslaTouch.

The Disney Research technology, which has not been commercialized, has been incorporated into at least two prototypes. One mobile device was demonstrated this week at a conference held by the Association for Computing Machinery. Another touch screen table is working at the Disney Research offices in Pittsburgh, Pennsylvania, he said.

Check out the project's website for a video demo (bonus features include mysterious hands petting cats, pinching cloth and fondling glassware).

If you're feeling especially studious, the research team has posted an academic paper that explains more fully how the tech works.

He said this technology isn't the "magic bullet" that will bring multitouch, tactile touch screens into the mainstream. But it may move them one step closer.

@highlight

A new form of touch-screen technology debuts this week

@highlight

TeslaTouch aims to let touch screen users feel different sensations on glass

@highlight

The technology uses electrical impulses to simulate friction and texture

@highlight

The Disney Research project has not been commercialized