Washington (CNN) -- A December 22 briefing, prepared by the top U.S. intelligence official in Afghanistan and obtained by CNN, maps out the strategy and strength of the Taliban and their allies in Afghanistan, and concludes that the Taliban insurgency in Afghanistan is increasingly effective.

The briefing, which warns that the "situation is serious," was prepared by Maj. Gen. Michael Flynn last month. His assessment is that the Taliban's "organizational capabilities and operational reach are qualitatively and geographically expanding" and the group is capable of much greater frequency of attacks and varied locations of attacks.

According to the unclassified briefing, the insurgency can now sustain itself indefinitely because of three factors:

• The increased availability of bomb-making technology and material;

• The Taliban's access to two major funding streams, one from the opium trade and the other from overseas donations from Muslim countries, which reach the Taliban by courier or through a system of informal banks known as "hawalas" that operate across much of the Islamic world; and

• The Taliban's continuing ability to recruit foot soldiers based on the perception that they "retain the religious high-ground," and factors such as poverty and tribal friction.

A chart in Flynn's briefing notes that security incidents -- which include improvised-explosive attacks, ambushes, mortar and missile assaults -- routinely hit 500 a week in the second half of 2009. That compares with a weekly average of no more than 40 five years ago. Even in the generally slower winter fighting season, incidents have not fallen below 300 a week.

The 23-page briefing predicts that "Security incidents [are] projected to be higher in 2010." Those incidents are already up by 300 percent since 2007 and by 60 percent since 2008, according to the briefing.

One section of the briefing is based on findings from the interrogations of captured insurgents. Those insurgents said the Taliban saw 2009 as the most successful year of the war, because violence had expanded and because the Afghan presidential election on August 20 was marred by low turnout and fraud.

Detainees also told interrogators that the Taliban see al Qaeda as a handicap -- a view that is spreading as the Taliban try to present themselves as a nationalist group seeking to liberate Afghanistan from foreign forces.

The Flynn briefing also says, however, that al Qaeda "provides facilitation, training and some funding" to the Taliban and predicts that "perceived insurgent success will draw foreign fighters" into Afghanistan. A map of insurgent groups operating in Afghanistan -- part of the briefing -- shows that an Uzbek militant group, the Islamic Movement of Uzbekistan, already has a presence in five provinces in northern and southern Afghanistan.

The briefing also says the Taliban maintain a "mutually supportive relationship" with Chechen and central Asian fighters and will seek to "manage" their relationship with al Qaeda so as not to alienate the Afghan population, but still "encourage support from the global jihadi network."

Among the Taliban's motivations, according to interrogations of the captured insurgents:

• The United States is seen as desiring a permanent presence in Afghanistan;

• Promised infrastructure projects are either incomplete or ineffective;

• The government of President Hamid Karzai is seen as corrupt or ineffective; and

• Crime and corruption are pervasive amongst security forces.

Detainees also said Taliban leaders strategically aim to portray their insurgency to Afghans as fair and uncorrupted.

Part of that strategy is a "code of conduct" that Taliban leaders published in mid-July 2009. It advises foot soldiers to "keep good relationships" with locals and warns them against mistreating civilians, forcing people to pay donations, searching homes, kidnapping people for money and using child soldiers.

Afghanistan in depth:  Afghanistan Crossroads blog

A U.N. report released this month shows that the new Taliban code has not translated into the insurgents killing fewer civilians. The United Nations found that the Taliban killed 1,630 civilians in 2009, representing a 40 percent increase over the previous year.

According to the Flynn briefing, the Taliban have largely re-created the command structure they had before the U.S. invasion of Afghanistan in fall 2001. The new structure consists of the "inner shura" (inner council), an 18-member group headed by Taliban leader Mullah Omar that arrives at decisions based on consensus, but "within Omar's guidance." Those decisions are then communicated to regional shuras of up to 20 members, then to provincial shuras and the Taliban's "shadow [provincial] governors."

The Flynn briefing suggests that the Taliban are effectively creating a parallel government, in competition with the Kabul government.

One measure of that, the briefing says: Eleven provinces had a Taliban shadow governor in 2005. The number was 33 by 2009.

Can Taliban deliver justice better than Karzai government?

The Taliban's strategy in 2010, as described by Flynn, includes expanding into the north and west of Afghanistan, where the Taliban traditionally have had scant support; continuing aggressive operations during winter, when warfare has traditionally eased in Afghanistan; and increasing Taliban influence around the key cities of Kabul and Kandahar.

The Taliban's overall strategy is not to defeat international forces in Afghanistan, but to "outlast international will to remain in Afghanistan." That is to be achieved partly with more improvised-explosive attacks.

Improvised explosives caused 80 percent of U.S. casualties last summer, according to senior U.S. Marine officers in Helmand province in southern Afghanistan.

The explosives do for the Taliban what surface-to-air missiles once did for the Afghan mujahedeen fighting the Soviets -- somewhat equalize the fight against a superpower, Flynn says.

The number of casualties from improvised-explosive attacks in Afghanistan has risen from 326 in 2005 to 6,037 in 2009, according to the briefing.

The size of the insurgents' explosives has dramatically increased, according to Flynn. In May 2008, most weighed less than 25 pounds. As of December, more than three-quarters weighed more than 25 pounds.

In the past, the report says, improvised explosives were made mainly from military ordnance, such as shells. They are increasingly made from homemade explosives. About 85 percent of improvised explosives in Afghanistan are made with ammonium nitrate, a common fertilizer -- the same ingredient used in the 1995 Oklahoma City bombing.

On Friday, Karzai banned the use, production, storage or sale of ammonium nitrate.

The Flynn briefing also outlined Taliban weaknesses, including disagreements among local Taliban leaders, the group's dependence on marginalized ethnic Pashtuns, and over-reliance on "external support," an apparent reference to Taliban havens in Pakistan.

The briefing concludes that the United States and its allies have a key advantage -- the Taliban have not yet reached the level of a popular movement.

A senior U.S. military official in Afghanistan called CNN's account of the report accurate.

The official also cited what he called "fundamental positive change": significantly fewer civilian deaths caused by U.S. and NATO forces, improved counter-insurgency efforts, and more effective partnering with Afghan security forces.

@highlight

"Situation is serious," warns intelligence briefing on Taliban in Afghanistan

@highlight

"Security incidents" up to 500 per week in 2009, from 40 per week five years earlier

@highlight

Detainees say Taliban trying to distance themselves from al Qaeda, the briefing says

@highlight

CNN obtained the December briefing by top U.S. intelligence official in Afghanistan