(CNN) -- A Food and Drug Administration advisory committee that has been weighing evidence on whether dye additives in food affect behavior in children will make its recommendation Thursday.

The panel will first listen to testimony from the public and the industry. It spent Wednesday listening to testimony from doctors and scientists who contend that studies, although small in many cases, do show that some kids begin to show signs of hyperactivity once they are exposed to certain dye mixtures.

The question is whether the FDA committee will urge the agency to strengthen its regulation of the ingredients? Although the committee only makes recommendations to the FDA, the agency usually follows those recommendations.

According to the experts who testified, European companies already are dropping dyes including Blue #1, Yellow #5, Green #3 and others and substituting natural dyes for them. But the United States still allows artificial dyes, mostly for aesthetic reasons, not for taste.

"Why are these dyes in these foods anyway?" asked Michael Jacobsen, executive director of the Center for Science and the Public Interest, a watchdog group on nutrition and food safety. "I would push for having them taken out completely. But if that can't be done, why not warn the public and parents that these dyes could have some effects?"

The idea that dyes in food causes attention deficit hyperactivity disorder, or ADHD, was first noted in "Why Your Child is Hyperactive," a book written by Dr. Benjamin Feingold in 1975.

The eating style described in the book became known as the Feingold Diet. He found if one eliminated artificial food dyes and additives in American diets, cases of hyperactivity in children would decline.

But reviews of the data found that the correlation between dyes and hyperactivity were inconsistent.

Although numerous data have been collected on food dyes and hyperactivity in kids over the past decade, critics say the design of the studies has been weak.

They note many of the studies were performed on small groups -- many involved no more than 25 children. They also noted that much of the observation data (how the child acted) was reported by parents and not by clinicians. And they pointed out that most of the dyes tested were combined into a dye mixture and not tested individually.

The most recent studies to bring food dyes and ADHD back to the public eye was a 2007 project conducted by researchers at the University of Southampton in the United Kingdom.

It showed that artificial food dyes along with sodium benzoate (a white crystalline salt used as a food preservative) increased ADHD symptoms in both hyperactive and non-hyperactive children.

That study was followed up by another paper in 2010 by the same researchers who looked at the connection between food dyes, ADHD and histamine, a chemical that's produced in the brain when the body is having an allergic reaction.

"We found mixtures of certain artificial colors together with sodium benzoate preservative in the diet increased the average level of hyperactivity in 3 and 8/9 year old children in the general population," Dr. Jim Stevenson, a professor at the School of Psychology at the University of Southampton, and lead author of the study, testified Wednesday.

"We found mixtures of certain artificial colors together with sodium benzoate preservative in the diet increased the average level of hyperactivity in 3 and 8/9 year old children in the general population."

Yet, it was noted that when the Southampton data were unveiled to the European Food Standards Authority, a European version of the FDA, the EFSA found the evidence weak.

But some groups in the United States say the findings are another reason that dyes should go.

A recent report issued by CSPI looked at data from a number of studies related to artificial food dyes. Jacobsen argued to the board Wednesday that artificial food dyes are not safe for humans and can be connected to numerous health problems, including ADHD allergies, even cancer

"The average child consumes approximately 121 milligrams of artificial dyes a day," Jacobsen asserted. "That's a lot. And dye in food is used twice as much as it was in the 1970s. These are noted scientific effects. There are other factors that could affect child behavior, but if we can take out food dyes as a factor, why not?"

@highlight

The FDA usually follows through with panel's recommendation

@highlight

Testimony: Some studies show some kids show signs of hyperactivity

@highlight

Testimony: European companies are dropping dyes

@highlight

The United States still allows them