St. Petersburg, Russia (CNN) -- Every working night for the past 34 years, Sergey Matveev has watched from his control room as tankers, ships and barges glide across the crisp waters of St. Petersburg's River Neva.

The picturesque Russian city -- built under the Tsarist reign of Peter the Great and popularly known as the "Venice of the North" -- is spread across a cluster of islands connected by more than 300 bridges.

Some are vital traffic arteries, others are simple foot-crossings, while a special few are drawbridges that rise in the evening to let ships pass to and from the nearby Baltic Sea.

As custodian of the iconic Palace Bridge, Matveev is responsible for maritime access into and out of the city's myriad canals and waterways -- but he's not alone in this endeavor. Among the others clearing the way along the river are Matveev's wife, Olga, and two sons.

See also: Mammoth ships force ports to adapt

"The Palace Bridge is under my control, the Tuchkov Bridge is under the control of my elder son and the Trinity Bridge is under the control of my younger son and wife," he explained.

Matveev was allocated a job at the Palace Bridge in 1979 by the then Soviet authorities after graduating from high school. Two years later his wife began working at the nearby Troitsky Bridge as a mechanic.

The next generation of Matveev's family were always likely to follow their parents having spent much of their youth playing in and around the drawbridges while their parents worked.

"As the children from their small age ... I would bring them, and show where I work. Later on as they finished the school, graduated from the institute they wanted themselves to start working here," he said.

The thickly moustachioed Matveev is evidently proud of what has become his family's unusual dynasty and chuckles at the mention of locations under their "control." Ensuring St. Petersburg's drawbridges operate at their optimum level, however, is no easy feat.

See also: What happens to goods lost at sea?

Currents are often strong and some of the cargo passing ships carry can be hazardous. Any lapses of communication between bridges -- which must rise one after the other -- can mean ships stranded in dangerous waters.

At the height of summer, as many as 40 commercial vessels can pass into and out of the city in a single night. According to local industry website, Port News, more than 9 million tons of freight moves along the River Neva between May and November alone (before the water freezes over during Russia's bitter winter months).

Fortunately, modern technology has made things much easier for the Matveev family in this regard. The creaking old mechanical equipment of days gone by has been replaced with fully computerized systems.

"One can do it all by just touching the screen" Matveev said. "Earlier, most things were observed visually. Now we can see it all through the indicators," he added pointing to his futuristic looking work station.

See also: Can gondolas cut city traffic

It's not just the technology that's changed over the years. St. Petersburg itself has morphed into a modern, cosmopolitan city. At the heart of that transformation is the city's waterfront.

Today tourists flock to see the bridges, islands and sights so vividly described by giants of Russian literature like Dostoevsky. Residents meanwhile take pride in the unique architecture and historic significance of their city.

"The bridges are the symbol of St. Petersburg," Matveev said. "Many people come here to observe how it takes place, this wonder of the drawing of the bridges. During the white nights there are so many people on the embankment."

"This work is a subject of pride. Some people watch me at the TV screen (and) they say 'oh, we have seen you -- it is so great, well done.'"

It seems likely this sense of goodwill will be felt by the Matveev family for many generations to come.

@highlight

Sergey Matveev has operated the Palace Bridge in St Petersburg for 34 years

@highlight

His wife and two sons also operate drawbridges in the picturesque Russian city

@highlight

Drawbridge operators play a vital role in ensuring the smooth passage of maritime traffic along the River Neva