Beijing (CNN) -- Chinese President Hu Jintao, set to begin handing over power to his successor, warned Thursday that a failure to deal with corruption could bring down China's ruling Communist Party and the state it controls.

Hu was speaking at the party's 18th National Congress in Beijing, a key meeting of top officials that will usher in a new set of leaders of the world's most populous nation. After a decade in power, Hu is expected to hand over the party's top job to Vice President Xi Jinping.

"If we fail to handle this issue well, it could prove fatal to the party, and even cause the collapse of the party and the fall of the state," Hu said of corruption during his speech at the start of the congress in the Great Hall of the People in the heart of the Chinese capital.

His comments to a vast room full of delegates stood out in light of the huge political scandal that has rocked the party this year. The controversy involved the former high-flying politician Bo Xilai who is now under criminal investigation after being ousted from his posts and the party itself. He is accused of corruption, abuse of power and improper sexual relationships; official news reports have said Bo made "severe mistakes" related to the killing of a British businessman -- a crime for which Bo's wife was imprisoned -- and a diplomatic incident involving his former police chief in Chongqing.

More than 2,200 delegates from across China are gathering for the Congress, and they in turn select the 200-plus members of the party's Central Committee, who in turn appoint the Politburo and ultimately the all-powerful Politburo Standing Committee -- the country's decision-makers.

But most, if not all, of the outcomes are predetermined after a long period of secretive deal-making between party power brokers.

The congress itself meets every five years. It is designed to assess the country's progress, and set new directions. Every 10 years it selects the new leadership.

This year, the legacy of the Hu years is under the microscope. Under Hu and Premier Wen Jiabao, China's economy has continued to grow, lifting tens of millions of people out of poverty.

China is now the world's second-biggest economy and closing fast on the United States. But there have been disappointments and discontent along the way, and Hu's much vaunted "harmonious society" is showing signs of cracking.

Chinese leaders have endured a tumultuous year. The veil of secrecy around the party has been lifted, with reports of rifts and infighting. And the fall of Bo brought about China's biggest political scandal in decades.

Bo, once party chief of the massive metropolis of Chongqing, is now in disgrace awaiting trial. His wife, Gu Kailai, is in prison, convicted of murdering a British business associate.

Senior party leaders and their leaders have had to deal with unusual scrutiny of their affairs, with Western news organizations publishing investigations into the wealth accumulated by the families of Xi and Wen.

Chinese authorities responded to the reports by blocking the websites of the news organizations involved: Bloomberg News and The New York Times. But China's army of censors is having to grapple with the rapid rise of social media platforms on which information moves and mutates at a dizzying pace.

China is treading many fault lines: a widening gap between rich and poor, rising unrest about issues like pollution and land seizures, and a slowing economy that some say is in need of serious reform.

Hu mentioned some of those tensions Thursday along with several other contentious issues -- like food safety, health care and law enforcement -- acknowledging that "there are a lot of difficulties and problems on our road ahead."

Another issue Hu's government has struggled to tackle during its decade in power is the discontent and unrest among Tibetans living under Chinese rule.

Authorities were given a grim reminder on Wednesday of the disillusionment and desperation of many Tibetans in western areas of China after four people set themselves on fire to protest Chinese rule.

One teenage Tibetan monk died and two were injured after self-immolating in a majority Tibetan region of Sichuan Province, said Penpa Tsering, a spokesman for the Tibetan parliament in exile in Dharamsala, India. And a 23-year-old Tibetan woman died a separate incident in Qinghai Province, Tsering said, citing unidentified people in Tibetan areas.

Dozens of Tibetans are reported to have set themselves ablaze in the past 18 months to express their unhappiness with Chinese rule.

In his speech Thursday, Hu also made a case for China to strengthen its presence on the seas off its coast. Beijing has become embroiled in a string of territorial disputes with countries like Japan, the Philippines and Vietnam over areas thought to contain large reserves of natural resources under the sea bed.

The leadership should "build China into a maritime power," Hu said, citing the need to exploit marine resources and "resolutely safeguard China's maritime rights and interests" among the goals.

CNN iReport: What do you think of the power transition? Share your comments and experiences and best could be used online or on air.

CNN's Stan Grant, CY Xu and Jaime FlorCruz contributed to this report.

@highlight

Thousands of delegates gather in Beijing for the meeting

@highlight

The key meeting follows a year beset by scandal for the party

@highlight

Four Tibetans set themselves on fire, the Tibetan government in exile says