(CNN) -- Today millions of people will go to the polls to vote in state and local elections.  As they cast their ballot, they cast a vote for the most treasured aspect of our democracy.  The voting booth is the one place where we are all equal -- all Americans are able to have an equal voice in determining the shape of our government.   

That sacred right is now under the largest assault we have witnessed in more than a century.

Through a spate of restrictive laws passed in Republican-led state legislatures, a disproportionate number of African-Americans, Latinos, people with disabilities, the elderly and the young will find voting difficult and in many cases impossible.  These laws  require a state photo ID to vote, limit  early voting, place strict requirements on voter registration and deny voting rights to Americans with criminal records who have paid their debt to society.

Larry Butler of South Carolina was born at home in 1926, during a time of strict segregation when most hospitals did not take in African-Americans.  Because Butler does not have an official birth certificate, he was denied the free state photo ID and told it would cost $150 to get the underlying document to obtain one.  It is, in essence, a modern day poll tax used decades ago to deny blacks in the South their right to vote.  Unlike Butler, who is not a wealthy man, most Americans will not have to pay more than $100 to exercise their constitutionally guaranteed right.  His voice could be silenced.

The states where restrictive laws have already passed represent 63% of the electoral votes needed to win the presidency.

A new documentary from Brave New Foundation  reveals strong partisan backing of these laws.  Under the pretense of safeguarding elections against voter fraud, the American Legislative Exchange Council, a conservative advocacy group that receives funding from the billionaire Koch brothers (who also back the tea party), crafted and distributed model voter ID legislation introduced in more than 30 states this year.  But widespread voter fraud is a myth.  A report from the Brennan Center for Justice says strict ID verification requirements "address a sort of voter fraud more rare than death by lightning." An extensive analysis of data from all 50 states by the U.S. Justice Department found that incidents of voter fraud are exceedingly rare.

These laws  harm our democracy.  More than 21 million Americans do not have access to the requisite ID.  The Advancement Project found that 25% of voting age African-Americans; 15% of those earning less than $35,000; 18% of citizens age 65 or older, and 20% of voters age 18 to 29 do not have the requisite ID.  In Texas,  according to the Democratic Party, 600,000 registered voters have no driver's license or state-issued identification.  In Wisconsin, more than half of African-Americans and Latinos lack the required ID.  Students in Texas, Wisconsin and South Carolina can no longer use their college identification to vote.  

In Tennessee, which has never required anyone over age 60 to have a photo on their driver's license, more than 126,000 seniors now face an almost insurmountable hurdle to the polls.  It will be significantly harder for more than 5 million eligible U.S. voters in the states with restrictive laws to cast ballots in 2012 --  a number larger than the margin of victory in two of the last three presidential elections.

It will also cost states money.  Advancement Project's report "What's Wrong with This Picture" reveals that it is expensive. Taxpayers will bear the cost of providing free IDs, estimated at more than $20 million in North Carolina, for example, during a time of tough budget constraints.

While a diligent effort by citizens groups  compelled governors to veto photo ID laws in Montana, Minnesota, Missouri, North Carolina and New Hampshire and civil rights groups are urging the Justice Department to deny approval of laws passed in South Carolina, Florida and Texas under the Voting Rights Act, many states will reintroduce the legislation next year,  just in time for the 2012 elections.

The Rev. Martin Luther King Jr. led a march in 1963 for jobs and freedom linking the two pillars of America's promise: economic and political democracy.  

Now, the Occupy Wall Street movement has shone a spotlight on economic injustice.  We must also Occupy the Vote and not allow the same corporate interests that are contributing to economic dislocation for millions of Americans to silence citizen's voices in the voting booth.  

The sacred covenant of our democracy is that on Election Day, all Americans have an equal say in shaping their government.   We cannot let that right be taken away.  The very soul of our nation's character depends on it. 

The opinions expressed in this commentary are solely those of Judith Browne Dianis.

@highlight

Judith Dianis: The right to vote is under assault with new restrictions

@highlight

Dianis: States require photo IDs, limit early voting, ban people with criminal records

@highlight

These laws mostly affect blacks, Latinos, the disabled, the old and the young, she says

@highlight

These laws are meant to prevent voter fraud, she writes, but fraud is exceedingly rare