(CNET)  -- They're everywhere here: on the sides of buses and along the walls of subway stations, posters for the upcoming film "The Social Network" bearing little else than the three words "PUNK, BILLIONAIRE, GENIUS" and a partial headshot of lead actor Jesse Eisenberg.

Likewise, buzz about the David Fincher-directed film about the contested origins of Facebook, based on Ben Mezrich's book "The Accidental Billionaires," has been growing now that its hyped premiere at the New York Film Festival is less than a month away. Its wide theatrical release is on October 1.

This week, at least in the mainstream press, the narrative has taken a turn for the speculative: Will the film actually be both a box-office hit and an awards contender?

Will Facebook's chilliness toward the movie, which it did not sanction and has characterized as "fiction," affect its performance -- or will a strong performance at the box office affect the public's perception of Facebook?

Igniting all these questions is the fact that "The Social Network" is apparently not just good, but excellent.

The sole long-form review of the film comes from Film Comment, a publication operated by NYFF parent Film Society of Lincoln Center.

Critic Scott Foundas characterized "The Social Network" as a "portrait of a self-made outsider marking his territory in the WASP jungle" akin to F. Scott Fitzgerald's classic "The Great Gatsby," and speculated that it may come to be considered a microcosm of the Digital Age in the same way that "Gatsby" encapsulates the Jazz Age.

"'The Social Network' offers a despairing snapshot of society at the dawn of the 21st century, so advanced, so 'connected,' yet so closed and constrained by all the centuries-old prejudices and preconceptions about how our heroes and villains are supposed to look, sound, and act," Foundas wrote. "For Mark Zuckerberg has arrived, and yet still seems unsettled and out of place."

A few others have seen it, too. In a tweet, Rolling Stone magazine critic Peter Travers gave the movie four stars and called it "the movie of the year that also brilliantly defines the decade."

Whether it actually is as good as a handful of early reviewers say it is, "The Social Network" could really be the first major, zeitgeisty film that portrays the "digital generation," or Generation Y, or whatever you choose to call it, as adults -- the film that will be evoked for decades as emblematic of the climate that caused whatever generational neuroses that the "millennials" experience down the road.

That's something that the film's excellent theatrical trailer, scored with a haunting choral cover of Radiohead's "Creep," starts to drum up with its emphasis on social status, the enormous amount of deeply intimate information shared online through social networks like Facebook, and a snippet set in a nightclub in which Justin Timberlake, portraying former Facebook executive Sean Parker, declares confidently, "This is our time."

The cast alone may be sufficient to draw crowds.

Eisenberg, cast as Facebook founder Mark Zuckerberg, is shaping up to look like a more astute choice than some of the better-known actors who were said to be up for the part -- a young A-lister like Shia LaBeouf or Michael Cera could come across as too played-out by now, or overshadow the rest of the film.

The supporting cast may be a big draw, too, in part because of the roles that some of the relatively unknown young actors have lined up for next year.

Andrew Garfield, portraying spurned Facebook co-founder Eduardo Saverin, will be the next Spider-Man; Rooney Mara, playing a fictionalized version of a girl Zuckerberg had been dating around the time that he founded Facebook, will be the eponymous "Girl With The Dragon Tattoo" in the film adaptation of Stieg Larsson's bestselling novel (also directed by Fincher).

Some speculators had wondered whether Timberlake, a pop singer who was gracing the cover of teen magazines with the rest of boy band 'N Sync at the time when his character Parker was an executive at Napster, would be the film's weak link. Perhaps not: Foundas said that the quality of Timberlake's performance is "surprising."

So what of the concerns about accuracy?

"Inside Facebook, they think the movie will not be good for Mark's image, and that worries them," journalist David Kirkpatrick, who wrote the Facebook-authorized "The Facebook Effect," said in an interview with USA Today.

The article explained that Kirkpatrick had spoken to the producers of "The Social Network" about signing on to a consultant role for the film, but that he "objected to the story" and Facebook "said it would not cooperate on his book" if he took the gig.

In the same interview, Kirkpatrick said that "The Social Network" will "fundamentally misrepresent Facebook's origins" but that its only real impact will probably be to "make Mark (Zuckerberg) a celebrity."

Entertainment blog HollywoodNews brought up the fact that while some believe that straying from history cost the 1999 Denzel Washington film "The Hurricane" the Best Picture accolade at the Oscars, fictionalizing some detail didn't derail 2001's "A Beautiful Mind" from winning the same award.

A story in The New York Times about Facebook management's grappling with the potential success of "The Social Network" -- including attempts on behalf of the company to lobby for modifications to the script -- mentions that a "mostly made up" scene "that depicted Sean Parker...delivering his dialogue while a pair of teenage girls offer partygoers lines of cocaine from bared breasts" was in cutting-room limbo.

But while this allegedly contested scene in "The Social Network" sounds sleazy enough to make the film seem a little bit more lowbrow than your average Oscar contender, it certainly has been pulling in more buzz.

When it started to look like the scene was staying in the picture, it instantly became headline-worthy.

"Justin Timberlake's naughty party scene uncut in 'Social Network'," a HollywoodNews headline read. JoBlo.com was a little bit blunter: "Boobs and cocaine won't get cut from 'Social Network' after all."

© 2010 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Critics ask: Will "The Social Network" be a box-office hit and an awards contender?

@highlight

Film could be the first major, zeitgeisty film that portrays Generation Y

@highlight

Facebook executives are concerned it will be bad for Mark Zuckerberg's image