(CNN) -- Congress is back at work. Republicans and Democrats are gauging how much progress the lame duck session will be able to make in the coming weeks. Americans understandably are rolling their eyes, not expecting much from an institution that has been so dysfunctional over the past few years.

Will this be like the productive lame duck session after the last midterm election? In 2010, Congress passed a tax bill, repealed the "Don't Ask Don't Tell" policy for homosexuals in the military and ratified an arms treaty with Russia. "We're not doomed to endless gridlock," Obama said in praise of Congress then.

In the first week of the current lame duck Congress, the House did pass a bill approving construction of the Keystone Pipeline. It's not clear what the Senate will do when it votes Tuesday. And since the measure takes the Keystone decision out of the hands of the Obama administration, the president could decide to veto it.

A productive lame duck session? Don't count on it. The same forces that produced a dysfunctional Congress in the past year are fully in place.

While there have been times when a lame duck Congress has had a breakthrough, it would take a miracle for this to become one of those moments.

Both parties have been dug in for the last year and the political pressure to stand their ground is only going to intensify. Republicans know they will have more leverage to get a better deal with their increased representation starting in January, while Democrats don't want to use their last month with control of the Senate to give away the store.

For a brief time, Congress had virtually eliminated the lame duck period. In 1932, Congress passed the 20th Amendment, that switched the start date of Congress from March 4 to January 3, which was ratified by the states the following year. The practice of Congress passing bills after elections had frequently infuriated members of the minority party who believed that their colleagues, some of whom had lost their seats, were making decisions regardless of the democratic will.

Most members of Congress assumed that starting the session earlier would do the trick since members would be reluctant to travel long distances just for the few weeks between Thanksgiving and Christmas. This was in the era when long-distance travel was not easy.

For several decades, the amendment served its function. Other than an emergency situation, such as the onset of the Korean War in 1950, Congress didn't do any business in the period after the election.

But that ended later in the century. The advent of cheap airline travel made it easier for legislators to get back and forth quickly. Starting in 1970, and accelerating in 1994, Congress treated the post-election period like a normal time of business.

Congress began making some big decisions in the interim period. In 1982, for instance, shortly after Democrats walloped the GOP in the midterm elections, the House voted to award itself a retroactive pay raise.

In 1994, after Newt Gingrich and his fellow Republicans had shocked Washington by taking back control of the House and Senate for the first time since 1954, Congress passed the General Agreement on Tariffs and Trade.

Four years later, House Republicans inflamed partisan tensions by voting to impeach President Bill Clinton.

In 2002, following a brutal midterm election when many Democrats were skewered for being "weak on defense" after 9/11, Congress created the Department of Homeland Security.

We certainly shouldn't expect any big breakthroughs in the coming weeks. But as long as members of Congress are back they should try to make some incremental progress, given that the midterms were as much an act of protest against Washington as an act of protest against President Obama.

Most important, the departing Congress should try to resolve the routine business that has been ignored. At the top of the list would be passing omnibus spending legislation, rather than continuing resolutions, so that the government does not face a risk of being shut down. It should confirm some executive and judicial branch appointments. Congress must also make sure that important tax cuts, such as credits for energy efficient homes, don't expire.

The second goal should be to start working on loophole-closing tax reform. Cleaning up the inequitable and inefficient components of the tax code is something that both parties have been talking about for a long time.

While it is unlikely Congress would finish this work during the lame duck period, starting the process would be a great advance. Tax reform is a way to make the tax burden more equitable and to raise more revenue for the government, by closing loopholes without having to raise rates. There is also considerable support in both parties for overhauling the corporate tax code.

The third important decision would be to boost funding for the fight against Ebola. The president proposed that Congress authorize $6.2 billion for the effort in Africa as well as the United States. Given all the attention to this issue before the midterm election this would be a natural topic to address.

Republican Sen. Bob Corker of Tennessee said that even small measures would help "build trust" for the coming year. "You need to have some small victoriesâ€”or victoriesâ€”to build trust" But small victories are difficult within the polarized world of Capitol Hill.

We shouldn't expect much from Congress. Issues like immigration or climate change will have to be left to the realm of executive power. But sometimes small steps can be the best path toward progress. Let's see what this Congress can do.

@highlight

Congress is meeting in lame duck session with some big items to tackle

@highlight

Julian Zelizer says past lame duck sessions have proved productive, but this time is different

@highlight

He says parties are dug in on major issues and may be reluctant to compromise now

@highlight

Zelizer: Congress could get a head start on tax reform that would close loopholes