Washington (CNN) -- A single word, "Jewish," shows the delicacy of trying to forge a peace deal between Israel and the Palestinians.

Two weeks ago, President Barack Obama welcomed Israeli Prime Minister Benjamin Netanyahu for White House talks by calling for two states -- "a Jewish state of Israel and a state of Palestine" -- that would coexist "side by side in peace and security."

On Monday, Obama outlined a similar vision when he met with Palestinian leader Mahmoud Abbas, except for that one word, when he spoke of "a state that allows for the dignity and sovereignty of the Palestinian people and a state that allows for Israelis to feel secure and at peace with their neighbors."

While the President clearly played to his respective audiences, the different language touched one of the stumbling blocks in getting Abbas and Netanyahu to agree to direct "final status" negotiations on an agreement to end the decades-long conflict between their people.

At both meetings, Obama urged the visiting leaders to move past sticking points in the negotiating process, saying Monday that "I believe that now is the time for not just the leaders of both sides but also the people of both sides to embrace this opportunity for peace."

Abbas, the Palestinian Authority President, noted the volatility of the entire Middle East region meant that "we don't have any time to waste" and that "time is not on our side" in reaching an agreement.

A full-fledged deal seems about as far away now as it did eight months ago when Secretary of State John Kerry kick-started the peace process. So far, the process has included a series of meetings along with incremental steps intended to build trust, such as prisoner releases.

However, Kerry's initial goal of an agreement by the end of the April has morphed into a possible framework for further talks through the end of 2014.

Even that modest outcome remains uncertain, given the reluctance of both sides to move from deeply entrenched demands on the logistics of coexistence. With Israel's next release of Palestinian prisoners scheduled for later this month, the possibility of a breakdown looms.

Both sides praise Kerry's seemingly endless energy for the issue, which has included multiple visits to the region to prod the two sides to reach a middle ground. The secretary of state attended Monday's meeting.

"Kerry's relentlessness and skill in engaging the parties have created a process that will at least survive the U.S.-imposed April deadline for a peace deal and live at least until year's end," Aaron David Miller of the Woodrow Wilson International Center for Scholars wrote in an opinion piece for CNN.

While both sides have signaled agreement for the concept of a two-state solution in which Israel and an independent Palestinian nation would live side-by-side, they remain at odds over how to make that happen.

Particular areas of disagreement include borders, security issues, the status of Jerusalem, and the rights of Palestinians who left of fled their homes in what is now Israel.

In another potential sticking point, Israel insists on recognition by the Palestinians of its right to exist as a Jewish state. The issue made Obama's differing language all the more relevant.

@highlight

NEW: Obama uses different language with Abbas than he did with Netanyahu

@highlight

Palestinian leader Abbas met with President Obama at the White House on Monday

@highlight

The decades-old, oft-delayed peace process resumed with talks last July

@highlight

Secretary Kerry seeks a framework for talks to continue through 2014