CNN -- Michael Chea can't forget what they did to him. Though he is standing in the morning sunlight, surrounded by giggling teenagers and chirping birds, his face is twisted by grief.

American John Etherton talks to a Liberian about his country's violent past.

He is reliving the moment when he escaped death in the "land of blood and tears."

"In 1990, I was a very small, and I saw so many things," he said. "The war took us away in the forest, and we started running. They killed my grandmother. They killed my grandfather. They killed my auntie."

Chea could have easily become just another anonymous victim of war in Liberia. At least 200,000 Liberians were killed in a series of conflicts between 1989 and 2003 that transformed the tiny nation on the west coast of Africa into a wasteland.

But Chea found a way to preserve his pain. His story was captured on film by a skinny 27-year-old American college student who is using an interactive video system mounted on a SUV to show others how nations emerging from war can come to terms with their violent past.

'It really feels like the Wild West'

John Etherton, a graduate of Georgia Tech in Atlanta, Georgia, is a "post-war correspondent." He is part of a school program called GTV, or Greater Truth through Voices, that dispatches people through Liberia to record the experiences of war victims like Chea.

The Georgia Tech program isn't just concerned with the past; it's preparing Liberians for the future. The collected stories will be sent to Liberia's Truth and Reconciliation Commission, a group formed to rebuild trust among Liberians by identifying war crimes and encouraging victims to come forward. The commission is holding its final hearing this month and is expected to release its final report soon.

Liberia is trying to move away from its violent past. It elected Ellen Johnson-Sirleaf, Africa's first female head of state, as president in 2006. And the country's former notorious warlord, Charles Taylor, is being tried for war crimes.

But Etherton says the country still feels on edge. Streetlights have bullet holes in them, roads aren't paved or free from bandits, and there's no electricity in many cities.

"It really feels like the Wild West," Etherton said. "It's an eerie, surreal feeling to know that this was a war zone five years ago, and people were dying here."

Now Liberians are trying to learn how to live again. Part of that journey begins with listening to one another's stories. That is part of the rationale behind Liberia's commission: A nation that can confront its violent past will have a better shot at a stable future.

"It's necessary for people to talk and share their stories and engage in debate," Mike Best said. The Georgia Tech professor says GTV uses a cartoon character who looks and speaks like a typical Liberian to show war survivors how they can record their stories on the mobile video system.

"Ultimately, some transformative truths will allow people to see themselves in a new way."

'Land of blood and tears'

Getting at those truths, though, may require Liberians to sift through some gruesome memories.

During its civil wars, various warlords fought for control of the country. The war's savagery turned surreal at times. It spawned thousands of child soldiers clutching AK-47 assault rifles. It featured soldiers charging into battle wearing blond wigs and amulets that they thought would protect them from bullets. And it was propelled by men like Gen. Butt Naked, a warlord who fought in the nude because he thought it would terrorize his enemies.

According to Amnesty International, war crimes became routine. Various armed factions engaged in the arbitrary killings of civilians, systematic rape, forced amputations and the abduction of children.

Marguerite Michaels, a journalist who took a tour of the country near the end of its last civil war, said in a Time magazine essay that the psychological damage to Liberia's war-weary citizens "cannot be fathomed." She spoke of the country's white beaches, marred by corpses sticking out the sand. She called Liberia the "land of blood and tears."

Etherton soon learned that that the war didn't just leave its mark on Liberia's physical landscape. It left its mark on its people. At times, he would share a joke with an easy-going Liberian and learn later that his entire immediate family had been murdered.

"So many people have lost someone," he said. "No one is unscathed."

Yet getting Liberians to share these stories isn't easy, he says. Many wanted to know whether Etherton was going to provide them with a job when he arrived with his camera. They weren't eager to dredge up painful memories.

"They're coming out survival mode," he said. "They haven't had the luxury of sitting back and discussing the war. Their attitude is more like, what do we have to do right now to not die."

The tangled U.S.-Liberian relationship

Violent divisions have been part of Liberia's history.

The country was founded in 1847 by freed slaves traveling from America. During the 19th century, various groups thought the best solution to slavery was returning freed slaves to Africa where they could create colonies.

But when freed slaves arrived in Liberia, many recreated the slave-master relationships they experienced in America, historians say. They created a caste system where they were the masters and systematically discriminated against -- and some say enslaved -- the indigenous people of Liberia.

Tribal divisions persist in Liberia today, Etherton says.

He says he saw evidence of these divisions when President Obama was elected in November. Many Liberians rejoiced but were puzzled when Obama's opponent, Republican Sen. John McCain, appeared on television to graciously concede the election.

"A lot of people thought that was amazing," he said. "They said that would never happen in Africa. No one would ever gracefully bow out."

Perhaps the stories collected by Liberia's Truth and Reconciliation Commission will help teach Liberians how to move forward. It did seem to help Chea, the war survivor, when he shared his story with Etherton.

When he speaks about his war experiences, Chea is at first so angry at losing his family that he can barely put his thoughts into words. The muscular young man waves his hands in frustration as he tries to explain what happened to him.

Chea says he wishes he had a different childhood, where he didn't have hide for survival in the forest while soldiers hunted down his family.

"In the forest, nothing good I learn," he yelled.

Then Chea begins to talk about the needs of his country and its war survivors. His voice calms as Etherton keeps the camera rolling.

Once, Chea may have been a frightened boy who was hunted by strangers. At least on this day, however, a stranger was treating him like a human being.

"Just to express yourself to someone who cares and to know that your voice is important is very empowering," Etherton said later. "If nothing else, just knowing that someone cares is important."

@highlight

Liberia is emerging from 14-year war that turned country into wasteland

@highlight

New effort to collect stories from war survivors is under way

@highlight

Liberia is still reeling from horrors of war

@highlight

American in Liberia: 'It's really feels like the Wild West'