Editor's note: Fawaz A. Gerges holds the Christian A. Johnson Chair in Middle Eastern Studies and International Affairs at Sarah Lawrence College. His most recent book is "The Far Enemy: Why Jihad Went Global." This is the first of two pieces by Gerges on the Iranian election.

Fawaz Gerges says Iran's president is vulnerable on the economy and broken promises of women's rights.

(CNN) -- In Iran, as in every country, all politics is local. While there exist few substantive differences among leading presidential contenders over foreign and nuclear policy, there are divisions over the economy.

With uncertain and declining oil revenues and a global financial crisis, Iran has fallen on hard times.

The nation suffers from high inflation and an unemployment rate that tops 30 percent (according to unofficial figures) -- one of the highest in the region, despite the country's huge oil exports.

Public discontent over the faltering economy has seen President Mahmoud Ahmadinejad become increasingly unpopular. His reformist and conservative opponents alike have criticized him publicly for spending too much time agitating the U.S. and Israel and not enough trying to fix the crumbling economy.

Regardless of which candidate wins on June 12 or in a potential runoff, he will inherit a grave economic crisis and a restive population. Dealing with foreign affairs is likely to be some way down his list of priorities.

At his first press conference after announcing his presidential candidacy, Hossein Mousavi, Ahmadinejad's main opponent, pledged to increase freedoms for Iranians and curb controversial restrictions that require women to cover their hair in public.

"Can a security patrol save our youths?" Mousavi said of the increase in the moral police operations to prevent women from allowing their hair to show in public. "Or can they be saved by the words of a grandfather who talks to his granddaughter?" he asked rhetorically.

The patrols began after Ahmadinejad became president, though his government denies responsibility; many women claim that his administration has institutionalized discrimination against them.

Criticizing the president's rhetoric and the strictures he has imposed on daily life and public discourse, Mousavi, who appeals to the youth vote and women, said social controls are the domain of the people, not the government -- a radical departure from the dominant orthodoxy of the ruling mullahs.

Mousavi frames his reforms as an affirmation of Iran's constitution, which he says has been "violated and undermined" by Ahmadinejad. The reason for his rhetoric is that women and young voters could tip the balance of power in his favor.

Half of the 46 million eligible voters are women. In 1997, more than 60 percent of the votes that brought former President Mohammad Khatami to power were cast by women, and in 2000 women voters were instrumental in giving reformists a sweeping majority in the parliament. Promising greater individual freedoms to Iran's young people was instrumental in the two landslide victories by Khatami in 1997 and 2001.

Ironically, during the 2005 presidential election, candidate Ahmadinejad said he would loosen state control over people's personal affairs. Trying to garner support among women and young voters, in one of his pre-election television interviews he questioned the role of the morality police: "Let our children arrange their hair any way they wish. It does not concern you and me. ... The government should fix the economy of the nation and improve its atmosphere. ... People have variegated tastes."

His broken promises to women voters could cost him the presidency on June 12. A reformist woman and a former member of parliament said in a newspaper article that the president's days are numbered: "The women's movement in Iran is gaining momentum and these elections may be the first step towards Ahmadinejad [being] forced out."

Indeed, women have become critical players in Iran's electoral map. More women activists are making their voices and demands heard and have formed coalitions to defeat the incumbent.

Almost 600 women have registered for the forthcoming 290-seat Majlis (parliamentary) election, which will be crucial in determining the future of the ultra-conservatives who broadly back Ahmadinejad. There are currently only two women in secondary Cabinet positions and 11 in parliament, but these numbers seem certain to rise.

It is no wonder then that leading reformist contenders have appealed to women by pledging to give them a greater say in the political and social order. Mehdi Karroubi, a former parliament speaker, said he has always supported women's rights and that if elected, he would appoint a female minister to his Cabinet: "Having a female minister will make no major changes, but it will be a major step toward removing the obstacles to the active participation of women in Iran's politics."

So although this month's presidential election is unlikely to cause a rupture internationally, either for better or worse, the result could have a critical impact on the domestic arena in Iran, particularly in terms of the empowerment of women. As such, the election will provide a glimpse of how far Iran has evolved and how far it has to travel.

Regardless of who emerges victorious, neither Iran's foreign policy nor its geostrategic posture will dramatically change. Although the president is the human face and representative of the Islamic-based regime in Tehran, he is not the top executive decision-maker or commander-in-chief. He does not make decisions of war and peace. Rather, his authority lies in the domestic arena, particularly in managing the economy and framing the moral debate, and communicating Iran's message(s) to the world. iReport.com: Human chain in support of Mousavi

The most powerful and influential man in today's Iran is the unelected Supreme Leader, Ayatollah Ali Khamenei, assisted by a National Security Council that includes dozens of political leaders.

Together they are responsible for constructing the country's regional and foreign policies, including the nuclear portfolio and relations with Western powers. They set the broad parameters of Iranian foreign policy and strategy, leaving the president with a limited ability to maneuver in determining the country's international relations.

Nevertheless, the president's personality and discourse play an important role in Iran's foreign relations, either heightening tensions with the world or presenting a more accommodating stance -- as clearly shown by the contrasting styles of President Ahmadinejad and his predecessor Mohammad Khatami.

While Ahmadinejad's aggressive rhetoric has caused a further rupture with Western states, Khatami's stress on civilizational dialogue and co-existence was warmly welcomed in European capitals and many U.S. circles.

The opinions expressed in this commentary are solely those of Fawaz Gerges.

@highlight

Fawaz Gerges: Iranian election likely to turn on local issues, not foreign policy

@highlight

Iran's economy in trouble due to lower oil prices, inflation, joblessness, he says

@highlight

Women think Ahmadinejad has broken his promises to them, Gerges says

@highlight

Gerges: Women and young people have been key factors in past votes