(CNN) -- Some travelers never stray from giant hotel chains, preferring familiarity and the reassuring presence of a pants press.

For those willing to throw their loyalty points to the wind and spend a few extra dollars, there's the world of boutique hotels.

The "boutique" concept has become overused in recent years.

Some hoteliers think funky wallpaper, scatter cushions and an in-room iPod dock are enough to justify the label.

Europe's latest crop of high end boutiques are a far cry from this, bridging historical architecture with cutting-edge design to create destinations that are as much an attraction as the surrounding landmarks.

These are hotels that exude so much style, their customers won't care where the pants press is.

Here are some of the best celebrating their first summer:

Chiltern Firehouse (London)

The 26-room Chiltern, which opened in spring, is the first property outside the United States for Andre Balazs, the man behind L.A.'s Chateau Marmont and The Mercer in New York.

Located in a former fire station in London's Marylebone district, the hotel's Firehouse's restaurant attracts celebs like Robert Pattinson and Lindsay Lohan.

It also attracts an occasional crowd of paparazzi photographers outside.

The kitchen is equally star-studded, with Nuno Mendes of Portugal's Michelin-starred Viajante supplying the dishes.

Good for visiting: The clothing boutiques in nearby Marylebone High Street frequented by the same Hollywood stars staying at the hotel.

Chiltern Firehouse, 1 Chiltern St., Marylebone, London; +44 20 7073 7676

Miss Clara Hotel (Stockholm)

With 92 rooms decked out in neutral hues, along with arched windows, marble baths and parquet floors, Miss Clara breathes life into a former girls' school while retaining the building's art nouveau features.

Open since spring, the hotel has a brasserie-style restaurant that combines Nordic cuisine with plates such as pulled Moroccan lamb with harissa yogurt.

Good for visiting: The city's new Abba museum, on the island of Djurgarden.

Miss Clara Hotel, Sveavagen 48, Stockholm; +46 8 440 67 00

Hotel Vernet (Paris)

It's hard to stand out in Paris, but the sleek modern design features of the 50-room Hotel Vernet in the city's 8th arrondissement does its best to make a statement.

There are walls of woven copper thread and abstract-patterned carpets, all under a classic French glass roof.

The hotel features a resident DJ, but the real attraction are bathrooms fitted with Carrrara-marble basins, brass taps and glass mosaics.

Good for visiting: The ritzy shops of the Champs Elysees, just a champagne bottle's throw away.

Hotel Vernet, 25 Rue Vernet, Paris; +33 1 44 31 98 00

Cromlix House Hotel (Dunblane, Scotland)

Scottish tennis player Andy Murray is behind this extensive renovation near his hometown, which opened in April to almost as much applause as his long-overdue 2013 Wimbledon victory.

The 34-acre grounds include tennis courts (of course) and host activities such as archery and a mini Highland games.

There's also a farm-to-table restaurant, conservatory, chapel and loch.

The 15-bedroom Victorian Perthshire mansion is packed with Scottish antiques.

Good for visiting: Leighton Library -- Scotland's oldest private book collection open to the public.

Cromlix House, Kinbuck, Near Dunblane; +44 1786 822 125

OD Port Portals (Mallorca, Spain)

Whitewashed rooms, a 1960s glam ambiance and an inviting pool area welcome guests at OD Port Portals, a 77-room hotel opened in April in Puerto Portals, western Mallorca.

Junior suite guests receive either a Smart Cabriolet car (for use during their stay) or a driver, making it easy to trail the jet-set crowd in this affluent port town.

Food in the restaurant is eclectic and health conscious.

Good for visiting: Costa d'en Blanes beach or the nine-hole Bendinat Royal Golf course.

OD Port Portals, Calle Tomas Blanes Tolosa, 4, Mallorca, Spain; +34 971 675 956

Praia Verde Boutique Hotel (Castro Marim, Portugal)

Opened in April, this low-slung 40-suite hotel surrounded by pine forest on Portugal's eastern Algarve coastline is set up for long stays.

Guests bunk in cozy rooms but each suite has its own kitchenette with fridge and stove, plus a balcony to soak in the view of salt flats and white-sand beaches.

Artisan groceries are available on site from a grocery store linked to the hotel's family-style A Terra restaurant.

Good for visiting: The National Forest and the traditional Portuguese town of Cacela Velha.

Praia Verde Boutique, Castro Marim, Portugal; +351 281 530 600

Hotel Son Ametler (Mallorca, Spain)

Another new venture on the Balearic island of Mallorca, this hotel is located away from the main tourist towns, in the foothills of the Tramuntana mountains.

Surrounded by olive, fig and lemon trees, there's a farmhouse feel to Son Amelter, but accommodations in the eight-room restored manor is far from rustic.

There's an outdoor pool with sweeping views of the countryside, Mallorquin stone in the rooms and Italian stucco walls in the bathrooms.

Dinner is served al fresco three nights each week.

Good for visiting: Posh restaurants and beaches can be reached by car in a matter of minutes.

Hotel Son Ametler, Cami Son Riera Sin Numero, Moscari, Mallorca, Spain; +34 687 934 435

25hours Hotel Bikini (Berlin)

This laid back 149-room concept hotel is the sixth property for 25hours, a luxury chain that's established itself in Germany, Austria and Switzerland.

The Bikini rifs on its artsy, big city surroundings, with cocktails and skyline views on a rooftop terrace.

Catering to younger travelers, it has a DJ, on-site bakery and free bicycle loans -- but the biggest surprise is a hammock in the lobby.

Meals in the glass-walled Neni restaurant are inspired by Austrian and Russian cuisine.

Good for visiting: The Zoological Garden is so close it's possible to hear the lions roar.

Europe's largest department store, Kaufhaus des Westens, and the Theater des Westens opera house are also at hand.

25Hours Hotel Bikini, Budapester St. 40, Berlin; +49 30 1202 210

Lake Geneva Hotel (Versoix, Switzerland)

It may only have three stars, but the Lake Geneva Hotel substitutes internal luxury for external dazzle.

The 103 rooms are stylish enough, with muted hues highlighted by a pop of orange color.

Then there's the views.

Stellar vistas across the lake and Swiss Alps can be enjoyed from window seats in many of the rooms and suites, or from the terrace of the hotel's O'Five Mediterranean restaurant.

Good for visiting: Near the Versoix railway station, the hotel is a handy weekend escape from Zurich and is close to beaches, equestrian centers and the Favarger chocolate factory.

Lake Geneva Hotel, Route de Suisse 77, Versoix, Switzlerand; +41 22 907 81 11

Based in America's heartland, Kristine Hansen covers wine, food and travel for a variety of publications.

@highlight

Europe's newest boutique hotels are located in some of the continent's most popular destinations

@highlight

A former girl's school in Stockholm and a converted fire station in London among best on offer

@highlight

Spanish island of Mallorca is home to a '60s-style hotel and a tiny rural retreat