A high-profile murder case involving one of America's most well-known political families took a dramatic turn Wednesday when a judge ordered a new trial for Michael Skakel, the nephew of Robert and Ethel Kennedy.

Skakel, who has spent more than a decade behind bars, is accused of killing 15-year-old neighbor Martha Moxley with a golf club in 1975. Twenty-seven years after her death, he was convicted and sentenced to 20 years to life in prison.

For years, Skakel fought unsuccessfully for his conviction to be overturned. But a Connecticut judge gave Skakel, 53, a chance for a fresh start Wednesday, ruling that the defense during his 2002 trial had been inadequate.

State's Attorney John Smriga said prosecutors plan to appeal, but are still reviewing the judge's decision.

Robert F. Kennedy Jr., who has long maintained his cousin's innocence, described the judge's order as a "blessed event."

"I think everybody who knows Michael's overjoyed with it," Kennedy told CNN's "AC360."

Martha Moxley's mother said the judge's ruling does nothing to change her mind.

"There's not a way they can erase what was said during the first trial. ... I have not given up and I do believe Michael Skakel killed my daughter," Dorthy Moxley told CNN's "Piers Morgan Live." "If there is a new trial, I will be there."

Judge: Defense 'constitutionally deficient'

In a lengthy opinion Wednesday, Connecticut Appellate Judge Thomas Bishop ruled that defense attorney Michael "Mickey" Sherman's representation of Skakel was "constitutionally deficient."

"The defense of a serious felony prosecution requires attention to detail, an energetic investigation and a coherent plan of defense (capably) executed," Bishop wrote in his decision. "Trial counsel's failures in each of these areas of representation were significant and, ultimately, fatal to a constitutionally adequate defense."

Skakel's new attorneys had argued that Sherman failed to adequately represent him in court.

Sherman said Wednesday that he was happy for his former client.

"I've always believed in Michael's innocence," Sherman told CNN legal analyst Sunny Hostin.

CNN senior legal analyst Jeffrey Toobin called the judge's order a "shocking development," saying the case "was brilliantly litigated by the prosecutors."

Moxley said she disagreed with the judge's assessment.

"Mickey Sherman did a wonderful job at that trial," she said. "I was nervous the entire time."

What's next?

Hours after the judge's order, Skakel remained behind bars at the MacDougall-Walker Correctional Institution in Suffield, Connecticut, according to prison records.

The judge's ruling raises a number of questions: What's next in the high-profile case? Will Skakel be released on bail? And will prosecutors push forward with a new trial, nearly four decades after the alleged slaying?

In his decision, Bishop wrote that Skakel's conviction would be set aside, ruling that a new trial should be the next step in the case.

"A defendant's constitutional right to adequate representation cannot be overshadowed by the inconvenience and financial and emotional cost of a new trial," he said.

But so many years after Moxley's death, that may be easier said than done.

"Now it is going to be very difficult to try him again, so that's why the prosecutors, I think, are going to do everything in their power to get this conviction reinstated without having to go back to court," Toobin said.

Brutal killing in an affluent community

Moxley's body was found after a night of partying with Skakel, his older brother Tommy and other teenagers in an affluent gated community in Greenwich, Connecticut.

Authorities said she was bludgeoned and stabbed to death by a broken golf club found near her body.

For more than two decades, the case languished.

A series of books on the high-profile crime renewed interest, leading to new tips and a new suspect in January 2000: Michael Skakel, who was 15 at the time of the killing.

He turned himself into police after an arrest warrant was issued, all the while proclaiming his innocence.

Kennedy told CNN on Wednesday that five witnesses saw Skakel 11 miles away at the time of Moxley's death.

"He has an airtight alibi," Kennedy said, "but unfortunately, he was very poorly represented."

@highlight

Victim's mother: "I have not given up"

@highlight

A judge orders a new trial, ruling Skakel's defense was "constitutionally deficient"

@highlight

Robert F. Kennedy Jr.: "Everybody who knows Michael's overjoyed"

@highlight

Prosecutors say they will appeal the judge's ruling