New Orleans, Louisiana (CNN) -- A highly anticipated test designed to measure pressure within BP's ruptured Gulf of Mexico oil well finally began Thursday, and for the first time in nearly three months, oil stopped flowing into the Gulf.

The move was lauded by a variety of officials as a positive step, accompanied by a strong note of caution that the cutoff was simply part of the test, as BP and government experts try to assess how the well is holding up.

The test got under way after two days of delays, first as government scientists scrutinized testing procedures and then as BP replaced a leaking piece of equipment known as a choke line.

The data are being particularly closely scrutinized at six-hour intervals. Higher pressure readings mean the well is containing the oil, while lower pressure means some is leaking out.

The "well integrity" test could end after one of the six-hour periods, if the results are disappointing. But it could go on for 48 hours. The longer it goes, the better indications are that the well is holding with a custom-made sealing cap.

BP cautioned that the oil cutoff, while welcomed, isn't lilkely to go beyond the 48 hours. Valves are expected to open after that to resume siphoning oil to two ships on the surface, the Q4000 and Helix Producer, as government and BP officials assess the data and decide what to do next. Two more ships are due to join them in coming weeks, bringing containment capacity to 80,000 barrels of oil a day, more than high-end estimates of how much oil had been leaking.

"It felt very good to see no oil going into the Gulf of Mexico," BP Senior Vice President Kent Wells said in a briefing. He said company officials are "obviously very encouraged" but they are "trying to maintain a strict focus" on remembering the whole purpose of the test, which is to gather data and decide how to proceed.

"I don't want to create a false sense of excitement," he said. "We want to move forward and make the right decisions."

And BP Chief Operating Officer Doug Suttles said on CNN's "Situation Room" that while no leaks were apparent, "It's way to early to celebrate." Retired Adm.Thad Allen, who is overseeing the government's response to the spill, said in a statement it "remains likely" that sending the oil to containment ships will be the avenue officials decide to pursue after the test, until the ultimate solution is readied -- sealing the well by pumping mud and cement through one of two relief wells being drilled. The wells are expected to be completed in August. The second one serves as a backup to the first. In some earlier briefings, Allen had been mentioned the possibility of leaving the cap closed, after the test. Allen said experts also will examine options for shutting off the well again temporarily, if there's a hurricane. Meanwhile, from state and local officials around the Gulf region, there were warnings that the cleanup from the spill could take years.

"Hallelujah. It's a step in the right direction," said Democratic Sen. Bill Nelson of Florida, who's been outspoken about the damaged caused by the spill. But he noted, "My goodness. This have taken us three months. We've been hurt, and hurt badly."

Louisiana Governor Bobby Jindall said in a statement he was "cautiously optimistic" as the test proceeds. But he said, "Work to revitalize our coast won't be done until our waters and our shores are completely clean and our wildlife, our communities and our coastal industries are 100 percent restored."

Florida Governor Charlie Crist sounded a similar note, stating, "While I am pleased that oil no longer is flowing freely into the Gulf of Mexico, there is more work to do to help families, businesses and communities on the Gulf Coast as they recover from this disaster."

BP's stock jumped on word that the oil flow had been cut off, as part of the test. The stock rose $2.74 a share, more than 7 percent, to close at $38.92.

Earlier this month, it traded below $30 a share.

The oil stopped flowing shortly before 2:25 p.m. CT, according to Wells. And a series of cameras some 5,000 feet below the surface clearly showed the halt -- a far different scene from the images day after day of a relentless flow.

The stacking cap, lowered in place earlier this week, has never been deployed at such depths or under such conditions and, therefore, there were no guarantees on how well it would contain the oil, BP said.

In the test, BP closed off -- one by one -- the valves on the cap system through which oil could escape. If at any time the pressure is deemed too low -- meaning that oil is escaping through another source in the breached well -- the testing would stop, according to Allen.

Allen compared low pressure in the well to a leaky garden hose that dribbles out water with your thumb pressed hard on the nozzle, Allen said.

The catastrophe in the Gulf began when the Deepwater Horizon drilling rig exploded April 20, killing 11 workers and triggering the relentless spill.

Allen said the cap was not designed to permanently shut in the well -- it was meant to move to a four-vessel containment system and assure redundancy in the event of a hurricane. But he had said in earlier briefings there could be a huge side benefit if the oil can be contained -- a "twofer," as he called it.

As for the relief wells, BP pumped drilling mud into them to mitigate risks during the pressure testing.

Oil recovery was also stopped Wednesday ahead of the integrity test but resumed while BP was fixing the problem with the leaking choke line. It was stopped again with the testing under way.

@highlight

NEW: Thad Allen says it "remains likely" oil will be sent to surface ships, after test

@highlight

Florida, Louisiana governors caution that much cleanup work remains

@highlight

BP says there is no oil flowing into Gulf for first time in months

@highlight

Cutoff in flow is part of the key "well integrity" pressure test