New York (CNN) -- Technological challenges would pose major obstacles to the installation of platform doors in New York's subway system, transit officials said Monday.

During a transit and bus committee meeting at the Metropolitan Transit Authority headquarters, board members discussed the possibility of installing such barriers to curb the number of subway train fatalities.

The discussion came in the wake of two incidents last year in which people were pushed onto the tracks and fatally struck by trains.

In December, Ki-Suck Han, 58, was pushed onto the tracks in a subway station near Times Square by a 30-year-old homeless man.

A few weeks later, a 31-year-old woman was charged with second-degree murder as a hate crime for pushing 46-year old Sunando Sen onto the tracks at a subway station in Queens.

In 2012, there were 141 subway incidents in which a person came into contact with a train, 55 of which were fatal; that's slightly more than the average of 135 accidents per year, said Cheryl Kennedy, vice president of system safety at the MTA.

Thirty-three of the 141 were alleged or attempted suicides, 54 occurred while the victim was standing on the platform, and three occurred when riders fell between the cars, she said.

The installation of platform doors in New York's subways could potentially end incidents in which customers are pushed or accidentally fall or climb down intentionally to retrieve dropped items. It could also increase security by limiting unauthorized track access, resulting in less vandalism and litter, according to the MTA.

However, such an installation would prove costly and complicated.

"When the system was designed over 110 years ago, it didn't plan for that," said Thomas F. Prendergast, president of MTA New York City Transit. "It's hard to incorporate into the system now."

Investigations into the feasibility of installing subway platform doors included the examination of public transportation systems in London, Paris, Seoul, Tokyo and other international cities.

The preliminary conclusion was that the age and diversity of New York's 468 subway stations would require major changes to their structures and electrical systems.

One problem is that stations have unique characteristics, some with curved tracks and column lines near the platform edge.

"In stations where we have barely managed to create an accessible path for the disabled, construction may prove to be infeasible," said Peter Cafiero, chief of operations planning. "Many stations are listed as landmark or historical, which will require external review and approval of all designs."

Challenges would include the need for platform edge reinforcement to hold up new walls, electrical upgrades in tight spaces, train door and platform alignment and communication issues, and accommodation of train cars of different sizes and with doors in different places.

The cost of installation and maintenance would also be a challenge in a system that operates around the clock, Cafiero said.

"I do not want to give the impression that any death is acceptable," said Prendergast. However, "there are technological issues we need to overcome to come up with a solution."

Gene Russianoff, a staff attorney for the Straphangers Campaign for the New York Public Interest Research Group, said he shared the concerns expressed by MTA representatives, but suggested exploring alternatives like intrusion-detection technology.

Such a system would alert train personnel when someone was on the track or too near the edge of the platform, he said.

"It seems like it would be a lot cheaper," he said.

Though people have been hit by trains for as long as trains have been around, he said, "That doesn't mean you should just shrug and say it's like the weather."

Manhattan Borough President Scott Stringer called last week for the MTA's inspector general to carry out an investigation into subway fatalities and to consider new safety programs.

"The MTA can't just revert to the easy fixes; I am asking that the agency take a more comprehensive approach by keeping all options on the table that make sense for the safety of commuters and the MTA's bottom line."

CNN's Tom Watkins contributed to this report.

@highlight

"It's hard to incorporate into the system now," says MTA's Thomas Prendergast

@highlight

"There are technological issues we need to overcome," says Prendergast

@highlight

The discussion comes in the wake of two deaths where people were pushed onto the tracks