Washington (CNN) -- There are just times, when you are president of the United States, that formally speaking to the American people is part of the job.

Not because it's politically wise, or even politically advisable -- but because you have something important to say. As in, the seven-year-combat-mission-in-Iraq-is-over. Or, more specifically, as President Obama said, "it's time to turn the page."

It wasn't a particularly artful speech, nor was it full of new and interesting ideas. It was what it was: a ceremonial proclamation ending combat in a war Obama inherited (and opposed) and a declaration to fight another war (also, as he says, inherited) on the economy.

No talk of winning or victory, only of transitions (to noncombat mode) and of a new focus for resources: on investments at home, on fighting al Qaeda in Afghanistan. No self-congratulation, only plaudits for the troops.

The declaration ending combat was clear, but what comes next in Iraq was completely ambiguous: Will a government finally form? Are the Iraqi security forces up to the job? And if it all falls apart, what do we do?

In many ways, it was an opportunity for the president to remind us of a promise kept. Fair enough: He said we would leave Iraq as combatants, and we have.

He tipped his hat to President Bush in an effort to try and finally end the longstanding political divisions over Iraq (declaring Bush's "love for his country"), but stopped short of saying the obvious: Bush's surge strategy worked. The world can argue over why it worked, but one thing is clear: Obama opposed the surge. And now he's employing one in Afghanistan.

The pressure to talk about something else other than Iraq was palpable. There's an election in a couple of months, and it looks like the Democrats are about to get thumped. They're sitting ducks, in a way, victims of their own success. They hold almost every swing congressional seat; they have incumbents in about 40 districts that John McCain won.

Unemployment is high; there's been no summer of recovery, as some promised. The Democrats are in charge, and voters are ready to throw the bums out.

So the president had to talk about the economy, I suppose, but it fell flat. That's because there really wasn't anything he could tell us that would make voters feel any better. He went through the drill, but no one was under any illusion that this Oval Office speech would budge the needle for him -- or the Democrats -- at this dicey time.

In a way, it's more interesting to watch Obama now than it was during the campaign. Back then, he was the great communicator, an inspirational figure promising to take government where it had never been, promising to rescue an electorate sick of partisan divisions and gridlock in the mechanisms of government.

It was easy to digest because the public was so eager to move on from what it had. Change seemed the natural order of things.

But now, after two years in which the White House has been locked in combat with a GOP that found its voice in its almost unanimous opposition to everything -- the stimulus, health care, financial reform -- the campaign call for change seems ancient.

The president, for all of his success in checking off his to-do list, is now seen as just more of the same by a growing number of voters: a partisan Democrat addicted to big government and big spending.

It's strange, really, that the man who touched so many during the campaign has failed to connect in the same way during his presidency.

It's not that we don't see Obama; we see him more than just about any other president. So why is it that we still can't figure out who he is? Because a Zelig-like devotion to announcing one more agenda item or one more stimulus project or give one more speech just isn't enough.

Visibility doesn't guarantee connection. Connection guarantees connection.

That's where Bill Clinton comes in. There's no one who was better at empathy. And so, as Obama and the Democrats trudge toward an election bound to make them unhappy, the question is this: If Obama loses seats (or even control of the House), who will he be? Will he be Bill Clinton (a la 1994, after losing the House to Newt Gingrich and the GOP), adjusting to his new circumstance, working to pass welfare reform and a budget agreement? Or will be Jimmy Carter, who went from bad to worse, sulking with not much to show for it?

Granted, if the Republicans win handily, they'll have problems of their own: some of the newest members of Congress will be virtually unmanageable. They'll vote against every spending bill, not to mention funding the war in Afghanistan. They will have no appetite for compromise at all. They will make some GOP leaders miserable.

But Obama will be the one to watch, as always. The thing about Bill Clinton is that he knew where to draw a line between the ground he had to yield and the ground he refused to yield. And then he got something done.

About 90 days after the midterm election, we will really know who Barack Obama is, and what he's willing to do. He'll have plenty of time to shape his legacy, and he won't need an Oval Office address to point it out. We'll already be watching.

The opinions expressed in this commentary are solely those of Gloria Borger.

@highlight

Gloria Borger says President Obama's discussion of economy fell flat

@highlight

She says the change message, which worked well for Obama in campaign, is old by now

@highlight

Obama is visible but isn't connecting with public the way Bill Clinton did, Borger says

@highlight

Key test for Obama will be after midterms as he deals with new Congress, she says