(CNN) -- Our world has rapidly gone from being connected to interconnected to interdependent. When the world is tied together this intimately, everyone's values and behavior matter more than ever, because our actions affect more people than ever and in ways they never have.

Such was the case when one banker exposed his company's culture in the New York Times and as a direct result his bank reportedly lost $2.15 billion overnight in market value and a debate erupted on social media over banking industry practices.

Today, "how" we do what we do -- our behavior individually and organizationally -- not only matters more than ever, it matters in ways it never has before.

The fact that customers can instantly compare price, features, quality and service requires leaders to fundamentally rethink how their organizations operate and how their people conduct business.

Competitive advantage has shifted from what we do to how. Further, we are now asking more of our employees than we ever did in the past. We ask employees to represent their company and nurture its brand, not only when they're on the job, but whenever they publicly express themselves in tweets, blog posts, emails, or any other social interaction.

We're asking for distinctly human qualities and behaviors and how leaders elicit and guide those inspired behaviors must shift accordingly.

Here are steps you can take to become a more inspired leader.

Connect and collaborate, don't command and control

The days of leading companies via a one-way conversation are over. Power has shifted and our leadership must shift with it. The old system of "command and control" to exert power over people is fast being replaced by "connect and collaborate" -- to generate power through people. Leaders and managers cannot just impose their will.

Now you have to have a two-way conversation that connects deeply with your colleagues, customers and other stakeholders. Netflix found this out the hard way last year when they lost 800,000 subscribers after arbitrarily increasing prices and splitting up their distribution channels without explaining their actions.

Inspire, don't only motivate or coerce

There are three ways to get people to do things: coercion, motivation or inspiration. Leaders need to focus more on inspiration and less on coercion and motivation, since external rewards and carrots and sticks have limitations, particularly in hard times when there are fewer carrots to go round.

See also: Want to be a leader? Act like one

Those who have flown on Southwest Airlines can testify how flight attendants are encouraged to flex their creativity and sense of humor when walking passengers through the mundane process of safety procedures. There is no rule book; rather Southwest's culture inspires its employees to innovate in their behavior. Yet Southwest is the exception rather than the rule.

Business today faces an inspiration deficit as demonstrated recently by "The How Report," an independent study that my company LRN conducted with the Boston Research Group and Research Data Technology.

The report found that CEOs are six times more likely than "average workers" to believe they work in a company where people are inspired. Employees said they were primarily coerced (84%) or motivated (12%) by carrots and sticks at work rather than inspired by values and a commitment to a mission and purpose (4%).

Yet the study reveals that companies that do inspire their people through values significantly outperform those who don't. These companies experience higher levels of innovation, employee loyalty, and customer satisfaction, and lower levels of misconduct, employee fear of speaking up, and retaliation.

Behavior as offense, not defense

The most successful sports coaches have shown that behavior is no longer a defensive tactic. Instead, behavior is now an offensive strategy that inspirational leaders need to deploy all over the pitch to create the conditions that result in the game being won, not just being played. There are simply too many shots on goal for them to block in our radically interconnected world. The best defense is to keep the ball.

Behavior has become a powerful source of excellence and competitive advantage. Bosses can no longer get away with telling subordinates, "Just get it done -- I don't care how." Today's successful leaders are those who flip the switch and replace task-based jobs (which are about what people must do) with values-based missions (how we get things done).

Extend trust, don't inspect for it

We live in an era when trust is the currency of the age and the key to a winning business strategy.

But the value of trust lies in finding ways to give it away. A New York City donut maker boosted his productivity and profits through trusting his customers to make their own change, illustrating in practice the inspired behaviors that flow from extending trust.

The extension of trust is the key enabler that inspires others to take the risks that are so essential to spurring innovation. It is in this innovation that real performance and, most importantly, real progress are seen. This is the basic formula for thriving in our hyperconnected, hypertransparent world.

See also: Why we pick bad leaders

Recognize and reward for "how" and not "what"

Leaders and managers should go out of their way to recognize employees for how they do what they do, not for what they do or how much they get done. This could consist of starting their next meeting not by asking "What is on the agenda?" but "How are we going to connect and collaborate to make a difference?"

Or it could be emphasizing a principled decision that a colleague has made for their company in the interests of long-term sustainability at the expense of short-term expediency. Today's most successful leaders realize the need to relinquish traditional modes of control and set an example to their employees for how they lead, speak and manage performance.

Hire for character, not just skill

"Who" is an anagram of "how" and in a world where "how" matters more than ever, it takes "who" to do "how." The Greek philosopher Heraclitus said, "Character is fate" and it is the responsibility of leaders to enlist employees who can contribute their full character and creativity to perform their best work and whose reason and purpose for going to work every day extends beyond their paycheck.

By inspiring their employees to pursue a higher, more meaningful purpose and achieve real sustainable value, leaders can achieve significance, not just long-term success.

Confucius said over 2,000 years ago: "The journey of a thousand miles begins with a single step." The leaders who commit their companies to go on a journey to find new ways to innovate in "how" will be those whose organizations thrive, not just survive, in the 21st century.

The opinions expressed in this commentary are solely those of Dov Seidman.

@highlight

In the interconnected modern world, our behavior matters more than ever, argues Dov Seidman

@highlight

He says leaders must have a two-way conversation with colleagues and customers

@highlight

"Behavior has become a powerful source of excellence and competitive advantage," he says