(CNN) -- The streets of Ferguson finally look like a tranquil Missouri town again. The protests have calmed. Children can safely go back to school. And after Michael Brown was laid to rest, residents are honoring his family's wish for peace.

But now a different kind of strife looms: the legal battle over whether Ferguson police Officer Darren Wilson was justified in shooting and killing the unarmed teenager.

Here's what to expect as the case moves forward:

A grand jury will weigh the case

Twelve members of a local grand jury will decide whether to bring charges against Wilson. The grand jury started hearing testimony last week, but it could take two months before jurors reach a decision.

The grand jury must weigh two questions: whether a crime was committed, and whether there is "probable cause" that the accused person -- in this case, Wilson -- committed the crime.

So who are these jurors? The panel consists of nine white members (six men and three women) and three black members (two women and one man), the St. Louis County Circuit Court administrator said.

But their proceedings will not be open to the public. And that doesn't please Brown's family.

"It's about transparency," family attorney Benjamin Crump said.

"This community has a distrust for the local enforcement officials. So if you have a secret grand jury proceeding, where nobody knows what the prosecutor presents ... and the grand jury comes back and says we find this (shooting) justified, I think that's going to be very problematic for this community to accept."

A high bar for a conviction

"It's very tough to convict an officer -- especially once you put all this information out and the jury pool has been tainted," Matt Fogg, a retired chief deputy U.S. marshal, told CNN's Don Lemon.

Attorney Chris Chestnut put it more bluntly:

"I don't think he can get a conviction," said Chestnut, who represented the family of Jonathan Ferrell. Like Brown, Ferrell was an unarmed black man who was shot and killed by a white police officer.

"The grand jury is relegated -- or limited -- to the evidence put before them, and I'm just not confident that they're going to put all of the evidence before the grand jury."

CNN legal analyst Danny Cevallos said that even if Brown was trying to get away from the officer, the Supreme Court case Tennessee v. Garner allows the use of deadly force when an alleged felon is trying to flee if "the suspect poses a significant threat of death or serious physical injury to the officer or others."

A high bar for the officer, too

But given the number of times Brown was shot -- along with newly released audio that may show a pause in rapid gunfire -- Wilson has a lot of explaining to do.

"Evidence suggests that he wasn't fleeing and was facing the officer," Cevallos said. "If that's true ... the officer has to explain six shots. He has to explain a reason for each of those six shots. He has to have justifiably been in fear of his life or fear of some imminent serious bodily harm."

The officer may also have to explain the audio recording, which was taken by a man near the shooting site and apparently reveals a gap in gunfire, which lasted at least 10 shots.

CNN cannot independently verify the authenticity of the tape.

The civil rights investigation

While a local grand jury considers the case, a federal civil rights investigation is also under way.

Proving a civil rights violation in this case requires proving that Wilson exhibited "racial hostility," CNN senior legal analyst Jeffrey Toobin said.

Wilson is white, and Brown was African-American.

Opinion: Can peace come to Ferguson?

Challenges to returning to the police force

Wilson is on paid administrative leave and would have to undergo two psychological evaluations before returning to duty, St. Louis County Police Chief Jon Belmar said.

But it's possible that Wilson will not come back.

"There are many officers that have separated from service after an incident like this," former Boston Police Commissioner Ed Davis told CNN's Lemon. "They can no longer work in the environment where these incidents occurred."

Protests will continue

While many residents hope to avoid the tear gas and Molotov cocktails that flew through the night sky last week, more protests are expected Tuesday.

Demonstrators will gather at 6 p.m. for a march on Florissant Avenue, said Capt. Ron Johnson of the Missouri State Highway Patrol.

And Black Lawyers For Justice will file a class-action lawsuit Tuesday on behalf of injured and arrested protesters, the organization said. The suit will target St. Louis County, Ferguson police and the mayor of Ferguson.

Complete coverage of Ferguson shooting and protests

CNN's Eliott C. McLaughlin and Rick Martin contributed to this report.

@highlight

A grand jury is considering whether to bring charges against Officer Darren Wilson

@highlight

"It's very tough to convict an officer," a retired chief deputy U.S. marshal says

@highlight

The officer will have to "explain a reason for each of those six shots," a legal analyst says

@highlight

A federal civil rights investigation is also underway