(CNN) -- A sun-starved Norwegian town has finally seen the light -- by installing giant mirrors on the surrounding mountains to reflect rays onto its market square.

The small town of Rjukan sits deep in the narrow Vestfjord Valley, in the Telemark region south-west of Oslo. The towering peaks that surround it rise to almost 2,000 meters above sea level and block out the sunlight for half the year, meaning Rjukan residents live in a permanent shadow from September to March.

But all that changed this week, with the official launch of a project first mooted a century ago. Three high-tech mirrors, with a combined reflective surface of 50 square meters, have been put into operation on a ridge on Gaustatoppen mountain, brightening up the previously gloomy town center by flooding it with up to 600 square meters of sunlight.

Twenty-first century technology has made the $850,000 project possible, with heliostats -- computer-powered mirrors -- shifting every 10 seconds to track the movements of the sun during the day.

But the idea to lighten up the dark town actually dates back 100 years.

Rjukan was originally founded as a company town for Norsk Hydro, which set up a fertilizer plant here to utilize the hydro power from the nearby 104 meter Rjukanfossen waterfall. The story goes that the aluminum and renewable energy company's founder, Sam Eyde, wanted a way to brighten up the existence of his shadowed laborers -- and also to make them work more effectively during the winter.

The local newspaper published a suggestion by local bookkeeper Oskar Kittelsen to use a mirror to reflect sunlight onto the town, and Eyde picked up on the idea. Technological limitations of the day meant the scheme never came to fruition, however, and instead northern Europe's first cable car (known as Krossobanen) was built in 1928 to give Rjukan residents sunlight exposure at the top of the mountain.

More: Inside the cold heart of an Icelandic volcano

And that was that -- until the sun mirror concept was revived nearly a century later in 2005 by local artist Martin Andersen, who raised the sponsorship funds (mainly from Norsk Hydro) and interest in the project.

Solar Tower Systems, a company that builds mirror systems for solar thermal power plants in hotter climes, was drafted in to install the mirrors on the mountain wall -- not an easy task.

"There's no road leading to the construction site," says CEO Joachim Maass. "You can hike there in an hour or so, but there was no alternative than to carry heavy equipment there by helicopter."

There was no way to get a heavy crane up there, so Maass had to improvise to maneuver the six-meter high mirrors into place.

"We used ancient tools, such as tripods made from wood nine meters long which we could bend together. We lifted this modern equipment with technology that people used 100 years ago, and it worked really well."

As well as improving the vitamin D intake of residents, tourism officials hope that the sun mirrors will boost the city's winter visitor numbers.

More: 10 things to know before visiting Sweden

"It's magnificent now that it's in place," says Tracy Murphy, owner of town center business CafÃ© Nye Tider. "[This week's] mirror reveal was something that has never happened before -- sun in the middle of Rjukan.

"It's amazing and it gives the town a real draw in the winter time. Most of tourism in the winter is focused on snow sports in the mountains and ice climbing in the local areas around us. The fact that people will come to town just to see if the sun is shining is fantastic."

Rjukan's mayor, Steinar Bergsland, agrees.

"The sun mirror means a lot to Rjukan, both for tourism and for industry, which is our origin," he says. "It's a perfect combination of technology and art -- and of course it is a great welfare activity for the citizens of Rjukan."

Not that Rjukan is without its attractions already. As well as the cable car (Krossobanen; +47 35 09 00 27) and the winter sports on Gaustatoppen Mountain, the town is near the vast mountain plateau of Hardangervidda National Park, good for hiking, cross-country skiing and reindeer spotting, among other activities.

The area is also the location of the World War II sabotages made famous by the 1965 movie "The Heroes of Telemark." Rjukan's industrial heritage is celebrated in the Norwegian Industrial Workers Museum, and could even see it earn UNESCO World Heritage status by 2015 (it's currently on the 'nominated' list).

Thanks to a 100-year old idea, visitors can also come for a spot of sunshine, too.

Getting there:

Rjukan is a 2.5 hour coach journey from Oslo Airport. Coaches run five times a day.

Fly to Oslo with: Norwegian Air; SAS.

@highlight

Sitting in a sun-deprived valley, Rjukan installed mirrors to reflect sunlight onto the town's square

@highlight

Idea initially born a century ago but was not realized due to the lack of technology at the time

@highlight

Local businesses hope new light will draw tourists to the town in winter