Tripoli, Libya (CNN) -- Opposition fighters continued to push west, entering territory loyal to Libyan leader Moammar Gadhafi, but were quickly beaten back, rebels told CNN, as diplomats arrived Tuesday in London to discuss the crisis.

The setback for the rebels highlights the tenuous nature of their recent gains and suggests they might face more resistance in the days to come.

As they moved into Umm el Ghindel -- near Sirte, Gadhafi's birthplace -- rebels began searching homes and found that Gadhafi's forces had armed residents in the area, they said.  As they were talking to residents, asking them to join the opposition, gunfire broke out. Rebels told CNN they refused to fire back and began a hasty retreat.  A stream of vehicles could be seen fleeing the area.

CNN could not independently confirm details of the report.

Earlier, a wounded rebel with bandages on the left side of his head and face described what happened Monday about 30 kilometers (nearly 20 miles) from Sirte, near the city's main entrance.

He said he and a group of fellow opposition fighters came across a group of Gadhafi forces who raised a white flag -- a suggestion that they would not shoot. But as the opposition approached the group, Gadhafi forces fired on them indiscriminately, killing some of the opposition members and wounding others, the rebel told CNN's Arwa Damon. Vehicles were destroyed as well, he said.

Rebels credited coalition airstrikes with helping them regain ground, noting that they had encountered little resistance as they headed west over the weekend. But they said Monday that they need more airstrikes to advance further.

Coalition officials say they are enforcing a U.N. Security Council resolution approved on March 17 that creates a no-fly zone above Libya and mandates the protection of civilians.

Taking Sirte would be a symbolic victory for the rebels, who regained control of several significant towns over the weekend as coalition airstrikes continued. Rebels said the fight to take over Sirte could be their toughest and bloodiest battle yet.

Opposition forces claimed to have gained control of the town of Ras Lanuf on Sunday. The opposition also appeared to have taken control of the key oil town of Brega. Those victories marked a comeback for the ragtag group of amateur soldiers who are unified by one mission: toppling Gadhafi's nearly 42-year rule.

On Monday, opposition troops and Gadhafi's security forces battled over the town of Nawfaliya. Rebel forces told CNN they had gained control of the city.

CNN could hear explosions and see plumes of smoke in the area of Nawfaliyah and Sirte.

In Misrata, where rebel fighters have said they have been under siege for weeks, CNN's Nic Robertson saw evidence of heavy fighting and damage Monday when the government organized a trip for reporters to the city.

Government forces said they were in control of Misrata, though they did not allow Robertson and others into the city center, which rebels have said they control.

Meanwhile, diplomats from around the world began arriving in London Tuesday for a conference on the crisis in Libya.

More than 40 foreign ministers, representatives from regional groups and top diplomats are expected to attend, including U.N. Secretary-General Ban Ki-moon, British Prime Minister David Cameron, Chairman of the African Union Jean Ping and U.S. Secretary of State Hillary Clinton.

U.S. President Barack Obama delivered a speech about Libya Monday, making his case for military intervention amid tough calls for him to clarify the United States' role in the U.N.-authorized military mission.

He stressed the United States has a strategic interest in stopping the Libyan leader, and said "history is not on Gadhafi's side."

Despite the pressure for more international action, Russian Foreign Minister Sergey Lavrov complained Monday that the coalition's actions seemed to expand beyond the U.N. resolution's scope.

"There are reports -- which go undenied -- that the air forces of the coalition conduct airstrikes on Gadhafi's troops and support the military actions of rebels. There is an obvious controversy there," he told reporters in Moscow. "We believe that the interference into what is, essentially, an internal civil war is not sanctioned by the U.N. Security Council resolution."

Russia abstained from voting on the U.N. Security Council resolution but did not veto it.

Libyan government officials have also argued that coalition forces target only troops loyal to Gadhafi.

"The rebels are making their advance and no one is stopping them. And no one is even talking to them or saying, 'Where are you going?' or 'Why are you taking offensive positions and attacking the Libyan army and Libyan cities?' " Moussa Ibrahim, a Libyan government spokesman, told reporters in Tripoli Sunday.

He accused NATO of "starving the Libyan population to get Libya on its knees to beg for mercy."

"They are trying to weaken our spirits. They are not trying to protect civilians," he said.

NATO, which has 28 member countries, formally approved plans Sunday to take control of enforcing the U.N. Security Council resolution.

The coalition enforcing the resolution has been led by the United States, the United Kingdom and France.

"Our mandate is very clear. We're there to protect civilians against attacks. No more, no less," NATO Secretary-General Anders Fogh Rasmussen told CNN.

Rasmussen said military commanders will make decisions on day-to-day operations within the framework NATO members agreed upon over the weekend. He declined to discuss specific rules of engagement, but stressed that NATO also is enforcing an arms embargo in Libya.

"We are not in Libya to arm people, but to protect people," he said.

On Monday, Libyan state television displayed images of injured people in a hospital and destroyed buildings as it reported that civilians were wounded when bombs struck the central Libyan city of Sabha in the early morning hours. CNN was unable to independently verify that report.

U.S. Navy Vice Adm. Bill Gortney said at the Pentagon Monday that there have been no confirmed civilian casualties in Libya as a result of coalition activity.

Also Monday, video footage emerged online purporting to show forces loyal to Gadhafi abusing prisoners. CNN was not able to confirm the authenticity of the video or determine exactly when and where it was shot.

In the clip, soldiers are seen taunting and slapping prisoners, who are crouched in the back of a truck with their hands bound.

Qatar announced Monday that it would recognize the Transitional National Council, composed of opposition representatives, as the sole legitimate representative of the Libyan people.

CNN's Reza Sayah, Arwa Damon, Nic Robertson, Paula Newton, Maxim Tkachenko and Yousuf Basil contributed to this report

@highlight

NEW: U.S. President Obama makes his case for intervention in Libya

@highlight

NEW: Diplomats prepare to meet in London

@highlight

Rebels enter Gadhafi loyalist territory, then flee gunfire, they say

@highlight

Libyan state television claims civilians are injured from Sabha bombing