The Hippocratic Oath hangs heavy over a makeshift hospital in the besieged city of Al Qusayr, centuries of ethical code now dangerous to honor in a place where a doctor saving the life of a gasping child is labeled a terrorist.

Dr. Kasem is aware that every patient could be his last. He and his hospital have endured rocket attacks. But he will not stop. The medical oath he took demands that he do all that he can to save lives.

Instead, he keeps moving his hospital from building to building so that Syrian government forces will not discover it.

"If I will die when I help people, it is good for me," he says. "Because I am a doctor. I must help people, especially in this very catastrophic time. After the revolution, before the revolution, during the revolution, I will help people."

Kasem works day in, day out. He and his staff rush to patch up bruised, bloodied and broken bodies. He hears motherless children howl and grown men belt out the kind of screams that can haunt for a lifetime.

Kasem works away from the spotlight. He does nothing for glory. He does everything to stop death.

His story has come to attention through Robert King, a journalist with Polaris Images, who wanted to document the critical work of Syria's secret hospitals.

"Since late April, I have been photographing and filming inside the besieged city of Al Qusayr," King says. "One of my main focuses here is to tell the story of the volunteer doctors and nurses who work tirelessly 24 hours a day inside the only working hospital in the area."

King's camera follows Kasem through the chaos. Streams of crimson stain sheets and mattresses. The freshly lie on the ground. Rivers of red cover the patterns on a tiled floor.

Outside, the thundering booms of mortars and constant rattle of gunfire.

Doctors desperately try a defibrillator on a man who is already turning ghostly white.

Occasionally, someone says: Allahu Akbar. God is great.

The field hospital serves a population of about 40,000 people, King says. The daily log books are brimming with names.

It's the only place for people in the area to seek help -- not just for war wounds but for simple everyday medical stuff like back pain and blood pressure. Occasionally the staff sees joy when they help deliver a baby.

It's the only working hospital around since the local state hospital has been taken over by the Syrian army.

The soldiers turned the place of healing into one of killing, Kasem says. They used it as a military base from which to attack the city. Snipers take aim from the hospital's rooftops. They have a perfect view from up high.

Kasem's hospital is well within territory held by the Free Syrian Army, resistance fighters who are mainly Syrian military defectors. Al-Assad considers them terrorists and as such, the field hospital, a terrorist haven.

"Look at this child," Kasem says.

King's camera pans over a boy with bandages over his body and tubes snaking out of his mouth.

"They see he is not a fighter, not an old man, not a young man."

The child is 6. He has severe injuries in his stomach, liver and kidney. Doctors operate on him using a table lamp for light.

"Why are they shooting him? Kasem asks. "This regime is a terrorist regime."

He thinks the child will survive. God will help him.

Several children, blood crusting on their skin, lie sideways on one gurney. A man bends to kiss a little girl on the forehead. Her lower torso is sliced open, exposing her organs.

"Doctor, what has happened here," King asks.

"I don't know," Kasem replies. "The army of Assad. You see this child? They are a terrorist?

King's camera captures a slice of Syria's horror. Efforts to gain peace dimmed this week with opposition reports of another massacre and intensified government bombardment of several cities and towns. Despite the chilling images sent in by journalists and opposition activists, King says Syrians like Dr. Kasem believe the world has turned away.

"The world is a very complacent place right now," King says. "The lack of curiosity, concern, for their fellow humans is appalling.

There's only one trained surgeon in the entire field hospital. He relies on his colleagues to learn fast on the job.

Smugglers risk their lives to bring in medical supplies and surgical equipment, King says. But that might get harder -- Al Qusayr has been under seven long months of siege and one of the main supply routes from neighboring Lebanon is cut off.

Despite the dwindling odds, King is convinced Dr. Kasem and his staff say they will go on performing medical miracles.

King says Al-Assad failed to honor the Hippocratic Oath he likely took when he became a physician -- he is trained as an opthamologist. But Dr. Kasem is determined to stick to one of history's oldest binding documents.

@highlight

Journalist Robert King captures the chaos within a secret hospital in besieged Al Qusayr

@highlight

A doctor says he will honor the oath he took as a doctor to save lives -- despite the risks

@highlight

The hospital is relocated from time to time to avoid detection

@highlight

Doctors treat hundreds of patients, many of them children