LONDON, England (CNN)  -- Nearly 150,000 homes were without drinking water Monday after the worst floodwaters in 60 years swamped large areas of western England.

Flooding has caused widespread disruption across the country with further regions braced for more floods.

British military and rescue workers battled to save a major electricity substation on the outskirts of Gloucester, England, that serves about 500,000 homes.

About 1,000 Royal Navy personnel were building an emergency barrier to keep the Walham substation from flooding.

Their efforts have been successful so far, the Gloucestershire Constabulary Emergency Services said Monday evening.

Some 50,000 homes were already without electricity before the substation was threatened.

Two major rivers -- the Thames and the Severn -- are well above their normal levels and may burst their banks, according to authorities.  Watch as Britons brace for more flooding »

Britain's Environment Agency warned water levels could rise further to a "critical level" and issued nine severe flood warnings across the country.

The worst affected areas are the counties of Gloucestershire, Herefordshire, Worcestershire and Oxfordshire, which had more than 5 inches (12.5 cm) of rain in barely 24 hours.

More rain is forecast, and the risk of flooding is increasing as floodwaters work their way into the river system.

In the historic city of Gloucester, the River Severn is expected to burst its banks later Monday. The river is already nearly 15 feet (5 meters) above its normal level for this time of year and close to breaching its banks.  See residents walk through flooded streets and homes »

Electricity and water supplies in and around the city are already cut to many residents, after a water treatment plant and electricity sub-station were flooded. The city of Tewkesbury is also flooded -- video from the area showed dozens of cars and homes under several feet of water.

Officials said it would be at least 48 hours before they could gain access to the Mythe Water Pumping Station in Tewkesbury to return water supply to 70,000 customers in Tewkesbury, Gloucester and Cheltenham.

"There is no doubt this unprecedented situation has been testing for each and every one of the emergency services and our partner agencies," said Gloucestershire Chief Constable Timothy Brain.

"I must pay tribute to the marathon effort being made to prevent the situation from worsening and to support those affected by the flooding, loss of power, loss of water and other consequences of this extreme situation," he said.

Hundreds of people in the worst affected areas have been plucked to safety by helicopters of the Royal Air Force and boats. Further north in Evesham, the River Severn is more than twice its normal width.

So far this month England has had nearly two-and-a-half-times its normal rainfall.

Prime Minister Gordon Brown visited Gloucester -- and promised to mobilize resources from across the country. He also announced increased funding for flood and coastal defenses across the country.

"Like every advanced industrialized country, we are coming to terms with the issues surrounding climate change," he said.

The prime minister described the flooding as unprecedented, and brushed aside criticism of his government for the quality of flood defenses and a slow response to the crisis.

"I think the emergency services have done a great job," he said. "I am satisfied people are doing everything they can."

The wet weather for much of June and July across England and Wales has also affected crops. Farmers are predicting low yields and higher prices -- with several crops due to be harvested in the next month. Insurance companies are expecting claims worth hundreds of millions of dollars because of flood damage.

More than 2,000 people spent Sunday night in emergency accommodation and the Royal Air Force and coastguard helicopters airlifted hundreds to safety in one of Britain's largest peacetime rescue operations.

"I'm afraid to say that I don't think we have seen the peak yet," John Harman, of the Environment Agency, told BBC radio.

"All this water that we have seen ... is now into the river system. Even though the rain has eased off a bit ... it's the water in the rivers now that constitutes a threat." E-mail to a friend

@highlight

Flood waters in parts of England at 60-year highs

@highlight

UK Prime Minister Gordon Brown pledges more funds to tackle floods

@highlight

Tens of thousands of people without water and electricity

@highlight

Environment Agency issues nine severe flood warnings