(CNN) -- Touch technology has come a long way in the last decade. Just six years ago, most phones used traditional keypads; today, almost all smartphones have a touchscreen, and the technology has spread to tablets, handheld consoles and laptops as well.

One thing still lacking in touchscreens, though, is any kind of sensory feedback; you cannot feel the keypad on your iPhone, nor the action buttons when you play a game on your Android tablet. You can't feel the icons on your home screen, or the texture of your photos.

Over the next decade all this looks set to change with the emergence of new tactile or "haptic" devices. One new technology announced this month by the research wing of the Walt Disney Company allows users to feel textures on a touchscreen, pointing to a future where you will be able to use your phone not only to see and hear, but also to feel.

Ivan Poupyrev, the Principle Research Scientist at Disney's Interaction Group, told CNN that in his view the future will see "touch screens on mobile devices, tablets, laptops, tables and walls. Everything will be touch-sensitive in the future and we need tactile feedback to make it more useful and usable."

As well as making screens you can feel, Disney Research is also developing tactile equipment that doesn't require any actual contact at all -- like an Xbox Kinect, but where you feel as though you can touch objects in front of you in thin air. The device is called the "Aireal" and in its developers' words it provides "interactive tactile experiences in free air." The Aireal works by blowing small rings of air at a user to simulate touch, movement or collisions with objects.

Students at the University of Bristol in England are working on a similar project called UltraHaptics, which gives the same sense of mid-air feeling through ultrasound vibrations rather than pulses of air.

According to its inventors, UltraHaptics deploys "ultrasonic transducers" to produce a variety of different sensations on the skin -- basically using sound waves to simulate touch.

Poupyrev says UltraHaptics is an interesting idea that, in his view, points to the future of touch devices: "I love this work -- (it is) very well done. In general creating tactile feedback in free air is a very important research direction."

Other products under development use tactile feedback in completely different ways. A new sound device called the Woojer aims to immerse users in sound by using low frequency vibrations to create the physical sensation of bass -- rather like being in a loud cinema or standing in front of a speaker at a rock concert.

The Tactus takes a different approach to bringing feeling to a touchscreen by creating real, physical buttons that emerge from the screen to emulate a physical keyboard.

Another new invention, the Tacit, aims to provide physical feedback to help visually impaired people navigate by "feeling" the objects around them. The device attaches to the wrist and uses ultrasound to scan the immediate area, delivering soft pressure to the user's wrist as they get close to objects.

If these inventions go into production, then Poupyrev's projected future of tactile devices begins to look so close ... you could almost touch it.

Jenny Soffel contributed to this article

@highlight

Researchers are working on allowing you to 'feel' objects in mid-air

@highlight

Disney Research uses bursts of air, Bristol students experimenting with ultrasound

@highlight

New touchscreens also offer tactile feedback

@highlight

Inventions point to a future where you can feel technology in new ways