They were words heard around the world as investigators searched for the missing Malaysia Airlines plane.

Weeks ago, Malaysian authorities said the last message from the airplane cockpit was, "All right, good night."

The sign-off to air traffic controllers, which investigators said was spoken by the plane's copilot, was among the few concrete details officials released in a mystery that's baffled investigators and drawn global attention since the Boeing 777 disappeared with 239 people aboard mid-flight on March 8.

There's only one problem. It turns out, it wasn't true.

On Monday, Malaysia's Transport Ministry said the final voice transmission from the cockpit of Flight 370 was actually "Good night Malaysian three seven zero."

Malaysian authorities gave no explanation for the discrepancy between the two quotes. And authorities are still trying to determine whether it was the plane's pilot or copilot who said them.

The new language is routine and is not a sign that anything untoward occurred aboard the flight, said CNN aviation analyst Mary Schiavo.

But the change in wording weeks into the search for the missing plane raises questions about how Malaysian officials have handled the investigation.

"It speaks to credibility issues, unfortunately," Schiavo said.

"We haven't had a straight, clear word that we can have a lot of fidelity in," said Michael Goldfarb, former chief of staff at the U.S. Federal Aviation Administration. "We have the tragedy of the crash, we have the tragedy of an investigation gone awry and then we have questions about where we go from here."

No matter what the pilots' last words were, it's hard to understand what they mean without more details from authorities about what they said and how they said it, CNN aviation analyst Miles O'Brien told "The Lead with Jake Tapper" on Monday.

"Without the preceding information ... either the transcript or the recordings themselves, it's difficult to know what any of that really means," he said. "And that's the problem with this investigation, which has been so opaque."

Malaysian authorities have defended their handling of the situation.

Acting Transportation Minister Hishammuddin Hussein said Monday that authorities were not hiding anything by declining to release some details of the missing flight. Some details are part of ongoing investigations into what happened to the plane, he said.

"We are not hiding anything," he said. "We are just following the procedure that is being set."

Source: Plane's turn considered 'criminal act'

A Malaysian government source told CNN Monday that the airliner's turn off course is being considered a "criminal act," either by one of the pilots or someone else onboard the missing airliner.

And in a background briefing given to CNN, Malaysian investigators said they believed the plane was "flown by someone with good flying knowledge of the aircraft."

Several friends of Capt. Zaharie Ahmad Shah said they refuse to believe he could have been the "criminal" controlling the plane.

Rallying to his defense, they showed CNN's Nic Robertson pictures of him at flight school.

"I think finally it will come to a stage where people think of him as a hero when things come out," friend Jason Lee said. "I think he is a hero."

A senior Malaysian government official last week told CNN law enforcement analyst Tom Fuentes that authorities have found nothing in days of investigating the two pilots that leads them to any motive, be it political, suicidal or extremist.

And an ongoing FBI review of the two pilots' hard drives, including one in a flight simulator Zaharie had built at his home, has not turned up a "smoking gun," a U.S. official with knowledge of the investigation told CNN last week.

In a Facebook post, the captain's daughter lashed out at a British tabloid that claimed to quote her criticizing her father.

"You should consider making movies since you are so good at making up stories and scripts out of thin air,"  Aishah Zaharie wrote. "May God have mercy on your souls."

Several leads dry up as search ramps up

Potential leads on the missing Malaysia Airlines Flight 370 keep coming. So do the setbacks and frustrations.

Ten military planes, a civilian jet and nine ships are part of Tuesday's Indian Ocean search, which spans a swath west of Perth that's 120,000 square kilometers (46,300 square miles), the Australian Maritime Safety Authority said.

Monday's search ended without finding anything significant, Australian officials said. Four orange objects spotted by search aircraft and earlier described as promising turned out be nothing more than old fishing gear, they said.

Finding possible leads that turn out to be trash, fishing gear or jellyfish isn't easy for search teams, U.S. Navy Cmdr. William Marks told CNN's "AC360."

"You have that excitement, and then when it is garbage or seaweed or something like that, it's hard, it's hard to realize you didn't find anything," he said. "But you just keep at it and you keep at it. And this is what we do. This is what we train for."

U.S. Navy officials loaded underwater locating gear aboard an Australian naval ship and set out to sea Monday evening, but won't be able to use the equipment until investigators narrow the search zone.

The gear includes a pinger locator that's towed behind a ship and scans for the sound of the locator beacon attached to the plane's flight data recorder. Also onboard is an underwater drone that can scan the ocean floor for debris.

It will take the ship, the Ocean Shield, three days just to get to the search zone, leaving precious little time to locate the plane's flight data recorders before the batteries on its locator beacon run out. The batteries are designed to last 30 days; the plane has been missing for 24 days.

Under favorable sea conditions, the pingers can be heard 2 nautical miles away. But high seas, background noise, wreckage or silt can all make pingers harder to detect.

In this case, searchers barely know where to look at all.

"We are searching a vast area of ocean, and we are working on quite limited information," Australian Prime Minister Tony Abbott told reporters Monday. "Nevertheless, the best brains in the world are applying themselves to this task. ... If this mystery is solvable, we will solve it."

Late last week, the search area shifted more than 600 miles after what authorities described as "a new credible lead." But a Wall Street Journal report Monday night, citing anonymous people familiar with the matter, said before that crews had searched for three days in the wrong location due to "lapses in coordination among countries and companies" trying to find the missing jet.

What happened? Andy Pasztor, one of the reporters who wrote the story, said it boiled down to poor coordination between two parts of the investigation: one dealing with satellite data, and the other one dealing with fuel consumption and aircraft performance.

"And so what we're left with is sort of a three-day gap where it's clear that folks were definitely looking in the wrong place," he said.

Despite false leads and other setbacks that have plagued the search, officials have vowed to keep looking.

"The effort is ramping up, not winding down," Abbott told CNN on Monday.

Malaysia will ask the United States about the possibility of deploying more military assets, Hishammuddin said Monday.

U.S. Secretary of Defense Chuck Hagel said Monday that he will consider any additional requests from Hishammuddin.

"I don't know what additional requests he will make of me," he said. "I certainly will listen carefully to whatever those are. ... We're providing everything that we can provide, as are other countries."

Get up to speed

Relatives' demands

Family members of people onboard Flight 370 have accused Malaysian officials of giving them confusing, conflicting information since the plane vanished more than three weeks ago.

On Monday, dozens of Chinese family members visited a Kuala Lumpur temple. They chanted, lit candles and meditated.

"Chinese are kindhearted people," said Jiang Hui, the families' designated representative. "But we can clearly distinguish between the good and evil. We will never forgive for covering the truth from us and the criminal who delayed the rescue mission."

Jiang asked Malaysia to apologize for announcing March 24 that the plane had crashed, despite the lack of any "direct evidence."

At the daily press briefing, Hishammuddin responded, saying Malaysian Prime Minister Najib Razak had not used the word "crash" or mentioned a lack of survivors in his announcement that the plane's flight had "ended" in the southern Indian Ocean.

He described a meeting Saturday between Malaysian authorities and Flight 370 relatives as "the most difficult meeting I've ever attended."

"The families are heartbroken. For many, the strain of the past few weeks has been unbearable," he said.

He said Malaysia will hold a high-level briefing for families where experts will explain some of the data and methodology used to guide the search.

He also said authorities have discussed with the families what happens if they are unable to find debris from the missing plane. But he declined to discuss it with reporters Monday, saying "to be fair to the families, that is something I would not want to share with the public at the moment."

Beijing has also publicly slammed Malaysia's efforts to find the Boeing 777. Of the 239 people aboard the jetliner, 154 were Chinese. But Malaysia says it's done its best with what it has.

"History will judge us as a country that has been very responsible,"  Hishammuddin said.

Flight attendant's husband has no answers for children

@highlight

WSJ: Poor coordination made crews search in wrong place

@highlight

Tuesday's search for Flight 370 includes 11 planes, 9 ships

@highlight

Source: Plane's turn off course is being considered a "criminal act"

@highlight

Malaysian officials: Final transmission was "Good night Malaysian three seven zero"