As Ukraine's new leaders accused Russia of declaring war, Russia's Prime Minister warned Sunday that blood could be spilled amid growing instability in the neighboring nation.

Kiev mobilized troops and called up military reservists in a rapidly escalating crisis that has raised fears of a conflict. And world leaders pushed for a diplomatic solution.

In a post on his official Facebook page, Russian Prime Minister Dmitry Medvedev called the recent ouster of Ukrainian President Viktor Yanukovych a "seizure of power."

"Such a state of order will be extremely unstable," Medvedev said. "It will end with the new revolution. With new blood."

Officials said signs of Russian military intervention in Ukraine's Crimean peninsula were clear.

Russian generals led their troops to three bases in the region Sunday, demanding Ukrainian forces surrender and hand over their weapons, Vladislav Seleznyov, spokesman for the Crimean Media Center of the Ukrainian Defense Ministry, told CNN.

By late Sunday, Russian forces had "complete operational control of the Crimean Peninsula," a senior U.S. administration official said. The United States estimates there are 6,000 Russian ground and naval forces in the region, the official said.

"There is no question that they are in an occupation position -- flying in reinforcements and settling in," another senior administration official said.

Speaking by phone, Seleznyov said Russian troops had blocked access to bases but added, "There is no open confrontation between Russian and Ukrainian military forces in Crimea" and said Ukrainian troops continue to protect and serve Ukraine.

"This is a red alert. This is not a threat. This is actually a declaration of war to my country," Ukrainian interim Prime Minister Arseniy Yatsenyuk said.

Speaking in a televised address from the parliament building in the capital, Kiev, he called on Russian President Vladimir Putin to "pull back his military and stick to the international obligations."

"We are on the brink of the disaster."

A strange scene, somewhat polite standoff in Crimea

Kerry heading to Kiev

A sense of escalating crisis in Crimea -- an autonomous region of eastern Ukraine with strong loyalty to neighboring Russia -- swirled, with U.S. Secretary of State John Kerry condemning what he called Russia's "incredible act of aggression."

Speaking on the CBS program "Face The Nation," Kerry -- who is set to arrive in Kiev on Tuesday -- said several foreign powers are looking at economic consequences if Russia does not withdraw its forces.

"All of them, every single one of them are prepared to go to the hilt in order to isolate Russia with respect to this invasion," he said. "They're prepared to put sanctions in place, they're prepared to isolate Russia economically."

Kerry rebukes Russia's 'incredible act of aggression'

But Ukraine's ambassador to the United Nations said his country needs more than diplomatic assistance.

"We are to demonstrate that we have our own capacity to protect ourselves ... and we are preparing to defend ourselves," Yuriy Sergeyev said on CNN's "State of the Union." "And nationally, if aggravation is going in that way, when the Russian troops ... are enlarging their quantity with every coming hour ... we will ask for military support and other kinds of support."

Pushing diplomatic possibilities

In Brussels, Belgium, NATO ambassadors held an emergency meeting on Ukraine.

"What Russia is doing now in Ukraine violates the principles of the U.N. charter," NATO Secretary General Anders Fogh Rasmussen told reporters. He later added that Russia's actions constituted a violation of international law.

He called upon Russia to honor its international commitments, to send it military forces back to Russian bases, and to refrain from any further interference in Ukraine.

Rasmussen also urged both sides to reach a peaceful resolution through diplomatic talks and suggested that international observers from the United Nations should be sent to Ukraine.

German Chancellor Angela Merkel's office said Putin had accepted a proposal to establish a "fact-finding mission" to Ukraine, possibly under the leadership of the Organization for Security and Co-operation in Europe, and to start a political dialogue.

U.N. Secretary-General Ban Ki-moon dispatched a special envoy to Ukraine Sunday evening, a spokesman for his office said.

Lean to the West, or to Russia?

Ukraine, a nation of 45 million people sandwiched between Europe and Russia's southwestern border, has been plunged into chaos since the ouster of President Viktor Yanukovych on February 22 following bloody street protests that left dozens dead and hundreds wounded.

Anti-government protests started in late November when Yanukovych spurned a deal with the EU, favoring closer ties with Moscow instead.

Ukraine has faced a deepening split, with those in the west generally supporting the interim government and its European Union tilt, while many in the east prefer a Ukraine where Russia casts a long shadow.

Nowhere is that feeling more intense than in Crimea, the last big bastion of opposition to the new political leadership. Ukraine suspects Russia of fomenting tension in the autonomous region that might escalate into a bid for separation by its Russian majority.

Ukrainian leaders and commentators have compared events in Crimea to what happened in Georgia in 2008. Then, cross-border tensions with Russia exploded into a five-day conflict that saw Russian tanks and troops pour into the breakaway territories of South Ossetia and Abkhazia, as well as Georgian cities. Russia and Georgia each blamed the other for starting the conflict.

By Sunday night, electricity had been cut off at the headquarters of the Ukrainian Navy in Crimea, and officials feared there could soon be an attack, Seleznyov said.

CNN has not independently verified that claim, and Russian officials could not be immediately reached to respond.

Military maneuvering

Word of the power outage came hours after the newly named head of Ukraine's navy disavowed Ukraine's new leaders and declared his loyalty to the pro-Russian, autonomous Crimea government.

Rear Adm. Denis Berezovsky, who was appointed Saturday by interim Ukrainian President Oleksandr Turchynov, said from Sevastopol on the Black Sea that he will not submit to any orders from Kiev.

He was quickly suspended and replaced by another rear admiral, the Defense Ministry in Kiev said in a written statement.

These scenes come one day after Putin obtained permission from his parliament to use military force to protect Russian citizens in Ukraine, spurning Western pleas not to intervene.

Putin cited in his request a threat posed to Russian citizens and military personnel based in southern Crimea.

Ukrainian officials have vehemently denied Putin's claim.

Western governments worried

The crisis set off alarm bells in the West and fueled a stern rebuke from the leaders of the G7 nations of Canada, France, Germany, Italy, Japan, the United Kingdom and the United States.

In a statement Sunday, they condemned Russia's "clear violation of the sovereignty and territorial integrity of Ukraine," saying they were temporarily suspending activities related to preparation for June's G8 Summit in Sochi, Russia.

Canada recalled its ambassador to Moscow.

Senior Obama administration officials Sunday portrayed Russia's intervention in Ukraine as weak, describing it in a conference call with reporters as a kind of desperate measure from a man who realizes he has lost support of the international community.

When asked what concrete measures the administration has taken to signal its strong opposition to Russian involvement in Ukraine, the officials noted that planning meetings about the upcoming G8 summit in Sochi had been canceled. In the long term, economic sanctions could be employed, they said. The officials declined to be more specific about what those sanctions might involve.

In discussions over the weekend with Putin, Obama "made clear that Russia's continued violation of Ukraine's sovereignty and territorial integrity would negatively impact Russia's standing in the international community," according to a statement released by the White House.

During that call, one administration official said, Putin did not "slam the door" to the idea that international monitors could travel to Ukraine to make sure violence doesn't flare up, one official said.

According to the Kremlin, Putin told Obama that Russia reserves the right to defend its interests in the Crimea region and the Russian-speaking people who live there.

Obama met Sunday with his national security team and called U.S. allies afterward, White House spokesman Josh Earnest said.

British Prime Minister David Cameron said he and Obama were of the same mind when they spoke on Sunday.

"We agreed Russia's actions are unacceptable and there must be significant costs if they don't change course," Cameron posted on his verified Twitter account.

Cameron also planned to talk with Lithuanian President Dalia Grybauskaite and Polish Prime Minister Donald Tusk.

Britain's Foreign Minister William Hague arrived Sunday in Kiev, where he will meet with Ukraine leaders.

@highlight

Russian forces have "complete operational control" of Crimea, a U.S. official says

@highlight

U.S. Secretary of State John Kerry will travel to Kiev Tuesday

@highlight

Ukrainian PM says Russian actions are "a declaration of war"

@highlight

G7 leaders condemn Russia's "clear violation" of Ukraine's sovereignty