Bangkok, Thailand (CNN) -- The general who seized control of Thailand in a coup last week said Monday that he has received royal endorsement to run the politically unstable country and warned of a potential crackdown on people protesting military rule.

Dressed in a white uniform and flanked by more than a dozen other military officials, Gen. Prayuth Chan-ocha addressed reporters in Bangkok, saying he had received a royal command from the country's deeply revered King to head the ruling military council.

Saying there was "no set time period" for when new elections might be held, Prayuth outlined the steps he said his junta plans to take, including setting up a committee to introduce reforms.

But he also issued a warning to the groups of protesters who have gathered in Bangkok in recent days to voice their opposition to the coup and call for democratic elections.

The demonstrators, who numbered in the hundreds on Sunday, have scuffled with soldiers in the streets. So far, the military has allowed the small-but-growing protests to take place, even though martial law forbids gatherings of more than five people.

With more protests expected Monday, Prayuth suggested the military wouldn't tolerate public displays of dissent indefinitely, saying the situation was reaching a "boiling point."

He urged people to stop demonstrating, warning that they risk a stricter enforcement of martial law and prosecution in military courts, and told journalists and social media users not to transmit provocative messages.

Coup criticized

The Thai military carried out the coup Thursday -- tearing up the constitution and imposing a curfew -- after months of unrest that had destabilized the elected government and caused outbursts of deadly violence in Bangkok.

But the sudden intervention by the armed forces -- the latest in a series of coups that have punctuated modern Thai history -- has been criticized by human rights activists and foreign governments, including the United States.

Receiving endorsement from King Bhumibol Adulyadej, Thailand's ailing but widely admired monarch, adds legitimacy to Prayuth's credentials.

But it appears unlikely to change the opinions of many of the protesters who have been taking to the streets to demonstrate against the coup. Other Thais have expressed hope that the military will succeed in bringing an end to the crisis that has plagued the country for months..

Politicians, academics summoned

Since taking power, military authorities have summoned -- and in some cases detained -- scores of leading political officials and other prominent figures, such as academics and business leaders. Travel bans have also been imposed.

Among the most high-profile figures who've turned themselves in is former Prime Minister Yingluck Shinawatra, who was in office when the current phase of political turmoil began in November.

Yingluck, who was removed from office by the courts earlier this month, was released from a military facility over the weekend after she followed a summons to report to military authorities on Friday.

A military source said Yingluck was asked to "help us maintain peace and order and not to get involved with protesters or any political movement" and now has freedom of movement and communication.

But a close aide to Yingluck disagreed with the assertion that she was free to move and communicate. She is yet to make any public statement since the coup.

Thaksin's influence

The recent unrest was driven by months of protests against Yingluck's government.

The protest leaders said they wanted to rid Thailand of the influence of Yingluck and her wealthy brother, the exiled former Prime Minister Thaksin Shinawatra, who was deposed in the country's last military coup in 2006.

The Shinawatras' powerful political movement, which has dominated elections for more than a decade, draws its support from Thailand's populous rural regions in the north and northeast.

But it is unpopular among the Bangkok elites, who accuse it of buying votes through ill-judged, populist policies.

The protesters who campaigned against Yingluck's government claimed Thailand needed reforms to be imposed by an unelected council before any further elections could take place.

With the military's intervention, they appear to have got their wish, although some of the protest leaders were taken into custody after the coup.

Suthep Thaugsuban, the ring leader of the anti-Yingluck protests, was released on bail of 600,000 baht ($18,000) with instructions he can't leave the country, his organization said Monday on its Facebook page.

It remains unclear how the pro-Thaksin red shirt movement, which held mass rallies in central Bangkok in 2010, will respond to military rule. Some of the top red shirt leaders are also among those who were detained by military authorities.

CNN's Paula Hancocks reported from Bangkok, and Jethro Mullen reported and wrote from Hong Kong. CNN's Kocha Olarn and journalist Kiki Dhitavat contributed to this report.

@highlight

NEW: The leader of rallies against the former government is released on bail

@highlight

Gen. Prayuth Chan-ocha urges people to stop protesting or risk crackdown

@highlight

He says he has the King's approval to head the ruling military council

@highlight

The military took power last week after months of political turmoil