(CNN) -- When the Tunisian revolt erupted last year, Tunisia's president fled power in weeks. When Egyptians took to the streets, longtime leader Hosni Mubarak was swiftly ousted as well.

In Libya, it took about seven months for rebels to topple dictator Moammar Gadhafi. And in Yemen, sustained anti-government protests eventually led to the departure from power of President Ali Abdullah Saleh.

But Bashar al-Assad, the president of embattled Syria, is a survivor.

He's remained ensconced in power despite an 11-month popular uprising, a bloody government crackdown against civilians, and world outrage at the tales and videos filtering out of Syria.

Observers say he's been able to stay in power with a combination of regime ruthlessness, diplomatic subterfuge, and internal sectarian dynamics.

Rafif Jouejati, spokeswoman for the Local Coordination Committees, the Syrian opposition group, said that when al-Assad came to power in 2000, he inherited a Soviet-style intelligence network erected by his father, Hafez Assad, who ruled from the early 1970s till his death in 2000.

That spider web of agencies has served to control popular discontent, she said.

"He has a network within a network within a network of intelligence services."

Al-Assad has continued what she calls "the family tradition." The repression has generated the widespread fear "embedded in day-to-day life" among the populace.

"He didn't come up with this himself. This came from his father," she said.

"In Syria, there are dozens of Mukhabarat-types of agencies that spy on one another," she said, using an Arabic term for intelligence agencies.

"In families, one doesn't know if one's sibling is an informant."

Jouejati said Hafez Assad has able to strike a deal with business elites 30 years ago during popular tumult then.

"That's been an important factor" and "up until recently" Bashar al-Assad has had the support of the business community.

She compares the current president to Germany's Adolf Hitler and Cambodia's Pol Pot. And she likens regimes in Haiti and North Korea, where sons inherited power from their fathers, to al-Assad's Baathist regime.

"He's got a whole group around him, many of whom are from the old guard and they keep the pressure going," with "Soviet-style tactics that other repressive regimes have used."

"They are raising the level the violence," she said.

She said al-Assad staked out his position "at a time when the world is sort of getting smaller and everybody is more aware of human rights and individual rights and governments are pushing people for more transparency."

He missed a "tremendous opportunity" to work for that kind of change in his own country, she said.

Andrew Tabler, a Syria expert at the Washington Institute for Near East Policy, said he thinks al-Assad has been more brutal than Mubarak and Serbian leader Slobodan Milosevic.

"He's been willing to use live fire extensively," he said. "He's just ruthless."

And in a reference to world and regional powers, Tabler said "very simply we have not been ruthless with him."

There has long been sectarian strife in the Middle East, particularly in Syria, where there are Sunni-Shiite as well as Muslim-Christian animosities, among others. Syria's diverse sectarian dynamics buttress al-Assad, Tabler said.

Al-Assad is part of an Alawite minority in Syria, a largely Sunni nation. That minority -- which he calls a heterodox offshoot of Shiite Islam -- prevails in the government and military.

It and other Shiite offshoots, such as Druze and Ismailis, have made up the core of the regime. Christians represent another minority that has not largely been anti-regime and even some Sunnis have made their peace with the government.

During the 11-month crisis, there has been a lot of international engagement with the regime.

But Tabler said al-Assad has done "a very good job of confusing diplomats."

"That's his M.O.," he said. "He consistently lies and confounds people."

But world opinion appears to be shifting, even those previously supportive of the regime.

"You can see statements by the Russians" indicating al-Assad is neither a friend nor an ally.

"Everyone is frustrated with him," Tabler said.

Still, Russia and China vetoed Saturday's U.N. Security Council resolution that would have backed an Arab League plan for Syria's president to step aside.

Salman Shaikh, director of the Brookings Doha Center, said al-Assad has been able to maintain some popular support with his rhetoric and has not been shy about using force over the years, even against people who were encouraged to open up and air their thoughts.

"He's convinced everyone he's been a reformer," he said.

He is widely unpopular now in the Arab world, but many in the region have liked his stance against Israel.

"He's presented himself as one of the sort of key leaders of the axis of resistance," a reference to Iran, Hezbollah, Hamas and Syria.

Al-Assad has modernized the government apparatus -- the omnipresent Baathist rule and its "deep state."

He and the regime have had a "certain strength" from different sectors of society, such as the business community. There are Sunnis who support his regime and al-Assad's wife, Asma, comes from a Sunni background.

"All of these things have helped the regime internally," he said. "It's a mistake to just call it an Alawite regime."

Aram Nerguizian, visiting fellow, Burke chair in strategy, at the Center for Strategic and International Studies, said al-Assad's support is dwindling, but he's been able to buy time for a number of reasons.

First, the uprising didn't break out in the two top wealthy urban centers -- the capital, Damascus, and the city of Aleppo. While the unrest is closing in on those communities now, the opposition has been driven in the rural periphery of the country, far from the seats of political and economic power. There was no Syrian "Tahrir Square," the place in Cairo where protesters gathered and that symbolized and catalyzed the Egyptian uprising.

"Assad has and still continues to benefit from the fact that a mainly rural uprising has to make its way into the urban strongholds of the regime. The uprising has had a hard time taking root in major city centers that fear a deeper destabilization of an already weakened Syrian economy," Nerguizian said.

In addition, al-Assad's supporters are fearful of recrimination in a post-Assad era, and that gives them pause about backing the opposition, which appears to some as splintered and disorganized.

"The local opposition forces remain deeply divided and have yet to show true unity of purpose, command and control, and a socio-economic platform that the average Syrian can look to as a viable and stable alternative to the ruling Assad regime. This has become all the more challenging as the opposition has moved to arm itself in a bid to fight back against security apparatus' brutal crackdown," he said.

"The Syrian National Council in particular has had to work hard against perceptions that many of its members and leadership have been parachuted into their roles as an opposition force."

Communities at the margins of Syrian society, like Christians, Kurds and Ismailis may be unhappy, but prefer to stick with the devil they know -- al-Assad -- than risk the unknown of a post al-Assad era.

"Taken together, we have a broad pattern here. Most if not all of these groups are unhappy with how the Assad regime has managed Syria's nearly year-long unrest," he said.

But "these groups prefer that Assad remain in power rather bet on opposition forces that remain largely leaderless, divided and appear to be increasingly radicalized."

There is also a fear that change will bring instability.

"Many Syrians remain fearful of a Libya-style decay into militia warfare and lawlessness and are wary of the costs of uncertain transitions in Egypt, Yemen and Iraq. Outside of Syria, the opposition faces yet another challenge," he said.

And, he said, the international community and the opposition "seem to have fundamentally misjudged the resilience of the Syrian military. "

Divisions in the Arab League and at the United Nations have also helped al-Assad buy time, Nerguizian said.

"This division at the international level is tantamount to the kind of great power politics, balancing and bandwagoning that were the hallmark of the Cold War. This has and continues to buy valuable time and international legitimacy for the Assad regime," he said.

Still, Jouejati said she thinks time is short al-Assad -- that the man doesn't have the same gravitas and proficiency of his father, who commanded the country till his death.

"Bashar does not have the skills and intelligence," she said. "His father was extremely brutal but intelligent. This guy's an idiot."

@highlight

Syria's Bashar al-Assad's benefited from "Soviet-style tactics," an activist says

@highlight

The president has portrayed himself as a reformer but is ruthless, scholars say

@highlight

Ethnic rivalries figure into support for the regime

@highlight

A divided opposition is helping the president buy time