Doha (CNN) -- After two weeks of climate negotiations in Doha, bleary-eyed ministers, negotiators, and advocates are headed back home to the various regions around the world. Few, if any, are leaving entirely satisfied.

The pace of progress on climate change is still too slow and the political will for greater ambition remains elusive. That said, these talks did achieve the basic goal of extending the Kyoto Protocol and moving countries onto a single negotiating track toward a new climate agreement by 2015. This leaves the door for more progress ahead.

This year's talks took place against the backdrop of two disturbing trends. On the one hand, there are multiple signs that climate change is here and its impacts are already being felt around the world. On the other hand, the world remains tied to the consumption of fossil fuels that drive more and more greenhouse gas emissions into the atmosphere. With each passing day that we don't shift directions, we are increasingly locking ourselves into more unstable climate future.

The real question is: Can the international talks have a real impact on climate change?

But before we get to that question, let's look more closely at the two trends:

First, in recent years, we've seen a surge in climate and extreme weather events, along with analysis and other evidence that the world is on an unsustainable course. The most recent and tragic example was Super Typhoon Bopha that swept across the Philippines this week, killing at least 500 people and leaving tens of thousands displaced. Typhoons aren't unusual in the Philippines, but this one is the most southern on record and it arrived particularly late in the year. The storm, of course, comes on the heels of Hurricane Sandy, which swept through the Caribbean and up the East Coast of the United States, leaving hundreds dead, and thousands without power or property. These are the kind of extreme weather events that are becoming more common in a warming world.

On top of these examples are a series of powerful new reports that reinforce the dangerous direction the world is headed. For instance, the World Bank just released a report, "Turning Down the Heat," which explores a world with four degrees Celsius of global temperature growth. The picture is not pretty. Four degrees would bring more intense wildfires, heat waves, and droughts. Ocean life would die off, while pests and disease would increase, the report says.

Already we are seeing that polar ice is melting faster than expected and sea levels are rising beyond many projections. For instance, NOAA just released a study showing that sea levels could rise as much as 6.6 feet by the end of the century. Furthermore, temperature records continue to fall. The United States is on course to have it hottest year on record, as withering drought spreads across two-thirds of the country.

That brings us to the second major trend, which is the world's ongoing dependence on fossil fuels. WRI recently released an analysis showing that there are nearly 1,200 new proposed coal plants worldwide. While not all of these will be developed, even a fraction of them would drive up global emissions. Oil, likewise, remains a dominant fuel source. And, despite the enormous profits, the International Energy Agency has reported that government subsidies for fossil fuels were six times those for renewable energy in 2011. This dependence on fossil fuels keeps pushing up the global emissions. (2011 also broke the record for greenhouse gas emissions in the atmosphere.)

That's why what happens in the global climate agreements is so crucial. The UN is the only venue that brings all countries together and gives each a chance to have a voice. It provides a common arena that enhances transparency and accountability among countries. But, the UN is only as effective as the political will of its members. Right now, when it comes to climate change, we are simply not seeing nearly enough commitment nor ambition from national leaders.

Greater domestic action can instill confidence and help build momentum. With more national leadership, the UN can move faster and take a bigger bite out of global emissions.

Of course, the international system cannot solve the problem on its own. We need business leaders, government officials, and the public to step up as well. We need more of their voices in the debate. Fortunately, public understanding of climate change is on the rise, as is support for action.

Turning again to the Doha meeting, it's certainly clear that the meeting alone won't do enough to address this issue. But it does put countries on a track and provides them with the opportunity to raise their ambition.

The time we have to cut emissions to avoid the worst consequences of climate change is running short. The stakes are high.

It's time for world leaders, negotiators and the public to increase their intensity, to develop more specific strategies, and deliver more emission reductions. We need to build on Doha and get on a path to a strong, fair and ambitious climate agreement.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Jennifer Morgan.

@highlight

Climate negotiations end in Doha, Qatar without a major agreement

@highlight

The talks achieved the basic goal of extending the Kyoto Protocol

@highlight

WRI's Jennifer Morgan says progress on climate change is still too slow

@highlight

Morgan: World needs t o 'get on a path to a strong, fair and ambitious climate agreement'