(CNN) -- The death of Osama bin Laden does not necessarily mean the death of al Qaeda, the terrorist network he founded, though experts say none of his most likely successors offer the same combination of charisma, cash and credibility among militant Muslims.

Bin Laden has long been a prime target for U.S. authorities, a member of the FBI's Ten Most Wanted Fugitives list since 1999 who has had a $25 million bounty on his head since after the September 11, 2001, terrorist attacks. Yet except for a few audiotapes on subjects ranging from climate change to France's role in Afghanistan, he's been relatively quiet in recent years.

But that does not mean he'll be easy to replace, nor that there is someone obvious to take his spot. A U.S. counterterrorism official said Monday there was "no succession plan in place" that the U.S. government is aware of to replace bin Laden.

Even if the Saudi-born zealot appeared to have had a less active role of late in al Qaeda's operations, he remained the symbol of his movement -- one that tried to appeal to Muslims angry about allegedly corrupt and spiritually impure regimes in the Middle East and beyond, propped up by the United States and its allies.

Death of bin Laden brings healing

He was known throughout the world, and beloved in parts of the Arab world, as someone who'd given up a life of luxury to fight the Soviets in Afghanistan before focusing his wrath on the West as he tried to build a radical Islamist society.

"They don't have anybody now who is going to have the star power, the brand name of bin Laden," said Philip Mudd, a former CIA officer.

His most obvious replacement -- given that he's developed a high profile as a jihadist leader in Egypt and is the face and voice in several videotapes since the 2001 attacks, some of them appearing by bin Laden's side -- is Ayman al-Zawahiri.

Born into a wealthy family in Cairo, he was a key figure in the Egyptian Islamic Jihad who went to Afghanistan during their fight against the Soviets to offer his skills as a physician. By the 1990s, he refocused his attention on undermining and attacking the Egyptian government and, eventually, the United States.

In 1998, when his organization had effectively merged with al Qaeda, he sent a fax to the Al-Hayat newspaper warning Americans. Three days later, suicide bombers hit the U.S. embassies in Kenya and Tanzania, killing 224 people.

Since then, al-Zawahiri has been depicted as bin Laden's closest adviser, as well as his doctor. But, the U.S. counterterrorism official said, he's "not popular with colleagues."

"He's viewed as a very polarizing figure, someone who is not easy to deal with, not a good manager," said Mudd, a senior research fellow at the New America Foundation.

Mixed emotions about bin Laden's death: How should we feel?

Another possible contender is Anwar al-Alwaki. Born in 1971 in Las Cruces, New Mexico, he bounced between Yemen and the United States before settling in the Middle East. His face is known largely for his role as a spokesman for al Qaeda in the Arabian Peninsula, which is considered one of the terror network's most prolific and deadly affiliates.

Al-Alwaki has been suspected of playing a key part in the failed Christmas Day plot, in 2009 by a Nigerian national to bring down a Northwest Airlines jet as it neared Detroit. He also has been suspected of encouraging U.S. Army Maj. Nidal Hasan to kill 13 fellow soldiers during a rampage at the Fort Hood base in Texas earlier that year.

Yet Paul Cruickshank, a CNN terrorism analyst, said the fact that al-Alwaki has never engaged in combat himself may hurt him in any bid to climb up the al Qaeda leadership ladder.

The latest details of bin Laden operation

"He's a cleric, he's a speaker, but he's not a fighter," said Cruickshank, an alumni fellow at New York University's Center on Law and Security. "And al Qaeda, over the years, have wanted to be led by a fighter."

Other less well-known contenders could emerge to head al Qaeda, or the Base as it's known in Arabic.

They include men like Abu Yahya al-Libi, a leading al Qaeda ideologue. Less than two months before bin Laden's death, the Libyan native released an audiotape aimed at Islamists in that country and encouraging change that went beyond ousting leaders like Moammar Gadhafi. A former al Qaeda battlefield commander in Afghanistan perhaps best known for escaping from Bagram Air Base, al-Libi has been active in taped speeches urging resistance and trying to recruit new members.

Then there's Ilyas Kashmiri, a veteran militant from Pakistan who has emerged as a mastermind of international terrorism operations, according to Cruickshank. The 313 Brigade, which he leads, has focused on finding and training recruits from Europe and North America on the grounds that they are less likely to be apprehended.

Bin Laden killing caps decade-long manhunt

The succession challenge is compounded by the fact that, even before bin Laden's death, many experts said al Qaeda appeared to be staggering due to operational and organizational setbacks caused by actions like Predator drone strikes and the intensified allied campaign in Afghanistan and beyond.

Intelligence officials have warned that threats may spike in the coming weeks. But the U.S. counterterrorism official said President Barack Obama administration's hope is that having a muddle of men posturing to be the next bin Laden could spur "disharmony and discord" among al Qaeda's ranks.

Thus, while small bands of terrorists may continue to operate, the lack of one unifying leader threatens to undermine al Qaeda as an ideological, spiritual and operational force.

"It's not good to have six people trying to fill (bin Laden's) shoes," said Mudd.

CNN analyst Peter Bergen contributed to this report.

@highlight

A U.S. official says they know of "no succession plan" now that bin Laden is dead

@highlight

An expert says his deputy, Ayman al-Zawahiri, is "not popular with colleagues"

@highlight

Another contender is U.S.-born Anwar al-Alwaki, who is now based in Yemen

@highlight

Other possibilities are Abu Yahya al-Libi, from Libya, and Ilyas Kashmiri of Pakistan