(CNN) -- The ouster of Tunisia's longtime ruler has cast a shadow over the surrounding region, but few analysts were willing to predict Tuesday that the revolt would spread to other countries.

Zine El Abidine Ben Ali was Tunisia's president for 23 years before Friday, when weeks of protests forced him into exile in Saudi Arabia. Tunisians complained that the president's family and supporters had grown rich while their living conditions stagnated and their voices were stifled.

But while the governments of nearby nations like Algeria, Libya and Egypt face similar criticism, the level of repression and the concentration of power and corruption were far more extreme in Tunisia, said Nathan Brown, a professor of Middle Eastern politics at George Washington University in Washington.

"I think most regimes in the region are viewed with a mix of disdain and resignation by their population," Brown said. Few may support their government, but "It's not as if there's much that can be done about it," he said.

Neighboring Algeria was also wracked by rioting last week, triggered by the spiraling costs of basic food items after its government slashed price supports for staples like milk, oil and sugar. State-run media reported at least three people had died in the clashes.

Libya's longtime strongman, Moammar Gadhafi, mourned Ben Ali's ouster and warned in a nationally televised speech that Tunisia was facing "unjustified chaos." And in Egypt, at least two people have set themselves afire in public this week -- the same type of protest that triggered Tunisia's demonstrations in December.

Egyptian President Hosni Mubarak, one of the top U.S. allies in the region, has ruled his country since 1981. Tuesday, the Egyptian Foreign Ministry tried to tamp down speculation that his government faced anything like the uprising that forced Ben Ali from power.

"What happened in Tunisia cannot easily be repeated in any other country," Housam Zaki, a foreign ministry spokesman, said Tuesday. "Every nation has its specific circumstances and every nation has its political, economic and social situation. It is very hard to compare between the situation which existed in Tunisia and led to the latest reaction by the people there (to) any other country, Arab or not."

And though other North African states are dominated by authoritarian governments and plagued by poverty and corruption, a Tunisia-style uprising "would play out much differently" elsewhere, Brown said. The well-entrenched police state established under Ben Ali left Tunisia with few alternatives to his ruling Constitutional Democratic Rally, he said.

"In other countries, there are much more well-organized political forces that would step in," he said.

But John Entellis, an analyst at Fordham University in New York, warned that discontent is "bubbling over continuously" in the region. The United States, meanwhile, counts many of those governments as partners in its battle against al Qaeda and its allies.

"It's not in our interest to try to keep this lid down artificially, because ultimately the explosion will be even worse later on than it would be in the short term," Entellis said.

Leaked U.S. diplomatic cables released since November by the website WikiLeaks painted a scathing view of Tunisia's now-ousted leader and his associates. One described Ben Ali's extended family as a "quasi-mafia" that pushed for a taste of any venture they saw.

Their assessments of some other countries in the region are less critical, but still jaundiced.

Algeria's government "is fragile in ways it has not been before, plagued by a lack of vision, unprecedented levels of corruption and rumblings of division within the military rank and file," a December 2007 cable from the U.S. Embassy in Algiers states. The country's weak economy "has Algerians, especially youth, feeling gloomy and grim about the fate of their country as it drifts into the new year."

"We do not sense an explosion coming right away. Instead, we see a government drifting and groping for a way forward," the cable states.

In Libya, meanwhile, Gadhafi -- a military officer who seized power in 1969 -- has promised sweeping economic and political reforms since 2006. But international observers say that push has stalled despite the elevation of his son, Saif al-Islam -- once a leading reform advocate -- to a top position in the government, and the Gadhafi family has "strong interests" in Libya's oil and gas sector and numerous other interests in the country, according to a 2006 cable disclosed by WikiLeaks.

But unlike Ben Ali's family, the Gadhafis avoid extravagant displays of wealth at home, the U.S. cable described.

"Compared to egregious pillaging of state coffers elsewhere in Africa, or the lavish spending of Gulf Arabs, the Libyans don't see much to complain about in their leader's lifestyle, as long as he does a good job of making sure other people get a piece of the pie," the cable states. "And when Libyans do complain, they are removed from access to financial rewards."

Brown said the events in Tunisia are unlikely to yield a rerun of 1989, when Communist regimes across Eastern Europe imploded before a string of popular uprisings.

"I would say we're dealing with 1975," he said. "We've got kind of tired regimes that have just lost their ideological sense of direction, they've lost popular support -- but they're just there, and they don't look like they're going anywhere."

@highlight

Governments of nearby nations face similar criticism

@highlight

But the level of repression and corruption was more extreme in Tunisia, expert says

@highlight

An Egyptian spokesman says power shift in Tunisia "cannot easily be repeated"

@highlight

Discontent in region "is bubbling over continuously," a U.S. analyst says