(CNN) -- As video game technology improves, games are getting quicker, deadlier and more reactive. This, in some cases, is requiring gamers to be faster on the draw, more reflexive in their actions and to be able to act with little time for a thought-out strategy.

One gaming genre, however, prefers to slow things down while still maintaining a high degree of action and planning. Turn-based strategy games harken back to the days of playing board games with dice and individualized pieces. But, now, they can use the latest tech to help make the games more immersive and interactive.

At Firaxis Games near Baltimore, the company continues to create one of the best turn-based strategy franchises with its "Civilization" series. Sid Meier, director of creative development, has spearheaded development of the "Civ" series since 1991, but he helped found Firaxis with the idea of bringing in others who thrive on the thrill of strategy and creating experiences that test the mind of the gamer.

"I think it is unique to strategy games," he said. "I know people have said, 'I've looked at Civ and it looked complicated so I didn't play it.' Where a strategy gamer will look at it and say, 'Oooh. It looks complicated. I'm going to play that.'"

10-year-long video game creates 'hellish nightmare' world

Strategy board games back in the 1970s and '80s, like "Blitzkrieg" and "War in Europe," were simulation-type games requiring players to spend a lot of time rolling dice to resolve combat or find out different game stats -- weather conditions, civil unrest, troop rally points. Bringing turn-based strategy games to computers allowed all that number crunching to be done quickly and increased the pace of the game.

Ed Beach, lead designer for "Civilization V: Gods & Kings," designs historical board games in his spare time, but appreciates how turn-based strategy games now create a better experience for the player.

"If the player is just rolling dice to update status and once every 20 minutes he gets to make a decision, that's horrible," Beach said. "Back then, it was kind of cool to see how the simulation worked, but now they want to feel engaged like they are Napoleon. The bar has raised a lot in what they are expecting."

5 games to watch from Comic-Con

Technology has elevated the expectations of players for graphics and artificial intelligence, and made some strategy board game mechanics easier to implement. Meier said there are many concepts that work really well in a computer game, like fog of war -- not being able to see all the pieces on the board until your units are within range of enemy units.

"There is just as much temptation to do too much with the computer game ...," he said. "You have to make sure the player feels they're in control and everything is understandable."

Part of the excitement for designers has been figuring out the best way to create the game experience so that it becomes part of the natural flow of the action. It is also a challenge not to get lost in the glow of creating a really cool weather system, for example, that the player isn't even going to notice, much less enjoy.

"Certainly, it is a place where I've gotten stuck a few times, thinking about things in terms of how the systems work together instead of thinking, does this even ... matter to the player?" Jake Solomon, lead designer for "XCOM: Enemy Unknown," said. "In a strategy game, you have an idea of a player experience in your mind. Tweaking these systems, it's hard to gauge how that's going to achieve the ideal player experience."

Meier, Solomon and Beach all said they have a passion for the genre and try to create games they would want to play themselves. Despite all the system creations, which they feel are unique to the turn-based genre because of the intricate details demanded by fans, the core goal of any game has to be fun.

Meier said there is no checklist they work from to make their games. He said they have also been fortunate to have an involved and vocal fan base for their strategy games, which helps them fine tune their creations to meet the demands of their fans.

Beach points out the future of turn-based strategy gaming is already playing out in other casual games like "Words With Friends," where players take turns playing a "Scrabble"-like game with opponents. While watching his daughter play on her phone with her friends, he realized casual gaming is creating a growing audience for the turn-based strategy genre.

Is 'Diablo III' a broken game or just too hard?

"It is amazing just the connectiveness of everything now," he said. "There are absolutely opportunities for strategy games to interact in all new ways and opening up new modes of multiplayer action."

And while the crew at Firaxis is busy working on the next computer strategy game, traditional board strategy games have been making a revival as well.

"The Settlers of Catan," a game first published in 1995, has been reappearing on store shelves, and made appearances on the popular CBS sitcom, "The Big Bang Theory." Other titles requiring more thought than reflex actions are also drawing interest from gamers, both longtime and casual players.

Pong! Atari marks 40 years of gaming

"There is such a huge audience now for that style of interaction (with turn-based strategy games)," Beach said. "It is really an interesting phenomenon."

"The world is changing, but it's all good for strategy gamers."

@highlight

Turn-based strategy games are reminiscent of board games

@highlight

Firaxis Games' "Civilization" series is one of the best turn-based strategy franchises

@highlight

"Civ V's" lead designer says the bar is high for these strategy games

@highlight

Games today can be more interactive as people become more connected online