(CNN) -- Some people think the only cure for the doldrums of winter is sunshine. Far from it. Why not up the ante? Don't suffer snow and ice at home when you can really do winter vacations and ice holidays in style.

From snow villages to pyrotechnic-laced skiing theater to ice hotels built from blocks of the cold stuff, we've created a roundup of the best frozen getaways around the world. With vacation ideas in the Southern and Northern Hemispheres, the snowbirder in you can express its inner penguin almost any time of year.

The Harbin Ice Festival, China

Imagine a spectacular amusement park where all the buildings are made of ice. That's the Harbin Ice Festival in China, one of the world's largest winter festivals. Known for its bitter cold, Harbin was once a small fishing town on the banks of the river Songhua that has grown into one of the largest cities in Northeast China. The Manchurian city has a diverse history, mixing Russian and Korean influences.

The festival begins in December and runs through the end of February.

"It was as weird and wonderful as it sounds. Big replicas of famous buildings from around the world. Working restaurants and hotels and shops made of ice," said Tim Harper, a professor at CUNY and editor of the CUNY Journalism Press, who visited the Harbin Ice Festival in 2005..
"All sorts of ice art and games. And thousands of people wandering in couples or small groups, nearly all smiling and eating frozen fruit on a stick."

Icehotel, Sweden

Now in its 23rd incarnation, Sweden's Icehotel is the longest running hotel of its kind in the world, with 50 rooms. There is even a chapel so couples can plan an icy wedding and stay overnight with their guests.

About 140 weddings and 20 christenings take place there, according to spokeswoman Beatrice Karlsson.

Located 200 kilometers north of the Arctic Circle near the Torne River, the hotel in Jukkasjärvi is the largest in the world made entirely out of natural ice and snow from the Torne River, Karlsson said.

"Also, it is one of the best places in the world to discover the Northern Lights, with offerings like Northern Lights flights and nightly bus excursions ensuring the best possible chances of catching the phenomena during a stay with us."

Rooms are a chic mix of glassy ice furniture, fur throws and ornate ice chandeliers. Even with frozen water as its building blocks, the indoor temperature remains roughly 5 to 7 degrees Celsius, or in the low 40s Fahrenheit.

The Icehotel this season opened on December 7 and will close approximately mid-April.

The Hannibal Festival, Sölden, Austria

Elephants on ice? Sounds crazy, but this festival is based on the ancient invasion of Roman Italy by Carthaginian military leader Hannibal, who marched three-dozen African elephants and some 60,000 soldiers across the Alps about 200 years B.C.

Animal lovers have no need to despair, the elephants are represented by snow grooming machines, and acrobatic skiers perform as warriors.

This year's glacier theater will be held on April 12 and is expected to attract about 7,000 viewers.

"The Hannibal spectacle is unique in the Alps," with more than 500 artists performing on a huge natural stage, said Sarah Ennemoser of the Ötztal Valley tourism office.

"Crazy things are going to happen, from base jumpers, helicopters, artificial avalanches, fireworks, snowcats, monumental music."

The spectacle is held at night, at an altitude of 3,000 meters. If you can't get to the festival, this region of Austria, the Ötztal Valley of Tyrol, near Innsbruck, has some of Europe's best skiing.

Ski by day and dance by night, too, with the Electric Mountain Festival international DJ event, going on through March.

Tierra del Fuego

Many travelers think of South America as sultry, with images of Rio de Janeiro's carnival and the Amazon burned into the mind.
The deepest south in South America is anything but, however. A wild, unspoiled region of ice-covered mountains, glaciers and the frozen tundra of endless Patagonia, which stretches between Chile and Argentina.

One of the most comfortable ways to see this region is through Cruceros Australis, a cruise company operating in Southern Chile's Tierra del Fuego and around Cape Horn and the Straight of Magellan, an area Charles Darwin passed through on his famous Beagle voyage. Passengers explore the scenery and the amazing wildlife, from penguins to sea lions to whales, on at least two mini-expeditions a day in zodiacs, returning to the comfort of the ship to socialize over a glass of Chilean wine or scotch served over 40,000-year-old glacier ice.

Ships sail during South America's warm season, running roughly from the end of September through the end of March.

If you can't get to Chile during the warm season, head there during South America's winter to ski at Portillo in the Chilean Andes, about two hours from Santiago.

Polar bear watching, Churchill, Hudson Bay, Manitoba

Who doesn't love polar bears? Truth is, global warming means within the next few decades the world's polar bear population is expected to rapidly plummet. With an environmentally mindful operator, you can see polar bears live in Churchill, on the Hudson Bay in Manitoba Province, Canada.

"I think people are very aware of the fact that it is a shrinking population," and this is driving increasing numbers of tourists to pay visits to the region, said Katherine Foxcraft, the product manager for Fresh Tracks Canada, a travel company that works with Churchill's polar bear specialists.

The best polar bear viewing is generally in October and November, as Hudson Bay begins to freeze and bears take to the ice for hunting. Some outfitters have vehicles with protected viewing platforms to allow photographers to safely take close shots of bears who might even try to climb aboard.

Other companies have remote lodges in the middle of bear territory. "The bears come all the way up to the fence," of the lodges, said Foxcraft.

Bears can be as curious about visitors as visitors are about them and do wander into Churchill itself, a potential danger. An interesting quirk of the town is that most cars are unlocked, allowing an easy escape from approaching polar bears. They might look cute, but they're still bears.

Winter festivities in Quebec

The Great White North becomes a French-kissed winter wonderland in Quebec Province, Canada. Carnaval de Quebec is one of the oldest of the world's winter festivals, with its 2013 edition, the 59th, running from February 1 to 17. There's everything from dance events to ice sculpture contests.

If that's not enough winter for you, head to Montreal's winter festival, expected to attract more than 900,000 people this year. Called Montreal en Lumiere, or Montreal in Lights, it will run this year from February 21 to March 3. Activities range from cuisine to music and other forms of entertainment.

Montreal is also paying homage to a nearby U.S. cultural capital this year with a "New York on Ice" Snow Village. Stay overnight in all that icy goodness in the village's 25-room ice hotel, which has meeting rooms for events and boasts the 100-seat Pommery Ice Restaurant.

Alaskan ice fishing

The thrill of Alaska's wild frontier combined with the pleasure of fishing is what Fishtale River Guides offers outdoor enthusiasts,

The outfitter, run by Andy Couch, takes visitors fishing throughout the year. Most of their ice fishing takes place in Mat-Su Valley about 40 miles north of Anchorage.

"Our ice fishing season is only constrained by ice conditions. We can usually safely fish starting in late November around Thanksgiving Day," Couch said.

This year ice fishing trips started much earlier in November, but a very warm season may mean waiting to ice fish until late in December, he said. The season usually lasts into late March or early April.

The thrill of fishing here has both to do with the size and quantity of the catch.

"The largest landlocked salmon we caught on an ice fishing trip was likely about 16 inches. In the summertime, the largest king salmon taken by my guests have weighed in at 56 pounds."

Most of the tour participants are locals from Anchorage, making it a great way to get to know Alaska. Beyond fishing, there is nearby skiing, dog sledding and snowmobile tours, as well as airplane flights to see the wilderness.

Antarctica

If you really want ice, there's no place like Antarctica, the frozen continent. It's perhaps the most otherworldly experience a traveler can have while still on Earth.

Oceanwide Expeditions, a Dutch company with an office in Houston, has trips that pass from Ushuaia in Argentina's most southern Patagonia.

Their Atlantic Odyssey cruise is the ultimate in ice vacations, lasting nearly 40 days, with visits to the Antarctic peninsula, the South Shetland Islands, South Georgia and the South Orkney Islands.

The trip also includes visits to slightly warmer and equally exotic islands such as Tristan da Cunha, St. Helena, Ascension Island and Cape Verde.

Antarctica is rich in wildlife, from whales to sea lions to Emperor penguins and many other species of birds. Zodiac boats allow for passengers to get close to the animals, with expert guides explaining the wildlife.

Trips alight on various islands and also the Antarctic Peninsula to visit research stations run by different countries, giving a sense of the island's recent human history and the fragility of our hold on this most remote part of the world, beautiful and full of thrilling danger all at once.

Expeditions run during the Southern Hemisphere summer, from approximately November to April. The experience can be life changing, said sales manager Florian Piper.

"Our passengers experience and learn about the fragile nature of the polar regions. They become ambassadors for life."

@highlight

Sunshine isn't the only cure for winter blues

@highlight

Up the ante with serious ice and snow at these cool spots

@highlight

Check out an extravagant ice festival in China or Canada

@highlight

Or get back to nature with an ice-fishing excursion or wildlife tour