Washington (CNN) -- Everywhere 10-year-old Gabriella Miller went, from Philadelphia to the Eiffel Tower in Paris, she brought along a frying pan, and used it to smash a walnut.

It was a tradition that started about a year ago, when Gabriella's father broke the news to his young daughter that she had a terminal brain tumor.

"They told us it was about the size of a walnut in her head," recalls Mark Miller.

"We went from store to store to store to find a whole bag of walnuts, found them, took them out to the deck outside, and got a frying pan out, and said we're going to visualize ... smashing the walnuts. Smashing the tumor inside your head," Gabriella's father said.

"I'm Gabriella Miller, I'm 10 years old, and I have brain cancer," she would say after smashing the walnuts.

It's one example of how a little girl's devastating news transformed her into a warrior -- against her own cancer and on behalf of other children.

"We told her that we live in an amazing country, and we have access to great medical care, and great doctors, and they'll help us. But you also have to be part of your recovery. And she embraced that," Gabriella's mother, Ellyn Miller, recalled.

Searching for clinical trials as Gabriella suffered from toxic treatments, the Millers quickly learned how little was available for kids with cancer.

"Gabriella questioned, all the time, 'Why they don't have a real drug that will help us kids? Why are they using us as guinea pigs?' " Ellyn Miller said.

Less than 4% of $5 billion in cancer research goes to childhood cancers.

Budget deal aims to avert another shutdown

"There's no money in it for the drug companies, which I understand. It's capitalism. There's only a couple hundred kids a year in North America that get diagnosed with what Gabriella had. So all of the millions of dollars it would take to find a drug to fix it, they wouldn't make their money. And I get that," Mark Miller said.

"But that's where we also hope the federal government can step in."

Gabriella embraced activism -- gathering 250,000 letters for Macy's Make a Wish campaign last Christmas, and later giving speeches and making online videos that have gone viral.

"It's not fair that us kids get so little from the world, just because we're smaller, just because we don't know as much," Gabriella said in one of those videos.

She spoke eloquently, like someone well beyond her 10 years, about the gravity of her situation and that of other children with cancer.

"Sometimes at night, I'll be with my mom and dad and I will be absolutely crying and I'll be saying, 'I don't want to leave you. I want you to go first,' " she said in a video.

"Once you get cancer, you kind of have to be all grown-up," Gabriella said, in tears, "you don't really have a childhood."

But she combined very adult concepts with little-girl ideas. She made a list of things she wanted her parents to do after she passed away, including going to the haunted mansion at Disney World, and always saving her a piece of birthday cake.

And her message for politicians was simple enough for anyone to understand.

"Stop talking and start doing," she said.

Two weeks after Gabriella made that blunt statement, her condition worsened, and she was placed in hospice care.

Six weeks ago, on October 27, she lost her 11-month battle with cancer.

But her message got through to some in Congress.

Patty Murray emerges as bipartisan figure after budget deal

Rep. Gregg Harper, R-Mississippi, and Rep. Peter Welch, D-Vermont, crafted a bipartisan bill to take $126 million in federal money over 10 years, set aside for political conventions, to direct it to pediatric research.

After meeting Gabriella's parents, House Majority Leader Eric Cantor, R-Virginia, named the Kids First Research Act after Gabriella Miller and brought it to a vote on Wednesday.

The measure passed, 295-103.

This "could be a really inspiring story for so many people," Cantor said in an interview.

"Instead of spending money on political conventions for the political parties, shouldn't we have as our priority medical research for kids?"

Still, it's not without controversy. Democratic leaders pressed their members to vote against the legislation, and a majority of House Democrats opposed it.

Leaders of the Democratic-controlled Senate currently have no plans to bring the bill to a vote.

"This bill of Leader Cantor is an absolute fraud," said Rep. Nita Lowey, D-New York, ranking Democrat on the House Appropriations Committee.

Lowey says the bill would not do what Cantor says it would. She says not only is $13 million a year a drop in the bucket when it comes to cancer research, she also notes it would not appropriate money, so it's not even guaranteed.

She and others senior Democrats oppose it as a publicity stunt, to paper over billions in cuts to federal cancer research.

"As a mother and a grandmother, my heart goes out to Gabriella's mother. To lose a child is the most pain any person could suffer. So what Leader Cantor should do is have the Republicans bring back the $1.55 billion that they cut from the National Institutes of Health, and the almost $300 million cut as a result from the National Cancer Institute, so we can really focus on saving lives for the future," Lowey told CNN.

After the House vote, Mark Miller said, "We took into consideration that it may be a publicity stunt to use Gabriella's name."

"But they're talking about it," he told CNN. "They're talking about the lack of funding for pediatric disease research, pediatric cancer research (and) brain cancer research like Gabriella had."

"So as long as they're talking about it, we felt comfortable letting them use Gabriella to help build support and momentum for it."

As for the bill's long political odds, Ellyn Miller said she and her husband "thought that if it didn't pass (the House), that's fine. It's the first step and it's raising a lot of awareness."

But "Gabriella's hand" was "in there" for the House vote, she said. And now Gabriella's "thinking, 'OK Senate. It's your turn now!' "

First on CNN: Republicans moving to overhaul 2016 primary process

Welch, the Democratic sponsor, says he too wants billions reinvested for cancer research, but says you've got to start somewhere.

"We've got to learn to work together. Gabriella found a way to work for other people, even though she was a little girl who knew she was going to die. But every day, every moment of her life -- her young, small, short life -- was spent trying to help other people, so why don't we?" Welch asked.

"Can we just put the battle axes down for a while and take a step forward? I think we can," said Welch.

Gabriella said these words just a few weeks before she died:

"If I lose my battle, then I want other people to carry on the war, and we're going to win this war. I'll be in a good place, and it won't be all that bad."

@highlight

10-year old Gabriella Miller was diagnosed with brain cancer

@highlight

She became an activist for children with cancer

@highlight

She urged members of Congress to work together to bolster child cancer research

@highlight

Her plea has become politically acrimonious on Capitol Hill