(CNN) -- As far as former world champion Mario Andretti is concerned the key to a successful rekindling of Formula One's American dream is a buzzword that has been flying around Washington faster than a Ferrari in recent weeks: stability.

Days after the country entrusted Barack Obama to edge the United States towards economic recovery, motorsport royalty has descended on Texas in the latest attempt to ignite a lasting passion for F1 in a country with more motorheads to the pound than anywhere else on the planet.

While the domestic Daytona and Indycar series thrive on continued popularity, Formula One can never claim to have set America alight, despite repeated efforts to foster a permanent place in the hearts of motorsport fans.

That could all change in Austin, which has a purpose-built circuit to unveil as well as a 10-year deal to host an F1 race.

And just like Obama relied heavily on the Latino vote to propel him back to power, F1 are also hoping to court a new swathe of Latin American fans, with Austin just 200 miles from the Mexican border.

Andretti -- one of only two Americans ever to claim the F1 world title -- is convinced this latest attempt to grow the sport in both North and South America can succeed, and mirror the success it enjoyed at the Watkins Glen circuit in New York between 1961 and 1980.

"I think F1 fans in the United States can begin to rejoice," he told CNN World Sport.

"I just keep saying this; Formula One's fan base in America is very much underestimated, but they need to have some stability which I think we will finally achieve.

"The new facility in Austin is going to be a beautiful site. This is what the U.S. has really needed and from here on, starting this year, I think we can look forward to the race happening every year and at a place we will be very proud (of).

"The fact Austin is down in the southern part of Texas, easily reachable by South American fans -- you've got Mexico, Brazil, Argentina -- many of them are fertile grounds for F1."

Despite an association stretching back over half a century, Formula One and the States have never got beyond the dating stage, enjoying an on-off relationship that has spawned 41 races at nine different venues.

Since the first race was staged at the Sebring Circuit in Florida in 1959, the United States Grand Prix has been through places like Detroit, Indianapolis and Las Vegas, enjoying only one true period of permanency, at Watkins Glen.

That 19-year stint in upstate New York counted as the sport's golden years in America as bumper crowds flocked to the tree-lined track, bathed in fall colors, to watch the world's best do battle.

Jackie Stewart, a three-time world champion, recalls how the small town would be swamped by drivers, teams and supporters, who all congregated around "the bog" -- a patch of quicksand-like mud induced by an invasion of trucks and cars -- or the famous Glen Motor Inn.

But once the track was deemed too dangerous, the USGP was on the move again, even being upstaged in Scottsdale, Arizona by a camel race -- surely a low point in the competition's 62-year history.

"It was a street race, and for the same reason -- the quality of the road surface -- it never lasted for very long," Stewart explained.

"Apparently the biggest downside was that there was a camel race on the same weekend that drew a larger crowd than a Formula One race, which was very telling about America's understanding of Formula One.

"Had there been a Nascar race there, or an Indycar race, it would have been a different story."

Formula One didn't fare much better at its most recent home in Indianapolis.

A dispute over tires in 2005 led to a host of drop outs and a race involving just six cars, much to the embarrassment of the sport's authorities.

But now, with a purpose-built race track, funded by a private investor, and a decade-long commitment to race in Texas, perhaps Formula One will finally get a foothold in a lucrative market which could help drive it towards a bigger and brighter future.

Stewart told CNN World Sport: "I think Austin, Texas has an even better chance, because they're building a stadium, a Formula One road racing stadium.

"Formula One needs the United States. There is a huge car market. I know now China is bigger, I know India is bigger and if not, going to be bigger, but the United States of America is still huge.

"We need to get a home there, where Formula One could be developed, and it could be seen as the sophisticated end of Formula One, of motorsport. But why shouldn't there be, if there's 300 million people in America, if we just got 10 per cent of them, that's a huge audience.

"And when we go to a little country, population-wise, like Australia, we have more than 300,000 people coming for the long weekend of the Australian Grand Prix. And they don't have a background like America has, of motorsport."

At one stage it appeared the United States' appetite for F1 was insatiable.

Despite Watkins Glen's long association coming to an end in 1981, the following season there were an unprecedented three American races, as Detroit, Las Vegas and Long Beach all welcomed the sport.

Though that particular hat-trick lasted just one season, Formula One supremo Bernie Ecclestone is keen for a return to the glory days and is desperate to add a second U.S. race to the modern-day roster.

New Jersey had been included on a provisional 2013 calendar but organizers have been forced to postpone for a year as they continue to grapple with financial issues.

Ecclestone has long pined for a grand prix in the picturesque city of New York, but whether a second race appears in the Big Apple or in neighboring New Jersey, Andretti is confident the U.S has a sufficient appetite for two visits a season.

"America as large as it is can easily support two races -- one would feed off the other," he explained.

"I just can't see a negative in any way. I know Bernie Ecclestone for many years has wanted to have something in the proximity of New York for obvious reasons.

"And with the event there and the backdrop of Manhattan, it's going to provide the ambience they're looking for. I think both venues could be very attractive."

@highlight

Formula One returns to the U.S. for the first time since 2007 this weekend

@highlight

Former world champ Mario Andretti says stability is key to latest F1 venture

@highlight

Purpose-built track in Austin has a ten-year contract to stage F1 races

@highlight

Jackie Stewart says U.S. can comfortably support two F1 races every season