(CNN) -- America was rightly shocked by the brutal, videotaped murder of American journalist James Foley.

But we should not have been surprised. The Islamic State, as the jihadist group calls itself, has murdered, raped and savaged its way across borders in the Mideast and into the headlines as the latest terrorist foe from the region.

Foley's murder not only gives terrorist stature to ISIS but also, if it draws U.S. ground troops into the fight, will have given ISIS a recruiting bonanza. So the U.S. response requires, not just a set of airstrikes in revenge, but serious strategic calculation.

The U.S. must build a coordinated regional response -- diplomatic, economic and military -- with ground troops from our regional allies and friends, and with possible U.S. support with intelligence, logistics and airstrikes. But we cannot fight this war for our Islamic friends in the region.

Despite its pretensions, ISIS is not yet a state. It was initially a group of fighters funded, armed and assisted by groups or governments opposing Syrian President Bashar al-Assad. But its call for a caliphate governed by extremist interpretations of Sharia law precisely echoes Saudi Wahhabi teaching, and is magnetic to disaffected, vulnerable young people.

Thus far ISIS has perhaps 20,000 to 40,000 fighters or more, some heavy equipment, cash, oil, and a stunned, subdued population numbering perhaps a few million now suffering under extreme Sharia law. It is not, at this point, an existential military threat to an alerted Baghdad, backed by Iran (and the U.S.), or the Kurds, supported by U.S. airpower.

While it has challenged al-Assad's forces in Syria, it is more focused on carving out its territory in northern Syria, destabilizing Lebanon, and probably preparing for bolder moves against other states in the region, such as Jordan.

Who is the ISIS?

ISIS fighters, including perhaps a few thousand alienated young people from Europe, the Caucasus, or North America, do pose a terrorist threat far beyond the territory occupied by ISIS. Governments are anxiously screening travelers and seeking to block, intern, or otherwise isolate these potential terrorists when they depart Syria. This is difficult, but our homeland security is far stronger than it was a decade ago. The U.S., at least, should be able to handle this very serious threat

But if ISIS is allowed to consolidate its gains, build its forces, spread its tentacles of terror and subversion, then it will pose a serious threat to Lebanon, Jordan and the principal Sunni states in the region, particularly Saudi Arabia.

Map: Where is ISIS?

Saudi Arabia must recognize that it will eventually become the primary target of ISIS. It controls the most holy sites of Islam, and by its adherence to, promotion and export of extremist interpretations of Islam, Saudi Arabia is uniquely vulnerable to the ISIS's moral suasion.

Massive purchases of Western arms will help only if the Saudi armed forces and populace remain loyal to the Saudi government. For Saudi Arabia, this time, there's no safety in underwriting the services of others from outside the region. Ultimately, it will have to be the Saudi people themselves, their ruling family and their clergy who rally to defeat the threat of ISIS.

Make no mistake: The latent threat is that ISIS could seize control in Saudi Arabia, with all its oil, revenues, and modern weaponry.

Therefore, coordinated action against ISIS is urgent. But because ISIS's motive force is primarily religious, and because the U.S. armed forces are neither linguistically nor culturally best adapted for a sustained fight in the region, we should be wary of committing major land forces.

Opinion: How U.S. can help Syria drive out ISIS

The U.S. has learned the hard way that Western armies inflame extremists and serve as recruiting magnets for terrorists. Instead, other nations, and particularly Saudi Arabia and other Sunni states, must put their soldiers forward, and bear the brunt of the fighting.

The U.S. can use diplomacy and economic assistance, and it can strike using airpower, or special forces, to reinforce the efforts of our allies, but we cannot fight a religious war as proxies for our Islamic friends in the region.

5 key questions in the fight against ISIS

The Mideast is approaching its moment of truth, particularly for Saudi Arabia. Having exported and promoted extremist Sunni religious ideology, Saudi Arabia must face up to the threat posed by its own, even more extremist progeny. It must summon the courage to take a firm stand now, before ISIS becomes even stronger.

For the U.S. there is nothing to be gained by delay. We must work urgently, behind the scenes, to shape an effective regional response, in coordination with our friends and allies, now.

@highlight

Wesley Clark: U.S. must respond to ISIS threat, but with coordinated regional response

@highlight

He says U.S. can support Islamic friends in region threatened by ISIS, but can't fight their war

@highlight

He says ISIS has sights on states like Jordan, Lebanon; it could well seize Saudi Arabia

@highlight

Clark: U.S. involvement only helps recruit jihadists. Mideast nations facing their moment of truth