Back in 1998, just as Harry, Bella and Katniss were on the verge of owning the front shelves of bookstores everywhere, the Young Adult Library Services Association launched Teen Read Week in an effort to mold adolescent bookworms.

Monday marked the start of 2013's Teen Read Week, but with young adult literature regularly burning up the bestseller lists, it's clear many young adults don't need an excuse to seek out the written word: Sixteen- to 29-year-olds are the largest group checking out books from their local libraries, according to a Pew survey.

Wizards, vampires and dystopian future worlds didn't always dominate the genre, which hit its last peak of popularity in the 1970s with the success of controversial novels by the likes of Judy Blume. In the years between, young adult has managed to capture the singular passions of the teen audience over a spectrum of subgenres.

Now, as the book industry enjoys a second "golden age of young adult fiction," according to expert Michael Cart, it bears asking why young adult fiction has become so successful. The proof just may be in the timeline.

Young adult books that changed our lives

The very beginning

The roots of young adult go back to when "teenagers" were given their own distinction as a social demographic: World War II. "Seventeenth Summer," released by Maureen Daly in 1942, is considered to be the first book written and published explicitly for teenagers, according to Cart, an author and the former president of the Young Adult Library Services Association. It was a novel largely for girls about first love. In its footsteps followed other romances, ands sport novels for boys.

The term "young adult" was coined by the Young Adult Library Services Association during the 1960s to represent the 12-18 age range. Novels of the time, like S. E. Hinton's "The Outsiders," offered a mature contemporary realism directed at adolescents. The focus on culture and serious themes in young adult paved the way for authors to write with more candor about teen issues in the 1970s, Cart said.

The first golden age is associated with the authors who the parents of today's teens recognize: Judy Blume, Lois Duncan and Robert Cormier. The young adult books of the 1970s remain true time capsules of the high school experience and the drama of being misunderstood.  Books like Cormier's "The Chocolate War" brought a literary sense to books targeted at teens.

But once these books devolved into "single-problem novels" -- divorce, drug abuse -- teens grew tired of the formulaic stories. The 1980s welcomed in more genre fiction, like horror from Christopher Pike and the beginning of R.L. Stine's "Fear Street" series, and adolescent high drama a la "Sweet Valley High," while the '90s were an eclipse for young adult. With fewer teenagers around to soak up young adult lit due to low birth rates in the mid-1970s, books for tweens and middle-schoolers bloomed. But a baby boom in 1992 resulted in a renaissance among teen readers and the second golden age beginning in 2000, Cart said.

R.L. Stine aims to give adults 'Goosebumps'

"When I was a teen in the '90s, there were probably three shelves of teen books I wanted to read," said Shannon Peterson, president of the Young Adult Library Services Association. "Now, I feel like it's evolved from three shelves to whole hallways of books."

The book world began marketing directly to teens for the first time at the turn of the millennium. Expansive young adult sections appeared in bookstores, targeting and welcoming teens to discover their very own genre. J.K. Rowling's well-timed "Harry Potter" series exploded the category and inspired a whole generation of fantasy series novelists, Cart said. The shift led to success for Stephenie Meyer's "Twilight" vampire saga and Suzanne Collins' futuristic "The Hunger Games."

But why did paranormal and dystopian tales connect so well with teens?

"Just like adolescence is between childhood and adulthood, paranormal, or other, is between human and supernatural," said Jennifer Lynn Barnes, a young adult author, Ph.D. and cognitive science scholar. "Teens are caught between two worlds, childhood and adulthood, and in YA, they can navigate those two worlds and sometimes dualities of other worlds."

Now, reveling in the continued success of fantasy subgenres and series, young adult fiction is enjoying a sustained boom rather than an afterglow.

Banned Books Week: Favorite novels challenged

Nostalgic hallmarks

"It's not surprising that YA is always dealing with transformation, whether it be realistic or supernatural," author and publisher Lizzie Skurnick said. "It's the only genre that can always be both. It shows teen life in full chaos. And that means constant change."

Skurnick is also devoted to reissuing classic young adult novels, from the 1930s to the 1980s.

While young adult spans and mashes up multiple genres, it connects readers to transformation stories best through emotion.

When David Levithan was helping develop Scholastic's teen imprint, PUSH, in the late '90s, he and his team spoke directly with teens over the course of four years to discover what they wanted in their literature. PUSH launched a line of novels by debut authors with authentic voices in 2001.

"Teens wanted things that were real, that they connected with," Levithan said. "It doesn't have to reflect reality directly. They love 'The Hunger Games' not because it's real in that it happens, but the emotions there are real, and it's very relatable."

Young adult novelists don't shy away from tackling the deepest and darkest issues that teens face, from identity struggles and sexual abuse to drug/alcohol use and suicide. Authors like John Green write about the best and worst of adolescence fearlessly and honestly, building a trust within readers, Peterson said.

Author Meg Cabot tried to find books she could relate to as a teen, but the "single-problem" novels that resulted in girls dying for their choices frustrated her. She wanted to read the "science fiction novels about girls spying on other planets."

Now Cabot has written more than 45 young adult books. "The whole reason you're reading is because you want some hope that you're going to get through whatever you're going through. I know how hard it was as a teenager, and I understood how it felt to be an outsider. I want to be able to offer people hope."

Meg Cabot's teen escapism and empowered heriones

Turning the page

Because young adult fiction is always changing, anything goes, said Elissa Petruzzi, Web and young adult section editor for Book Club Magazine. From sci-fi/fantasy, paranormal and dystopian to classic romance, mystery and contemporary favorites, writers can explore any subject, and readers are eager for new worlds.

Contemporary standalones, or non-serial books, have returned to the forefront as a lighter response to dark paranormal and dystopian series, Barnes said.

A real opportunity for growth lies in diversity, Peterson said, although young adult already surpasses children's fiction in that aspect. Cart is pleased to see more gay, lesbian and transgender characters in young adult books but admits that there is a multicultural hole, especially for Hispanic teens.

Young author faces great expectations in 'The Bone Season'

Cabot strives to amp up the empowerment angle for girls. As a teen, she always looked for role model heroines, so all of her female characters "kick ass."

The genre is also just as open to male readers as it is to females, said Erin Setelius, a writer for the YA Book Addicts blog. "Boys and girls can fall in love with the same books."

Because filling gaps is an area where young adult succeeds, the "new adult" genre has emerged over the past few years (beginning with St. Martin's Press coining the phrase in 2009), featuring characters in their late teens and early 20s going through the college experience and a second adolescence.  Only time will tell whether it's a trend or a budding genre, Petruzzi said.

Young adult lit has become popular with readers of all ages and has even allowed parents to see what their teens care about through what they're reading, Skurnick said. After all, 55% of young adult books purchased in 2012 were bought by adults between 18 and 44 years old, according to Bowker Market Research.

"I don't think people are reading it just to relive their teen moments," Peterson said. "It's so interesting to see what happens when there is all of that living, emotion and the heaviness of all that emotion, without the experience. It's such a terrible and beautiful thing to witness."

Follow Ashley Strickland on Twitter: @CNNAshley

@highlight

The first "golden age" of young adult fiction in the '70s featured drama and realism

@highlight

The second peak in the genre happened about 2000 and coincided with "Harry Potter"

@highlight

From "Sweet Valley" to "Hunger Games," teens drawn to emotion and shared experience