Gaza City, Gaza (CNN) -- Each one bears his own scar.

This close-knit band of paramedics and ambulance drivers risk their lives saving others on the front lines of Gaza's wars.

Paramedic Alaa Abu Sheir has a shrapnel wound to the arm. But that's not the one that cuts the deepest.

When we find him, he's washing the blood off a stretcher in his ambulance.

That's the blood of 24-year-old Mohamed Hamdan, who was reciting the Quran when a missile from an Israeli drone struck him Monday.

Abu Sheir and his colleagues scraped together the unconscious and broken Hamdan. He tells CNN how he and his colleagues struggled to plug the holes in the man's body with gauze to stop him from bleeding to death -- all while the ambulance races toward Gaza's main hospital, Shifa.

It's back at the ambulance depot that we catch up with Abu Sheir and more than a dozen of his colleagues. It's here where the tragic cycle begins again.

It all starts with a phone call -- the emergency number in Gaza is one, zero, one. At the ambulance dispatch center located in Jerusalem Hospital in Gaza City, workers from the Palestinian Red Crescent Society monitor phones, maps and computers while they wait for the inevitable. A board illuminated with red numbers tallies 193 dead and 1,481 injured as of Tuesday afternoon.

A job that requires a lot of risk

The head of emergency services in Gaza, Dr. Bashar Mourad, directs the nearest ambulance to the latest Israeli airstrike.

The fight between the Israeli military and Gaza militants began over a week ago. It's not the first time.

Mourad has a deep, personal understanding of the importance of a quick response. In the December 2008 to January 2009 war between Israel and Hamas, a war that was code-named "Cast Lead," shrapnel injured Mourad's then 10-year-old son. "Time is a matter of life or death," says the doctor.

But he's also acutely aware that every dispatch puts his paramedics in harm's way.

In Cast Lead, he says he had more than 30 paramedics killed and almost all of his ambulances destroyed. In 2012's conflict, he says, one paramedic was killed and 7 were injured. This time around, he says, he's been lucky: only 15 paramedics have been injured.

Back at the ambulance depot, exhausted shift manager Ayman Shahwan takes incoming calls. Paramedics work 24-hours on, 24-hours off. It puts a strain on their nerves.

"Everything is bad in the war. We do not like war," says Shahwan. "We want this war to stop." The phone rings once again, when suddenly the building shutters and windows rattle. A large bomb just exploded nearby.

On the lookout for a second explosion

A controlled panic grips the station as ambulance after ambulance races toward the rising plume of black smoke. They stop short of the crater. Experience has taught them that there could be a second bomb. Paramedics and firefighters wait in the periphery until they get the all clear. This time nobody was injured.

They return to base, where Abu Sheir and other paramedics sit with a feast of rice, lamb, dates and juice. Night is just beginning to fall and the ambulance men are getting ready to break their fast. This is the Islamic holy month of Ramadan, during which the faithful abstain from eating or drinking between sunrise to sunset. They joke around about being tempted to break it too early; something frowned upon.

The levity is needed to dispel the day's morbid encounters. War affects each man a different way. But they say it's the emotional scars that are the hardest to bear.

"The anger boils inside us as the pressure grows, knowing our actions are a matter of life or death." says 39-year-old Yassin Mutier, the station chief of Tel El Hawa ambulance station. "Unfortunately, we carry those emotions home and fight with our families."

39-year-old Ra'aid Shaheen talks about how the 20 to 30 trips a day can be dangerous. He recalls once when he "had finished dropping off a victim and was driving past a police station while on our way back to our station. Rockets started raining down on the police and the shock wave tossed our car like a toy."

Another call haunts him, too.

"We heard two kids selling ice cream were hit in Al Shajaya neighborhood," he says. "The only thing we could do for them was to collect the pieces of their bodies."

False hope and a realization

Then there is 50-year-old Jihad Seleem. There's not much this paramedic of 17 years and father of two hasn't seen. But even this stoic man has trouble talking about his worst encounter.

He arrived on scene of a smoldering car hit by a bomb. "We saw kids meticulously collecting body parts and trying to aid the injured," says Seleem. "They felt it was their duty to help."

But late Monday it seemed like their nightmare was about to be over. The room erupts into cheering and song as the radio announces that the Egyptian government has proposed a cease-fire between Israel and Gaza militants for the following day.

Relief spreads across their faces with knowledge that they may have survived another war. By the following day, they realized that wouldn't be the case. The militants rejected the cease-fire call by releasing a barrage of rockets. And Israel resumed airstrikes on this coastal strip.

The fighting was about to get worse and the scars were about to cut a whole lot deeper.

Abu Sheir got an update about his wounded patient's condition -- the young man hit in a drone strike. He didn't make it. He died at the hospital.

How did this happen? Iraq, Syria, Gaza and Libya all in flames

Trapped in war: 'This is tyranny'

@highlight

Ambulance crews in Gaza routinely dispatched to airstrike scenes

@highlight

They, too, are at risk of being killed and wounded

@highlight

Crew members share accounts of tending to wounded