London (CNN) -- From Selfridges in London to Fifth Avenue in New York', the sight of Chinese shoppers flocking to luxury clothing stores is now a familiar one for many in the West.

With its seemingly insatiable appetite for European and American luxury brands, China accounts for more than a quarter of the global luxury market -- and that number is growing, according to market analysts like McKinsey & Co.

But the rising fashion credentials of the country's consumers is not the only reason people are talking about China on the sidelines of this season's runway shows in London and Paris. A new, young generation of Chinese fashion designers is causing a stir within stylish circles.

Read more: Will Chinese designers get left behind in China's fashion boom?

As Paris Fashion Week begins Tuesday, marking the culmination of the fashion world's twice-yearly dash between New York, London, Milan and Paris, these Chinese designers are yet again raising their profile in the traditional style capitals of the world.

One of those hoping to show that the flow of sartorial capital not only goes from West to East, but also vice versa, is Haizhen Wang. Originally from Dalian in northeast China, he trained at Central Saint Martins in London, graduating in 2005. Wang then came to the attention of the fashion world last year after winning the Fashion Fringe Award for young designers and was mentored by Burberry's chief creative officer, Christopher Bailey.

Like many of the emerging Chinese-born, Western-educated generation of designers, the influence of Wang's home culture on his work is subtle. While his collection was inspired mainly by gothic architecture, Wang says his Chinese roots underlie everything he produces.

Read more: 'Made in China' is finally cool

"Even if you can't see any obvious Oriental influences, like dragons for example, across my pieces, the man who made this collection -- me -- is Chinese and that will always be there, even though I was trained in the West."

Also epitomizing this new generation of Chinese designers is 29 year-old Huishan Zhang. He combines his Western training -- he spent a year with Dior in Paris -- with his Chinese heritage.

Tipped by international fashion insiders as the one to watch in 2013, his first collection -- stocked at London boutique Browns -- sold out within a month.

Zhang spends several months each year back in China, where he sources all his hand-sewn fabrics from near to where he grew up in Qingdao, on the eastern coast. He says that a big challenge for Chinese designers is convincing people that "Made in China" can mean high-quality.

"We are really trying to learn and show people what we are capable of," Zhang explains. He says China and the West can learn a lot from each other when it comes to design.

Zhang's Autumn-Winter 2013 collection incorporates some noticeable Chinese influences. One piece in particular provides more than a nod to China's recent history.

His version of the "Mao Suit," a staple symbol of uniformity under the Communist regime, has been updated with pink lace and diamante buttons and is the center-piece of his collection. Traditionally worn by men, Zhang says the piece partly represents giving "the power back to the woman and not the man".

As designers like Zhang tap into the changing social norms of Chinese society, so he and others are taking note of the evolving fashion tastes in the country. He notes how much things have changed since the Cultural Revolution of the 1960s and 1970s when China was largely cut off from the rest of the world.

"We now have this amazing opportunity to get in touch with the whole world," Zhang says. He explains that because Chinese people until fairly recently had very limited wardrobes, there is a now a huge hunger there for new fashion.

China is now such a key driver of global profit for the fashion industry that Burberry's stock price sank in early February after China announced it would ban advertising of luxury goods.

Tom Ford, the designer and film director whose name is almost synonymous with luxury and style, says he is closely watching how Chinese consumers are maturing. Ford observes that -- as in other emerging markets -- China is moving away from the initial lust for designer logos that tends to characterise the newly rich. "Tastes become quite refined and equalized with the rest of the luxury consumer all over the world ... I think that's really starting to happen in China and it's moving very quickly."

Angelica Cheung, founding editor of Vogue China, agrees that Chinese consumers have been on a huge learning curve over the last decade, and says her magazine has played a significant role in their sartorial education.

"We constantly emphasize the importance in knowing how to appreciate fashion, for example, we educate our readers on the history of couture and the great couturiers," Cheung explains. "These are all aspects that, due to historical circumstance in China, our readers had little exposure to previously." She adds that niche Chinese designers are doing increasingly well not because of patriotism, but because people appreciate their designs and their quality.

Haizhen Wang recognizes that his home country has huge market potential for him, but he feels that he still had to come to Europe in order to create his brand and get the training that would make big buyers take him seriously.

"China's education system has a long way to go before it can produce a designer capable of being a global brand and taking on the international market," he says. "I'm sure one day it will happen though."

Fashion legend Giorgio Armani seems to agree, recently declaring he was sure that sooner or later China would produce a designer who shows in London, Milan and Paris.

It might be a while before Beijing Fashion Week is taken as seriously as Paris by the fashion cognoscenti, but industry heavyweights are switching on to the fact that China is now firmly on the front row of global fashion.

@highlight

Chinese designers raising profiles in the traditional style capitals like London, Paris

@highlight

Haizhen Wang epitomizes subtle Chinese influences in Western-educated design generation

@highlight

China is key driver of global profit for fashion industry

@highlight

Chinese tastes moving away from flashy designer logos to be more refined