(CNN) -- Environmentalists are encouraged by President Barack Obama's focus this week on renewable energy and stricter emissions standards, although some economists are skeptical he can pull the country out of the recession while cleaning up the planet.

President Barack Obama with Transportation Secretary Ray LaHood and EPA Administrator Lisa Jackson.

Obama must strike a careful balance between stimulating the economy in the coming months and investing in the long-term future of the environment, said Raj Chetty, professor of economics at the University of California, Berkeley.

"If you spend money too quickly, you lose site of the long-term vision," Chetty told CNN. "If you focus too much on the long term, you may not act on spending money."

Framing his remarks with an eye on the recession, the president on Monday announced a plan for "a new energy economy that will build millions of jobs." Obama proposes to put 460,000 Americans to work through clean energy investments, increasing fuel efficiency in vehicles and reducing greenhouse gas emissions.

By 2025, the Obama administration hopes one-fourth of the nation's energy will come from renewable sources. Over the long term, the president hopes to create millions of new jobs by investing $150 billion in taxpayer money to help private companies develop new sources of clean energy, such as wind, solar and geothermal power.

It's about time, say scientists who often clashed with former President George W. Bush on environmental policy.

"By repowering our nation with clean energy, we will create millions of jobs that can't be sent overseas. By harnessing the energy of the sun and wind, we can refuel our nation and end our addiction to oil," said Wesley Warren, director of programs for the Natural Resources Defense Council.

Environmental scholars, however, say the changes Obama seeks are not easy.

"These technologies are not new. They have been around for 10 to 15 years," said Bill Chameides, dean of the Nicholas School of Environment at Duke University. "Government can push new policies, but it has to prove to be economically competitive or else it will not happen."

"It is going to require massive investments," said Joseph Romm, former acting assistant secretary of energy under the Clinton administration and senior fellow at the Center for American Progress. "The only question is, are we going to be the leader and export our technologies or a follower and continue importing our resources?"

Some economists question whether spending government money on new energy technologies is the best way to stimulate the economy in the short term.

Opponents of Obama's proposals say renewable energy would be expensive, take up large amounts of land, and might not even be able to generate sufficient energy given the aging infrastructure of the nation's electric grid.

"If the private sector will not invest in these technologies, it will not be efficient," said Alan Reynolds, senior fellow at the Cato Institute.

"Creating jobs by switching from one form of energy to another is a bad idea," he added. "You don't need subsidies for anything that is free. Getting a $7,000 rebate on a $100,000 plug-in electrical hybrid that gets its power from a coal plant doesn't make a lot of sense."

Several events in Washington this week underscored the Obama administration's commitment to environmental issues. Secretary of State Hillary Clinton on Monday named a special envoy to pursue global agreements combating global warming. On Wednesday, former Vice President Al Gore urged Congress to approve Obama's stimulus package and said the United States needs to join international talks on a climate-change treaty.

"For years our efforts to address the climate crisis have been undermined by the idea that we must chose between our planet and our way of life, between our moral duty and economic well-being these are false choices," Gore told the Senate Foreign Relations Committee.

"In fact, the solutions to the climate crisis are the same solutions that will address our economic and national crisis as well."

Obama may have science on his side. By overwhelming consensus, scientists agree that our warming planet poses a greater global threat with every passing day.

The replacement of current technology with energy generated from natural resources, such as sunlight and wind, could help reduce CO2 emissions by 50 percent by 2050, according to the International Energy Agency.

"Frankly the science is screaming at us," said Sen. John Kerry, chairman of the Senate Foreign Relations Committee, at Wednesday's hearing. "Carbon dioxide emissions grew at a rate of four times faster in the Bush administration than they did in the 1990s."

Even so, experts agree the faltering economy will complicate any discussion about investment in clean energy.

"The country is running two deficits," said David Orr, a professor of environmental studies and politics at Oberlin College, "the economy in the short term, which will take one to five years to figure out [and] the environment in the long term, which if we don't do anything about it will see catastrophic effects."

@highlight

Environmentalists are encouraged by President Obama's focus on renewable energy

@highlight

Some economists are skeptical he can fix the economy and the planet at once

@highlight

Scholar: Obama can push new policies, but they must be economically competitive

@highlight

President announced a plan for "a new energy economy" that will build jobs