(CNN) -- Gold mining might have become a booming industry in resource-rich Ghana, raking in billions of dollars every year, but that wealth has failed to trickle down to many of the country's rural poor who live on the land where the gold is mined from.

"Mining goes with a lot of myths, like it creates jobs, it brings development, it makes people's lives better," says Ghanaian activist and founder of the Wassa Association of Communities Affected by Mining (WACAM), Daniel Owusu-Koranteng.

"That is the first deception: that you are sitting on gold and somebody is going to mine it. You cannot imagine for once the person can take the gold away and leave you in a bad state," he adds.

Owusu-Koranteng has dedicated his life to championing the rights of Ghana's poor and helping communities that are adversely affected by large scale mining activity.

He launched WACAM in 1998 and since then has been traveling to rural areas across the country to help the residents negotiate with the large multinationals who mine the land on which they live.

Can Africa break its 'resource curse'?

The mining advocacy NGO works to help farmers obtain better compensation packages and raise awareness about the dangers to the environment. At the same time, it wants multinational companies to contribute to the sustainable development of the communities affected.

"It's a bad case because they are farmers and they're dependent on the farm lands for survival, so many of them are without regular source of income now," says Owusu-Koranteng.

The West African country is the continent's second largest producer of gold after South Africa. Its gold exports totaled $2.25 billion in 2008, up from $1.3 billion in the previous year, according to U.N. stats.

Former Ghana president: Fight poverty with wealth creation, not charity

The majority of the world's big gold mining companies are already operating in Ghana, with the precious commodity being the country's main foreign exchange earner, along with cocoa.

All this growth creates opportunities for both exploration and investment but also brings change to the largely rural, agrarian population.

"We also have a situation where our lands are taken over by mining," says Owusu-Koranteng. "They (the farmers) lost their jobs, their lands were gone, the river is polluted and the skills they had could not fit into the skills of the mining."

A tireless activist, Owusu Koranteng spends a lot of time on the road, joined by his wife Hannah who is also committed to the cause.

Together, they visit mining communities on a regular basis, offering education, training and legal support to the people at risk.

"When I go to the communities and they say they are hungry, I know what it is," says Owusu-Koranteng.

"When people have land and it's been taken away and they're not going to have anything to eat, I understand it," he adds.

Through his organization, Owusu-Koranteng is trying to educate and energize communities and their leaders to understand that they are all responsible for what they leave behind.

"We are a small group of thoughtful, committed people who want to change the world, who want to make a change, who want to make a difference. We think that once we have the truth with us, one day, this country will learn that we need to manage our resources well for generations yet to come and that we shouldn't become a selfish generation," he says.

"The gold and the earth does not belong to this generation -- it belongs to the generations yet to come. That is what we should understand and we cannot mess it up," he adds.

Teo Kermeliotis contributed to this report.

@highlight

Daniel Owusu-Koranteng is founder of a mining advocacy group WACAM

@highlight

The group offers education, training and legal support to people affected by large scale mining

@highlight

Ghana is Africa's second largest producer of gold after South Africa