The numbers are arresting.

If Americans under correctional supervision counted as a city of their own, they would form the largest city in the United States after New York.

The number of people in prison, on parole or on probation, 6.9 million Americans,  exceeds the populations of the second- and third-largest cities, Los Angeles and Chicago, combined. Or the size of the next four -- Houston, Philadelphia, Phoenix and San Antonio -- put together.

Thirty-eight U.S. states are home to fewer people than live under the corrections system in this country. There are about as many people behind bars as live in Chicago. That's one in every 108  Americans. One in 35 are under some form of correctional supervision.

Among African Americans, the numbers are even more horrifying. According to the NAACP,  one in three black males born in the United States today is likely to spend time in prison at some point in his life. That's compared with one in six Hispanic males or one in 25 white males.

It would be hard to overstate the scale of this tragedy. For a nation that loves freedom and cherishes our rights to life, liberty and the pursuit of happiness, the situation should be intolerable. It is destroying lives and communities.

Our corrections system is not correcting. Within three years of being released from prison, nearly half of prisoners are convicted of another crime with one out of every four ending up back in prison.

When a typical bureaucracy does its job this badly, it wastes money, time and paper. The corrections bureaucracy, in failing to correct the large majority of inmates in its charge, not only wastes money but also wastes lives, families and entire cities.

The current system is broken beyond repair. It's a human, social and financial disaster. We need a radical strategy of replacement of these huge bureaucracies that lack any meaningful oversight.

A number of states, most recently Mississippi, have already begun to take important first steps by directing nonviolent offenders to community supervision and other forms of correction. These measures keep violent offenders off the streets and lesser offenders out of prison, where too often the only education they receive is how to become a more hardened criminal.

In Hawaii, Judge Steven Alm has pioneered a model of probation enforcement that has dramatically reduced violations through consequences that are immediate, predictable and proportionate.

New York City created a social impact bond to finance prisoner rehabilitation programs run by a nonprofit organization. They will pay out to investors based on savings from a decline in recidivism.

There are no doubt countless similar reforms that would reduce rates of incarceration, and we should pursue them. But it is also time for more fundamental changes. We need to rethink prisons, parole and probation for the 21st century.

At a time when high-quality education is increasingly digital and in many cases free, shouldn't we provide opportunities for prisoners to learn skills that will enable them to support themselves as upstanding citizens when they are released?

We know that inmates who earn a GED while incarcerated are substantially less likely to return to prison. There are readily available online tools that our prisons could use extensively for a minimal cost to increase the number of inmates receiving valuable education and skills training.

Khan Academy has replicated virtually the entire K-12 curriculum online for free. Udacity and other online education sites offer introductions to software programming for free. Our prisons should be using tools such as these extensively. They offer the opportunity to interrupt the cycle of poverty, a failing education system, crime and incarceration.

At most prisons, however, inmates would never be allowed to spend eight hours a day working on educational courses and are instead forced to mill about their cells with little or nothing to occupy their time.

Of course, there are significant barriers for convicted felons to get jobs even with education programs. But without some training, it's almost impossible for many. And with tight budgets and increasing prison populations, states have already been cutting back on the rehabilitation component.

Technology should revolutionize more than just the prisons' rehabilitation programs. It should completely transform the corrections and criminal justice systems.

Van is involved in a computer science education initiative for urban youth called #YesWeCode, which in February held a "hackathon" with students in Oakland, California. One of the hacks the kids came up with was an app to remind them of their court dates.

It's sad, but in an age when the dentist's office calls automatically to remind us of appointments, shouldn't the court system do that as well if it prevents kids from spending time in jail?

Similarly, technology should enable much more effective probation and community supervision, especially new options that could allow nonviolent offenders to remain with their families living productive lives under an appropriate level of restriction.

Almost any activity to which we might sentence low-level offenders --apprenticeship programs, school, literacy or computer science boot camps, community service -- would be a better use of taxpayer dollars than sticking them idle in prison with hardened criminals.

Unfortunately, the current corrections bureaucracy has embraced none of this innovation -- in part because it is captive to the prison guards' unions or the private prison lobby, and in part because it lacks any incentives or sufficient competition based on the right metrics.

The incarceration industry has grown into a billion dollar industry, with corrections being among the most expensive budget items in many states, increasingly outpacing what they spend on higher education.

Opinion: Justice system is failing young black men

Years ago, Van proposed that states give wardens a financial incentive to cut the rates of recidivism for inmates leaving their prisons. More than 65% of inmates in California return to prison within three years of their release, where they will again cost taxpayers an average of $47,000 each year.

Surely it is worth giving wardens a substantial portion of the savings for every inmate that leaves their prison and does not re-offend. Such incentives would spark dramatically more innovation and investment in rehabilitation, job training and job placement programs for prisoners. That would be a revolutionary change from prison administrators' current incentives, which are often to keep as many people in custody as possible.

Finally, we need real market competition that rewards success at every step of the process -- in probation and parole offices as well as prisons. That doesn't just mean privatizing prisons or rewarding probation services with the same failed metrics.

We need competition of methods and ideas based on the right criteria: When we send prisoners home, do they have the skills to reintegrate in their communities as working, law-abiding citizens? Or do they end up coming back?

With more than 2 million of our fellow citizens in prison and millions more in danger of returning, Americans on both the left and the right should be able to agree on the need to replace our broken corrections system and work together to do so.

Through Rebuild the Dream's #Cut50 initiative, at CNN's "Crossfire" and elsewhere, we will be working together to explore ways to reduce the prison population substantially in the next decade.

We should start by opening our prisons and probation offices to innovation to save money, achieve better outcomes for individuals and ensure better safety for us all.

@highlight

A vast number of Americans are behind bars or under correctional supervision

@highlight

Gingrich, Jones: The prison system doesn't work; it turns out more hardened criminals

@highlight

They say radical innovation is needed to make prisons focus on rehabilitation

@highlight

Authors: Online education should be used; wardens should be incented to improve results