LONDON, England (CNN) -- An eco-friendly French boat is hoping to successfully cross the perilous Arctic sea passage that links the Atlantic Ocean with the Pacific.

The old tug-boat, Le Manguier, has been converted into an eco-friendly vessel with three sails and solar panels.

"Le Manguier" is attempting to navigate the icy, unpredictable Northern Sea Route, a 6,000 mile passage that skims the northern coast of Siberia.

It is a trip that only a handful of leisure boats in history have successfully completed.

Not only that, the modified tug boat is also attempting to do it ecologically.

The boat's crew is relying partly on wind-power to complete the route, parts of which are only free of ice for two short months during the Arctic summer.

Three sails have been added to the tug boat, which normally runs on gas-guzzling motors.

"'Le Manguier' was the opposite of the ecological vessel," Philippe Hercher, captain and part-owner of the boat told CNN.

"What we wanted to do was create a symbol and show that even this type of boat can diversify its energy sources -- even in the most extreme conditions."

Conditions on the route are treacherous: Vessels that enter its waters at the wrong time can get trapped in thick ice for months in temperatures that go as low as -50C.

Ironically for the eco-expedition, it is receding ice levels, thought to be caused by global warming, that has crossing the passage a possibility once again in the last few years.

The voyage, which is projected to take about six months, started in the South of France in April and, if they make it through the route successfully, will end in Japan.

The crew's other ecological concessions include relying on solar panels for electricity and warm water, using only long-lasting LED light bulbs and eating only organic products during their journey.

On-board are seven adults and two children, including a painter, two writers, a scientist and a historian.

Currently, the team's primary concern is not the fear of being trapped in ice and being forced to "hibernate" in Siberia's frigid temperatures, but getting the required paperwork in time before the approaching colder months, which cause ice to harden in the passage.

"Le Manguier" is in Tromso, Norway waiting for the green light from the Russian government, which rarely allows non-Russian vessels to enter the passage.

Russian reluctance may stem from the time of the Russian revolution in 1917, after which the Soviet Union was isolated from the West.

The Northern Sea Route, which is the shortest passage between the West and the Far East, was also the only water the Russians could navigate without possible foreign interference.

Luckily, the crew have help from veteran sailors in their race against the clock: Scientist Eric Brossier and sailor and France Pinczon Du Del who successfully sailed the Northern Sea Route during the first ever circumnavigation of the glacial Arctic Ocean in 2002.

In the meantime, "Le Mangier" is gaining increasing popularity with every port-of-call. The group is publicizing the cause; inviting school children, academics and other tug boat sailors for workshops and tours of the boat.

"The most difficult challenge seems to be convincing hardened tug boat captains to partially switch to wind power," said Judith Puzzuoli, who is in charge of communication and press for "Le Manguier." "But change doesn't happen in a day."

Like Puzzuoli, each member of the team is responsible for delivering the message in a different way. Two books, written in the style of travel journals are in the works and a documentary is currently being filmed.

Even the children have an important role -- reminding the adults why their mission is important. "I get the feeling that the two girls are really discovering life on this boat. They are learning to live simply, but beautifully."

@highlight

An eco-friendly French boat is attempting to cross the Northern Sea Route

@highlight

Six-month voyage hoping to travel Arctic waters above Siberia to get to Japan

@highlight

Boats can be trapped in ice for months in temperatures that go as low as -50C

@highlight

The tug boat has been modified with three sails and solar panels