President Barack Obama and Israeli Prime Minister Benjamin Netanyahu said Monday they stand together in their efforts to prevent Iran from obtaining a nuclear weapon, but Netanyahu warned that time for diplomacy was running short.

The two leaders met at the White House to discuss Iran's nuclear program and other Middle East issues amid talk speculation that Israel may attack nuclear sites in Iran. Speaking to the influential American Israel Public Affairs Committee afterward, Netanyahu said Iranian research "continues to march forward" despite painful economic sanctions imposed on the Islamic republic.

"My friends, Israel has waited patiently waited for the international community to resolve this issue. We've waited for diplomacy to work," Netanyahu said.

"We've waited for sanctions to work," he said. "None of us can afford to wait much longer. As prime minister of Israel, I will never let my people live in the shadow of annihilation."

Amanpour: What is at stake as leaders meet?

Before the two leaders met at the White House, Obama told reporters that both he and Netanyahu would prefer a diplomatic solution to the Iranian issue. But Obama also repeated the warning that he delivered at AIPAC's annual conference in Washington on Sunday -- that military force remains an option to prevent Iran from becoming a nuclear power.

"The United States will always have Israel's back when it comes to Israel's security," Obama said, repeating a line from the Sunday speech as Netanyahu nodded in agreement.

"I reserve all options and my policy here is not going to be one of containment; my policy is prevention of Iran obtaining nuclear weapons and, as I indicated yesterday in my speech, when I say all options are on the table, I mean it," Obama added.

Netanyahu said he welcomed Obama's "strong speech" on Sunday and noted that Iran considers the United States and Israel to be similar foes.

"For them, you're the great Satan, we're the little Satan," Netanyahu said. "For them, we are you, and you are us. And you know something, Mr. President? At least on this last point, I think they're right. We are you, and you are us. We're together. ... Israel and America stand together."

Netanyahu insisted that Israel will remain "the master of its fate" in ensuring that Iran not obtain a nuclear weapon.

"Israel must reserve the right to defend itself, and after all, that's the very purpose of the Jewish state: to restore to the Jewish people control over our destiny," Netanyahu said.

Blitzer's blog: What does Israel really want?

Tehran has insisted that its nuclear program is solely for peaceful purposes. U.S. and Israeli officials have said they suspect that Iran is trying to develop a nuclear weapon. Both have said they will act to prevent that from occurring.

Earlier Monday, the head of the International Atomic Energy Agency, Director General Yukiya Amano, reiterated agency statements that it cannot say whether Iran's nuclear program is peaceful.

Amano said the IAEA  "continues to have serious concerns regarding possible military dimensions."

Monday's White House meeting lasted for two hours, with the leaders then taking part in a working lunch with their delegations, according to senior U.S. administration officials who spoke on condition of not being identified.

Late Monday, the White House released a statement on the meeting, echoing many of the same themes touched on earlier in the day. Obama "reiterated the United States' commitment to pursuing a strategy of principled diplomacy, backed by unprecedented pressure, including the additional sanctions that are taking hold on the Iranian regime," the statement read.

During the meeting, Netanyahu was expected to press Obama for clarity on what would constitute the "red line" on nuclear arms that would cause the United States to strike Iran.

However, the senior administration officials said Israel did not expect the Obama administration to shift from its stance that opposes Iran obtaining a nuclear weapon, compared with Israel's opposition to Iran gaining even the capability of developing a nuclear weapon.

Obama, meanwhile, was considered likely to push Israel to refrain from any military action on its own in order to give diplomacy and expanded sanctions against Iran a full chance to resolve the issue. He will hold a news conference on Tuesday.

Obama is under criticism over his Iran policy from Republican opponents, including the leading GOP contenders to run against him in November's U.S. elections. Republicans call for a stronger public stance against the possibility of Iran developing a nuclear weapon.

Accusing the White House of embracing a policy of "appeasement" toward Iran, GOP presidential candidate Rick Santorum said the president has "turned his back on the state of Israel."

He said Obama is "all talk and no action" on the matter of Iran and its putative nuclear aspirations. Santorum made the comments in Westerville, a suburb of Columbus, during his final push through the state before Tuesday's Ohio primary.

Speaking Sunday to AIPAC, Obama warned that "all elements of American power" remain an option to prevent Iran from developing nuclear weapons, though the president also made clear that he prefers diplomacy over war.

"Too much loose talk of war with Iran" only benefits the Iranian government by driving up the price of oil, Obama said to the pro-Israel lobby group.

Obama said his policy is not containment of a nuclear Iran but preventing Iran from obtaining a nuclear weapon. At the same time, he emphasized that Iran "should not doubt Israel's sovereign right to make its own decisions about what is required to meet its security needs."

While Obama's statements are consistent with his past pronouncements, his specific reference to preventing Iran from developing a nuclear weapon -- rather than the capability of building a nuclear weapon -- maintained what some consider to be a difference between his and Netanyahu's position.

Israeli officials say that if Iran were to become able to enrich weapons-grade uranium, it would potentially cross the "red line" of nuclear weapons capability that Israel fears.

In a statement issued Sunday after Obama's speech, Netanyahu expressed appreciation for the president's position that all options are on the table to prevent Iran from developing a nuclear weapon.

"I also appreciated the fact that he made clear that, when it comes to a nuclear-armed Iran, containment is simply not an option," Netanyahu said, "and equally, in my judgment, perhaps most important of all, I appreciated the fact that he said that Israel must be able to defend itself, by itself, against any threat."

@highlight

" None of us can afford to wait much longer," Netanyahu warns

@highlight

Obama supports "principled diplomacy, backed by unprecedented pressure"

@highlight

"I mean it," the U.S. president says of a possible military option

@highlight

The prime minister says Israel has the right to defend itself against Iranian threats