(CNN) -- During the Arab Spring, Hillary Clinton heralded Al-Jazeera's coverage of momentous events in Egypt in 2011.

"Like it or hate it, it is really effective," Clinton said of the network at a congressional hearing while she was secretary of state.

She went on to decry "a million commercials" and "arguments between talking heads," and "the kind of stuff that we do on our news that is not providing information to us."

The remarks primarily pointed out the growing influence Al-Jazeera was having on American viewers. But behind that, Clinton's testimony was a top-down critique of U.S. media.

"Her comments went to the heart of the way the media structure works," Brian Stelter, host of CNN's "Reliable Sources," said.

And for her, they are again quite relevant.

Hillary Clinton is thinking about running for president, a candidacy -- and possible administration -- that would no doubt intensify the already close and sometimes sensational scrutiny of her and her husband.

For Bill and Hillary Clinton, their view on the state of journalism in the United States comes from a place of deep knowledge and exposure. And like many who have been in the spotlight for a prolonged period, it's a love-hate thing.

Bill Clinton speaks out

A focus of national media speculation, debate and fascination for 25 years, their relationship with the press has ebbed and flowed. But on the whole, they have long questioned and doubted its motives.

And over the past two weeks, both Clintons have let it be known those feelings still exist.

On Wednesday at his alma mater, Georgetown University, Bill Clinton faulted journalists for how they covered policy issues, saying it is "dimly understood" and often "disconnected from the consequences of the policies being implemented" because of journalists.

Bill Clinton plays professor, blasts media in Georgetown speech

"If a policymaker is a political leader and is covered primarily by the political press, there is a craving that borders on addictive to have a storyline," said Clinton as his wife looked on. "And then once people settle on the storyline, there is a craving that borders on blindness to shoehorn every fact, every development, everything that happens into the story line, even if it's not the story."

Last week, Hillary Clinton leveled an equally biting media critique, telling an audience at the University of Connecticut that "journalism has changed quite a bit in a way that is not good for the country and not good for journalism."

Hillary Clinton: Today's media is more entertainment, less facts

"A lot of serious news reporting has become more entertainment driven and more opinion-driven as opposed to factual," she said. "People book onto the shows, political figures, commentators who will be controversial who will be provocative because it's a good show. You might not learn anything but you might be entertained and I think that's just become an unfortunate pattern that I wish could be broken."

Common for politicians

This feeling among politicians is par for the course, said Paul Begala, a longtime Clinton confidant who attended Wednesday's speech.

"It is an occupational hazard and it comes with the territory," said Begala, a CNN contributor. "I don't think it is any different for him than it was with President Obama, President Bush or President Reagan."

Stelter echoed that sentiment. "If you put (either of the Clinton's quotes) in front of either President Bush, they would agree with most of the comments."

From Whitewater to draft-dodging allegations to Monica Lewinsky, the media spotlight on the Clintons during their time in the White House was intense, and it affected them.

For most of the eight years of the Clinton administration from 1993-2001, the couple and their advisers worried about the "vast right-wing conspiracy" that they feared aimed to take them down.

According to Clinton Library documents released by the National Archives, those feelings largely stemmed from the rise of the Internet and conservative blogs and chat rooms.

The late Diane Blair, a longtime Clinton confidant and friend, kept a detailed diary of her exchanges with the first lady. According to Blair, whose personal documents gained media attention earlier this year, Clinton regularly expressed frustration and a deep distrust of the media.

Confidant's diary: Clinton wanted to keep records for 'revenge'

In January 1995, Blair wrote that Clinton expressed "her total exasperation with all this obsession and attention, and how hard she's finding to conceal her contempt for it all."

The most apparent next flashpoint on the relationship between the media and the Clintons came during Hillary's 2008 race for the White House.

Late into the Democratic primary process as it became clear that Barack Obama had the momentum, the Clinton campaign's view of the media began to sour.

The former President publicly and privately railed against what he called "the most biased coverage in history," and both Clintons complained of what they believed to be a pervasive sexism dominating the campaign narrative.

Bill Clinton even publicly called one campaign reporter "sleazy" and "a really dishonest reporter."

What's ahead?

Now with Hillary Clinton admittedly "thinking" about a 2016 run, the question remains as to how her relationship with the media -- and its deep history -- could affect any campaign.

Stelter thinks these latest tweaks of the media could be an attempt to "work the refs."

"The Clintons have been choosing to go there," concluded Stelter. "I do think one partial explanation has to do with any future campaign that we may see from Hillary Clinton."

@highlight

Suspicions of the media by the Clintons is nothing new

@highlight

But there's new relevancy with Hillary Clinton thinking about a White House run

@highlight

The two have made comments recently critical of news coverage