Washington (CNN) -- The weirdest campaign ad of this season -- maybe any season -- debuted on the Internet this past week. The ad has been nicknamed, "Demon Sheep," and can be viewed here.

The ad is an opening salvo in what will could prove the most expensive Senate race in U.S. history. The incumbent, Barbara Boxer, has always been the less popular of California's two Democratic senators. Boxer now looks vulnerable. Two Republicans declared early for the nomination against Boxer: state Sen. Chuck DeVore and former Hewlett Packard CEO Carly Fiorina.

Fiorina took an early lead. But her performance on the campaign trail disheartened many of her supporters. Worse, Fiorina never developed a good answer to the questions about her business career. Portfolio magazine had dubbed Fiorina one of the 20 worst CEOs of all time after a disastrous merger with Compaq.

Fiorina was fired in 2005 after company stock dropped 60 percent in a year. She herself walked away with a payday estimated as high as $40 million. That history was tough to explain to hard-pressed voters.

Facing an intensifying risk of self-inflicted defeat in a winnable race, party leaders and donors enticed former state budget director Tom Campbell into the race. Campbell immediately stepped into first place in the polls, five points ahead of Fiorina, 15 ahead of DeVore. The "demon sheep" ad was Fiorina's attempt to head Campbell off at the pass.

No description can do justice to the ad's low-budget strangeness. The ad presents Campbell as a dangerous predator with glowing red eyes, preying upon Fiorina's flock. Never mind that it's not usually smart tactics to represent the voters as dim-witted sheep. The more urgent question for California Republicans is this: What should they make of the substance of Fiorina's attack on Campbell?

Here's the former front-runner's case:

Campbell presents himself as a committed fiscal conservative. In fact, however, he's a career politician largely responsible for the state's budget crisis. He helped write the 2005 California budget, which contained a big jump in state spending. He called for raising the gas tax and for sales taxes on Internet purchases. And he refused to sign the famous no-tax-increase pledge presented to all candidates by the Washington lobbying group, Americans for Tax Reform. He's not the pure-hearted fiscal conservative admired by his backers: Instead Campbell is "Taxing Tom," a "FCINO": fiscal conservative in name only.

What's the truth?

To anyone familiar with the Campbell record, it seems crazy that anybody would charge him with insufficient commitment to free-market causes. Campbell wrote an economics dissertation under Milton Friedman at the University of Chicago. He ran the competition bureau at the Federal Trade Commission during the Reagan administration. Elected to Congress from Palo Alto, California, in 1988, re-elected four times, he amassed one of the most taxpayer-friendly voting records in the House of Representatives.

That was the record that inspired California Gov. Arnold Schwarzenegger to hire Campbell as state budget director in 2005.

California's budget position was already desperate when Campbell took the job.

• The teachers' union had pushed through a ballot measure that directed 40 percent of all state spending to schools -- meaning every time Medicaid spending rose, the schools got a raise too.

• California's "three-strikes" law -- life in prison after a third felony conviction -- had filled the state's correctional institutions with doddering old crooks confined forever at taxpayer expense.

• Reckless union contracts had pushed public-sector pay and benefits to astounding heights: over $100,000 for some prison guards.

• Illegal immigration played havoc with state finances. Illegal immigrants paid very little tax, but imposed as much on the state's roads, hospitals, schools, and prisons as anybody else.

Gov. Schwarzenegger and director Campbell tried to address these constitutionally imposed dysfunctions in a 2005 ballot measure. The initiative would have enhanced the governor's powers to cut spending growth, nullified the 40 percent guarantee to schools, and imposed across the board spending cuts if spending outpaced revenues.

The measure, Proposition 76, was California's last clear chance to avert the state's present budget crisis. It was rejected.

California has now plunged into the crisis that Schwarzenegger and Campbell foresaw and attempted to forestall. California is constitutionally required to balance its budget. Without the powers contained in Prop 76, Schwarzenegger and Campbell had to make the best deal they could with the state's interest-group dominated Democratic legislature.

Under those awful circumstances, an increase in the gas tax was among the state's least bad alternatives. Campbell responsibly and courageously endorsed it, just as a surgeon operates on a heart patient who had earlier rejected advice to reduce his cholesterol.

Fiorina's ad poses a powerful question. What does it mean to be a fiscal conservative?

Fiorina criticizes Campbell for declining to sign a no-tax-increase pledge. Of course, Republicans have been enthusiastically signing that pledge for almost two decades now. The pledge did not stop them from spending money profusely. In fact it has turned out that a no-tax pledge can actually incentivize spending, by creating a ready-made excuse for the ensuing deficits.

Fiorina's ad asks an apt question: What does it mean to be a fiscal conservative in the midst of the worst deficits and debts since World War II? Here are the tests I'd be considering if I were a California voter:

• What's your record of controlling government spending?

• What are your specific plans for controlling spending in future?

• In particular, how will you restrain the growth of Medicare and Medicaid -- the two main drivers of federal spending?

A candidate who can answer those questions with credibility can claim to be a fiscal conservative in something more than name. A candidate who offers only a pledge not to increase taxes to pay for the spending for which he or she votes? That candidate is just another Republican sheep.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Carly Fiorina released the "demon sheep" ad in California race for U.S. Senate

@highlight

David Frum says it may be the strangest campaign ad ever

@highlight

He says she's unfairly targeting Tom Campbell as a fiscal conservative in name only

@highlight

Frum says Campbell acted responsibly to try to head off the fiscal crisis California is now in