KATHMANDU, Nepal (CNN) -- Bhutanese refugees began arriving in the United States on Tuesday, the first wave of what the United Nations describes as one of the world's largest resettlement efforts.

The U.S. has offered to resettle 60,000 of the estimated 107,000 Bhutanese refugees of Nepalese origin now living in seven U.N. camps in southeastern Nepal -- their home for the past 17 years. Six other nations -- Australia, Canada, Norway, Netherlands, New Zealand and Denmark -- have offered to resettle 10,000 each.

"Once they arrive, they will be sent to different cities around the U.S.," said David Derthick, a spokesman for the International Organization for Migration, which is screening and transporting the refugees.

The first group, arriving throughout the week, includes 121 refugees. They are being sent to New York; Chicago, Illinois; Syracuse, New York; St. Louis, Missouri; and other cities, the International Organization for Migration said.

The United Nations said several families had arrived in New York as of Tuesday, and more are en route to locations in Texas, Arizona and Maryland.

So far, however, only about 25,000 of the refugees have registered for resettlement, according to the U.N. High Commissioner for Refugees Web site, and not many more than 10,000 are expected to leave Nepal by the end of the year.

Bhutan, wedged between China and India, is a Buddhist kingdom about half the size of the U.S. state of Indiana. It's considered one of the world's most isolated countries and the government strictly regulates foreign influences, including tourism, to preserve the country's Buddhist culture.  See Bhutan on a map »

The country had no electricity, paved roads, cars, telephones or postal service until the 1960s. It allowed access to television and the Internet only in 1999.

Bhutan stripped the minority ethnic Nepalis of their citizenship and forced them into exile in the early 1990s, allegedly in an attempt to ensure a homogenous culture, according to the independent, nongovernmental group Human Rights Watch. Many of the Nepalis have taken up arms and joined with violent Maoist rebels, the group said.

The refugees claim they were forced to leave Bhutan by security forces, but Bhutan has disputed whether all are truly refugees.

Some 15 rounds of talks between Nepal and Bhutan have failed to resolve the issue.

The United States' resettlement plan has divided the refugee community, as members disagree over whether it is best to resettle in the United States or hang onto hopes of returning to Bhutan.

A report posted on the UNHCR Web site quotes refugees who have chosen to go to the United States.

"We chose to resettle because there was no other outlet," said refugee Jay Narayan Adhikari. "Talks between Nepal and Bhutan have produced no results."

"Everyone says 'America, America, America,' but I don't know much about it," said his wife, Sita, according to the U.N. report. "It's only for the sake of the children that we are ready to go."

Nearby, the Bajgai family was separating because of its large size. Three children were leaving first, to be joined by the others later, the report said. Two of the daughters were crying as they packed their bags, but their mother told them: "Why are you crying? We have nothing here anyway. We will join you soon. Our future will be brighter there."

Of the 25,000 who have registered for resettlement, more than 12,000 names have been submitted for consideration for host countries, mainly the United States, the UNHCR said. More refugees are expected to register after they hear how those in the first group have been integrated into new homes, it said.

Bhutan became the world's newest democracy on Monday when an election ended more than 100 years of royal rule in the South Asian nation.  Watch Bhutanese line up to vote »

Officials in Bhutan declared the first elections in the Himalayan kingdom a resounding success.

Officials said 79.4 percent of the country's 318,465 registered voters went to the polls -- a surprisingly large turnout for a populace that had largely said they preferred to remain under the rule of their revered king.

But many Bhutanese changed their minds after former King Jigme Singye Wangchuck went around the country pitching his case for the elections. E-mail to a friend

CNN's Manesh Shrestha contributed to this report.

@highlight

First group, 121 refugees, arrives to resettle in New York, Chicago, other cities

@highlight

U.S. has agreed to take 60,000 refugees; six other nations taking 10,000 each

@highlight

Refugees are ethnic Nepalis who were forced into exile, human rights group says

@highlight

Some refugees don't want to come to U.S., still hoping to return to Bhutan