(CNN) -- It all started with ice cream.

"I saw a long line of people waiting for a free scoop at the Baskin Robbins next to my store," said Joe Field, owner and operator of Flying Colors Comics & Other Cool Stuff in Concord, California. "Knowing that comics are even cooler than ice cream, I was convinced that publishers, retailers and our major distributor, Diamond, could all band together to do something powerful to attract people of all ages and interests to check out their local comics shops."

Thus, Free Comic Book Day was born. It was during a tough time for the comic book industry. The first one came in 2002, the same year "Spider-Man" became a blockbuster in theaters. Just six years earlier, however, Marvel Comics filed for bankruptcy, and comic books had been struggling ever since.

The idea of Free Comic Book Day is simple: Publishers put out one or two comic books each year for free on the first Saturday in May for the 300,000 to 500,000 customers who show up at local comic book stores.

Saturday's event will be the 10th. Store owners like Kyle Puttkammer, of Georgia's Galactic Quest, see it as a big success. "It's the biggest sales day of the year for us, and many people discover us for the first time," he said.

Many store owners make the day into an all-out event.

Puttkammer plans to have an '80s cover band, a replica of the 1960s Batmobile and actors from AMC's zombie-themed TV show "The Walking Dead," among other things, at his two stores.

At Earth 2 Comics in Los Angeles, customers will be able to meet popular writer and DC Comics Chief Creative Officer Geoff Johns.

"I consider it to be like a national holiday celebrating comic books, where the industry metaphorically opens their doors to the public," said Valerie D'Orazio, editor of MTV Geek. "Gaining new -- and especially younger -- readers is absolutely crucial to the health of the comic book industry, now more than ever before."

Comic book publishers usually offer titles with storylines that can be easily followed and, in many cases, issues aimed at younger readers. "We try to make them as new-reader-friendly as possible," said Axel Alonso, editor-in-chief at Marvel Comics. "We usually don't push the envelope in terms of content."

"Our hope is that the comic books that fans pick up on Free Comic Book Day, for a lot of them, might be their first one," DC Comics co-Publisher Jim Lee said, explaining how it chooses which issues to offer. "We want to take a character that's well-known and accessible to the readership and at the same time, tie in to some of the future plans we have for publishing."

"When I was growing up, there were comics in the barber shop. Not any more," said Bob Bretall of the Comic Book Page podcast. "Today, comics are mostly in specialty comics shops. They are not anyplace that a kid is likely to see them by happenstance, so having an event that will draw people to the 'few and far between' locations that offer comics is crucial to getting this key demographic interested in comics."

According to trend-watching magazine ICv2, the industry is starting to see growth. "ICv2 has tracked industry sales since 2005, when North American comic and graphic novel sales were $565 million," Publisher Milton Griepp said. "In 2009, industry sales were $680 million."

"We anticipated that this year's event would be the biggest ever based on the best selection ever of free comics based on well-known properties, and based on the record orders for comics to be give away, it will be," he added.

So why is "FCBD" so highly anticipated this year? Here's what some of the major publishers have on tap for Saturday's big event:

Marvel Comics

Marvel's superheroes have had movies in theaters over the weekend of "FCBD" for several years now. This year, it's "Thor," and this year's free comic is an all-ages story starring Thor and Captain America (who has his own movie in July), entitled "Captain America/Thor: The Mighty Fighting Avengers."

Alonso compares it to "a Pixar movie that's accessible for adults and children. It's meant to be a jumping-on point into comics, essentially."

The "Spider Island" story arc is going to be big for the company this year, and so many fans, as well as new readers, will probably seek out the free "Amazing Spider-Man" comic, by Dan Slott and Humberto Ramos, that ties into it. "It's two of our top talents on a full-length story," Alonso said.

DC Comics

Not to be outdone, one of DC's characters is headed to the big screen for the first time next month, and "Green Lantern Special Edition" will be a hot issue this year. It also includes a preview of the big crossover "Flashpoint."

"We've seen some orders that have been better in the past than Free Comic Book Day," co-Publisher Dan DiDio said. "The preview of 'Flashpoint' is exciting a lot of our retailers."

DC will also offer a "Young Justice/Batman: Brave and the Bold" issue aimed at young readers, based on the two animated series on Cartoon Network (both Cartoon Network and DC are owned by Time Warner, which also owns CNN).

Dark Horse Comics

The company best known for "Hellboy," as well as the adaptations of "Star Wars" and "Buffy the Vampire Slayer," will also be aiming for readers of all ages with an issue that features "Avatar: The Last Airbender" and "Star Wars: The Clone Wars."

"We have an expanded library of 'Star Wars: Clones Wars' comics but are just beginning our Last Airbender program," Editor Sierra Hahn said. "I think we're constantly trying to find material that will appeal to younger readers. When you discover something you love at a young age, chances are you'll stick by it through adulthood, and the material will age with you."

Like many of the other companies, it also has something for older readers in two horror comics, "Baltimore" from "Hellboy" creator Mike Mignola and "Criminal Macabre."

Image Comics

"The Walking Dead" has been a runaway hit for this company in recent years, but its "FCBD" offering is decidedly tamer in the "Super Dinosaur Origin Special," written by "Dead" creator Robert Kirkman.

"Super Dinosaur" made its debut in stores last month, and the company hopes Kirkman will hit another home run, this time with a broader audience.

"Whether you're talking comics or movies or music or television -- any form of entertainment -- a graying fan base is going to be your undoing just through attrition," Publisher Eric Stephenson said. "You have to continually find ways to appeal to a younger audience, and I think what Joe Field has come up with Free Comic Book Day is a great way of doing that."

IDW Publishing

It made its name with licensed properties like "True Blood," Transformers," "G.I. Joe" and "Doctor Who," and this year, IDW is offering up an original issue of its cult hit "Locke & Key."

"It was recently nominated for four Eisner awards," CEO and Publisher Ted Adams said. "Fox just shot a pilot for it, and hopefully it will be on air this fall."

"Locke & Key" is usually intended for mature audiences, but this issue is different: "We purposefully chose a story that was all ages. It's an action-based story, so it's OK for kids, but the actual book is intended for adults."

No matter their ages, Adams, like others in the industry, hopes readers will enjoy Saturday's festivities at their nearby comic book store: "It's sort of like Christmas and Halloween and Thanksgiving rolled into one."

@highlight

Free Comic Book Day celebrating its 10th year Saturday

@highlight

Comic publishers and store owners aim for new, younger readers

@highlight

Issues often tie in to major events in comics and on the big screen