(CNN) -- Every day, refugees and migrants risk their lives as they seek a new life. Now, a new report from the International Organization for Migration has put a figure to the number of victims: at least 40,000 deaths since 2000.

More than half of those who died -- some 22,000 -- were trying to get to Europe, the IOM said.

Nearly 6,000 more migrant deaths occurred along the U.S.-Mexico border and another 3,000 deaths from migration routes including Africa's Sahara Desert and the waters of the Indian Ocean, according to the group's research.

"Our message is blunt: migrants are dying who need not," said IOM Director General William Lacy Swing.

"It is time to do more than count the number of victims. It is time to engage the world to stop this violence against desperate migrants."

The IOM report, published Monday and titled "Fatal Journeys -- Tracking Lives Lost during Migration," puts the number of those killed trying to reach Europe at nearly 4,000 since the start of 2013.

More than three-quarters of those victims died in the first nine months of this year, many of them drowning after being trafficked in unseaworthy vessels from the shores of the Middle East and North Africa across the Mediterranean.

Two shipwrecks off the tiny Italian island of Lampedusa last October, in which more than 400 migrants died, made headlines around the world and prompted calls for action.

Italy's navy launched Operation Mare Nostrum to try to find and rescue stranded migrants. Nonetheless, there have been many more shipwrecks and many more deaths in the year since.

Just this month, witnesses told the IOM that as many as 500 people had died, including women and children, when human traffickers intentionally sunk their boat in the Mediterranean off Malta. Only 11 survivors have been found.

Some of those on board were fleeing conflict in Syria or Gaza; others were looking for the chance to escape persecution or poverty and build a better life.

Eritreans and Syrians made up the largest number of those arriving in Italy so far this year, the IOM said.

Italian navy finds dozens of bodies in migrant boat

Amnesty International: 'Survival test'

Rights group Amnesty International released a new report Tuesday, accusing the European Union and its member states of "imposing a survival test on refugees and migrants."

Its research puts the number of those killed in the Mediterranean so far this year at at least 2,500 people.

"In the absence of safe and regular routes into Europe, accepting the risk of drowning in the central Mediterranean is the price many refugees and migrants must pay to access asylum or job opportunities," it said.

The group calls for Europe to do more, pointing out that while Italy has shouldered the burden of migrant rescues in the Mediterranean over the past yea, it is unwilling to do so indefinitely. This is partly because it then takes responsibility for those rescued, who often want to reach other European nations.

If Italy does scale down its operation without a new system in place or a better response by the European Union border agency, Frontex, many more lives will be lost at sea, the human rights group cautions.

Amnesty International also warns that with the current unrest in the Middle East and long-running conflicts elsewhere, the number of people trying to reach Europe is unlikely to fall. Tens of thousands of people are trapped in increasingly lawless Libya, a major transit nation, and are seeking a way out, the report said.

With the sealing off of land routes via Turkey, Greece and Bulgaria, many see no option but to embark on the dangerous journey by sea.

"In 2013, 48% of all irregular entrants and 63% of all those arriving irregularly by sea to the EU came from Syria, Eritrea, Afghanistan and Somalia, countries torn by conflict and widespread human rights abuses," the report said.

'Laughing' traffickers ram boat full of migrants and kill 500, survivors say

'Harsh response' to migrants

The IOM warns that the true number of migrants killed is likely to be "considerably higher" than the number documented for its report.

"Although vast sums of money are spent collecting migration and border control data, very few agencies collect and publish data on migrant deaths," said IOM research chief Frank Laczko.

Many migrants disappear and die without a trace as they make perilous journeys across deserts or seas.

"The paradox is that at a time when one in seven people around the world are migrants in one form or another, we are seeing an extraordinarily harsh response to migration in the developed world," said Swing.

"Limited opportunities for safe and regular migration drive would-be migrants into the hands of smugglers, feeding an unscrupulous trade that threatens the lives of desperate people. We need to put an end to this cycle.

"Undocumented migrants are not criminals. They are human beings in need of protection and assistance, and deserving respect."

By highlighting the awful toll of migration, the IOM hopes to discourage would-be migrants from falling into the hands of unscrupulous criminal gangs and traffickers, as well as pressuring developed nations to change their policies to create more safe avenues of legal migration.

U.S.-Mexico border

An estimated 230 migrants died between January and September of this year trying to cross the U.S.-Mexico border, the report said. Because information from the region is so patchy, the figures don't include the likely several hundred people who die in Central America each year as they make their way north to the border.

Between fiscal year 1998 and fiscal year 2013, a total of 6,029 migrants were found dead on the U.S. side of the border, the report said.

About 100 lives a year have been lost on average in the seas bordering Australia, although the number has dropped off significantly this year, the IOM said.

Most of those who travel by boat depart from Indonesia, with the vast majority in recent years coming from Afghanistan, Iraq, Iran and Sri Lanka.

CNN's Lindsay Isaac contributed to this report.

@highlight

IOM: At least 40,000 migrants have died since 2000, more than half trying to reach Europe

@highlight

Many migrants die crossing the Mediterranean, including more than 3,000 so far this year

@highlight

Amnesty International accuses Europe of imposing a "survival test" on desperate people

@highlight

Migrants also die crossing the U.S.-Mexico border, the Indian Ocean and Sahara Desert