(CNN) -- The sentencing in Cairo of journalists from Al Jazeera's English-language channel this week has shocked the West. Australian Peter Greste, formerly of the BBC, received seven years: so did Canadian-Egyptian Mohammed Fahmy, who had worked with CNN. Baher Mohammed, an Egyptian producer, was given 10 years. The Australian Foreign Minister, Julie Bishop, herself a trained lawyer, said the sentence was incomprehensible "based on the evidence presented in the case."

Fear of the Muslim Brotherhood appears to be a factor. Mohammed Morsi was elected as Egyptian president in 2012 with support from the Brotherhood and from Qatar. Since Morsi's displacement in July 2013, relations between Egypt and Qatar have been uncomfortable. Al Jazeera's Arabic-language channel Mubasher Misr ("Egypt Live") was identified as particularly close to the Brotherhood.

The sentences handed down to Al Jazeera journalists may reflect the distrust of the current Egyptian regime for the Qatari owners of the TV station.

Al Jazeera has transformed both television reporting within the Middle East and coverage of the Middle East elsewhere. The characteristic logo of Al Jazeera is constantly seen on images fed to major television networks across the world.

The channel was established by the Emir of Qatar in 1997 and originally employed many who worked -- before it folded -- with the BBC Arabic World Service.

Its style was more in line with western news media than national Middle Eastern channels of the time.

The impact of its coverage of the first Gulf War established its credentials. Although demonized by the U.S. government in the period following 9/11, when it broadcast interviews with al Qaeda leaders, it has developed a formidable reputation both in the Middle East and beyond.

Possibly the best way to gauge its success though has been through impartial interviews with its audience. I oversaw a survey, during which we interviewed more than 2,000 Arabic speakers who watch satellite-delivered Arabic television in Europe. It revealed that Al Jazeera is widely viewed and is particularly popular with those of Middle Eastern, as opposed to North African Maghrebi heritage. Many talked with pride of the channel: one man in Nicosia said "it transformed how media treats news of the region."

It has a reputation for balance. An English viewer said "Al Jazeera is very much impartial," while a German viewer said that Al Jazeera news was "better" than German news as it was less locally focused. Several participants recommended Al Jazeera English to non-Arabic speaking friends so they discovered alternative points of view in the Arab world.

Al Jazeera courts controversy. Debates are often raucous, stories are broken and images shown that may offend some viewers. While on the one hand Al Jazeera is suspected of fundamentalist Islamic links, on the other some Arabic speakers in Europe denounce it as a mouthpiece of the U.S. For example, one Arabic speaker from Stockholm cited the huge U.S. air base in Qatar as a reason for distrusting the channel.

But Al Jazeera is part of a trajectory of modernization of media in the Arabic world. It broadcasts in Modern Standard Arabic, the modern literary lingua franca which spread in the 1920s as the intelligentsia of the Arabic speaking world sought to modernize (Arabic dialects are so numerous as to be mutually incomprehensible.)

Egypt, the Middle East's most populous nation, was at the heart of that process of modernization -- the Egyptian newspaper Al Ahram was the paper of record for the Middle East throughout the first part of the 20th century.

After World War II, anti-imperialist radio, encouraged by then-president Gamal Abdel Nasser, took on the pan-Arabic mantle.

That process has continued in recent times. The satellite station Nile TV International is a hugely successful entertainment channel watched in the Arabic-speaking world and Europe. During the Arab Spring, new forms of communication used in Tahrir Square -- including Facebook and Twitter -- were portrayed as the new face of freedom of speech.

The fate of the Al Jazeera journalists shows just how far Egypt has now fallen.

READ MORE: Gorani: Why we should all be worried by the jailing of Al Jazeera journalists

READ MORE: Zakaria: The old Egypt is back

@highlight

The jailing in Egypt of three Al Jazeera journalists has shocked many in the West

@highlight

Slade: Al Jazeera has transformed TV reporting both within the Middle East and of the region

@highlight

Its success is part of a trajectory of media modernisation of media in the Arabic world, says academic

@highlight

That process continued during the Arab Spring with the growth of social media in Tahrir Square and elsewhere