(CNN) -- Most craftsmen bask in glory when others admire and gush over their art, but a compliment is the last thing Christie Erickson wants.

"I don't want the general public to know what I do is fake," Erickson says. "It's best if it's not noticed at all."

Erickson is an ocularist, or trained technician who makes prosthetic eyes. While some call it a skill, Erickson says recreating the "personality," "emotion" and "sparkle" conveyed in a person's eye is an art.

Each eye "tells a story and reflects a lot," Erickson explains.

Erickson and her son Todd Cranmore are two of the six ocularists in the state of Washington and among the few hundred in the country. Because no school teaches ocularistry, people who want to enter the profession must spend 10,000 hours, or five years, of apprenticeship to become certified.

The career blends the fields of art and science -- as only people with a creative side and anatomical knowledge can duplicate the organ that gives the gift of sight.

It's a common misconception that prosthetic eyes are made of glass, but they're actually designed using acrylic materials and paint. The only nonacrylic piece is the silk thread placed on the eye's surface to simulate veins.

Today, no member of the American Society of Ocularists, which includes 200 professional ocularists in the United States and Canada, makes glass eyes, according to Christine Boehm, the society's education chairwoman. She explained that acrylic eyes last longer, fit easier and can better match the color of the original eye.

"There aren't many people left who make glass eyes," says Boehm, who has been an ocularist for more than 25 years in Toronto.

The art of eye making dates back to the fifth century B.C., when Romans and Egyptians painted clay eyes and wore them over eye sockets. In the 1500s, the Venetians crafted blown-glass eyes that could be worn inside the sockets, but the globes were uncomfortable and sometimes shattered.

It wasn't until World War II that eye makers switched from glass to acrylic, because Americans couldn't import glass from Germany. To their delight, ocularists found acrylic eyes didn't break like glass ones and the material was more flexible to mold. For several decades, stock eyes were mass produced as a one-size-fits-all concept. But production has since evolved into the handmade craft of today that brings makers and patients together to custom fit the perfect eye.

Erickson, who has crafted prosthetic eyes for 30 years, took up the trade after her son Tim lost his eye in an accident. Tim, who was 3 years old at the time, was watching his father fix a tractor when a bolt flew off into his eye. Tim was rushed to the hospital for emergency surgery, but the eye was damaged beyond repair.

The Ericksons decided to get Tim a prosthetic eye before he entered kindergarten so kids wouldn't taunt him about his shrunken and callused eye.

"We wanted him of course to be whole again and have nobody notice it," Erickson says, adding that she would have traded places with her son if she could have.

"You're watching your child go through this, you'd give anything to have it be yourself instead of them," she says.

After agonizing over Tim's lost sight and overcoming the pain by seeing him "made whole" again, Erickson decided she wanted to help others erase the suffering she had felt. Erickson apprenticed in between raising four kids, and eight years later she had her professional ocularist license.

Erickson's younger son Todd tossed around the idea of attending medical school, but ultimately decided to follow his mother's path and become an ocularist. The two run Erickson Labs Northwest in Kirkland, Washington, where thousands of patients have come through their doors.

Erickson, 58, and Cranmore, 36, make their patients' eyes together. While Cranmore says he has friends who could never work with their mothers, both Erickson and Cranmore say they love collaborating on a project that takes 30 to 40 hours to complete.

"It's helpful to have someone come in who hasn't been staring at (an eye) for an hour and a half and say, 'Oh, you're missing this color' or 'I think you need to start again,' which thankfully doesn't happen that often," Cranmore joked.

Despite being a very specialized field, it's not in danger of losing professionals. Similar to Erickson and Cranmore's business, the art form tends to be passed down within families. Members of the American Society of Ocularists are mostly second-, third- and fourth-generation ocularists.

Most patients seek a prosthetic eye -- which costs around $3,000 -- after an accident or disease such as cancer or diabetes. Erickson says more people lose their eyes to disease than injuries today, but she has seen accidents involving bungee cords, golf balls and rocks flying out of lawn mowers.

"There's still the typical 'Christmas Story' of the BB gun injuries," she added.

Less than 1% of the population requires an ocular prosthesis, according to Boehm, who says she often sees people in public who could benefit from one.

"I think there are a lot of people out there that don't realize they would be a good candidate for an ocular prosthesis, and they don't realize that's something they can get," she says.

Marysville, Washington, resident J.D. Blackwell, who lost an eye in a skiing accident 16 years ago, recently got a prosthetic eye from Erickson. He compared his new blue eye to contact lenses.

"When you first get them, you're quite aware of them, but after a while, you don't even notice it," Blackwell says.

In the past few months Blackwell has worn the eye, he's noticed a difference in the way people respond to him. He pointed out one interaction with a Costco employee stationed at the exit.

"About 10 feet before I got to her, she gasped and said, 'Oh, my God, you've got the most gorgeous blue eyes,' " he recounts while laughing.

Erickson wishes no one needed her talents but says she's honored when patients let her into their lives to aid the healing process.

"It's an amazing thing to be able to be a part of somebody's life and that transformation from the tragedy, the grief ... and for us to be able to just heal, pray and love them through it," Erickson says. "And also (give them) a dang good-looking eye."

@highlight

Christie Erickson became an ocularist after her son lost his eye in an accident

@highlight

Glass hasn't been used to make eyes since after World War II

@highlight

It takes 10,000 hours of apprentice work to become a certified ocularist