(CNN) -- With the Supreme Court set to hear oral arguments about the constitutionality of the President Obama's health care law, more patients than ever have been asking for my thoughts about health reform.

I practice primary care in southern New Hampshire near the Massachusetts border, which gives me a firsthand look at how health reform has impacted my neighboring state. Despite flaws with the Massachusetts approach, and the president's Affordable Care Act which is modeled after it, I believe that health care reform needs to move forward.

Read a transcript of Monday's court arguments

Over the years, I have encountered too many cases of patients who are inadequately served by our current health care model. Some of their stories are heartbreaking, others are deeply worrisome.

Some time ago, I had one middle-aged patient with diabetes, whom I'll call Mark, requiring high doses of insulin to control his blood sugar. He faithfully saw me every three months, where I made careful insulin adjustments so his sugars wouldn't go too high or low. But all of a sudden, he stopped coming. I didn't hear from him until a year later, when I received a call from the emergency department telling me Mark was found in a coma because of a critically high sugar level. Thankfully, he survived his hospital stay, and when he came for a visit afterward he explained how he had lost his job, and thus, his health insurance. He couldn't afford to see me or buy his medication.

According to the 2010 Commonwealth Fund survey, 72% of jobless Americans said they couldn't afford to fill a prescription or obtain needed medical tests. Worse, 40% said that medical bills forced them into difficult financial decisions, such as depleting their savings, or being unable to pay for necessities like food, heat or rent. These are choices patients should never be forced to make.

But it's not only patients without insurance who suffer. Others are in a situation like another patient of mine, whom I'll call Linda. She recently told me that her sister was diagnosed with colon cancer, a disease with a strong genetic component. I recommended that Linda have a colonoscopy. Unfortunately, her health insurance plan had a deductible in the thousands of dollars, making a colonoscopy prohibitively expensive.

Last year, a study from the RAND Corporation, a nonprofit, nonpartisan research organization, found that families enrolled in high-deductible plans like Linda's cut back on health care that was clearly beneficial, like cervical cancer, breast cancer and colon cancer screening. According to the study, "these cutbacks could cause a spike in health care costs down the road if people end up sicker and need more intensive treatment."

The Affordable Care Act would help patients like Mark, by providing him a way to obtain affordable health insurance regardless of his job status. Beginning in 2014, health reform would expand the eligibility of Medicaid and provide federal tax credits to help buy private insurance. On average, 17% of the nonelderly population nationwide would be helped, with numbers as high as 36 to 40% in parts of Florida, New Mexico, Texas, Louisiana and California. And for patients like Linda, health reform would prohibit cost sharing for many preventive screening tests, including colonoscopies.

My support of the Affordable Care Act is tempered, however, by a serious flaw: Its benefits cannot be fully realized without a strong primary care foundation. In the United States, the number of specialists to primary care doctors is about 70-30, a ratio that's reversed in the rest of the world. That primary care deficit is a far bigger threat to health reform than if the Supreme Court were to rule President Obama's law unconstitutional.

Having health insurance doesn't necessarily mean that you'll be able to see a doctor. In Massachusetts, more than 95% of residents have health insurance, the highest in the country. However, a 2011 Massachusetts Medical Society survey found that more than half of primary care doctors were not accepting new patients, while the average wait time for an appointment exceeded one month. When you consider that health coverage will expand to 32 million Americans in 2014, whether our strained primary care system can handle that burden is a serious question. An inability to see a primary care provider will force patients to already crowded emergency departments, where health care is often the most expensive.

The Affordable Care Act doesn't do nearly enough to make primary care enticing, despite the anticipated shortfall of primary care providers approaching 30,000 by 2015. Medical students, concerned by their average school debt approaching $160,000, often eschew primary care in favor higher paying specialties. And the bureaucratic burdens of primary care, including paperwork and spending time on the telephone refuting insurance company denials, are overwhelming. According to an Annals of Internal Medicine study, 30% of primary care doctors considered leaving the field entirely, citing burnout, time pressures and administrative hassles.

These concerns, however, shouldn't stall health reform. Instead, they need to be addressed as the Affordable Care Act is modified and improved on in the coming years. Far too many patients can no longer afford to obtain basic care. It's their stories that have made me realize we desperately need to fix our broken health care system, and accept health reform despite its shortcomings. We cannot let the pursuit of perfection become the enemy of doing the right thing.

Patients like Mark and Linda need help now.

The opinions expressed in this commentary are solely those of Kevin Pho.

@highlight

Supreme Court will hear arguments about the constitutionality of the health care law

@highlight

Kevin Pho: Despite flaws, we should go forward with the Affordable Care Act

@highlight

He says current health care system does not adequately address needs of patients

@highlight

Pho: health reform is necessary, but we also need a strong primary care foundation