(CNN) -- Gunpowder, fireworks and attention-grabbing installations mark Cai Guo-Qiang as one of the world's biggest and brightest artists.

Cai's fireworks will be seen by millions during the Olympics opening and closing ceremonies.

The Chinese artist is about to show the world what he can do with a spectacular pyrotechnics display at the opening of the Olympic Games in Beijing.

Despite not having lived in China since 1986, Cai has been selected to be the Director of Visual and Special Effects for both the opening and closing ceremonies at the Games.

For the 51-year-old contemporary artist, whose work has previously caused controversy in China, the politics that have been swirling around the Games are secondary to the event itself.

"In any country, in any city, there will be political influence on what is said, what kind of images are to be projected and, yes, of course artists can be and are influenced by politicians," he told CNN.

"But what I also think is that our leaders at the very highest level want artists to be able to be free, to be creative and to show this other side of China that is vibrant."

While some of his art is politically charged, Cai has established his reputation as much as a director of the spectacular, with his work often providing a visceral and visual bang.

He studied stage design at the Shanghai Drama Institute between 1981 and 1985 before moving to Japan a year after graduation. Now residing in New York, he gained wide-spread international recognition at the Venice Biennale in 1999, winning the Golden Lion prize.

However, the work he displayed -- Rent Collection Courtyard, a replica of famous Chinese socialist-realist sculpture -- upset artists of the original piece in Shanghai who believed it diminished the sentiment behind the original work.

Born in Fujian in 1957, Cai's father was also an artist, but had a much more traditional outlook than the one Cai developed.

"He and his friends always lamented about the good days and, that there's no vitality in today's art and culture. So, I really rebelled against that. I felt that what they were talking about had very little to do with how our lives were like at that moment," he said.

Cai began using gunpowder in his work after moving to Japan. Detonating large trails of it on his two-dimensional pieces, creating small mushroom-clouds, or lighting enormous firework displays, explosions have been a continuous theme of his work.

"I have always been a coward as a child. I am not very brave. I am very aware of the fact that I am not very gutsy. So, I am always trying to do things to kind of boost my own sense of courage a bit. So maybe that is why I use gunpowder," he told CNN.

Cai has proffered different explanations for different projects that feature the same motifs. Perhaps that is not surprising when his influences come from a myriad of sources that include Taoism, Buddhist philosophy and UFO-observations.

Recently exhibited at New York's Guggenheim Museum, "Inopportune: Stage One" is a set of 9 cars suspended above each other with illuminated shards shooting out. Cai has previously said it denotes Chinese craftiness in stealing western technology, while arrows piercing the life-sized stuffed tigers of "Inopportune: Stage 2" are also about the aesthetics of pain.

"For me cars are tigers, they are all bodies of the human form and it is a human form I am working with through this medium. For the cars the energy goes inward out and for the tiger piece the energy flows in," he told CNN.

Meanings and interpretations then can be fluid, but as well as the explosions and visual excitement, there is a common social theme in his work.

The most connected to this ethos is "Reflection-A Gift from Iwaki 2004." The skeleton of a wooden boat found off the coast of Iwaki, Japan, that spills delicate pieces of porcelain from its hull is recreated piece by piece by the people who helped excavate it.

"This work and the history of this work belongs to the people of Iwaki and me. It is a shared experience, a shared history," he said.

"Some works of art have material other works have form, but this piece has something additional, it has a narrative, it has a story that is just as important as the material and form itself."

Ultimately the most unifying and social part of his work is the spectacle of it all. Everyone loves fireworks, and if Cai's own careful planning and that of the Games organizers come together, he should provide a fitting opening and finale to the world's biggest spectacle.

@highlight

Chinese artist will curate Olympic Games' opening ceremony pyrotechnic display

@highlight

Uses gunpowder and fireworks to produce spectacular large-scale pieces

@highlight

International recognition winning Golden Lion at 1999 Venice Biennale