Minnesota Vikings star running back Adrian Peterson learned Tuesday he will be suspended without pay for the rest of the 2014 NFL season, according to an NFL statement. Peterson intends to appeal.

Peterson will not be reinstated before April 15 because he violated the league's personal conduct policy "in an incident of abusive discipline that he inflicted on his four-year-old son last May," the league said.

Peterson has been on the exempt/commissioner's permission list -- which kept him off the field, with pay -- since September after allegations he disciplined his son too harshly with a "switch" or thin stick. Initially charged with felony child abuse, Peterson pleaded no contest to misdemeanor reckless assault this month.

"The timing of your potential reinstatement will be based on the results of the counseling and treatment program set forth in this decision," NFL Commissioner Roger Goodell said in a letter to Peterson. "Under this two-step approach, the precise length of the suspension will depend on your actions. We are prepared to put in place a program that can help you to succeed, but no program can succeed without your genuine and continuing engagement."

His reinstatement also hinges on his rehabilitation, how he cares for his children and whether he commits further violations of the law or league policy, the letter stated.

"We respect the league's decision and will have no further comment at this time," the Vikings said in a statement.

NFLPA claims 'credibility gap'

Peterson will appeal the decision, the NFL Players Association said in a statement. The NFLPA further said the discipline imposed on Peterson is "inconsistent" and it will "demand that a neutral arbitrator oversee the appeal."

The NFL's decision demonstrates that a "credibility gap ... exists between the agreements they make and the actions they take," the NFLPA said. Since Peterson's case was adjudicated, the league has ignored its obligations and tried to impose an arbitrary form of discipline on the running back, the NFLPA said.

"The facts are that Adrian has asked for a meeting with Roger Goodell, the discipline imposed is inconsistent and an NFL executive told Adrian that his time on the Commissioner's list would be considered as time served," the statement said.

Peterson has not played since September 7, when the Vikings took on the St. Louis Rams in the first game of the season. As of Sunday, when the Vikings lost to the Chicago Bears, Peterson has missed nine games.

A hearing will now be scheduled and Peterson -- with the counsel of a lawyer and the NFL Players Association -- can present evidence in support of his appeal. He will remain on the commissioner's exempt list until the appeal has run its course.

Aggravating circumstances

According to the NFL, Goodell has established a "baseline discipline" of six games without pay for first-offense assault, battery or domestic violence, but he cited aggravating circumstances in Peterson's case:

-- The child was only 4, and while an adult can flee, fight back or call the police when experiencing abuse, those options aren't available to a child;

-- The child suffered psychological trauma stemming from the "criminal physical abuse at the hands of his father";

-- "The repetitive use of a switch" is tantamount to a weapon in the hands of someone with the strength of a pro athlete;

-- Peterson showed "no meaningful remorse" and publicly said he would not "eliminate whooping my kids." He also sent text messages to the child's mother defending his actions, which raises concerns that he doesn't understand the seriousness of his conduct and may do it again in the future.

Though Peterson dodged jail time with his no-contest plea, he received probation, community service and a $4,000 fine, but the league said it would still review the case under its personal conduct policy.

Case reviewed; Peterson absent

The NFL met to review his case Friday, but Peterson did not attend, saying in a statement that he "wouldn't participate in a newly created and non-collectively bargained pre-discipline 'hearing' that would include outside people I don't know and who would have roles in the process that the NFL wouldn't disclose."

He did, however, attend via teleconference a Monday hearing aimed at determining if he could be taken off the commissioner's exempt list. The Monday hearing was in accordance with the collective bargaining agreement, Peterson said.

The NFL says it requested that Peterson provide information so it could evaluate the case under its personal conduct policy, but the player provided only "some of the court papers relating to his November 4 plea agreement."

The league requested the information again from the NFLPA on November 11, but Peterson submitted only "the name of a professional with whom Peterson has consulted during the past two months," the league said.

"Your plea agreement in Texas, and the related violation of the Personal Conduct Policy, arise out of abusive injuries that you inflicted on your son earlier this year," Goodell said in his letter to Peterson. "Based on public reports of your statements and photographs that were made public at the time of the indictment, you used a 'switch' -- a flexible tree branch -- to punish your son, striking him in the ankles, limbs, back, buttocks, and genitals, leaving visible swelling, marks, and cuts on his body and risking severe and long-term damage. The visible injuries were such that a local pediatrician in Minnesota, upon examining your son, felt obligated to make a child abuse report to the police."

Lesson not learned?

Not only did a grand jury indict Peterson on a felony charge because he "overstepped the bounds of acceptable corporal punishment," Goodell wrote, but it also "appears that this is not the first time that you have punished children in this way. Public statements attributed to you indicate that you believe that this kind of discipline is appropriate and that you do not intend to stop disciplining your children this way."

In explaining his client's behavior ahead of court proceedings, defense attorney Rusty Hardin told media outlets that his client used a switch to dole out discipline much like Peterson himself "experienced as a child growing up in East Texas."

Goodell has directed Peterson to meet with April Kuchuk, an instructor in the New York University department of psychiatry and a forensic consultant to the New York City District Attorney's offices and New York courts, by December 1, the NFL said. Kuchuk will develop a counseling and therapy program for Peterson, according to the league statement.

"Dr. Kuchuk states that two evidence-based forms of therapy have been shown to contribute to reducing the risk of future abusive behavior in child abuse cases: first, therapy that addresses parenting your children, in particular those who do not live with you, using a modality called parent-child interactive therapy; and second, cognitive-behavioral therapy that teaches the effects of abusive behavior on children and how it traumatizes them," the statement said.

Suspension could be longer?

Goodell told Peterson he will establish periodic reviews, beginning April 15, to make sure he is meeting the program requirements and is committed to making sure nothing like this happens again.

If Peterson doesn't cooperate or follow the plan, the suspension may be extended, Goodell warned. It's also imperative that he follow the conditions of his plea agreement and avoid any other violations of the law or the league's personal conduct policy, the commissioner said.

"The well-being of your children is of paramount concern," Goodell wrote. "In the absence of speaking to you to understand your current disposition toward child discipline, we cannot be sure that this conduct will not be repeated. Moreover, we are unaware of any effort on your part to acknowledge the seriousness of your conduct and your responsibility to demonstrate a genuine commitment to change."

@highlight

Commissioner says Adrian Peterson's son suffered "criminal physical abuse"

@highlight

Peterson will appeal NFL decision to suspend him without pay for season

@highlight

Peterson had a felony child abuse charge lessened to misdemeanor reckless assault

@highlight

Goodell: Rehab, counseling, obeying law and league policy will dictate reinstatement