(CNN) -- Most of us have dreamed of telling our bosses what they can do with this stupid job, perhaps with the help of a marching band, if your fantasies skew grandiose.

So what happens to the guy who actually does it and lives to post a video of the stunt on YouTube?

The numbers don't lie: Twenty-four-year-old Joey DeFrancesco has become a veritable Internet celebrity, a hero and a viral video sensation. The original YouTube video of "Joey Quits" earned more than 2 million views a week, which includes 18,092 likes and 438 dislikes and counting.

"I'm goingï»¿ to quit like that if I'm going to quit," one commenter said, echoing the wishful thinking of many.

"Joey is the hero of all downtrodden workers because he is the embodiment of 'take this job and shove it.' He's living out the fantasies of countless workers who also hate their bosses," said Allison Hemming, CEO of the Hired Guns, a digital marketing and talent agency.

Beyond resonating with millions of people, the video says a few things about how social media are changing the way businesses interact not just with customers but with employees, she said.

"Managers should remember that if you're terrible to your people while they are working for you, your formerly silent former employees will have a platform to out you in a potentially very public way. And that sentiment can effect your business too."

It also demonstrates how social media are allowing employees to control the circumstances of their departure for a change, said Anne Kreamer, a former Nickelodeon executive and author of "It's Always Personal: Emotions in the New Workplace."

She cited ousted Yahoo CEO Carol Bartz's e-mail to Yahoo employees saying "I've just been fired over the phone" as another example of someone getting in front of their former bosses to control the message.

"Rather than having the situation defined for them, people are trying to shape the conversation on their own. For all we know, Joey was going to get fired the next day, but he turned it around."

The video's release couldn't be more timely, although DeFrancesco made the video when he quit his job at the Renaissance Providence Downtown Hotel in August. The unemployment rate has remained at 9.1%, since July and new claims for unemployment benefits have lingered above 400,000 since April. Those factors, taken with the Occupy Wall Street movement, create the ideal cultural climate for the birth of an Internet folk hero who embodies the anger and malaise felt by many, Kreamer said.

"There's a kind of confluence of events that's forcing people's anger and dissatisfaction to the surface. Everyone's been taking it on the chin for years because of the recession but now they're exhausted and want change," Kreamer said. "Joey's approach is unique in saying, 'I'm going to have some fun with this.' "

DeFrancesco is not the first, and he's probably not the last, to publicly stage his flame-out. If anything, his video is the latest example of how the Internet age has created a broader platform for behavior that used to be contained to smaller circles, Oregon-based career coach Dorothy Tannahill Moran said.

"People have been flaming out publicly forever. Now, with social media, we have a bigger stage for our flame-outs, and there's ever so many more places for it to be done," Moran said.

A YouTube video posted in 2007 shows a Moe's Southwest Grill manager tearing off his work shirt to reveal a white T-shirt with the words "I QUIT" while "Ice, Ice Baby" plays. The worker launches into a respectable imitation of Vanilla Ice's original dance routine, complete with backup dancers.

Another take on the "I QUIT" chest proclamation appeared in a 2008 YouTube video of a man who tears off his shirt and has the phrase written on his bare skin. He giddily skips around the office, boom box on shoulder, with "just gotta get right outta here" from Queen's "Bohemian Rhapsody" on a loop.

The last disgruntled employee to strike a chord in the public consciousness was former JetBlue flight attendant Steven Slater, who famously deployed an emergency evacuation slide to dramatically exit an airplane after announcing to the flight that he was fed up.

Slater was back in the news Thursday when he was sentenced to a year of probation after completing a mental health treatment program. His departure will cost him $10,000 in restitution to JetBlue, the price of repairing or replacing the emergency evacuation chute.

Slater told CNN the past year had been "long" and "challenging." He spent much of it commuting to a New York treatment facility from Los Angeles, where took care of his ill mother, who died this year.

But just imagine if someone had captured the incident on camera, Moran said. Each departure reflects how the person felt about his job.

"The question becomes what's the genesis of what prompted them to not just quit but to engage others in their departure," she said. "It's usually a combination of frustrations, usually oriented toward management, but it can also include other stressors from the job."

DeFrancesco said problems with management led to his departure. He said he worked at the hotel for more than three years, during which time he participated in a push for employees to join a union. The employees prevailed, but the struggle damaged relations between management and employees, he said.

"They treat us like s***," DeFrancesco said at the start of the YouTube video. "I'm going to go and quit right now with the help of my bandmates."

On the video, he leads members of the What Cheer? Brigade into the hotel through a side entrance. His boss encounters them and tells them to leave, DeFrancesco responds by handing him a letter and saying "I quit." Cue the band as DeFrancesco walks away, smiling broadly, hands raised in triumph.

DeFrancesco said he has a new job that allows him to use his history degree, but he wouldn't say where. But it's hard to say what the stunt will cost him in the long run, Hemming said.

"If Joey wants to work in a creative industry, he may get to keep his hero status and use it to his advantage," she said. "I'd say to him, get an agent, use this moment to your advantage."

Finding a job in corporate America, where potential employers do extensive background checks, could be more challenging, she said.

"He can expect to definitely be Googled by hiring and recruiting managers who might take a pass on him because they'll think, 'do I want to be the butt of a Joey joke when he quits on me in a few years? This guy seems like a disgruntled employee before I've even met him. I think I'll pass.' "

Or, maybe it won't matter in a few years, as we grow even more accustomed to living our lives online.

"My guess is he's not going to want to work in the hotel industry, but he's super-young, so don't think it'll irreparably ruin his chances. Depending on the job, it might endear him to a potential employer."

@highlight

YouTube video of man resigning with a marching band earns more than 2 million hits in a week

@highlight

"Joey Quits" is the "embodiment of 'take this job and shove it,' " career consultant says

@highlight

Video shows how social media let employees define circumstances of their depature

@highlight

Video could hurt chances of getting a job down the road, depending on the employer