(CNN) -- Turkey's economy, fattened with foreign investment during its boom-times, has stalled amid warnings its model is unsustainable.

The country's $800 billion economy remains among the 20 biggest in the world -- but the IMF says it can't last and remains too vulnerable to dangers outside its borders. The OECD has also weighed in with concerns, saying the country's addiction to foreign money risks volatility.

How did it get into this mess?

Many developed countries struggled with growth after the global financial crisis. But not Turkey, which grew substantially over the last decade -- the country's GDP grew by average 5.5% per year.

The government of Recep Tayyip Erdogan, now a presidential candidate, was praised for its ability to attract foreign investors from Europe and emerging markets such as Russia and China.

The rapid economic growth was largely fueled by cheap credit pouring into the country. As the crisis hit developed economies, investors turned to emerging markets, which promised higher returns than depressed Western markets.

For years, Turkey enjoyed a foreign-funded construction boom. House prices have soared more than 50% since the end of 2009 and both the country's GDP and per capita income have increased threefold since 2003.

But the party ended with the U.S. Federal Reserve announcing a scale-back in its stimulus program last summer. Suddenly, there was less cash available to invest.

With more security in the U.S. economy, investors started pulling their money from the emerging markets.

Turkey's growth slowed to just above 2% in 2013 and the country's currency, the lira, slumped further in January this year. That forced Turkey's central bank to ratchet up its interest rates from 7.7% to 12% -- showing the bank's determination to prevent foreign capital outflows.

Erdogan strongly opposed the bank's move to raise the rates. He argued it would hurt Turkey's growth, blaming the lira's tumble on the opposition and an "interest rates lobby," and saying it was the result of a conspiracy.

What's the economy doing now?

The OECD expects 3.5% growth in 2014, picking up slightly from 2013, but high inflation is pushing the country back and hurting consumers. At around 9%, annual inflation is nearly double the Turkish central bank's target of 5%.

This, coupled with the country's low employment rate leads to high levels of poverty. In an OECD study, one in three Turks said they were not able to afford sufficient food. The OECD average is one in seven.

Furthermore, 20% of Turks live below the relative poverty line, meaning they survive on less then half of the Turkish median income. This makes Turkey the third poorest developed nation, with Mexico and Israel lagging behind.

Turkey's strategic position means the country is the bridge between Asia and Europe. Its membership of NATO and candidacy to join the European Union reflect its importance.

But unrest and uncertainty has already cost the country millions, with its stock market losing a third of its value last year.

Opinion: Turkey's Teflon politician targets top post

@highlight

The IMF says Turkish economy remains too vulnerable to dangers outside its borders

@highlight

Turkey grew substantially over the last decade as investors turned to emerging markets

@highlight

But volatility, income inequality and high inflation is hurting the growth, IMF warns