Beirut, Lebanon (CNN) -- Mohammad Chaar wasn't looking to become a martyr -- or a victim. Late last month, the 16-year-old student was just hanging out with his friends in downtown Beirut, out of school and having fun. They all took a selfie to mark the moment, and never expected that moment would become so momentous.

The car bombing targeted and killed Mohamad Chatah, a former Lebanese Ambassador to the United States -- but several others also lost their lives.

Minutes after the blast, Chaar appeared in another picture. In it, he's seen lying unconscious and bleeding on the pavement. He would die later from his wounds.

As is the custom in Lebanon, hardly any time had passed before Chaar, an innocent bystander, had been branded a far weightier title. All of a sudden, "victim" had morphed into "martyr."

And for many younger Lebanese, so sick of recent violence and rising sectarianism throughout the country, that was just too much.

"I think Mohammad Chaar was the straw that broke the camel's back," explained prominent Lebanese blogger Gino Raidy.

"Because what he was doing was taking a selfie, which all of us do every day, and it's in a safe neighborhood, supposedly."

READ MORE: Beirut blast kills 4 in Hezbollah stronghold

Raidy and other outraged Lebanese decided they'd had enough. Seeking not only an end to senseless slaughter, but also justice for Chaar, they began protesting the teenager's death through a unique online campaign called "Not a Martyr."

When the movement's Facebook page sprang up soon after Chaar died, it contained a message that resonated:

"We can no longer desensitize ourselves to the constant horror of life in Lebanon," read a statement from the group. "We refuse to become martyrs. We refuse to remain victims. We refuse to die a collateral death."

As a tribute to Chaar and other civilians who died in recent bombings, supporters of the campaign were encouraged to post photos of themselves in which they'd write resolutions they sought for Lebanon and include the hashtag #notamartyr. Dozens have already done so.

Among the pictorial messages posted are the following:

The concept of martyrdom is deeply ingrained in Lebanon's war-scarred psychology. But a younger generation is now rejecting the idea that anybody who dies as a result of political- or sectarian-motivated bombings or shootings is automatically a martyr.

"In Lebanon, the word martyr has a lot of gravitas to it," Raidy told me.

"When you say martyr, there's no questioning that title. But it got to a point where it sort of became a way to absolve the government of the duty it has to actually investigate and punish the people doing that ... What you see today is people who are saying, no, we don't want to be a martyr. We are victims if we die when we're going to work or to school or doing daily life things."

Blogger Raja Farah agrees. As we stood in Central Beirut's Martyr's Square, he described "a general sense of helplessness and hopelessness in Lebanon these days."

"I think, a lot of people feel like we're sitting ducks waiting for our politicians to play some kind of sick game," said Farah. "Martyrdom actually requires a kind of self-sacrifice. You have to be willing to die for something. And a lot of these bystanders that are being killed in these attacks never actually voiced any kind of interest in dying in a certain cause."

While many in Lebanon, a tiny country that survived a brutal 15-year civil war, are accustomed to this kind of violence, there's no doubt a sadness has set in of late.

As neighboring Syria burns, sectarian divisions in Lebanon have deepened. Since July, both Shiite and Sunni strongholds across Lebanon have been targeted in a wave of bombings. Dozens have died as a result.

READ MORE: Saudi Arabia pledges $3 billion for Lebanese army

A growing number of Lebanese activists and writers don't want to see their country descend into all out chaos.

"I felt like we needed some kind of motivation," Farah said. "I felt like most people have given up and I think I'm pretty to close to giving up as well, and unless something happens, it's hard to still fall in love with this country and have hopes and dreams about it."

Adding to the general unease over the spillover of violence from Syria's civil war, Lebanon's economy is also in tatters. Job options, even for Lebanon's best and brightest, are few and far between -- a sentiment reflected in the selfie Farah posted.

"Mine says I don't want to end up in Dubai," explained Farah. "I mean, sadly, Lebanon is losing all its youth because there are no opportunities here, it's not safe. If you want to start a family you can't really do it here. Job opportunities are very, very limited."

On the "Not A Martyr" Facebook page and Twitter feed, you'll see many such complaints. Whether taking on economic woes or bemoaning rampant corruption, the campaign has given voice to a generation seeking to improve life in Lebanon.

Lebanese singer Hamed Sinno is among them.

"The campaign is really interesting for me," said Sinno, "because I think it's one of those campaigns that stem out of a political event that actually has reachable goals."

Sinno, lead singer of the extremely popular band Mashrou' Leila, is, like many others, using the platform to advocate change.

"We have people talking about animal rights, about the rights of domestic workers, about small stuff like traffic, like everything else. And then, the bigger stuff as well, like, you know, national security, safety."

Sinno added: "You have people talking about security, you have people talking about their rights as women, their rights as LGBTQ people."

Sinno, who is openly gay, posted a picture of himself holding a sign in Arabic that read, "I want to hold my boyfriend's hand without being afraid of the police."

"My selfie," said Sinno, "was about homophobia with the police and not feeling secure with sort of public displays of affection or public declarations of sexual identity."

According to Sinno, the campaign has also given many Lebanese a much needed space to discuss things they don't like about Lebanon.

"Not that these things are necessarily gonna be resolved when someone posts a selfie," said Sinno, "but it's interesting to sort of see how the bigger political issues in the country actually sediment [sic] into people's daily living experiences."

Sinno and other "Not A Martyr" supporters aren't the only ones using creativity to combat complacency.

After the bombing that killed Chaar, Lebanese artist Rima Najdi put on a provocative performance by dressing up as a suicide bomber and wandering around Beirut. While the costume was cartoonish and bystanders mostly amused, Najdi told me her display was deadly serious.

"This is me protesting against the normalization of these bombings," she said.

For Najdi, who lives abroad and visited Lebanon over the holidays, it was an attempt to jolt spectators out a dangerous mindset she fears is setting in. During her stay, two bombs went off -- the one that killed Chaar and another in southern Beirut.

"I was driving in Beirut and on each red light, I was looking for a bomb, actually. And I was waiting for when the bomb is gonna go off," explained Najdi. "And the fact that I looked outside my car's window and (was) looking at the people and noticing that the people are feeling the same, and they might be as well looking for a bomb, that was kind of the key feeling that I felt I need to do a reaction to in a way, so this is how the idea started basically."

Before she set out in disguise, Najdi was quite worried about the reaction she'd receive. While some were scared by her, most were simply amused. Several folks took pictures - others even posed for selfies with her.

And while Najdi's happy she never faced any danger, that hasn't diminished her concern for what's happening in Lebanon.

"Feeling that you're gonna die anytime soon just becomes a process that you go through if you're walking in the street," said Najdi. "So this is quite worrying."

But Najdi, like the supporters of "Not A Martyr", refuses to give up on Lebanon. For them the point will never be about how to celebrate a death, rather, how to build a life.

Journalist Raed Rafei also contributed to this report.

@highlight

'Not a martyr' campaign is gaining traction in Lebanon

@highlight

They say it highlights technique of labeling people as martyrs to avoid taking action

@highlight

They say in Lebanon, martyr is a respected title but it's now used to desensitize people

@highlight

Campaign launched after one innocent victim of a bomb was called a martyr