Editor's Note: Al Vivian is president & CEO of BASIC Diversity, Inc., a 35-year-old consultancy that specializes in diminishing cross-cultural biases that has worked with clients such as Coca-Cola, Ford, Kroger, McDonald's, the National Security Agency and CNN. He is also an adviser to the United States Army for diversity and cultural affairs.

Al Vivian says Eric Holder was right to urge Americans to confront diversity issues now.

FAYETTEVILLE, Georgia (CNN) -- Privilege can be a dangerous thing. It releases you from the task of thinking about things that others must. I am an African-American male and I am privileged. Not on race; but on gender, education, religion, income and many other areas.

As a man, my authority and intellect are not second-guessed. As a Christian, my moral code is not questioned, nor am I subject to post-September 11 profiling. I have privilege in these areas, and I realize that this privilege creates blind spots. An advantage to any group creates a corresponding disadvantage to all others

Recently Attorney General Eric Holder made some statements concerning America's need to confront its racial history, and the need for Americans to engage in cross-racial dialogue. Holder's comments offended some and motivated others, not uncommon when dealing with the touchy issue of race. On confronting our history he said:

"To get to the heart of this country, one must examine its racial soul. ... in things racial we have always been and continue to be, in too many ways, essentially a nation of cowards. "

Concerning cross-racial dialogue he opined: "If we are to make progress in this area, we must ... have frank conversations about the racial matters that continue to divide us."

In a recent interview, President Obama responded by saying, America has made "enormous progress, and we shouldn't lose sight of that ... I think it's fair to say that if I had been advising my attorney general, we would have used different language."

The president went on to say, "I think what solves racial tensions is fixing the economy, putting people to work, making sure people have health care, ensuring that every kid is learning out here."

They were both right; but they were addressing two different things. Obama was talking about fixing the economy to ease racial tensions. Holder was talking about overcoming our fears to dialogue and confronting racial privilege so that we can eliminate inequities that cause the racial tensions.

Additionally, Holder was not saying that progress had not been made. He was saying that there is much yet to be done in order to fully engage and leverage the abilities of all of the nation's human capital.

Elaborating on history, we must acknowledge that whites have been the benefactors of centuries of history that included half-truths that socially affirmed them to the detriment of all others. Addressing this privilege will take extreme courage, for there will be many loud dissenting voices.

For example, there has never been a discussion in America about whether we should or should not celebrate a White History Month. That would be an irrelevant waste of time, because white history has been the basis of practically all that we have been taught. Being able to sit in a classroom and open history books that positively portray a plethora of people that resemble you has been, and continues to be, the exclusive historical privilege of whites.

This privilege psychologically and economically benefits every member at every level of the advantaged category so profoundly that its members never have to question their place in society. And that place is on top: the expected and accepted norm.

If you are white, consider how different life might be for you now if you had grown up from meager beginnings, while simultaneously being denigrated by a society that had denied equal access to you, your parents and every member of your race during every prior generation. This is the history of black America that Holder is saying we must understand to truly know the heart of America.

History is history, and these are the facts. When we choose to exclude vital portions of history, we are no longer teaching history; we're teaching ideology. And if you're a person of color, you're excluded.

The classroom experience for those who are not white tends to fit the following quote by poet Adrienne Rich: "When someone with the authority of a teacher, say, describes the world -- and you are not in it -- there is a moment of psychic disequilibrium, as if you looked into a mirror and saw nothing."

It's impossible to grasp the true significance of any groups' contributions when they are taken out of context, and told as a separate story during some isolated month. It's like reading a great novel and leaving out chapters. What's missing is what the late Paul Harvey would have called "the rest of the story."

George Washington Carver, a black man, had many breakthrough inventions utilizing the peanut. His contributions could sound insignificant until put into context. The south, as a region, made its money through agriculture, primarily cotton.

Poor crop management practices eventually damaged the soil throughout the south until it was almost impossible to successfully grow cotton anywhere in the region. The south needed a new cash crop -- then came the peanut. George Washington Carver revitalized the agricultural south; thus the financial south. He saved the south. But because we tell his story out of context, no one understands the significance of his contributions.

Thomas Edison invented the light bulb, which was a tremendous invention. However its paper filament was only operable for short periods of time, until a black man named Lewis Latimer contributed his invention, the carbon filament, to the project, making possible the widespread use of electric light. Had there been no Latimer, there would not have been a successful Edison. But most history books have no mention of Latimer.

Textbooks currently teach that our great nation became a democracy in 1776. Great nation, strong republic, yes! Democracy, no. The very foundation upon which democracy was built demanded that the political leadership be selected for the people, by a vote of the people.

To deny this right to millions of our citizenry for no legitimate reason was to abort democracy before it was born. The uncomfortable and blunt truth is, the United States did not legitimately become a democracy until the Voting Rights Act of 1965 made it law that no citizen could be denied the right to vote based on their race.

Until we as Americans change course, grow a spine, teach true history that is inclusive of all races and replace these fallacies and half-truths with reputably documented facts, our citizenry will continue to be relegated to racially segmented ideology instead of history.

We are a great democracy, and thus ready for honest dialogue. The time is now, and this discussion must go beyond black and white. It must be inclusive of Arabs, Asians, Latinos and others. It must also go both ways.

People of color cannot only talk. We must also listen. All parties must be willing to be critiqued as well as offer criticism. As Holder said, this will be uncomfortable, but "this way we can hasten the day when we would truly become one America."

It's unusual when someone who is out of the norm makes his or her way into the seat of privilege, because those with whom you now share this privilege do not expect you to speak for those who do not. Welcome to your seat Mr. Holder, it fits you well. And thank you for not taking the coward's route.

By the way, mission accomplished. We're talking.

The opinions expressed in this commentary are solely those of Al Vivian.

@highlight

Al Vivian: Privilege creates blind spots that conceal the harm they do

@highlight

He says whites have had a longstanding racial privilege in the U.S.

@highlight

Vivian: History has largely been written from perspective of white Americans

@highlight

Holder was right to make his "nation of cowards" speech and urge dialogue