Los Angeles (CNN) -- The Boy Scouts of America released a study Wednesday that claims children were safer from sex abuse in the Scouts than when at home or school.

The report was prepared by a psychiatric expert hired by the Scouts to review so-called "perversion files" kept by the organization from 1970 to 1991.

A newspaper review of the files published last week said they showed scouting officials "failed to report hundreds of alleged child molesters to police and often hid the allegations from parents and the public."

In response, the Boy Scouts released what it said is an "independent review" by a University of Virginia psychiatry professor Wednesday, ahead of the "increased media attention" it expects with the release of more files.

"I believe that these files show that children in Scouting were safer and less likely to experience inappropriate sexual behavior in Scouting than in their own families, schools and during other community activities supervised by adults," Dr. Janet Warren wrote in her report.

Sex abuse files prompt calls for Boy Scout ousters

The Los Angeles Times looked at 1,600 "ineligible volunteer" files obtained through a 1992 lawsuit in Oregon against the Boy Scouts, the newspaper said. The "perversion files" were a blacklist of alleged sexual molesters, it said.

The Survivors Network of those Abused by Priests, a sex abuse support group, said it was "very upset" by Warren's assertion that children were safer in the Scouts.

"That's an unsubstantiated, self-serving claim that sounds more like the writing of a spin doctor than a real doctor," SNAP Director David Clohessy said.

SNAP called on the Boy Scouts last week to oust any official still with the organization who was involved in covering up child sex crimes.

The Boy Scouts, in a statement last week, said it "continuously enhanced its multi-tiered policies and procedures, which now include background checks, comprehensive training programs, and safety policies."

The organization's current education and training programs to protect children from abuse "are among the best in the youth-serving community," Boy Scouts spokesman Deron Smith said.

The Boy Scouts, in an open letter published Wednesday, said it would review the next batch of files to be released, covering 1965 to 1985, to "ensure that all good-faith suspicion of abuse has been reported to law enforcement."

The Times reported that while the Scouts learned of most of the abuse allegations after they were reported to authorities, the organization was told about more than 500 instances from boys, parents, staff members or anonymous tips.

"In about 400 of those cases -- 80% -- there is no record of Scouting officials reporting the allegations to police," the Times reported. "In more than 100 of the cases, officials actively sought to conceal the alleged abuse or allowed the suspects to hide it."

Warren's report said her "review of these files indicates that the reported rate of sexual abuse in Scouting has been very low."

"These files tell us precisely what researchers already knew, and have known for many years: some small number of men will use a position of trust and access to young people to pursue illegal sexual gratification," Warren wrote. "This is a sad reality that has been with us throughout human history."

The professor noted that only 25 cases were documented from 1980, when there were about 1.1 million adults involved in Scouting.

"This indicates that 0.002 percent -- or 2 per 100,000 -- of all registered Scouting-involved adults in that year came to the attention of BSA because of alleged inappropriate sexual behavior with a child or adolescent," Warren said. "This suggests that youth were safer in Scouting than in society at large."

Warren also disputed that the documents were "secret files" of hidden abuse.

"The files show a significant amount of public knowledge of the offenders and their unlawful acts," she said. "For example, over 60% of the files made available to the public include some kind of public information. These public domain sources included newspaper articles, police reports, criminal justice records, and records of civil litigation."

Most of the men involved "were arrested at some point in their lives for a sex crime." she said. "These data indicate that more often than not, the police, the courts, and the public were aware of inappropriate sexual behavior having been attributed to these individuals."

Opinion: What Scout abuse scandal teaches us

The professor also asserted that the "claims of abuse were not swept under the carpet and ignored. Rather, suspected offenders were pursued and often times barred from Scouting over their fervent objection and at times even the opinion of the local community."

The "small number" of alleged offenders allowed back into Scouting were permitted "because (they) had sought and received psychiatric treatment," she wrote.

Warren concluded that the Scouts' system of ridding the organization of sex abusers "was not perfect, and mistakes clearly occurred," but it "functioned well in keeping many unfit adults out of Scouting."

SNAP's director said he was "highly skeptical" of Warren's claim that the Scouts' system functioned well. "Compared with what? She apparently bases this on one source of information: the BSA files."

However, Clohessy said, "initial reports seem to show that the Boy Scouts' response to sexual abuse is improving."

"At the same time, we stand by our call to wait and see what real reform -- if any -- actually comes of these new developments," he added. "For example, Warren's report indicates that there were still some abusers who were allowed back into Scouting after going through 'psychiatric treatment.' We would argue that no one who has been credibly accused of child sex abuse be allowed back into Scouting, period."

The report "gives us some slight hope for change within the BSA, but we remain cautious," Clohessy said.

CNN's Nick Valencia contributed to this report.

@highlight

The Boy Scouts of America commissioned the "independent review" of its "perversion files"

@highlight

A sex abuse support group calls it "an unsubstantiated, self-serving claim"

@highlight

A newspaper study of files said Scouts "failed to report hundreds of alleged child molesters"

@highlight

"These claims of abuse were not swept under the carpet and ignored," an expert says