(CNN) -- What really motivates us? And what motivational techniques lead us to work smarter and live better? Those are questions that behavioral scientists around the world have been exploring for the past half-century. Their answers might surprise you.

In laboratory experiments and field studies, a band of psychologists, sociologists and economists have found that many carrot-and-stick motivators -- the elements around which we build most of our businesses and many of our schools -- can be effective, but that they work in only a surprisingly narrow band of circumstances.

For enduring motivation, the science shows, a different approach is more effective. This approach draws not on our biological drive or our reward-and-punishment drive, but on what we might think of as our third drive: Our innate need to direct our own lives, to learn and create new things, and to do better by ourselves and our world.

In particular, high performance -- especially for the complex, conceptual tasks we're increasingly doing on thejob -- depends far more on intrinsic motivators than on extrinsic ones.

Read more about Daniel Pink's talk at TEDGlobal2009

With these conclusions in mind, here are a few ways to tap your third drive and enlist the science of motivation at work, with your children and in your personal life.

WORK: Try a FedEx Day

The Australian software company Atlassian has an ingenious method for stoking innovation. Once a quarter, on a Thursday afternoon, they allow their developers to work on anything they want, any way they want and with whomever they want. The only requirement is that people have to show what they've created to the rest of the company at a fun and spirited meeting 24 hours later.

Atlassian calls these sessions "FedEx Days" because people have to deliver something overnight. These one-day bursts of autonomy have produced an array of fixes for existing software and ideas for new products that might not have emerged otherwise. This isn't management through carrots and sticks. It's innovation through autonomy.

You can give this a whirl at your organization. Set aside an entire day when employees can work on anything they choose, however they want, with whomever they'd like. Make sure they have the tools and resources they need. And impose just one rule: People must deliver something -- a new idea, a prototype of a product, a better internal process -- the following day. The results might amaze you.

CHILDREN: Give your children an allowance and some chores -- but don't combine them

In the peculiar world of human motivation, sometimes adding two positives can give you a negative. Take the case of chores and allowances. Both are good. Chores show kids that families are built on mutual obligations and that all members need to help each other. Allowances teach kids to be responsible for, and manage, their own money.

But combining the two is a big mistake. By linking money to the completion of chores, parents turn an allowance into what I call an "if- then" reward (as in "If you do this, then you get that.") The science is very clear that "if-then" rewards, while effective in some circumstances, can trigger an avalanche of unintended consequences.

In this case, the carrot of payment sends kids a clear (and clearly wrongheaded) message: In the absence of cash, no self-respecting child would willingly set the table, empty the garbage or make her own bed.

It converts a moral andfamilial obligation into just another commercial transaction -- and teaches that the only reason to do a less-than-desirable task for your family is for payment. So keep allowance and chores separate, and you just might get that trash can emptied. Even better, your kids will begin to learn the difference between principles and payoffs.

PERSONAL: Find your sentence

Clare Booth Luce, one of the first women to serve in Congress, once said, "a great man is a sentence." What she meant was that anybody who ever achieved anything of enduring significance wasn't running in 17 directions at once. Those who leave left a lasting imprint -- not just on their country, but also on their families and communities -- are animated by a singular purpose.

One of the best ways to find your purpose is to ask yourself a variation of Luce's question: What's my sentence? When all is said and done, how to do you wanted to be remembered? How will the world be different because of your presence on it?

Your sentence need not be George Washington-esque in its scope. ("He led a revolution from tyranny and helped guide a young democracy.") Maybe it's "she served every patient who came into her office whether or not that person could pay." Maybe it's "he taught two generations of children how to read." Maybe it's "she raised four children who are now happy and healthy adults."

There are few better navigational tools than to find your North Star of purpose. So ask yourself: What's my sentence? You might find the answer motivating.

The opinions expressed in this commentary are solely those of Daniel Pink.

@highlight

Our traditional idea of motivation is to reward good behavior with money, Daniel Pink says

@highlight

He says research shows that carrot-and-stick motivators work only in limited circumstances

@highlight

He says many people motivated by need to be creative, productive, independent

@highlight

He says managers and parents can adopt better ways to motivate