Before Saturday's police shooting of an African-American teenager, Ferguson, Missouri, was known as one of hundreds of municipalities designated by a national nonprofit as a "Playful City USA," a place where children are supposed to have access to more opportunities to play in their communities.

But the shooting death of Michael Brown, a college-bound 18-year-old, by a police officer has brought national attention to the mostly black community for another reason.

Witnesses and residents say the young man was unarmed. Police say he tried to take an officer's gun. Authorities, citing threats and safety issues, have refused to identify the officer. Protests have turned violent. Tensions remain high after isolated looting incidents and dozens of arrests in the St. Louis suburb of 22,400.

To locals and longtime observers, the tension has been brewing since the 1970s, when Ferguson underwent a racial transformation.

Once predominantly white, the city became overwhelmingly black as white families moved out during the racial integration of public schools.   At the same time, many African-American families started to move to Ferguson from St. Louis and surrounding communities.

"This whole situation has been boiling for a while," said Antonio French, a St. Louis alderman who lives five miles from Ferguson. "It's not just the death of Michael Brown but the way it's been handled by the local government and the response to the community's outrage that forced this to boil over."

A white man's response to Ferguson

On Thursday, Missouri Gov. Jay Nixon acknowledged long-simmering tensions between the community and police.

"This feels a little like an old wound that has been hit again," he said. "The key to this is ... ultimately getting to some of these deeper problems. These are deep and existing problems not only in Missouri but in America. This has clearly touched a nerve, and that nerve is not merely from this horrific incident that happened just a few short days ago."

Advocates for effective policing contend that law enforcement should reflect the diversity of the community it polices. When that is out of balance, however, an incident such as the Brown shooting can cause tensions to boil over.

What's happening in Ferguson today is a perfect example, said Beryl Satter, a history professor at Rutgers University in New Jersey.

"This is what happens when you have massive racial change in a community and the power structure remains in the hands of whites and the police force acts as this sort of mediating force between the white power structure and what is now a black community and has very little empathy or knowledge about that community."

Racial disparity

Two-thirds of Ferguson's population is black, and yet the mayor is white, and so are five of the six city council members.

The police chief is also white. There are only three African-Americans on the 53-person police force.

"This all gets back to segregation," Satter said. "The school boards, the police force, the juvenile courts remain the same. The population changes before the power structure changes. ... It happened across the country when there was very rapid resegregation of a town, a neighborhood or a city."

Ferguson Police Chief Thomas Jackson admitted Wednesday that diversity on the force was a "constant struggle" but said race relations were a top priority for his department. He also said the officer who shot Brown was assaulted before opening fire on the young man.

According to a 2013 report released by the Missouri attorney general, African-Americans are not under-represented in crime statistics.  They accounted for 93% of arrests after traffic stops, 92% of searches and 86% of traffic stops.

The St. Louis area has always been one of the most racially segregated regions in the country, according to Satter and other experts.

It was in St. Louis that a federal judge in 1847 returned Dred Scott to slavery in a decision upheld by the U.S. Supreme Court, which ruled that African-Americans were not American citizens and could not sue in federal court.

Deadly race riots erupted in East St. Louis in the early 1900s. The looting and angry protests that followed Brown's death, Satter said, are part of the "historical lineage of violence and segregation."

While all the facts surrounding the Brown shooting have yet to come out, Satter said, the disconnect between the community and law enforcement can have lasting effects.

"It's just a terrible spiral of oppression," she said. "The reaction of rioting in response to police brutality is classic. It's so personal. Other kinds of oppression that black people face, say in the school or other places, it's not on your body. It's not as personally invasive. But police brutality hurts in a sharper, more profound and immediate way. People can relate to what happened to this boy."

Racial profiling training

Jackson told CNN this week that he was working to improve the diversity of the force. Racial profiling, he said, was "strictly forbidden."

"We actually have mandatory racial profiling training that we have to take to be certified," he said. "Racial profiling is against our policies. It actually benefits nothing."

David Klinger, a criminal justice professor at the University of Missouri-St. Louis and a former Los Angeles police officer, said that a more diverse police force doesn't always translate into better police relations with a community.

"If the cops are not treating the citizens appropriately, is it a question of the cops not doing their job right because they're not trained well or they're knuckleheads or they hold racial animus?" he said. "Who knows? But if you bore down and it turns out that there's racial animus, then you have a real big problem on top of the lack of professionalism, because that's a flashpoint in our society. We have a rough history in America regarding race relations. And the police, unfortunately, have been on the wrong side of that."

Dan Isom, retired chief of police in St. Louis and a criminal justice professor at the University of Missouri-St. Louis, said the diversity of the police rank and file and command definitely affects community relations.

"When you look across the nation, it's not uncommon for police departments to have a racial makeup that is not consistent with the community," he said. "You don't have a political or community push for improvement until something like the Michael Brown shooting happens."

According to the Bureau of Justice Statistics,  about a quarter of police officers across the nation were ethnic minorities in 2007, compared with a sixth of officers in 1987.

Isom hopes the tragedy leads to change.

"There are so many questions to be asked beyond just the shooting," Isom said. "Certainly, the police department's makeup, the relationship with the community. Hopefully, this brings a bigger conversation: Why does this happen in the African-American community? What are the deeper issues we have to resolve between communities and police?"

Other factors about Ferguson need to be considered, observers said.

According to the 2010 census, community residents are mostly young; the average age is 31. Median household income is $37,000: about $10,000 less than Missouri as a whole. About one-fifth of Ferguson residents live in poverty.

African-Americans are much worse off economically than whites, with a 25% poverty rate that's more than twice that of whites, according to the most recent government estimates from two years ago. Their median income is only about 60% that of their white counterparts.

"Ferguson's black community is a very transient community, living in rental housing," said French, the St. Louis alderman. "Not many people register to vote, and even less participate in elections. ... People are living day to day out there, and part of their daily existence is negative encounters with the police. They want to be heard. They want their frustration to be recognized."

Complete coverage on Michael Brown's shooting

Ferguson police slammed for 'escalating the situation'

Opinion: Why Ferguson is your town

@highlight

Ferguson, Missouri, was one of hundreds of municipalities designated a "Playful City USA"

@highlight

The shooting death of Michael Brown, 18, by police has put it in the national spotlight

@highlight

Three of the city's 53 officers are African-American

@highlight

63% of Ferguson's population is black; 34% is white