London, England (CNN) -- The United Kingdom spent a second day suspended in uncertainty Saturday as leading politicians met to resolve a national election that failed to yield an outright winner.

Liberal Democrat leader Nick Clegg, whose party came in third after Thursday's voting, held meetings with fellow party members Saturday to discuss a possible deal with either of the two largest parties, Labour and the Conservatives.

Clegg also met with Conservative leader David Cameron Saturday night, local media reported, while a broader meeting between Liberal Democrats and the Conservative Party is scheduled for Sunday morning, a Liberal Democrat spokeswoman told CNN.

During a break in the talks with his own party, Clegg addressed hundreds of protesters in London who were demonstrating in favor of proportional representation, a system supported by the Liberal Democrats.

Send iReport your stories, videos, photos

The Lib Dems say the current electoral system is unfair and leaves them under-represented in Parliament. They say the number of seats they have in the House of Commons fails to reflect the number of votes they won across the country, and they believe each party's allocation of seats should reflect the percentage of the national vote they get.

For example, the Conservatives got 36 percent of the vote and 306 of the 650 seats in Parliament. Under proportional representation, they would have gotten 234 seats. The Lib Dems got 23 percent of the popular vote but won only 57 seats. Proportional representation would have given them about 150 seats.

"I never thought I'd see Londoners protesting for proportional representation," Clegg said. "Take it from me, reforming politics is one of the reasons I went into politics. I campaigned for a better, more open, more transparent new politics every single day of this general election campaign.

"I genuinely believe it is in the national interest, it is in the interest of everybody in Great Britain, to use this opportunity to usher in a new politics."

Before he went into the meeting with members of his party Saturday morning, Clegg said "politicians have a duty to speak to each other."

"People deserve a good, stable government, and that's why I'm very keen that the Liberal Democrats should enter into any discussions with other parties, as we're doing, in a constructive spirit," he explained.

What happens next for UK politics?

The Liberal Democrats planned to meet with the Conservative Party at 11 a.m. (6 a.m. ET) Sunday, according to a Liberal Democrat spokeswoman.

When asked, a spokeswoman for the Conservative Party declined to give a timeframe for a possible deal.

Why UK politics needs to get used to horse trading

British Prime Minister Gordon Brown, who leads the Labour Party, and the Conservatives' Cameron both offered on Friday to form an alliance with the Liberal Democrats as they jostled for power after the election in which the Conservatives gained the most seats in the House of Commons.

Clegg told reporters Saturday morning that he remained focused on four priorities as he discussed the idea of a deal with another party: tax reform, education reform, a "new approach" to the economy, and "fundamental political reform."

Full election coverage

"It's precisely those four changes which will guide us in the talks ahead," Clegg said.

In an e-mail to Conservative supporters on Saturday, Cameron made a case for the party to work with the Liberal Democrats.

"I ... believe there are many areas of common ground between us and the Liberal Democrats -- such as the need for education reform, building a low-carbon economy, reforming our political system, decentralizing power, protecting civil liberties and scrapping ID cards," Cameron wrote.

It's unclear how far Cameron will go on the Liberal Democrats' main priority, electoral reform. But he said in his e-mail that he is willing to compromise on some issues.

"There are also areas where I believe we in the Conservative Party can give ground," he wrote, "both in the national interest and in the interests of forging an open and trusting partnership. For example, we want to work with the Liberal Democrats to see how we can afford to reduce taxes on the lowest paid."

Brown, who remains prime minister even though Labour lost its parliamentary majority, said Friday that he would be willing to negotiate with any party leader.

What role does the queen play now?

Official returns Friday showed it would be impossible for any one party to get a majority of seats, resulting in what is known as a hung parliament. The Conservatives came in first, with at least 306 seats in the 650-seat parliament, followed by Labour with at least 258. The Liberal Democrats came in third, with at least 57.

The Conservatives must forge some kind of deal with a smaller party in order to reach a voting majority in Parliament, and they are most likely to turn to the Liberal Democrats, analysts have said. Parties smaller than the Liberal Democrats hold too few seats in Parliament for them to be realistic choices for the Conservatives, analysts have said.

It's also easier for the Conservatives to seek a partnership with just one party rather than many, said Joe Twyman, director of political polling at YouGov.

Such a partnership, however, does not necessarily have to take the form of a coalition, Twyman said.

"My personal opinion is that the most likely scenario is the Conservative Party forming a minority government and going into some sort of leg-by-leg association with the Liberal Democrats," Twyman told CNN on Saturday. "The Conservatives hope that will give them the support they need to get across their economic policies, which are the most pressing."

Anger at polling stations

Though they are dubbed the kingmakers, because their support could be crucial to either of the two big parties, the Liberal Democrats also don't have much room to play with, Twyman said.

The last time Britain had a hung parliament was in February 1974, when Edward Heath's Conservatives gained more votes but fewer seats in Parliament than Labour. Unable to form a deal with the Liberal Party, the Conservatives stayed on in a minority government, but found themselves back at the polls by October.

"As the Lib Dems are reported to have significantly less financing than the other two parties, they would have the most to lose from another election being called very soon, because elections are an expensive business," Twyman said.

CNN's Melissa Gray, Richard Greene and Paul Armstrong in London contributed to this report.

@highlight

No party won a clear majority in British election, resulting in hung parliament

@highlight

NEW: Liberal Democrat leader Nick Clegg speaks to protesters

@highlight

Liberal Democrats plan to meet with the Conservative Party Sunday

@highlight

Conservatives refuse to give a timeframe on any deal