(CNN) -- Last time around, humanity's savior came in the form of a human messiah. This time, if technology analysts, bankers and venture capitalists are to be believed, it will take the form of a handheld computer otherwise known as a smartphone.

That's right, the new Apple iPhone announced Wednesday is already being credited with saving the United States economy. According to JP Morgan, sales of the new device should boost our nation's GDP by as much as 0.5% in the fourth quarter of this year alone. That's not a misprint, but half a percent of the nation's economic activity, or $3.2 billion.

It's hard to know whether such proclamations - even if true - say as much about the power of smartphones as they do about the weakness of the rest of the economy. In either case, however, I can't help but fear yet another hyper-inflated bubble in the making.

Maybe smartphones make us 'SuperStupid'?

First off, most of the projected $3.2 billion won't be from consumers to Apple, but from wireless carriers subsidizing their subscriber's purchases in return for contract extensions. That's not really "growth" the way we used to define it in economics class. But that doesn't stop us from mistaking wireless as a pure growth industry, and far too many from placing their bets accordingly.

Working as I do in New York's Silicon Alley, it's hard not to bump into an iPhone app builder or investor everywhere I go. Labs, incubators and angel investing groups are quite focused - some might argue obsessed - with launching the next monster iPhone hit, and then selling before it crashes. Top-ranked iPhone app Draw Something, for example, peaked at around 50 million downloads this spring. This was just in time for its developer to be bought by Zynga for $200 million, and then start its descent into obscurity the very next day.

Even the students at the graduate digital programs where I teach have shifted from building for computer or the Web to developing for the iPhone. Like garage bands of yesterday, they toil away in the hope of getting the next big hit.

Yes, we've been here before.

First time, for me anyway, was the CD-ROM craze. Flashy interactivity, new authoring tools and seemingly infinite storage space led many media publishers to believe that CD-ROMs would be to the digital era what books were to that of text. They obsolesced themselves as a viable format (mostly by being slow and boring) even before networking speeds made disks irrelevant.

The dotcom boom appeared just as infinite to those in the know. While Amazon has been left standing, Pets.com and Etoys crashed as quickly as they rose. The vast majority of online retailers surprised the Wall Street analysts betting on them.

Social media was supposed to solve that problem for the tech industry and NASDAQ alike, but climaxed in the IPO of Facebook, a disappointment so far-reaching it has dragged dozens of social media companies along with it, and sent investors and entrepreneurs looking for greener pastures.

The choreography of an Apple event

Like wireless handheld devices and the apps running on them.

Everywhere I turn, every conference I attend, every magazine story I read seems to be based on one aspect of these technologies or another. Everyone is hard at work on an iPhone app that lists, maps, or socializes some data set in some new visual way. Pictures over text, text over maps, restaurants close to subways, or apps showing subways with WiFi to download more apps.

Don't get me wrong: Wireless is big, and these devices are here to stay, at least until we get comfortable with apps being embedded in objects and technology being implanted in our bodies. And while the opportunity for corporations to make billions on these apps may be overstated, we may still see a new peer-to-peer marketplace emerge between independent developers and the users of their bounty of applications.

But the extent to which entrepreneurs, developers, and even columns like this one depend on Apple and the rest of the wireless computing industry for new grist far exceeds their true impact or potential.

So go, get an iPhone. Enjoy it. But find something or someone else to save you.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Release of new iPhone is being touted as a big boost to the economy

@highlight

He says such pronouncements make him think more of a hyper-inflated bubble in the making

@highlight

He says much of growth comes from carriers subsidizing subscribers' purchases

@highlight

Rushkoff: Developers, investors obsessed with iPhone. Like other tech booms, it too will pass