(CNN) -- Many Google users probably didn't notice this month that they can now display their search tips in the Hawaiian language.

Hawaiian is one of more than 125 "interface languages" now available on Google.

Wedged between Hausa and Hebrew, Hawaiian is one of more than 125 "interface languages" now available on Google. The list also includes some humorous twists on English, including "pirate," "Klingon" and "Elmer Fudd."

But for Hawaiian educators, the addition of Hawaiian is a small step toward legitimizing a language that is considered "critically endangered" by the United Nations.

"It's the capstone of a lot of work," said Keola Donaghy, an assistant professor of Hawaiian studies at the University of Hawaii-Hilo.

"We've been doing this work for 18 years, simply trying to make it easier for people who speak Hawaiian to use these kinds of technologies."

It marks the first native American language available through the "Google in Your Language" program.

Getting started

It took Donaghy several years to get the project off the ground through the "Google in Your Language" program, which was launched by the California-based company not long after it was founded in 1998.

"The idea was to enable users worldwide to be able to access Google in the language of their choice, and if it wasn't available, to enable users to help make it so," Google spokesman Nate Tyler said. "Why limit users to a set of dominant languages if they were willing to help make Google their own?"

The results of the search are still in English, although the user can select a preference for Web pages written in more than 40 other main languages.

Google works with linguists like Donaghy who are interested in translating search instructions into their language.

"Volunteers sign up on their own to provide translation," Tyler explained. "They simply sign themselves up, declare a language proficiency, and then start translating or reviewing the products that are available for volunteer translation.

"When the translations are completed, we make the product(s) available in that language. Recent other languages like this include Maori language."

It was the Maori project, launched last year, that actually helped get Donaghy's initiative off the ground.

Three years ago, Donaghy started e-mailing and calling Google about a Hawaiian language project, but he got no response. He put the project on hold until last year.

"When I heard the Maori version came out, I asked Google about it," Donaghy said. "Apparently the original (language) coordinator had gone and as soon as a new coordinator was brought online, they set up the system."

Donaghy began working on the massive translation project sometime late last year.

"It was whenever I could find an hour or two in between teaching or other duties," he said. "It was a combination of personal and work time."

He spent more than 100 hours translating the search terms that appear on the Google page into Hawaiian through the program.

"I did the actual translation from beginning to end, and then I consulted with my colleagues at the university who have worked on these projects in the past," Donaghy said.

"I wanted to be very consistent -- such as how you say 'Go to this menu and select this' -- or people may become confused."

What's Hawaiian for 'browsing' the Web'?

Some of the Hawaiian words for terms such as "links" or "Web browser" had already been established when Donaghy and others worked on translating the Netscape Navigator search engine in 1997.

"Over the years, we usually face the debate of do we want to 'Hawaiianize' an English word, or take an old Hawaiian word and give it a new meaning," he said.

He explained some of the challenges in translating terms, such as "browsing" or "surfing," into Hawaiian.

"People use the term 'surf the Internet' and they'll say 'he'e nalu' which is literally surfing the ocean out on a board," he explained. "But we use 'kele,' which is what you do when you're steering a canoe. So we chose that as you're navigating the net."

Donaghy finished the translation project in April, but there were issues with the code for the search engine that would not activate the Hawaiian language interface.

The Hawaiian language interface actually launched on Apple's Safari browser first because Donaghy had worked with Apple to ensure that the language's diacritical marks and characters were available on the company's computers.

"Now, it comes with every computer that they ship," he said.  See and hear phrases in Hawaiian »

Some Apple computer users who had selected Hawaiian as their primary language for other programs noticed a couple of weeks ago that Google's search terms started appearing in Hawaiian, too.

"People started calling me and asking, 'Did you hack into my computer? My Google is in Hawaiian,'" Donaghy said. "And that was the point I said, 'OK, word is getting out about this' and I put out a news release. I was afraid someone was going to start freaking out, 'Why is my computer in Hawaiian?'"

Important milestone for Hawaii's culture

The initiative is an important milestone for Hawaiian linguists and cultural educators who have pushed to have their native language taught in schools alongside English.

It wasn't until the 1980s that the law banning the Hawaiian language from being taught in schools was overturned. The law was established in the late 19th century as a prerequisite to Hawaii becoming a U.S. territory.

Today, more and more Hawaiians are studying and majoring in Hawaiian language programs. There are Hawaiian language immersion programs in which English is taught as a second language.

Mona Wood, a Hawaiian speaker and owner of a public relations firm in Honolulu, said there has been a kind of Hawaiian language "renaissance" in the state since the late 1970s.

"Even tourism has been learning and growing and realizing that our 'host culture' must be added to the visitor experience," Wood said. "There are many more programs available at hotels and shopping malls that weren't there 20 years ago."

Wood said that when she studied Hawaiian in college, it was under the foreign languages department.

"It has been so wonderful to see so many of our youth embrace the native culture and see the programs expand to the point where there is an entire Hawaiian Studies Department," she said. "One can now get a B.A. (Bachelor of Arts) and M.A. (Master of Arts) in Hawaiian language."

Wood -- who owns Ikaika Communications, which represents local officials, local and national companies and celebrities including Duane "Dog the Bounty Hunter" Chapman -- said that when she was growing up, "Our culture was dying in every way."

"Learning my roots came through my own curiosity -- choosing to take hula lessons when my mom wanted me to take piano," she said. "Then I went to the Hawaiian High School, Kamehameha, and continued with some Hawaiian classes and joined a club at UH (University of Hawaii).

"Seeing Hawaiian knowledge becoming an asset over the years has been truly satisfying," she said.

Donaghy hopes the Google initiative is another step toward giving Hawaiian "the same status as English and other major European and Asian languages" -- particularly in the fast-moving sector of technology.

"To me personally it's very important that we are giving the opportunity to have as many things in Hawaiian as in English," he said. "So if we had not begun to address technology in the early 1990s, we would be telling people that this is a place where Hawaiian doesn't belong. You have to revert to English.

"We didn't want to send that kind of message so we've worked to make the language more accessible."

@highlight

Google search terms now available in Hawaiian

@highlight

Keola Donaghy spent 100 hours translating for "Google in Your Language" program

@highlight

Hawaiian is considered a "critically endangered" language by the U.N.

@highlight

It is the only native American language available in Google search preferences