(CNN) -- It's hard for me to choose the greatest African films of the 21st century as the genres and styles of African cinema have evolved in a big way over the past 20 years or so. Movie makers are now showing a more vibrant Africa than the Francophone filmmakers did before them.

I have chosen films that I loved watching and feel that they are a representative of what is out there in African cinema -- the rich mix and melting pot that is African cinema today.

From a Whisper - dir. Wanuri Kahiu, Kenya, 2009

This movie is very real and deals with the subject of terrorism -- based on the events surrounding the bomb attacks on the U.S. embassy in Nairobi in 1998. I liked Ken Ambani's realistic acting and I loved the music. Wanuri Kahiu is a good director who will go on to make greater films. The cinematography on this film was exceptional and although for me it had plot issues, I think in the end it all came together.

Read this: Hollywood classics get African makeover

Viva Riva! -- dir. Djo Munga, DR Congo, 2010

This is simply a sophisticated gangster movie. It has raw energy and puts a human face to all that is happening in the Congo. Sometimes just too real, it is gritty, fun and a must-watch thriller.

Sinking Sands - dir. Leila Djansi, Ghana, 2011

This film deals with domestic violence, but based on the personal journey of a man disfigured in an accident, which makes him turn against his wife.

Ama K. Abebrese, who plays the wife, made this film for me and she won Best Actress at the African Movie Academy Awards (AMAA) for it, but I felt that director Leila Djansi made the film engage with the audience in an emotional way, showing not just the rawness of domestic violence, but taking us through a range of pain and forgiveness. The film also depicts how women can immerse themselves in guilt and force themselves to feel like the guilty party.

Actors Jimmy Jean-Louis and Abebrese made this film a must watch and Djansi chose the right cast to make her directing look beautiful. The camera work on this film was excellent -- a bit dark and grainy, but one thing is for sure: you cannot watch "Sinking Sands" and not be affected.

White Waters - dir. Izu Ojukwu, Nigeria, 2007

"White Waters" was a very good movie. It tells the story of a disadvantaged boy who is discovered as gifted runner. I loved the feel, the music and the fact that it was about achieving something from nothing.

I loved the cinematography. Izu Ojukwu, the director and my colleague, is going to shout as I say this, but I believe he is one of the best cinematographers Nigeria has and actor O.C. Ukeje was sensational and made this movie for me.

Read more: Capetown takes on Tinseltown

Mwansa the Great - dir. Rungano Nyoni, Zambia 2011

This is one of those films that makes Africa great. By showcasing the talents of the children who make up its cast, it shows off Africa's apparent talent. It's not just the cast that I enjoyed -- it has lovely directing too.

Moolaade - dir. Ousmane Sembene, Senegal, 2004

"Moolaade" dealt with a subject that most men would rather not deal with -- female genital mutilation. But director Ousmane Semebene was not afraid to tackle the subject and the manner of the film was artistic, yet detailed, and did not derail the issues that most people in Africa are afraid to confront.

Coming from Sembene it was important, visual and professionally made -- and it pulls at the viewers' heart strings.

Otelo Burning - dir. Sara Blecher, South Africa, 2011

This is one movie I love, just because of the story line of young black South Africans in the 1980s excelling in surfing -- a sport that was reserved for the whites. The sound and picture quality was also excellent, as was the acting. "Otelo Burning" is one of the best African films I have ever seen and I feel it should have had a lot more accolades than it did.

Read more: 'Netflix of Africa' brings continent to the small screen

Benda Bilili - dir. Renaud Barret, Florent de La Tullaye, DR Congo/France, 2010

This is a great musical documentary telling the story of Staff Benda Bilili -- a group of disabled Congolese musicians. The band members start out making a living on the streets of Kinshasa, before becoming world-famous musicians.

Irapada -- dir. Kunle Afolayan, Nigeria, 2007

I love anything to deal with African myths and mysticism. This movie may not have the best sound quality but the storyline was interesting, and it was the first Nollywood film to make it to mainstream film festivals -- including the London Film Festival and Pan African Film festival in Los Angeles -- after winning an AMAA (Best Indigenous Film) in 2007.

Ghett'a Life - dir. Chris Browne, Jamaica, 2011

Not strictly an African movie, but "Ghett'a Life" is one of those films that I just love to watch. The music in this film is brilliant, and the cinematography too. It deals with the political violence in Jamaica in a realistic way, showing that people born in the ghetto can escape.

"Gett'a Life" can be hard to deal with but when you watch the documentary "Marley" you begin to understand how politics, music and sports all merge in developing countries. For me, this movie is in the same league as "Otelo Burning," with its message that you can get out of the corner if you really try. Story line: excellent, acting: brilliant.

What are your favorite African movies of the 21st century? Let us know in the comments section below.

@highlight

"African Oscars" founder picks the best of African cinema

@highlight

Among her choices of 21st century African films are "From a Whisper" and "Viva Riva!"

@highlight

"Movie makers are now showing a more vibrant Africa," says Peace Anyiam-Osigwe