The news that a large number of Westerners, including several Americans, had become hostages in North Africa shook the U.S. once again out of the delusion that it is possible to turn away from the world's problems.

Many Americans would like nothing better than to forget about the rest of the planet and focus on all the challenges crying for attention at home. After more than a decade of fighting costly and painful wars in faraway lands, people have grown weary, tired of worrying about complicated conflicts that seem to have no connection to their own lives.

But then bad things happen.

Read more: Power struggle: The North African gas industry targeted by militants

On Wednesday, in a dramatic operation in Algeria's portion of the Sahara, Islamist militants in the desert attacked a convoy of oil workers -- the people who work to satisfy the world's need for fuel. The jihadists claimed to have captured more than 40 hostages, including Americans, British, French and others. The U.S. called the incident a "terrorist" attack, and what followed has been the typical flurry of confusion -- possible escapes, killings. Without a doubt, the families of the hostages are suffering unbearable anxiety.

Meanwhile, there is a war raging in Mali, neighbor to Algeria. Until recently a democratic state, landlocked Mali is becoming home to terrorism, as Islamist militants affiliated with al Qaeda and its allies have been conquering the country and brutally subjugating the population in the process. France has just sent military forces to the country after a desperate plea from its president.

Fortified with weapons seized from the Libyan war and emboldened by their unstoppable march across Mali, these militant groups have been growing stronger.

Zakaria: Prepare for refugee crisis in Mali

The hostage emergency is only the most recent in a dramatic series of events occurring in North Africa over many months. In this chaotic and fluid crisis, we hope the hostages will return safely to their families. But that will not end the bigger crisis in the region.

While it unfolds, the rest of the world has to pay attention, whether it likes it or not.

Islamist militants, including al Qaeda in the Islamic Maghreb (AQIM), have operated in Algeria and other parts of North Africa for years, massacring civilians indiscriminately, taking countless Western hostages, collecting ransom, and more importantly, seeking to overthrow existing governments and imposing their rule.

In Algeria, the government has the upper hand.

But Mali has gone into free fall despite having served as a shining example of democracy in West Africa, for decades a place of tolerance, art and culture. After separatist Tuareg rebels joined forces with al Qaeda-linked militants, the country's political system began to unravel. A military coup weakened government forces, and the insurgency pushed ahead, conquering the northern half of the country.

People living in areas under Islamist rule have endured floggings, amputations and public executions, according to human rights groups and witnesses.

Killings, rapes, torture and other crimes have prompted calls for the International Criminal Court to become involved. Residents say the rebels have been buying children to use as soldiers. And they have engaged in the wholesale destruction of the ancient treasures of the city of Timbuktu, a world heritage site, much as the Taliban did when they conquered Afghanistan and blew up the ancient Buddha statues in Bamiyan.

The United Nations warns that hundreds of thousands have been forced to flee their homes and millions more are at risk of running out of food in the Sahel, the area bordering the Sahara, which is experiencing a severe drought.

As the rebels entrench their position, they build a stronghold in a part of the world where institutions are fragile and people are vulnerable. The conflict may be local, but the rebels' ideology considers the West the enemy, and non-Muslims as well as moderate Muslims fair game for their brutality.

It's been almost a year since the U.N., the U.S., NATO and Africa's leaders agreed that the international community urgently need to lend a hand to the embattled government and people of Mali. World leaders met, argued, discussed and did essentially nothing. Until this week. That's when the rebels launched an advance toward the capital, Bamako, and Mali's president sent out an SOS to Paris and the U.N.

France, a former colonial power, mobilized its military and launched bombing raids and sent in troops.

France has deep connections with Mali, Algeria and other former colonies. Thousands of French citizens live there, and personal and business connections run deep. The military operation, launched by France's Socialist President Francois Hollande, has strong support at home, at least so far.

The hostage-takers in Algeria claim their attack on the foreign oil workers was retaliation for France's intervention and for Algeria's granting permission for military overflights. But experts say the militants' attack was too sophisticated, probably planned well before Paris became involved with Mali.

More likely, the Algerian hostage crisis signals that Islamist extremists and dangerous gangs are gaining ascendancy in that part of the world, a region that is remote but crucial. It is a part of Africa at the intersection of the Arab world -- of enormous strategic importance to the West -- and the West African heartland, a region only now becoming more stable after years of unspeakable human tragedy.

We may want to avert out eyes, worry about the problems at home, and think this one, too, can be "kicked down the road," to use the term fashionable for explaining inaction on domestic matters. But some problems become much worse if ignored.

The hostage crisis is a warning that militants must be pushed back.

Without sending American troops into combat, the U.S. should provide greater support to the French and other African governments in helping Mali to defeat the Islamist militants and return democracy to Mali.

The last thing the people of Mali and the West want is a gang of al Qaeda-affiliated Islamist militants in charge of an entire country.  We've already seen that once before, and it didn't end well for anyone.

@highlight

Americans, others have been taken hostage by Islamist militants in Algeria

@highlight

Frida Ghitis: The hostage crisis is a warning that militants must be pushed back

@highlight

She says war has been raging in neighboring Mali, with extremists gaining ascendency

@highlight

Ghitis: The U.S. should aid the Mali government and help stabilize that part of the world