(CNN) -- In a landmark ruling, an international tribunal found former Liberian President Charles Taylor guilty Thursday of aiding and abetting war crimes in neighboring Sierra Leone's notoriously brutal civil war.

It was the first war crimes conviction of a former head of state by an international court since the Nuremberg trials of Nazi leaders after World War II.

Prosecutors, however, failed to prove that Taylor had direct command over the rebels who committed the atrocities, said Justice Richard Lussick of the Special Court for Sierra Leone.

A three-judge panel issued a unanimous decision that Taylor, 64, was guilty on all 11 counts of the indictment against him. The judges found him guilty of aiding and abetting rebel forces in a campaign of terror that involved murder, rape, sexual slavery, conscripting children younger than 15 and mining diamonds to pay for guns.

Prosecutor Brenda Hollis hailed the verdict as a milestone in accountability and said it "made clear the central role Charles Taylor played in the horrific crimes against the people of Sierra Leone.

"This judgment affirms that with leadership comes not just power and authority, but also responsibility and accountability," she said. "No person, no matter how powerful, is above the law."

Taylor will learn what penalty he'll be forced to pay on May 30, two weeks after a hearing to argue the most appropriate terms of his sentence. There is no death penalty in international criminal law, and Taylor would serve out any sentence in a British prison.

Taylor's lawyer, Courtenay Griffiths, suggested the trial was politically motivated. He claimed his client's conviction was "obtained on tainted and corrupted evidence" based on the testimony of witnesses from Sierra Leone who were paid to appear in court.

Griffiths portrayed Taylor as a legitimate leader who aided rebels in a neighboring nation. Those rebels, not Taylor himself, should be held accountable for their actions, the lawyer contended.

"If such behavior is to be deemed illegal, then I'd like to see it be deemed illegal across the board," Griffiths said, referring to leaders of the United States or Britain potentially paying the price for crimes committed by covert groups they have supported.

"But let's be frank, ladies and gentlemen," Griffiths said, "do you honestly see that ever happening?"

Throughout Lussick's reading of a long list of chilling crimes, Taylor remained stoic. Dressed in a charcoal gray suit, a white shirt and a burgundy tie, the former warlord stood quietly as the judge delivered the guilty verdict.

The mood was decidedly different in Freetown, the Sierra Leone capital, where, as one resident described it, every television set was on.

"Relief. Relief," said Jennifer Harold, national director of the charity World Vision. "Everybody is thrilled."

Harold said Taylor's conviction was a big psychological victory for his victims.

"People can be very cynical about justice," she said. "But now you have someone finally getting caught, finally getting justice."

U.N. human rights chief Navi Pillay noted that Taylor can appeal the verdict, and it could be overturned. That said, she called his conviction "immensely significant," saying it sends out a message that even the most powerful are not above the law.

"This is undoubtedly a historic moment in the development of international justice," she said. "A former president, who once wielded immense influence in a neighboring country where tens of thousands of people were killed, mutilated, raped, robbed and repeatedly displaced for years on end, has been arrested, tried in a fair and thorough international procedure."

Taylor has been a pivotal figure in Liberian politics for decades after he overthrew the regime of Samuel Doe in 1989, plunging the country into a bloody civil war that left 200,000 dead over the next 14 years.

After he was forced out of office under international pressure in 2003, he lived in exile in Nigeria, where border guards arrested him in 2006 as he was attempting to cross into Chad amid international pressure.

That culminated in his trial, which began in 2007 at the special court for Sierra Leone in The Hague, Netherlands. U.N. officials and the Sierra Leone government jointly set up the tribunal to try those who played the biggest role in the atrocities.

The court was moved from Sierra Leone, where emotions about the civil war still run high.

Judges ultimately heard testimony from more than 100 people in the case. They included supermodel Naomi Campbell, who told the special tribunal that she received "dirty-looking stones" she assumed were gifts from Taylor after a dinner hosted by then-South African President Nelson Mandela in 1997. The prosecution was trying, with her testimony, to tie Taylor to "blood diamonds" -- the mining and selling of diamonds, in this case to fund rebels in several African conflict areas.

"When I was sleeping, I had a knock on my door. I opened the door and two men were there. They gave me a pouch and said, 'A gift for you,'" she said. "The men didn't introduce themselves or say anything else."

Prosecutors accused Taylor of financing and giving orders to Revolutionary United Front rebels in Sierra Leone's civil war that ultimately left 50,000 dead or missing. His support for the rebels fueled the bloody war, prosecutors said.

Fighters included teenagers forced to kill, rape and plunder placed under the influence of drugs to provoke violent behavior.

Witnesses testified about grisly violence by the rebels during the conflict, including shooting and disemboweling pregnant women and children. Sometimes, rebels asked people if they wanted long sleeves or short sleeves. The former meant hacking off hands; the latter, forearms.

"Brave men, women and children have taken the stand against Charles Taylor," the prosecutor's office said in a written statement. "They have included amputees, rape victims, former child soldiers and persons enslaved, robbed, and terrorized. We are awed by their courage."

Ishmael Beah, a former rebel child soldier in Sierra Leone who has written a book chronicling his experiences, said the verdict gives people in his native country good reason to celebrate Friday, on its independence day.

"I feel very happy today that such a man is no longer powerful and that the law has prevailed," Beah told CNN. "It shows that nobody can get away with doing such things, particularly with recruiting children in war."

Taylor becomes the first former head of state since Adm. Karl Doenitz, who became president of Germany briefly after Adolf Hitler's suicide, to be convicted for war crimes or crimes against humanity by an international tribunal.

Former Yugoslav President Slobodan Milosevic was tried by an international tribunal but died before a judgment was issued.

The International Criminal Court has charged Laurent Gbagbo, the former Ivory Coast president, with crimes against humanity. It also has a warrant out for Sudanese President Omar al-Bashir, who, so far, has been able to elude arrest.

"Powerful leaders like Charles Taylor have for too long lived comfortably above the law," said Elise Keppler, senior international justice counsel at Human Rights Watch. "Taylor's conviction sends a message to those in power that they can be held to account for grave crimes."

The White House cheered Thursday's verdict, releasing a statement pointing to "progress" that has been made in Sierra Leone and Liberia and saying it hoped the ruling "will help dissuade others who might follow in his footsteps."

William Hague, Britain's foreign minister, was even more pointed in his comments. On Twitter, he urged Syrian President Bashar al-Assad -- who many have claimed has ordered troops to clamp down on civilian dissenters, killing thousands -- to pay attention to what happened at the Hague, lest he also someday faces charges.

"Justice has been done. Remember his victims, & remind #Assad: there is no expiry date for crimes against the innocent," Hague said.

@highlight

NEW: UK foreign minister says verdict should be lesson to Syria's al-Assad

@highlight

Charles Taylor is the first ex-head of state convicted by an international tribunal since 1946

@highlight

He will be sentenced May 30 and serve out his sentence in a British jail

@highlight

Taylor's lawyer says his client shouldn't be responsible for others' actions