(CNN) -- Airmen toss dirt bikes out the rear of an airborne plane.

Then, a so-called "bike chaser" jumps out after them.

When U.S. troops take control of an airfield in a combat zone, this often is how it begins.

Parachutes unfurl. The motorbikes float to earth along with the bike chaser, who quickly cranks one of the motorcycles to life. Soon, the airfield is secured and ready for incoming U.S. aircraft.

That's a typical mission for Air Force combat control teams, CCTs for short. And, along with seizing airfields, they help ground force commanders and pilots pinpoint targets in war zones. These kinds of special forces could be useful on the ground in Iraq, military analysts say, in the event of U.S. airstrikes against Islamic extremists.

The Navy has its SEALs.

The Army has Delta Force.

And the Air Force has combat controllers: a lesser known special ops ground force sometimes referred to as "ground pounders."

Maj. Charlie Hodges, who served with CCTs in Iraq and Afghanistan, spent a few minutes on the phone with CNN Wednesday to offer an inside perspective on these highly trained, elite squads.

"All of our guys are trained to ride motorcycles," says Hodges. Sometimes going to work "involves jumping out of an airplane, or sliding out a helicopter down a fast rope, or riding some sort of all-terrain vehicle, or going on a mountain path on foot."

Combat controllers are trained to help fighter pilots hit their targets more accurately without killing innocent civilians or friendly troops.

That's a resource that military analysts say would be important now in Iraq's efforts to combat ISIS militants. Iraq's government has asked the United States for airstrikes against ISIS, as it encroaches on the nation's key cities. Limited airstrikes might be possible, analysts say, if U.S. forces were inserted where they could accurately identify targets. For days, military sources have said ISIS fighters are dispersed and mixed with local populations, making them difficult to target precisely with airstrikes.

Retired U.S. Marine Gen. John R. Allen, who served in Iraq and Afghanistan, told The New York Times this month, "It's feasible for the U.S. to play a limited role with air power with (special operations forces) combat controllers and limited advisers."

On Thursday, President Barack Obama announced the United States had "positioned additional U.S. military assets in the region." "Because of increased intelligence resources," he said, the United States is "developing more information about potential targets associated with (ISIS), and going forward, we will be prepared to take targeted and precise military action if and when we determine that the situation on the ground requires it."

The President didn't offer any specifics.

Related story: Who are the U.S. advisers heading to Iraq?

Let's not forget that at the beginning of the Afghanistan war in 2001, ground controllers teamed up with Northern Alliance fighters to help U.S. pilots target and smash the Taliban.

It's surprising: In this age of superaccurate smart bombs and camera-enabled, missile-toting drones, Hodges says human targeting intelligence remains the gold standard.

"People think that because they see it in a Jason Bourne movie" that technology can do everything, Hodges says. "But I don't think we're ever going to have a totally,100% air-centric war. I think we're always going to need boots on the ground."

Their job ranks among the most dangerous in the military. Think about it: These guys regularly work near or inside the target zones of some of the most fearsome flying machines devised by man: the A-10 "warthog," the B-2 stealth bomber, the Apache helicopter, the F-16 Fighting Falcon and the AC-130 gunship.

'It can be kind of squirrelly'

Falling safely from the air to the ground with all that gear is no small feat. A typical drop comes with two motorcycles. Bike sizes often range from minibikes with 100 cubic centimeter engines to dirt bikes with 250 cubic centimeter engines. The motorcycles are dropped in packages called "bike bundles."

Small bikes have parachutes attached to the handlebars. "It's small enough you can literally pick it up and just throw it out the back of the aircraft," says Hodges. "And that's what they'll do."

Engines are limited to around 250 cubic centimeters, Hodges says, because the combat controllers are riding with 100 pounds of gear on their backs. "When you have your center of gravity that high, it can be kind of squirrelly," he says. "So we do a fair amount of training," starting with a certified Motorcycle Safety Foundation course followed by intensive experience with various four-wheeled all-terrain vehicles and side-by-sides.

Bike chasers retrieve and mount the motorcycles and use them to quickly secure the air field runways and clear them of obstacles.

"Hopefully the bike's got an electric start â€” and not just a kickstarter," Hodges says. If the bike takes a tumble when it lands, that could temporarily mess up its fuel system, he says, making it troublesome to fire up with a kickstarter.

In addition to helping ID air targets, these troops also work to protect civilians and allied forces on the ground. "If they're being fired on by the enemy, we can bring in aircraft," Hodges says.

Controllers also have access to special airborne surveillance assets that give them "eyes in the sky" for U.S. ground troops who need to know "what's on the other side of that building," as Hodges put it.

"When you're pinned down and can't move, having eyes in the sky to take out the enemy is pretty instrumental in making sure your guys come back alive."

Air control for earthquake victims

Attached to the Air Force 24th Special Operations Wing at Hurlburt Field, Florida, these guys are FAA certified air traffic controllers.

In 2010, the CCTs deployed to Haiti, responding to a 7.0 magnitude earthquake that left more than 230,000 people dead. At the airport in Port-au-Prince, "nobody was sure of the structural integrity of the tower," says Hodges. "So they set up in the infield and they landed 200 planes a day â€” all with notebook paper, a card table and handheld radios." Two-hundred planes a day rivals air traffic at some of the world's busiest airports, including Chicago O'Hare and Atlanta's Hartsfield-Jackson.

The camaraderie you might expect between pilots and combat controllers is strong, Hodges says. "It's always neat when you've worked with a guy here in the States and then go overseas and they call up and you recognize their call sign."

There's also some professional, good-natured rivalry.

"We remind them that they're flying around in their air-conditioned cockpits," he says. "We're on the ground in the heat and humidity, carrying 100 pounds on our backs."

@highlight

Combat control teams are the Air Force's lesser known elite special ops ground force

@highlight

They parachute into war zones and help ground force commanders and pilots pinpoint targets

@highlight

Combat control teams use special dirt bikes to seize air fields

@highlight

They also use airborne surveillance to protect U.S. ground troops and friendly civilians