Editor's note: CNN Contributor Bob Greene is a bestselling author whose forthcoming book is "Late Edition: A Love Story."

Bob Greene says Navy SEALs demonstrate an extraordinary devotion to duty.

(CNN) -- There is a beach in Coronado, California, just across the bridge from San Diego. It offers a beautiful view of the Pacific Ocean, which is why it attracts tourists who are drawn to the sun.

I thought about that beach yesterday, when the news from the Indian Ocean near the Horn of Africa was flashed around the world -- the news that the captain of the cargo ship Maersk Alabama had been rescued from Somali pirates by U.S. forces operating off the USS Bainbridge.

That beach in California seems quite placid, even sedate. The historic, red-gabled Hotel del Coronado sits upon it -- the place where the Marilyn Monroe-Jack Lemmon-Tony Curtis movie "Some Like It Hot" was filmed. The feeling of the place is one of genteel manners, of delicate tradition. You almost expect to see guests carrying parasols and making reservations to play croquet.

But down the beach there is another kind of tradition. That's what I was thinking about on Sunday.

When I have stayed on Coronado, I walk down that beach toward the Naval Amphibious Base. I remember a makeshift fence separating the beach from the far reaches of the base. But it was easy to walk around, and no one appeared to take it especially seriously. I haven't been back since September 11, 2001; I would be very surprised if the barriers aren't more formidable now.

On that part of the beach, on the outskirts of Naval Amphibious Base Coronado, I saw Navy SEALs in training. Here, the Navy winnows the men who would be SEALs from the ones who fall short. It was a humbling thing to witness.

As the Navy itself puts it, SEAL training is like few other competitions:

"Prospective SEALs go through what is considered by many military experts to be the toughest training in the world. ... The most important trait that distinguishes Navy SEALs from all other military forces is that SEALs are Maritime Special Forces, as they strike from and return to the sea. SEALs (Sea, Air, Land) take their name from the elements in and from which they operate. Their stealth and clandestine methods of operation allow them to conduct multiple missions against targets that larger forces cannot approach undetected."

They looked so young, those prospective SEALs on Coronado beach. The maximum age to apply to be a SEAL is 28. They all know what they're getting into when they sign up, but to see their faces -- including the faces of the ones who were falling behind, who probably weren't going to make the cut, who were gasping for air on the arduous runs along the beach and having trouble during the maneuvers in the ocean -- was to see a devotion to the concept of duty on a level few of the rest of us will ever know.

Maybe you, during the recent days when Capt. Richard Phillips was held captive on that lifeboat off the coast of Africa, were asking yourself who in the world could come to his rescue. Who had the training, and the courage, to carry out such a mission.

We probably don't ask ourselves that kind of question often enough. Usually, military operations are talked about in the abstract, as if they're lines on a chalkboard, or brightly glowing diagrams on a computer screen.

But once in a while, like now, we stop to focus on what we ask of the people who serve in our stead when the task seems all but impossible. Ronald Reagan would sometimes quote a line that summed up our wonder at those who make the choice to serve our country in this way: "Where do we find such men?"

We find them among us, although we usually don't know it when we see it. On Coronado, on Orange Avenue, there was a bar called McP's, owned by an ex-SEAL named Greg McPartlin. Whenever I would stop in there, groups of guys from the naval base would be having a cheeseburger, maybe listening to a local acoustic band play a guitars-only version of The Beatles' "We Can Work It Out." You'd sit among them, and it was easy to forget what brought them to this strip of sand. It wasn't for vacation, or relaxation. Where do we find such men? Sometimes at the next table over, listening to the music.

From the Navy SEALs' creed:

"My loyalty to country and team is beyond reproach. I humbly serve as a guardian to my fellow Americans, always ready to defend those who are unable to defend themselves. I do not advertise the nature of my work, nor seek recognition for my actions. I voluntarily accept the inherent hazards of my profession, placing the welfare and security of others before my own. I serve with honor on and off the battlefield. The ability to control my emotions and my actions, regardless of circumstance, sets me apart from other men. ... In the absence of orders I will take charge, lead my teammates and accomplish the mission. ... I will never quit. I persevere and thrive on adversity. My nation expects me to be physically harder and mentally stronger than my enemies. If knocked down, I will get back up, every time. I will draw on every remaining ounce of strength to protect my teammates and to accomplish our mission. I am never out of the fight."

Where do we find such men?

Over the weekend, we learned the answer anew.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Navy SEALs go through training in San Diego

@highlight

Navy says they go through what may be toughest military training in the world

@highlight

He says SEALs show a devotion to duty that few of us can ever attain