When first revealed, Morten Storm's account of his life as a double agent inside al Qaeda sent shockwaves through Denmark's political and intelligence establishment. The first accounts came in the Danish newspaper Jyllands-Posten in October 2012.

In those articles, and in his new memoir "Agent Storm: My Life Inside al Qaeda and the CIA," which we co-authored, Storm recounted how after being recruited by Danish intelligence agency PET, he helped the CIA target several al Qaeda terrorists for assassination, most notably the American terrorist cleric Anwar a-Awlaki, who was killed in a CIA drone strike in September 2011.

The allegations have proven explosive in Denmark, where it is illegal for the government to take part in targeted killings.

Storm says his Danish handlers set up and attended meetings he had with the CIA in Denmark and overseas at which plans to track down terrorists were set in motion. He says Danish intelligence was fully aware the Americans planned to use lethal force.

Storm has significant corroborating evidence to back up his claim. He provided us with several hours of secret iPhone recordings of meetings and phone calls with his Danish and American intelligence handlers during which several of the kill missions were discussed.

CNN has not been able to independently authenticate the recordings, but the time the electronic files were first created were consistent with his account.

One of the recordings was of a meeting he says was set up with his PET and CIA handlers at a Danish resort a week after al-Awlaki was killed. On the tape, Storm makes clear to an American interlocutor that he and Danish intelligence had been key to getting al-Awlaki:

"We took initiative to create this because the Americans failed in their attempt to hit Anwar, they failed in their attempts to trace Anwar al-Awlaki, the Americans have failed in every single attempt to arrest or kill Anwar al-Awlaki, except when we went in, we traced him down again, created contacts with him, now he is dead, because of the work we have done."

Agent claims he had been promised $5 million

In the same recording, the American can be heard telling Storm that President Barack Obama knew about his contribution to the al-Awlaki mission, "We had our whole project going forward -- of which you played the highest role,' he said.

But the American denied Storm provided the critical breakthrough, frustrating Storm, who told CNN he had been promised $5 million if he led the CIA to the terrorist cleric. It was after this meeting he first made contact with the Danish newspaper.

After Jyllands-Posten first broke the story, PET refused to confirm or deny Storm's claims. "Out of consideration for PET's operational work, the PET neither can nor will confirm publicly that specific persons have been used as sources by the PET," it said.

"However, the PET does not participate in or support operations where the objective is to kill civilians. The PET did therefore not contribute to the military operation that led to the killing of al-Awlaki in Yemen," then-PET director Jakob Scharf stated.

Neither PET nor the CIA responded to CNN's requests for further comment.

Storm's revelations led Danish parliamentarians to demand new oversight rules for PET.

In January 2013, Storm met with several of them in Copenhagen. Denmark's Ministry of Justice announced it would set up a supervisory board to oversee the Danish intelligence agency, without acknowledging Storm was the reason. Then-Justice Minister Morten Bodskov said the new board would strike "the right balance that will ensure that we have an effective intelligence agency and a good rule of law."

But the government resisted calls from opposition MP's for a full parliamentary inquiry.

After the publication of another Jyllands-Posten article in March 2013, with fresh evidence retrieved from Storm's cell phones, Storm's account received heavyweight backing from Denmark's former spy chief.

Hans Jorgen Bonnichsen, Scharf's predecessor as head of PET, told Danish television that the corroborating evidence presented in the Danish media suggested the PET had used Storm to track down terrorist operatives overseas to help the U.S. target them for assassination. Bonnischen was at the helm of the intelligence agency in the period before Storm says he was recruited as an agent.

In late 2013, a political scandal forced the resignations of PET Director Scharf and Interior Minister Bodskov after it emerged Scharf had instructed subordinates to obtain information on the movements of a Danish MP.

Reforms may be coming in Denmark

The revelations put Storm's story back in the public spotlight. Bonnichsen sharpened his criticism of PET, asserting the disclosures on Danish involvement in assassination plans overseas were so serious there was a basis for a criminal investigation.

At the end of the year the beleaguered agency was put under more pressure when Jyllands-Posten disclosed PET's refusal to offer Storm protection after ISIS linked militants in Syria threatened his life in a video.

"Is it really a satisfactory way for the security services to carry out their task in that it takes three weeks before you answer a former employee who -- rightly -- felt threatened by Islamists?' the chairman of the Danish People's Party told the newspaper. Storm now lives in hiding in an undisclosed location in the UK, and says he currently receives no protection from any Western intelligence service.

In April 2014, the pressure on Denmark increased further when the Open Society Foundation, a New York based legal advocacy group, called on Denmark to acknowledge its role in al-Awlaki's killing and announced it had filed freedom of information requests with the Danish government regarding Storm.

"Danish officials have refused to respond specifically and meaningfully to numerous questions posed on this subject by the legal affairs committee of Denmark's parliament," a press release by the group stated.

"The evidence that has been revealed by Jyllands-Posten, is very worrying. They show that PET actively cooperated with the CIA in the operation to track down and kill Anwar al-Awlaki. They show that PET was eager to cover up his role in the program. They show that PET was trying to hide the truth from the Danish public. The evidence suggests that PET may have violated the Danish Criminal Code provisions relating to murder and international legal prohibitions on, among others, the right to life, among other laws. These are very serious offenses," Amrit Singh, the senior legal officer for national security and counterterrorism for the Open Society Justice Initiative, told Jyllands Posten.

Bonnischen told CNN new oversight rules for PET are now being discussed which would require the agency to submit an annual report to a parliamentary oversight committee on how many agents it was running and how they were being run.

Magnus Ranstorp, one of Scandinavia's leading counterterrorism academics, told CNN Storm's revelations had "opened a Pandora's box of ethical problems which will probably lead in the future to PET's ability or leeway to act being restricted."

It is rare indeed for an intelligence informant to go public about his work. In Storm's case the disclosures may change the law -- and radically change the way his former employer works.

Excerpt from 'Agent Storm': Finding a wife for Anwar al-Awlaki

@highlight

Morten Storm was a radical Islamist turned double agent

@highlight

He claims Danish agency recruited him to work with CIA

@highlight

PET said it had nothing to do with Anwar al-Awlaki operation