(CNN) -- A few weeks ago, my 11-year-old daughter was cut from her travel soccer team. Two years ago this month, my son wasn't accepted into the sixth-grade honors math. Was I disappointed? Absolutely. Bitter? Definitely. But after initially reeling from both of these losses, I learned to embrace the failure.

Parents are hardwired to want their kids to succeed. It's probably biologically rooted in our ultimate survival. In an earlier evolutionary period, failure was fatal.

Today, failure is not making a competitive sports team, a select program or the college of your choice.

We are the generation of drone parents hovering above and swaddling our kids in bubble wrap so they don't get hurt when they fall. In fact, we do everything possible to not let them fall. In an uber-competitive age where we exhaust ourselves in the pursuit of perfection for our children, even from the womb, parents have bought into the myth of how to turn out successful people. We are living in a world of tutors, private lessons and specialized coaching, thoroughly believing that with all the right scaffolding, we can guarantee our kids WILL soar.

Ironically, at a time when our parenting culture is all about ensuring success, the innovative business culture of Silicon Valley celebrates failure. New York Magazine recently had a cover story called "The Failure Fetish of Silicon Valley." There are books, blogs and even conferences devoted to embracing the flop.

There's no stigma or shame. In fact, a failed venture is a notch in the belt, an honor of distinction, a bragging right. The founder of a start-up that goes belly up may even be courted to take the helm of another company. They turn failure into a rite of passage among the best and the brightest. Reinvent and move on -- that's the ethos of enterprising entrepreneurs today and perhaps that is a great lesson for parents, too.

As the economy has shifted from an industrial to information one, experimentation is key. The ability to pivot, shift and keep trying is critical. Failure is an inevitable part of that process.

"Agility is the new smart," says Annmarie Neal, founder of the Center for Leadership Innovation. Neal is a trained psychologist, former chief talent officer at Cisco and author of "Leading from the Edge: Global Executives Share Strategies for Success." She is also a mother of an 11-year-old son.

Neal says that in today's economy, the secret sauce for kids' future success is to raise children in an environment where they are encouraged to test boundaries, engage with the world, and yes, even fail.

"If you haven't failed, then you haven't significantly learned anything to be able to move to the next stage," Neal said. "When kids don't learn how to fail, it creates a neurotic energy around perfectionism. They get stuck in a loop around perfect and they lose that opportunity to learn from the experience."

Failing spectacularly is probably not what we are hoping for when it comes to our vision for our children. Personally, it's painful to flop and watching our own kids struggle can be heartbreaking.

Two years ago, when I got the letter that my son didn't make it into the honors math class in sixth grade, not only was he crushed -- I, too, spent the summer miserable that he would not be in the coveted math class. But my son worked hard that year and was promoted to honors math in seventh grade. Recently, my son's honors math teacher told me that the kids who try the hardest in her class are those who weren't in the sixth-grade class. The kids who got bumped up into honors just continue to work harder.

This is when I realized that failing fast could ultimately pay off, not only in an entrepreneurial environment, but for our children, too. We don't want our kids to be paralyzed by the fear of failure. To succeed in a world where innovation and creativity is the new currency, we want our kids to have the courage to try to push limits and take risks.

"The world is so flat and the competitive landscape has changed," says David Roth, CEO and founder of the technology company AppFirst. He is also the father of two girls, one of whom just found out that she was cut from her high school travel softball team.

"Kids need to learn lessons on how to work through this stuff and not become stressed out or paralyzed. We don't want them giving up their dreams. We also need to create some toughness and mental skills around having to navigate disappointment so failure is not crushing."

When Roth hires employees, one of the things he looks for are people who can own their mistakes and not hide them. He's found that among Millennials he's hiring now, the ones afraid to fail or admit failure are the ones who don't survive at his company.

"The more disruptive, innovative and game changing of an environment that you are trying to create, the more you need personalities that can try to work through it and deal with falling down," Roth says.

This is the culture of the changing economy.

When our travel soccer league merged two teams into one a few weeks ago, nearly one-third of the girls were cut. At first, none of the parents wanted to tell their daughters the devastating news. We were scrambling to see if we could create a second team by pulling players from other places, all to avoid the disappointing truth that our daughters were no longer on the team. Within a couple of days, I decided to take our girls and join a local recreational soccer team that was competitive and had some great parent coaches. Pick up and move on -- that's what I advised my fellow parents. I also thought this was a teachable moment for my own daughter.

"Resiliency and flexibility and the ability to adapt to the world is more important than ever," Neal said.

Failure has never felt so good.

How have you helped your kids through failure? Share your experiences in the comments, on Twitter @CNNLiving or on CNN Living's Facebook page!

@highlight

Failure is painful for this generation of kids -- and for their parents, Wendy Sachs writes

@highlight

Silicon Valley experiences show that there are positives to learning how to fail

@highlight

Facing failure? "Pick up and move on -- that's what I advised my fellow parents," Sachs says