Mesa, Arizona (CNN) -- The sun is warm. The beer is cold. And the mood is as bright as the midday sky.

It's spring training season, a time when hopes remain high across baseball-loving America.

Here in Cactus League territory, the fans of 15 different baseball teams have descended once again on greater Phoenix — an area so dense with ballparks that even "away" games are often less than an hour away. There are hot dogs and hot tamales, shopping malls and swimming pools, mountaintops and margaritas — a full roster of reasons to hop on an Arizona-bound plane.

Every year for six weeks or so, you can't swing a bat here without hitting a baseball fan. By the hundreds of thousands, they return each spring to cheer on the Giants or the Royals or the Reds. Still, none of those fans may be as loyal and long-suffering as those of the Chicago Cubs.

For decades, they have gravitated to Mesa and luxuriated in the preseason oasis that is spring training — a shimmering sliver of optimism that may, once again, prove to be a mirage.

But who needs to think about that now? Who needs to be reminded that last year the Cubs had their worst record since 1966? And, OK, that they haven't won a World Series since 1908?

A non-fan's spring training pilgrimage

An authentic ballpark feel

Today, we are months away from the chilly realities of October. Today, as the first sunburn of the season settles across our skin, we are warmed and relaxed and oblivious to the sting that may follow.

Perhaps the "D" in a Cub fan's DNA stands for denial -- or determination. Because no matter how badly the team plays (and please feel free to insert your own joke here), they still manage to break attendance records season after season. The turnout defies logic, yet it's a force of nature that cannot be denied.

It's an annual phenomenon that starts here in Mesa, which has served as the preseason headquarters of the Cubs for six decades. Their home base is Hohokam Stadium, which seats 12,500 baseball traditionalists who enjoy its easy accessibility and authentic ballpark feel.

"The Cubs are really woven into the fabric here in Mesa," says Michelle Streeter, Visit Mesa's director of communications. "They've been training here since 1952, so generations of Mesa residents have grown up watching and following this team."

"So many Chicagoans are either transplants who have relocated here or folks who have purchased vacation homes here," she added. "It's a rite of passage to come and cheer for the home team."

America's 11 new sandwich heroes

A new park in Wrigleyville West

Next year, the Cubs will move into a new spring training complex under construction in Mesa's Riverside, just a few miles from Hohokam in an area that's already being called Wrigleyville West, in homage to the Cubs' storied Wrigley Field. Surrounded by shops and restaurants, the new stadium will hold 15,000 and sit in a larger park that includes paths, playgrounds, practice fields and a public lake.

"We fought long and hard to stop the Cubs from going anywhere," Streeter says. "We have a long friendship and kinship with them, and they are now locked in for the next 30 years. And the new stadium will be spectacular."

What won't change with the new location are the intangibles that help define the spring training season: the near-perfect weather, the camaraderie, the sense of tradition mixed with new beginnings.

Hours before the game begins, tailgating Chicagoans have already set up shop in the Hohokam parking lot, where they are grilling bratwursts and launching another round of beanbag toss. Others survey the Cub merchandise at a roadside T-shirt stand that's fanned by palm fronds swaying in the breeze. Still others settle with their blankets and babies on the berm, the grassy sloping outfield that feels a bit more family-friendly than Wrigley's rowdy bleachers.

There are dusty-purple mountains on the horizon. There are players signing autographs within easy reach — not just the less-familiar hopefuls but marquee major-leaguers like Alfonso Soriano, who's stooping and smiling for a photo with a little girl.

And somewhere in the distance, there is "Sweet Home, Chicago" playing on the P.A.

Long road to umpiring in the majors

'10 inches of snow back home'

Kristen Stoklasa of Crystal Lake, Illinois, has made a spring pilgrimage to Hohokam every year since 2004. This time, she's here for two weeks and sharing a house with friends.

Other than her madras shorts, she's kitted out entirely in team paraphernalia — from her Wrigley Field t-shirt to her Croc-style slip-ons studded with Cubs logos. She also owns a bucket hat covered with autographs she's collected in Mesa.

"It's fantastic here," she says, as she browses the souvenir shop in search of even more Cubs gear. "It's a lot cheaper than the games at Wrigley Field. Plus, there are ten inches of snow back home, and here I am in shorts."

Chicago-born Paul Spokas "just got lucky" when he landed a job in Scottsdale, where he enjoys being part of the large Chicago expat community.

His proximity to Cubs spring training has made him "more popular" than he was back home, he jokes, especially because it comes with temperatures in the 70s and inexpensive tickets to the game.

Inside the low-slung stadium, it's easy to feel close to the action. The best seats in the house — those in the field box section — cost just $28 apiece. A spot on the berm, where you can practically chat with the outfielders, runs $8.

As the afternoon settles into its final innings, the beer vendors hawk a final round of Old Style and glance over their shoulders at the scoreboard. The light that washes over the stadium takes on a golden hue. That's when it feels like, every now and then, life presents us with a perfect moment.

The sun is warm. The beer is cold. And miraculously, the Cubs beat the Padres 9-3.

Where to stay

A mile from Hohokam Stadium, the Phoenix Marriott Mesa is a newly renovated high-rise hotel with a Cubs baseball package rate that includes a standard room and grandstand seats for two.

Located in the Mesa Riverview shopping center, the Hyatt Place at Mesa Riverview is surrounded by shops and restaurants and will enjoy an even better home advantage when the new stadium opens in Riverside next spring.

For more suggestions, check the Visit Mesa list of hotels.

5 great baseball stadiums

What to visit

At the Mesa Historical Museum, situated less than a mile from Hohokam Stadium in downtown Mesa, baseball fans can take in "Play Ball: The Cactus League Experience," a year-round exhibit on Mesa's role in the founding of the Cactus League. Among the baseball memorabilia and other historical items on display are team uniforms from the early 1900s.

For those whose interests extend beyond the outfield wall, the Mesa Arts Center offers live music, dance, comedy and theater performances, plus gallery spaces and free lunchtime concerts.

Where to eat

Originally owned by Cub announcers Harry Caray and Steve Stone, Diamond's Sports Grille may be the closest thing to The Cubby Bear outside of Wrigleyville. It offers a pre-home-game breakfast buffet and such pun-laden menu categories as "The Starting Line-Up," "Field of Greens," "Designated Hitters" and "For the Little Leaguers" — plus Chicago favorites Goose Island and Old Style beer to wash it all down. There's also a free shuttle service to and from Hohokam.

Chicago transplant Paul Spokas takes visiting Cub fans to West Addison Sports Bar in Scottsdale, named for one of the landmark streets that bounds Wrigley Field. The pub doubles as the hangout of choice for Chicago Bears and Notre Dame football fans.

He also rejoiced when Portillo's opened recently in Scottsdale, with a second location being planned near the new stadium. Already, its Chicago-style hot dogs, Polish sausages and Italian beef have proved so popular that it takes a traffic cop to keep the customers flowing. Unfortunately, Spokas says, "I still haven't found a deep-dish pizza here like home."

@highlight

The Cactus League allows fans of 15 different teams to celebrate the start of baseball

@highlight

Fans return each spring to cheer on the Giants, Royals, the Reds and the long-suffering Cubs

@highlight

Temperatures are often in the 70s and tickets to the game are inexpensive