(CNN) -- The Ebola outbreak in West Africa is a health crisis of massive proportions -- and one that keeps on growing. So far, the World Health Organization estimates nearly 4,300 people have likely been infected in the latest outbreak, with almost 2,300 deaths. With no proven vaccine or treatment currently available, and a case fatality rate of up to 90%, alarm bells are ringing across the globe.

How worried should the United States be? And how can we help respond to this crisis?

It's true that while Ebola is deadly and this outbreak is historic, the risk of it spreading to the United States is small. We have an advanced public health infrastructure that should be well placed to quickly screen for the virus and safely manage patients with Ebola. In addition, our health care providers have the training and equipment needed to control infections and protect themselves and others when caring for Ebola patients.

However, a small risk does not mean there is no risk at all. With this in mind, the single most important thing we can do to protect ourselves is stopping the Ebola outbreak in West Africa before it can spread to other parts of the world.

In July, I visited the Centers for Disease Control and Prevention, our nation's health protection agency, and met with its director, Tom Frieden, to learn more about how the CDC is working with other U.S. agencies, the WHO, and domestic and international partners to coordinate Ebola assistance and disease control activities in West Africa. During that visit, we toured the CDC's command center for coordinating emergency responses to this outbreak.

Last week, I met with Frieden again for an update, and to discuss his recent visit to the region. The CDC has deployed teams of public health experts to West Africa to assist with disease surveillance, health education, contact tracing, and database management.

On Tuesday, I will participate in a Senate hearing on the response to this health crisis. One of the witnesses will be Dr. Kent Brantly, an American missionary physician who was successfully treated for Ebola in the United States. Brantly was given an experimental treatment and a blood transfusion from an Ebola survivor before being flown to Emory University Hospital in Atlanta. It seems like a promising breakthrough, and I look forward to learning more at the hearing.

The seriousness of the current outbreak has been compounded by a number of factors that together have made this the worst outbreak of the disease in history.

As the epidemic cripples already weak public health systems in the region, doctors on the ground are dealing with basic problems such as limited staff, little equipment, and poor facilities. This has made disease surveillance, isolation and effective care virtually impossible. Additionally, high levels of public mistrust and fear about the disease and the response have resulted in African patients breaking out of hospitals and communities hiding infected individuals. Cross-border travel between the three primary affected countries has also caused Ebola to spread quickly. All of these factors have made this outbreak a particular challenge to contain, especially in remote, rural regions of West Africa.

Experimental treatments for individuals infected with Ebola are currently being developed, but they have not yet been tested for effectiveness and safety in clinical trials. It would, of course, be advantageous to have a proven vaccine or drug therapy to tackle Ebola, but in the meantime, basic care should be provided to significantly help those infected and prevent the spread of disease.

Such steps can include providing and reinforcing a trained medical workforce to coordinate activities on the ground in Africa, educating local communities about Ebola and how it is transmitted, supplying basic medical equipment like masks and gloves, and assisting the governments in West Africa to strengthen their public health systems and emergency response infrastructures.

Ebola can be stopped, but to do so requires both effective containment action and basic medical care. With the right international response and coordination, appropriate patient care can be provided efficiently and the spread of infection can be halted. Ebola does not have to be a death sentence, but leadership and global cooperation are required to meet this serious challenge.

@highlight

World Health Organization: Ebola virus has case fatality rate of up to 90%

@highlight

Small risk to U.S. does not mean no risk, argues Sen. Jerry Moran

@highlight

Moran: Public mistrust and poor facilities in West Africa have compounded crisis

@highlight

U.S. Senate holding hearing Tuesday to discuss "worst outbreak in history"