(CNN) -- The e-mail arrived from Uzbekistan on February 26. It was titled "Bad News."

Abdul Dadahanov had intended to study business, but changed his mind after 9/11, his academic adviser said.

"Dear Mama Judy," a young woman named Aziza Dadahanov wrote in shaky English. "Very very bad news!!! Abdul is given 8 years of prison. Today was the verdict. Now i feel myself very bad. And i can't write now. I am shocked."

"It was like being kicked in the stomach," recalled Judy Skartvedt, a retired flight attendant living in Easton, Connecticut.

She knew Dadahanov's husband, Abdul Dadahanov, as an Uzbek exchange student who had wanted to help heal people after the 9/11 attacks. She thought of him as an open-minded Muslim whom her family had hosted when he came on a scholarship to study at Fairfield University in 2001.

"We were totally shocked that someone like Abdul could be arrested for anything," Skartvedt said. "We haven't stopped worrying about his safety."

The 32-year-old faces eight years in a labor camp for participation in what the Uzbekistan government says is an extremist religious organization, according to Forum 18, a religious freedom watchdog organization

The group says that Uzbek security forces arrested Dadahanov and four other men -- Bakhrom Ibrahimov, Davron Kabilov, Rovshanbek Favoyev and Botyrbek Eshkuziyev -- last summer after the men had written for an Islamic journal called Irmoq. The National Security Service reportedly claimed the magazine was "sponsored by a Turkish radical religious movement."

Officials from the Embassy of Uzbekistan in Washington have refused to comment on the case.

Forum 18 says Dadahanov and the four other Uzbek men were convicted of "dissemination of information and materials containing ideas of religious extremism, separatism and fundamentalism, calls for pogroms or violent eviction of individuals aimed at creating panic among the population."

Human rights organizations say the convictions appear to be part of a broader crackdown in the former Soviet republic, targeting members of "Nurchilar," a moderate Muslim movement of Turkish origin, which follows the writing of a 19th-century Sufi Muslim theologian.

"Unfortunately this is not an unusual case," said Igor Vorontsov, a researcher with Human Rights Watch in St. Petersburg. "The [Uzbek] government has persisted in its persecution of independent Muslims."

Thousands of miles from the Republic of Uzbekistan, news of Dadahanov's jail sentence has stunned academics and Christian community leaders in Connecticut. They fondly describe a committed social activist and observant Muslim, who rode between work and classes on a secondhand bicycle and spent more than a year distributing food to soup kitchens in one of America's poorer cities.

"He had a naive trust in the goodness of human beings," said Patty Jenson, an administrator at the Council of Churches of Greater Bridgeport. "I am shocked. I know he is there [in prison] unjustly. What is happening is unjust."

"He was a man of his word, he was gentle and kind," said Charlene Chambers, the director of King's Pantry, a nonprofit organization that distributes food to homeless people in Bridgeport. "Our common bond was feeding people who can't feed themselves and clothing those people who can't clothe themselves."

Dadahanov's academic adviser, Katherine Kidd, said the young Uzbek originally intended to study business when he arrived at Fairfield University on a scholarship from the Open Society Institute of the Soros Foundation. That changed September 11, 2001.

Kidd choked up as she recalled his visit to her office, hours after the terrorist attacks.

"He said, 'Dr. Kidd, I have to do something to tell people that this is not what Islam is about.' He said, 'I want to be part of things that are done here to bring healing to people after 9/11.' "

Dadahanov began working closely with Kidd's husband, Pastor John Kidd, who was a Lutheran minister and the executive director of the Council of Churches of Greater Bridgeport. Pastor Kidd helped Dadahanov tour churches and work with synagogues, giving lectures on his interpretation of Islam. Dadahanov also appeared before audiences dressed in traditional Central Asian attire, in an effort to spread cultural awareness about Uzbekistan.

Advisers say the young Uzbek was inspired by his interaction with church and community groups. Gradually, he shifted his academic focus from business to grassroots community service and education reform.

"He would regularly say 'Wow, how can I do this in Uzbekistan, and make my country and my community better and stronger?'" Katherine Kidd explained.

Dadahanov helped establish a small prayer room for Muslim students at Fairfield University. He also launched a book drive, shipping secondhand books to Uzbekistan to help teach English in his home country. And he was eventually hired at the Council of Churches, and tasked with distributing Federal Emergency Management Agency funds to 26 feeding programs across Bridgeport.

"He wanted to be involved in the frontline programs," John Kidd said. "Ultimately, it's sad that all these things he came to see in terms of how you build a community, how you take responsibility for the life of a community, is at least in part what put him at odds with the authorities in Uzbekistan."

When he returned to Uzbekistan in 2004 after two and a half years in Connecticut, Dadahanov set up an English-language school with friends. The school offered English lessons to young Uzbeks at an affordable price -- a remarkable achievement in a society in which the government controls almost all facets of the economy.

There is little tolerance for independent grassroots activism in Uzbekistan. The country has had the same authoritarian president, Islam Karimov, since it won independence from the Soviet Union in 1991. The State Department's recently published 2008 human rights report states "torture remain systemic in [Uzbekistan's] law enforcement ... human rights activists and journalists who criticized the government continued to be subjected to harassment, arbitrary arrest, politically motivated prosecution, forced psychiatric treatment and physical attack."

Uzbek security forces frequently target religious activists.

"The government has almost a paranoia of any independent religious activity, particularly those related to Islam," said Sean Roberts, a Central Asia expert at George Washington University.

"The Uzbek government tries to control the religious sector very similar to the way the Soviets did. They have a state Muslim board that oversees what is proper Islam - anything that falls out of that scope is seen as threatening and seditious."

The Uzbek government says it "views the ensuring of human rights and freedoms of its citizens as its highest priority." A statement posted on the Web site of the Embassy of Uzbekistan in Washington cited the passage of more then 120 laws and 60 international treaties aimed at improving the country's human rights record. The Uzbek government says it is making reforms of its judicial and penitentiary system, aimed at "prosecuting and punishing for the use of torture and other forms of ill-treatment."

Dadahanov's former professors invited him to return on a scholarship to the United States after his arrest, and two families offered to house Dadahanov, his wife Aziza and young son Abdulrahman.

Dr. Orin Grossman, Fairfield University's academic vice president, hoped the graduate school offer would allow Uzbek authorities to release Dadahanov. "It obviously didn't work," he wrote in an e-mail to CNN.

Accounts of appalling conditions in Uzbek prisons have worried Dadahanov's American friends, who remember how the slim Uzbek rode to barbecues on his bicycle, carrying a giant watermelon in a backpack as a gift.

The hardest part has been trying to get information from Dadahanov's family in Tashkent.

"The government is tapping their phone and tracking their e-mail," Katherine Kidd said. "We're pretty much sure neither of those is secure from the government."

@highlight

Abdul Dadahanov jailed in Uzbekistan, accused of extremist religious activities

@highlight

American family recalls how the man wanted to aid healing after 9/11

@highlight

Rights groups say Dadahanov is victim of crackdown on "independent Muslims"

@highlight

Friends in the U.S. fear for health of "gentle, kind" man in Uzbek prisons