Paris (CNN) -- France's military intervention in Mali has surprised many who believed French foreign policy was committed to disengagement from international conflicts.

The country's refusal to commit forces to the war on Iraq in 2003 was interpreted in the United States -- not only in government but in the American media and public opinion -- as the consequence of a pacifist doctrine and even as a scandalous betrayal of its allies. More recently the withdrawal of French troops from Afghanistan could have reinforced the impression that France was pulling out of international military commitments.

The notion that France is withdrawing from international military engagements fails to grasp the realities of French foreign policy. France remains amongst the Western countries most likely to make a direct military intervention in a foreign country. It is not only consistent with French foreign policy doctrine -- France is also one of the few major global powers with the capacity to do so.

It nonetheless legitimates questions about the consistency of French foreign policy. The socialist government just sent troops into Mali to combat Islamic extremists only days after President Francois Hollande refused to intervene in Central Africa after its government was asked for military assistance.

President Hollande's predecessor Nicolas Sarkozy ordered a military intervention in Libya against Colonel Gaddafi after refusing to engage his troops in the Ivory Coast during the initial phase of the crisis in that west African country.

Panetta: U.S. could provide logistical, intel support in Mali

So where is the logic in French foreign policy? To answer this question, it is necessary to grasp that French foreign policy attempts to balance two sometimes conflicting goals -- objective and subjective. The first corresponds to French commitment to work with international institutions to maintain a global order that is multi-polar and regulated by law. The second refers to France's goal of protecting and enhancing its own national interests.

Let's first take the "objectivity" paradigm. France has consistently emphasized the pre-eminent role of the United Nations in conflict resolution. As a permanent member of the U.N. Security Council, French policy is based on the belief that international military interventions must seek the legitimacy of the United Nations. This does not mean smug French pacifism. On the contrary, membership on the security council imposes special obligations. France is willing to back a U.N. commitment to muscular military interventionism.

France is actively involved in various U.N.-supervised military missions. France advocates that emerging countries be accepted as members of the U.N. Security Council if those countries show a commitment and capacity to take on the responsibility of U.N.-sanctioned military interventions. To cite one example, France has urged Brazil to take action in the Haitian crisis under the U.N. aegis.

France considers itself an "agent" of the United Nations where necessary, but often works behind the scenes to influence U.N. decisions. This occurred with Libya, following Moammar Gadhafi's offensive on Benghazi. To do so, France imposed an expansive interpretation of the U.N. Resolution 1973 [that imposed a no-fly zone over Libya]. Its position highlighted a conception of international law and sovereignty opposed to that of China and Russia.

The French position was even bolder than that of the United States and Great Britain. Indeed, one could argue that France was more aggressive than its allies about legally sanctioned military intervention in foreign countries.

France's status as the philosophical cradle of human rights also impacts its foreign policy.

Recent French military interventions have invoked the need to protect civilians against their own government and to prevent crimes against humanity. We witnessed this in the case of Libya, but also in the mid-1990s when France intervened in Bosnia and Kosovo. In both cases, French intellectuals were exercising pressure in favor of intervention on behalf of human rights.

These pressures can have a substantial impact in a country like France where intellectual elites work through petitions or direct influence on the government citing the special status of France in the world. They are less effective, of course, when there are obstacles within the U.N. Security Council, as in the case in the Syrian crisis.

What's behind instability in Mali?

FranÃ§ois Hollande has reaffirmed France's commitment to have a special role in defense of human rights. At the same time, France's "subjective" interests cannot be overlooked -- especially when the French "post-colonial paradox" comes into play. Like Britain, France has stronger ties, and when necessary a greater military presence, in former colonies from Djibouti to Senegal.

French colonial history explains why the government of Mali has called on France for military assistance to combat Islamic terrorism. At the same time, French governments are reluctant to intervene in these countries precisely because France wishes to avoid looking like a colonial master.

It was easier for Nicolas Sarkozy to take a quick decision regarding Libya than on the Ivory Coast for this reason. Libya is not a former French colony. In like manner, FranÃ§ois Hollande's refusal to directly involve the French army against the rebels held in Central Africa is partly based on a desire to avoid the accusation of French colonial meddling in the internal affairs of a former colony.

Furthermore, France has to take into account the importance of migrants related to its former colonies. The intervention in the former Yugoslavia was also a message for the Muslim community that French interventionism was not inspired by the crusade spirit. And one could say the same for the French positions in Libyan, Ivory Coast or Syrian crisis. This time, in Mali, it must be acknowledged that the French intervention was desired by most of the Malians who live in France.

The French counter-offensive has been in the works for many months. France feared, above all, the prospect of direct intervention. That's why France was urging African countries to set up their own forces to support Mali. Direct French military action became urgent however when the Islamic insurgents threatened to invade the country's southern region. Pragmatism suddenly took priority over law.

In conclusion, France intervenes in foreign countries according both to doctrine and to the pragmatic parameters of circumstance. French foreign policy is based on balancing these sometimes conflicting goals of objectivity and subjectivity.

In international relations, the hard reality is that actions are often commanded by facts.

The opinions expressed in this commentary are solely those of Jean-Michel Blanquer

@highlight

France's refusal to commit forces to Iraq in 2003 was interpreted as a pacifist doctrine

@highlight

French foreign policy attempts to balance two sometimes conflicting goals, says Blanquer

@highlight

He says France has to take into account importance of migrants from former colonies

@highlight

French intervention was desired by most Malians in France, writes Blanquer