Russia and China blocked efforts of other major powers to pass a U.N. Security Council resolution on Syria Tuesday, with a dramatic dual veto thwarting a call for an immediate halt to the crackdown in Syria against opponents of President Bashar al-Assad.

Nine of the 15-member council countries, including the United States, voted in favor of adopting the resolution.

The Russian ambassador to the U.N. said Security Council action would be "an intervention" that would send the wrong message to the international community.

"I understand that my European colleagues are upset, having not obtained a resolution which they were trying to obtain," Russia's Vitaly Churkin told reporters afterward.

"Some capitals are being overly hasty in passing their judgment about the illegitimacy of the leaders in Syria," he added.

U.S. Ambassador Susan Rice, meanwhile, said the United States "is outraged that this council has utterly failed to address an urgent moral challenge and a growing threat to regional peace and security."

The resolution, if passed, would have called upon Syria to stop oppressing its citizens.

"The unprecedented, aggressive language resorted (to) by certain ambassadors against my country, against the political leaders of my country, facilitated my task today," said Bashar Ja'afari, Syrian ambassador to the United Nations.

"This aggressive discourse reveals the prejudice in certain Western capitals against my country's political leadership," added Ja'afari.

Security Council member countries India, Brazil, South Africa, Lebanon abstained from voting on the resolution.

"After seven months of near complete inaction in the Council, while at least 2,600 people were being killed, and thousands injured, arrested or tortured, this vote is a disgrace. By casting their veto, Russia and China are enabling the Syrian government's abhorrent repression campaign," said Philippe Bolopion, the United Nations director for Human Rights Watch.

Meanwhile, another round of violence flared in Syria Tuesday, as reports of more deaths surfaced amid the relentless government crackdown on protesters.

The nearly seven-month-long offensive has drawn world condemnation and calls to action against the government of al-Assad.

And a newly formed group of army deserters has issued pleas for help from the international community.

"This regime will stay until the last drop of blood," said Col. Riad al-Assa'ad, head of a group of army deserters that has merged into a force called the Free Syria Army. "But there can't be more bloodshed than there already is."

"This is a regime built on force. And it can't be brought down but with force. We lived under it for 40 years."

At a State Department briefing in Washington before the Security Council vote, spokeswoman Victoria Nuland said adoption of a U.N. resolution would send a message to the al-Assad regime that "the violence has to stop."

"We've been making the strongest possible case that we can to all of the U.N. Security Council members that, given the bloodshed, given the violence, given the arrests, given the torture that the Assad regime has propagated against its own people, it is overdue for the Security Council to make its views known, and we hope that is a very, very strong message that they are receiving," Nuland said.

Also on Tuesday, three Syrian army soldiers and one civilian were killed during clashes in Jabal Al-Zawiya in Idlib province, said the London-based Syrian Observatory for Human Rights. Security forces chasing wanted people killed a man in the forests of Idlib between Karouma and al-Bara.

The activist group, which has a network of contacts across Syria, said fighting erupted in the morning between soldiers at a military camp in the northwestern province and armed men believed to be army defectors.

The corpse of a student detained by security forces in the town last month was returned to his family, the observatory said.

The group also said security forces in Al-Dar Al-Kabira village in Homs province opened fire at a security checkpoint and killed three civilians. The province is in the western part of the country.

It said a 12-year-old was killed in the Homs province community of Deir Baalba.

The observatory says 2,365 civilians and 680 army and security forces have been killed in the unrest since mid-March.

The Local Coordination Committees of Syria, another activist group, said at least nine people died, including six in Homs and three in Idlib.

Government forces dispersed a student demonstration in Hasaka in the east and arrested two students and a teacher. Security forces arrested 10 youths in a demonstration in the western city of Baniyas. The LCC also reported raids and arrests in the Damascus suburbs.

The activist group said there was an exchange of fire between military forces and dissident soldiers in the southern Daraa province.

The state-run Syrian Arab News Agency said "an armed terrorist group" ambushed security forces in the city of Hama, in the west. Two law enforcement members were killed, and two were injured.

It also said that "an armed terrorist group" was responsible for killing and mutilating five citizens in Homs after they were abducted and tortured.

Activists blame violence engulfing Syria since mid-March on security personnel attacks. The Syrian government says armed terrorists are responsible.

CNN is unable to independently verify such claims, because the Syrian government has denied international journalists access to the country.

The Free Syria Army, meanwhile, is hoping for support from the United States, Europe and neighboring countries, such as Turkey.

Al-Assa'ad is asking the international community to implement a no-fly zone and a naval blockade, measures similar to those taken by an international coalition against Libya. The Free Syria Army is also requesting weapons and wants the regime's frozen assets.

"Our correct strategy is to protect the demonstrations from the security forces and the shabiha ... until we bring down the regime," he told CNN on Monday, making a reference to pro-government forces.

"If we have a no-fly zone and a naval blockade and the weapons, we can secure an area to operate from and move forward with bringing down the regime."

Al-Assa'ad told CNN that the Syrian army "strayed from its mission," and his group decided to make protection of the citizenry its mission.

"The regime was using the military as its own private army, not an army to protect Syria and the people. They turned the army into a gang that was killing people, killing innocents, destroying homes," he said Monday.

Al-Assa'ad sloughed off the government claim about armed gangs fomenting violence.

"From the start of the revolution in Syria, we would get orders that there were armed gangs in the country," he said. "But there were no armed gangs."

The Free Syria Army recently claimed responsibility for operations in Homs and Deir Ezzor in the east to protect the civilian population and harass army units to prevent them from operating effectively.

Al-Assa'ad said military and security forces are "demoralized and tired."

"We are carrying out operations on Syrian lands. There are areas that they are unable to enter. There are many areas that they are fearful about entering. We are causing them losses."

Al-Assa'ad said defecting is a serious move to make because of the risks to defectors' families. But the numbers of army defectors are increasing.

Asked whether any soldier with blood on his hands would be forgiven, Al-Assa'ad said, "they are killing because they are being forced to. ... Many have been executed because they refused to shoot."

@highlight

Rice: U.S. is "outraged" after veto of Syrian resolution

@highlight

The U.S. State Department says "violence has to stop"

@highlight

The Free Syria Army wants international help

@highlight

Activists and the government report deaths Tuesday