Washington (CNN) -- The Obama administration appealed Friday to the U.S. Supreme Court to delay next week's scheduled execution in Texas of a Mexican national convicted of kidnapping, raping and murdering a 16-year-old girl.

The execution of Humberto Leal Garcia, who was sentenced to death for the 1994 crimes, "would place the United States in irreparable breach of its international-law obligation to afford (Leal) review and reconsideration of his claim that his conviction and sentence were prejudiced by Texas authorities' failure to provide consular notification and assistance under the Vienna Convention on Consular Relations," wrote Solicitor General Donald B. Verrilli Jr., in a friend-of-the-court brief.

In a separate document, a letter to Texas Governor Rick Perry, the U.N. High Commissioner for Human Rights asked that he commute the sentence to life in prison, according to Rupert Colville, a spokesman for Navi Pillay.

The two requests were based on the failure of Texas authorities to grant the 38-year-old Leal -- who has lived in the United States since he was 2 years old -- access to a Mexican consular official at the time of his arrest.

"The lack of consular assistance and advice raises concerns about whether or not Mr. Leal Garcia's right to a fair trial was fully upheld," Colville said.

The case "raises questions" regarding compliance with a 2004 International Court of Justice ruling in what is known as the Avena case that the United States failed to fulfill its obligations to 51 Mexicans on death row in U.S. jails when it did not inform them of their right to contact their consular representatives "without delay" after their arrests, he said.

"If the scheduled execution of Mr. Leal Garcia goes ahead, the United States government will have implemented a death penalty after a trial that did not comply with due process rights," said Christof Heyns, the U.N. Special Rapporteur on extrajudicial, summary or arbitrary executions. "This will be tantamount to an arbitrary deprivation of life."

In its 30-page brief, the Obama administration said that complying with its obligations to notify consuls in such cases would serve U.S. interests as well as those of the condemned man. "These interests include protecting Americans abroad, fostering cooperation with foreign nations, and demonstrating respect for the international rule of law," it said.

Evidence introduced at his trial included two statements he made to the police on the day of the murder "during noncustodial interviews" that incriminated him.

His lawyers have said that the failure of Texas to notify and give him access to the Mexican consul "required suppression of the incriminating statements he made to the police," the filing said.

He is scheduled to be put to death Thursday.

But the Texas trial court found that, because he was not in custody at the time he gave the statements, Vienna Convention obligations did not apply.

The International Court of Justice said the remedy to the 2004 Avena case "consists in the obligations of the United States of America to provide, by means of its own choosing, review and reconsideration of the convictions and sentences of (affected) Mexican nationals."

In 2005, then-President George W. Bush said the United States would discharge its obligations under Avena by having state courts address them.

That was called into question by a 2008 case that found that "neither Avena nor the president's memorandum constitutes directly enforceable federal law that pre-empts state limitations on the filing of subsequent habeas petitions."

But it said that Congress could pass a law addressing the obligations imposed by the Avena decision.

That has happened. The administration noted in its filing Friday that the recently introduced Senate bill -- the Consular Notification Compliance Act -- would put the United States into compliance with its international obligations under Avena. It added that, since passage of that legislation by the House may take until early next year, Leal's death sentence should be delayed until then.

That argument did not persuade the district court, which noted that "the filing of proposed legislation which might one day afford petitioner a remedy in the state or federal courts does not, standing alone, justify a stay of execution."

The court of appeals has backed up the lower court, concluding that Leal does not have "a due process right to remain alive until the proposed Avena legislation becomes law."

But the administration said that going ahead with Leal's execution would cause "irreparable harm" to U.S. foreign policy interests by putting the United States "in irremediable breach" of its international-law obligation.

"That breach would have serious repercussions for United States foreign relations, law-enforcement and other cooperation with Mexico, and the ability of American citizens traveling abroad to have the benefits of consular assistance in the event of detention."

@highlight

Humberto Leal Garcia was sentenced to death for the 1994 rape and murder of a 16-year-old girl

@highlight

Leal, a Mexican national, has lived in the United States since he was 2 years old

@highlight

He was not granted access to the Mexican consul prior to making incriminating statements

@highlight

His execution is scheduled for Thursday