Washington (CNN) -- While the presidential election has topped the news much of the year, it has been pushed aside by Sandy as the storm crashed into the East Coast. Both President Barack Obama and Mitt Romney, their running mates, and backers have pretty much curtailed campaigning, some fundraising and advertising as they wait to see the severity of damage from the storm.

Sandy overshadows candidates on Facebook

Here are five things to watch for in the storm and its aftermath:

1. Playing the commander-in-chief card

President Barack Obama canceled his appearance at a campaign event in Florida on Monday to return to Washington to monitor the federal government's preparation and emergency response for the hurricane.

Soon after his arrival back at the White House, the president spoke to reporters in the briefing room.

Asked how the storm would impact next week's election, Obama said, "I am not worried, at this point about the impact on the election. I'm worried about the impact on families and I'm worried about the impact on our first responders. I'm worried about the impact on our economy and on transportation. The election will take care of itself next week."

Looking presidential: The optics of leadership during a disaster

Before leaving for the abbreviated campaign visit to Florida a day earlier, Obama stopped by the Federal Emergency Management Agency for an update on preparations for the coming storm and told reporters that, "it's so important for us to respond big and respond fast as local information starts coming in."

Call it the power of incumbency.

"The beauty of being a president and a candidate is that when a monster storm stalks up the East Coast, you can run over to the Federal Emergency Management Agency and be seen as a president on the job, which also works if you are re-applying," said CNN Chief Political Correspondent Candy Crowley, host of CNN's "State of the Union."

Crowley: Sandy introduces big unknown into campaign

But there can also be a downside for the president: If the federal government's response to storm damage is deemed slow and inefficient (remember Hurricane Katrina?), Obama may pay a political price just days before the election.

Zelizer: How Sandy will test Obama, Romney

President George W. Bush's approval rating never recovered from Katrina, and that was a contributing factor in his party's defeat at the polls 15 months later in the 2006 mid-term elections.

2. Romney low profile, but for how long?

About three hours after the president canceled his appearance at a campaign rally in Florida and hopped on Air Force One to Washington, the Romney campaign announced that the Republican nominee would cancel his event Monday night in Wisconsin.

The campaign also announced that Romney's running mate, Rep. Paul Ryan, would cancel events Monday in Melbourne and Lakeland, Florida, and both candidates' events for Tuesday were also being scrapped.

"Out of sensitivity for the millions of Americans in the path of Hurricane Sandy, we are canceling tonight's events with Governor Romney in Wisconsin and Congressman Ryan in Melbourne and Lakeland, Florida," Romney Communications Director Gail Gitcho said in a statement to reporters just before noon ET on Monday.

And on the campaign trail Sunday and Monday before he suspended campaigning, Romney continuously mentioned those in harm's way of Sandy.

"On the eastern coast of our nation, a lot of people are enduring some very difficult times, and our hearts and our prayers go to them as we think about how tough it's going to be there," Romney said at a rally in Avon Lake, Ohio. "So I'd like to ask you who are here today to think about making a contribution to the Red Cross or to another relief agency, to be of help if you possibly can in any way you can imagine to help those who're in harm's way."

The optics are easy to understand. Campaigning does not look good while millions of East Coast residents are getting pounded by what may end up being a very devastating storm.

"Just the forecast of a potential disaster can make politics look small," Crowley added.

Both campaigns stopped sending fundraising emails to supporters in the states affected by the storm, and the Romney campaign announced that in North Carolina, New Hampshire, Pennsylvania and Virginia, it was collecting supplies at its campaign offices to help local storm relief efforts. In Virginia, the campaign was loading storm-relief supplies onto the Romney bus to be delivered.

Romney campaign aids Sandy relief effort

While he can't compete with a sitting president leading the federal government's storm response, Romney did reschedule a campaign rally in Dayton, Ohio Tuesday and is transforming it into a disaster relief event.

3. Knocking the final campaign ad assault off the air

It's as simple as this: If the storm knocks out your power, you can't watch TV.

Both campaigns are planning to spend tens of millions of dollars on a final assault of campaign commercials. But Sandy could knock those plans off the air in such battleground states as Virginia, New Hampshire, North Carolina, and the lean Obama-state of Pennsylvania, which are all in the storm's path. And while it won't get a direct hit, battleground Ohio will also feel the wrath of Sandy.

Do the math: The CNN Electoral Map

"In areas without power and thus without either TV advertising or TV news, the race is likely to be frozen in place," said Elizabeth Wilner, vice president at Kantar Media/Campaign Media Analysis Group, which tracks political ad spending on broadcast and national cable TV.

But she said it was rare for an entire media market to be without power, so advertising would continue in those markets with both campaigns hoping for a restoration of service as soon as possible.

Wilner adds that the campaigns may be forced to go heavier on the ground, or do more radio or print ads, in order to reach areas that remain without power well into the week.

By the numbers: Swing states

4. Will the storm stifle early voting?

The answer is yes, but not in states that are in play. Maryland and the District of Columbia suspended early voting Monday because of Sandy. But the president is expected to easily carry both.

The storm did impact some early voting in some of the eastern portions of the swing state of North Carolina, and could put a damper on some early voting in northern and eastern Ohio. And in the battleground state of Virginia, which allows limited absentee voting in advance of Election Day, some counties Monday canceled such in-person absentee voting.

If the storm does put a dent in early voting, the Obama campaign would feel the bigger impact, as it seems to rely more on pre-election day voting than the Romney campaign.

By the numbers: Early voting

"Obviously we want unfettered access to the polls because we believe that the more people come out, the better we're going to do, and so to the extent that it makes it harder, you know, that's a source of concern," Obama campaign senior adviser David Axelrod said on "State of the Union."

5. Pulling the plug on polling

With just a week to go until Election Day, expect a flood of final polling. Or maybe not.

The storm is washing out some polling organizations' plans. Both Gallup and Investors Business Daily/TIPP announced Monday that they were temporarily suspending their daily national tracking polls. And in some of the states directly impacted by the storm, polling may become much more difficult, as Sandy knocks out phone lines and some cell service.

Colorado poll: Romney 48% -- Obama 47%

CNN Poll: Romney 50% -- Obama 49% in Florida

Poll: Locked up race in North Carolina

Poll: Obama up three points in Minnesota

Poll: Obama advantage in Virginia

Where the race stands: CNN Poll of Polls

@highlight

Campaign events were largely suspended Monday as Sandy approached the East Coast

@highlight

Obama: "I'm worried about the impact on families and I'm worried about the impact on our first responders"

@highlight

Romney: " A lot of people are enduring some very difficult times, and our hearts and our prayers go to them"

@highlight

The storm could also affect TV ads, early voting, and polling in some of the battleground states