Washington (CNN) -- The Senate has taken up the Employment Nondiscrimination Act, a measure that would protect gay, lesbian and transgender employees in the workplace.

While the measure has many obstacles to overcome before it would become law, the Senate's action to take up debate is historic, coming after decades of failure. Here's a look at how it got here:

1974: The notion of protecting gay and lesbian workers in the workplace first surfaced in 1974, fueled by the Stonewall Rebellion five years earlier. The resistance by LGBT patrons at the Stonewall Inn by New York City police in 1969 shed a light on widespread discrimination and harassment.

New York Reps. Bella Abzug and Ed Koch introduced broad anti-discrimination legislation in the House of Representatives that covered discriminatory practices in housing, the workplace and public institutions. It went nowhere.

1994: Twenty years later, in 1994, the fight for workplace protections began in earnest. The first version of the Employment Nondiscrimination Act was introduced in the House and the Senate. While it made discrimination in the workplace based on sexual orientation illegal, it did not include protections for transgender workers.

1996: Just two years later, the Senate took up the legislation. It failed, barely. The vote was 49-50. Vice President Al Gore waited in the wings to cast a tie-breaking vote. But Arkansas Sen. David Pryor, the father of the current Sen. Mark Pryor, was unable to attend the vote.

2007: The next time ENDA would receive a vote was in 11 years later. This time, the House took it up and passed it. This version, just like the Senate bill in 1996, did not offer protections for transgender workers; it just covered sexual orientation. The measure was placed on the Senate calendar but never made it to a vote.

2008: Barack Obama was elected to the presidency after campaigning for workplace protections for the LGBT community. Advocates had high hopes.

2009: Sen. Ted Kennedy, D-Massachusetts, passed the torch to newly elected Sen. Jeff Merkley, D-Oregon. It was an issue Kennedy had been working on, but, with his health failing, he asked Merkley to take up the initiative. Kennedy chose Merkley because he was speaker of the Oregon State House when the state version of ENDA passed.

October 2009: Congress passed the first federal legislation to offer protections to transgender people. The Matthew Shepard and James Byrd Jr. Hate Crimes Prevention Act updated the federal hate crimes law to include crimes against "actual or perceived" gay and transgender people.

December 2010: Just over a month after the midterm elections, Congress passed and President Obama signed into law a repeal of "Don't Ask, Don't Tell," a President Bill Clinton-era initiative that prohibited openly lesbian and gay people from serving in the military.

2011: Merkley continued to work on ENDA. He approached newly elected Sen. Ron Kirk, R-Illinois, to work on a bipartisan bill. Kirk supported the ENDA legislation as a congressman in 2007.

2011: The Obama administration announced it would stop defending the Defense of Marriage Act. DOMA made it illegal for states to recognize same-sex marriages. Opponents of the President's decision challenged the administration, leading to the Supreme Court case United States v. Windsor.

April 2012: With just more than six months until Election Day, Obama told LGBT advocates that he would not sign an executive order that would prohibit federal contracts from discriminating against gay and transgender workers. It was a major disappointment to the activists. Essentially it was ENDA for federal contractors.

At the time, Tico Almeida, president of the group Freedom to Work, said this executive order was an easy initiative. It was "the low-hanging fruit," he said.

May 2012: Just a month later, Obama came out in support of same-sex marriage. While he is the first president to do so, he did indicate that he would not push for federal legislation and said it's a matter best left to the states.

February 2013: Congress passed an updated version of the Violence Against Women Act that included protections for gay and transgender people.

June 2013: The Supreme Court struck down DOMA, calling it unconstitutional.

July 2013: The Senate Health, Education, Labor and Pensions committee voted ENDA out of committee, with the support of three Republicans. Sens. Kirk, Lisa Murkowski of Alaska and Orrin Hatch of Utah all voted for it, improving the legislation's chances.

October 2013: All 53 Democrats and both Democratic-leaning independents confirmed their support for the legislation. Senate Majority Leader Harry Reid announced that he would bring the measure up for a vote.

November 4, 2013: House Speaker John Boehner has announced his opposition.

"The speaker believes this legislation will increase frivolous litigation and cost American jobs, especially small-business jobs," spokesman Michael Steel said.

November 4, 2013: The Senate passed a key procedural vote that enables the upper chamber to take up the legislation. It's the first time the Senate has taken it up since 1996 and the first time it has included protections for transgender people.

CNN's Deirdre Walsh and Ted Barrett contributed to this story

@highlight

Act would protect gay, lesbian and transgender employees in the workplace

@highlight

1974: First time legislation banning this type of discrimination is introduced

@highlight

1996: Senate takes up Employment Nondiscrimination Act; it loses in very close vote

@highlight

2012: President Barack Obama comes out in favor of same-sex marriage