(CNN) -- Until the rerun of the Greek elections scheduled for June 17, we will witness an unprecedented game of brinkmanship. The game will be played along the following lines.

European political leaders will state unequivocally to the Greek electorate that it is time for them to make a stark choice: Vote for parties that will continue with the agreed reforms (the dreaded austerity) and stay within the European family or vote for parties opposed to the austerity measures and leave the euro and perhaps the European Union.

Fear and confusion rule as Greece faces uncertain future

This clear and concise message was recently voiced by Austrian Finance Minister Maria Fekter. She declared that if Greece does not stick to the terms of its bailout program, it will not receive further aid from the EU or the International Monetary Fund.

"One cannot exit from the eurozone, one can only exit from the EU," she said. She also noted that Greece would have to reapply for EU membership, with no guarantee of readmission.

CNNMoney: Greek banks strain for cash

Greek politicians, particularly Syriza leader Alexis Tsipras, will probably respond to that message with a different one, which he will transmit back to Brussels, Paris, Berlin and Frankfurt (home of the European Central Bank): Europe cannot afford to let Greece fail and therefore, in the name of solidarity, Europe must continue to do whatever it takes to support Greece. But this time it should not require Greece to take such painful measures. Oh, and Europe will need to give Greece additional funds (in the name of "growth") no matter what combination of political parties enters parliament and forms a new government.

The trillion dollar question: Will Greece exit the euro?

Sounding like a blackmailer, Tsipras has said, "The eurozone is not in danger because of Greek resistance, but because of the bankrupt policies of the memorandum, of yesterday's political system"; "if the disease of austerity destroys Greece, it will spread to the rest of Europe"; and "the European leadership and especially Mrs. Merkel need to stop playing poker with the lives of people."

Perhaps it is fitting that a great test of democracy is taking place in democracy's birthplace.

So, who blinks first? In the past three days, we have seen two actors blink immediately: German Chancellor Angela Merkel and Greek and Spanish bank depositors.

The consummate political tactician, Merkel understood that with French President Francois Hollande's electoral victory on Sunday, Italian Prime Minister Mario Monti's continued public pressure and her party's recent electoral loss to the social democrats in the largest German state, the political winds were shifting at home and abroad on growth.

This week, Merkel confessed that she was in fact in favor of identifying additional growth measures when she said she was in a "high level of agreement" with Hollande. She noted that for "stimulus to be pursued for growth in the euro zone, which we could pursue in the interest of Greece, we're open for this. Germany is open for this." Of course, details and date of delivery of said growth remain a mystery.

Greek and Spanish depositors were the second actor to blink when they removed approximately â‚¬700 million (about $890 million U.S.) from Greek banks and â‚¬1 billion (about $1.26 billion U.S.) from Spain's third-largest and recently nationalized bank, Bankia.

Their actions were indicative of the fear that the game of chicken is getting out of hand. This sentiment was strengthened by European Central Bank President Mario Draghi's decision to cut off certain Greek banks from receiving ECB funds and the IMF's announcement, earlier Friday, that it would freeze contacts with Greece until the June 17 election.

The ultimate answer to "who blinks first" lies in understanding how this crisis has played out over the past two years.

Diplomatic marathon: G8 focusing on Greece; NATO, on Afghanistan

The Greek bailout package has already been renegotiated twice, most recently in March of this year, to address deteriorating economic fundamentals and to force private bondholders to take losses. There have been no less than 17 European summits to "resolve" the crisis only to return to crisis shortly thereafter.

Three bailout packages (Greece, Ireland and Portugal); â‚¬1.3 trillion ($1.65 trillion U.S.) in cheap, three-year loans to European banks; and a change in government in 10 out of the 17 eurozone countries -- the art of the European muddle-through strategy has been perfected.

It is clear from Tuesday's meeting between Merkel and Hollande that Europe will continue to actively pursue this muddle-through strategy until it is no longer able to pursue it.

The treaties, the summitry and the political volatility that define Europe are completely ill-equipped to handle the crisis as it enters a new and potentially determinate end state. Most important, the collateral damage that comes with muddling through for the past two years is taking a significant social and economic toll: Spanish unemployment is at almost 25%; Greek youth unemployment is at 51.5% and a third of the French electorate in the first round of its presidential elections voted for either an extreme left or right party. Is Europe willing to be home to a lost generation in the name of European solidarity?

No one knows how this brinkmanship will come to an end, or even if it will come to an end at all. And certainly no one knows whether it will result in economic Armageddon or a small blip on a trader's computer screen. Actions or statements by either side are likely not to be conclusive.

It is more likely that a sudden, unanticipated shock created by either the markets or political actors before June 17 causes an unstoppable chain reaction. Should this be this outcome, in some way it may come as a relief as it is far easier to blame an event than to accept responsibility for Europe's actions over the past two years.

This game of chicken is not unique to Europe. Washington had its own bout of brinkmanship last summer regarding the increase in America's debt ceiling, and is likely to have it again in a few months. Europe has just upped the level of play.

What does it mean to be Greek right now? Share your story with us on iReport!

The opinions expressed in this commentary are solely those of Heather A. Conley.

@highlight

Heather A. Conley says the EU is on the brink over Greece's economic crisis

@highlight

If Greece doesn't stick to its bailout terms, it may not receive further EU aid, she says

@highlight

A great test of democracy is taking place in democracy's birthplace, Conley says

@highlight

Conley: Drama may conclude on June 17, when Greece's electoral re-run is scheduled