El Cajon, California (CNN) -- Khalid Yohana was 7 years old when war reached his hometown of Mosul, Iraq.

For years, even the simplest activities, like walking to school, were an ordeal.

"It was too scary to go outside much," Yohana, now 16, remembers. "If you walk on the street ... you're nervous you'd get killed."

A group of men once tried to kidnap his father, a chef at a Baghdad restaurant that catered to Americans. The attempt failed, but a threatening letter arrived at his family's home that same night.

"They warned us to get out of the country or they would kill us. ... I was really scared," Yohana said.

The family fled to a small village north, but when Yohana's school was bombed a year later, they left Iraq for good. They traveled to Beirut, Lebanon, and applied for refugee status so they could move to the United States legally.

In 2010, Yohana and his family arrived in San Diego. The family appreciated the safety of their new home, but they also encountered new problems. Yohana's father struggled to find work, and the entire family found it challenging to navigate a new country and culture.

"It was really hard because we (didn't) speak the language," Yohana said. He was often so discouraged by his poor English that he wouldn't even try to do his homework.

The social isolation was worse.

"It was really hard to find friends," Yohana said. "I was just sitting at home."

While working as a refugee case manager for a nonprofit, Mark Kabban saw many families like Yohana's struggle to find their footing in the United States.

"You lose a lot of your dignity when you become a refugee," Kabban said. "You have to flee your country, depend on others. You lose your self-esteem."

Kabban said the transition can be particularly challenging for children, who face educational and social barriers. The stress they endure often puts them at risk of getting on the wrong track.

"Their families have sacrificed everything for them to get here. So if (their kids) don't succeed, that's the biggest tragedy," said Kabban, 25. "It's something that I'm not going to allow."

To help support young refugees, Kabban started the YALLA program in 2009. The name is an acronym for Youth And Leaders Living Actively, but in Arabic it simply means "Let's go." YALLA provides free tutoring and soccer training to 200 boys and girls in the San Diego area.

While soccer is what mostly motivates the players, it's just a carrot to Kabban. Many of his players have missed years of formal schooling on their road to the United States, so the mandatory twice-a-week tutoring sessions are an integral part of the program.

"When they get here, they're years behind, and they're years behind in a different language," Kabban said. "So the need is just immense. We're working to get them literate in English, getting them ... caught up."

The YALLA staff also makes sure the players are registered to receive 25 hours of one-on-one tutoring from a statewide program. When necessary, YALLA also provides additional tutoring to those who are struggling. The hope is to help everyone get up to grade level and on a path to college.

Do you know a hero? Nominations are open for 2012 CNN Heroes

According to the U.S. State Department, more than 10,000 refugees from around the world have moved to the San Diego area legally since 2007, making it one of the largest refugee resettlement areas in the country.

Many of those newcomers, like Yohana, are Iraqis who are under 18. The vast majority live in El Cajon, a city in San Diego County where YALLA is based. Mark spreads the word about the group by visiting area schools.

Most of the players in the program are Iraqi, but the group has players from across the Middle East, Africa and Asia. Sometimes ethnic and religious differences can lead to conflict, but Kabban says that as the soccer season progresses, the differences fall by the wayside.

"Their families have endured the same struggles," Kabban said. "When they realize that ... they become like brothers and sisters."

Some children have lost more than their homeland. Some have witnessed one of their parents being killed, or they've been kidnapped and tortured themselves. Kabban, who helps run many of the practices, tries to keep the atmosphere serious but fun so that time on the field is a much-needed escape.

"Soccer is (the) best therapy," Kabban said. "They have an hour or two to forget about everything and just be kids."

Kabban cares deeply because he faced many of the challenges the refugees are experiencing. He was never officially a refugee, but his family left Beirut during Lebanon's 15-year civil war, a conflict in which three members of his extended family were killed.

Kabban's family lived in several places -- including the United States, where his father attended college -- before permanently immigrating to the San Diego area when Kabban was 9. For him, the social adjustment was particularly rough.

"I had all the wrong clothes on, and I got made fun of," he said. "They called me 'poor kid.' My self-esteem was really, really low."

That changed when he discovered American football, scoring a touchdown the first time he got the ball.

"Sports was the way I got confident, made friends and felt I was like other kids," he said. He went on to earn a football scholarship at Baker University, a small private school in Kansas where he studied foreign relations.

After graduating in 2008, Kabban planned to go to Egypt to get a graduate degree in refugee studies. But on a visit home that summer, he learned about the large influx of refugees that San Diego had experienced in recent years.

"I started thinking to myself, 'Why am I going halfway across the world to learn about refugees when they're all here in my own hometown?' " he said.

Instead of going to graduate school, Kabban got a job with Catholic Charities, helping refugees settle into their new lives. He was troubled to see so many children sitting at home, alienated, but he also noticed how they lit up when they saw a soccer ball.

One day, he brought a ball with him while making a home visit. As he approached the apartment complex, he heard a boy yell the Arabic word for ball. Kabban began kicking it around with him, and within minutes, 20 kids had joined the game. That moment gave Kabban the inspiration for YALLA's approach.

Although the organization is relatively new, YALLA has managed to get funding from local foundations and businesses. Everything -- tutoring, soccer and occasional field trips -- is provided at no cost, something the kids appreciate, as nearly all of them know that money is tight at home.

Kabban has also made it a priority to reach out to those who aren't refugees.

When refugees started arriving in the area, there was tension in schools between them, Latinos and African-Americans. To counteract this, Kabban started the Peacebuilders League, a soccer league open to everyone in the area.

"We wanted to bring them all together and start making a community," he said. "Now it looks like the World Cup here every Sunday."

Ultimately, Kabban hopes to build a "peace-building" charter school for refugees, immigrants and marginalized youth that would use soccer in a formal college prep program.

Kabban's commitment to the organization is so strong that for more than a year he has worked full-time without a salary, living off his savings. The kids at YALLA know he quit his job for them, and they're quick to acknowledge the huge difference he has made in their lives.

"I don't know the way (to) say thank you to Coach Mark," Yohana said. "They helped me to find friends, and they (taught) me how to speak English. ... Now, with YALLA and Coach Mark, it's a fun life."

Stories like that are what push Kabban to keep going.

"This country gave my family the chance to succeed," he said. "I want to help these kids do the same thing."

Want to get involved? Check out the YALLA website at www.yallasd.com and see how to help.

@highlight

Adapting to a new country can be difficult, stressful for child refugees

@highlight

A program in California is offering free tutoring and social support through soccer

@highlight

Founder Mark Kabban says sports can build confidence, new friendships

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes