(CNN) -- As the developing world becomes more developed, the rise in prosperity in these countries could also result in the rise of a lethal infectious disease -- tuberculosis (TB).

Changes in diets and lifestyles are taking place across emerging economies, particularly as more people move to urban settings to earn a living. The changes are resulting in higher rates of diseases such as type-2 diabetes. The condition decreases the body's ability to produce insulin and absorb glucose from the bloodstream and affected 382 million globally in 2013. The International Diabetes Federation predicts that over 70% of type-2 diabetes can be prevented or delayed with the adoption of healthier lifestyles. Worryingly, diabetes also triples the risk a person will develop TB.

Nine million people developed TB in 2013 and 1.5 million died from the disease, according to the World Health Organization. Today, increasing numbers of people affected by diabetes could hamper efforts to control new TB infections.

Concern was raised in a recent report published by the International Union Against Tuberculosis and Lung Diseases and the World Diabetes Foundation, warning of a burgeoning co-epidemic of the two diseases.

Reduced immunity

Infection with TB does not always lead to someone developing the disease as the bacteria can hide and lie dormant within the immune system -- known as latent infection. On average, people have a 10% chance of an infection progressing to the active form of the disease. But when the integrity of your immune system is compromised, this chance increases.

"Diabetes reduces peoples immunity," says Dr. Anthony Harries, senior adviser to the International Union. The same biology underlies the interaction between TB and HIV, which attacks and destroys your immune system.

"Globally we have about 2 billion people with latent TB," says Harries. "Put diabetes into that equation and you immediately see there is a problem."

TB is an airborne disease spread via symptoms such as coughing. It has long been a disease associated with poverty, with those affected often residing in the slums and townships of high-burden countries such as India and South Africa. In contrast, diabetes is a condition once linked to the affluent, as diets high in fat and sugar are one of the causes underlying the development of the disease. But this is not the case today.

"Eighty percent of people with diabetes live in low and middle-income countries," states Dr. Anil Kapur, of the World Diabetes Foundation. Kapur is concerned that patients in these countries often remain undiagnosed. "The symptoms of both (TB and diabetes) can be similar -- loss of weight, tiredness, malaise," he explains.

In some regions of the world nearly half of TB patients suffer from diabetes. In the state of Kerala in India, this was the case for 44% of patients, according to the report, and affected countries often lack the systems in place to take on diabetes. "Most countries focus attention on infectious diseases (like TB)," says Kapur. Unlike TB, there is no cure for diabetes and patients are required to take treatment to maintain their insulin levels.

The lifestyle changes associated with a rise in type-2 diabetes among a population are the same changes causing increasing levels of obesity. But ironically the two conditions have opposing effects on the likelihood of getting TB. "Obesity reduces the risk of TB," says Kapur. "This creates complications in managing the two afflictions."

Raising the alarm

Globally, the rate of new TB infections is falling by just 1.5% each year and any factors increasing the likely development and spread of the disease could be disastrous, as was the case with TB and HIV/AIDS 20 years ago.

"For years we had medical evidence that the two diseases were working together as HIV destroyed people's immune systems, allowing TB to quadruple in many countries," says Harries. In 2013, 1.1 million of the 9 million with TB were also HIV positive. Harries wants to learn from the slow progress and many years it took to mobilize a response to the problem. "We want to raise an alarm so that we don't watch history repeat itself with TB-diabetes," he adds.

The number of people with diabetes is predicted to be 592 million by 2035, with the majority living in countries with high rates of TB, such as India, China, Brazil, Indonesia, Pakistan and Russia. The cost of treating diabetes could be huge in these nations and the unfaltering levels of drug-resistant forms of TB in recent years make any factors influencing the onset of disease a cause for further concern. Currently, drug-resistant TB takes at least two years to treat.

One solution is to preempt the problem with early diagnosis.

"We are doing integrated disease management," says Dr. Aaron Motsoaledi, the Minister of Health for South Africa, where one in every 116 people was newly infected with TB in 2013. The rates of TB-HIV co-infection in South Africa are among the highest in the world and Motsoaledi is learning from experience. "People must not only test for HIV, they must also test for TB, for diabetes, for high blood pressure," he says. This is known as bi-directional screening.

However getting people to be tested is a further challenge. "Many went on to test only for HIV because it's the in thing," explains Motsoaledi. "We'll make sure when you go to a hospital for diabetes, then other (tests) are available for you and when you test for TB the other tests are available for you." The goal is to identify people who don't realize they suffer from more than one of the diseases.

The main countries being targeted, however, are those in South Asia, where the co-epidemic is at its peak. This screening was pioneered in India, where over 2 million people had TB in 2013 and projections predict 109 million people will be living with diabetes in 2035.

"We can pick up people who never knew they had diabetes," concludes Harries. "That's a good thing to do."

@highlight

Nine million people developed TB last year and 1.5 million died of the disease

@highlight

Diabetes weakens the immune system, increasing chances of developing TB

@highlight

Diabetes is on the rise globally, particularly in low and middle-income countries

@highlight

Almost 600 million people are predicted to have diabetes by 2035