(CNN) -- Could your smartphone really give you a lethal electric shock?

That question was on the minds of many Monday amid news that Apple is investigating the death of a woman in China whose family said she was electrocuted after answering a call on her iPhone while the device was recharging.

The death of Ma Ailun, 23, was first reported Sunday by China's Xinhua News Agency. Citing police reports and social media posts by Ma's family, Xinhua reported that Ma, who lived in China's western Xinjiang region, collapsed to the floor Thursday after using her iPhone 5 while the battery was being charged.

"We are deeply saddened to learn of this tragic incident and offer our condolences to the Ma family. We will fully investigate and cooperate with authorities in this matter," Apple said in a statement sent to CNN and other news agencies.

Details of Ma's death remain sketchy. Local police confirmed that Ma died of electrocution, but as of Sunday had yet to verify that her phone was involved in the incident, Xinhua reported. CNN has not been able to independently confirm the report.

But the news raises questions about the potential electrical hazards of devices many of us carry at almost all times.

Experts say the likelihood of someone being electrocuted by a smartphone, even while the device is charging, is very, very low. For one, phones charged from a USB cord have a supply voltage of about 5 volts, not enough to severely harm a person.

"We have seen very few incidents related to shock or electrocution (involving cell phones)," said Scott Wolfson, communications director for the U.S. Consumer Product Safety Commission. "Most of our attention has been on overheating, smoke or fire."

But the risks become greater when someone powers a phone with a substandard or incompatible charger. Some knockoff chargers don't have proper insulation, potentially exposing users to overheating, fire or electric shock. In a recent online post, the China Consumers Association warned about that country's market being flooded with counterfeit chargers that could potentially turn a phone into a "grenade."

"Stick to the company that made your phone when you're buying replacement products," Wolfson said.

It's not clear what kind of charger Ma was using, although her sister said she had bought her phone in December at an official Apple store and was using the original charger to recharge the device when the incident occurred, according to a post on Sina Weibo, a Chinese microblogging site that is similar to Twitter.

Mixing smartphones with water is another safety concern. Ma's family said online that she left the bath to answer the phone. Water is an excellent conductor of electricity, and moisture on the skin can lower a person's natural resistance to electric shock, experts say.

Also, electrical shocks involving consumer electronics often have nothing to do with the devices themselves. Instead, they can be caused by overloaded power outlets, frayed extension cords or faulty wiring in a home, experts say.

Wolfson said American consumers have reported a few isolated cases of phones smoking or catching fire while recharging. When it comes to cell phones and safety, the majority of problems have involved phone batteries that burst or catch fire under heat or pressure, he said.

"This is not the week to leave your cell phone in the car," said Wolfson, referring to the heat wave that's embroiled much of the country.

Still, he said, "it is a rare occurrence for there to be a safety incident with a cell phone."

@highlight

Incident in China raises concerns about smartphones and safety

@highlight

Reports: Woman died of electric shock last week after answering call on her iPhone

@highlight

The death of Ma Ailun, 23, was reported Sunday by China's Xinhua News Agency

@highlight

Her family said she collapsed after using her phone while recharging the battery