(CNN) -- It's cocoa season across the southern half of the Ivory Coast. The pods are ripe for picking, some turning from green to yellow, like bananas.

Except these trees are unlike anything I've seen before; a quirk of evolution, they would look at home in C.S. Lewis' Narnia or Tolkien's Middle-earth: their precious cargo grows not from the branches, but straight out of the tree trunk.

It's October, a critical time of year for the poorest rural communities who sell cocoa beans -- and for chocolate lovers too, since this small equatorial country in West Africa produces more than one third of the world's cocoa.

Across the Ivory Coast, cocoa is grown on family plantations, each typically only a few hectares. The small parcels of land are handed down through the generations, each son struggling to make ends meet, just like his father before him.

Jean inherited two hectares of land when his father died seven years ago. He was just 11 years old at the time. Still only 18, he has acquired the appearance of a man resigned to a hard life, looking like he barely has two beans to rub together.

But beans are the one thing he does have -- a sack full of them, tied precariously to the back of his rusty bicycle.

With global demand for cocoa easily outstripping supply, Jean's beans are increasingly valuable to the big-name chocolate companies, but taking into account inflation, their monetary value has fallen in recent decades.

"It's tough," Jean tells us. "I am brave, but I need help too," he says, admitting that he struggles to make ends meet.

Jean is right at the bottom of a multi-layered global supply chain which sees cocoa transformed from bean to bar, and as such, the fundamental cocoa-nomics are firmly against him.

Traders, processors, exporters and manufacturers all demand their margin, and for everyone to make a profit, the system dictates that Jean -- who has little or no bargaining power -- receives the bare minimum for his bag of beans.

In a country where cocoa directly supports about 3.5 million people, the annual GDP per capita is not much above $1,000.

Read more: Cocoa-nomics explained - infographic

Cocoa pods are prized open using machetes -- the basic tool of the bush. It's low tech, hazardous and labor-intensive. And unfortunately, in this part of the world, many little hands make work that is not light.

The issue of child labor has blighted the chocolate industry for decades; and despite coming to global attention over the past 10 years, it's a problem that won't go away. Systemic and deeply ingrained in the culture, its roots are found in the grinding poverty afflicting rural communities: farmers who can't afford to pay adult workers use children instead.

The tiny village of Zibouyaokro has put on a big welcome for chocolate's "royalty": A team from Nestlé, the world's largest food company, is paying a visit to one of the 23 schools funded by the company's sustainability program.

Stopping child labor and increasing access to education is seen as the best long-term approach to bring prosperity to these villages.

José Lopez, Nestlé's head of global operations, says the firm aims to "improv[e] the living standards of those communities that produce cocoa and in doing so, we will create a sustainable source of supply for an industry that is growing and will continue to grow."

Cocoa industry critics have long argued that companies like Nestlé have failed in their responsibility to improve the lives of the farmers who grow their cocoa.

Antonie Fountain of the Voice Network suggests that companies are at last grappling with the issues -- even if driven by self-interest.

"When you hear a company talks about sustainability, what they're actually talking about is the sustainability of them being able to continue to buy cocoa in the future," he says.

But he admits that some progress has been made. "The impression I have is that the current steps being taken are actually more significant than what we have seen in the past".

François Ekra owns a seven-hectare plantation in the town of Gagnoa. He is also president of his local farming co-operative, which produces about 1,200 tonnes of cocoa beans a year.

François paints a worrying picture for the future of the chocolate industry: The price of cocoa fixed by the government is too low; the trees are old and diseased; co-operatives like his can't get finance to invest for the future.

"We put in too much effort for how much we're compensated," he tells CNN. "So little by little, if rubber is better paid we'll drop cocoa because [we] cocoa farmers work for nothing."

He knows farmers who are turning their backs on cocoa altogether: Where cocoa trees once stood, rubber plantations are now springing up -- they are more lucrative and productive all year round.

And as in many African nations, rural communities are moving away from their roots, seeking a better life by joining the mass influx to the capital Abidjan.

Ultimately a famer's beans are bought by traders or middlemen working for the industrial processors and exporters.

American food giant Cargill buys 20% of all cocoa beans grown in the Ivory Coast, exporting them raw or grinding them into cocoa liquor, butter or powder -- products which are then sold on to manufacturers to make chocolate.

It is at this stage of the process where the cocoa bean gets its added value, but of course by now the farmers have already dropped out of the chain, so they don't get a share.

In villages like Kouadio-Yaokro, the stark poverty on display is a bleak reminder of the disassociation between the chocolate bar we consume and the farmers who grow cocoa.

Two hundred locals gathered to tell us about their lives, so dependent on the revenue of cocoa.

Nobody from a chocolate company had ever come here. And perhaps most extraordinary of all, not one villager had ever tasted chocolate.

Most didn't even know what it was, until we showed them.

A village elder was chosen to take a bite of a KitKat (one of the most popular chocolate bars in the world; its manufacturer Nestle says 150 are eaten every second). His face contorted at the sweetness -- and perhaps at the realisation that this is what his life's toil is all about.

Cocoa-nomics explained: Unwrapping the cocoa industry
Cocoa-nomics: Why chocolate really doesn't grow on trees
Read more: CNN Freedom Project

CNN's Bryony Jones contributed to this article.

@highlight

CNN's Freedom Project returned to Africa's cocoa plantations to look for progress in fight against child labor

@highlight

Ivory Coast produces more than one third of all the world's cocoa, but many farmers live in poverty

@highlight

The cocoa industry supports about 3.5 million people in the West African nation

@highlight

Growers' position at the bottom of the cocoa value chain means they see just a tiny proportion of the cost of a chocolate bar