(CNN) -- America's enemies must be laughing. But most of the world is just baffled, mystified at the sight of the world's most powerful country tangled in a crippling web of its own making.

The government shutdown is weakening the United States before its allies and its foes. It is eroding American standing and prestige while reducing American power and influence. The democracy that once inspired the world now leaves observers perplexed.

This, to put it mildly, is not a time when Americans can say they feel pride in their government.

It is a time when America's partners worry about how much they can rely on the commitments from a nation that claims to be a bastion of democracy and freedom, not to mention efficiency and competence.

For politicians in Washington, and for the American people, angry and frustrated with the increasingly partisan and dysfunctional government, the shutdown that started on Tuesday looks like a battle over domestic politics. For the rest of the world, the closure of U.S. government institutions says America is growing small, small-minded and unreliable.

A small band of extreme right-wing politicians couldn't win the debate, or the vote, or the legal argument over health care, so they decided to close down the government instead. A system that allows that to happen is dangerously flawed and in urgent need of repairs.

The self-destructive tactic is undermining American strategic interests while the country's rivals make strides on the global stage. While Russia's Vladimir Putin unabashedly strengthens his position, while China expands its global influence, while America faces enormous challenges, the president of the United States and countless top officials are expending energy on a futile exercise.

In recent days -- while Syria burned, Iran maneuvered and Europe wondered if the United States will send the global economy back into recession -- U.S. government officials were busy making plans for a shutdown: deciding what offices will be open, what employees would write on their e-mail autoreplies during the shutdown.

In the final hours before the deadline, the United Nations General Assembly was in session and Obama was meeting with world leaders. But his mind was presumably on the blackmail and on the impending shutdown. Americans were also distracted, irritated.

In a world filled with crises, the ego-massaging spectacle from Washington managed to steal the spotlight. Bravo.

American strategic considerations now take a back seat. U.S. efforts to counter China's influence by strengthening ties with Asian countries have to wait. The long-planned visit to Asia by the president was cut in half to attend to this unnecessary crisis.

An aide to Supreme Allied Commander in Europe Gen. Philip Breedlove said the general would cut his travel because of the shutdown. Defense Secretary Chuck Hagel correctly noted the shutdown would raise doubts among key allies and would damage American credibility.

It is impossible to fully calculate the ways in which this hurts America's standing. U.S. officials cooperate on important projects in every field with international organizations. Their partners are learning they cannot rely on them.

The United States used to have one of the most respected forms of government on the planet. Washington was never morally crystalline and pure, but enough respect for the principles of democracy made people in other nations yearn to build a similar system, one in which people with differing opinions debated their positions, voted, and accepted the outcome. Who would want to copy the American system now?

The last time the government shut down, in 1995, I was in Bosnia. Back then, as we awaited the arrival of NATO forces, we heard of the shutdown. It seemed inconceivable such a thing could happen during a time of crisis. But at least President Clinton and the Republicans led by House Speaker Newt Gingrich were willing to compromise. And they weren't fighting over an issue that had already been triply settled in Congress, in the courts and at the ballot box.

And back then the economy was strong, more resilient, better able to withstand the showdown.

Today's dogmatic politicians, protected by like-minded zealots in their districts, are looking at their job in the narrowest possible way. They may want to hurt Obama; they may want to blackmail the president into doing away with his health care program. What they are doing is weakening America and its alliances. They are hurting those people in other lands who are trying to make the case that democracy is the best system.

From travel agents in Tokyo to newspaper columnists in Britain, people are trying to explain the inexplicable. Tourists from overseas have been blocked from visiting the Statue of Liberty. International meetings have been canceled, research delayed.

The British columnist Martin Wolf tried to break down for his readers how one side would close down the government to stop the health insurance that other countries take for granted. But he concluded that it all "seems mad." A journalist in India wrote about her driver and translator laughing at the United States. "So much for the world's great superpower," she tweeted, "It's closed."

American looks weak, flailing.

Set aside for a moment the impact of the shutdown on 800,000 federal workers and their families. Forget just for now the anguish of the people accepted for clinical trials on cancer drugs at the National Institutes of Health. Forget the businesses that rely on income from providing services to government workers, or from tourists visiting national parks. Forget the parents who have no place to take their children with the closure of Head Start-funded programs. Put to the side for a moment the ripples of damage caused within the United States by this exercise in political extremism.

Think instead about the impact this has on America's international standing and global interests. The people who caused this travesty are diminishing their country. Perhaps the knowledge that America's enemies are enjoying the spectacle will give them pause; probably not.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

America's enemies may rejoice, but the rest of the world is mystified, writes Frida Ghitis

@highlight

How can the most powerful country get tangled in a web of its own making?

@highlight

She says it discourages the champions of democracy around the world, encourages dictators

@highlight

Ghitis: U.S. leaders wasting time on shutdown, rather than focusing on long-term strategy