(CNN) -- Stocks on key Asian exchanges dropped modestly early Monday on what is likely to be an eventful day in world markets, following Standard and Poor's downgrade of the U.S. credit rating.

In early Tokyo trading, the Nikkei index fell 124 points, or 1.3%.

South Korea's KOSPI index slipped 1.6%. In Australia, the All Ordinaries index lost 0.7%. The Shanghai composite started 0.8% lower.

Hong Kong's Hang Seng index tumbled 2.6% at the open.

Similarly, U.S. stock futures fell around 1.7% in early electronic trading Sunday.

The futures were the first U.S. gauge of investor sentiment following Friday night's downgrade, removing the United States' AAA status for the first time. They give an indication of how investors will react when regular-hours U.S. trading begins at 9:30 a.m. ET Monday.

Besides the U.S. downgrade, investors are concerned about the debt crisis in some European nations, though actions on the part of the G7 and the European Central Bank Sunday helped to allay some of those fears.

Financial representatives of leading industrial nations said they are committed to taking "all necessary measures to support financial stability and growth in a spirit of close cooperation and confidence."

They welcomed the "decisive actions taken in the U.S. and Europe" and "the additional policy measures announced by Italy and Spain to strengthen fiscal discipline and underpin the recovery in economic activity and job creation."

"We are committed to taking coordinated action where needed, to ensuring liquidity, and to supporting financial market functioning, financial stability and economic growth," G7 finance ministers and central bank governors said in a Sunday night statement.

Treasury Secretary Tim Geithner had been expected to take part in a conference call with representatives of the other G7 nations to discuss the downgraded U.S. credit rating, a G7 official told CNN.

The G7 nations are the United Kingdom, France, Germany, Italy, Japan, Canada and the United States.

Similarly, the European Central Bank made a bid to calm markets Sunday. It said it would implement a bond-purchase program and welcomed announcements by Italy and Spain on new measures meant to reduce their deficits. It told the governments of those countries that a "decisive and swift implementation" of reforms is "essential."

The move represents an escalation in the official response to Europe's debt crisis, which is now more than a year old and until recently was contained to smaller economies like Greece, Ireland and Portugal.

International Monetary Fund Managing Director Christine Lagarde cheered the announcements.

"I welcome the statements from the European Central Bank, from the leaders of Germany and France as well as from the G7, and their renewed commitment to take all necessary action in a coordinated way to ensure stability and liquidity in the financial markets. This cooperation will contribute to maintaining confidence and spurring global economic growth," she said in a statement.

Middle Eastern markets, the first to open since the downgrade, were sharply lower on Sunday. Israel's market temporarily halted trading at one point and finished down more than 6%, while the Dubai Financial Market General Index fell 3.7%.

The General Index on the Abu Dhabi Securities Exchange was down more than 2.5%, while in Saudi Arabia, the Tadawul All-Share Index dropped nearly 5.5% in trading Saturday.

U.S. officials are talking to a "wide range of investors" about the downgrade by the credit agency to try to "mitigate" any short-term negative impact from Friday's announcement, a Treasury official told CNN.

Top Standard & Poor's officials said Sunday that the downgraded credit rating for the United States was both a call for political consensus on significant deficit reduction and a warning of possible further credit problems down the road.

"We have a negative outlook on the rating and that means that we think the risks currently on the rating are to the downside," said David Beers, the S&P global head of sovereign ratings, on "Fox News Sunday."

However, Beers said markets were reacting to the debt crises in some European countries and fears of a global economic slump, rather than the U.S. credit downgrade alone.

John Chambers, the S&P head of sovereign ratings, told ABC's "This Week" program Saturday that it could take years for the United States to return to AAA status.

"Well, if history is a guide, it could take a while," Chambers said. "We've had five governments that lost their AAA that got it back. The amount of time that it took for those five range from nine years to 18 years, so it takes a while."

The agency's concerns "are centered on the political side and on the fiscal side," Chambers said.

"So it would take a stabilization of the debt as a share of the economy and eventual decline," he said. "And it would take, I think, more ability to reach consensus in Washington than what we're observing now."

Both Beers and Bill Miller, chairman and chief investment officer at Legg Mason Capital Management, told the Fox program that they don't expect the U.S. downgrade to cause a spike in interest rates, one of the possible results of the higher risk now attached to U.S. debt.

"I don't think we'll pay more in interest," Miller said, calling the downgrade more of a symbolic event than an economic event. However, he warned of continuing market volatility in coming days driven by uncertainty.

Rating agencies such as S&P, Moody's and Fitch analyze risk and give debt a grade that is supposed to reflect the borrower's ability to repay its loans. The safest bets are stamped AAA. That's where the U.S. debt has stood for years.

Moody's first assigned the United States an AAA rating in 1917. Fitch and Moody's, the other two main credit ratings agencies, maintained the AAA rating for the United States after last week's debt deal, though Moody's lowered its outlook on U.S. debt to "negative."

A negative outlook indicates the possibility that Moody's could downgrade the country's sovereign credit rating within a year or two.

U.S. Treasury officials received S&P's analysis Friday afternoon and alerted the agency to an error that inflated U.S. deficits by $2 trillion, said an administration official, who was not authorized to speak for attribution. The agency acknowledged the mistake, but said it was sticking with its decision.

The administration official called it "a facts-be-damned decision ... Their analysis was way off, but they wouldn't budge."

Saturday, Gene Sperling, director of Obama's National Economic Council, criticized S&P's call.

"The magnitude of their error and the amateurism it displayed, combined with their willingness to simply change on the spot their lead rationale in their press release once the error was pointed out, was breathtaking. It smacked of an institution starting with a conclusion and shaping any arguments to fit it," he said.

But Beers defended his agency's move on Sunday, telling the Fox program: "The underlying debt burden of the U.S. government is rising and will continue to rise over the next decade."

CNN's Tom Cohen, Kyung Lah and Mark Meinero contributed to this report.

@highlight

Losses are modest in Tokyo, Seoul, Sydney and Shanghai

@highlight

Investors are weighing both the downgrade and the European debt crisis

@highlight

G7 leaders say they are committed to taking "all necessary measures"

@highlight

U.S. stock futures tumble around 1.7% in early electronic trading