(CNN) -- A new book on the history of Straits Chinese culture reveals page after page of dazzling, intricate jewelry combining Malay, Chinese, Indian and European designs. These pieces bring together rich materials of far-flung origins: Swiss gold thread and German organza are spun into patterns of Chinese phoenixes and peonies, while European coronets are studded with jade. Lillian Tong, director of the Pinang Peranakan Mansion in George Town, Malaysia, has curated the best of the museum's collection in her book, Straits Chinese Gold Jewelry.

Blending of cultures

By the late 19th century, wealthy families of mixed Chinese-Malay descent (known as the Straits Chinese or Peranakans) created a society that incorporated elements of both Asian and European cultures, reflecting their history under the Malay sultanate and Portuguese, Dutch and British rule. In the ports of Penang and Malacca, they built Victorian-style houses according to the principles of feng shui and amused themselves by playing polo, collecting European antiques, and commissioning jewelry.

As Tong explains, jewelry was the "crowning representation of Straits Chinese identity", serving as a marker of status as well as the increasingly specialized tastes of these merchant families. Subtlety of craft was prized as much as the display of gems and gold. The Straits Chinese wedding was a showcase of this sophisticated material culture, in which a bride might wear over a hundred gold hairpins, each a fine piece of filigree with rose-cut stones.

The result was an unprecedented era of creativity in the region, not only in accessories but in architecture, fashion and graphics. This great age of design reached its height between 1900 and 1940, as artisans worked to fuse the luxuries of imperial China with high European style.

Fabulous gems

The jewelry itself is a profusion of busy patterns and extraordinarily detailed workmanship. Even a heavy three-piece brooch in 22-carat gold and diamonds is so meticulously crafted that it manages to seem delicate. A tiny hairpin of pearls and silver is reserved for periods of mourning, to be gradually replaced by ornaments of sapphires and jade. For festive jewelry, Burmese rubies and gold are worked into maximalist designs of flora and fauna.

The collection reveals the interests and fantasies of a multicultural, multilingual society. Chinese and European motifs are often combined into one piece, as Dutch tulips appear alongside Buddhist bats and deer, while Victorian silver mesh purses feature auspicious Chinese symbols. Asian blossoms are gathered into English-style garlands and bouquets, and entwined with Malay birds. The mythological and real animals of different countries are seen grazing together.

This range of ethnic references might seem wildly eclectic today, but for the Straits Chinese community, it was possible to reconcile Europhilia with an appreciation for traditional crafts. According to Dr Alan Chong, director of Singapore's Peranakan Museum, signature ornaments such as the kerosang (heart-shaped brooch) are derived from European jewels of the 18th and 19th centuries. The Straits Chinese were familiar with the concept of taking the best from each culture: borrowing objects from European and Chinese practice, and giving them local variations and stylistic twists.

It is astonishing to look back on this era of playful diversity, when a hybrid mix of influences was the norm. These pieces are not only exquisite but inspiring, pointing towards a time when designers felt free to experiment, pulling ideas from every culture and blending them together.

A $33 million Faberge golden egg resurfaces

Spectacular designs shine at Asia's largest gem show

The 20th century's most stunning jewels ... with a price tag to prove it

@highlight

A new book explores the history of the Straits Chinese culture and their extraordinary jewelry

@highlight

They were wealthy Chinese-Malayans who created a society which fused Asian and European influences

@highlight

The result was a boom in the region's artistic creativity