SANTO DOMINGO, Dominican Republic (CNN) -- You've got your spot on a lounge chair angled into the hot Caribbean sun, with tall, slender palm trees jutting out over your head. As you gaze at the calm turquoise waters and sip that refreshing rum drink, you may ask yourself, "What more could I possibly want?"

Visitors can climb the tower at Fortaleza Ozama for a view over the rooftops and out to sea.

For many travelers to the Dominican Republic, that chair -- usually secluded inside a mega all-inclusive resort complex -- is the sole destination.

And don't get me wrong, it's a great one. The Dominican Republic's stretches of sand are some of the best on the planet. But if you never leave the high walls of your tourist compound, you're missing out on a gem of a capital city.

Santo Domingo is the New World's first city, with 16th-century buildings, quaint colonial streets, romantic ruins and a lively atmosphere. All you need is a full day to experience the city's architecture, culture and food. Plus, it's only a $9 coach bus ride from Punta Cana.

So when you begin to tire of the antics of the "animation team" at the resort, and the color of your skin starts to resemble the papaya or watermelon you're eating, consider a short trip to Santo Domingo.

Founded soon after Christopher Columbus set foot in the New World, and run by his son Diego, the city became the colonial capital of the Americas and launch pad for further Spanish expeditions. Despite several raids by pirates, the oldest section of town remains largely intact. Known as the Zona Colonial, it contains many European "firsts" in the Western Hemisphere including the first street, cathedral, hospital and university.

How to see it all in a day

Start at the heart of the zone, Parque Colón, a square that borders the cathedral and is always full of life. You can sit and watch children chase pigeons as you gaze up at the simple beauty of the oldest cathedral in the Americas. Next, head over to the oldest fortress in the New World, Fortaleza Ozama, built in the early 1500s. There you can climb the tower for a view over the rooftops and out to sea.

Back on street level, walk up a couple blocks to the expansive Plaza España, site of two museums and a hangout for locals, especially in the evening, when kids crisscross the square on scooters or fly kites, and couples sit quietly together. The Museo de las Casas Reales and the Alcázar de Colón -- Diego Columbus' palace -- show you how the wealthy Spanish lived when they came to the early colonies and provide some history of the island's colonization -- all for a buck or two.

Next, head over to a pair of impressive ruins. Gaze up at the towering walls and arches of the Americas' first hospital, Hospital de San Nicolás de Bari. Then, just up a picturesque bend in the road lined with colorful houses, you'll find the large ruins of Monasterio de San Francisco. Pirate attacks and earthquakes brought down the monastery. The hospital was merely abandoned in the 18th century, and later dismantled for safety.

Now let yourself wander a bit through the streets, checking out the colorful surprises around every colonial corner. You'll discover the varied architecture of people's homes, and get a view into Dominican city life. In just a few blocks, I ran across a pickup game of baseball, the national sport and passion, in the middle of the street, with adults using just a broom handle and roll of tape; several "kiddie" pools in the streets, where both children and adults were cooling off in the afternoon heat; and a handful of corner parks alive with activity.

After exploring, your final destination is the zone's main drag, Calle El Conde. This pedestrian-only street is the place to shop. You'll find street sellers hawking colorful artwork; music stores to pick up that merengue and bachata music you've heard blaring out of everyone's stereos; and jewelry shops featuring native amber and the sky-blue stone larimar found only in the Dominican Republic.

By now, you've certainly worked up an appetite walking in the hot sun. Parque Colón and Plaza España each have a row of chic sidewalk cafés, although they're a bit pricey and touristy. Consider wandering a bit through some side streets to find a more local establishment, where you can feast on typical cuisine such as la bandera dominicana (a red beans and rice dish), several stews, fried plantains or yucca and delicious tropical fruits.

And if you still feel like dancing the night away, hop in a taxi to the Malecón, Santo Domingo's seafront boulevard, where the large hotels have popular dance clubs pumping merengue until the wee hours of the morning.

The bus ride

Getting to the capital city from the beach areas is cheap and relatively easy. Expreso Bávaro runs from the Punta Cana area for $9 in an air-conditioned and comfy coach bus. On your four-hour ride, you'll get a glimpse of some smaller Dominican towns, a towering modern cathedral, distant mountains and vast sugarcane fields. Metro and Caribe Tours provide similar services from the beaches on the north coast around Puerto Plata.

The buses to/from Punta Cana don't run long into the evening (they leave each side at 7 a.m., 10 a.m., 2 p.m., and 4 p.m.), so you'll want to make this an overnight trip. The Zona Colonial has several boutique hotels that are quaint, clean and reasonably priced. You could even arrange to fly out of Santo Domingo's Las Americas airport, rather than Punta Cana.

@highlight

Santo Domingo, the Dominican Republic's capital, was the New World's first city

@highlight

Explore 16th-century buildings, colonial streets, romantic ruins and Dominican city life

@highlight

Cheap, comfortable buses connect to the city from beach areas