(CNN) -- Researchers in Germany are reporting that they may have cured a man of HIV infection. If true, that would represent a scientific advance, but not necessarily a treatment advance, said researchers familiar with the work.

In the study, published last week online in the journal Blood, researchers at Charite-University Medicine Berlin treated an HIV-infected man who also had acute myeloid leukemia -- a cancer of the immune system -- by wiping out his own immune system with high-dose chemotherapy and radiation and giving him a stem-cell transplant. Stem cells are immature cells that can mature into blood cells.

At the time of the transplant, which occurred in February 2007, he stopped taking anti-HIV medications.

Why HIV advance isn't a universal cure

Thirteen months later, after a relapse of the leukemia, he underwent a second round of treatment followed by another stem-cell transplant from the same donor.

The donor's stem cells contained a rare, inherited gene mutation that made them naturally resistant to infection with HIV, according to the authors, led by Kristina Allers, who hypothesized that HIV would nevertheless rebound over time. But that has not happened.

After three-and-a-half years off of anti-HIV drugs, the patient shows no sign of either leukemia or HIV replication and his immune system has been restored to normal health, the researchers reported, concluding, "our results strongly suggest that cure of HIV has been achieved in this patient."

But AIDS researchers predicted the report will have little impact on practice.

"This probably is a cure, but it comes at a bit of a price," said Dr. Michael Saag, professor of medicine and director of the University of Alabama at Birmingham AIDS Center.

"For him to receive the donor cells, his body had to have all of his immune system wiped out" and then receive a bone marrow transplant, Saag noted. "The Catch-22 here is that the best candidates for a cure, ideally, are people who are healthy" and don't have leukemia.

The treatment associated with wiping out the immune system "is very hazardous," he said in a telephone interview.

"Even if somebody doesn't die from a transplant, there are complications that make it very unpleasant for people to live with," he said, citing graft-versus-host disease, where the infused donor cells attack the body. In a number of cases, the transplant proves fatal.

The study is a proof of the concept "that our understanding of HIV biology is correct, and that if you eliminate -- not just in theory but in practice -- all of the cells in the body that are producing HIV and replace them with uninfected cells, you have a cure," Saag said.

But remaining infected with HIV is not always associated with the same grim outcome that was the norm prior to the mid-1990s, when more effective anti-HIV drugs were developed, he said.

"We can keep people alive for a normal life span," he said. "That means a 25-year-old diagnosed today with HIV has a reasonably good chance of living to 80, 85, 90."

Further limiting the treatment's potential appeal is the fact that it could cost hundreds of thousands of dollars for each patient who gets it, he said.

"It's not going to be applicable unless they develop leukemia or lymphoma and need a bone-marrow transplant,"Saag said.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases, called it impractical. "It's hard enough to get a good compatible match for a transplant like this," he said in a statement. "But you also have to find (a) compatible donor that has this genetic defect, and this defect is only found in 1% of the Caucasian population and 0% of the black population. This is very rare."

But HIV itself is not. According to the World Health Organization, 33.4 million people worldwide have the virus that causes AIDS.

@highlight

A Berlin man has been off anti-AIDS medication for 3-1/2 years

@highlight

But the stem-cell transplant credited for ridding him of HIV is costly, dangerous

@highlight

"This is probably a cure, but it comes at a bit of a price," says one AIDS doctor