(CNN) -- Less than a year after four strangers risked their lives to save Michelle Kehoe and her sons from an icy Iowa River, the mother is accused of slashing the two boys' throats and leaving them to die.

Michelle Kehoe was arrested November 15 after leaving the hospital where she had been since the attack.

Kehoe's 2-year-old son was found dead the morning of October 27 outside the family's van, which was parked a short distance from the Hook-n-Liner pond in Littleton, Iowa.

Her 7-year-old son was injured but still alive inside the van. He was rushed to the hospital for surgery, according to the Iowa Department of Public Safety.

Scars on his neck underscore the chilling account he gave police, contained in a police affidavit filed in Buchanan County court. The boy said his mother started with him, taking him from the van before covering his eyes, ears and mouth with duct tape, according to the affidavit. Then, he told police, she cut his throat.

She then moved on to his younger brother, he said. He could hear his brother's cries as she repeated the attack on him, the 7-year-old told police.

Kehoe initially denied involvement in the attacks, blaming them on a stranger. Eventually, she admitted to acquiring the knife and duct tape weeks earlier but could not explain why, the affidavit says.

Kehoe faces life in prison on charges of first-degree murder, attempted murder and child endangerment resulting in serious injury. She is being held on $2.5 million bail, County Attorney Allan Vander Hart said. She has not entered a plea but is scheduled for arraignment December 2.

Repeated calls to Andrea Dryer, Kehoe's public defender, were not returned. CNN was unable to find any public comments by Dryer on the case.

The attacks have rattled the community of Coralville, a suburb of Iowa City where Kehoe and her husband, Eugene, lived with their sons.

The arrest comes just three months after Iowa Gov. Chet Culver honored four men for diving into the Iowa River to rescue Kehoe and her sons on a cold December afternoon last year.

The governor's office gave the following account: Kehoe was driving the boys to the library when the car hit the curb, skidded on ice and then plunged into the river. As rushing waters filled the car, three passers-by who had watched it veer off the road plunged after it into the icy waters.

Inside the car, Kehoe dislodged her older son from his booster seat and passed him through the window to Cory Rath, who brought the boy ashore. Kehoe removed her younger son, then 14 months old, from his car seat and handed him out the window to Mark Petersen. Petersen began to swim with the boy and then passed the boy to Josh Shepherd, according to the governor's office.

Kehoe, meanwhile, had escaped from the car and was fighting the rough currents pulling her underwater. Bicyclist Steve McGuire noticed her struggling and dropped his bicycle to dive in after her.

The dramatic rescue formed a bond between the Kehoes and their four saviors, especially Rath, who befriended the family. He did not respond to CNN's phone calls but spoke recently with a local television station.

"Your heart sinks to hear that something was happening again," Rath told KGAN, a television station in Cedar Rapids, Iowa. "I mean, we just rescued these kids and mom from the river last December."

Rath told KGAN he was grateful that the older boy had survived but worried about the rough times ahead for him.

"Dying at the age of seven would have been really, really tragic," he told KGAN. "I'm also saddened that there are certainly difficulties he will have in the days and years to come that are troubling to think about."

Police have said they are not re-examining last year's accident in light of the recent attacks on the boys. Prosecutor Vander Hart would not comment on whether they were related.

The 2-year-old's slaying also marks the first homicide in five years in Buchanan County, the prosecutor said.

"Murder cases are pretty few and far in between here. We're a small rural community of 21,000 people," Vander Hart said. "Any time you have a case with these kinds of facts, it's going to draw some kind of attention. But I was not prepared for this degree of attention."

For many, the grisly nature of the attacks is compounded by the fact the boys' own mother is charged with plotting and carrying them out.

Cases of mothers who kill their children, like Susan Smith and Andrea Yates, continue to fascinate the public, even as the rates of filicide -- the act of a parent who kills his or her own child -- have remained fairly stable.

"Because these cases are so tragic, they pull at your heartstrings, but they happen all the time," said Laurie Levenson, a professor at Loyola Law School in Los Angeles, California.

In 2005, 555 children under the age of five were victims of homicide, compared with 544 in 1976. The rate peaked in 1991 at 778 and bottomed out in 1971 at 511, according to statistics from the Department of Justice.

Another fairly stable statistic: In more than 50 percent of child homicides, the killer is a parent.

"The natural defense to anticipate is insanity, because why would a mother kill her own child?" Levenson asked. "It certainly can be insanity, but it's not always the case. Perfectly sane people can do horrible things, and they do, every day."

Mothers can be motivated to kill their children by several factors, according to criminologist James Alan Fox, Lipman Family professor of criminal justice at Northeastern University.

Some act on genuine psychotic delusions, as jurors determined to be the case with Texas mother Andrea Yates, who told doctors she drowned her five children because God told her to do so. Others can be motivated by selfish reasons: Susan Smith's alleged motive for killing her children was that she perceived them to be an obstacle in her relationship with her boyfriend.

"It's a crazy thing to do, but crazy describes the behavior, not the mind," Fox said, adding that between 300 and 350 children have been homicide victims in 2008.

"It doesn't make sense to most of us, but that doesn't mean the state of mind of the person is mentally ill. You may know what you're doing and have very selfish motivations," he explained.

Kehoe said she couldn't explain why she did what she did, according to the affidavit. Police said she initially told a false but chilling tale of how a normal, two-hour Sunday drive to visit relatives was interrupted by a brutal attack on her family.

On that Monday morning in October, she showed up on the doorstep of a home in Littleton, claiming that a man she couldn't identify had abducted her and her children. The person who answered the door called 911, and sheriff's deputies located the van with Kehoe's help.

Initially, she denied involvement in the attacks and stood by the statement that she'd been attacked by a stranger.

When pressed by investigators, however, Kehoe said she had purchased a knife a month earlier and duct tape two months earlier, the affidavit states. The document also says that before she and her sons left home Sunday, she wrote a note detailing the abduction by a stranger.

The note was found in the van, according to the affidavit.

The document went on to say: "She stated that it all happened within five minutes and prior to 1:30 pm. She stated she couldn't explain why she had done it. She stated that she couldn't face anyone. She stated that she wanted to die or be locked up where she couldn't hurt anyone."

After speaking with investigators, Kehoe was taken to the hospital to be treated for her own wounds and trauma, said prosecutor Vander Hart, declining to elaborate. She remained there until she was arrested and taken to jail a week ago Saturday.

A plea of not guilty would open the door to a criminal trial, where Kehoe's state of mind would become a key issue, experts say.

Michael Welner, a forensic psychiatrist and Chairman of The Forensic Panel, interviewed Andrea Yates and testified for the prosecution at her trial. He said the successful insanity defense in Yates' case made what was once an "unthinkable" strategy into a viable defense.

@highlight

Michelle Kehoe allegedly first told investigators a stranger attacked her and boys

@highlight

Authorities say she admitted buying duct tape, knife weeks earlier

@highlight

2-year-old is one of about 300 children slain this year

@highlight

Kehoe is scheduled to be arraigned on December 2