(CNN)Entering The Unseen Emporium at London's Somerset House is like walking into an alchemist's workshop.

The room smells strongly of burning sage, and there are old books stacked high on wooden shelves. An antique distillation kit sits in the disused fireplace with tiny glass bottles of oil, and long swaths of black cowhide hang from the walls.

But most striking is the chameleonic couture on display.

A bejeweled headdress, created with Swarovski's gemstones division, changes color based on the heat generated by the wearer's neural activity, thanks to hyper-conductive stones and heat-sensitive ink. The three sculptural leather jackets are infused with dye formulas that change color in response to different stimuli: friction, the temperature and humidity of the room, and intense heat. In its own room is a fragile ceramic dress called Eighthsense, covered with hand-painted pixels that reflect brain activity detected by an accompanying EEG headset.

This was the public's formal introduction to The Unseen, a trio of London fashion designers using chemistry, digital technology and exquisite tailoring to create fashion magic.

Last October, The Unseen's designers -- founder Lauren Bowker, Christa Leask and Jess Smith -- moved base from a cluttered studio in the vaults under Somerset House to a room in the building's new wing. When you enter, the one-off color-changing showpieces that have made them the darlings of the smart materials world immediately draw your attention, but there are other items on display too: color-changing trinkets -- candles, Moleskine notebooks and the like -- from their new product line. They may be known for their fashion output, but the designers are eager to expand beyond the label.

"For me, it's more of an exploration house," says Bowker. "It's like a materials house at Liberty with science and a side of magic. On acid."

In that case, Bowker, who masterminds The Unseen's formulas and materials, could be considered the chief magician. Before launching The Unseen in February, she worked as a textiles consultant in a number of fields, from fashion to aviation. In 2013, tired of altering her ideas to meet corporate ends, she decided to venture out on her own with the help of a Â£25,000 ($38,000) grant from Innovate UK (then known as the Technology Strategy Board), and her best friends Smith and Leask, who are responsible for designing and executing the sculptural pieces.

(The trio often describe themselves as "the three witches with one eye" because of their shared creative vision, and each has a flesh-tone tattoo of an eye on their inner finger to drive the point home.)

Bowker, who has studied both fashion and chemistry, first started developing responsive color-change compounds while earning her Masters in textiles at the Royal College of Art, inspired by the debilitating spinal condition that has her in and out of hospital.

"I really want to create a product range for myself that means that I can monitor my spine and condition," she says. "I don't listen to myself when I'm getting ill, and it gets to the point where I'm on crutches before I'll listen to the fact that I have to look after myself."

Early in her career she worked with the UK's National Health Service to develop a series of responsive bandages, but when it became clear that it would take at least 20 years to produce a working sample under their funding model, the project was shelved. She returned to her fashion roots to overcome this problem.

"I just thought there's got to be a quicker or more profitable way to do this, rather than doing this in pure research," she says. "(The purpose of The Unseen) wasn't to be in all the press and everywhere. It was a strategic plan so we can create products that help people in their daily lives."

While they haven't developed chemistry-infused garments to help people just yet, The Unseen's current output has attracted attention across industries. They recently hosted representatives from luxury car companies interested in using their color change technology, and the team is gearing up to announce a very hush-hush capsule collection for a high-end heritage retailer.

Recently, they've been in talks about exhibiting at The Museum of Science and Industry in Chicago and the newly reopened Cooper-Hewitt, Smithsonian Design Museum in New York City, and they will  be showcasing their work at South by Southwest in Austin, Texas this March. There are also ongoing discussions with the neurology team at King's College London about a collaboration that would give The Unseen unprecedented access to state-of-the-art ink technologies.

But their next collection, which will likely be released next fall, is still somewhat of a mystery, even to them. Only one thing is certain: it won't involve color change.

"I don't want us to be a gimmick and then next year nobody's talking about us. I'm adamant that we will be around in 50 years," Bowker says. "I really want The Unseen to become an iconic brand known for pushing innovation and pushing materials in a magical way."

@highlight

London design house The Unseen creates fashions that instantly change color based on heat, brain activity and friction

@highlight

Founder Lauren Bowker develops the special dye formulas that respond to stimuli

@highlight

The Unseen has opened an emporium in London to sell small color-changing products showcase their pieces