LONDON, England (CNN) -- They are domestic relics of a bygone era when space travel was new and exciting and the world was buzzing with optimism about what could be.

This Coney Island playground climbing frame is one of the larger items clogging the Kleeman family's barn.

NASA's Apollo 11 moon landing 40 years ago reinvigorated demand for space-inspired mementoes that was stirring well before the start of the Space Age in the 1950s.

Shops offered everything from rocket-shaped lamps, to skateboards, biscuit tins and toys emblazoned with stars and futuristic astronauts.

Such was the excitement surrounding the momentous moon landing in 1969 that some were moved to create their own memorabilia in needlepoint and tin.  See memorabilia of 1969 moon landing »

Many early examples of space-inspired design, both professional and homemade, can now be found in a 100ft hay barn at the Kleeman family home in the U.S. state of Connecticut.

They're not on display -- yet -- but the family hopes to soon show the world what they call the "Space Age Museum," a collection of as many as 10,000 pieces inspired by humanity's adventures in space.

"Everything started with a toy ray gun Peter and I bought at a flea market in Brimfield, Massachusetts 20 years ago for $10," John Kleeman said.

"We have never lost the excitement of that first find and since then we have continued our quest for cultural artifacts which tell the back story of the Space Age -- how ordinary folk like us experienced the magic, adventure and meaning of human space exploration."

Weekend trips to markets and auctions became more frequent and over time the collection grew to include more cumbersome items including a 40-foot promotional trailer based on the design of "Terra IV," a battle cruiser in the 1950s U.S. television series, "Space Patrol."

"They had a movie theatre inside so 40 people could sit inside it and watch a rocket launch," John's son Peter explained. "We had to adjust the doors to the barn to fit it, but it's in our barn now."

As the barn became more crowded, references to their "collection" morphed into "the museum" and their father-son hobby transformed into a potential business.

"It was kind of a 'some day' kind of thing," Peter said. "My dad had a day job as an attorney and I was in college and we said some day we'll create a museum so people can visit."

"Then three or four years ago I was at a point where I'd been working in the outdoors leading trips for youth at risk and thinking, "Do I want to do this forever? How am I going to fit this space museum into the picture some day?' I realized that I'd like to do it now."

Since then, they've been carefully peeling back layers of packaging and photographing their second-hand treasures for a digital catalogue.

"My mum is surprisingly and wonderfully supportive of all this," Peter said. "Because it's a family business she always gets consulted, especially on large acquisitions. I think there have been some vetoes but there's nothing that she's vetoed that we wish that we'd gotten."

Now 29, Peter Kleeman travels back and forth from his parents' house and his new home in New York to build the business.

"For now we'd like to contract out our exhibits to other museums and then if funding and the right sponsorship came in we'd be open to doing a permanent location so people could visit," he said.

For Peter, the Space Age Museum is not simply about nostalgia; it's an important reminder of the enthusiasm that once gripped the world about future frontiers that has slowly deflated with time.

"One of the questions I ask myself is, 'what would it take to turn that around and for us to have a more creative and adventurous optimism for the future, and get that pioneering spirit back in our culture?'"

A mission to Mars might be one, he suggested, along with a long-term plan for future exploration. This museum curator is not in the camp that argues that money for space programs is better spent at home.

"A lot of people feel that because of our environment and different social and economic struggles that are going on in the planet that we should just focus all of our resources on fixing things here," he said. "I agree -- there's a lot that's not working on our planet. We should be taking care of each other but that shouldn't stop us from also exploring -- there's a got to be a way to balance it.

"I think that knowing our place in the solar system and beyond helps give us perspective on who we are and where we are. I think it can be humbling and it also helps us remember how precious and rare our planet is and that we really need to protect it and manage its resources better."

@highlight

For more than 20 years the Kleeman family has collected space-inspired items

@highlight

Collection includes rocket-shaped lamps, old space toys, climbing frames

@highlight

Family preparing to launch the "Space Age Museum" to display exhibits

@highlight

Kleeman: "Knowing our place in the solar system helps give us perspective"