Aboard Development Driller III, Gulf of Mexico (CNN) -- The news? They can't watch it anymore. Outsiders criticizing their progress, saying they're not working fast enough or smart enough -- it's too much to bear.

They understand how awful the situation is. They are, after all, working on the waters where friends and relatives died. Those losses, and the stories they hear from workers who survived the Deepwater Horizon explosion, are with them every day. It's a weight they carry as the world watches.

These men and women are working to drill a relief well -- 16,000 to 18,000 feet below the seafloor, Coast Guard Adm. Thad Allen says. It is the only surefire way to stop the oil that's spewing into the Gulf of Mexico.

"It takes time to dig a relief well safely and efficiently, which is what we're trying to do," Capt. Lee Crowe says. "Our goal is to stem the flow of oil -- the long-term solution, not the short-term solution."

As of Thursday, BP says the drill for this relief well has reached a depth of 13,978 feet.

See a BP image of both relief well statuses, last updated on May 30

There are fewer than 200 workers on board at any one time. They are marine biologists, scientists, construction and tool experts. They must understand the physics of what they're doing. Simple hired hands? Not even close.

They work on the rig in three-week shifts, living in simple quarters and eating in a space not unlike a school cafeteria. Mementos from home, pictures of the families they leave behind to do this work, appear on desks.

Most of them come from Mississippi, Louisiana and Texas -- the very places that will be hardest hit by the oil-riddled waters. So for them, what they're doing is more than a job, the kind of job that's been passed on through generations. They are trying to protect their own homes. And they're trying to right what has gone so horribly wrong.

"Part of the problem is that there is a lot of outside scrutiny on what it is that we're doing out here," Capt. Nick Schindler says. "The American population is wanting this well done. They want it now. We all want it done now. But we all have to understand that this is a well that killed 11 people ... and sunk a rig. So we're not going to speed up, and we're going to do this as safe as possible."

To get to where disaster struck on April 20 takes a one-hour helicopter ride from New Orleans, Louisiana. From the air, heading out there, one can see efforts to contain the spreading oil. Large floating booms arc in the water to absorb the crude.

The large black slicks or dark pools one might expect to see are not visible. Instead there are orange pancake-like deposits, the result of oil that's been exposed to the elements.

Allen, during the flight, notices what no outsider can. The shifting winds change the flow trajectory in the water. Based on this, he predicts Pensacola, Florida, will be hit with oil in a couple of days. A couple of days later, it is.

But the smell -- like fresh tar -- can't be missed by anyone. It only grows stronger as the Coast Guard helicopter reaches its destination, landing on Development Driller III.

Across the water, Development Driller II works on the backup relief well, while Discover Enterprise tries to cap the gushing oil. It is beneath that rig that underwater cameras are trained on the oil the world is seeing.

Support vessels between the three rigs are busy offering their own help to the massive effort. Two boats fire fresh water from their sterns, a move meant to lessen the fumes emanating from the contaminated water.

Safety is top of mind on this rig. Visitors landing on the rig must go downstairs to watch a safety video, take off accessories like earrings and put on a hard hat, goggles and steel-toed boots.

A woman working at a desk thanks the CNN crew for finally telling the workers' story. Nearby, on a table, are copies of a special magazine memorializing the Deepwater Horizon workers who died.

The operation is enormous, the equipment and technicalities overwhelming. In meeting rooms, screens monitor progress and maps dot walls. The diagrams the Coast Guard admiral draws to help explain matters leave a journalist's head spinning. But he tries to explain in simple terms.

"The intention is to intercept the wellbore, well down below the surface near the reservoir, then pump heavy mud in to counteract the pressure of the oil coming up," Allen says. "That will allow them to basically plug or kill the well. Once that's done, you could do things like remove the blowout preventer, bring it to the surface and try to find out what happened."

Get a taste of the chaos that is Adm. Thad Allen's life

On deck, it's a loud and constant operation. Voices call back and forth, giving directions amid massive equipment that towers above. People operating the drill and two cranes maneuver across the rig in a carefully orchestrated ballet. The incessant drilling brings an endless vibration. There is no idle chit-chat for these Transocean employees, who are working 12-hour shifts, around the clock. It's intense, serious, focused.

"I just want everybody to know that we're doing everything we possibly can," says Schindler. "We're not going to rush. We're not going to hurt anybody. We're going to protect everybody, and we're going to remember that this is a place where we had a catastrophic event."

@highlight

CNN's Kyra Phillips gets exclusive access to rig drilling relief well to stop gushing oil

@highlight

Workers put in 12-hour days and feel weight of world watching and criticizing them

@highlight

The men and women feel the loss of friends and family who died in waters there

@highlight

"We're doing everything we possibly can," but must stay safe, not rush, captain says