Washington (CNN) -- Coalition forces can attain "success" in Afghanistan, but U.S. officials should wait until December 2010 before they can measure the progress of the troop surge, a top U.S. commander told a Senate committee Wednesday.

Gen. David Petraeus, head of U.S. Central Command, predicted the surge will be met by an increase in violence in spring 2010 and a rise in "security incidents" in the summer.

Turmoil within the Afghan government over the 18 months of the troop increase is also expected as corruption is rooted out, Petraeus said. That, combined with an expected backlash in the spring and summer, Petraeus cautioned, means officials and the public should wait until December 2010 to evaluate the progress of the U.S. military strategy.

"While certainly different and in some ways tougher than Iraq, Afghanistan is no more hopeless than Iraq was when I took command there in February 2007," Petraeus told the Senate Foreign Relations Committee. "Indeed the level of violence and number of violent civilian deaths in Iraq were vastly higher than we have seen in Afghanistan, but achieving progress in Afghanistan will be hard and the progress there likely will be slower in developing than progress was achieved in Iraq."

Petraeus' appearance before legislators was the latest by top U.S. officials on Capitol Hill this week. Gen. Stanley McChrystal, the commander of U.S. forces in Afghanistan, testified before the Senate and House counterparts of the Armed Services Committee on Tuesday, joined by Karl Eikenberry, the U.S. ambassador in Kabul, who also testified Wednesday. Jacob Lew, deputy secretary of state for management and resources also testified Wednesday.

McChrystal told CNN on Wednesday that U.S., Afghan and NATO forces need to cut off the Taliban insurgency from the Afghan people by establishing "security zones" that will gradually expand to encompass more and more territory.

"At the end of the day, the insurgency needs access to the population to be effective," McChrystal said in an interview with CNN's Christiane Amanpour. "They need to be able to coerce the population, to tax the population, to recruit from the population, and to prevent the government from extending its governance into those areas."

If Taliban fighters are forced to keep their distance from the Afghan population, then "over time, they become irrelevant, and they, in fact, are defeated," McChrystal said.

The generals and diplomats were called to testify before the congressional committees about President Obama's new plan for the Afghan war, which involves the deployment of another 30,000 U.S. troops and a July 2011 date for the beginning of an American withdrawal.

Part of stabilizing Afghanistan and fighting the Taliban will include supporting legitimate economies among Afghans, thwarting the chance that some would join the insurgency as a means of making a living, Eikenberry testified. About 80 percent of the Afghan people derive their income from agriculture and the United States plans to support agriculture among civilians while keeping farmers from growing heroin in the poppy fields, which can be lucrative for the Taliban, said Eikenberry.

Also critical is a partnership with Pakistan, Eikenberry, Petraeus and Lew agreed. Chairman of the Foreign Relations Committee, Sen. John Kerry, D-Massachusetts, articulated that fighting the insurgency in Afghanistan includes addressing the problem of militants who have sought shelter across the border in Pakistan.

Al Qaeda leader Osama bin Laden, who has been at large since the September 11 attacks in 2001, is widely believed to be hiding along the rugged border between Afghanistan and Pakistan.

While the withdrawal is set to begin July 2011, Kerry said the United States will maintain "engagement" with the region and talks with Afghanistan's neighbor, Pakistan. And Afghanistan President Hamid Karzai on Tuesday said that the country will need help financing their own military and police forces for the next 10 to 15 years.

Worried about billions of dollars in costs and the longevity of the commitment to Afghanistan, Sen. Richard Lugar, R-Indiana, asked Petraeus to explain whether 15 years would be necessary and how much money it could cost.

If Afghanistan attained the "aspirational" goal of 400,000 army and police members, it could cost about $10 billion a year to support, Petraeus said.

"There's no question as President Karzai was highlighting yesterday that Afghanistan will require substantial international funding for years to come in a whole host of different areas, not the least of which is their security forces," Petraeus said. "But I would submit that it is a lot cheaper to maintain a certain number of Afghan forces than it is to maintain the number of U.S. and coalition forces required to compensate for their absence."

@highlight

NEW: Gen. Stanley McChrystal talks with CNN's Christiane Amanpour about insurgency

@highlight

Gen. David Petraeus: Full evaluations of progress should wait until December 2010

@highlight

Petraeus: Progress "likely will be slower" to come in Afghanistan than it was in Iraq

@highlight

Karzai's "aspirational" goals would cost U.S. about $10 billion a year, Petraeus says