Hong Kong (CNN) -- The death of a sixth patient from a SARS-like virus comes on the week that marks 10 years since the deadly outbreak hit Hong Kong.

Reports of the new virus' spread remind me of a phone call I received a decade ago: "Kevin, we're hearing that there might be a case of SARS on Lamma," said my boss, referring to the tiny island off Hong Kong where I live.

Back then I was working for The Wall Street Journal Asia, and my colleagues and I had been reporting on the outbreak for weeks from our homes. Like many businesses at the height of the outbreak of Severe Acute Respiratory Syndrome, or SARS, employees were encouraged to stay away from the office, or any other places where large numbers of people gather.

Still, I remember thinking: What do I do with this information? How do I defend against what is unknown and unseen? And is the sniffle I have more than just a runny nose?

When the World Health Organization (WHO) issued its global alert on March 12, 2003 -- an ominous warning of a "world-wide health threat" due the outbreak of an unknown form of severe pneumonia -- Hong Kong became a city under siege.

Those of us living in the city in the months following that alert watched as the disease spread daily, growing from 150 confirmed cases in 10 nations to 8,096 cases in 30 nations -- killing 774 people -- by July, according to WHO.

Hospitals were overrun, an apartment complex was quarantined, and restaurants and bars in one of the most crowded cities in the world were deserted.

The disease decimated social conventions: A public service announcement suggested Japanese-like bows rather than handshakes at business meetings; signs offered instruction on how to wash hands and proper spitting etiquette. Money changing hands suddenly took on a new scrutiny. Catholic priests were forbidden from offering sacramental wine and placing communion wafers in the mouths of the faithful.

Many in this city of seven million turned to wearing masks, a prophylactic against panic yet an unnerving reminder of the life-and-death fights in the city's medical centers.

We now know SARS started in November 2002 across the border in mainland China's Guangdong Province, percolating there until 10 years ago today.

On February 21, 2003, a Chinese doctor who treated patients with atypical pneumonia in Guangdong province in China checked into Hong Kong's Metropole Hotel to attend a wedding. The next day, the doctor was admitted to a Hong Kong hospital for respiratory failure. Disease detectives say SARS then spread to other travelers at the hotel, who then hopped on jumbo jets and spread the illness around the world.

But that is hindsight. At the time, more was unknown than known, which ratcheted fears.

Statistics offered comfort: The numbers were relatively small, we told ourselves, and noted that tens of thousands of people die each year of pneumonia in the U.S. alone. But our emotional lives aren't lived in a realm of statistical truth, as the casino and lottery industries can attest. You can tell yourself the odds are far against infection, and farther still against death, and yet -- what's that tickle in my throat?

Fear was driven by the novelty of the disease. Epidemiologists had a number of false starts on the origin of the disease -- It's chlammydia penuemoniae; no, it's a paramyxovirus -- until it was revealed to be a new strain of coronavirus, the same family of disease as the common cold. This did little to salve public nerves, because who hasn't come down with a cold?

One day during the height of the outbreak I went to a movie with a friend, and I choked on my drink. As I coughed uncontrollably, a couple sitting behind us -- the only other people in the theater --got up and left.

The economic and political backdrop of the disease didn't help. The WHO announcement came just days before the 2003 Iraq War began. The September 11 terrorist attacks were still fresh in the public psyche, and before the disease was identified many serious questions were being asked whether it was bioterrorist attack. Hong Kong was already dealing with record high employment, which SARS further raised to an unprecedented 8.6% by June.

"It's a general emotional backdrop; life is not safe, the world is not safe, even the ground under my feet I can't count on," a local counselor told me at the time. "People are very, very tired and very insecure."

Rumors spread faster than the disease. The suspected outbreak on my island proved false. After the outbreak at Amoy Gardens, an apartment complex where 329 people were infected and 42 killed, city officials went into overdrive to stop a rumor going viral on the internet that entire city was poised to be quarantined. A 14-year-old boy was later arrested for creating a fake news page creating the story.

Most of the sick and dying were city medical professionals -- which made sense, considering they were the ones at the frontline treating the illness -- but that only added to our worries: If doctors and nurses can't protect themselves, how can we?

The cost to business was high. Conventions shut down, tourists stayed away. A friend of mine nearly lost his consulting business as he paid office rental space and salaries for three people with no income for three months as clients canceled training sessions. The Asian Develop Bank estimated SARS cost East and Southeast Asian economies $60 billion in lost demand and business revenue.

But as the months passed, so did the malady. You could see the green sprouts of recovery in the early weeks as people turned masks into fashion statements, embroidering surgical masks with sequins; other entrepreneurs started selling masks with Hello Kitty or other cartoon characters.

On July 1, 2003, half a million of the city's residents took to the streets on the sixth anniversary of the handover of the former British colony to China. Ostensibly, the protests were against a controversial new security measure, but the outpouring of support was fueled by frustrations with public officials over SARS.

The city's property market was leveled by fallout from the disease, but anyone who lived in Hong Kong at the time (this author included) is now kicking themselves for not purchasing an apartment during SARS -- the city's property is now among the most expensive in the world.

In retrospect, it can be argued that the paranoia of the first few months paid off: SARS was identified and stopped with unprecedented speed.

"It was rapidly contained within less than four months of the initial alert, as a result of an unprecedented level of international cooperation designed to prevent it from becoming established in people, as HIV/AIDS had done during the 20th century," Professor David L. Heymann, head of the Centre on Global Health Security at UK think tank Chatham House, recently wrote.

Still others argue lessons from SARS remain unlearned. "Once the initial dilly-dallying gave way to decisive and swift state action, resources were effectively mobilized against the epidemic and policy coordination was significantly improved," Yanzhong Huang, a senior fellow on global health for the Council on Foreign Relations, wrote earlier this month.

"Yet many of the measures widely credited for stopping the spread of the virus, such as isolation and quarantine, were only implemented after the virus" had dissipated, he said.

The cases of a new SARS-like virus hitting a handful of people in Qatar, Saudi Arabia and the UK serves as reminder of the strange days that we in Hong Kong lived through a decade ago, and the hope that early detection of these cases will prevent other cities from living through a similar siege.

@highlight

A decade ago on February 21, the first victim of SARS came to Hong Kong

@highlight

Disease quickly spread around the world, killing 774 people by July 2003

@highlight

There were 8,096 confirmed cases of SARS in 30 nations, according to WHO

@highlight

The city of Hong Kong was transformed as the epidemic unraveled in the city