(CNN) -- Just out of high school, my young developing mind couldn't resist the temptation of the Marine recruiters: They promised challenge and hardship, in comparison to the other armed services, which promised money and travel as their main recruiting incentives.

So, on September 24, 2003 -- my 18th birthday -- I enlisted in the Marine Corps while my parents were away on vacation, a trip they promptly returned from upon hearing the news.

My time in the Marine Corps offered an escape from the isolated Midwest upbringing that I'd experienced. Once my training was completed, I found myself stationed in Okinawa, Japan's sacrificial prefecture to the American Empire.

My initial two-year tour of duty in Okinawa was regularly marked with frequent physical and mental abuse at the hands of noncommissioned officers within my unit, several of whom exhibited signs of post-traumatic stress.

On a regular basis I found myself the target of homophobic and racist comments from those entrusted with my well-being and training, often times in front of those I was in charge of leading.

My time on Okinawa came to an end when I received orders to Iraq. I happily reported to my new unit, hoping deployment would offer a welcome escape from the physical and verbal harassment, degradation and humiliation that had become daily life.

The harassment I'd experienced in my previous unit gave way to trust and camaraderie, though this, too, would soon fade.

The enemy within

Weeks before leaving Okinawa for the sands of Iraq, I found myself pinned down, fighting off a sexual assault by a fellow Marine: a noncommissioned officer I was about to deploy with, who I was supposed to trust my life to.

I still remember the laughter as I fought back. This would occur twice, both times by the same Marine. The feelings of helplessness, powerlessness, guilt and shame would grow over the years. I felt weak, unable to protect myself.

Like thousands of sexual assault survivors in the military, fear of victim blaming and feelings of shame and guilt prevented me from reporting what happened.

After my first deployment I was experiencing emotional detachment. The world felt mundane. I was emotionally numb. Empathy escaped my being. I felt myself not participating in the world around me, observing from a distance. I found no place in the society I had returned to. I became violent at the slightest cue, and began drinking heavily.

Depression and anxiety swept through me. Though I can now articulate the emotional context of my experience, at the time every emotion, fear, hurt, shame, guilt, was externalized through anger, rage and violence.

I was blinded to the reality of what I was experiencing.

My anger was simply the intensity that a Marine required. Emotional detachment and numbness cultivated the objectivity needed to evaluate and execute the mission. My drinking seamlessly blended with the would-be frat-house Marine barracks culture.

I reported symptoms of PTSD to my command via a pencil and paper questionnaire known as a Post Deployment Health Assessment, at the discouragement and warning of a Corpsman, yet no offer of treatment was extended. My subsequent deployments would only serve to compound the trauma I had experienced, as I was on guard not only for the so-called enemy, but like so many of my sisters-in-arms, for my fellow Marines as well.

After completing my second deployment to Iraq, I separated from the Marines to attend Auburn University. I believed at the time I was leaving an old life behind me to begin a new life as a college freshman, but I soon discovered that stepping back out into the world would not be the seamless transition I had come to envision.

My struggles in the Marines had come to a close. Little did I know that my battle with Veterans Affairs was on the horizon.

From suicidal thoughts to long waits and lots of pills

As self-isolation became my preferred method of treating my anxiety, my relationships with my parents and my partner deteriorated. I felt distanced from those around me and those I cared about, which fed my anger.

My anger fed into guilt, then isolation and then anger. This became my every day. After nearly three years, my anger and depression drove my partner to leave.

Losing the only relationship I'd managed to maintain deepened my depression. Life felt superficial. I began imagining how I would take my life.

The Uncounted: War's impact on military families

With the barrel to my temple and my finger on the trigger, I began to wonder what the moments between the gun firing and my death would be like. In my questioning I realized that what I wanted was not to die, but to reclaim agency of my life and live it instead of simply survive through it.

While I had no desire to harm myself, more than anything, I desired relief.

On the verge of suicide and struggling to stay in school, I began to seek treatment at the VA Clinic. This task was, in the truest sense, easier said than done. Wait times for appointments ranged from three to six months. Spending an hour on hold was the norm, and being hung up on was common practice.

My first appointment requesting mental health treatment was December 2011. My first appointment with a therapist was October 2012, a 10-month gap. In those 10 months, according to the VA estimates, more than 6,000 veterans took their own lives.

Long before I would ever see a therapist, the VA would cycle me through half a dozen medicines in less than three months, though this was far less than the buffet of lithium and opiates many other veterans are prescribed.

Upon graduation, I relocated to Denver and immediately enrolled in the local VA system, looking to continue the treatment I had fought so hard to receive before. After my initial intake, every mental health appointment I scheduled would be involuntarily canceled and pushed to a later date, only to have them, too, be canceled.

During this time, news broke that delays in care had been a problem at VA clinics nationwide. I eventually gave up on the VA and began managing symptoms of my PTSD using medicinal cannabis and Vipassana meditation.

It was clear to me that the VA was there to placate, not to heal veterans.

Gingrich: We owe vets real change

Amazonian discovery

It was my search for true healing that led me to Peru. I traveled there as part of a study conducted by Multidisciplinary Association for Psychedelic Studies. I had been following the association's MDMA PTSD treatment research for years, and regularly advocated for MAPS in my daily discussions with fellow veterans.

In Peru, I met other veterans who had also become disillusioned with the cold, sterile, institutionalized treatment they had received when they returned home from combat.

When we arrived at the Phoenix Ayahuasca Center in Iquitos, Peru, I was unsure what to expect. I had read about ayahuasca, and listened to firsthand accounts from other veterans of its healing effects, but never imagined I myself would have the opportunity to experience it firsthand.

I participated in three ayahuasca ceremonies, all conducted alongside other veterans. Each ceremony lasted approximately four hours. Before each ceremony we would come together and discuss our intention or focus would be for the ceremony that evening. We sat by candlelight, as one by one we drank our cup of medicine, then in darkness as we waited for the medicine to come up through us.

Ayahuasca allowed me to examine myself from a new perspective, progressively deeper with each ceremony. I was able to recall trauma and remember parts of my experiences that had previously been blocked out.

I was able to process not only experiences from the military, but also from throughout my entire life and see how they synthesized into the person I had become.

I felt a love and acceptance like never before. Negativity and pain lifted from my shoulders and released from my body in what felt like what I can only describe as a psychedelic baptism.

Since returning home to Colorado, I've become an even more vocal advocate for psychedelic treatment.

With the advent of the legalization of medicinal and recreational cannabis, I believe it is important that we continue on in the fight against the drug war.

Psychedelics including MDMA, LSD and psilocybin should be rescheduled to allow research into their medicinal benefits and let the facts speak for themselves.

America's veterans are returning from over a decade of perpetual war, only to find themselves on the front lines, this time battling the government that sent them to fight, for their right to heal.

Enlightenment is on the horizon, and as with all America's battles, its veterans will lead the way.

@highlight

Richard Stroder joined the Marines at age 18

@highlight

He says he was the target of harassment and, later, sexual assault

@highlight

Stroder suffered from PTSD and was disappointed with VA treatment

@highlight

He believes ayahuasca could help more vets suffering from PTSD