It happens every summer: A certain song lyric, a momentous movie scene or a fresh-looking fashion colors every memory of the season, even years and decades later. This summer, CNN Living takes a look back at summers past to explore the stuff of summer that still speaks to us.

We'll start 50 years ago, in 1964, when temperatures hit 95 degrees in New York, 104 in Walla Walla, Washington, and 106 in Dallas. The Civil Rights Act of 1964 passed and was signed into law. The Federal Trade Commission concluded for the first time that warnings should be printed on cigarette packages. Nelson Mandela was sentenced to life in prison. Race riots exploded in Jersey City, Harlem and Philadelphia, while the "Freedom Summer" swept through the American South. The Summer Olympics in Tokyo weren't quite the talk of the dinner table; the "summer" games didn't begin until October that year.

The sights and sounds of that summer were unforgettable to those who were around -- and had an impact on summers future, too.

Here's a look back at summer of 50 years ago, and the little memories that made it.

Songs of summer: Beatlemania goes big

Every summer seems to have a breakout hit, but they don't always age so well. Think about it: Fifteen years ago, summer radio was dominated by LFO's "Summer Girls" -- chorus: "I like girls that wear Abercrombie and Fitch" -- and "Nookie," a (Grammy-winning! Really!) single by Limp Bizkit.

Consider the better times: In the summer of 1964, the Beatles were touring in the United States. The Rolling Stones played their first U.S. gig.

The songs topping the charts became classics of the era, by musicians who are still household names: the Beach Boys' "I Get Around," the Supremes' "Where Did Our Love Go," the Beatles' "A Hard Day's Night," Barbra Streisand's "People" and the Dixie Cups "Chapel of Love."

Big screen blockbusters: Sing-alongs on screen

America was still more than a decade away from a true summer blockbuster -- "Jaws" set that standard in 1975 -- but there were hits on the big screen 50 years ago. Summer 1964 was a season of musicals, with Elvis Presley's "Viva Las Vegas" opening that May, and "Mary Poppins," "The Unsinkable Molly Brown" and "A Hard Day's Night" passing through theaters throughout the rest of the season.

There was a bit of summer drama too, notably, "The Night of the Iguana." The film, based on a Tennessee Williams play, starred Richard Burton, Ava Gardner and Deborah Kerr. The film might as well have starred Elizabeth Taylor, Burton's future wife, given the attention she drew by joining her beau on set.

Beach reads: Spy vs. spy

In the summer of 1964, America did plenty of not-exactly-beachy summer reading. Ernest Hemingway's memoir of his life in 1920s Paris, "A Moveable Feast," was among the bestsellers. So was Charles Silberman's "Crisis in Black and White," an analysis of racial oppression in the United States.

But filling far more spaces on bestseller lists were spy stories, and lots of 'em. Ian Fleming's James Bond tale, "On her Majesty's Secret Service," Helen MacInnes' "The Venetian Affair" and John le Carre's "The Spy Who Came in From the Cold" were all among the top books of the season. Spy stories weren't beholden to the page, either: Bond tales "Goldfinger" and "From Russia With Love" were among the top films for the year, too.

Summer style: Short dresses and swimwear

Maybe the realities of 1960s fashion can't live up to our imaginations  -- thanks, "Mad Men" -- but the buzzed-about looks of summer 1964 were, um, eye-catching.

That was the summer that bore the discotheque dress -- a short, sleeveless number that gave a gal plenty of room to move. Within a few years, it would be a staple of the swingin' '60s closet.

The season also saw the introduction of the Birkenstock sandal. They wouldn't arrive stateside for a few more years, but those clunky, cork-soles shoes have now comforted generations of feet ... and haunted picky fashionistas

Let us not forget 1964's most jarring fashion: the monokini. Not familiar? It was a topless, one-piece women's bathing suit designed by Rudi Gernreich. Shock of shocks: Bare breasts at the beach generated a bit of controversy. The suit took off among the avant-garde, if not the broader beach-going public.

Stuff of summer: Skating and Sting-Rays

In summer 1964, skateboards were just beginning a slow roll from California to the rest of the country. Onetime lifeguard Larry Stevenson had perfected a small surfboard-on-wheels that made skating a lot more daring, and naturally, popular.

For those not willing to hop on a board, there was the Schwinn Sting-Ray, a banana-seated, high-handle barred beast of a bike that had been introduced the year before, and appeared in the Schwinn catalog for the first time in 1964. For $49.95, folks could take one home in flamboyant lime, red, radiant coppertone, sky blue or violet. A version "for mother, daughter or even grandmother" called the Schwinn Fair Lady sold in radiant blue, violet, or white with rose. For a little more flash and a few more bucks, people could pick up a version with chrome fenders and whitewall tires.

However you rolled, there was a new tool to make the memories of summer 1964 a bit clearer. The Kodak Instamatic was introduced in 1963, and millions of the ultra-easy cameras were in circulation within a few years.

What better way could there be to remember?

Petula Clark: My love-in with America

Was it really a simpler time? Your '60s family photos

What are your favorite summer memories, from music to fashion? Share in the comments on, Twitter @CNNLiving or on CNN Living's Facebook page!

@highlight

Decades later, summer memories are wrapped up in the songs, movies and beach reads

@highlight

Fifty summers ago, the Beatles, Beach Boys and Supremes dominated the charts

@highlight

"Mary Poppins" and "The Unsinkable Molly Brown" were summer film favorites in 1964

@highlight

The stuff of summer in 1964: the Schwinn Sting-Ray and Kodak Instamatic