(CNN) -- No American city does unintentional irony quite like Las Vegas. And Las Vegas is always at its most unintentionally ironic during Consumer Electronics Show (CES) week, the January extravaganza that annually draws over 150,000 techno-tourists like myself to the seductively coercive city in the Nevada desert to pay homage to the hottest new electronic products on the planet.

This year, the unintentional ironies began as soon as we arrived in town. At Las Vegas' palatial McCarran airport, we were greeted with a gigantic electronic billboard for Best Buy, a generous CES sponsor and the dominant consumer electronics retailer in America. It was a picture of a happy consumer being greeted by an even happier Best Buy sales assistant. Retail nirvana, the electronic billboard advertised; Best Buy, it promised, is the techno-consumer's very best friend.

But in Las Vegas, of course, appearance is always the opposite of reality. So let's imagine a rather different picture: Of an unhappy consumer being "greeted" by an even unhappier Best Buy sales assistant. Last week, in an article that went so viral that it elicited a panicked rebuttal from Best Buy's CEO, Silicon Valley author Larry Downes explained why he believes the electronics retailer is gradually going out of business. "Walk into one of the company's retail locations or shop online. And try, really try, not to lose your temper," Downes challenged his readers, before describing his own experience shopping there.

So how do those 150,000 CES attendees get from McCarran airport to the packed Las Vegas strip? We queue. We queue to catch a cab in improbably long lines that snake around and around the airport's cavernous concourse. And queuing -- or waiting in line, as my American friends like to say -- is the dominant mode of being at CES. We patiently queue for cabs, we queue to get our show badges, we queue for food and beverages, we queue for buses to and from the packed conventional centers, we queue to check in and out of our hotels, we queue to squeeze onto the city's packed monorail system, and, of course, we dutifully queue on our return to McCarran so that we can be x-rayed by the airport's absurdly low-tech anti-terrorist machines.

The unintentional irony of all this queuing is twofold. Firstly, the whole message of CES this year was mobility. All the most seductive electronic products on show at CES promised to untether us from the world. Smaller notebook computers, now euphemistically called "ultrabooks", were thinner and smaller than ever. New smartphones were even smarter and easier to slip into our pockets. Apps were more mobile, of course. While absurdly light tablet devices could be found on almost every table in every booth. So that's the irony. The whole point of CES is to stand in long, frustratingly slow moving lines to fondle devices that promise unlimited freedom. CES, thus, achieved the impossible: it makes mobility immobile.

But it's the second unintentional irony of all this queuing that is even more delicious. You see, the more CES attendees queue, the more they wait in line to see the blob of an exhibition that now spread over several gigantic exhibition halls and casino-hotels, the less there is to see. Yes, consumer electronics might be becoming more mobile -- but apart from this inevitable development, there were very few really memorable new products or technologies at CES this year.

The "next big thing" this year, supposedly, was that televisions are becoming see-through as well as thinner and more social. But, like a dieting commercial featuring impossibly thin models, CES is always promising impossible thinness, particularly on its latest television screens. "Plasma schmasma," as one jaded East Coast friend of mine repeats himself every year. How much more anorexic can television screens become, I wonder, before they double as gigantic Frisbees or cheese cutters.

And a "see-though" LCD screen? Yes, that seems about as "must have" as goofy gadgets at CES this year such as connected electronic scales for babies or ispeakers for the shower.

Meanwhile, "social" television has emerged as the ultimate mirage in the Nevada desert. Every year over the last ten years at CES, we've heard that television is going social. And then, every year, we go home from CES to watch our television sets alone via sets that have little, if any, social functionality. Then there's that another perennial mirage at CES -- 3D technology. This year, like every year in distant memory, I dutifully put on the plastic throwaway glasses to watch vertiginous 3D presentations. And this year, like every other year, I came away both dizzy and radically unimpressed with a technology that is neither essential nor affordable.

No, the big story of CES 2012 was what was happening elsewhere. While we all waited patiently in long lines to see nothing, the real technology news was being made back in Silicon Valley. Earlier this week, for example, Google launched Search Plus Your World in its attempt to socialize its search engine. Meanwhile, rumors continue to circulate about a radically new iPad from Apple -- the world's leading consumer electronics company that has never and will never attend CES and whose ghost hung heavily over Las Vegas this week.

Even Microsoft, a company that has historically invested millions of dollars at CES as a sponsor and participant, made news this year by announcing that this year's event would be the last that its CEO would keynote. So, in future, without Microsoft and Apple (and Amazon, another innovative company that has never wasted its time in Las Vegas), it's hard to avoid concluding that CES will -- like Best Buy - gradually but inevitably go out of business.

Like Best Buy, I suspect, CES has stood still over the last 10 years while the world has radically changed. The future of this kind of event celebrating technological innovation is probably far far away from the ubiquitous clanging of Las Vegas' slot machines. Just as all electronic hardware devices are becoming networked, so the future of CES is probably online, in the very networked world which is empowering our increasingly mobile gadgets. There, at least, there won't be any queues.

@highlight

Andrew Keen says CES has remained the same while the world has radically changed.

@highlight

Keen: "CES will gradually but inevitably go out of business."

@highlight

"The future of this kind of event is probably far far away from Las Vegas," says Keen