(CNN) -- Tuesday was a tragic day for girls everywhere. In Pakistan, 14-year-old Malala Yousufzai was shot by the Taliban on her way home from school on a bus. Although she was targeted specifically because she spoke out against the Taliban's suppression of women's education rights, her story serves as a reminder of the obstacles that girls face in trying to obtain schooling.

In all my travels, from Liberia and the Democratic Republic of Congo to villages and towns across rural India, I have been struck by the unwavering commitment of every girl to do one simple thing: Go to school.

Just like Malala, the girls I met know that education is their ticket to a better future: for themselves, their families and their entire communities.

Girls would beg their parents to let them stay one more year in school, struggling to juggle their household chores with caring for their younger siblings, all so they can squeeze in one more day in the classroom.

Unfortunately, girls around the world have also shared with me how pursuing an education can be dangerous, whether it's because of harassment and violence from teachers or the dangers they encounter as they walk to school.

Opinion: Girl's courage, Taliban's cowardice

Today, as we celebrate the first United Nations International Day of the Girl by marking the progress that has been made for girls, we should keep in mind that we need to redouble our effort to create a future in which all girls can safely receive an education and reach their full potential.

Violence keeps girls out of school. Globally, nearly half of all sexual assaults are committed against girls who are 15 and younger. Fear of this type of violence restricts where girls are allowed to go and when they are allowed to be out of the home. Often, parents do not send their daughters to school for this reason.

Violence in the home can also hold girls captive and out of school. For instance, nearly half the girls in developing countries are married during their teenage years, with many before age 15. They may experience profound violence at the hands of their often much older husbands.

But sadly, school does not equal safety. Even girls who are able to go to school still face violence -- in the classroom, of all places. A girl may walk up to five kilometers between home and school in the company of friends or an older brother to avoid the inevitable harassment by groups of men or boys she passes, only to receive more harassment from a teacher once she finally reaches school.

In schools around the world, teachers pressure girls for sex in exchange for grades. In Zambia, for example, more than 2,000 cases of teacher rapes were reported in 2010 alone. Of these cases, only 240 teachers were convicted. While these numbers may be shocking, Zambia is not the only country with this problem. Schools should be a safe haven for girls, but instead, they are too often a place of fear and danger.

International day of the girl: World's most remarkable women share advice

However, despite the violence that can happen in schools, going to school tends to increase girls' safety outside school. A recent study in Swaziland found that the risk of childhood sexual violence was greatest among those who were not attending school, suggesting that greater educational opportunities decrease vulnerability to violence. Girls in school have an opportunity to escape early marriage and early motherhood, and to gain skills that give them enhanced economic and social opportunities.

As part of the global community, we can all do our part to help girls by making school safe and making sure they can get to school. Here are a few ways:

-- Invest directly in girls. Less than 2% of every international development dollar goes directly to adolescent girls, let alone toward protecting them from violence. We have made great strides globally in increasing the numbers of girls in primary school, but until we make girls' safety a priority we will not advance our educational goals.

-- Ensure schools are accountable to girls by enacting and enforcing policies that prevent sexual abuse and exploitation by teachers. When a 13-year-old girl in Zambia was repeatedly raped by her teacher, the Adolescent Girls Legal Defense Fund supported the girl's court case against the teacher who raped her and the headmaster who knowingly allowed the assaults to occur. In 2008, the High Court of Zambia ruled that the Zambian government is responsible for protecting girls from sexual assault and providing recourse to victims. Schools everywhere must enact systems that protect girls and hold teachers accountable.

-- Empower schools and girls through provision of safe spaces. One important outcome of the Zambian teacher rape case has been the wide scale adoption of safe spaces for girls in Zambian schools.

-- Recruit, train and retain female teachers. Female teachers can reduce some of the major risks adolescent girls face in school. They can also serve as strong role models and help girls imagine different futures for themselves.

The 10x10 Campaign is uniting people and organizations around the critical goal of removing barriers to girls' education. Likewise, so is the Adolescent Girls Legal Defense Fund. You can join them.

The benefits of education for girls are undeniable. But until we can ensure that schools are places of learning, rather than places of danger, girls will be held back. When girls are educatedâ€”and safeâ€”they, along with our entire societies, will flourish.

On CNN iReport, tet us know why educating girls is #basicmath

The opinions expressed in this commentary are solely those of Jennifer Buffett.

@highlight

Jennifer Buffett: Girls everywhere want to go to school to get a better future

@highlight

Buffett: Sadly, pursuing an education can be dangerous as girls encounter violence

@highlight

She says on the first United Nations International Day, make girls' safety a priority

@highlight

Buffett: We can do our part to help girls by making sure schools are harmless places