Port-au-Prince, Haiti (CNN) -- The U.S. price tag for relief in Haiti has hit $170 million, the federal government announced Thursday as ton after ton of relief supplies headed into the island nation through a crucial reopened pier.

The vast majority of the committed federal aid -- $140 million -- is from the U.S. Agency for International Development under the State Department, according to the Office of Management and Budget.

And the need within Haiti -- still reeling from last week's devastating 7.0-magnitude earthquake -- only grows by the minute. After days of being closed to much needed food and supplies, the south pier at Port-au-Prince was channeling aid into the leveled capital city. The supplies were brought into Port-au-Prince on trucks traveling on a repaired gravel road leading from the port.

Sidewalks were crowded with street vendors and kiosks and many small food stores were open. Dozens of stalls at a dusty market sold fruits and vegetables along a pocked and rut-filled dirt side street. A smaller market on a street corner saw some business.

However, the longest and most visible lines in Haiti's capital were not for food, water or gas -- they were for money. Earthquake survivors need cash and are waiting hours outside wire transfer businesses, including Western Union, that are starting to reopen.

"I have not eaten for two days," said 32-year-old Anderson Bellegarde, who waited more than six hours outside a money-wiring branch. "I'm only drinking water."

Meanwhile, a Dutch Navy ship, the Pelikaan, was docked at the city's south pier Thursday, unloading 90 tons of humanitarian aid. Two other ships had previously offloaded containers.

The reopened pier is older and smaller than the north pier, which was rendered unusable by the January 12 earthquake. The south pier was damaged, but Haiti port authorities and the U.S. military were able to put it back in adequate shape. Workers also repaired the road leading into the city and laid gravel on it.

Unloading of aid, however, was a slow process. The road allows only for one-way traffic, meaning a truck drives to the end of the pier, is loaded with supplies, and then drives out. Also, because of concerns about overloading the pier, only one truck is allowed on it at a time.

Repairs on the pier continue, said U.S. Coast Guard Lt. Cmdr. Mark Gibbs. "We're working on it. We've got a long ways to go. ... If we lose this pier, that's it. We can't bring in anything."

However, the reopening of the pier and the repairing of the road represented a major development in efforts to get aid to earthquake victims, in that ships can carry much more cargo than air airplanes.

Authorities hope to get two-way traffic going on the pier by Friday, which would speed up the process.

A 5.9-magnitude aftershock Wednesday stopped efforts at the pier for about three hours. U.S. Navy divers had to go back in the water and reassess the pier's structural integrity, officials said. There was no immediate word if two less intense aftershocks Thursday, measured at magnitude 4.9 and 4.8, also caused a delay.

Full coverage  |  Twitter updates

Lt. Gen. Douglas Fraser of U.S. Southern Command announced the pier's reopening on Thursday in Washington. Officials hope to move about 150 containers of aid Thursday and 250 on Friday. They want to increase that to 800 containers a day.

The reopening comes as U.S. officials have been stung by criticism of aid efforts in recent days.

Some of that criticism has been leveled by aid groups such as Doctors Without Borders, who blamed five victims' deaths on delays, saying several flights carrying medical supplies had been diverted from the Port-au-Prince airport into the neighboring Dominican Republic.

Working under adverse conditions with limited supplies, medical teams have been forced to improvise.

List of missing, found in Haiti | Are you there? | Impact Your World

Renzo Fricke, field coordinator for Doctors Without Borders told CNN this week that staffers had to buy a saw in the market so surgeons could do amputations. A CNN crew loaned a medic a pocket knife for another operation.

Lacking rubbing alcohol, doctors have used vodka to sterilize equipment and instruments. Surgical patients are being given over-the-counter pain medicine because doctors lack any stronger medication. One nurse used a string of Christmas lights as a makeshift extension cord. A belt was used as a tourniquet, and when that broke, a garden hose.

Canadian troops, meanwhile, were working to open an airport in Jacmel on Thursday, another step that could speed delivery of relief supplies.

And U.S. Southern Command, through its component Air Force South, conducted an air drop of food and water over Mirebalais, Haiti, on Thursday. Mirebalais is 25 miles northeast of Port-au-Prince. A C-17 delivered water bottles and 17,200 meals ready to eat, the military said in a statement.

Troops secured an area in which to drop the supplies and, once the supplies were on the ground, the military, the U.S. Agency for International Development and other personnel distributed them, the statement said. Nepalese troops also assisted, the Air Force said. Thursday's air drop was the second since the quake; the first was Monday.

Fraser said Thursday that 120 to 140 flights a day are coming into the single-runway Port-au-Prince airport, compared with 25 per day just after the quake struck last week. More than 840 have landed since the airport was reopened, but there is a waiting list of 1,400 to come in, he said.  A senior administration official acknowledged that not all aid, particularly medical supplies, is getting through fast enough but said that in recent days, at least half of the flights entering Haiti are carrying humanitarian supplies. Most of the other 50 percent of flights, including those of the U.S. military and foreign governments, are still carrying some kind of aid.  "Of course I'm not satisfied with getting material and personnel in for everyone who needs it," U.S. Secretary of State Hillary Clinton said earlier Wednesday. "Realistically, I am aware of the difficulties that this terrible natural disaster has posed."

The senior administration official said that more than 300 aid distribution sites are up and running. Fraser said more than 700,000 meals and 1.4 million bottles of water have been delivered, along with 22,000 pounds of medical supplies.

About 13,100 U.S. troops are in and around Haiti, nearly 2,700 on the ground and another 10,400 off shore. Many Marines spend time in Haiti during the day but sleep on ships at night. More U.S. troops are scheduled to arrive by this weekend, bringing the total to about 4,600 troops on the ground.

At least 72,000 people -- including dozens of U.N. staff members -- have been confirmed dead in the earthquake, according to the country's prime minister.

International aid contributions have totaled hundreds of millions of dollars, but relief agencies working in Haiti say transportation bottlenecks and poor communications have slowed the delivery of food, water and medicine to survivors.

On Wednesday, U.S. Agency for International Development administrator Rajiv Shah ordered more medicine and other supplies to be sent within the next 24 hours, the administration official said.

Lt. Gen. P.K. Keen, the head of the U.S. military task force in Haiti, said any aircraft identified as carrying medical supplies would have priority for landing. They are turned away only "if there's no parking space on the ramp, and they don't have sufficient fuel to hold in their holding pattern," he said.

Another senior U.S. military official, speaking on condition of anonymity, said Wednesday that the priorities for aid flights are set "by the government of Haiti first and then by the U.N. second." But the number of flights that can land at Port-au-Prince is "a sheer issue of physics and geometry; you just can't get them all in there."

To improve the flow of air traffic, the U.S. military said Wednesday it had obtained landing rights at the Dominican Republic's air base at San Isidro, about 135 miles (220 kilometers) east of Port-au-Prince.

The U.S. military has the ability to build dirt runways that rugged cargo planes such as the C-130 Hercules can use, but the equipment needed to build those is "always at a premium," the senior official said.

The military has 63 helicopters in the region, Fraser said.

CNN's Arthur Brice, Susan Candiotti, Jill Dougherty, Eric Marrapodi and Elise Labott contributed to this report.

@highlight

New route allows supplies to enter Port-au-Prince

@highlight

Dutch ship unloads 90 tons of humanitarian aid

@highlight

U.S. official: Military sometimes confused about what the planes are carrying

@highlight

Flights with medical supplies being diverted from Haiti, says Doctors Without Borders