(CNN) -- This weekend, Casey Kasem's family will gather at a private memorial service to honor the legendary radio host, who died on Father's Day at age 82.

"The world will miss Casey Kasem, an incredible talent and humanitarian," his children Kerri, Mike, and Julie Kasem said in a statement. "We will miss our dad."

Kasem dominated the radio world from 1970 until his retirement in 2009 and leaves a powerful legacy. Yet at the end of his life, Kasem's name dominated headlines for a different reason: a bitter legal battle as his family debated the best health care for the ailing radio host. A rift that dated back years between his wife, Jean, and children from his first marriage deepened as Kasem's health deteriorated.

Kasem was incorrectly diagnosed with Parkinson's disease in 2007, a diagnosis that was later changed to a progressive brain disorder called Lewy body dementia.

Lewy body dementia is the most misdiagnosed form of dementia, according to the Lewy Body Dementia Association. Like Alzheimer's, confusion and memory loss are present, but visual hallucinations, severe sleep disruptions, fluctuating alertness and problems with movement are also symptoms.

As Kasem lived out his final days, the family feuded over the best care options for him. Kasem's children said they were complying with their father's wishes to die comfortably and peacefully surrounded by family and friends, while his wife claimed they were ceding care and prematurely ending Kasem's life.

Casey Kasem's family feud

"My husband's a fighter! He's an American treasure. He would have never, ever wanted this," Jean Kasem tearfully exclaimed to CNN shortly before Kasem's death.

The family battle over Kasem's end-of-life care was magnified by the media. Yet the story of families facing difficult decisions at the end of a loved one's life is one that millions of Americans can relate to.

"If you take away the fact that he has a net worth of $80 million, he represents a case that is a very typical," said Ira Wiesner, an elder law attorney based in Sarasota, Florida. "I think we're going to see more of these cases hit the limelight at all levels."

Baby boomers are turning 65 at the rate of 10,000 per day, according to the Pew Research Center, a trend that's expected to continue for the next 16 years. People 65 and older are expected to make up 20% of the total U.S. population by 2050, according to the National Center on Elder Abuse.

"We're in the midst of a longevity revolution," said Ellen Goodman, co-founder and director of The Conversation Project. "We now live 30 years longer than we did 100 years ago. Sixty is not the new 50; 60 is the caregiver of the 85 year old."

Eighty-five-year-olds today are driving, playing tennis and going to book clubs. Yet extended life spans require resources, and the responsibility of caring for loved ones with dementia or diminishing physical capabilities can weigh on families -- emotionally and financially.

Overwhelming burden, cost of Alzheimer's to triple

"We have to make decisions about how we want to end our lives," Goodman said. "Do it early. It's always too soon until it's too late. Don't wait for a diagnosis; don't wait for until someone is in the ER."

It's important for seniors to designate a health care agent, also known as a proxy or surrogate, to speak on their behalf when they become ill or cognitively impaired. While a spouse or child may seem like the obvious choice, sometimes a health care agent more removed from the situation is emotionally better suited for making tough choices.

It's essential that the proxy have a strong backbone and be willing to fight for the elderly person's wishes.

"I see it all the time, the edginess that occurs when somebody starts becoming incapacitated," Wiesner said. "Issues of power come to the forefront, internal struggles between family members rise to the top, and it all explodes."

Seniors should write down specific instructions about their end-of-life care and identify the designated health care agent in a document called a durable power of attorney for health care. The written record ultimately becomes a gift to family members, since it eliminates the guessing game.

It's also important for you to be aware of your state's medical laws. Many states have a pecking order for designating a health care agent: spouse, children, parents, then siblings. However, some go by different rules; for instance, Wisconsin will not let anyone step in to make decisions if a health care agent isn't designated, while West Virginia allows the patient's tending physician to determine who will be the best decision-maker.

"I've never heard anybody say, 'I want to end my life with a feeding tube and on a respirator or ventilator,' but that's what happens to a lot of people if they haven't expressed their wishes, given the medical system," Goodman said.

Dying: What no one wants to talk about

Beyond medicine, it's essential to also think about other care decisions, such as whether you would prefer hospice care or to be moved back home for your final days. The most imperative thing for families to remember, Goodman says, is that even if there are varying religious views amongst family members, the specific wishes of the ailing elderly individual must be respected.

"A lot of families can relate to the chaos and confusion. When you don't hear the voice of the person you love in your ear, you always doubt whether you've done the right thing," Goodman said.

The Conversation Project seeks to eliminate the stigma surrounding conversations about death and encourage families to have early discussions about end-of-life decisions. A recent survey by The Conversation Project indicated that 90% of seniors thought it was important to plan their end-of-life decisions, but only 30% of those people actually had open discussions about facing death.

"Too many people are not dying in ways they choose; too many are experiencing hard deaths," Goodman said. "The difference between a good death or a hard death is whether they had sat down at kitchen table, talked about values and talked about how they wanted to live at end of life."

"Casey Kasem is a celebrity, but this is an everyday American story."

Opinion: Give patients end-of-life options

Common end-of-life medical terms

CNN's Jacque Wilson contributed to this story.

@highlight

Millions of Americans face difficult decisions at the end of a loved one's life

@highlight

Casey Kasem had Lewy body dementia, a progressive brain disorder

@highlight

Baby boomers are turning 65 at the rate of 10,000 per day