(CNN) -- When I was young, my teachers praised me for being good at math and art, but my father would always tell people, "You know, John is good at math." At the time I felt I had to choose between the two -- and with my parents' influence winning over my own, I went to MIT.

After many years there, I learned about computers on many levels. In doing so, I saw technology succeeding each year in making everything cheaper, faster, and smaller -- but failing to create any emotional connection or to bring any meaning to our lives.

Design has picked up significant momentum with the success of design-led companies like Apple and Airbnb, but the exact meaning of design and how it is applied is often something of a mystery.

Educated as a computer scientist, my bias is to believe in what can be quantified, and so I understand how confusing "getting" design can be.

Qualitatively speaking, however, something designed superbly tends to look and feel better than something designed poorly. Or, said another way: Something designed superbly tends to look and feel "different" than something designed poorly. It is whether the difference "works" or not that determines good design versus bad design.

We encounter design, good and bad, with everything we see, touch, and use. It's invisible to most people because it's everywhere -- much like the proverbial fish that doesn't know where to find water.

TED.com: John Maeda on his journey in design

One simple way to become aware of graphic design is to try not to ignore the font, or typeface, being used -- which does a lot more than just make a word readable. A slight change in line weight can make the word "heavy" seem "heavier." Formal appears more formal when set in italics. And "far" does appear a bit far....................away when a little distance gets added into the visual equation. Design is a way of adding enough visual, tactile, spatial, audio, textural or temporal inflection so as to make the ordinary feel different -- with the goal of making that difference a meaningful one.

In the early 1990s, my work focused on combining the rigid vocabulary of computer programming with the playful possibilities of art and design. I created a series of interactive works in the C computer language called "reactive graphics."

TED.com: David Kelley on human-centered design

My intent was to show that the computer could be more than a cold, clinical object; it could do things that delighted us. Though that work is now credited with helping to launch the interactive graphics movement on the Web, at the time it was marginalized by traditional print designers. Yet I believe that taking principles from one domain and applying them to a new context -- in this case mixing traditional visual aesthetics with advanced computation and algorithms -- is where the practice of design tends to make its biggest marks.

Today, the relevance of design is expanding far beyond visual aesthetics -- to everything from tackling global issues such as climate change, to making sense of the overwhelming amount of data that surrounds us. Designers have the unique ability to make information, products and experiences both simpler and richer all at once.

TED.com: Designing objects that tell stories

Recently I have been thinking that, just as design and technology combined to make the rich creative space that is digital media today, design and technology together will now begin to help leaders navigate their competing priorities, solve complex problems, and nurture fragmented relationships.

As organizations shift from neatly ordered hierarchies to chaotic, flattened "heterarchies," where anyone can "friend the CEO," a new generation of tools will be invented that will allow design and technology to enable leaders to make true connections among people and inspire change.

Just as design enabled us to have an emotional connection with a piece of glass and aluminum that lives in our pocket, design and technology together will restore some of the humanity in what it means to lead in the 21st century.

The opinions expressed in this commentary are solely those of John Maeda.

@highlight

John Maeda: Something designed superbly looks and feels different

@highlight

Much of the time, we tend not to notice good design, he says

@highlight

Designers can make things simpler and richer at same time, Maeda says

@highlight

Maeda: Design can redefine leadership in age when everyone can friend the CEO