(CNN) -- For a brief moment, I consider interrupting the first Monday of my vacation.

I have been trying to schedule three calls for weeks. On the Friday before my vacation starts, I learn that everyone I've needed to interview for the past few weeks will be available on the first weekday of my vacation.

Can I do it? I have no idea what we might be doing that Monday. Maybe we'll be at the beach, canoeing with the kids, at a seafood shack for lunch or celebrating my friend's birthday with cake or pie or whatever she likes. (What does she want? Note to self to ask her sister or her son.)

I realize the irony here. How often have I written stories extolling the benefits of a real vacation? I've often suggested putting down the smartphone and leaving work e-mail and projects behind. Never mind living your vacation on social media: I've even reported that taking too many pictures can get in the way of truly experiencing a vacation.

I have no doubt that a real vacation free of work is good for me. I'm looking forward to time off with my daughter and my friends. And if I let the farmland that is my brain go fallow for a time and enjoy my vacation with friends and family, I might come back rested with more story ideas for CNN.com. So why is it so hard to put down work and enjoy time off?

Eventually, I discovered a solution that kept me true to the people I wanted to interview -- and to myself. But first, I wanted to learn more about this tricky issue:

Maybe I'm not indispensable?

About 57% of Americans who get vacation time don't use all of it, most of them because of their heavy workload, according to a Harris Interactive study for JetBlue. And almost 10% of those surveyed reported that the unstable job market -- the U.S. unemployment rate was 8.3% in July -- made them afraid to take time off.

Those twin concerns are real: Workers heading out on vacation legitimately worry about the work that can pile up while they're away. They also might feel guilty about leaving work to others who may not do as a good a job. Or maybe they will? Any injured Major League Baseball player knows the rookie brought up from the minor leagues is auditioning for his slot.

Who's getting paid time off?

Whatever the reason, many of us don't ever truly disconnect from work. Only 2% of respondents to a global survey didn't check in with work while on vacation, according to Leslie Perlow, a Harvard Business School professor who conducted a 2009 survey of Harvard Business School executive education alumni. While her survey respondents weren't explicitly concerned about losing their jobs, they did worry about how they would be perceived by others and what might happen in their absence.

"It's very hard to just turn off because things do happen (at work) and there are internal and external expectations," says Perlow, author of "Sleeping with Your Smartphone: How to Break the 24/7 Habit and Change the Way You Work." "If something important comes up and people don't know about it, they can get their hands slapped for it. So they check in just in case."

The addiction to connection

In a fast-paced work environment where thousands of e-mails get sent every day, the stimulation from work can be addictive. It's also an easy way to avoid nagging personal issues like the state of one's marriage or the problems the children are having at school -- or even your bad childhood relationship with your parents. (Have you been avoiding anything lately?)

Turning off the technology to enjoy a nature hike or a sunset can seem boring or torture (for those with family troubles) in comparison. That doesn't sound like fun.

"A lot of people are really busy because they take a little dose of family and then they want to back off," says Joanne Cantor, a communications professor emeritus at the University of Wisconsin at Madison. "You can see parents with teenagers and see teens going for their gadgets all the time. It's a good thing, but not necessarily the easiest thing to devote more time to your family."

Why bother vacationing at all if it's going to cause stress at work or force you to hang out with family you don't even like? At least taking your smartphone or computer will allow you to get away from all that restfulness and togetherness.

Vacation makes you a better employee

Cantor promises there is a benefit. When we're looking through the narrow tunnel of what we need to do just for today or tomorrow or this week, we tend to see things the same way. Stepping outside the workplace for a bit can help people see new solutions to age-old problems.

"Your brain can't focus constantly [so] just getting out of that routine of focusing on your screen just refreshes your brain and makes your brain work better," says Cantor, author of "Conquer CyberOverload: Get More Done, Boost Your Creativity, and Reduce Stress." "If you get away, it allows your brain to relax and allows all these other things you know that you haven't thought of in awhile and don't think are related to what you're doing and to come to the forefront naturally."

Which countries have the most vacation days?

My enjoyment of a sunset apparently doesn't just benefit me. A workplace where everyone works together in advance to cover each other on vacation can actually become a more efficient workplace.

Imagine a workplace where managers and staff talk in advance about priorities and what actually needs to get done when anyone goes on vacation. "It causes us to be much more open and aware of what really needs to get done," says Perlow. "It's a tremendous learning (opportunity) because we better understand our work and have more collective ownership (of the workplace). Managers talk about how their team members can step up and solve problems they couldn't solve before."

It's OK to take a work call

It doesn't mean you'll never get interrupted on vacation, Perlow says. A collaborative work environment might designate a colleague who will check your e-mail while you're away and only call you "if it's truly urgent and no one internally can respond," she says. "It avoids you having to check your e-mail just in case."

That happened to me the first time my boss went on vacation. She trained me in advance to cover for her, made sure I knew who to ask for help and didn't penalize me for any mistakes I made while she was away. My colleagues helped, explaining all sorts of technical tasks that made no sense to me. She gave me enough information that I could leave her alone while she was away.

So I made a commitment to stay away from work for my week in Wellfleet. No matter that our house would have wireless Internet access: I decided to try to only use it for fun: the phone number for the kayaking rentals at Gull Pond, the hours for my favorite seafood shack and other good stuff. That didn't mean I wouldn't take any urgent work calls (I had just one) or reply to a few e-mails. But I'd try to be on vacation.

For all those reasons, I wrote some version of the following message to my interviewees: "I'm on vacation next week and must protect it or all my travel stories about the importance of taking a vacation will be a lie."

"I applaud and envy your fence-building around personal time ... enjoy!" replied Brad Hawkins, a spokesman for Southwest Airlines. We scheduled his call for the Tuesday after my return.

How do you handle work while on vacation? What (if anything) do you wish you could change about how you vacation? Please tell us in the comments section below.

@highlight

Most Americans who get vacation time don't use all of it because of their workload

@highlight

Some 59% of U.S. employees have access to paid time off

@highlight

Workplaces can benefit from the coordination required to give everyone time off