(TIME.com) -- Chlorine is supposed to take care of most of the microbes floating around in pools, but human waste, it seems, is stubbornly resistant to being sanitized.

That's the conclusion of a group of researchers from the Centers for Disease Control (CDC), who collected water samples from 161 filters in public and private swimming pools, as well as water parks in Atlanta last summer.

What they found trapped in those filters was enough to make swimmers think twice before logging their laps. More than half of the samples were contaminated with E. coli, which the investigators say comes from one primary source -- swimmers pooping in the pool.

The study, published in the latest Morbidity and Mortality Weekly Report, specifically looked at pools in Atlanta, but the researchers say such contamination is likely a widespread problem in U.S. pools, thanks to swimmers not washing themselves off before taking a dip.

According to the scientists, each of us carries about 0.14 grams of fecal material into the pool -- and that doesn't include accidents or cases of diarrhea.

Among municipal pools, the genetic testing for pathogens detected E. coli in 70% of the filters, while 66% of the water parks contained the bacteria and 49% of pools in private clubs showed evidence of the contamination.

"These findings indicate the need for swimmers to help prevent introduction of pathogens, e.g., taking a pre-swim shower and not swimming when ill with diarrhea, (for) aquatics staff to maintain disinfectant level and pH according to public health standards to inactivate pathogens, and state and local environmental health specialists to enforce such standards," the authors write in their report.

When a pool is properly chlorinated, however, bacteria like E. coli should be killed off, since proper pH levels typically take care of the issue. According to the CDC, it takes less than a minute for E. coli to be inactivated if chlorine levels are adequate, about 16 minutes to control Hepatitis A virus, about 45 minutes to kill off the Giardia parasite and over 10 days for a Crypto parasite.

But just one diarrhea accident can cause an infection for anyone who gets a mouth full of pool water. Fortunately, the testing did not reveal strains of E. coli 0157, a particularly virulent form of the bacteria that was responsible for several outbreaks, and deaths, from serious foodborne illnesses.

According to NPR, because the researchers only analyzed the samples for genetic signatures of different pathogens, they couldn't determine whether the bugs were alive, and potentially reproducing in the water, but there were no pool-related diseases reported in Atlanta during the summer the samples were gathered.

Thomas Lachocki, the CEO of the National Swimming Pool Foundation, says that in order to be properly chlorinated, pools should contain 1-4 parts per million of chlorine and pH levels should be within 7.2--7.8.

"You can go to any mass market store and go into the pool chemical aisle and buy test stripes. All of these have chlorine and pH tests. In five seconds, you can do a quick analysis yourself and have an idea of what the various levels are," he says.

But if you don't have the time to do your own testing, look for clear water. "You should always be able to see the bottom of the pool clearly. Usually if the water is cloudy, something with the filter or chemicals isn't right," says Lachocki. "Clear water doesn't mean everything is alright, but cloudy water is an absolute positive sign that something is not right."

Here are some additional recommendations from the CDC for ensuring a bug-free dip:

-- Don't swim when you have diarrhea.

-- Shower with soap before you start swimming.

-- Take a shower to rinse off before you get back into the water.

-- Take bathroom breaks every 60 minutes.

-- Wash your hands after using the toilet or changing diapers.

-- Try not to swallow the pool water.

If you have young children:

-- Take children on bathroom breaks every half-hour to hour or check diapers frequently.

-- Change diapers in the bathroom or diaper-changing area and not at poolside where pathogens can rinse into the water.

There may be no way to completely sanitize a pool, but the latest analysis of what could be lurking in the water should motivate lifeguards and pool managers to be more vigilant about testing those waters more frequently. People should outnumber the pathogens in any pool.

This article was initially published on TIME.com.

Don't drink the pool water! It contains a surprising amount of human waste

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

CDC researchers find a surprising amount of E. coli in pool water

@highlight

The study focused on Atlanta, but researchers say it's likely widespread

@highlight

Proper chlorination can kill E. coli and other bacteria