(CNN)It took six grueling years. But finally, Barack Obama took the chance to look the American people in the eye and declare job done.

In his State of the Union address Tuesday night  -- more a lofty campaign style rallying call than a traditional plodding policy lecture -- Obama declared he had delivered on what voters first elected him to do:  conquering a "vicious" economic crisis and ending ground wars in the Middle East.

"Tonight, we turn the page," the president said in his address to a joint session of Congress, trying to make an emphatic break with a turbulent 15-year period when twin shocks from terrorism and financial meltdowns rocked the nation.

"The shadow of crisis has passed," he said. "The state of the union is strong." For the first time in a State of the Union address it sounded like he meant it.

The loose and combative Obama who Americans saw on Tuesday night was not the graying, crisis-stifled president who last year seemed weary of his job and failed to mount an effective defense of Democrats as the party lost the Senate in November.

There was no sign of contrition, or even an indication he felt at all bloodied by the disastrous mid-terms, in which Democrats lost control of the Senate.

Instead, riding a tide of unexpected momentum which has even surprised White House aides, Obama shoved back in the game by wielding executive powers on issues like Cuba and immigration to prove he is still a political force in Washington.

"I have no more campaigns to run," he said drawing Republican applause, before silencing his foes with a kicker that encapsulates his attitude to an opposition party with which he has feuded for his entire presidency.

"I know -- because I won them both."

"Middle class economics"

He said the "verdict is clear" that his brand of "middle class economics" works, and promised to wield his veto against any GOP attempt to roll back reforms on health care and the financial industry.

In exactly two years, Obama will be out of the White House. But he could not resist offering a pointer for a Democrat who wants to succeed him -- presumably Hillary Clinton, pushing new doctrines of "middle class economics" and "smarter" Middle East policy which would keep ISIS at bay and spare American soldiers from foreign quagmires.

Obama's claim of a new era of prosperity at home and security abroad angered Republicans.

Potential candidates blast tax proposals

Mitt Romney, an old Obama foe mulling another shot at the White House accused the president of a lack of leadership.

"More intent on winning elections than on winning progress, he ignores the fact that the country has elected a Congress that favors smaller government and lower taxes," Romney said on Facebook.

With fear of homegrown jihadists stalking the West, from Paris to Ottawa and Australia to Belgium, Obama critics say he was in denial over a failing strategy to take on global terrorism.

Obama did not mention al-Qaeda at all. And he only referred to the attacks on the French satirical magazine Charlie Hebdo in passing.

"We stand united with people around the world who have been targeted by terrorists -- from a school in Pakistan to the streets of Paris," Obama said, but gave no indication that the sudden eruption of home grown jihadism would change his national security strategy.

Obama cuts loose during speech

"Instead of sending large ground forces overseas, we're partnering with nations from South Asia to North Africa to deny safe haven to terrorists who threaten America," he said.

Focus on economy, not terror

Potential GOP presidential candidate Sen. Marco Rubio warned that "saying wars are over isn't enough to keep us safe."

And even as he declared one era of foreign wars over, the president asked Congress to give him backing to wage another -- albeit the arms length clash using mainly air power  -- against ISIS.

Obama's aides said the president saw his address not as a chance to unveil the usual laundry list of programs -- but to tell a "new story" about a presidency which has unfolded in times of crisis at home and abroad.

GOP skeptical of Obama's call for unity

His appearance, six years on from the cold January day in 2009 when he took the oath of office, coincided with a cluster of political turning points.

For the first time in a State of the Union address Tuesday, Obama, the most liberal president since Lyndon Johnson, stood up in the House of Representatives and stared out at the members of two chambers which are now both controlled by Republicans.

It was a reminder that despite two crushing presidential victories, Obama's two terms also included two bitter mid-term rebukes from voters.

Economic milestones

But with unemployment down to 5.6 percent, with the economy churning out several hundred thousand jobs a month, and with growth accelerating, Obama may have reached a political milestone.

For years, the president has got little credit for restoring an economy that was shedding 700,000 jobs a month when he took office.

That's partly because the results of the rebound have been so uneven. While the stock market has soared, many in the Middle Class have been left behind. Wages are stagnant and many of the new jobs created pay less and have fewer benefits than the ones that are gone.

Still, there is a sense now that the benefits of the recovery are spreading, and low gas prices are restoring a half forgotten sense of well being for many Americans.

"With a growing economy, shrinking deficits, bustling industry and booming energy production -- we have risen from recession freer to write our own future than any other nation on Earth," Obama said.

"It's now up to us to choose who we want to be over the next 15 years, and for decades to come."

A Wall Street Journal/NBC News poll released Tuesday showed that 45 percent of Americans were now very or somewhat satisfied with the US economy, and the trend is rising. The percentage of those who believe America is in decline has dropped to its lowest level since the crisis. The country now seems 50-50 split on that issue.

"This is a president who for whatever reason, woke up and saw the economic numbers and saw he had a pretty strong hand, and he is going to start playing some cards right now," said John Geer, a professor who specializes in the presidency at Vanderbilt University

Obama's own political fortunes are rising as a result. A Washington Post poll has him at 50 percent, his highest rating for nearly two years. Other surveys confirm the rebound, but place Obama in the high 40s -- still heady territory for a president shellacked in the mid-term elections.

Confronting new threats

The sense that Obama is confronting an important political moment also played out as he addressed foreign policy.

After years of telling Americans that the tide of war is receding, Obama is being forced to confront an alarming new manifestation of violent jihadism in Europe, which many officials fear could soon make its way to the streets of the United States.

American warplanes are in the skies over Iraq again, following the sudden rise of ISIS. Up to 3,000 troops have been sent back to the country just years after Obama told Americans the war was over. Splintering states in the Middle East including Syria and Yemen are offering new safe havens for terror groups with the United States in their sights.

Obama made the case for a focused but "smarter" campaign against ISIS, but took time to rebut criticisms by Republicans like John McCain and Lindsey Graham who believe he is too slow to use force abroad.

"When we make rash decisions, reacting to the headlines instead of using our heads, when the first response to a challenge is to send in our military -- then we risk getting drawn into unnecessary conflicts," Obama said.

The back end of a presidency

The speech also marked a moment of valediction. Barring some great national political crisis, Tuesday's appearance may have been the last time when Obama took the stage as America's most important voice for liberalism.

When Clinton announces what is seen as her almost certain presidential campaign later this year, she will likely become the go-to voice for progressives on all domestic issues.

And by the time of the State of the Union address next year, the presidential primary season will be in full swing -- drawing media attention from the lame duck in the White House.

Robert Lehrman, chief speechwriter for former vice president Al Gore, said that Obama had long term political goals in mind as he knew almost nothing he proposed would get passed.

"But he is laying the groundwork for whoever it is in 2016 to run against a Republican," said Lehrman, now a professor at American University.

Apparently sensing his time is short, Obama mounted an extraordinary defense of his own political skills, even referring to the speech in Boston he made as an unknown senatorial candidate at the Democratic National Convention in 2004.

"Over the past six years, the pundits have pointed out more than once that my presidency hasn't delivered on this vision," Obama said arguing that many people thought he was naive.

"I know how tempting such cynicism may be. But I still think the cynics are wrong," Obama said, in a plea for a "better politics" that will likely remain unfulfilled, in one of the biggest disappointments of his presidency.

@highlight

Obama finally declares victory over economic recovery

@highlight

Promises 'smarter' war policy after getting troops home

@highlight

Reminds Republicans he won two elections