Tacloban, Philippines (CNN) -- As the Philippines faced a long, grim path to recovery in the wake of Typhoon Haiyan, the storm plowed into northeastern Vietnam early Monday, packing powerful winds and forcing hundreds of thousands to evacuate.

Philippine authorities warned that the typhoon may have killed thousands there, leaving behind a trail of devastation on a scale they'd never seen before.

No electricity. No food. No water. Houses and buildings leveled. Bodies scattered on the streets. Hospitals overrun with patients. Medical supplies running out.

And a death toll that could soar.

The Philippine Red Cross estimates that at least 1,200 people were killed by the storm, but that number could grow as officials make their way to remote areas made nearly inaccessible by Haiyan.

Others put the toll much higher: The International Committee of the Red Cross said it's realistic to estimate that 10,000 people may have died nationally.

The grim task of counting the bodies was just beginning Monday as authorities sifted through the rubble of what was left behind in hard-hit cities like Tacloban on the island of Leyte. The official toll stood at 255 Monday, according to the country's National Disaster Risk Reduction and Management Council.

"I have not spoken to anyone who has not lost someone, a relative close to them. We are looking for as many as we can," Tacloban Mayor Alfred Romualdez told CNN.

Interactive map of the storm

'This is really, really like bad'

Desperately needed aid was making its way into the storm-ravaged city of Tacloban on Monday. C-130 planes arrived, carrying food, water and supplies. Other planes left -- some of them carrying body bags with storm victims.

A steady stream of typhoon survivors arrived at Tacloban airport, looking for food, water and escape.

Magina Fernandez was among them. She had lost her home and business. And she was desperate to leave on the next military plane.

She made an anguished plea for help.

"Get international help to come here now -- not tomorrow, now," she said. "This is really, really like bad, bad, worse than hell, worse than hell."

She directed some of her anger at Philippines President Benigno Aquino III, who on Sunday toured some of the areas hit hardest by the typhoon, including Tacloban.

Many of the people in the city, population 200,000, are angry at the authorities' slow response to the disaster.

Aquino said there was a breakdown, especially at the local government level.

"They are necessary first responders, and too many of them were also affected and did not report for work," he explained, saying that contributed to the slow delivery.

Aquino said the government will coordinate with the local units and put more people to work.

Supplies become scarce

In Tacloban, the search for food and water led to increasingly desperate efforts.

Video showed people breaking into grocery stores and cash machines in the city.

National police and the military sent reinforcements to the city Sunday to prevent such thefts. And authorities said they were sending several hundred additional security personnel into the city to keep law and order.

Another dire scene played out in the city's only functioning hospital. Doctors couldn't admit any more wounded victims -- there wasn't enough room. Some of the injured lay in the hospital's cramped hallways seeking treatment.

"We haven't anything left to help people with," one of the doctors said. "We have to get supplies in immediately."

Complicating the search efforts is the lack of electricity in many parts of the storm's path.

The northern part of Bogo, in the central Philippines, suffered a blackout Sunday, and authorities said it will take months to restore power.

Crews search for victims, survivors

Romualdez, Tacloban's mayor, told CNN that reports 10,000 people may have died in Leyte province were "entirely possible."

"People here were convinced that it looked like a tsunami," he said.

The International Committee of the Red Cross said it is fairly realistic to estimate that 10,000 people may have died nationally, because many areas are unreachable by organizations.

"In the western islands of Philippines, for instance, no one can evaluate the casualties," said ICRC spokesman David Pierre Marquet.

"It could effectively be a number close to 10,000," Marquet told CNN. "But the notion that 10,000 people are dead in Tacloban alone is not possible."

Aid groups struggle to reach those suffering

The UN's World Food Programme is setting up logistic pipelines to transport food and other relief items.

"The main challenges right now are related to logistics," said WFP representative Praveen Agrawal, who returned to Manila from the affected areas on Sunday. "Roads are blocked, airports are destroyed."

Interactive map of the storm

WFP spokeswoman Bettina Luescher said the U.N. group was gearing up its global resources to send enough food to feed 120,000 people.

"These high-energy biscuits will keep them alive," she said.

Luescher pleaded for financial support from the international community and directed those wishing to donate to wfp.org/typhoon.

"Those are families like you and me, and they just need our help right now," she said.

Philippines gets more than its share of disasters

Typhoon makes landfall in Vietnam

The massive losses in the Philippines have put much of Vietnam on edge. Authorities evacuated around 600,000 people from vulnerable areas as the typhoon neared, the Vietnamese government's official online newspaper VGP News reported.

Haiyan made landfall around 4 a.m. Monday (4 p.m. Sunday ET) with sustained winds of 120 kph (75 mph) and gusts of 150 kph (93 mph). At least six people were initially reported to have died as a result of the storm, according to VGP.

The storm had weakened by the time it hit Vietnam, and it was downgraded to a tropical storm after making landfall. But it's still expected to cause heavy rain and flooding in northern Vietnam and southern China.

Tropical cyclones with sustained surface winds of 74 mph or more are known as typhoons when they form west of the international date line. East of the line, they're known as hurricanes.

An enormous blow

Haiyan may be the strongest tropical cyclone in recorded history, but meteorologists said it will take further analysis to confirm whether it set a record.

The typhoon was 3.5 times more forceful than Hurricane Katrina, which hit the United States 2005.

It wasn't the storm's 250-kph (155-mph) gusts that caused most of the damage -- it was a mammoth storm surge that reached up to 5 meters (16 feet) high.

"This disaster on such a scale will probably have us working for the next year," said Sandra Bulling, international communications officer for the aid agency CARE. "Fishermen have lost their boats. Crops are devastated. This is really the basic income of many people."

Andrew Stevens and Paula Hancocks reported from Tacloban; Holly Yan and Chandrika Narayan reported and wrote from Atlanta. CNN's Kristie Lu Stout, Melissa Le Fevre, Aliza Kassim, Kevin Wang, Jessica King, Judy Kwon, Pedram Javaheri, Tom Watkins, David Simpson, Elwyn Lopez, Michael Martinez, Neda Farshbaf and Yousuf Basil also contributed to this report.

@highlight

NEW: At least 6 people have died in Vietnam as a result of the storm, state media report

@highlight

NEW: Typhoon Haiyan weakens to become a tropical storm after hitting Vietnam

@highlight

International Red Cross: Realistic to estimate 10,000 people dead across Philippines

@highlight

President Aquino tours Tacloban City, where survivors are angry at slow response