(CNN) -- Anita Davenport's curiosity about her family's past began with the photographs that surrounded her. She said she wanted to know the stories behind the images of her parents and uncles.

Anita Davenport's grandfather, Walter, was stationed in Battle Creek, Michigan, during World War I.

The stories she found -- and shared during several phone conversations from her home in Culver City, California -- parallel the African-American journey during the past century.

The search took her to 1894, when her grandfather, Walter, was born in Stone Mountain, Georgia.

Walter Davenport moved to Wedowee, Alabama. During World War I, Davenport was stationed at Fort Custer in Battle Creek, Michigan, Anita said.

Thousands of other African-Americans were also on the move, mainly to the Northeast and the Midwest, eager for opportunities related to the war and industrialization, according to Howard Dodson, a historian and the director of the Schomburg Center for Research in Black Culture.

Walter Davenport later returned to Alabama, married and had nine children, one of whom was Anita's father, Frank.

Walter was fond of Battle Creek and regaled his family with stories, Anita said. The stories must have been convincing. The eldest of his nine children, also named Walter, moved north to Battle Creek in 1951.

Frank Davenport, Anita's father, later joined his older brother in Michigan. Anita was born in Battle Creek.

Between 1940 and 1970, more than 5 million African-Americans left the South, migrating to cities like Boston, Massachusetts; Philadelphia, Pennsylvania; Chicago, Illinois; Detroit, Michigan, and New York.

"You have this incredible movement of black people across the width and breadth of this land and [they] establish themselves as a national presence, rather than a regional one [based] in the South," Dodson said. Interactive: Explore the African-American journey

That movement of African-Americans -- called "the Great Migration" -- had a clear and direct impact on the country.

"It made race a national issue," said Nicholas Lemann, author of "The Promised Land: The Great Black Migration and How It Changed America."

"You could say it was always a national issue and have a very powerful case ... but it was possible to say, 'It's a Southern issue,'" he said. "After the Great Migration, it was no longer possible."

African-American culture was interacting with other cultures across the whole of American society, Lemann said, "affecting everything from government policy and music to sports and everything in between."

The return South

Civil rights legislation passed during the 1960s helped set the stage for the next era of African-American migration: A return to the South.

Around 1970, many African-Americans began moving back to the South, historians and demographers say. The trend accelerated during the 1990s and this decade, according to William Frey, a demographer at the Brookings Institution, a Washington-based think-tank.

From 1965 through 1970, the South experienced a net migration loss -- the number of people who moved into the region compared to the number of people who moved out -- of more than 287,000 African-Americans.

Thirty years later, the numbers were nearly the opposite. From 1995 through 2000, the South saw a gain of nearly 350,000 African-Americans. iReport.com: Share your family's story

The statistics come from an analysis of census data conducted by Frey in 2004.

The numbers of African-Americans returning to the South are not as large as those seen during the Great Migration, but the trend has resonance because of the place the region occupies in black history and mythology.

The ascendance of the South's economy was a key factor behind the return migration, Frey said. "I think there's a push and a pull involved with the movement," he said.

"A lot of it had to do with the decline of heavy industry, which employed a lot of blacks and blue-collar whites, in a whole set of Rust Belt states," he said. Meanwhile, states like Georgia, Florida, Texas, and increasingly the Carolinas, Virginia and Tennessee were booming, Frey said.

Civil rights legislation and a more educated society made the South more tolerant and hospitable. The booming economy provided jobs and opportunity. But there is also an emotional element for many African-Americans when it comes to the region.

"I think a big part, aside from the economy, is the kind of historic roots that blacks have had there," Frey said.

"There is something culturally attractive about the South to the African-American population even though they spent many decades surviving brutal treatment during the Jim Crow period and a lot of the racial discrimination that occurred."

Dodson, the historian, said many people, especially retirees, made decisions to return out of a desire to connect with ancestral homes, churches and communities.

Anita's parents still live in Battle Creek, though they spend the winters in the South.

Her uncle, Walter Davenport, moved to Stone Mountain, the place of his father's birth, in 1998.

When asked for the reasons behind her uncle's move, Anita said it was a love of the land, the slower pace and something almost "mysterious."

"They wanted to get out of the South, but it still calls them," she said of her family's journey during the past few decades. There's "something about the land and it just calls them back like a song."

CNN's Christina Zdanowicz contributed to this report.

@highlight

For much of the 20th century, many African-Americans left the South

@highlight

Census statistics suggest many are returning to the region

@highlight

An economic boom in the Sun Belt states was a key factor, experts say

@highlight

Interactive: Explore the different African-American migrations through history