New Orleans, Louisiana (CNN) -- Even though Hurricane Alex was headed away from the site of the massive BP oil spill Wednesday, it was affecting containment and collection efforts on multiple fronts, Coast Guard officials said.

Alex, upgraded from a tropical storm late Tuesday, was causing heavy seas throughout the Gulf of Mexico on Wednesday. That had several major consequences: Oil skimming ships had to return to shore, containment booms were thrown asunder and efforts to burn oil on the surface and break it down through dispersants were put on hold, along with efforts to position a third ship to collect oil at the spill site.

"Until the weather subsides, all we can do is have everything ready to attack and remove this oil once we have weather  that's more conducive," said Rear Adm. Paul Zukunft, who delivered a briefing for the Coast Guard on Wednesday.

"We've been held hostage for the last two days due to the prevailing weather," he said.

Alex -- the first hurricane of the Atlantic hurricane season --  was picking up speed and coming ashore in an unpopulated area of northeastern Mexico, some 100 miles south of the Texas border. It is a Category 2 storm with sustained winds of 100 mph.

But even though the center of the storm is more than 600 miles from the spill site, it is producing high seas where the oil is located, according to CNN Meteorologist Chad Myers. Winds are 15 to 20 mph at the spill site, producing waves 6 to 8 feet high, he said.

That poses a problem for the skimmers,Zukunft said.

"When seas get over 3 feet high, the skimmers become ineffective. They wind up gathering water and not oil," he said.

More than 500 skimmers, from Louisiana to the Florida Panhandle, have been forced to return to shore.

Also on hold: setting up another ship to contain oil at the spill site. BP has two vessels, the Discoverer Enterprise and the Q4000, that are being used to contain oil. The company had hoped to bring in a third Tuesday called the Helix Producer, which would increase total containment capability to 53,000 barrels of oil per day.

But crews need seas of less than 4 feet to make a connection to a coupler below the surface, according to Zukunft. BP now is aiming to complete the job by July 7, he said.

The Coast Guard official said the seas also have disrupted containment booms, meant to limit the amount of oil reaching shore. He said officials will be making an aerial survey of the situation Thursday.

One thing that has not been affected -- BP's effort to drill relief wells down to the area where oil is leaking. Weather would have to be very severe to affect that, according to Zukunft, and at this point, BP said it is on track to reach the area in August.

The storm also is having an impact on where the massive oil spill is flowing. Previously, some oil had been reaching Pensacola Beach in Florida, but the storm's prevailing southeast winds have drawn it more toward the environmentally sensitive Mississippi and Chandeleur sounds, off the coast of Mississippi and Louisiana, Zukunft said.

Myers said that's because the storm winds are moving counterclockwise in a huge arc. The strong winds are expected to blow for about three days, pushing the oil back to shore in the area where there already have been dramatic pictures of oil-drenched birds.

The Coast Guard briefing came on a day of change for the service branch, as Adm. Thad Allen, who has been overseeing the cleanup effort for the government, officially retired from the Coast Guard.

Allen will continue as the national incident commander for the spill, but as a civilian.

The move was announced by Homeland Security Secretary Janet Napolitano, who said in a statement, "I commend Adm. Allen for nearly 40 years of dedicated military service in the Coast Guard. Throughout his career, our nation has turned to Thad Allen for leadership at times of great crisis, and this is one of those times."

She continued, "Thad Allen has provided excellent leadership as the national commander of our massive response to the largest environmental disaster in our nation's history, and he will continue to leverage his decades of experience in civilian duty as the national incident commander for this spill."

Adm. Robert Papp was sworn in as Coast Guard commandant on May 24, when Allen left the Coast Guard's top post as previously planned, to serve solely as national incident commander on the Gulf spill.

Meanwhile, authorities also were busy preparing for future storms.

Planners with the Louisiana governor's Office of Homeland Security and Emergency Preparedness this week created a hurricane evacuation plan with BP, said the office's director, Mark Cooper.

The plan, applicable for the entire hurricane season -- which ends November 30 -- calls for BP's thousands of workers to leave the Louisiana coast at least 16 hours before officials begin evacuating residents.

"We can't have BP blocking our roadways with equipment and personnel," said Cooper.

It also designates 700 buses to be used only by disabled residents and calls for BP to be back on the scene combating the spill within 72 hours after a hurricane, said Cooper.

Researchers have estimated that between 35,000 barrels (about 1.5 million gallons) and 60,000 barrels (about 2.5 million gallons) of oil are gushing into the gulf every day.

CNN's Ashley Fantz and Vivian Kuo contributed to this report.

@highlight

NEW: Hurricane Alex hits shore in Mexico, 100 miles south of Texas border

@highlight

CNN Meteorologist Chad Myers says winds to push oil ashore for next three days

@highlight

Heavy seas affect cleanup and containment on several fronts

@highlight

Zukunft: Skimming task forces returned to shore