In many ways, the 2012 election was the year of the woman.

Women — who have historically formed one of President Barack Obama's key constituencies — once again united behind him in large numbers and helped fend off defections from white male and independent supporters.

A record 20 women will hold U.S. Senate seats next year—including newly-elected Wisconsin Democrat Tammy Baldwin, the first openly lesbian senator. The New Hampshire congressional delegation will be all female and, in Obama's home state of Hawaii, Democrat Mazie Hirono will represent the islands in the Senate.

"I'm not sure if it was as much a coincidence as a perfect storm," said Jennifer Duffy, a senior editor with the nonpartisan Cook Political Report.

"The conditions were right and the Republican nominee gave women pause."

According to CNN's exit polls, 55% of women and 45% of men voted for Obama and 44% of women and 52% of men voted for Romney. That level of female support for the president made an especially big impact in swing states like Ohio where the gender breakdown mirrored the national figures.

Big gains for women in 2012

It is a gender advantage Obama clinched even as early as mid October when data showed that among white women, the president led 52%-46%. Back in 2008 when Obama carried Ohio, he received 47% of votes from white women in that state. Nationally, Obama received 56% of the female vote in 2008.

"I think it's one of the things Republicans have to look at," Duffy said. "'Why are we the party of white men.'"

Political experts also say Romney, who saw an early October surge of support among female voters, may have undone those gains during the second presidential debate when he said he used "whole binders full of women" as a hiring tool as governor, whiffed on an equal pay question, and alluded to helping women get home to cook dinner.

"That a presidential candidate in 2012 can utter such superficial answers to a serious question about women's economic equity and autonomy reveals a lack of serious thought about issues of substantive importance to women," Kathleen Dolan, a political science professor at the University of Wisconsin, and Jennifer L. Lawless, an associate professor of government and director of the Women & Politics Institute at American University, wrote recently for CNN.

"It also demonstrates a lack of commitment to the change necessary to allow women and men to lead fully integrated professional and personal lives," they said.

But Republican woes with women cannot be blamed solely on Romney.

Opinion: Women gain wider access to power

Verbal gaffes from down-ballot candidates such as Rep. Todd Akin, whose comments about a woman's body preventing pregnancy after "legitimate rape" may have cost him the election, also reinforced for some voters concerns that the GOP is out of touch with women.

"Part of the reason Democrats had a good day was some conservative Republicans said some stupid things and it made some issues more salient than they usually are," said Andra Gillespie, an associate professor of political science at Emory University in Atlanta.

"When people are making comments about legitimate rape ... it scares women who might not have thought about it. Even the conversation about contraception ... this was a way to make women's health issues very, very personal,"  Gillespie said.

The first portion of this year's political season saw a heated partisan showdown over a federal mandate requiring religious institutions to offer contraception insurance coverage to employees. The ensuing back and forth sparked a "war on women" fight between Democrats and Republicans that bled into congressional hearings, the campaigns and talk radio and re-ignited the gender wars.

Democrats were able to use the rhetoric to suggest that Republicans would threaten the right to contraception—something studies indicate the majority of the public supports, said Michele Swers, a Georgetown University American government professor.

Move over boys, New Hampshire goes to the women

"The debate can be more framed on the aspects of the debate that were more popular with the general public," Swers said, adding that Democrats were also able to connect other GOP positions on abortion as extreme.

There are some indications that social issues directly impacting women might have helped sway votes in some states.

Tuesday's early exit polls showed 51% of Missouri voters said they believed abortion should be legal all or most of the time. Of those voters, exit polls showed 76% supported Democratic incumbent Claire McCaskill, who won Tuesday night, while 19% voted for Akin.

Forty-seven percent of Missouri's voters said abortion should be illegal. Exit polls showed Akin netted 67% of this group's votes while 27% of people who think abortion should be illegal supported McCaskill.

But much more than social issues, pocketbook economic issues most concerned women voters, exit polling showed.

"Women like all voters felt the economics were most important," Swers said. "Women tend to be more supportive of government spending (such as cutting things as Medicaid, and food stamps) than men are ... so they were less responsive to Romney in that way and more responsive to Obama's message on empathy and helping the middle class."

@highlight

Women were seen as the key to the election this week

@highlight

President Barack Obama got 55% of the female vote on Tuesday

@highlight

The U.S. Senate will see a record 20 women take seats next term