Lausanne, Switzerland (CNN)The bad news? The deadline to agree on what will be the parameters for an endgame pact on Iran's nuclear program has come and gone with no deal.

The good news? The sides are still talking.

Whether your glass is half-full or half-empty, it doesn't change the fact that it's not easy to reach resolutions on complex issues involving nuclear physics and international relations. Nor does it change the fact that Tuesday's self-imposed deadline didn't really matter anyway: The date that really counts is June 30, when the parties must figure out a comprehensive deal -- with all the technical details and diplomatic impasses fully worked out -- or else everything falls apart.

The whole point of what's happening in Lausanne, Switzerland, is to get everyone on the same page about what kinds of things will be discussed as part of a potential conclusive agreement.

For those hoping that will eventually happen, it's good that Iranian Foreign Minister Javad Zarif, U.S. Secretary of State John Kerry and senior European Union diplomat Helga Schmid held talks early Thursday morning in Lausanne. But it doesn't mean there will be a final deal.

"We have made significant progress over the last few days, but it has been slow going," British Foreign Secretary Philip Hammond told reporters Wednesday. "I'm optimistic that we will make further progress ... but it does mean the Iranians being willing to meet us where there are still issues to deal with.

"Fingers crossed, and we'll hope to get there during the course of the day."

But by Thursday morning, there was still no deal.

Zarif told reporters that Iran has shown "its readiness to engage with dignity, and it's time for our negotiating partners to seize the moment and use this opportunity, which may not be repeated."

"I've always said that an agreement and pressure do not go together. They are mutually exclusive," the Iranian minister said. "So our friends need to decide whether they want to be with Iran based on respect or whether they want to continue based on pressure. They have tested the other one. It is high time to test this one."

U.S. State Department official Marie Harf said on Twitter that talks between Kerry and Zarif ran deep into the early hours of Thursday morning.

"That was truly an all-nighter," she tweeted around 6 a.m. local time (12 a.m. ET), saying the negotiations had broken up and would resume again in a few hours.

‎Another U.S. official had said earlier that "some serious issues remain unresolved."

"It is still totally unclear when this might happen, if it happens at all."

There's one thing that most everyone does agree on: The sides have made progress in recent days.

In fact, Zarif called it "very good" progress that led to solutions on most issues, according to IRNA, the state-run Islamic Republic News Agency.

As long as "the conversations continue to be productive," White House press secretary Josh Earnest said, U.S. officials will keep on talking.

Russian Foreign Minister Sergey Lavrov -- whose country has been taking part in the talks, along with Germany, France, Britain and the European Union -- went so far as to say "with a large degree of confidence" that "framework agreements have been reached on all the key aspects of this issue at the ministerial level."

"We hope that these agreements will be put on paper in the next few hours or a day at the most," Lavrov said before leaving the talks along with his counterparts from China and France. "The agreement stipulates a comprehensive approach to settling this issue, including IAEA verification of the exclusively peaceful nature of Iran's nuclear program and detailed provisions on lifting the sanctions."

But it doesn't matter if Russia or Germany is comfortable with the details; the key is getting the United States and Iran on the same page, something that's hard given the decades of contempt and distrust.  According to an IRNA report, Zarif said only that he hopes a framework agreement will be drafted Wednesday.

"I think it's a matter of political will. It's not just about technical details anymore," said Fawaz Gerges, a professor of Middle East studies at the London School of Economics. "You're talking here about an institutionalized relationship of hostility between the United States and Iran."

Even then, Gerges on Wednesday gave the sides a 60% to 70% chance of coming to some sort of preliminary agreement soon.

His reasoning: "I think there is a convergence of interests between Obama's administration and the Iranian leadership, and that's why both camps have a vested interest in signing an agreement, as opposed to walking away."

For Iran, which insists its nuclear program is for peaceful purposes, a deal would mean relief from punishing economic sanctions.

For the West, it would offer hope of improved relations with Tehran without the destabilizing threat of an Iranian nuclear bomb in the pipeline.

The sides have oftentimes talked past each other for nine years. That's why Iran is facing crippling sanctions in the first place: because many world powers felt they could not trust Tehran, given its dealings with nuclear inspectors and in talks.

The tone changed with the 2013 election of Iranian President Hassan Rouhani, a moderate who campaigned on a platform of reducing international tensions. And there has been some movement, including in recent days, out of Iran.

Still, it's too early to say that everyone will meet in the middle on everything. Mohammad Marandi, a professor of North American studies at Tehran University, told CNN that Iranian officials feel they've already compromised a lot in the talks.

"They feel that they've gone as far as they possibly can and that it's for the Americans right now to make a move," he said.

21 questions on Iranian nuclear talks

The main sticking points at the moment are believed to be the pace at which U.N. sanctions on Iran will be lifted, how much nuclear research and development Iran will be able to maintain and whether Iran will ship its stockpile of enriched uranium out of the country for reprocessing into a safer form.

Even if those points are resolved to the satisfaction of all sides, any agreement is expected to come under attack on multiple fronts.

Obama is likely to face a stern challenge selling any deal to Congress, while hardliners in Iran will probably denounce it for being too harsh.

The leader of Israel, a key U.S. ally that considers Iran to be an existential threat, on Tuesday said "the agreement that is being formed in Lausanne is paving the road to that result."

And on Wednesday, Israeli Prime Minister Benjamin Netanyahu obliquely suggested that the United States could be threatened as well.

"The Middle East is plagued by anti-Western, anti-democratic and anti-American extremism. ... Despots lead their people in chants of 'Death to America' while building intercontinental ballistic missiles to reach America. In this violent and unstable region, where states are exploding," said Netanyahu, referring to some Iranian leaders and reports that Iran could develop intercontinental missiles.

Iran's power rises, with or without deal

Obama administration officials say that any agreement would involve heavy monitoring of Iran's nuclear activities. They insist no deal would be better than signing a bad deal.

But if no agreement is reached and the talks fall apart, the potential consequences are deeply unsettling.

Further sanctions on Iran would most likely follow. Israel argues that could eventually force Tehran back to the negotiating table to settle for a tougher deal.

But Obama administration officials say they fear Iran will redouble efforts to advance its nuclear program without any meaningful international inspections.

Iranian progress toward a nuclear weapon could spark an arms race in the Middle East and talk of military strikes from the United States or Israel.

"The military option will remain on the table," U.S. Defense Secretary Ashton Carter told NBC's "Today" show on Tuesday. "If there is a good agreement to have, obviously it's worth waiting for and completing the negotiations."

CNN's Elise Labott reported from Lausanne, and Greg Botelho reported and wrote from Atlanta. CNN's Jethro Mullen, Jim Sciutto, Steve Almasy, Nimet Kirac and Catherine E. Shoichet contributed to this report.

@highlight

Talks run until early Thursday morning; expected to resume hours later

@highlight

Iranian minister: Other side must "seize the moment," not try to pressure Iran

@highlight

U.S. official: "It is still totally unclear when this might happen, if it happens at all"