(CNN) -- This bizarre-looking concoction of glass, liquid and tubes could one day bring a whole new meaning to the idea of natural lighting.

The new "bio-light" concept designed by Dutch electronics company Philips creates light in the same way that bioluminescent living organisms like fireflies and glow worms do.

The phenomenon of bioluminescence is created by a chemical reaction where an enzyme called luciferase interacts with a light-emitting molecule called luciferin.

In the bio-light a collection of hand-blown jars -- held in place by a steel frame -- contain a measure of bioluminescent bacteria which glow green when fed methane gas -- in this case through individual silicon tubes routed through a household waste digester.

Harnessing these biological techniques could help redefine how we consume energy in the home, says Philips.

"Designers have an obligation to explore solutions which are by nature less energy-consuming and non-polluting," says Clive van Heerden, senior director of design-led innovation at Philips Design.

"We need to push ourselves to rethink domestic appliances entirely, how homes consume energy and how entire communities can pool their resources," van Heerden said in a statement.

Jim Haseloff, a plant biologist from the UK's University of Cambridge says the bio-light is a very provocative idea.

"It's appealing because it brings two things together which you wouldn't normally associate," Haseloff said.

"I don't think you want to imagine that everyone's going to start putting bacterial cultures into their own home for lighting but as a way of exploring the idea it's quite interesting," he added.

It part of a wider swing to sustainable technologies, Haseloff says, but he doesn't see bioluminescent lights competing with LED and other low-energy lights in the future.

"When you move out of the normal (lighting) area -- illuminated walkways and things like that -- where things could essentially be growing and delivering light for free, that's where you're going to have applications."

Philips envisages similar applications, perhaps using glowing plants to illuminate road verges or as warning strips on flights of stairs.

It also says these same bioluminescence techniques could be used as a diagnostic indicator of pollution levels or even as a biosensor for monitoring diseases like diabetes.

Philips says the bio-light would be more suited to providing mood lighting than "functional illumination."

It forms part of a wider Philips Design's Microbial Home project which imagines an "integrated cyclical ecosystem" in the home where traditional waste is recycled to address sustainability issues.

@highlight

Bio-light concept looks at new biological ways of creating light

@highlight

Bioluminescent bacteria exposed to methane gas glow green

@highlight

Dutch electronics company Philips exploring idea of domestic cyclical ecosystem