London (CNN) -- Seamus Heaney, the poet whose deeply felt descriptions of rural life in Ireland managed to carry larger echoes of the island's violent sectarian split, died Friday at the age of 74, his publisher said.

Heaney died in Dublin, Ireland, after a short illness, the publishing house Faber & Faber announced on behalf of his family.

One of the most widely read poets of the past hundred years, Heaney carried the long lineage of Irish authorship into an era of violence that marked Ireland for much of the later twentieth century.

"We are blessed to call Seamus Heaney our own and thankful for the gift of him in our national life," Irish Prime Minister Enda Kenny said Friday. "He belongs with Joyce, Yeats, Shaw and Beckett in the pantheon of our greatest literary exponents."

Heaney joined three of those writers -- William Butler Yeats, George Bernard Shaw, and Samuel Beckett -- as a recipient of the Nobel literature prize. The 1995 citation noted Heaney's "works of lyrical beauty and ethical depth, which exalt everyday miracles and the living past" as a reason for bestowing the honor on a fourth Irishman.

Born in 1939 on a farm in Country Londonderry, in Northern Ireland, Heaney's work, which relied heavily on personal observations, evoked the island's rural heritage at close range. The eldest of nine children, Heaney -- a Catholic -- described his father to an interviewer in 1994 as a "creature of the archaic world" who "would have been entirely at home in a Gaelic hill-fort."

In "Follower," from the collection "Death of a Naturalist," Heaney recalled being brought up around country farmers, like his father, whom he idealized -- but who later in life came to represent a bygone era:

I wanted to grow up and plough,
To close one eye, stiffen my arm.
All I ever did was follow
In his broad shadow round the farm.
I was a nuisance, tripping, falling,
Yapping always. But today
It is my father who keeps stumbling
Behind me, and will not go away.

The family spoke English, not Irish, and Heaney described in interviews living in a home without many books. He attended a boarding school in Derry beginning at age 12 and studied for an English literature degree at Queen's University in Belfast.

Derry -- ruled by Protestants, despite a majority Catholic population -- would eventually become the center of Northern Ireland's decades-long period of sectarian violence.

Heaney moved in 1972 to Dublin, where he wrote poems that reflected the struggle navigating between the Irish nationalist movement, which he supported, and an allegiance to his birthplace in the British-ruled North.

After "Death of a Naturalist," Heaney's reputation began to grow, and he eventually became the rare poet to achieve both critical acclaim and popular appeal. His collections featured a range of themes, from lighthearted love verses to deeply personal meditations on Ireland's Troubles.

His collection "North" was released in 1975, one of the bloodiest years of Ireland's sectarian conflict. In it, Heaney mined the roots of Irish division, often offering a grim assessment of a nation facing constant misfortune.

"Coherent miseries, a bite and sup, / We hug our little destiny again," he wrote in "Whatever You Say Say Nothing."

Decades after "North" was published, Heaney characterized himself as a poet writing from his own experience rather than a political agenda.

"What matters is the shape-making impulse, the emergence and convergence of an excitement into a wholeness," he said. "I don't think I'm a political poet with political themes and a specifically political understanding of the world."

But he nonetheless held a lasting place within the history of Ireland's struggle for peace, offering his deeply personal view of the Troubles to a worldwide audience.

"His mind, heart, and his uniquely Irish gift for language made him our finest poet of the rhythms of ordinary lives and a powerful voice for peace. And he was a good and true friend," Bill and Hillary Clinton, the former U.S. president and first lady, wrote in a statement Friday. As president, Bill Clinton helped broker the 1999 Good Friday Agreement that established Northern Ireland's system of government.

Later in life, Heaney turned to producing new translations of well-known works of Anglo-Saxon literature, including a well-received version of "Beowulf." He worked as a professor of poetry at Oxford University for five years beginning in 1989, and held various posts at Harvard University for more than two decades.

Heaney is survived by his wife, Marie, and three children.

People we've lost in 2013

CNN's Bharati Naik contributed to this report.

@highlight

His poetry detailed Ireland's rural past and its violent sectarian strife

@highlight

Irish prime minister compares him to writers Joyce, Yeats, Shaw and Beckett

@highlight

Heaney received the Nobel Prize for Literature in 1995

@highlight

Later in life, he produced new translations of well-known works of Anglo-Saxon literature