(CNN) -- Heavy snow pummeled much of the East Coast on Wednesday, battering states for the second time in a week and forcing many people to stay home from school and jobs.

Several cities had record snowfalls.

The storm canceled or delayed flights in several cities, kept federal workers home for a third straight day in Washington, and taxed local government budgets as cities and counties scrambled to pay for snow removal, overtime, salt, supplies and equipment.

In Washington, the snow was falling at a rate of 2 inches per hour at one point in the afternoon, CNN meteorologist Jacqui Jeras said. Forecasters predicted that Washington winds would gust to 50 mph overnight.

A blizzard warning was to be in effect in the Washington area until 7 p.m., the National Weather Service said. Blowing snow caused such poor visibility at midday that snowplows temporarily parked by the side of the road, authorities said.

Forecasters predicted that the storm would dump a total of 8 to 10 inches inside the Capital Beltway (Interstate 495), with higher amounts to the north.

Watch the forecast on the storm's trek

"Even if you're in a SUV, it's difficult to get around," Washington Police Chief Cathy Lanier said. "You can't see the Capitol dome through the snow," even standing a few yards away.

Share your winter weather photos, videos

Government buildings were eerily quiet. The Department of Treasury and the Internal Revenue Service buildings were shut. No one answered the door at the Justice Department, though the attorney general's office said work was still being done at key counterterrorism offices.

The U.S. Postal Service said it was experiencing delays in processing mail.

Subway service was expected to be limited Thursday to underground stations, and bus service was expected to be suspended on Thursday.

Federal agencies were to be closed Thursday, too, and non-emergency employees were to be granted the day off.

This winter already has become the snowiest on record for Washington and its suburbs, as well as Baltimore, Maryland, and Wilmington, Delaware, the National Weather Service said. It's also on pace to become the snowiest season on record in other cities, including Atlantic City, New Jersey, and Philadelphia, Pennsylvania.

Blizzard warnings also were in effect Wednesday for Asheville, North Carolina; Newark and Atlantic City, New Jersey; Baltimore, Maryland; Dover, Delaware; New York and nearby Long Island; and Philadelphia, Pennsylvania.

Under a blizzard warning, the following conditions are expected to be seen for three hours or longer: wind speeds of 35 mph or more and considerable falling and/or blowing of snow with visibility near zero (less than one-fourth mile), the weather service said.

In Atlantic City, the landmark Boardwalk -- lined with shops, restaurants and casinos -- remained open despite the snow.

New York was to be under a blizzard warning until 6 a.m. Thursday, but the snow was expected to stop falling late Wednesday night. Forecasters predicted wind gusts up to 50 mph and predicted the city will have received 12 to 20 inches of snow by the time the storm ends.

In Pennsylvania, all of Interstates 76, 78, 83, 176, 476 and 676, as well as state road 581, were closed Wednesday because of blizzard conditions, the Pennsylvania Department of Transportation said on its Web site. Part of I-81 was closed, it said.

Interstate 80 near Clearfield, Pennsylvania, was shut after two pileups -- one involving 17 cars and the other involving seven cars, said Rich Kirkpatrick from the state's Department of Transportation. One person died and another person was seriously injured, police said.

Philadelphia was under a blizzard warning until midnight, and could have as much as 20 inches of snow by the time it stops, forecasters said.

In Boston, Massachusetts, snowfall rates of 2 to 3 inches an hour were expected along the Interstate 95 corridor into the evening. A winter storm warning was in effect until 1 a.m. Thursday, with final snow totals of 5 to 10 inches, the weather service said.

Thousands of flights were delayed or canceled to and from airports in Baltimore, Boston, New York, Philadelphia and Washington, airlines reported.

East Coast storm grounds thousands of flights

"We're working, and we're plowing as best we can, and then once the winds diminish some, we'll be able to start hauling snow off the airfield as we've been doing for six days now," said Tara Hamilton, spokeswoman for Washington Dulles International and Reagan Washington National airports, both of which closed Wednesday.

The airports did not plan to reopen until about 7 a.m. Thursday.

New York area airports were operational Wednesday afternoon, but airlines canceled most flights in and out of LaGuardia, Newark Liberty International and John F. Kennedy International airports.

Rajesh Moorjani, one of the stranded travelers at the Newark, New Jersey, airport, had flown from India on Tuesday night, intending to get a connecting flight to California. On Wednesday, he was getting used to the idea of being stuck on the East Coast for a day, CNN affiliate WABC reported.

"I'm just kind of trying to get in touch with old classmates, ex-colleagues ... trying to put a message on Facebook saying: 'If anybody is in New York, let's get in touch,' " he told WABC.

WABC: Storm socks New Jersey

Amtrak was still providing limited service for Boston, New York and Washington.

But most passenger rail service south of Washington was canceled. "The massive storm has resulted in downed trees and power lines on portions of CSX freight railroad tracks south of Washington resulting in continued service cancellations in Virginia, and the Carolinas," the rail line's Web site said.

Bus travelers fared no better. "Pretty much everything out of Virginia, New York, D.C., etc. at this time has been canceled," said Maureen Richmond, director of media relations for Greyhound, which transports 22 million passengers per year.

"We're operating where we can, based on weather and road conditions," she said. She urged would-be passengers to call the company's ticketing line.

Due to improved weather conditions in the Chicago, Illinois, area, airlines were reporting no delays at O'Hare and Midway International Airports.

Many businesses in Greenwich, Connecticut, about 30 miles northeast of New York City, closed early Wednesday, in part to allow workers to travel home before the worst of the storm hit. Diane Garett planned to keep her bookstore open, but she gave her employees the day off, WABC reported.

"I just felt it was just safer if they stayed home," she told WABC. "Plus a lot of their children are home from school. So I didn't think it was right to ask them to come to work."

Hardware store owner Troy Usnik was taking somewhat of a breather Wednesday in snowy Philadelphia. The owner of 10th Street Hardware said he sold well over 100 shovels and 200 to 300 bags of salt Tuesday.

"Today seems kind of quiet, but there was a mad rush yesterday. Sales were brisk. Last night was a panic and everyone who didn't have it came out to buy shovels and salt."

Early Wednesday, the snow turned to sleet in Philadelphia, but roads were passable and buses were driving along emergency routes, Usnik said. The National Weather Service predicted 9 to 13 more inches of snow.

New York deployed 1,600 salt spreaders to care for 65 miles of roads, CNN meteorologist Rob Marciano said.

The winter of 2009-2010 has become the snowiest on record for:

• Baltimore, which has received at least 72.3 inches of snow this winter

•  Washington, where Dulles airport has received 72 inches of snow this winter and Reagan National airport has received 54.9 inches

•  Wilmington, Delaware, which has received at least 59.5 inches of snow this winter, breaking its previous record of 55.9 inches.

CNN's Sean Morris, Nicole Saidi, Steve Kastenbaum, Scott Spoerry, and Jean Shin contributed to this report.

@highlight

NEW: Many Interstate highways closed in Pennsylvania

@highlight

Two main Washington airports aren't set to reopen until Thursday morning

@highlight

Washington area, New York, Philadelphia under blizzard warning

@highlight

This winter is snowiest on record for several cities, National Weather Service says