(CNN)The University of Virginia and its campus police department are investigating a new report of a sexual assault in a campus residence as the college community struggles with how to move forward and improve its sexual assault policies after coming under national scrutiny.

It's the first report of a sexual assault on campus since the controversial and widely questioned Rolling Stone article, published in October, that depicted the brutal gang rape of a woman named Jackie. It's also the only reported sexual assault in the university police public reports since the start of this 2014-2015 school year, according to a CNN review of records on its website.

There are few details about this newest case.  A statement sent to students on Thursday said police were notified by the Dean of Students "about a sexual assault incident reported to have occurred on January 30, 2015, in a residence hall on-Grounds."  The notice said police were notified on February 5, six days after the incident.

Before the uproar over the Rolling Stone story, UVA policy allowed student victims to decide whether or not police were contacted after a sexual assault. Since then, the university mandated a "zero-tolerance" policy, which has yet to be defined; it's unclear if the alleged victim in the latest assault participated in reporting it to police. University officials would not comment on those questions.

This all comes as the university is trying to move forward from the fallout of the Rolling Stone piece. The story of Jackie has been questioned and has prompted several investigations -- a police investigation, an internal review at UVA, and a Columbia Journalism Review of Rolling Stone's reporting process.

A lot is still unknown. Here's what we do and don't know:

What we know: Some of the details in the story are not true. Charlottesville police informed the university at the start of the spring semester that its investigation has found no evidence that the brutal gang rape happened at Phi Kappa Psi fraternity, as the Rolling Stone story alleged. However, the police have not ruled out that Jackie was raped -- possibly even gang raped, somewhere else, perhaps on a different day. The investigation is ongoing, and police aren't releasing any other details of what they've found.

CNN talked to several of Jackie's friends who were with her the night she says she was allegedly attacked, and according to them, she told a different version of what happened that night. In the article, Jackie said she was gang-raped by seven men while two men looked on. Her friends said Jackie told them she was forced to give oral sex to five men. Jackie's Rolling Stone version said the perpetrator was a man she met at her job at the university pool. She told her friends it was someone she met in her chemistry class. She told her friends the assailant's name, but no one by the name she gave attended the University of Virginia, nor could anyone by that name be located in a database search across the United States.

What we don't know: We don't know how much of the rest of the Rolling Stone story, including Jackie's account, was correct. Jackie has not talked to any member of the media since Rolling Stone issued an apology for its reporting, and the writer of the story has not spoken publicly since the apology, either. Columbia Journalism Review is now fact-checking all of the details at the request of Rolling Stone.

What we know: Some of the details in the Rolling Stone story that deal with the broader issue of how sexual assault reports are handled at UVA have been confirmed. For example, the university has admitted that it never expelled a single student for committing sexual assault, even when the student admitted it.

The law firm O'Melveny & Myers LLP is now looking into how the university has historically handled sex assault claims.

Even before the Rolling Stone story, UVA was the subject of a Title IX lawsuit filed by a woman who said she was drugged and raped by a fellow student, and that the university medical center lost some of the evidence, that a nurse didn't tell the truth about the woman's injuries, and that a school administrator shared confidential information.

In May 2014, the Department of Education for Civil Rights announced that it was investigating 55 schools, including UVA, for possible violations related to how it handles sex abuse claims.

What we know: Part of the independent investigation by O'Melveny & Myers is looking at how UVA responded specifically to Jackie's astonishing accusations against members of the Phi Kappa Psi fraternity.

According to Rolling Stone, Jackie first reported her allegations to the university in the spring of 2013, months after the alleged assault happened. The university did not call police because Jackie did not want the police involved, Rolling Stone reported.

However, many people on campus were well aware of Jackie's shocking allegations. Several people present at the annual "Take Back the Night" awareness event listened as Jackie took to a podium and told her story to a crowd of hundreds in 2014. The police were not called until the account was published in Rolling Stone in November, causing national scrutiny and outrage.

What we don't know: It's unclear if police were aware in detail of the allegations before the Rolling Stone story was published. The fraternity Phi Kappa Psi expressed concern to police after members began to field questions from Rolling Stone about the allegation of a gang rape. It's unclear exactly why that did not turn into a full police investigation. UVA officials were also involved in that conversation, Phi Psi said.

After being suspended for the rest of the fall semester, the fraternities were allowed to come back in the spring as long as they signed a new operating agreement which mandates sober fraternity brothers at parties, bans the serving of pre-mixed drinks, requires the use of guards at staircases, and other safety measures.

This created some tension.

Phi Psi was the first to sign the new agreement, but two other fraternities accused the university of "bullying" them into signing it.

Then, days later, some sorority members were appalled to learn that their national chapters banned them from attending any fraternity bid night activities on Saturday, January 31, one of the biggest celebrations of the year in campus Greek life.

From outside Charlottesville, the University of Virginia appears to be a campus in turmoil, struggling with how to move on from allegations that sexual assaults are rampant.

But on campus many student leaders, like Student Council President Jalen Ross, agree that some of that discourse is good -- it will help them come up with the best plans for moving forward. But Ross also told CNN he's concerned with the level of involvement the national fraternity and sorority organizations have had, and cautions that they do not speak for students on campus.​

It's clear from talking to students at UVA that many of them still see some merit to the criticisms of how the university handles sexual assault allegations. Many also believe that something bad may have happened to Jackie, although they are skeptical of the details in the Rolling Stone story.

Most students got back from winter break and returned to normal life at school.

Behind the scenes, leaders are working on new ways to tackle binge drinking and general campus safety. The university just adopted an ambassador program which provides sober escorts over the age of 21 for any student who needs help getting home.

The "zero tolerance policy" pledged after the Rolling Stone story has yet to be defined, and some advocates are worried that it will have a chilling effect on reporting of sexual assault.

Ross said he's been working with state legislators who have proposed mandatory reporting, to make sure that any new proposals also don't discourage women from coming forward.

@highlight

Police not ruling out that "Jackie" was raped

@highlight

UVA facing new report of sexual assault on campus

@highlight

University trying to move forward from fallout of Rolling Stone article