(CNN) -- The KCR train sped north through Hong Kong's New Territories, on its way to the city's border town crossing with mainland China.

The spectacular towers and gates of Pingyao, which lie within the perimeter walls, are almost never out of sight.

The Kowloon Tong to Lo Wu rail journey took just 35 minutes, and after clearing Hong Kong and Chinese mainland immigration, I stepped out into the bustling metropolis of Shenzhen and looked for a taxi to the airport.

The wait was short; the city's full of red battered and tired-looking vehicles and I was soon negotiating with a driver.

Forty minutes and 120 yuan ($15) later, I departed the cab and entered Shenzhen airport for my journey to Taiyuan, capital of Shanxi province.

The flight had been uneventful -- check-in was a breeze and the Boeing 737 had taken off for the three-hour trip north on time.

But just before we started our final descent, flight attendants stood in the aisle and took passengers through a bizarre mini aerobic program, all accompanied to Chinese opera. Arms flailed, necks stretched and torsos bent as every passenger attempted to reduce their chances of being hit by deep-vein thrombosis.

By the time I checked into my hotel in Taiyuan, darkness had fallen.

The three-star abode was passable, though the room's TV carried not one single English channel. How would I survive without CNN, I fretted. I headed out for a walk, on the way passing two female hotel attendants who gave me a city map and some basic information in broken English.

Established during the Eastern Zhou Dynasty in 497 B.C., Taiyuan today is a fairly nondescript, industrial city known for its steel and coal production.

But wandering into the town's heart, it soon struck me that I was in the "real" China, as opposed to expatriate-weary Hong Kong. A double-take here, an odd smile and nod there, confirmed that the slickness of Causeway Bay and the uppity pretensions of Lan Kwai Fong were now far behind.

Upon checking out early the next morning I was greeted by the same two hotel workers from the previous night.

Didn't they ever sleep?

Thankfully not -- they proved true gems by writing a note in Chinese, which requested my train ticket to Pingyao. The written note worked a treat with the ticket master, and after paying just 8 RMB ($1) for the fare, I was following the hordes towards a stadium-like waiting room.

Hundreds of passengers, sitting in plastic bucket seats, awaited the boarding announcement.

Craggy-faced men passed the time by smoking; families by sharing a pre-prepared meal with their children; others by reading decaying newspapers that looked as if they'd gone to press months before.

The boarding call announced, the throngs rushed for the non-air conditioned train carriages. I joined the crush and quickly found seat 084. My seat -- essentially a plank of wood with some back support -- placed me next to a window that, no matter how hard I tried, would not budge open.

Thankfully, fresh air began circulating once the train got under way.

Outside Taiyuan's city limits, the views quickly changed from harsh industrial wastelands to agrarian vistas of sowed fields and hard-grown crops of corn. Two hours and 100 kilometers (62 miles) later, the train neared one of China's most delightful attractions -- the magnificent World Heritage-listed city of Pingyao.

The origins of the town date back more than 1,600 years, but it's the center's Ming (1368-1644) and Qing (1644-1912) layout, still largely intact, that greets the traveler.

Ancient 12-meter (40 foot) high walls ring the city over a perimeter of six kilometers (3.7 miles). Thought to have been constructed in 1370, they are possibly the best-preserved example of this kind in China.

The city's also known for its prominence as a past financial center.

In the early 19th century, Pingyao boasted many money institutions, among them the Rishengchang -- considered China's first bank. A 20-minute taxi ride from the train station delivered me first to the perimeter walls, and then to the car-free town center.

I was quickly struck by the laid-back vibe and friendly atmosphere, and was soon checking into one of the town's many 17th and 18th century courtyard-styled guesthouses.

Guo Huili, a 19-year-old local who worked at the accommodation, checked me in and showed me my quaint digs -- a Ming-furnished room decorated with scented candles and plenty of choices of fragrant tea.  Listen to Guo Huili and view Pingyao's stunning streetscapes »

As impressed as I was with my initial introduction to Pingyao during daylight hours, it's at night that the city truly shines.

If you've ever seen Zhang Yimou's wonderful "Raise the Red Lantern" (filmed near Pingyao in 1991), you'll understand. Red and other colored lanterns, small and large, blaze at every step along the cobbled streets, which are lined by shops selling all types of knick knacks.

The spectacular towers and gates, which lie within the perimeter walls, are almost never out of sight -- all bathed in an atmospheric golden light.

The absence of cars and hawkers, little tackiness and an incredibly relaxed atmosphere (at least for Chinese standards) means Pingyao hasn't turned into a tourist circus -- yet.

I strolled around for hours, taking in the sites and losing myself in the historic ambience and classic architecture before the day's weariness began taking affect.

It was time to retire back to my room to try that fragrant tea.

Part 2: Pingyao to Xian

@highlight

One of China's best attractions is the World Heritage-listed city of Pingyao

@highlight

Red and other colored lanterns blaze at every step along the cobbled streets

@highlight

There are no cars and hawkers, little tackiness and a relaxed atmosphere