(CNN) -- The skies are under threat. Not from terrorists or hardened criminals, but from everyday passengers who seem to go a little loco when the airplane leaves the tarmac.

According to the International Air Transport Association (IATA), there have been 28,000 reported cases of unruly passenger incidences from when the organization started recording in 2007 to 2013. It's a number that, according to aviation experts, is both underrepresented and on the rise.

Unruly passengers have become enough of a disturbance to airline professionals to warrant a two-day conference dedicated to the topic.

Last week, London hosted DISPAX World 2014, the second international conference on how to handle disruptive travelers.

Approximately 100 professionals -- made up mainly of airline training managers and regulators -- representing 35 different countries attended the event.

"We're not really sure of the number of incidents taking place, though it's safe to assume there are about 300 to 400 per week happening on board airliners," says Philip Baum, the managing director of Green Light Limited, the company that organized the event.

In addition to the passenger bad behavior in the news (Justin Bieber and Ralph Lauren's niece are two of the more high profile fliers that made headlines with their on-board antics this year), Baum notes that there are many more low-key altercations that don't ever get reported.

"The definition of unruly behavior can range from disobeying crew commands, to becoming verbally abusive, then escalating to becoming physically abusive, then potentially life-threatening," says Baum.

"IATA reports there having been 8,217 unruly passenger incidents in 2013, but this is only the tip of the iceberg. IATA's figures are based solely on a limited number of IATA member airlines reporting. Most airlines are not IATA members and few are willing to share their incident reports."

Starting at the airport

Among many of the solutions batted around by presenters at DISPAX were several that took an early-prevention approach -- namely, ones that started at the airport.

"I see unruly behavior due to frustration and lack of information more than anything else," notes Prasad Yarlagadda, a professor of science and engineering at Australia's Queensland University of Technology.

Yarlagadda gave a talk on his experience working with Australian regulators to devise an airport design to help alleviate the type of traveler angst that often leads to outbursts.

"An informed passenger will take 21 minutes to get from the curb to their flight. For an uninformed passenger, this could take 30 to 40 minutes," he notes. Even simple tweaks, like introducing more frequent and clearer signage, and ensuring staff are better trained to direct passengers through the right channels, he argues, could make all the difference.

"If a passenger has a good experience at the airport, that will continue when they board their flight."

Better screening of passengers could also potentially help carriers avoid headaches up in the air.

Marcia Mendes, a research scientist at the University of Applied Sciences and Arts Northwestern Switzerland, has been studying behavioral screening tactics used by airport security -- usually as a means of spotting criminal activity. At DISPAX, she discussed how the same procedures could be used to spot potential problem passengers.

"The main task of officers conducting behavioral security screening is to identify passengers with criminal or terroristic intentions. Nevertheless, being responsible for the observation of passengers, officers would possibly also spot those who pose a safety risk for other reasons. Airlines could surely profit if such information would be passed on to the crew prior to take off," she notes.

What Would Monarch Do? (WWMD?)

Perhaps the biggest factor for the rise in aggressive passengers, however, is alcohol, a problem exacerbated, says Baum, by low-cost carriers shuttling groups to prime party destinations.

"Low-cost carriers have introduced a new breed of passenger into the sky, and I don't think airports and airlines do enough to counter the binging culture associated with many of these passengers," he says, pointing to the fact that in many airports, bars can open as early as 6am.

One company that has worked to reduce on-board binging is Monarch Airlines. By adopting a "zero-tolerance" approach to drunk passengers -- particularly on the UK-Ibiza leg, Monarch claims it has halved passenger flare-ups. One particularly useful tactic has been to train crew to identify when duty-free carry-ons have bottles in them, and to store them in the overhead.

Monarch is also one of the few airlines to work with local police to deal with such passengers before they board. Such collaborations, says Baum, are all too rare.

"Aircrew are extremely concerned at the lack of legislation in many states to prosecute offenders. As a result, whilst many unruly passengers are handed over to the authorities, far too many walk free," he says.

@highlight

IATA has reported 28,000 incidents of unruly passenger behavior since 2007

@highlight

Experts agree the figure is unrepresentative, and growing

@highlight

Tweaks in airport design, security measures and airline policy could help address the problem