(CNN) -- Recently, the chairman of the U.S. bishops' Committee on Religious Liberty argued that the Obama administration's requirement that most health insurance plans cover contraception goes against "the mandate of Jesus Christ."

But Jesus said nothing about contraception coverage, of course, or most any other issues related to sexuality. So, what is the issue?

The current mandate would require that Catholic institutions like universities and hospitals include coverage for contraception and sterilization, although it exempts Catholic parishes. Official Catholic teaching is against contraception and sterilization. But this issue goes beyond internal Catholic Church concerns and moves into the public arena. The U.S. Catholic bishops and other conservative Christian groups have argued that the Obama administration's requirement wars with religious liberty and the role of conscience.

Last Sunday, at least 100 bishops had letters read at masses in their dioceses imploring Catholics to oppose this coverage. Newspapers have carried stories of Catholic bishops making apocalyptic predictions that Catholic universities and hospitals would have to close their doors if this coverage is allowed. But who is really making this argument besides the bishops and a minority of conservative Catholics and Christians, especially when studies show that 98% of sexually active Catholic women have used contraceptives?

First, a brief history. Since the 1930s and the Lambeth Conference of the Anglican Church, most Christian denominations have allowed for contraceptives, leaving the decision up to married couples. The Catholic Church rejected that position, standing relatively alone on the issue, and has allowed, since 1951, only the rhythm method for birth control (this is now called natural family planning).

When the Catholic Church went through changes in the 1960s, during the Second Vatican Council, or Vatican II (1962-1965), the pope formed a committee outside of the council to evaluate the stand against contraceptives. The result: 75 out of 90 on the committee recommended that the church allow for contraceptives for married couples.

Even so, in 1968, Pope Paul VI issued the encyclical (papal document) Humanae Vitae (Of Human Life), in which he rejected the conclusion of the committee and maintained the church's opposition to contraception for married couples.

Immediately, Catholic theologians issued a statement disagreeing with the encyclical, arguing against its methods and conclusions, and maintaining that Catholics may act responsibly by following their well-informed consciences on the issue. Since that time, studies have shown that most Catholic couples use some form of contraception. Most Catholic theologians (professors of theology at colleges and universities) reject the church's teaching on the issue, and have argued that a teaching that the majority of the faithful have rejected is not valid. Those are historical facts.

Fast-forward to now, when the bishops and other Christian groups are appealing to the role of "conscience," a concept on which the bishops themselves and recent popes have put little emphasis, in contrast to the role of "obedience." If they are going to appeal to conscience, then they must also respect the consciences of responsible adults -- Catholic women and men, and non-Catholics who work at Catholic institutions.

They must respect the role of parents to decide how many children they can have, and can afford to take care of. No one is forcing Catholics to take contraceptives. It is a question of access, and hence, of justice.

They must also respect the role of Catholics to share their expertise in health care and in public policy, as Vatican II argued. Catholic theologians and other professors at academic universities have the responsibility to search for truth and to work for justice. The Catholic moral tradition has long argued that there is a difference between morality and public policy.

There is another messy side to this. The Catholic Church argues that human life must be protected from the moment of conception. Therefore, contraception that works after conception to prevent implantation (around six to 10 days after conception), such as with the IUD, would be considered as a category of abortion.

So, while the Obama legislation does not require abortion coverage, that "abortion language" has also been a part of the Catholic argument. This seems fair enough to those who would argue that a pre-implanted fertilized egg should be protected from the time of conception. But would the majority of Catholics oppose contraceptive coverage that works before conception? And shouldn't women be allowed to make that decision? Would most Catholics and Christians deny health care coverage for women because of this?

So here is the question, as I see it, as a Catholic theologian and lifelong Catholic, educated almost entirely at Catholic institutions, and taught to work for human dignity, the common good and social justice: Should the U.S. bishops speak for all Catholics on a matter of national public policy, an issue that most Catholics disagree on within their own church? The bishops have refused to discuss this issue with their fellow Catholics for more than 40 years. And the bishops are all male. What about Catholic theologians, academics, social workers and health care professionals? What about Catholic women? What about the 98%?

Public policy involves discussion, dialogue, debate, and sometimes even compromise. That does not mean compromising one's moral principles, but it may involve compromising how those principles are legislated as a matter of public policy in a pluralistic and democratic society.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Keith Soko.

@highlight

Keith Soko: Catholic bishops say Obama contraception coverage issue wars with conscience

@highlight

But theologians disagree, and vast majority of Catholic women use contraception, he says

@highlight

He says bishops must respect role of conscience in Catholics who choose contraception

@highlight

Soko: Should bishops speak for all Catholics on a public policy on which most disagree with them?