(CNN) -- Mohamed Bouazizi's self-immolation one year ago was an act which symbolized the frustration and desperation of millions in the Arab world, setting into motion a series of revolutions across the Middle East and North Africa.

His was a cry for dignity, justice, and opportunity, which continues to be heard around a region undergoing tumultuous change. In today's Middle East, people matter. Many are now engaged in what could be a life-long struggle to fight long-standing grievances and take greater control of their lives. This process must involve the creation of new democratic political systems, which ensure greater accountability of leaders, and level the playing field of opportunity for all, not just a select few.

It has been a remarkable year. Three dictators have been toppled and one has transferred power to a deputy. Nonetheless, analysts and policy-makers continue to speak about the slow pace of change in the region and warn of the onset of an "Arab Winter." Such distinctions -- spring and winter -- are misleading. Many seasons will come and go in the transformative years that lie ahead for the Arab world. Revolutions take time to settle. The transformation of societies takes even longer. The colored revolutions of Eastern Europe, two decades on, are still developing. It took centuries for democratic systems to be refined in Europe. We cannot expect democracy in the Middle East to be solidified in only one year.

Still, across the region, there is cause for concern. Egypt's transition to civilian rule carries major worries, even as Egyptians continue to go to the polls. The concern remains that the ruling military council will relinquish power only under heavy pressure; and Egypt's economy and confidence are in nosedive as the populace awaits civil rule. Syrians meanwhile face a regime intent on killing and torturing its citizens to end their uprising. All this as a largely impotent international community argues over how to stop the increasing violence.

In Yemen, many are not convinced by a regionally brokered transition deal, which allows Saleh and his family immunity from prosecution as well as continued political influence. Bahrain continues to reel from the absence of a genuine national dialogue between its rulers and the underrepresented and relatively impoverished majority Shia community. Libya's revolutionaries now face the immediate challenge of building a state from scratch, based on the rule of law and democratic principles. To do so, they are learning, they will first have to put down their guns.

Link: Tunisia swears in new president

While events elsewhere in the region have been less dramatic, the desire for change is still palpable. Under popular pressure, Morocco now has an elected prime minister under a revised constitution; Jordan's king has been forced to change the government twice this year; Oman's Sultan has devolved some powers to his consultative council. Only time will tell if people accept these changes as going far enough to meet their rising expectations.

As the respected Arab commentator Rami Khouri somewhat prophetically predicted last year, we are witnessing the "birth of Arab politics." For the first time, people have a voice and the opportunity to launch new parties and institutions, independent of the autocratic rulers and external interference that long stifled political development. Civil society organizations, the "software" of any democratic system, have mushroomed in transitional states such as Egypt and Tunisia. A truly democratic and accountable political culture is finally developing in the region.

Undoubtedly, the biggest political winners over the past year have been Islamist parties, particularly the Muslim Brotherhood movement. As real Arab politics emerges, this is not surprising. One should accept that today, the center of gravity of the region's societies' is religiously pious, socially conservative, and economically liberal. The rise of the Brotherhood and the more fundamentalist Salafi parties is a natural legacy of years of political exclusion, and economic corruption and stagnation. As the West looks on, it should be remembered that a faith-inspired vision led to the establishment of the American state itself.

The challenge for the Brotherhood will be to maintain their popularity and their discipline while meeting the demands of not just their supporters but of an entire nation. The wiser leaders among them may be realizing that winning at the ballot box, even exercising majority rule, does not entitle them to ignore their responsibilities to the minorities that may fear them. Mohammad Bouzazi's cry for the rights and responsibilities of all citizens provides a lesson that these new political actors and leaders would do well to heed.

In this changed environment, international actors need to tread wisely. As regional and international participants in a recent Brookings seminar in Doha concluded, Western governments must embrace a wholesale reassessment of their foreign policies towards the region. This reassessment should reflect a "paradigm shift" towards genuinely inclusive and equal partnerships with the Middle East that do not seek to dictate democratic outcomes. Above all, people speaking for the first time must not be met with deaf ears. Western countries' engagement with newly emerging Islamist actors, then, should be based on the principles of mutual respect and establishing two-way communication.

Link: Many similarities in Arab Spring, European chaos

Such a dialogue should also acknowledge the sorry legacy of past regimes that were considered key allies. Under the reign of such rulers, there was a mass campaign of victimization, torture, and marginalization against liberals and Islamists alike who posed a threat. While affected societies have established their own judicial processes to take their former leaders to task, it is also time for Western countries to acknowledge the pain and dislocation of those who suffered at the hands of these regimes. As certain dictators in the region continue to hound their people, the international community must not make the same mistakes again. When acts of brutality -- tantamount even to crimes against humanity -- are being perpetrated, as in Syria, the international community must act based on its responsibility to protect innocent civilians, and face down this evil.

Ultimately, the region needs to find its own state-builders and create new states that reflect the will of their people. What has become clear over the past year is that the people of the Middle East and North Africa are in no mood to give up their search for justice and dignity. It is fitting that one-year after Bouzaizi's desperate act, Tunisia will see the election and appointment of a president and prime minister -- one liberal, the other Islamist - both human rights activists imprisoned by the previous regime. Mohammed Bouazizi's true legacy may be the birth of a new democratic Tunisia where a wholly unique model of governance is emerging -- one in which Islamists and secularists govern and where political activists who have been imprisoned for their views now sit in government. The new Tunisia, not Turkey, Eastern Europe, or even Indonesia, will be the real model for the newly emerging Arab world.

The opinions expressed in this commentary are solely those of Salman Shaikh.

@highlight

Tunisian Mohamed Bouazizi self-immolated catalyzing a series of revolutions across Middle East and North Africa

@highlight

Middle East expert: Bouzizi's legacy may be birth of new democratic Tunisia

@highlight

Salman Shaikh: The unique form of governance emerging in Tunisia could be a model for whole region