(CNN) -- For most of American history, the average farmer, shop owner or entrepreneur could live an entire life without getting anything from the federal government except mail service. But those days have gone the way of the Pony Express.

Last year, the Wall Street Journal reported that 49% of the population lives in a household where at least one person gets some type of government benefit. The Heritage Foundation's annual Index of Dependence on Government tracks government spending and creates a weighted score adjusted for inflation of federal programs that contribute to dependency. It reports that in 2010, 67.3 million Americans received either Temporary Assistance for Needy Families, Social Security, support for higher education or other assistance once considered to be the responsibility of individuals, families, neighborhoods, churches, and other civil society institutions -- an 8% increase from the year before.

These people aren't necessarily dependent on government; many could live (even live well) without their Social Security check, Pell grant or crop subsidy. That's not the point. The problem is that Washington is building a culture of dependency, with ever-more people relying on an ever-growing federal government to give them cash or benefits.

This is a growing and dangerous trend. The United States thrives because of a culture of opportunity that encourages work and disdains relying on handouts. The growth of the welfare state, a confusing alphabet soup of programs that are supposed to help low-income Americans make ends meet and do not include entitlements such as Social Security or Medicare, is turning us into a land where many expect, and see no stigma attached to, drawing regular financial support from the federal government.

Opinion: Americans are not moochers

Consider means-tested social welfare programs. The federal government operates at least 69 programs that provide assistance deliberately and exclusively to poor and lower-income people. The benefits include cash, food, housing, medical care and social services.

Yet when poverty expert Robert Rector, senior research fellow at the Heritage Foundation, examined these anti-poverty programs, he found that only two, the earned income tax credit and the additional child refundable credit, require recipients to actually work for their benefits. It had been three, but earlier this year, the Obama administration effectively set aside the most well-known welfare work requirements, those specifically written into the 1996 Temporary Assistance to Needy Families law. The Department of Health and Human Services announced that states could apply for a waiver of the law's clearly stated work requirements.

Meanwhile, although spending on welfare has been cut in half since it was reformed in 1996, other federal spending on programs, such as food stamps, has soared year after year and decade after decade. Simply put, spending on social welfare programs has exploded.

CNNMoney: The poor do have jobs

Under a culture of dependency, poverty becomes a trap, and recipients get stuck. Long-term welfare recipients lose work habits and job skills and miss out on the marketplace contacts that lead to job opportunities. That's a key reason the government should require welfare recipients to work as much as they can. What could be called "workfare" thus tends to increase long-term earnings among potential recipients.

Another problem is that we simply can't afford all this spending.

The national debt is at $16 trillion, more than the entire GDP of the United States last year. High as it is, that debt is about to soar. More than 78 million baby boomers are retiring onto Social Security and Medicare in the next 15 years or so. Under Obamacare, Medicaid is set to explode as well. Within just one generation, total federal spending could reach nearly 36% of GDP, and the Congressional Budget Office says debt held by the public could reach nearly 200% of GDP.

That will crowd out virtually all other government spending, including national defense. Future Congresses could impose deep cuts in social welfare programs across the board or raise massive taxes to support these exploding programs. The results would be chaotic and unpredictable.

News: Romney remarks: Plain truth or huge mistake?

It doesn't have to be this way.

We can reduce dependency on government and focus benefits on those who are truly needy. For example, by including work requirements and promoting marriage (being raised in a married family significantly reduces a child's chances of being in poverty), we'll help rekindle the American Dream for everyone.

All poverty programs should be reviewed to make certain they're helping people instead of harming them. Social welfare programs should help people up, not hold them down.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Matthew Spalding.

@highlight

Matthew Spalding: U.S. social welfare programs are creating a vast culture of dependency

@highlight

He says the welfare state removes the stigma from taking government support

@highlight

He says longtime recipients lose work habits and jobs skills

@highlight

Spalding: The U.S. must require work for assistance and better target poverty programs