N'Djamena, Chad (CNN) -- After spending years of working in neighboring Libya, the last place Daoud Mohammed wants to be right now is back to his home in Chad, the landlocked country in central Africa.

With no work and few opportunities, he is worried about his and his family's future in Chad's capital N'Djamena.

"To survive I had to be away -- though my family was here in Chad -- because there is nothing for me to do here," says Mohammed. He is one of the tens of thousands of Chadians who fled last year's fighting in Libya and are now back in their homeland.

"I don't have any skills, I don't have any qualifications and the rainy seasons here don't come often enough, so we can't cultivate," adds Mohammed, who used to work on construction sites in Libya.

Like Mohammed, around 300,000 Chadians made their living in Libya, often filling a gap at the lower end of the labor market, working in oil fields and construction sites.

Read more: The Africans looking to make it in China

Many of them would send money back home to their families, providing a lifeline for a country where the majority live on less than $2 a day.

The remittances helped kick-start Chad's otherwise largely stagnant economy but this was brought to a halt last year after the revolution against Moammar Gadhafi's autocratic rule also forced thousands of Chadians out of the country.

The world focused on the uprising and the war in Libya, but from the onset other Africans were targeted.

Mohammed says a group of armed revolutionaries stormed his compound in Benghazi, accusing some 300 Chadian workers of supporting Gafdhafi.

"I don't know why they attacked me. I am just a laborer and I don't care about politics or governments, I just don't know why they did this to me," says Mohammed.

Fellow Chadian Tidjani Ali Mohamed, who worked as a skilled plasterer in Libya, says he spent months in a Tripoli prison where Africans from many other countries were also held.

"They forced me to confess that I worked with Gadhafi. But since I did not work with Gadhafi I just kept saying that I didn't so they just kept on beating me," he says. "It was constant suffering -- they treated me so badly, they beat me all the time and I didn't know if I would die today or tomorrow."

The International Organization for Migration (IOM) negotiated with the Transitional Council in Libya to get the Chadians and other Africans out in a highly sensitive evacuation operation. In the end, they brought some 90,000 people back to Chad.

See more: Is narcotic khat funding terrorism?

Though foreigners did play some part in fighting as mercenaries for Gadhafi during the bloody Libyan war, the IOM and local leaders in Chad say the vast majority of Chadians, like Mohammed, were working to send remittances home.

"Libya was always a rich country, they have lots of oil, and therefore there are work opportunities," says local leader Sultan Al Sadiq Al Bashir. "Whoever goes there, even without education, will find something to do. Being a laborer, or working in agriculture, or in construction, there are always opportunities over there."

Chadian economist and former finance minister Ali Abderahman Hagar says the return of the migrant workers has had a deep impact on the country's economy.

"We welcomed 100,000 people who contributed to Libya's development but returned empty-handed," says Hagar, who now runs the Graduate School of Finance in Chad. "It is difficult to feed one person here in Chad, so to feed 100,000 more without having planned for them is dramatic," he adds.

"We haven't received enough support from international states, we have in some way become victims of the war in Libya, even if a few Chadians are in mourning of Gadhafi's death."

Like Libya, Chad has significant oil reserves. The resource was supposed to be the savior of the country's economy but people say they've yet to reap any rewards from it.

"For 10 years we have seen no benefit from the oil, nothing at all," says Al Bashir. "People are still poor, people need a lot of things, and the oil is not doing anything for the people."

Opinion: Can Kenya avoid Africa's resource curse?

Chad, which has been ruled by Idriss Deby since 1990, has been ranked by Transparency International as one of the most corrupt countries in the world.

Its industrial output is also minimal, while its agricultural sector has been hit by successive droughts. Despite some recent reforms, state safety nets are almost non-existent, leaving returning migrants to fend for themselves.

Thrown out of Libya and with few opportunities at home in Chad, many of them now believe they've become a burden on the people they once supported.

"Now we have to beg for food and the local community gives us some food and that's how we survive -- we have nothing else," says Mohammed.

@highlight

Chad's economy has been badly hit by last year's conflict in neighboring Libya

@highlight

Thousands of Chadians lived in Libya and sent remittances back to their families

@highlight

Some 90,000 people returned to Chad after the revolution against Gadhafi's regime

@highlight

Many of their families no longer have a regular source of income