Washington (CNN) -- In direct and emotional terms, President Barack Obama informed the nation and the world Sunday night that a U.S. operation in Pakistan earlier in the day killed al Qaeda leader Osama bin Laden almost 10 years after terrorist attacks that killed thousands.

"I can report to the American people and to the world that the United States has conducted an operation that killed Osama bin Laden, the leader of al Qaeda, and a terrorist who's responsible for the murder of thousands of innocent men, women and children," the president said, looking directly into the television camera in the East Room of the White House for the statement broadcast nationwide on short notice.

It was a triumphant moment for Obama and U.S. security forces, particularly an intelligence community that has been maligned for its failure to head off the 2001 attacks and subsequent breakdowns in cohesion.

"On nights like this one, we can say to those families who lost loved ones to al Qaeda's terror: justice has been done," Obama declared. He called bin Laden a mass murderer and said that "his demise should be welcomed by all who believe in peace and dignity."

As he spoke, top officials including Vice President Joe Biden, Secretary of State Hillary Clinton, CIA Director Leon Panetta and Joint Chiefs of Staff Chairman Adm. Mike Mullen looked on in the East Room.

"For over two decades, bin Laden has been al Qaeda's leader and symbol and has continued to plot attacks against our country and our friends and allies," Obama said. "The death of bin Laden marks the most significant achievement to date in our nation's effort to defeat al Qaeda."

The president described the intelligence process that culminated in acquiring actionable information on bin Laden's whereabouts in recent months.

"Last August, after years of painstaking work by our intelligence community, I was briefed on a possible lead to bin Laden," Obama said. "It was far from certain. And it took many months to run this thread to ground. I met repeatedly with my national security team as we developed more information about the possibility that we could locate bin Laden hiding within a compound deep inside Pakistan."

According to senior administration officials, Obama chaired five National Security Council meetings in recent months, with the two most recent ones on April 19 and April 28, before giving the order Friday -- a day he spent in Alabama visiting storm-damaged areas of the state -- to proceed with the mission.

Last week, Obama said, "I determined that we had enough intelligence to take action and authorized an operation to get Osama bin Laden and bring him to justice."

"Today, at my direction, the United States launched a targeted operation against that compound in Abbottabad, Pakistan," the president continued. "A small team of Americans carried out the operation with extraordinary courage and capability. No Americans were harmed. They took care to avoid civilian casualties. After a firefight they killed Osama Bin Laden and took custody of his body."

Senior administration officials told reporters on condition of not being identified that the surgical strike involved a helicopter raid on the heavily secured compound that lasted less than 40 minutes.

The U.S. forces engaged in a firefight with bin Laden and others that killed five people -- bin Laden, three male accomplices and a woman whom one of the male combatants used as a human shield, the officials said. One U.S. helicopter crashed due to a mechanical problem and was destroyed, the officials added.

In his remarks, Obama recounted the 2001 terrorist attacks, referring to the clear blue skies that day and the horror of planes slamming into the World Trade Center and the Pentagon. He also spoke of families who lost loved ones that day, the intelligence community that finally tracked bin Laden down, and "the men who carried out this operation."

"It was nearly 10 years ago that a bright September day was darkened by the worst attack on the American people in our history," Obama said. "The images of 9/11 are seared into our national memory -- hijacked planes cutting through a cloudless September sky; the Twin Towers collapsing to the ground; black smoke billowing up from the Pentagon; the wreckage of Flight 93 in Shanksville, Pennsylvania, where the actions of heroic citizens saved even more heartbreak and destruction."

He went on to describe the worst images -- "those that were unseen to the world."

"The empty seat at the dinner table. Children who were forced to grow up without their mother or their father. Parents who would never know the feeling of their child's embrace. Nearly 3,000 citizens taken from us, leaving a gaping hole in our hearts," Obama said.

"Tonight we give thanks to the countless intelligence and counterterrorism professionals who have worked tirelessly to achieve this outcome," Obama said. "The American people do not see their work nor know their names, but tonight they feel the satisfaction of their work and the result of their pursuit of justice."

Thanking the U.S. forces in Sunday's operation, Obama said they "exemplify the professionalism, patriotism and unparalleled courage of those who serve our country. And they are part of a generation that has borne the heaviest share of burden since that September day."

"Let me say to the families who lost loved ones on 9/11, that we have never forgotten your loss, nor wavered in our commitment to see that we do whatever it takes to prevent another attack on our shores," he said. "And tonight, let us think back to the sense of unity that prevailed on 9/11. I know that it has, at times, frayed. Yet today's achievement is a testament to the greatness of our country and the determination of the American people."

Obama also repeated the longstanding U.S. contention that originated with former President George W. Bush after the 2001 attacks that the fight against al Qaeada was not a war against Islam.

"I've made clear, just as President Bush did shortly after 9/11, that our war is not against Islam," Obama said. "Bin Laden was not a Muslim leader. He was a mass murderer of Muslims. Indeed, al Qaeda slaughtered scores of Muslims in many countries including our own."

@highlight

President Obama tells the nation that a U.S. operation killed Osama bin Laden

@highlight

Obama: Bin Laden's death should be welcomed "by all who believe in peace and dignity"

@highlight

The president reiterates that the U.S. war against al Qaeda is not a war on Islam