Princeton, New Jersey (CNN) -- The fact-checkers have been out in force for months.

With the presidential and vice presidential debates fully under way, and both parties claiming that their opponents are liars, websites and news shows are inundated with experts and reporters who inform voters about whether candidates are making claims that have little basis in fact.

Like the card game "B.S," in which players call fellow players when they lie about what card has been put into the collective pile, the fact-checkers shout out to Americans when they find that politicians are injecting falsehood into the news cycle.

But it is not clear what impact the fact checkers are having on the public at large or, nearly as important, on the politicians. They keep laying out the facts and the politicians keep stretching the truth. There is little evidence that the public is outraged by any of the revelations nor that it has any real influence on how the politicians conduct themselves, other than to provide more campaign fodder for attacks on their opponents.

Complete coverage: CNN Fact Check

What is going on? Why does all the new access to data via the Internet and the cottage industry of fact-checking experts seem to have so little influence on the basic dynamics of the election? Even with live bloggers tracking every word during the debate, the candidates are having no trouble stretching the truth or fabricating facts for their own purposes. At least thus far the polls don't seem to be registering any significant effects when the candidates are called out for doing this. Why isn't there a penalty for lying?

One of the biggest challenges for fact-checkers is that they must work in a political culture that, since the 1970s has been deeply distrustful of government and politicians. Polls consistently show that trust in government has steadily fallen since Vietnam with just a few temporary upticks. The public doesn't think much of politicians, nor do they ever expect them to tell the truth. We live with the ghosts of Watergate.

So when fact-checking organizations try to point out when politicians are stretching the truth, giving them Pinocchio noses for having made claims that have little bearing in fact, the public just isn't surprised. In fact, these revelations just confirm the general impression that the public has of their leaders. As a result, the fact-checkers fade in the noise of the media frenzy over the campaign.

Fact-checkers must also work within a media environment that has become more polarized and openly partisan in recent years. As the norms of objectivity have weakened in many news outlets and reporters become more vocal about their political views, Americans tend to rely on websites and television stations where they expect to hear news with the partisan slant that they prefer.

It is harder to find news that is really fair and balanced; the public assumes that everything they hear or read has an agenda. It is difficult for any source to break through this belief.

Objective fact-checkers must also compete with openly partisan fact-checkers. The political parties and other political organizations have turned these operations to their own ends. They have released information attacking the veracity of their opponents, playing into an argument that has become important to their campaign. It's hard for people to distinguish between partisan and real fact-checkers.

Democrats have made a central theme of this campaign how Republicans are not telling the truth. "Facts matter," Biden said during the vice presidential debate. After Paul Ryan's acceptance speech at the convention, Democrats released an onslaught of attacks going through his claims. We have seen this same dynamic after the debates as well. Republicans have responded in kind.

White House clarifies Biden's remarks on Libya

The partisanship that shapes our politics has many costs. Congress has trouble making decisions, tensions among voters over certain issues are often severe, and the quality of our discourse often suffers.

Perhaps one of the worst effects of partisanship, however, has been the fact that the truth is much harder to discern and, in many cases, voters don't even expect it.

The public lives in a world where it seems impossible to know what is fact and what is partisan fiction. Fact checkers, many of whom have legitimate and virtuous objectives to get Americans to really understand the choices before them, have trouble gaining much traction. When one of the players calls "B.S." during the political cycle, people might be listening, but it's not clear that there are lasting consequences.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Fact checking has grown tremendously in this election

@highlight

He says the process is a good one, but is anyone paying attention to the results?

@highlight

Zelizer says there seems to be no penalty for politicians who lie