(CNN) -- You don't often find Jordan splashed across the top of your favorite news site.

Big on the grand desert scenery and ancient monuments you'd expect, but absent from any roll call of travel-warning infamy on government websites, this is a nation that confounds traveler perceptions of the Middle East.

Here's why.

1. Bedouin culture is at the root of Jordanian hospitality

Ahlan wa Sahlan ("hello and welcome") follows you wherever you go.

For Jordanians, hospitality is part of life, founded in a centuries-old nomadic culture.

Visitors who set their itineraries in stone risk missing out on all the spontaneous invitations to sit back and drink endless tiny glasses of tea with locals.

2. Landscapes are film stars

If the scenery gives you dÃ©jÃ  vu, that's because you've probably seen it before.

Jordan is a kingdom of blockbuster countryside that's graced cinema screens countless times.

Petra's Al-khaznah (The Treasury) monument posed as the home of the Holy Grail in "Indiana Jones and The Last Crusade."

The high-rise cliffs and blush pink sands of Wadi Rum played themselves in "Lawrence of Arabia."

At 89,342 square kilometers, Jordan may be relatively small, but its vistas are the stuff of epic silver screen classics.

3. It's a regional eco-lodge leader

Sustainable travel has a long road to travel in the Middle East, but Jordan is leading the way.

The Royal Society for the Conservation of Nature operates ten protected areas in the country with eco-lodge accommodation options.

Dana Biosphere Reserve tumbles down the chasm of the Great Rift Valley with Dana Guest House (Dana village, +962 03 227 0497) clinging to a cliff edge from where the sandstone hills of the national park spool out below.

At Mujib Biosphere Reserve -- the world's lowest altitude national park -- you can sleep at Mujib Chalets (Mujib bridge, Dead Sea Highway, +962 079 907 4960) for canyon hiking and the Dead Sea on your doorstep at 416 meters below sea level.

Jordan's most famous national park is Wadi Rum, where you can spend the night amid the silent desert expanse at a simple Bedouin Beit Shar (goat-hair tent) encampment.

4. Levantine flavors in Amman

Amman is Jordan's capital city, as well as its culinary capital.

Lunch lines outside Al-Quds on Rainbow Street indicate the city's best falafel.

You can do coffee with one of Amman's best views at the Wild Jordan Cafe (Othman bin Affan Street, +962 06 463 3542), and try Levant's finest dishes amid the opulence of an old Ottoman mansion at Fakhr El-Din (40 Taha Hussein St., +962 06 465 2399).

Beit Sitti (16 Muhammad Ali al-Saadi St., +962 079 563 3868) run classes in Arabic cooking that teach you pro skills for your next Middle Eastern-themed dinner party.

5. Using the car horn for brakes doesn't cut it here

Seasoned Middle East travelers will tell you the biggest safety concern in the region is for your hearing.

The traffic crush -- and cacophony of car horns -- is a constant stress.

Not in Jordan.

With a population of only 6.5 million, and plenty of open spaces, Jordanian drivers don't feel the need to thump out a constant tuneless blast of beeps.

6. Cultural tours that make a difference

In recent years, small local initiatives have begun changing the face of tourism by offering a look into the Jordan beyond the famous ruins.

The Zikra Initiative operates a tourism-exchange program in which travelers take part in traditional village activities -- cooking, banana-leaf basket making -- for a small fee that gets funneled into micro-loans to help the village community.

Middle East travel specialist Backpacker Concierge operates a number of cultural immersion tours in Jordan.

7. Ruins everywhere

If you want to see megalithic monuments, Jordan won't let you down.

Jerash is one of the best-preserved Greco-Roman towns in the world.

A walk along its long Cardo Maximus from the South Theater to the Temple of Artemis offers an evocative slice of the Classical Age.

The Greek, Roman, Byzantine and Arab Empires stamped their hand prints across the countryside.

Head north (or east, on the desert castle loop) from the glorious tumble of columns and temples at ancient Umm Qais or Pella, and you'll find the Umayyad caliphs' country retreats of Azraq Fort and the UNESCO-listed Qasr Amr.

8. The Abraham Path

Jordan's Ajloun region has a five-day hiking trail that's part of the multi-country Abraham Path.

The shorter, one-day Ajloun-Orjan village section starts at the Crusader castle of Ajloun, drops in at Mar Elias (said to be the birthplace of the prophet Elijah) and finishes at sleepy Orjan, where homestays are available.

9. The Middle East's best road trip

Between Madaba and Petra, the King's Highway winds along the ridge edge of the Great Rift Valley.

It's filled with historic sites and offers some of the country's most startling views.

Moses saw the Promised Land at Mt. Nebo, Salome's shimmying ended with St. John the Baptist losing his head on Herod's mountain eyrie of Mukawir, and Reynald of Chatillon was defeated by Salah ud-Din at the Crusader castle of Kerak.

About halfway through the trip, a highway turnoff leads to a road that twists and turns down to the Dead Sea where you can float in waters so mineral rich that you can't sink.

10. Petra -- as if we wouldn't mention it

You can't mention Jordan without talking about Petra.

By the time you get here you'll have seen its famous Al-Khazneh (The Treasury) and Ed-Deir (The Monastery) monuments hundreds of times, splashed across tourism posters throughout Jordan.

For a different take on the Nabataean's ancient capital, you can get off the main trail to the site and onto the Bedouin back roads.

The winding trail up to the cliff ridge of Al-Habees has the best views over the central city ruins.

A stone-cut staircase trail snakes up Jabal al-Khubtha for dramatic views of The Treasury from above.

@highlight

Bedouin culture is at the root of Jordanian hospitality

@highlight

Jordan's epic scenery has been featured in numerous films

@highlight

Want to see ancient ruins? Jordan won't let you down