(CNN) -- Humanitarian aid agencies scrambled Monday to offer help to the tens of thousands of people in need after Tamil separatists declared an end to their quarter-century struggle in Sri Lanka.

A Tamil refugee holds her child at a tented site in Vavuniya.

The United Nations said Monday that over the past few days some 65,000 people had fled what had been the fighting zone in northeast Sri Lanka, bringing to 265,000 the number of internally displaced people, which it refers to as IDPs.

"This latest massive influx of people, who have endured extreme conditions, will put an even greater strain on the transit and IDP sites that are already buckling under the pressure of the existing IDP population," the U.N. High Commissioner for Refugees said in a written statement.

The agency pledged to erect an additional 10,000 shelters to accommodate people streaming from the combat zone.

It reiterated its request for the Sri Lankan government to set aside land for the construction of emergency shelters, water and sanitation facilities and public buildings in Vavuniya, Jaffna, Mannar and Kilinochchi.

And it called on the government to improve conditions at 42 sites already hosting the displaced people, and to ensure adequate care and maintenance for them.

But the United Nations said its access to the sites in Vavuniya had been curtailed in recent days "and this affects our ability to monitor and distribute aid to the displaced. We hope this ends quickly."

Suresh Bartlett, aid agency World Vision's national director, said, "The conventional war may be over but the real challenge now is to foster an environment where fractured and displaced Tamil communities can heal and have a real chance at creating a future for themselves and their children."

Among the pressing issues, he said, is getting people back to their land and homes as quickly as possible, which in some cases will require that land be demined and buildings be repaired.

About 80,000 of the displaced -- a third of the people in camps -- are children, who need emotional, psychosocial and educational support in addition to physical aid.

"It is important to get people home as quickly as possible so they can feel a sense of ownership over their own lives, recover their dignity and livelihoods and create an environment where their children feel safe," he said.

In a telephone interview from Colombo, Sri Lanka's most populous city, Bartlett said that the displacement camps are overcrowded, with two and three families staying in shelters intended for a single family.

"A lot more needs to be done," he said. "More land needs to be cleared, more shelters set up" and safe drinking-water supplies assured. "It's not easy and it's not straightforward."

He said many of the people still streaming into the camps are malnourished.

Though the end of the conflict marks a great opportunity, "we can do with all the international support that we can get at this time," he said.

Estimates put the number of civilians killed in the conflict at 70,000 to 80,000, but Bartlett acknowledged that the true number may never be known.

Medecins Sans Frontieres, the aid group also known as Doctors Without Borders, was trying to scale up on Monday, a spokeswoman said.

The group's head of mission, Hugues Robert, said the 1999 Nobel Peace Prize-winning organization is staffing three hospitals in the region, where it was screening people seeking help to determine their needs, stabilize them, then treat them.

With fighting apparently ended, Robert predicted that the organization's team of 343 national staff and approximately 50 international staff will focus many of their efforts on providing post-operative care.

"We have a lot of wounded people," he said.

One area of need that remains largely unaddressed, he said, is mental health.

Amnesty International called for steps to be taken to ensure civilians and captured fighters are protected.

"The Sri Lankan government must ensure that its forces fully respect international law, including all provisions relating to protecting civilians from the effect of hostilities," said Amnesty International's Asia-Pacific director, Sam Zarifi.

Amnesty International called on the Sri Lankan government to give humanitarian agencies full access; to allow independent observers to monitor the situation to guard against human-rights violations; and to register displaced people as a safeguard against enforced disappearances.

Zarifi called on the international community to deploy monitors.

In Washington, U.S. State Department spokesman Ian Kelly called the end of fighting "an opportunity for Sri Lanka to turn the page on its past and build a Sri Lanka rooted in democracy, tolerance, and respect for human rights."

He said it is "vital for the government to provide for the needs of the civilians now living in relief camps. Providing food, water, shelter, basic health care, and sanitation as well as expediting their return to their homes should be a top priority for the government."

@highlight

U.N.: 65,000 people flee fighting zone in northeast Sri Lanka in past days

@highlight

Brings total number of internally displaced people to 265,000

@highlight

About 80,000 -- a third of the people in displacement camps -- are children

@highlight

U.N. pledges to erect an additional 10,000 shelters to accommodate people