(CNN) -- As the nation and the world's attention turned to the impending execution of Hank Skinner in Texas before a late stay by a Texas court, one question seemed paramount: "Why the rush?" The answer to that question is buried deep inside the psychology of prosecutors and the culture of Texas.

Skinner was scheduled for execution on Wednesday for the 1993 killing of his girlfriend, Twila Busby, and her two sons, until the Texas Court of Criminal Appeals (the top criminal court in that state) issued a stay late on Monday.

While Skinner was found hiding in another house after the murders and some tests showed the blood of the victims on his clothes, he has maintained his innocence. He claims he was in the house at the time of the killing, but was too incapacitated by alcohol and codeine to have hurt anyone.

Some question his conviction and point to Busby's uncle as another suspect, and Skinner wants some of the items found at the scene tested for DNA.

Even the foreperson of the convicting jury has now stepped forward to ask that the tests be conducted. However, the prosecutors have steadfastly refused to allow such testing, and Skinner's attorneys have failed (thus far) to get a court order requiring those tests.

The prosecutors have been adamant about an immediate execution, precluding further tests, and it is this fact that many people find baffling. As a former prosecutor who then spent 10 years training future prosecutors in Texas, I am not surprised by this development. Quite simply, the prosecutors are committed to their conviction in a way that should surprise no one.

To a prosecutor, convicting dangerous people and incapacitating them is a life's work, nothing less than their duty to a community. Prosecutors have wide discretion in choosing whom to charge with capital murder and whether to seek the death penalty for the person they have charged.

Once they have chosen that path, though, it is a somber commitment: It is nothing less than a public pledge to kill another person, and that is the kind of thing that is not done lightly. There is a deep emotional component to it, and that emotional commitment cannot be ignored, especially when it no longer matches the trajectory of justice.

Academics such as Susan Bandes and Ellen Yaroshefsky have studied the emotional overcommitment of prosecutors, and explain it in part by looking to peer groups. Throughout the post-conviction process, prosecutors are usually surrounded by people (such as supervisors and investigators) who share their commitment to a conviction. At the same time, ethical rules keep them away from the person with the highest stake in the game, the defendant, who may want to challenge the outcome.

Among those complaining about the rush to execution has been the government of France. Here's a news flash: Texans really don't care much what the French think.

What do Texans care about? As even a casual observer of the campaign of Texas Gov. Rick Perry for president has probably noticed, many Texans care about the Bible. Texas, for good or bad, has a highly Christianized political culture, and the very center of the Christian gospels themselves contain a dramatic warning against the dangers of overcommitted prosecutors.

At the trial of Christ it was the chief priest, Caiaphas, who took the role of prosecutor. As the trial wore on, he became frustrated. The evidence had contradicted itself; it suggested more than one story. Finally, Caiaphas could take no more and demanded an immediate outcome. He tore his shirt and said, "Why do we still need witnesses?" It was only then that Christ was condemned to die.

That emotion, enough to tear your own shirt, is the kind of commitment that is in the heart of prosecutors. It is a passion born of good intentions, but one that can turn against the good. Caiaphas was not a hero, and Texans of all people should understand that. The commitment of prosecutors is too rooted in emotion to be a deciding factor in a case such as this, and the objectivity of courts must bring to bear what is right.

The opinions expressed in this commentary are solely those of Mark Osler.

@highlight

Texas was set to execute man who wanted evidence tested for DNA

@highlight

Court stayed his execution Monday over objection of prosecutors

@highlight

Mark Osler says prosecutors who try death penalty cases display certainty

@highlight

He says courts need to step in to make sure justice is being done