An Army veteran who neighbors say played in a far-right punk band was the lone shooter in the rampage at a Sikh temple in Wisconsin that killed six people and wounded four, according to information Monday from law enforcement authorities.

Wade Michael Page, 40, was shot to death by police responding to the Sunday morning attack in the Milwaukee suburb of Oak Creek, the community's chief of police told reporters.

A long history of bias crimes against Sikhs

Sunday's attack occurred 16 days after a gunman killed 12 people and wounded scores in a Colorado movie theater, reigniting the gun-control debate in the United States.

"These kinds of terrible and tragic events are happening with too much regularity for us not do some soul-searching and examine additional ways that we can prevent" such violence, President Barack Obama told reporters when asked about the Wisconsin shooting at a White House bill-signing ceremony.

However, New York Mayor Michael Bloomberg criticized Obama and certain Republican presidential nominee Mitt Romney for not advocating tougher laws to prevent dangerous people from obtaining guns.

"The fact that criminals, terrorists and other mentally ill people have access to guns is a national crisis," Bloomberg said during a visit to a Sikh community center in Queens.

Bernard Zapor -- the Bureau of Alcohol, Tobacco, Firearms and Explosives special agent in the investigation -- said Monday that the 9mm semiautomatic handgun with multiple ammunition magazines used by the attacker had been legally purchased.

Page bought the gun on July 28 at the Shooters Shop in West Allis, Wisconsin, and picked it up two days later, according to a law enforcement official. The suspect bought ammunition there and used the shop's range at some point, said the official.

The gunman shot people inside and outside the Sikh house of worship, including a police officer, Oak Creek Police Chief John Edwards said. Another police officer with a rifle then shot the gunman, who died at the scene.

Read Obama's statement on the Wisconsin shooting

While authorities said Page was the only gunman, they also had been looking for another man spotted at the crime scene Sunday who left before anyone could identify him. On Monday, the FBI's Paul Bresson said the man being sought had been "located, interviewed and cleared." Edwards said authorities were still in contact with that person.

According to Edwards and the FBI, authorities have received tips that Page might have links to the white supremacist movement, but nothing had been confirmed. "I don't want to use that term (white supremacist) until we want to put it out there for sure," Edwards said Monday night. "That's not something I can take back."

Authorities are following up on numerous leads and are still reviewing exterior videos of the temple, Edwards told CNN's "AC360." Investigators haven't identified a known motive, he said.

Two neighbors of Page identified him in photos that showed him playing in the far-right punk band "End Apathy," and the nephew of the slain president of the Sikh temple said the attacker had a 9/11 tattoo on his arm.

Teresa Carlson, the FBI special agent in charge of the investigation of Sunday's shooting, said no motive for the attack has been established. The FBI was looking into whether it was domestic terrorism, which is the use of violence for political or social gain, Carlson said.

"We are looking at ties to white supremacist groups," Carlson told a news conference, adding there was no active investigation of Page prior to Sunday's attack.

According to a man who described himself as an old Army buddy of Page's, the attacker talked about "racial holy war" when they served together in the 1990s. Christopher Robillard of Oregon, who said he lost contact with Page more than a decade ago, added that when Page would rant, "it would be about mostly any non-white person."

"He didn't seem like the type of person to go out and hurt people," Robillard said. "He would talk about it all the time, but it was more like he was waiting for the ... revolution to start."

Page, born on Veterans Day in 1971, joined the Army in 1992 and left the service in 1998, according to Army spokesman George Wright. His service was marked by "patterns of misconduct," though he received an honorable discharge, according to a Pentagon official.

The suspect did have a criminal record, Edwards said. A background check showed Page had separate convictions for DUI in Colorado in 1999 and for criminal mischief in Texas in 1994.

A federal law enforcement official told CNN that investigators interviewed a former girlfriend of Page. The woman said the pair had recently broken up, and she told investigators she had no indication Page planned such an attack. She provided the names of friends and associates of Page, the official said.

Page's family said it was "devastated by the horrific events," according to the Journal Sentinel newspaper.

"While there can be no words of comfort that will make sense of what happened that day, please be aware that our thoughts and prayers go out to all the victims and their families," the family said in a text message, according to the newspaper.

"We share in their grief for all who lost their lives that day and for those survivors, we hope for a speedy recovery. We have been cooperating and will continue to cooperate with the investigation in any way we can. Please respect our privacy as we try to deal with the tragic loss of life and family."

Obama noted Monday that the motive for attack had yet to be determined, but if it turns out to be based on the ethnicity of the worshipers, "I think the American people immediately recoil from those kinds of attitudes."

Because of their customary beards and turbans, Sikh men are often confused with Muslims, and they have been the targets of hate crimes since the 9/11 terrorist attacks on New York and Washington.

The six victims of Sunday's attack were identified by police as five men -- Sita Singh, 41; Ranjit Singh, 49; Satwant Singh Kaleka, 65; Prakash Singh, 39, and Suveg Singh, 84 -- and one woman, 41-year-old Paramjit Kaur.

Photos: Shooting at the Sikh Temple of Wisconsin

Two other Sikh victims remained hospitalized in critical condition, while a third was treated and released, Edwards said.

Prayer vigils were held Monday night in the Milwaukee metropolitan area, with another scheduled for Tuesday evening.

The wounded police officer, identified as 51-year-old Lt. Brian Murphy, also was in critical condition, the police chief said. Edwards told CNN's "Erin Burnett OutFront" that Murphy had a "promising," but long, recovery ahead. The officer suffered nine gunshot wounds.

Terror, tragedy for tight-knit Sikh community

One of the dead, Prakash Singh, was a priest who recently immigrated to the United States with his wife and two young children, said Justice Singh Khalsa, a temple member since the 1990s.

Relatives of Kaleka, the president of the temple in Oak Creek, Wisconsin, said that he was killed fighting the attacker.

"From what we understand, he basically fought to the very end and suffered gunshot wounds while trying to take down the gunman," said Kanwardeep Singh Kaleka, his nephew.

Kaleka said those inside the gurdwara, or Sikh house of worship, described the attacker as a bald white man, dressed in a white T-shirt and black pants and with the 9/11 tattoo on one arm, which "implies to me that there's some level of hate crime there."

Belief Blog: Who are Sikhs?

While officials try to piece together what prompted the man to go on his shooting spree, America's Sikh community struggled to come to grips with the brutal attack.

A Sikh human rights group said it would give a $10,000 reward to Murphy, the police officer wounded in the attack.

"Our government must take urgent steps to educate the country about the Sikh population and help put an end to these horrific and deadly acts of violence," said a statement by the group, Sikhs for Justice.

Kaleka was horrified to have such violence occur at his place of worship, especially so soon after the 12 killings at a screening of the Batman movie "The Dark Knight Rises" in Aurora, Colorado.

"You're talking about Aurora one minute, and the next minute it's you and your family," Kaleka said.

Meanwhile in India, the birthplace of Sikhism, Prime Minister Manmohan Singh said he was "shocked and saddened" by the shooting.

"That this senseless act of violence should be targeted at a place of religious worship is particularly painful," Singh, himself a Sikh, said.

The country's main Sikh political party, the Shiromani Akali Dal, held a demonstration in New Delhi's embassy district Monday to protest.

Secretary of State Hillary Clinton spoke by phone with India's foreign minister, and U.S. Ambassador Nancy Powell met with Sikh community leaders in New Delhi and visited the largest Sikh temple in the city, said State Department spokesman Patrick Ventrell.

Sunday's attack occurred about 10:30 a.m., when temple members were reading scriptures and cooking food in preparation for the main Sunday service and community lunch. The temple has more than 350 members.

According to witnesses, the gunman started shooting in the parking lot, killing at least one person. He then entered the temple and continued firing, they said. Police spent Sunday night searching the shooter's home in nearby Cudahy, a short distance from the temple.

Political leaders at the national, state and local level offered condolences for the killings and declared solidarity with the Sikh community.

Obama ordered U.S flags flown at half-staff through Friday "as a mark of respect for the victims of the senseless acts of violence."

In a statement Sunday, Obama said the United States had been "enriched" by Sikhs, and that his administration "will provide whatever support is necessary to the officials who are responding to this tragic shooting and moving forward with an investigation."

Romney, meanwhile, called the slayings "a senseless act of violence and a tragedy that should never befall any house of worship."

Romney: A 'senseless act of violence'

The United States is home to about 700,000 Sikhs, nearly all of Indian origin, according to the Sikh American Legal Defense and Education Fund. The men are easily identifiable by their beards and turbans, a tradition that's lasted for 500 years.

Obama: Shooting a 'tragedy'

Six people were killed in a shooting rampage. Share your thoughts and remembrances.

@highlight

Motive has not been identified, police chief says

@highlight

Suspect bought gun recently, says law enforcement official

@highlight

A former Army buddy says Wade Michael Page, 40, talked of "racial holy war"

@highlight

Family of suspect says it is "devastated," in prayer for victims