Port-au-Prince, Haiti (CNN) -- In the best of times, the Champs de Mars square in downtown Port-au-Prince was an awe-inspiring sight for Haitians. The broad boulevard was home to the majestic presidential palace, the seat of the country's power and prestige.

Not anymore.

The century-old gleaming white palace is in ruins. And in the shadow of its wrought-iron gates, the immaculately maintained plaza has been overtaken by row upon haphazard row of makeshift shacks as far as the eye dwells.

These are the new homes of the capital's displaced residents: rickety quarters comprised of bed sheets, propped up on sticks and held together with ropes.

Nearly 500,000 Haitians have moved here, rendered homeless by a 7.0-magnitude earthquake that devastated the impoverished island-nation a week ago.

Throughout the capital, and in other affected areas of the country, similar tent cites have risen -- cramped, squalid encampments filled with the few belongings that residents have salvaged.

As rescue and recovery efforts continue, these mini-cities pose Haiti's next challenge.

"This is the biggest one," National Police Chief Mario Andresol said on Monday. "We have new area to protect and new people to protect. It's another kind of security we have to ensure. This is the toughest one."

Full coverage | Twitter updates

It will be an overwhelming task. The Port-au-Prince police force of 4,000 has plunged to about 1,500 -- the rest of the officers dead, wounded or missing, Andresol said.

Complicating matters, about 4,000 convicted criminals are on the loose. The capital's 95-year-old, badly overcrowded National Penitentiary collapsed after the quake, and the inmates escaped.

"We have an emergency now," Andresol said. "Because, probably next week, we will have more confusion on the street. The bad guys will be organizing themselves, and they can be the most principal threat to the police and the population."

Police presence at these new neighborhoods is sporadic. With electricity lines down throughout the city, residents bunch up their meager belongings into pillows and sleep on them after dark.

iReport: Looking for loved ones

"You put something down, and they steal it," said one resident, who identified himself as Ruben. "You know, there's no jail in the country. All the prisoners go out. You don't know the good people or bad people. That's why you have to be careful."

In some camps, residents have far worse fears.

"By night, with not enough electricity, some people try to rape and steal and kill people also," Andresol said.

U.N. Secretary-General Ban Ki-moon said Monday that he would ask for an additional 2,000 U.N. troops and 1,500 U.N. police officers to bolster the 3,000 U.N. police and soldiers currently deployed in Port-au-Prince.

Haiti police ill-equipped to handle crisis

But security is just one of the many immediate needs that tent-dwellers are praying for.

They await food and medical help.

In one tent, an 8-year-old boy suffers a seizure as family members look on helplessly. In another, a little girl cries in pain, her leg wound oozing.

iReport: I'm alive -- message from Haiti

"The people of Haiti need help. Quickly! Quickly. We need help!" a woman screams, tears streaking her face.

In another part of the square, an old man sits quietly, thumbing a Bible.

"My situation (is) very bad, very bad," he says. "God only know that. God can help me. God can do everything for me."

For many residents, there is little else to do but pray -- and wait.

The men mill about aimlessly, wondering when help will arrive. Teenagers rush off when they hear that water and food are available somewhere. Most of the time, they return empty-handed.

Gallery: Devastation in Haiti

With little else to play with, children kick up dirt and squeal in delight. Their mothers squat by portable stoves, fanning the fire with pieces of cardboard.

All around, trash piles up. The stench is unbearable, worsening by the hour under the hot sun.

When night falls, the residents gather by flickering candlelight and sing spirituals to keep their spirits up. Occasionally, gunshots ring in the distance.

Eventually, they drift off to sleep on tattered mattresses and cardboard boxes. Tomorrow, they hope, will bring a better day.

CNN's Soledad O'Brien, Rafael Romo, Jason Carroll in Port-au-Prince and Saeed Ahmed in Atlanta contributed to this report.

@highlight

Their homes destroyed, many Haitians living in ramshackle tent cities

@highlight

People living there fear rape, robbery and other criminal activity

@highlight

National Police Chief Mario Andresol says tent cities pose his biggest challenge

@highlight

In addition to security concerns, people in tent cities want for food and medicine