TBLISI, Georgia (CNN) -- Russian forces launched an airstrike against a military airfield near the Tbilisi International Airport early Sunday, despite international calls for Russia to stand down from the escalating conflict, Georgian officials told CNN.

The attack near the Georgian capital city came after a day of intense fighting in the former Soviet republic, with dozens of Russian warplanes bombing civilian and military targets in Georgia on Saturday.

As many as 2,000 people had been killed in the capital of separatist Georgian province South Ossetia, according to a Russian ambassador.

"The city of Tskhinvali no longer exists. There is nothing left. It was wiped out by the Georgian military," the Russian news agency Interfax said, quoting the Russian ambassador to Georgia, Vyacheslav Kovalenko.

Tskhinvali residents who survived the bombardment by hiding in basements and later fled the city estimated that hundreds of civilians had died. They said bodies were everywhere, according to The Associated Press.

CNN could not independently confirm any death tolls, which varied greatly depending on the source.

Alexander Lomaia, secretary of Georgia's National Security Council, said dozens of Georgian troops had lost their lives.  Watch Georgian minister describe fighting in South Ossetia »

"Our losses are mounting ... as many as 40 military servicemen killed and over 100 wounded," he said. "The losses are also mounting among civilian population in the cities."

Lomaia said Georgian troops in Tskhinvali were engaged in fierce ground battles on Saturday with Russian troops, whom he said were engaged in a full-scale military operation.

The operation included tanks, armored vehicles, heavy artillery, soldiers and paratroopers, Lomaia said.

Military aircraft were crossing the Georgian border about every 15 minutes, he said, hitting civilian, economic and military targets. He said that at least 50 military jets were being used.  Watch images of crashed Georgian war plane »

"Frankly, we have not expected the Russian invaders to hit our residential buildings, to hit our peaceful cities, to hit our peaceful citizens," he said.

He said he couldn't confirm whether Georgia's capital, Tbilisi, had been hit.

"From the legal point of view, our actions are absolutely justified and legitimate," Russian Prime Minister Vladimir Putin said in Vladikavkaz, the capital of the Russian region of North Ossetia. "Moreover, they are necessary."

He arrived in the region that borders South Ossetia on Saturday night.

Putin's press secretary told Interfax that the premier was concerned about the flood of refugees arriving in Russia from South Ossetia. Russian officials said that more than 30,000 refugees have left South Ossetia and crossed into Russia over the past two days, Interfax reported.

"The actions of the Georgian authorities in South Ossetia are a crime, of course, primarily a crime against their own people," Putin said.

"This aggression led to numerous casualties, among civilians in particular, and virtually caused a real humanitarian catastrophe. And that is already a crime against the Ossetian people," he said.

"At the same time I would like to stress that Georgia has always been greatly respected in Russia and Georgians regarded as brotherly people," the premier said.

Russians struck several major targets Saturday, including the Black Sea port of Poti, an airport, a major pipeline and a military base and train station in Senaki in western Georgia, Lomaia said. Georgian officials said that a center housing civilians had also been hit. Eight Georgians died in the port town, Georgian officials said.

The Kodori Gorge in upper Abkhazia -- a second breakaway province in Georgia -- was also bombarded by at least 12 Russian jets, Lomaia said.

Georgia's public television station reported a second round of bombings in Abkhazia at just before 11:30 p.m.

Military bases at Vaziani and Marneuli also came under attack, the British Foreign Office said, and Russian aircraft bombed the Georgian town of Gori, about 35 miles northwest of Tbilisi, Georgian officials said.

An Associated Press reporter who visited Gori shortly after the Russian airstrikes Saturday saw several apartment buildings in ruins, some still on fire, and scores of dead bodies and bloodied civilians. The elderly, women and children were among the victims.

A Russian naval fleet was anchored in the Black Sea port of Ochamchire in Abkhazia province, Lomaia added.

"We have managed to down 10 Russian jets, and one of the pilots has been captured alive and is being treated in a military hospital," Lomaia said. "We have also destroyed up to 30 Russian tanks and heavy military [vehicles]."

The situation in South Ossetia escalated rapidly from Thursday night, when Georgia said it had launched an operation into the region after its unilateral cease-fire was met with artillery fire from separatists that killed 10 people, including peacekeepers and civilians. It accused Russia of backing the separatists.

Russian tanks began rolling into Georgia on Thursday night.

On Saturday, the Georgian parliament approved President Mikhail Saakashvili's request to impose a "state of war" for 15 days, officials said.

The order is not a formal declaration of war and stops short of declaring martial law, according to Georgian officials.

It gives Saakashvili powers he would not ordinarily have, such as issuing curfews, restricting the movement of people or limiting commercial activities, those officials said.

Saakashvili asked Western leaders to pressure Russia to agree to an immediate cease-fire.

"We are dealing with absolutely criminal and crazy acts of irresponsible and reckless decision makers, which is on the ground producing dramatic and tragic consequences," Saakashvili said Saturday afternoon.

U.S. President Bush, speaking from Beijing, China, called for an immediate halt to the violence, a stand-down by all troops and an end to the Russian bombings. He urged the sides to return to "the status quo of August the 6th."  Watch Bush express concerns over situation »

"The attacks are occurring in regions of Georgia far from the zone of conflict in South Ossetia. They mark a dangerous escalation in the crisis," Bush said in a statement while attending the Olympic Games, according to The Associated Press.

Bush spoke Saturday evening to Saakashvili and Russian President Medvedev, a White House spokesman said.

The war, Saakashvili said, "is not about South Ossetia. It has never been in the first place. It is about destroying a small democratic nation aspiring to live in peace, freedom and liberty."

"This unprovoked, long-time-ago-planned invasion and aggression must stop," he said.

It was unclear which side controlled Tskhinvali on Saturday. The Georgians said fighting raged, but the Russians said they had "liberated" the city.

"Battalion task forces have fully liberated Tskhinvali of Georgian armed forces and started pushing Georgian units out of the area of responsibility of the peacekeeping forces," General Vladimir Boldyrev, commander of the Russian Ground Forces, told Interfax.

Colonel-General Anatoly Nogovitsyn, a spokesman for the Russian Defense Ministry, said that Georgians had shot down two Russian aircraft, contradicting Georgian claims.

Georgia, a pro-Western ally of the United States, is intent on asserting its authority over South Ossetia and Abkhazia. Both have strong Russian-backed separatist movements.

Inside South Ossetia, civilians have been without water, electricity and basic services for more than a day, said Maia Kardava, a Red Cross spokeswoman in Tbilisi. She said the Red Cross was unable to reach colleagues based in Tskhinvali because their phones had lost power and they were huddled in bomb shelters.

CNN's Elise Labott and journalist Elene Gotsadze contributed to this report.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

2,000 people have been killed in South Ossetia, Russian ambassador says

@highlight

40 military killed and mounting civilian casualties, Georgia official says

@highlight

Russian prime minister: Georgia's actions are "crime against their own people."

@highlight

French President Nicolas Sarkozy proposes an immediate cease-fire