(CNN) -- If you are one of the lucky many to have received a new tablet or smartphone over the holidays, congratulations! You'll want to rip open the box and start playing right away. But before you do something potentially distracting like downloading Dots, here are some starter tips to make the most of your new device, whether it's an iPad Mini, Nexus 5 smartphone or Kindle Fire HDX.

Prevent heartbreak with security measures

Your new gadget is shiny and amazing and already precious to you. So it might be hard to imagine a dark day in the future when you are careless enough to leave it in the airplane seat pocket in front of you or unlucky enough to have it stolen. Bad things will happen, but there are a few steps you can take now to make it hurt a little less down the line.

First, turn on the screen-lock setting which will require a passcode or password (or fingerprint or face recognition) every time you turn on the phone or tablet. This is your number one defense against someone accessing sensitive financial and personal information if they find or steal your device. It will also make it more difficult for them to wipe it and erase any information you didn't back up. Logging in every time will seem like a slight inconvenience at first, but after a few days you'll hardly notice you're doing it and the few seconds will become a forgotten routine.

Next, download or activate any lost-device location features so that you can track the physical location of your tablet or phone if it is lost or stolen. Apple products have Find my iPhone installed by default, but you must connect your device to an iCloud account. Android devices can use the Android Device Manager.

Make a backup plan

Whether you end up using your tablet or smartphones primarily for communication, enjoying content like movies and books, or creating original content like drawings and work documents, you'll want to back up your device.

You can go through the default backup tools, such as iCloud or iTunes on iOS 7 or the Backup & Reset settings on Android. Third-party apps can also come in handy, like Dropbox, Titanium Backup or Carbon. When possible, use individual apps that automatically sync anything you create to the cloud.

Get a case

A new gadget's pristine screen and body are so pretty to look at, so gloriously unscuffed and unsullied. You may think it would be a shame to hide its glory under some cheap plastic case.

You know what's worse? Living with a broken and scratched device that cost hundreds of dollars. It happens far too often. Just look around your local coffee shop and count the number of people working around a cracked screen, dragging their bleeding or calloused fingers over fractured glass held together with clear packaging tape.

If you're clumsy or have children or are prone to the forces of gravity, consider buying a case.

Save money

The first bill on a new mobile device can be a shocker when you easily breeze past your data limit or rack up roaming charges. If your device is on a cellular plan, take precautions and set a mobile data warning or limit to prevent you from going over. The option is under Settings ->Wireless & Networks -> Data Usage on Android devices.

If you're using an Apple device, you can monitor how much data your device is eating up under Settings -> Cellular -> System Services (at the very bottom of the page). It groups data usage by the type of service like Mapping Services and Exchange Accounts. If you deduce a specific app is sucking down the most data, you can revoke its ability to use cellular data here too.

You can also install third-party apps to monitor data usage, some of which break it down by individual apps. Video and music streaming apps are big data hogs, so make sure you're on a wireless network before binge watching House of Cards.

If texting or calling charges are a concern, download calling and messaging apps that work over WiFi like Skype, What's App and Viber.

Delete the junk

Fresh out of the box, many devices are set up to favor their creators' or carriers' preferred apps. The problem is especially bad with Android and Windows phones sold through third-party carriers, which like to preinstall all sorts of bloatware.

Go through and delete any promotional or unwanted apps right away. If you can't delete the app on Android, you can probably disable it in settings so that it is out of sight. Apple devices are more conservative with preinstalled apps, but there is a core group of iOS apps you can't uninstall. If you really don't want to use them, stash them away in a folder.

This is also the time to make some cosmetic adjustments, like picking a new wallpaper and organizing your apps, so that you don't have to readjust to a new layout later. Prone to motion-sickness? Switch off the parallax setting on iOS 7.

Download starter apps

While not junk, some of the default apps might not be the best option for you. For example, Apple's Maps app, while vastly improved over its original buggy version, still isn't as good as Google Maps, which can be downloaded from the App Store (Google makes a number of must-have apps for iOS 7). There are a host of weather, calendar, note-taking, and camera alternatives to test out before setting down with the defaults.

Hunting for and downloading new apps is the most exciting part of a new gadget. Start with the basics, like Twitter, Facebook and Instagram. If you're a news junkie, get the apps for your favorite outlets, any local channels or publications, and your favorite news aggregation app. Keep yourself organized with Evernote, and if you're part of a couple, download Avocado (if not for the sweet private messaging stuff, than because it's a handy way to coordinate to-do lists).

If you are a subscriber to any video or music streaming services, download the mobile apps (Netflix, Pandora, Amazon Instant, Hulu, Spotify). If you've already started anthropomorphizing your iPhone or iPad, just go all the way and download Hatch.

Here are suggestions of apps for travelers, apps for weathering storms and apps for staying healthy.

If you have kids

You may start out telling yourself you won't let the children play with your tablet or smartphone, but it only takes one twitchy toddler in a nice restaurant to kill that dream. If your device has parental controls, set them up early to prevent any unwanted app purchases, work emails or cryptic Facebook postings.

If you are going to record a video

Make sure your device is horizontal. Vertically shot movies are a plague that must be stopped.

If you're replacing an old tablet or phone

Don't forget to wipe your old device completely before handing it down, selling it on Craigslist, or donating it to a local charity.

@highlight

New mobile device? There are some tips any new owner should know

@highlight

Simple tablet and smartphone security measures can prevent heartache later

@highlight

Save money with data warnings and limits, as well as Wi-Fi messaging and phone apps