For many college students, landing a coveted internship is a feat. But making the most of the internship is the real accomplishment.

With countless internship stories -- both dream scenarios and nightmares -- making the news lately, CNN chatted with interns past and present to find out what made their experiences so great.

Let's be real. Free food galore, tantalizing perks and pay were definitely touted, but many students say these benefits are not the keys to a great internship.

"The best internship I ever had was in the district office for Congresswoman Eddie Bernice Johnson," says former intern Anam Iqbal. "While the internship was unpaid, the experience was priceless. I met many local political figures ... and many lifelong friends in the office."

So what's the secret? We got the skinny from interns past and present who say it's all in what you make of it. Here are five must-dos for a dynamite internship:

1. Don't get caught up on money

Caitlin Beck, a rising senior at Fordham University, interned with MTV News -- for no pay -- this past spring. She's working now as a restaurant hostess to save money for the school year. She says writing for the MTV News RapFix blog and coordinating guest segments in the "TRL" studio outweighed the pay issue.

"It never really made me mad because I loved it," she says. "When you're working somewhere like that, it validates you, so you almost can't get mad at them." Beck received some financial assistance, including reimbursement for transportation, from Fordham to make her internship possible.

Other interns also appeal to their schools for help making unpaid internships possible. While interning with Ashoka, a social entrepreneur think tank in Arlington, Virginia, Ayah Abo-Basha received a grant from her school's honors program -- and she says it's a situation with which many of her fellow interns can sympathize.

"I'm not spending money left and right," she says. "All the interns bring their lunches."

Other students turned to part-time jobs. Iqbal had a morning job as a bank teller for the duration of her internship, and she coordinated her schedule with the bank and the congresswoman's office to make sure she could manage both commitments.

When students are interning with start-ups or small companies, sometimes the employer just can't afford to pay extra hands.

Hilda Adenjii, now a campus coordinator at Pace University, interned with event planning group DBD Social last summer. She was unpaid, but her employer covered all project expenses. When DBD Social merged with another company in the fall, they had the money to pay -- and they hired Adenjii back as a paid intern.

"Internships have become the new entry level," says Lou Gaglini, associate director for employer relations and recruiting at Boston College Career Center. "Employers like to know you can hit the ground running."

2. Embrace program structure

No student relishes the stereotypical picture of "intern busy work": sorting files, entering data -- feel free to insert your most dreaded office task here.

In a structured internship program, there's considerably less room for busy work or (even worse) dead time. Interns' schedules are instead packed with meetings, events or seminars.

Ayah Abo-Basha, a rising junior at Washington University in St. Louis, is interning this summer with Ashoka, a social entrepreneur think tank in Arlington, Virginia.

"I would say there's just enough structure," she says, specifically mentioning how weekly intern meetings can be educational seminars one week and informal socials the next.

Graduate student Max Huleurt is the only intern in the production department of CBS's "GameSpot," so he says he appreciates participating in activities with other CBS interns, such as the lunchtime "Intern Olympics." After socializing and enjoying the free event, he returns to his department, where he collaborates with salaried team members "just like at a real job," he says.

3. Find your role and claim ownership of your projects

The word "ownership" pops up again and again when students describe internship successes.

Tom Pae says this is what separates good internships from great internships. As a LinkedIn global sales operations intern, the majority of his time is spent collaborating with other interns on "meaty" projects and discussing his work with top leadership at the company.

Alex Forss is at eBay for his second summer because he says he feels encouraged to pitch ideas and network with upper management. He's also seen his ideas successfully implemented later -- and he gets credit, too.

"It is a high-paying internship, but the responsibility is the most rewarding part of it," he says. "I just led a conference call with a couple VPs on the phone. They let me do that."

But it's not just tech companies that value collaboration with interns.

At CBS Interactive, Huleurt says he has unlocked the secret to internship happiness: knowing your work has value.

"It's not, 'Hey, intern, go get coffee,' or 'watch me do this,' " he says. "I have a very specific place, and it feels like a real job."

Shara Senderoff founded the website Intern Sushi to match students with good internship experiences. She says identifying your role is critical when later discussing an internship experience in job interviews or within a cover letter.

"If you can't say why your company is doing what it's doing, you don't know anything about the culture or the company," she says. "You need to know the bigger picture of where your work fits in."

4. Bond with your supervisor

At Ashoka, Abo-Basha says she doesn't have an "intern supervisor" -- she has an "accountability partner," a full-time employee also in her field.

"You're a partner, not just a lowly intern," she says. Abo-Basha regularly meets with her accountability partner to give project updates, ask for advice on problems or learn about other opportunities within the company.

But the best supervisors don't just lead -- they also inspire.

When interning for Rep. Eddie Bernice Johnson, D-Texas, in 2010, Anam Iqbal took particular notice of the congresswoman's condolence card routine. Johnson sent personalized cards to the families and friends of recently passed Texans in her district.

"Working in the office made me realize mailing some things puts a smile on people's faces, whether you realize it or not," Iqbal says.

Iqbal is now pursuing a master's degree in public administration -- a decision she says was inspired by her experience working with the congresswoman.

"Seeing her really care for her constituents made me think, 'I want to be like that. I want to be her,' " she says.

5. Leave with talking points for your next job interview

A stacked resume isn't only good for netting internships; it should ideally highlight those experiences to lure full-time employers.

Adenjii did exactly that after DBD Social. She parlayed her experience planning parties and coordinating events into a career as a campus coordinator at her alma mater, Pace University. There, she draws from her internship experience on a daily basis.

"My internship was a major thing I was asked about on job interviews," she says.

Adjenjii says she frequently referenced her hands-on experience, while Iqbal says her internship was "a conversation starter" on her resume.

Lauren Berger of InternQueen.com recommends keeping a list of tasks completed.

"It not only makes you feel accomplished, it helps you build your resume," she says. "And on that list, I would pinpoint about two to three things you've learned personally as well as professionally."

Senderoff says above all else, students should remember internships are temporary -- they provide a chance to experiment with different responsibilities and work environments.

"A great internship is an exploration of what you don't want to do," she says.

And once you know what you want to do, use the internship experience to jumpstart your next career move.

Related: How helicopter parents can ruin kids' job prospects

@highlight

In a structured internship program, there's less room for busy work

@highlight

Good internship supervisors don't just lead -- they also inspire

@highlight

Lauren Berger of InternQueen.com says to keep a list of tasks completed

@highlight

Expert: "A great internship is an exploration of what you don't want to do"