Paris (CNN)French Prime Minister Manuel Valls on Wednesday announced "exceptional measures" to respond to the "change of scale" of the terrorist threat in the wake of deadly attacks two weeks ago in Paris.

Valls said close to 3,000 people in France with jihadist ties needed to be under surveillance -- and that the number of people with links to networks in Iraq and Syria had increased by 130% in the past year.

In response to the threat, 2,680 new jobs will be created, of which intelligence services alone will account for 1,100, he said. Many of the new jobs will be dedicated to tackling the threat from online jihadism.

France will allocate 425 million euros ($490 million) over the next three years to boost the fight against extremism, Valls said.

These resources will be used to buy new equipment, such as bulletproof vests and better weapons for police officers.

Valls also said a new bill would be presented in April aimed at reinforcing the intelligence services' legal position in conducting surveillance.

Efforts for early detection of radicalization will be enhanced within the Justice Ministry, he said. People charged with or convicted of acts of terrorism will be placed on a list and required to report trips abroad or changes of address.

Other measures are aimed at preventing radicalization in prisons and online. Internet companies and social networks will be expected to cooperate closely with authorities, Valls said.

The Prime Minister also detailed the "consequences for those who attack the nation," which may include removal from French territory for radical Islamists, or loss of French citizenship. The latter measure will need to be validated by the Constitutional Council on Friday.

The costs of the new anti-terrorism provisions will be met through savings in other areas of public spending, Valls said.

Through these measures, he concluded, the government was sending a "message of relentless determination" to the French people.

Valls' announcement comes as Europe ramps up efforts against Islamist extremism in the wake of the Paris attacks.

The attacks this month against the satirical Charlie Hebdo magazine and a kosher supermarket have turned the spotlight on links between radical Islamists in Europe and terror networks elsewhere.

Al Qaeda's Yemen affiliate, al Qaeda in the Arabian Peninsula (AQAP), has claimed to be behind the January 7 massacre by gunmen Said and Cherif Kouachi at the offices of Charlie Hebdo.

And gunman Amedy Coulibaly, who attacked the kosher grocery store on January 9, proclaimed his allegiance to the Islamic State in Iraq and Syria, or ISIS.

The suspects in the Paris attacks may have urged their associates to leave France before the plot was carried out, law enforcement sources told CNN. European authorities  are concerned that about half a dozen people with ties to the terror suspects are believed to be in Syria and could return to Europe to launch more attacks, the sources said.

A Western official added the recent arrests across Europe are similar to the "hyper-reactivity" after 9/11 in the United States.

"We've become hyper-reactive to any suggestion of Islamic extremism and are chasing a lot of ghosts out of an excess of caution," the official said. "Some are legitimate, and some are not."

From Antwerp to Aleppo and back: Europe's nightmare

In a video released this week, a senior AQAP leader and spokesman urged all would-be jihadists to wage war at home, when possible, as opposed to traveling abroad.

"If he is capable to wage individual jihad in the Western countries that fight Islam -- such as America, Britain, France, Canada, and others of the countries that represent the head of disbelief in waging war against Islam ... If he is capable of that, then that is better and more harmful," said Nasr Ibn Ali al-Ansi.

He continued: "But if that is impossible, and he is able to serve his brothers on the front lines, then let him immigrate, for it is better."

An off-camera interviewer asked why attacks have abated in the United States.

"By the grace of Allah the great (and) the almighty, we have made efforts in external work, and the enemy knows the danger of that," al-Ansi said. "We are preparing and lurking for the enemies of Allah. We incite the believers to do that."

Paris prosecutor François Molins told a news conference that progress has been made in the investigation into the attack carried out by Coulibaly, but less so in the probe into the Kouachi brothers.

Molins identified four suspects still in custody as Willy P., Christophe R., Tonino G. and Michael A., giving only the first initial of their last names, and outlined details of the charges against them.

None of the four men has been charged with complicity in the kosher market attack.

The first three, Willy P., Christophe R. and Tonino G., were present when Coulibaly bought the Renault car that he used to reach the site of the attack. It was found parked near the Porte de Vincennes after the attack.

The fingerprints of the fourth suspect, named as Michael A., were found on one of the weapons that police discovered in Coulibaly's secret apartment in Gentilly, authorities say.

His DNA was also found on a glove discovered at the scene of the crime, the prosecutor says.

In the days leading up to the attack, Michael A. had exchanged 362 text messages and 18 phone calls with Coulibaly, the prosecutor says. The two men met on January 5, four days before Coulibaly's attack.

The four men in custody, all in their 20s, were among nine people arrested in a police operation Friday. Five other suspects held since Friday were released Monday night.

Amid heightened concern over the threat posed by radical Islamists in Europe, Belgium and Germany have cracked down on alleged extremists in recent days.

Belgian authorities continue the hunt for the ringleader behind a terrorist cell targeted in countrywide raids last week in which two suspects died.

The suspected key link between senior ISIS operatives in Syria and the Belgian terrorist cell -- Belgian-Moroccan ISIS fighter Abdelhamid Abaaoud -- is still at large, a senior Belgian counterterrorism official said Monday. His last known location was Greece, the official said.

One line of inquiry being looked at is whether Abaaoud tried to fake his own death last year while fighting with ISIS in Syria so that he could disappear off the radar screen of Western intelligence services. In October, his family in Brussels received word he had been "martyred," his sister told a Belgian newspaper.

Belgian investigators believe Abaaoud, rather than dying on the front lines, traveled to Greece and suspect he was communicating by phone from there with the terrorist cell in Belgium.

Despite an international manhunt, involving both American and European intelligence agencies, Abaaoud remains at large. The concern is he will return to Syria before he can found.

The Belgian prosecutor's office, meanwhile, said Wednesday that custody had been extended for three suspects arrested in last Thursday's raids.

All three are charged with participation at the activities of a terrorist group and violation of weapons laws. One is also charged with armed rebellion, in a group, with premeditation.

That last is Marouan El Bali, who survived the police raid in Verviers in which two suspects died. His attorney said he was not involved in terrorism, but was simply in the wrong place at the wrong time.

The Greek authorities have also agreed to the extradition of an Algerian suspect named as Omar S., the Belgian prosecutor's office said. The extradition could take place in the following days.

When he arrives in Belgium, he will be brought before the investigating judge, who will decide on an arrest warrant, the prosecutor's office said.

Another suspect, named as Abdelmounaim H, was arrested Tuesday and charged with participation in the activities of a terrorist group. He's due to appear before a Brussels court on Friday, the prosecutor's office said.

Federal prosecutor Eric Van Der Sypt said last week that the alleged terror cell targeted in the countrywide raids was on the brink of an attack and planned to target police officers.

Meanwhile, police in Berlin, Brandenburg and Thuringen raided 13 properties linked to suspected radical Islamists overnight Monday to Tuesday.

The raids are part of the investigation into two alleged Islamists who were arrested Friday, identified as Ismet D. and Emin F., Berlin police said. Both of them are accused of providing logistical aid to ISIS.

Those subject to the raids have not yet been accused of any crimes, but had contact with Ismet D. and Emin F. There are no indications that the group was preparing attacks in Germany.

Coulibaly killed four hostages at the kosher grocery store in Paris before police killed him. He's also believed to have killed a policewoman a day earlier.

New surveillance video obtained by CNN purportedly shows Coulibaly and Hayat Boumedienne -- believed currently to be in Syria -- outside a Jewish institution in Paris.

A source familiar with the ongoing investigation into the Paris attacks says there is a high degree of confidence that the video shows Coulibaly and Boumedienne.

The video was recorded at the end of August or beginning of September and stored on a security camera.

The source says the nature of the video makes it clear that the couple were carrying out surveillance of possible targets for months before Coulibaly launched his attack against the kosher supermarket.

The video was stored because it showed possible signs of unusual activity at the location, says the source.

CNN's Sandrine Amiel reported from Paris, and Laura Smith-Spark wrote from London. CNN's Pamela Brown, Paul Cruickshank, Tim Lister, Marilia Brocchetto, Anna-Maja Rappard, Mohammed Tawfeeq and Catherine E. Shoichet contributed to this report.

@highlight

AQAP leader urges all would-be jihadists to wage war at home

@highlight

French Prime Minister says 3,000 people in France need to be under surveillance

@highlight

France will spend 425 million euros in the next three years on the fight against extremism