Many female travelers are scrubbing India off their destination lists after the horrific gang rape and murder of a Delhi student in December 2012.

According to the Associated Chambers of Commerce and Industry of India, 35% less women visited India in the three months after the attack compared to the same period last year.

Since December, rapes have persisted and mass protests have erupted across the country, pointing at inefficiency in dealing with such crimes and an inherent patriarchal nature. But there's one clear observation from the outcry: some of the voices belong to India's men.

"Every time I look into the mirror, I want to see a man whose mother, sister, wife and daughter are proud to call their own," says renowned Bollywood actor and director Farhan Akhtar on the website of his movement formed in March called MARD --- Men Against Rape and Discrimination.

Distributing plastic moustaches -- a symbol of masculinity -- at the cricket ground of Eden Gardens in Kolkata in April, Farhan is using his influence to encourage men to become "real MARDs" -- also meaning "men" in the national language of Hindi.

He is setting out a plan of action with Magic Bus --- an established NGO in India -- that uses sport to engage children from poorer communities, teaching values such as the importance of education, health and gender equality.

"Young people in India don't have good role models aside from Bollywood and sports people," says Matthew Spacie, Magic Bus founder. "Farhan is a great voice addressing young people."

Parvati Pujari, 22, is one of around 10,000 youth leaders recruited from within communities to deliver the NGO's programs.

She says boys are aware of the rape problem and the need for change. "But somewhere in their minds, they see girls as weak," she adds.

The programs focus on building confidence in girls, for example, to ask for the ball from boys in a game of football, and encouraging boys to believe girls can play as well as they can.

Deepak Kashyap, a psychologist in Mumbai, says the idea of boys being better than girls begins in childhood:

"We're talking about a country where the female infanticide rate is so high. That says that women are not wanted. Then boys grow up with a sense of entitlement."

But why do men, or boys, go on to rape? Kashyap says that although pinpointing the reasons are complicated:  "Sex, as much as it's about sex, is about power. And the only thing that separates rape from usual sex is consent."

He adds that the definition of what it means to be a man can be unclear to children: "I am gay and when I was growing up, I was always told to be a man," says Kashyap. "I just didn't understand what that meant; does it mean abusing people?

"The reason why I became a psychologist is to understand myself, the culture, gender and sexuality."

Kaizaad Kotwal co-produces and directs American playwright Eve Ensler's Vagina Monologues in India with his mother, Mahabanoo Mody Kotwal.

American woman allegedly gang-raped in India

At first, it was banned in several cities. The play speaks candidly of female sexuality, including issues such as rape and genital mutilation --- a conversation, Kaizaad Kotwal says, India wasn't ready to have.

But the play is in its 11th year: "The audiences, right from the start, embraced the play," says Kotwal. He claims it were mainly theaters -- and sometimes women -- that opposed.

"Patriarchy knows no gender; it's a mindset," says Kotwal. "It's an attitude towards women which many women themselves perpetrate."

Although female goddesses and figures are revered in Hinduism, a dominating religion of the country, Kotwal argues: "The goddess model is very hard for anyone to emulate.

"We're saying if women fall short of being a goddess, we'll violate them. In Hindu mythology, many virtuous women are only praised when in subservience to men."

Kashyap says a change in this culture will influence reforms in the legal system.

However, some men are worried about what stricter anti-rape laws might mean for them. Goa Citizen's Welfare Trust formed an NGO in April to protect the region's men or boys wrongfully accused of rape: "There are some women who are taking advantage of this law and misusing it," says founder, Michael Ferns.

Dadleancho Ekvott, meaning the unity of men in the local language of Konkani, will work alongside Goa's police to verify whether a complaint of sexual harassment or rape is genuine by speaking to people surrounding the case.

If the accused is thought to be innocent, they will try to prevent his arrest. Although Ferns believes innocent men deserve protection, he admits the problem faced by women in India is in greater need of attention, and men need to take action.

However, some believe that this is a battle for women only. "Research shows [women's movements] need autonomy and self determination," says Natalie Gyte, head of communications at the Women's Resource Center (W.R.C.), the UK umbrella body for women's charities. "We have to decide what we want and how we want to achieve it.

"It's not dissimilar from the Civil Rights movement which had to come from black people to progress it and have something of their own.

"Men can't live that reality [of women's oppression]."

So what should men do?

Gyte says: "Men can listen, educate themselves and challenge sexist behavior whenever they observe it.

"We [W.R.C.] are all for men creating their own organizations, but they should be about challenging patriarchal views."

Opinion: Empowered women make nations strong

Some men are doing just that. On March 16, men from different walks of life, from suited office workers to rugged Delhi bikers, gathered in Jantar Mantar -- a well-known protest area in Delhi -- to apologize to women.

Holding posters with words such as: "Delhi women: I'm sorry, I'm changing," this was an alternative response to the rape crisis and the offense rate in the city, known as the crime capital of India.

Recent figures from the National Crime Records Bureau show that in 2012, more women were raped in Delhi -- 585 cases -- than in any other of India's largest cities.

The so-called public apology was organized by India for Integrity, a charity formed by a circle of male friends during the anti-corruption movement in 2011. They encourage personal responsibility and follow the slogan: "I am corrupt and change starts with me."

"This isn't our responsibility, what do you have to be sorry for? It's the girl's fault," was one such comment co-founder Jonathan Abraham received on the group's Facebook page, which has over 4,600 likes.

"This is the debate we need to have, encouraging people to introspect. That's the first step to change," says Abraham, echoing the philosophy of the late Mohandas Gandhi, leader of the Indian nationalist movement.

Kotwal says that although the rape crisis in India cannot be denied, this is a problem the world over, citing the U.S. military as one example, where recent Pentagon estimates indicate a 37% increase in sexual assaults to 26,000 cases last year.

But Abraham believes looking at the statistics of other countries is ignoring the fact that there's a huge problem at home.

Nobody believes social overhauls happen overnight. Spacie says change begins with educating today's youth; therefore it will take a generation before real transformation is seen.

But the efforts of some of India's gentlemen provide hope that chivalry is alive in a country where a rape crisis is at odds with its image of spirituality and gentleness. But how can the message reach the real culprits?

Kotwal says: "The message has to constantly be out in the media, public, our discourse, education, corporate and political worlds.

"It's got to be this drone that you can't get away from. We all have to become the message."

Anger, frustration over rapes in India: 'Mindset hasn't changed'

@highlight

Female tourism to India has dropped 35% in three months after a high-profile rape

@highlight

Men in India are also trying to change mentality, holding protests and campaigns

@highlight

Patriarchy is a mindset women can have as well, says advocate