With a congressional hearing set for week's end, President Obama vowed Monday to hold the Internal Revenue Service accountable if reports of political targeting turn out to be true.

"If in fact IRS personnel engaged in the kind of practices that have been reported on and were intentionally targeting conservative groups, then that's outrageous.  And there's no place for it," Obama told reporters.

"And they have to be held fully accountable. Because the IRS as an independent agency requires absolute integrity, and people have to have confidence that they're ... applying the laws in a nonpartisan way."

Documents set to be released this week by the IRS watchdog show that the agency targeted tea party organizations and other groups focused on government spending and the federal debt that were seeking tax-exempt status.

The IRS also applied extra scrutiny to applicants with statements that "criticize how the country is run" or that sought to educate the public on how to "make America a better place to live," designations that would have included conservative political groups looking to apply for 501(c)(4) status. Those disclosures are included in the appendix of an inspector general's report, obtained by CNN, that has caused widespread anger among lawmakers on both sides of the aisle as well as conservative groups.

CNNMoney: What's behind the IRS flap

An IRS official admitted Friday that the agency made "mistakes" in the past few years with tax-exempt status applications submitted by groups with the words "tea party" or "patriot" in their names. Multiple conservative groups have said their applications were delayed and returned with lengthy requests for supporting materials, sometimes including website printouts and lists of guest speakers.

Obama said he learned of the allegations through news reports on Friday and didn't want to comment on any findings by the Treasury Department inspector-general that oversees the IRS -- but if true, he said, "It is contrary to our traditions, and people have to be held accountable, and it's got to be fixed.

"So we'll wait and see what exactly all the details and the facts are," he said. "But I've got no patience with it, I will not tolerate it, and I will make sure that we find out exactly what happened on this."

IRS chief to face Congress on Friday

The Republican-led House Ways and Means Committee, which oversees the IRS, announced it would hold a hearing on the allegations Friday morning. Slated to testify are Steve Miller, the acting IRS commissioner; and the Treasury inspector-general investigating the complaints, J. Russell George.

Michigan Rep. Dave Camp, the committee's Republican chairman, said the disclosure by the IRS "is both astounding and appalling."

"The Committee on Ways and Means will get to the bottom of this practice and ensure it never takes place again," Camp said in a statement announcing the hearings. Rep. Sander Levin, the panel's ranking Democrat, added that "a thorough and bipartisan investigation and effective remedial action" was essential.

And in the Senate, Finance Committee Chairman Max Baucus called for a full investigation as well.

"We need to know who knew what, and exactly what mistakes were made," said Baucus, D-Montana. "The American people have questions for the IRS and I intend to get answers."

IRS officials knew of agents' tea party targeting in 2011

In 2010, Baucus called on the IRS to look into whether some groups were abusing their tax-exempt status by making politics their primary activity. Sen. Orrin Hatch, the committee's top Republican, wrote a letter to Baucus calling for an immediate hearing.

"Bipartisanship on this issue is critical since both Democrats and Republicans have expressed considerable interest in these matters over the past couple of years," Hatch wrote.  "As the sole committee of jurisdiction over the IRS, it is critical that Finance Committee play a leadership role in examining this issue."

Flood of tax-exempt claims followed court ruling

The applications in question were processed by an office in Cincinnati that handles most applications for 501(c)(4) status and had seen the number of applications rise sharply beginning in 2010, the year of the Supreme Court's Citizens United v. Federal Election Commission ruling, which blessed unlimited campaign spending by corporations. Tax-exempt groups became a popular channel for the new wave of political spending.

Marcus Owens, the former director of the IRS division under fire, said the IRS receives about 60,000 applications for tax-exempt status every year. Most of them are from civic groups like parent-teacher associations, scout troops or sports leagues, and they're quickly approved.

But Owens said organizations seeking tax exemptions that appear to be involved in politics should get a closer look from the IRS based on their actions -- "but not by name, like they were here, which was a mistake."

The inspector-general's report indicated the agency's practice of singling out conservative groups began as early as March 2010, and in July of that year, unidentified managers within the agency "requested its specialists to be on the lookout for tea party applications." In August, specialists were warned to be on the lookout for "various local organizations in the tea party movement" applying for tax-exempt status.

Timeline: IRS wrestled with which groups to scrutinize

In June 2011, a briefing paper noted that groups focused on government spending and debt, as well as organizations criticizing how the government was being run, were also singled out for extra inspection. Officials at the Internal Revenue Service knew in June 2011 that their agents were targeting conservative groups for additional scrutiny on tax documents, the report indicates.

Owens said the IRS used to have a set of "tripwire" actions that drew the agency's attention, but he said those standards were largely abandoned during a reorganization in the early 2000s. The reorganization was aimed at finding more money, and tax-exempt groups "don't produce any tax revenue for the government regardless."

"What was wrong was using criteria that look like they were focused only on one end of the political spectrum," Owens said.

Craig Holman, who monitors campaign spending for the liberal watchdog group Public Citizen, said the "vast majority" of 501(c)4) groups are legitimate. But the others are "primarily involved in elections" and helped funnel more than $1.2 billion in secretive campaign money into the 2012 elections, and the IRS needs to crack down on them, he said.

"They should not be partisan, or single out the tea party," Holman said. "But they should look for political groups, and they're not. They never prevented any of them from registering as nonprofit social welfare organizations."

And now that the issue has become a political hot potato, they're not likely to, he said.

"This controversy means they will never enforce the tax code," he said. "We are going to see the IRS hide."

Who knew what, and when?

Lois Lerner, the head of the Cincinnati-based IRS office that oversees tax-exempt groups, did not respond to requests for comment from CNN on Monday. Lerner is the IRS official who publicly admitted Friday that agents used the keywords "tea party" and "patriot" to flag applications for further review -- but she stressed that was done as a "shortcut" for picking the applications to review, not out of "political bias."

Lerner said in a Friday conference call that she "did not feel comfortable answering" as to when senior IRS officials became aware of the situation. She said the IRS has implemented changes to prevent similar mistakes in the future but could not say that any IRS employees had been disciplined.

But a congressional source familiar with the inquiry understood that Lerner knew of the targeting in 2011 and sent letters to Congress this year without disclosing the extent of her knowledge. And Republicans are questioning why Miller -- who the IRS said was informed of the problem in May 2012 -- didn't raise it when lawmakers asked questions about the issue the following June and July.

"An apology is not sufficient," Camp said.  "There have been enough excuses and delays, and now it is time for the IRS to answer to the American people."

Opinion: IRS abuses power in targeting tea party

The IRS did not respond to questions about why Miller didn't inform Congress nor to questions about when its previous commissioner, Doug Shulman, found out. Shulman told a March 2012 Ways and Means hearing that his agency did not target conservative groups for political reasons.

"I can give you assurances. We pride ourselves in being a nonpolitical, nonpartisan organization," said Shulman, who was appointed by President George W. Bush. "There is absolutely no targeting. This is the kind of back and forth that happens when people apply for 501(c)(4) status."

The IRS has told Congress that Shulman did not know about the targeting of conservative groups when he made that appearance, said Antonia Ferrier, a spokeswoman for Hatch.

@highlight

The IRS must "answer to the American people," Ways and Means chairman says

@highlight

IRS chief, Treasury inspector-general face House committee Friday

@highlight

Obama calls the IRS's alleged targeting "outrageous," vows to hold IRS accountable

@highlight

IRS officials knew as early as 2011 the applications were being targeted