(CNN) -- Handicapping the Nobel Peace Prize is notoriously difficult.

Kristian Berg Harpviken, director of the Peace Research Institute Oslo (PRIO), a peace studies organization, has never picked a winner, since starting to make predictions in 2009.

This year, the odds-on favorite was Pope Francis. His win would have been historic -- he'd have been the first Roman Catholic pontiff to win the peace prize. Instead, it went to India's Kailash Satyarthi and Pakistan's Malala Yousafzai for their push for young people's right to education.

But, by losing, the Pope joins another -- still illustrious -- list: Favorites that didn't win.

Here's a look at six rumored front-runners, who surprised everyone when they didn't walk away with the Nobel Peace Prize:

Mahatma Gandhi

Indian independence leader Mahatma Gandhi is widely recognized as one of the most-snubbed nominees. His name is virtually synonymous with peace.

Gandhi was nominated five times for the Nobel Peace Prize -- in 1937, 1938, 1939, 1947 and finally in 1948, a few days before he was assassinated -- but never won.

A posthumous award was reportedly considered.

But, in the end, the Nobel Committee decided against making an award in 1948, saying "there was no suitable living candidate."

Many have interpreted that comment to mean that Gandhi was the de facto winner that year.

Sima Samar

The Nobel Committee is known to make surprising choices sometimes, and few winners were more of a surprise than U.S. President Barack Obama in 2009, the first year of his presidency.

Many had expected Samar to win that year, or later.

She is best known as a trailblazer for women's rights in Afghanistan, though she's worked on human rights around the world.

Samar fled Afghanistan when its communist regime arrested her husband in 1984. She remained in exile until 2002 when she was appointed as a women's affairs minister in then-Afghan President Hamid Karzai's transitional administration

She is a medical doctor who serves as the chairperson of Afghanistan's Independent Human Rights Commission.

Cesar Chavez

Chavez was nominated for the prize three times by the American Friends Service Committee -- in 1971, 1974 and 1975.

The Mexican American farm worker and labor leader co-founded what's now known as the United Farm Workers. The group fought for fair wages and safer working conditions through nonviolent marches, boycotts and fasts.

Chavez is widely celebrated in the United States as one of the country's foremost Latino leaders.

He died in the early 1990s, but his legacy lives on.

Chavez is credited with popularizing the Spanish phrase, "Si, se puede," which was adopted as "Yes, we can," by Obama's 2008 presidential campaign.

Pope John Paul II

This year wasn't the first year a Pope was in the running. John Paul was a favorite in 2003.

Many credit the Polish-born pope with playing a key role in the defeat of Communism. He traveled widely and made a point to preach religious tolerance during his 26-year papacy.

When he died, in 2005, Holocaust survivor and Nobel Peace Prize winner Elie Wiesel told CNN that John Paul II "will have a very important place in Jewish history" as the first Pope to visit a synagogue. He apologized for previous persecution of Jews at the hands of the church and for the Vatican's failure to do more to prevent the Holocaust.

John Paul lost to Shirin Ebadi, an Iranian human rights lawyer who became the first Muslim woman to win the Nobel Peace Prize.

Corazon Aquino

Aquino was the first woman to lead the Philippines, serving as President from 1986-1992.

A former housewife, she was propelled to the head of a "People Power" movement that pushed out longtime strongman Ferdinand Marcos after her husband's assassination.

She was a religious woman who drove the country's democratic process.

Aquino fought against poverty and the country's massive debt, while contending with a Marxist insurgency and several coup attempts. She managed to reform the country's constitution, imposing a single six-year term for Philippine presidents.

She died in 2009, without ever having won the peace prize. Her son, Benigno Aquino III, is the current President of the Philippines.

Eleanor Roosevelt

Was one Roosevelt enough?

In 1906, Theodore Roosevelt became the first American to win the Nobel Peace Prize. Decades later, Eleanor Roosevelt never did.

She is thought to have been nominated several times while she was alive. There was also a campaign to award a posthumous prize to her.

Roosevelt was a tireless advocate for civil rights and women. She transformed the role of the first lady of the United States.

"She advocated for human and civil rights throughout her political life and represented America in the United Nations and helped to draft the United Nations Declaration of Human Rights," wrote a CNN iReporter in support of a posthumous prize for Roosevelt.

"She was a strong, bold and courageous woman and she deserves to honored respectfully."

CNN's Faith Karimi contributed to this report.

@highlight

NEW: India's Kailash Satyarthi and Pakistan's Malala Yousafzai win the peace prize

@highlight

Handicapping the Nobel Peace Prize is notoriously difficult

@highlight

This year, the odds-on favorite was Pope Francis

@highlight

By losing, he joins an illustrious list of favorites that didn't win