In 2009, Shanghai participated for the first time in the OECD's Programme for International Student Assessment (PISA), the tri-annual survey of the world's school systems.

And when Shanghai's teenagers proved their math, science, and reading were much better than their peers in the United States, Germany, and Japan, the world was shocked and awed.

Here, much more so than the 2008 Beijing Olympics or Shanghai's skyscrapers or China's double-digit growth, was proof positive that the future belonged to China.

The latest PISA results released this week show that Shanghai schools are still number one, but, as I argued after Shanghai's first placing in 2009, the triumph comes at too great a cost.

The dog-eat-dog and winner-take-all mentality of China's school system isn't just making children unhappy and unhealthy -- it's also causing cheating and bribery, leading to an unfair and unequal school system.

The teachers

A tour of any Shanghai junior high school offers an easy explanation as to why Shanghai placed first on the PISA.

They may be crammed and overcrowded, but the halls are clean and tidy, classrooms packed with attentive and focused students, and meeting rooms filled with university-educated and highly-motivated teachers trading notes on how to better design their 45-minute lesson.

The incentives to succeed bind the school together, and guide it.  Teachers are paid about 10,000 yuan a month ($1,640), which makes them solidly middle-class in Shanghai.

In their PISA performance, Shanghai's students show "a high level of resilience," which is to say that poor students do better than expected.

That's in large part because the Shanghai government is committed to leaving no child behind: It funds all schools equally, partners high-performing schools with low-performing ones and offers fast-track promotions to administrators who can turn around bad schools.

In one Shanghai junior high school I visited, teachers stayed after school to tutor failing students -- and the head teacher there honored those teachers in school assemblies.

But these teachers can drive Audis if their students do well enough on tests:  Yes, administrators can give teachers bonuses, but the real money is in grateful parents and moonlighting at for-profit cram schools (after school tutoring programs).

And the head that honored teachers who tutored failing kids told me that in her experience, the best indicator of a student's school performance is his/her socio-economic background. She said the tutoring of poor kids is just a bandage, a way to get them through the system and not have them drag the school down.

The parents

Because Shanghai's schools are so good, Shanghai parents have to pay -- even if it's not exorbitant tuition fees.

Shanghai's real estate market is notoriously expensive, but it's downright unaffordable in the neighborhoods of Shanghai's very best public elementary schools, and when families can't use real estate to buy into the best schools, they try to bribe their way in.

This culture of bribing public school officials means I can't maintain friendships, make new ones, and date -- a girl I dated in 2010 told me she'd give me 200,000 yuan ($32,800) to get her sister into my school.

And because Shanghai's elementary school classrooms have 30 or 40 students, parents trip over each other in the mad rush to take teachers out to dinner and offer gifts in the hope that their only child gets a little more attention.

The bribery is on top of every other advantage that Shanghai's wealthy parents have bestowed upon their only child: Weekend piano, math, and English classes, private tutoring, summer camp in America, vacations in Europe and above all a born-to-succeed attitude.

The students

For the students, the race is to see who can enter Shanghai's best two universities -- Fudan University and Jiao Tong.

But it's just not the prospect of a good job that drives students on. Scoring highly on tests in Shanghai is like scoring a lot of touchdowns in Texas -- it's what wins you social respect, and soon comes to define your identity and self-worth.

There's substantial social science research  -- popularized in books such as Daniel Pink's Drive  --  that suggests performance-based incentives are bad for students and teachers.

Incentives do not just make students stressed, lonely, and unhappy -- they also kill student's innate curiosity, creativity, and love of learning.

And high-stakes testing has led to a culture of cheating in China.  Last year, when authorities tried to stop cheating, a riot broke out -- parents were angry that their children were being singled out when everyone was cheating.

The best model?

In the excitement over Shanghai's PISA victory we tend to forget the real lesson to be learned: How Finland can be the real model for education reform in the world.

Finland, which ranked 12th in the 2012 math rankings, may not be number one, but, in my experience from visiting the country, it's succeeded in equipping all Finnish students with the tools to succeed in the knowledge economy without sacrificing their childhood, curiosity and creativity.

After Shanghai children leave school at 4 p.m., they go on to cram school and do homework until bedtime. In stark contrast, when Finnish children leave school at noon, they just go play for the whole day.

That Finnish students do almost as well as their Shanghai peers on PISA suggest that long school days, cram schools, and homework are not really about helping students learn -- it's more about pleasing anxious, demanding, and hyper-competitive parents.

Of course, there's a rising tide of Chinese parents who care more about their child's well-being than his or her test score.

And these wealthy and well-educated parents who understand the costs and sacrifices of Shanghai's PISA victory are emigrating abroad or opting for new private Western-style schools that have sprung up in major Chinese cities.

That's bad news for Chinese education reform because those who are in the best position to make a stand are instead voting with their feet.

@highlight

Shanghai schools came top in the OECD's internaional education rankings

@highlight

Shanghai's triumph comes at too greater cost, argues teacher Jiang Xueqin

@highlight

Cheating and bribery are problems at Chinese schools, he says.

@highlight

"Dog-eat-dog" mentality makes schoolchildren unhappy and unhealthy