(CNN) -- Thousands of people in parts of the northern United States and southeastern Canada endured at least their fourth consecutive day without electricity Thursday because of ice-related outages, and power companies warned some still might not have power until at least the weekend.

More than 232,000 customers were without power in below-freezing temperatures Thursday in parts of Michigan, Ontario, Quebec, New Brunswick, and northern New England. Storms that began hitting Michigan on Saturday and moved through New England early this week knocked down trees and power lines, leaving hundreds of thousands in the dark.

At least 19 people died in weather-related incidents since Saturday, authorities said Thursday.

Of the casualties, 14 were in the United States, according to various emergency management officials. The majority died of carbon monoxide poisoning, the officials said.

In Kentucky, five people died in flooding-related incidents, state officials said.

In Canada, three people in Quebec and two in Toronto died from carbon monoxide poisoning, official said.

In areas near Toronto, where officials said the storm was one of the worst to hit the city, more than 54,000 were without power Thursday. While that's down from 300,000 at the peak, utility officials there declined to estimate when the last outages would be fixed.

"It's taking long because we haven't seen a storm like this in our history," Toronto Hydro spokeswoman Tanya Bruckmueller told CNN affiliate CBC News. "The amount of damage to both our equipment due to the trees coming down is slowing us down, as well as this morning we've got snow coming, which is much heavier on the branches and is now covering a lot of what we need to be repairing."

Toronto resident Vic Baniuk told CBC on Thursday that his family hasn't had power for five days, and they were using a fireplace and a cast-iron stove to stay warm.

"We're sitting in the dark and cold, and I feel that everybody has ignored us," he told CBC.

A tree branch pierced his roof, making a bad situation worse.

"This is not an inconvenience. This is an emergency, a disaster," CBC reported Baniuk said.

Light snow might fall Thursday night and Friday morning in Toronto, where the temperature was -2 C (28 F) around 3 p.m. The temperature isn't expected to get above freezing until Saturday, with a high of 3 C (37 F) possible.

Another 16,000 people were without power Thursday elsewhere in southern Ontario; 20,500 had no electricity in the Canadian province of New Brunswick, and another 8,900 still had outages in Quebec province, utility companies said.

The Hyrdo-Quebec utility estimated that about 2,000 of its customers in Quebec, mostly in rural areas, would not get power back until Friday.

Power to the people

Power crews were working around the clock and called in reinforcements from other states to help them wrangle electric lines back into place.

They have made progress. Of the 470,000 customers left in the dark and cold earlier in the week in Michigan, all but 100,000 had electricity restored by Thursday morning, according to two utilities.

High temperatures sat in the mid-20s around much of lower Michigan on Thursday. Ice could finally start melting Saturday, when temperatures could reach the high 30s or lower 40s.

Michigan utility Consumers Energy warned the melting might not be all good news -- it might snap more tree branches and send them crashing into power lines, causing more outages.

Consumers Energy said it expected to have most of the outages fixed by the end of Saturday.

Utility crews have had to work against icebox weather conditions this week. One utility truck flipped over on a Michigan interstate Wednesday, as a dozen cars and trucks wiped out on the same patch of ice, CNN affiliate WOOD reported.

About 600 customers had no power in parts of Vermont on Thursday morning. Roughly 30,000 people still were without electricity in Maine.

With no power in her Litchifield, Maine, home on Wednesday afternoon, Mary Beth King cooked her family's Christmas dinner -- seafood chowder -- on an outdoor grill, CNN affiliate WGME reported.

King's husband spent part of Christmas looking for a replacement for a generator that failed on Tuesday night.

"We do have a wood stove in the basement, which is wonderful, so it keeps the house warm. So we're lucky for that," she told WGME.

'Room at the inn'

The storm clouds had a silver lining for some who lost power. They found generosity and new friends after turning to shelters to stay warm.

More than 200 people took refuge Thursday in Red Cross shelters in Michigan and Maine, according to the relief group's online shelter tracker.

"Friends and family." That's how Bonnie Libby described her shelter mates to WOOD after living with them for three days.

The outage was a cure for loneliness on Christmas Day for Larry Sutherland. "I would be spending it alone, and my Christmas dinner would be a microwave meal," he said.

On Christmas Eve, power crews put the lights back on at the house of Dennis and Daisy Davis, but Christmas at home no longer felt right, and they returned to the Red Cross Shelter.

"I think it is just all the people pulling together," Daisy Davis told WOOD. "I think it is the true meaning of Christmas."

Bonita Thomas wanted to host her grandchildren in her Flint-area apartment for Christmas, but falling trees cut the power to her building on Monday, and she began to shiver.

She wrapped herself in layers. But when temperatures fell to the single digits, it was too much -- she called her grandkids' father, told them to stay home, and she went to a Red Cross shelter.

Thomas was sad that she couldn't host her grandchildren, but she's grateful for the room and board, she told CNN.

"It's kind of depressing, but I just believe ... that God's still on my side. And there's room at the inn."

CNN's Mayra, Cuevas, Stephanie Gallman, Kevin Conlon, Carma Hassan and Matt Daniel contributed to this report.

@highlight

NEW: Authorities say 14 people died in the United States and five in Canada since Saturday

@highlight

232,000-plus customers without power in Michigan, Canada, New England

@highlight

Electrical grids are rapidly recovering, but crews are working against the ice

@highlight

Christmas took on new meaning for some at Red Cross shelters