(CNN) -- In The World According to Dennis Rodman, North Korean leader Kim Jong Un, whom he just saw on his second trip to the country, is quite likable.

"He has to do his job, but he's a very good guy," Rodman said Monday at a news conference, announcing plans for a "basketball diplomacy" event that will involve players from North Korea.

Meanwhile, Kim presides over one of the most repressive regimes on Earth.

As Human Rights Watch puts it, Kim's succession as supreme leader after the death of his father, Kim Jong Il, in December 2011, "had little impact on the country's dire human rights record."

People are subjected to torture and thrown into prison camps based on political charges. Those who have managed to escape describe horror that includes beatings, starvation and executions.

As CNN has reported, Kim Jong Un appears to have changed nothing in the camps.

U.S. citizen Kenneth Bae knows first-hand.  He's currently in one, charged with "serious crimes" and sentenced to 15 years of hard labor for allegedly trying to bring down the government through religious activities. Bae's family says he owned a tour company and was in North Korea for work.

The accusations against him were spelled out on state-run media, which is the only kind of media that "very good guy" Kim Jong Un and his country allow.

Bae from North Korean prison: Please help me

Par for the course in North Korea, where people have no freedom.

In 2012, "Defectors continued to report extrajudicial killings, disappearances, arbitrary detention, arrests of political prisoners, and torture," the U.S. State Department Human Rights Report says.

"The judiciary was not independent and did not provide fair trials. There continued to be reports of severe punishment of some repatriated refugees and their family members. There were reports of trafficked women among refugees and workers crossing the border into China.

"The government made no known attempts to prosecute officials who committed human rights abuses."

Meanwhile, much of the country starves.

More than 25% of North Korean children under the age of 5 suffered from chronic malnutrition in 2012, according to the National Nutrition Survey of North Korea, a report backed by UNICEF, the World Food Program and the World Health Organization. The report also found nearly one in three women suffered from anemia.

The North Korea we rarely see

Rodman: Come with me

In The World According to Dennis Rodman, journalists would realize that his rosy description of Kim is really the right one, if only they'd go over there and see for themselves.

"You write what you hear, but you don't see what you write," Rodman complained, saying he wants to bring a journalist on one of his trips to visit his friend.

Yes, that's the problem, Mr. Rodman. North Korea is aching for journalists to roam freely around the country and report to the world what things are really like.

"My military minder tells me to turn my camera off, and it soon becomes clear why," CNN's Paula Hancocks wrote last month on a trip to the "hermit kingdom."

"The poverty I see through the bus window is not the view of North Korea the regime wants to be seen. ... Buildings are in disrepair; some barely look inhabitable. Residents of this small town walk or sit by the side of the road, many seeming to have little to do. A number of official-looking men dressed in brown Mao suits stand silently on street corners. ... Despite the driver traveling as quickly as possible through these inhabited areas, you could still sense the local community being monitored."

"It was a tightly restricted, carefully stage-managed tour rich with propaganda and political theater and little else," CNN's Ivan Watson wrote in July of his five-day trip to Pyongyang. "It offered virtually no insight into what life is like for ordinary citizens who live in this rigid dictatorship."

"We were not allowed to leave the confines of the Yanggakdo International Hotel unless we were riding a government bus. During my five days in North Korea, the authorities did not even allow me to see what the country's currency looks like."

"Our three-man crew was assigned two very polite minders who accompanied us everywhere outside of the hotel and made no secret about the fact that they had veto rights if we were to take pictures of something that they didn't approve of," he added on CNN's GPS blog. "So they would basically tell us what we could and could not take pictures of."

Rodman: Kim just wants to talk

In The World According to Dennis Rodman, Kim Jong Un just wants to talk.

"It's about trying to open Obama's and everyone's minds," he said Monday, aiming some of his remarks at the U.S. president. "You don't have to talk about politics. ... Meet him or even give him a call. That's all he wants."

Meanwhile, Kim might be even more bellicose than his father was. On CNN's GPS blog, three analysts say an analysis of language used in the state-controlled Korean Central News Agency "shows the use of terms such as 'war' and 'nuclear' far more prevalent than terms such as 'peace' and 'reconciliation.' "

A U.S. defense official said North Korea has been using "warmongering rhetoric."

Rodman: I held Kim's daughter

In The World According to Dennis Rodman, Kim opening "his heart and mind" and allowing Rodman to hold his daughter "for the first time in history" is something to celebrate.

Never mind that the existence of said child has been shrouded in secrecy. North Korea's regime is so restrictive that even state media haven't mentioned the possibility that their leader might have had a daughter.

And speaking of children, Rodman shared an interesting detail Monday involving the "basketball diplomacy" event he's putting together with Paddy Power, an online betting company.

"The marshall" -- the term Kim goes by -- "gave me anything I wanted," he said. Kim told him, "We've got 150,000 kids will do anything for you on the field. We've got 95,000 people will be in the stadium watching this game."

A dictator telling a foreign basketball player he can instruct 150,000 kids, who will comply: In The World According to Dennis Rodman, that's a good thing.

Still, reason for hope

Any effort to, as Rodman says, "bridge a gap" with North Korea can be construed as a good thing.

"I said to him, 'Your grandfather and your father did some bad things ... but you are trying to change,' " Rodman said at Monday's news conference.

Kim has an "image" to keep up, he added.

Maybe, one day, Kim Jong Un will knock down the walls behind which his country tries to hide its reality -- including the desperation, pain and horror described by defectors and refugees.

Struggling for survival, family tries to feed child mice

But for now, Kim's propaganda machine is ratcheting up, as CNN has reported.

Rodman says Kim asked him to do one thing: "Tell the American people we're very cool."

Mission accomplished, Mr. Rodman.

@highlight

Dennis Rodman calls North Korean dictator Kim Jong Un "a very good guy"

@highlight

Human Rights Watch says Kim has had little effect on North Korea's dismal rights record

@highlight

Rodman calls on journalists to visit North Korea and see for themselves

@highlight

North Korea's propaganda machine severely restricts media