Atlanta (CNN) -- You've probably seen the smoke-filled, glass-encased fishbowls that play host to smokers if you've passed through some of the nation's largest airports in recent years.

Perhaps you've cast a quick glance in its direction as you walked by, feeling contempt or maybe even a dash of pity for those poor slaves to a nasty habit.

But if you're a smoker with a mind to enter the fishbowl -- and many shudder at the thought -- you're likely grateful for the consideration as you puff away, contributing to the collective cloud enveloping you.

"Isn't this nice?" traveler Colleen Sherretta said of the concourse C smoking lounge at Atlanta's Hartsfield-Jackson International Airport, as others cycled through the sliding automatic door, filling the room to capacity. A cool draft circulated musty air around the lounge, whose walls were unadorned except for a hole into which you could insert your cigarette for a light; and a large window providing a view of the busy tarmac and a generous amount of natural light.

Smoking lounges can be comforting to a group of people accustomed to being pushed to the fringes. If there's one thing strangers in airport smoking lounges like to talk about, apart from tobacco price comparisons, it's the fact that they're in an airport smoking lounge.

"I'm glad they have one," Sherretta said cheerily during a recent midday connection from Savannah, Georgia, to Newark, New Jersey, as she stubbed out her Camel Blue. "They don't have these in Newark."

It's true, smoking is not allowed anywhere inside the airports operated by the Port Authority of New York and New Jersey, including Newark International. Twenty-two of the nation's 29 large-hub international airports are completely smoke-free inside the terminal, according to a Centers for Disease Control report released in November 2010.

The number of smoking lounges has decreased since 2002, when less than half of the nation's large-hub airports were smoke-free. But the 2010 report means that seven of the nation's largest airports -- including the five busiest -- still allow smoking inside the terminals, as do several other smaller airports. There are websites and travel forums devoted to the topic.

As long as smoking is legal in the United States, smoking lounges will continue to represent the tension between those who detest the addictive habit and those who can't quite rid themselves of it.

"As we're learning more about the tremendous dangers of smoking, fewer people are willing to tolerate exposure to second-hand smoke, which leads to smokers being pushed to the periphery," said licensed psychologist Clifford Lazarus. "But it is a right, people can smoke just like they can drink and have guns, it's just that the government is being a bit more controlling in terms of creating parameters in which people can engage in this marginalized behavior."

Public smoking policies tend to reflect the attitudes of the community, which means the fate of airport smoking lounges increasingly rests in the hands of their hometowns' lawmakers.

"Airports are creatures of the community," said Debby McElroy with Airports Council International. "The decision as to whether to provide a smoking lounge in the terminal is based on the laws and regulations of that jurisdiction as well as the desires of the community."

Allegations that airport smoking policies are influenced by the tobacco lobby are not always untrue. The construction of Atlanta's smoking lounges was funded by Philip Morris, according to documents on the University of California's online Legacy Tobacco Documents Library.

Smoking is not allowed in airports in New York and New Jersey, two of 25 states where smoking is banned in workplaces, restaurants and bars, compared to Georgia, where smoking laws vary from city to county.

The same goes for regulations related to ventilation of designated smoking areas.

"We have four indoor smoking areas. Two designated smoking lounges and two restaurants that offer separate smoking areas," said Laura Cole, spokeswoman for Denver International Airport in Colorado. "All four are fully enclosed and DIA uses completely separate ventilated systems for the smoking areas. We believe that by using separate systems to ventilate the smoking lounges and the concourse we're creating a second layer of protection from second-hand smoke."

But ventilation systems do not eliminate the hazards of second-hand smoke, a 2006 Surgeon General's report found, leading public health advocacy groups to support a zero tolerance policy.

"We're optimistic that the trend is still going toward 100% smoke free, like the airlines. The question is who will be the last?" said Cynthia Hallet, executive director of Americans for Nonsmokers' Rights, a California-based lobbying group. "The bottom line is this is a health issue. We know what smoking and second-hand smoke can do to us, and the safest policy is a smoke-free policy."

Hallet said she would like to "see some leadership" on the issue from the nation's busiest airport. Instead, Atlanta's airport takes the lead in the number of airport smoking lounges, 11 spread out over 6 concourses, in the name of customer service.

"Hartsfield-Jackson provides designated, specially designed smoking lounges on each concourse for the convenience and comfort of our passengers who choose to smoke," airport spokesman John Kennedy said in an e-mail. "The Airport's layout and design does not allow for outside smoking areas in the sterile concourses and the smoking lounges eliminate the need for passengers wishing to smoke to exit and then re-enter the secured areas, or seek other alternatives to smoke inside the Airport."

His comments were echoed by spokespeople from the six other airports with designated smoking areas beyond security (Denver International, Dallas-Fort Worth International, Las Vegas' McCarren International, Charlotte-Douglas International, Washington Dulles International and Salt Lake City International). Each said smoking lounges reduce incidents of people sneaking a puff in restricted areas, especially connecting passengers who don't have the time to leave the building and go through security.

Passengers who smoke agree.

"It's a necessity for people who have long layovers," a patron of Atlanta's concourse B smoking lounge said in between long drags of a Marlboro Red from a tar-stained plastic cigarette holder. "I don't think they'll ever go away."

The 60-year-old lifelong smoker from West Palm Beach, Florida, had a few hours to spare until his flight to Minneapolis, Minnesota, where smoking is also banned in bars, restaurants, workplaces and the airport. He was happy to wait among fellow smokers -- businessmen on their phones, soldiers discussing past and future deployments, chatty couples and the odd single woman fixing their makeup and reading celebrity gossip magazines.

"I love to people watch in here. You have all walks of life coming in here. Even though it's not accepted by a majority of the public you see all walks of life in here. I also love to listen to the soldiers' conversations. They really impress me. They're so clean cut. I'm surprised they smoke," he said.

Nonsmokers, however, think the era of the smoking lounge is nearing its end.

"It's just disgusting. I can smell the smoke even though those doors are closed," traveler Cathy Urchin said as she waited in line at Seattle's Best Coffee, across from the smoking lounge.

"I used to smoke. Now I'm just glad I live in Minnesota, where you can't smoke in bars or the airport," she said. "I think they're becoming extinct. Or at least I hope they are."

@highlight

7 of nation's 29 large-hub airports allow smoking in designated areas in terminals

@highlight

Airports with indoor smoking lounges say they want to accommodate passengers

@highlight

Airport smoking policies tend to reflect community values