On the road to Timbuktu, Mali (CNN) -- French-led troops in Mali have seized control of the airport in Timbuktu from Islamist militants and are fighting their way into the city center, spokesmen for the French Defense Ministry and the Malian military said Monday.

"We are winning in Mali," French President Francois Hollande said at a news conference.

Malian and French forces have together been battling the Islamists to loosen their grip on the country's north, which the militants have controlled for months.

Hollande, who refused to speculate on how long the French intervention would continue, said the Islamists still control the northern part of the country.

The United States has also stepped up its involvement in the conflict by conducting aerial refueling missions on top of the intelligence and airlift support it was already providing.

Photos: Mali military battles Islamist insurgents

Malian and French soldiers scored a key victory last week, taking control of Gao, a city east of Timbuktu that for months had been a militant stronghold. And flushing the Islamists out of Timbuktu, Mali's historic cultural center, would be a big symbolic gain.

The Islamists were reported to be fleeing Timbuktu to the city of Kidal, more than 500 kilometers (310 miles) to the northeast.

New fears for Timbuktu in Mali conflict

The quickening advance of the government forces has brought them to the heart of the territory held by the militants.

Covering the fighting up close is almost impossible for journalists, who are prevented from gaining access to the front line. Journalists are allowed to enter a town only after it has been freed and its security guaranteed by French and Malian troops.

French forces are involved in the fight in Mali, a former French colony that retains close ties with Paris, in an effort to prevent the Islamists from turning the once peaceful democracy into a haven for international terrorists.

France has 2,150 soldiers on Malian soil, with 1,000 more troops supporting the operation from elsewhere.

Photos: Fears for Timbuktu in Mali conflict

The Islamic extremists carved out a large haven in northern Mali last year, taking advantage of a chaotic situation after a military coup by the separatist party MNLA. The militants banned music, smoking, drinking and watching sports on television. They also destroyed historic tombs and shrines.

Refugees have told harrowing stories of life under the Islamist militants. But human rights groups have also raised concerns about reports that Malian soldiers are themselves carrying out extrajudicial killings and abuses as they counterstrike.

Six reasons events in Mali matter

The prosecutor for the International Criminal Court issued a statement Monday putting Malian forces on notice that "all those alleged to be responsible for serious crimes in Mali must be held accountable."

"My Office is aware of reports that Malian forces may have committed abuses in recent days, in central Mali," the prosecutor said. "I urge the Malian authorities to put an immediate stop to the alleged abuses and on the basis of the principle of complementarity, to investigate and prosecute those responsible for the alleged crimes."

The restrictions on journalists make it harder to gauge the realities on the ground.

The United Nations' refugee agency, the UNHCR, has called for an increase in international aid for the hundreds of thousands of people who have been displaced by the fighting in the country.

More than 150,000 refugees have fled Mali into neighboring countries, and another 230,000 are displaced inside Mali, the agency said.

One casualty in the battle for Timbuktu is the city's library, which was designated a world heritage site because of a treasure of rare books and manuscripts about precolonial Africa, a South Africa professor told CNN on Monday.

"What we don't know is the full extent of the damage," said Shamil Jeppie, who is director of the Timbuktu Manuscripts project. "There are no phones or communications to Timbuktu, and there haven't been for some time. Much of the images show documents and papers tossed on the ground, but it appears that just a portion of the library is actually burned. The building itself was certainly razed."

Jeppie said it would "be a loss for all humanity if the manuscripts were destroyed."

"In a continent in which most of the memory of peoples is transferred orally through storytelling and can be lost, the people in Timbuktu had a written tradition that is quite rare in Africa," he said.

"Most books that we get our knowledge of precolonial Africa were written by missionaries and seen through their eyes. This history is deeply precolonial, and we still have much to learn and simply can't do it without the documentation that is only there in Timbuktu."

CNN's Brian Walker contributed to this report.

@highlight

"We are winning in Mali," French president says

@highlight

French forces are fighting the remaining Islamists in Timbuktu

@highlight

Militants are reported to be fleeing to another city farther northeast

@highlight

Malian and French forces recaptured an Islamist stronghold last week