(CNN)  -- As a musician and social justice activist, online social media has helped Maria Isa sell more CDs and mobilize the growing number of Latinos in her home city of Minneapolis.

Isa wasn't surprised that a study published this summer said Hispanics are among the most active social media users.

"Social media is about accessibility for me," Isa said. "I can send information to my audience with the push of a button on my cell. I'm able to expand my message of social justice in the Latino community and also my work and the works of others who network with me."

There's a growing online audience of people of color. Latinos and African Americans are more than twice as likely to use Twitter as white non-Hispanics, according to the Pew Research Center's Internet and American Life Project.

Much of the reason? Cell phones. Nearly 90% of English speaking Hispanics use mobile devices. But New York Daily News columnist and author Juan Gonzalez said it's an extension of Latino culture.

"I think there's always been a tradition in the Latino culture, a tradition of word spreading news and information, gossip, word of mouth spreading, from family members to friends, neighbors of the same town or whatever," Gonzalez said.

The growing number of Latinos using social media is a reflection of broader demographic change in the United States.

The U.S. Census Bureau estimates that America's young people will become "minority white" in 2023, and by 2042, the same will be true for adults.

"The youth population in America already looks like America will look in a few years. The youth have a stronger identity in their role and purpose," Gonzalez said. "They're already acting out their new role in the country, even before they get to be adults. They're already creating the new America through their involvement in social media."

Map how the United States is changing

Gonzalez, who wrote about the Latino immigrant experience in "Harvest of Empire: A History of Latinos in America," said the success Latinas have online reflects their immigrant experiences.

"Generally speaking, Latina women tend to be more into sharing experiences, and good communicators," Gonzalez said. "I think this is representative of social media and what it represents. It's basically a community talking to each other, spreading bits of information here and there."

Isa was born to Puerto Rican parents in Minneapolis. In her home, it was never a matter of if she was going to college, but where she would go. She chose Columbia College in Chicago, where she focused on social justice and groomed the message she wanted to convey as a musician.

Eventually, she took her message online, using Twitter to promote her upcoming shows and projects. She noticed more people at her shows, sold more CDs and generated more traffic to her MySpace music page. In 2010, she was honored by the National Hispana Leadership Institute and a local Univision affiliate.

But things really took off when she discovered Latism -- Latinos in Social Media -- a group of like-minded "gente" online.

With Latism, she found a whole new community of people who wouldn't otherwise notice her work, she said. She was able to educate a larger audience online about what it means to be a Puerto Rican living in the Midwest. The online discussion helped prepare her to better educate her real-life community.

Latism was founded in 2009 by Ana Roca-Castro, the chief executive of Premier Social Media. The group started with a simple tweet: "Where are all my Latinos?"

More than 300 people responded. Now, the organization has grown to more than 140,000 members.

"What happened before, when all these online and social media things started, many people in our community felt like they were sending their thoughts into thin air," said Elianne Ramos, the head of communications for the Washington-based organization.

"Through Latism, we give people a place to voice their opinions and talk about the issues that matter to them. A lot of the conversations we have online become initiatives. Our mission is civic empowerment and education."

Every two weeks, the organization is part of a group of 150 Hispanic community leaders on a White House conference call that gives guidance on how to handle issues in the Latino community, Ramos said.

"They explain to us what their plan is, with things like the jobs proposal or Hispanic Heritage Month, and then they take suggestions from us," Ramos said. "You can really say what you think and they really listen. And we always remember the community and keep the community in mind."

Isa said the high numbers of Latinos participating in social media has shown that the communities' issues and passions are more diverse than many realize.

"We keep talking about the Latino community not being monolithic, and it's not," Isa said. "What we're seeing is that Latinos are beginning to embrace every aspect of what being a Latino is."

"I'm here to reflect the movement that has raised me and continues to happen now. Social media is the number one thing helping me lead that change."

@highlight

Study: Latino and black people more likely to use Twitter than non-Hispanic whites

@highlight

Latism are harnessing the power of the large Latino social networking community

@highlight

Latina rapper and activist: "I can send information to my audience with the push of a button"