(CNN) -- As a Latina activist I was devastated to learn the President would delay executive action to keep undocumented immigrants with no criminal record from getting deported.

He'd promised he'd do it, our community expected it, and the country's economy needed it -- especially as Republicans have abdicated their obligation to pass real and lasting legislative reform for our broken immigration system.

But as a political strategist, I understand why the President delayed his decision.

Let's be clear: This is Obama's promise delayed, not broken.

The decision was indeed political. But unlike his critics on both sides of the aisle -- the activists who, like me, are deeply disappointed, and Republicans who hypocritically accuse him of giving Latinos a slap in the face -- I believe it was political for the right reasons.

The President's action was a political "Hippocratic Oath:" first do no harm. There are a handful of vulnerable Democrats in very red states that are fighting to be re-elected, and control of the Senate is in the balance.

Hanging on to a Democratic-controlled Senate is essential to the future of any legislative fix on immigration. It is also essential to keeping the President's Deferred Action on Childhood Arrivals, or DACA, in place. If Republicans take over the Senate, Latinos -- indeed the entire country -- can kiss any possibility of real reform goodbye and can expect an immediate full frontal attack to repeal DACA.

The President said on "Meet the Press" that the reason for the decision was that the politics on the issue had changed since he made the announcement in the Rose Garden in June. He is right. By June, public attention to the influx of unaccompanied minors was just starting to hit a crescendo. And Republicans were masterly in injecting cynicism as well as downright lies into the discussion of the cause of the influx and the security at the border.

When the President finally makes his announcement before the end of the year, the American people, understandably distressed about what has been happening at the border, will deserve a full accounting on the realities of border security, the undocumented flows into the country, why our economy needs immediate action and why we need to achieve real legislative reform in the long run.

With everything going on in the foreign policy arena as the country confronts a brutal terrorist organization in ISIS that is seeking to do us harm, as well as the politicking of midterm elections upon us, there is no room in the public square for a real dialogue that would explain and sustain the President's Executive Action and draw support to the reasons to work toward real reform.

The President will need to lay out facts and figures that prove the border is safer and more secure now than ever before. These would include:

-- Under both President Clinton and President George W. Bush, the undocumented population grew at an unprecedented level. Even after the summer influx of undocumented children, under President Obama, the growth has been net negative.

-- The flow of unaccompanied minors now is less than it was in February of 2013.

-- There has been an unprecedented surge in resources at the border under President Obama that includes doubling the number of Border Patrol agents and tripling the money that goes to technology and infrastructure.

-- The border is safer today and border crime is down from 10 years ago.

He should reiterate the benefits of letting undocumented immigrants work and contribute legally to our economy. He should explain that in the long run, these immigrants should have to get right with the law, pass a background check, pay a fine and back taxes, learn English, and then get in line behind others who are following current legal procedures in order to become a U.S. citizen (key elements to real immigration reform).

The President should underscore that passing real immigration reform will inject more than $700 billion into our economy over the next 10 years, and $1.4 trillion over the next 20, reduce the deficit by almost a $1 trillion in the next 20 years, raise wages, as undocumented workers will no longer be taken advantage of by unscrupulous employers, and boost our overall global competitiveness.

There is a reason why most (even conservative) economists support immigration reform and why the business community has joined with the faith community, law enforcement leaders and labor in an improbable alliance of partners working toward this type of reform.

While I am disappointed the President's executive action is not coming sooner--and any family ripped apart in the interim is one too many -- we also have to consider two things that will make it improbable that an undocumented immigrant without a criminal record in the interior of the country would be immediately removed:

1) The 2011 new Department of Homeland Security policy that made it administration policy to deprioritize non-criminal undocumented immigrants and focus resources on removing the most dangerous criminals from our midst. In fact, of the 370,000 undocumented immigrants removed last year, all but 10,000 had criminal records -- and yes, that is still too big a number. This is why we need real reform now.

2) Since June, the removal architecture of the immigration system -- enforcement agents, and immigration judges -- has moved from the interior to the border to deal with the influx of unaccompanied minors more fairly and efficiently.

I know these assurances are not enough for immigration activists seeking immediate relief. But even Latinos who are as deeply saddened as I am that we will not see action for another several weeks, at least, understand that what we will be getting from President Obama is far more effective and real than what we have gotten so far from Republicans who have turned their backs on our community and the American economy. If not for GOP inaction, immigration reform would be a reality today.

So amigos, let's be confident President Obama will act before the end of the year. If he doesn't, I will be the first one to join you in a picket line at the White House.

@highlight

As an activist, Maria Cardona devastated that Obama deferring executive order on immigration

@highlight

As a strategy, though, she gets it. He didn't want it used by GOP as election issue to win Senate

@highlight

She says if GOP wins, kiss immigration reform and DACA goodbye. Advocates, be patient

@highlight

Cardona: If he fails to deliver after vote, she'll join immigration activists, hold him to account