Tacloban, Philippines (CNN) -- No building in this coastal city of 200,000 residents appears to have escaped damage from Super Typhoon Haiyan.

Most roads were impassable Saturday; all communications except for satellite phones were down; medical supplies, food and water were scarce; and there were reports of looting.

And that was far from the worst of it.

Death toll likely exceeds 1,000

People who had walked, sometimes for hours, to the relief station at the Tacloban airport told stories of the human cost.

Children torn from arms

Marvin Isanan said three of his daughters -- ages 8, 13 and 15 -- were swept from his arms by the storm surge. He and his wife, Loretta Isanan, had found the bodies of the two younger children.

"Only the eldest one is missing," Marvin Isanan said through tears. "I hope she's alive."

A woman at the airport said she escaped the water by climbing onto her roof. From there, she watched bodies float by.

Authorities have only estimates of the deaths. Gwendolyn Pang, secretary general of the Philippine Red Cross, estimated that 1,000 people died in Tacloban and an additional 200 on the nearby island of Samar.

The airport now houses a makeshift morgue. Further inland, a CNN crew found a small chapel being used to house nine covered bodies -- five of them children.

Water, wind and fire create catastrophe

The scene from the air

CNN's Ivan Watson traveled by plane from Manila to Tacloban with civil aviation officials Sunday.

"On approach, you could see entire forests of palm trees that have been flattened in the hills around Tacloban," he said.

Watson saw flooded villages and devastated coastlines, as well as a warehouse district where every roof seemed to be missing.

William Hotchkiss, director general of the Civil Aviation Authority of the Philippines and a former air force commander, said, "I'm 70 years old, and I've never seen anything like this before."

Eastern islands first to feel typhoon's force

Samar province and Tacloban, in Leyte province, are part of the Philippines' eastern islands.

U.S. Gen. Douglas MacArthur made his famous return to the Philippines near Tacloban in World War II, wading ashore from the Leyte Gulf in 1944. The Battle of Samar was part of the ensuing naval battle in the Leyte Gulf, which ended with Japanese naval forces crushed.

The geography made the area the first heavily populated area to feel the force of Haiyan on Friday.

The million people who lived along the coast, many of them in rough-built shacks, may have been worst affected by what some said was a 5-foot storm surge that spread through the city of Tacloban at the height of the storm and with devastating speed.

It receded quickly, leaving a path marked by pieces of people's lives destroyed.

Relief effort no match for need

Interactive map of the storm

The Tacloban airport was not ready to accommodate the landing of large planes carrying aid, though military helicopters began ferrying in supplies on Saturday. Trees and debris had blocked the road to the airport, further delaying the relief operation, but authorities cleared that road Sunday.

Residents lined up at the airport for food. But the resources available were proving no match for the massive needs of the people, some of whom scoured piles of garbage in the streets for food, water or even missing loved ones.

U.S. offers aid, send teams to help

Some residents broke into grocery stores to find food. The government responded to reports of looting by sending in police reinforcement and a 500-member military battalion.

People were wading through waist-high water amid a landscape littered with overturned vehicles, downed utility poles and trees, all of which were blocking the aid effort.

With basically no medical supplies left, the city's St. Paul's hospital was hopelessly overwhelmed.

The Philippine Red Cross succeeded in getting its assessment team into Tacloban but had not managed to get its main team of aid workers and equipment to the city, Chairman Richard Gordon said.

"We really are having access problems," he said, adding that he was considering chartering a boat, which would take at least 1Â½ days to get there.

How to help

CNN's Andrew Stevens and Paula Hancocks reported this story from Tacloban; Tom Watkins and David Simpson wrote from Atlanta.

@highlight

NEW: Seen from the air, forests of palm trees flattened, flooded villages

@highlight

No communications except satellite phones

@highlight

A couple loses three of their daughters; two found dead

@highlight

Red Cross may charter a boat to reach area