(CNN) -- Alvin E. Roth of Harvard University and Lloyd Shapley of UCLA have been awarded the Nobel Prize in economics for their work in market design and matching theory, the Royal Swedish Academy of Sciences announced Monday.

Roth and Shapley's work focuses on finding the most efficient way to match parties in a transaction, whether it be students to schools or organ donors to recipients, according to the academy.

Shapley used game theory to study matching models, and Roth built on them to make real-world changes to existing markets, including school choice and organ transplants, the academy said.

Elements of their work are built into software that guides kidney donations in the United States, as well as in school choice models in New York, Boston, New Orleans and other U.S. cities, Roth told reporters Monday.

Roth, who was awakened by an early morning call about their win, said he was not expecting the prize but was honored to share it with Shapley.

"I'm sure when I go to the class this morning my students will pay more attention," he said.

The economics prize is the sixth and final of the annual awards that spotlight the world's top scholars and peacemakers.

The economics award was not among the original prizes created in 1895 by Swedish industrialist Alfred Nobel to honor work in physics, medicine, chemistry, literature and peace. It was added as a category in 1969 by the Swedish central bank in memory of the industrialist.

As such, the economics prize is given by the Royal Swedish Academy of Sciences, following the same principles used to determine the other Nobel Prize winners, according to the Nobel committee.

The monetary award that accompanies the Nobel Prize was lowered by the foundation this year by 20% from 10 million Swedish kronor ($1.5 million) to 8 million kronor ($1.2 million) because of the turbulence that hit the financial markets.

The economics selection follows last week's awarding of the Nobel Peace Prize to the European Union, a selection that surprised many and drew scorn from Italian and Greek demonstrators who took to the streets to protest austerity measures.

Opinion: Nobel Committee wasted an opportunity in its Peace Prize

The 27-nation union was honored for its work in promoting democracy and reconciliation following World War II, even as it grapples with a financial crisis that threatens to break the EU apart.

Opinion: Why Europe deserved Peace Prize

"The Nobel committee is a little late for an April fools joke," said Martin Callanan, leader of the Conservatives and Reformists party in the European Parliament.

While Callanan called the Nobel committee "out of touch," others applauded the selection.

Another surprise was the Nobel committee's selection of Chinese writer Mo Yan as the winner of the Nobel Prize for literature.

The Chinese author, whose pen name means "not talking," has captivated his countrymen by intertwining fantasy and gritty everyday life.

Mo, a Communist Party member, is considered a writer within the system and has embraced official party restrictions on writing. He also was elected by the Communist Party to a vice chairman spot in the state-sanctioned China Writers Association.

Unlike the news blackout in China two years ago when Chinese dissident Liu Xiabo won the Nobel Peace Prize, state-run media reported Mo's win immediately following the announcement.

Patrick Poon of the Independent Chinese Pen Center said the award by the Nobel committee appeared to be a recognition of -- or attempt to please -- the Chinese government.

This year's prize for economics was selected from among hundreds of nominations, the Nobel committee said.

Two Americans shared the prize last year for their study of the cause-and-effect relationship between government and economic policy.

Thomas Sargent, a professor at New York University, and Christopher Sims, a professor at Princeton University, carried out their research independently, though their work was considered complementary.

Sargent and Sims received their doctorates from Harvard in 1968.

Read more: Nobel Peace Prize winner rips into fellow laureate over corruption

CNN's Ben Brumfield and Joe Sterling contributed to this report.

@highlight

NEW: U.S. economists win prize for study of market design and matching theory

@highlight

NEW: Their work is used in education and organ transplants, among other things

@highlight

Economics was added as a category in 1969 by the Swedish central bank

@highlight

Two American professors also shared the 2011 Nobel Prize for economics