(CNN) -- Something strange happened Monday on the Internet.

Facebook -- the once-underdog social network founded by a kid in a hoodie in a dorm room -- may have officially cemented its status as a titan of the tech establishment it once challenged.

What changed? Facebook -- no longer a feisty startup but a 3,000-person, soon-to-be-public corporation with $3.9 billion in cash and an $85 billion to $100 billion valuation -- spent $1 billion to gobble up a much-smaller competitor, the photo-sharing app Instagram.

When it did so, it stirred up a caldron of ill will that the "People of the Internet" have been harboring toward Mark Zuckerberg's once-hip company. Some Instagram users said they were downloading all of their photos and then deleting them from the app just so Facebook couldn't get its hands on them.

Pundits weren't kind to Facebook, either. David Horsey of the Los Angeles Times, writing about the Instagram purchase, noted that the company is looking more and more like "Big Friend," a gentler variation on George Orwell's all-seeing Big Brother. Data indicate others share that view, too. A new poll, conducted before the Instagram news, found that 28% of Americans have an unfavorable view of Facebook -- twice as many as disapprove of Apple and nearly three times as many as Google.

This backlash highlights a new reality: As a technological juggernaut, Facebook is more Microsoft than Tumblr. To use a musical analogy employed on Twitter, it's the Nickelback to Instagram's Bon Iver.

Facebook and Instagram's images couldn't be more different, so it's tempting to say that this Goliath-buys-David event is a turning point for Facebook. But people have been writing about Facebook losing its mojo for years now. In 2009, AdWeek ran this headline: "Is Facebook getting uncool for 18-24s?" A year later, mainstream news websites noted the phenomenon of parents and grandparents joining Facebook, scaring off younger people.

"It's official, Facebook is becoming uncool," CBS declared.

It's hard to pinpoint the moment when Facebook's image problem started. Maybe it was when users realized how much data Facebook was collecting about them. Maybe it was when CEO Zuckerberg started to seem less like that geeky, counterculture college kid and more like a run-of-the-mill billionaire.

But it is possible to take a look at the conversation and tease out a few factors that seem to have led to Facebook's current status as an inescapable, perhaps Orwellian, Internet giant.

First: Money. Nothing leads to public skepticism quite like a few billion dollars in pocket change. Compare that kind of situation at Facebook to Instagram, which as CNNMoney notes, hadn't monetized its product. It didn't support advertisements and apparently didn't sell its users' data.

Facebook, on the other hand, is accused of profiting wildly on the backs of the 850 million people who share personal details about their lives on the social network. For more on that, see The Wall Street Journal's recent feature "Selling You on Facebook," which analyzes the info that Facebook apps collect.

View some of the photos, comments from readers

Second: Size. As companies get bigger, people tend to question their motives. Google is a good example of this view. The Silicon Valley company once was the darling of the Internet -- the search engine that didn't have ads on its homepage and declared its company ethos was "Don't Be Evil." As the tech blog Gizmodo writes, Google "built a very lucrative company on the reputation of user respect."

That was easy enough when Google was small. As it grew, however, some people started to lose faith in the company -- and to question its motives.

Gizmodo: "In a privacy policy shift, Google announced today that it will begin tracking users universally across all its services -- Gmail, Search, YouTube and more -- and sharing data on user activity across all of them. So much for the Google we signed up for."

People never talked that way about Instagram, which only had 13 employees and 33 million users. It's the kind of company journalists love to use the word "scrappy" to describe.

Third: Trust. As the company has grown, some people have come to trust Facebook so little that they're pulling photos from Instagram in advance of the takeover.

According to Megan Garber at The Atlantic, 25,000 people visited Instaport's site in six hours on Monday after the news broke, compared with 400 people on a normal day. Instaport is a service that helps people pull photos off Instagram for home storage.

"You could read that spike, on the one hand, as a mass freak-out on the part of users who don't trust Facebook -- despite Mark Zuckerberg's promises -- with their networks and memories," Garber writes. "You could also read it as an insurance play, a just-to-be-safe move on the part of people who want to feel sure that their photos are secure."

Mistrust of Facebook stems in part from concern about its privacy policies, which have been described as overly confusing. Facebook itself acknowledges that privacy concerns could trip up the company in the future.

In its initial public offering filing with the U.S. Securities and Exchange Commission, the company wrote: "We have in the past experienced, and we expect that in the future we will continue to experience, media, legislative, or regulatory scrutiny of our decisions regarding user privacy or other issues, which may adversely affect our reputation and brand."

Finally: The cool factor. Maybe it's less that people see Facebook as evil and more that the site just isn't as cool as it used to be -- partly because it's so popular and also because it's not the new kid on the block anymore. Zuckerberg launched Facebook in 2004, which is eons ago in Internet time. MySpace and Friendster -- all of Facebook's predecessors -- didn't survive (or didn't continue to grow) for this long.

Instagram, meanwhile, was founded in late 2010 and was only in recent months becoming part of the zeitgist. iPhone-toting hipster types liked the app for its mobility -- you cold post photos easily from your phone -- and filters that gave their pics a retro, vintage vibe.

"Instagram is, in a word, cool. Facebook is losing its 'cool', rapidly," wrote Allan Swann at the Computer Business Review.

Instagram managed to create a cache in part from its status as an underground hit. Even with tens of millions of users, the app was praised by reviewers as intimate -- a place, true or not, where it was safe to post personal photos and share stories with a relatively small network of friends. (Just to throw in some data: I have 815 Facebook friends but only 67 people whom I follow on Instagram, and I actually know almost all of them.)

It's not clear that any of that will change for Instagram. Zuckerberg says the app will continue to operate as a product that's independent from Facebook and that people won't have to post Instagram photos to Facebook just because the company owns the app. But the backlash helped crystallize the idea that Facebook no longer is seen as the always-cool company that everybody implicitly trusts.

"Some Instagram fans are acting as if this is a tragedy," Horsey of the Los Angeles Times writes of the acquisition. "They liked the idea that there was a little corner of the online world where they could gather and be outside the reach of the Zuckerberg empire. ..."

There was a time when people clamored to be part of Zuckerberg's network, which launched at first only for Harvard students. But now, as the Instagram backlash shows, Facebook has long stopped being an exclusive club. It's seen as the big, bland company that the app's users worry will ruin the cool thing they had going.

@highlight

Facebook buying Instagram for $1 billion, as photo-sharing app hits mainstream

@highlight

Some Instagram users express outrage at the sale and threaten to pull their photos from the app

@highlight

Observers say Facebook isn't as cool as it used to be because it's so rich, popular and powerful