(CNN) -- It's a loaded question, one with no clear answer. But in the year since Apple's co-founder and visionary CEO died, it's been asked in tech circles over and over:

Who is the next Steve Jobs?

There's one easy response. It's safe to say that no figure in the tech industry will perfectly duplicate the unique blend of vision, salesmanship, mystique and eye for detail possessed by Jobs, who died one year ago Friday.

And it's complicated further, some say, by the fact that for much of his own life, many wouldn't have predicted Jobs himself would earn tech-icon status.

"Steve Jobs had a strange career. He really wasn't celebrated as a genius until really late," said Leander Kahney, editor of the Cult of Mac blog and author of books on Apple, including "Inside Steve's Brain."

Not until Jobs returned to Apple and introduced the iPod and iPhone did people begin to praise him as a modern-day Thomas Edison, Kahney said. "He was dismissed before then as a marketing guy, a fast talker who didn't know much about technology. He only really was lionized in the last four or five years."

#WhatSteveJobsTaughtMe: Share your thoughts on his life and career

But industry observers abhor a vacuum. Futile though it might be, it's perhaps human nature to speculate about who could emerge to fill the void left by the passing of tech's biggest personality and most recognizable face.

One can make cases for or against a handful of nominees. And no list is long enough to include an as-yet unknown creator who may be birthing the industry's next game-changer in a garage or dorm room somewhere.

Did Apple's fanboy fever peak with Steve Jobs?

But here are some names worth considering, with thoughts both for and against their candidacies:

Jeff Bezos, CEO, Amazon

Pros: Bezos actually has a host of traits that mirror Jobs. Like Jobs was with Apple, he's the founder of Amazon as well as its CEO. Being a part of a company's life story helps. As much as anyone, Bezos also captures a bit of Jobs' panache at live events. At last year's rollout of the Kindle Fire, he got high marks for introducing a game-changing product in a stylized fashion, then getting off the stage. (Tech giants Google and Microsoft have been accused of being rambling and unfocused at similar unveilings.) Reports say Bezos shares Jobs' penchant for attention to detail (some would say micromanaging) and, like Jobs, he's been willing to take the company into new and unexpected directions.

"I've met Bezos personally, and he is mesmeric. Brilliant smile, quick mind, very engaging and decisive," Kahney told CNN. "He has the same obsession with the ordinary consumer; to make and sell things from the consumer's point of view. ... Bezos has Jobs' focus and drive. He's a little bit maniacal in his drive and ambition."

Cons: Despite the Kindle line, Amazon is, at its core, a content company. The mobile devices are a means of delivering books, music, movies and other data to customers as directly as possible. Will the public ever be as excited about the CEO of the company that peddles e-books and data-storage space as it was about the one that sold it its personal computers, laptops, phones and music players?

Mark Zuckerberg, CEO, Facebook

Pros: The Steves -- Jobs and Wozniak -- had their garage. Zuckerberg had his Harvard dorm room. And in those two rooms, perhaps the two best-known origin stories in tech were born. As head of the social network that has changed the way people use the Internet, Zuckerberg is maybe the only tech boss who, like Jobs, has become a household name. ("The Social Network" didn't hurt.) He created a product that millions of people now use. And he's even cultivated his own trademark, casual-wear style, as the Zuckerberg hoodie is now almost as iconic as Jobs' mock turtleneck.

"Zuckerberg has some of the characteristics (of Jobs), and perhaps the most important one -- the pursuit of a vision," Kahney said. "That sets him apart."

Cons: He's gotten better at speaking in public. But as a pitchman, Zuckerberg still falls miles short of the charismatic Jobs. It's seems Zuck would rather be the idea man behind the scenes than front-and-center when it comes time to sell the final product. Also, the fact that Facebook's stock price is not already racing toward Google/Apple heights doesn't help.

Tim Cook, CEO, Apple

Pros: Well, there's the obvious one. Job's was Apple's CEO. Now Cook is. At the helm of the company, Cook gets to be the face of every new innovation rolled out by Apple. He's got the biggest stage and brightest spotlight in which to put himself forward.

Cons: Cook comes from more of a business background than one of innovation and design. He may masterfully steer Apple's course for years to come, but, rightly or not, few observers at this juncture are inclined to give him credit for vision, or influence over products' design, the way they did Jobs. Plus, being Apple CEO after Jobs is like being the football coach who follows a retiring Bear Bryant or Vince Lombardi. What were those guys' names? Exactly.

Jonathan Ive, senior vice president, Apple

Pros: When Jobs stepped down, there were many who expected Ive, not Cook, to step up. Ive is senior vice president of industrial design and is believed to be the creative mind behind products from the Macbook Pro to the iPod to the iPad. The London native already has a knighthood, as well as a healthy dose of Jobs' true-believer passion for the product.

Cons: Well, he's not the CEO. (Nor is marketing mastermind Phil Schiller, another name bandied about to replace Jobs). To truly ascend to Jobsian levels, Ive would need to set out on his own -- which, at 45, is doable. It's hard to envision Ive bolting from Apple, where he's worked since 1992. But, boy, it would be fun to watch.

Marissa Mayer, CEO, Yahoo

Pros: If you need proof of how well Google alum Mayer is liked in Silicon Valley, just look at the number of folks she's been able to lure to join her at a Yahoo that was floundering when she took the reins in July. At Google, where the former engineer was the 20th employee, she's credited with everything from the clean design of the search page to becoming one of the leading public faces of the tech giant.

Cons: It looks like a turnaround has begun at Yahoo. But the job's still a long way from done. If Mayer becomes the face of a dramatic rebirth, she will have accomplished something few predicted. If she doesn't (the four CEOs before her all fell short), it likely won't hurt her reputation all that much -- but neither will it bump her up to the next level.

Elon Musk, serial entrepreneur

Pros: How's this for an origin story? Musk grew up in South Africa before leaving home at 17, without his parents' consent, rather than serve a compulsory stint in an army which, at the time, was enforcing the race-based apartheid system. He'd end up in the United States four years later -- although he'd already sold his first software, a video game called Blastar, when he was 12. Since then, all he's done is create publishing software Zip2 (sold to AltaVista for $300 million), co-found PayPal (he owned 11% of its stock when eBay bought it for $1.5 billion) and help create Tesla Motors, makers of the first commercial electric car. Oh, wait ... he also runs SpaceX, a company working on space exploration. Director Jon Favreau says Musk was his inspiration for Robert Downey Jr.'s Tony Stark character in the "Iron Man" movies.

"His ambitions are so huge," Kahney said. "He's definitely a ballsy character. And he's a good leader, like Jobs. He's surrounded himself with good people."

Cons: With the exception of Tesla, none of Musk's projects, so far, have directly involved consumer products. Tens of millions of people had something Jobs made in their pockets, on their desks or piping music into their ears. Among the public, Musk may be less well-known than all of the names above -- at least for now. But, at 41, he's got time to change that and it would be foolish to bet against him.

Seth Priebatsch, CEO, SCVNGR, LevelUp

Pros: Who? Priebatsch is the wild card on this list. But consider him the representative of a new generation of young, creative tech "makers" who could ascend to loftier heights in the years, or decades, to come. At 22, Priebatsch's SCVNGR raised more than $20 million in funding. He founded his first Web company at 12 and has moved on to start LevelUp, a mobile-payments system that's also raked in millions from investors. He got rock-star treatment for a speech he gave last year at South by Southwest Interactive. Plus, he's already cultivated a Jobs-like signature fashion statement -- his trademark orange sunglasses and shirts.

Cons: In the startup world, for every success story, there are countless washouts. Not every young turk even wants to be another Jobs, and not every killer app has the potential to make millions, or billions, of dollars -- even when they're well-liked and widely used.

Good or bad, what lessons did you learn from Jobs? Share your responses in the comments below, or join the conversation on Twitter using #stevejobstaughtme.

CNN's Brandon Griggs contributed to this story.

@highlight

Since the death of Steve Jobs, the tech world has looked for its next visionary

@highlight

Mark Zuckerberg, Amazon's Jeff Bezos, Yahoo's Marissa Mayer are names that come up

@highlight

At Apple, CEO Tim Cook and vice president Jonathan Ive have big shoes to fill

@highlight

Most agree there will never truly be "the next Steve Jobs"