Atlanta (CNN) -- Nancy Writebol's family says it was making funeral plans for her last week as she lay stricken with Ebola in Liberia amid the disease's deadliest recorded outbreak.

After an experimental serum and a plane flight, she's now the second human Ebola patient on U.S. soil, and her relatives think she has a fighting chance.

A medical plane on Tuesday flew Writebol from Liberia to Atlanta, where she was rushed to the same hospital where an American missionary colleague arrived days earlier. Like her, he was sickened by the deadly hemorrhagic disease while on a team caring for Ebola patients in Monrovia.

Writebol was wheeled into Emory University Hospital early Tuesday afternoon on a gurney, wearing a white, full-body protective suit and escorted by two people wearing similar gear.

There, she joins her fellow missionary Dr. Kent Brantly, who became the first Ebola patient ever in the United States on Saturday, for treatment in a special isolation unit. It is one of four of its kind in the United States designed to optimize care for those with highly infectious diseases.

"Nancy is still very weak" but has shown signs of improvement, said Bruce Johnson, president of Christian mission group SIM USA, with which Writebol is affiliated.

Writebol's arrival contrasted with that of Brantly, who wore a similar suit but walked into the hospital Saturday with someone's assistance.

Writebol, of North Carolina, and Brantly, of Texas and Indiana, were on a joint Samaritan's Purse-SIM team caring for Ebola patients last month when they became sick in Liberia. That is one of four West African nations hit by an outbreak that the World Health Organization believes has sickened 1,603 people and killed 887 of them.

Writebol's two sons expect to communicate with her soon, Johnson said. The family was considering funeral arrangements for her just last week, days after she became sick, David Writebol said through Johnson.

"Yet we kept our faith, (and) now we have real reason to be hopeful," David Writebol said in a statement read by Johnson.

Though there is no proven treatment or vaccine for Ebola, Brantly and Writebol were recently given an experimental, U.S.-manufactured drug in Liberia while they were awaiting evacuation to the United States. Both have since shown significant improvement, sources said on condition of anonymity.

What the inside of the evacuation plane looks like

The gruesome disease that can torment victims with profuse vomiting, uncontrollable bleeding and organ failure is ravaging West Africa. The outbreak started this year in Guinea but also has affected Liberia, Sierra Leone and Nigeria.

The flight and the experimental serum

Though Writebol was weak, she had yogurt before her flight early Saturday from Liberia to the United States, Johnson said. She was taken to the plane by stretcher, but she stood up and entered the plane with assistance, he said.

The experimental drug ZMapp, which Brantly and Writebol received despite the medication never being subjected to clinical trials, is getting a lot of attention.

Just last Thursday, Brantly's condition in Liberia had deteriorated so badly that he called his wife to say goodbye.

But three vials of ZMapp stored at subzero temperatures were flown into Liberia. Brantly and Writebol took the drug, and their conditions improved before they evacuated to the United States.

9 questions about this new Ebola drug

The medicine is thought to work by preventing the virus from entering and infecting new cells. It's a three-mouse monoclonal antibody -- meaning mice were exposed to fragments of the Ebola virus, and the antibodies generated within the mice's blood were harvested to create the medicine.

While Brantly and Writebol's conditions improved after taking the drug, the serum shouldn't be viewed as a miracle cure, internist and gastroenterologist Dr. Jorge Rodriguez said.

"Let's be cautious. We don't even know really if this serum is working," Rodriguez said. "I'm glad now that these patients were brought to a hospital where so many tests can be done, where they can see the response of their body to this serum. We don't know if these patients are naturally getting better, or whether the serum is really doing something."

Many have asked why the two Americans received the experimental drug when so many in West Africa also have the virus.

The World Health Organization says it was not involved in the decision to treat Brantly and Writebol. Both patients had to give consent to receive the drug knowing it had never been tested in humans before.

The process by which the medication was made available to the American patients may have fallen under the U.S. Food and Drug Administration's "compassionate use" regulation, which allows access to investigational drugs outside clinical trials.

American Ebola patient 'seems to be improving,' CDC chief says

How Ebola spreads

Ebola doesn't spread through the air or water. The disease spreads through contact with infected organs and bodily fluids such as blood, saliva and urine.

Historically, the odds have not been good. Previous Ebola outbreaks have had a fatality rate of 90%, but the current outbreak in West Africa has a rate of about 60%, perhaps because of early treatment.

There is no FDA-approved treatment for Ebola. Emory will use "supportive care" for its two Ebola patients, unit supervisor Dr. Bruce Ribner said.

That means carefully tracking a patient's symptoms, vital signs and organ function and using blood transfusions and dialysis to keep patients stable.

The National Institutes of Health plans to begin testing an experimental Ebola vaccine in people as early as September. Tests on primates have been successful.

In the 1990s, an Ebola strain tied to monkeys -- Ebola-Reston -- was found in the United States, but no humans got sick from it, according to the CDC.

What is the risk of catching Ebola on a plane?

Concerns, testing spread outside Africa

A man hospitalized in New York City was in strict isolation Monday and Tuesday, waiting to learn whether he has the disease.

The patient became ill after recently traveling to West Africa, New York's Mount Sinai Hospital said.

Doctors were trying to confirm the cause of the man's high fever and gastrointestinal symptoms. A specimen from the patient was delivered to the Centers for Disease Control and Prevention in Atlanta; testing typically is completed within 48 hours, the hospital said Tuesday.

But "odds are this is not Ebola," said Dr. Jeremy Boal, chief medical officer of the Mount Sinai Health System. "It's much more likely that it's a much more common condition."

The patient was stable Monday night into Tuesday and was in "good spirits," the hospital said in a news release Tuesday.

CNN Chief Medical Correspondent Dr. Sanjay Gupta agrees. About half a dozen people have recently returned from West Africa and gotten tested because of symptoms, but none of those cases has been confirmed as Ebola, Gupta said.

Doctors in Saudi Arabia are also taking precautions as they treat a 40-year-old man who recently returned from Sierra Leone.

The man was in critical condition Tuesday with symptoms of a viral hemorrhagic fever, the Saudi Health Ministry said.

The source of his infection remains unknown, but Ebola cannot be ruled out, the ministry said.

What to know about Ebola

Experimental drug likely saved Ebola patients

CNN's Dana Ford, Danielle Dellorto, Jacque Wilson and Caleb Hellerman contributed to this report.

@highlight

NEW: Nancy Writebol is very weak but has shown signs of improvement

@highlight

The missionary, who was working in Liberia, has arrived back in the United States

@highlight

She is only the second known Ebola patient to be treated in the United States

@highlight

A man in Saudi Arabia who was in Sierra Leone has symptoms of viral hemorrhagic fever