Director and actor Orson Welles once said, "If you want a happy ending, that depends, of course, on where you stop your story."

Of course, the story of Occupy Wall Street and the movement it's sparking across the nation is just beginning to be written.  But those watching it unfold, especially those of us who are sympathetic to the movement, are eager to know how it might end.

Will politicians start paying more attention to people instead of profits?  Will the "99%" persuade the "1%" to be more compassionate?  Will the protests spawn a new generation of engaged citizens, the "flower power" for the 21st century?  If the occupations aren't forcibly ended by authorities, how will they stay visible in our easily distracted society? And how will the protesters stay warm and dry?

When I asked Occupy Wall Street organizer Jesse Myerson about the possible endgame of the movement, he replied, "That's a dumb question. The movement isn't yet 3 weeks old."  Fair point.  As a culture, we have a short attention span; we're too inclined to see everything as a sitcom and want to fast-forward to the end.  Myerson was being a bit evasive.  And this makes sense. Critics of Occupy Wall Street may demand to know the agenda -- the ending -- of the movement,  but perhaps its ongoing victory is that its story is even being told.

Americans had become shockingly complacent in the face of outrageous inequality and injustice, seeming to defend the special rights of yacht-owning "job creators" while swallowing the notion that millions of our fellow citizens can be both working and poor.  One poster at Occupy Wall Street read, "The light at the end of the tunnel has been turned off."  That we're now having a public debate about inequality and the ugly road to nowhere on which many hardworking Americans are traveling suggests that, whatever Occupy's ultimate agenda, the process of movement building -- the fact of its existence -- may be its essential point.

Social movements spring up not to achieve narrow policy goals but to shift the broader public debate, mobilizing public will toward change.  Polls show this movement's message against corporate greed not only has wider support than either political party in Washington but wider support than the tea party.  "Occupy" protests are springing up in unlikely places, from Idaho to Indiana, and drawing unlikely protesters like soccer moms, small-business owners and, yes, tea party members.  That you're even reading this column is evidence the protests are making a mark.

Even if the 99% movement -- as it's coming to be known in some quarters -- fizzles in the coming months, historically it may be the spark that lights another flame that ultimately leads to change.  Just as interest on a bank account multiplies and compounds over time, so does outrage and resistance.

Like any good story, the 99% movement is bound to have a cliffhanger, though it's too soon to predict when or what it will be. But expect it to come in the form of a significant demand that, if achieved, would dramatically transform our politics and economy for the better.

Based on my conversations with participants at Occupy Wall Street, my sense is that the ultimate demand could be a radical reform to get money out of politics.  This might be a call for public financing of elections, new restrictions on lobbying contributions. There might even be a constitutional amendment saying the law should not treat corporations as people, effectively overturning the Supreme Court's Citizens' United ruling that allowing corporations and wealthy donors to spend more freely on campaigns.

Incidentally, the American people widely support such campaign finance restrictions, but both Democrats and Republicans are chronically unwilling to forsake cash cow corporations and embrace reform. Creating huge public pressure to get corrupting money out of politics would be quite a happy ending for the protesters -- and our democracy.

But even if ordinary Americans merely become more awake to the injustices of gaping inequality, if they now begin to fight back, then it won't matter where the story ends.  In the face of economic travail -- with 16 million American children living in poverty and with unemployment for African-Americans at more than double the already-alarming rate for white people -- the 99% are finally standing up together and taking action.  This foreshadows a much brighter future all of us.

"Meaningful change doesn't happen overnight," Occupy Wall Street organizer Beka Economopoulos told me.  "We aren't talking end game now. We're just getting started."

Yet organizers seem to realize the point isn't how their story ends but how long they can keep it going, growing public consciousness and building pressure for change. "At this time," Economopoulos said, "we are only interested in impossible demands."

@highlight

Sally Kohn says Occupy Wall Street in early stages, but many are eager to know outcome

@highlight

She says its existence is already victory over Americans' long season of complacency

@highlight

She predicts that the movement will result in a demand for real economic redress of some kind

@highlight

Kohn: Protesters may seek campaign finance reforms; that they are finally awake is enough