(CNN) -- Every day where we work, we see our young students struggling with the transition from home to school. They're all wonderful kids, but some can't share easily or listen in a group.

Some have impulse control problems and have trouble keeping their hands to themselves; others don't always see that actions have consequences; a few suffer terribly from separation anxiety.

We're not talking about preschool children. These are Harvard undergraduate students whom we teach and advise. They all know how to work, but some of them haven't learned how to play.

Parents, educators, psychologists, neuroscientists, and politicians generally fall into one of two camps when it comes to preparing very young children for school: play-based or skills-based.

These two kinds of curricula are often pitted against one another as a zero-sum game: If you want to protect your daughter's childhood, so the argument goes, choose a play-based program; but if you want her to get into Harvard, you'd better make sure you're brushing up on the ABC flashcards every night before bed.

We think it is quite the reverse. Or, in any case, if you want your child to succeed in college, the play-based curriculum is the way to go.

In fact, we wonder why play is not encouraged in educational periods later in the developmental life of young people -- giving kids more practice as they get closer to the ages of our students.

Why do this? One of the best predictors of school success is the ability to control impulses. Children who can control their impulse to be the center of the universe, and -- relatedly -- who can assume the perspective of another person, are better equipped to learn.

Psychologists calls this the "theory of mind": the ability to recognize that our own ideas, beliefs, and desires are distinct from those of the people around us. When a four-year-old destroys someone's carefully constructed block castle or a 20-year-old belligerently monopolizes the class discussion on a routine basis, we might conclude that they are unaware of the feelings of the people around them.

The beauty of a play-based curriculum is that very young children can routinely observe and learn from others' emotions and experiences. Skills-based curricula, on the other hand, are sometimes derisively known as "drill and kill" programs because most teachers understand that young children can't learn meaningfully in the social isolation required for such an approach.

How do these approaches look different in a classroom? Preschoolers in both kinds of programs might learn about hibernating squirrels, for example, but in the skills-based program, the child could be asked to fill out a worksheet, counting (or guessing) the number of nuts in a basket and coloring the squirrel's fur.

In a play-based curriculum, by contrast, a child might hear stories about squirrels and be asked why a squirrel accumulates nuts or has fur. The child might then collaborate with peers in the construction of a squirrel habitat, learning not only about number sense, measurement, and other principles needed for engineering, but also about how to listen to, and express, ideas.

The child filling out the worksheet is engaged in a more one-dimensional task, but the child in the play-based program interacts meaningfully with peers, materials, and ideas.

Programs centered around constructive, teacher-moderated play are very effective. For instance, one randomized, controlled trial had 4- and 5-year-olds engage in make-believe play with adults and found substantial and durable gains in the ability of children to show self-control and to delay gratification. Countless other studies support the association between dramatic play and self-regulation.

Through play, children learn to take turns, delay gratification, negotiate conflicts, solve problems, share goals, acquire flexibility, and live with disappointment. By allowing children to imagine walking in another person's shoes, imaginative play also seeds the development of empathy, a key ingredient for intellectual and social-emotional success.

The real "readiness" skills that make for an academically successful kindergartener or college student have as much to do with emotional intelligence as they do with academic preparation. Kindergartners need to know not just sight words and lower case letters, but how to search for meaning. The same is true of 18-year-olds.

As admissions officers at selective colleges like to say, an entire freshman class could be filled with students with perfect grades and test scores. But academic achievement in college requires readiness skills that transcend mere book learning. It requires the ability to engage actively with people and ideas. In short, it requires a deep connection with the world.

For a five year-old, this connection begins and ends with the creating, questioning, imitating, dreaming, and sharing that characterize play. When we deny young children play, we are denying them the right to understand the world. By the time they get to college, we will have denied them the opportunity to fix the world too.

The opinions expressed in this commentary are solely those of Erika and Nicholas Christakis.

@highlight

Erika and Nicholas Christakis says they see students at Harvard who have trouble getting along

@highlight

They say kids better equipped to learn, interact, if taught using play-based curricula

@highlight

"Drill and kill" skill-based learning, requires more social isolation, they say

@highlight

Writers: Play-based learning builds empathy, better self-control, and problem solving skill