Washington (CNN) -- Former White House Press Secretary Jay Carney -- a longtime journalist before he joined the Obama administration in its infancy -- is back in the media game as a political analyst for CNN.

We caught up with Carney on Wednesday, in the hours before President Obama addresses the nation to outline his plan for dismantling ISIS, the brutal terrorist group that's roiling Iraq and Syria.

A former White House insider, Carney had insight into how the President and his team are preparing for such a major address.

But he also riffed on the state of the news media, the "not ideal" state of the White House press briefing, Hillary Clinton's potential campaign and how Twitter has accelerated the political news cycle.

CNN: So pull back the curtain a little bit, if you can, before tonight's speech. What is happening today? Who is in the room with the president, and what is he doing in there?

Carney: When speeches are important like this one, the president is the primary writer of the speech. He will get a draft, a very good one, from his team. From Ben Rhodes and Cody Keenan. But he will spend a good amount of time making sure it's really what he wants to say. I am sure as we get closer to speech time he will be fine-tuning it, working with his team. And he is keenly aware of the unique opportunity to give a speech to the nation. They don't come that often. There aren't that many occasions, outside of a State of the Union address, where a president in this media age has an audience as big as he'll have tonight.

Analysis: Obama speech a do-over on 'no strategy'

CNN: From a communications strategy perspective, when do you guys make the calculation that an issue deserves a national address in primetime?

Carney: The truth is we would do it more, but the networks, especially the broadcast networks, are not always willing to say yes. The threshold question is, you know, is it of national significance on a major issue -- something that the president feels the American people need to hear about? Matters of military force are the most obvious circumstances that merit a primetime address. There are also issues around significant domestic legislation, or national issues. He did a national speech launching health care reform that was primetime. It's not a well you can go back to that often, though, because it requires the networks to give the time. I remember when I was there, we asked for time once and the networks shot us down, which was very frustrating. (The White House requested primetime real estate in April to tout health care enrollment numbers.) We did a little research, and there was a pretty good case to be made that the reluctance to give time has increased over the years. The ask we made might have been granted in past presidencies. But that's just the nature of the business. I don't think it's going to change.

Obama is open to airstrikes on ISIS in Syria, wants to arm rebels

CNN: How frustrated is the president that Middle Eastern conflict is consuming his agenda right now, after taking a victory lap by ending the wars in Iraq and Afghanistan, and after the big 2009 Cairo speech that was aimed at repairing America's image in the world?

Carney: I don't think he gets surprised or disappointed by the revelation that the world doesn't bend to your will and your agenda all that willingly. It's been the fundamental responsibility of being president, and a huge part of the job, to deal with these kind of crises overseas and potential threats to the United States. I don't think he is disappointed. I think he is realistic about the fact that there is still a lot of work he wants to get done. And he knows that the time he has left will go by pretty quickly. My guess is that he realizes that the absolute necessity of dealing with the Islamic State, and with the situation in Ukraine, reduces the amount of time and focus he can put on other topics. But it's not really a choice for him. You don't have the choice you just have to do it.

As Obama prepares for ISIS fight, where are the doves?

CNN: The president caught a ton of flak for golfing after making a statement on the beheading of James Foley. He said on 'Meet The Press' this weekend that the optics of politics don't come natural to him. The guy is obviously a talented showman and politician. Does he really not get the theatrics of politics at this point?

Carney: Here is what I say about that. He definitely doesn't and never has approached the job in a way that puts a high priority or focus on optics, and I think that's because 10 years and a few months ago if you passed him on the street, you wouldn't have known who he was. That makes him wholly different. What that means is, he is a different kind of person than the kind of person who normally takes this office. Sometimes that creates problems, but I also thinks it's why he is president, and why he was re-elected. You can't be both somebody who emerged from outside Washington and catapulted onto the scene with a powerful message and also be a known entity to national political reporters and the general American public as somebody who was aspiring to the presidency for years. You can't be both. He is not a typical and never was a typical politician. That's an asset and a liability.

You can't say, 'I wish he was more like this or that,' because if he were, he wouldn't be the guy who persuaded more than 50% of the country to vote for him two times in a row. That's a long way of saying he is never going to be the kind of president who is routinely focused on the optics and theatrics of the office. Sometimes that's going to cause him problems and frustrate his aides. When that happens, you also have to remember it's part of who he is.

Obama: Golfing after Foley statement was a bad idea

CNN: Does he ever consult with former President Bill Clinton before big moments like this? Do they have that kind of relationship these days?

Carney: I don't know how often they talk. I don't think it would necessarily be before a speech like this, but I could be wrong. He is certainly close to former Secretary (Hillary) Clinton and to President Clinton. He saw him not that long ago, in August. But there isn't a regular conversation that I was aware of. But it's not an infrequent one either.

Bill Clinton and George W. Bush yuk it up

CNN: We're starting to see blind quotes from Hillary Clinton "aides" expressing criticism of Obama's handling of Syria and Iraq. If she runs for president, how does Hillary balance the thornier parts of Obama's record with her time in the administration?

Carney: Obviously that's something that she will figure out if she decides to run. She was Secretary of State for President Obama for four years and she understands that record will be part of what she runs on. Her time as Secretary of State is something she should be proud of, and the President's record on foreign policy is something she is more likely to embrace than anything because she was a big part of it.

'Hugging it out': Hillary Clinton calls Obama to calm tensions

CNN: So what exactly is the point of White House briefings?

Carney: It's become kind of theatrical and probably less helpful than either the White House or White House press corps wishes it would be. It's kind of ironic because now I am a contributor on a TV channel, but the reason that is, by and large, is because of TV. Mike McCurry, my predecessor, one of Bill Clinton's press secretaries, has apologized to every one of his successors for being the press secretary who agreed to televise the entirety of press briefings. Prior to that they were only televised for the first 10 minutes and then the cameras were turned off. It was inevitable anyway. But if you look at transcripts of a regular daily briefing in which the cameras are on, and compare it substantively and tonally to an off-camera briefing on Air Force One â€” the gaggles that I would do and press secretaries would do with traveling press on the plane. The White House ones â€” it's a lot of different. The ones not on camera tend to be more sober, more based in information and less gotcha-oriented.

The format is not ideal anymore. The problem is if Josh (Earnest) or any successor of his were to suddenly announce we weren't doing it anymore there would be an uproar by the press, and by the TV press. If they were to say no more on-camera briefings, that would not be accepted.

White House press secretary Jay Carney leaving

CNN: Does Twitter make your job easier or more difficult?

Carney: Oh man. Much more difficult. Not in a bad way. It put what was already an extremely fast news cycle into warp-speed. Obviously this White House is the only one that has existed in the era of Twitter. These tools can be very useful for getting information out. The White House has become much more Twitter-focused with more people having Twitter handles on staff. The fact that Twitter has become such a driving force in breaking news creates a whole host of challenges. It's sort of like the challenges that CNN first created for White Houses back when they were the only 24-hour television news network. It just changed the pace dramatically. So Twitter and social media have done that again.

CNN: Last one: What was the dumbest news cycle during your time in the White House?

Carney: Wow. There are so many to choose from. The first one that came to mind was the birth certificate saga. There is one every week or every month competing with serious stuff. Look, everybody finds themselves chasing the ball down the field sometimes and they wish they hadn't. I think it's both reporters and White House. But everybody ends up being better served, included readers and viewers of the media, if everybody reverts back to stuff that actually matters.

@highlight

Former White House spokesman Jay Carney joins CNN as a political analyst

@highlight

CNN's Peter Hamby interviews Carney before President Obama's speech on ISIS

@highlight

Carney gives a behind-the-scenes look at speech writing in the White House

@highlight

Carney weighs in on the "dumbest" news cycle