The first time my husband took me to Oahu, where he grew up and his family still lives, I was skeptical. My knowledge of the place didn't extend much beyond Don Ho and hula, and it all sounded a little kitschy for my taste. But after five days of seeing his version of the island -- hidden beaches, hikes that opened up to impossibly blue water, and a whole new genre of food -- I was so in love that we moved there a few months later.

We're back on the mainland these days, but we return to visit his parents regularly, and we always head off on the same route: an elongated circle around the Koolau Range that takes us to our favorite haunts in quick and beautiful succession.

DAY 1

8 a.m. Of the 4.6 million annual visitors to Oahu, most stay in hotels along two-mile-long Waikiki Beach. While everyone else sleeps off their piña coladas, insiders know to snap up the 50¢-an-hour parking meters along Kalakaua Avenue, just past Kapiolani Park (garages closer to the resorts can run $3.50 for 30 minutes). From there, it's a five-minute walk to Kuhio Beach, where the long, gentle, early morning waves are a perfect introduction to surfing.

11 a.m. Pho To-Chau Vietnamese Restaurant looks exactly like all the other Vietnamese restaurants lining River Street -- harsh lighting, Formica tabletops, metal chairs -- but the pho is the best of the bunch (1007 River St., 808/533-4549, pho from $6). The broth is rich without being heavy, and the Thai basil tastes like it was picked within the hour. Arrive before noon to beat the locals.

Budget Travel: Find out which Hawaii is right for you

Noon Honolulu's formerly seedy Chinatown has recently come into its own. The main drag of Nuuanu Avenue is now home to places like Chinatown Boardroom, an eclectic gallery and boutique (1160 Nuuanu Ave., chinatownboardroom.com). One-of-a-kind surfboards have been designed by local legends such as board shaper Ben Aipa.

1 p.m. There are two mistakes mainlanders make when talking about shave ice: One, they add a "d" to "shave"; and two, they describe it as a snow cone. Don't give yourself away. At its best, shave ice is so fine that it blends seamlessly with the syrup poured on it, making the concoction almost creamy. No one does it better than Waiola Store, buried in a tangle of Waikiki backstreets (2135 Waiola St., 808/949-2269, shave ice from $2.25). Owner Jerry Lee created -- and patented -- his shaving machine, and more than 40 syrups are concocted in-house, in flavors ranging from standard mango to unexpected melona, a honeydew flavor.

2 p.m. Ten minutes north of Honolulu's bustling Kalakaua Avenue, the noise fades away and high-rises are replaced by 1920s bungalows. You're now in Manoa Valley, which gets 150 inches of rain a year. The ideal way to soak up the scenery is to hike the mile-long path up to the 100-foot-tall Manoa Falls; the trail, framed by bamboo, winds under a rain-forest canopy (hawaiitrails.org, parking $5).

6 p.m. While most of Waikiki's sunset-watching spots feel either stiflingly formal or cringingly cheesy, the Mai Tai Bar at the Royal Hawaiian hits a kitschy sweet spot, thanks to hula dancers and live, lilting Hawaiian music (2259 Kalakaua Ave., royal-hawaiian.com, mai tai from $10). The coral-colored hotel, known as the Pink Palace, opened in 1927 and, despite undergoing a total renovation last year, still has an old-school authenticity.

Budget Travel: Read about some uncharted islands

Overnight Aqua Boutique Hotels, a group of eight newly renovated properties, are a welcome departure amid Waikiki's pricey mega resorts and aging skyscrapers. Each has its own identity and is walking distance to the beach. Aloha Surf & Spa, for example, plays retro surf films like 1966's The Endless Summer in the lobby (866/406-2782, aquaresorts.com, from $79).

DAY 2

9 a.m. The island's scenery changes dramatically -- and fast -- when you head east out of Waikiki on Kalanianaole Highway, the main road along the eastern (windward) coast. The 761-foot-high volcanic crater known as Diamond Head immediately rises in front of you, and beyond that, the Jurassic Park--style landscape makes even the most articulate person utter embarrassingly inane statements like "Amazing!" and "Wow!" The two-mile-long trail to Makapuu Lighthouse calls for its own set of exclamations (hawaiistateparks.org/hiking/oahu, trail #6). Perched at the edge of a cliff, the lighthouse is bordered by steep ridges covered in jungly vegetation.

Noon Kalanianaole Highway breezes past farms, ranches, and the occasional house. The lack of development is refreshing -- until you need a cold drink. That's exactly what gave Pat Shea and David Campbell the idea to open Sweet Home Waimanalo (6), a little shop with slow-smoked barbecue, fish tacos, and smoothies (41-1025 Kalanianaole Hwy., sweethomewaimanalo.com, tacos $8).

1 p.m. You can look out on 75-degree, turquoise water for only so long without desperately needing to dive in. It's worth holding out for Kailua Beach, about five miles north of Waimanalo. While the beaches leading up to Kailua have thinner strips of sand and strong tides, here the sand is broad and wide, and the water is calm enough for kids. Rent a double kayak from Kailua Sailboards & Kayaks and paddle out to the Mokulua Islands -- known as the Mokes -- a pair of mini mountains about 1.5 miles off the beach (130 Kailua Rd., kailuasailboards.com, half-day rentals from $49).

Dinner As soon as you hit the town of Kahuku, North Shore shrimp trucks (oversize vans) line the road. An under-the-radar favorite is Fumi's Kahuku Shrimp Truck, about half a mile north of Kahuku (56-781 Kamehameha Hwy., fumiskahukushrimp.com, dishes from $10). The shrimp is harvested every morning, and there are nine variations, but the only two worth ordering are butter garlic and spicy garlic. Beware: This is messy business: your hands will be covered with garlicky butter by the time you're finished. Don't be shy about using the big outdoor sink to wash off.

Overnight Each of the 11 units at Ke Iki Beach Bungalows comes equipped with a full kitchen and a barbecue, and teak chairs and benches are spread out on the grounds, set right on the beach (59-579 Ke Iki Rd., keikibeach.com, from $145).

DAY 3

11 a.m. The hikes along the coastline get all the acclaim, but a landlocked trail in the middle of the island is worth its own hype. The Aiea Loop Trail in Keaiwa Heiau State Recreation Area covers more than four and a half miles of terrain. Take in views of Pearl Harbor, the Waianae Range, Diamond Head crater, and, if you squint hard enough on a clear day, a bit of Honolulu (hawaiistateparks.org/parks/oahu, park # 8).

Lunch Don't be fooled by the tired-looking façade at the Waimalu Shopping Center; it houses some of the best food on the island. Shiro's Saimin Haven serves 60 versions of saimin, a noodle soup unique to Hawaii, with Japanese, Chinese, and Filipino influences (98-020 Kamehameha Hwy., saimin from $4). And it's definitely worth stopping by Baldwin's Sweet Shop to stock up on dried and preserved fruits flavored with li hing, a sweet-salty seasoning (98-040 Kamehameha Hwy., 808/488-0505, dried fruit from $1.50).

Airport detour La Mariana Sailing Club, on a marina off a gravel road three miles from the airport, is one of the area's last standing authentic tiki bars (50 Sand Island Access Rd., 808/848-2800, cocktails from $3.50). The 52-year-old spot has a refreshing grit amid its polished neighbors. And the decor -- some original, some donated by tiki casualties -- is traditional all the way: blowfish lamps, wooden posts carved with threatening faces, and fishing nets draped from the ceiling.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

An account of a three-day trip through Oahu, Hawaii

@highlight

The experience includes exploring hidden beaches, new vistas and cuisine