(CNN)Nearly every piece of plastic still exists on Earth, regardless of whether it's been recycled, broken down into microscopic bits or discarded in the ocean.

And the world keeps producing more of the material -- creating 288 million metric tons of it in 2012. About 4.8 to 12.7 million metric tons of it end up in the oceans in 2010, according to a new estimate published in the journal Science.

That report released Thursday ranks countries that generate the most plastic debris into the oceans, with Asian nations taking 13 out of the top 20 spots.

Using World Bank data on 192 coastal countries, researchers estimated that China, the most populous nation, has the most mismanaged plastic waste per year and also generates the most plastic debris that end up in the ocean at 28%.

Mismanaged waste means the material is littered or not properly disposed of-- meaning there isn't a formally managed waste management system.

"The study is not to point fingers at people, it wasn't to focus on the countries,"  said lead author Jenna Jambeck. "The purpose was to make a global estimate." But the data set Jambeck and the seven co-authors used was only available on a country-by-country level.

Eight of the top 10 countries with mismanaged plastic waste are in Asia.

"Many of them are middle-income countries with rapidly growing economy," said Jambeck of the University of Georgia. "They have also large coastal populations, they have high levels of mismanaged waste, they have trouble keeping up with infrastructure."

The United States also cracked the top 20 and had a higher rate of waste generation per person at 5.6 pounds per person than China (2.4 pounds).

Low-income countries were less likely to end up on the list, because of less waste, Jambeck said.

Since 1974, the world has undergone a 620% increase in plastic production, according to the researchers.

"When the waste was natural material, we could leave it and not think about it," Jambeck said.  "Even disposing of it in the land was fine, but plastic has increased 650% in the last 40 years.

"It's a wake-up call. We need to look at this and the way we're collecting and containing our waste."

Plastic waste discarded in the ocean raises a number of concerns, scientists say. It may damage ecosystems and marine animals, contaminate our food supply, and lead to chemical leaching.

Estimates of the time it takes to degrade plastic range from hundreds to thousands of years -- and because plastic has only been around for 100 years, there hasn't been enough time to observe the process, says Darby Hoover, senior resource specialist at Natural Resources Defense Council, an environmental group.

Meanwhile, plastic waste keeps on growing with more people and more consumption, the report authors wrote.

"All that consumption is growing, unfortunately the waste management systems around the world are not keeping pace as quickly as the consumption and products -- there's a big mismatch," said Doug Woodring, who was not involved in the study but has worked on the issue of plastics waste  at the Ocean Recovery Alliance in Hong Kong.

Last year, one study in the journal PLOS estimated that a minimum of 5.25 trillion floating plastic particles weighing 268,940 tons are in the ocean. This estimate included only surface plastics, and not the materials that have sunk.

"A lot of people think of an island of floating garbage, people envision that there are forms of an island you can see on Google Earth -- it's much more diffuse than that," Hoover said. " All of our oceans are plastic soups- everywhere you can go."

Environmentalists have criticized the rampant use of plastics in packaging that are only used once and then discarded.

The solutions have to be both local and global, Jambeck said.

"It's everybody's responsibility. Of course, don't litter and prioritize using reusables," Hoover said. "At the same time there's a responsibility on companies who produce the products found in oceans, to make sure the materials they produce are recyclable, get recycled and look for ways to improve the infrastructure."

While China topped the list in the report, the country has made some efforts to curb waste. In 2008, China banned free plastic bags and five years later, banned the import of poorly sorted recyclables from other countries including the U.S.

There are some successful models, said Woodring. For example, Taiwan places a surcharge on plastics sold on a company level and it pays for the sorting, capturing, cleaning and recycling.

However, some countries lack infrastructure for waste management and recycling.

@highlight

Research estimates amount of plastic going from land to ocean

@highlight

Report published in Science ranks China as top for mismanaged plastic waste

@highlight

Advocate: Consumption in plastic growing, but not infrastructure