(CNN) -- As a rehabilitation physician, I've supported many of the ideas behind the Affordable Care Act since before Barack Obama's presidency began. During the hot summer of town hall debates surrounding the legislation in 2009, I wrote an essay called "Standing up for Obama's health plan," and I have continued highlighting the fundamental advances that all of us, most especially disabled Americans, stand to share under the ACA.

But when the Obama administration decided last week to pull out a major pillar of the ACA, they lost my faith in their political wisdom.

There was a practical necessity to many of the president's other compromises in order to get the ACA passed. Regrettably, it gives states just enough power over insurance marketplaces and the Medicaid expansion to continue the unequal and unfair distribution of state-based social services. It allows states to eviscerate Medicaid in ways that don't make sense.

In some states, Medicaid pays to save the life of a stroke victim in the hospital, but then denies adequate rehabilitation services and devices to prevent that person's ongoing health problems from rapidly placing further strain on the thin social-service safety net.

The vast majority of Americans get medical insurance through their employers, although the number of employers that offer insurance has fallen 10% since 2000, and the insurance they do offer is increasingly lousy. Low-quality insurance, like so-called "mini medical" plans, is common. Employees won't know their coverage is insufficient until it's too late. If you work for one of these companies and your child suffers a serious trauma, the 30 visits or fewer these plans offer for outpatient therapy simply won't be enough. I've seen this gut-wrenching situation time and again.

True health care reform must end this sorry state of affairs in the workplace, where health care is centered. But by postponing for a year the implementation of the ACA's requirement that employers with more than 50 full-time workers offer insurance of minimally acceptable quality or face fines of $2,000 to $3,000, the administration has weakened the core of health care reform. It is delaying a critical national debate on what the ACA minimums should be.

How did this happen? The administration caved to pressure from business lobbyists, who, according to Politico, "mounted a coordinated campaign to convince senior White House officials that their date for requiring coverage was simply impractical." It's too bad patients and health care providers didn't get their counterbalancing message out. Without it, the business lobby was able to create an atmosphere of false urgency by claiming businesses weren't ready to start filing the information about the insurance plans they offer (or don't).

Without that critical information, the rest of the already heavily compromised ACA apparatus starts to tilt precariously. How can the government enforce the individual mandate, which requires people to buy insurance if their employers don't offer it or if they offer insurance that is substandard or overpriced? Without information from businesses, the government won't know whether individuals are claiming legitimate exemptions or not.

The federal government has long excelled at helping private businesses attract and retain workers with affordable benefits. American business lobbyists don't gripe so much about the nearly $200 billion in tax credits the nation grants their clients by designating employer-offered health benefits nontaxable. You'd think businesses would be pleased that the Congressional Budget Office projects that businesses that don't offer qualifying insurance plans will be paying only $10 billion in penalties in 2014. Now they'll be paying zilch.

In its notice announcing the ACA delay, the administration correctly states that the vast majority of employers already provide insurance. But so what? The ACA is as much about regulating insurance as encouraging businesses to provide it.

America's employers, left to their own devices, have been exchanging dinky medical insurance for cheaper products and services for too long. Peachtree Hotel Group, which owns a variety of chain hotels, mostly in the South, recently disclosed to The Wall Street Journal how much it nickle-and-dimes the health of its 550 employees. The company's chief financial officer says it offers a limited benefit plan, and now that the ACA is delayed for a year, it may increase the employee contribution on the full-benefit plan it was planning to offer next year under the law.

The next time you stay at Peachtree's Courtyard by Marriott in Gulf Shores, Alabama, know that you could be paying a few cents less for your room so that Peachtree can provide capped health coverage to its valued employees. But if a Peachtree employee were to suffer a catastrophic injury, every taxpaying citizen of Alabama would be paying a few cents more to provide the Medicaid coverage and social services the patient needs.

Why does it make sense to let companies make irresponsible choices in exchange for a little more profit? These are the kinds of cutthroat business decisions a massive piece of legislation like the ACA should combat.

The retail and restaurant lobbyists who stealthily hunted bigger profit margins these past few months will now seize on the act's wounded carcass. Republicans are already charging that this delay proves the administration knows the ACA is unworkable. They're using this decision as another opportunity to stop or delay the law.

They're right to do so. The ACA represents a large, painful change for a number of American institutions. Hospitals, doctors, patients, insurers and our government are in for a period of turmoil as these changes pulse through society's many layers. Handing a reprieve to one of those groups is unfair to the rest of us, and will distort the necessary debates as specific problems come to light just in time for the 2014 midterm elections.

The administration should either delay the whole law until 2015 or go forward in 2014 as planned. Mortally wounding the ACA before the coming battle isn't compromise -- it's foreshadowing.

The opinions expressed in this commentary are solely those of Ford Vox.

@highlight

Ford Vox says the new delay in employer mandate has made him lose faith in Obama's wisdom

@highlight

He says businesses lobbied for delay, but the poorly insured and taxpayers pay the price

@highlight

He says move delays penalties, protects profits, for businesses that don't meet ACA regulations

@highlight

Vox: Mortally wounding Obamacare before midterm elections helps its opponents