(CNN) -- Elon Musk wants to revolutionize transportation. Again.

The serial entrepreneur envisions a future where mag-lev trains in enormous pneumatic tubes whisk us from Los Angeles to New York in 45 minutes. Need to be in Beijing tomorrow? No problem. It's a two-hour ride away.

As crazy as it sounds, Musk is merely updating an idea that's been around since the early 1900s, and at least one company is working on a functional prototype. But according to Wired sources, his involvement won't be nearly as hands-on as Musk's other endeavors at Tesla Motors and SpaceX.

The engineering behind the Hyperloop is similar to the old-school pneumatic tube systems used by banks to suck your deposit to the teller at the drive-through. But naturally, it's more complicated than that.

A massive vacuum tube — mounted either above ground or even under water — would be combined with a magnetic levitation system used on conventional bullet trains. That means no friction, no wind resistance, no chance of collisions, and insanely high speeds.

Musk described the Hyperloop as "a cross between a Concorde, a railgun and an air hockey table," at AllThingsD's D11 conference earlier this year. And in an interview with PandoDaily, Musk said the Hyperloop could form a fifth tent pole of modern transportation, joining cars, planes, trains, and boats, adding that because of its low energy usage and ability to get juice from solar power, it could generate more power than it would consume.

But up until now, he hasn't elaborated on his involvement.

Musk's interest in the idea was sparked after researching California's new high-speed rail project and realizing that it will be the slowest and — at $70 billion — the most expensive system on the planet. To his mind, there's a better solution. The Hyperloop is it. And one firm unaffiliated with Musk is in the early stages of development.

ET3, a company based in Longmont, Colorado, is working on a Evacuated Tube Transport (ETT) system, which it describes as "space travel on Earth." It uses two tubes — one for each direction — with 400-pound, passenger car-sized capsules that could house six people, each accelerated by linear electric motors. According to ET3, state trips would average speeds of around 370 mph, while international trips would hit that insane 4,000 mph mark.

The company, which calls itself an "open consortium," claims that it's working with partners in China and has sold nearly 100 licenses for the technology. But ET3′s claims pose more questions than answers, particularly when considering you can buy your own license for the bargain basement price of $100.

But the idea for a vacuum-sealed high-speed transit system isn't anything new. The "vactrain" concept was floated in the early 1910s and a paper written by physicist R.M. Salter and published by the Rand Corporation in 1972 titled the "Very High Speed Transit System," or VHST, describes something very similar to what ET3 is developing.

But where Musk fits in remains a question. Sources close to the Tesla co-founder and CEO say he believes ET3 is on the right track, but is missing some key components, and that Musk has his hands full with Tesla and SpaceX, and would rather have some involvement in the development, with another entity taking the helm.

That lines up with a few responses Musk made on Twitter when asked about patenting the technology. "I really hate patents unless critical to company survival," Musk tweeted. "Will publish Hyperloop as open source."

When asked about partners, Musk said he's "happy to work with the right partners. Must truly share philosophical goal of breakthrough tech done fast & w/o wasting money on BS."

We'll have to wait until August 12th to find out more.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Elon Musk wants to revolutionize transportation with high-speed trains in enormous pneumatic tubes

@highlight

Such trains could theoretically whisk people from Los Angeles to New York in 45 minutes

@highlight

A Colorado firm is in the early stages of development of such a system

@highlight

Musk is the serial entrepreneur behind Tesla, the electric car company, and Space X