(CNN) -- At least 98 people have been killed by the earthquake in New Zealand and the death toll could rise, Prime Minister John Key said Thursday, as hundreds remain missing -- among them, nearly 30 Japanese students.

As more bodies are recovered and as the identification process continues, authorities acknowledge that the number of fatalities will rise.

Some 431 people have been admitted to hospital emergency rooms since the quake, according to Iona Wassilieff with New Zealand's National Crisis Management Center. Authorities say another 1,000 people have been treated for minor injuries.

Currently, 27 Japanese students are among those missing, according to Japan's Ministry of Foreign Affairs. Most of that group is from Toyama Foreign Language College; two are students from another language school in Tokyo and five are on personal study trips from other parts of Japan.

Japan's Asahi Shimbun newspaper interviewed two victims from Toyama Foreign Language College who were pulled from the rubble in New Zealand. Kento Okuda and Norika Masutani are both 19-years-old and students at the language school, and now both are patients at Christchurch Hospital.

Okuda said he was in the cafeteria having lunch on the fourth floor when he felt the first, big shake, according to the paper. The floor gave way and he felt himself falling, but said he had no no idea how far he fell. The entire building was dark, he said, and he realized he couldn't move his right leg because it was trapped under heavy rubble.

Masutani was also on the fourth floor when the quake hit, Asahi Shimbun said. She said she panicked when the floor gave way.

Both Masutani and Okuda told the paper that, after the quake, all the students caught in rubble tried to talk to each other and do a count of who was able to talk and who couldn't. Many of their fellow Japanese students did not respond.

Masutani told the paper that aftershocks progressively brought more rubble down around her, shrinking the void she was in. She smelled smoke and gas, she said, adding, "I was scared that a fire was coming." But a rescue team located Masutani and pulled her out, according to Asahi Shimbun. She has bruises and sprains, but no major injuries.

Okuda told the paper he heard the rescue team approaching him. He lost his leg but said but that he had no details on when it was cut off or when he was pulled from the rubble.

"The reason why I survived in the dark for hours is that we could talk to each other. Please help my classmates," Masutani told the paper, referring to the missing students believed trapped under the rubble.

Officials have given up hope of rescuing at least 100 people who were trapped in the Canterbury TV building in downtown Christchurch. Police said they were "100% certain" no one still trapped in the building was still alive. Officials fear that people who remain trapped inside the Pyne Gould corporation building are dead , according to CNN's Anna Coren.

House-to-house searches are the priority Thursday for rescue workers in Christchurch, authorities explained at a news conference early Thursday morning.

Christchurch has been divided into a grid pattern, Collins and other officials said. Urban search-and-rescue teams with paramedic and building-assessment training have fanned out across key neighborhoods searching for earthquake victims.

Meanwhile, New Zealand's Red Cross says roughly 900 people took shelter in welfare centers overnight Wednesday.

Also Wednesday, confusion over the status of an Australian woman who was trapped in rubble was resolved.

Anne Vos, who spoke to the outside world by mobile phone while trapped beneath rubble, is recuperating in a hospital in New Zealand, according to Dana Robertson with the Australian High Commission in Canberra.

Vos made calls to the media and her family in Australia Tuesday before she was rescued from the rubble of the Pyne Gould Corporation Building in the central business district, according to Australian and New Zealand media.

"A couple of hours ago, I thought I'd had it," she told New Zealand network TV3 Tuesday. "I thought it was 'Goodbye Anne.' "

"I've managed to wiggle out a bit because I couldn't breathe. Now I've got a wee bit of air here. I rang my kids to say goodbye.

"My daughter was crying and I was crying because I thought 'This is it.' You've got to tell them you love them. ... I'm not going to give up ..." she said.

Earlier, news outlets reported she had been rescued, but others said later that rescuers had confused her with someone else. Another woman named "Ann" was pulled from the same ruined building on the same day.

Ann Bodkin took cover under her desk in the same building when the quake struck. She was trapped in her office building for 24 hours.

"The sun came out the moment she was removed from the building," said Christchurch Mayor Bob Parker. "It was like God turned on the lights."

Rescue workers applauded as Bodkin was pulled alive from the rubble.

She was one of about 30 people rescued Wednesday from the Pyne Gould building and the Canterbury Television building, the two blocks most severely damaged in the quake.

The quake toppled buildings onto buses, buckled streets and ripped the facades of iconic churches, including the Christchurch Cathedral and the Cathedral of the Blessed Sacrament.

It also cut power for most of the city, leaving rescuers working overnight under floodlights.

"This is just heartbreaking," Prime Minister John Key said. "This may be New Zealand's darkest day."

As the rescuers scrambled to reach survivors, the Web turned into a crisis center as Google offered a service for people searching for loved ones.

Google's crisis response service provided a place to find information, including telephone numbers and incident reports.

The initial quake, which struck early Tuesday afternoon, was followed by a series of aftershocks, the New Zealand Ministry of Defense said.

A U.S. emergency official was in Christchurch as part of a delegation working with the New Zealand government on disaster response.

"I was at the airport when the earthquake struck," said Tim Manning, deputy administrator for the U.S. Federal Emergency Management Agency.

Manning said he was working with the U.S. Embassy to find citizens who need assistance and providing help to New Zealand officials.

Southern New Zealand has been hit by a series of quakes since September 4 when a 7.1-magnitude temblor struck the area. The earthquake hit in the predawn hours, with the deserted streets helping to keep injuries to a minimum. There were no deaths from that quake.

The September quake struck deeper below ground and farther away from Christchurch than Tuesday's temblor, causing less damage despite the higher magnitude, officials said.

The U.S. Geological Survey said Tuesday's earthquake was part of the "aftershock sequence" from the September earthquake.

"It's a nightmare. A lot of people were just getting back on their feet after the original quake," said Kevin Fenaughty, data center manager for GNS Science, an earth-science research institute.

CNN's Anna Coren, Kyung Lah and Hilary Whiteman contributed to this report

@highlight

NEW: Death toll rises to 98

@highlight

Japan's Asahi Shinbun interviewed two students pulled alive from the rubble

@highlight

27 Japanese students are still missing amid Christchurch devastation

@highlight

Authorities are conducting house-to-house searches for victims