(CNN) -- Bill and Hillary Clinton never fail to confound Americans. Their political and public service accomplishments often appear diminished by the stumbles in their private lives, real or imagined. No holder of high office, obviously, is ever judged simply for policy initiatives, and that seems especially true of the Clintons.

As Hillary Clinton positions herself for a likely 2016 run for president, the scrutiny she will endure extends, inevitably, to her husband. Journalists and critics on the right will probably have to mine new material, however. What happened in Arkansas and the Oval Office have been more topically tortured than Benghazi.

Fortunately, for the traffickers of faux outrage, the Clintons have offered up the Clinton Foundation, a ponderously complex institution that looks like it might be troubled by internecine squabbles, naked ambition, a touch of greed and an almost impossible to identify set of operational boundaries.

Regardless of altruistic goals and achievements, the Clinton Foundation has blended friendships and political relationships along with corporate and nonprofit endeavors in a structure that will feed material into the Hannity-Limbaugh-O'Reilly GOP commentary complex through the next presidential election cycle.

Clinton will likely not cross a room in the next few years without it being framed through the perspective of her unstated political plans to become president. News that she was moving with her staff into two floors of the Time-Life building, where the Clinton Foundation is located, may be a part of what prompted the New York Times to publish a detailed account of the nonprofit's operations and their possible implications for a second Clinton presidency.

The former secretary of state is planning initiatives on jobs, women and children under the organization's new title of the Bill, Hillary and Chelsea Clinton Foundation, which, undoubtedly, will add to her already substantial resume.

There are, of course, always legitimate questions for global nongovernmental organizations and potential conflicts between their programs and the profit motives of their large corporate donors.

Increasing her association with the foundation means Clinton will be judged partly by the operational relationships of an institution that has previously been driven by her husband's global celebrity and fundraising skills. This is not a uniformly positive development.

During her primary race against President Barack Obama, the Clinton Foundation ran a deficit of $40 million, possibly because its fundraising was competing with her campaign's. Even though the foundation and the associated Clinton Global Initiative and the Clinton Health Access Initiative had operating revenues of $214 million last year, it still ended with an $8 million deficit.

The Clintons are either very astute at navigating the nether world between corporate millions and honorable charity work, or they are still dealing with the bedazzlement of wealth and power and haven't figured out how to clearly understand what is appropriate and ethical.

The latter can hardly be argued. American presidential politics runs on the billions of multi-national businesses and winning elections is inextricably connected to finessing that dependency to give the converse appearance of independence.

The Times report suggests the Clintons are still figuring this out, and regardless of any philanthropic motivations to help with global problems, they may be harmed by their institutional ineptitude.

One example cited by The Times is a consultancy named Teneo, which was founded by a close associate of Bill Clinton. Monthly retainer fees were said to be up to $250,000 and the former president was a paid advisor, until the bad publicity and collapse of Jon Corzine's MF Global investment firm, a significant client. Hillary Clinton was reportedly angry about the negative media but it's unknown if she had previously commented or had ethical concerns regarding Teneo's recruitment of Clinton Foundation corporate donors to be clients.

Surely, all of this is not without meaning?

Well, maybe. The Clintons cannot be accused of not trying. Their political ambitions are as grand as their visions of global philanthropy.

In just the 2013 meeting of the Clinton Global Initiative, public and private organizations made more than 70 commitments totaling $1.6 billion, estimated to impact about 2 million American lives. The Clinton Foundation has created significant partnerships around the planet to resolve issues related to health and wellness, economic inequality, climate change and childhood obesity.

Execution in all of these endeavors has been, undoubtedly, imperfect, and, yes, Hillary Clinton's public evaluation as a presidential candidate may be connected to some of those shortcomings. But the greater failure would be to make no effort to help improve a troubled world.

Perhaps the Clintons should simply return to Hope, Arkansas, rent a little house on a quiet side street and paint self-portrait watercolors.

The opinions expressed in this commentary are solely those of James C. Moore.

@highlight

The Clinton Foundation has come under scrutiny for its operations and finances

@highlight

James Moore: As Hillary Clinton will likely run for president, critics are looking for mistakes

@highlight

He says evaluation of Clinton as a presidential candidate may be tied to the foundation

@highlight

Moore: Charity work honorable, but Clintons need to set boundaries on power, wealth