(CNN) -- A Pulitzer Prize-winning journalist and undocumented immigrant who was detained at a southern Texas airport this week said Wednesday the incident wasn't a stunt.

Asked how it was possible that he didn't know he would get extra scrutiny at the border airport, Jose Antonio Vargas told CNN's "New Day" that he didn't anticipate being detained in McAllen, Texas, after visiting a shelter where undocumented immigrant children were being held.

"Is it a stunt to get on a plane to leave to try to get out of south Texas?" he asked. About his detention, he added: "That's the risk undocumented people take every day."

On Tuesday, U.S. Border Patrol agents detained the journalist-turned-activist at McAllen-Miller International Airport after he told them he was in the country illegally, officials said. He was released later that day and given a notice to appear before an immigration judge.

At the very least, Vargas likely knew after he'd arrived in McAllen last week that he might have difficulty leaving the area by plane or by land. In a piece that he wrote for Politico, he said acquaintances informed him after he arrived that Border Patrol agents check IDs at the airport, and that immigration checkpoints are set up along roads within 45 miles of the city.

Vargas became an outspoken advocate pushing for an overhaul of the nation's immigration laws in 2011, when he revealed he was undocumented -- having entered the United States from the Philippines as a child -- in a column for The New York Times Magazine.

Vargas was detained at the McAllen airport while trying to pass through security en route to Los Angeles, said Ryan Eller, campaign director for Define American, a group Vargas founded in 2011.

Earlier, he visited a shelter to "highlight the stories of refugee children who have fled countries in Central America because of increased levels of violence," according to a statement on the website of United We Dream, a group that provides support to children and families.

On Facebook Wednesday, Vargas wrote, "We, the American people, must not allow our elected officials to further politicize the humanitarian crisis at the border. America does not turn its back on children -- then or now. We must (find) a solution to this crisis."

He wrote that the Rio Grande Valley in south Texas was "the most militarized zone I've ever been to in the U.S. Can you imagine living there, being trapped in a 45-mile radius of check-points and border patrol agents? I only visited and I got out. I got out. What about other immigrants?"

Recently, Vargas detailed his life story in "Documented," a film about the U.S. immigration debate that he wrote and directed. CNN aired it on June 29.

Even with his high-profile and frequent speaking events about his immigration status, Vargas hadn't found himself in the cross hairs of authorities until his trip this month to the border region to support unaccompanied minors coming from Central America.

"Mr. Vargas has not previously been arrested by (Immigrations and Customs Enforcement,) nor has the agency ever issued a detainer on him or encountered him," the Department of Homeland Security said Tuesday. "ICE is focused on smart, effective immigration enforcement that prioritizes the agency's resources to promote border security and to identify and remove criminal individuals who pose a threat to public safety and national security."

Vargas said he considered the possibility of detention after arriving in the region.

"Because I don't have any ID besides my Filipino passport, it's going to be hard for me to actually get out of here at some point when I decide to get out of here in the next couple of days," he told CNN on Sunday.

Early Tuesday, Vargas tweeted that he was about to go through security at McAllen-Miller International Airport. Since outing himself as an undocumented immigrant three years ago, he says he has traveled extensively, visiting 40 states.

"I don't know what's going to happen," he tweeted, directing his followers to the Twitter handles for Define American and the University of Texas-Pan American's Minority Affairs Council.

Within minutes, the latter retweeted a photo of Vargas in handcuffs with the caption: "Here's a photo of (Vargas) in handcuffs, because the Border Patrol has nothing more pressing to do apparently."

In 1993, when he was 12, Vargas came to the United States from the Philippines with a man he'd never met but whom his aunt and a family friend introduced as his uncle, Vargas wrote in his 2011 New York Times Magazine column.

Once in the States, he lived with his grandfather, a security guard, and grandmother, a food server. Both were naturalized American citizens who had been supporting Vargas and his mother since Vargas was 3. He'd later learn that his grandfather had paid $4,500 for this purported uncle -- who was a coyote, or people smuggler -- to bring Vargas to the United States under a fake passport and name.

Vargas: Undocumented and hiding in plain sight

@highlight

Homeland Security says Jose Antonio Vargas has a notice to appear in court

@highlight

Officials say he was detained after telling authorities he was in the country illegally

@highlight

The journalist wrote last week that he suspected he might not get out of McAllen, Texas