(CNN) -- Angola's ruling party was declared the winner of weekend elections Sunday after taking nearly three-quarters of the vote.

With about 85% of the boxes counted, the Popular Movement for the Liberation of Angola (MPLA) had 73% of the nearly 4.9 valid votes cast, according to figures from the country's National Electoral Commission. The MPLA's nearest rival, the National Union for the Total Independence of Angola (UNITA), trailed far behind with 18%.

Seven other parties split up the rest of the vote.

The win means a new term for President Jose Eduardo dos Santos, who has held power since 1979, the state-run Angola News Agency reported. Under the terms of a constitution approved in 2010, the leader of the party that won Friday's parliamentary vote automatically becomes Angola's president.

Friday's election was only Angola's third since it gained independence from Portugal in 1975. The country was wracked by civil war for the next 27 years, and the vote was widely viewed as an indicator of the country's progress after a decade of peace.

Elections in 1992 were abandoned midway and led to an outbreak of further violence. The MPLA won a 2008 parliamentary vote with a landslide 82%, with UNITA, its former civil war enemy, the leading opposition in the 220-seat National Assembly.

UNITA saw its share of the vote nearly double from the 10% share it won in 2008. The movement has alleged fraud in previous elections and voiced concerns about apparent irregularities in election campaigning this time around. But on Saturday, UNITA spokesman Alcides Sakala said his party would recognize the election results, the ANA reported.

They include the scheduling of the vote only three days after a public holiday for the president's birthday, questions about voter rolls, and "what seems like a concerted effort by certain security forces to tell people in rural areas that if they do not vote for the ruling party, the country will be back to war," said Domingos Jardo Muekalia, UNITA's deputy secretary for external relations, speaking at the Chatham House think tank in London.

In 1992 and 2008, there were "substantial irregularities -- some intentional such as manipulation, fraud and intimidation and others resulting from inexperience," he said.

Human Rights Watch also accused the government of "numerous incidents of political violence, intimidation of protesters, and crackdowns on peaceful demonstrations," in a report issued on August 1.

"The human rights environment in Angola is not conducive for free, fair and peaceful elections," said Leslie Lefkow, deputy Africa director for the rights monitoring group.

"The Angolan government needs to stop trying to stifle peaceful protests, gag the independent press or use the state media for partisan purposes if these elections are to be meaningful," Lefkow said.

Angola, sub-Saharan Africa's second-largest oil producer, pumps out more than 1.9 million barrels per day and boasts an expanding investment portfolio in its former colonial power, Portugal, and in other parts of Africa.

But despite big spending on infrastructure and social programs since the end of its brutal civil war in 2002, corruption, poor governance and economic inequality remain serious issues for much of the country's population of about 18 million.

Angola ranked 168th out of 183 countries on Transparency International's 2011 Corruption Perceptions Index, and was 148th out of 187 countries in the U.N.'s Human Development Index.

A number of small but consistent demonstrations have taken place in Angola since last year, revealing a growing frustration with the economic hardship that many still face in the country.

Over the last few months, civil war veterans have taken to the streets to demand overdue subsidy payments, and disgruntled youths and civil rights activists have staged rallies to voice their concerns about the lack of jobs and opportunities.

The protracted civil war killed up to 1.5 million people, according to the CIA World Factbook. About 4 million people were internally displaced, more than half of them children, the United Nations said.

After peace was established, the country faced the challenge of reestablishing civil institutions, rebuilding damaged infrastructure, clearing land mines and demobilizing large numbers of former fighters.

Opinion: Is oil-rich Angola a development success?

@highlight

Angola's ruling MPLA took 73% of the vote, the National Electoral Commission reported

@highlight

Jose Eduardo dos Santos will hold the presidency he's now held for three decades

@highlight

Friday's vote was only the third election since Angola's independence

@highlight

The opposition UNITA party voiced concerns about irregularities but accepted the result