(CNN) -- Their job is capturing the most horrifying images on Earth -- keeping their eyes open, where others must look away.

These are the people who lug cameras into the darkest depths of humanity. Places too gruesome, heartbreaking, and dangerous for the average person to stomach.

They return offering us a small window into someone else's hell. And sometimes they don't return at all.

The death of war photographer Anja Niedringhaus, while covering Afghanistan's elections, made her the 32nd Associated Press staffer to lose their life on the job.

The 48-year-old Pulitzer Prize-winning German journalist was shot dead by an Afghan policeman, while sitting in a car waiting to pass through a checkpoint.

She had worked in the region over 20 years.

Tragic Taro

It's almost 70 years since the first female war photographer died in this line of work, and though few will know her name, many will recognize her famous lover.

Gerda Taro was 26-years-old when she died covering the Spanish Civil War in 1937. The bubbly, bold photographer supposedly left the trenches that day only because her film ran out, elated with the fantastic images she thought she'd captured.

But the car she was traveling home in collided with an out-of-control tank, crushing her. Taro's photographs that day were never found.

Capa's loss

The man waiting for her was Robert Capa, arguably the most famous war photographer of the 20th century, known for his haunting images of soldiers emerging from the sea during the D-Day landings.

When he heard the news of Taro's death, Capa was "utterly devastated," said Jane Rogoyska, author of new book "Gerda Taro: Inventing Robert Capa."

"When he got the call he just kind of collapsed. And for the next few weeks he was just distraught. They were soul mates in many ways."

Love in a time of war

Their relationship began in Paris three years earlier. Both were penniless Jewish emigrants fleeing persecution -- he from Hungary, she from Germany.

They changed their names and invented new lives for themselves as photographers -- Capa teaching Taro how to take pictures, and she making the disheveled young man presentable to employers.

"They were both incredibly attractive, very charming, very charismatic people," said Rogoyska.

"They really had nothing but their talent and wits to survive on. And I think their bravery partly came from their youth."

Action shot

With that bravery, came risks.

"If your photographs aren't good enough, you're not close enough," Capa famously once said, and after Taro's death he felt responsible not just having introduced her to photography, but for not protecting her on the day she died.

"Taro, like Capa, had a reputation for getting close to the action," said Rogoyska.

"They both had a policy of really trying to engage with what it was like to experience war -- whether it was civilians or the front line. That was quite a modern idea, so they were really quite striking pictures."

Indeed, gaze across Taro's images and you'll find soldiers huddled in trenches writing letters to loved ones, or bloodied air raid victims being carried away on stretchers, their pained expressions hauntingly close.

Adrenalin junkies?

On the day she died, Taro was exhilarated, fearlessly holding her camera aloft to get the best shots, according to Ted Allan, the Canadian reporter traveling with her at the time.

What drives war photographers to risk their lives for an image?

"The idea that all war correspondents are adrenaline junkies is a clichÃ©," said Kate Brooks, an American photojournalist who covered the 2003 invasion of Iraq.

"Journalists are generally driven by something much deeper," she said, adding: "Documentation is vital for the sake of collective memory, accountability and understanding."

The Mexican Suitcases

The discovery of a "Mexican Suitcase" containing thousands of negatives belonging to Taro, Capa, and fellow photographer David Seymour (known as "Chim) a few years ago, revealed just how prolific their war coverage was.

Many photographs attributed to Capa have now been identified as Taro's.

"Taro's work was, until quite recently, largely overlooked in history," said Brooks, author of "In the Light of Darkness: A Photographer's Journey after 9/11."

"She had no one to carry on her legacy after Capa died -- she didn't have children and her family were killed in the Holocaust. Then World War Two eclipsed the Spanish Civil War and Taro's communist sympathies further obscured her memory in the McCarthy era."

We'll never know what might have become of Taro's career, had she survived.

But her window into a momentous moment in history, forever frozen in black and white, remain.

Opinion: We need more women journalists on front line

Inspire: National Geographic's pioneering female photographers

@highlight

Who are the female war photographers risking their lives for the perfect shot?

@highlight

Pulitzer Prize winning photojournalist shot dead covering Afghanistan election

@highlight

New book explores Gerda Taro, first female war photographer killed on job

@highlight

Taro took many images attributed to lover and photographer Robert Capa