Washington (CNN) -- As President Barack Obama decides whether to strike ISIS inside Syria, he has political considerations as well.

U.S. lawmakers are watching critically as Obama weighs options on how to deal with the threat from ISIS, the Islamic State in Iraq and Syria.

Many have argued the surge of ISIS is the direct result of lack of strategic action to date from Obama, while others are questioning how broadly Obama's executive authority extends when it comes to taking militarily action.

Rep. Adam Schiff, the top Democrat on the House Intelligence Committee, tells CNN that unless the United States or its citizens face an imminent threat from ISIS, Obama must seek approval from Congress before extended airstrikes against ISIS inside Syria.

"I do think the president should come to Congress if he intends to embark on airstrikes in Syria for the purpose of trying to defeat ISIL," Schiff said Saturday. "If we're talking about the same kind of more general airstrikes we're undertaking in Iraq, that's something that would broaden the mission significantly. And, frankly, I think the case hasn't been made for that yet."

Rep. Ed Royce, chairman of the House Committee on Foreign Affairs and a Republican from California, told CNN that he'd support the use of armed drones on ISIS in Syria.

"I think strikes at this point, against the Syrian ISIS, which has bled into Iraq, those steps should be taken," Royce said. "Had they been taken some time ago, I think ISIS would not have as much influence on the ground as it has now."

U.N.: 'Unspeakable' suffering in Iraqi town besieged by ISIS fighters

Royce said he would not, however, support putting U.S. troops on the ground.

"There is no support in the United States on either side of the aisle for introducing ground troops there," Royce said. "The question is: do we support the Kurds? Do we support the Free Syrian Army in their effort to turn back ISIS? And in doing that, we need to give them the heavy equipment such as anti-tank missiles that desperately they need."

"The most important aspect of this is that this needs to be a dialogue between Congress and the administration in terms of having a strategic plan forward in supporting the Kurdish forces on the ground," said Royce. "That's the infantry that is right now advancing against ISIS, and they need the support."

Perry piles on President

Republican Gov. Rick Perry of Texas tied the ISIS threat into a broader critique of six years of the Obama doctrine.

"When we think about where we are in the international scene, we think about the lack of leadership," Perry said. "When we see what's happened in Libya, Egypt, Israel, Syria, Ukraine and now back in Iraq that we were told three years ago was secure and al Qaeda was on the run and we see the enemy that we are having to deal with."

Perry, who is considering a bid for the Republican nomination in 2016, made the remarks at a rally for New Hampshire Republican activists.

The United States on Saturay carried out another airstrike in near the strategically important Mosul Dam in Iraq, according to the Defense Department. It's the 62nd such strike in support of Kurdish forces fighting for control of the dam and the 94th of the campaign against ISIS, which began August 8 and has included daily strikes.

U.S. intelligence agencies are gathering information on the locations of ISIS leadership and troops in Syria, two U.S. officials have told CNN. Separately, U.S. officials said the military has been talking about increasing airstrikes in Iraq and possibly carrying out tailored airstrikes inside Syria against ISIS targets.

Defense Secretary Chuck Hagel and Joint Chiefs Chairman Martin Dempsey signaled the United States was gearing up for a significant change both in rhetoric and action regarding ISIS in Syria.

"Can [ISIS] be defeated without addressing that part of their organization which resides in Syria? The answer is no," Dempsey told reporters Thursday. "That will have to be addressed on both sides of what is essentially at this point a nonexistent border. And that will come when we have a coalition in the region that takes on the task of defeating ISIS over time."

Peter Bergen, a CNN national security analyst who has researched terror groups for decades, said it will be difficult to defeat ISIS without ground forces.

'What does day two look like?'

But American's gloomy feelings of war fatigue will make consensus building for action in Syria a difficult sell.

"President Obama has been very reluctant to get involved in Syria because what does day two look like?" Bergen said. "Two of the most effective fighting forces in Syria are al Qaeda or al Qaeda splinter groups, or groups like Hezbollah, backed by Iran. So if you intervene, you may be helping Iran and Hezbollah and [Syrian President Bashar al-Assad's] regime."

Royce told CNN, however, that there are groups in Syria with which the United States can align.

"We should be arming the Free Syrian Army," Royce said. "It was the opposition to Assad. It was clear that ISIS in a vacuum would move into that position. That's what we have seen happen."

Adding another layer to the political and security calculus for the White House, intervention in Syria is more complicated than the ongoing airstrikes in Iraq due to international law, Bergen said.

"You could imagine some combination of U.S. Special Forces in small numbers, drone strikes, and airstrikes in Syria just as has been taking place in Iraq. But it's a pretty big bridge to cross," Bergen said.

"The Iraq government is inviting us to do these strikes in Iraq. The Syrian government certainly wouldn't be inviting us to intervene militarily in Syria. So there's a good question of international law, which after all the administration and the United States has good reasons to uphold."

@highlight

Administration considers hitting ISIS targets in Syria

@highlight

But there are political, international law questions

@highlight

And intervention could have other effects