Cairo (CNN) -- To say that Elhamy Elzayat misses the glory days when huge numbers of visitors flocked to Egypt's ancient sites is probably an understatement.

A veteran of the travel industry who now heads the Egyptian Tourism Federation, he's seen his business take hit after hit as the country's stability unraveled in the wake of the 2011 Arab Spring.

"I have six cruise ships," he laments. "They are not operating for three years now."

Better times could soon be around the corner.

Elections this month to choose a new president are seen by many as an opportunity to draw a line under months of turmoil and return to stability.

The vote is likely, however, to raise fresh concerns over visitor safety and ongoing outbreaks of sometimes deadly violence.

Yet Elzayat is optimistic that, despite the problems, a new marketing campaign will succeed in winning back the visitors he and the rest of the country's tourism industry so sorely miss.

Egypt's Ministry of Tourism launched its "We miss you" message earlier this month, using social media to promote a glossy video that portrays the nation as a luxury destination for big spenders.

Instead of focusing on the country's famed antiquities, the video features dancers, shopping malls and ritzy hotels.

Campaign's crucial timing

"I expect this campaign to bear fruit by the beginning of August," Elzayat says.

The timing and the tone of the "miss you" message is crucial.

With Egypt's traditional visitors from North America and Europe not expected to return in their previous numbers for years to come, the country is instead turning to wealthy Arabs from Persian Gulf nations.

Up to 70% of Egypt's tourists have traditionally come from Europe, with the Gulf making up another 20%.

The greatest numbers in recent times have come from Russia, followed by Germany, the UK, Italy and France.

The hope is that shortfalls in traditional visitors can be made up by encouraging Arabs, particularly from Kuwait, Saudi Arabia, the United Arab Emirates and Bahrain, to consider Cairo as a travel destination for this year's Eid holiday.

The end to the traditional Muslim fasting month of Ramadan is due to fall on July 28.

"Arabs are definitely high spenders," says Elzayat. "They shop. They gamble. They drink. They do everything."

In contrast, he says, visitors from Russia and the UK, in particular, tend to go on low-cost tours.

"You don't have big spenders coming from Russia," he says. "Some of the Arabs, they are spending hundreds of thousands of dollars in three days."

Gambling and drinking

Gulf Arabs are known for their love of Egyptian nightclubs and casinos, engaging in activities -- gambling and consuming alcohol -- that are forbidden in their home countries.

Night is the preferred time for these tourists.

Big money is dropped at casinos, in particular, the Omar Khayyam at the five-star Marriott Hotel on central Cairo's upscale Zamalek island.

During a recent midday visit to the casino, before the "We miss you" campaign has had a chance to do its work, five middle-aged Kuwaiti men could be seen at the roulette wheel.

In a matter of less than half an hour, thousands of dollars were laid out in plastic chips, and lost.

It's money that's desperately needed.

Since the January 2011 revolution that removed President Hosni Mubarak, Egypt's tourism industry has suffered deep losses, estimated at more than $2.5 billion on the back of a 32% drop in visitor numbers.

The tourism federation says those that do visit the country are making shorter trips, leading to a 43% drop in hotel occupancy.

"But the big disaster is the decrease in the average spending," Elzayat says, pointing out that the average outlays were higher even two decades ago when the Iraqi invasion of Kuwait and subsequent Gulf War was hurting business.

"It's down to $60 [a day] for all tourists. If you compare this figure to 1992, it was $135."

The tourism ministry says its "We miss you" campaign -- or "Wahash toonah" in Arabic -- aims to portray Egypt as a destination unruffled by upheavals, including the resurgence of violence that followed the 2013 ouster and arrest of former leader Mohamed Morsy.

"Life has never been interrupted in any of the cities," says ministry spokeswoman Rasha Azaizi. "Egypt is still a safe destination, if you know where you are going and what you are doing."

Despite the ministry's assurances of safety, calm has not entirely returned to Cairo, home to some 20 million people.

Travel warnings

The U.S. Department of State continues to warn travelers that ongoing political and social unrest in major cities has increased the risk of violence, including gun and explosive attacks.

It warns that women have been targeted in sexual assaults.

In one incident on May 19, three policemen were killed and nine others injured when unknown gunmen opened fire near a university.

The attack took place when security forces confronted students loyal to Morsy's Muslim Brotherhood who were protesting against the military-led government in charge since the former leader's arrest.

A government spokesman, Ehab Badawy, characterized the latest incident as an attempt to disrupt Egypt's democratic process.

He pledged that a crackdown that has seen 16,000 people arrested would "create a peaceful and stable and prosperous future."

"There is no place in Egyptian society for those who resort to violence of any kind in an attempt to undermine the state," he said in a statement.

One day after the killings, a trickle of foreign tourists could be seen entering Cairo's Egyptian Museum, home to the treasures of Tutankhamun's tomb, apparently unaware of the most recent attack.

Brian Klipstein, 22, said he had flown in from Chicago a day earlier and had gotten up at 4:30 am Tuesday to begin a two-day visit to Egypt.

He managed to tour both the Giza and Saqqara pyramids before arriving at the Egyptian Museum.

"I really like what there is to see," he said. "At the same time, it's not an easy travel."

The Egyptian Museum is located on the edge of iconic Tahrir Square, the epicenter of the protests that pushed President Hosni Mubarak from office in 2011, and Morsy in 2013.

To reach the museum's main entrance, Klipstein walked along a side street lined with 24 Egyptian Army tanks.

"It's a little intimidating, but it's actually a bit reassuring," he said.

Aniqua Bokhari, another American visiting the museum, is in Cairo for the summer, interning at a UN agency.

She has an unusual perspective, having been present in Egypt during the 2011 revolution and again when Morsy was removed.

"I feel completely safe," said Bokhari, 24, adding that she felt at ease in Cairo because her dark looks mean she is sometimes mistaken for an Egyptian.

"I say it all the time, I love Egypt and I love Egyptians. This is my favorite place."

Carol Berger is a journalist based in Cairo who writes for publications including the Guardian and the Los Angeles Review of Books.

@highlight

Tourism experts in Egypt say revenues are down by nearly $2.5 billion as visitor numbers plummet

@highlight

Egypt's new "We miss you" campaign targets wealthy Arabs from Gulf nations

@highlight

The campaign has been launched in time for the Eid holiday, marking end of Muslim fasting month of Ramadan

@highlight

Traditional visitors from North America and Europe not expected to return in their previous numbers for years to come