(CNN) -- When the dust settled on LinkedIn's IPO on Thursday afternoon, the company was valued at $8.9 billion, making it worth more than household names like JC Penney, Electronic Arts and Chipotle.

As the biggest Internet IPO since Google and the first pure social networking site to go public, its jaw-dropping opening-day surge of 109% will also go down as a watershed moment for the Web, as historically significant as the debuts of Netscape in 1995, TheGlobe.com in 1998 and Google in 2004.

Whereas Netscape's IPO symbolized the dawn of the dotcom boom, TheGlobe.com's epitomized the height of irrational exuberance and Google's ushered in a renaissance of tech innovation after the Internet bubble burst, LinkedIn's debut will be remembered as social media's arrival on the capitalist stage known as Wall Street.

For starters, LinkedIn's lofty valuation by most anyone's standards (at Thursday's closing price of $94, it's trading at 36 times its 2010 revenue; Google trades at five times) will have venture capitalists scrambling to take their Internet investments public.

As venture capitalist Albert Wenger put it on Twitter, "LinkedIn is Netscape of this decade. IPO window blown wide open."

Further, the social dynamics that companies like LinkedIn thrive on offer something completely different from the first-generation Internet companies: incredibly rapid and organic growth. Whereas in the 1990s, Web companies shelled out tens of millions of dollars on advertising to find users, today's social media leaders like LinkedIn acquire new users through network effects -- their services become more valuable to users when their friends sign up.

This trend isn't going away, and there are undoubtedly dozens if not hundreds of little-known or yet-to-be-founded startups that will go from zero to publicly traded juggernaut in remarkably shorts periods of time.

Add to that the fact that Internet companies with a lot more sex appeal than LinkedIn -- including Facebook, Groupon, Pandora, Yelp and Zynga (makers of FarmVille) -- are all likely to go public within the next year, and you have LinkedIn taking the pole position in what will be a tidal wave of social media companies entering the public markets.

Aside from the almost inevitable historical significance, however, is the new dynamic that will be created for social media companies that IPO. As entities that depend on their users to grow through word of mouth, there will suddenly be a need for community-centric services to balance the needs of their members with the expectations of Wall Street.

There are only a few examples to draw on to predict how this may play out. In their "Founders' IPO Letter" in 2004, Google's Sergey Brin and Larry Page wrote that their goal was, "to develop services that significantly improve the lives of as many people as possible. In pursuing this goal, we may do things that we believe have a positive impact on the world, even if the near term financial returns are not obvious."

Indeed, the company's stock has been punished at times when investments in businesses that have become enormously important to Google -- like Android -- weren't showing results on the bottom line. In the long run, of course, this philosophy has helped Google's stock price increase by more than five times since going public.

While some of today's soon-to-be-public social media companies might not be quite so aspirational, they certainly will face similar challenges.

Will Pandora play more ads on its Internet radio service to beef up its numbers? Will the quality of Groupon's daily deals diminish as it looks to keep its tremendous growth rate intact? Will Facebook finally push the privacy envelope too far in the name of meeting earnings estimates? These are the types of decisions that the current generation of Internet companies will have to make when they enter the public markets.

We've already seen one prominent example of a company not finding the right balance and the dire consequences that can result. While MySpace's fall from grace can be attributed to a variety of factors, there is no disputing that innovation and user experience languished after its 2005 acquisition by News Corp., paving the way for Facebook to swoop in and take the social networking crown.

Returning to LinkedIn, while today's story about its IPO may be about whether it represents a new financial bubble in the Internet sector, the story in years to come will be its symbolism in changing the world in which social media companies operate. Let's hope, as Sergey and Larry put it so well in 2004, that the change leaves a positive impact on the world.

@highlight

LinkedIn's stock market debut is the biggest Internet IPO since Google

@highlight

IPO may inspire little-known startups to become publicly traded juggernauts

@highlight

LinkedIn's example will create a new dynamic for social media companies that IPO