Barbara Ann Fenton made what was for some a shocking suggestion at one of the most traditionally conservative meetings leading up to the Republican National Convention.

The 31-year-old delegate from Rhode Island formally suggested that her party's ideological manifesto recognize civil unions for same-sex couples as well as straight ones.

"As a Roman Catholic, there's nobody in this room who believes (more than I do) that the definition of marriage is between one man and one woman, but those are my religious beliefs," Fenton said as she made the motion Monday. "This country was founded on the separation of church and state."

She added, "For my own generation, a lot of times homosexuality is not the biggest deal in the world. And that's OK."

Many other controversial amendments were met with "crickets," as one Republican staffer said. Meaning, on those topics, there wasn't even a move to vote on the matter.

Can 'true Catholics' support same-sex marriage?

Fenton's initiative, much to her own surprise, was met with a resounding shout of "second" from not one, but from a couple of people in the room.

Themis Klarides, a state representative from Connecticut, was one of the delegates who affirmed Fenton's motion.

"I'm from New England, where support for gay couples is really old news," Klarides said.

In 2005, her state became the first to create a law that allowed civil unions for same-sex couples without judicial interference. She voted in favor of the law on several occasions until it got through.

"This speaks to the heart of what Republicans believe in -- less government interference in our lives," Klarides said. "We want our party to focus on growth and the economy and allowing us to thrive as a people, not on telling people what they should do in our private lives."

Klarides' fellow Republicans on the platform committee did not agree. She describes what it felt like to listen to the ensuing debate.

"I called my mom afterward and said this woman put this amendment out there, and I seconded it, and you would have thought I took off all my clothes and stood in the middle of the aisle," Klarides said.

Fenton also called her mom after the meeting. Her mother had read about her daughter's amendment suggestion online.

"My mom said, 'You are creating mischief again. I'm so proud of you,' " Fenton said.

Others on the platform committee didn't share that sentiment. In his argument against the amendment, Indiana delegate Jim Bopp characterized civil unions as "counterfeit marriage."

Bopp, an adviser to Republican presidential candidate Mitt Romney, pointed to the popularity of constitutional amendments that ban same-sex marriage and argued that the party benefits politically from its opposition to it.

"This suggests that strongly supporting traditional marriage is actually quite popular and would enhance the support of our candidates," Bopp said.

Tony Perkins, president of the conservative Family Research Council, made a strong argument against Fenton's motion, calling "traditional marriage" a cornerstone of a healthy society.

"This would move the party away immensely (from) the position this party has held," Perkins said.

The motion failed resoundingly.

Republican mayor's pro-same-sex marriage ad to air during convention

The platform committee went on to include several other anti-gay issues in its proposed draft.  An editorial in The New York Times called it "more aggressive in its opposition to women's reproductive rights and to gay rights than any in memory."

The draft affirmed the support of state constitutional amendment efforts under way to restrict same-sex marriage.

It criticized the Obama administration's "open defiance" of existing laws that should put a limit on gay people's rights and "its handling of immigration cases, in federal personnel benefits, in allowing a same-sex marriage at a military base, and in refusing to defend DOMA (Defense of Marriage Act) in the courts."

And it reiterated the party's support for an amendment to the U.S. Constitution that would ban same-sex marriage.

"It's funny -- sitting in that room, I felt like people thought what I was proposing meant I was campaigning for President Obama," Fenton said.  "Back home where everyone is so much more liberal, people think I'm so right wing. Geography is everything."

Fenton said after the meeting she had only one disturbing run-in.

"One person did come up and tell me I should renounce my Catholicism -- that what I was spewing was pure evil," Fenton said. "It was hard to keep a straight face."

But for the most part, the reaction she received from other delegates and Republican staffers was positive. She said she felt that behind the scenes, the party was much more supportive.

"People kept buying me drinks and kept coming up to me saying how they wanted to support my group for doing this. I don't have a group," Fenton said. "Some people asked me if I was gay. I told them you could still be for gay rights and be a heterosexual. I don't think that's political suicide. If it was, I wouldn't be a part of this party."

She said, "One guy even dropped a note in my lap. I thought I was going to get bashed with some nasty note, like you'd get in fifth grade. But what it said essentially was, 'I'm in the closet. Thank you so much for this.'

"People may now realize you can be gay and still be welcome in the GOP party."

While the Republican Party may take anti-gay positions on paper, behind the scenes many who advocate for lesbian, gay, bisexual and transgender causes feel more accepted.  There is even an ad that will run during the convention that will feature San Diego's Republican mayor, Jerry Sanders, speaking out in favor of allowing same-sex marriage. Sanders urges his party to do the same.

The lesbian, gay, bisexual and transgender groups within the convention at Tampa say they are still optimistic about their future.

"The platform is a piece of paper," said Jimmy LaSalvia, executive director of GOProud Inc., which will attend the convention and hold "Homocon 2012," a giant dance party with Republican notables after the speeches Tuesday. GOProud is the first gay Republican group to endorse Romney for president.

"The platform doesn't carry rights and responsibilities that the candidate is bound by," he said. "Routinely after the platform is out, candidates quickly make statements that they don't agree with it."

LaSalvia is not discouraged -- in fact he said he's excited about how much they can do to support the ticket.

"This election is bigger than one issue. We are in a crisis in this country and gay people need jobs. Sure same-sex marriage is important, but we can't base our presidential vote on it," LaSalvia said.

R. Clarke Cooper, who runs the Log Cabin Republicans, a national Republican gay and lesbian grassroots organization, said he's optimistic about the party's future as well despite the platform.

"It's disappointing, sure," Cooper said. "But all the polling data shows that the party is growing and strengthening because of this younger generation of Republican who believes in the true definition of conservatism, which is individual liberty and not having the government involved in your personal life."

Cooper said leading up to the platform committee meeting, his group was invited for the first time to be directly involved in drafting the platform. Log Cabin hasn't endorsed Romney yet, but members will decide that issue soon. In the meantime, Cooper points to small aspects of the platform that he thinks will benefit the LGBT community.

"The original draft said one could not receive refugee status for nonpolitical reasons, which would mean that there are LGBT people running for their lives who aren't political dissidents but who couldn't come here," he said. "They struck that from the language. That was a win."

He also said in the marriage section, the platform committee added a caveat that "everyone deserves dignity and respect."

And he celebrates even the small victories.

His group's educational material was on a table "next to the stacks of Family Research Council material," Cooper said. "I'm sure they were reeling, but if they asked leadership why it was there, they would hear it is because the RNC asked that all materials be put out there for delegates and press to pick up.

"It is a small thing," he said, "but our presence was known here. We were invited to be much more engaged in the process than we ever have been before."

The Log Cabin Republicans have several events planned for the convention, including brunches with other gay conservatives, and candidate meet-and-greets. The Log Cabin PAC is also hosting a party to celebrate its congressional allies.

"I always wear my Log Cabin pin, and people are always welcoming to us when we are here," Cooper said.

"It's extremely evident that there is an even bigger thing happening with the party. All the polling data shows that there is a generational shift that makes our party more accepting, even if it did not manifest itself in the platform."

@highlight

Rhode Island delegate urged her party to recognize civil unions for same-sex couples

@highlight

Her motion failed, but the delegate says GOP is more supportive behind the scenes

@highlight

Gay groups at the convention in Tampa say they are still optimistic about their future

@highlight

"People are always welcoming to us when we are here," head of Log Cabin Republicans says