(CNN) -- He was dubbed the "man without a country" who found he was at home running in one of athletics' toughest events.

Guor Mading Maker's story makes most sporting tales of triumph over adversity look like a walk in the park.

Robbed of a childhood, exiled from his parents and then his country, the marathon runner was pushed to the emotional limits during his upbringing in war-ravaged Sudan.

"I was born in a war -- a civil war," Mading Maker told CNN's Human to Hero series. "So there's no such thing as childhood.

"I don't really like to talk about it ... but simply, my family sent me to go and live with my uncle in northern Sudan. It took me three years to get to him."

The 30-year-old can be forgiven for not wanting to dwell on some of the horrors that Sudan's second civil war inflicted.

An estimated two million lives were lost between 1983 and 2005, with 28 of his family including eight of his 10 siblings, perishing during the conflict.

It was against this bloody backdrop that a nine-year-old Mading Maker set off on foot on a marathon journey north in search of safety in 1993.

Journey into the unknown

He was one of Sudan's "Lost Boys" -- an itinerant band of around 20,000 youngsters, mostly male, who were displaced during the war.

They sought refuge in cities in the north or in refugee camps in neighboring countries, but many became entangled in the conflict.

Mading Maker was no exception, being made to work for a dollar a day by Sudanese soldiers as well as enduring kidnap by herdsmen.

"They were not going to let us go back ... they might go and kill us or do whatever they want with us," he recalled of his capture and subsequent escape alongside another boy.

"When the sun came up, we started running. And we walk, we ran, we walk, we ran."

After finally being united with his uncle, the pair sought safety across the border in Egypt before both were granted asylum by the U.S. in 2001.

They settled in Concord, New Hampshire where Mading Maker was encouraged by his new gym teacher to take up running, though initially he was reluctant.

"I told him: 'You know what? Running is not my thing. I'm not going to run because I already ran in Africa so I ran for my life... so unless someone is chasing me, that's when I would take running.

"Otherwise, no way' and he was kind of 'No, you can, you can. You look like you could be a good runner.'"

Two months later, he was on the school team.

"In my junior year in high school I won ...and in my senior year in high school I won the national indoor (two-mile title). That pretty much opened the door to college."

That performance and others outdoors earned him a scholarship to Iowa State University where he cemented his status as a promising young athlete.

Marathon man

While Mading Maker began making great strides in the U.S. back in his homeland things were also looking up.

A peace agreement signed between north and south Sudan in January 2005 would eventually lead to full independence for South Sudan six years later.

The date, July 9 2011, is etched into Mading Maker's memory -- he had recently graduated from Iowa with a degree in chemistry and was setting off for a new life in Flagstaff, Arizona.

"I put my South Sudan flag on the front of my car and pretty much drove 22 hours from Ames, Iowa to Flagstaff celebrating."

The move west also signaled a change in direction for his fledgling athletic career as he made the switch from track to tarmac.

"There were no (short-distance) races available. The only opportunity was a marathon. I got into the Twin Cities Marathon (in Minnesota)."

He was a natural, coming home in two hours 14 minutes 32 seconds -- a time that comfortably met the qualification standard for London Olympics the following year.

But there was a problem. He had no country to run for -- South Sudan was not a member of International Olympic Committee (IOC) and he had yet to be granted U.S. citizenship.

At the last minute, the IOC granted Mading Maker permission to compete as an independent athlete -- a first in Olympic history.

There wasn't a Hollywood ending to this real-life fairytale -- he finished down in 47th place -- but as he ran around the streets of London in his black and grey IOA (Independent Olympic Athlete) kit he transmitted a powerful message to millions of disenfranchised people around the world.

"It was very important for all the refugees around the world, and others who are (feeling) hopeless about the future to (say) 'I was just like you before but here I am now with the help of people,'" he said.

"'And with you working hard, you are going to achieve whatever you want to achieve.'"

Return to homeland

The following summer was even more momentous for Mading Maker as he returned to South Sudan to visit his parents for the first time in two decades.

"It was just overwhelming. I was very fortunate to be able to see them again. I was praying hard to find them alive," he said of the trip organized by the United Nations Refugee Agency in June 2013.

The reunion proved equally emotional for his parents.

His mother collapsed at his feet in tears while his father jigged around singing songs before telling everyone his son's running talent was down to him -- he claims to have chased and killed giraffes in his youth.

Mading Maker had previously used his uncle's surname (Marial) when he moved to the U.S. but reverted to his father's name (Mading Maker Deng) when he was sworn in as a U.S. citizen.

And it's his country of birth that remains at the forefront of his thoughts now.

"I want to do something for the community and the South Sudanese people, especially for the youth. It's my goal to make sure they make the 2015 World Championships and 2016 Olympics if possible," said the 30-year-old athlete.

"I hope to continue what I'm doing right now, to be able to show the South Sudanese youth and the country that there's a way.

"Instead of being in a war, there's a way we can unite. We can be together, we can be happy by doing something that's positive."

Read more: Can skateboarding be considered an art form?

@highlight

South Sudanese refugee recalls emotional journey from war child to Olympic athlete

@highlight

Guor Mading Maker was one of 20,000 "Lost Boys" who were displaced during Sudan civil war

@highlight

Granted asylum in U.S. Mading Maker revealed talent for distance running

@highlight

Ran 2012 Olympic marathon as an independent athlete