Maybe.

That's the verdict from scientists trying to answer a question that has riveted people around the Middle East and beyond for nearly a decade: Did someone kill Palestinian leader Yasser Arafat by poisoning him with a radioactive isotope?

His widow insists he was assassinated, a conclusion scientists who have completed an exhaustive study of the evidence did not reject, but said Thursday they could not confirm either.

"Was polonium the cause of death?" asked professor Francois Bouchud, director of Lausanne University Hospital's Institute of Radiation Physics about Yasser Arafat's death in 2004 in a Paris military hospital. "Our study has not been able to prove categorically a hypothesis of poisoning or another of non-poisoning by polonium."

He was fielding questions from reporters in Lausanne, Switzerland, about his group's work a day after Al Jazeera released a report prepared by his laboratory that concluded that levels of polonium-210 measured in Arafat's personal effects and in tissues from his exhumed body "moderately" support a proposition that he died of polonium poisoning.

Bouchud said Thursday that the results "support reasonably the hypothesis of poisoning" by polonium, but he bemoaned the lack of tissue samples from just after death, which the hospital has destroyed.

"If we had access to samples, we could be more categorical. Unfortunately, they disappeared."

Still, "Poisoning from polonium-210 was possible," Bouchud said.

The findings, released by the University Center of Legal Medicine of Lausanne, do not address how Arafat, who died at age 75, might have been poisoned or who might have done it.

Bouchud also cited the passage of nine years since Arafat died as a complicating factor. The half-life of polonium is 138 days, which means less than a millionth of the isotope that was present at death would still be there.

A polonium expert who was not involved in the work praised the Swiss researchers' efforts as scientifically sound, but said they were given a tough job.

"It's like a blindfolded man holding the tail of an elephant and using that to estimate the weight of the elephant," said Paddy Regan, a professor of radionuclide metrology in the physics department at the University of Surrey in Guildford, England. "You can do it, but there is a huge amount of extrapolation involved."

And the mere presence of the isotope -- even in amounts significantly higher than what occurs naturally -- does not necessarily mean that that is what killed Arafat, he told CNN in a telephone interview, citing the scientists' measurement of a urine stain on Arafat's underwear. "If you were being cynical about such a thing, if you wanted to put a false trail out there, you could put a tiny amount of polonium-210 on that urine stain. That doesn't mean that the urine stain came from inside him."

Regan described the amount of polonium needed to kill a man as "terrifyingly small ...the size of a grain of salt, something like that."

Professor Patrice Mangin, director of the forensics center at Lausanne University Hospital, underscored the uncertainty. "We have never said in a categorical way we have the absolute proof that we're dealing with polonium poisoning," he said.

But that caution was not shared by Arafat's widow. "I'm convinced it was a political murder, a political assassination," Suha Arafat told CNN in a telephone interview from Doha, the capital of Qatar.

"They wanted to get rid of him," she said, without saying who "they" are.

"I'm not pointing fingers, but this polonium came from a nuclear reactor, and the next step is to identify its source."

It was her suspicions that led authorities to exhume Arafat's body after polonium-210 was found last year on his personal belongings.

Yet another complication: The chain of custody of Arafat's personal effects -- from the time he died to 2012, when the center began to study them -- is unclear.

But the report said that Suha Arafat had "certified that the measured personal effects have been stored in a secured room."

Invoices for the two analyses, whose cost Mangin would not disclose, were sent to the Palestinian Authority and to Suha Arafat.

Palestinian Authority President Mahmoud Abbas has ordered that a probe into his predecessor's death continue "to reveal the complete truth to the Palestinian people and the entire world," presidential spokesman Nabil Abu Rudeineh told WAFA, the official Palestinian news agency, on Thursday.

What polonium does to the body

The report may renew suspicions over how Arafat -- the most prominent face of Palestinian opposition to Israel for five decades -- died. The Palestinian Authority, which runs the West Bank, has said Israel would have been behind any poisoning of Arafat, who was regarded by many Palestinians as a father figure.

"I believe that all fingers are pointed at the Israeli occupation ... who have experience in such cases of poisoning," said Wasel Abu Yousef, a member of the executive committee of the Palestine Liberation Organization. Yousef called for a "criminal international committee" to be formed to look into the report.

An Israeli Foreign Ministry spokesman said Wednesday that any such accusation would be "utter nonsense."

"This is nothing to do with us, and for the moment they refrained (from) making accusations," Israeli Foreign Ministry spokesman Yigal Palmor said. "They know why -- there's no strictly no connection to Israel."

French prosecutors launch murder inquiry in Arafat's death

Arafat, who first led the Palestine Liberation Organization and then the Palestinian Authority, died in November 2004 after suffering a stroke, ending weeks of illness. Palestinian officials said in the days before his death that Arafat had a blood disorder -- though they ruled out leukemia -- and that he had digestive problems.

Rumors of poisoning circulated at the time, but the Palestinian Authority's then-foreign minister, Nabil Shaath, said he "totally" ruled them out.

French authorities, responding to a request from Arafat's widow, opened a murder inquiry last year after the isotope was found on Arafat's toothbrush, clothing and his keffiyeh, the black-and-white headscarf he often wore. France opened the investigation partly because Arafat died there.

Forensic experts from Switzerland and Russia took their own samples for independent analysis.

Radiation poisoning caused by polonium-210 looks like the end stage of cancer, according to medical experts. The substance can enter the body via a wound or through contaminated food, drink or even air.

Russian spy dies after polonium poisoning

@highlight

"I'm convinced it was a political murder," says Suha Arafat

@highlight

The Palestinian leader died in 2004 at age 75

@highlight

Last year, his widow, suspecting he was poisoned, had the body exhumed for tests

@highlight

Polonium-210, a radioactive isotope, had been detected on his clothing and toothbrush