WASHINGTON (CNN) -- Sixteen years is a long time, but "it still feels just like yesterday" to 39-year-old Penny Malphrus. Her father disappeared while flying home from Swainsboro, Georgia, to Hilton Head Island, South Carolina, in February 1996.

"I honestly do not know where the time has gone," she said this week, as efforts continued to determine whether plane wreckage recently found 80 feet down in the Atlantic Ocean 20 miles off the coast of St. Augustine, Florida, will answer her family's uncertainty.

"I may or may not find my answers in my search, but I really feel like I am not alone searching," she said.

Read more: Underwater wreckage could provide answer to missing-plane mystery

On February 17, 1996, Malphrus' father, Stewart Dunbar, was piloting his twin engine Piper Aerostar home after going to show the plane to a prospective buyer who failed to show up for the scheduled appointment.

Shortly after he took off around 7:45 p.m., Dunbar, 58, reported feeling dizzy and said he was having trouble seeing. He radioed a distress call and advised the radio control tower in Jacksonville, Florida, of his coordinates. In what would be his last communication, he said he was placing the plane on autopilot and turning toward the ocean.

Then, several weeks ago, diver Joe Kistel and another diver came across plane parts which Malphrus hopes will shed more light on where and how her father's plane disappeared.

Kistel posted video and photos on his company's website, hoping it might draw attention from aviation buffs.

See the photos and videos

Malphrus, who routinely checks the Internet for any news about missing aircraft, heard about the plane wreckage and decided she wanted to meet the 31-year-old Kistel before he made the dive to further investigate the wreckage.

"This could be it. This dive could be what ultimately answers 16 years of not knowing," Malphrus e-mailed to CNN prior to her face-to-face meeting with Kistel. "If it is my Dad's plane, I want to (meet) the man before he goes to find that my Dad has actually touched the face of God. Somehow it seems comforting to me."

"I guess I feel like if I can't be the person to go dive down there and find the answers myself, then what I really want is for that person to at least know me and more about my Dad and what an incredible person my Dad is," she said. "Right now, to me, my Dad is still alive, so this for me could be my goodbye."

The weather looks favorable this weekend for Kistel and a volunteer search and recovery team from TISIRI (Think It Sink It Reef It), a marine conservation company based in Jacksonville, which has unexpectedly found itself in the middle of an underwater mystery, far from its main mission to help build artificial reefs.

On Wednesday afternoon, Malphrus drove the three-and-a-half hours that separates her home from the man who might provide the closure she's looking for.

Kistel and Malphrus both predicted their first meeting would be emotional.

"I was greeted by a man with a very sweet smile and what started as a handshake turned into a comforting hug," she reflected. "I instantly felt comfortable like I had known him for years." She said she could tell instantly Kistel takes a lot of pride in what he does.

"For me to see her kinda stepped things up a level," Kistel later said. "Through our conversation ... you would see the hope and the sadness at the same time. Seeing her emotions was very motivating for us." But he also didn't want to raise expectations.

"He was very careful to not give me false hopes," she said.

But Malphrus said it was important that Kistel knows everything about her father.

"This isn't just anyone he is diving down there looking for. This could be my Dad. Joe could be diving down to find the last answer I may need. I want to know Joe."

Wishful thinking aside, the two principals in this drama were realistic about how it may turn out.

The chances that this is the plane are hard to know because no one saw exactly where it went down.

Not long after communications were lost with Dunbar, fighter jets were scrambled.

A Falcon jet based in Charleston, South Carolina, went out as soon as the report came in while the plane was still over land, Malphrus recalls. Then two C-130's were scrambled including one off a Navy ship to relieve the Coast Guard's Falcon which was running low on fuel.

"The first jet did get a visual," said Malphrus, but since night had fallen, the pilot was unable to see inside the cockpit, lit only by the light from the instrument panel. "From what I understood, the two C-130 jets never could find him again. This has always led me to believe his Aerostar may not have stayed on the course they predicted with his last known coordinates and estimated fuel expiration recorded in his flight plan."

One of the more emotional moments during their three-hour meeting occurred when Kistel pulled out of a bag a piece of the Lycoming engine retrieved during the initial dive last month.

"She held it in her hand knowing this could be a piece of her father's plane," said Kistel.

"I got a little tearful looking at this sand and shell encrusted piece of wreckage balanced in Joe's hand. That was a moment where the reality of there is really wreckage down there and it could be my Dad's kinda merged into my reality. Seeing that piece was at best indescribable," Malphrus said.

Kistel said the plan is for a team of at least six divers to go down three times for up to 30 minutes each on Saturday and then again on Sunday. Kistel said they will use Saturday's dive to locate, mark and rig cables to the two engines which are 38 feet apart and 75% buried in the sand.

Using lift bags that are like giant inflatable pillows provided free of charge by two companies, Prolift and Subsalve, Kistel will attempt to place the two engines on blocks on the level sea floor to get a better look at the motors, the propellers and any possible serial numbers.

Each of the propellers on the two engines of Dunbar's plane had three blades. "If that engine comes out and it's a two-bladed prop, we can pretty much conclude it was not Penny's father's plane," Kistel said. "If it's three-bladed, it means more investigation."

Ironically, CNN coverage about the plane's disappearance and dive has resulted in more than a dozen other families contacting Kistel, wondering if perhaps the plane wreckage is related to their missing loved ones. Whether it turns out to be Dunbar's plane, Kistel said, "The goal is to identify the plane. It won't change anything on our end."

"If it is not his plane, then it is somebody else's answer, someone else's closure," Malphrus said.

Kistel said his company and others are shouldering the costs of the search.

"Every dollar spent is a financial loss as it is not like we are recovering treasure or goods of fiscal value. The hope of providing someone or some family closure is keeping us motivated and moving forward regardless," he acknowledges. "The reality will most likely be that we will be unable to pursue investigations (after this weekend) without support of fiscal sponsors."

Back at her home in Hilton Head Island, waiting to see what Kistel finds, Malphrus can only wonder. She said she's going to drive back to Jacksonville this weekend.

"You know I sit in my dad's old chair, I still have his hair brush, I even have an old undershirt sealed in a Ziplock bag that still has his smell, but I don't have him. I never got to say goodbye," she said. "I have so many things that he touched and that were his, but so far none of these things has been enough to take away this pain of just not knowing."

@highlight

Pilot Stewart Dunbar disappeared off Florida coast in 1996

@highlight

Daughter newly found wreckage will bring closure in father's disappearance

@highlight

Dive planned for this weekend may confirm if wreckage is Dunbar's