(CNN) -- Nigeria's government is facing rising religious violence in the north, a long-simmering separatist movement in the oil-rich south and now a nationwide strike fueled by widespread anger over the end of fuel subsidies seen by many as one of the few benefits of living in the largely impoverished state.

The issues, all intertwined in Nigeria's complicated web of political, ethnic and religious relationships and rivalries, add up to a difficult challenge for the government of President Goodluck Jonathan, who just a few days ago promised a renewed focus on economic, fiscal and education reforms in 2012.

"Jonathan is a president under fire. His actions over the last week are that of a desperate president," Nigerian political journalist Terfa Tilley-Gyado said.

Particularly curious, Nigeria analyst John Campbell said, is why Jonathan would choose now to resurrect the Nigerian government's repeated efforts to scuttle the fuel subsidy, which is highly popular with the country's 155 million residents -- many of whom live on less than $2 a day.

"One would have thought that in an area of heightened religious conflict that the last thing you would want to do is provoke a general strike," said Campbell, a senior fellow for Africa Policy Studies with the Council on Foreign Relations.

Read more about what is behind Nigeria's fuel protests

Whatever its reasons, finding a way out will be a trick for the government, he said.

If the government backs down and restores the subsidy, it may appear weak to northern militants and southern separatists, Campbell said. If it tries to wait out a strike in hopes that the protests will disintegrate, it risks a crippling disruption in the flow of oil, which provides 95 percent of Nigeria's foreign exchange and 80 percent of its government's budget.

Read more about Nigerian protests over the end of the fuel subsidy

"The government finds itself, I think, in an extraordinarily difficult situation," Campbell said.

Until the New Year's Day announcement by Jonathan's government that the country would end fuel subsidies that held down the cost of gasoline for Nigeria's 155 million residents, perhaps the largest immediate crisis facing the administration was the religious violence in the north.

More than 30 Christians died in violence last week in Adamawa, prompting a 24-hour curfew in that northwestern Nigerian state to guard against Christian reprisals, a government chaplain said Saturday. Boko Haram, a shadowy militant Islamic group that is said to favor strict Sharia law, is frequently blamed for the sectarian violence.

The attacks came several days after the government declared a state of emergency in several areas as Jonathan pledged to continue fighting to quell the violence.

"While we have made progress and overcame most of the challenges on many fields, there have been those amongst us who want to impose their will on the majority of us." he said in a New Year's message. "This government will lead Nigeria and Nigerians to resist such imposition."

But Jonathan, who took over as president two years ago after the previous president left the country to be treated for a heart problem, has not earned high marks for his handling of the issue, Tilley-Gyado said.

Jonathan's recent revelation that Boko Haram sympathizers may have infiltrated the government is particularly vexing, he said.

"Nigerians find it outrageous to hear him say about his government, which he had a major part in putting together, that there are Boko Haram sympathizers within it," Tilley-Gyado said. "People would like to know who they are and what efforts are being made to prosecute them."

Jonathan has done better at managing the fallout from sporadic attacks on oil facilities in the Niger Delta region, Tilley-Gyado said. A group called the Movement for the Emancipation of the Niger Delta, or MEND, has claimed responsibility for some of those acts out of frustration with how the country's oil wealth is distributed.

Searing anger as Nigerians protests fuel price rise

Nigeria is the world's 10th largest oil producer, according to the CIA.

But little of the money oil brings in comes back to residents of the Delta region, Campbell noted.

And government plans to embark on a building program in the Muslim-dominated north, along with threats of reprisals against Muslims over the killing of Christians, threaten to inflame tensions in the south and reopen wounds from the country's civil war in the late 1960s, Campbell said.

That conflict left as many as 3 million people dead.

Such concerns prompted prominent Nigerian authors, including the 1986 Nobel Prize winning playwright Wole Soyinka, to issue a statement urging calm.

"The fears we have all secretly nursed are coming to realisation." said Soyinka, novelist Chinua Achebe and poet and playwright J.P. Clark. "Rumblings and veiled threats have given way to eruption, and the first cracks in the wall of patience and forbearance can no longer be wished away. Boko Haram is very likely celebrating its first tactical victory: provoking retaliation in some parts of the nation."

Against the backdrop of these issues, along with Nigeria's staggering poverty and critical infrastructure issues, Jonathan announced last week that the government was ending a fuel subsidy, saving nearly $7 billion a year, according to the government.

The money is being redirected to a wide-ranging infrastructure construction program, additional social spending and economic initiatives, the government said.

But those plans didn't salve the pain for many Nigerians, who responded explosively to the proposal, which is the latest in a series of failed efforts dating back decades by the Nigerian government to eliminate the popular subsidy.

"We still don't have light," travel and tourism business owner Shade Ladipo told CNN last week. "The roads are terrible. It was already hard to live in Nigeria. This will make life even worse."

Protests quickly morphed into a call for a general strike by trade unions, which have not enjoyed particularly strong support in Nigeria despite low wages and poor working conditions, Campbell said.

Those strikes succeeded in shutting down wide swaths of the country, according to union and media accounts. In some places, police clashed with protesters.

Much of the anger has to do with a sense that Nigerian elites are not sharing in the sacrifice Jonathan says is necessary to move Nigeria forward, Tilley-Gyado said.

In fact, protesters have adopted the "Occupy" moniker that has characterized protests against what protesters consider to be greed on the part of corporations and the very rich.

"With the fuel subsidy, he has put the cart before the horse and has not assured Nigerians that the austerity measures that have been imposed on them are being shared by the those who rule the country," he said. "The sheer cost of running the government is draining Nigeria's fortunes."

In a January 7 speech, Jonathan said elimination of the subsidy was a tough but necessary choice for the country's economic future.

"I am determined to leave behind a better Nigeria, that we all can be proud of. To do so, I must make sure that we have the resources and the means to grow our economy to be resilient, and to sustain improved livelihood for our people. We must act in the public interest, no matter how tough, for the pains of today cannot be compared to the benefits of tomorrow," he said, according to a transcript posted to his Facebook page.

Campbell said he was still mystified at the decision to suddenly resurrect an issue that has dogged the Nigerian government for decades.

"But whenever you're dealing with Nigeria, there's a lot you don't know," he said.

Labor leaders vow to keep up the pressure on the government indefinitely, saying in a statement on the National Labour Congress website that "the will of the Nigerian people must prevail over that of any government in power.

Michael Pearson reported from Atlanta; Stephanie Busari reported from London.

@highlight

Nigeria's president is under fire for his government's elimination of a popular fuel subsidy

@highlight

Nigerians also question his handling of issues like religious violence, a journalist says

@highlight

Goodluck Jonathan says ending the subsidy is critical for Nigeria's future