(CNN) -- At Sepideh's home in the Iranian capital, the television is more often switched to "America's Next Top Model" and "American Idol" than the news.

Not that the 22-year-old college student wants anyone to think her superficial, but it's her way of coping with the ominous -- the heated rhetoric of war with Israel and the United States.

"My friends and I don't talk about politics or the thought of a war," she says, laughing. "I stopped watching the news all together. It's too depressing."

Sepideh is not unlike millions of Iranians who, like their neighboring Iraqis did in early 2003, fear war is looming.

Israel would face challenge in bombing Iran nuclear sites, experts say

Some are less worried than others -- a Tehran fast food worker says Israel has been threatening Iran for years and this time is more of the same bluster.

Still, all the bellicose talk from national leaders and punishing international sanctions trickling down to average Iranians who are paying higher prices for food and basic commodities, has cast an uneasy pall over life's routine.

Israel has threatened to bomb Iran to end or at least set back Iran's nuclear ambitions. Iran insists its nuclear program is strictly for energy purposes and has said it will not hesitate to strike back at its enemies.

U.S. President Barack Obama has stated Iran developing nuclear weapons is not acceptable and that Washington "will always have Israel's back."

That sort of talk is unsettling to Sepideh, who like others in this story did not want their full names used for fear of repercussion.

She tries to go about life focusing on her education and hanging out with friends in tony Tehran coffee shops. She buys Hollywood at the local bazaar and swoons over Johnny Depp. In many ways she is not unlike her American counterparts except that Sepideh lives in the Islamic Republic and her government is considered an enemy of Washington.

She thinks longingly about moving to America one day. In her country, she feels, she will never be able to freely express herself or her passion for art, music, films. She cannot fathom why the United States would consider an attack Iran.

Opinion: Israel's 'Iron Dome' system isn't enough protection

"I understand why America doesn't like our government. They don't agree that they should impose Islam on our society but that should not give them a reason for war," she says.

Her parents worry that the bombing of Iran would create another situation like Iraq in 2003. They are especially concerned because Sepideh's brother is 17 and because of Iran's mandatory conscription, he will have to serve in the military after high school.

"If there were a war, no doubt my brother would be in danger," she says.

The family has applied for visas through Sepideh's aunt in California. Sepideh prays every night that they will be granted.

"I have faith in (Barack) Obama's policies," she says. "I think he is a smart man who in the end will make the right decision to not start a war with Iran."

Nevertheless, a sense of panic is on the rise in cities and towns across Iran over the prospect of guns and no butter.

Tighter sanctions drove down the Iranian currency, the rial, and Iranians gobbled up gold, American dollars and even real estate in order to protect their savings.

Food prices have soared, too, prompting some to stockpile basic items in case an even darker day looms over the horizon.

This week the strangling of Iran's finances got tighter. SWIFT, the world's largest electronic banking system, agreed to cut off Iranian banks and individuals on the European Union's sanctions list.

Starting at noon Saturday, Iran will be severed from the main vehicle for monetary transactions. Iran's business partners, including vital crude oil customers who account for half of the government's revenues, will have to find an alternative way to pay.

Beyond staggering inflation and a plunging national currency, analysts fear Iranians now could face shortages of essential goods like food and medicine.

Retired elementary school teacher Shikoufeh, 67, lives in the city of Isfahan, just south of Natanz, an uranium enrichment facility for power plants or potentially for bombs.

In her modest two-bedroom apartment, she cares for her two grandchildren because her daughter was forced to go back to work to make ends meet. She takes the children for walks in a nearby park and wonders what would happen if Israel conducted military strikes against Iran's nuclear plants and military installations.

"Iranians are educated, fun-loving people," she says. "We are against war and against aggression."

She wishes Americans knew more about the rich history of her country -- art, music, poetry -- and about the turmoil Iranians have survived.

"I honestly think they look at us as terrorists, like the ones that are portrayed in the movies,' she says. "They think we wear burkas like they do in Afghanistan, and don't allow women to drive like in Saudi Arabia. Iran is different, we are different. We want peace like anyone else in this world."

Shikoufeh's anxiety is heightened on Sundays when she heads to the fruit and vegetable market. Last week, the price of tomatoes went up so much that she could not justify buying them. The butcher told her he hadn't seen profit in two months -- who can afford to buy meat anymore?

She tried to buy U.S. dollars recently but the bank informed her of limits on how much she could exchange.

"I always like to save some dollars in my house, just in case," she says.

Nowruz, the Persian new year, is coming up March 20, but Shikoufeh says this year, the traditional meals and large get togethers will be a lot simpler.

"I'm worried that our beautiful country will become similar to what the Americans did to Iraq," she says. "I pray to God they don't. I love America and love Americans. They are lovely people. But I don't understand the need to meddle in our country's issues."

She says she is willing to live with Iran's problems, if only she could have a guarantee of no war.

"That would be the end to our livelihoods and the little freedom we have now," she says.

Back in Tehran, Amir, 39, says he is more concerned about facing economic hardship than dodging missiles and rockets.

"It's all bluffing and political nonsense," says the university English instructor about threats from Israel and the West.

"This happens every few years between Iran, Israel and the U.S. This is normal," he says. "In a month it will quiet down again and in two years it will flare up again. This is the political wheel, always spinning. Obama has said he doesn't want a war with Iran, and we all know Israel cannot proceed with a war alone."

Amir sees money as his number one problem. He resents having to rely on his parents for support but he, his wife and child are forced to stay in an extra apartment at his parents' home. Even though he has a degree and good job, his salary is no match for the prices at the market.

"My advice to my country is to open our doors to the world," he says. "Let's show them that we have a right to nuclear technology, and that we are not making nuclear weapons. The Western nations always want to have their hands in other countries. I'm pretty sure unemployment and crime is high in America. Shouldn't they be focusing on that?"

The tension within Iran is affecting people outside its borders, too.

Tina, 36, and Shermineh, 34, fled Iran with their mother after the 1979 revolution and have not been back since. They have not seen their grandparents since they were babies.

Tina says her grandmother weeps on the phone every week when they speak over the continents and oceans. To see her granddaughters again would help her die a "blessed old woman."

The sisters, who live in Los Angeles, planned to return to their homeland for the very first time for the Persian new year. They booked their tickets and arranged their trip to Tabriz, the city where her family used to live.

"I was most excited about seeing all the places my mom talks about," Tina says. That included the house where her mother was born.

But a few weeks ago, once news broke of Israel possibly planning a spring strike, Tina's mother canceled the trip for her daughters.

"I understand its for our safety, but I am really disappointed," Tina says. "I hope one day this political mess will clear up and we can go. I'm not giving up, but when I turn on the news, it doesn't seem like things are getting better."

For now all that Tina and her sister will have to wait to see what the future bodes. As will all of Iran.

@highlight

Tehran college student Sepideh refuses to watch the news

@highlight

She worries about war coming to her homeland

@highlight

Anxieties are heightened by dismal economic prospects

@highlight

Upcoming Persian new year celebrations are sure to be more muted