(CNN) -- Women stood at the forefront of the Arab Spring, taking to the streets shoulder to shoulder with men in an effort to overturn oppressive old orders.

But while their efforts have seen dictators ousted and reforms introduced, the greater rights for women many hoped would emerge from the upheaval have not materialized.

Indeed, says Lebanese activist Diala Haidar, the rise of political Islam throughout the region in the wake of the uprising has raised the specter of hard-won gains for women being lost.

Haidar and four other women's rights activists across the region started a campaign, The Uprising of Women in the Arab World, on Facebook in October 2011, to highlight injustices against women throughout the region.

"The Arab Spring took place under the banner of freedom, dignity and equality, and the three can't be established if women are left behind," said Haidar, 28, a laboratory supervisor.

"At every stage of history we have been given the excuse, 'It's not the time to discuss women's issues -- we are at war, it's a revolution,' or whatever. It's our time to say 'We need our rights,'" she added.

Read more: Going under the knife for a manly mustache

The Facebook page has attracted more than 78,000 "likes" and there is now a website. Two campaigns are currently running: One asks people to submit photos with a message of solidarity with women in the region written in Arabic.

The other, launched on United Nations' International Day for the Elimination of Violence Against Women on November 25, encourages women to share their stories of violence, abuse and harassment, in an effort to shine a spotlight on such incidents.

Dozens of women have given their accounts, with a recurring theme that they have felt unable to speak out or hold the perpetrators to account.

"The revolution won't take place in secrecy, it will take place in the light," said Haidar. "We have to start sharing our stories and concerns and aspirations publicly. It can prove that these incidents ... are not exceptional cases but part of a whole society that we should work to cure from this violence."

One account of abuse on the website is given by Rahma, a 22-year-old Tunisian woman, who writes of being sexually molested aged nine by a man who she says has never been held accountable.

"In our culture, these issues are taboos and it is better to suppress them for the sake of the family's 'honor,'" she writes. "What an absurd honor."

Haidar says the campaign is trying to challenge patriarchal cultural attitudes surrounding "honor," often enshrined in discriminatory legal systems that punish the victims of sexual crimes.

"We have to get rid of the blame that society inflicts upon us when it comes to issues of sexual harassment, rape and domestic violence," she added.

Read more: In Lawrence of Arabia's footsteps

In a recent case highlighting the extent of the problem, a 27-year-old Tunisian woman who was allegedly raped by two policemen after they approached her and her fiance in a car was subsequently charged with indecency, which carries a potential six-month sentence, when she filed a complaint against the officers.

The charges were eventually dropped (although the prosecutor has appealed the ruling), and the woman was offered a state apology, but not before the case attracted large protests and criticism that the woman's treatment reflected the attitudes of the country's new Islamist leaders.

Earlier this year, international outrage erupted over the plight of a 16-year-old Moroccan girl who committed suicide after a court ordered her to marry her rapist.

Read more: My heart is still in Gaza

A rise in sexual violence in the form of mob attacks on women on the streets was a pressing issue in post-revolutionary Egypt, said Haidar, as was the concern that women's equality would not be enshrined in the sharia-influenced draft constitution.

Haidar added that the campaign was targeting other issues across the region including the persistence of patriarchal personal status laws, honor killings, female genital mutilation and forced marriages.

Fatima Nabil, 16, from Aden, Yemen, submitted a painting to the campaign.

"I have a friend my age who was forced out of school into marriage," she told CNN. Her paintings were an attempt to "express the injustice suffered by women, because they live in darkness and constraint," she said.

But Haidar said it is still "too early" to say that the Arab Spring has failed women and that could only happen if women allowed it.

"They can't betray women as long as we stand up for our rights and take advantage of this moment in history," she said.

"If we consent to this it will happen, but if we don't it will never happen."

@highlight

Women took to the streets during the Arab Spring demanding greater rights

@highlight

But activists say women's rights have fallen off the agenda after the uprising

@highlight

The say the success of Islamist parties is further jeopardizing the status of women

@highlight

An online campaign is fighting to keep women's rights in the spotlight