(CNN) -- It's nearly 200 years old, and people still come back for more.

Ever since June 14, 1839, the quaint English town of Henley-on-Thames has been attracting spectators in their droves to its Royal Regatta.

What started off as a small collection of boat races -- held over just a single afternoon on the River Thames near London -- has morphed into a five-day sporting and social extravaganza, where anyone who wants to be seen, attends.

"British people like the old charm of it -- its continuity, the idea, the past, comfort in a changing world," leading social commentator Peter York told CNN.

"All those thing that I call the 'Downton' things," added York, referring to the hit television show "Downton Abbey," which has won a legion of devoted fans around the globe thanks to its depiction of Edwardian England.

Like "Downton Abbey," Henley lures visitors from both at home and abroad, reminding them all of an England of old -- the maiden regatta occurred two years into Queen Victoria's near 64-year reign over the country.

Originally offering up just one trophy to rowers -- the Grand Challenge Cup, still today's biggest prize -- this month's 2014 edition boasted 20 different events on its 175th anniversary.

The sporting aspect of the regatta, however, remains just one side of a rather lopsided coin.

Along with the likes of Royal Ascot, Glorious Goodwood and Wimbledon, Henley has a strict dress code if you want to gain entry.

Lounge suits for the gentlemen and dresses -- "with a hemline below the knee" -- for the ladies is the order of the day.

Should the rowing not suffice, a "Champagne & Oyster Bar" and "Afternoon Tea" are some of the other delights on offer to visitors searching for other distractions.

"The dress code is quirky and a bit quaint, but I think it adds to the atmosphere, and I love the flamboyance of the men's colorful blazers," says CNN's Milena Veselinovic, who attended Henley this year.

"When I first went it was like a window to another culture.

"It may not be representative of modern Britain, but it's a throwback to a different era and a chance to spend the day in the sun with your friends," added the Serbian, who provides an outsider's view of Henley.

"If you find that charming then you probably would go again," remarks York of Henley's ability to repeatedly draw crowds of thousands year after year.

Henley's ability to retain that charm arguably separates it from Britain's illustrious horse racing and tennis showpieces.

The English identity that lies at its very core has been kept intact, yet to be eroded away by multimillion sponsorship deals, around-the-clock television coverage and an A-list celebrity guest lists that its bigger, more glamorous rivals wear as a badge of honor.

"Henley is still relatively better preserved than the other events," York observes.

"The moment these things go on to full-on corporate, to full-on new-rich money, then they are spoiled and changed, and can never quite go back to how they were.

"That Henley is set on the river and hasn't got a horrible building adds to the charm," adds York, who is no fan of the Ascot Grandstand -- "ugly and vulgar" -- that was built in 2006.

Henley's picturesque setting on the Thames, with an idyllic town as its backdrop, provides the event with its unique feel.

Crowds line sections of the course, which at one mile and 550 yards (2,112 meters) is longer than the standard international distance of 2 km.

They often witness two races simultaneously, while up to 90 can take place on certain days.

To complete the program by a reasonable hour on such occasions, races are started at five-minute intervals, meaning action aplenty for spectators.

"It's clearly on the social calendar, but if you're actively involved in the sport it's the pinnacle of rowing, and a chance to see a world-class competition," says Alex Wood, a former junior Great Britain rower who has competed at Henley.

"It's something quintessentially British, and it has the feel of days gone past."

But while Henley's dream of "Olde England" is still alive and kicking, York suggests it's only a matter of time until the event follows in the footsteps taken by some of its rivals.

In February, Ascot signed a five-year sponsorship deal with Qatar Investment & Projects Development Holding Company -- a company controlled by the Qatari royal family -- while the influence of foreign investment on British sport has been clear for all to see since Russian billionaire Roman Abramovich bought Chelsea Football Club in 2003.

"They are being cherry-picked by rich foreigners," York says of traditional "English Season" events.

"It is an indication of what we are about. As Napoleon said, we are a 'nation of shopkeepers,' we'll sell anything to anybody. And don't forget, the Toffs (a slang term used to describe Britain's aristocracy) aren't in charge anymore.

"It's not new, but it's the scale of it. It's been happening since the very rich Americans came over in the 1890s, but they tried to fit in.

"These new people, though, are so rich and not bothered about trying to fit in."

York says the authentic "Englishness" of such social occasions has "considerably diminished."

"The people now look at things and say 'I want that one,' without thinking why. They are going to want it to work their way rather than the other way around."

@highlight

The Henley Royal Regatta has been going since 1839

@highlight

Thousands flock to Henley-on-Thames each year to watch

@highlight

Spectators go for the sporting and social aspect