Aaron Swartz helped create the Internet.

Maybe not the Internet foundations of ARPANET and TCP/IP and Mosaic, the codes and packets and standards on which the whole thing is based. But he was a factor in fashioning some of the Web's upper floors. With his contributions to RSS coding and the Web application framework, Swartz made some of today's more expansive Internet possible.

But what Swartz also helped create was a philosophy of the Internet, one that remains the subject of great controversy almost 20 years into its life: the libertarian idea that information wants to be free.

"Aaron was a genius," said Christopher Soghoian, principal technologist and a senior policy analyst at the ACLU. "He was a technologist who was committed to open access to information, and committed to bringing about the changes he believed in."

"Aaron was an embodiment of the Web, and a contributor to many of the aspects that made it great," said Matt Mullenweg, who founded the blogging platform WordPress, in a statement. "When I was young and getting into technology Aaron was even younger and literally setting the standards for the Web with contributions to RSS 1.0 and Creative Commons. He inspired a generation to share online, to move to (San Francisco), to not be afraid to start things, and to break down barriers."

Swartz died Friday of an apparent suicide in his apartment in Brooklyn, New York. He was 26.

Although Swartz's life was not without controversy -- he faced federal charges that he illegally downloaded millions of scholarly papers from MIT -- his death has been met with an outpouring of tributes and grief.

A Tumblr page was set up for people to express their thoughts and condolences. Friends and commenters there described him as "inspiring," "enthusiastic," "a hero," "shy," "a great technologist" -- a bright, inquisitive, creative, challenging personality who deeply affected those he touched.

Opinion: Why the Net grieves Aaron Swartz

"Such a brilliant, disciplined, well-spoken guy with a great sense of humor, who probably knew as much about 'Star Wars' mythology and trivia as he did about programming computers," wrote a member of Chicago Force, a "Star Wars" fan club, noting the shock of club members in 1999 when they met with the budding Web developer and discovered he was just 12 years old.

"Let his life be an inspiration to us all to keep fighting, to keep building a better world, where free expression and open standards become the norm for everyone," added Jan Zuppinger, who described himself as an "Internet Freedom Activist."

"World wanderers, we have lost a wise elder. Hackers for right, we are one down," said World Wide Web creator Tim Berners-Lee in a tweet.

'I want something new, something worthwhile, something better'

Swartz was apparently committed to such activism from an early age.  He was born in Chicago, the son of a software company founder, and showed both intellect and restlessness at an early age.

"My name is Aaron Swartz," he wrote on a blog when he was a teenager, according to an entry on the Tumblr. (The actual blog post appears to be unavailable.)  "I'm a 9th grader at the North Shore Country Day School. In the summer of 2000, I finally realized that school wasn't working. I decided to do something about it. ... I'm tired of outdated teaching practices where the students don't learn anything. I'm tired of constantly being prepared for more preparation. I want something new, something worthwhile, something better."

He would have been 13 at the time.

Swartz never really gravitated to old-fashioned schooling; after his blog note, he mainly studied at home. He enrolled at Stanford in 2004 but only stayed a year, saying he didn't find "a very intellectual atmosphere" on the campus at the edge of Silicon Valley.  He later became a fellow at Harvard University's Ethics Center Lab on Institutional Corruption.

Swartz was a prodigy. By the time he was 14, he had co-written the specification for RSS -- originally Rich Site Summary, now Really Simple Syndication -- a Web-publishing technology for delivering syndicated content from frequently updated sites, such as blogs or news websites. RSS allows Web consumers to receive the latest stories on a feed without having to constantly revisit their favorite pages.

If you subscribe to a podcast -- or receive automatic updates from CNN.com -- you have Swartz to thank.

After leaving Stanford he created Infogami, which was later merged with Reddit, the freewheeling social-news site where users vote their favorite stories onto the main page. Reddit, which was purchased by Conde Nast in 2006, has come under fire for its anything-goes ethos. One popular Reddit moderator, who went by the name Violentacrez, was known for starting Reddit pages devoted to underage girls and violent fantasies. When his identity became known via a Gawker article, he was fired from his job.

Swartz was long gone from Reddit by then -- he was let go just after the Conde Nast purchase -- but believed in the ethos of the site and the open Internet in general.

"(He) engineered his own dismissal and got cashed out, and then became a full-time, uncompromising, reckless and delightful s***-disturber," wrote BoingBoing's Cory Doctorow, a friend of Swartz's, in a tribute.

One of Swartz's desires was to make public information truly public -- that is, free and easily available.

There's a government-run system, PACER, that allows the public to access court records online. However, PACER charged a fee for accessing this public-domain information. As Doctorow observed, Swartz "singlehandedly liberated 20% of U.S. law" by moving the information onto a public site, spending "a small fortune" of his own money doing so.

Later, Swartz founded Demand Progress, a group devoted to Internet activism. For all his success with programming, it's in this arena that he had the most impact, said Soghoian. Demand Progress was instrumental in fighting the Stop Online Piracy Act and the Protect IP Act, two bills that would have expanded government oversight in fighting Internet piracy and copyright violations at the possible expense of the free flow of information.

"He really, really believed that public information should be free and accessible to everyone," said Soghoian.

Suicide sparks talk about depression

'This was not serious computer hacking'

By the time SOPA and PIPA were shot down last year, Swartz had become entangled in another legal thicket surrounding free access to online data.

According to federal prosecutors, Swartz used MIT's computer networks to download more than 4 million articles from JSTOR, a digital library of academic journals, in 2010 and 2011. He was charged with wire fraud, computer fraud and other crimes, even though JSTOR declined to prosecute and urged the government to drop the case.

"What Aaron was accused of by the government (was) essentially a serious form of computer hacking," said Soghoian. If found guilty, Swartz could have been sentenced to up to 35 years in jail and a $1 million fine.

Soghoian was one of many observers surprised at the severity of the charges.

"These are the kinds of things you'd assume the government would use in a serious hacking case -- identity theft, millions of credit card numbers stolen, hacking into protected government databases or corporate networks," he said. "Aaron was accused of downloading too many articles from a website that anyone connected to the MIT network could log into.

"This was not serious computer hacking and the government didn't appear to differentiate between those kinds of activities."

Prosecutors saw it differently. When Swartz was indicted in July 2011, U.S. Attorney Carmen M. Ortiz said, "Stealing is stealing whether you use a computer command or a crowbar, and whether you take documents, data or dollars. It is equally harmful to the victim whether you sell what you have stolen or give it away."

In the wake of Swartz's death, critics have been quick to cast blame. Harvard law professor Lawrence Lessig, an outspoken writer on Internet issues, titled a blog post "Prosecutor as bully."

"From the beginning the government worked as hard as it could to characterize what Aaron did in the most extreme and absurd way," he wrote. "Somehow, we need to get beyond the 'I'm right so I'm right to nuke you' ethics that dominates our time. That begins with one word: Shame."

Swartz's family was equally pointed.

"Aaron's death is not simply a personal tragedy. It is the product of a criminal justice system rife with intimidation and prosecutorial overreach. Decisions made by officials in the Massachusetts U.S. Attorney's office and at MIT contributed to his death," they said in a statement.

Christina DiIorio-Sterling, a spokeswoman for the U.S. Department of Justice, declined to comment to CNN on Swartz's case, citing respect for his family.

Soghoian, the ACLU's analyst, said he sees Swartz's death as a great loss. Swartz could have made a fortune as a start-up wizard or venture capitalist but instead he plowed what money he made into his activism, he said.

"Aaron is seen as a hero. He spent a lot of time working to make the Internet a more open place," Soghoian said. "We lost a really important person who changed the Internet in a positive way, and we all lose out by his departure."

@highlight

Aaron Swartz, young Internet innovator, committed suicide Friday

@highlight

Swartz helped create RSS, founded company that later merged with Reddit

@highlight

Analyst: Swartz's biggest impact may have been his activism for Web openness

@highlight

"We lost a really important person," Christopher Soghoian says