(CNN)For many Girl Scout troops it is officially cookie season. I feel guilty saying no to the sweet, enthusiastic girls standing outside my grocery store who use their smiles and newly practiced sales pitches to ask how many boxes I'd like to order. After all, the organization is dedicated to enhancing girls' character and confidence. And I have to admit that the Samoas (now called "Caramel deLites") are delicious.

But as a physician who is passionate about health promotion, I politely tell the girls, "No, thanks." I am concerned that every bite and every sale not only delivers an unhealthy snack, but also a dangerous nutrition message. And I'm surprised that more doctors aren't speaking up about this.

Thin Mints, the most popular cookie, contains refined white flour, sugar, partially hydrogenated oil, and high fructose corn syrup. The first ingredient in those caramel deLites is sugar, but they also contain corn syrup and high fructose corn syrup, for a total of 6 grams of sugar per cookie.

That's a lot of sugar, and while some experts debate whether high fructose corn syrup is any worse than sugar, we agree that both, in the vast quantities we Americans consume, contribute to obesity.

But I'm not only concerned about obesity. There are two other more insidious and dangerous risks to consider: cancer and heart disease. How could a cookie cause cancer? Let me explain.

Both high fructose corn syrup and sugar in the United States are largely made from genetically modified crops: 95% of the sugar beets grown in the United States are GMO, as is 88% percent of the corn. Those crops are engineered to withstand spraying of the Monsanto herbicide Roundup Ready.

Last month the International Agency for Research on Cancer declared the key ingredient, Glyphosate, a probable carcinogen.  Canola oil, another cookie ingredient, is also of concern: 90% of rape seed (from which canola is produced) is GMO, too.

Suddenly those cookies seem less benign, don't they?

If that isn't enough to dampen your cravings, recent studies have found a causal link between sugar and heart disease. And trans fats have been well documented to increase the risk of heart disease.

A few years ago, this was a big story, and most products now boast that they have zero trans fats. In reality, companies are allowed to claim "zero" on the label if a serving contains less than 0.5 grams of trans fats. But often we eat more than one serving—do you really stop at two cookies?--so rather than zero, your actual intake can be several grams.

Adding to the confusion, on the ingredient label, transfats show up as partially hydrogenated oils, including in Thin Mints, Caramel deLites, Peanut Butter Patties, and other popular Girl Scout Cookies.  Clearly the Girl Scouts' leadership knows of the dangers; they actively advertise on the boxes and web site those cookies contain "zero grams trans fat per serving."

"You might be thinking, 'Wow! I'm glad Dr. Maizes wasn't my mom!" But my kids will tell you I love a good dessert. In fact, I make a mean cheesecake. An occasional home-baked cookie is not going to ruin a kid's health. The problem is bigger than cookies.

There is too little conversation on the hazards of sugar, white flour, GMOs, and trans fats from those whom you would expect to call them out: physicians. Perhaps this is not so surprising. After all, pediatricians, whose job is to protect the health of children, have a sum total of zero hours of required nutrition education in their residencies. Nor do residency review committees require internists, family physicians or cardiologists to learn nutrition.

And yet, there is compelling evidence that a diet rich in vegetables and fruit, whole grains, fish, nuts, and moderate amounts of dairy and alcohol, as well as avoiding smoking, obesity -- and exercising 30 minutes a day -- lowers overall mortality by 65%. Similar results were found in the study published under the name "Healthy Living is the Best Revenge", which showed that eating a healthy diet (fruits, vegetables, beans, whole grains, nuts, seeds, and low meat consumption) would prevent 78% of chronic disease, 93% of diabetes, 81% of heart attacks, 50% of strokes and 36% of all cancers.

At the University of Arizona Center for Integrative Medicine, where I serve as executive director, we are seeking to remedy this. We include nutrition in all our training programs and have a new, 100-hour online course that is being pilot-tested at five pediatric residencies including Stanford, Universities of Arizona, Chicago, and Kansas, and Eastern Virginia Medical School. We also run an annual nutrition and health conference to address nutrition education for physicians in practice.

Educating doctors will not be enough. Parents and schools have a role to play as well. And the Girl Scouts, with their enormous reach and influence, could do their part and choose a new fundraising item.

Times change and our traditions evolve. What if, this spring, the girls sold fresh fruit and vegetables, tomato plants or flowers, or even pedometers? What if in addition to their characters and confidence we directly addressed the health of their bodies?

Read more: What Girl Scout cookies taught me about life

@highlight

Victoria Maizes, a doctor, says she avoids Girl Scout cookies because they contain sugar, fats. Can't Scouts promote healthy snacks?

@highlight

She says pediatricians offer little guidance on nutrition, yet a diet low in sugars, GMO's, transfats, lowers overall mortality