Editor's note: Jeffrey Wright is a stage and screen actor who has won a Tony, Emmy and Golden Globe. Wright has appeared in "Angels in America," "Basquiat," "The Manchurian Candidate," "Syriana," "W." and "Casino Royale."

Actor Jeffrey Wright says a nation that put a man on the moon should be able to take race out of policing.

NEW YORK (CNN) -- President Obama expressed what many Americans feel regarding the recent arrest of Harvard professor Henry Louis "Skip" Gates -- that the Cambridge, Massachusetts, police responded "stupidly."

Obama is catching some flak for that, but I applaud him for having had the courage to speak his heart and mind.

I wonder if the president himself has ever experienced the blunt end of racial profiling, or if he personally knows of anyone other than Professor Gates who has. Among African-American males in this country, the small minority is those who have not or do not.

Did some prior experience or knowledge inform his response about the Gates incident? I have no facts to back this up, but, to me, it seemed personal. If it was, I understand.

I was arrested last July in Shreveport, Louisiana, outside a bar where dozens of members of the cast and crew of the movie "W." and I had gathered to celebrate the end of filming. There was no bar brawl as widely reported -- nor even a pre-election political argument.

Nine police cars and a fire engine responded; seven people were arrested. Two of the seven suffered minor head wounds at the hands of the Shreveport police. Josh Brolin and I were pepper sprayed by cops, and while face down in the street, I was made to feel the business end of a Taser.

The truth of what led to the whole morass has never been accurately reported. I was asked to leave the bar by a white female bartender who took exception to a comment I made.

As with Professor Gates, the police in my case backed unquestioningly the suspicion of a white woman that the black man she accused must be guilty of something. Once that die of accusation was cast, a ghost of racial bias, misperception, and the potential abuse of police authority was set free to make mischief.

The bar was one of two places in downtown Shreveport that serves food after 10 p.m. A few nights before my arrest, I had gone there very late after work to grab a bite to eat. It was before closing, and there were a few customers and employees inside, but the door was locked. I knocked and asked, over the music streaming from inside, if I might buy a small pizza. The bartender insisted that they were closed.

"Whatever," I said with a shrug of resignation and walked back to my hotel room.

Four nights later and in a festive mood, we gathered at this same establishment. Upon seeing the bartender who had a few nights before told me that the place was closed, I asked her for a drink, which she poured. I quipped, "Ah you're going to serve me tonight!"

At that, she pulled the drink away and told me that I had to leave. I asked if she was kidding. She went on to say that if I didn't leave, she would call the police. As I stepped away to tell friends what had happened, a call was made to Shreveport police.

Two cops, the first of many, arrived in minutes, and I was physically escorted outside although neither of them had the curiosity to ask what had transpired before they arrived. A mess ensued.

To their credit, Josh and the others arrested followed me outside with a few others from our group. The cops physically released me and were seeming to be ready to let me go altogether when, out of the corner of my eye, I saw another member of the film crew driven headlong into the sidewalk by two newly arrived cops.

Josh verbally objected to their actions, at which point a cop said to him, "You too!" I moved Josh away from the fray and held him. We were then pepper sprayed to separate us, after which Josh knelt in submission and was handcuffed.

Disoriented and blinded by the pepper spray, I remained standing until I was kicked in the knee and forced to the ground. I did not completely relax one of my arms as it was twisted behind me, so I was tasered in the back of my ribs repeatedly, eventually handcuffed, left to lie in the street for several minutes, then arrested and hauled off to jail, and charged with impeding police. The six others were similarly charged -- and it all began with a joke.

Nearly six months later, after a good-size storm kicked up in Shreveport over the incident, prosecutors agreed to drop the charges against all of us arrested that night.

New Year's Day 2009 and the same week in which charges were dropped against us, in Oakland, California, Oscar Grant, a young father, was killed in a BART station, surrounded by cops and in the same position as I found myself down in Shreveport. It seems the BART cop may have pulled the trigger of his firearm thinking that it was his Taser.

Shreveport Mayor Cedric Glover is known as a law-and-order mayor. The day after the encounter, in the presence of his police chief, Glover apologized to me and privately acknowledged that while most Shreveport's cops were good, there were some "devils" among them.

In public meetings regarding the "W." incident, however, he held fast that the responding officers acted appropriately. Either Glover's public statement was dead wrong, or the joke was on us.

Of course, public officials, particularly at the local level, are loathe to criticize law enforcement officers. On a certain level, it's understandable. Cops answer a noble and difficult calling. The pressure must be relentless, and I imagine a cop is largely underappreciated by most except those with whom he or she serves.

A political pat on the back from the executive in charge must be a comforting thing in controversial times, and politicians prefer to duck behind the political safety of the blue wall of silence than upset the men and women who, like our nation's troops, are charged with placing themselves every day in harm's way to keep us safe.

When he was mayor of New York, Rudy Giuliani encamped himself behind that blue wall. After Amadou Diallo, living out the All-American, hard-working immigrant story, was brutally shot down on the steps of his Bronx apartment building, Giuliani refused to question the actions of the cops who fired 41 bullets in killing the unarmed young man.

Is a politician's unwavering fidelity to law enforcement officers the best approach, or does it promote a police culture of impunity and retard progress on law enforcement issues?

What if after the Diallo tragedy, political leadership in New York inspired the passage of serious legislation to keep in check the presumption of criminality that cops so often direct toward young men of color. What if that had led to similar acts nationwide around these issues?

Gates might not be headline news today; Grant might not have died; and New York police Officer Omar Edwards, an African-American undercover officer shot down two months ago by a white fellow officer while chasing a suspect through a Harlem street, might be alive today to toss a football again with his son. iReport.com: "Shame" on Gates

I'm not presuming to blame Giuliani alone for what has become a systemic problem in our country -- that would be absurd, these issues predate him -- but when political leaders in this country express compassion only for those for whom they perceive it to be politically expedient or fail to challenge law enforcement and incarceration issues that cut to the core of the history and culture of race in America, they fail us all. They exemplify what U.S. Attorney General Eric Holder meant when he spoke of the cowardice with which we as a society approach race dialogue in this country.

These are messy, even bloody issues, but the cost of not addressing them is too draining of our societal health. Among other things it fosters a society in which too many young Americans internalize the aura of criminality that's projected onto them and handcuff themselves to self-imposed limitations that stifle us all.

Going to prison rather than to college becomes a rite of passage. They wear their pants below their behinds in solidarity with their friends, brothers, uncles or fathers who aren't allowed belts while incarcerated, though perhaps the low-hanging pants are a defiant gesture to society at large for continually presuming them to be miscreant.

This past week the Apollo 11 crew was at the White House welcomed by the president of a new generation of dreamers. Our great nation put a man on the moon, but it can't train its cops to distinguish between an ordinary brown-skinned brother and a criminal. At its least injurious, as with Gates and myself, this leads to bruised pride and reputation; at its worst, Grant or Edwards gets killed.

President Kennedy famously said, "We choose to go the moon ... and do the other things not because they are easy, but because they are hard." Maybe properly educating, screening and training our nation's police is one of "the other things." My son is 7 years old. May our generation have accomplished this other thing before he's a young man, and before we've sent a man to Mars.

The challenge is one that many Americans are willing to accept -- one, that for the sake of our children, all Americans should be unwilling to postpone.

The opinions expressed in this commentary are solely those of Jeffrey Wright.

@highlight

Jeffrey Wright: President Obama catches flak for remarks on professor's arrest

@highlight

Wright applauds Obama for having courage to speak his mind

@highlight

Actor says he too was victim of arrest in which race played a part

@highlight

He says political leaders need to address race and policing