Kiev, Ukraine (CNN) -- Arctic temperatures are not enough to cool pro-Western demonstrators' anger at Ukraine's pro-Russian president.

Thousands of them refused to budge from Kiev's snow-covered streets, while the European Union's top diplomat made her way there to try to thaw the tensions.

Security forces in riot gear tried to herd demonstrators away from government buildings but avoided a hard-nosed crackdown.

That could be the result of pressure the West has put on President Viktor Yanukovych in the past two days.

U.S. Vice President Joe Biden called Yanukovych on Monday to urge him to talk with the opposition and avoid violence. European Commission President Jose Manuel Barroso phoned on Sunday, as did U.N. Secretary-General Ban Ki-moon, who asked Yanukovych not to use brute force against protesters.

A tense standoff appeared in the making early Wednesday as riot police gathered around Independence Square, where orange-hatted protesters have set up camp.

EU foreign policy chief Catherine Ashton traveled to Kiev on Tuesday, where she held a "substantial" meeting with Yanukovych and discussed "all relevant issues," her press service said on Twitter. She also met with opposition leaders.

At a roundtable meeting with three former presidents of Ukraine, broadcast on state TV, Yanukovych said both police and protesters were responsible for violence that flared during a protest 10 days ago.

He said he had asked the country's prosecutor general to find a way to free detained protesters who had not committed serious offenses.

Civil disobedience

The protests started as a beef between Ukrainians keen to move closer to the West and their Russian-allied president over his refusal to sign an agreement that would strengthen cooperation with the European Union.

But then baton-wielding officers triggered sympathy for battered protesters, causing more people to join the demonstrators' ranks in Independence Square and pack inner-city avenues with a show of civil disobedience.

It became reminiscent of the uprising that swept Yanukovych out of office nine years ago during the Orange Revolution, when he was prime minister.

The tensions between those who yearn to reap the benefits of an alliance with the West and those who want to stick close to Moscow are longstanding and would seem to be almost irreconcilable.

They split the nation geographically between its western regions, where resentment of past Russian domination is higher, and its East, which was settled by Russians centuries ago.

Russians make up Ukraine's largest ethnic minority group, and Russian is widely spoken across the country.

Speaking at the roundtable, Yanukovych said he wants to keep good relations with both Europe and Russia, adding that Ukraine needs to protect its own interests.

"I am strongly against opposing relations with Europe in favor of relations with Russia and vice versa. We need to find a way to reunite," he said.

Opposition parties said they had not been invited to take part in the roundtable.

Masked raid

Monday was tense, as police broke down barricades that protesters had erected after progressing to the presidential administration building. Security forces pushed them back toward Independence Square.

Minor scuffles broke out, injuring 10 demonstrators, according to one opposition party. Two police officers were injured, state media reported.

Masked men ransacked the opposition party's headquarters in a raid, party leader Arseniy Yatsenyuk said.

The men, whom he accused of being special forces officers, destroyed the party's server room, Yatsenyuk said. "Equipment was destroyed, dragged out, across the entire premise of the Batkivshchnya Political Party headquarters," he said.

Police denied involvement in the raid.

At the same time, Yanukovych appeared to offer an olive branch. An announcement on his website said he would back a call for talks with his opponents to work out a compromise.

Celebs, burning tires

Faced with temperatures near zero Fahrenheit, the protesters burned tires and sipped hot soup and tea to stay warm.

Some played soccer or strummed guitars as they camped out in tents. The crowds often swell in the evenings as people leave work and join the rallies.

Former heavyweight boxing champion Ukrainian Vitali Klitschko, who is famous throughout Europe, is also an opposition leader. He chatted with riot police, urging them to stay calm and "not break the law" should they be ordered to remove protesters.

"None of us has either guns nor other objects; this is a peaceful protest," he said.

East vs. West

Yanukovych's refusal to sign the EU deal represents a U-turn in the country's advance toward closer relations with the West.

An EU agreement would have opened borders to trade and set the stage for modernization and inclusion, protesters say. They accuse Yanukovych of preparing to take the country into a Moscow-led customs union.

Moscow has leverage that may have affected Yanukovych's decision to backpedal on the EU talks. Russia supplies Ukraine with natural gas, which is essential to keep people from freezing in the country's brutal winters.

Moscow can increase Ukraine's energy bills and impose other trade sanctions.

The EU is also pressuring Yanukovych to free his chief political opponent, Yulia Tymoshenko, who has languished in jail for two years after being convicted of abuse of power in 2011. The verdict was decried by the EU and other critics as a sham.

The Orange Revolution that swept Yanukovych from office in 2004 also brought the pro-Western Tymoshenko to power.

Many of the protesters have carried her picture in Independence Square during the rallies.

Journalist Victoria Butenko reported from Kiev and CNN's Marie-Louise Gumuchian reported and wrote from London. CNN's Susanna Capelouto contributed to this report. CNN's Zarifmo Aslamshoyeva contributed to this report.

@highlight

EU foreign policy chief Catherine Ashton meets with Ukraine's president, opposition

@highlight

Viktor Yanukovych says both police and protesters are to blame for violence

@highlight

President says he wants good relations with both Russia and Europe

@highlight

Masked men raid opposition party's headquarters, its leader says