(CNN) -- Brazil and beaches go together like bossa nova and "The Girl From Ipanema," which, of course, put the country on the map as a hub of sun and sand and the eternally tanned and lovely.

With 4,650 miles of mostly tropical coastline, Brazil can lay claim to one of the biggest collections of balmy shores on the planet, little of it known outside Brazil.

From seafronts piled high with dunes and pocked with turquoise pools in the Northeast states of Maranao and Rio Grande do Norte, to the rugged shores of Bahia, to secluded coves on the southern island of Santa Catarina, Brazil's best beaches make the place a shore lover's nirvana.

Brazilians take their coastal assets seriously, and beach culture is a big part of the lifestyle.

Beachgoers in Rio de Janeiro have been known to break into applause as the sun sets after a particularly fine day of bronzing.

Yes, Rio has its share of world-class city beaches, but Brazil's best beaches, the ones that get you away from it all, are found elsewhere.

There are dozens of breathtaking stretches of golden sand up and down the long coast of Brazil.

Given that distances are vast and infrastructure not always on the same page you are, let's narrow the list down to Brazil's best beaches that you're most likely to get to without a trekking guide.

Ipanema, Zona Sul, Rio de Janeiro

Most travelers will see their first beaches in Rio, which does have some remarkable, if crowded shores.

Of the famed Zona Sul beaches, Ipanema is a classic choice.

If it's not too crowded, it's a beautiful stretch of sand, with kiosks to pick up a coconut to down the water from the shell or a caipirinha. There's plenty of scenery along the sand and the jagged pinnacles of the Two Brothers that loom up beyond the next beach, Leblon.

A couple blocks from the water, you can revisit the inspiration for the "Girl from Ipanema" with a visit to Garota de Ipanema, the cafe where the song was written.

If your tastes run to fewer tourists, more nature, Arpoador Beach is hidden by the rocky bluffs separating Copacabana from Ipanema.

It's an isolated cove with wild waves and (relative) peace in the middle of chaos.

Praia dos Carneiros, Pernambuco

About an hour south of Recife, Tamandare is an unpretentious beach town with a shore you can wander for miles and explore nearby wetlands.

A couple miles from town, you'll find one of the most idyllic coastal stretches in Brazil.

Tucked into a grove of palms off a dirt road, Praia dos Carneiros looks like it escaped from a South Seas postcard.

The white sand beach faces a small, lagoon-style bay that's great for swimming. The water is bathtub-warm, and there are no waves to contend with.

Leaning, long-frond palms form a picturesque colonnade down the shoreline.

Watercraft are available for rent, and boat tours of the bay and wetlands are a great way to get to know the area.

Carneiros's superb natural setting is perfect for a quiet, not chaotic, day at the beach.

The secret to the tranquility is that Carneiros is a private beach. It and the area around it are owned by a single family, which has managed to keep it from being overrun. It's not cheap -- $30 a day per car, and the only on-site food is also pricey, but the serenity and scenery are worth it.

A day at one of Brazil's best beaches doesn't get much more relaxing than this.

Caraiva, Bahia

With almost 700 miles of coastline, and smack in the tropical zone, the state of Bahia is loaded with sleepy fishing villages and spectacular beaches.

One of the best is Caraiva, a hidden beauty 30 miles south of Bahia's best-known beach site, Porto Seguro.

There are no vehicles in Caraiva other than the four-legged kind, so the roar you hear is the crashing of waves or mules. It wasn't that long ago the town didn't even have electricity.

The beach here goes on for hours, verdant headlands on one side, azure sea on the other.

Though there isn't a lot of commerce around, you can eat tasty seafood, and the trusty mules make sure you're stocked with beverages.

There's a "lost in time" quality about Caraiva, but with beaches this exquisite, that won't last for long.

Taipus de Fora, Bahia

Few colors have the power of translucent turquoise to stop humans in their tracks.

Taipus de Fora has enough of the hue to keep the most jaded traveler enchanted.

Located on the sea side of the Marau Peninsula on the south coast of Bahia, this beach is a snorkeler's dream. As the tide ebbs, it leaves behind brilliant, turquoise reef pools perfect for viewing an assortment of colorful tropical fish.

No need for Photoshop here. That turquoise is the real deal.

The beach itself runs broad and golden for some four miles, with thick, luscious palms.

You won't have trouble finding a reasonably priced place to stay, with accommodations from hotels to pousadas to rental houses and campgrounds, or a bar to imbibe near a reef pool.

It's easy to make the case for Taipus de Fora as one of Brazil's best beaches.

Porto da Barra, Salvador, Bahia

In many ways, Porto da Barra is to Salvador (capital of the state of Bahia) what Bondi is to Sydney and Venice Beach is to Los Angeles.

Tiny fishing boats bring in the day's catch, there's beach volleyball and plenty to see at the Fisherman Colony Manguinhos, a traditional fish market in Buizos.

This is one of the few beaches in the lively city of Salvador that faces west, so you can catch great sunsets.

Praia da Pipa, Rio Grande do Norte

A backwater fishing village until backpackers discovered it in the 1970s, Praia da Pipa is a favorite weekend retreat for locals in nearby large cities such as Recife and a respected Northeast Brazil stop for global travelers as well.

A number of international visitors came here and never left, staying on to run small pousadas or restaurants.

The attractions are obvious -- a beautiful natural setting, with steep pink cliffs rising above the sand and remnants of the great Atlantic Forest that once draped this coast still alive and verdant.

There's plenty to do -- surfing, dolphin-watching, sand-boarding.

At night, Pipa village is packed with cafes and bars where you can meet and greet and knock back caipirinhas.

Praia do Sancho, Fernando de Noronha, Pernambuco

Often voted Brazil's best beach, Praia do Sancho is a bay on the island of Fernando de Noronha, facing the coast of Brazil rather than out into the Atlantic Ocean.

Covered in vegetation, its steep, rocky cliffs form a backdrop to clear waters that are accessible only via ladders attached to the cliff face or by boat.

Porto de Galinhas, Pernambuco

For those whose tastes run to popular beach resorts, Brazil has mass tourism sites beyond Rio, the biggest including Paraty and Buzios.

The most respected major tourist beach in Brazil is Porto de Galinas, about 45 minutes south of Recife. Its lower-key, more eco-centric approach attracts fans on both the independent and mass travel side.

The beach is a perennial winner of the "best beach in Brazil" award by readers of "Viagem e Turismo" ("Travel and Tourism"), a popular Brazilian travel magazine.

A former fishing village, Porto de Galinhas is famed for its crystalline reef pools, which make for great snorkeling and swimming.

Small sailboats (jangadas) take you out to explore the pools, though the most treasured of the pools, which resembles a map of Brazil, is protected and off-limits.

Porto de Galinhas is the complete package -- a beautiful 11-mile beach, sailing, windsurfing, diving, kayaking, rafting and restaurants and lodging for all budgets.

Have you got a Brazil's best beach pick? Share it in the comments section.

@highlight

With 4,650 miles of mostly tropical coastline, Brazil has seemingly endless balmy shores

@highlight

Northeast states of Maranao and Rio Grande do Norte are noted for gorgeous turquoise waters

@highlight

With almost 700 miles of coastline, state of Bahia is loaded with spectacular beaches

@highlight

Porto de Galinhas in Pernambuco is an annual "Brazil's best beach" contender