(CNN) -- A Swedish SWAT team backed by local police arrested four people overnight on suspicion of plotting terror attacks, the Swedish Security Service told CNN Sunday.

The four were held in the city of Gothenburg for "probable cause" of preparing the attacks, the highest level of suspicion in Sweden, said Sara Kvarnstrom, a spokeswoman for the security force.

She refused to say whether the suspects had been under surveillance or if the arrests resulted from a tip-off, saying she could not discussed details on an ongoing investigation.

"Through these arrests we have been able to prevent a situation from occurring," Malena Rembe, head analyst at the Swedish Security Service, told CNN affiliate TV4.

Sweden is not raising its terror threat level -- which is currently at 3, with 5 as the highest -- and there is "no reason for the public to be alarmed," she said.

"These arrests have not changed this threat level," Kvarnstrom added.

An art gallery in central Gothenburg was evacuated shortly before midnight local time, police said, but declined to say whether it was connected to the arrests.

A party was going on at the Roda Sten gallery at the time, with about 500 people attending the inauguration of an arts festival, according an interview with a witness in Goteborgs Posten, a local newspaper.

The police cordon was removed at 6 a.m. local time, said Ulf Edberg, a spokesman for Gothenburg police.

Police have a "number of extra police officers" on the streets of Gothenburg, Edberg said.

The prosecutor in charge of the case, Hilding Qvarnstrom, said in a statement on the prosecution authority's website that the investigation is still at an early stage and authorities cannot reveal any details about the arrests.

The head of the Swedish Security Service, Anders Danielsson, warned last week that "Islamic terrorism is still the biggest threat against Sweden."

"But it is different today," he said, calling it "more complex and unpredictable, both in terms of who could be a target and how they can strike."

Al Qaeda is now encouraging Muslim radicals to stay home "and strike where they are," rather than traveling to conflict zones to get experience, said Rembe of the Swedish Security Service.

"When individuals with those kind of ideologies act on their own it becomes harder to make a threat assessment," she warned.

Stockholm was hit by a suicide bombing in December. The attack on the capital, Sweden's first suicide bombing, wounded two people in a district full of Christmas shoppers.

And police arrested two people in Gothenburg, the country's second-largest city, on suspicion of plotting a bombing in October. They were later released without charge, police said.

After the Stockholm bombing, Swedish Security Police said the country had almost 200 Islamic extremists who advocate violence, but said there was no indication their number is growing.

The police study was commissioned months before the attack in Stockholm.

The extremist threat isn't widespread, according to the report, which the government commissioned in February 2010.

"The threat from violence-promoting Islamic extremism in Sweden is currently not a threat to the fundamental structures of society, Sweden's democratic system or central government," the summary said.

But the radicals are capable of damage, police said.

"While violence-promoting Islamist extremist groups do not pose a threat to Swedish society, they are still a threat to individuals and groups, especially in other countries," the report said.

The police analysis highlighted the disturbing trend of increasing foreign travel by the radicals.

"The most serious potential threat to Sweden is the long-term effects of people from Sweden choosing to travel abroad to join violence-promoting Islamic extremist groups," the police said. "There are currently no signs of falling interest in joining foreign groups."

Swedish authorities are investigating involvement in radicalism by Taimour Abdulwahab, the weekend's suicide bomber.

His emails before the bombings said that one reason for the attack was Sweden's tolerance of Lars Vilks' newspaper cartoon of the prophet Mohammed as a dog, authorities said. Abdulwahab, 28 -- who had lived in Iraq, Sweden and the English town of Luton -- also cited the presence of Swedish troops in Afghanistan.

That cartoon of Mohammed, published in 2007, was also cited in the new report as an example "of local events that may fuel radicalism globally."

Sweden's radical networks are typically made up of males between 15 and 30 years of age, with varying backgrounds, most of whom were born or grew up in Sweden, the report said.

Several women are also involved, sharing the violence-promoting ideology, but they don't engage directly in security-threatening activities, the police said.

At least 80% of the radicals are socially connected, mainly through friendships and the Internet, but the social ties don't make them "one coherent network capable of fully coordinating its resources and working towards the same goal," the report said.

Swedish terrorism expert Magnus Ranstorp said that before the December bombing, Sweden thought it was "immune" to terror attacks.

"Even (Osama) bin Laden said in early 2003, 2004, that if every country was like Sweden, there would be no terrorism," Ranstorp said.

Police called upon civic leaders as well as the Swedish Muslim community to prevent and counter extremism, and they encouraged the public to develop a deeper knowledge of Islam.

Though they shouldn't feel a greater responsibility to do so, practicing Muslims and their clerics could be helpful in countering "violence-promoting propagandists active in Sweden and abroad," the report said.

CNN's Michael Martinez contributed to this report.

@highlight

NEW: "We have been able to prevent a situation," a top security analyst says

@highlight

Police evacuate an art gallery, but will not say whether it is connected to the arrests

@highlight

A SWAT team holds four people in the city of Gothenburg

@highlight

Sweden's first suicide bomber struck in December, wounding two people in Stockholm