(CNN) -- North Korea's announcement last week that it has begun reprocessing nuclear fuel rods at the Yongbyon nuclear facility about 60 miles (nearly 100 kilometers) north of the capitol, Pyongyang, raises questions about the secretive nation's agenda.

A satellite view of the nuclear facility at Yongbyon.

CNN talked to two top North Korea experts to gain insights into what North Korea may be signaling, what it is realistically capable of accomplishing, and what the developments mean for its relations with the U.S.

Selig Harrison, the director of the Asia Program at the Center for International Policy, said the North Korean announcement about restarting its nuclear facilities should come as "no surprise" to the United States.

"The North Koreans had said that they were going to do this. The United States leadership made a mistake by going to the U.N. because the North Koreans said on March 26 that if we went to the U.N., they would resume their nuclear program," he said, referring to North Korea's recent decision to launch a rocket despite international opposition.

Harrison visited Pyongyang in January and doesn't expect North Korea to reprocess plutonium for at least a year. Nuclearization may not even be their primary goal with this latest announcement, he said.

"You have to put it all into context of the North Korean situation, they want to negotiate to get economic help. All of this is a re-bargaining chip," he said. "The North Koreans are not hell-bent on nuclear weapons, this is just their opportunity, and they want to negotiate in bilateral talks with the US."

"The North Koreans have shut down the six-party talks, but they haven't ruled out bilateral negotiations," he said, referring to talks aimed at persuading North Korea to scrap its nuclear program. The talks involved China, Japan, North Korea, Russia, South Korea and the United States.

An additional part of North Korea's re-bargaining chip may be two detained U.S. journalists, he added.

North Korea has held Laura Ling and Euna Lee, reporters for Current TV, since they were taken into custody along the China-North Korea border on March 17.

Last week North Korea said will try the two journalists on allegations of entering the country illegally and intending "hostile acts."

Harrison said the North Koreans "are hoping the United States will agree to bilateral talks in part because of the journalists they are holding, and the U.S. knows North Korea will ask something of them for the release of those journalists."

One of the main reasons North Korea broke off the six-party talks was because it hasn't received the energy and aid promised by other countries, Harrison said.

"Japan had promised energy to North Korea that they haven't yet delivered, and this is energy that North Korea desperately needs," Harrison said. "In all, we have delivered about one-third percent of the amount of energy we had promised the North Korea."

But what if the North Koreans do want to weaponize?

Siegfried Hecker, the co-director of the Center for International Security and Cooperation at Stanford University, said he believes North Korea can make bombs.

"All they have to do is to extract the plutonium from the fuel rods which already exist in the cooling pool. They can now bring some of those fuel rods out and begin to take them through the reprocessing facility. It will take four to six months to reprocess all of the fuel rods. And they will be able to extract about a bomb and a half's worth of plutonium from them," Hecker explained.

Hecker, who visited the Yongbyon facility in late February 2008, said he was quite certain the North Koreans will be able to convert the plutonium into a bomb in just a few additional months, added to the months spent reprocessing, if needed.

"Our greatest concern is that North Korea will try to use this existing plutonium to conduct another nuclear test," he said, referring to a 2006 effort by the North Koreans.

Hecker explained that the fuel rods with the plutonium couldn't be shipped easily during the first steps of disablement of the Yongbyon plant and therefore were still intact when the International Atomic Energy Agency (IAEA) inspectors left earlier this month.

"The idea was the pool holding the fuel rods would be kept under close IAEA inspection," Hecker said, "In essence, it was a pretty good hedge for the North Koreans all along...the fuel rods and the reprocessing plant were the easiest part of the Yongbyon plant to get going again," he said.

Hecker said restarting the reactor is a different story.

Since the water cooling tower was destroyed in June 2008, Hecker said the North Koreans will likely rebuild the structure, which will take an estimated six months. He said they also need to process fresh fuel for the reactor, which will take about six months as well.

"So in six months from now, they can reload the reactor. Then the reactor would have to run for about two to three years to get another two bombs worth of plutonium," he said.

Hecker cautions that he, too, tries to put the "complicated" situation in perspective.

"We have to note that we're dealing with disablement, not dismantlement. Disablement means to make more difficult and not impossible to restart," Hecker said. "Our greatest concern will be if the North Koreans will use the reprocessed plutonium to do another nuclear test."

@highlight

Nuclearization may not be primary goal, Center for International Policy official says

@highlight

N. Korea may be using two detained U.S. journalists as bargaining chips, he adds

@highlight

North Korea said last week it will try Laura Ling and Euna Lee

@highlight

Expert: N. Korea's ending of six-party talks due to energy, aid deal not being honored