(CNN) -- Last week, The New York Times gave us an inside look at what it's like to work at Foxconn, the manufacturing company that owns several China-based factories that crank out Apple's iPads, iPhones and iPods by the millions.

The story is full of examples of horrifying working conditions in Foxconn's factories that would never fly here in the United States. Here are some of the more troubling ones from the Times story:

Foxconn is a 24-hour operation. Employees work six days a week, sometimes in 12-hour shifts. They're on their feet for so long that their legs begin to swell. There are underage workers. They live in crowded dorms on the factory's campus. In recent years, there have been reports of workers leaping from buildings in apparent suicides.

And so on.

The story even describes the gruesome death of one Foxconn worker after an explosion in a facility that made iPads in Chengdu, China. The worker's "skin was almost completely burned away" by the blast, the Times reports. He died a few days later with his family by his side.

Foxconn denies the reports that working conditions are like what the Times describes. Apple refuses to comment on the record, but a leaked e-mail from CEO Tim Cook to all Apple employees says the company is committed to worker safety and that it takes all those claims very seriously.

So knowing all that, should we be concerned about where our iPhones and other gadgets come from and how they're made? Or is the human cost so far removed from us here in the United States that we're willing to look over it in favor of whatever fancy new touchscreen gadget Apple releases next?

The issue even has some people throwing around the idea of a boycott. One effort, hosted on the website Change.org, has collected more than 145,000 signatures from people calling on Apple to better protect its workers.

While those efforts sound noble, there's no way boycotting Apple gadgets will actually work.

Let's start with why people keep snapping up Apple's iPhones and iPads by the millions each week in the first place.

When it comes to smartphones and tablets, Apple still makes the best there are. With the iPhone and the iPad, the company set a new standard that other tech giants such as Google and Microsoft are still struggling to imitate. Apple can't make them fast enough. On launch days, people queue up in massive lines so they can be one of the first to get a new iPhone or iPad.

Even if consumers do know about what it took to make their new gadget, as many likely do thanks to the widespread reports on working conditions overseas, it's obviously not enough to keep them from getting caught up in the fervor of an Apple product launch.

I can't see that ending just because of a new story in The New York Times or a proposed boycott.

But it's not just about the massive popularity of Apple's gadgets that keep people buying. It's the price.

The latest and greatest iPhone model, the 4S, costs $199. iPads start at $499. One of the biggest reasons Apple can sell its stuff at such low prices is because they're produced on the cheap in China, sometimes by sacrificing good working conditions to make it happen. (If you believe the reports.)

Those cheap production costs are why a lot of the anger comes from the fact that Apple is a massively profitable company. Right now it has almost $100 billion sitting in the bank. It could use some of that cash to put more pressure on Foxconn and others to improve working conditions overseas.

A successful boycott could force Apple to make those changes, but consumers will have to sacrifice something, too.

In a poll from the Times that ran with its Foxconn story last week, most consumers thought companies such as Apple should make products in the U.S. but still absorb the added manufacturing costs.

In other words, consumers don't want to pay more for iPhones and iPads than they already do just to ensure factory workers get better working conditions. It's all about money.

So even if Apple moved production to the U.S. or managed to heavily invest in China and improve working conditions there, it would likely result in higher prices for consumers. For a profit-driven company such as Apple, there's almost no chance it would want to absorb those costs itself.

Yes, a lot of the heat on this issue has been put on Apple. But keep in mind it's not alone. Foxconn and similar manufacturers in Asia make gadgets for several other major consumer brands. It's not like suddenly switching from the iPhone to another smartphone will improve the lives of those who make it.

You may feel guilty buying an Apple product, but the problem won't be fixed until all electronics makers change, too.

In the end, consumers would be the ones who have to pay to make working conditions better for the people who make your iPhone. And it seems unlikely there are enough of you out there willing to do that.

The opinions expressed in this commentary are solely those of Steve Kovach.

Copyright © 2011 Business Insider.

@highlight

Some people are considering a boycott of Apple over conditions in Chinese factories

@highlight

A recent New York Times story shed some light on horrifying working conditions there

@highlight

Poll suggests consumers may not pay higher prices for Apple products made in U.S.