(CNN) -- The rainy season is a good time to go to Costa Rica. It's a lot cheaper and there are far fewer tourists. My visit was from July 22 to 31. Even if there is a lot of rain, chances are that it will come down during your afternoon nap and clear up just in time for cocktail hour at 5:30 p.m.

Getting in and around Costa Rica

The trip began with my flight into the San Jose area, which is where my Costa Rican host and friend, Jose, lives.

Another friend visiting from the States picked me up and immediately, on the short trip from the airport to their home, we were confronted by the strange, small, bad roads and terrible driving that would be a theme for the entire trip. Jose made us wonderful ceviche -- also a theme -- when we arrived, and we chatted about how Congress or President Obama would solve the debt deadline.

The next morning we set off. We rented a car for the week, a Toyota Yaris, which we immediately noted had pretty bad brakes and a clutch that seemed to have little life left in it.

We headed out of the city to Arenal Volcano, one of the country's most popular tourist attractions for its activity and nearby hot springs. We stopped at La Cascada for lunch in the tourist town La Fortuna, which is at the base of the road around Arenal. Then we continued around Arenal.

The volcano, as it often is, was obscured by clouds. Usually at night one can see the glowing lava, which sounded pretty cool. We thought of stopping for the evening in one of the resorts lining the base of the volcano, some of which are luxurious, but we decided to push on to the west coast.

We stopped briefly at the seemingly out of place German/Swiss chalet Los Heroes, which is a hotel and fondue restaurant, but our timing was off for either lunch or dinner.

Experiencing the coast

We explored Coco Beach quickly but found it to be a little too noisy and busy. So we went one beach up to Hermosa and quickly found the Villa Acacia, which had clean, spacious villas, beautiful grounds and a nice small round pool.

It seemed to be frequented mostly by Costa Rican families. Hermosa Beach lived up to its namesake (beautiful) the next morning.

The water was calm, warm and clean. This was some of the best swimming we had the entire visit. Just swimming casually we saw a skate shark and a puffer fish.

Couple escapes it all for 'paradise' in Costa Rica

The next day we spent driving a considerable distance to Playa Carmen, on the southern tip of the Nicoya Peninsula. This drive was not for the faint of heart and had it been rainy, it could have been a dangerous, life-threatening drive.

There were times when the going was steep and rocky. There were times when the driver was screaming in terror.

The wear and tear on the car's brakes and clutch were starting to make a lot of sense. Even traveling fairly short distances in Costa Rica should be considered carefully, because sometimes -- and by sometimes, I mean often or always -- there is a bridge out, necessitating a long, slow reroute. Sometimes potholes are so omnipresent that you have to travel at 10 mph for hours, even in a rental car. Unless you know the condition of a road, you can assume that you can make about 20 miles in an hour.

But the difficulty is worth it. Playa Carmen was beautiful and full of young, fun people from all over the world. There's excellent surfing there. We saw the most amazing sunset from Carmen, one of those where the sun dips into the water at an alarming speed.

From Carmen we spent the next day traveling to Playa Samara, where we spent four nights in the wonderful and small Fenix Hotel, which had its own spot right on the beach. Innkeeper Bill was friendly without being intrusive or obsequious. He keeps a lame squirrel as a pet, so you know his heart is in the right place.

The six-unit hotel has a small pool, beach furniture and clean, comfortable suites with kitchens -- including high-quality Osterizer blenders. They know what they're doing there. Also, a highlight was the rare Mercedes Unimog that Bill has parked out front. We were very excited to see that and on the last day, Bill let us play with it.

Zip lines and hatching turtles

Another highlight was the amazing Wingnuts Canopy Tour, which I would highly recommend. We swept between peaks on zip lines to see views of the ocean. We heard a variety of birds and saw a blue-crowned motmot, one of the most amazing birds I've ever seen.

Our guides, brothers Manu and Yasha, were warm, smart people who loved nature. They also set us up with a guide to the nearby nature refuge at Rio Ora, where we went the next night to see green sea turtles lay eggs on the beach.

These 4- to 5-foot-long turtles lay between 100 and 150 eggs in the sand before lumbering back into the sea. Conservationists guard the eggs from poachers, who are pretty aggressive and sometimes dangerous. The experience was another highlight.

We returned to Alajuela to spend two nights at my friend's family's house. No trip could be complete without a trip up to Poas to see coffee plantations, beautiful views, and the slumbering but active volcano and gorgeous Botos Lake.

Lunch on the mountain is recommended at Chubascos Restaurant, where we had the most amazing strawberry drink -- fresas en leche (strawberry in milk). The local strawberries are wonderful in Poas, better than any I've ever tasted.

'La Pura Vida'

Then it was back to the airport and a five-hour flight back to New York.

I loved the Costa Rican refrain "La Pura Vida," which means "Pure Life." It's sometimes used sarcastically, like when yelled at a passing motorbike. But its honest meaning is taken to heart in Costa Rica.

The land is pure, the people are healthy. Wildlife is revered and respected. They watch "Animal Planet" in all the bars and restaurants. The people have good health care and the best free education system in Latin America.

They seem happy, what can I say?

@highlight

Driving through Costa Rica not for faint of heart, but the peril is well worth it

@highlight

Steep, rocky roads lead to breathtaking sites like Arenal Volcano, Nicoya Peninsula

@highlight

Beaches offer calm, clear water where you might find yourself swimming with sharks

@highlight

Have you been to Costa Rica? Share your story with CNN iReport.