The escalating conflict in Ukraine "essentially puts the nation on the brink of civil war," Russian President Vladimir Putin said on Tuesday.

His assessment came during a telephone conversation with his German counterpart, according to the Kremlin, the same day Ukraine's military launched its first, formal military action against pro-Russian militants with troops retaking an airport in the eastern Donetsk region after a reported clash with gunmen.

The military action came a day after a Ukrainian ultimatum expired for protesters to lay down their arms, a move that appeared to signal an escalation in the crisis that has sparked a diplomatic row between Ukraine, its Western allies and Russia.

With pro-Russian militants seizing government and police buildings in as many as 10 towns and cities in eastern Ukraine, acting President Oleksandr Turchynov told Parliament "an anti-terrorist operation" was under way in the region.

The aim of the military operation is to "stop attempts to tear Ukraine to pieces," he told lawmakers.

Witnesses reported hearing gunfire and aircraft that appeared to be coming from the airfield in Kramatorsk, which Turchynov's office said was under the control of Ukrainain special forces late Tuesday.

There were conflicting reports about casualties, with Russian state-run media citing varying casualty claims supplied by militants. According to the reports, there were either two injured or four killed, claims that CNN cannot independently verify.

Brink of civil war?

Putin's comments followed similar ones hours earlier from Russian Prime Minister Dmitry Medvedev warned Ukraine was on a violent path.

"Ukraine is on the brink of civil war. It is scary. And I hope that everyone who is responsible for making decisions at the moment -- I mean both, the current Ukrainian authorities, who we can't consider legitimate, but these are the authorities who came to power as result of a coup -- has brains to avoid driving the country to such shocks," he said at a news conference Tuesday in Moscow.

The pro-Russian uprising follows Russia's annexation last month of Ukraine's Crimea region, a move that emboldened other pro-Russian Ukrainians in the country's east to rise up.

Russia has said it reserves the right to intervene to protect the rights of ethnic Russians in eastern Ukraine.

During the conversation with German Chancellor Angela Merkel, Putin also raised concerns about what he called an "anti-constitutional course" taken by Ukrainian authorities in Kiev to suppress protests.

Despite what Merkel's office described as "different assessments of the events on the ground in Ukraine," the focus of the conversation was on preparations for a meeting in Geneva among the foreign ministers of Russia, Ukraine, the United States and the European Union to find a way to reduce tensions in the region.

In a sign of the divisions roiling the country, YouTube footage posted online appeared to show two openly pro-Russian presidential candidates who have demonstrated support for separatists being antagonized by crowds in separate incidents in Kiev on Monday night.

In one video, Mikhail Dobkin, a presidential candidate for the Party of Regions, the party of ousted President Viktor Yanukovych, had flour and green liquid thrown at him as he addressed crowds.

Another clip showed Oleg Tsarov, an independent candidate who was expelled from the Party of Regions, speaking to people without a shirt as he apparently sought to show the bruising he'd received from an aggressive crowd.

In the third video, Tsarov tries to leave a TV station, where crowds shout "Shame! Shame! Shame!" His supporters and protesters end up in a brief scuffle.

CNN has not been able independently to verify the amateur video clips.

NATO, EU are 'deeply concerned'

The escalating tensions in the region -- along with reports of violence -- have raised concerns among European Union defense ministers and NATO Secretary General Anders Fogh Rasmussen, who met Tuesday in Luxembourg.

As he arrived for the talks, Rasmussen told reporters he was "deeply concerned" by the latest developments in Ukraine.

"I call on Russia to de-escalate the crisis, to pull back its troops from Ukraine's borders, to stop destabilizing the situation in Ukraine and make clear that it doesn't support the violent actions of pro-Russian separatists," he said.

"Russia should stop being part of the problem and start being part of the solution."

He said NATO and the EU are not discussing military options and that they support a diplomatic and political solution to the crisis.

"However, we are focused militarily on strengthening defense of our allies. That's our core task," he said.

Ukraine deployed a National Guard battalion of 350 troops to the Donetsk region from Kiev on Tuesday morning, said Evgen Rojenyuk, a spokesman for Ukraine's National Security and Defense Council.

The National Guard troops -- many of them former street protesters who signed up after the interim government took power in February -- have had only a few weeks of training.

Military column

A CNN team in eastern Ukraine encountered a large Ukrainian military column traveling on roads leading from the city of Donetsk toward other towns in the region.

The column included more than 20 armored personnel carriers, along with support vehicles, and a helicopter circled overhead. The troops, who were carrying the Ukrainian flag, appeared to be headed north and east, although their precise destination was unclear.

The pro-Russian mayor of Slaviansk claimed Tuesday that a Ukrainian military convoy including troops and armored vehicles had now surrounded the town, Russian state news agency ITAR-Tass reported.

"If they try to move in, we will have to stop them," it quoted him as saying.

Pro-Russian protesters seized a police building over the weekend in Slaviansk, some 100 miles from the border with Russia.

From a hill overlooking the town, a CNN team saw no obvious signs of a large-scale operation, such as military helicopters or planes.

Amid the unfolding crisis, Ukraine's most senior security and defense officials are to meet for a closed session with all members of Parliament on Wednesday morning, Turchynov said.

Pretext for intervention?

The unrest is the latest in a series of events ratcheting up tensions between Ukraine and Russia, which Kiev accuses of fomenting trouble in Russian-speaking eastern Ukraine.

After then-Ukrainian leader Yanukovych backed out of a deal with the European Union in November in favor of closer ties with Russia, he was forced from office in February, the result of months of protests in Kiev.

Distrust among the population in eastern Ukraine, the base of Yanukovych's power, grew as the new national government shifted rapidly in a pro-Western direction.

A short time later, pro-Russian elements occupied the Black Sea peninsula of Crimea, which Russia annexed in March. Since then, pro-Russian protesters have taken to the streets in eastern Ukraine and in some cases stormed and occupied buildings.

Kiev's fragile new government and the West accuse Russia of destabilizing the region as a pretext to potentially send in troops to protect the local Russian-speaking population.

NATO says Russian armed forces are massing on Ukraine's eastern border, while Moscow says they are merely carrying out military exercises.

A United Nations human rights report released Tuesday on the situation in Ukraine cited an urgent need to counter "misinformation, propaganda and incitement to hatred" in the country to avoid the further escalation of tensions.

"Facts on the ground need to be established to help reduce the risk of radically different narratives being exploited for political ends," said U.N. High Commissioner for Human Rights Navi Pillay.

Russia sanctions: Why the U.S. and Europe are not quite in step

@highlight

Vladimir Putin says escalating conflict puts Ukraine on the "brink of civil war"

@highlight

Ukraine's military retakes airport from pro-Russian militants, official says

@highlight

Large Ukrainian military convoy seen traveling on roads in Donetsk region

@highlight

Ukraine's acting President says an "anti-terrorist operation" is under way in Donetsk region