(CNN) -- Chicago life and business coach Nicole A. Dunbar has learned to live with less, and love it.

Before launching her own coaching and motivational speaking business last year, Dunbar had a "day job" in academic fundraising and lived in affluent Hyde Park, a neighborhood adjacent to President Barack Obama's Chicago home. Pricey dinners out with friends didn't give her much pause. But those days are over.

She first downsized her apartment, moving to a smaller place in a less expensive and less trendy 'hood, saving $300. Even though she's now back in Hyde Park, she's got a six-month sublet arrangement that keeps her rent low and keeps her mobile. She subscribes to utility companies' budget plans so she's no longer surprised by fluctuating bills. She totes sales flyers when shopping the supermarket, eats more seasonally and cooks at home more.

Her athletic club membership? It's history. Said Dunbar: "I went out to the (nearby Chicago) lakefront, and that was my gym." That $150-a-month cell phone bill? Gone. It may not be sexy, but a $55 prepaid phone has taken its place.

When first launching Congruency Inc., she "decided to take contract or part-time assignments that would allow me to build my business while generating another income to cover my living expenses. I could never have come to this place without living simply and not listening to the 'shoulds.' "

"People don't know what they actually need. A need is electricity; a want is cable."

Because she does most of her coaching work with entrepreneurs and professionals remotely with clients across the country, she's not tied to one physical location. Dunbar's real goal is to spend Chicago's colder months elsewhere -- with her mom in Atlanta, visiting a younger sibling in her native Jamaica -- and downsizing her expenses will give her the freedom to do it.

It's all about choice.

The ongoing global recession and the accompanying hit to our pockets, bank accounts and retirement funds, not to mention environmental and ecological concerns, have prompted many folks to reconsider what's important. And to some, it isn't what they own or what they can buy. Instead, it's about "voluntary downscaling" or learning to live joyfully with less "stuff."

"We bought into the media notion that money buys happiness. We really, really tried that for a couple of generations, and it didn't work," said Duane Elgin, author of "Voluntary Simplicity: Toward a Way of Life that Is Outwardly Simple, Inwardly Rich." Elgin is a former social scientist who also holds an MBA and has been preaching the sustainable-living gospel since the 1970s. The concept of "voluntary simplicity," coined by social philosopher and Mahatma Gandhi follower Richard Gregg back in the 1930s, "reframes the conversation into a way of life filled with greater conviction, creativity and it isn't just about living with less, but living with balance."

For some, like Dunbar, whose previous work kept her spinning madly on the 50-to-70-hour workweek treadmill, it's about purposefully changing careers in order to do something they love, despite the financial downgrade. For others, it might mean selling their cars and relying instead on their feet, public transportation and car-sharing services such as I-GO Car Sharing in Chicago and LAXCarShare in Los Angeles to get around.

"About half of our members tell us they're choosing to sell a car or not buy a car because of Zipcar," said Zipcar chairman and CEO Scott Griffith, whose car-sharing network serves 250 college campuses and more than 50 cities in North America, and stretches across the Atlantic to the United Kingdom, Spain and Austria.

"They also tell us they save on average $600 a month," which he said is roughly the equivalent of getting a $10,000 raise after taxes.

In many cases, it's Millennials, or those born after 1980, leading the way. A recent Zipcar-commissioned study (two-thirds of so-called "Zipsters" are under 35) found 55 percent of those surveyed have actively made an effort to drive less. While more than half cited "protecting the environment" as one key reason, a whopping 78 percent who are licensed drivers say car ownership is tough because of high gas prices, parking and maintenance costs.

The financial savings are huge, but Griffith said "the real longterm and more emotional connection is around the whole concept of 'less is more.'"

Spending on experiences vs. things

Francine Jay is the Pennsylvania-based author of "The Joy of Less, A Minimalist Living Guide: How to Declutter, Organize, and Simplify Your Life" whose blog moniker is "Miss Minimalist." Now in her late 30s, she's been happily living with less for 12 years, thanks to a travel-inspired revelation.

"I always packed as lightly as possible, and found it exhilarating to get by with just a small carry-on bag," said Jay. "I thought, wow, if it feels this great to travel lightly, how amazing would it be to live this way? I wanted to have that same feeling of freedom in my everyday life, so I decided to get rid of all my excess possessions and live with just the essentials. I wanted to spend my time and energy on experiences, rather than things."

A 2009 move -- before which Jay and her husband sold their house, most of their possessions and relocated to London for a stint with only one duffel bag each -- offered another clean slate. "We lived a rather nomadic life for three years, owning only what we could carry in our bags," she said. "We recently had a baby and are a little more settled now, but still committed to living with as little as possible. Although I didn't embrace minimalism for financial reasons, becoming a minimalist is the best thing I've ever done for my bottom line."

Jay's three major lifestyle changes include buying less ("it's amazing how much money you save simply by staying out of the stores"), decluttering regularly and seeking out versatile items, from dress-'em-up-or-down ballet flats to multi-purpose cookwear. "I think of minimalism as living with just enough stuff to meet your needs, and nothing in excess."

The 'luxury' of choice

But does simplicity ever feel like a sacrifice?

"Oh my goodness, I never think of minimalism as deprivation," said Jay. "Rather, it's eliminating the excess -- unused items, unnecessary purchases, unfulfilling tasks -- from your life. Well, I may have fewer possessions, but I have more space. I may have fewer commitments, but I have more time. Minimalism is making room for what matters most."

Granted, this is about voluntary downscaling, which by its very definition suggests that those making such choices have the luxury to do so. Zipcar's car-sharing customers, said Griffith, are better-educated and earn more on average than their similarly aged peers counterparts.

"It's not that they can't afford (owning a car); they've learned to do the math," he said. "They've learned you can have a simpler life and one that's more sustainable by living with less."

The real questions, said author Duane Elgin, are: "'What do you care about? What do you value?' It's important for people to realize it isn't simply the amount of stuff we consume. It's about our families, our work, our connection with the larger world, our spiritual dimension. It's about how we touch the whole world. It's a way of life."

And downscalers like Nicole Dunbar haven't looked back.

"The only thing I regret is I didn't understand this eight years ago," she said. When she shares her living-happily-with-less philosophy, "I hear people say, 'I wish I could do that.' You can; you just need to start asking yourself different questions. You have to understand wants vs. needs and start setting yourself up to pursue these things."

Have you downsized your lifestyle in response to tough economic times? Share your tips for living with less in the comments section below.

@highlight

Tough economic times have caused some to shed belongings and live with less

@highlight

Nicole Dunbar of Chicago recommends pre-paid phones and budgeting for utilities

@highlight

"Miss Minimalist" Francine Jay says traveling light made her want to simplify her life

@highlight

Duane Elgin, author of "Voluntary Simplicity," says downsizing sparks creativity