(CNN) -- A North Carolina judge set aside the death sentence of a convicted killer after concluding Friday that race played a role in the case, a landmark ruling that may call into question a number of death row cases in the state.

The ruling by Cumberland County Superior Court Judge Gregory Weeks, the first under the state's controversial Racial Justice Act, means that 38-year-old Marcus Robinson now faces life in prison without the possibility of parole. Robinson, who is black, was convicted of first-degree murder in 1994.

At the center of the judge's ruling is a finding that prosecutors across the state participated in the practice of excluding potential black jurors.

"Robinson introduced a wealth of evidence showing the persistent, pervasive and distorting role of race in jury selection throughout North Carolina," Weeks wrote in his ruling.

"The evidence, largely unrebutted by the State, requires relief in his case and should serve as a clear signal of the need for reform in capital jury selection proceedings in the future."

Weeks did not question whether the crime was committed by Robinson, who was convicted of killing a white, 17-year-old teen -- Erik Tornblom.

Passed by the state Legislature and signed into law in 2009, the Racial Justice Act states "no person shall be subject to or given a sentence of death, or shall be executed pursuant to any judgment that was sought or obtained on the basis of race."

Under the law, those with death sentences can appeal by using statistical analysis to prove race played a role in how their case was handled.

The cornerstone of Robinson's appeal is a Michigan State University study of jury selection in North Carolina in 1994, the time during which Robinson was sentenced, that found prosecutors struck blacks from juries at a rate of more than 2-to-1 compared with whites.

In the ruling, Weeks found that not only did prosecutors across the state intentionally use the race of a potential juror as a significant factor in decisions to exercise preemptory challenges -- the practice of striking somebody from a jury without explanation, but that the practice occurred in Robinson's case.

The North Carolina Conference of District Attorneys strongly disputed that race had anything to do with death sentences in effect across the state.

"While we respectfully disagree with Judge Weeks, we are not surprised by his ruling," the group said in a written statement.

The group has been opposed to the Racial Justice Act, saying that cases should not be decided by generalized statistics presented years after a conviction.

"Capital cases reflect the most brutal and heinous offenders in our society. Whether the death penalty is an appropriate sentence for murderers should be addressed by our lawmakers in the General Assembly, not masked as claims (of) racism in our courts," the statement said.

Robinson is among 157 death row inmates -- 83 blacks, 63 whites and 12 other ethnicities -- who filed appeals under the Racial Justice Act, according to records from the North Carolina Department of Public Safety.

The NAACP in North Carolina, meanwhile, expressed their sympathies to the family of Robinson's victim, while lauding the ruling.

"We take this moment to remind prosecutors and their staffs that the Racial Justice Act mentions the idea of training program, to help weed out racial bias as they exercise their broad discretion in capital cases," said the Rev. William J. Barber II, president of the NAACP in North Carolina.

"We encourage the Association of District Attorneys to take advantage of such training to drain some of the unconscious and conscious racial bias out of our courthouses."

After Friday's ruling, Robinson's mother Shirley Burnes told CNN affiliate WTVD that her son expected Friday's decision "because it was true facts, and that's it."

She said she understood that the ruling could make way for other such successful appeals in North Carolina.

"This has been a hard long journey," Burnes said. "And there are others out there who will be affected by this."

CNN's Joe Sutton contributed to this report.

@highlight

Marcus Robinson was sentenced to death after being convicted of murder in 1994

@highlight

A judge calls race "a significant factor" in his death sentence and vacates it

@highlight

The Racial Justice Act bars executions "sought or obtained on the basis of race"

@highlight

District attorneys blast actions against the death penalty "masked as claims racism"