It's the war that never really ended -- leaving the Korean peninsula splintered in 1953. The brutal war that raged 60 years ago killed more than two million Koreans, separated thousands of families, and created the world's most heavily fortified border. It also drew the alliances that exist today.

The armistice agreement that ended the war is a truce, rather than a peace treaty. Starting on Tuesday, North Korea threatened to dismantle the armistice, as it has done so in the past.

In 2009, North Korea said its military would no longer be bound by the agreement because South Korea was joining a U.S.-led anti-proliferation plan. In 2003, Pyonyang's official Korean Central News Agency (KCNA) announced that it may have "no option" but to stop honoring the armistice because of the United State's "persistent war moves."

This time, KCNA declared that come March 11, North Korean forces will "completely declare invalid" the armistice agreement, because "the U.S. imperialists and the south Korean puppet forces" have violated it. It cited joint U.S.-South Korean military exercises as "an open declaration of a war" and slammed the countries using its trademark colorful language.

"The U.S. is, however, working with bloodshot eyes to swallow up the DPRK (the Democratic People's Republic of Korea, North Korea's official name), not content with having incurred the pent-up grudge of the Korean people which can never be settled. What matters is that the South Korean puppet forces steeped in worship and sycophancy toward the U.S. are dancing to its tune,"  KCNA said.

The latest flare-up stems from tougher sanctions passed in the U.N. Security Council against North Korea in response to its nuclear test on February 12. Pyongyang carried out its third nuclear test, despite international condemnation.

Here's a look into the tension between the Koreas and why a Cold War conflict still affects global dynamics.

Causes

For most of the first half of the 20th century, Japan controlled the Korean peninsula as its colony. By the end of the World War II as Japan neared defeat, the allies agreed to an independent Korea. The United States and Soviet Union divided postwar occupation of Korea along the 38th parallel and the two sides were ideologically opposite.

To the north was Kim Il-Sung, the grandfather of North Korea's current leader, Kim Jong-un. As a communist guerrilla leader, Kim Il-Sung had trained in Moscow and resisted Japanese rule in Korea and Manchuria. With revolutionary credentials, he was favored by the Soviets.

In the south, a separate election in 1948 brought Rhee Syng-Man, a U.S.-educated independence advocate who was intensely anti-Communist, as the first president of the Republic of Korea.

Both Rhee and Kim wanted to unify the peninsula under their respective governments. Tensions festered between the two sides, backed by their respective superpower allies.

How the war broke out

On June 25, 1950, a surprise attack by North Korean soldiers who crossed the 38th parallel easily overwhelmed South Korean forces. The United States leapt to the defense of the South. As South Korean, U.S. and U.N. forces fought back and gained ground into North Korea, Chinese forces joined the war on the North's side later that year.

The fighting continued until the signing of the armistice in July 1953. The terms of the armistice included the creation of the Demilitarized Zone, a heavily fortified 155-mile long (250 kilometers) 2.5-mile wide line separating the two countries.

The toll of the war included about 1.2 million deaths in South Korea, 1 million deaths in North Korea, 36,500 deaths for U.S. troops and 600,000 deaths for Chinese soldiers.

The Korean rivalry

Immediately after the war, the North became economically prosperous with the backing of the Soviet Union. However, as the USSR collapsed in the 1990s, so did the North Korean economy and the rice rations distributed to its people disappeared. A famine in the 1990s is believed to have killed as much as 10 percent of the population.

In stark contrast, South Korea had a turbulent start after the war with autocratic leadership and struggled as one of the poorest economies in the world. But the country's economy gained ground in the late 1960s, which is now heralded as a model for economic miracles. It now ranks as the fourth largest economy in Asia.

President Park Chung Hee was one of the founders of modern Korea who took power after a coup d'etat and ruled with a heavy hand for 18 years before his assassination in 1979. Some in South Korea regard him as the cornerstone of the country's present prosperity; others view him as a dictator. His daughter, Park Geun-hye became the new president of South Korea last month.

She took office with a pledge to keep South Korea safe against the threat of an increasingly hostile North Korea.

Tense relationship

In the last 60 years, diplomacy between North and South has zigzagged from conciliatory to bellicose.

During more friendly times, the two countries arranged emotional family reunions for those separated by the war in 2000, their leaders shook hands in a 2007 Pyongyang summit and ran freight trains across the border. South Korean president Kim Dae-jung won the Nobel Peace Prize in 2000 for his efforts for "peace and reconciliation" with North Korea, although his legacy remains mixed.

But periods of rapprochement have been counterpointed by violence, with incidents such as the 1983 bombing that killed members of the South Korean cabinet visiting Myanmar and another bombing in 1987 that blew up Korean Air Flight 858, killing all aboard. Despite investigations that found that North Korea carried out both attacks, the government in Pyongyang has steadfastly denied involvement.

More recently, the North shelled the South Korean island of Yeonpyeong leaving two marines and two civilians dead. Pyongyang claimed Seoul provoked the 2010 attack by holding a military drill off their shared coast in the Yellow Sea. That same year, North Korea was also accused of sinking a South Korean warship, killing more than 40 sailors. The incidents caused widespread anger in South Korea.

Relations have remained fraught, especially after North Korea's nuclear testing last month, which the South Korean government has denounced as "an unforgivable threat to the Korean peninsula's peace and safety."

China, a long-standing ally to North Korea since the war, backed the UN resolution for more sanctions against the nation. The sanctions target uranium enrichment and luxury goods -- aimed at North Korea's ruling elite. China has previously resisted strong sanctions on the Kim regime, which it supports economically.

In a Financial Times editorial that received significant attention in Asian media, Deng Yuwen, a senior editor of the Study Times, the journal of China's Central Party School, urged China to "re-evaluate its longstanding alliance with the Kim dynasty."

"Even if North Korea was a useful friend during the cold war, its usefulness today is doubtful," Deng wrote.

@highlight

A brutal civil war 60 years ago drew the alliances that exist today

@highlight

North Korea has threatened to end armistice in the past

@highlight

War killed more than 2 million Koreans, separated thousands of families