(CNN) -- A Canadian family fighting to keep their 13-month-old son on a breathing tube says they have been denied a request to have him transferred to a hospital in Michigan.

Moe and Sana Maraachli refused to sign consent when Canadian health officials determined their son Joseph, who suffers from a progressive degenerative neurological disease and was in a persistent vegetative state, should be removed from life support. Joseph is being treated at the London Health Sciences Centre in Ontario.

The Maraachlis reached out to the Children's Hospital of Michigan in Detroit in hopes of having their son transferred there for continued care.

Family spokesperson Sam Sansalone said the hospital initially agreed to accept the transfer. He said he has since received an email indicating the request has been denied.

Sansalone forwarded an email from the Detroit hospital that he said explains that after a review of Joseph's records by neurological and intensive care physicians, "we cannot offer Joseph anything that he has not been provided already during his current admission by his current clinical care team ... transfer to our facility will not provide him or the family any benefit."

Vickie Winn, a spokesperson from the Children's Hospital, confirmed Joseph is not a patient at the hospital but could not offer further comment, citing patient privacy laws.

Sansalone said the family is pursuing at least three other hospitals in other states.

Baby Joseph's decline

Joseph was born on January 22, 2010, and his parents say they noticed something was wrong when he was around 3 months old.

"He couldn't eat by mouth. He wouldn't open his eyes. He didn't cry, and he couldn't breathe well," said his father in a phone conversation.

The family lives on the Canada-Michigan border, and they took Joseph to a Michigan hospital a few miles from Windsor, Ontario, in June. He was diagnosed with a metabolic brain disease.

"He saw a neurologist who told us our son would be OK, but may be developmentally delayed," said Maraachli. "Never did they say he would die."

After being treated in Michigan, Joseph returned to normal, the family said. After nearly a month of treatment, he started playing with his brother and began eating again.

He was fine until October, when he developed a fever. His father noticed rapid breathing. Maraachli says he rushed his son to an emergency room in Canada. Joseph was in respiratory distress. That hospital didn't have a pediatric emergency room, so the infant was moved to London Health Sciences Centre.

Disagreement on diagnosis

The family says the hospital has it wrong and that their son is not in a persistent vegetative state. Sansalone said they have noted experiences where the baby has responded to being tickled and has jolted when he felt discomfort with examinations or the feeding tubes. They say these are signs he might still have brain function.

However, Canadian health officials disagree. On February 17, they decided Joseph should be removed from life support. The family was given until February 21 to say their goodbyes and sign the consent, but they have yet to do so.

The Maraachlis are seeking a second opinion from what they consider to be an objective source that can review the more than 1,000 pages of Joseph's medical records and provide a better assessment of their son's treatment options.

If he is beyond hope, they want him to be able to receive a tracheotomy, where he can be transferred home and die in the care of family instead of in a hospital.

Experts say even if the family is granted this request, caring for a child in this condition is an arduous task.

Dr. David Casarett, director of research and evaluation at the University of Pennsylvania's Wissahickon Hospice, says patients at home with tracheotomies need monitoring to make sure the airway is clear of secretions, the skin is clean and dry and someone can make sure the incision at the tracheotomy site does not get infected.

"A child's care would be much more complex if a home ventilator is required, since the parents would need to manage the ventilator with the help of a nurse and respiratory therapist," he said.

Parallels with Terri Schiavo

The family plight has caught the attention of Bobby Schindler, the brother of Terri Schiavo. She was the woman whose family fought to have her sustained on a feeding tube for more than a decade and who became the centerpiece of a national right-to-die battle in the United States.

"There are some parallels," Schindler said. "The family's intention is to bring the baby home and show him the love and compassion that only families can really give a child, just like we did with my sister Terry," he says.

Schindler is joined by a coalition of advocates en route to Canada to help the Maraachlis with their case.

Suzanne Vitadamo, spokesperson for the Terri Schiavo Life & Hope Network and Terri's sister, issued the following statement:

"It is unacceptable for Canadian Health Allocation Officials and/or the Canadian Government to make decisions for Joseph that will end his life and deny the wishes of his loving parents.

"Every patient, regardless of age, has a right to proper and dignified health care. It is frightening to once again see government usurp the God-given rights of parents to love and care for their child at home, especially when the child is dying."

@highlight

Canadian family doesn't want to take 13-month-old son off life support

@highlight

Doctors in Canada say the baby is in a persistent vegetative state; family disagrees

@highlight

Moe and Sana Maraachli say they've tried to get their son into a U.S. hospital

@highlight

Situation has caught attention of the Terri Schiavo Life & Hope Network