Jerusalem (CNN) -- Two attacks carried out against Palestinians in recent days, one in Jerusalem and the other on the West Bank, have prompted some uncomfortable questions in Israel about racism toward Arabs.

In one incident, Jamal Julani, a 17-year-old Palestinian from East Jerusalem, was beaten unconscious by a group of teenagers in West Jerusalem. He spent several days in the hospital recovering from his injuries.

On the same day, August 16, a taxi carrying a Palestinian family close to the Israeli settlement of Bat Ayin on the West Bank was firebombed. All six family members were injured, one badly.

Three children, ages 12 and 13, have been arrested on suspicion of throwing the gasoline bomb.

Seven minors, as well as an adult, were indicted in the Jerusalem case Tuesday. Among the charges they face are incitement to racism, incitement to violence and aggravated assault, and motivated racism.

The youth of the alleged perpetrators and the fact they appear to have targeted their victims because of their race, and in the West Bank case possibly also as a result of tensions between settlers and Palestinians over land, have shocked many in Israel.

Some believe an environment of conflict and lack of tolerance have combined to create dangerous behavioral instincts in the youth on both sides, undermining the chances of a peaceful resolution to the conflict.

Jerusalem city councilor Laura Wharton, who grew up in the United States but has lived in Israel for many years, wrote in her blog that "apart from sorrow I can only express my shame that such a thing could happen in my country."

In the wake of the attacks, Israeli Prime Minister Benjamin Netanyahu issued a strongly worded statement expressing the government's "complete opposition to racism and violence."

But some, Wharton among them, say this is not enough to tackle the deeper issues at stake.

Jamal Julani's cousin, 18-year-old Nu'oman Julani, described to CNN how the pair were in West Jerusalem to shop for Eid when they ran into a group of about 50 Israeli settler youths shouting racist slogans in Zion Square.

Nu'oman Julani said they tried to avoid the group, splitting off in different directions.

"All of sudden, I saw a group of these extremist Jews run after my cousin and start beating him up," he told CNN. "I followed to stop the fight and I was personally beaten as well, but not as much as my cousin, who was knocked unconscious to the ground when he sustained a direct hit to the chest and heart."

The beating continued until the police arrived on the scene.

"I thought that my cousin was dead because I saw his eyes rolled backwards and he looked blue, but a man helped in resuscitating him," Nu'oman Julani said.

"I have one question, why is this happening? What did we do to deserve this? I hope they get the highest possible punishment for this crime they did."

An Israeli ambulance service spokesman confirmed to CNN that one of its operatives had helped to resuscitate the teenager, whose heart had stopped beating. He said the teenager was taken to hospital but that the lack of visible injuries led medical staff to believe he was suffering from a heart complaint not caused by the incident.

Speaking from his son's hospital bedside, Abu Akram Julani said he was relieved that Jamal had regained consciousness, and that he did not remember what had happened that night.

Police spokesman Micky Rosenfeld told CNN an incident of a sexual nature between a 15-year-old Jewish girl and an Arab Israeli a few weeks earlier had been a factor in the disturbance. The girl had told her friends about that incident, he said, "and that's what stirred up all of the tension, and then they started walking the streets and cursing the Arabs and then a brawl and a fight broke out."

The indictment filed with the Jerusalem court describes how on that night a large group of boys had started shouting racist abuse and "pushing, punching and kicking" some Arabs who passed them.

When they spotted Julani and three other Arabs near Zion Square, they started to run after them, it says. The accused then beat Julani "until he lost consciousness and his breathing and his heart stopped, so he needed resuscitation and needed hospitalization for several days."

Netanyahu's statement condemning the attacks came five days later, after a weekend in which the story gathered steam in the media.

"In the state of Israel, we are not prepared to tolerate racism; neither are we prepared to tolerate the combination of racism and violence," he said.

"This is something that we cannot accept -- not as Jews, not as Israelis. This is not our way; this goes against our way, and we condemn it in word and deed. We will quickly bring to justice those responsible for this reprehensible incident."

Vice Prime Minister and Strategic Affairs Minister Moshe Ya'alon also condemned the firebombing as a "terrorist act" that ran counter to national values, according to Israel's Haaretz newspaper. The hate crimes "are intolerable, outrageous and must be firmly dealt with," he is quoted as saying.

Wharton, of the left-wing Meretz party, told CNN Wednesday the statements from Netanyahu and others condemning the violence are welcome -- but the government seems unlikely to take on the deep-rooted issues behind the attacks.

She believes the incidents are a symptom of three highly concerning trends.

"One is a question of racism, which is definitely on the rise in Israel and is very worrisome to, I think, just about everyone except for a worrisome combination of extreme right and extreme religious groups," she said.

A second is the issue of rising violence in Israel, particularly among the younger generation, she said, in contrast to a tradition of low levels of violent crime despite the threat of terrorism.

The third has to do with a growing number of ultra-orthodox youth who drop out of school but whose highly religious education and upbringing have left them unable to adjust to regular society, Wharton said.

"Those kids, they leave these schools and they are suddenly exposed to a whole world they haven't seen before. They don't know how to behave, they get involved in drugs or crime," she said.

At the same time, racism is also increasing in mainstream schools, she said, in part as a by-product of Israel's long history of conflict and the distrust built up following scores of attacks by Palestinian militants.

She believes more must be done in schools to emphasize the need for peaceful coexistence, in line with traditional Jewish values, and to warn against stereotyping and violence.

On a more hopeful note, several hundred people joined an event in Zion Square two nights after the attack on Julani to demonstrate against racism, Wharton noted in her blog.

Naomi Schacter, an associate director of Shatil, an initiative of the New Israel Fund, echoes the sentiment that words of condemnation from politicians are not enough to tackle the problem.

"With racism rising in this country, and chants and graffiti calling for 'death to the Arabs' becoming a distressingly common event, it is clear that such reactive public statements are not sufficient," she wrote in an opinion piece in The Times of Israel following the assaults.

"Not only swift and vigorous action against the perpetrators of such criminal attacks, but also a paradigm shift in public rhetoric, are necessary to halt the trend."

The responses posted below her piece attest to the divisive nature of the debate.

The latest assaults are not the only incidents to prompt soul-searching in Israel in recent months.

A number of so-called "price tag" attacks -- a term frequently used to describe acts of vandalism by radical Israeli settlers exacting a "price" against Palestinian targets or Israeli security forces in response to actions by the Israeli government -- have targeted Palestinian mosques and property.

High-profile incidents involving intolerance toward African immigrants, some of whom have entered illegally after fleeing conflict in Sudan and Eritrea, have also sparked internal debate about whether the country is facing growing racism.

While some Israelis accuse the illegal African immigrants of increasing levels of crime, suffocating the infrastructure and changing the fabric of Israel, others ask how a country founded by Jews trying to escape persecution can turn against anyone trying to escape danger in their own lands. The government is seeking to deport tens of thousands of the migrants to their homelands, despite fears for their safety there.

At the same time, the thorny issue of whether Israel's ultra-orthodox community, known as the Haredim, should serve in the military or in civil service has come under the spotlight.

Netanyahu's government last month lost its main coalition partner, centrist political faction Kadima, over failed attempts to agree on an alternative to the law that exempts ultra-orthodox men from serving in the Israeli army.

The prime minister had hoped to reach a consensus with the Haredim, who oppose changes to the law. His Likud party has traditionally aligned with the ultra-orthodox factions as coalition partners.

Controversy over attempts by some in the Haredim to enforce a strict form of gender segregation and rules of modesty on females outside of their community also exercised many Israelis this year.

The Haredim, who make up approximately 10% of the country according to government figures, are the fastest growing segment of the population -- and tensions between Israel's different communities seem unlikely to go away just yet.

This story is based on reporting by Enas Muthaffar and Paul Colsey in Jerusalem. It was written by Laura Smith-Spark in London.

@highlight

Two recent attacks on Palestinians have prompted questions about racism in Israel

@highlight

A 17-year-old Arab was beaten unconscious by a group of Jewish Israelis, his cousin says

@highlight

In the other attack, a Palestinian family was firebombed in a taxi on the West Bank

@highlight

A city councillor cites racism, violence and some ultra-orthodox views