(CNN) -- Just two days before the tragic shooting deaths of 26 helpless people in a Connecticut elementary school, Illinois' governor was lamenting a major court defeat for the state's lonely ban on concealed weapons.

The 7th Circuit U.S. Court of Appeals in Chicago had just struck down one of the most restrictive gun-control laws in the nation. Illinois was the last remaining state where it was completely illegal to carry a concealed weapon in public.

"I think it's important that we stress that public safety comes first," Gov. Pat Quinn, a Democrat and gun-control supporter, said Wednesday. "I think that's where the people of Illinois are on this issue and anything having to do with guns and assault weapons like that. We cannot have those sorts of people eligible to carry loaded weapons on their persons in public places, whether it be malls or churches or schools."

Poll: Americans changing on gun control

By "those," the governor meant people with a history of domestic violence or mental illness.

Officials in Connecticut have said 20 children and six adult educators died in Sandy Hook Elementary School in Newtown after a 20-year-old gunman forced his way in and began shooting. The killer apparently ended the spree by taking his own life. Three weapons were found near him, including a Bushmaster AR-15 "assault-type rifle." Police later found his mother dead at their home.

The horrific event has left many lawmakers, community leaders, families of gun violence victims, and advocates on both sides of the gun-control debate calling for some kind of action -- including a collective re-examination of the extent of rights enshrined in the Constitution, and by centuries of tradition and practice.

For all the political talk, however, it has usually been left to the courts -- and ultimately the Supreme Court -- to sort out what is constitutionally acceptable. Judges have taken into account legislative prerogatives, shifting public opinion, and even the headlines from tragedies like Newtown when crafting always controversial decisions.

The conservative majority U.S. Supreme Court in recent years has been wary of some kinds of gun-control laws, but say lawmakers can still impose "reasonable" restrictions. That somewhat flexible standard will guide any fresh legislative attempts on the state and federal level to impose tighter ownership controls.

In the Illinois ruling, the 2-1 majority led by federal Judge Richard Posner gave state lawmakers 180 days to draft a new law "that will impose reasonable limitations" on publicly carrying a gun without violating the guidelines they articulated.

Opinion: Why Obama shouldn't lead fight against gun violence

"There is no suggestion that some unique characteristic of criminal activity in Illinois justifies the state's taking a different approach from the other 49 states," said Posner, who was appointed to the bench by President Reagan. "If the Illinois approach were demonstrably superior, one would expect at least one or two other states to have emulated it."

The judge said the law came close to total prohibition on carrying a gun in public, which would prevent "a person from defending himself anywhere except inside his home" and would be "so substantial a curtailment of the right of armed self-defense" that it "requires greater showing of justification" for enacting it.

Illinois lawmakers passed the law in response to growing street violence in urban areas like Chicago, which has seen a spike in gang-related shootings, especially involving young people.

The appeals judges cited as a precedent a recent U.S. Supreme Court ruling in a separate case, also from Chicago.

The justices in 2010 tossed out the city's three-decade ban on handgun ownership. The 5-4 conservative majority of justices reiterated its earlier conclusion the Constitution gives individuals equal or greater power than states on the issue of possession of certain firearms for self-protection in the home.

"It cannot be doubted that the right to bear arms was regarded as a substantive guarantee, not a prohibition that could be ignored so long as states legislated in an evenhanded manner," wrote Justice Samuel Alito.

The justices, however, said local jurisdictions still retained the flexibility to preserve some "reasonable" gun-control measures already in place. The debate then and now for judges is how far they can apply competing parts of the 14th Amendment to preserve -- and define -- those "reasonable" legislative efforts.

Opinion: Gun control: Change is possible -- and fast

Also vexing the judicial debate is whether the constitutional "right of the people to keep and bear arms" applies to local gun control ordinances or only to federal restrictions. That basic question had remained unanswered for decades, but the current high court now seems to allow Americans expanded weapon ownership rights.

But legal observers noted last week's ruling regarding Illinois' ready-to-use gun law went further than what the Supreme Court has said -- over whether the right of self-defense extends beyond the home, to the street and other public places.

The Justice Department estimates as many as 275 million guns are in the United States. In 2005, three-quarters of the 10,100 homicides by firearms nationwide were committed with handguns.

Underpinning the legal basis for the court's jurisdiction in these kinds of gun-control appeals is a complex reading of the 14th Amendment, passed in the wake of the Civil War to ensure all citizens -- including newly freed slaves -- were protected from state laws that might restrict their fundamental rights.

One part ensures states cannot deprive people of "life, liberty, or property, without due process of law." That has been commonly applied by federal courts when it comes to disputes over basic rights, so-called "ordered liberty" cases. Such cases include affirming the right to abortion, and to homosexual sex.

But another rarely used provision also prevents states from depriving the "privileges or immunities" of all citizens. The specific question for the high court in the Chicago case was whether the "immunities and privileges" clause should be used to overturn the handgun ban. An 1873 ruling limited use of that provision when considering a variety of state laws.

Analysis: Why gun controls are off the agenda in America

All states but Illinois currently allow at least some limited ability to carry a concealed weapon in public, often requiring "good cause" by an individual before a permit is issued. Four states -- Vermont, Arizona, Alaska, and Wyoming -- do not require any permit for a concealed weapon.

After the latest mass shooting event, several congressional lawmakers have promised to introduce tougher gun-control measures in coming weeks. One pending bill is the Fix Guns Check Act, requiring a criminal background check for all gun sales. Such checks are already mandatory for licensed gun dealers, but not for private sellers -- who, supporters of the law say, may sell weapons at guns shows or online without such background checks.

And there have been federal calls for extending the current ban on so-called "assault weapons" to include other types of military-style weapons and those with high-capacity magazines.

As for the Illinois law, its supporters appeared divided -- at least initially in the wake of the appeals court's decision -- on whether they can or should redraft a "concealed carry" law, one that can meet the judicial mandate. One thing is certain: a Supreme Court appeal will come in the next few months, and another potentially history-making test of individual gun rights.

Opinion: How UK school massacre led to tighter gun control

"Today's ruling is a major victory for law-abiding Illinoisans -- and for everyone who understands that the Second Amendment protects the right both to keep arms and to bear arms," said Chris Cox, executive director of NRA's Institute for Legislative Action, just after the 7th Circuit decision last week. "This ruling makes clear that Illinois cannot deny law-abiding residents the right to carry a firearm for self-defense outside the home. This is a step in the right direction for all gun owners. We know it probably won't be the end of this case, and we're ready to keep fighting until the courts fully protect the entire Second Amendment."

Gun control is one of those hot-button social issues that stirs energies on competing sides. The rhetoric naturally becomes more heated -- and personal -- in the raw aftermath of events like the shootings in Newtown.

The impact of rulings from the Supreme Courts and lower court judges acting in their mandate always come with lingering reminders of these kinds of tragedies from across the nation, as local communities wrestle with whether banning often the cheapest, most commonly available kinds of firearms will reduce violent crime or leave honest citizens vulnerable.

The Illinois concealed carry ruling is Moore v. Madigan (12-1269).

Opinion: Put reason back in America's gun debate

@highlight

A federal appeals court has struck down an Illinois law restricting guns

@highlight

Gov. Pat Quinn said people in the state want officials to put public safety first

@highlight

If the law were a superior idea, other states would have adopted it, a judge writes

@highlight

Another potentially history-making Supreme Court appeal is certain