Hong Kong (CNN) -- When Chinese Vice President Xi Jinping called Tokyo's territorial claims on a group of East China Seas island "a farce," he echoed national sentiment of protesters who took to the streets in anti-Japan protests in recent weeks.

"Japan should rein in its behavior, not utter any words and prevent any acts that undermine China's sovereignty and territorial integrity," said Xi -- who is expected to become China's new president next month -- at a Wednesday meeting with U.S. Defense Secretary Leon Panetta, state media reported.

As Beijing's presumptive new leader wades into the Japan-China dispute, analysts say the stakes are being raised in a dispute that is largely being led by nationalist fervor rather than government policy or underlining economic interests. And the dÃ©tente that usually follows these territorial disputes is muddied by the leadership change in Beijing expected next month.

"This is where it's becoming dangerous," said Alan DuPont, defense expert at the University of New South Wales. "No incoming Chinese leader can be perceived to be weak on territorial claims."

On Monday, the Japan Coast Guard said two Chinese surveillance ships entered its territorial waters, while 10 other Chinese ships patrolled nearby. Meanwhile, China announced Sunday it was postponing planned celebrations later this month marking the 40th anniversary of normalization of relations between Beijing and Tokyo.

The bellicose rhetoric also charts the rise of an assertive China and a sea change in the forces shaping Pacific politics that are writ small in the battle over the uninhabited island chain, known as Diaoyu in China and Senkaku in Japan.

"China's feeling more confident both in its position and in its right to the area both legally and politically," Mark Valencia, a fellow at the National Asia Research Program and expert on the South China Sea dispute. "And nationalism in China has gained strength and influencing the government."

Rising tensions in China waters

The East China Sea isn't the only flashpoint for territorial tensions among China and its neighbors. The South China Sea is dotted with hundreds of largely uninhabited islands and coral atolls, many of which have competing claims from China, Vietnam, the Philippines, Malaysia, Brunei and Taiwan. Just like the friction with Japan, there have been increasing incidents of tension between China and its South China Sea neighbors over island claims.

In 2011, Vietnam claimed that Chinese patrol boats cut cables from PetroVietnam boats during oil and gas surveys in disputed waters. Beijing said that Vietnamese vessels have been illegally surveying in Chinese waters and harassing Chinese fishing boats. The same year Philippines also reported boats cutting cables of a survey ship and threatening to ram its boats.

"A lot of this wouldn't be happening if China wasn't becoming more assertive and being more confident, and that's one important issue why all these issues are becoming more salient," DuPont said.

The difference in the East China Sea is the collective might of China and Japan, the second and third largest economies in the world, respectively. "When you have two major nation states involved, it's more dangerous than the (South China Sea)," DuPont said.

A nationalist wave

The often violent protests that broke out in dozens of Chinese cities -- from Guangzhou in the south to Qingdao in the north -- came to a head after the Japanese government bought the disputed islands from the Japanese family that have privately owned the islands on September 11 for 2.05 billion yen (US$26.2 million).

Dozens of Japanese factories and businesses temporarily shut their doors in the wake of the violence as angry crowds overturned Japanese brand cars and looted Japanese stores in some areas. The island dispute, which traces back centuries, have reached diplomatic boiling points in 1996, 2005 and most recently in 2010, when a Chinese boat allegedly rammed a Japanese patrol boat, resulting in the arrest of the Chinese sailors.

"I don't think anyone thought the Chinese reaction would have been as strong as it was, and I don't think anyone expected the level of violence that we saw, especially looking at past incidents," said James Manicom, an expert on maritime disputes at the Balsillie School of International Affairs in Waterloo, Canada.

The "nationalization" of the islands infuriated Chinese, although analysts say Tokyo's move was an effort to wrest the issue away from Japanese nationalists, led by Tokyo Governor Shintaro Ishihara who launched an online appeal to buy the islands. Donations poured in, prompting a sharp rebuke from China and forcing the Japanese government to wade into the dispute with its own offer for the contested land.

"If you're interested in stability, the Japanese government is better than owning the islands than a group of nationalists, because who knows how they might raise tensions," Manicom said. "(Prime Minister) Noda's calculation is, this is going to explode in the short-run, in the long run it's better."

Economic interests

Although nationalistic ardor on both sides of the dispute have brought the current situation to a boil, national interest in the territory can be traced to a 1969 United Nations geological survey that contains this tantalizing line: "A high probability exists that the continental shelf between Taiwan and Japan may be one of the most prolific oil reserves in the world."

Also under its South China Sea lie potentially huge reserves of natural gas and oil. A Chinese estimate suggests as much as 213 billion barrels of oil lie untapped in the South China Sea - which, if true, would make it the largest oil reserves outside of Saudi Arabia, according to the U.S. Energy Information Administration.

At the heart of all these island disputes in China Seas is a term of international maritime law known as "Exclusive Economic Zone," where nations are allowed sole rights to fish and develop resources within 200 nautical miles of a country's shores. That has created interest in nation's grabbing uninhabited islands - often little more than rocky atolls - to thereby extend their zone.

"The area is starting to look a little bit like Alaska, at first looked worthless, now may not be worthless," Valencia said. "The East China Sea is virtually all continental shelf, which means it's all relatively easy digging except in typhoon season."

But the likelihood the areas will be developed dwindles as the political storm brews between China and Japan. If this fracas follows past contretemps, the two sides will cool for a few months before rapprochement from high-level officials on both sides. But with the leadership change coming in China, and leadership elections imminent in Japan's two major parties, the likelihood is tensions will remain high. "No one wants to be perceived as soft on China," Manicom said.

Meanwhile, as historic enmities over Japan's war past inflame tensions in China, public sentiment is changing in Japan toward China.

"The result is the average Japanese person views China with more suspicion than the past," Manicom said. "You can now be anti-China in Japan and not be conservative, which is a development that I think took Beijing by surprise."

@highlight

Analysts: Nationalism, not economics, is driving the dispute between Beijing and Tokyo

@highlight

Leadership change in China next month will likely keep the issue boiling for longer

@highlight

Rising might and confidence of Beijing also at play in growing territorial disputes

@highlight

Nationalists in Japan have been driving Tokyo moves on the Diaoyu/Senkaku dispute