(CNN) -- The worldwide burgeoning of obesity and diabetes, including in developing nations, is causing increasing alarm. This week, the United Nations is bringing attention to these and other noncommunicable diseases at the General Assembly meeting in New York on the prevention of noncommunicable diseases.

But global funding shortfalls, the reality that obesity and diabetes affect the rich and middle class more than other socioeconomic groups and the absence of a proactive civil society will create few incentives for politicians in developing nations to take U.N. resolutions seriously.

According to the World Health Organization, worldwide obesity rates have more than doubled since 1980. In 2008, 1.5 billion adults were overweight; of this, 200 million men and about 300 million women were obese. Of the global population, 65% live in countries where being overweight kills more people than being underweight. And in 2010, nearly 43 million kids under the age of 5 were overweight.

The numbers are just as staggering for diabetes. The WHO claims that roughly 346 million people worldwide suffer from this disease. In 2004, an estimated 34 million people died as a consequence of it.

This week, the U.N. General Assembly will establish new policy resolutions that nations should adopt, with a focus on three key areas: to acknowledge the rising incidence and consequences of these health threats, to strengthen national institutional capabilities as well as policies for prevention and to foster greater international cooperation. Delegates will also discuss the creation of a U.N. monitoring framework that will track the growth of noncommunicable diseases. Nations are also expected to agree formally that by 2012, they will submit their policy recommendations and commitments to the General Assembly.

What's the big deal about this meeting? It's a big deal because this will be only the second time that the United Nations has convened to discuss health issues. The first time was in 2001 when it addressed the HIV/AIDS crisis.

Including a focus on obesity and diabetes is also significant because it is the first time that these health issues have reached this level of U.N. attention. Previously, obesity and diabetes were addressed only through WHO regional reports and conferences, most recently with the WHO's 2004 report "Global Strategy on Diet, Physical Activity, and Health," which failed to garner the attention of the entire U.N. system.

The assembly meeting is also significant because, as the governing body of the World Bank and the WHO, the United Nations sends a clear message to these institutions that they need to increase their financial and technical support to combat these health threats.

But will developing nations take the new U.N. resolutions seriously? Probably not, and for several reasons.

The first simply has to do with the availability of international funding for obesity and diabetes, especially when compared with HIV/AIDS. The focus on HIV/AIDS has created an international bias in favor of committing more funding for HIV/AIDS rather than obesity and diabetes.

International financial support for obesity and diabetes has been minimal at best. The U.N.'s International Diabetes Federation recently stated that most bilateral and multilateral funding does not provide funding for obesity, diabetes and other related noncommunicable diseases, while only 0.9% of the $22 billion spent on international health is provided for these diseases.

What's more, the assembly's draft resolution does not make the need to raise funding for obesity, diabetes and other noncommunicable diseases a priority. Also, because the resolution says nothing about creating a new Global Fund for noncommunicable diseases, there is serious doubt that increased financial support will emerge.

Second, in many developing nations, obesity and diabetes is still seen as an epidemic that mainly affects the rich. When most of the population is malnourished, politicians do not see a need to introduce new legislation for obesity and diabetes. In some nations, such as China, obesity is seen as a sign of good fortune. But ignoring the diseases will contribute to high health care costs, especially as nations strive for universal coverage and as the rich and middle classes grow.

Finally, developing nations are unlikely to respond to new resolutions because there is little civil societal pressures to do so. In most nations, no proactive, well-organized civic movement has emerged in response to obesity and diabetes. While some exceptions exist, such as India's All India Association for Advancing Research in Obesity and China's Chinese Diabetes Society, they lack adequate funding, domestic and international support.

The U.N. meeting this week will certainly raise a lot of eyebrows and draw attention. But until the United Nations and other international bodies commit serious financial resources to help developing nations tackle obesity, diabetes and other noncommunicable diseases, until governments overcome their political perceptions and until civil society mobilizes and pressures governments for a response, high-end U.N. meetings will only succeed in doing what they do best: writing reports, venting complaints and pointing fingers.

The opinions expressed in this commentary are solely those of Eduardo J. Gómez.

@highlight

Eduardo Gómez: U.N meeting this week to address diseases, including obesity, diabetes

@highlight

After HIV/AIDS, it is only second time U.N. has addressed health issues, he says

@highlight

Gómez: Developing nations not likely to take these U.N. resolutions seriously

@highlight

He says developing nations need funding, motivation to tackle obesity, diabetes