(CNN)Mike Huckabee is thinking about running for the presidency a second time. He's super serious about it. You can tell because not only has he quit his TV show to spend time thinking about it, and written a book ("God, Guns, Grits and Gravy," due out on January 20), but he's also booked a tour of Israel. Next to New Hampshire, Jerusalem might be the best place to run a hotel at election time.

We should be serious about Huckabee too. As Aaron Blake points out in The Washington Post, when he ran in the 2008 Republican primaries, he not only took Iowa but swept much of the South as well -- scooping more than 20% of all the votes cast nationwide. Blake attributes this to Huckabee's unusual appeal within the evangelical community, which is linked to Huckabee's previous role as a preacher.

For sure, there was a regional pattern to the vote. But he also had a tremendous potential that went unrealized in '08. Huckabee quit early due to a shortage of cash, so we never got to see how well he could run in a great number of states. Moreover, his early performances were hindered by the candidacy of Fred Thompson -- a dour, sour old stick who only seemed to be in the race to hurt Huckabee. It's fair to say that Thompson denied Huckabee a win in South Carolina and thus the momentum he needed to go the distance.

The strange bitterness of the Thompson vs. Huckabee fight is a reminder that the Republican Party is far more philosophically diverse than the Democratic alternative. Huckabee is loathed by conservatives of a more libertarian, anti-state hue. They suspect that he is a big-government conservative. By that they mean a ruthless populist who will spend money to buy votes while keeping die-hard conservatives on board with appeals to religious prejudice.

A more generous interpretation is that Huckabee was a Republican elected to office in a traditionally Democratic state (Arkansas) which also had a serious poverty problem. He eschewed low-tax, anti-government rhetoric in favor of spending money in the interests of the common good -- a cautious, rational position that is widely regarded as philosophically conservative everywhere but at the wealthy think tanks of Washington.

The libertarian Reason magazine provides a list of Huckabee quotes intended to damn him, including one in which he describes their anti-tax agenda as "a heartless, callous, soulless type of economic conservatism because it says 'look, we want to cut taxes and eliminate government. If it means that elderly people don't get their Medicare drugs, so be it. If it means little kids go without education and healthcare, so be it.' Well, that might be a quote pure economic conservative message, but it's not an American message. ... That's not historic Republicanism. Historic Republicanism does not hate government; it's just there to be as little of it as there can be."

Huckabee's analysis is historically accurate and canny. Americans may have a cultural distrust of large government in general, but polls and election returns suggest they still favor those parts of state activity that benefit them personally.

And why not? If the state were to shrivel up to nothing, the result would not be conservative as much as anarchic. Those who wish to preserve family, tradition and the American way have little to gain from unleashing the full forces of amoral, unrestrained capitalism. Free markets do not respect God.

For instance, did deregulation of the banking sector really result in rugged individualism and families flourishing free from the state? Or did it wreck the economy, tearing apart communities and triggering even greater political demand for government intervention? Chaos often excuses authoritarianism.

The libertarian might say that this argument is liberal in Republican clothing -- but, again, it's a matter of what kind of society people are trying to preserve. Huckabee would likely not use the state for progressive causes as the Democrats would, but for conservative ones. And what makes him such a compelling candidate is his unique ability to articulate that right-wing vision.

It was his debate performances that pushed him to the front of the 2008 pack, when he gave a defense of marriage, life and biblical teachings that suggested he was a Christian without being angry about it. Most Republicans who talk about social conservatism come off as either fanatical or disingenuous. Huckabee seemed normal. Such an ability to sell conservative ideas with a glimmer of humanity hasn't been seen since Ronald Reagan.

Will it work again in 2016? Maybe. Huckabee faces the problem that the social-conservative field is crowded, already containing both Rick Santorum and Ted Cruz. Media attention and intellectual excitement might be focused on Jeb Bush and Rand Paul. And if Chris Christie runs, then frankly, the field will have another blue-collar, ordinary-person candidate of above-average size (a matter that Huckabee has tried to cash in on with a book).

But none of these men has Huckabee's unique ability to speak through the television cameras and straight to the viewer at home. And, aside from Santorum, none of them has run for the nomination before. Republicans are typically cautious voters who encourage a candidate to run twice, or even thrice, before nominating them: Mitt Romney, John McCain, Bob Dole, George H.W. Bush and Reagan were all veterans of the presidential primaries.

As such, Huckabee enters this race with a key asset: He's a conservative statesman. His history alone ought to guarantee him top-tier status.

@highlight

Timothy Stanley:  Mike Huckabee mulling 2016 run; Americans should get serious about him

@highlight

He says Huckabee can sell conservative ideas with a humanity not seen since Reagan