President Barack Obama's administration is trying to open channels of communication with Iran regarding the war on ISIS.

Amid revelations that Obama sent a letter to Iran Supreme Leader Ayatollah Ali Khamenei last month pointing out the countries' shared interest in beating ISIS, a senior U.S. official and a Western diplomat tell CNN that Washington has gone through the Iraqis to communicate with Iran.

The conversations do not include taking joint military action against ISIS targets, the sources said, but are seen as necessary to avert conflict in U.S. and Iranian operations.

Senior White House adviser Dan Pfeiffer wouldn't address specific outreach efforts in an interview with CNN's Wolf Blitzer, but said: "We work very closely with the Iraqis and the Iraqis have a relationship with the Iranians."

The discussions through the Iraqis are informal and conducted on a case-by-case basis via the Iraqi military, the sources said. The channels have become necessary, the U.S. military official said, because the United States and Iran are now operating in the same spaces. As a result, "accommodations must be made indirectly," this official said. This includes airspace management, so U.S. and Iranian forces do not conflict while carrying out military operations in the same airspace, CNN was told.

The revelation of the communications channel comes even as the military and administration continue to insist it is not cooperating with the Iranians on strategy or intelligence.

"With respect to Iran, we're not coordinating with Iran, as you know," said Gen. Lloyd Austin, the head of U.S. Central Command, at an event moderated by CNN's Jake Tapper on Thursday, when asked how the United States prevents any accidental killing of Iranians who are on the ground advising Iraqi forces.

The White House also stressed it is not working alongside the Iranian military.

"The United States will not cooperate militarily with Iran in that effort. We won't share intelligence with them," White House spokesman Josh Earnest said Thursday when asked about another communication between President Obama and Iran's Supreme Leader.

Earnest would not acknowledge Obama's letter, saying he would not talk about the "private correspondence" of the President.

"I can tell you that the policy that the President and his administration have articulated about Iran remains unchanged. The United States is engaged in conversations with Iran in the context of the P-5-plus-1 talks to resolve the international community's concerns about Iran's nuclear program," Earnest said. "We have also discussed on the sidelines of those talks on at least a couple of occasions, the ongoing campaign that is being conducted against ISIL by the United States and 60 members of -- now more than 60 -- members who are part of this broader coalition."

Republican Sens. John McCain and Lindsey Graham blasted the Obama administration, saying it's "outrageous" to reach out to the "same Iranian regime that has been complicit in the rise of ISIS by pushing a violent sectarian agenda throughout the Middle East."

"The administration needs to understand that this Iranian regime cares more about trying to weaken America and push us out of the Middle East than cooperating with us," McCain and Graham said in a joint statement. "Until we recognize that reality, and formulate a regional strategy to counter the Iranian regime's malign influence, we will continue to harm U.S. national security interests, as well as our relationships with our closest regional allies and partners, in pursuit of the illusory goal of rapprochement with the current Iranian leadership. The consequences of this ill-conceived bargain would destroy the Syrians' last best chance to live in freedom from the brutal Assad regime."

ISIS kills 300 members of Sunni tribe

State Department spokeswoman Jen Psaki said U.S.-Iran nuclear talks aren't linked to U.S. cooperation with Iran in combating ISIS.

"We don't look at it as a linked situation," she said. "Our concerns about Iran's engagement are more expansive than that. Obviously, we understand that they have concerns about the threat of ISIL, which they have expressed as well, but I would not look at it as a path to a different type of coordination."

While the United States acknowledged notifying Iran before striking in Syria earlier this year, administration officials have said there is no cooperation between the countries in combating ISIS.  Secretary of State John Kerry said there would be no "cooperation," but the United States wanted to "de-conflict."

"The United States will not cooperate militarily with Iran in that effort. We won't share intelligence with them. But their interests in the outcome is something that's been widely commented on -- commented upon and something that on a couple of occasions has been discussed on the sidelines of other conversations," Earnest said.

Central Command general to ISIS: We can hear you

While there are many other concerning aspects of Iranian behavior for the United States, including human rights and Americans in captivity, the nuclear deal is seen as the major impediment, one of the sources said.

The administration did not notify its Mideast allies in Israel or the Gulf about the letter, the other source said.

In September, Khamenei said he rejected U.S. overtures to join the U.S.-led coalition against ISIS.

Report: Children say ISIS captured, beat them on way home from exams

In comments released by Iran's FARS news agency, Khamenei detailed what he called "U.S. demands for cooperation."

"During the hard days of Daesh's attacks on Iraq, the U.S. ambassador to Iraq demanded our envoy in the country (Iraq) that Iran and the U.S. meet for negotiations and coordination on Daesh," Khamenei said, using a derogatory nickname for ISIS. "Our ambassador reflected the issue to Iran and although some officials didn't voice opposition, I opposed it and said we will not cooperate with the Americans in this regard since they have a corrupt intention and stained hands and how could we have cooperation with the Americans under such conditions?"

Referring to Kerry's comments that Iran would not be invited to join the anti-ISIS coalition, Khamenei said, according to FARS, "The same U.S. secretary of state had personally demanded (Iranian Foreign Minister) Dr. (Mohammad Javad) Zarif, and called for cooperation with us on Daesh but Dr. Zarif had rejected his demand."  He added that Acting Deputy Secretary of State Wendy Sherman, the lead U.S. negotiator in the nuclear talks, "repeated the same demand for cooperation with Iran" with her counterparts.

Opinion: Why West must roll back military involvement in Iraq, Syria

Obama has made at least two other overtures to the Supreme Leader since taking office in 2009.

News of the letter angered congressional opponents of a nuclear deal with Iran. They are already deeply discomforted by details of a possible agreement that have been emerging ahead of an end-of-November deadline.

One senior GOP congressional staffer told CNN's Stephen Collinson that the letter was sending "shock waves" through Capitol Hill and suggested it would also anger Israel and U.S. allies in the Middle East who think the President is already going behind their backs to negotiate a "bad deal" with Iran.

@highlight

Sources say Obama noted Iran, U.S. both interested in defeating ISIS

@highlight

United States is deep into talks with Iran about its nuclear capabilities

@highlight

Sources say that's the main block to the countries cooperating on ISIS