(CNN) -- Because of the severe heat and drought in the Midwest, global food prices are going up. Why? Because the U.S. is the leading producer and exporter of staple grains. We are for food production what Saudi Arabia is for oil production. Our crop shortages have ripple effects throughout the food system and disrupt the global markets, especially in the food-insecure nations.

The U.S. hasn't reached 2008's level of high food prices yet because rice and wheat stocks are ample. These are the two most important food grains for human consumption worldwide.

Corn and soybean levels are extremely tight, and their prices have skyrocketed since June. However, these two grains are mostly used as livestock feeds. Corn is also diverted to produce ethanol because of our government mandate.

Opinion: Extreme heat and droughts -- a recipe for world food woes

Earlier this month, the United Nations urged the U.S. to ease its ethanol mandate. The origin of this policy goes back to 2005 when Congress set requirements of corn to be used for automotive fuel. In 2007, the Energy Independence and Security Act greatly increased those requirements to improve air quality and become more energy secure. Behind the scenes, however, corn and other agricultural lobbyists were promoting the mandate to create a larger market for corn. Using current numbers, this year's ethanol mandate would theoretically require 44% of this year's corn crop, a third of which is recycled back as distillers grains for livestock feed.

We are being told by the ethanol producers, the corn growers and Secretary of Agriculture Tom Vilsack that eliminating the ethanol mandate would not significantly reduce global food costs. But how could that be when roughly 14% of the world's corn crop is being converted into ethanol in the U.S.? In addition to corn being used for biofuel, taxpayer-subsidized biodiesel is using up more soybeans each year.

While some say that attempting to change the ethanol mandate is politically impossible in an election year that depends so much on the Midwest swing states, there is a loud and growing chorus of voices that are calling for an urgent end to the mandate. Greg Page, CEO of Cargill, one of the world's largest agricultural corporations, recently urged: "We need to move to more market-driven biofuels policies, not inflexible mandates, subsidies and tariffs."

Just as the USDA's recent estimate of a corn yield at 123 bushels per acre is certain to be reduced further, its estimate of food costs rising only 3% to 4% next year is certain to be raised.

The least politically palatable condition in any nation is high food prices. Expect beef, pork, chicken, turkey, eggs, fats and oils, cereals and dairy products to go up the most in the coming months. Americans have already reduced their meat consumption over the past few years partly because of higher prices.

It is time for policymakers to admit they made a mistake in setting the corn ethanol mandate level too high in 2007. This year, the mandate is 13.2 billion gallons of ethanol, which would require 4.7 billion bushels of corn. The mandate is set to top out in 2015 at 15 billion gallons.

If politics dictates that we must have an ethanol mandate, then at the very least we should consider cutting the level by half, which could be done by using only 5% ethanol, or E5, in gasoline instead of E10, which is a combination of 10% ethanol and 90% unleaded gasoline.

The mandate should never be allowed to use more than 20% of the annual U.S. corn crop. This amount would be enough to help stimulate corn demand for this overproduced commodity. As a bonus, more sustainable farming practices could return to the Midwest following this frenzy of growing corn on corn, fencerow to fencerow, to cash in on the high prices.

What would make the most sense would be to scrap the national ethanol mandate altogether and let each state decide.

Currently, ethanol use is not mandated in top corn producing states such as Iowa and Nebraska. These states choose to sell gasoline that doesn't even contain ethanol. This would suggest that they would rather export the product than use it themselves. Since they tout their ethanol product so highly, and it is available to them locally, they should consider increasing their own use of the product.

Meanwhile, consumers in low corn producing states such as Colorado and California are required to buy ethanol in every gallon of gasoline because ethanol use is mandated in those states.

The argument for the ethanol mandate is being challenged because of today's greater use of natural gas and the development of other fuel sources. It's time for the mandate to reflect the realities of 2012.

It often takes a crisis to get government to take action and correct a policy that was wrong to begin with. This growing season, we have had extreme heat and drought in the most productive farming region in the world. Let's use this unfortunate plight to get our ethanol policy right, before it causes food prices to go up more.

The opinions expressed in this commentary are solely those of Kay McDonald.

@highlight

Kay McDonald: Expect the price of meat, eggs and dairy products to go up

@highlight

McDonald: America's policy of diverting corn to ethanol production is causing high prices

@highlight

She says if we must have an ethanol mandate, then we should cut the level by half

@highlight

McDonald: Better still, scrap the national ethanol mandate and let each state decide