(CNN) -- Fierce fighting between rebels and Syrian troops raged on the embattled capital's doorstep Saturday, opposition forces told CNN.

Free Syrian Army rebels traded gunfire for mortar rounds from President Bashar al-Assad's troops along a critical fault line separating the suburb of Jobar from Damascus itself, said Baraa, a spokesman for the local Revolutionary Military Council, who gave only his first name for safety reasons.

"There are heavy ongoing clashes at Eight Azar. If we capture the area it means we have reached the heart of the capital. It means we can cross into Damascus," Baraa told CNN.

Rebels appear to be inching closer to a decisive battle for the capital, al-Assad's stronghold, but after nearly two years of fighting the opposition remains wary.

"We are still several hundred meters away and there are many snipers positioned on the buildings and tanks in the area. We expect very intense fighting over the next several days," Baraa said.

The Free Syrian Army is embroiled in near-constant clashes along three front lines on the western edge of the suburb of Jobar -- the Eight Azar entrance, a military air force building, and the vital 6 Tishreen Road dividing the government-controlled suburb of Qaboun from Jobar.

Western powers set to increase aid for Syrian rebels

Reinforcements are arriving from eastern Ghouta and other suburbs, Baraa said, and are being dispersed evenly to all three front lines.

The opposition Damascus Media Office told CNN on Saturday that the Free Syrian Army was now in control of a majority of Jobar. Clashes are constant along a thin line leading to the edges of Abassiyeen Square, it said.

The regime has stepped up its offensive using fighter jets and missiles to shell the suburb, it said.

For civilians pinned down by the heavy fighting, survival is a daily struggle and escape a distant possibility.

"There are still civilians here and they tell us, where can we go? All of Syria is a battle ground -- there is nowhere to hide," Baraa said.

Historically, the suburb of Jobar has been a holy site for Jews, drawing pilgrims to one of the oldest standing synagogues in the world. Now bodies line the streets toward the central Abassiyeen Square, Baraa claimed, and the 2,000-year-old Jobar Synagogue sustains artillery attacks.

"Just as the homes and mosques are being struck, the synagogue was struck, too. The regime's random shelling does not distinguish between buildings -- it can hit anything," Baraa said.

Syrian state media reported fighting in the Damascus suburbs, claiming government armed forces were pursuing armed terrorist groups in the area and had inflicted heavy losses after a string of operations.

CNN cannot confirm opposition and government accounts of death tolls as access by international journalists is severely restricted.

'Chess game'

Syrian Foreign Minister Walid Muallem held talks Saturday with his Iranian counterpart, Ali Akbar Salehi, in Tehran. Iran has been a constant ally of the embattled al-Assad regime.

In a joint news conference on Iran's state-run Press TV, Muallem said the Syrian army was acting to defend the people and was doing so within the framework of the law.

Syria must "eliminate the sources of terrorism" and defend its sovereignty, he said.

Syria will not turn into a "chess game" for the international community, he added, reiterating the government's rejection of what it views as foreign interference in its affairs.

Both Muallem and Salehi questioned Western support for rebel groups, saying such fighters were the cause of bloodshed in Syria.

Salehi said Iran believes dialogue is needed to bring an end to the violence. The Syrian government is ready to talk, he said.

Their remarks come two days after the United States promised to send food and medical supplies -- but not weapons -- to rebels in the first such move since the conflict began nearly two years ago.

At the same time, European nations began to explore how to strengthen rebel fighters short of arming them after a European Council decision allowing aid for civilian protection.

U.S. Secretary of State John Kerry, speaking after meeting opposition leaders at a Friends of Syria conference in Rome, said the aid would help fighters in their effort to topple al-Assad.

He did not say how much aid, but did announce that the United States would separately give $60 million to local groups working with the opposition Syrian National Council to provide political administration and basic services in rebel-controlled areas of Syria.

That's on top of $50 million in similar aid the United States has previously pledged to the council, as well as $385 million in humanitarian assistance, Kerry said.

The European Council carved out an exception in its sanctions against Syria on Thursday to allow for the transfer of nonlethal equipment and technical assistance for civilian protection only. It did not specify what kind of equipment could be involved.

City bombarded

Meanwhile, violent clashes have been taking place in al-Raqa province, near Syria's northern border with Turkey, according to the Syrian Observatory for Human Rights, a UK-based opposition group.

Fighting began Saturday morning between fighters from many rebel battalions and regime forces, around the al-Raqa city, the Mashlab and Furusiya checkpoints and the Hajana building in the city, the group said.

The sound of explosions rocked the city and smoke rose overhead, where helicopters hovered, the Observatory said. Several areas in the city and its outskirts were bombarded by government forces.

The group reported dozens of deaths on both sides.

Saturday, 133 people were killed across Syria, including 36 in Damascus and its suburbs, according to the Local Coordination Committees for Syria, a network of opposition activists.

The unrest began in March 2011, when al-Assad's government began a brutal crackdown on demonstrators calling for enhanced political freedoms.

The protest movement eventually devolved into an armed conflict, one that has devastated cities and towns around the country and has already claimed nearly 70,000 lives.

It has also spurred more than 950,000 Syrians to flee to neighboring nations, according to the United Nations' refugee agency.

CNN's Jill Dougherty contributed to this report.

@highlight

133 people were killed across the country Saturday, opposition group says

@highlight

Rebels and Syrian forces clash in the Damascus suburb of Jobar

@highlight

Syria's northern Al-Raqa province is also seeing fierce fighting

@highlight

The conflict has already claimed close to 70,000 lives