(CNN)It won't come as news to anyone in America today that the authority to make an arrest carries with it the potential to escalate to lethal force.  But the seemingly innocuous genesis of police authority (initial stop and question, pulling someone over for a traffic violation) becomes significant because of the potential result (deadly force).

A minor traffic stop can be the springboard to a check for outstanding warrants.  An initial stop can therefore lead to an arrest.  And an arrest, we know, can have fatal results.

In South Carolina earlier this month, Walter Scott was the subject of a bench warrant for over $18,000 in unpaid child support, according to court records. That means that once he was stopped, he probably knew before the police officer that his own arrest was a foregone conclusion.

But failure to pay child support is not a crime. At least, not in the traditional sense, though states do criminalize it.  It's rightly a civil matter. Skipping child support court should similarly not be a crime either.

This means that a bench warrant for failing to appear in child support court isn't about catching criminals -- it's bill collection, only with a collection agency bristling with lethal and other weapons, and acting under color of law.  This raises some serious questions about what exactly we want our heavily armed law enforcement officers to be doing.

Not all "warrants" are created equal.  Sometimes there are warrants for arrest, which are issued for alleged murders, drug dealing or sexual assault.

Then there are cases like the Scott case.  Bench warrants for deadbeat dads are not arrest warrants for crimes.

Don't get me wrong.  Deadbeat and absent dads are one of the most serious and often overlooked threats to our collective well-being today.  Forget the school-to-prison-pipeline.  Lousy parents are the prison pipeline; particularly symptomatic of this problem are absent and deadbeat dads.

Still, given our justifiably dim view of deadbeat dads and child support court scofflaws, there is ultimately something Dickensian in our remedy for enforcement.

First, it's important to keep in mind that nearly every instance of a family court's intrusion into the private family unit is an undesirable event.  Yes, parents who can't resolve noncustodial support can turn to the courts, but once the courts and law enforcement are involved, they do things their way.  And it almost always could have been avoided if the family could have resolved issues on their own.

South Carolina family courts enforce their child support orders through civil contempt proceedings. Oftentimes and sadly so, papa is a rolling stone, and he falls behind on his payments. When a supporting parent has fallen behind, the court clerk sends dad an order to show up in court and explain why he should not be held in contempt for violating the payment order.

At the hearing, that parent may demonstrate that he is not in contempt by showing that, well, he would love to pay, but right now he's just in the process of getting himself together -- and he actually has a job interview tomorrow or some variation of the well-established language of support shirkers. The bottom line is dad can try to demonstrate he's too poor to pay his child's support. If he fails to demonstrate this inability, the court may hold him in civil contempt and actually imprison him, unless and until he purges himself by making the required child support payments.

What follows is typically a macabre combination of a telethon, a game show and debtor's prison.

The defendant calls friends and family to crowdfund his down payment to get out of jail.  If he can't, he'll be stuck in jail until he does pay.  And let's face it: While it's hard to drum up a lot of sympathy for deadbeat dads, jailing someone for their debt makes it a little difficult to, you guessed it, earn money to pay that debt.

Of course, since getting yelled at in court or sent to jail is unpleasant, dads have a remarkable ability to forget about court or get dates "mixed up." The court's remedy is to issue a warrant to bring dad to court.  That warrant is not technically a criminal arrest warrant, but it sure seems like an arrest warrant if dad gets picked up on a Friday afternoon and has to wait in jail all weekend to see the judge on Monday.

The point is this: Some warrants are for the arrest of criminals.  Those are the warrants we're familiar with, from "Law & Order" and every other cop show.  Other warrants, like those for contempt of a support order, have nothing to do with crime.  They're bill collection and are essentially civil in nature.

Yet we've foisted that duty on the police as an ersatz collection agency.  That's right, the same police charged with arresting dangerous criminals are also dragooned into bill collection for the courts.  When they run a driver's name on a routine traffic stop and a deadbeat arrest warrant comes up, those same police who are armed with Tasers and firearms are suddenly tasked with arresting a guy for failing to pay his bills. Not because he's dangerous.  Not because he's a criminal.  Because he's (breathtakingly) financially irresponsible.

Walter Scott might have run because he knew the drill.

He knew he was going to be arrested.  He shouldn't have run. But he also definitely shouldn't have been shot.

If he owed $18,000 in arrears, he definitely shouldn't have been looking to buy a Mercedes, as his final words on tape at least seem to suggest he was planning to do. But whether or not he ran, the result would have been the same: If he had a bench warrant, he was going to jail, by force if necessary, even though he does not appear to have committed a "crime."

Of course, the counterargument is: If we don't arrest them, how else do we make deadbeat dads pay up?  There's no easy answer.

But the better question may be: Why do we as a society not shun parents who don't take care of their kids?  Social rejection can be an even stronger motivator than the threat of arrest.  Arresting deadbeat dads is an extreme solution, and one that could be solved with less government intrusion, and more community involvement.

The Scott situation has highlighted some harsh truths. If we continue to arrest and jail deadbeat dads, we can't be surprised when an armed police officer uses excessive and deadly force to arrest them.  While no one should be shot for failure to pay support, we're also training police that a warrant is a warrant and an arrest is an arrest.

Are we comfortable as a society using an armed police force, empowered to use deadly force, to aid in collecting these bills?  If we are, then we have to be comfortable with the possibility that a delinquent dad is going to bolt when he gets stopped for a broken taillight.

And if we're comfortable with that, then we also have to be comfortable with the police giving chase,and making the arrest -- sometimes with whatever force they deem necessary in the moment.

Then, our only defense is to watch.  And record.

Note: An earlier version of this article did not make clear that states do make failure to pay child support a crime.

@highlight

Walter Scott was killed by a South Carolina police officer in April

@highlight

Danny Cevallos: Failure to pay child support should be a civil matter, not a crime