(CNN) -- The displacement, injury, and death of civilians in war is always tragic, and the current fighting between Israel and Hamas in Gaza is no exception. But unlike the vast majority of conflicts in history, Operation Protective Edge, as Israel calls it, is one in which images of civilian suffering play a central—and potentially decisive—role in the outcome.

And the reason is simple: More than a military strategy, Hamas has a media strategy. Calculatingly, Hamas employs primitive military tactics to mount a sophisticated media campaign that can threaten Israel's basic security. And in conducting that offensive, Hamas can count on one of the world's most powerful weapons: the international media.

Hamas fires hundreds of rockets at Israeli cities and towns and tries to attack Israeli farms via the sea and through tunnels. Thanks to Israeli technology and vigilance, few of these actions have inflicted extensive damage. Still, they disrupt Israeli life, impair the economy, and leave cumulative psychological scars.

As a sovereign nation, Israel must respond robustly to such attacks. And as a state committed to Jewish and democratic values, Israel provides water, humanitarian aid, and electricity to the residents of Gaza even as their government murders Israelis.

Throughout, Israel strives tirelessly to minimize Palestinian civilian casualties. Yet in spite of the hundreds of thousands of leaflets Israel dropped, the countless text messages and personal phone calls it made warning Palestinian civilians to leave targeted areas, tragedies still occur. Israel deeply regrets these losses and continuously hones its operations to make them more surgical still.

In a war with Hamas, though, Israel's strength and morality can become vulnerability and guilt. By investing nothing in air raid sirens and bomb shelters, by hiding deep beneath neighborhoods and shooting near hospitals and mosques, Hamas ensures that Israel will invariably wound and kill civilians.

Hamas gunmen carry out attacks disguised as women and old men, fight from UN and Red Cross vehicles, store rockets in schools, and physically prevent Palestinian civilians from fleeing combat zones. This context, though, is rarely mentioned by the media when covering the civilian cost of the fighting.

Unlike Israel, which respects the privacy and dignity of its fallen, Hamas has no difficulty in displaying these casualties to foreign cameras. And the media broadcasts them, obsessively.

The sources of that obsession are many. They include genuine empathy for the Palestinians, objection to Israeli policies, and even animus toward the Jewish state. Still, many journalists would be appalled by the suggestion that they are aiding a terrorist group indistinguishable from ISIS and al-Qaeda. Most, rather, are just doing their job by providing their audiences with the most up-to-date pictures and stories.

But whether visceral or professional, the correspondents' motives are, in fact, irrelevant to Hamas. It merely has to know that dozens of Palestinian victims of Israeli fire capture more headlines and airtime than tens of thousands of Syrian victims of Syrians or Iraqi victims of Iraqis.

Hamas knows that the construction of a world-leading civil defense system in Israel, and the utter absence of one in Gaza, will ensure a growing gap between Israeli and Palestinian casualties. And that disparity, Hamas knows, will become the focus of media attention and accusations that Israel uses force disproportionally.

Above all, Hamas knows that shocking images—some of them taken from the carnage in Syria and Iraq and even from Hollywood horror movies—inflame public opinion. Under mounting pressure, governments will endorse UN condemnations of Israel for war crimes. Hamas missiles cannot destroy Israel, but international sanctions can tie its hands from deflecting them.

Unwittingly or not, the international media is complicit in Hamas's plan. While some may think they help the Palestinians by highlighting their plight, in reality, the journalists only worsen it. They effectively absolve Hamas of culpability for using Gaza's population as a human shield, of stealing its aid money to buy munitions and dig fortified tunnels with the sole purpose of killing Israelis, and of contributing nothing to Gaza's welfare.

Who's who in Hamas

Israel, by contrast, is expected to apologize for protecting its citizens and for not suffering as many civilian losses as the Palestinians. Rather than depicting a complex reality in which both Israelis and Palestinians are victims of Hamas, the media prefers facile narratives of West versus East, colonialists versus natives, Goliath versus David.

Yet the most helpful role that the media plays for Hamas—and the worst disservice for Palestinians—is in demoralizing Israelis. They are willing to pay a high operational price, even to endanger their own soldiers, to avoid hurting Palestinian civilians.

Yet, in spite of these unprecedented efforts, the Jewish State is often depicted by the media as indiscriminate and callous. By calling them killers even when they take risks to save lives, the media discourages Israelis from showing restraint in the face of ceaseless Hamas attacks. And Hamas, which wants to drag Israel into a ground war in which even more civilians are killed, welcomes the media's role in convincing Israelis that image-wise they have nothing to lose by escalating.

Former President Bill Clinton recently told Indian television that Hamas "has a strategy designed to force Israel to kill their own [Palestinian] civilians so that the rest of the world will condemn them." A crucial means through which Hamas accomplishes this is the international media.

Just as Israel must relentlessly scrutinize its military actions in Gaza and their consequences, so, too, must journalists take a hard look at the way they cover this conflict. They must not allow themselves to act as accessories to Hamas's murderous strategy that delegitimizes Israel and prolongs the Palestinians' suffering.

The opinions expressed in this commentary are solely those of Michael Oren.

@highlight

Michael Oren: More than a military strategy, Hamas has a media strategy

@highlight

He says that by exposing its own population to danger, it cultivates sympathy for its cause

@highlight

Oren: As any sovereign state, Israel can't tolerate attacks on its territory

@highlight

Media effectively absolves Hamas of responsibility for putting its own people at risk