From building-crushing hurricanes to killer sinkholes, Gulf Coast residents have seen a lot. But even these battle-tested veterans of the weather wars are marveling at torrential rains that washed out bridges and roads, sent chest-high water into homes and forced major military bases to shut down Wednesday.

"We've seen flooding before, but never flooding that washes the back of a house away," said CNN iReporter Matt Raybourn of Pensacola, Florida. "There are no words for what we are seeing here."

The rushing waters reduced some streets to rubble, gouged huge gashes in others and left stretches of many others submerged, including parts U.S. 98, the main east-west route along the coast. It was closed in several places between Fort Walton Beach and Panama City. Abandoned cars sat half-submerged along the highway.

Along the coast, water pushed ashore by wind-driven waves and unusually high tides lapped at sand dunes as red flags warned swimmers to stay out of the water.

There was one drowning death tied to the flooding, Florida officials said. The victim, a 67-year-old woman, drove or was swept into a drainage ditch Tuesday night, Escambia County spokeswoman Kathleen Castro said.

In Alabama, waters rushed in so fast that residents climbed on top of furniture and waited on rooftops to be rescued, said Reggie Chitwood, deputy director of emergency management in Baldwin County.

"The waters rose at a historical level. ... People had to scramble," Chitwood told CNN's "The Lead with Jake Tapper."

In a neighborhood north of Pensacola, a creek overran its banks, inundating homes and forcing residents to retreat to their attics to await rescue, Escambia County spokesman Bill Pearson said.

Rescuers were reaching the residents on state Fish and Wildlife boats and personal watercraft normally used to patrol the county's beaches, he said. The National Guard was also on the way.

Florida Gov. Rick Scott said that crews had rescued 300 people.

'People have lost everything'

"It's unbelievable the amount of flooding we've had. We've have roads torn up, water clear through homes. I went to one home where the foundation was gone. ... You saw cars just thrown down a road, pushed down upside down," Scott told "The Lead." "People have lost everything, and they didn't buy flood insurance because they didn't think they were in a flood area."

Scott declared a state of emergency and warned residents to expect more rain and flooding.

As much as 18.9 inches of rain fell over 24 hours in Alabama and Florida, according to the National Weather Service.

At Pensacola's airport, an estimated 15.55 inches of rain fell on Tuesday -- the largest amount to fall in a single calendar day since officials started tracking rainfall in 1880, the National Weather Service said.

It was all the result of a slow-moving and massive storm system that sucked up moisture from the Gulf of Mexico for days before dumping it back onto land in a series of thunderstorms, said CNN meteorologist Jennifer Gray.

Satellites captured an image of the water vapor held aloft by the storm tracing a huge sideways 'S' shape across much of the country.

As the storm crept up the eastern seaboard Wednesday afternoon, heavy rains caused flooding in the Washington area.

In Baltimore, the edge of a street buckled in a landslide that sent cars tumbling into a ravine. No one was injured, the city's transportation department said.

In Perdido Key, Florida, iReporter Steve Olensky described the storm as a "hurricane and tornado all in one." "It was blowing and blowing, the rain was coming. It was just incredible," said Olensky,  whose 22-foot boat vanished in the storm. "We've been through (hurricanes) Ivan and Katrina, and we've never seen anything like this."

There's one major difference between this week's storms and a hurricane, Pensacola resident Cindi Bonner told CNN.

"You have time to prepare for a hurricane," she said. "This was not something that anyone had prepared for."

Damage to bridges, disruption to military bases

Many roads in the city of Gulf Shores, Alabama, were "totally flooded," the city said on Twitter. At least three heavily used bridges in Escambia County, Florida, had been badly damaged or destroyed, said Pearson, the county spokesman.

Naval Air Station Pensacola, Eglin Air Force Base and Hurlburt Field, another Air Force installation, were closed to all but essential personnel, the installations said on their Twitter and Facebook accounts.

In nearby Baldwin County, Alabama, the Fish River reached historic flooding levels, according to the National Weather Service.

Most government offices in the Florida Panhandle were closed Wednesday, as were many schools. Pearson said emergency officials were urging businesses to stay closed as well and were asking motorists to stay off the roads.

Tides up to 2 feet higher than normal were causing minor coastal flooding and dangerous rip currents, the National Weather Service said.

CNN iReporter Randy Hamilton said the scene felt like the aftermath of a hurricane with "abandoned and flooded cars just littering the streets."

"Debris from trees everywhere. Standing water all around, gray skies, and wind gusts that make you fear something will blow down on you," he said.

Arkansas tornado was EF-4

The storms were part of the same system that has spawned tornadoes and other severe storms since Sunday, claiming at least 36 lives in Oklahoma, Iowa, Arkansas, Mississippi, Alabama, Tennessee and now Florida.

Tens of thousands remained without power in the South, where suspected tornadoes tore through homes and businesses late Monday.

Officials revealed new details Wednesday about the powerful tornado that struck the Arkansas towns of Mayflower and Vilonia.

The twister was rated an EF-4 on the Enhanced Fujita Tornado Damage scale, with an estimated peak wind speed between 180 and 190 mph, the National Weather Service said. It was on the ground for 41.3 miles on Sunday and was responsible for 15 deaths, officials said.

In addition to the Florida flooding death, police in Athens, Georgia, said a driver was killed Wednesday when storm winds toppled a tree onto a car.

Authorities in Mississippi confirmed another death from storms that struck Monday.

At least 38 people have been killed since Sunday in storm-related deaths in Mississippi, Alabama, Tennessee, Arkansas, Oklahoma, Iowa, Florida and Georgia, according to a CNN tally of state reports.

The storm could bring heavy rains and possibly thunderstorms to Jacksonville, Florida; Charlotte, North Carolina; Virginia Beach, Virginia;  Raleigh, North Carolina; and Atlanta, the National Weather Service said.

Heavy rain will be the norm.

Flooding could be a concern in the New York City area on Thursday. Forecasters say rainfall could total up to four inches, with heavier amounts in some areas.

@highlight

Storms caused 38 deaths since Sunday; 67-year-old woman killed in Florida

@highlight

Tornado that struck Mayflower and Vilonia, Arkansas, Sunday was an EF-4

@highlight

Alabama official: Residents scrambled to rooftops as water rushed in

@highlight

National Weather Service: The rainfall at Pensacola's airport set a record