Seattle (CNN) -- David Wing-Kovarik and his partner, Conrad, were ready to adopt a child.

They moved through all their requirements smoothly, even completing an orientation and training course for prospective parents.

Then they were confronted with their first real stumbling block.

"Our adoption agent said, 'Well, you both look the same on paper, so who's going to be the parent?'" Wing-Kovarik recalls.

In Arizona, where the couple lived at the time, only individuals and legally married couples may adopt from the U.S. foster care system. But because a same-sex couple cannot legally marry in the state, only one parent can be granted legal rights to the child.

"We saw (it) as a disadvantage to the child," said Wing-Kovarik, 47. "We, frankly, got very angry about it when we thought about everybody else that was in the (training) class. None of them were asked this question. And it came down to the fact that we were a male couple. This was when we first experienced how being that gay couple just adds to the complexity of the whole process. It makes it much harder."

In 18 states and the District of Columbia, same-sex couples can jointly petition to adopt a child. But in the other states, such as Arizona, the law either restricts joint adoption or is unclear.

That only adds confusion and frustration to what is already a "mind-numbing" adoption process, Wing-Kovarik said.

"It makes your head spin with the questions that are asked of you, with the forms that you have to fill out," he said. "And then you have on top of that the fact that your family might not be that mom-and-dad home. You're that gay or lesbian family ... and the questions begin to change."

Wing-Kovarik and his partner did their homework and were eventually able to adopt two sibling boys after relocating to Seattle for Conrad's new job. But it was a long, arduous and invasive process, one that scares off many other potential parents, Wing-Kovarik said.

"It becomes a daunting experience," he said. "It's why the families don't always come forward, because they think they're going to be rejected."

And to him, that is unacceptable with 107,000 boys and girls waiting for adoption in the United States.

"When you lose that family, you lose an opportunity for a child," he said. "They need help. ... That child sitting in foster care year after year after year is not going to their social worker and saying, 'I only want a mom-and-dad home.' "

Determined to help other families deal with the same obstacles that he had faced, Wing-Kovarik started a nonprofit, Families Like Ours. It began as a simple online resource for lesbian, gay, bisexual and transgender people wanting to foster or adopt. But as word spread about its growing expertise and its success in helping foster placements and adoptions, more diverse people started coming to the group for help.

"It doesn't matter if you're gay, straight, pink, purple, orange, polka-dotted, from Mars, from the moon or any other place," Wing-Kovarik said. "If you think you can make a difference with these kids, you should be stepping forward to do this. ...

"It's unacceptable that families are faced with barriers that are put in their way because of a myth, a misunderstanding, miscommunication ... preventing a child from having a family just because (other people) just don't like what that family looks like."

Wing-Kovarik estimates that his group has helped thousands of families -- both gay and straight -- by offering a range of services such as lawyer referrals, case consultations, special-needs classes and tips on therapists and pediatricians. With the help of a nationwide network of volunteers -- many of whom have benefited from the group in the past -- everything is free.

"Families contact us and say, 'I want to do this, how do I do this?' We do two things: find out the answer and figure out how it really works for their specific situation, because they are never the same," Wing-Kovarik said.

Do you know a hero? Nominations are open for 2012 CNN Heroes

According to the state of Washington, more than 75% of families who have attended a training class through Wing-Kovarik's group have gone on to be placed with a foster child.

"That is much higher than other agencies," said Paulette Caswell, adoption and permanency supervisor for the state's Department of Social and Health Services.

Wing-Kovarik has also become a preferred trainer of the state, training nearly 250 families a year since 2002.

"He has a unique perspective, and families connect to this," Caswell said. "And (David's work) is done for truly altruistic reasons. There is no cost to the state for it. We have others that support us and do a lot of work, but we tend to pay for that service. Families Like Ours does it through donations and grants, and he hasn't been paid in years. That's pretty extraordinary."

Kevin Broderick, a single, gay man, called Families Like Ours when he encountered difficulty finalizing the adoption of his now 13-year-old son, Michael.

"I am 100% sure that if it weren't for David, I would not have my son," Broderick said. "He understands how things should go, but also when they don't go right, how can we get them back on track? He figured out how to get us over that finish line."

In 2007, the Williams Institute of the UCLA School of Law estimates that there were 65,500 adopted children living with a gay parent in the United States. Wing-Kovarik says these homes are really not all that different from traditional mom-and-dad households.

"We're a two-dad home," he said. "On the surface, does it look different? Sure. But when we're at home, does it look any different than anybody else? No. We argue and fight with the kids to get their homework done and brush their teeth and take a shower and brush their hair. 'Put your shoes on the right feet!' 'Is your backpack packed?' 'Why is your lunch sitting on the floor when the dog is eating it?' Well, that's the same thing everybody else complains about."

Wing-Kovarik has had his two boys, Chris and Shawn, since 2002, and he can't imagine sitting idle while there are so many other foster children who are still stuck in the system.

"Thinking of all of the other Chris and Shawns that are in foster care, and not knowing what's going to happen to them ... I can't just walk away from that. ...

"It's not my job to go in and guarantee what the life of that child's going to be. It's simply my job to make sure that child has some sort of hope. ... We're going to make this match, and we're going to move forward. And that kid's going to have as productive a life as we can help that kid have."

Want to get involved? Check out the Families Like Ours website at www.familieslikeours.org and see how to help.

@highlight

David Wing-Kovarik started a nonprofit to help other gay Americans become parents

@highlight

In many states, same-sex couples cannot jointly adopt a child

@highlight

More than 100,000 boys and girls are waiting for adoption in the United States

@highlight

Do you know a hero? Nominations are open for 2012 CNN Heroes