Tripoli, Libya (CNN) -- U.S. Secretary of State Hillary Clinton visited Tripoli on Tuesday, making her the first Cabinet-level American official to go to Libya since the ouster of longtime strongman Moammar Gadhafi.

She landed under tight security in a country where forces loyal to the transitional government are still battling Gadhafi loyalists. She met with officials of the National Transitional Council and visited those wounded in the fighting.

NTC fighters toppled Gadhafi's nearly 42-year-old government in August after six months of battles. Gadhafi, his son Saif al-Islam Gadhafi and his brother-in-law and intelligence chief, Abdullah al-Sanussi, are wanted on war crimes charges and remain fugitives.

Regarding Moammar Gadhafi, Clinton told reporters: "We hope he will be captured or killed soon."

As Clinton boarded the military plane to leave for Malta on Tuesday evening, she saw several Libyan fighters, who gave her a warm welcome. After a short meet-and-greet at the airport with Malta Embassy employees, Clinton was headed for Oman.

At a news conference Tuesday with Clinton, interim Libyan Prime Minister Mahmoud Jibril expressed appreciation for political, humanitarian and moral support from the United States. He said he does not plan to be part of Libya's new government.

Asked if she was concerned about civil war continuing in Libya, Clinton said she is encouraged that steps are being taken to address reconciliation and get the Libyan army and police under one command, but noted that action cannot be taken with fighting still under way.

On whether the United States will cooperate with Islamists, Clinton said democracy must reflect the aspirations of the Libyan people. America will support a democratic process that respects the rule of law, she said, and includes renouncing violence and giving up arms.

Women in Libya should have equal rights, she said, as they sacrificed in the revolution and deserve to be part of the new Libya.

Clinton then attended a town hall meeting, telling residents: "Don't spend your time settling scores of the past. Keep an eye on the future. ... You can't drive forward when looking in the rearview mirror."

She also visited a hospital and met wounded fighters, many of whom need surgeries to save their limbs. The operations are being held up by red tape and processing necessary to get out of the country for transport. She said she will try to help them.

"There are three main purposes to the secretary's visit," a senior State Department official said in a briefing to reporters Monday before Clinton's arrival.

"First is simply to offer on behalf for the United States, on behalf of the American people and government, our congratulations, our best wishes to the Libyan people for what, through great hardship, sacrifice and courage, they have achieved in opening the door to a more promising future for Libya after 42 years of the Gadhafi dictatorship."

The official said Clinton and her counterpart were to announce the restarting of the Fulbright Program, an educational exchange, and English Access, an English-language program. They were to talk about a new program with Oberlin College in Ohio and archaeologists in Libya to map, document and do risk assessments of archaeological sites in eastern Libya.

"We also want to be talking to the Libyans about how to integrate Libya fully into the 21st-century world economy in transparent ways where Libya's oil wealth is used for the benefit of all of Libya's citizens," the official said.

In discussing economic diversification, the official mentioned "privatizing some of the state monopolies, because much of the economy is state-owned."

"The NTC sees privatization as being one of the engines to diversification and growth. Now many of these decisions have to wait a more permanent governing structure. The NTC is being very careful about not taking significant decisions on dismantling this or dismantling that until they are able to assure themselves of a more popular base. They've very mindful of the fact that that T in NTC stands for transition."

The official said conventional and nonconventional weaponry in Libya is fully secured and accounted for.

Clinton intended to "talk to Libyan officials about the fact that we will be increasing our assistance on the MANPADS destruction to nearly $40 million ...," the official said, referring to man-portable air-defense systems, which are shoulder-launched surface-to-air missiles.

Asked about reconciliation, the official said the NTC has remarked that it would work with people who don't have "blood on their hands" and try to be inclusive.

"It has to be able to show that it has political credibility, that it's able to also have places for those who actually fought for the liberation of Libya in the governing structures," the official said.

Gadhafi's whereabouts are unknown, and the official acknowledged the existence of pro-Gadhafi enclaves.

"He has people, henchman, loyalists, sons, here and there who still have circles around them. I don't think there's any coordination going on between them. I think you're having pockets of people who are trying to stop the flow of history ahead," the official said.

"Yes, he's a nuisance. Yes, he's still providing problems here and there. But the Libyans are not waiting to build a better future for themselves, for their children, for their country."

Clinton also said she was pleased to see an end to the ordeal of Gilad Shalit, an Israeli soldier held captive by Palestinian militants for more than five years. Shalit was released Tuesday as part of a prisoner swap between Israel and the Palestinians. Shalit was held far too long in captivity, Clinton said.

CNN's Elise Labott is the news media pool producer for Clinton's trip.

@highlight

NEW: Hillary Clinton heads to Oman after brief stopover in Malta

@highlight

Clinton on Moammar Gadhafi: "We hope he will be captured or killed soon"

@highlight

Clinton is the first Cabinet-level U.S. official to visit Libya since Gadhafi's ouster

@highlight

National Transitional Council fighters toppled Gadhafi's 42-year-old government in August