(CNN)It is difficult to know at what point things of horror become forgotten and slip out of the world's view. Perhaps it is when they are eclipsed by another, seemingly more pressing crisis. Or when it becomes almost impossible -- for safety or other reasons -- for outside observers to bear witness to their daily toll.

Aleppo has, somehow, sometime between late 2012 when it was the open sore of the Syrian civil war, and today -- when the fight against ISIS has completely grabbed the world's attention span -- slipped off the radar screen.

But here is why it must not: there remain an estimated 300,000 civilians there, in rebel-held areas alone.

These are people who suffer any one -- or all -- of the following litany of afflictions daily: Barrel bombs -- randomly dropped, crudely made devices intended to maim, kill and terrify; warring rebel militia, also fighting with the regime; radical Islamic groups; shortages of food and water; people cutting down whatever trees they can find for fuel.

And above all a sense, for months now, of hopelessness that their world has only worsened since the fight for Aleppo began in June 2012. That their fight has been deemed by some to be so incurable and intractable that the outside world has left Aleppo to its own devices -- willing to help the winner, but not to assist a victory.

Aleppo is the greatest prize in the fight for Syria's north, but also its greatest victim. Aleppo, the biggest city, its commercial hub, its cultural heart, is a skeleton of what stood proudly merely three years ago.

It is very difficult to gain independent access to Aleppo. You can count on one hand the number of western TV channels who have done so in the past year. CNN last entered in June, for six hours.

Kidnapping is now the major hazard. After months of hospitality and risking themselves to assist journalists, rebels now find their ranks bedevilled by radicals and criminals who see foreign media often as a form of currency to help with boosting funds or dealing with another scourge: ISIS.

There are a few exceptions who, through luck of contacts, manage to evade the various hazards. Brazilian photojournalist Gabriel Chaim managed to spend a month in Aleppo with some of the more moderate rebel groups. They provided him access to their world.

Access to a school hidden away in a house where children still learn English. To an artist who commemorates the war's dead with paintings he etches out in a cave underground, that also serves as a bomb shelter. And to the front lines where the battle for Syria's largest city is being fought with a desperation not seen before.

Chaim gained access to one key battle currently under way. And as in so much of Syria's war, it has been that way for months and will probably go on so, as the outcome is so vital that nobody is prepared to give up: the fight for a small hill called Handarat.

The hill and its associated settlement lies to the northeast of Aleppo city, on a vital road into the rebel-held areas. The regime has a strong presence to its west and has been pushing up to the east for the past weeks.

Daily, hourly, they push towards this raised bit of geography, which, if it were to fall into their control, would allow them to shell the only roads in and out of rebel-held areas, effectively denying the rebels, and the civilians who live among them, their use. Then, many fear, the siege of Aleppo would begin.

The regime has tried this tactic -- dubbed "Starve or Surrender" -- before, namely in Homs. They besiege an area, deny its fighters and civilians food, medicine, everything. Eventually, the regime presents a deal: leave or surrender.

The fear is that the fall of Handarat might present a similar opportunity for the regime. And then the humanitarian catastrophe currently brewing inside rebel areas would mushroom.

Hanaa Singer, a spokesperson for UNICEF, says the situation this winter in Aleppo "is very desperate, regardless whether areas are control of the government control or armed opposition groups."

Waterborne diseases continue to spread, partly because often as many as 50 to 70 displaced people share the same toilet.

"There is no electricity or fuel for heating which leaves many people with the only choice of cutting trees from the public spaces and use them to heat the houses" she says, adding the situation is even harder for the displaced as many live in "unfinished buildings or collective shelters where they have no windows, doors or even walls."

UNICEF estimates that 65,000 families risk being cut off from any assistance should the regime take Handarat hill -- that's about 300,000 people. Another 100,000 children simply need warm clothes for this winter, Singer adds. That is around Aleppo alone.

This is the nightmare of being caught between a regime trying to besiege them on one side, and on the other, the evil of ISIS trying to impose their radical worldview.

@highlight

An estimated 300,000 civilians are stuck in rebel-held areas around Aleppo

@highlight

They are at risk of barrel bombs and warring militias and are short of food, water and fuel

@highlight

Fierce battle under way for control of Handarat hill, on the road in to the rebel-held area