Washington (CNN) -- President Barack Obama on Wednesday proposed background checks on all gun sales and bans on military style assault weapons and high-capacity magazines as part of a package of steps to reduce gun violence in the wake of the Newtown school massacre last month.

With relatives of some of the 20 children killed in the Connecticut rampage looking on, Obama signed 23 executive actions -- which don't require congressional approval -- to strengthen existing gun laws and take related steps on mental health and school safety.

He also called on Congress to reinstate an assault weapons ban that expired in 2004, to restrict ammunition magazines to no more than 10 rounds, and to expand background checks to anyone buying a gun, whether at a store or in a private sale at an auction or convention.

Senate Democrats hold key to passage of gun legislation

Referring to the young students killed in the Newtown shootings on December 14 and other victims of gun violence, Obama said the nation must do a better job of protecting its children, especially when they are in schools, shopping malls, movie theaters and other public places.

While some of the steps he proposed are given little chance of winning congressional approval in the face of the nation's powerful gun lobby, Obama said all efforts must be made to reduce chronic gun violence in the country.

"This is our first task as a society -- keeping our children safe," the president said, adding that saving even one life would make the changes he seeks worth the effort.

Read Obama's proposals

Republicans immediately rejected the Obama proposals as an attack on the constitutional right to bear arms.

"Nothing the president is proposing would have stopped the massacre at Sandy Hook," said a statement by Sen. Marco Rubio, R-Florida, considered an up-and-coming GOP leader. "President Obama is targeting the Second Amendment rights of law-abiding citizens instead of seriously addressing the real underlying causes of such violence."

The powerful National Rifle Association said it would work with Congress to find what it called "real solutions to protecting America's most valuable asset -- our children."

"Attacking firearms and ignoring children is not a solution to the crisis we face as a nation," the NRA said in a statement. "Only honest, law-abiding gun owners will be affected and our children will remain vulnerable to the inevitability of more tragedy."

Obama-backed gun bills considered a long shot in Congress

Gun rights at center of debate

NRA President David Keene said the "Second Amendment is going to survive" Obama's efforts on gun control.

"What we want to see is what they really have in mind. They've got bullet points. There's going to be a lot more to it than that," Keene said on CNN's "The Situation Room with Wolf Blitzer."

Obama called accusations that he seeks to violate gun rights untrue, saying opponents want to wage a campaign of intimidation and fear instead of working with him for needed changes.

"We can respect the Second Amendment while keeping an irresponsible law-breaking few from inflicting harm on a massive scale," he said.

Gun control support rises but divide remains over what to do

Gun control supporters, including relatives of shooting victims, lauded Obama's proposals as a good first step to reduce gun violence and urged legislators to take on the difficult issue instead of reverting to partisan postures.

"When you are disheartened by the number of steps that have to be taken, by the fears of gun advocates, by the politics, please dig deep and find new heart," urged Emily Nottingham, the mother of Gabe Zimmerman, the legislative staffer killed in the 2010 Tuscon shooting that disabled Democratic Rep. Gabrielle Giffords of Arizona.

"Think for a moment about your young staffers, your children or grandchildren," Nottingham continued. "Now imagine that that cell phone in your pocket is vibrating and the message says they have been murdered by a stranger with an assault weapon. Imagine that, then shore up your resolve and keep working to protect your staffers, our children, our nation. We need you to not give up."

However, Jerry Henry of the Georgiacarry.org website, which opposes tighter gun controls, told CNN that the Obama proposals were misdirected.

"He did absolutely nothing to address the criminal element," said Henry, who argued that studies show criminals get guns on the street instead of buying them from licensed gun shops that conduct background checks.

Fully enforcing existing gun laws and making criminals serve their full prison terms would do more to halt gun violence, according to Henry, who added that government "cannot legislate evil out of the minds of men."

Polls capture public sentiment

Vice President Joe Biden led a panel assembled by Obama to examine gun control steps after the Newtown shootings, which sparked a fierce public debate over how to prevent such mass killings. Biden's recommendations formed the basis of the package of proposals Obama announced Wednesday.

"The world has changed, and it's demanding action," Biden said at the White House event.

Opponents promise a political fight, with an NRA spokesman saying Tuesday that the group has experienced what he called an "unprecedented" spike in membership numbers since new calls for gun control began in the past month.

Approximately 250,000 people have joined the organization's existing 4.25 million members, according to NRA spokesman Andrew Arulanandam.

In addition, the NRA is receiving an influx of financial contributions, he said, adding: "This is going to be a very expensive and hard-fought fight."

A CNN/Time Magazine/ORC International poll Wednesday indicated that Americans generally favor stricter gun control, but they don't believe that stricter gun laws alone would reduce gun violence.

According to the survey, 55% of Americans generally favor stricter gun control laws, with 56% saying that it's currently too easy to buy guns in this country. However, only 39% say that stricter gun controls would reduce gun violence all by themselves.

Obama called for citizens to let their elected representatives know what they think, saying: "The only way we can change is if the American people demand it."

NRA draws heat over its new shooting game

He proposed legislative steps he previously has backed, such as reinstating the Clinton-era ban on assault weapons, and also requested that funds be made available to help treat mental illness and provide schools with support to enhance their safety.

His executive actions signed Wednesday called for tougher enforcement of existing laws and required federal agencies to provide data for background checks.

A senior administration official told reporters the price tag for the entire package was $500 million.

Obama also said he would nominate B. Todd Jones, the acting director of the Bureau of Alcohol, Tobacco, Firearms and Explosives, to become its permanent chief. The agency has been without a full-time director for six years.

A main focus of Obama's steps was closing loopholes in background checks. While requiring universal background checks would require congressional approval, some of the executive actions signed by Obama were intended to bolster the existing system.

Across the country, more than a million people failed background checks to buy guns during the past 14 years because of criminal records, drug use or mental health issues, according to FBI figures.

That figure, however, is a small fraction of overall gun sales.

Opinion: America's gun problem is not a race problem

"If you look at the combination of likelihood of passage and effectiveness of curbing gun crime, universal background checks is at the sweet spot," said Sen. Chuck Schumer, D-New York, a leading backer of such screening.

Obama also called for more money to strengthen gun safety at schools, including hiring more counselors such as retired law enforcement officers to help educate students on gun issues. He also called for more funding for communities to hire more police officers, but stopped short of seeking the NRA's proposal for armed guards at every school.

The CNN/Time/ORC poll Wednesday showed that respondents favored armed guards in schools by 54%-45%.

Congressional hearings planned

Legislators said working with Congress will be paramount in curbing gun violence. California Rep. Mike Thompson told CNN on Tuesday that a ban on high-capacity magazines could garner Republican support, but a full-scale assault weapon ban would be hard to get passed in the GOP-controlled House.

House and Senate committees said they would start holding hearings on gun control measures in coming weeks.

Oregon sheriff: 'Unconstitutional' gun control laws won't be enforced

In New York, Democratic Gov. Andrew Cuomo on Tuesday signed into law a series of new gun regulations -- the nation's first since the Newtown shootings.

Both New York's GOP-controlled Senate and Democrat-controlled Assembly approved the measure by overwhelming margins.

It includes a statewide gun registry and adds a uniform licensing standard across the state, altering the current system, in which each county or municipality sets a standard.

Residents are also restricted to purchasing ammunition magazines that carry seven bullets, rather than 10.

Keene derided outlawing high-capacity magazines as "a bidding match" that focuses on the wrong issue.

"So the president says you don't need 30-round magazines. How about a 10-round magazine? Andrew Cuomo says, 'Well, I can do better than that. I'll make it a seven-round magazine,'" Keene said.

"The fact of the matter is the kinds of people who do this, particularly the mentally unbalanced -- who are the most likely people to do it -- shouldn't have any magazines," he said.

"The changes in New York are largely cosmetic," said CNN legal analyst Paul Callan, who described state's existing regulations as "the toughest gun laws in the United States."

Lawmakers in at least 10 other states are reviewing some form of new gun regulations in the new year.

Mexico watching with interest

CNN's Carol Cratty, Jim Acosta, Paul Steinhauser, David Ariosto and Kevin Liptak contributed to this report, and Mark Morgenstein updated from Atlanta.

@highlight

NEW: NRA president says "Second Amendment is going to survive" gun control efforts

@highlight

A new CNN/Time/ORC poll shows majority support for stricter gun controls

@highlight

The president signs 23 executive actions that don't need congressional approval

@highlight

President Obama calls for background checks on all gun sales