School's out and the kids are playing outside. How much do you have to worry about them getting sick? Here are some concerns you may have, and some you may not know about.

Don't worry about your kid getting the skin infection impetigo in a pool; it can't be spread in water.

Mom worry: Can't mosquito bites be life-threatening because of West Nile virus?

Facts: Unlikely. Ever since West Nile virus came on the scene in the U.S. in 1999, many moms have worried about every mosquito bite their children get. No need to stress: While anyone can get West Nile virus, it's not a big threat to kids. "The majority of children who get this virus have no symptoms -- or they get aches, pains, and fever that go away within a few days," says Robert Frenck, Jr., M.D., professor of pediatrics at Cincinnati Children's Hospital Medical Center in Ohio and member of the American Academy of Pediatrics's (AAP) committee on infectious diseases. And fortunately, kids rarely develop serious complications such as encephalitis (a potentially dangerous brain inflammation).

To lower your child's chances of being bitten, though, get rid of standing water in your yard (think empty flowerpots and wading pools) -- a prime breeding ground for mosquitoes. And, of course, dress your child in a long-sleeved top and pants when you can, apply a DEET-containing insect repellent (the AAP advises one with a DEET concentration of no more than 30 percent for children), and consider keeping him inside around dusk, when the bugs come out in full force.  Parenting.com: Baby summer safety guide

Mom worry: Could my child get impetigo from the swimming pool?

Facts: Not a concern. This bacterial skin infection, characterized by itchy blisters, scabs, or sores, is spread by direct contact with someone who's infected or from sharing contaminated towels or clothes -- not from water. "Kids get impetigo more often in the summer because they get cuts, scrapes, and bug bites then, which leave them particularly vulnerable to bacterial infections," says Robert Baltimore, M.D., a professor of pediatrics in the infectious diseases division at the Yale University Medical School.

Once your child is exposed to impetigo, it can take two to three days to develop symptoms. If it's limited to a small area, your doctor may suggest a topical over-the-counter antibiotic such as bacitracin or a prescription-strength antibiotic like Bactroban. Either of these may be enough to cure the infection and prevent it from spreading. Parenting.com: The savvy mom's guide to sun safety

If the infection is extensive, has already spread, or doesn't respond to the topical ointment, oral antibiotics are used for seven to10 days. Because of the recent increase in antibiotic-resistant bacteria like methicillin-resistant Staphylococcus aureus (MRSA), watch your child's symptoms carefully to make sure the condition improves after the first course of antibiotics. If it doesn't, tell your doctor quickly; he'll need to prescribe an appropriate antibiotic if a culture indicates that the infection is due to MRSA.

Mom worry: If my child gets hand, foot, and mouth disease, will she be scarred by the rash spreading all over her body?

Facts: Nope. The small, red blisters that appear on the hands, feet, and often the throat with hand, foot, and mouth disease usually look a lot worse than they are, and they won't spread or cause scarring. In fact, the spots will naturally disappear when the Coxsackie virus that causes the illness runs its course, usually in about five days. In the meantime, though, the virus is highly contagious. "We often see outbreaks of the Coxsackie virus in day camps during the summer," says Robert Fink, M.D., an associate professor of clinical pediatrics at the Eastern Virginia Medical School, in Norfolk. This is because it can be caught from hand-to-hand contact (for instance, when kids are in close quarters at camp) and from saliva, which kids are exposed to when playing together in the pool or with water toys. Parenting.com: A no-panic guide to health scares

If your child does catch hand, foot, and mouth disease, she may have a fever and a nasty sore throat, so make her as comfortable as possible by giving her acetaminophen or ibuprofen for the fever and pain. Also, encourage her to eat ice pops and drink whatever she's willing to swallow -- including watered-down juice and milk shakes -- to prevent dehydration, which is often a concern when a sore throat is severe. If you're worried your child is dehydrated, call your pediatrician.

Mom worry: Is eating a hamburger that's not cooked enough a surefire way to get food poisoning?

Facts: Not necessarily. While an undercooked hamburger is a concern when it comes to food poisoning -- courtesy of the infamous E. coli bacteria -- an increasing number of food-borne illnesses are actually caused by produce. That's because bacteria can be spread from animal products to fruits and vegetables through contaminated water or soil -- and, of course, there can be cross-contamination in the kitchen. And once the bugs are there, they often stick tenaciously to the textured surfaces of produce, ultimately making you or your kids sick. Summer is a particularly dangerous time: When people bring food to parks and beaches, and don't keep it cool, bacteria can grow and multiply even more quickly. Parenting.com: The truth about superbugs

The fix? Practice excellent hygiene when preparing food.

• Scrub your hands with soap and warm water before touching any food -- and do it again before switching from handling meat to making a salad, for example.

• Wash whatever produce you buy, and don't assume it's clean because it's in an individual container or package. To prevent bacteria on the outside from getting inside, wash the outer shell of melons and the like before slicing into them.

• Have separate cutting boards -- one for meats, one for produce, and one for breads.

• Always keep perishable food refrigerated until it's going to be eaten.

• If your child does get a food-borne illness, she'll probably experience diarrhea, cramping, and perhaps vomiting, sometimes along with a fever, usually for two to three days. To keep her hydrated, give her plenty of fluids, especially electrolyte solutions (such as Pedialyte), clear sodas like ginger ale, or white grape juice. Parenting.com: Kids and germs  • If the symptoms persist or if her eyes become sunken, her mouth is very dry, or she becomes listless, call your doctor right away -- she may need intravenous fluids to replace those she's lost. Also, if your child has bloody diarrhea, take her to the doctor immediately; this is a sign that she could have a more serious infection that may require quick treatment with antibiotics.

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Children are unlikely to get West Nile virus from mosquito bites

@highlight

You shouldn't be concerned about children getting impetigo from the pool

@highlight

Hand, foot, and mouth disease will not leave scars

@highlight

An increasing number of food-borne illnesses are caused by produce