In recent years, the gaming industry has seen a number of hyped trends come and go: games on social networks, 3-D gaming, systems that let you control in-game avatars by moving your body.

Now get ready for another one: Virtual reality.

This technology, which plunges headset wearers into three-dimensional virtual worlds that feel incredibly lifelike, is coming to consumers very soon, according to the two companies spearheading the charge.

Oculus Rift and Sony have been developing prototypes for virtual-reality headsets that immerse people in scenarios as mundane as a boardroom or as fantastic as a medieval castle complete with dragons.

But reps for both companies who spoke to CNN at last week's E3 gaming show say the driving force behind the success or failure of virtual-reality, or VR, will be not their devices but the games created for them.

Oculus Rift CEO Brendan Iribe said his team of "the brightest minds of the industry" has come a long way from two years ago, when a bulky Oculus prototype held together by duct tape was shown to selected media at E3.

"We've tackled so many of the hardest problems," Iribe said last week. "We have 30 or 40 of these top talents all focusing on delivering the best VR the world has ever seen. This is really delivering on something that people have imagined for so many years and we haven't gotten there yet. Now we're starting to get there."

Meanwhile Project Morpheus, the code name for Sony's rival VR headset, was introduced in March as the future of gaming on the PlayStation system. Indeed, the lightbar on the PlayStation 4's DualShock controller was designed with the Morpheus headgear in mind to allow the devices to be tracked together.

According to Anton Mikhailov, Magic Lab researcher and developer for Sony, the goal of Morpheus is to make players feel like they are inside the game.

Both Iribe and Mikhailov said they must resolve technical issues before their respective systems will be ready for consumer use. These problems, which they say are close to being solved, include more precise eye tracking and stopping motion blur.

Both Oculus and Sony say they are close to releasing consumer units, but neither would provide a timetable. However, they agree the headsets are useless without great content.

People won't want to buy a VR headset if they can't use it for a compelling game. And these games need to be ready to go when the headsets hit the market.

"We're going to make a great piece of hardware that delivers on the promise of great VR," Iribe said. "But it's going to be up to content developers -- game developers -- to make great experiences. They can still make things terribly wrong.

"It's a big challenge," he added. "Game developers are just going to have to learn how to make great VR."

Both Oculus and Sony staged some early demos of their VR technology to E3 attendees. The Oculus Rift offerings ranged from a Mario-type platform game to a Matrix-style hallway shootout (complete with dodging bullets) to "Alien: Isolation," a game in which you must avoid being killed by nasty space aliens.

If you failed to elude your enemies in the "Alien" game, you ended up with a tail spike right through your chest. And yes, you could look down and see it as it happened. Eww.

The Project Morpheus games were a bit tamer and definitely less bloody. A simple castle scenario let you use PlayStation Move controllers to grab medieval weapons and smack around a practice dummy. When the real fight began, the weapons disappeared and you were suddenly left going hand to hand with a dragon, with predictable results.

A street-luge demo let players streak down a hillside while dodging traffic along the way. You could steer the luge by simply leaning left and right, and collisions merely slowed the player down instead of crashing them out of the game.

Mikhailov said there is a balance between what hardware developers want to deliver for VR and game developers' creative visions. He said Sony is experimenting with different types of games to find that sweet spot, but he admits he doesn't know what it looks like yet.

"There's clearly games that work well," he said during an E3 demo. "Street luge was surprising. You're traveling so fast, you'd think someone would get really motion sick, but no one ever has."

Iribe said Oculus delivered 60,000 developer kits for the first version of its headset and will send another 40,000 for the second. With so many pieces of test hardware in the hands of creative people, finding that elusive game that can deliver on VR's promise may be only a year or two away.

Sony Worldwide Studios president Shuhei Yoshida said independent game designers may be the key to reaching this goal, with an assist from Oculus.

"We weren't able to provide many dev kits until after GDC," Yoshida said, referring to the Game Developers Conference three months ago. "But many developers, especially indie, already were working on something cool using Oculus."

The mathematics of developing games for Oculus or Sony is pretty much the same, he said, meaning that game creators will easily be able to make entertainments for both headsets.

Oculus director of developer relations Aaron Davies said that as more people get their hands on VR prototypes and discover what they can do, the more the industry sees the technology's potential.

"I like to give people about 15 minutes when they come out of it (VR)," Davies said. "They're thrilled with the experience and they see where it is going, but then it takes some time for them to realize how it is going to change the world. And that's what's fun."

@highlight

Makers of virtual-reality headsets say that games, not consoles will drive the VR experience

@highlight

Sony and Oculus are the two early leaders in developing VR systems

@highlight

Reps from both companies demoed their headsets at E3, the gaming show