LONDON, England (CNN) -- It is news that will be greeted with despair and joy in equal measure in family homes across the globe -- Computer games might be good for children. According to scientists at Brunel University in West London, "young people can experience huge benefits from participating in multi player online role playing games".

Children playing online games have their imaginations stimulated, not stunted.

On the one hand, parents will be pleased to learn that their offspring aren't wasting their time as they sit boggle-eyed in front of a computer screen, and may actually be learning important life skills needed in adulthood.

But on the other, it's just another excuse for their children to spend hour upon hour locked away in their bedroom neglecting school studies and family duties. Still, there's always the off switch.

Dr Simon Bradford and Nic Crowe of Brunel University's School of Sport and Education have just completed a three-year study of 13-16 year olds playing Runescape -- a massively popular online with over nine million members worldwide.

The findings are in contrast to ongoing criticism that children are spending too much time indoors -- either voluntarily watching television and playing computer games or at the request of concerned parents afraid to let them play in the street or in parks, where they could be the victim or a perpetrator of crime.

This so-called "bedroom culture" is, it is often argued, creating a generation of monosyllabic, culturally illiterate group of youngsters who are ill-prepared for the impending roles and responsibilities of adulthood.

Researchers have found that far from constricting young people's imagination, Runescape and similar multiplayer virtual games enhance brain activity. They offer an opportunity to experiment with different identities such as gender, race or ability. Gamers can also benefit from opportunities that they may not have access to in the real world.

"Virtual environments, like Runescape," says Nic Crowe, "form important new leisure spaces for the many young people who occupy them. In the real world, where streets or town centers have become inaccessible to many young people or are considered risky by them or their parents, it is not surprising that virtual public space has become increasingly attractive as a leisure setting."

Runescape is one of the most popular multiplayer online role-playing games (MMORPG) and attracts all age groups, but is particularly popular with teenagers. Players can explore a virtual world which takes its inspiration from children's fantasy games and books -- think Dungeons and Dragons and JRR Tolkien's Lord of the Rings -- incorporating dungeons, vast landscapes, forests and towns, with monsters to slay, quests to complete and treasure to find. The Runescape website describes the game as "an evolving world of remarkable depth and flexibility".

"Our research", says Nic Crowe, "explored how Runescape's appeal lay in the provision of an environment in which young people can experiment (symbolically) with the cultural institutions and structures of the material world -- a space in which young people can establish their presence, identity and meaning in ways that might not be accessible or permissible in their everyday lives."

Runescape isn't just about combat. If you don't want to fight the monsters you can take on the role of a craftsman providing the tools of battle. Players can also trade goods and services and build up skills through interaction with other characters.

The study revealed that many of the players were entrepreneurial, engaging in business deals online. Dr Simon Bradford says "At a time when emerging technologies such as the Internet, and computer games in particular, continue to be subject to suspicion and concern, it is important that we also recognize the benefits of what is an increasingly popular and important activity for our young people."

The Brunel University research findings follow hot on the heels of claims by computer giant IBM that online games are helping to groom future business leaders. Multiplayer online games are teaching children the core skills which are required to lead a team.

Online games like Runescape, World of Warcraft and Everquest allow players to join forces and work in closely-knit teams to achieve a goal that may take hours or sometimes weeks to complete.

With the help of Stanford University, Massachusetts Institute of Technology and Seriosity (a company who specialize in computer work solutions) IBM's research paper "Virtual Worlds, Real Leaders" suggests that MMORPG's can train leaders to deal with motivational, social and emotional needs of their team.

"If you want to see what business leadership may look like in three to five years, look at what is happening in online games," says Byron Reeves, professor of communication at Stanford University.

According to IBM, online games also give leaders the freedom to fail and to experiment with different approaches which, they say, is something that any Fortune 500 company that hopes to innovate needs to understand.  E-mail to a friend

@highlight

Three-year study of 13-16 year olds playing online game Runescape

@highlight

Virtual environments are important new leisure spaces for young people

@highlight

Online games give leaders the freedom to fail and to experiment