(CNN) -- Japanese authorities are expected to announce Friday that a "cold shutdown" has been achieved at the Fukushima Daiichi nuclear power plant.

That would mean the plant's crippled reactors have stayed at temperatures below the boiling point for some time.

The announcement is a symbolic milestone. But experts say it will take years -- perhaps decades -- to fully clean up the worst nuclear disaster since Chernobyl.

The plume of radioactive particles that spewed from Fukushima Daiichi -- where reactor cooling systems failed in the aftermath of Japan's devastating earthquake and tsunami in March -- displaced about 80,000 people who lived within a 20-kilometer (12.5-mile) radius of the plant, as well as residents of one village as far as 40 kilometers to the northwest. The government has yet to determine when those evacuated can return to their homes.

Significant work -- with significant risks -- remains to be done at the plant.

"This is far from over, and the work will go on for a long time," Tokyo Electric Power Co. President Toshio Nishizawa told CNN this week.

Citing government sources, Japan's Kyodo News agency reported Thursday that scrapping crippled reactors at the plant could take up to 40 years.

In October, a spokesman for Tokyo Electric -- which owns the plant -- said temperatures in the three reactors where meltdowns occurred had already been brought down below 100 degrees Celsius (212 degrees Fahrenheit), but the company would have to maintain those conditions for some time before declaring the reactors in cold shutdown.

"They're making this out to be some big milestone, some big thing. But the reality of this is that it's not," said Michael Friedlander, a former senior operator at U.S. nuclear power plants. "The problem is, with these reactors and the condition that they're in, to suggest that they're in cold shutdown really doesn't do justice to the situation. They're no safer today than they were basically in June."

Officials could start removing spent fuel rods from the facility next year, but it could be up to a decade before they are able to access the reactor vessels, he said.

"They'll probably spend two or three years studying it," he said.

Jack DeVine, who helped lead the cleanup of the Three Mile Island nuclear plant after the 1979 partial meltdown there, said the cold shutdown likely means officials may have one less thing to worry about. If they don't have to use as much water to cool the reactors, they also don't have to worry about what to do with contaminated cooling water -- one of many problems that have plagued workers at the crippled plant.

"It's not like there's a dramatic difference. It's just a gradual incremental difference that does make life easier," he said.

The earthquake and tsunami on March 11 killed more than 15,000 people in northeastern Japan. The country was on edge for weeks as cooling systems failed and utility and government employees scrambled to prevent a nuclear catastrophe at the six-reactor Daiichi plant, located about 240 kilometers (150 miles) north of Tokyo.

Hydrogen explosions blew apart the No. 1 and No. 3 reactor housings, while another hydrogen blast is suspected to have damaged the No. 2 reactor. Fires believed caused by heat from the No. 4 spent fuel pool damaged that unit's reactor building.

Japan's Nuclear and Industrial Safety Agency eventually categorized the accident as a level-7 event -- the highest level on an international scale for nuclear disasters -- putting it on par with the 1986 Chernobyl disaster.

"We are going to check each reactor properly and determine what is going to happen to those left," Nishizawa, the Tokyo Electric president, said Wednesday.

Removing spent fuel rods is the next step, but officials need to further survey the area before that happens, he said.

"We are considering sending a robot into the fuel tanks to really have a good idea (about) the situation. This will be necessary when we take out the fuel," Nishizawa said. "But I don't believe what we see will be 180 degrees different from our simulations. But as we say, seeing once is better than hearing 100 times, so we will have a good look at what's happening inside."

At Three Mile Island, where damage was less severe and only one reactor was affected, it took two and half years before officials were able to get inside the reactor to assess it, DeVine said. At Fukushima Daiichi, that process will likely take much longer, he said.

"I think in terms of what's ahead, it's still the daunting task that it's always been, which is first of all, figuring out where everything is. ... They're going to be searching for and finding pieces of fuel, chunks of molten material that have now cooled, through all of that rubble," he said.

CNN's Catherine E. Shoichet and Matt Smith in Atlanta, and Licia Yee in Tokyo contributed to this report.

@highlight

The announcement means temperatures have stayed below the boiling point

@highlight

Experts say significant work -- with significant risks -- remains to be done

@highlight

Kyodo News: Scrapping crippled reactors could take 40 years

@highlight

80,000 people who lived near the nuclear plant remain displaced