(CNN) -- The U.S. Department of Homeland Security expects "threats of retaliation" from al Qaeda in the aftermath of Osama bin Laden's death, a department official told CNN early Monday.

"We certainly anticipate threats of retaliation -- this is an organization that declared war on the United States more than a decade ago. Threats from al Qaeda are not a new phenomenon," the official said.

The United States put American diplomatic facilities around the world on high alert and issued a global travel warning for Americans shortly after President Barack Obama announced that the terrorist leader had been killed in Pakistan by U.S. special operations forces.

"Given the uncertainty and volatility of the current situation, U.S. citizens in areas where recent events could cause anti-American violence are strongly urged to limit their travel outside of their homes and hotels and avoid mass gatherings and demonstrations," the State Department said in a worldwide travel warning issued early Monday.  "U.S. citizens should stay current with media coverage of local events and be aware of their surroundings at all times."

The federal government remained at a "heightened state of vigilance," but the Department of Homeland Security has no plans to raise the national terrorism threat level, Secretary Janet Napolitano said.

"I have been clear since announcing NTAS (National Terrorism Advisory System) in January that we will only issue alerts when we have specific or credible information to convey to the American public," she said in a written statement, which also acknowledged the likelihood of an "evolving threat picture both in the coming days and beyond."

At the U.S. Capitol, "there have been increased foot patrols, exterior building checks and the strategic placement of personnel, all cautionary while the intelligence community measures the possibility of anti-American response," Senate Sergeant at Arms Terry Gainer said via e-mail. "There are no present indications of problems."

A law enforcement official says a joint FBI-Homeland Security advisory went out to state and local law enforcement entities Sunday night. The official said the advisory is an effort to urge law enforcement to be on the watch for possible retaliation.  But there is no specific threat information. The official said the advisory stresses to be on the lookout for any homegrown plots.

The official said the heads of all the FBI field offices have also been told to "keep in mind the significance of the news" about bin Laden and watch out for any possible activity in their regions. The official said this means if they have open terrorism-related investigations that they should pursue interviews and other leads.

The U.S. Embassy in Islamabad, Pakistan, and its consulates in Lahore, Karachi and Peshawar were closed Monday to routine business, the embassy said in a statement. The embassy warned U.S. citizens "of the possibility of violent protests and demonstrations in major cities of Pakistan," specifically near the embassy or consulates, or areas where Westerners are known to congregate.

In London, British Foreign Secretary William Hague ordered his nation's embassies to review their security, saying this is usual procedure in such situations, the Foreign and Commonwealth Office said.

Egypt stepped up security for all flights out of the country, said Sameh Hefny, head of the country's Aviation Authority.

Israeli police have increased patrols around U.S. facilities and are prepared to implement heightened security measures in the event of demonstrations around U.S. diplomatic facilities, according to spokesman Micky Rosenfeld.

Interpol, the international police organization, urged law enforcement agencies in its 188 member countries to be on "full alert" for retaliatory acts, Secretary General Ronald K. Noble said.

Local U.S. authorities also took precautions.

Washington's public transit operator, the Metropolitan Area Transit Authority, increased the number of uniformed officers patrolling the system, said Metro spokeswoman Lisa Farbstein.

In New York, where al Qaeda used a pair of hijacked commercial jetliners to take down the twin towers of the World Trade Center on September 11, 2001, the Port Authority of New York and New Jersey said it was increasing police presence at all its facilities, including the site where the World Trade Center once stood, according to Chris Ward, executive director.

Both Farbstein and Ward said the steps were precautionary measures and not related to any specific threat.

Elizabeth Glazer, the deputy secretary of public safety for the state of New York, said all state agencies had been briefed on bin Laden's death and the possible ramifications.

"The public should rest assured that we are taking appropriate precautions and increasing our alertness," she said.

New York's police department was also on guard. Police Commissioner Raymond Kelly said there was no information to indicate a threat to the city, but "members of the service are reminded to remain alert."

Mayor Michael Bloomberg said the killing had not led to specific new threats.

"As of now I am happy to say there are no new immediate threats against our city," he said during statements at the site of the attacks on the World Trade Center. "But there is no doubt that we remain a top target and the killing of bin Laden will not change that."

The Philadelphia Police Department said it was doing hourly checks on mosques and synagogues.

On the West Coast, Los Angeles Council President Eric Garcetti said, "People are scared, people are afraid, people are worried that something is  going to happen now that Osama has been killed. " But he added, "We want to reassure folks today that this is a safe  city made safe by the vigilance of all people."

Authorities  urged citizens to report any suspicious activity or  behavior in the days and  weeks ahead to but refrain from reporting  suspicious-looking  people. "Our real counterterrorism strength  came from our partnership with the Muslim communities; we need to continue our  vigilance," said Los Angeles Police Deputy Chief Michael Downing.

The SITE Intelligence Group, which monitors online jihadist activities, said vague threats were posted on the Shumukh al-Islam forum, the exclusive outlet for official al Qaeda messages.

"America will reap the same if the news is true and false," said one posting on the website.  "The lions will remain lions and will continue moving in the footsteps of Osama," said another.

Adding to the concern is a Defense Department report released last week by the WikiLeaks website that a Guantanamo detainee had knowledge of al Qaeda possibly possessing a nuclear bomb somewhere in Europe.

The detainee, Abu al-Libi, said he was told by al Qaeda associate Sharif al-Masri that he believed if bin Laden were captured or killed "the bomb would be detonated" in the United States.

Al-Libi said al-Masri told him during the summer of 2004 that the terrorist network was having difficulty moving the bomb, but if it could move it "al Qaeda would find operatives to use it."

CNN's Jill Dougherty, Kim Hutcherson, Jeanne Meserve, Susan Candiotti, Dana Bash and Carol Cratty contributed to this report.

@highlight

Israel increases security around U.S. facilities

@highlight

Homeland Security has no plans to raise threat level, secretary says

@highlight

Washington Metro transit system increases uniformed patrols as precaution

@highlight

U.S. facilities worldwide are on heightened alert, and are closed in Pakistan