Cairo (CNN) -- Egypt's prime minister chaired an emergency meeting Monday after the worst violence to hit the North African nation since its revolution in February, promising a probe into what happened and vowing to ban all discrimination based on religion, language, gender or ethnicity.

The National Justice Committee meeting comes on the heels of clashes Sunday night involving army troops and pro-Coptic Christian protesters that left at least 25 people dead and 272 wounded, a health ministry official said Monday.

Reports indicated the death toll could be as high as 29 in violence that an army spokesman speculated may have been guided by a "hidden hand" associated with neither side.

Many of those killed were crushed by speeding military vehicles, said Dr. Adel al-Dawi of the ministry.

Those at Monday's meeting deemed the incident shocking and said it marked a "serious escalation" in tensions in Egypt, according to a statement from Prime Minister Essam Sharaf's office. It urged political and religious leaders to together take responsibility for the nation's security, while alluding to possible threats from conspiracies and sedition.

Specifically, the committee established a fact-finding commission that will look at the incident and punish those responsible. It also set a two-week deadline to establish a framework for a law to mandate a uniform process for permitting and construction of houses of worship -- regardless of religious denomination.

The committee also said the government would institute a law imposing jail time and a fine on anyone found guilty of discriminating against others based on religion, language, gender or ethnicity.

Hours earlier, Sharaf acknowledged the divisions, and mounting security concerns, in a speech on state television.

"Instead of going forward, we found ourselves scrambling for security," the minister said, noting that the incident had produced "martyrs, both civilian and from the military."

Tensions remained high Monday, as hundreds of Coptic Christians rallied outside a hospital, chanting, "The army has its tanks, but we have our prayers." Some Muslims attended the rally in an expression of solidarity with Christians.

Egyptian security sources said stones were thrown at the rally, but a CNN reporter saw no evidence of that.

Elsewhere in Cairo late Monday, another crowd of Muslim demonstrators gathered, chanting, "Muslimiya! Muslimiya!" to express their unhappiness with the Copts.

Sunday's violence was an escalation after months of rising sectarian tension between Muslims and the Coptic Christian minority. September 30 destruction at a Coptic church site in southern Egypt heightened emotions. The Copts protested Sunday to demand that the military provide equal protection for Coptic places of worship.

How the violence broke out was unclear. Some protesters said stones were thrown by people in civilian garb who were carrying sticks and machetes. Alla Mahmoud, an Interior Ministry spokesman, said that some protesters began "firing live ammunition at the army."

Demonstrators said they were marching peacefully toward the Egyptian state television building when the violence erupted.

"Suddenly, we were attacked by thugs carrying swords and clubs," protester Magdi Hanna told CNN on Sunday.

The January 25 youth revolution coalition, which has been involved in various anti-government protests, including Sunday's demonstration, denied that any participants shot at the Egyptian forces.

Samir Bolos, one of the demonstrators, added Sunday that "some unknown people may have fired at the army, but not us."

Witnesses said the army fired on the protesters near the state television headquarters. Meanwhile, military trucks could be seen burning on the street.

Sherif Doss, head of Egypt's association of Coptics and a spokesman for the Coptic Church, said 17 civilians died and 40 were wounded in the altercation. He said the church's highest official, Pope Shenuda III, denounced the violence and blamed it on outsiders. "Strangers infiltrated the demonstration and committed the crimes for which the Copts have been blamed," the church said in a statement.

Twelve army troops were killed and more than 50 were wounded, according to Lt. Col. Amr Imam, a military spokesman. He said this was "first time protesters fired at the army."

"There must be a hidden hand behind this," Imam said. "Egyptians don't do that."

Doss said he and other Coptics "demand that the army checks the bullets used on the killed soldiers. They are probably military bullets. We do not have weapons."

Though individual Muslim women outside a hospital wiped tears from the cheeks of Coptic women whose relatives died Sunday, it was unclear whether -- at a state level -- the military-run government has the will to address the problem or the wherewithal to run a country of nearly 90 million people.

In May, during another outbreak of sectarian violence, a National Justice Committee was formed to mitigate sectarian strife. Several committee members resigned in protest, saying they government has done too little to address the mounting problems.

Since then-President Hosni Mubarak's ouster in February, the country remains unstable. The economy is struggling, tourism has yet to rebound and the stock market has dropped.

U.N. Secretary-General Ban Ki-moon, U.S. President Barack Obama, European Union foreign policy chief Catherine Ashton and British Foreign Secretary William Hague expressed concern about Sunday's violence.

"Now is a time for restraint on all sides so that Egyptians can move forward together to forge a strong and united Egypt," the White House press secretary said in a statement. "As the Egyptian people shape their future, the United States continues to believe that the rights of minorities -- including Copts -- must be respected, and that all people have the universal rights of peaceful protest and religious freedom."

The statement noted that Sharaf has called for an investigation. "These tragic events should not stand in the way of timely elections and a continued transition to democracy that is peaceful, just and inclusive," it said.

Ashton said Monday that she was "extremely concerned by the large number of deaths and injuries," while Hague condemned the loss of life.

Coptic Christians, an ancient sect, make up about 9% of Egypt's population, according to the U.S. State Department.

They have suffered serious violence in recent months.

A Coptic church in the city of Alexandria was bombed on New Year's Day, killing 23 people -- the deadliest attack on Christians in Egypt in recent times.

Clashes involving Coptic Christians in May left at least 12 dead.

Egypt's Coptic Christians base their theology on the teachings of the Apostle Mark, who introduced Christianity to Egypt, according to St. Takla Church in Alexandria, the capital of Coptic Christianity.

The religion split with other Christians in the 5th century over the definition of the divinity of Jesus Christ.

The U.S. Commission on International Religious Freedom, an independent bipartisan federal agency, added Egypt this year to a list of countries named as the worst violators of religious freedom.

There has also been mutual support between the minority Christians and majority Muslims in Egypt, with reports of Christians protecting anti-Mubarak Muslim demonstrators when they stopped for daily prayers during the uprising.

CNN's Kamal Ghattas contributed to this report.

@highlight

NEW: Egyptian leaders to push a law mandating equality for building places of worship

@highlight

NEW: The pledge comes after an emergency meeting led by the prime minister on new violence

@highlight

The death toll from Sunday's clashes rises to at least 25; more than 270 are wounded

@highlight

A Coptic leader faults outsiders for the clash between troops and protesters