(CNN) -- Barely 120 years old, Johannesburg is suffering from growing pains as it goes through an awkward adolescence.

Johannesburg is a city built on gold.

It's a city still trying to recover from the injustices of apartheid and if progress can sometimes seem slow, it's worth remembering that it's only been 15 years since apartheid was finally laid to rest.

Rebuilding will take time, but Johannesburg is a pragmatic city. Its endless urban sprawl won't win any beauty contests but this place has always been more about economics than aesthetics. That's because Jo' burg is a city built on gold.

The metropolis was nothing but grassy farmland until prospectors struck gold a few kilometers away in 1886. Its once-abundant gold reserves helped Jo' burg grow into the largest city in South Africa and become the capital of the province of Gauteng -- a Sotho word meaning "place of gold."

Watch Hugh Masekela take CNN on a tour of Johannesburg »

While modern day Jo' burgers prefer to look to the future, it will be a long time before the city shakes off the memories of its troubled past. Places like Soweto -- the township that was the site of the 1976 uprisings that marked the beginning of the end of white rule -- will always be associated with apartheid.

Conditions in Soweto are still tough and townships like Alexandra remain desperately poor. It's true that Jo' burg has a growing black middle class, but it also has a growing divide between its haves and have-nots.

After South Africa's first democratic elections in 1994 Johannesburg experienced a new, unofficial apartheid as businesses moved away from downtown to the city's wealthier, whiter, northern suburbs, leaving the city center a shadow of its once dynamic self.

But things are changing. Numerous urban development projects, many intended to ready the city for the 2010 World Cup, are reinvigorating the heart of Jo' burg. The city is getting an extensive new bus system, and the much-touted Gautrain is a high-speed train line that will link Jo' burg and Pretoria.

The Newtown area is growing as a cultural center, with art galleries, theaters and dance venues, and Constitution Hill, once the site of a prison that held Mahatma Gandhi and later Nelson Mandela, has been converted into the country's highest law court and a tourist attraction, with exhibitions dedicated to its unsavory past.

The most cosmopolitan city in Africa, Jo' burg has always been thoroughly multicultural, but a wave of xenophobic attacks in May 2008 highlighted the tension between locals and the huge number of African immigrants who have moved to the city, attracted by its relative economic vigor.

The violence did nothing to help the city's international reputation. Where Jo' burg was once associated with apartheid, it has now become associated with crime.

Lurid tales of carjacking and daylight mugging have created an image of a lawless sin city, but although places like Hillbrow remain no-go areas at night, progress is being made in the war on crime. Nonetheless, the fear of crime remains potent and Jo' burg's future as a tourist destination depends on addressing the problem.

If Jo' burg is a work in progress there's no doubt that much remains to be done, but it's a young city with a young population eager to take the opportunities past generations were denied.

The eyes of the world will be on South Africa in summer 2010 and Jo' burgers are keen to use the World Cup to demonstrate how far their city has come and to show the world that the future is bright for the city of gold at the heart of the rainbow nation.

@highlight

Johannesburg is a young city, still recovering from the injustices of apartheid

@highlight

The city was just grassy farmland until prospectors struck gold in 1886

@highlight

Many urban development projects are reinvigorating the heart of Jo'burg

@highlight

The 2010 World Cup is a chance to show how far Johannesburg has come