Editor's note: Uwe Reinhardt is James Madison professor of political economy at Princeton University's Woodrow Wilson School. From 1986 to 1995 he served as a commissioner on the Physician Payment Review Committee, established in 1986 by Congress to advise it on issues related to the payment of physicians.

Uwe Reinhardt says health costs are rising at unsustainable pace, gobbling up middle-class incomes.

(CNN) -- Watching the angry outbursts at town hall meetings on health reform and the continuing public ambivalence about current efforts to reform our health system almost makes me wish that the reform effort fails.

Perhaps Americans need to be taught a basic lesson on the economics of employment-based health insurance before they will feel as smugly secure with it as they do now and before they will stop nitpicking health-reform efforts to death over this or that detail.

And America's currently insured middle class will be increasingly desperate if health reform fails. Millions more such families will see their take-home pay shrink. Millions will lose their employment-based insurance, especially in medium and small-sized firms. And millions will find themselves inexorably priced out of health care as we know it.

Milliman Inc., an employee benefits consulting firm, publishes annually its Milliman Medical Index on the total health spending by or for a typical American family of four with private health insurance. The index totals the family's out-of-pocket spending for health care plus the contribution employers and employees make to that family's job-related health insurance coverage.

The Milliman Medical Index stood at $8,414 in 2001. It had risen to $16,700 by 2009. It is likely to rise to $18,000 by next year. That is more than a doubling of costs in the span of a decade!

Since 2005, the index has grown at an average annual compound rate of 8.4 percent. Suppose we make it 8 percent for the coming decade. Then today's $16,700 will have grown to slightly over $36,000 by 2019.

Economists are convinced that this $36,000 would come virtually all out of the financial hides of employees, even if the employer pretended to be paying, say, 80 percent of the employment-based health insurance premiums. In the succinct words of the late United Automobile Worker Union leader Douglas Fraser:

"Before you start weeping for the auto companies and all they pay for medical insurance, let me tell you how the system works. All company bargainers worth their salt keep their eye on the total labor unit cost, and when they pay an admittedly horrendous amount for health care, that's money that can't be spent for higher [cash] wages or higher pensions or other fringe benefits. So we directly, the union and its members, feel the costs of the health care system." ("A National Health Policy Debate," Dartmouth Medical School Alumni Magazine, Summer 1989: 30)

Unfortunately, very few rank-and-file workers appreciate this fact. Aside from their still modest out-of-pocket payments and contributions to employment-based insurance premiums, most employees seem sincerely to believe that the bulk of their family's health care is basically paid for by "the company," which is why so few members of the middle class have ever been much interested in controlling health spending in this country.

The price for that indifference will be high. If efforts at better cost containment fail once again, and health care costs rise to $36,000 on average for a typical American family of four under age 65 -- as almost surely it would -- that $36,000 will be borne entirely by the family. That family's disposable income would be much higher if the growth of future health spending was better controlled. And, as noted, many smaller firms will stop altogether providing job-based health insurance.

It would be a major problem for families with an income of less than $100,000 a year. In 2007, only about 25 percent of American families had a money income of $100,000 or more. Close to 60 percent had family incomes of less than $75,000.

Here it must be remembered that the wages and salaries of the solid American middle class have been relatively stagnant in recent years and are likely to remain so for the next decade. Unemployment is not likely to fall significantly soon, regardless of what stock prices do on Wall Street. Indeed, often stock prices rise as firms lay off workers to drive up profits through leaner payrolls.

This prospect -- relatively stagnant family incomes combined with family health-care costs that double every decade -- is what America's middle class should contemplate as it thinks about the imperative of health reform.

It is a pity that this central issue seems to have been shoved aside by mendacious distortions from Sarah Palin, Betsy McCaughey, Rush Limbaugh and other extremist commentators seeking to frighten Americans with their prattle about "death panels" and "pulling plugs on granny" that no bill before Congress even remotely envisions.

The opinions expressed in this commentary are solely those of Uwe Reinhardt.

@highlight

Uwe Reinhardt: Consider what will happen if health reform fails

@highlight

He says health costs have already doubled in a decade

@highlight

Reinhardt says dollars spent on health care come out of wages for middle class