(CNN) -- "We don't really care what the federal government wants to call us," Aran Rush was saying the other afternoon. "We know that we're a good place."

Rush is the executive director of the convention and visitors bureau in Sioux City, Iowa, and we were discussing what has happened to the little airport with the big problem.

The problem was never the airport itself. By all accounts, Sioux Gateway Airport, serving Sioux City and the surrounding area in northwest Iowa, northeast Nebraska, eastern South Dakota and far southern Minnesota, is a fine facility.

But the three-letter identifier -- the three capitalized letters that appear on baggage-claim tags, that are used nationwide to refer to the Sioux City airport, that pilots and air-traffic controllers use to designate Sioux City -- has long been a headache for the town.

Every city, in this era of marketing and branding, likes to present itself as something special -- a destination that is sparkling and inviting, a wonderful place for families to settle in, or for businesses to set up shop.

So, to the dismay of Sioux City, it has not been especially helpful that, for as long as there has been commercial air travel into the town, travelers have glanced at the tags on their checked baggage and have noticed that the official designator for the town is:

SUX

Yep. Generations ago, federal aviation regulators gave Sioux City that identifier. It was a shortened version of "Sioux." That was in the years before those three letters took on a somewhat unfortunate tone.

Los Angeles International Airport was LAX; O'Hare International Airport in Chicago was ORD; LaGuardia in New York was LGA; Sioux City was SUX.

No big deal.

Until it was.

No city, no airport, wants to be connected to those letters. It's not a great calling card, not an ideal howdy-do to the world beyond the town's borders. Many people find the word (however you spell it) offensive -- and if you, by chance, think the word is not very nice, try to consider how the proud citizens of Sioux City have felt.

On two occasions -- in the 1980s, and again at the beginning of this century -- Sioux City earnestly and formally petitioned the Federal Aviation Administration to change the letters. The word just wasn't doing the town any good.

On both occasions, nothing happened. I covered Sioux City's second attempt to get rid of SUX; a spokeswoman for the FAA at the time signaled to me that the town's odds of getting three new letters were slim.

The Sioux City airport director at the time told me the FAA informed him that the only reason it would change a three-letter identifier was for safety considerations. He conceded that he didn't know how SUX could be construed as a safety issue, "unless pilots are laughing so hard when they hear it that it distracts them from doing their job."

The reason I got back in touch with Sioux City's leaders last week is that recently the federal government has shown it will speedily get involved in aviation-related issues when it wants to. Congress stepped in to ease air-traffic delays caused by federal spending cuts; the Department of Homeland Security and the Transportation Security Administration, to put travelers' minds at ease, backed off on its plan to allow passengers to bring small knives onto planes.

So I wondered if Sioux City was still trying to persuade the government to allow it to get rid of those three dreaded letters

"We decided to go completely the other way," said David Bernstein, president of the airport's board of trustees. "The FAA wasn't going to change it, so it wasn't going to do us any good to whine about it."

Thus, the town made a bold decision:

It would embrace the SUX designator. It would make it part of Sioux City's charm -- a whimsical part of the civic personality.

T-shirts were printed up with those three capital letters on the front; hats and postcards and coffee mugs and balsa-wood airplanes and silver-wing pins were manufactured, all jauntily bearing the letters. On I-29 between Sioux City and Omaha, Nebraska, a big billboard was rented, displaying, in huge type, those letters, as a way to lure passengers to the airport in Iowa instead of the one in Nebraska.

"In warm weather, you can walk around Sioux City and see people wearing the T-shirts all the time," Bernstein said. "At our coffee shop in the airport, between one-third and one-half of net revenues come from the sale of items with those three letters on them."

The city -- in the words of tourism director Rush -- has "very successfully made lemonade out of some lemons. Our treating the situation with good humor has emblemized the spirit of Sioux City -- one of grit and determination, something no label from the government can change." The airport commission's Bernstein said that "it's better to be memorable than to have three initials no one can really recall."

In fact, in the spirit of all this, the town ended up renaming the official website for the airport; it is now www.flysux.com.

And who, on a national scale, can argue with that message? These days, with overcrowded planes, long security lines and hefty fees to check baggage, flying often really does ... well, you know.

What will Sioux City do about the letters in future years? It could once have sought counsel from two of the most famous people ever born there: twin sisters Ann Landers (Eppie Lederer) and Dear Abby (Pauline Phillips), who left Sioux City to become the two most renowned newspaper advice columnists in history. But both have passed away, and are no longer available for commiseration.

So the town is on its own. The mayor, Bob Scott, a lifelong resident, told me that he wants the world to know that Sioux City doesn't do what those three letters on the baggage tags says. It is, he said, a great place to live, "and we're thankful for that."

He sends emphatic word to potential visitors that they will be warmly welcomed:

"Absolutely. We'd love to have them.

"And," the mayor said with a laugh, "they can buy a T-shirt."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: The acronym for Sioux City's airport has long been a headache

@highlight

Greene: The city tried to change it, but FAA would only act if it was a safety issue

@highlight

So the city "very successfully made lemonade out of lemons"

@highlight

Greene: Now you can buy SUX postcards and mugs and proudly wear SUX T-shirts