(CNN)Before you dismiss President Obama's proposal of two years of free community college as frivolous government spending, let me toss a number out at you: 500%.

That's roughly how much college costs have increased between 1985 and today.

Compare that with wages, which have increased by about 140% over the same time period and you begin to understand why Americans owe $1.4 trillion in student loan debt.

Had the rise in college costs stayed in line with the inflation, the $10,000 to send your kid to school in 1985 would have been $21,947.12 today. Instead it's over $50,000.

If college was still a luxury, like say a Mercedes-Benz, then sure, dismiss the high price as a personal problem. But it's important to point out that while much of the 2012 presidential debate focused on the economy and job creation, employers were sitting on 3 million unfilled jobs because Americans didn't have the skills needed to fill them. By 2020, one third of all new job openings will require some postsecondary education, according to a study conducted by Georgetown University.

If you still think a proposal to make community college free is just a liberal handout, then you're living in the past. The reality is bachelor degrees are the high school diplomas of the 21st century. And whether you like President Obama or not is irrelevant, because the skills gap that has been a drag on our economy is not go away after 2016.

Neither will the postsecondary sticker shock that discourages people from trying to get the skills necessary to be employable in any field beyond those found in the low-paying service industry. Any White House hopeful who talks about creating jobs at a campaign stop but fails to mention the cost of a college education is just a windbag looking for applause.

President Obama's domestic policy hasn't been perfect, but he's quietly pushed through a number of measures that have made college more affordable. For example, his administration doubled the money for Pell Grants, capped new loan payments at 10% of income and expanded education tax credits, providing up to $10,000 for four years of college tuition.

His latest proposal does not address the problem of runaway college costs. And it will take a degree of fiscal gymnastics to pay $3,800 in tuition for each of the 9 million students the administration is estimating would take advantage of the program. But it is a mistake to immediately shoot holes into the K-14 conversation and allow all the good it could do sink into the abyss of partisan gamesmanship.

The administration compares the long-reaching impact of free community college with that of the compulsory laws, which made school attendance mandatory, and the progressive era, which made high school more accessible. These were seminal moments in this country's workforce history.

Shifting the thinking around postsecondary education from a luxury to an integral part of citizenship would not only provide financial relief -- especially for families who are too rich to receive traditional aid and too poor to pay out of pocket -- but would keep our workforce competitive.

It would also help our economy.

Despite the addition of 252,000 new jobs in December and an unemployment rate of 5.6%, we know there are hundreds of thousands of people who have stopped looking for work because they do not believe there are jobs for them. We know there are millions who are working part time involuntarily. And we know there are 500,000 unfilled jobs in manufacturing alone -- good paying, full-time work waiting for workers with the right skills.

It is unlikely the newly christened Republican Congress will debate, let alone pass what Obama is proposing if for no other reason than he's the one proposing it. They will say if the President wants to create jobs he should green light the Keystone pipeline, as if the 35 permanent jobs projected to come from it will impact the unemployment rate.

Such is life in Partisan America, I guess.

If we're lucky, this proposal would open the door to a substantive debate that will unfold as Hillary Clinton, Jeb Bush, Mitt Romney and other presidential hopefuls look for ways to differentiate themselves from the pack.

Or maybe common sense would win out. By 2025, 55% of new jobs in Tennessee will require at least a two-year degree. Currently, only 32% of state residents have one.

In response, Gov. Bill Haslam introduced the "Tennessee Promise" scholarships last year, becoming the first state to make community college free. All students need to do is prove they are state residents, maintain a 2.0 GPA and do eight hours of community service per semester. Haslam, a Republican, understood that for his state to be competitive with the rest of the country, he had to address the looming skills gap.

This is the model the President hopes to replicate to keep the country competitive with the rest of the world. Paying for it will no doubt be a major sticking point for his critics. However, skirting this topic altogether will undoubtedly cost us all a lot more.

@highlight

LZ Granderson: President Obama's proposal of two years of free community college is smart

@highlight

Soaring college costs take a toll on Americans' education and skills, as well as our job market