(CNN) -- Like a momentary glitch on a flat-panel display, the attacks by hackers calling themselves "Anonymous" came and went. Visa, PayPal, MasterCard and Amazon report no significant damage, and business goes on as usual. The corporations acting to cut off WikiLeaks remain safe.

Although many are unsettled by the thought of a site such as WikiLeaks revealing state secrets or a group of anonymous hackers breaking the security of the banking system, events of the past week reveal that such threats are vastly overstated.

If anything, the current debacle demonstrates just how tightly controlled the net remains in its current form, as well as just what would have to be done to create the sort of peer-to-peer network capable of upending corporate and government power over mass communication and society itself.

While in the short term, WikiLeaks managed to create a public platform for a massive number of classified cables, the site itself was rather handily snuffed out by the people actually in charge of the internet. That's because however decentralized the net might feel when we are posting to our blogs, it was actually designed around highly centralized indexes called domain name servers.

Every time we instruct our browsers to find a web page, they ping one of these authorized master lists in order to know where to go. Removing WikiLeaks or any other site, group, top-level domain or entire nation is as easy as deleting it from that list.

The durability of WikiLeaks' disclosures rests less in the willingness of many rogue websites to attempt to host them in WikiLeaks' stead than in the sanctity of traditional news outlets such as The New York Times and Guardian of London, which were also sent the complete package of classified documents and can't be turned off with the online equivalent of a light switch.

Likewise, the server space on which our websites appear is owned by corporations that have the power -- if not the true right -- to cut anyone off for any reason they choose. It's private property, after all.

Similarly, our means of funding WikiLeaks is limited to companies such as Visa and PayPal, which immediately granted government requests to freeze payments and donations to WikiLeaks. It's the same way a rogue nation's assets can be frozen by the banks holding them.

Hackers, angered at this affront to the supposed openness of the internet, then went on the attack. They used their own computers -- as well as servers they had been able to commandeer -- to wage "denial of service" attacks on the websites of the offending companies.

Most of those companies, already armed with defensive capabilities designed to fend off intrusions from the likes of the Russian mob or the Red Army, survived unscathed. Only MasterCard was noticeably, if only temporarily, disrupted. Meanwhile, Facebook and Twitter quickly disabled accounts traced to those using the services to organize their minions.

And all this tamping down occurred on today's purportedly "net neutral" internet, which offers no real advantage to one corporate-owned server over any other.

We can only imagine the effect of these events on those who will decide on whether to maintain net neutrality or give in to the corporations that argue the internet's distributive capabilities should be reserved for those who can pay for such distribution, by the byte.

No, the real lesson of the WikiLeaks affair and subsequent cyberattacks is not how unwieldy the net has become, but rather how its current architecture renders it so susceptible to control from above.

It was in one of the leaked cables that China's State Council Information office delivered its confident assessment that thanks to "increased controls and surveillance, like real-name registration ... The Web is fundamentally controllable."

The internet's failings as a truly decentralized network, however, merely point the way toward what a decentralized network might actually look like.

Instead of being administrated by central servers, it would operate through computers that pinged one another, instead of corporate-owned server farms, and deliver web pages from anywhere, even our own computers.

The FCC and other governing bodies may attempt to defang the threat of the original internet by ending net neutrality. But if they did, such a new network -- a second, "people's internet" -- would almost certainly rise in its place.

In the meantime, the internet we know, love and occasionally fear today is more of a beta version of modeling platform than a revolutionary force.

And like any new model, it changes the way we think of the way things work right now. What the internet lacks today indicates the possibilities for what can only be understood as a new operating system: a 21st century, decentralized way of conducting political, commercial and human affairs.

This new operating system, even in its current form, is slowly becoming incompatible with the great, highly centralized institutions of the 20th century, such as central banking and nation states, which still depend on top-down control and artificial monopolies on power to maintain their authority over business and governance.

The ease with which PayPal or Visa can cut off the intended recipient of our funds, for example, points the way to peer-to-peer transactions and even currencies that allow for the creation and transmission of value outside the traditional banking system.

The ease with which a senator's phone call can shut down a web site leads network architects to evaluate new methods of information distribution that don't depend on corporate or government domain management for their effectiveness.

Until then, at the very least, the institutions still wielding power over the way our networks work and don't work have to exercise their power under a new constraint: They must do so in the light of day.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Attacks on companies that thwarted WikiLeaks did little damage

@highlight

He says net designed around central domain name servers; corporate owners easily control

@highlight

Server space providers, funders like PayPal, Visa are companies with power to pull plug, he says

@highlight

Rushkoff: Incident may drive interest in ways to send info free from corporate sway