(CNN) -- American airstrikes earlier this month during a western Afghanistan battle with Taliban militants may have killed up to 30 civilians, an interim U.S. military report said on Wednesday.

Villagers sit near the graves of victims of airstrikes in Garni, in western Farah province.

The report is part of an ongoing investigation into a fight in Farah province, where villagers reported civilian casualties as a result of U.S. bombing runs on May 4.

"A review of the physical evidence is inconclusive in determining the exact number of civilian and insurgent casualties," the military said in a statement detailing the report.

"In all, the investigation team estimates that 60-65 Taliban extremists were killed in these engagements, while at least 20-30 civilians may have been killed during the fighting. The investigators continue to attempt to better confirm casualty numbers."

The report was released amid widespread dismay and anger in Afghanistan over several incidents of civilians caught in the crossfire of the war between international and Afghan forces, and Taliban militants.

As the report was released, NATO's command reported that a Tuesday airstrike caused casualties among civilians it says were held as human shields by insurgents in the southern Afghanistan province of Helmand.

Complicating the U.S. military effort to determine an accurate death toll for insurgents and civilians in the Farah incident is the fact that Muslims quickly bury their dead and the Taliban don't wear traditional uniforms.

The military statement said that incident began when "a large number of Taliban fighters" came to the villages of Ganj Abad and Grani on May 3 and demanded payments from village officials. The military said there were reports that militants executed three former officials of the government of the Islamic Republic of Afghanistan.

Afghan National Police and soldiers embarked on an operation to oust the Taliban militants, the report said. When police approached Grani, they were ambushed and five police died. That prompted the local governor to call in coalition troops.

As coalition and Afghan troops worked to help the police, Taliban militants fired on those forces. During this fight, the coalition called in F/A-18 air support to counter enemy fire and rescue a wounded Afghan soldier trapped by Taliban fire. That soldier, a first sergeant, was hustled to safety by coalition and Afghan troops.

"Following this, one B-1 provided fires in coordination with the ground commander on buildings and a tree grove insurgents were firing from or massing in," the military said.

Afghan and U.S. forces remained in the area until morning and saw the return of villagers who fled the area before fighting.

A U.S. military source, who requested anonymity because the full investigation has not been made public, said a review of combat camera footage and cockpit audio recordings indicates three F/A-18s and a single B-1 bomber took sequential turns over Farah province during the fighting.

The B-1 dropped three bombs and the F/A-18s dropped five, the official said.

The military statement said video "clearly depicts insurgents entering the buildings, which were then targeted in the final strikes of the fight."

"Combined with audio recordings of the ground commander and air crew conversations, the investigators were able to confirm that the insurgents fleeing from the firefight were regrouping in several small rural buildings, which were then subsequently destroyed."

The source said civilian deaths were "most likely" accidental.

Military investigators who went to the region found one grave site with 22 fresh mounds and another site with four. They also went to a mass grave, but could not determine how many people were buried there.

Military investigators thought it was an insurgent grave site, because the mass grave was not pointed toward Mecca -- usual for Muslim burials -- and did not have the markings of a traditional grave of the region, the official said. Insurgents usually are buried in that untraditional manner, the U.S. military source said.

In the past, the U.S. military has paid compensation to victims' families and intensely criticized the Taliban for holding civilians in conflict zone -- and did so again on Wednesday.

"We regret the loss of any civilian life and express our condolences to the families who lost loved ones in this fighting with insurgents firing from and regrouping in villagers' homes," said Col. Greg Julian, a U.S. military spokesman.

"We continue to work closely with the Afghan National Security Forces to bring security and progress to Afghanistan, and to do everything we can to avoid civilian casualties. We strongly condemn the Taliban for their brutality in deliberately targeting and using civilians as human shields."

NATO's International Security Assistance Force said on Wednesday that an airstrike targeting militants in Helmand province caused civilian casualties and said possibly eight civilians died.

The incident occurred in Nawa -- south of Lashkar Gar in Helmand province on Tuesday, and it began when about 25 insurgents attacked an ISAF patrol.

Troops called in air support during what ISAF called a "dangerous situation," and an aircraft dropped "one piece of ordnance, which ended the engagement."

"The ISAF troops, however, were not aware that the insurgents were once again using civilians as human shields. If this information had been known by ISAF troops, no ordnance would have been used," ISAF said. "This terrible incident again shows the insurgents' blatant disregard for the lives of Afghan people."

The bombing happened about 8 a.m. Wednesday (0430 GMT) on the road between Kabul and Bagram.

The attack was under investigation, a military statement said. Further information was withheld, pending notification of next of kin.

CNN Pentagon Correspondent Barbara Starr contributed to this report.

@highlight

U.S. airstrikes in Afghanistan killed 30 Afghan civilians, U.S. says

@highlight

Deaths of civilians in airstrikes this month were "likely" accidental, U.S. says

@highlight

Civilian casualties politically sensitive for government of President Karzai