Jerusalem (CNN) -- The most complicated neighborhood in the world is even more uncertain these days, and what you see ranges from breathtaking to heart-stopping.

In Ramallah, West Bank, there are fancier cars and more economic activity than when I last visited five years ago.

That isn't the only big change: In the early days of the Obama presidency the new American president inspired hope across the Arab world. Now, there are posters and protests critical of the president, and some harsh words from everyday Palestinians.

Gaza, though, makes Ramallah look like a booming metropolis. It takes only a few yards past the Hamas checkpoint to wonder whether you stepped through a time portal: There are carts drawn by donkeys and horses, and poverty that makes you cringe.

Palestinians: The big divide

In Gaza City, a billboard reminds you only fools get optimistic about prospects for peace here: It is a celebration of the Hamas military wing that is responsible for, among other things, rocket attacks in Israeli communities.

It doesn't have to be this way: We visited a soda bottling plant and a furniture factory that offer economic hope. But the owners of both say employment is way down -- from 150 people to 20 at the furniture factory -- because they can no longer export through Israel and have trouble getting supplies.

Just about everyone in Gaza blames Israel. But several passersby, after nervously looking around, also told me Hamas shared some of the blame for making peace such a distant hope.

This will linger: the smiles and jokes from children who came to say hello and get some candy from my CNN colleague Tasha Diakides. Their eyes still sparkle with hope, a counterbalance to the violent graffiti and posters that make one worry if the leaders here can ever set aside their hate and mistrust.

5 things to know about Obama's first presidential visit to Israel

This is my ninth visit to Israel in the past 25 years, and I'm always reminded of college and my first reporting job in Rhode Island: Everything is so close.

Gaza to Jerusalem is just shy of 50 miles.

Drive a few more -- again toward Ramallah -- and you are better schooled in how land is the currency of the Israeli-Palestinian conflict.

Arab villages abut Israeli settlements like Efrat and Ma'ale Adumim. Is this the way it is supposed to be? Or is it an Israeli effort to "change the facts on the ground"?

It depends on whom you ask, of course. The one thing those with different answers seem to share is distrust of those who disagree with them.

Opinion: Obama's Israel trip is about legacy

You can hear gunfire every day. On a West Bank hillside we visited Caliber 3, a security training academy.

Vigilance is the motto here, and among those learning hand to hand combat and marksmanship are security personnel for the Jerusalem light rail and Jewish settlers who are part of their community security structure.

The man who runs the school is a combat veteran and colonel in the Israeli reserves. He laughs while telling the story of how his mother hoped there would be peace and he would never have to serve in the Army. Sharon Gat says he is already telling his children they are all but certain to serve because, as he put it so simply, "you live in Israel."

Jerusalem is the Holy Land, cherished ground to three great faiths: Judaism, Islam and Christianity. A walk through history is also a reminder of how home, the United States, is, from a chronological perspective, a baby in the world.

Israeli president: No doubt Obama has Israel's back

From the Old City to Tel Aviv is just 34 miles as the bird flies but a fast-forward in time: There, high-tech rules, and the walkway along the Mediterranean Sea is packed with young Israeli professionals and their families.

Most aren't interested in talking politics. Those who will have mixed opinions of President Obama, and if nothing else voiced hope this trip would melt away some of the personal chill between the U.S. president and their prime minister.

Like the young eyes in Gaza, the stunning sunset here gives pause, and can't help but make you think this is supposed to be a less fragile place.

@highlight

John King is in Mideast covering President Obama's visit

@highlight

It is King's ninth visit in 25 years and change jumps out at him

@highlight

But discontent, threat of violence remain the same