London (CNN) -- It is an unlikely collaboration: She is a fashion designer whose creations have been worn by Madonna, Michael Jackson and Prince while he is a world-renowned polymer chemist.

But together, Helen Storey and Tony Ryan are fusing style and substance to create clothes that purify the air we breathe.

Their "Catalytic Clothing" venture makes use of existing self-cleaning technology found in paints and glass which employ photocatalysts to break down harmful airborne pollutants like nitrous oxide emitted by cars and factories.

Applying it to clothing is novel though, and potentially far more effective says Ryan, the pro-vice chancellor at the UK's University of Sheffield.

Some rough calculations done while attending a "really boring meeting" at the UK's Royal Society of Chemistry, revealed that his suit had a surface area of about 80-square meters.

"The fibers are long and thin, so they have a very high surface area per unit mass," Ryan said.

"We already knew that we could get self-cleaning windows and paints. But I thought if I put a catalyst (titanium dioxide) on that surface I can do a lot of environmental clean-up," he added.

When ultraviolet light hits titanium dioxide it causes pollutants to break down into non-harmful chemicals.

Working with Ecover (manufacturers of ecological cleaning products) Storey and Ryan are hoping to deliver the technology through a fabric conditioner with nano-particles of titanium dioxide attaching themselves to clothes during a normal washing cycle.

It's a vital technical but also democratic component to Ryan and Storey's approach.

"Rather than going down the traditional fashion route, which make a brand a pre-condition for something to happen, it's taking advantage of human behavior as it exists -- we all wash our clothes, we all walk in the street," Storey explains.

"We are empowering people's existing wardrobes with a technology that will allow them to have a significant impact on the quality of air we breathe," she added.

"We found out, rather wonderfully, that it works particularly well on denim jeans," she added while pointing out that there are more pairs of jeans than people on the planet.

Ryan estimates that a pair of jeans weighing 500 grams could absorb around two grams of pollution.

Storey's journey away from commercial fashion to her current role -- she runs her own foundation and is currently professor of fashion and science at The London College of Fashion -- began in 1997 with an exhibition called Primitive Streak.

Working with her sister Kate (a developmental biologist) she created 27 dresses which depicted the first 1,000 hours of human life.

Other projects blending science with art followed before she met Ryan in 2005 collaborating on the Wonderland project where they explored sustainable ideas for packaging and environmentally-friendly fashion, which in turn inspired their latest venture.

A four-minute film featuring British model Erin O'Connor and music by Radiohead was launched last year to promote the project and engage the public in the process.

Ryan and Storey say more testing needs to be done to assess how the particles released during washing affect the water supply, but they're confident a product could be on the market within the next two years.

Frank Kelly, professor of environmental health at King's College London, and an adviser on the project, says air pollution is a major challenge in the 21st century and such initiatives could help.

"We need everything possible to deal with the pollution problem in big cities and this is one more approach that has been suggested could be helpful," Kelly said.

"I think the technology has been proven in the laboratory but what we need now is a demonstration that it works in the real world," he added.

It will also help get the message out about the dangers of pollution, he says.

"My ultimate stance is that we need to make less pollution as a society and then we won't need to come up with fancy and potentially expensive methodologies to solve the problem."

@highlight

Catalytic Clothing project creates clothes that can purify city air

@highlight

Clothes are coated in titanium dioxide which is used in self-cleaning glass

@highlight

Nanoparticles added to fabric conditioner which cling to clothes during washing

@highlight

Venture is joint effort of UK fashion designer Helen Storey and polymer chemist Tony Ryan