JAKARTA, Indonesia (CNN) -- Responsible for shaping modern Indonesia, Haji Muhammad Suharto was known as the "smiling general," but his legacy as one of the great Cold War era strongmen was built on corruption and a reign of violence that left hundreds of thousands dead.

Suharto died after being admitted to hospital suffering from anemia.

He died on January 27 in hospital at the age of 86 after being treated for liver, heart and lung disease. He had been admitted to hospital on January 4 suffering from anemia.

He had already been weakened by strokes in recent years that gave him brain damage and impaired speech but prevented him from being put on trial.

Suharto rose to power by crushing an alleged communist uprising in 1965 after his political rivals were mysteriously eliminated.

His iron-fist rule went unchallenged until widespread protests in 1998, when his downfall ushered democracy into the world's fourth largest nation.

Born into a poor rice-farming family on Java island in 1921, Suharto received military training first in the Dutch colonial army and then in a collaborationist unit set up by Japanese occupiers in World War II.

He later joined the Indonesian army that resisted Dutch efforts to regain control over its former colony.

After Indonesia became independent in 1949, Suharto climbed the ranks as a favorite of founding President Sukarno, eventually becoming a five-star general.

A murky military rebellion in 1965 saw his fellow senior officers killed, allowing Suharto to assert his control of the armed forces before easing Sukarno from power.

It was during that period that Suharto embarked on a nationwide purge of alleged communists overseen by his powerful military. Human rights groups estimate anywhere between 500,000 to a million people were killed.

Although Indonesia is still struggling to come to terms with the bloodletting and graft of the Suharto era, many ordinary people also remember the drastic improvements in quality of life experienced under their "father of development."

Before financial meltdown put the brakes on the country's booming economy, Western-educated financial experts helped transform Indonesia from a Southeast Asian backwater into a key regional player, replete with gleaming skyscrapers and soaring toll roads.

But the price of success was high.

In 1975, his troops invaded the territory of East Timor -- with the tacit support of Western allies keen to prop up an anti-communist leader.

The ensuing occupation lasted more than two decades and killed more than 100,000 people, according to human rights groups. His aim was to keep the sprawling Indonesian archipelago together.

Separatist rebellions were quickly crushed, while democratic elections were rigged to re-elect Suharto year after year. Political opponents were routinely kidnapped and tortured.

As billions of dollars of foreign investment poured in to oil-rich Indonesia's transformed economy, huge sums were siphoned off by Suharto's cronies and family, who became lavish spenders in a poor country -- oblivious to growing resentment among its 210 million people.

The Asian financial crisis of 1997 plunged Indonesia into economic free fall and unleashed a wave of anti-Suharto violence. Students led a massive popular uprising, storming parliament, before the dictator finally stood down in May 1998.

In his final years, Suharto lived to witness the dismantling of his regime. Far-flung regions, once subdued by force, erupted into violence. East Timor gained independence in 2002, and two years later Indonesians appointed their first democratically elected president.

Many hoped Suharto's wrongs would be exposed in court. Instead, his children were prosecuted. Tommy Suharto, the youngest and the most flamboyant, was jailed for corruption.

Suharto himself never stood trial. Indonesia's Supreme Court decreed that the former strongman, who suffered from strokes and heart problems in his final years, was permanently ill and unfit to stand trial. E-mail to a friend

CNN's Atika Shubert contributed to this report.

@highlight

Former Indonesian president Suharto dead at 86

@highlight

Ruthless general credited with shaping modern Indonesia

@highlight

Iron fist control of Southeast Asian nation left hundreds of thousands dead