Barack Obama actually looks like he's having fun being President.

The commander-in-chief showed the world an unfamiliar face in a punchy end-of-year news conference Friday. He said he was energized and excited, and his bouncy body language suggested he was telling the truth.

Obama's mood offered a surprisingly upbeat end to a gruesome political year, in which he grappled with fast moving crises overseas and watched Democrats lose the Senate and move further into the minority in the House. Republicans will take full control of Congress next month for the first time in nearly a decade, pledging to block most of Obama's goals during his final two years in office.

But Obama didn't seem too fussed.

"I am energized," he said. "I am excited about the prospects for the next couple of years."

The press conference wasn't entirely light. He lashed out at North Korea, lifted the lid on his phone call with Cuba's President Raul Castro, and expressed confidence that the Americans could work together to make progress toward healing racial divides.

But he joked around with the White House press corps, after taking pot shots at scandal-driven news coverage for much of his presidency, and made waves by taking questions exclusively from female reporters.

Underlying Obama's message was a clear and deliberate attempt to lift the country's mood after a six-year trudge back from the worst economic slump since the 1930s and with American power assailed as never before by rising states, stubborn foes and terror groups abroad.

"We've gone through difficult times," Obama said but added, "through persistent effort, and faith in the American people, things get better. The economy's gotten better."

"Part of what I hope, as we reflect on the new year, this should generate, is some confidence. America knows how to solve problems. When we work together, we can't be stopped."

The President appeared to justify a growing media narrative that this so-called lame duck feels liberated now he is not beholden to Democrats facing tough elections. In just the past few weeks, he's decided to bypass Congress on issues like immigration reform and normalizing relations with Cuba.

"My presidency is entering the fourth quarter. Interesting stuff happens in the fourth quarter. And I am looking forward to it," Obama said.

The president's blithe confidence, however, likely infuriated Republicans who are laying plans to subject his presidency to unprecedented scrutiny next year.

The GOP contends that much of what Obama has done by wielding his executive power in recent months is illegal and flouts the Constitution, and has left the United States less safe at home and abroad.

Obama was at his most caustic as he took swipes at North Korea, which he mocked for hacking into computers of Sony in a massive cyberattack because it was outraged by a film that depicts an assassination plot against its leader, Kim Jong-Un.

But he also bluntly told Sony it had done the wrong thing by canceling showings of the film "The Interview," saying it was unwise to bow to dictators -- especially those who he said need to be "offended."

"We cannot have a society where some dictator someplace can start imposing censorship here in the United States," Obama warned. "Let's not get into that way of doing business."

The President also made clear that he would respond to the cyberattack "forcefully" and at a time of his choosing but didn't specifically say what he would do.

Obama opened the 50-minute session with a 'Morning in America" moment -- making his most explicit case yet that his leadership has led the nation out of the darkness of economic pain to sunnier times.

"Take any metric you want. America's resurgence is real. We are better off," Obama said told journalists, before he leaves wintry Washington for his annual vacation in his balmy home state of Hawaii.

'We are better positioned than we have been for a very long time," said Obama who has for years been reluctant to publicly tout his achievements on the economy because the recovery has been uneven and so many Americans have been left behind.

"We are better positioned than we have been in a very long time, and the future is ready to be written. We've set the stage for this American moment," Obama said.

The President rattled off a string of economic success, proclaiming he had created "more jobs, more people insured, a growing economy, shrinking deficits, bustling industry, booming energy."

"America knows how to solve problems," he said.

He also sought to try to extricate himself from the aura of crisis that has stifled his administration for much of a year marked by the rise of ISIS in the Middle East and the horror of Ebola in west Africa and racial tension everywhere from Ferguson, Missouri, to New York.

"Yes, there were crises that we had to tackle around the world -- many that were unanticipated," Obama said.  "We have more work to do to make sure our economy, our justice system and our government work not just for the few but the many. But there is no doubt we can enter into the new year with renewed confidence that America is making significant strides where it counts."

Despite feuding with the GOP for much of his administration, Obama offered some home that he and his foes will be able to get something done. He said tax reform was one area where he and the GOP could get together.

But he showed no sign of compromise on the Keystone XL pipeline which would carry oil from Canada's tar sands to the Gulf of Mexico, which Republicans leaders have said will be the first order of business in January.

He said the project, which environmentalists say will worsen global warming, is "not even going to be a nominal benefit to U.S. consumers."

Obama didn't threaten to veto a bill that would take approval of the 1,179-mile, pipeline out of the State Department's hands but said Republicans should work with him to create jobs if they were so concerned about employment.

The President also defended his bombshell announcement this week that he would end a half-century of estrangement with Cuba by establishing diplomatic relations and seeking to expand trade and travel to the communist island.

"I don't anticipate overnight changes. But what I know deep in my bones is that if you've done the same thing for 50 years and nothing's changed, you should try something different if you want a different outcome," he said. "Suddenly Cuba is open to the world in ways that it has not been before."

Republicans, including potential 2016 presidential hopefuls Jeb Bush and Marco Rubio reacted angrily to Obama's move, saying he had rewarded a brutal dictatorship and ignored the need to promote human rights.

Obama again proved himself more open to talking more freely about race than he had in his first term, reflecting on what needed to be done after several young men died in confrontations with white police officers, sparking mass protests and a consuming national debate.

"This isn't a situation where people feel good seeing somebody choked and dying," he said. "I think that troubles everybody. So there's an opportunity for all of us to come together and take a practical approach to these problems."

Obama largely steered clear of some of the intractable foreign crises that have exhausted his White House in recent weeks, including the rise of ISIS, the vicious civil war in Syria and the worst showdown with Russia since the end of the Cold War.

Instead, he appeared to be in an almost mischievous mood.

He teased several top network television correspondents in the front row that they weren't on the list of questioners handed him by spokesman Josh Earnest because "you've been naughty."

And when one reporter reeled off a long list of questions, Obama jabbed with a smile "do I have to write all these down?"

Often in presidential news conferences. Obama's answers become drawn out and labored, like the lectures of the law professor he once was. But his responses on Friday were often snappy and precise, reflecting his cheerful mood.

Then, after 50 minutes and eight questions, he was off, with the surf and sand of his home state beckoning.

He put the turbulent political year of 2014 behind him, wishing reporters "Mele Kalikimaka" or Merry Christmas in Hawaiian.

@highlight

President says he is energized and excited

@highlight

Obama chides Sony for caving to pressure from North Korea

@highlight

Takes questions from women journalists