Sevaré, Mali (CNN) -- The town of Niafunke, on the banks of the River Niger, was made famous by the legendary Ali Farka Toure, one of a legion of great guitarists to emerge from Mali.

But nowadays, Niafunke is known as a battleground as Mali disintegrates and a mix of hard-line Salafi Islamists and ethnic Tuareg rebels tighten their grip on the northern two-thirds of the country.

Malik, an English teacher from the town, knows just how hard-line the new arrivals are. He said a friend was brutally beaten on a Niafunke street after Salafists caught him with a flask of alcohol in his pocket. Malik also enjoys beer, a cigarette and music -- all "vices" abhorred by the Salafists of a movement known as Ansar Dine -- so he fled.

His story is all too typical. Mali, traditionally a tolerant society, has become bitterly divided in the wake of a rebellion by the Tuareg, a nomadic people who inhabit the north of this country as well as areas of Niger, Libya, Burkina Faso and Algeria.

Niafunke was one of the initial towns the Tuareg attacked in January, sparking a coup by disgruntled Malian soldiers. The soldiers, running low on ammunition and food in the face of rapid rebel advances, abandoned their northern bases en masse. They felt that political elites in the far-off capital of Bamako had virtually abandoned them.

Into the chaos has stepped Ansar Dine, a Tuareg-led Islamist militant group whose primary objective is to impose sharia law in Mali, and an exodus of well-armed Tuareg from Libya, where many fought for Moammar Gadhafi. No longer welcome in post-Gadhafi Libya, these battle-hardened Tuareg fighters traversed Saharan pistes to return to their homeland in northern Mali, which is known as Azawad in their indigenous language.

Gadhafi's spy chief goes on trial in Libya

The separatist National Movement for the Liberation of Azawad, or MNLA, formally declared its independence from Mali in April, and last month it announced that had joined forces with Ansar Dine. The MNLA cooled to this alliance when the two could not agree on how it would share power, but Mali, one of Africa's poorest countries, is now in a state of protracted limbo.

And it's this uncertainty -- this messy, unpredictable war in a country known as Africa's crossroads -- that threatens the region and has created concern that northern Mali could become a new terrorist haven.

Stalemate of suspicion

Nearly 400 miles northeast of Bamako, along a winding, dusty highway dotted with spartan roadside villages, is the town of Sevaré. Malian security forces have erected a series of checkpoints around the town that amount to internal border crossings.

To travel farther north, toward rebel-held territory, invites extreme suspicion. Those on ancient, creaking buses bound for Gao or Timbuktu have their belongings meticulously pulled apart by cautious local police. At Sevaré's southern edge, passengers queue up in the stifling midday heat at a garbage-strewn checkpoint to press their case for heading into rebel-held lands. There is scant sympathy for their plight. After passing through the city, they are then subject to another checkpoint on its northern fringe.

Beyond Sevaré is the town of Konna, on the banks of the Niger. It is supposedly held by a dispirited mix of Malian troops, gendarmes, national guard and police. It is the last population center claimed to be in government hands. But Muhammed, a young Tuareg employed by a British nongovernmental organization, described Bamako's hold on Konna as more tenuous than the central government was admitting.

Douentza, 75 miles away, is now in the hands of the MNLA. The famed city of Timbuktu, not so long ago a popular tourist destination for adventurous Europeans, is now ruled by Ansar Dine. MNLA forces are more prevalent in Azawad's southern hinterlands, while the better-funded, better-equipped Ansar Dine is primarily in control of the cities. The Salafists have closed bars, attempted to ban smoking and forced women to wear veils in a bid to implement gender segregation.

Mousa, a multilingual art dealer from Timbuktu who has spent considerable time in the United States hawking the work of local Malian artisans, made a hurried departure well before the rebel takeover. He went from doing a roaring trade with Western tourists to becoming an internal refugee in a matter of months.

"I left before the rebels entered the city," he said. "After hearing about their attacks in the (far) north, I knew they would come (to Timbuktu)." He now lives in uncertainty in a town near Sevaré.

Not all Tuaregs back the cause of an independent Azawad.

Zeidan ag Sidi Lamine, a former rebel now living in Bamako and part of the Malian government, said talks with the rebels were possible if it would accept the country's territorial integrity. He said Ansar Dine and the MNLA must accept "that tolerance of religious difference is non-negotiable, and the nation's diversity must be preserved," respectively.

When asked whether he would he would be willing to take part in peace talks with either group, Sidi Lamine instantly responded, "Of course I would accept." But he believes that the self-declared "Islamic State of Azawad" is destined to unravel for two reasons: because the more nationalist MNLA did not consult the local population before declaring independence, and because it would be impossible for Ansar Dine to enforce sharia law over the long term due to Mali's inherent diversity.

Mousa, the art dealer, says that the revolt was partly motivated by another important factor and that it would not be easily undone.

"It is racism, plain and simple," he said. "The Tuaregs do not want to be ruled by Bambaras, Fulanis or Songhais," three of Mali's principal peoples.

The reality driving this Tuareg revolt is more likely a complex hybrid of several factors, including ethnic nationalism, political isolation and a lack of economic opportunity. On top of that is the austere brand of Islam being espoused by Ansar Dine.

The military stalemate is compounded by political paralysis. Amadou Sanogo, the army captain who overthrew President Amadou Toumani Touré in March, had pledged to retake the embattled north. He has since technically stepped aside in favor of interim President Dioncounda Traore.

Traore, however, is in a Paris hotel after being beaten unconscious in a May 21 attack that occurred in the presidential palace. In Traore's absence, Mali is being effectively led by interim Prime Minister Cheick Modibo Diarra, a former NASA engineer who holds U.S. citizenship.

Diarra has hinted at trying to push the rebels back, and there are reports of troops being mobilized from southern garrisons to Sevaré, which could serve as a launch pad for a counterinsurgency campaign. But the town's threadbare garrisons suggest the army and gendarmerie would be ill-prepared to take the offensive. Only a handful of armored personal carriers and technical fighting trucks were evident. Most soldiers and gendarmes buzz around town on motor scooters more suited to running errands than fighting a war.

A magnet for jihadists

For the United States, the collapse of Mali poses multiple headaches beyond the humanitarian crisis that many have been striving to prevent. Its counterterrorism program here is in abeyance, just as al Qaeda in the Islamic Maghreb, the Movement for Unity and Jihad in West Africa, and other freelance jihadists expand their presence.

Al Qaeda in the Islamic Maghreb has made millions of dollars through ransom payments for Western hostages. This money is thought to have been spent on a more sophisticated arsenal that may, according to some Western intelligence estimates, include ground-to-air missiles looted from Gadhafi's arsenals. While specifics regarding this more sophisticated weaponry remains speculative for the time being due to a dearth of verifiable intelligence in the Azawad region, what is known is that this sprawling, ungoverned area is becoming a magnet for regional and even transnational jihadists, according to several witnesses.

Basically, Mali remains in political freefall while quarrelsome rebels attempt to consolidate their control over an area the nearly the size of Texas.

After early efforts regarding a possible military intervention were rebuffed by Sanogo's junta, the West African regional body ECOWAS is taking the issue to the U.N. Security Council. Mahamadou Issoufou, the president of neighboring Niger -- a nation long plagued by its own Tuareg revolts -- has been sounding the alarm bell on the looming danger of jihadists controlling territory in Mali. Jean Ping, the chairman of the African Union, also plans to raise the Azawad issue at the U.N. in coming days.

It's a situation that the late guitarist Toure, whose album "Talking Timbuktu" won a Grammy, would not recognize.

"For some, Timbuktu is a place at the end of nowhere," he once said. "But that's not true. I'm from Timbuktu, and I can tell you that it's right in the center of the world."

Opinion: Libya: The worst may be yet to come

@highlight

The West African nation of Mali has been in political limbo since a coup in March

@highlight

The coup was over the government's response to a Tuareg rebellion in the north

@highlight

Now, rebels and Islamist militants are in control of several northern cities

@highlight

There is concern that Mali could soon become a haven for terrorists