(CNN) -- There are certain moments of parental pride you know are coming: their first words, first steps, first date. And then there are the ones that blindside you. Like this: The night before the Nelson Mandela memorial service, my 13-year-old son said, "Dad, I'm going to wake up at 4 to watch the Mandela memorial."

I was so proud that he was so inspired. He's an all-star basketball player who mainlines ESPN. Now he wanted to get up in the middle of the night to watch CNN. Great success.

And when President Obama spoke for our nation, I was grateful we'd heard his remarks live. Obama captured President Mandela's remarkable capacity to awaken activism. Across oceans, across continents, across racial divides, across generations, Mandela sparked what Robert F. Kennedy described to the South African people as "ripples of hope."

One of those ripples of hope inspired a skinny college kid with a funny name who'd been more interested in rebounds than revolution. "Over 30 years ago," Obama said, "while still a student, I learned of Nelson Mandela and the struggles taking place in this beautiful land, and it stirred something in me. It woke me up to my responsibilities to others and to myself, and it set me on an improbable journey that finds me here today."

Same here. Unlike our president, I was always interested in politics. (As an athlete, I was small but slow.) But at the University of Texas, something deeper happened. The Black Student Alliance erected shanties on the West Mall. They challenged their fellow Longhorns to take responsibility for UT's role in apartheid. The university's endowment, flush with billions of petrodollars, invested in corporations that did business in South Africa.

That meant my ridiculously cheap tuition was in some way subsidized by profits from propping up apartheid. I learned names like Biko, Tambo, Sisulu, Tutu and of course, Mandela. Most important, I learned, as the Rev. Martin Luther King Jr. taught, that "injustice anywhere is a threat to justice everywhere," that we are all tied into "a seamless garment of destiny."

It was thrilling to be a part, however infinitesimal, of something larger than myself. Even then, with my government on the side of apartheid, I knew we students were on the right side of history. I saved my "Free Nelson Mandela" t-shirt all these years.

This week, I dug it out and showed my sons. I told them about the anti-apartheid movement and how, years later, I joined President Clinton in a White House meeting with Mandela, the prisoner-turned-president. We talked about the confidence that comes from knowing you're on the right side of history.

It is that same confidence that, I believe, was behind Obama's decision to shake the hand of Cuban leader Raul Castro.

Raul's brother, Fidel, had been a steadfast supporter of Mandela's African National Congress, even when the United States was on the wrong side of history. And Mandela never forgot a friend. That is not to excuse the horrendous human rights record of the Castro dictatorship. In his oppression, his censorship, his decades-long war on basic democratic rights, Fidel Castro was the anti-Mandela.

I believe Obama shook Raul Castro's hand for the same reason Reagan shook Gorbachev's or Mandela shook that of F.W. de Klerk, the last president of an apartheid South Africa: because he knows he's on the right side of history.

Years ago, I accompanied Clinton to a meeting of the World Trade Organization in Geneva. Moments before the President was to speak, I peeked out into the audience, gasped and sprinted back to Clinton's holding room. "Mr. President," I said gravely, "Fidel Castro is on the front row." No one had told us Castro would be there. Clinton was unflappable. "Good," he said. "Maybe he'll learn something."

Clinton stood before Castro and the other assembled world leaders and spoke confidently of "a revolutionary idea: that freedom, freely elected governments, free markets, the free flow of ideas, the free movement of people (are) the surest route to the greatest prosperity for the largest number of people."

I doubt Fidel actually learned much from Clinton's speech. And I am not naive enough to believe Raul Castro will emulate Mandela simply because Obama shook his hand. But I do believe in the transformative, unpredictable power of sending out a ripple of hope from the right side of history. And I was thrilled that Obama's ripple of hope bobbed over a sleepy seventh-grader in the predawn darkness, watching the arc of the moral universe bend toward justice.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Paul Begala.

@highlight

President Obama shook hands with Cuban leader Raul Castro at Mandela's memorial

@highlight

Paul Begala: Like Reagan shaking Gorbachev's hands, Obama's act makes sense

@highlight

He says even a simple handshake can be potent and transformative

@highlight

Begala: It sends out a ripple of hope from the right side of history