(CNN) -- The Amazon rainforest is so vast and full of life that even its defenders don't know exactly what it is they are protecting.

In the past 40 years, roughly 20 percent of the Amazon rainforest has been wiped out.

"The wealth of biodiversity is so immense, we cannot even estimate the amount we don't know," says Cláudio C. Maretti, Brazil-based director for conservation for the World Wildlife Fund. "Every new expedition you do to the Amazon, you might find one new species of fish. Every other, you might find some new bird or frog."

The Amazon rainforest, which encompasses an area nearly as large as the continental United States and stretches across nine countries, is considered the world's richest and most varied natural habitat, with several million species of insects, plants, birds and fish calling it home. It also plays an important role in regulating Earth's temperature as its dense vegetation absorbs carbon dioxide and releases oxygen into the air.

But the Amazon has been under pressure from outside forces for decades. In the past 40 years, roughly 20 percent of the rainforest has been wiped out. Maretti says an additional 17 percent has been degraded to varying degrees.

"We have been deforesting at enormous rates," Maretti says. The chief drivers of this deforestation are large-scale business interests involved in logging, mining, agriculture and, especially, cattle ranching. Some of this activity is sanctioned by the government; much of it is not. Greenpeace estimates as much as 80 percent of the logging is illegal.

The Amazon rainforest is just one of many habitats around the world threatened by encroaching development or natural resource extraction. The Food and Agriculture Organization (FAO) of the United Nations estimates that 50,000 square miles of forest -- more than three times the size of Switzerland -- are lost each year because of clearing and degradation.

The threat is particularly acute in the more tropical areas of South America, Africa and Southeast Asia.

Cambodia, for example, lost nearly 30 percent of its primary forests from 2000 to 2005, according to FAO. Vietnam lost close to 55 percent of its primary forests, FAO found. And Nigeria lost nearly 56 percent of its primary forests over the same period, the worst rate of forest loss in the world, according to FAO.

The destruction of the Earth's oldest and richest forests is not a new phenomenon, but the rate of destruction has increased in recent decades.

"Worldwide, one-half of all forests we've lost in the last 10,000 years has occurred in the last 80 years. Half of that was destroyed in the last 30 years," says Scott Paul, Forest Campaign Coordinator for Greenpeace.

Paul says the chief driver of forest destruction is the buying and selling of forest products and farm products in the international market, not to meet local needs.

"The timber market, and also for agriculture, mining: When it plugs into the international economic system, that's when you've got to watch it," he says.

Paul would like to see a certification system so that consumers know the source and conditions under which the product they're consuming was harvested.

"If you buy wine and cheese, we can tell the region and the year. But forest products have always been cut in remote and distant areas and thrown in a pipe and spit out on the other side. There is no way to determine if something came from a well-managed forest or an illegal forest where there is slavery, murder, drug trade, etc.," he says.

While the story of the world's old-growth forests would appear to be one of unremitting destruction, forests lost to logging and agriculture are actually growing back in some areas, such as the northeast region of the United States and parts of Europe. This thrills some wildlife advocates who would like to see the restoration of exiled or decimated species.

"Northern New England is the only place in the eastern United States where you have the potential for large-scale wilderness where wolves, lynxes, cougars, woodland caribou and salmon rivers could be restored," according to Michael J. Kellett, executive director of RESTORE: The North Woods. "We could literally have almost the entire ecosystem of the Maine woods as it once was."

With large-scale agriculture all but gone from New England and logging companies concentrating their attention elsewhere, Kellett's biggest fear is that real estate development could begin to carve up the vast forests of Maine. His proposed solution: create a national park.

In Brazil in recent years, the government reportedly has stepped up efforts to slow the Amazon's destruction.

Last October, Brazil said the rate of deforestation plunged 41 percent because of the enforcement of environmental laws. Environmental groups say the drop also was caused by the fall of soy prices and the rise of Brazil's currency against the dollar, making the country's exports more expensive.

The World Wildlife Fund's Maretti is hopeful that Brazil, with international help, will be able to protect even more of the Amazon, an area he considers among the most vital natural habitats in the world.

"We do have strong civil society. We do have more governance," Maretti says. "But we certainly need support from abroad. I don't believe Brazil can do this job alone." E-mail to a friend

@highlight

UN: More than 50,000 square miles of forest lost each year

@highlight

Most trees cut down for international sale

@highlight

Some forests making comeback in U.S., Europe