This year is the centennial of the First World War. One-hundred years ago this month, in April 1914, no one thought there would be a war. But war began, triggered by events in Eastern Europe, by the end of July. It came as an enormous shock, in retrospect almost like the Titanic hitting an iceberg.

In the end, it shattered Europe, cost tens of millions of lives, bankrupted countries and changed forever those who survived the horrors.

A century later, our focus is again on Eastern Europe, the site of a regional conflict that threatens to entangle the world's leading powers.

The situation in Ukraine is a perilous one, much more so than our current debate acknowledges.

In Russia, we are dealing with the largest country in the world geographically, a country that possesses thousands of nuclear weapons, plenty of ballistic missiles and a ruthlessly determined leader motivated by nationalism and an imperial drive: a leader who also has an entrenched machine capable of keeping him in power for a long time.

In Ukraine, we are dealing with an ally that fought alongside us in Iraq and Afghanistan, and a nation now threatened with conquest by a much stronger neighbor against which it cannot defend itself.

In Europe, we are dealing with a continent that for more than half a century has relied on the United States to guarantee peace, security and freedom. We have kept that promise through NATO, the alliance that war in Eastern Europe threatens seriously to undermine.

And in the United States, we are dealing with a nation weary of war after more than a decade spent in Iraq and Afghanistan, and a public wary of more armed intervention abroad.

We need a national debate on what our policy is going to be.  And then we need to engage our friends in Europe on what our policy is going to be.

As retired former NATO Commander Gen. Wesley Clark and his colleague Dr. Phillip Karber, a former Defense Department official, detail in their recent report from Ukraine, the Obama Pentagon has adopted a position of not helping that country with any offensive weapons.  Offensive weapons including, for example, Kevlar vests, night vision equipment and aviation fuel.

So while the United States has sent thousands of meals ready to eat (Army rations) to a country that is an agricultural exporter, the administration has refused to send even nonlethal equipment that would help Ukraine defend itself and possibly avert war.

Instead of sending military supplies to Ukraine, we hear talk of more sanctions. And yet, as I discuss in my podcast this week, I suspect it will be apparent very quickly that sanctions against Russian President Vladimir Putin are going to be irrelevant. He is a very tough man. He heads a very big country with immense natural resources. He can cause pain fully as much as his neighbors can cause him pain.  He can block American shipments to Afghanistan from coming through Russia by the northern route.  He can cut off natural gas flow to Western Europe.  He has a veto at the U.N. Security Council, and can obstruct further sanctions against Iran.

This is a very difficult situation, and we are now in two enormous dangers. First, of the Obama administration doing too little, in which case the world will become less safe as we show weakness to our allies and the Russians seek to reconstitute the Soviet empire. And second, of doing things too clumsily, in which case, as one-hundred years ago, a bad combination of miscalculations, delusions, laws and alliances could land us in a war no one intends.

@highlight

Newt Gingrich: A century ago, no one expected events in Eastern Europe to trigger war

@highlight

He says the Ukraine crisis requires careful thinking about correct U.S. policy

@highlight

Gingrich says too timid policy could invite Russian expansionism

@highlight

He says sanctions are unlikely to work, and clumsy tactics could backfire