(CNN)Whoever wins the general election on May 7 will face international challenges reaching to the heart of a question that has bedevilled every London government since 1945: what is, or should be, Britain's role in the world?

As one of World War II's victor countries, Britain helped shape the post-war international architecture. Notably, it gained a permanent seat, plus veto power, in the U.N. Security Council, which it retains to this day.

But these battlefield laurels disguised fundamental weakness. The two world wars severely depleted Britain's human and material resources. The heyday of the world's largest-ever empire and of London and Liverpool's control of a vast maritime trading network had passed.

As the Cold War took global grip, the United States purposefully pushed Britain aside. The U.S. took over its military bases, its spheres of influence, and its markets. Conscious of its decline, London clung, slightly pathetically, to what it termed its "special relationship" with Washington.

Maintaining this key U.S. relationship is the most important foreign policy challenge facing Britain's prime minister after May 7. Whether that person is the Conservative party's David Cameron or the opposition Labour party's Ed Miliband makes no difference.

Barack Obama's arrival in the White House now looks like a watershed for bilateral relations. Unlike many of his post-war predecessors, Obama was no Anglophile. Indeed, his grandfather's unhappy experience in colonial-era Kenya gave him reason to dislike the English.

Obama the dispassionate analyst also found scant objective reason to prioritize the British alliance or Europe generally. Looking at the EU, he saw one dominant, friendly power -- and its capital was Berlin, not London. Looking the other way, to Asia, Obama saw opportunities and threats of far greater moment, centered on rising powers such as China and India -- hence his subsequent "tilt" to Asia.

Britain's principal value to the U.S. lies with its defense capabilities. It proved a loyal if not especially effective ally in Afghanistan and Iraq. Although capacity has steadily declined in the past 30 years, Britain was seventh in the world in 2013 in terms of military spending and remains a dependable U.S. deputy within NATO.

But the pre-election consensus is that the next British government will be obliged to slash defense spending again, probably below the 2% of GDP threshold to which NATO members are pledged to maintain. Big cuts in army and air force numbers are in prospect. Maintaining even one modern aircraft carrier has become a real struggle.

It is likely, on these trends, that Britain would be unable to contribute separately to any new international campaign, but would be obliged to place its troops under U.S. command, as General Raymond Odierno, U.S. army chief of staff, recently suggested.

America's top politicians, soldiers and diplomats, such as U.N. ambassador Samantha Power, are applying increasing pressure on Britain over defense expenditure, but with little joy so far. In time, this impasse could lead to a permanent rift.

Worse still, in the U.S. view, is the possibility that a Labour-led government, potentially beholden to the unilateral nuclear disarmers of the Scottish National party, could slacken its commitment to Trident, the UK's nuclear missile submarine fleet. The SNP says the country can no longer afford a nuclear deterrent, morally or financially.

Washington's worries about Britain's role have been exacerbated by the lack of fight, as some see it, displayed by London when faced with the prospect of Scottish independence and the inevitable break-up of the United Kingdom.

Similar concerns apply to Britain's EU membership, which Cameron has placed in doubt by promising a national referendum by 2017. The U.S. greatly values Britain as an informal, surrogate voice within the EU.

But Washington's interests aside, the EU is Britain's biggest trading partner and a natural ally in terms of democratic values, and legal, social and cultural norms. An exit from the EU would satisfy minority hardline nationalists in the UK Independence party. But it would seriously undermine Britain's standing in the world, in relation to Europe and to the emerging Brics powers.

All this matters more than ever because, amid the developing disorder of the post-Cold War world, old certainties are being uprooted and new or revived threats are multiplying.

The aggressive behavior of Vladimir Putin's Russia is one obvious example. Another is the rise of international terrorism, most recently in the form of ISIS, also known as the Islamic State. Another is China's hegemonic ambitions in the East China and South China seas, at the expense of neighbors such as Japan, the Philippines and Vietnam.

On these issues, it seems that Britain, by design or not, has little concrete to contribute. London allowed Germany and France to take the lead on Ukraine diplomacy. Embarrassed by public criticism, Cameron belatedly sent a few army advisers to help train Kiev's forces.

Similarly, London's military contribution to the fight against ISIS has been minimal, and confined to Iraq. Members of Parliament recently expressed strong dismay that Britain was doing so little.

And as for Japan, ostensibly an important British ally, recent defense cooperation agreements do not disguise the likely infeasibility of sharp-end assistance. Indeed, as some see it, there is far too much British kow-towing to China.

Disturbed by this evidence of decline, Britain's political class comforts itself by arguing the country still leads by example.

It still maintains a generous overseas aid budget, it mounts successful humanitarian missions such as in Sierra Leone during the Ebola outbreak, it remains a top five world economic power, and sometimes (though not always) it uses its U.N. and other platforms to stand up for democratic values and human rights.

All this is true. But it is small consolation for a country that, 100 years ago, was a superpower with truly global reach. In the election campaign, foreign policy and the key 21st century international issues, such as climate change, have barely got a mention so far.

This is not an accident. Britain's horizons are narrowing. Its strength and global ambitions are fading. Its post-imperial destiny is that of a second-tier power. The trick is not to appear second rate.

@highlight

Whoever wins May 7 election must answer this question, says Simon Tisdall: What is, or should be, Britain's role in the world?

@highlight

Tisdall: Maintaining U.S. relationship is most important foreign policy challenge facing Britain's PM after May 7

@highlight

But foreign policy and key 21st century issues, such as climate change, have barely been mentioned, he writes