(CNN) -- Add one more uncertainty to the many questions that surround the Amanda Knox murder verdict: Will she wind up back in a cell in Italy?

"I will never go willingly back," she told ABC's "Good Morning America" on Friday. "I'm going to fight this until the very end, and it's not right and it's not fair and I'm going to do everything I can."

Knox, who is American and living in the United States, said she watched the guilty verdict handed down Thursday by an Italian appeals court over the Internet, translating what was happening to family members who were with her. "This really has hit me like a train. I did not expect this to happen."

"I really expected so much better from the Italian justice system," she added. "They found me innocent before, how can they say it's guilty beyond a reasonable doubt?"

Knox, 26, said she "got my first cry" en route to the television station. "You have to stand up for yourself and you have to believe that it's going to be OK," she said.

Her lawyer was equivocal about her possible extradition back to Italy, where she already spent four years in prison awaiting and during her first trial. "I can understand why that is the question of the day," Theodore Simon told CNN Friday, but he didn't answer it.

He did note that the next court proceeding is "probably a year away," and confirmed that he planned to appeal. But many other questions must be answered first.

"It's not really a question that is an issue today, or tomorrow, or for a long time to come. We have to await the motivation that will be generated by the court, we have to see the basis upon which they have rendered their finding. From that, there will be an appeal, a minimum of one appeal.

"So, I understand why you might be posing the question today, but it's really not right for consideration, and I wouldn't comment on that at this time."

Citing privacy and confidentiality concerns, U.S. State Department spokeswoman Marie Harf declined to say whether Italy has requested that Knox be extradited.

Knox and her former boyfriend, Italian Raffaele Sollecito, were found guilty Thursday of the 2007 murder of Briton Meredith Kercher.

Prosecutors say she was held down and stabbed after she rejected attempts by Knox, Sollecito and another man, Ivory Coast-born Rudy Guede, to involve her in a sex game. Guede is the only person still in jail for the murder.

Extradition would be a logical move, Kercher's brother, Lyle, told reporters. "In as much as, yes, if somebody's found guilty -- and this would go for anybody -- if somebody's found guilty and convicted of a murder."

He added, "I don't see why they wouldn't."

The retrial reversed an earlier appeal judgment. Sollecito was sentenced to 25 years in prison; Knox, who remained in the United States and did not attend the trial, was sentenced in absentia to 28-1/2 years.

CNN legal analyst Sonny Hostin said that Knox may be protected by U.S. law, which dictates that a person cannot be tried twice on the same charge. "Because of this tension between Italian and U.S. law, it is unlikely that U.S. law will extradite her. When the fight begins, those are the grounds that U.S. attorneys will be arguing."

A law professor disagreed. "They always forget she was convicted first," Julian Ku, who teaches transnational law at Hofstra University in New York, told Agence-France Presse.

If Italy does file an extradition request with the U.S. State Department, Knox will have the right to challenge her transfer to Italy in a U.S. court. "The chances of her winning that are not high because there has to be some very strong claim she'd have to make to block her extradition," Ku added.

"I followed the trial, it was slow but I never got the sense that it was unfair," he said.

But legal rules may not necessarily be followed when it comes to the high-profile case, said ABC's legal analyst, Dan Abrams.

"You have to believe that, despite what all the lawyers will tell you, that this will come down to some degree to politics," he said.

Would the State Department approve an extradition request? "I think, with all of the public support for Amanda Knox, that is unlikely," he said.

CNN legal analyst Paul Callan said that, if Knox does wind up being sent back to Italy, it won't happen soon. "We are very far away from the day when she gets extradited," he said.

Harvard law professor Alan Dershowitz said Knox's looks and public support may help her. "As popular as she is here and as pretty as she is here -- because that's what this is all about, if she was not an attractive woman, we wouldn't have the group love-in -- she will be extradited if it's upheld.

"The Italian legal system, though I don't love it, is a legitimate legal system and we have a treaty with Italy so I don't see how we would resist," he told AFP.

"We're trying to get (fugitive NSA leaker Edward) Snowden back -- how does it look if we want Snowden back and we won't return someone for murder?" he asked.

Dershowitz told CNN last March that, even if Knox avoids extradition, "she remains a prisoner in the United States, because Interpol will put a warrant out for her and, if she travels anywhere outside the United States, she'll be immediately arrested and turned over to Italy."

The grounds for extraditions can be fuzzy.

In 1998, an American military jet clipped a ski lift cable, sending a gondola carrying 20 passengers to their deaths in the Italian Dolomite Mountains.

Italian prosecutors wanted the crew of the jet tried in Italy, but an Italian court ruled they should face courts-martial in the United States, in accordance with NATO treaties. The aircraft's pilot and navigator were found not guilty of involuntary manslaughter, even though the military admitted the plane had been flying lower and faster than authorized.

When it emerged that a video that captured the accident from inside the plane had been destroyed, the crew members were dismissed from the Marine Corps. Italians were outraged, referring to the incident as the "massacre of Cermis."

In another incident, Egyptian cleric Abu Omar was seized off the streets of Milan in 2003 and smuggled to Egypt, where he says he was tortured and released four years later.

Although Italy did not request the extradition of any of the suspects, 22 CIA agents were convicted in absentia of the kidnapping and sentenced to prison for their role in the abduction, but none has served time.

The Kercher family welcomed Thursday's ruling, which overturns the previous decision to acquit Knox and Sollecito. "They are tired of this and want justice," Francesci Maresca, the family's attorney, said.

The case has dragged on for six years. "I think we are still on the journey to the truth," said Kercher's sister, Stephanie. "I think it may be the fact that we don't ever really know what happened that night, which is obviously something we will have to come to terms with."

Lyle Kercher, Meredith's brother, said the family may have to wait until spring 2015 for a final resolution, since the verdicts reached Thursday can still be appealed at Italy's Supreme Court.

"Nothing is going to bring Meredith back, nothing will take away the horror of what happened for her," he said.

"The best we can hope for is finally bringing this whole case to a conclusion, having a conviction, and everyone can move on with their lives."

CNN's Deanna Hackney contributed to this report.

@highlight

NEW: The U.S. State Department won't say whether Italy has requested extradition

@highlight

Amanda Knox "remains a prisoner in the United States," law professor says

@highlight

Whatever happens, it won't happen soon, legal experts say

@highlight

"I will never willingly go back" to Italy, Knox says