Kabul, Afghanistan (CNN) -- The U.S. soldier accused of killing 16 civilians during a weekend rampage has been transferred out of Afghanistan while awaiting charges, the NATO command said late Wednesday.

The still-unidentified Army staff sergeant was transferred on the recommendation of advisers to Gen. John Allen, the commander of U.S. and allied forces in Afghanistan, and because "we do not have the proper facility in Afghanistan to detain him for longer than he is being held," said Capt. John Kirby, a Pentagon spokesman.

A defense official, speaking on condition of anonymity, told CNN that the man was flown to Kuwait, which has the U.S. military legal infrastructure and personnel to deal with the suspect.

The NATO command in Kabul said "some Afghan officials" were alerted about the transfer before it was carried out. Afghanistan's parliament has demanded a public trial for the suspect, but U.S. officials said they will handle the investigation and prosecution themselves.

The news came as U.S. Defense Secretary Leon Panetta visited with troops at a base in Afghanistan, calling Sunday's killings -- as well as the accidental burning of Qurans by U.S. troops last month and the deadly riots that resulted -- "deeply troubling."

"We have to learn the lessons from each incident so we do everything possible they don't happen again," Panetta said, adding that the "tragic" incidents "do not define the relationship between the coalition forces and the Afghan people."

And before meeting with Defense Minister Abdul Rahim Wardak, Panetta praised the performance of Afghan authorities in responding to those incidents.

"We've been through some difficult events in the past few weeks, and yet the army and the police have been able to maintain order and have been able to control the situation," he said. "And that tells me that you have gained a great deal of respect and trust with the Afghan people, and that's extremely important if we are to exceed in this mission of transitioning all of the areas in Afghanistan to Afghan control, governance and security."

Marines disarmed before Panetta appearance

Panetta flew into Afghanistan on Wednesday, making him the first high-ranking U.S. official to visit the country since the weekend deaths. Panetta's two-day trip was scheduled long before the killing spree and does not include a trip to the area of Kandahar province where the killings took place.

A huge explosion killed eight people Wednesday in Helmand province, which Panetta was visiting, but he was not affected. The massive roadside blast ripped through a minivan, leaving its victims unrecognizable, the Helmand government said. The government blamed "terrorists" for the bombing.

In a separate incident, a motorcycle bomb exploded in Kandahar, killing an Afghan intelligence agency security guard who was trying to defuse it, a government media agency said. Three others, including a civilian, were injured. It was unclear if the bombing was related to Sunday's killings.

The Taliban have threatened to behead Americans in response to Sunday's shootings, which killed nine children, three women and four men in a pair of villages near a U.S. outpost. Afghan President Hamid Karzai calling the shootings "acts of terror and unforgivable."

Despite some protests and local violence, the country has not erupted the way it did last month when U.S. troops burned copies of the Quran and other Islamic religious materials. Military officials said the materials had been seized from Afghan prisoners because they contained extremist messages.

President Barack Obama called that incident a mistake and apologized for it, but those efforts did not head off riots and reprisal attacks that left at least six American troops and dozens of Afghans dead.

"The tragic events of recent days are a reminder that this continues to be a very difficult mission," Obama said Wednesday in Washington at a joint news conference with British Prime Minister David Cameron.

But, he added, "our forces are making very real progress dismantling al Qaeda, breaking the Taliban's momentum, and training Afghan forces so that they can take the lead and our troops can come home."

At an upcoming NATO summit in Chicago, "we'll determine the next phase of transition," Obama said. "This includes shifting to a support role next year, in 2013, in advance of Afghans taking full responsibility for security in 2014."

He vowed that the United States and allies will take steps to be sure the transition does not "result in a steep cliff at the end of 2014, but rather is a gradual pace that accommodates the developing capacities of the Afghan national security forces."

He called for various factions in Afghanistan "to end 30 years of war."

Cameron said the transition to Afghan control is under way.

"We are now in the final phases of our military mission," he said.

Once the combat role ends, "we'll also back President Karzai in working towards an Afghan-led political settlement," he vowed.

Panetta met Wednesday with top U.S. and British military leaders and spoke to a group of about 200 troops at Camp Bastion and Camp Leatherneck. He then planned to travel to a nearby forward operating base to meet more coalition troops before flying to Kabul.

His arrival came a day after Afghan forces came under fire during a funeral for victims of the shooting rampage, while protesters angered by the killings blocked a major highway in the country's southeast.

The Taliban -- who have battled U.S. and NATO troops as well as Afghan government forces since the 2001 invasion after the September 11 attacks -- issued a statement after Sunday's killings describing U.S. troops as "sick-minded American savages." They said they would take revenge "by killing and beheading Americans anywhere in the country."

The U.S. military said the Army sergeant blamed for the killings acted alone. Two senior military officials told CNN that images from security cameras around his outpost showed the suspect leaving and returning alone to the base.

There is another image showing him lying in a field. A separate military source said there is imagery showing the suspect "low crawling" through the area outside the base. The image was collected from what the official described as an aerial asset.

The suspect then is shown getting up and walking back to the outpost, according to a senior U.S. military official with direct knowledge of the information.

The arrival and departure images were taken by base surveillance cameras.

A military search party was put together to look for the missing soldier, but it's unclear to what extent searchers got under way before he returned to the base, the official said.

The soldier, whom the military has not named, has yet to be charged. He turned himself in to his fellow Americans after the killings and could face the death penalty, Panetta has said.

The officials have described the suspect as a staff sergeant from an infantry unit assigned to support Special Forces troops in Kandahar province, the Taliban heartland and a leading focus of the U.S.-led counterinsurgency strategy in Afghanistan.

Military authorities have presented a determination of probable cause to allow them to keep the sergeant in detention, an International Security Assistance Force official told CNN.

Investigators are looking into whether alcohol may have been a factor in the attack. Toxicology tests on the suspect are not complete, the two senior military officials said.

The suspect served three tours of duty in Iraq before being deployed to Afghanistan, according to the U.S. military.

During the suspect's last deployment, in 2010, he was riding in a vehicle that rolled over in a wreck, according to a senior Defense Department official, who also spoke on condition of anonymity. After the wreck, the sergeant was diagnosed with traumatic brain injury but was treated and then found fit for duty, the official said.

Speaking Tuesday at the White House, Obama said he has told Karzai that the United States "takes this as seriously as if it was our own citizens and our own children who were murdered."

"The killing of innocent civilians is outrageous and it's unacceptable. It's not who we are as a country and it does not represent our military," he said. A U.S. military investigation "will follow the facts wherever they lead us, and we will make sure that anybody who was involved is held fully accountable with the full force of the law," he added.

CNN's Larry Shaughnessy and Sara Sidner and journalist Ruhullah Khapalwak contributed to this report.

@highlight

NEW: The suspect in the Afghan killings has been flown to Kuwait, a defense official said

@highlight

Obama vows to avoid a "steep cliff" when Afghans take full responsibility in 2014

@highlight

Cameron: We are in the "final phases" of the military mission

@highlight

An Afghan suffered severe burns in an incident, as Panetta arrived