(CNN) -- In recent weeks, Sen. Rand Paul galvanized the nation with a 13-hour filibuster, became the toast of the Conservative Political Action Conference and embraced immigration reform before the Hispanic Chamber of Commerce.

It's naive to think that a few speeches can reshape the Republican Party, but Paul may well represent a tectonic shift on the American right.

The junior senator from Kentucky has a vision of the Constitution in full, advocating the Second Amendment's right to keep and bear arms and the Fourth Amendment's right to be free from unreasonable search and seizure.

He's for civil liberties -- to protect against police abuse or presidential drones, as well as economic liberties and the freedom to run a business without unnecessary regulation. And he wants to give the blessings of those liberties to those who come to America in search of a better life.

Rand Paul has some ideas for Republicans

As a libertarian and a traditional conservative, we disagree with Paul on a number of issues. Yet we both see his constitutional conservatism as auguring a future in which social tolerance, fiscal temperance and a humbler role for government are pursued not as ends in themselves but because that's the best path.

Conservatives "conserve" society by reacting to the excesses of previous generations, but the issues that prompt the reactions vary according to the times. Even the solutions to the same problems may shift with new information and reflection. National Review founder William F. Buckley, a key figure in the modern conservative movement, famously changed his mind about civil rights, the drug war and even Iraq.

Conservatives started the environmental movement with Theodore Roosevelt's protection of national parks at a time when natural resources were plundered without regard to public health. But now, environmentalists abuse the Endangered Species Act to protect salamanders at the expense of jobs and the Clean Water Act's wetlands protections to prevent development.

Similarly, conservatives argued for larger police and military forces in response to crime and communism, but now that cost is part of our fiscal problem.

Opinion: Rand Paul is right

Modern conservatives need to remember these lessons as they consider the future.

Their predecessors were largely successful in defeating communism, liberalizing the economy and reducing crime. But those policies weren't perfect (or cheap): the crime-fighting of the 1980s and '90s, with an emphasis on policing and incarceration, contributed to current problems such as unfunded pensions, bloated government unions and overcrowded prisons.

After the election losses in 2012, some Republicans have advocated a need to change. In comes Rand Paul, who may well be on the leading edge of a new conservatism, which will focus on four areas:

1. Its social policy will focus primarily on protecting freedom of conscience in an increasingly pluralistic society, while undoing the excesses of the drug war and punitive sentencing for nonviolent crime. For example, as the country moves toward acceptance of same-sex marriage, some states have restricted the ability of Catholic charities to continue functioning without violating key religious tenets. People may disagree on moral issues, but a nation where religious charities can't operate is a far worse place.

2. This new conservatism will align with the ideas of governors such as Scott Walker of Wisconsin and Bobby Jindal of Louisiana, who are fighting battles for domestic policy reform. At stake are the power of public-sector unions and the future of entitlement programs such as Medicare and Social Security. The challenge is to fix our fiscal woes while protecting the vulnerable in society, as religious conservatives understand is required by their faith. Without fiscal temperance, as well as education reform and a better regulatory environment, there will neither be the opportunity for social mobility nor resources for a social safety net, public or private.

3. We also need to unwind our military engagements while maintaining flexibility in a rapidly changing world. Numbers don't lie, and our debt and deficits demand a reduction in military spending. Conservatives should aim to achieve the necessary reductions in a smart fashion that maintains readiness and doesn't endanger America's interests. This will be a challenging balancing act, but it should be driven by strategic concerns rather than arbitrary benchmarks.

4. Finally, conservatives should consider comprehensive immigration reform that would allow skilled and unskilled workers to seek their American dream while granting parole, not amnesty, to those hard-working migrants now here illegally.

Paul, Rubio provide competing glimpses of a revamped GOP

This recipe may not be the "ideal" that conservative pundits would like to see, and it doesn't necessarily reflect our utmost individual preferences, but it reflects the practical realities of this age.

Rand Paul hasn't (yet) changed conservatism, but his views will shape the movement's future.

The opinions expressed in this commentary are solely those of Ilya Shapiro and Francisco Gonzalez.

@highlight

Ilya Shapiro, Francisco Gonzalez: Rand Paul may represent a shift in conservatism

@highlight

Shapiro, Gonzalez: Paul has a vision of the Constitution in full, which is promising

@highlight

They say the new conservatism will focus on areas such as fiscal temperance, immigration

@highlight

Shapiro, Gonzalez: Practical realities call for Republicans to shift solutions accordingly