During CNN's "Going Green: Green Light for Business" coverage, we've asked businesses to tell us how they balance the imperative for profit with environmental concerns. Jonathan Breeze, the CEO of Jet Republic, tells CNN how he's working to create a carbon neutral airline.

LONDON, England -- The aviation industry is often perceived as one of the bad guys in the climate change debate. As a mode of transport, flying is regarded as being particularly polluting because of the amount of fuel used at high altitude. And, it is estimated to be responsible for around 3.5 percent of global greenhouse emissions.

Jet Republic CEO Jonathan Breeze says it would be a mistake to let green initiatives in the airline industry fall by the wayside.

The sector's reputation was damaged further when it was excluded from the targets outlined in the Kyoto agreement, which was interpreted by some as an example of its disregard for the climate change issue.

This is unfair because the industry has taken great strides to reduce its environmental impact. For example, over the last 30 years, it has achieved a 60 percent improvement in fuel efficiency.

There is a great deal of research being undertaken by manufacturers into more efficient technologies and alternative fuels, while the Single European Sky initiative aims to improve flight planning across Europe to rationalize the amount of time an aircraft is in the sky.

Practically everything we do in our everyday lives has a carbon cost attached to it, but aviation is an element that we believe has come in for an undue level of criticism, when in fact it is arguably working harder than most industries to address the issue of climate change.

The reaction to this criticism from governments has been taxation. But making a special case of aviation fails to address the wider issues.

Aviation fuel is carbon taxed, but why is this tax not applied on other types of fuel such as electricity and gas? The additional revenue that would be generated could be ploughed back into green energy schemes and help deliver heightened efficiencies that our industry is already investigating.

Punitive taxation, which is driving up the cost of air travel, will ultimately end up being absorbed by the operator or by passengers. This, coupled with the current economic downturn, represents a significant threat to progress in the aviation industry as it could lead to a stifling of innovation and development.

Meeting the challenge of climate change costs money -- modernizing fleets with more efficient aircraft comes at a price. As an industry which has been hit hard by the downturn, some of these initiatives could fall by the wayside. To allow this to happen would be a grave mistake.

We identified climate change as one area where we wanted to set the standard in the industry, and as a new entrant to the market we have been able to build a commitment to carbon neutrality into the heart of our business operations. It was a consideration in our choice of the Learjet 60 XR as the model of aircraft in our 110 strong fleet.

The 60 XR is the most fuel-efficient midsize aircraft in the world, something it achieves by being built with light and strong modern materials, and flying higher and faster than other aircraft. It's a perfect example of a win-win solution. We burn less fuel; our customers enjoy lower pricing.

Aircraft positioning is another important consideration that has an impact on the amount of fuel consumed; our fleet is based all across Europe, to reflect where our clients are. The positions of our aircraft are carefully planned and managed so that the number of "over flights" -- that is legs where the aircraft is empty -- are kept to an absolute minimum.

We wanted to be 100 percent carbon neutral from launch so we partnered with ClimateCare, one of Europe's most experienced providers of carbon offsets, where each project is rigorously audited and monitored for quality. By comparison, under the European emissions trading scheme, which doesn't take effect until 2012, commercial airlines will only have to offset 15 percent of the carbon emissions they create.

With the impact of aviation on climate change being widely reported, people are more conscious than ever about their carbon footprint when using air travel.

While the overwhelming majority have not changed the amount they travel because of it, it is certainly becoming a more important consideration and people are asking more questions before traveling.

We have found that our attitude towards mitigating the effect our business has on the environment has actually become a business benefit.

Our competitive pricing structure includes a carbon offset charge, which is passed on, in its entirety, to ClimateCare.

By acknowledging our responsibilities in the area of climate control and putting tangible measures in place, we have received considerable positive feedback from clients and business partners.

We believe that Jet Republic is at the forefront of modern European business. If every company in Europe could run 100 percent carbon neutral, as Jet Republic does, the world would be a better place.

@highlight

Jet Republic has teamed up with ClimateCare to become carbon neutral

@highlight

Airline chose fleet of Learjet 60 XR partly because of its fuel efficiency

@highlight

Aviation industry is responsible for 3.5 percent of global carbon emissions

@highlight

Breeze: Airline industry unfairly criticized for failing to address climate change