Washington (CNN) -- Bettina Cox battled cervical cancer in 2012. A year later, the Texas native feels that narrowly qualifying for a Medicaid-sponsored program for low-income and uninsured female cancer patients saved her life.

She now wants her governor and state legislature to support an expansion of Medicaid -- part of President Barack Obama's Affordable Care Act -- that she feels could save the lives of thousands of other women in her state by helping them detect diseases much earlier.

But if Texas lawmakers have their way -- as well as governors and legislatures in Florida, South Carolina and nearly a dozen other states -- low-income Americans like Cox may not have expanded access to funds needed for such procedures. Those states feel the expansion is an unnecessary government overreach at a time when spending should be limited, not expanded.

Still, for some, the impact on their lives is very real.

Government reverses plan to cut Medicare Advantage rate

"If I had Medicaid expansion, I would have found a doctor sooner than later," said Cox. At 60, she was too young to qualify for Medicare and said she was also told she didn't qualify for traditional Medicaid treatment available to women of childbearing age. "As soon as I felt ill, I would have gone to go check."

Instead, Cox said, her tumor went unchecked for months, growing to the size of a grapefruit. Eventually an oncologist, working largely on a pro bono basis, properly diagnosed Cox as having stage 1 cervical cancer and helped her find health coverage under a Medicaid provision mandating treatment for women with breast and cervical cancer. The catch: The program was only available to women who weren't already covered by insurance or Medicaid.

"It saved my life, it actually saved my life," Cox said of the treatment she received.

Political rising stars in Texas, like their counterparts in nearly half the country, are drawing partisan battle lines over extending federally subsidized health care to more than a million of the state's poorest residents.

This week, a Texas showdown pitted Gov. Rick Perry against Democratic Party favorites the Castro brothers -- U.S. Rep. Joaquin Castro and San Antonio Mayor Julian Castro -- in dueling press conferences on expanding Medicaid under the Affordable Care Act.

"I'm a self-employed artist and the mother of a 3-year-old and I'm not eligible to receive Medicaid. Private health insurance is not an option," Melissa Knight, who spoke at the Castro rally, said later. "There are a lot of people who are working really hard. They aren't being lazy, they just don't have the means for extra insurance. It's about trying to provide for your family."

The faceoff was equal parts an ideological fight over the merits of Obamacare and a foreshadowing of how that policy will influence high-stakes political races.

"Medicaid expansion is a misguided, and ultimately doomed, attempt to mask the shortcomings of Obamacare," said Perry, a former Republican presidential candidate who is thought to be considering another run for the White House in 2016. "It would benefit no one in our state to see their taxes skyrocket and our economy crushed as our budget crumbled under the weight of oppressive Medicaid costs."

"Governor, being tough on people with no health insurance won't win you the Republican presidential primary in 2016," Joaquin Castro wrote in a Dallas Morning News op-ed. "It definitely won't win you the presidency."

Maryland Gov. Martin O'Malley, a Democrat, unleashed a similarly blistering critique of his Republican counterpart in South Carolina, Nikki Haley, in remarks to a Democratic Party conference in Charleston last month. O'Malley attacked Haley, who is up for re-election next year, as a "tea party Republican" who cares more about voter ID laws than expanding health care access and education for South Carolina.

Then there's the plight of politicians like Florida Gov. Rick Scott, a Republican, who endorsed expanding Medicaid in his state using federal dollars in Florida, only to be met with opposition by fellow Republicans in the Sunshine State's legislature. Scott, who campaigned heavily against Obama's health care law in 2010, said he would accept the federal dollars last month, but his state's Republican-controlled legislature has since opposed the move.

"It's creating the same type of tensions among many conservatives that are taking place at the national level, at state level," said Julian Zelizer, a Princeton University historian and CNN contributor. "You have a lot of governors who have national aspirations and have a huge incentive not to reject those funds. ... Then there are conservative legislators who have no national aspirations who are sticking to their position."

The Supreme Court ruled last year that states can opt out of broadening Medicaid coverage, striking down one of the provisions of the Affordable Care Act.

Since then, about half of the states have said they'll opt in to expanded Medicaid. Nearly a quarter say they won't participate, with the remaining quarter still on the fence, according to figures from the Advisory Board Company, a policy consulting firm.

"Things got much more complicated," Don Berwick, a senior fellow at the nonprofit Institute for Healthcare Improvement and former head of the Centers for Medicare and Medicaid Services, said of the Supreme Court ruling. "There are now many more options where states can customize. ... In states where they are more politically ambivalent, it becomes more complicated."

Republican governors in at least eight states have agreed to Medicaid expansion, which would extend coverage to all adults with income below 138% of the poverty line. It's part of the Obama administration's push for universal insurance, and the federal government is dangling a big carrot to make it happen. It will cover each state's expansion costs in full for the first three years. After that, states will be responsible for no more than 10% of the tab.

Some of the states that have decided to opt out have some of the highest uninsured rates in the nation.

Take, for example, Texas, where nearly a quarter of the residents are uninsured.

Some 1.75 million adults would be newly eligible if the state joins in. It stands to gain $25.3 billion in federal funds over four years to insure poor adults, while spending $1.3 billion, according to the Center for Public Policy Priorities, an advocacy group for low-income Texans.

The Texas Health and Human Services Commission said Medicaid expansion would prove costly to the tune of "tens of billions in combined state and federal funds over the next 10 years."

Still, in the end, the pushback against expansion may amount to just that, political experts said.

"If you're betting, you bet that in the end they're going to take the money. The states need money and this would cover a large amount of people," Zelizer said, adding that the holdouts will face mounting opposition both within and outside of their party. "Part of it will come from moderate Republicans who don't want to have a party painted as extremists. Part of it will come from needs of the electorate because there is a great need."

People like Cox and Knight say lawmakers had better pay heed to that need.

"I feel frustrated because as a citizen because I don't feel supported by my leaders," Knight said.

CNN's Peter Hamby, Kevin Liptak and Tami Luhby contributed to this report

@highlight

Half of states will expand Medicaid under Obamacare; half refuse or are on the fence

@highlight

Low-income citizens and their advocates say Medicaid expansion necessary

@highlight

States like Texas, Florida say a Medicaid expansion is costly and will fail

@highlight

Politics at play and most states will eventually expand the program, political experts say