Selma, Alabama  (CNN)On a recent morning, Edward Shaw and other family members walked into the Selma Police Department in search of answers.

They had come to see official video footage of a police shooting that took place more than a year ago.

Ananias Shaw, 74, was killed last December after he rushed an officer while wielding a hatchet, police have said. Video of the incident, captured by an officer's lapel camera, proved the shooting was justified, officials have argued. A grand jury heard the case, saw the footage and decided not to issue an indictment.

But for more than a year, Shaw's younger brother, Edward, 69, said he and others have been asking to see the tape for themselves. And what they saw on December 19 only seemed to raise more questions, leaving them to feel the shooting was more senseless than ever.

With police shootings making headlines across the nation, the Selma case adds a different layer to the conversation -- not least of all because of the city's historic civil rights significance.

CNN saw the video, which runs four minutes and 48 seconds, after the family did. It shows a patrol officer pulling up to an abandoned building, where two other officers have already gathered. One officer ducks inside the building and soon Ananias Shaw emerges, holding an ax and cussing. An officer follows, there are at least 20 shouts to "drop the ax," and then Shaw turns toward the officer, appears to lunge toward him, and -- bang -- he's dead.

Officers had been called to respond to a disturbance at a Church's Chicken restaurant, but found Shaw across the street in the long-gone Towns Laundromat.

Edward Shaw said his brother, once a mechanic, had "lost himself" after his wife left him decades ago and his house burned in a fire. He said Selma police knew his brother "acted crazy," and walked the streets but that he never harmed anyone. And he just can't understand why they had to follow him.

"He'd left Church's Chicken, and wasn't shot for disturbing the peace, but because they were messing with him in his domain."

Shaw said requests to see the video only gained traction after a small band of protesters took to the streets.

It was the Ferguson, Missouri, protests that inspired longtime activist Faya Rose Toure to lead the charge for the Shaw family in Selma, though the circumstances are vastly different from Ferguson.

Selma, which is more than 80% African-American, has a black mayor, a black police chief, a black district attorney and a majority black city council. Ananias Shaw was black. So was the officer who shot him.

But for Toure, the problem in Selma goes far beyond this one case.

Selma once shocked the national consciousness when police beat and tear-gassed 600 civil rights marchers as they crossed the Edmund Pettus Bridge on their way to Montgomery. The day became known as Bloody Sunday and led the way to the Voting Rights Act of 1965. A movie depiction of the Selma story will release nationwide on January 9.

Selma, said Toure, has come a long way since then, but black people are not yet free of injustices.

She has led the charge in recent weeks, marching from Selma's famed Edmund Pettus Bridge while yelling, "Hands up! Don't shoot!" and "I can't breathe!" -- in reference to the deaths of Michael Brown in Ferguson and Eric Garner in New York.

Added to the mix in Selma has been this chorus: "Show the tape!"

Police Chief William Riley said he takes no issue with protests tied to the tensions roiling through the country. What happened in Ferguson and New York bothers him, too.

"We have things going on in policing that aren't right," he said. If people want to scream outside his department, "I can't breathe," he's all for it. But what riles him is how what happened in Selma is being lumped with these cases.

"It's wrong and disingenuous," he said.

"We're no Ferguson," and pretending Selma is, he said, "hurts the message."

Activist Toure said it was her husband, Alabama State Sen. Hank Sanders, who was responsible for $30,000 in funding for the city of Selma to buy lapel cameras for the police force. She has called for a public release of the video showing the shooting of Ananias Shaw, calling it a "matter of transparency."

"They let CNN see [the tape] before me. I need to see the tape, as an attorney and a citizen," Toure said. "If there's any doubt that the killing was justified, we would demand that the D.A. reconvene the grand jury."

Riley, the police chief, said the family should see it first. He said it wouldn't be easy to watch and that they deserved space to process it on their own.

"I don't care who's jumping up and down," Riley said. "We want the family to see it first. It's only fair."

Ananias Shaw's children, who live in the Chicago area, were able to see the video several hours after family members in Selma did. They, too, walked away troubled and wanting more answers.

Randall Shaw called it "inconclusive," and his brother, Marvin Shaw, complained about editing. He said the video was choppy and skipped from one place to another.

"We need more information to move forward, to have closure," Marvin Shaw said.

Civil rights attorney Russell Ainsworth, who said he has been working with the family to obtain the videotape since June, said he will be contacting the Selma police chief to demand the release of the lapel camera videos from the other two officers who were present. He also said the family wants to know the name of the officer who shot Shaw.

"What we did learn from the video is that officer appeared to be poorly trained," Ainsworth said. "He put himself so close to Mr. Shaw that he escalated the situation."

The police chief said the officer is no longer on the force, but he didn't say why he left or where he'd gone.

Lt. Johnny King, who has been with the department for nearly 28 years, said he knew of only two police shooting fatalities in all that time.

With the police chief on vacation and out of town on the day of the viewing, it was King who showed the video to the family in Selma. He also showed it to CNN.

When asked questions, he could only say, "No comment."

Activist Toure raised other questions, too. She said that while there may have been witnesses who said they saw Ananias Shaw rushing the officer, there was also a witness who said she saw no such thing.

Resident Betty Ford said she and her daughter were on their front porch when she saw police following Shaw through her yard. She pointed to the place in front of her home where she said the officer shot the man dead.

Ford said she didn't see him raise the hatchet. She said he wasn't threatening anyone.

But Ford was never called to testify before the grand jury, Toure said. Why is that?

District Attorney Michael Jackson had an answer. He said Ford was not called because her words would not have changed the video.

"What's the point?" he said . "You can bring in 50 witnesses and it would not change what the tape clearly shows."

Though the police force has since acquired Tasers, officers didn't have them at the time.

"The officer only had one choice," Jackson said.

But Edward Shaw said there was no reason for the police to give his brother chase.

"They flushed him out like a rabbit" and treated his brother like "a nobody," he said. "Life beat him down, but he was a good man."

@highlight

Family of Ananias Shaw questions circumstances of his death

@highlight

Police say he was shot after threatening them with an ax

@highlight

Police lapel camera video is shown to family, CNN