(CNN) -- Cholera has arrived in the Dominican Republic, and so have fear and worry.

The bacterial intestinal disease has already killed more than 1,100 people in neighboring Haiti and hospitalized more than 18,000 others. Dominican officials said Tuesday the first case has been detected in their nation -- a 32-year-old Haitian construction worker who returned Friday to the Dominican Republic from a visit to his homeland.

Although the lone reported case is the result of a migrant bringing the disease into the country and is not related to local water or food contamination, many Dominicans are still worried.

"Yes, yes. Of course," said Yehenny Rodriguez, a private security guard who lives in Santo Domingo, the nation's capital. "There's much worry in the country. This is a strong disease that people get easily.

"Everybody's talking about it."

Asked if people are concerned, Dominican physician Martin Madera had a succinct and emphatic answer: "Indisputably, yes."

Officials in the Dominican Republic, which already has a strained public health system, have issued a maximum health alert.

The disease, which can cause deadly diarrhea and vomiting, is contracted by ingesting contaminated food or water. Dominicans are being urged to wash their hands often and to be careful about what they eat and drink.

All forms of media -- television, radio, newspapers, social networks -- are being employed to get the word out, said Madera.

"The most important thing is that the population be advised," Madera said.

Rodriguez said Wednesday he is taking that advice seriously -- washing his hands often and not eating any food that wasn't prepared at home, especially street food. Many others are following the same practice, he said.

The World Health Organization rates the Dominican Republic's health system as the 51st most efficient among 191 countries. That ranking places it in a lower position than the United Kingdom (No. 18) and the United States (No. 37), but higher than South Korea (No. 58) and Mexico (No. 61).

Madera, who spent two weeks treating patients in Haiti after January's deadly earthquake, is confident that the Dominican health system can handle an outbreak -- up to a certain point.

"We have sufficient medicine and medical institutions that can handle cases that may come up -- for now," he said Wednesday.

And Dominican authorities, he said, are taking a proactive approach.

Efforts are being made to investigate passengers who were on the same bus in which the ill Haitian traveled to the Dominican Republic last week. Also, he said, all reported cases of diarrhea are being investigated.

"Haitians with diarrhea get greater interest," Madera said.

The Dominican Republic Ministry of Public Health is receiving help in contingency planning and implementation from the U.S. Agency for International Development and the Centers for Disease Control and Prevention, said Todd Haskell, spokesman for the USAID office in Santo Domingo.

The CDC also is assisting the public health ministry in establishing laboratory testing for cholera, Haskell said in an e-mail.

Both agencies started offering their assistance October 22, the spokesman said.

Despite Madera's confidence that the Dominican Republic can handle an outbreak, he said, "it can reach a point where it can overtake a nation's capacity to treat it."

Should that occur, he said, a public state of emergency would be declared and private physicians and health institutions would be called upon to join the battle.

For now, he said, the situation is under control.

The ill patient, identified as Wilmo Louwes, was hospitalized and immediately isolated in the town of Higuey, near the eastern resort city of Punta Cana, Dominican Republic.

No firm numbers exist for how many Haitians and Haitian-descended Dominicans live and work in the Dominican Republic. The Inter-American Commission on Human Rights placed the number in 1999 as 500,000 to 700,000. Human Rights Watch reported in 2001 that the head of the Dominican army estimated there were about 1 million Haitians in the Dominican Republic. The Haitian embassy in the Dominican Republic gave a similar figure that year.

A widespread cholera outbreak could prove devastating for the Dominican Republic if tourists decide to stay away, because the Caribbean island nation relies heavily on tourism. In 2004, for example, the nation of 9 million inhabitants had 4.2 million tourists, the Central Bank and the Ministry of Tourism reported. Of those tourists, more than 4.2 million came by air and more than 455,000 were cruise ship passengers.

The services sector of the economy, which includes tourism, employs about 64 percent of the workforce and contributes 55 percent of the gross domestic product, the measure of the nation's services and products.

@highlight

NEW: USAID and the CDC are offering help, a U.S. spokesman says

@highlight

NEW: A cholera outbreak could damage the nation's tourism industry

@highlight

The patient is a Haitian man who works in the Dominican Republic

@highlight

People are worried and "everybody's talking about it," a Dominican man says