(CNN) -- For the past week-and-a-half, people have been marveling over the discovery of evidence supporting "inflation," the theory describing the birth pangs of the Big Bang 13.7 billions years ago. What do these findings mean and how did they come about?

Lots of articles reported the news, but I am going to try to explain it in depth. Stick with me, because this is one of the most exciting astrophysical discoveries in decades.

Humans have wondered about the origin of the universe for millennia, and last week's news brought us a little closer to an answer. What this development means, basically, is that for the first time, we may be seeing what happened in the first billionth of a trillionth of a trillionth of a second of the universe.

Assuming this discovery is verified by other similar experiments, it means the very birth of the universe can be studied. These will tell us about the physics of matter and energy well beyond the reach of earthly particle accelerators like the Large Hadron Collider.

In a press conference on March 17, leaders of the Background Imaging of Cosmic Extragalactic Polarization (BICEP2) experiment announced their discovery of evidence of gravitational waves -- predicted by Einstein's theory of General Relativity -- that were generated by the near-instantaneous expansion of the universe by some 50 factors of 10, or a factor of 100 million, trillion, trillion. Those waves were predicted by the theory of inflation, developed 30 years ago by Alan Guth, Andrei Linde and others.

Inflation is the instantaneous initial expansion, far faster than the speed of light, that "describes the propulsion mechanism that drove the universe into the period of tremendous expansion that we call the Big Bang," as Alan Guth put it. Incidentally, the term "Big Bang" was coined as an insult by a physicist who didn't like the theory.

The Big Bang idea itself is simple. Edwin Hubble -- after whom the Hubble Space Telescope is named -- showed more than 80 years ago that our universe is expanding. Objects in space are not hurtling outward: Space itself is becoming bigger over time. That means the distance between two galaxies grows even if neither galaxy is moving through space at all.

By extrapolating the Hubble expansion backward, we have long known that the universe was once smaller by many, many factors of 10. All the mass and energy of the entire universe squeezed into such a tiny volume would have been much hotter and denser. Then, as the universe expanded over time, the energy density went down, so the temperature cooled. This Big Bang idea implied that cool relic radiation should be visible today.

Indeed, this Big Bang glow of radiation was discovered in the early 1960s by two Bell Labs engineers, Arno Penzias and Robert Wilson, who were trying to build the world's best radio antenna.

Their instrument recorded a mysterious irreducible low-level noise from every direction. Apparently worried that the surface of the antenna horn had been corrupted by, um, debris from pigeons roosting inside, the engineers repeatedly disassembled and cleaned the antenna, to no avail.

Physicists later connected this measurement to the Big Bang prediction of a cosmic microwave background, for which Penzias and Wilson were awarded the Nobel Prize in 1978. As a colleague at Bell Labs joked, referring to their obsession with pigeon droppings, "They went looking for dung and came up with gold. For most of us [scientists], it works the other way."

The Big Bang idea was well established by the 1980s. But it did not explain important pieces of the story.

First, the universe looks pretty homogeneous and isotropic -- that is, galaxies in any one direction look very similar to galaxies in the opposite direction, no matter how distant. The number of galaxies, their masses, their shapes and their stellar content are remarkably similar, to the furthest reaches we can observe.

This is surprising because the Big Bang-Hubble expansion implied that very distant regions should never have been in causal contact. How then could they be so similar? Here is a simple analogy: Imagine a thermos of ice water and a thermos of hot tea. As long as these two liquids are separate, they will have different temperatures. But if the two liquids are combined, the mixed liquid will quickly reach an intermediate temperature. Similarly, two well-separated regions of the universe can be alike only if they were at one time in contact.

The theory of inflation explains this quite naturally: If at the beginning the universe inflated at an extraordinarily rapid rate -- much faster than the Hubble-measured expansion today -- then all parts of the universe visible today were once in contact. That means they had the same initial physical conditions (such as temperature and density), so that similar stars and galaxies eventually formed out of the cosmic soup.

Inflation also explains why the universe has a very "flat" geometry -- something revealed in the 1990s by analysis of the spatial distribution of tiny fluctuations (hot and cold spots) in the cosmic microwave background radiation.

In principle, other geometries of space were possible. For example, a two-dimensional surface can be flat like a table; convex like the surface of a sphere (also called closed); or concave like the surface of a saddle (also called open).

For the universe to be flat requires a very precise balance. It has infinitely more ways to be open or closed, with strong curvature, weak curvature, or anything in between. But to be flat -- well, that's like balancing on a knife edge. Inflation naturally explains this odd fact.

Specifically, the idea is that, at the very beginning, the universe must have inflated enough to stretch the fabric of space until no trace of curvature remained. Imagine inflating a beach ball to the size of the Earth: you can easily see the curvature of the beach ball in your hands but once it's hyper-inflated, any piece of its surface seems very flat, just as the Earth feels flat locally.

The enormous inflation in size would effectively erase the initial conditions in the universe. Whatever the initial temperature, for example, inflation would cool the universe to absolute zero. Even if the initial universe were very lumpy, after inflation we can see only a very smooth, local part of the original volume -- and it would seem perfectly flat.

After about one hundred millionth of a trillionth of a trillionth of a second, according to theorists, whatever repulsive gravity caused inflation then transformed into a hot, dense soup of particles and energy. At this point, the Big Bang expansion that Hubble discovered took over.

How inflation began and how it ended are not yet understood, but this simple idea of inflation neatly explains otherwise odd characteristics -- isotropy and flatness -- of our universe.

Still, until now, there had been no direct evidence of inflation. What BICEP2 saw was the imprint of inflation on the cosmic microwave background radiation.

Specifically, inflation should have generated a lot of gravitational waves -- that is, it would cause propagating ripples of space itself. Such waves have a characteristic pattern, squeezing space rhythmically in one direction then the perpendicular direction, like two hands pressing a rubber ball top to bottom then side to side.

This distortion of space causes a special pattern of polarization in the Cosmic Microwave Background radiation. So what is polarization?

Light is a wave that oscillates back and forth -- polarized light oscillates preferentially in one plane. Because most light is a mix of random directions of polarization, its net polarization is zero. But any scattered light, like sunlight reflected off water, is polarized -- which is why polarized sunglasses cut down substantially on glare.

BICEP2 scientists searched for that special pattern of polarization in the cosmic microwave background that would show the evidence of inflation, working for several years analyzing and reanalyzing their data.

As they ran through every possible check of the analysis, team members finally began to believe they had detected the first direct signs of inflation.

Now other experiment teams are redoubling efforts to find the same signal -- or to find contradictions. The reported BICEP2 signal is unexpectedly strong, so it should be within reach of at least some of these experiments.

Physicists around the world know: the BICEP2 discovery is only the beginning of the story. If this result is verified by independent experiments, new, more accurate experiments will be designed to better measure the polarization imprint. This in turn will tell us about how matter and energy behave in conditions much hotter and denser than on Earth or any other place in the cosmos.

As Carl Sagan once said, "Extraordinary claims require extraordinary evidence." Let the observations begin.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Meg Urry describes the sequence of discoveries that lead to evidence of "inflation"

@highlight

Urry: Inflation, far faster than speed of light, happened in the first instant of the universe

@highlight

Urry: Theory began 80 years ago with Edwin Hubble: Telescope named after him

@highlight

Urry: After inflation, the universe went into more "sedate" pace of Big Bang we see now