London (CNN) -- If you want to make a phone call you will have to find a big red box on the street -- that's if you're prepared to brave the occasional dense smogs that afflict London.

Or you could instead curl up on the sofa with a hot drink and watch the only channel on television; as long as you haven't already used your tea ration for the week and your family is one of the few that has a TV set.

Anyone taking a ride in a time machine back to the London of 1952 when Queen Elizabeth II came to the throne would find a dramatically different country to the UK's modern capital.

The country was still suffering from the aftermath of World War II and there was very little to resemble what we might now recognize as youth culture

There were no mobile phones of course, but 60 years ago few people in the UK owned a car, television or washing machine. Some food rationing was still in place -- tea rationing ended in October of that year but sweets and sugar were still rationed until 1953.

Even clean air was not guaranteed. In December 1952, 4,000 people were killed by the choking urban fumes that accompanied the London fog, and thousands more were made ill.

Winston Churchill was British prime minister, identity cards were only just being ripped up and the blockbuster "Singin' in the rain" starring Gene Kelly was playing at the movies.

Even money was different. British people bought and sold in farthings, florins, tanners, shillings, half crowns and thrupenny bits, and sometimes using coins minted in the reign of the queen's great, great-grandmother, Queen Victoria.

Finding the 1952 smash hit

So what was life really like in 1952 and how does it compare to modern Britain?

"I hated it," recalls Sparrow Harrison who set up the Cae Dai 1950s-era museum in Denbigh, North Wales, UK.

"It was miserable. Sex was forbidden and smoking was chic.

"You had to do exactly the same as your parents. You wore the same clothes as your parents.There wasn't really a youth culture -- music wasn't orientated towards youth," he said.

So if you journeyed back to 1952 and turned on a bakelite radio, what would be the summer's smash hit? It's difficult to say. Elvis hadn't happened yet and neither had an officially compiled UK pop chart -- success was previously measured in sales of sheet music. The first list based on record sales in the UK was published by New Musical Express in November 1952 and the first chart topper was Al Martino's "Here in my heart."

Listen to Al Martino's hit and then compare it to the current UK top-selling single by Fun. called "We are young," and featuring Janelle Monae.

The early 1950s belonged to traditional singers like Bing Crosby and Vera Lynn though the male youth culture centered on the "Teddy Boy" was starting to make an appearance. With their distinctive swept-back hair, smart jackets and crepe-soled shoes, the fashion grew out of a revival of the clothing of the reign of the queen's great-grandfather Edward VII -- these "New Edwardians" became the Teds.

Fashion was also changing for women. Dennis Nothdruft, curator at London's Fashion and Textile Museum, said: "Fashion changed tremendously in the years immediately following the war. The real emphasis became femininity and luxury after years of 'make do and mend.' Designers such as Lucienne Day revolutionized surface pattern with strong sophisticated color and style. Firms like Horrockses Fashions also created brightly colored, fashionable cotton dresses."

It's the new color that Kenneth Taverner, 76, recalls from his youth in Tottenham, north London. "Ladies wore flowery frocks," he said. "They went colourful after the drab clothes during the war and wore long gloves on special occasions. Men always wore a hat or cap when out."

He said he liked being freed from rationing and the independence of getting his first scooter.

Tell us how are you marking the jubilee

Salary levels clearly depended on your job but most people earned less than £10 ($15.40) a week... roughly equivalent to £260 ($400) now. The UK's minimum wage is currently set at about £240 ($369) a week for 40 hours' work.

New coinage introduced in early 1970s

Even most British time travelers would find 1950s London bewildering. There were 12 pennies in a shilling, 20 shillings in pound, and each penny had a quarter value. Some of the coins had nick names so a shopkeeper might tell you a purchase was "two and a tanner" or a "bob, three farthings." The currency changed in the early 1970s so time-travelers younger than their mid-40s might find themselves confused ... or conned.

The cost of some things are roughly equal. Take bread for example. In 1952, a loaf cost about three pence (about 50p or 77 cents) in modern terms ... but for a limited choice. Now we can buy a huge range of different styles -- from ciabattas to chilli flatbread. One big food chain store in the UK lists more than 100 bread options on its website, ranging from 45p (60 cents) to £1.87 ($2.88), and all can be bought online. The term "buy with a click of a mouse" would be complete nonsense to someone living in the mid-50s as home computers had yet to be invented and the web was decades away.

A study of spending over the last half century reveals some surprising trends. A mid-1950s family spent 33% of their budget on food, compared to around 15% in the modern era. And according to the same figures from the UK's Office for National Statistics, the biggest expense on the shopping list after rent or mortgage payments was for cigarettes. Six per cent of the family budget went up in a haze of blue smoke.

"Everyone smoked -- that's a really big difference to nowadays," said Sparrow Harrison. "To chat up girls you would always offer them a cigarette."

London smokers now have to puff away in the street because smoking inside public buildings is banned. And they might not recognize the local landscape either.

"In 1952, Britain hadn't really turned the corner from World War II," said Jim Gledhill, curator of social and working history at the Museum of London. "You would still see significant evidence of bomb damage and the legacy of the war -- a lot of recovery was still going on."

Some things may never change

So has anything stayed the same -- would our time travelers recognize anything from 1952?

Agatha Christie's play The Mousetrap opened in London in 1952 and is still showing at St. Martin's Theatre. Mr. Potato Head was launched in the U.S. by Hasbro and is sharing a diamond anniversary with the queen, though both the popular toy and the monarchy now have a Facebook page.

The British are still passionate about football and cricket, and they still drink in pubs. London's great landmarks like St. Paul's Cathedral, the Tower of London and the Houses of Parliament still stand but are somewhat cleaner since the dark days of the smog. Distinctive, red double-deck buses and black cabs still cruise the streets, and the weather is much the same.

Adventurous older time travelers returning to their youth might also take some comfort from the queen's words. In Queen Elizabeth II's first Christmas speech in 1952 she said: "We must keep alive that courageous spirit of adventure that is the finest quality of youth; and by youth I do not just mean those who are young in years; I mean too all those who are young in heart, no matter how old they may be."

You can see more of the London of 1952 by visiting a collection of pictures at historypin

@highlight

Tea rationing ended in October 1952 but sweets and sugar were still rationed until 1953

@highlight

In 1952 4,000 people were killed by the London smog and thousands more made sick

@highlight

When Queen Elizabeth II came to the throne, 6% of the family budget was spent on cigarettes

@highlight

Agatha Christie's play The Mousetrap opened in London 60 years ago and is still showing at St. Martin's Theatre