(CNN) -- Democrats, as President Obama said Wednesday, took a shellacking in Tuesday's contentious midterm elections. They lost control of the House to Republicans but managed to cling onto a reduced majority in the Senate.

The election will reverberate throughout American politics, with the newcomers vowing to lower government spending, cut taxes and torpedo the president's health-care legislation. The Republican victory generated an outpouring of commentary. Here are some thoughts from CNN.com's opinion section.

Message to Obama: Americans want jobs

The midterm election was clearly a repudiation. The question is, a repudiation of what?

Fifty years of data from one election after another has shown that people vote with their gut, and this year the gut of the American voter -- left, right and center -- was angry and anxious. It's not hard to understand why: One in 10 Americans of working age is out of a job and six in 10 are living from paycheck to paycheck.

In times like these, most people can tell you what they are feeling, but when asked what would make them feel better, they can only guess. So in exit polls, some said we need to cut deficits and that would make them feel better. Others said they'd like to see the government do something, anything, to create jobs, something an anemic private sector has proved unable to do -- and has not done since the passage nearly a decade ago of the Bush tax cuts, which stimulated nothing but inequality.

Read full post by Drew Westen, author and a professor of psychology and psychiatry at Emory University and founder of Westen Strategies, a strategic messaging firm.

Why did California vote down legal pot?

California voters have just rejected Proposition 19, the ballot initiative that would have legalized marijuana under state law. Where did Prop 19 go wrong?

Prop 19 failed in part because many proponents emphasized the wrong arguments for legalization. Many advocates promised major benefits to California's budget because of reduced expenditure on marijuana prohibition and increased revenue from marijuana taxation. Other supporters claimed Mexican drug violence would fall substantially.

Both claims were overblown. The budgetary benefits, while not insignificant, would have been small compared with California's fiscal mess. Mexican drug violence is mainly associated with the cocaine and methamphetamine trades, as well as from marijuana traffic to other states.

Many voters sensed that Prop 19 supporters were overreaching, and this made them suspicious of all the arguments in its favor. Common sense should have recognized that since marijuana was close to legal already, Prop 19 would not have had dramatic effects.

Read full post by Jeffrey Miron, a senior lecturer and director of undergraduate studies at Harvard University and a senior fellow at the Cato Institute.

Ten most memorable political ads

Billions of dollars poured into political ads this election cycle. They weren't just negative commercials or attack ads, but messages of searing personal indictment. The question is: Did they work?

There's no easy answer, but there's a nuanced one. Under the right circumstances -- where these attack missiles connect with a pre-existing (even a latent) negative perception -- they can be devastatingly effective. Repetition makes them work even better.

This is a phenomenon called the "illusory truth effect" and holds that hearing something multiple times increases its perception of accuracy.

Read full post by Adam Hanft, who writes about American culture, politics and branding strategies for The Daily Beast, The Huffington Post, Slate and others.

Shades of 1994 and Clinton-GOP gridlock

Republicans effectively gained control over Congress on Tuesday. The GOP won a majority of seats in the House of Representatives, thus overturning the gains Democrats made in 2006 and 2008.

In the Senate, where the procedural power of the minority has already given Republicans the power to shape deliberations, the narrowed Democratic ranks will further weaken the majority.

In the weeks running up to the election, there were some commentators who concluded that the current situation would be the best outcome for President Obama. ...

Yet this analogy rests on a selective memory of what happened after 1994, which is particularly surprising from someone who worked in the administration. The period that followed those midterms was among the most contentious in recent American politics.

Read full post by Julian Zelizer, author and  professor of history and public affairs at Princeton University.

Next time, Democrats should try wooing the loyal youth vote

Many will call the 2010 election the rejection of the Obama agenda heard round the world. But young voter turnout tells a very different story.

CNN's exit polls show 55 percent of voters 25 to 29 voted for Democrats, compared with 42 percent for Republicans. Even more striking, 58 percent of voters age 18 to 24 voted for Democrats compared to 39 percent for Republicans.

Ironically, the group often labeled fickle and impatient have remained solidly committed to the agenda of change they overwhelmingly voted for in 2008. In the face of record unemployment and the very circumstances that pundits speculate make the country more resistant to change, young voters sent a very clear message of support for Obama's agenda.

Read full post by Erica Williams, deputy director of Progress 2050 and a senior adviser to Campus Progress, both projects of the Center for American Progress.

Tea Party activist: Republicans beware!

Tuesday's elections show America is indeed a center-right country. Americans widely rejected the Democrats' big-spending policies and sent the Democratic majority in the House packing. And rightly so.

For nearly two years, Americans told the Democrats they did not approve of expanded government programs with large price tags such as bailouts, the stimulus bill, Cash for Clunkers, cap and trade and "Obama care."

Time and time again, the Democrats, misreading their election win as a mandate to increase the size and scope of the federal government dramatically, rammed through unpopular legislation against the will of the majority of the American people. Tuesday, they paid the price for their arrogance and miscalculations.

The Republicans won by virtue of not being Democrats. They did little to earn their victory. To many, their Pledge to America is weak tea and doesn't go far enough in reducing spending and the size of the federal government.

Read full post by Phillip Dennis, founder of the Dallas Tea Party and Texas state coordinator of Tea Party Patriots.

How Meg Whitman spent a fortune -- and lost

On a day that millions of Americans in other parts of the country turned the electoral map red by electing a sea of Republicans, California voters stayed true blue and kept doing what they usually do on Election Day -- elect Democrats.

And, in a year where a lot of voters wanted to throw the bums out and get rid of career politicians, Californians -- in the headliner contests -- rejected a pair of wealthy and former Silicon Valley CEOs in favor of a couple of longtime politicians and party insiders who, between them, have spent more than a half century (58 years) in political office.

The rest of the country was experiencing a revolution. In California, it was more like a "retro-lution." Familiarity did not necessarily breed contempt. In fact, it helped put a couple of high-profile victories in the Democratic column.

Read full post by Ruben Navarrette Jr., a nationally syndicated columnist, NPR commentator and a regular contributor to CNN.com.

Quick shots

John Avlon: A victory for checks and balances

So far, the election isn't quite the far-right stampede it was supposed to be. Sen. Michael Bennet in Colorado and Rep. Joe Sestak in Pennsylvania were putting on strong showings in their Senate races; independent gubernatorial candidates Lincoln Chafee in Rhode Island and Eliot Cutler in Maine were also hanging tough.

William Bennett: Vice President Rubio in 2013

Tuesday was a great night for Republicans because as Marco Rubio said, we now have a second chance. It's still important to remember this country is not quite yet a Republican country, but as of Tuesday night, it is saying it is most definitely not a Democratic Party country either.

Let us celebrate, but then let us get to work, the serious work we promised.

Erick Erickson: GOP gains not sky-high

The expectations game was one the Republicans built up for themselves, with, in closing days, a number of Republicans really buying the hype that they could get to a gain of 80 or 90 seats in the House.

Paul Begala: Congratulations to Republicans -- and to Nancy Pelosi

Good manners compels me to congratulate the GOP on what looks to be a historic victory. And I would be remiss if I did not recognize the historic speakership of Nancy Pelosi.

Ruben Navarrette: Having it both ways

Here's an election story that won't go away. Last week, President Obama caused a dustup when he went on a Spanish-language radio show hosted by Eddie "El Piolin" Sotelo and advised Latino voters to reward their friends and punish their enemies.

James Carville: Big congressional shift is near

Leon Spinks once said of Mike Tyson that "he hits you so hard it changes the way you taste."

Anyone politically astute enough to know that Tuesday night will not be particularly favorable for the Democrats will be expecting the coming blows. And if pollsters, pundits and prognosticators are right (and I think they are), everything is going to taste different at the White House on Wednesday.

Read more of the above full posts

The opinions in these commentaries are solely those of the writers.

@highlight

Drew Westen says the election was a repudiation -- of what? Americans just want jobs

@highlight

Jeffrey Miron explains why California rejected Prop 19, to make pot legal

@highlight

Ten of the craziest, most effective or most damaging attack ads, from Adam Hanft

@highlight

Remember 1994; the youth vote; Tea Party's message to Republicans and more