(CNN) -- As a former U.S. brigade commander of several thousand coalition forces during surge operations in Iraq, it is difficult to watch this country fall apart.

When I came home in 2007 after 15 months in Diyala province, I answered questions about what we accomplished there by explaining that we sowed stability and the seeds of self-governance in an Arab country that holds significant strategic interest for the U.S.

Now, as the U.S. commits to targeted airstrikes on top of the troops we sent last month to shore up the weakened country, I question everything. Were the losses my command suffered in the volatile Diyala province in 2006-07 worth it? How is it possible that the Iraqi military, well-trained to take over security duties, has performed so poorly?

Seven years ago, I would have agreed with the decision to return to Iraq. Today, I feel different.

We fought long and hard, spending over $25 billion to train and equip Iraqi security forces. We helped them develop a working government based on democratic principles. And while it might be wholly appropriate for the U.S. to provide humanitarian aid to those under siege, it's the responsibility of the Iraqis to protect Iraq. As someone who helped train these forces, I know they have the capability to stand and fight. The training wheels have to come off.

While it is frustrating and painful to watch militants take over a third of the country, we must focus on the here and now. The responsibility is to our soldiers who spent 13 years at war accomplishing what they were asked to do, often at a great cost.

I fought to help my Iraqi friends and fellow soldiers establish a rule of law, and we achieved remarkable results. Civilian casualties fell from an estimated 29,380 in 2006 to 4,153 in 2011. In Diyala province, we went from 1,500 violent acts a month to less than 250. What is happening now should not detract from that success.

But I came home to my family, my neighbors and my community. We cannot let the chaos in Iraq increase the disconnect between a war-weary American public and those veterans working through their transition back home.

The needs in Iraq evolved over time, and they didn't disappear when we left. This is also the case with the needs of our Iraq- and Afghanistan-era veterans and military families. I worry about the future of those who served in these wars five or 10 years down the road when the wars have receded from the minds of the American people. At a time when the need will be greatest, interest will diminish, and they may struggle in a peacetime status quo.

We need to focus on this generation, which has spent more than a decade at war. The National Center for Veterans Analysis and Statistics projects the number of veterans from recent conflicts to jump by 26% by 2016. They want to contribute in the same way to their communities as they did in Iraq and Afghanistan.

But even with thousands of organizations operating to help them, a 2012 report from the Center for a New American Security finds that veterans are not receiving the care and services they need to transition successfully.

They must have a chance to thrive where they live. This means education to transition beyond battlefield knowledge to private-sector careers and meaningful employment that pulls in a family wage. Along with their families, they require options for wellness and services. Caring for them includes understanding: listening to their service stories and future ambitions.

Adm. Mike Mullen, 17th chairman of the Joint Chiefs of Staff, said, "If you listen closely to the voices of our veterans, you understand that yes, they all returned from war changed, but what never changed is this: They never forgot your generosity. They never forgot the power of opportunity. They never forgot the American dream."

As much as it pains me to see Iraq reverting to chaos, that does not mean that we should turn our focus there anew. We now have a stake in supporting the future in front of us: the evolving needs of the phenomenal, confident and self-assured men and women who served in and out of combat for these many years.

@highlight

David Sutherland, U.S. brigade commander in Iraq, says it's hard to watch country fall apart

@highlight

As U.S. begins airstrikes, he questions whether terrible losses from Iraq War are worth it

@highlight

He says U.S. spent $25 billion to train Iraq forces. It's time to take off the training wheels

@highlight

Sutherland: We need to focus on our own veterans, who have many needs unmet