(CNN)Recently, the new on-demand economy met U.S. employment law, and the encounter left both sides dazed and confused.

In San Francisco, one federal district judge speculated that the ride-sharing company Uber may have to treat its drivers as employees rather than independent contractors.  In another courtroom in the same city, a different judge, hearing a lawsuit brought by drivers for Uber's rival, Lyft, opined that U.S. employment laws actually may not cover the drivers as employees.

Neither court has yet issued a final decision, but when they do, both judges will be right. Work -- both its structure and its very nature -- is undergoing rapid change in our country.

Major corporations are increasingly using subcontracting structures, like outsourcing jobs, hiring workers through staffing agencies, and franchising. By calling workers "independent contractors," companies hope to divest themselves of their legal responsibilities as employers.  At the same time, companies retain enormous control over when, where and how workers do their bidding and build their profits.

Companies like Uber and Lyft fit squarely within this paradigm, forcing their drivers (or "partners," in Uber-speak) to bear all of the risk of running their own businesses -- investing in cars, paying for maintenance, insurance and gasoline, but without any guarantee of steady work --while sending much of the rewards to the company. Uber alone is valued at over $41 billion. According to Uber's own survey, the company is comprised of largely part-time drivers making roughly $300 to $400 a week, before paying off their expenses.

In the new on-demand economy, companies are turning the Internet into the equivalent of a street corner hiring site and turning workers into day laborers.

Hundreds of thousands of people work days-long or hours-long "gigs" -- housecleaning for Homejoy, stocking shelves through Wonolo, or running errands as Taskrabbits. Some gigs last only minutes, and pay as little as a penny per task, including those posted on Amazon's Mechanical Turk. These piece-rate workers do the jobs that computers can't do (yet).  They tag online images, write copy for websites or match performers to labels on CDs.

Like the Uber and Lyft drivers, workers who take on these kinds of jobs through online platforms are on their own.  Unless the courts rule otherwise, they will continue to be treated as independent businesses. That means they will have no access to basic legal rights like minimum wage, overtime pay, workers' compensation, unemployment insurance, employer-provided benefits and most critically, the formal right to come together and bargain with the companies for better wages and working conditions.

While some workers will, like taxi drivers already have, organize and win fair treatment independent of what the courts rule, that task will be a hard one for workers who work in isolation, cut off from one another.

Experts say this is just the beginning of a brave new world in which most workers will have a "portfolio" instead of a job.  Even now, Uber claims 160,000 drivers use its application to find customers and earn money. Mechanical Turk claims 500,000 "turkers" across the globe.

PriceWaterhouseCoopers estimated last summer that the sharing economy as a whole, valued at $15 billion in 2013, could reach $335 billion globally by 2025.  It's not hard to see who wins and who loses in this scenario. More people, working in what former U.S. Department of Labor Secretary Robert Reich calls the "sharing the scraps" economy, will have less to live on, no ability to progress in a job and nothing to live on at the end of their work life.

As the San Francisco judges recognize, these developments have implications not only for the way in which work is organized, but for whether or not work delivers decent pay and working conditions, the right to join with other workers to improve jobs and the social safety net on which workers rely when they are between jobs or ready to retire from the world of work. If this is our future, we have to get it right.

And we can get it right.  We can deliver a decent standard of living for a decent day's work to these workers and those who will follow them.  The jury may still be out on whether companies like Uber, Lyft, and Wonolo and platforms like Mechanical Turk may be employers in the traditional sense.  Some of them certainly are, and some companies will have to treat their workers as employees.

But we have other policy solutions close at hand, because we have seen these structures before.  The new platforms operate just like the traditional labor brokers in the agriculture and garment industries, who recruit workers, match them with jobs, and make a tidy profit for themselves in the bargain.

Why shouldn't Uber, Lyft, and their kin be required, just like other labor brokers are, to register, pay their workers minimum wage and overtime, limit the commissions they are allowed to keep from each job they arrange and pay the payroll taxes that ensure workers have access to basic benefits like workers' compensation when they are injured and Social Security when they retire?

Given the kind of huge revenue being generated in some of these companies, it's not a lot to ask. For the sake of our economic future, we need to make sure that these companies treat workers fairly. America cannot thrive off of a nation of freelancers who are sharing the scraps.

@highlight

In the new on-demand economy, companies like Uber are turning workers into day laborers

@highlight

By calling workers "independent contractors," companies reap profits but bear few responsibilities