Denver, Colorado (CNN) -- Using DNA to catch criminals has become common, but police in Denver, Colorado, this year demonstrated how the practice can be taken to a new level: They tracked down a suspect not through his DNA, but through that of his brother.

Here's how it happened, the Denver district attorney's office said:

In February 2008, two cars were broken into. Police found blood at both scenes and ran the samples through DNA databases but couldn't find a match. Then, as part of a study being conducted by the district attorney's office, investigators used new software to see whether the DNA in the blood was close enough to potentially be from a family member of someone in the criminal DNA database.

The software came up with six potential matches. Five didn't pan out, but one led police to a convicted car thief and, ultimately, that man's brother, Luis Jaimes-Tinajero.

Jaimes-Tinajero pleaded guilty in September to one count of criminal trespass and received a sentence of two years' probation.

Attempts to contact Jaimes-Tinajero for this report were unsuccessful.

District Attorney Mitch Morrissey called it one of the first cases in the country to use software to find familial DNA matches.

"Our hope here is to show that it works, which we have done," he said. "I think it's a valuable way to generate leads."

Morrissey's office developed the software tool with the Denver police, he said. He hopes to use it to solve murders, rapes and cold cases.

The matches to family members won't be used as evidence itself, he said, but rather as a way to generate leads for investigators to explore, similar to the way police may use a witness report of a partial license plate.

"There's no reason to bring this into court," Morrissey said. "You use the science, you use the DNA, then you use a conventional investigation."

But some privacy advocates are crying foul.

"Family members have done nothing wrong to get in the database," said Maryland defense attorney Stephen Mercer. "And this is an example of the web of suspicion of people who have committed offenses being widened to include their entire family."

Mercer has been fighting familial DNA searches since 2003. He was part of an effort that led to Maryland being the first state to outlaw familial DNA searches.

"People have a reasonable expectation of privacy of their DNA," he said. "It's a basic violation of the Fourth Amendment of the Constitution"

Morrissey disagrees.

"I've yet to hear anyone explain how this is a violation of the U.S. Constitution," he said. "The bad guy abandoned the DNA at the crime scene. They have no expectation of privacy."

Mercer also argued that even though the technique may be successful in certain cases, that doesn't mean it is worth potential infringements on constitutional rights.

"If they want to drive down the street and do no-knock searches of homes, they would catch bad guys," he said. "But at what cost to our society?"

Morrissey hopes to have his office's familial DNA study completed sometime in the coming year. In Colorado, the criminal DNA database includes people convicted of felonies. In the fall of 2010 Colorado will begin taking DNA samples at the time a person is charged with a felony. If a person is found not guilty or if charges are dropped, he or she can request to have the samples removed from the database.

Mercer said that's a slippery slope.

"Where it leads is toward the development of a universal database from the time they are born," he said. "They want everyone in the database."

@highlight

Denver police this year tracked down a car theft suspect using his brother's DNA

@highlight

Investigators compared blood DNA from the scene to records in a criminal database

@highlight

DA says the method isn't for the courtroom, but for building leads in an investigation

@highlight

A defense attorney says it violates a person's "reasonable expectation of privacy"