New Orleans (CNN) -- Lee weakened to a tropical depression late Sunday, the National Hurricane Center reported, but not before dumping vast amounts of rain and causing extensive flooding in Gulf Coast states.

The plodding storm had maximum sustained winds of 35 mph -- down considerably from earlier -- as it headed 7 mph in an east-northeasterly direction. Yet while it winds have died down, Lee remained a threat as it moved toward the Appalachians and points to the east and north, with its intense rains producing potential problems especially in already saturated areas.

By Sunday night, state and local officials -- plus the Facebook page for Louisiana's emergency management division and New Orleans Mayor Mitch Landrieu -- had reported flooding in numerous Louisiana parishes including Iberia, Terrebone, Plaquemines, St. Bernard, St. Tammany and Jefferson.

Mississippi also was hard hit. A news release Sunday from its emergency management agency pointed to several flooded roads and damaged homes in Hancock, Harrison, Jackson and Stone counties. And the website for Entergy, a major utility in the area, showed mostly pockets of power outages as far west as the Houston suburbs and as far north as Arkansas.

Centered over southern Louisiana, the storm continued to pump out rain -- as much as 20 inches expected in spots through Monday night, according to the National Hurricane Center -- as it chugged northward Sunday toward the Tennessee Valley. In an advisory, the center warned, "These rains are expected to cause extensive flooding."

The storm had caused numerous headaches, but not the devastation of last week's Hurricane Irene, which killed more than 40 people and left millions without power. Nor has it compared with Hurricane Katrina, which killed more than 1,000 people in Louisiana, Mississippi and other Gulf states six years ago.

Robert Green was one of those directly affected by Katrina, which killed his mother and granddaughter and caused much of his house to literally float away. On Sunday, the resident of New Orleans' Lower Ninth Ward tracked the storm and prepared for the worst.

"We're making sure that we keep up with what's going on with the storm, so that what happened in 2005 doesn't happen again," he said. "If you live in fear, you don't live as well ... And you realize that you just have to be prepared and listen and move if you need to move."

In a press conference in New Orleans on Sunday afternoon, Landrieu characterized Lee as a "very stubborn, persistent, slow-moving unpredictable event." He noted that the storm, by then, had dumped 10 to 13 inches of rain on the city and brought wind gusts of up to 50 mph that caused minor flooding and prompted 60 calls to authorities for downed trees.

Yet New Orleans is otherwise fully functional, with all 24 pump stations in the city "100% operational" and just more than 200 people without power, down significantly from Saturday, the mayor said.

The mayor, though, warned residents not to be complacent, especially with continued tornado threats and rain bands that could dump between 2 to 4 inches at a time and cause flash floods. "We're not out of the woods yet," Landrieu said.

Other Gulf coast communities, however, have experienced more severe flooding. That includes the city of Mandeville, across Lake Pontchartrain, which was buried Sunday beneath feet of water.

"Normally there is a street here," said Gerard Braud, who sent CNN iReport videos from flooded areas of the city Sunday.  Mailboxes were barely sticking out over the water.

In Plaquemines Parish, water pored over the top of levees and flooded parts of Highway 23, prompting its closure, the parish said in a news release. Rapidly rising waters also trapped some cattle, which survived after being steered to higher ground.

Coastal residents knew the storm was coming, and many took precautions. "We are a sturdy people. All Gulf Coasters are willing and able to weather any storm," said Andrew Kaile of Metairie, Louisiana, just west of New Orleans, in an iReport Saturday.

In its 10 p.m. CT Sunday advisory, the National Hurricane Center reported that Lee's center was expected to move across southern Mississippi overnight and Monday.

"Little change in strength is expected in the next day or so as Lee becomes an extra-tropical cyclone," the center added.

Over time, it is expected to dump considerable rain in the eastern part of the country -- including New Jersey, New York and Vermont, where grounds are drenched and rivers are already full after Irene. The hurricane center noted Sunday night that "flooding rains (are) expected to spread from the Gulf Coast to the Appalachians."

"It will ... be a long, slow trip through the Southeast into the Appalachians," said CNN meteorologist Jacqui Jeras. "Heavy rain and inland flooding continue to be the greatest concern."

Lee "is expected to connect with a cold front moving through the Great Lakes today," Jeras said Sunday.  "This will bring rain up and down the Eastern seaboard on Monday and will cause heavy travel delays for most major metropolitan areas on the Labor Day holiday.  In addition, the cold front will bring 1 to 3 inches of rain to the already flood-weary Northeast, including Vermont and New York, that were hit hard by (Hurricane) Irene."

After being in effect for days, all tropical storm warnings for the Gulf Coast were discontinued Sunday night.

Louisiana Gov. Bobby Jindal had urged state residents Saturday to "use extreme caution."  He noted that some roads were already flooded. Ten parishes issued emergency declarations and called on residents to pay attention to weather advisories and flood warnings.

In Alabama, officials shut the Port of Mobile due to rough seas.

By Sunday afternoon, water levels were as high as 2 to 4 feet above ground level over parts of the Louisiana coast, and up to 3 feet above ground level along the Mississippi and Alabama coasts, the hurricane center said.

A storm surge of more than 2 feet was recorded just south of Morgan City, Louisiana, at Amerada Pass, the center said.

The storm forced oil and gas producers to halt operations in the region amid threats of flooding in parts of Louisiana, Mississippi and Alabama.

Some energy producers evacuated employees ahead of the storm. About 60% of oil production in the Gulf and more than half of natural gas production have been shut down, according to the Bureau of Ocean Energy Management, Regulation and Enforcement.

CNN's Chris Welch contributed to this report.

@highlight

NEW: Lee is downgraded to a tropical depression late Sunday, the hurricane center says

@highlight

NEW: Its maximum sustained winds fall to 35 mph, but "flooding rains" are still forecast

@highlight

Flooding and damages homes are reported Mississippi and Louisiana, officials says

@highlight

New Orleans mayor says despite 10-13 inches of rain, no major problems are reported