(CNN) -- It's really hard to take anything in sports seriously when you know the bottom line is always about maximizing the top line revenue. And the NFL's "new" Player Conduct Policy is a case in point.

The guidelines could have created a monumental moment in NFL lawmaking. The league had the opportunity to show the world it is serious about the "No More" domestic violence campaign. Instead, NFL owners unanimously agreed to a policy that's clearly about saving face, keeping players on the field, profits in their pockets and the power in Commissioner Roger Goodell's hands.

The most glaring problem with the "new" policy -- laid out in a handy flow chart -- is that it is almost identical to the old policy in that it is ambiguous, optional, case-by-case, complicated and at the discretion of the NFL.

Consider a very predictable pattern -- a 911 call is received, police arrive at an NFL player's home on a domestic violence report and arrest the NFL player.

Do we know for certain what the NFL do would do under this new policy? No we don't. What if the player's pregnant fiancee is begging to drop the charges the next morning? We don't know what would happen then, either.

The fact is, if the new policy was clear, you would be able to answer simple questions like these with a "yes" or "no":

1. Will a player be suspended immediately following an arrest? (No idea).

2. Will a player be suspended if he is charged with a crime, following an arrest? (Maybe).

3. Will players who are arrested and investigated (Ray McDonald) be treated differently than those that plead no contest to a less offense (Adrian Peterson) or for pretrial programs (Ray Rice)? (Probably).

4. Will counseling be mandated for players who are arrested for violent offenses, or only "provided"? (Who knows).

5. What does "assist" families actually mean? (Unclear).

The limits of the new guidance is demonstrated by the Ray Rice case, which, if the flow chart is followed logically, would end up having much the same result with the new approach as it did with the old one:

The moment the league is notified of Ray Rice's arrest at a casino, the Special Counsel for Investigations and Conduct starts investigating in parallel with the criminal courts. The investigation, not arrests or charges being filed, determine whether or not Ray Rice is put on paid leave. When the investigation is complete, Special Counsel determines discipline. If there is a criminal conviction, the baseline for violent crimes is a six game suspension, unpaid.

According to the flowchart, Rice's fiancee would have access to "Club Level" Critical Response Teams that include medical and counseling services. If Ray Rice appeals, three outside experts would advise. But guess who gets final say over what ultimately happens to Ray Rice? Roger Goodell or his designee.

Unlike the new substance abuse policy finalized in September, there are no concrete answers as to what will be done, only what may be done. And the truth is, no corporation knows how to handle domestic violence. According to the Society of Human Resource Management, only 20% of employers surveyed have training on domestic violence issues.

But there should be no such thing as an NFL investigation, unless it is substance abuse or conduct that impacts the on field performance of a player. The NFL simply cannot handle criminal cases involving domestic violence, child abuse or sexual assault. What it can do is set conduct policies that are clear and provide counseling serves to players and families who need them.

I keep hearing people say that domestic violence is a "complex" situation. That may be true, but great leaders make the complex simple. They use clarity in their convictions to define operating standards and conduct policies for their organizations.

In this case, that would mean being crystal clear about what the NFL will tolerate and what it will not tolerate.

The league should also make the arrest the trigger point. If you are arrested for any crime against your intimate partner, children or animals, or any violent crime, you should automatically be suspended for six games, with pay. If you are formally charged with a crime, you lose pay for those six games. It is at the individual team's discretion to punish you further.

If you are arrested a second time, you should be banished.

A clear policy puts the onus on the players to conduct themselves in a way that does everything possible to minimize their chances of arrest. Clear leadership sends a message to the owners, employees, players and the world about what the NFL stands for. When a leader is clear, people know how to act because they know what to expect.

Goodell is paid healthily to set protocol and take responsibility for everything that happens at the NFL. And yet still we have no idea what punishment you can expect to receive when you punch your wife or use a switch to spank your child.

"We've taken a black eye on this," Giant's co-owner John Mara said. Yes, he actually said that. Unfortunately, those PR black eyes seem to be the only ones the NFL cares about. Roger that.

@highlight

NFL has released new player conduct guidelines

@highlight

Mel Robbins: New guidelines are ambiguous on punishment

@highlight

NFL missed chance to show leadership on domestic violence, Robbins says