(CNN) -- America's defense budget is headed for a big reduction, as a result of the congressional super committee's failure to reach a debt reduction compromise. The automatic 10-year budget cut of more than half a trillion dollars now facing the military is reminiscent of a strategic decision Britain confronted nearly a century ago. When the empire had to address the profound debts it accrued during World War I, the answer was the Ten Year Rule.

Formulated in 1919, this rule dominated Britain's defense planning throughout the 1920s. It worked on a simple, rolling assumption: "That the British Empire will not be engaged in any great war during the next 10 years." As long as the planning assumption held, the government could assume strategic risk by reducing the military's size, deferring its modernization programs and delaying improvements to base protection.

Winston Churchill, chancellor of the exchequer during much of this time, was its most famous proponent. Observing on several occasions that there was no foreseeable danger of war with Japan, he cautioned Britain against building any ships or bases that might alarm the Japanese government. Indeed, Churchill's voice was decisive in Britain's decision to delay strengthening the Royal Navy's vital base in Singapore during the 1920s.

Although the Ten Year Rule saved the British much money in the short term, the calculated risk turned into dashed hopes in the 1930s. In short succession, Japan conquered Manchuria in 1932, Hitler rose to power in 1933 and suddenly a world war loomed on the horizon.

Britain finally repealed the rule in 1932 -- the same year Manchuria fell. As Britain's weakened position in Asia became evident, the government realized it was in no position militarily or financially to address the challenges it now confronted.

Through its inaction, Britain signaled the beginning of the end of its leadership role in Asia and of its ability to meet its continental commitment to European allies. Thus, in 1939 Britain entered World War II with a woefully inadequate military. The inadequacies of this force were best symbolized by the fall of Singapore in 1942 and the surrender of 80,000 British-led troops to the Japanese invaders. The loss of Singapore was a profound psychological shock as well as a military blow to the British. Churchill, originally a strong proponent of the Ten Year Rule, had to deal with its consequences as wartime prime minister.

Any sound grand strategy must account for economic, political and military factors. But the strategy can't substitute hope for fact. The British hoped they could focus on their economy in the 1920s with a rule based on the assumption that their security would not be threatened during the next decade. They thought they could undertake whatever military expansion program necessary if a threat were to manifest. In short, the government hoped world events would unfold benignly until the British economy rebounded.

Instead, the economy worsened as part of a global depression. Military dictatorships emerged in response to turbulent times and soon threatened British security. By the mid-1930s, it was evident that by focusing solely on a hopeful strategy, the British had, much to their regret, failed to create a less optimistic Plan B.

As America embarks on a tough strategic journey in the aftermath of Iraq, and contends with an ailing economy, it is wise to be mindful of the difference between hope and fact. The president and Congress might focus on strengthening the economy and assume for a time that a smaller military will suffice. Pursuing prudent military reductions in this environment makes sense; however, relying on a budget-driven process to make these reductions does not.

The nation's leadership needs a Plan B so that a heroic assumption -- or hope -- about the unlikelihood of future wars does not inadvertently lead to strategic disaster. This is harder than it seems. Plan B would allow more flexibility to meet what could go wrong in the strategic environment rather than just making budget cuts.

In tough economic times, hope makes planning easier and defense reductions more palatable. Indeed, the mistake is an easy one to make. After all, Winston Churchill, perhaps the greatest democratic leader of the 20th century, succumbed to the temptation.

The opinions expressed in this commentary are solely those of Paula Thornhill.

@highlight

Paula Thornhill: With super committee failure, automatic cuts could lead to harsh defense cuts

@highlight

She says U.S. could repeat mistake made by Britain in cutting defense after World War I

@highlight

Arbitrary budget cuts could leave America at risk in a dangerous world, she says

@highlight

Thornhill: A new strategy is needed to determine how to manage the budget