Rome, Italy (CNN)  -- The Vatican did not know about an American priest believed to have molested up to 200 boys until 20 years after civil authorities investigated and then dropped the case, its top spokesman said Thursday.

Vatican spokesman Father Federico Lombardi issued the statement in response to a New York Times story alleging that top Vatican officials, including the future Pope Benedict XVI, failed to discipline or defrock the now-deceased Rev. Lawrence C. Murphy of Wisconsin, despite warnings from several American bishops.

But Jeff Anderson, a lawyer who obtained the internal church paperwork the newspaper based its story on, said it "shows a direct line from the victims through the bishops and directly to the man who is now pope."

Lombardi rejected the accusation.

"During the mid-1970s, some of Father Murphy's victims reported his abuse to civil authorities, who investigated him at that time," Lombardi said. "However, according to news reports, that investigation was dropped."

The Vatican's Congregation for the Doctrine of the Faith, the office led by Cardinal Joseph Ratzinger, who would later become pope, "was not informed of the matter until some 20 years later," Lombardi said. The office is in charge of deciding whether accused priests should be given canonical trials and defrocked.

"The case of Lawrence Murphy has been well-documented since the mid-1970s, when allegations were first reported to civil authorities, although criminal charges were not filed," the Archdiocese of Milwaukee said in a statement Thursday.

"Murphy's actions were criminal, and we sincerely apologize to those who have been harmed. The Archdiocese of Milwaukee continues to reach out to victims-survivors who were harmed by Lawrence Murphy and encourages them to report any abuse they suffered."

Anderson, a lawyer representing five men who are suing the archdiocese, obtained correspondence from Milwaukee to Ratzinger as part of the lawsuit, along with other internal church documents related to the case.

The documents, dating to 1974, include letters between bishops and the Vatican, victims' affidavits, the handwritten notes of an expert on sexual disorders who interviewed Murphy and minutes of a final Vatican meeting on the case.

Murphy began as a teacher for St. John's School for the Deaf in St. Francis, Wisconsin, in 1950, and was promoted to run the school in 1963 in spite of the fact that students had warned church officials of molestation, according to the documents, which CNN has seen. Many of Murphy's victims were hearing-impaired.

Ratzinger failed to respond to two letters about the case in 1996 from Milwaukee's then-archbishop, Rembert G. Weakland. After eight months, Cardinal Tarcisio Bertone, who at the time was second in command of the doctrinal office and now is the Vatican's secretary of state, told Wisconsin bishops to begin a secret canonical trial, the documents show.

Lombardi said that church rules did not mean a priest would automatically be punished but that punishment, if warranted, could include being defrocked.

"In such cases, the Code of Canon Law does not envision automatic penalties but recommends that a judgment be made not excluding even the greatest ecclesiastical penalty of dismissal from the clerical state," he said.

"In light of the facts that Father Murphy was elderly and in very poor health, and that he was living in seclusion and no allegations of abuse had been reported in over 20 years, the Congregation for the Doctrine of the Faith suggested that the Archbishop of Milwaukee give consideration to addressing the situation by, for example, restricting Father Murphy's public ministry and requiring that Father Murphy accept full responsibility for the gravity of his acts," the statement said, noting that Murphy died four months later.

Three successive archbishops in Wisconsin were told of the abuse, but none reported it to criminal or civil authorities, according to Anderson, the lawyer. Lombardi, however, said that neither canon law nor Vatican norms prohibit the reporting of such cases to law enforcement. But "he did not address why that had never happened in this case," the Times said.

The Archdiocese of Milwaukee said abuse was reported in fall 1973 to Milwaukee police, who turned the report over to St. Francis police, but no charges were filed. Murphy was removed in May 1974 as director of the St. John's School for the Deaf but remained as fundraiser and alumni director until summer 1974, when he was removed from any role at the school, according to a chronology posted on the archdiocese Web site.

In August 1974, a series of newspaper articles in the Milwaukee Sentinel reported on Murphy's removal and the allegations, the chronology said. In September, he relocated to a family home in the Diocese of Superior.

A district attorney reviewed the allegations against Murphy in fall 1974, according to the archdiocese. A civil lawsuit was filed in 1975 against the archdiocese relating to Murphy but was resolved the following year, the chronology said.

Murphy's request for retirement was accepted in January 1993, but restrictions against him were reinstated that year and reinforced twice.

The bishops warned the Vatican, according to the newspaper, that failure to act on the matter could result in embarrassment to the Church.

"The tragic case of Father Lawrence Murphy, a priest of the Archdiocese of Milwaukee, involved particularly vulnerable victims who suffered terribly," Lombardi said in the statement. "By sexually abusing children who were hearing-impaired, Father Murphy violated the law and, more importantly, the sacred trust that his victims had placed in him.

"In the late 1990s, after over two decades had passed since the abuse had been reported to diocesan officials and the police, the Congregation for the Doctrine of the Faith was presented for the first time with the question of how to treat the Murphy case canonically," the statement said.

At the time, there was no procedure in place for reporting church abuse to the doctrinal office, according to Vatican sources. The office was informed of the matter, Lombardi said, because it involved abuse at confession, which is a violation of the Sacrament of Penance.

St. John's School for the Deaf closed in 1983, the archdiocese said in its statement.

"Most importantly, today, no priest with any substantiated allegation of sexual abuse of a minor serves in public ministry in any way in the Archdiocese of Milwaukee."

CNN's Diana Magnay contributed to this report.

@highlight

American priest believed to have molested up to 200 boys

@highlight

Authorities investigated Wisconsin priest and then dropped case

@highlight

Newspaper says officials, including future Pope Benedict XVI, failed to discipline priest