(CNN) -- Whether you're a domestic company or an international business, failure to comply with China's strict Internet regulations risks having your online presence curtailed or shut down completely.

This means being subjected to the so-called "Great Firewall of China," where websites, from newspaper portals to micro-blogging services, come under intense scrutiny from government censors who prohibit topics deemed unsuitable.

"Bottom line is that there's a list of topics that domestic and international media based in China doesn't allow discussions on," said Doug Young, journalism professor at Fudan University in Shanghai and author of "The Party Line: How The Media Dictates Public Opinion in Modern China."

Some of the most high-profile international Internet brands such Facebook and Twitter are blocked within China, and have been since massive protests in the country's North-Western province Xinjiang in 2009, when protesters used Facebook to organize demonstrations.

Read more: Chinese journalists in rare protest against censorship

YouTube, which is owned by Google, was also blocked in 2009. It was speculated that the ban was caused by a video of Tibetans getting beaten up in connection with riots that took place in the province the year before, CNN reported at the time.

Other companies, such as the search engine Yahoo!, have instead opted to co-operate with the authorities in order to stay on the local market. Yahoo! and several other tech companies came under fire in the U.S. in 2006 for providing the Chinese authorities with information about their users.

Read more: Chinese newspaper in eye of censorship storm back on sale

Major international news organizations have also been at the receiving end of China's censors, frequently finding their services blocked when they report on issues seen as sensitive to the Chinese government. Both The New York Times' and Bloomberg's websites, for example, were blocked in recent months after publishing unflattering articles about the wealth accumulated by families of some senior Communist Party members.

U.S. Search giant Google has also walked a rocky path in China ever since its Chinese-language interface site google.cn was launched in early 2006, with several spats over Internet censorship erupting over the years.

Read more: China blocks New York Times website after story on leader's family wealth

Initially, the company agreed to censor the content in accordance with Chinese Internet regulations. However, after a sophisticated cyber-attack on Google in 2009 that allegedly originated in China, Google decided that it would no longer abide by state censorship and redirected its traffic from mainland China to its uncensored site located in Hong Kong in 2010.

Despite having made a name for itself as being a company striving for greater online information access, Google was recently accused of succumbing to "self-censorship" after the company removed a feature highlighting blocked content in its Chinese language search engine.

The accusation came from GreatFire.org, an organization that monitors Internet freedom in China, who reported that Google's feature was removed sometime between December 5 and 8.

Taj Meadows, a Policy Communications Manager at Google, confirmed that the feature was disabled around that time, but wouldn't comment further. Google didn't want to comment on the self-censorship accusations.

While the feature was in place, it informed users when they put in a search term that might be blocked. When a sensitive query was entered, a message would appear: "We've observed that searching for [censored word] in mainland China may temporarily break your connection to Google. This interruption is outside Google's control."

Launched in May, the feature was introduced in response to search problems faced by users in China. Some would report receiving messages such as "This website is not available" or "The connection was reset," before access to Google was temporarily disabled, according to Google Search's own official blog, Inside Search.

The connection interruptions were "closely correlated with searches for a particular subset of queries," Alan Eustace, a Google Senior Vice President, wrote on Inside Search at the time of the launch of the feature. Several hundred thousand popular search queries in China were reviewed by engineers in the U.S., who managed to identify specific problematic search terms. "By prompting people to revise their queries, we hope to reduce these disruptions and improve our user experience from mainland China," he said.

When the feature was introduced, Foreign Policy, a magazine on global politics and economics owned by the Washington Post Company, wrote in their online edition that "what Google executives won't discuss -- at least publicly -- is the obvious fact that they are exposing the Chinese government's censorship tactics in an unprecedented way."

Read more: Chinese censors block news on blind activist's escape

The Chinese authorities received the warning-function with little enthusiasm, taking measures to block the feature within 24 hours of its launch, according to Greatfire.org. "Google in turn reacted by changing the URL of this file, which again was blocked. The cat and mouse game ended... when Google geniously embedded the whole function in the HTML of its start page," GreatFire.org reported.

The efforts from the Chinese side to block the feature caused such disruption in the search engine that it worsened the user experience, which is why the feature was finally removed, according to an Internet expert familiar with the situation.

Martin Johnson, founder of GreatFire.org and FreeWeibo.org, said Google managed to embed the coding of the feature on its front page in such a way that the authorities couldn't remove it by anything less than a complete block of Google.

"The removal of the feature suggests that [Google] gave in to demands from the authorities, perhaps under threats that they would be completely blocked otherwise... There are many more things they could do, like forwarding users to the HTTPS version of their search engine, which would make it impossible for the authorities to block individual keywords," Johnson said, adding that recent events has lowered the expectations of Google's ability to push the boundaries in China.

Doug Young at Fudan University, however, points out that Google is a company committed to free information search, and believes that it's more likely that the feature would have been deleted due to technical difficulties.

"They [the government] don't want to block Google entirely, but they still do what they can to make the user experience as horrible as possible," Young said. Internet users in China are aware of that their searches are being filtered and censored in different ways, he added, "we're only hurting ourselves by adding extra technology that the government can use to slow down the search engine."

@highlight

Companies based in China must comply with strict internet regulations, or be blocked online

@highlight

Many international social media platforms like Facebook and YouTube are blocked in China

@highlight

Google moved its Chinese search engine to Hong Kong in 2010, to avoid censorship

@highlight

Google recently removed a censorship-warning feature from its Chinese search engine