(Fast Company)  -- The tech world's getting used to the idea Steve Jobs is absent from Apple again, for medical reasons. We think he'll be back soon. But one day he won't come back, and who might fill the big chair then?

For the time being Tim Cook is in control at Apple, as he has been every time Steve Jobs has had to take time to tackle his health issues.

Cook's time in the role has, self-evidently, been highly successful, and many commenters are tipping him to be Steve's eventual successor -- with these stand-in periods acting as a carefully managed succession plan.

But is Tim really the guy for the job, given that Steve is still active as CEO in the background, and all big decisions are still cycling through him? Could someone else from inside Apple be a better fit, or is there someone working elsewhere we can imagine as the next Apple CEO?

Tim Cook

Currently Apple COO, repeat stand-in for Steve Jobs. Demanding, keen-minded, unemotional. A science and business scholar, previously at Compaq and 12 years at IBM where he managed product and manufacturing inventories and chains.

He's credited with making Apple's products stream reliably from their eastern manufacturing homes to their end users, and hot-tipped to replace Jobs by many. Recently introduced the high-profile Verizon iPhone. Once said: "Replace Steve? No, he's irreplaceable. That's something people have to get over."

Odds for replacing Steve: Long, long, long. A good temporary replacement, but lacks dynamism and creative vision.

Jonathan Ive

Currently Senior VP of Industrial Design at Apple. Highly regarded, award-winning brains behind nearly all of Apple's iconic computing and mobile products since 1996 -- starting with the industry-startling original candy-color iMac, and recently refining the aluminum unibody designs that are now a design reference point.

A highly accomplished presenter and speaker, he's known as a perfectionist and thinks focus groups are a symptom of corporate "creative bankruptcy."

Odds for replacing Steve: Medium-long, as though he's a super-hot property in the design field, and some of his philosophy aligns with Jobs', he lacks the industrial and technical training to replace his boss. He could be a powerful co-chair, though.

Phil Schiller

Currently Senior VP of Worldwide Product Marketing at Apple. A 20-year Apple veteran, in different marketing management roles, he's credited with some of the smart moves that placed iMac, iPods, and iPhones as the chic devices to own in the public's eye.

He often speaks at Jobs-led keynote speeches, and has led a keynote or two of his own to introduce new products. Not regarded as a business tiger, he does Twitter, and has spoken clearly about what makes Apple products unique: "We want things to be beautiful, surprising to see, but they also have to be functional. One without the other doesn't make any sense."

Odds for replacing Steve: Medium. He has definite genius in marketing, and shares much of Jobs' product vision. But he doesn't have a dynamic public presence, and some see him as a bad CEO -- probably better suited at staying where he is, to support any future new CEO and ensure consistency.

Scott Forstall

Currently Senior VP iPhone Software at Apple. Forstall is responsible for some of the key decisions behind Apple's OS X and its Aqua interface, and led the release of OS X Snow Leopard.

A computer scientist by training, and formerly an employee of Jobs' NeXT computer firm, Forstall reports directly to Jobs and is credited with the successful industry-defining iOS interface of the iPhone and iPad.

He's a smooth public speaker and has notable attention to detail: "I actually have a photographer's loupe that I use to make sure every pixel is right"

Odds for replacing Steve: Good. Forbes called him a name you "need to know in 2011," and he's young, possesses the right kind of technical knowledge and dynamism, and has become an increasingly important figure in key Apple product decisions.

Eric Schmidt

Currently Executive Chairman of Google, formerly CEO. Educated in electrical engineering, he has a PhD and taught at Stanford Business School as a part-time professor.

Joined Google in 2001, swiftly adopted the CEO role as a business-savvy figurehead in place to manage the tech-minded, but less business-savvy Larry Page and Sergey Brin. He stepped aside from this role in 2011, and will now advise CEO Page from a board level.

Schmidt served on Apple's board from 2006 to 2009, but left due to conflict of interests with Google. A slick public speaker, Schmidt is however famous for making oral slip-ups that damaged Google's reputation, including "We know where you've been. We can more or less know what you're thinking about."

Odds for replacing Steve: Medium. He has stepped back from the hot seat at Google, and could easily depart its board which could resolve some conflicts of interest with Apple. He is highly business-minded, technically educated, but lacks Jobs' slickness and (possibly) creative vision. Would he do it, though?

Tony Fadell

Currently retired, retained as a "special advisor" to Steve Jobs at Apple. Fadell is a computer science engineer, formerly CEO of Constructive Instruments and employee at Apple spin-off General Magic and Philips.

Joined Apple in 2001 as a contractor advising on iPod design, then was quickly hired to its iPod and Special Projects group, a group he ran as SVP from 2006 after Jon Rubenstein's departure.

Retired in 2008, at the same time as his wife Danielle Lambert (VP of HR at Apple) to concentrate on his family. On retiring he noted "I'm determined to tell my kids and grandkids amazing stories beyond my iPod and iPhone ones."

Odds for replacing Steve: Unknown. He made a bold decision to spend time with his family, but retained a key role advising his former boss Jobs. He has the right technical skills and creative imagination and is certainly trusted by Jobs, but could he be tempted back for a couple of years for the right eight-figure salary?

Mark Papermaster

Currently VP in Engineering at Cisco Systems. He is educated in electronics and worked at IBM for 26 years, including senior roles in the PowerPC chip project -- the chips that, at the time, powered Apple's computer lineup.

Highly regarded in the industry, Apple tried to recruit him in 2007, but didn't find him a fit for the role in question. After Fadell left, Papermaster was recruited in late 2008 to help integrate Apple's recent chip design acquisitions.

A controversial battle with IBM occurred, concerning Papermaster's intense inside knowledge of IBM's tech, and though this was resolved he left Apple in late 2010 due to the iPhone 4 antenna woes and broader "cultural" differences.

Odds for replacing Steve: It's very unlikely to happen. Unless Apple's Board decides Papermaster's technical expertise and dynamism are crucial to develop the internally produced chips that Apple is increasingly relying on for its signature products. A possible co-CEO?

Peter Skillman

Currently VP of Meego Ux and Services Design at Nokia. Skillman has an MSME in Product Design from Stanford, but is most famously known as the man behind Palm's revolutionary Pre phone -- the last-ditch effort by Palm to remain relevant in a post-iPhone world.

He left his VP of User Experience role Palm after its acquisition by HP and joined Nokia in late 2010. Speaking about his area of expertise since joining Nokia, Skillman noted "Design is just 5% of a world class product and experience. Marketing, sales, distribution, [and] procurement is what makes up the other 95%."

Odds for replacing Steve: Long in the short term, good in the future. Skillman certainly has the right criteria for the Apple CEO role, understanding technical matters, design principles, marketing roles and management issues. He's unlikely to leave Nokia soon, and who knows if he'd be tempted to join Apple, but he's the right stuff.

Copyright © 2010 FastCompany.com, a unit of Mansueto Ventures, LLC. All rights reserved.

@highlight

Tony Fadell is retired, but retained as a "special advisor" to Jobs

@highlight

Scott Forstall has a good chance of being the next leader of Apple

@highlight

Peter Skillman certainly has the right criteria for the Apple CEO role