Caracas, Venezuela (CNN) -- Standing in his food shack under posters of Venezuelan President Hugo Chavez in a Caracas slum, 70-year-old Miguel Bigello relays his backhanded support for Barack Obama.

"For all the deaths he's caused, he's not touched Latin America," he said. "The other guy [Mitt Romney] is too radical. He will fight here for the oil."

The elderly man is an avid supporter of Chavez, his "Comandante," and in the small wooden hut sits a carving of the face of Che Guevara as well as a poster depicting Latin American independence hero Símon Bolívar.

Postcard: Why 'Obamagic' has worn off in Nigeria

Bigello shares the view of his president. "If I was from the U.S., I'd vote for Obama," Chavez said buoyantly on state television just a week before he won his third six-year term two weeks ago, potentially extending his tenure to two decades. "Obama is a good guy."

Venezuela is still hungover from its own presidential election and in this fervently political country — mostly thanks to Chavez's ubiquity, strength of personality and polarizing policies — the U.S. election campaign offers some light relief after a trying few months.

Map: The world weighs in on the U.S. election

The contest between Chavez and Henrique Capriles, the Venezuelan opposition's first real hope in 14 years, made the Romney-Obama matchup look like child's play. Chavez welcomed his opponent to the ring in February by calling him a "low-life pig" who would be "pulverized." There were no debates here as Chavez felt Capriles was below him. "The eagle does not chase flies," said a defiant Chavez.

Postcard: Why Berliners, U.S. are kindred spirits

The self-styled socialist leader's supporters see Obama taking a leaf out of Chavez's book. "Obama is working for the people just like Chavez," said Gomez Darwin, 42, stood under a huge Che Guevara mural in a primarily Chavez-supporting Caracas barrio.

However, it is the contenders' world views which really matter here. Gloria Torres helped organize prayer vigils for Chavez as he suffered cancer last year. "Obama's policies towards Latin America haven't been aggressive," she said, offering her support for the U.S. incumbent before adding: "The other guy doesn't seem to have any friendly intentions towards us!"

Venezuela has come up a number of times in Republican rhetoric during the U.S. race. Mitt Romney branded the Venezuelan government a "threat to national security" earlier this year, adding that Chavez had spread "dictatorships and tyranny throughout Latin America."

Postcard: Obama's 'hope' a mirage for hostile Pakistanis

Romney's running mate, Paul Ryan, added: "In a Mitt Romney administration, we will not keep practicing this policy of appeasement ... We will be tough on [Cuban President Raúl] Castro, tough on Chavez. It's because we know that's the right policy for our country."

This antagonism from the Romney camp towards Chavez — compared to Obama's softer approach — has attracted some of Venezuela's more wealthy hard-line opposition.

"Romney named Chavez in his manifesto; Obama didn't," said Aixa Armas, eating breakfast at one of Caracas' high-end hotels. "Obama has closed his eyes to the problem, a regional problem, and he is too friendly with Chavez."

Postcard: War-scarred Baghdad has little faith in election

The lubricant between Caracas and Washington is the world's highest oil reserves on which Chavez sits. It is that wealth that has kept Venezuela's economy from collapsing -- despite epic mismanagement which has led to the region's highest inflation rate and a severe shortage of U.S. dollars. America is Venezuela's biggest oil market and the Latin American country is among the top five exporters to the U.S..

"The U.S. remains the only actual customer paying cash and at full-price," said Russ Dallen, head trader at Caracas' BBO Financial Services. "Romney may want to use that leverage to stop subsidizing a thorn in America's side."

Dallen adds that Venezuela, or at least the Chavez government, needs oil prices to stay high, and Obama may be a safer bet for that. "Obama is more willing to tolerate high gasoline prices because gas at $4 a gallon makes people more willing to invest in alternative technologies and for those technologies to be more cost effective."

Postcard: Obama, Romney ignore Afghans at own peril

Chavez is unlikely to be thinking in such depth. His support for Obama recently marks the apex of the 58-year-old strongman's relations with Washington since coming to power in 1999. The infamous nadir came in 2006 when Chavez stood at the United Nations lectern, theatrically sniffing the air. "The devil came here yesterday," he said, a day after former President George W Bush's speech. "It smells of sulfur still." He then went onto describe Bush's "domination, exploitation, and pillage of the peoples of the world."

Chavez quipped two weeks ago that Obama would support him too, had he been born in Venezuela's slums. After some shaky relations, Chavez is prepared to start again. "With the likely triumph of Obama, and the extreme right defeated both here and there [in the U.S.], I hope we can start a new period of normal relations."

@highlight

Hugo Chavez endorsed Obama, calling him a 'good guy'

@highlight

Venezuela-U.S. relations have been rocky for more than a decade

@highlight

Romney's harder stance on Chavez appeals to Venezuelan opposition

@highlight

America remains Venezuela's biggest oil market