(CNN) -- Many computer engineers consider a job offer from Google as the golden ticket.

Outdoor volleyball courts, free gourmet food, on-site haircuts, massages and laundry are among the perks Google has offered its employees at its main campus in Mountain View, California.

But some of the people who do leave are challenging the company in the best way an engineer knows how: by developing programs that could detract from Google's core business.

Brian Kennish worked at Google for seven years, managing teams of engineers on a variety of products such as the Chrome browser and the moribund Google Wave.

Near the end of his stint at Google, Kennish developed a browser extension for Chrome called Facebook Disconnect.

The software blocks websites that have Facebook widgets installed from automatically sending information about the user back to the social networking company. Facebook Disconnect has 75,000 users, Kennish said.

"No one at Google asked me to do it," Kennish told CNN this week.

What sparked Kennish's project, he said, was reading the recent scrutiny of online data-collection tactics chronicled by news organizations. The Wall Street Journal has been running a series called "What They Know," and CNN had its own last week called "End of Privacy."

While Facebook and the applications that run on its platform can be considered personal-data hoarders, Kennish eventually realized his then-employer was, itself, among the biggest collectors.

To name a few practices, Google can track search queries over time, target ads to its Gmail users based on the contents of e-mails, and use a person's location data to determine which shops' ads it will show. Google, like many Web advertising companies, uses small files called cookies to track internet surfing habits in order to better target ads.

"I never worked directly with user data," Kennish said of his time at Google. "I didn't have a good sense of what was being collected. Privacy wasn't a passion of mine or something that I knew a lot about until basically two months ago, when I started reading about this stuff."

Kennish left Google in November to focus more on programs that empower people to take control of their privacy online.

"I had this holy-cow moment when I realized what was going on," Kennish said. "There's just so much unknown about what's being done with this data."

"I think there is a good reason to be concerned with it all and, frankly, to be fearful of it," he said.

Last week, he released a second browser extension, another tool for Google Chrome, called Disconnect. Once installed, the program blocks major internet companies, including Google, from installing cookies on -- and thus tracking -- a computer.

People using Disconnect can decide which cookies they'd like to allow onto their system. Cookies can be helpful when, for example, you'd like a website to remember your login credentials and not ask for them every time you visit.

"I would like to see us move to a point where all the data that's collected about folks is intentional," rather than without people's knowledge, Kennish said. "So if I give you permission to collect my data, then go ahead and do it."

In its first week, 25,000 people downloaded Disconnect. Kennish is releasing a new version Friday that lets users choose whether Google can personalize search queries based on the data it has about the person. By default, Disconnect blocks Google from doing this.

"Any data that's collected has the potential to escape the collector," Kennish said. "So I would like to see Google only collect data that I explicitly allow them to collect."

Google hosts a dashboard for users to review a breakdown of the messages and information attached to their accounts. The Google Privacy Center provides information on how the company collects data and lets people, whether they're registered with Google or not, opt out of ad and analytics tracking.

Michael Gundlach, another ex-Google engineer, developed an alternative to complicated opt-out systems that vary between ad networks. Like Disconnect, it's a browser extension, and there are versions for Chrome and Apple's Safari.

Called AdBlock, Gundlach's program can prevent Web pages from loading and displaying ads. That includes Google's ads, which account for the vast majority of the search giant's revenue.

AdBlock offers a setting to easily enable ads from Gundlach's former employer, though those ads are disabled by default. "Google didn't ask me to put that in," Gundlach wrote in an e-mail. "I find Google text ads to be useful."

Still, Gundlach says he blocks most ads because "I don't wish to be bombarded by consumerism."

The real economic conundrum: If website visitors don't pay figuratively -- by watching ads or by having their personal information sent to advertisers -- they may have to start paying real money for online services.

Kennish plans to devote six months to developing Disconnect and will reevaluate then whether it could be a sustainable business.

He's "pretty close" to releasing an extension for Safari and recently began working on one for Firefox, he said. If he's forced to abandon the project, the source code is freely available to any enterprising developers who want to take up the cause.

"The only business model I see," Kennish said, is to eventually provide a more advanced version of the software that costs money.

"When I use something like Google, I'm paying for Google with my attention and my data," he said. "There's no such thing as free. These are companies that have to pay employees' salaries."

Parts of Google's maturing business may clash with some of the wide-eyed engineers it hopes to attract, especially those passionate about taking risks to change the world, hopefully for the better.

But a Google spokesman, who declined to comment on most questions pertaining to this story, said the company's attrition rate -- that is, the percentage of employees that defect -- hasn't changed in more than seven years and is better than the industry standard.

In addition to all the on-campus amenities, a program called "20% Time" lets Google engineers devote a sizable chunk of their work weeks to projects of their choosing. (Kennish said he developed Facebook Disconnect after work hours.)

The perks haven't stopped some high-profile people from leaving the company.

Product designer Douglas Bowman left in a huff last year for a job at Twitter after reportedly becoming fed up with nearly three years of what he publicly described as Google's design-by-committee mentality.

Some notable Google alumni are spiting their former employer in a different way -- by joining Facebook.

The social network is perceived by some as Google's biggest rival. People are spending more of their time online using Facebook. They're thumbing through photos and asking questions to friends, rather than searching the wider Web. Google is unable to crawl most of the data posted to Facebook.

As Google-to-Facebook defections grow,  Google is reportedly offering some employees multimillion-dollar packages to convince them not to go to Facebook.

After wooing executives who worked on Google-owned YouTube, Android and advertising; the architect of Google Maps; and at least two Gmail co-founders, this week, Facebook claimed Paul Adams, a former Google employee who was previously an outspoken critic of the social network. Sheryl Sandberg, Facebook's venerable chief operating officer, also came from the big G.

But abandoning Google hasn't always proved to be a wise or permanent move. Anna Patterson left the company in 2007 to start a rival search engine called Cuil. When that tanked, she returned to Google in September.

@highlight

Some Google employees are leaving to create or join rival businesses

@highlight

Notable defections include engineers building programs that spike Google ads

@highlight

Google says its attrition rate hasn't changed in seven years