Atlanta, Georgia (CNN) -- Kevin Garibo hasn't known life outside a hospital. Born three months ago with respiratory issues, he needed a procedure to breathe on his own. Nurses prod at him, medical machines hum around him and tubes are more present than teddy bears.

But in the arms of Chris Haack, who strokes his cheek and speaks in a soft whisper while rocking him in a chair, little Kevin is one blissed-out baby.

Haack, a retired nurse from Roswell, Georgia, is a trained volunteer with "Baby Buddies," a program in the neonatal intensive care unit at Children's Healthcare of Atlanta at Egleston. As nurses race around administering medical care, she can comfort the tiny patients and stand in for parents who can't be there all the time to give the positive attention -- not the attention associated with pain or discomfort -- that is key to a baby's development and integral in forming trust.

"They need to be touched, they need to be loved, and that face -- that's why I do it," Haack says, peering down with a smile at Kevin, whose eyes are locked on hers. "I get more out of it than I probably give."

Studies show that giving, which extends beyond packages wrapped in ribbons, does a person good. In this holiday season, CNN introduces with this story a special series we're calling "Giving in Focus: The 12 Days of Goodness," in which we'll highlight acts of kindness and generosity that we hope will inspire.

Has someone done a good deed for you? Share your story

One person who can attest to the power of giving is Cami Walker, a 36-year-old woman who received a prescription to give when her multiple sclerosis, a diagnosis she got at age 33, left her a physical and emotional wreck.

She could barely get out of bed, and yet Mbali Creazzo, a friend and spiritual mentor, single-handedly killed Walker's pity party. She said, "'Cami, you really need to stop thinking about yourself. ... You're feeding this disease,'" Walker remembers. "She said, 'I have a prescription for you. Give away 29 gifts in 29 days.' "

Creazzo, a South African born medicine woman who lives in Oakland, California, explained that the idea, rooted in indigenous practices, was taught to her, although the number of days prescribed may have been different.

"Altruism has been going on for thousands of years," said Creazzo, 58. "Why it's so powerful at this moment is because of what's happening in the world today. People are looking for that place inside of them where they are of some use."

Walker, who lives in Hollywood, California, dismissed Creazzo's suggestion at first but came back to it when she realized she had nothing to lose by trying. What followed made her a convert to the idea. Whether she simply called a friend to offer support or bought iced-tea for a homeless guy on a hot day, the simple actions made a difference. She said her mood lifted, her ability to get around improved and the progression of the disease stopped.

"I don't see it as a cure. I still have MS," said Walker, who went on to write the best-seller "29 Gifts: How a Month of Giving Can Change Your Life" and create an online community at 29gifts.org, where Creazzo is also involved. "I really don't think about the limitations of my disease. I wake up more focused on what I'm capable of."

A long list of scientific and widely accepted studies point to the benefits a giver gets, said Stephen Post, author of "Why Good Things Happen to Good People: How to Live a Longer, Healthier, Happier Life by the Simple Act of Giving."

One study looked at preteens who'd first been surveyed in the 1920s in Berkeley, California. Those who displayed generosity and a giving attitude grew up to have lower rates of heart disease and depression, said Post, a professor of preventive medicine and director of the Center for Medical Humanities, Compassionate Care, and Bioethics at Stony Brook University in New York.

A study done at Harvard showed the strength of immune systems grew among students who watched a film about Mother Theresa, he said, and stayed high among those who were asked to continue thinking about giving. MRI devices have illustrated that the part of the brain that releases "feel-good chemicals," he said, lights up when giving's on the mind.

Post, who's also the president of The Institute for Research on Unlimited Love, said hormone levels tied to serenity, trust and compassion rise when people exhibit generous behaviors. Those same feelings, he added, have long been known to help wounds heal more quickly. Another study, one he's involved with now, has shown that people who go through Alcoholics Anonymous and then help other alcoholics have a 40 percent rate of recovery, while those who don't help other alcoholics recover at a rate of 22 percent, he said.

"Kitchen table wisdom says it's good to be good," and giving is "part of every moral and spiritual tradition," said Post, whose own mother used to tell him to "go out and do something for someone" whenever he got pouty. "It turned out there actually is pretty good science about this."

For Azim Jamal, a motivational speaker and co-author of the best-seller "The Power of Giving: How Giving Back Enriches Us All," the excitement about this topic is rooted in the possibilities of what might be -- the ripple effect.

If everyone gave time, money, talents or passion, what could that mean for individuals, communities, even the world?

"The power of giving is instantaneous, continuous and eternal," he said. "When you die, you don't take what you have. You take what you gave."

@highlight

Nurturing hospitalized babies serves patients as well as volunteers

@highlight

Author says 29 days of giving changed her life, made MS more bearable

@highlight

Scientific studies show physical and mental benefits of giving attitudes

@highlight

Ripple effect of giving can affect individuals, communities and world