(CNN) -- Can you imagine a world where the sun never sets?

For scientists cruising Antarctica in a mammoth 94-meter ship, that's exactly the surreal realm they encountered.

Now their remarkable two-month expedition has been condensed into a haunting time-lapse video, following the floating laboratory as it plowed its way through some of the most brutal conditions on the planet.

"We arrived in summer, mid-February, when there was 24-hour sunlight," Stanford University Ph.D student, Cassandra Brooks, told CNN.

"The sun would move from high in the sky to very low, but would never completely disappear. I didn't get tired until 1.am -- it was very energizing."

'Touching infinity'

Brooks, who is studying international ocean policy, was one of 30 U.S. scientists monitoring Antarctica's unique eco-system, as part of a National Science Foundation research cruise.

The ship wound its way along the stunning Ross Sea -- believed to be the last untouched marine eco-system on the planet -- providing scientists with an important insight into one of our few remaining healthy waterways.

During the summer months, Antarctica -- the southern most tip of the globe -- is transformed into a bewitching "Land of the Midnight Sun," where the sun never dips below the horizon, instead continuously moving in circles.

After more than a week of this extraordinary phenomenon, the team finally saw their first sunset at 1.am -- an experience Brooks described as "like touching infinity."

"Brilliant orange light streamed through the portholes on the starboard side of the ship. I peeled myself away from my microscope, dashed across the room and peered outside to catch the sun blazing down on the horizon," the 33-year-old said.

"The sight took my breath away -- the sky was on fire, turning the ocean a deep purple red. Gusts of wind collided with the wide rolling swells, driving an arc of brilliant pink spray 10 feet into the air."

Life and death

Despite the breathtaking beauty of this icy underworld, conditions could also be brutal with winds of 110 kilometers per hour and temperatures plunging to -40C.

On these extreme days, scientists weren't allowed outside on the deck covered in a slippery -- and dangerous --layer of ice.

"If you fell overboard you'd be dead within minutes because the water is below freezing," said Brooks.

"Yet it's an environment that's also teeming with animals such as emperor penguins and Weddell seals."

Sometimes tightly packed ice up to 10 ft deep threatened to trap the ship -- Brooks admitted on previous expeditions it had been stuck for weeks -- and it was forced to spend hours reversing and ramming its way through.

The adventure was caught on film after Brooks attached a video camera to the bow of the boat -- capturing everything from blazing sunshine to fierce storms.

'Forget Friday night'

For more than two months, the team cruised Antarctica's wild Ross Sea -- more than 5,000 kilometers from the closest country; New Zealand.

Their ship, the Nathaniel B Palmer, became a floating island in itself, equipped with a helicopter hanger, gym, industrial kitchen, library, conference room and laboratory.

Brooks was part of a team measuring plankton in the water and would usually start her experiments at 7.am, working until 8.pm.

During the summer months, Antarctica's green plankton bloom grows so large it can be seen from outer space.

"We were there to test what happens to all that phytoplankton, which provides a vital source of carbon -- or food -- to the system," Brooks explained.

"Does it sink out to the bottom? Get eaten over the summer? Does it get transported out of the system? Many think that this large source of phytoplankton is the reason why the Ross Sea has such large populations of predators.

"Some people would still be up sampling water until 4.am," she added. "The idea of weekends and normal Friday nights completely disappears."

Spiritual science

For Brooks, the journey was more than just a science expedition -- it was a spiritual experience which gave her a renewed appreciation for mighty mother nature.

"It just grabbed me in a very visceral way," said Brooks.

"It's such an obviously beautiful place but also surreal -- the conditions are so extreme so you're seeing a whole other world you've never seen before."

Many scientists now believe the Ross Sea is the last untouched marine ecosystem in the world.

If Brooks' stunning video is anything to go by, it's also one worth protecting.

@highlight

Science research ship cruises Antarctica, captures stunning time-lapse video

@highlight

South Pole dubbed "Land of the Midnight Sun," 24-hour sunlight during summer

@highlight

Extreme conditions include winds of 110kph, temperatures plunge -40C

@highlight

Antarctica's Ross Sea the last intact marine ecosystem in the world