(Travel + Leisure) -- Climbing up the spiral stairs and through a stone tower to our room, we notice a passageway. "Where do you suppose it goes?" asks my wife, Sandra, as she signals me to follow her.

Stop for coffee and cake at the 11th-century Hornberg Castle hotel-restaurant in Neckarzimmern.

We emerge atop a medieval parapet. On our left is the steeply banked Rhine Valley and the vineyards that line the winding Rhine River; to our right is a medieval inner courtyard with a multilevel patchwork of Romanesque arches, half-timbered chambers and tumbledown stonework.

I'd first stumbled upon the Schönburg Castle Hotel while traveling through Germany's Middle Rhine Valley four years earlier. The 13th-century fortress had struck me as one of the most hauntingly romantic places in Europe.

And so here we are on our honeymoon, the first leg of a two-week journey through the Rhine Valley: south along the Burgenstrasse ("Castle Road"), to the Romantische Strasse (appropriately, "Romantic Road"), then north toward the vibrant city of Weimar.

Oberwesel to Heidelberg: 90 miles

From the Frankfurt Airport, we drive an hour northwest to the town of Oberwesel, contending with jet lag and a torrential downpour. As the Schönburg Castle Hotel comes into view, however, the unforgiving weather subsides and we forget our desperate need for sleep. Travel + Leisure: Guide to Germany's Rhineland

Darkened by storm clouds, the crumbling fortress commands the valley with a sphinxlike gravitas. Its stones have survived countless histories: throughout the Middle Ages wealthy nobles lived here, accumulating monies from river traffic tolls; during the 17th-century Palatinate Heritage War, the French Army set the castle on fire; it was abandoned for more than two centuries until, in the late 1800's, an American of German descent purchased the property and sold it to another family, who turned it into a hotel in the 1950's.

Our wood-paneled room, an octagonal chamber at the top of the highest tower in the hotel, resembles an officer's quarters on a sailing ship: the bed is built into a windowed alcove, high off the floor, so we have to climb a semicircular stepladder to reach it. A doorway leads to a tiny stone balcony overlooking the valley. I can't help thinking of Rapunzel locked away in her belfry.

With the castle as our base, we explore the Middle Rhine, stopping at small villages along the valley floor and amid the forests on the plateau above the river.

At the Historische Weinwirtschaft ("Historical Wine Inn"), a stone-walled restaurant with a wood-beamed ceiling, dogs and children run around freely, popping up every so often at our table, which had been made from an old wooden bed. The place strikes me as the very essence of Heimat, the peculiarly German nostalgia for connection with home and homeland. The notion is reflected in the food we eat -- the ingredients of our sauerbraten have been raised a literal stone's throw away -- and the welcoming, laid-back staff are locals.

The road heading south of Oberwesel takes us to the university town of Heidelberg, with its stone-arched bridges spanning the Neckar River and the grand, 12th-century Heidelberg Castle perched above the town on a high promontory.

Sandra and I trek up a narrow cobblestoned alley, past gabled stone houses with ancient doorways, and through a lush green park until we reach the castle. What was once a thick-walled tower now stands torn in half, the remnants of centuries of warfare. But as old ruins always do, the broken masonry now radiates calm in the cool autumn sunlight.

Heidelberg to Rothenburg ob der Tauber: 100 miles

East of Heidelberg, the Castle Road follows the course of the Neckar, along which castles emerge from the crests of hills like capped mushrooms. We excitedly count each one, like kids on a road trip spotting license plates. At the town of Neckarzimmern, in the Tauber Valley, we pull a hard left to Hornberg Castle, an 11th-century keep, where we stop for coffee and cake on the castle's terrace, with a view of the red-roofed village below.

The walled city of Rothenburg ob der Tauber is one of the few towns in the Tauber Valley that has remained virtually untouched since the 17th century. And for the next couple of days, we stay on its main street in a storied old pile called the Hotel Eisenhut. Travel + Leisure: The world's best hotels

Once among the most prosperous towns in Germany, Rothenburg suffered an outbreak of the plague in the early 1600s and was sacked soon after in the Thirty Years' War. The town never recovered, and as a consequence, little was built; the city is a medieval time capsule of half-timbered houses and arched gateways that pass through the bases of stone towers.

Despite being a picture-perfect town full of tourists, Rothenburg, truth be told, is not the most exciting place. It is, however, known for the Restaurant Mittermeier. In the busy basement enoteca, decidedly less pricey and formal than the fine-dining room upstairs, dark walnut tables are full of hip young locals; it's like being back in the 21st century.

The owner, 42-year-old Christian Mittermeier, is a voluble, bearlike man who apprenticed as a butcher as a teenager, before managing a small hotel just outside of town. After a glass of red wine and some goat ragoût, we ask his advice on the best vineyard in the region to visit. "Mine!" he says. "Meet me at nine tomorrow morning and I'll take you myself."

Rothenburg ob der Tauber to Weimar: 165 miles

True to his word, Mittermeier shows up the next morning, and together we drive north through pastureland and orchards brimming with apples and pears -- it's no wonder the Germans call this the Romantische Strasse. Up the side of a steep ridge sits Mittermeier's winery, Tauberzell, where we try the Riesling grapes and take in the valley below. Travel + Leisure: 10 unexpected U.S. wine trails

"There is the Tauber River, which means fish; the mill, which means grain and bread; the fields with sheep, which means meat and wool; and beyond, the village," he says. "From this one spot, I can see everything that is important to me, and no factory in sight. It must have been like this 500 years ago."

On the way back, Mittermeier insists we stop at Mainbernheim village, where his cousin owns a hotel-restaurant called Gasthof Zum Falken. It's a Thursday, one of the two days each week when his cousin, Lars Zwick, makes fresh bratwurst from pork butchered in town. Zwick serves each of us a pair of perfectly grilled sausages over sauerkraut, with a glass of local Riesling, before we head out.

After dropping Mittermeier back in Rothenburg, we drive north on the Romantische Strasse toward Weimar, a town of an altogether different provenance. If Rothenburg is a time machine to the Middle Ages, then Weimar is a portal to the Enlightenment; J. S. Bach and Franz Liszt both lived in the city center during some of their most productive years.

As we cruise down the tree-lined streets, the country's genteel past comes to life, with stately slate-roofed houses rising from walled-in yards. The Bauhaus movement was founded here in 1919.

Judging by its modern interiors, you would never suspect that our hotel, the 313-year-old Hotel Elephant, was once the preferred meeting spot for intellectuals like Goethe.

For dinner, we head to the nearby Anno 1900, a Beaux-Arts-style pavilion jutting out from the side of the historic Hotel Anna Amalia. Franz Kafka lived in the hotel building in 1912, as did his longtime friend Max Brod.

Outside, the weather has turned cool and crisp. I pull Sandra close and together we set off, our footfalls echoing off the cobblestones.

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2009 American Express Publishing Corporation. All rights reserved.

@highlight

Author travels along Germany's Romantic and Castle roads for honeymoon

@highlight

Schönburg Castle Hotel housed wealthy noble in the Middle Ages

@highlight

Rothenburg ob der Tauber has remained virtually untouched since the 17th century

@highlight

The town of Weimar is a portal to the Enlightenment