Polls for the Syrian presidential election opened Tuesday against the backdrop of a bloody and protracted civil war.

The outcome is hardly in doubt: President Bashar al-Assad is almost guaranteed to emerge victorious in a vote that opposition groups and many Western countries say has been be rigged from the start.

Syria isn't renowned for holding free and fair elections.

When al-Assad came to power 14 years ago, he ran unopposed, securing more than 99% of votes, according to state media. Seven years later, he won again with a similarly mountainous share of the vote. His father, Hafez al-Assad, ruled Syria with an iron fist for 29 years before he died in 2000.

The Syrian regime says the election has to be held under the new constitution and shows the country is moving forward.

But some analysts say the purpose of this week's vote, which U.N. Secretary General Ban Ki-moon urged the Syrian government not to hold, is to send a message to al-Assad's opponents, both in Syria and abroad.

Syria's presidential election: How fair can a vote be in a war zone?

'A coronation'

"It's a coronation of Assad, it's a celebration of his ability to survive the violent storm and basically go on the offensive," said Fawaz Gerges, a professor of international relations at the London School of Economics.

The election takes place amid a grinding three-year conflict that has killed around 150,000 people, displaced about 6.5 million within Syria and prompted almost 3 million to flee outside its borders.

Voting will take place only in areas controlled by the regime. State television showed al-Assad and his wife, Asma, casting their votes at a school in Maliki, a neighborhood of Damascus.

Rebels hold significant parts of the north and east of the country. There are concerns that violence could disrupt the election process, with voters wary of the threat of car bombs and shelling at polling stations within range of rebel mortars.

The Islamic Front, one of the largest armed rebel groups, announced it wouldn't target election centers.  It claimed the Assad government was blackmailing people to vote in a fake election, but said it wanted to avoid civilian casualties.

The British Foreign Office has said the vote "will be a grotesque parody of democracy." The U.S. State Department says the Assad regime has taken steps "to make it difficult if not impossible to have a fair and free election in Syria."

The regime has said election monitors from the United States, the European Union or the Organization for Security and Cooperation in Europe won't be present, but observers from some other countries will be.

War continues amid election

Warplanes bombed anti-government neighborhoods Tuesday as Syrians cast their ballots, the opposition-run Local Coordination Committees of Syria said.

In the western city of Rastan, warplane shelling killed at least two people, the LCC said. And warplanes dropped at least 20 barrels packed with crude explosive devices over Daraya in the Damascus suburbs, pushing thick columns of smoke into the afternoon sky, social media video showed.

The LCC also said that 28 people, including three children, were killed during voting Tuesday.

Meanwhile, in the once bustling commercial capital of Aleppo, residents dropped mock ballots in a makeshift ballot box "to withdraw the citizenship of President Bashar al-Assad," social media video showed Tuesday. CNN could not immediately confirm the authenticity of the videos.

Syria's official election body praised what it called a high turnout of voters and said "no problems whatsoever have been reported so far during the balloting process ongoing in Syria," said SANA, Syria's national news agency.

Syrian state television reported that because of the high turnout at polling stations, the Higher Judicial Committee for Elections extended voting by five hours, so it will end at midnight Tuesday.

Little-known challengers

One aspect of this year's election distinguishes it from the previous foregone conclusions. Al-Assad actually has people running against him -- although it's questionable how much of a challenge they present.

The two other candidates are relative unknowns: Hassan al-Nouri, a businessman and former government minister; and Maher Hajjar, a lawmaker.

Critics say they are just pawns or window dressing to give the election a veneer of democracy. But the Syrian government has dismissed any criticism of the process.

Hajjar has kept a low profile, but al-Nouri says he's serious about challenging al-Assad and is "trying to attack his weaknesses."

Speaking ahead of the election, he claimed he would be "more aggressive and more effective" than al-Assad on economic, administrative and social issues.

But on the overarching question of the war, al-Nouri offers no dissent. "Politically, I think he's doing what he has to do," he said.

Rebels divided

What al-Assad is doing is continuing the brutal offensive against those opposed to his regime, raining down barrel bombs on rebel-controlled parts of cities such as Aleppo and Daraa.

The opposition groups fighting against him are divided, with squabbling between factions and jihadis who have flocked from around the world to try to establish an Islamic state.

The rebels have lost ground around Damascus and Homs and are under pressure in Aleppo and the south of the country.

Talks this year mediated by the United Nations did little to change the situation, ending with the regime and the opposition firmly opposed.

Ban's office has warned that the elections are likely to worsen the situation, saying they "will damage the political process and hamper the prospects for a political solution that the country so urgently needs."

If al-Assad emerges victorious, as expected, it will further diminish the likelihood of his stepping down anytime soon. The Syrian opposition and Western countries insist that al-Assad can't be part of any body that, under an agreement signed in Geneva, Switzerland, earlier this year, would lead the country through a transitional period.

@highlight

Rebel group said it won't target election centers so it can avoid civilian casualties

@highlight

President Bashar al-Assad is expected to win Tuesday's presidential vote

@highlight

The Syrian opposition and Western countries say the election won't be free or fair

@highlight

28 killed amid elections, opposition says; state TV reports extended polling hours