(CNN) -- In signing Argentina's same-sex marriage law, President Cristina Fernández de Kirchner said debate over the issue would be "absolutely anachronistic" -- archaic, out of date -- within a few years.

Striking down California's Proposition 8 two weeks later, Judge Vaughn Walker was more specific, saying there was no evidence for old-fashioned stereotypes that painted gays "as disease vectors or as child molesters who recruit young children into homosexuality."

Banning people from marrying based on sexual orientation, the President Reagan appointee explained, is "irrational."

"Often courts will make decisions that are predictors of what public opinion is going to be a few years from now," said Brian Powell, an Indiana University sociology professor and co-author of the upcoming book, "Counted Out: Same-Sex Relations and Americans' Definitions of Family."

As Walker indicated, attitudes are changing, and waning are concepts that homosexuality harms children, defies biblical teachings or destroys the fabric of society.

"Public attitudes don't change really quickly, but this is one that's changing really, really quickly," Powell said.

The trend is similar abroad, especially among younger people, said Suzanne Goldberg, a Columbia University law professor who heads the Center for Gender and Sexuality Law. The center has handled asylum cases for gay people fleeing persecution in countries including Jamaica, Brazil, Uzbekistan and Ivory Coast.

Research indicates younger people are beginning to see sexual orientation as "benign variation, so that the differences between gay and nongay couples are simply not so interesting," Goldberg said in an e-mail.

"Once that happens, societies have less interest in distinguishing between relationships of gay and nongay couples," she added.

Before 2008, Massachusetts (via a court ruling) was the only U.S. state to legalize same-sex marriage, while the Netherlands, Belgium, Spain, Canada and South Africa were the only countries. Since then, four U.S. states, five countries, Washington, D.C., and Mexico City have legalized same-sex marriage.

Watch why same-sex marriages are on hold in California

While some of these entities have track records of defending civil rights, some may appear more curious. South Africa resides on a continent particularly hostile to gay rights, and in some African countries same-sex relationships are punishable by penal labor, flogging, imprisonment or death, according to the International Lesbian and Gay Association.

Mexico City, Portugal and Argentina, all of which legalized same-sex marriage this year -- and Spain, which OK'd it in 2005 -- are staunchly Catholic, and the church has made clear its aversion to same-sex relationships.

Goldberg said she believes, in the Catholic countries, the emphasis on religion is trumped by a drive to ensure equality.

"My sense is that the shift in the Catholic countries to recognize same sex-couples marriages stems from a complex set of political and social reasons and has been, in some nations, an indication of the church's shrinking political clout," she said.

Argentina may fit the bill, as the country is 92 percent Roman Catholic, yet only 20 percent of the population is practicing.

Watch couple comment on Argentina's first same-sex marriage

A recent CNN poll said Americans were split 51 percent to 49 percent against granting gay and lesbian couples the right to wed.

Proposition 8 was approved by a margin of 52 percent to 48 percent, but Powell noted referendums "do not necessarily reflect the will of the people." Older people tend to cast more ballots than younger folks, he said, and heated issues draw special interests into elections, which can skew demographics.

Powell has been collecting data on American attitudes since 2003. While the full data will be released in his book in September, his research adds a layer of nuance to the poll numbers: Though many Americans simply do or do not recognize gay couples as families, 80 percent of Americans consider gay partners a family if they have children.

His research shows American definitions of family are becoming flexible, he said, likening the same-sex marriage debate to the rumblings preceding the 1967 U.S. Supreme Court decision authorizing interracial marriages.

Before the miscegenation ruling, researchers found younger people, those with liberal religious views and voters with higher education levels had fewer qualms with interracial marriages.

Similar lines hold true in today's same-sex marriage debate. Powell added another variable: gender. Women have a "more inclusive" definition of family, he said.

Goldberg said demographics were also at play in other nations, "reaching a tipping point" on same-sex couples. These societies have had long-standing commitments to end discrimination against gays at work, in courts and elsewhere, she said.

iReport.com: 'Army of lovers' fights for rights

There is also "an increased demand by same-sex couples together with an increased recognition that there really are not nonreligion-based reasons to exclude same-sex couples from marriage," she said.

The more open discourse on a topic, the more acceptance it garners, Goldberg and Powell concurred.

Look to the tube. When Ellen DeGeneres kissed Laura Dern on her sitcom, "Ellen," in 1997, there was enormous backlash. Today, same-sex smooches are ratings grabs and shows with prominent gay characters, such as "Modern Family" and "Glee," are up for Emmys this month.

"Once there is more discussion about it as a result of court cases, as a result of media representations, people become more comfortable," Powell said.

Added Goldberg, "It's also true that as gay people live openly and as same-sex couples' relationships are recognized more broadly, fears that the sky will fall because of same-sex couples' marriages tend to fade away from the mainstream."

Change is not swift everywhere, as the degree of acceptance around the world presently runs the gamut.

Read Time.com's history of international gay marriage

In 2008, the U.N. General Assembly saw 66 countries declare they would support rights for gays and lesbians, yet a 2010 International Lesbian and Gay Association report said 76 countries punish people based on sexual orientation.

The number last year was 77. India dropped off the list when its court changed the penal code in July 2009.

"One country less compared to the 2009 list may seem little progress, until one realizes that it hosts one-sixth of the human population," the report said.

There are countries such as Iran, Mauritania, Saudi Arabia, Sudan and Yemen, which can put people to death for certain types of sexual behavior, according to the report. There are places such as Aruba and Israel that will recognize same-sex marriages but won't perform them. There are also about 20 countries or parts of countries that recognize civil unions.

Goldberg said policies in Uganda, which drafted an anti-homosexuality bill that would strengthen the nation's maximum sentence from life in prison to capital punishment, and in Iran are stark contrasts to the rest of the world, which is reluctant to condemn gays openly.

As for countries embracing civil unions, it's a compromise, Powell said. People are in favor of many gay rights, just not marriage, he said.

Goldberg described it as "typically political, where the pro-equality communities have enough power to gain substantial recognition for same-sex couples but not enough to overcome resistance from the more conservative segments of the political community."

To those fighting for gay rights, Powell said, any step forward helps because it increases dialogue and people's comfort levels.

"Contact makes things less scary, makes it more comfortable, and the more comfort you have the less opposition you're going to have," he said.

@highlight

Proposition 8 judge blasts stereotypes gays  are "disease vectors," "child molesters"

@highlight

Experts: Global attitudes shifting, resulting in acceptance for rights, marriage or civil unions

@highlight

Watchdog says Iran, Mauritania, Saudi Arabia, Sudan and Yemen can put gays to deaths

@highlight

Lesbian kiss on TV stirred controversy in 1997; now, shows with gays up for Emmys