(CNN) -- The human rights record of 2022 World Cup hosts Qatar is under the spotlight again after two Nepalese-British workers "disappeared in Doha following harassment by the police," according to a non-governmental organization.

The Norwegian NGO Global Network for Rights and Development (GNRD) says its employees Krishna Upadhyaya, 52, and Ghimire Gundev, 36, both vanished while working in the Gulf State.

The pair went missing on August 31, and a spokesperson for the UK embassy in Doha confirmed to CNN that it is investigating their disappearance.

CNN has contacted Qatar's interior ministry on several occasions but has yet to receive a response.

Upadhyaya, a human rights researcher, and Ghimire, a photographer, arrived in the country on August 27 and had been working on a report around migrant working conditions.

In February, organizers of the 2022 World Cup published a "workers' charter" which they said represented "tangible progress" in addressing widespread concerns over migrant workers' welfare.

According to GNRD, the missing men stayed at the Grand Hyatt Hotel, Doha, and were working from the Nepalese embassy.

While it has been confirmed that Upadhyaya did check out of the hotel, he remained in reception after revealing to a friend in Norway that he felt unsafe.

"Mr. Upadhyaya expressed alarm at the number of police in the vicinity, and noticed undercover authorities who came extremely close to him whenever he spoke on the phone," said a GNRD statement.

"GNRD has since contacted the British Embassy in Doha, who has reported that Mr. Upadhyaya checked out from the hotel but did not board his flight.

"GNRD holds the Qatari authorities responsible for their safety. In the event that its employees are subjected to any kind of physical or psychological harm, GNRD is prepared to take all necessary legal action."

The NGO said it is in contact "with all relevant Foreign Ministries and the Office of the High Commissioner for Human Rights" as it seeks to secure the safe return of both British citizens.

"We request the immediate cooperation from Qatari authorities to fully disclose the whereabouts and current situation of Krishna Upadhyaya and Ghimire Gundev," it added.

Upadhyaya, who is married with two children, has been working in the human rights sector for the past two years.

He had traveled to Doha to finish a report on migrants who were reported to be overworked and forced to live "a life of misery and destitution," according to GNRD.

Gundev, who is from London and is also married with two children, has been involved in a number of human rights projects during his career.

After being awarded the right to stage the 2022 World Cup, Qatar's human rights record has come under intense scrutiny.

A report released by Amnesty International last November alleged that the abuse of migrant workers was rife within Qatar's construction sector, while British newspaper The Guardian likened the conditions for such workers to "modern-day slavery."

The furor which surrounded "stranded" footballer Zahir Belounis also raised questions regarding Qatar's kafala law, which makes it difficult for workers to leave the country without their employer's permission.

Sepp Blatter, the president of football's world governing body, FIFA, described the conditions for migrant workers in Qatar as "unacceptable," but has so far refused to entertain the idea of moving the 2022 competition to another country.

In response to Amnesty's allegations, the director of the Human Rights Department at Qatar's Foreign Ministry said laws are in place to protect workers' rights including working conditions, pay and accommodation, adding: "The living areas go through routine and unscheduled inspection."

But Sharan Burrow, General Secretary of the International Trade Union Confederation, says "Qatar seems to think that creating a climate of fear and intimidation will somehow turn the eyes of the world away from its modern slavery economy."

She added: "Hundreds of migrant workers, many of them women, are languishing in Doha's detention centers simply for running away from abusive and violent employers.

"Foreign journalists have been detained for trying to report the truth, and state repression is actually increasing in a country that already showed no respect for basic human rights and legal standards."

Qatar is spending a reported $200 billion on infrastructure and building projects associated with its first staging of football's global showpiece.

FIFA has also still to decide the actual dates for the 2022 World Cup after fears that the searing heat in Qatar in the summer will be dangerous for players and spectators.

There have been widespread calls for a "Winter World Cup" and FIFA says it is consulting stakeholders, including the major European leagues, before making a final decision.

@highlight

Two human rights workers have gone missing in Qatar

@highlight

Krishna Upadhyaya and Ghimire Gundev work for GNRD

@highlight

British government confirms it is investigating matter

@highlight

Qatar to host FIFA World Cup for first time in 2022