(CNN) -- When a new president strolls into the White House, there's a kick in his step and a twinkle in his eyes.

This photo illustration projects what President-elect Barack Obama may look like in four years.

But as the years go by, the high-stakes decisions, constant criticisms and the fluctuating public opinion chip away at the president. His shoulders slump a little and his energy may seem sapped.

The president ages twice as fast while in office, according to a theory advanced by Dr. Michael Roizen, a chief wellness officer at the Cleveland Clinic.

"The typical person who lives one year ages one year," he said.  "The typical president ages two years for every year they are in office."

Using public information, Roizen looked through medical records of previous presidents back to Theodore Roosevelt. Assessing factors such as diet, blood pressure, physical activity and lifestyle habits, he calculated that the leader of the free world ages more quickly.

Roizen, who is the author of "RealAge: Are You as Young as You Can Be?" has not assessed the "real age" of President-elect Barack Obama, who is 47, because of lack of medical data.

"Barack Obama is a fairly young guy and doesn't have great of a risk," Roizen said.  "If he's president for eight years, he ends up having the risk of disability or dying, like someone who is 16 years older."

Former president Bill Clinton entered the office with a robust head of salt-and-pepper hair and a healthy habit of running.  After bitter partisan battles, the Monica Lewinsky scandal, and impeachment by the House, Clinton left office with wrinkles and powder-white hair.

"Chronic stress can produce lots of wear and tear on the body," said James A. McCubbin, a Clemson University professor of psychology and senior associate dean of the College of Business and Behavioral Science. "This is what we see in the changes in the appearance in the beginning and end of the presidency."

Roizen points to the experience of Ronald Reagan.

"When Reagan came into office, he stood up absolutely straight. He was joking and incredibly quick-witted about current events. When he left office, he was hunched over. The age signs on face was there. His jokes were those of olden days rather than current events," he said.  See the toll of the presidency »

On Wednesday, Obama, President George W. Bush, and all three living former presidents -- Jimmy Carter, George Herbert Walker Bush, and Clinton -- are meeting in the Oval Office and then having lunch together at the White House.

After eight draining years in the Oval Office, an outgoing president like George W. Bush can reverse the tolls of stress by exercising and spending time with friends, Roizen says.

"Do as many healthy things as you can adopt," Roizen suggested.  "The main thing he should do is finding what he wants to do with the rest of his life, which is tough for presidents to find something meaningful to do."

During his second term, Bush dealt with a troubled war, a struggling economy, and sagging approval ratings.  But the avid runner, mountain biker and fisherman showed that his reflexes haven't slowed.

"I mean, did you see him dodge that shoe?" said David Zinczenko, editor-in-chief of Men's Health magazine, referring to a December news conference in Iraq where an Iraqi journalist threw his shoes at the president and Bush swiftly ducked the flying footwear. Twice.

The incoming president is also no slacker. Although accused by California Gov. Arnold Schwarzenegger of having skinny legs, Obama regularly frequents the gym and plays basketball. The president-elect was on the cover of Men's Health in November.

"This is not a broccoli-shunning, pork rind-eating, McDonald's-popping guy. I mean, this is someone who eats arugula and guacamole and Hawaiian pizza," Zinczenko told CNN.   Watch a report on presidential aging »

"If the worst that happens is that your hair goes a little gray, so be it."

Many recent presidents have turned to sports to decompress. Presidents have enjoyed mountain biking (George W. Bush), golf (Clinton, Gerald Ford, Dwight D. Eisenhower), tennis (Ford, Carter, George H.W. Bush), jogging (Clinton, Carter and both Bushes), swimming (Ford), bowling (Richard Nixon), horseshoes (George H.W. Bush) and horseback riding (Reagan). Check out projected aging of other political leaders

"The daily routine of a president is really grueling," Ron Nessen, Ford's press secretary, told CNN. "It's hard to get thinking time. Ford talked about how when he was swimming laps, it gave him time to think about things."

During the Democratic primaries, Obama worked out at the gym in the Cleveland Clinic the morning of his debate with then-rival Hilary Clinton. Living up to his nickname "No Drama Obama," the candidate was remarkably calm, considering a high-stakes debate was to take place that night, Roizen recalled.

"Maybe he will age better, because he handles stress better," he said.  "The fact that he smokes means he still has inner stress."

Retaining a close group of friends and confidants is an important way to reduce the isolation of the presidency, Roizen said.

CNN's Alina Cho and David S. Martin contributed to this report.

@highlight

Presidents age twice as fast, says a theory by expert on aging at Cleveland Clinic

@highlight

Analysis determined by looking at medical records of previous presidents

@highlight

Tolls of stress can be reversed with healthy habits, says Dr. Michael Roizen

@highlight

Roizen: Obama has good fitness habits of exercising, but smoking doesn't help