Russian forces moved Saturday to consolidate control over Crimea.

Six Russian special forces' armored personnel carriers broke through the gates of Belbek Airbase, firing warning shots into the air, a spokesman for Ukraine's Ministry of Defense in Crimea, Vladislav Seleznev, told CNN.

One journalist was injured in the attack, he said.

Once inside, the Russians lined up the Ukrainians in one place, he said.

In a separate incident, pro-Russian self-defense forces stormed the Novofederoskoe military base, also in Crimea, taking control of it, a Ukraine defense ministry spokesman said Saturday.

Ukrainian forces on the base threw smoke bombs during the incident and retreated to the base's headquarters, according to Seleznev, in a Facebook posting.

The base's aviation brigade then sang the Ukrainian national anthem, lowered the Ukrainian flag and left the base, he said.

The White House reacted by urging Russia to open talks with the Ukrainian government.

"As we have said, the Russian military is directly responsible for any casualties that its forces -- whether they be regular uniformed troops or irregulars without insignias -- inflict on Ukrainian military members," said Laura Lucas Magnuson, a spokeswoman for the National Security Council, in a statement.

The reports "highlight the dangerous situation created by Russia and belie President (Vladimir) Putin's claim that Russia's military intervention in Crimea has brought security to that part of Ukraine."

The incidents occurred as international observers were set to arrive in Ukraine to monitor the security and human rights situation in a posting expected to last at least six months.

But they will not enter the contested region of Crimea, a statement from the Russian Foreign Ministry said, because this "became part of Russia."

Moscow annexed the territory this week following a controversial snap referendum there that produced an overwhelming majority of votes in favor of leaving Ukraine to join Russia.

The Organization for Security and Cooperation in Europe will eventually deploy a total of 100 observers throughout Ukraine in hopes of "reducing tensions and fostering peace, stability and security." They will also check that the rights of ethnic minorities are being protected.

Advance teams were to be deployed within 24 hours, the OSCE said Friday.

The regional security organization may widen the mission to include 400 more monitors, and extend it for a second six-month period if requested by the Kiev government.

Russia, which is one of the OSCE's 57 member states, approved the mission, according to state-run Russian news agency, RIA Novosti.

Russia's Foreign Ministry said it hoped the observers' work would "help to overcome the internal Ukrainian crisis, stop rampant nationalist banditry, eradicate ultra-radical tendencies, help achieve national reconciliation and social respect, political, linguistic, educational, cultural and religious rights of the people in all regions of Ukraine."

Russia has previously said it reserves the right to enter Ukrainian territory to protect ethnic Russians from what it says is a threat from ultra-nationalists and fascists.

Meanwhile, European leaders have demanded that independent monitors be granted access to the Crimean peninsula, which Russia now calls its own territory.

OSCE monitors made multiple attempts to enter Crimea during the height of the crisis when pro-Russian militias took control of the region. But armed men at the borders turned them back.

Ukraine, the United States and other Western powers maintain that the Black Sea peninsula is still a part of Ukraine.

"We must not allow a new division of Europe," German Foreign Minister Frank-Walter Steinmeier said Saturday in Kiev, where he met with with Ukrainian Prime Minister Arseny Yatsenyuk and acting President Oleksandr Turchinov.

Yatsenyuk also met Saturday with U.N. Secretary-General Ban Ki-moon, who then reiterated that any solution must be a diplomatic one and called for direct talks between Kiev and Moscow, the U.N. spokesperson said in a statement.

Kiev going West

Yatsenyuk signed the political elements of a trade pact with the European Union on Friday as Russian lawmakers finalized annexation of Ukraine's Crimea region.

The signing in Brussels signaled Europe's solidarity with Ukraine and carries additional symbolic force. It was the decision by Ukrainian President Viktor Yanukovych in November to ditch the trade pact in favor of closer ties with Russia that triggered the protests that led to his ouster in February and spiraled into the current crisis.

On Saturday, Ukraine's Chief Prosecutor Oleg Mohnitsky, Deputy Prosecutor Alexei Baganets and Interior Minister Arsen Avakov told reporters that raids carried out Friday on apartments and offices linked to two of Yanukovych's cabinet members had turned up signs of corruption -- millions of dollars in cash, gold and jewels.

Putin, flanked by the speakers of both houses of Russia's Parliament, signed a treaty Friday finalizing the accession to Russia of the Crimea region and its port city of Sevastopol.

Russia's Black Sea Fleet is based in Sevastopol, making it strategically important to Moscow. The region also has a majority ethnic Russian population and long historical ties to Russia.

Although Russia insists that its actions are legitimate, Ukraine's interim government has said Kiev will never stop fighting for Crimea.

The Ukrainian naval fleet's sole submarine has been taken over by the Russians, a spokesman for Ukraine's Defense Ministry said Saturday.

The Zaporizhia was taken over and placed under the flag of the Russian naval fleet when its commander abandoned it after deciding not to join with Russian forces, Seleznev, the Ukraine defense spokesman, told CNN.

The incident occurred near Sevastopol, in Striletska Bay.

The Soviet-era diesel-electric submarine is more than 40 years old, but was upgraded by Russian engineers a couple of years ago, according to the state-run news agency Ria Novosti.

Seleznev later said on his Facebook page -- citing sources in Sevastopol -- that Crimean self-defense forces and Russian special forces had taken another Ukrainian ship, the Slavutych.

The ship was captured "after a two-hour assault," Seleznev said, though the Ukrainian ship's crew members came ashore and didn't suffer any injuries.

Fighting for Crimea

Moscow has doggedly pursued its own course even as Western leaders have denounced its actions as violations of Ukraine's sovereignty and a breach of international law.

U.S. President Barack Obama plans to meet with leaders of the G7 group of industrialized nations next week to discuss Ukraine.

Russia has been excluded from the talks on the sidelines of a nuclear summit in the Netherlands.

A planned EU-Russia summit has also been canceled, as the West seeks to increase Moscow's isolation over its actions in Ukraine.

And a spokesman for the Mayor of London, Boris Johnson, said Friday he had canceled a planned high-level trade visit to Moscow in October.

That step followed a new round of sanctions imposed by EU leaders Thursday against 12 individuals. Those sanctions brought to 33 the total number of people facing EU asset freezes and travel bans.

Russian Foreign Ministry spokesman Aleksandr Lukashevich dismissed the latest move by EU leaders in a statement posted to the Foreign Ministry website Saturday.

"It is a pity that the European Council adopted a decision which is divorced from reality," he said. "Russia reserves the right to give an adequate response to the undertaken action."

The United States announced its own new round of sanctions on Thursday against 20 individuals and a bank which U.S. officials say is linked to Putin and senior Russian officials. Washington had already announced sanctions on 11 individuals.

Further sanctions which would target Russia's economic interests are threatened by both the European Union and the United States if Moscow does not act to deescalate the situation.

Travel warning

The United States is keeping a close eye on the large-scale drills Russia's military are conducting near Ukraine's eastern border with the country.

National Security Adviser Susan Rice said Friday it's "not clear" what is signaled by Russia massing its forces near the border -- and suggested Washington is wary.

"The Russians have stated that they are intending military exercises," she said. "Obviously, given their past practice and the gap between what they have said and what they have done, we are watching it with skepticism."

Rice also praised the Ukrainian people and government for their "enormous restraint in the face of obvious provocation."

She added, "They've made clear that their interest is in a unified, democratic future that is ... in an existence at peace with both Russia and with western Europe and the United States."

The U.S. State Department also issued a travel warning for Ukraine Friday.

It cautioned U.S. citizens "to defer all non-essential travel to Ukraine and to defer all travel to the Crimean Peninsula and eastern regions of Kharkiv, Donetsk and Lugansk due to the presence of Russian military forces in the Crimean Peninsula."

While the transition to a new government has been largely peaceful, some clashes have broken out in eastern regions, the State Department said, and "groups advocating closer ties to Russia have taken on a more strident anti-American tone, especially in Crimea."

Russia sanctions: EU should leave trade alone

Sanctions on Russia: Would World Cup boycott hit harder?

Opinion: Putin's breathtaking lies about Russia

Crimea remarries -- but that divorce will be messy

CNN Money: U.S. targets Putin's banker, threatens trade

@highlight

Ukraine official: Another ship taken over off Crimea; no injuries

@highlight

Russia takes over Ukraine's sole submarine

@highlight

Official: Russia "reserves the right to give an adequate response" to EU sanctions

@highlight

"We must not allow a new division of Europe," says German foreign minister