Editor's note: The following article was translated from Spanish to English using Duolingo.

(CNN Espanol) -- It's relatively easy to find English, Spanish, French and German courses online. But, what if you want to learn Latin, Silbo Gomero, Mayan or Basque? Or a fictitious language such as Dothraki from "Game of Thrones" or Klingon from the "Star Trek" saga?

Then it gets more complicated. The supply for online language education is dominated by the most frequently spoken languages in the world for obvious reasons: They are the most useful for communication and are therefore in most demand.

However, linguistic diversity is a world heritage that's at risk of disappearing. According to studies, 10 languages disappear every year, and this process is accelerating over time.

But technology could come to the rescue. Duolingo, the successful language-learning app, has announced the launch of an "incubator" that will allow any user to create new courses for different languages.

'Crowdsourcing' to create the courses

Any user? Yes, any user as long as they know the language they want to teach and the language from which it will be taught. For example, if a user knows how to speak Spanish and Latin perfectly, they will be able to create a Latin course for Spanish speakers.

Duolingo's plan is to appeal to collective intelligence and "crowdsourcing" to recruit an army of volunteers to develop these courses.

"There is only going to be one course for each language; and for each language, we will choose between two and three moderators through an application system and a selection process. Then these moderators can choose teams of people to help them," explains Luis von Ahn, the Guatemalan creator of Duolingo and one of the pioneers of crowdsourcing.

According to Duolingo, one person working 40 hours per week would require about four months to develop one of these courses, so bringing together a good team will be necessary for the initiative to succeed, something that von Ahn is not concerned about.

The task of creating a language course seems to only be within the reach of expert linguists, but the method that Duolingo has developed is "pretty restricted, with a concrete lists of words and the order in which they must be used, with easy phrases," says von Ahn.

The language incubator guides the user so they only have to follow a few standardized steps to create any course.

The system has a number of consistency algorithms that verify the quality of the courses. Once finished, they start out as beta versions that will improve according to user feedback. If the established learning metrics are not achieved, Duolingo closes the course and invites the moderator to improve it until it is effective.

What's the incentive?

It seems like creating a course on Duolingo will be hard work, but the company is clear on the fact that it will not pay any of the collaborators who participate.

"Our objective is to teach the world languages for free, so we also expect others to collaborate for free," says the creator of Duolingo. At the moment, Duolingo is financed by $18 million of venture capital and with translations that the system generates.

The names of the course creators will be displayed, and they will receive all the credit.

Will that be enough incentive?

Von Ahn, also famous for being one of the inventors of the authentication method known as ReCaptcha, says he had received "more than a thousand e-mails in the last year and a half from people willing to collaborate."

There are also organizations interested in this new Duolingo tool, among them a foundation in the south of Mexico that wants to develop courses of indigenous languages in the area.

Several schools and universities in the world are already using Duolingo to teach languages, and according to estimates from the company, there are close to 30,000 students that follow its method.

The Duolingo philosophy

In a short time, Duolingo has become one of the most popular methods for learning languages because it requires only an Internet connection and a smartphone to be immersed in the learning experience.

According to Duolingo, which also has apps for iOS and Android, between 60,000 and 70,000 people register to the site every day (there are 10 million total registered users).

The app has been downloaded more than six million times in the Android version and more than seven million times in the iOS version for iPhone and iPad, which makes Duolingo the most downloaded educational app in Google Play and iTunes, respectively.

The whole philosophy of Duolingo is based on teaching its users about 3,000 basic words of each language, as well as a series of basic structures for expressing ideas in different verb tenses.

"If someone knows how to say those 3,000 things, they can already express a lot of things in that language ... although obviously not enough to write an article for CNN," jokes von Ahn.

It seems quite simple at first glance, but the company estimates that hundreds of hours are required to finish any one of their courses.

Until now, more than 100,000 people have received the "Golden Owl", which symbolizes that somebody has graduated in one of the languages taught by Duolingo.

For some of its users, this is a dream come true; as user Profesor_Raitao1154 summed up in one of the Duolingo forum threads:

"I am crying because this site is what I always dreamed of: language learning for free, in the most fun way possible."

@highlight

Language app Duolingo creating system for users to teach languages

@highlight

The "incubator" lets people fluent in two languages to team up on a course

@highlight

A goal is to highlight obscure languages not taught as often as major ones

@highlight

The tool is free to use, and contributors will not be paid