(CNN) -- Charles Dickens, who was born 200 years ago this week, created some of the best-known and most loved figures in English literature, from Oliver Twist and David Copperfield to Pip, Miss Havisham and Magwitch.

But of all the characters he wrote about, none played as important a role in his work as that of London itself: its hustle and bustle, its glittering promise and grimy streets and the extremes of poverty and wealth experienced by those who lived there.

Alex Werner, the curator of the Museum of London's "Dickens and London" exhibition, says the city was "absolutely central" to Dickens' work.

"It triggered his imagination," he told CNN. "He called it his 'magic lantern', and would spend hours pacing the streets, drawing inspiration from what he saw around him."

Read more: Dickens admirers mark bicentenary

London was Dickens' muse, helping to spark his creativity and provide ideas for some of the most memorable characters, settings and plot twists in English literature.

As Britain -- and literature lovers the world over -- celebrates Dickens' bicentenary in 2012, what better time to explore the city he knew and loved best?

Dickens in London

Dickens moved to London as a child, but the family soon ran into financial trouble: His father was sent to debtors' prison, and at the age of just 12, Dickens was forced to work in a shoe polish factory -- Warren's Blacking Warehouse, at Hungerford Stairs -- to support his mother and siblings.

"It was a crazy, tumbledown old house, abutting of course on the river, and literally overrun with rats... the dirt and decay of the place rise up visibly before me, as if I were there again," he later told his biographer, John Forster. Both the warehouse and the stairs, near what is now Embankment tube station, are long gone.

The Charles Dickens Museum is housed in Dickens' former family home, in Doughty Street. It was here that he wrote "Oliver Twist" and "Nicholas Nickleby."

Opened in 1925, the museum holds the world's most important collection of Dickens items, including his pens, letters, and furniture. It is to close for much of 2012 as part of a 3.1 million redevelopment project, but is expected to reopen before Christmas.

The offices of All The Year Round, one of the magazines Dickens founded to publish his stories, are on Wellington Street, just off the Strand. At the height of Dickens' popularity, crowds would gather outside to wait for the latest episode. Today the Charles Dickens Coffee House is on the ground floor.

Dickens is buried in Westminster Abbey's Poets' Corner, alongside other literary greats including Geoffrey Chaucer, Alfred Tennyson and Thomas Hardy.

Many of the other members of the Dickens family, including his parents, John and Elizabeth -- the models for Mr Micawber and Mrs Nickleby -- his ex-wife Katherine, sister, and nephew -- the inspiration for Tiny Tim in "A Christmas Carol" -- are buried in Highgate Cemetery. To mark the Dickens bicentenary, the cemetery is hosting Dickens tours.

Dickens' ties to London, and the role that the city played in his novels, are celebrated in the Museum of London's "Dickens and London" exhibition, which runs until June 10, 2012. The show features items from the author's own life -- his desk, and manuscripts -- as well as those evoking the city as he knew it.

London in Dickens

A century and a half of modernisation has meant that many of the locations in Dickens' novels no longer exist -- but eagle-eyed visitors can still catch a glimpse of the city as Pip or Oliver would have recognized them.

"There is very little left," says Clare Pettitt, Dickens specialist at King's College London. "You can track Dickens' London, and see where things were, but they aren't necessarily still there."

One site that Dickens returned to again and again, both in real life and in his novels (it features in "Oliver Twist" and "The Pickwick Papers"), is Covent Garden -- though in his day, it was a proper working market, rather than the touristy shopping area it is today.

Just around the corner, Bow Street Magistrates' Court -- now a police station -- is mentioned in both "Oliver Twist" and "Barnaby Rudge."

As a young man, Dickens worked as a solicitor's clerk, and the Inns of Court, which in his day were home to many of the city's legal professionals, feature heavily in his works.

Lincoln's Inn and Chancery Lane both feature heavily in "Bleak House", and nearby is The Old Curiosity Shop, one of the oldest shops in London. Gray's Inn is used as a location in both "David Copperfield" and "The Pickwick Papers".

The tranquil square at historic Staple Inn, Holborn, is mentioned in Dickens' final, unfinished novel, "The Mystery of Edwin Drood," where he reports that it "imparts on the relieved pedestrian the sensation of having put cotton in his ears and velvet soles on his feet."

The bells of the clock tower in St Dunstan-in-the-West Church, Fleet Street, are the ones which wake Scrooge to his new life at the end of "A Christmas Carol."

Raise a glass to Dickens

Pubs and taverns featured heavily in both Dickens life and his work, and several of those mentioned in his stories and letters are still serving today.

Pettitt says one of his favourites was Ye Olde Cheshire Cheese, just off Fleet Street. The pub features in "A Tale of Two Cities," and has a wider literary pedigree, having also been a haunt of Samuel Johnson, W.B. Yeats and Mark Twain.

Pettitt also recommends The Grapes pub in Limehouse, east London. "It features in 'Our Mutual Friend,' and feels very 'Dickensian', overlooking the river, which was so important in his works, though of course these days it's not as full of boats as it was in his day."

And across the river in Greenwich, Alex Werner suggests the Trafalgar Tavern, which was famed, in Dickens' day, for its whitebait suppers.

"Dickens' letters are full of suggestions for various excursions along the river," explains Pettitt. "He was always writing to people saying 'Let's go down to X and stop for dinner at Y' -- there was always a culinary target to his expeditions."

City walks

An insomniac, Dickens spent many hours walking London's streets in the dead of night.

"He knew its alleys and streets better than anyone," said Werner, explaining that some of Dickens' greatest works came about as a result of these lengthy strolls.

"We know from his letters that in October and November 1863, for example, he was walking 10 to 15 miles a night, while working on his book."

In the spirit of the man himself, several Dickens walking tours take place around the city.

London Walks runs a Charles Dickens' London tour every Friday afternoon at 2.30pm, departing from Temple tube station. The company also runs special Dickensian Christmas walks in late November and December.

To mark Dickens' bicentenary, the Dickens Museum is running a weekly Dickensian London walk each Wednesday evening, from February 8 to April 4, departing from the museum, in Doughty Street, at 5pm.

Have you got a favorite Dickens location in London? Which London-linked Dickens tale is your top choice? Share your tips in the comments below.

@highlight

Author Charles Dickens born 200 years ago this week

@highlight

Oliver Twist and A Christmas Carol author took much inspiration from London

@highlight

Dickens' ties to the city are celebrated in a new Museum of London exhibition

@highlight

Dickens 2012 celebrations also planned elsewhere in the world