Washington (CNN) -- Political newcomer Ken Vaughn is betting big on his own run for Congress.

The first-time candidate believes so strongly in the need for a new brand of leaders in Washington that, after careful consideration with his wife, he's cashed in a large chunk of his 401(k) in order to invest $100,000 in his campaign.

"It's not nearly enough to win, but it's enough to get started," he said. "It takes a lot of money to run for office, but that's what it takes and like any businessman or whatever, you have to do what the job takes."

A traffic engineer by trade, Vaughn is running for a House seat in Virginia's 11th Congressional District. If he wins the Republican primary set to take place in June, he'll take on two-term Democrat Gerald Connolly. His campaign's central issue is the national debt.

"I am terribly concerned about what our congressmen are doing to this country with the debt, and we have to make a change," he told participants at a Chamber of Commerce breakfast last week in Woodbridge, Virginia, where he was seeking signatures to get on the ballot. "It's only a few years before everything is going to collapse just like it did in Greece and unfortunately, we don't have anyone to bail us out."

While government spending is Vaughn's chief concern, as a candidate he'll have to worry about a different kind of spending: his own campaign's. It's getting more and more expensive to run for political office.

"The cost of seeking office whether it's for state legislature or a governorship or a member of the U.S. House or Senate, these costs have been going up for decades," said Thomas Mann, a senior fellow at the Brookings Institution who studies elections and campaign finance issues. "It's kind of amusing to look back say to the 1970s, and you'll find many members of Congress then were spending, oh, $75,000, $100,000, $200,000 -- now that would almost be a rounding error."

Long odds

In 2010, the average winning House candidate spent about $1.4 million, according to the Center for Responsive Politics. That's 70% more than a decade ago. The average price for winning a Senate seat reached nearly $10 million in that cycle. The high cost of running for federal office often puts newcomers facing well-known incumbents -- who often have more financial backing from supporters and political parties -- at a substantial disadvantage.

"There's always an instinct on the part of incumbent members -- incumbent office holders -- to build a war chest even if they may not need to use a penny of it, and as a consequence challengers, those who are trying to break through for the first time, face an increasingly daunting challenge in raising enough money to get themselves known," Mann said. "There's not much room, not much opportunity for ordinary folks of modest income and wealth hoping to break into politics. It's a costly business. It's a highly competitive business and they face long odds."

Brig. Gen. John Douglass, a first-time candidate who's running in Virginia's 10th Congressional District, is hoping to beat those odds. The former Air Force general and one-time assistant U.S. Navy secretary was an active supporter of Hillary Clinton and later Barack Obama during the 2008 presidential race, and he was recruited by the Democratic party last year to run against Republican Frank Wolf, who's been in the House of Representatives for more than three decades.

"I think that right now our country desperately needs leadership in the Congress. I think particularly the House is in a stalemate right now," Douglass said, after a morning spent making fundraising calls from the kitchen of his farm house in Hume, Virginia. "I think I can add something to the national debate on where our country should be going. I think we are kind of at a tipping point. When I was asked by the party to consider running, I couldn't say no."

Douglass has been a long-time advocate of early childhood education, which he says is an economic issue as well as a national security issue, another area where he believes his experience makes him a strong candidate. Unable to finance his campaign himself, Douglass has traveled extensively across his district talking to voters, but he says he spends at least 75% of his days on the telephone trying to raise money. Working with his small staff, he's made about 9,000 donor calls since May and has raised some $500,000. He hopes to raise another million for his race.

Before running, Douglass had not paid much attention to the fundraising aspect of campaigns.

"I don't think that's something that's on the average American's radar screen," he said. "You hear a lot of it being talked about now because of the presidential election and the enormous amounts of money that have to go into a successful campaign for the presidency and so it is an issue that I think all of us Americans are learning more about."

High hopes

Both candidates are trying to keep their costs down this early in the campaign. Vaughn spends about $500 a month for rent on his newly opened campaign office, $50 a month for telephone service and about $5,000 a month on staff, and he's also been relying on volunteers. Douglass has three staffers and sometimes works out of the county Democratic headquarters to save money.

The big expenses will come a few months from now, when much of the money the candidates raise will go to advertising. A Wesleyan Media Project analysis of data provided by Kantar Media/CMAG found that television ads for candidates running for Congress in 2010 racked up nearly 1.6 million airings at an estimated cost of $735 million, an amount that represents 61% increase over 2008.

"It's definitely an uphill battle, but we also definitely have a shot, even more than a shot," Douglass said.

Vaughn, who spoke with his pastor and prayed about whether to launch his candidacy, says "normal people" have to get out and run for office if they're going to make a difference. For him it comes down to faith.

"Our country needs this," he said. "If you look at it from my Christian faith, I look at it as God will provide a way so, you know, it's daunting, but we're headed straight forward and we'll do the work that has to be done."

@highlight

In 2010, the average winning House candidate spent about 70% more than a decade ago

@highlight

The average price for winning a Senate seat was nearly $10 million

@highlight

One first-time candidate says he spends at least 75% of his days trying to raise money