(CNN) -- Just a few years ago things were looking grim in Hollywood for multi-camera sitcoms.

Then Los Angeles Times staff writer Martin Miller wrote about the upcoming show, "Back to You," a multi-camera sitcom created by Steven Levitan and Christopher Lloyd, and cautioned that the format could slowly sink into oblivion if the networks didn't see results.

"Pre-premiere chatter helps, but if that doesn't eventually translate into sizable ratings ... the traditional multi-camera manner in which the show is shot could drop in demand to the level of a cord phone," he wrote.

"Back to You," with Kelsey Grammer and Patricia Heaton, was canceled after just one season in 2008. Levitan and Lloyd eventually went on to create and produce the Emmy award-winning mockumentary-style sitcom, "Modern Family."

This year however, it appears that the multi-camera format is fighting back.

In a recent CNN article about this fall's comedy landscape, TVLine.com's Matt Web Mitovich noted that "Two and a Half Men," "2 Broke Girls," "New Girl," and "Last Man Standing" were all Top 10 scripted programs, with "New Girl" being the only single-camera comedy out of the group. Out of all of the networks, CBS appears to be aiding the resurgence with five of the eight highly ranked sitcoms, all of which are multi-camera sitcoms.

And if you look at Entertainment Weekly's TV Ratings category on its website, you'll see headlines like "CBS laughs last," "CBS comedy block rules earth" and "Comedy lineup scores again for CBS."

There are also a number of new and upcoming multi-camera sitcoms that were introduced this fall and will premiere in 2012. In addition to "2 Broke Girls," there's NBC's "Whitney" and "Are You There, Chelsea?" (previously "Are You There Vodka? It's Me Chelsea"), ABC's "Last Man Standing" and "Work It," and Fox's "I Hate My Teenage Daughter."

Does this mean that multi-camera comedies are making a comeback with audiences?

For those who are not aware of the differences, here's a basic explanation; according to the book "Writing Television Sitcoms" by Evan Scott Smith, multi-camera sitcoms "shoot mostly on a limited number of sets in an indoor soundstage" and tend to use more than one camera to "simultaneously cover several angles as the scene plays out."

Single-camera sitcoms, on the other hand, use just one camera to "shoot on both standing sets and a variety of off-the-lot locations." Multi-camera sitcoms also "are usually cheaper to produce and take less time to shoot."

Jen Grisanti, a story consultant and a writing instructor for NBC's Writers on the Verge, said that the multi-camera format has gained momentum again because of better writing in shows like "2 Broke Girls," "The Big Bang Theory" and "Two and a Half Men."

"Multi-cameras are definitely resurfacing," she said. "You definitely see writers take risks. The multi-camera sitcom is now recognizing the value of a story mixed in with the joke."

Scott Sedita, an acting coach and author of the book "The Eight Characters of Comedy: Guide to Sitcom Acting and Writing" said that the multi-camera sitcom's automatic invitation to laugh makes it much more accessible to everyone.

"I love multi-camera sitcoms," he said. "I want to know when the joke is coming. It's easier and more fun to watch. And in a time of recession, I really believe that people want to sit down and laugh about their lives."

Single-camera sitcoms like "The Office," "Parks and Recreation" and "Modern Family" incorporate cinematic techniques and allow producers to film outside the studio. That realistic quality and the lack of the laugh track, Sedita said, seem to appeal to the younger generation.

But Ed Bark, a TV critic behind the TV review website Uncle Barky's Bytes, said that CBS has captured the younger demographic with multi-camera sitcoms like "The Big Bang Theory" and is doing well with its Monday night lineup.

"CBS is clearly wedded to that format, obviously because they have had success with it," Bark said. "It is in some ways puzzling that networks don't look at it and say that this is what people are still used to. You would think that maybe more networks would follow CBS' example."

That could be why NBC is now experimenting with a new multi-camera sitcom lineup. Recently, NBC revealed its mid-season 2012 schedule, which included "Whitney" and "Are You There, Chelsea?" being given a Wednesday slot, similar to the network's single-camera-dominated Thursday lineup that includes "30 Rock."

Even though many critics like Bark favor single-camera sitcoms as the more refined format, he said that it doesn't mean multi-camera sitcoms are not acclaim-worthy.

"It persists in the mind of networks that the cooler audience would prefer single-camera sitcoms," he said. "But I don't think anyone would say that 'Seinfeld' and 'Frasier' are simple-minded or over the top because they had a laugh track."

Some critics are also questioning the relevance of the studio audience in comedy, which is a key element in most multi-camera sitcoms. Todd VanDerWerff, The A.V. Club TV editor, addressed this in an article about studio audiences.

"In comedy especially, the need to suggest that a community is watching the show has become less and less important," he wrote. "In some respects, this is an outgrowth of our growing sophistication as an audience."

When VanDerWerff talked to CNN about the article, he also said that the present generation that grew up on "Friends" and "Everybody Loves Raymond" grew weary of the copycat versions that networks churned out.

"There were so many bad multi-camera sitcoms, where there would be a punchline that was not really funny, but then suddenly the studio audience would erupt in laughter," he said.

VanDerWerff also argues in his article that the multi-camera sitcom's success depends on how much attention the producers pay to the audience. While attending a recent taping for "2 Broke Girls," he noticed that the writers changed lines and the cast members altered their delivery based on the audience's reactions.

"This was unlike anything else: Theater with do-overs," VanDerWerff wrote. "Seeing the episode filmed suggested there's still life in the format."

VanDerWerff said that while he likes "2 Broke Girls," there's still a lot of work that needs to be done.

He said that sitcom producers and writers should take up the challenge and figure out how to make multi-camera sitcoms more relevant today. If it's done right, he would not be surprised if multi-cameras sitcoms rule the comedy scene next year.

"I want there to be a good multi-camera sitcom," VanDerWerff said. "It's going to take writers who are now working single-camera comedies to come back. It's going to take someone to shake it up."

@highlight

Multi-camera sitcoms like "Two and a Half Men" seem to be dominating ratings this fall

@highlight

Scott Sedita, an acting coach, says that multi-camera sitcoms offer an invitation to laugh

@highlight

Ed Baker, a TV critic, says that no one would call sitcoms like "Seinfeld" unsophisticated

@highlight

Todd VanDerWerff says single-camera sitcom writers need to return to the multi-camera format