(CNN) -- There's nothing like soaking in the hot springs while soaking in the culture of a place that loves its bathing. If you're traveling first class, why not head to Japan or Iceland to enjoy a country whose people celebrate the waters and can pinpoint their various healing properties?

If domestic travel is more your speed and budget, there are delightful natural spas to be had in the United States. And to spend even more time in nature but less in dollars, camping near a historic hot springs may be the way to go.

An elegant Japanese ryokan

While Japanese ryokans have traditionally served the weary traveler looking for an inn and a soak, some modern ryokans are offering a more luxurious experience. "The finest ryokans are now very refined establishments which are the epitome of Japanese "omotenashi," a spirit of hospitality that takes into account all aspects of the guest's experience," says Japan expert Duff Trimble.

One Trimble's favorite ryokans, Bettei Senjyuan, offers more than the opportunity to rest and mingle. Located just outside of the town of Minakami, about two hours from Toyko, Senjyuan has private rooms with outdoor baths, spa treatments and public baths fed from nearby Mount Tanigawa. "I love that Senjyuan is on its own private piece of land so it feels like a private retreat," said Trimble, president of Wabi-Sabi Japan, a Toronto-based travel agency which customizes trips to Japan. "I also really like the excellent variety of very well-designed rooms which, most importantly, all have a private rotenburo (outdoor hot bath)."

Senjyuan offers several different room styles, including Western-style beds. While the ryokan has an English website, travelers should be prepared for limited English. Rates start at $450 per night and include breakfast, a full multiple-course dinner and a room attendant.

Iceland's Blue Lagoon

Spa culture dominates Iceland, where locals soak and swim in naturally heated baths and pools all over the country. The Blue Lagoon, the nation's most famous hot spring spa, is an easy stopover because of its convenient location between the airport and the capital, Reykjavik. Icelandair offers an add-on package after landing or before departure. (Icelandair travelers on the way to another destination may stop in Iceland for up to seven nights without an additional airfare charge.)

If you prefer simpler and less famous hot springs, try the new Laugarvatn Fontana spa. Fontana recently opened in the village of Laugarvatn, about 50 miles from Reykjavik.

To mix with the locals at their hot springs or thermal-heated swimming pools, check the "Swimming in Iceland" website. There are about 150 thermal pools in Iceland and a similar number of natural bathing places or hot springs. Iceland's inside and outside pools are heated, and most of the bigger facilities include a sauna, slides and one or more hot tubs, ranging in temperature from 104Â° to 113Â° Fahrenheit, according to Swimming in Iceland's Robert van Spanje, whose website lists most of the natural springs and swimming pools in Iceland.

Escape to the California desert

Surrounded by the desert and mountains, guests can soak in the three mineral water pools at the Spring Resort and Spa in Desert Hot Springs, California, about 20 minutes from Palm Springs.

"The water is amazing," says resort owner Maria Lease. "The Spring Resort and Spa is located near the San Andreas Fault, and the water is actually held in place by the fault. It comes out at 170 degrees and it feels like silk."

Guests can enjoy the waters and spa services on site and head to Palm Springs for a swanky dinner experience. Get an aerial view of the desert on the Palm Springs Aerial Tramway, a 10-minute ride up the Chino Canyon cliffs to an elevation of 8,500 feet. Active travelers can explore nearby Joshua Tree National Monument, Big Morongo Canyon Preserve or Indian tribal lands. Rates range from $119 to $279 per night.

Steamboat Springs, Colorado

Skiers tired after a long day on the slopes can soak their tired bones at Strawberry Park Hot Springs before heading back to luxury digs at the Steamboat Grand Hotel. Those wishing for a more rustic experience can book the Caboose or other rustic cabins on site, starting at $70-$110 per night (reservations must be made by mail). Overnight guests must bring all food, swimsuits, seasonal gear and flashlights or headlamps.

The springs are open daily, weeknights until 10 p.m. and weekends until midnight. (It's clothing optional after dark.) Locals recommend nighttime guests bring a flashlight to see the path to the springs. A four-wheel drive vehicle is required from November 1 to May 1 for two miles leading up to the springs, but shuttle services are available.

Hot springs in town

Those craving a historic and affordable hot springs experience will find it at Hot Springs National Park in Arkansas, preserved in 1832 by President Andrew Jackson. The oldest of current National Park Service parks, it predates Yellowstone National Park by 40 years and the Park Service by 84 years.

Dating back to 1912, the Buckstaff Bath House offers traditional whirlpool mineral baths and other services within the boundaries of the national park. Services start at $30. Gulpha Gorge Campground charges $10 per night for campers and $24 per night for hookups. No reservations are accepted at the bath house or campground.

@highlight

Each room at the Senjyuan ryokan boasts a heated outdoor bath

@highlight

Mix with the locals at Iceland's hot springs and thermal pools

@highlight

Flashlights are needed for night soaks at Strawberry Park Hot Springs