Seattle, Washington (CNN) -- The plastic Ziploc bag thrown in the trash in Seattle, Washington, spent a week traveling 300 miles to an Oregon landfill. The old Apple iBook that was recycled is a month into its journey. And a pair of worn Asics running shoes is still logging miles even after being dropped in a bin for used shoes.

Those are just some of the trails of trash exposed in a high-tech trash study.

"Normally, you think about the trash for minutes while you take it out to the can," says Ethan O'Connor, "and this trash we are going to be watching on our Web browsers for weeks."

O'Connor and Shannon Cheng are volunteers in a study tracking their trash -- and giving them the opportunity to reflect on what they use and discard. The tracking devices are about the size of small cell phones and allow for near-real-time tracking of thousands of pieces of garbage.

The tracking is not part of some top-secret government program to spy on garbage, but rather the brainchild of MIT researchers who wanted to learn if society could more efficiently dispose of what it throws out.

"The idea with this tagging exercise is to bring an invisible system to life," said Assaf Biderman, associate director of MIT's SENSEable City Lab. "By knowing how long it stays in the system, where it goes, we are hoping to create an increased awareness in the public."

Before that increased awareness could be created, however, the scientists needed to devise a way to track pieces of trash, some for hundreds of miles and for up to six months.

Researchers are doing most of the tracking via volunteers in Seattle. They plan to expand the program to other cities and compare the attitudes that people in different regions have about garbage.

Working with the telecommunications company Qualcomm, the MIT researchers created a device -- or, as the researchers call them, "traces" -- that could track a piece of trash using both GPS and cell phone towers.

The researchers then asked volunteers to supply items they were already planning to get rid of and put the tracking "traces" on the items. The volunteers then threw the material out as they usually would.

Just getting the trace on the piece of trash presented its own challenges. Some needed to be taped or sewn into the garbage; others were stuck to the trash with a sticky aerosol spray.

The researchers stipulated that the trace not alter how the garbage traveled through the waste system or call attention to the item.

"The thing about trash is that each object is very different," Biderman said. "Different sizes, different textures, different constraints."

O'Connor and Cheng live on a houseboat, where space is at a premium. Participating in the study has allowed the couple to think of larger-picture issues about the trash they produce.

But it's not just the trash's owners who are tracking the tems.

Waste Management Inc., a waste removal and recycling company, is helping fund the study in the hope that it will show that the trash they dispose of goes where it should. Officials say they are also looking for ways to better deal with garbage.

"It could make a huge difference," Waste Management spokeswoman Rita Smith said. "We want to do everything we can to get our materials to their destinations as efficiently as possible; not only because of the economic cost, but also because of the environmental cost. There's no point in hauling material around in circles."

Researchers are still compiling data as the trash makes its journey.

Even though the study has not been completed, the MIT group sees its efforts as a step toward better informing Americans about trash.

"Can we create a situation of minimum waste?" Biderman said. "In a certain way, it's about telling people about what they throw away, making people more aware about waste, and perhaps changing their behavior."

Participating in the study has already altered O'Connor's outlook.

"The disposal is one part of it, the using is another," he said. "No one's saying we are bad people for using stuff, but the reality is each one of us gets one-six-billionth of what the Earth can produce, and what we have is much more than that."

@highlight

Trash study tracks how pieces of garbage may travel hundreds of miles

@highlight

MIT researchers hope study will help people better understand impact of garbage they produce

@highlight

"Can we create a situation of minimum waste?" researcher says