(Parenting) -- Simone's mom reads, sings and talks to him in French. In fact, Melissa Da, a French-American from Baltimore, only speaks her native language to the 2 1/2-year-old.

The goal? To raise him to be bilingual.

The number of U.S. residents age 5 and older who speak a language other than English at home has more than doubled in the past three decades. Parents like Da and Jennifer Ghurani of Hawthorne, California, are a small part of the reason why. "I want Delila to know where she's from and be able to interact with her extended family," says Ghurani, who's teaching her daughter to speak Arabic.

If you've ever thought about raising your kid to be multilingual, now's the perfect time to start. "Babies are wired for language," says Naomi Steiner M.D., developmental and behavioral pediatrician at the Floating Hospital for Children, Tufts Medical Center, and author of "7 Steps to Raising a Bilingual Child."

Parenting: Teach your baby sign language

"The earlier they're introduced to a second language, the easier it will be for them to pick it up." Knowing a second (or third!) language could one day give your child an edge in an increasingly global workforce. And that isn't the only plus, says Dr. Steiner. "When these children get to school age, they tend to have superior reading and writing skills in both languages, as well as better analytical and academic skills," she explains.

Whether you already speak more than one language in your home or you want your baby to have some exposure to a second language but you don't know how to navigate the uncharted waters, here's a guide to cultivating a multilingual environment.

Dip your toes in
Start small by introducing books, games, music and DVDs in the second language. Until recently, scientists thought language acquisition relied on face-to-face communication.

"That's still the gold standard, but less direct exposure is also beneficial," says Dr. Steiner, who recommends using age-appropriate language materials (find books and CDs at your local library for free!) and Internet streaming of foreign-language music on a regular basis. Teresa Benton (name changed due to pending divorce) of Yorba Linda, California, watches Spanish versions of Mickey Mouse Clubhouse and Sesame Street on a local cable station with her toddler daughter Grace.

Parenting: Meet Dora the Explorer's mom

What you can expect: Basic comprehension. "Learning a language is a question of repeated high-quality exposure," says Dr. Steiner. "If a family reads a book to their child in Spanish as part of a bedtime routine, that's a lot of reading and a lot of learning over an extended period of time." If sustained, this type of exposure will help children learn to say some words and understand their meanings.

Splash around
In addition to using foreign language gear, hire a babysitter who speaks another tongue, secure bilingual daycare or arrange playdates with bilingual families. Benton's ex-husband worked in Spanish-speaking communities, so he asked clients for sitter recommendations. For other parents, finding bilingual childcare may require agency help. Ghurani's daughter attends a Montessori school that teaches basic Spanish.

"Finding appropriate immersion programs depends on where you live," says Liane Comeau Ph.D., a child and language development expert in Montreal. In California, some English-speaking kids attend Spanish-English bilingual schools and leave fifth grade fluent in Spanish.

Parenting: Maternal health around the world

What you can expect: Results range from recognizing the language when it's spoken to being able to converse casually. The more time the child spends with the nanny or in bilingual daycare, the greater the proficiency. "It all depends on the amount and quality of the child's exposure," says Dr. Steiner.

Dive in
Go all the way by speaking only that language at home. For many families, in-home immersion translates to one parent speaking in the second language and the other parent speaking English. The back-and-forth banter doesn't trip up tots, says Comeau, who's raising her 16-month-old son to be bilingual. Da's son, Simon, for example, asks his mom for watermelon in French but addresses his dad in English. For extra support, reach out to relatives. Ghurani asks extended family to speak only in Arabic to Delila.

Parenting: 16 fun brain-boosting games

What you can expect: A bilingual tot, in time. Don't worry if he doesn't speak either language as adeptly as his monolingual peers at first. If your child is exposed to both languages the same amount, he will be able to speak both equally well by the time he goes to school.

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

The number of U.S. residents who speak a language other than English at home is on the rise

@highlight

The earlier children are exposed to a second language, the easier it is for them to pick it up

@highlight

Face-to-face language exposure as well as music or DVDs can help a child learn a new language