(CNN) -- As Rupert Murdoch and his son took the hot seat Tuesday in the British Parliament, old questions about News Corp.'s business practices were getting fresh scrutiny on the other side of the Atlantic.

The fallout of the British phone-hacking scandal has resulted in the arrest of 10 people, including Rebekah Brooks, a former News of the World editor who resigned Friday from her post as chief executive of News International, and the resignation of Les Hinton as CEO of the Dow Jones unit, which publishes The Wall Street Journal.

Murdoch's company has suffered a stock plunge, is facing questions over future leadership and is under an FBI investigation.

Now, the business ethos of another arm of News Corp. could deepen the controversy and raise eyebrows about the media mogul's entire corporate culture.

News America Marketing, an in-store coupon and newspaper ad insert marketing business, has been hauled into U.S. courts several times over unsavory practices that include hacking into the computers of competitors.

In one of the lawsuits, New Jersey-based Floorgraphics charged that News America attacked Floorgraphics directly by breaking into a password-protected computer system to acquire sensitive proprietary information, including past and future contracts.

The company claimed it had lost several big-name contracts because of News America's tactics.

In another lawsuit, rival Valassis described a scene from the movie "The Untouchables" in which mobster Al Capone beats an enemy to death with a baseball bat. It said Paul Carlucci, then the chief operating officer of News America, showed the scene to his employees to get his point across: that News America employees will tackle their work with "unbridled aggression."

"The selected scene is a perfect metaphor for the business practices both expected and in fact being employed (by News America) to illegally leverage its market dominance," Valassis said in its federal lawsuit.

In Minnesota, Insignia Systems Inc. filed an anti-trust claim seeking restitution for millions of dollars it said it lost because of the behavior of News America Marketing.

In these cases, Murdoch's company attempted to smooth over its problems by settling lawsuits with millions of dollars and, in the case of Floorgraphics, buying out the company. The business news website Bnet described the acquisition as "more like a face-saving gesture for News America than a real deal."

New York Times media columnist David Carr reported that News America has a history of solving its problems with large sums of money. The company, wrote Carr, "paid out about $655 million to make embarrassing charges of corporate espionage and anticompetitive behavior go away."

In making his point, Carr quoted Mark Lewis, the lawyer for the family of slain British girl Millie Dowler, whose mobile phone voice mail was hacked into by journalists. "This is not just about one individual but about the culture of an organization," Lewis said after Brooks' resignation.

A News America spokeswoman said the company had no comment.

The scandal potentially could be far-reaching in America. Besides Dow Jones, News Corp. also is the parent company of Fox News, the New York Post, and Harper Collins publishers in the United States.

9/11 victims

Some Americans have already reacted with outrage and shock after allegations that the phones of victims of the September 11, 2001, attacks were hacked as Millie Dowler's was.

"We are aware of the allegations and are looking into them," said a federal law enforcement source, who requested anonymity due to the sensitivity of the investigation.

"We'll be looking at anyone acting for or on behalf of News Corp., from the top down to janitors," to gather information and determine whether any laws may have been broken," the source said.

The alleged 9/11 privacy violations appear to be traceable to a story published the Mirror, a British tabloid that publishes a section it calls "gossip gone toxic."

The newspaper cited a source who referred to a former police officer who now works as a private investigator. The source said the investigator was used by journalists in America and that he was asked to hack into the 9/11 victims' private phone data.

"Until we get some accountability, they're just going to keep doing it," said Jim Riches, a retired Fire Department of New York deputy chief who lost a son in the attacks. "It's completely unethical, unprofessional and basically criminal.

Rep. Bruce Braley, D-Iowa, told CNN that "Congress has important oversight responsibilities" in responding to the charges and "getting to the bottom of this evolving scandal."

Reports were also circulating that actor Jude Law, already in the center of the celebrity hacking scandal in Britain, may have a case in the United States.

An FBI spokesperson said the agency was "aware of the media reports" that Law was hacked in the United States and that News Corp. had settled several lawsuits with American businesses, but said there would be no official comment "since these matters are under review."

Anti-bribery laws

News Corp. could face trouble in the United States on another front as well.

As the parent company of the British newspapers, News Corp. could be prosecuted for possibly breaking federal anti-bribery laws.

News of the World, a 168-year-old British newspaper owned by Murdoch, folded in the wake of accusations that its reporters illegally eavesdropped on the phone messages of murder and terrorist victims, politicians and celebrities. Police in the United Kingdom have identified almost 4,000 potential targets of phone hacking.

There also were allegations that reporters may have bribed law enforcement officers.

Potential liability flows from journalists at News of the World to its parent, News International, and to its parent, News Corp., which is a publicly held company in the United States.

Several U.S. lawmakers sent letters to Attorney General Eric Holder asking him to look into concerns that News Corp. violated the Foreign Corrupt Practices Act, known as the FCPA. The law, enacted in 1977, makes it illegal for a U.S. person or company to pay foreign officials to obtain or retain business.

In a statement posted on his website, Sen. Frank Lautenberg, D-New Jersey, said he wants the Department of Justice and the Securities and Exchange Commission to step in:

"The limited information already reported in this case raises serious questions about the legality of the conduct of News Corporation and its subsidiaries under the FCPA. Further investigation may reveal that current reports only scratch the surface of the problem at News Corporation. Accordingly, I am requesting that DOJ and the SEC examine these circumstances and determine whether U.S. laws have been violated."

@highlight

A News Corp. in-store ad company's practices have led to lawsuits

@highlight

Rivals claimed News America employed unsavory tactics

@highlight

Is News America isolated or is it Murdoch's corporate culture?

@highlight

News Corp. also faces allegations of phone hacking and possible anti-bribery violations