(CNN) -- An estimated 125,000 Western lowland gorillas are living in a swamp in equatorial Africa, researchers reported Tuesday, double the number of the endangered primates thought to survive worldwide.

Forest clearings draw large numbers of Western lowland gorillas searching for food.

"It's pretty astonishing," Hugo Rainey, one of the researchers who conducted the survey for the U.S.-based Wildlife Conservation Society, told CNN Tuesday.

The last census on the species, carried out during the 1980s, estimated that there were only 100,000 of the gorillas left worldwide. Since then, the researchers estimated, the numbers had been cut in half.

WCS survey teams conducted the research in 2006 and 2007, traveling to the remote Lac Tele Community Reserve in northern Republic of Congo, a vast area of swamp forest.

Acting on a tip from hunters who indicated the presence of gorillas, Rainey said that the researchers trekked on foot through mud for three days to the outskirts of Lac Tele, about 80 kilometers (50 miles) from the nearest road.

"When we went there, we found an astonishing amount of gorillas," said Rainey, speaking from the International Primatological Society Congress in Edinburgh, Scotland.

Though researchers did spot some gorillas, they based their estimate on the number of gorilla nests found at the site, Rainey said. Each gorilla makes a nest to sleep in at night.

"This is the highest-known density of gorillas that's ever been found," Rainey said.  Watch a glimpse of gorilla life in African swamp »

Western lowland gorillas are listed as critically endangered, the highest threat category for a species. Their populations are declining rapidly because of hunting and diseases like Ebola hemorrhagic fever, whose symptoms include diarrhea, vomiting and internal and external bleeding.  Take a closer look at the Western lowland gorilla »

While the discovery in northern Congo indicates that the gorilla population remains stable in some areas, it is likely that gorillas will remain critically endangered because the threats facing the species are so great, Rainey said. iReport.com: Share photos and video of gorillas in zoos or the wild

"We know very little about Ebola and how it spreads," he said. "We don't even know the animal that spreads it around."

The goal now, Rainey said, is to work with the Congolese government and donors to protect the areas in which the gorillas are known to be living.

Western lowland gorillas, which are found in Cameroon, the Central African Republic, Equatorial Guinea, Gabon and Nigeria as well as the Republic of Congo, are the most numerous and wide-ranging of the four gorilla subspecies, each of which is threatened by extinction, the WCS says.  See where the gorillas live »

Illegal hunting and habitat loss have also threatened the Cross River gorillas, found in the highlands of Cameroon and Nigeria. Only about 250 to 300 are estimated to remain in the world, the WCS says.

War, habitat loss, poaching and disease are the major threats to the mountain gorillas, made famous by researcher Dian Fossey and the film "Gorillas in the Mist." The mountain gorilla population is starting to recover after decades of conservation work. From a population of around 230 in the 1970s, the mountain gorillas now number around 700, the WCS says.

Poaching and war have also threatened populations of Grauer's gorillas in the eastern Democratic Republic of Congo, the former Zaire. The WCS estimates their population to be around 16,000.

News of the discovery of the Western lowland gorillas in northern Congo comes the same week as a report that almost 50 percent of the world's primates are in danger of extinction.  Watch what gorilla expert thinks of find »

The report, also delivered to the Edinburgh conference, cites habitat loss and hunting as the greatest threats. The situation is especially dire in Asia, where the report says more than 70 percent of monkeys, apes, and other primates are classified as vulnerable, endangered, or critically endangered.

Conservation International and the International Union for Conservation of Nature issued the report.

@highlight

Researchers feared only around 50,000 Western lowland gorillas left worldwide

@highlight

Now 125,000 primates have been discovered in northern Congo

@highlight

Population declining rapidly because of hunting and diseases like Ebola

@highlight

Expert: This is the highest-known density of gorillas that's ever been found