(CNN) -- I watched the steady hand of my first officer, Jim, advance the thrust levers of our Boeing 777. With the assistance of 115,000 ponds of thrust from each of two GE engines, the airplane began its lumbered roll down the center line of Runway 22 Left at JFK. We accelerated toward a rotation speed of 153 knots. At rotation speed, Jim applied gentle pressure to the control yoke, lifting the nose of our 602,000-pound airplane skyward. This would be one of the most critical phases of our flight to London.

The immediate threat at that moment was the possibility that one of the GE engines would fail or tear itself apart internally at the most vulnerable time, an event we'd practiced for repeatedly on flight simulators -- an event controllable through mechanical design and good old fashioned pilot skills. As airline pilots, this is one of the many eventualities we prepare for on every trip.

As a result of September 11, we also prepare for terrorism. And now it appears that we will be adding missile evasion to the list.

It is almost inconceivable that tragedy would strike the same struggling airline twice in such a short period, but the truth speaks for itself. From over 800 flights traversing Ukranian airspace during the week before the crash of Malaysia Flight 17 it was the only airplane targeted by a missile.

The crews aboard the four ill-fated flights on September 11 all had one expectation at the end of their trip assignments. They would come home to their loved ones, kiss their wife or husband, pet the dog, and listen to their children talk about the day at school. This was the expectation of the crew aboard Malaysia Fight 370 last March, and the crew of Malaysia Flight 17 last week. None of these crews went to work with the expectation that they had the potential to be casualties of war, nor did their passengers.

For a relatively small air carrier it is the equivalent of losing family members, an emotionally devastating event. And like most airline crews, those at Malaysia Airlines will continue to serve at their professional best despite the circumstances.

They must do this while defending themselves against criticism that the airline or the pilots could have prevented the catastrophe had they taken a different route than the one through Ukranian airspace. This begins the blame game and is a typical reaction to an unimaginable event, especially an airplane crash with such large loss of life.

But the fact of the matter is that the route is assigned by air traffic control, as it is by air traffic control systems all over the world. The flight crew was simply complying with that clearance.

Pilots don't have the authority to change an assigned route on their own unless an emergency takes precedence. And even in an emergency certain guidelines must be followed. As an example, on the North Atlantic track system, which defines the routes between North America and Europe, the requirement to offset from an assigned route by 15 miles in an emergency is crucial to preventing conflict with other traffic.

As for the airline dispatchers, they are responsible for filing route requests that serve the airline safely, comfortably and economically. But they have to plan their flights within the confines of air traffic control guidelines and restrictions and may not have many choices in certain areas other than to select a given altitude.

If the dispatcher is aware of restrictions, the requested route that he or she files will reflect that. In the case of MH17, and with many other airlines transiting the Donetsk region of Ukraine where MH17 was downed, such safety restrictions had caused the plane to fly at a higher-than-usual altitude: 33,000 feet (Ukrainian officials had raised the minimum altitude requirement to 32,000 feet).

Lockerbie relative: Grieve MH17 through love, not revenge

In the United States, airspace is blotted all over the country with restricted areas that are primarily for military use. Routes filed by civilian airplanes have to avoid these areas. Pilots do not stray into restricted airspace without air traffic control permission. Some of these areas are "hot" continuously and others are hot only at certain times, and at certain altitudes.

Yes, if it is determined that a war zone on the ground could pose a threat, an option is to use a route that circumnavigates the airspace. But the war zone overflown by MH17 was never considered a definitive threat to civilian airplanes. Threat information is only as good as the intelligence supplied by air traffic control and its cooperating governments.

So how is a missile attack thwarted on an airliner? The answer, unfortunately, is not very well. In 2003, an event reported in the back page of the newspapers involved a DHL Airlines cargo A300 that was struck by a surface-to-air MANPAD missile just after departure from the Baghdad International Airport.

Ironically, the crew was executing a rapid climb maneuver to limit their exposure to just such an occurrence. The left wing sustained serious damage. All three hydraulic systems lost pressure because of a rapid fluid leak. The loss of hydraulic fluid also meant the loss of pressure to the primary flight controls.

Through the innovative piloting skills of the three-man crew, the airplane completed a successful landing by using differential power. The DHL Airbus A300 was fortunate to have encountered a missile of limited capabilities. If the reported circumstances of MH17's crash are accurate, for an airliner to have evaded a high-speed radar-guided missile would have been beyond its maneuvering capacity.

Years back, when the MANPAD (stands for man-portable air defense system) threat was becoming a major topic of discussion as the next terrorist scenario, my airline considered installation of an automatic missile warning and detection system. With FAA approval, through a company that designed such things, three of our B767's were outfitted with the system. To use a bad pun, it never got off the ground.

Cost, of course, was an issue. And from a practical standpoint, being alerted to a missile was a great tool, but an airliner's inability to quickly maneuver away from the danger still made the outcome inevitable. And with warfare technology becoming more sophisticated and deadly, an airline missile detection system may have been outdated on the day it was installed.

Ultimately the truth surrounding the fate of Malaysia Flight 17 must be determined, lest we jump to inaccurate conclusions. The destruction of Korean Airlines Flight 007 in 1983 is just such an example. Although indeed a Russian fighter jet fired upon the Boeing 747, it was later determined that the pilots had allowed the airplane to drift into Soviet airspace by not selecting the appropriate navigational mode on the autopilot. The airspace involved was an area that U.S. airplanes, (some of them military versions of airliners like the 707) traversed nearby to toy with the Russians.

The role of professional accident investigation is to find the cause of such tragedies regardless of their origin. We can only hope that the investigation is not further impeded by extraneous situations.

@highlight

Les Abend: Pilots prepare for emergencies. 9/11 added terror, MH17 added missile evasion

@highlight

Some say plane could have avoided region, but he says crew followed air traffic control

@highlight

He says pilots can't just change route, they follow regulations. Plane already at higher altitude

@highlight

Abend: Airplanes not able to dodge missiles. Such technology would be quickly obsolete