New York (CNN) -- The massacre in Newtown brought back an old memory -- a day in the 1970s when as a 12-year-old French school boy I had held my first gun.

On a Wednesday, a short school day in France, one of my classmates had brought a whole group of kids to his house. The parents were away at the office so we tasted a few drops of his dad's Scotch, checked out his older brother's collection of Playboy magazine, then, as if we needed to complete our transgressions, our young host led us upstairs, opened a drawer in the master bedroom, and pulled out this mass of black metal.

Many of us had seen our grandfathers' hunting rifles, but this was the real thing -- designed to pierce big holes in human bodies. And as we passed the gun along, some of us refused to touch it. The weapon conveyed less the glamorous image of Hollywood thrillers than the ghastly and realistic press account of the end of a gangster, riddled with bullets by the police in the middle of Paris a few weeks before.

Will Newtown change America's attitude toward guns?

It also brought back the story a teacher had told us about the sound he had heard as a child in World War II, of German SS soldiers finishing off hostages one by one in a courtyard of his village.

As we left the house that day, we all had the strange feeling we had just met the ultimate taboo, an instrument of ugly death belonging either to a dark underworld, or to a higher and overpowering authority.

As a reporter in the United States, I sometimes had to smile at my prudish European state of mind, when I saw, for example, members of the Blood gang in Los Angeles casually eating their pizza, their guns visible in their belts, or every time I pass by the weapons counter at Walmart where families buy guns as if they were shopping for the nearby kitchen appliances.

To a foreigner, the horror of Columbine, the abyss of Newtown may bring another surprise -- the unbelievable ease with which the perpetrators have gathered their arsenal, their casual expertise in using it as an extension of their mundane anxieties, the bloody resolution of trivial problems at home with mom and dad.

The European press as a whole may have once again stigmatized "America's love story with its guns" but the story seems to be less about love or passion than about the amazing familiarity and trivialization of instruments of death displayed by Americans.

On Friday, a relative called me from France. A retired kindergarten teacher, she told me about the "gut wrenching pain" she had felt following the news of faraway Connecticut. As we ended our conversation, she wondered: "Are we that far behind them?" Sure, a few months ago, a young French jihadist named Mohammed Merah massacred children in a Jewish school in Toulouse. In peaceful Norway, a neo-Nazi went on a nightmarish rampage. But both plans stemmed from another world, that of terrorism -- a warrior's logic so determined and deeply rooted in ideology it defied any norm of the society it targeted.

In France, the last mass shooting comparable to the recent American random murders dates back to 2002, when a Richard Durn gunned down eight members of the city council of his home town of Nanterre, a suburb of Paris. And the only known equivalent of Columbine, Virginia Tech or Newtown took place in Dunblane, Scotland, in March 1996 when a former scout leader killed 16 children and one adult in a school. Yet, why doesn't it happen more often?

One explanation comes to mind. It is way more difficult to find an efficient weapon in Europe, and this challenge may deter all but the most determined potential murderers.

I concur with the American gun lobby that gun control amounts to an obvious restriction of individual liberties. Like most French or European citizens, I would add a point: So what? Who even cares that, barring some (even more restrictive) amendments added since the 1980s, most of our gun laws date back to the decrees of April 18, 1939. It was a time of official mobilization against Hitler's imminent offensive, a time when a derelict French government cared less about its citizens killing each other than about the populace, or political factions, turning their weapons against the state for an insurrection.

For the next four years, the occupants, and the collaborationist regime of Vichy, simplified the system by executing anybody found in possession of a mere hunting rifle. And after the war, the legitimate government made an absolute priority of collecting the assault weapons hidden in private attics all around the country and reaffirming the 1939 law. It is still in place. There are eight categories of weapon, ranging from automatic hardware and machine guns which are prohibited, to hunting equipment allowed with a hunting permit.

To get any category one or four weapons, like the Glock or the Sig Sauer used in Newtown, you need to be 21, to have joined a shooting range for the last six months, provided a blank criminal record and a certificate of physical and mental health not older than two weeks. Then, the local police precinct starts a "morality investigation" in your neighborhood that rivals the clearance work done by the FBI for anybody employed at the White House.

One more point. Once you buy a gun, you still don't own it. Property rights don't apply to weapons. Even the European community, in spite of its principles of free enterprise and individual liberties, confirmed that there is no such thing as a right to own a weapon. A license is a temporary exception to the rule of prohibition. It is a privilege revoked after three years, before a new application.

World reaction: 'My heart is in Newtown'

These are the rules, but they are just rules. But our fear and taboos about firearms are a much more efficient gun control in our society.

The laws are so strict they cannot be efficiently implemented. That is why, mostly for bureaucratic reasons, more than 16 million weapons are unaccounted for and kept illegally, according to Small Arms Survey, mostly by otherwise law-abiding French citizens. Still, per capita, our murder rate is a fraction of the American one.

This doesn't mean France is not growing more violent. Its underworld is changing and expanding fast. Gangsters now use RPGs [rocket-propelled grenades] and bazookas to attack bank trucks, and military grade fully automatic weapons to kill their guards.

Drug dealers execute their competitors in Marseille with dreadful impunity. The Corsican mob, or its independent networks have killed 20 people in the island in a year. Thousands of military grade weapons are flowing now in western Europe, the remnants of the recent Balkan wars, exported by corrupt officials all around the former eastern block.

A few blocks from the house where I first saw my first gun, teenage dealers stash Kalashnikovs in the basements of project buildings. They are still rarely used, and to most French people, they belong in a parallel world. For now.

The opinions expressed in this commentary are solely those of Philippe Coste.

@highlight

Philippe Coste says Americans display amazing familiarity with instruments of death

@highlight

Way harder to find efficient weapons in Europe, he says: this may deter potential killers

@highlight

French hunters don't own guns, he points out. They only get three-year license to use guns

@highlight

Coste: There are many illegal guns, but fear and taboo are more efficient gun control