(CNN) -- He thought the bleeding was a hemorrhoid, brought on by a strenuous weightlifting session at the gym.

He thought the fatigue was due to his life on the road, performing coast-to-coast with the band Alabama's lead singer, Randy Owen.

He thought at 42, he was too young to get a colonoscopy.

Then the excruciating pain hit.

Wade Hayes, the country musician best known for his No. 1 hit "Old Enough to Know Better," spent Thanksgiving in the hospital. His intestine had collapsed in on itself -- a condition called intussusception.

Intussusception blocks food and liquid from passing through the intestine and cuts off the blood supply to the rest of the digestive tract, according to the Mayo Clinic. Normally found in children, it's rare in adults unless caused by an underlying condition.

For Hayes, that underlying condition was stage IV colon cancer. Doctors discovered a large tumor had caused the collapse. And that wasn't the end of the bad news.

The cancer had metastasized, or spread. Surgeons removed approximately 70% of Hayes' liver and more than 20 inches of his large intestine.

"You just don't expect a man in his young 40s, who was perfectly healthy in every other way, to get this kind of diagnosis," says Hayes' manager, Mike Robertson. "There was a part of me that was going, 'Surely this can't be happening.' "

Colorectal cancer -- often referred to as colon cancer -- is the third leading cause of cancer death in both men and women, according to the American Cancer Society. It's also the most preventable. Colorectal cancer usually develops slowly, over the course of 10 to 15 years, from noncancerous polyps.

Approximately 90% of new cases occur in people over the age of 50. The American Cancer Society recommends colonoscopies every 10 years for people beginning at that age, unless they have high risk factors such as a family history of colorectal cancer or another gastrointestinal disease. Colonoscopies can spot and remove polyps before they become malignant.

Coming clean about my first colonoscopy

"Oftentimes, [colorectal cancer] has no symptoms," says Dr. Paul Limburg, a gastrointestinal cancer prevention specialist at the Mayo Clinic who has not treated Hayes. "The most important message is that people really should understand that screening should be done regularly. It could make a substantial difference in the number of lives saved."

Hayes had no family history of gastrointestinal disease, which is one of the reasons he ignored his symptoms for so long. In fact, when he walked into the hospital in November, he was in better shape than everyone in the waiting room, Robertson remembers.

Since then, Hayes has lost 50 pounds and is struggling to regain a sense of normalcy through multiple rounds of chemotherapy. He's fighting an uphill battle -- a 2004 study published in the Journal of the National Cancer Institute estimated the five-year survival rate for stage IV colon cancer to be 8.1%, and an institute study of cancer data put the survival rate at 6%.

"It hurts like hell," Hayes says of his recovery. "I always thought of myself as a man's man, but I just discovered what a wuss I am."

Thankfully, Hayes is anything but alone in Nashville. Willie Nelson called from Hawaii to wish him well. Kix Brooks helped him connect with the best doctors in the city. Jay DeMarcus from Rascal Flatts arranged for a private room at Vanderbilt hospital.

"That part of it has been really shocking for me. I had no idea how many people cared about me or even knew I existed."

Robertson says that's the kind of person Hayes is -- modest to a fault; an introvert who enjoys reading detective dramas and has no desire to just sit around.

Hayes lives with his dog, Jack, a boxer he found as a stray, eating out of the garbage at a filling station 75 miles from Nashville. He loaded the starving, tick-covered dog into the back of his truck and took him home, where Jack proceeded to chew on everything in sight.

"He's very lovable but a pain the ass -- just like me," Hayes says with a laugh.

Hayes' scans were clear of tumors in early March. But the musician still has four more months of chemotherapy to go.

Chemo has left his hands and mouth incredibly sensitive. Food tastes funny, and touching anything cold feels like "being electrocuted." Some days, he has trouble gripping his guitar.

He performed at the Stars Go Blue benefit concert for Colorectal Cancer Awareness Month on March 6 but had trouble singing because of the chemo's effects on his vocal cords.

He's eager to get back to writing music, but the chemotherapy chemicals invading his body make it difficult to concentrate.

"He's seen something taken away that he's very passionate to get back to," Robertson says of Hayes' impatience. "He's always bounced back from everything. I think he thought he'd have the surgery, and then. ... The recovery has taken longer than he expected."

Still, Hayes is doing his best to help the process along. Studies have shown that environmental and dietary factors can influence your risk of colorectal cancer, according to Limburg. A low-fat, high-fiber diet is good, as is regular exercise.

"In general, things that are healthy overall, are healthy for your colon," Limburg says.

So Hayes is eating less red meat, more fruits and vegetables. He's sold his house in the city and is hoping to buy a small farm in the country. Most importantly, he's speaking out about getting screened early and often.

"If I had caught it early, I wouldn't be where I am now."

For more information on colorectal cancer, visit Cancer.org.

@highlight

Country singer Wade Hayes was diagnosed with stage IV colon cancer in November

@highlight

Hayes is 42 years old and has no family history of gastrointestinal disease

@highlight

Colorectal cancer is the third leading cause of cancer death in both men and women