(CNN) -- Last week, the College Board dealt parents, teachers and the education world a serious blow. According to its latest test results, "SAT reading scores for the high school class of 2011 were the lowest on record, and combined reading and math scores fell to their lowest point since 1995."

The reading scores, which stand at 497, are noticeably lower than just six years ago, when they stood at 508. And it's just the second time in the last 20 years that reading scores have dropped so precipitously in a single year.

Yet, according to the College Board, there is no reason to panic. The results, they say, "reflect the record size and diversity of the pool of test-takers. As more students aim for college and take the exam, it tends to drag down average scores."

Since when has diversity and more students taking the test become a legitimate excuse for bad scores? A conservative certainly could not get away with blaming falling test scores on diversity. Imagine the outcry.

Increased diversity and student participation are very good things, but we should not console ourselves with excuses for falling scores, especially considering the amount of money we spend each year on education.

The 2011 budget for the Department of Education is estimated to top $70 billion, while overall spending on public elementary and secondary education is about $600 billion a year. By comparison, in 1972, before the Department of Education even existed, SAT critical reading scores for college-bound seniors were above 525, more than 20 points higher than they are today, while today's math scores are only slightly better than in 1972.

As the United States increases education spending, our students' scores should not be getting worse. For a long time, I, along with other conservative reformers, have been saying that real reform means more than throwing money at the problem. Now, an unexpected voice from across the political spectrum is agreeing.

Steven Brill, founder of Court TV and The American Lawyer magazine, and author of the new book "Class Warfare: Inside the Fight to Fix America's Schools," has turned the journalistic magnifying glass on the nation's public schools and teachers' unions. Brill's book is one of the most in-depth and closely researched looks into the modern workings of the education "blob" in recent memory. And Brill is a liberal, a very thoughtful and careful liberal, and he is criticizing the heart of liberal power: the teachers' unions.

Brill closely traces the modern education reform movement from Race to the Top, to KIPP Academies, to Teach for America, to such high-profile reformers as Michelle Rhee and Joel Klein, while lamenting obvious long-standing barriers to educational improvement such as the "last in, first out" policy that requires teachers to be laid off based purely on seniority rather than performance.

Brill scours the inner workings of public school teachers' contracts, uncovering such gems as a New York City contract provision "allowing the principal no say over the format of a lesson plan."

He recounts his exposure of New York City's infamous "rubber rooms," where hundreds of teachers under investigation for misconduct or incompetence were sidelined for years at full pay with nothing to do but watch the clock tick down each day. The practice was discontinued after his reporting revealed it.

In another illustrative case study, Brill compares Harlem Success I, a charter school, with P.S. 149, a traditional public school. Both schools happen to share the same building in New York City, with very similar students, parents, socioeconomic conditions and environments. But Harlem Success blows P.S. 149 out of the water. Eighty-six percent of its students were proficient in English in 2010, compared with 29% of P.S. 149's.

Throughout the book, Brill uses examples like these to explain how fossilized teacher union contracts, lax or nonexistent teacher evaluations, and unmovable wages and benefits have straitjacketed any hope of real reform. The solution, Brill says, is to overhaul the public school education system in order to motivate and inspire better teachers. Rewriting union contracts and paying teachers based on performance, not seniority, are among the first steps Brill advises. The United States can afford to pay our nation's best teachers more, while holding bad teachers accountable and paying them accordingly.

Brill's work represents a real tug-of-war inside the Democratic Party, between the teachers' unions and modern reformers, for control of the nation's education machine. The old guard of the Democratic Party, the AFT and NEA, believe that the blame for stagnant and falling test scores falls on anyone but them. Yet, new Democratic voices, such as Cory Booker, Geoffrey Canada and Rhee, are vocally questioning what was once unquestionable -- that contracts, wages, benefits, accountability and standards need sensible reforms.

The latest drop in SAT reading scores should not be written off as a statistical outlier, but should be a wake-up call to heed the chorus of reformers, conservatives and liberals alike, whose prescriptions are timely, relevant and might be just what we need to turn our public schools around.

The opinions in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: SAT reading scores for 2011 high school class were lowest on record

@highlight

Bennett: College board blames record numbers and diversity of test-takers, but this is no excuse

@highlight

He says some Democrats agree that contracts, teacher performance need reform

@highlight

We can afford to pay best teachers more, if worst are held accountable, Bennett says