Editor's note: Frank Micciche is managing director of the Next Social Contract Initiative at the New America Foundation, a think tank that promotes thought from across the ideological spectrum. He has worked for Sallie Mae, former Michigan Gov. John Engler and former Massachusetts Gov. Mitt Romney.

Frank Micciche says Detroit has to justify its bailout while Wall Street is getting more without tough scrutiny.

WASHINGTON (CNN) -- There was good news and bad news in the recent filings Chrysler and General Motors made with the federal officials overseeing their multibillion-dollar rescue.

The good news was that, if the federal government can see its way clear to adding another $21 billion or so to the more than $17.4 billion they received in bridge loans in December -- including a cool $7 billion by the end of March to forestall their insolvency -- the companies are confident that they will be able to retool, return to profitability and repay the money provided them.

The bad news: it won't happen until late in President Obama's first term, if at all, and in the meantime they will eliminate at least 50,000 jobs this year alone, close even more plants than previously announced and discontinue several of their most recognizable lines of cars.

If you think keeping the automakers afloat for another few years is expensive, you won't believe how much it would cost to let them fail. In the same report, GM CEO Rick Wagoner put the price tag for the feds should his company file for bankruptcy at $100 billion.

Such is the through-the-looking-glass nature of bailout economics, circa 2009. Of course, even Wagoner's worst case scenario is a pittance compared to the more than $600 billion that will eventually flow to Wall Street through the Troubled Assets Relief Program (TARP).

Which begs the question of why, after four months and nearly $400 billion in capital from the U.S. Treasury, we have still not seen anything remotely resembling the detailed disclosures and strategic planning required of the automakers from the banks that have received TARP funds?

For that matter, shouldn't the state and local governments that stand to receive hundreds of billions of dollars under the recently enacted economic stimulus bill have to submit something, anything, that would explain how they intend to use this money, what their spending will do to speed and sustain the nation's overall recovery and what they will do to wean themselves from this emergency aid once the crisis has passed?

Small nonprofits and community organizations that receive federal grants will tell you that the paperwork and scrutiny that comes with even the most modest federal award is often so exhaustive as to nullify the benefits of the grant. Not so, apparently, if your request is in the billions. Perhaps the secret to avoiding the withering glances of bean-counting bureaucrats is to ask for serious cash from Uncle Sam.

How do we square the double standard in reporting required of Chrysler and GM, whose combined request is in the range of $40 billion, with the inability of even a pit bull like U.S. House Financial Services Committee Chairman Barney Frank, D-Massachusetts, to get answers as to exactly where and to what end the TARP money has gone?

It may be that the situation on Wall Street is so complex, and the stakes so high, that lawmakers themselves have little confidence in their abilities to map a successful recovery for the industry, so they are relying on the sheer magnitude of their spending and the ingenuity of those left standing on Wall Street to work their market magic and revive the economy.

The idea of a single "Car Czar" to oversee the rebuilding of the auto industry is now out the window, replaced by a task force led by Treasury Secretary Tim Geithner and National Economic Council Director Larry Summers, two of the most over-extended men in the history of American government.

But it's still easier for Washington to imagine that they can manage Chrysler and GM back onto the road to viability than that anything short of massive infusions of vaguely traceable capital will unfreeze the credit markets and restore financial stability.

In the meantime, the automakers await word on the acceptability of their plans to dramatically reduce production and add tens of thousands of new Americans to the ranks of the unemployed. Forty billion just doesn't go as far as it used to.

The opinions expressed in this commentary are solely those of Frank Micciche.

@highlight

Frank Micciche: Auto companies are planning job cuts and plant closings

@highlight

He says they were required to give detailed plans in return for bailout money

@highlight

Micciche: Wall Street firms getting much more money from federal government

@highlight

He says the bankers haven't been required to provide their restructuring plan