(CNN) -- Our minds recoil at the thought. How is it possible that a human being could take a knife to the neck of another, an innocent man, and cut off his head? How could he do this even after perhaps hearing the pleas from his captive's mother, imploring him to spare her child?

The recent slayings of journalists Steven Sotloff and James Foley by ISIS, the self-described Islamic State, are only the latest acts of brutality by an organization that has strived to make ruthlessness one of its most distinctive characteristics. Far from apologizing for its inhumanity, ISIS advertises it proudly, it taunts the world with it, and goes to great lengths to confirm that the acts that horrify us are not the work of rogue members but are, indeed, the organization's policy.

Cruelty is a key component of the ISIS brand. The group has managed to conquer large parts of Syria and Iraq with a systematic and efficient plan. Like everything else it does, broadcasting barbarism is a calculated strategy.

But why?

Brutality has psychological, strategic and ideological objectives. That's why other fighting forces have resorted to cruelty to achieve their objectives. History is replete with examples that we see echoed today.

As we avert our eyes from the carnage, from beheadings, mass executions and crucifixions; as we try to avoid looking at the worst of the online videos, it is apparent that the strategy has the potential to create a huge and powerful backlash. That cruelty is turning much of the world, including Arabs and Muslims, against ISIS. And the atrocities against American and other Western citizens are all but inviting the world's most powerful armies to take on the Islamist militias.

And yet, by showing its fighters massacring the enemy without mercy, by flooding social media with the gruesome images, ISIS sends several messages that its leaders believe bring benefits that outweigh the risks.

Long before we heard what happened to James Foley, months before we learned that ISIS had killed hundreds of men, women and children of Iraq's Yazidi minority, burying some of them alive, the people of the Middle East had become acquainted with the mass executions, the brutal persecution of minorities, the killing of Christians, of Shiites, and of Sunnis or anyone else who posed a challenge, hesitated to follow its religious dictates, or resisted the ISIS advance in Syria and then Iraq.

Cruelty communicates fearlessness, and fearlessness, coupled with battlefield success, is an irresistible draw. It's no wonder ISIS has attracted large numbers of men eager to fight, including hundreds from Europe. They share the goal, as one defector told CNN, of establishing an Islamic state in the Arab world and then taking the campaign to other countries.

Beheading the enemy is an effective recruiting appeal to a small but not insignificant segment of the population that is enticed by the brazenness and ideological fervor. To them, mostly young Muslim men, the barbarism resonates with their own brand of hatred and lust for revenge: revenge over real or perceived slights against Muslims.

The religious justification for the executions, described by ISIS as part of its jihad -- a war to return the reign of an Islamic caliphate and impose the Quran's dictates -- gives the killings moral, theological clearance, all but precluding empathy toward non-members.

In addition, by advertising its methods, ISIS intimidates the armies it faces, causing some soldiers to flee before battle, even leaving their weapons behind, as we saw when ISIS took over Mosul. The executions of hundreds of enemy soldiers, those who chose to fight, have appeared in videos, a warning to others.

And the method also works to keep populations in line after ISIS takes over territory and enforces its rule.

The people of Raqqa, the ISIS "capital" in Syria, have seen men crucified in the streets, a punishment for transgressions that serves as warning to anyone who might plan to defy the new authorities' rule and their version of Sharia, Islamic law.

ISIS is not the first organization to use barbarism as a weapon of war; to use cruelty as a method of policy enforcement.

In the Middle Ages, the Inquisition, an institutionalized effort to root out heresy and strengthen the hold of the Catholic Church and its allies, made it well known that those who did not fully comply with its wishes would suffer unspeakable punishments, from torture to being burned alive.

Many militant movements throughout history have managed to erase from their followers an essential element of their humanity -- a part that we think could never be destroyed inside us. We cannot imagine deliberately inflicting pain on another, particularly someone who has not harmed us. But it turns out that our restraints against cruelty can be destroyed.

History is replete with examples: The millions killed by the Khmer Rouge in Cambodia, as they sought to build a communist utopia. The industrialized killing factories built by Germany during World War II, which had no military value, playing the key role within Nazi ideology of exterminating unwanted people, principally Jews, but also the disabled, homosexuals, Roma (Gypsies) and other "inferior" peoples. The genocide in Rwanda, in which ethnic hatred unleashed a genocidal wave that left 800,000 dead, most hacked with machetes by their neighbors.

Other Jihadi groups operating today have shown no compunction about killing civilians, women and children, about kidnapping girls in Nigeria, about blowing up city markets in Baghdad, buses in London, restaurants, cafes, and hotels in Bali, Jerusalem, or Amman.

The common denominator throughout history until today is an ideology that justifies everything for the search of a "higher" goal, one usually suffused with some utopian vision of a perfect world. It is a world that has no room for anyone who disagrees with those seeking to make it a reality and finds in cruelty a recruiting tool for the cause and a fully justified method in pursuit of ultimate success.

Along the way, it turns men who were once presumably normal, even lovable children, into black-hooded executioners capable of taking a knife to the neck of a man kneeling at their feet. And using it.

@highlight

Frida Ghitis: ISIS celebrates its brutality and taunts the world with it

@highlight

Ghitis: Barbarism is ISIS policy, with strategic and psychological objectives

@highlight

Ghitis: Policy of Nazi Germany, Rwanda, Khmer Rouge, Boko Haram, too

@highlight

Ghitis: ISIS uses cruelty to recruit; justifies it for the sake of creating a "utopia"