(CNN) -- Anthony Stokes, 15, received a heart transplant Tuesday night at Children's Healthcare of Atlanta, according to a family spokesman. Anthony is recovering and "doing great," Mark Bell said.

Anthony's case first attracted national attention when his family told media the hospital had denied him a spot on the heart transplant list. An August 7 letter from the hospital, which Bell provided to CNN, said that "Anthony is currently not a transplant candidate due to having a history of noncompliance, which is one of our center's contraindications to listing for heart transplant."

Noncompliance generally means that doctors doubt that a patient will take his medicine or go to follow-up appointments.

A week later, according to Bell, doctors reversed that decision and gave Anthony top priority on the transplant list.

On August 16, Anthony had a procedure to insert a device to support his failing heart, Bell said. The ventricular assist device, or VAD, was used to help the heart function and blood flow while he waited for the heart transplant. The mechanical pump included a small tube that carried blood out of the heart into a pump, and another tube that carried blood from the pump to blood vessels. Vessels deliver blood to the body.

Bell said Anthony's heart transplant started at 6:15 p.m. on Tuesday and lasted just over five hours.

The teen has been in the hospital since July 14, according to CNN affiliate WSB-TV.

Children's Healthcare of Atlanta has been mum on Anthony's case, citing patient privacy. Last week a hospital spokeswoman declined to confirm Anthony's VAD procedure and referred CNN to the family for related inquiries.

The hospital is in good standing, according to the United Network for Organ Sharing, the nonprofit organization in charge of transplant coordination in the United States.

"Children's Healthcare of Atlanta has performed 10 transplants so far this year; three of them in the past week alone," the hospital said in a statement Wednesday. "Since our transplant program's inception, we have performed 279 pediatric heart transplants on children ages ranging from newborn to 21."

A matter of compliance

Assessing compliance for potential transplant recipients is important because if a patient doesn't strictly take all required medicines as directed, he or she could die within weeks of leaving the hospital, said Dr. Ryan Davies, a cardiothoracic surgeon at the Alfred I. duPont Hospital for Children in Wilmington, Delaware, who is not involved with this case.

But Bell said a doctor told the family that Anthony's low grades and time spent in juvenile detention factored into that assessment.

"The doctor made the decision that he wasn't a good candidate because of that," Bell said. "I guess he didn't think Anthony was going to be a productive citizen."

Anthony's mother, Melencia Hamilton, told CNN affiliate WGCL-TV that doctors said Anthony would have lived only three to six months if he hadn't gotten the heart transplant.

The Southern Christian Leadership Conference's Georgia chapter was involved in drawing media attention to Anthony's case because the organization has "a longtime relationship with the child," said the Rev. Samuel Mosteller, the chapter's president,

Mosteller said Anthony was judged based on "tattoos and an ankle bracelet" from a "juvenile agency." Bell said the detention was because Anthony got into "an altercation to protect his younger brother."

Anthony had no health problems before this summer, Bell said; the heart problem is not congenital. But he started to have trouble sleeping and then complained about his chest hurting. His mother took him to the hospital because of the chest pains.

Bell said the family didn't press the doctor on what led to overturning the decision regarding the transplant list.

Personally, Bell attributes it to "the handiwork of God and the media pressure."

The hospital did not comment on what led to doctors' change of heart.

The complexity of transplants

Federal records show that 3,400 people were on waiting lists for heart transplants in 2012, but only 2,000 of these procedures were performed. While waiting for a heart transplant, 331 people died.

Dr. David Weill, medical director of Stanford University's Lung and Heart-Lung Transplant Program, said it's not unusual for patients to be rejected from organ transplant lists because of noncompliance -- in other words, if they are seen as people who won't follow instructions about taking medications and seeing doctors.

At Stanford, Weill's group evaluates about 300 patients per year for lung transplants and turns down about 1% to 2% because of noncompliance. It's about the same for heart transplants, as well, he said.

As part of the evaluation process, organ transplant patients undergo a complete psychosocial evaluation so doctors can get a sense of whether they and their families will follow through with a complicated medical regimen, Weill said.

"A few times a year, we run into people who can't," he said.

A patient would not be turned down solely for having served prison time or having bad grades, Weill said, but "we would want to look at the entire picture."

Some patients have been denied because they don't have anyone in their lives who can take care of them and accompany them to appointments. After a heart transplant, patients are too sick to do these things alone, Weill said.

"When we fear that someone's not going to do well, it's because the patient couldn't comply with the regimen or they don't have any support in their life," he said.

Psychosocial factors don't change a person's priority on the waiting list, but they could lead a person to be denied a spot on that list, he said.

Arthur Caplan, head of the division of medical ethics at NYU Langone Medical Center, noted that patients have to adhere to a lifelong regimen after receiving an organ transplant -- showing up at medical appointments, taking medications, monitoring changes in health -- and teenagers in general don't have a good track record of following orders.

Teenagers aren't automatically ruled out for heart transplants, but "the consequence that 'you are going to die if you don't take these medicines' is far from the mind of a 17-year-old," said Davies, the cardiothoracic surgeon.

Caplan said Anthony should be counseled and worked with intensively so he understands what's expected post-transplant.

@highlight

Anthony Stokes had heart transplant on Tuesday night, family spokesman says

@highlight

The 15-year-old in Georgia was initially told he couldn't be on heart transplant list

@highlight

Original hospital letter to family said teen denied because of "history of noncompliance"

@highlight

Last week Anthony had a heart device implanted, family spokesman said