Human activity has caused at least half of climate change in the last half-century, hundreds of scientists say. They are 95% certain of this, the surest they've ever been, says a United Nations report published Friday.

That activity? Driving cars, running power plants on coal and oil, torching swathes of forestland and debris; anything involving burning carbon-based fuels and emitting greenhouse gases.

We are seeing the consequences already in extreme weather patterns, particularly drought and flood, and they will probably get worse this century, the report said.

"It should serve as yet another wake-up call our activities today have a profound impact on society, not only for us, but for many generations to come," Michel Jarraud, head of the World Meteorological Organization, said at a news conference in Stockholm, Sweden.

U.S. Secretary of State John Kerry echoed his words in an official statement.

"Those who deny the science or choose excuses over action are playing with fire," he said. "Once again, the science grows clearer, the case grows more compelling, and the costs of inaction grow beyond anything that anyone with conscience or common sense should be willing to even contemplate."

Beneath Greenland's ice, a grand canyon

The assessment report from the Intergovernmental Panel on Climate Change is the benchmark study on global warming published every few years.  Nearly 1,000 researchers from around the world work on the document, which then undergoes review by about as many scientists.

The panel released a summary report Friday and plans to post the full version, roughly 2,500 pages, online on Monday.

This year's report further strengthens the suspicions that scientists already have.

In 2007, climate researchers were already 90% sure that people were behind a seemingly small rise in global average temperature of about half a degree Celsius (1 degree Fahrenheit) that has already notched up extreme weather events such as heat waves, droughts and flooding.

While 90% constitutes a "very likely" degree of certainty, Friday's report stating scientists are now 95% sure indicates an "extremely likely" degree of certainty, which is considered the gold standard when discussing probability.

The effects humans are already causing are expected to increase for a century or more, the report reads. Weather catastrophes, previously called storms of the century, are on their way to striking every 20 years or even more frequently.

Bloomberg: Why Sandy forced cities to take lead on climate change

This means, unfortunately, that we could see more EF5 tornadoes like the one that ground up Moore, Oklahoma; stronger and more floods like those that inundated Colorado towns; another Sandy or Katrina or two in our lifetimes; more crops wiped out by drought; and more forestland consumed by roaring wildfires.

The Arctic ice cap could melt nearly completely in summer, and sea levels could continue to rise. In the Antarctic, the ice cap could continue to increase slightly.

And if greenhouse gas emissions continue to climb as they have, the resulting temperature rise and its deadly effects would get even worse, the report says.

Hundreds of experts weigh in

The 2013 assessment report from the Intergovernmental Panel on Climate Change brings together the latest research from top scientists in the field. It contains a "summary for policymakers" aimed at guiding politicians and lawmakers worldwide on decisions regarding the environment over the next several years.

The document released Friday explains the physical science behind climate change.

The U.N. panel releases a report every five or six years. Friday's report is the culmination of work by more than 250 authors from 39 countries and was subject to an extensive review process involving more than 1,000 experts.

More than 850 expert authors from 85 countries contributed research for the full report, which will be released in three stages through April. The first, on the physical science behind climate change, accompanies the summary for policymakers. The second, expected in March, will cover "impacts and vulnerabilities" of climate change; the third, on mitigation efforts, is set to go out in April.

Climate change may increase violence, study shows

Critics of the report

Despite the breadth of the scientific expertise involved and the extensive review and approval process, the assessment reports spark quite a few criticisms, from both climate change believers and skeptics.

Skeptics say the panel exists only to produce further evidence supporting the idea of man-made climate change while ignoring opposing research. But climate change activists, and many climate scientists, say the panel's consensus-seeking policy produces conclusions and estimates that are too conservative.

Another often-cited critique of the report is that, due to its size and lengthy approval process, it is already outdated by the time it is released. Several important studies already have been published in the past year in the constantly evolving science of climate change that will not be included in this assessment.

Despite the critics, this week's document will serve as a major measuring stick for the current state of the world's climate and what type of change is in store.

The summary for policymakers will be available Friday at www.climatechange2013.org.

Climate sticker shock: Arctic thaw could cost $60 trillion

@highlight

Climate change deniers beware, says Secretary of State John Kerry

@highlight

There is even more certainty that humans are playing a role

@highlight

The report lays out projections for climate change through the end of the century

@highlight

The first section of the report is aimed at assisting policymakers