Boston, Massachusetts (CNN)  -- Republican Scott Brown won a major upset victory in Tuesday's special election for the U.S. Senate seat formerly held by liberal Democrat Ted Kennedy.

Brown defeated Massachusetts Attorney General Martha Coakley, the Democratic candidate.

Brown's victory made real the once unthinkable prospect of a Republican filling the seat held by Kennedy, known as the liberal lion, for almost 47 years until his death from brain cancer in August.

Voters across Massachusetts braved winter cold and snow for an election with high stakes -- the domestic agenda of President Obama, including his priority of health care reform.

Brown's victory strips Democrats of the 60-seat Senate supermajority needed to overcome GOP filibusters against future Senate action on a broad range of White House priorities. Senate Democrats needed all 60 votes in their caucus to pass the health care bill, and the loss of one seat imperils generating that support again for a compromise measure worked out with the House.

In a subdued concession speech, Coakley said she expected a tough assessment of her loss and lots of "Wednesday-morning quarterbacking" after losing a seat held by Democrats for more than 50 years.

"I am heartbroken at the result," Coakley said, later adding: "Although I am very disappointed, I always respect the voters' choice."

Massachusetts Secretary of State Bill Galvin said last week that certifying Tuesday's election results could take more than two weeks -- potentially enough time to allow congressional Democrats to pass a final health care bill before Brown is seated.

But multiple Democratic sources said this is unlikely. Even if House and Senate Democrats could reach a deal to meld their bills and pass them in the next couple of weeks, there would be a huge outcry from not only Republicans, but also an increasingly distrustful public if they appeared to be rushing it through.

Galvin had predicted as many as 2.2 million of the state's 4.5 million registered voters would vote -- at least double the turnout from December's primary. In one sign of high interest, more than 100,000 absentee ballots were requested ahead of the election, according to Galvin's spokesman, Brian McNiff.

Coakley was initially expected to easily win the race to replace Kennedy, who made health care reform the centerpiece of his Senate career.

Until recently, Brown was underfunded and unknown statewide. In addition, no Republican has won a U.S. Senate race in Massachusetts since 1972, and Democrats control the governorship, both houses of the state legislature, and the state's entire congressional delegation.

However, Brown surged in the weeks preceding Tuesday's vote and led in all the final polls.

Democratic sources told CNN that Coakley called Brown on Tuesday night to concede.

In a sign of the high stakes involved, the Coakley campaign held an afternoon news conference Tuesday to complain that voters in three places received ballots already marked for Brown.

iReport: Send us your thoughts on the special election

McNiff confirmed that the secretary of state's offices received two reports of voters saying they got pre-marked ballots. The suspect ballots were invalidated and the voters received new ballots, McNiff said.

Kevin Conroy, the Coakley campaign manager, said the "disturbing incidents" raised questions about the integrity of the election. In response, the Brown campaign issued a statement criticizing Coakley's team.

"Reports that the Coakley campaign is making reckless accusations regarding the integrity of today's election is a reminder that they are a desperate campaign," Daniel B. Winslow, the counsel for the Brown campaign, said in the statement.

Obama has been both "surprised and frustrated" by the race, White House Press Secretary Robert Gibbs said Tuesday.

Obama and former President Bill Clinton hit the campaign trail over the past three days in an attempt to save Coakley's campaign, which observers say was hampered by complacency and missteps.

Obama crushed Sen. John McCain in Massachusetts in 2008, beating the GOP presidential nominee by 26 points.

"If you were fired up in the last election, I need you more fired up in this election," Obama urged a crowd at a Coakley campaign rally on Sunday.

Vicki Kennedy, the late senator's widow, called on state Democrats to turn out to save her husband's legacy.

"We need your help. We need your support. We need you to get out there and vote on Tuesday," Kennedy said. "We need you to bring your neighbors. We need you to bring your friends."

Brown, who has trumpeted his 30 years of service in the National Guard, hewed to traditional GOP themes at the end of the campaign. He promised at a rally Sunday that, if elected, he would back tax cuts and be tougher on terrorists than Coakley.

He also repeated a pledge to oppose Obama's health care reform effort.

"Massachusetts wants real reform and not this trillion-dollar Obama health care that is being forced on the American people," he said. "As the 41st [Republican] senator I will make sure that we do it better."

Forty-four percent of Massachusetts voters cited the economy and jobs as their top concern in a recent 7 News/Suffolk University poll. Thirty-eight percent mentioned health care as their top concern.

Voters more concerned with the economy were split almost evenly between the two candidates; voters more worried about health care narrowly supported Coakley.

Brown's surprising strength came in part because some independents and conservatives who have supported Democrats in the past were having second thoughts.

Democrats far outnumber Republicans in Massachusetts, but there are more independents than Democrats and Republicans combined.

Several Democratic sources say multiple Obama advisers have told the party they believed Coakley was going to lose, despite Obama's campaign appearance for Coakley on Sunday.

Facing the possibility of Coakley's defeat, Democrats were trying to figure out if they could pass health care reform without that crucial 60th Senate vote.

The seat is currently held by former Kennedy aide and longtime friend Paul Kirk, who was appointed to the seat on an interim basis.

Two Democratic sources in close contact with the White House told CNN on Monday they've urged the administration, in the event of a Brown victory, to push House Democrats to pass the Senate's health care bill as currently written. Doing so would prevent the plan from having to be taken up by the Senate again.

"I think the Senate bill clearly is better than nothing," House Majority Leader Steny Hoyer, D-Maryland, said Tuesday.

A third option would be for Democrats to revisit the idea of trying to push health care through the Senate with only 51 votes -- a simple majority.

But to do that Democrats would have to use a process known as reconciliation, which presents technical and procedural issues that would delay the process for a long time. A number of Democrats are eager to put the health care debate behind them and move on to economic issues such as job creation as soon as possible this election year.

Senate Democrats could also try again to get moderate GOP Sen. Olympia Snowe of Maine to vote for a compromise health reform plan. Multiple Democratic sources, however, have said they believe that is unlikely now.

CNN's Jim Acosta, Dana Bash, Kevin Bohn, Ed Henry, Ed Hornick, John King, Suzanne Malveaux, Shawna Shepherd, Jessica Yellin, Alan Silverleib and Tom Cohen contributed to this report.

@highlight

Democrat Martha Coakley concedes to Republican Scott Brown

@highlight

President Obama "frustrated" by Massachusetts Senate race, aide says

@highlight

Good turnout expected as Massachusetts votes to fill Sen. Ted Kennedy's seat

@highlight

Democrats would lose filibuster-proof majority in Senate with Brown win