New York (CNN) -- Trees toppled and streets flooded Sunday morning as Irene lashed some of the biggest cities in the Northeast with wind gusts and torrential rains.

Even as Irene weakened to a tropical storm, authorities in the region warned that its impact was not waning.

"We're not out of the woods yet. Irene remains a large and potentially dangerous storm," U.S. Homeland Security Secretary Janet Napolitano told reporters.

Officials said the storm had knocked out power to more than 4 million people and was responsible for at least 15 deaths in six states.

New Jersey Gov. Chris Christie said flooding in his state was widespread and advised residents to stay indoors.

Streets in downtown Millburn, New Jersey, saw major flooding when the Rahway River overflowed early Sunday morning, said Lt. Peter Eakley, the town's deputy emergency management coordinator.

"It's crazy. ... The water is moving between buildings, up, down, all sorts of different directions," Rich Graessle told CNN's iReport.

In New York City's lower Manhattan, the Hudson River overflowed, sending massive amounts of water spilling over jogging paths and pouring into at least one nearby apartment building. Water also lapped over the banks of the city's East River early Sunday, but later receded. CNN affiliate WCBS reported serious flooding in Brooklyn.

Irene left streets looking barren and desolate in "the city that never sleeps." Shelves upon empty shelves greeted shoppers at stores. Caution tape barricaded the turnstiles at subway stops.

But the flooding's greatest impact may be far from view, former Homeland Security Secretary Michael Chertoff told CNN.

"The challenge of New York is that so much of the electricity and other infrastructure is below the surface," he said.

That means flooding could bring life in the city to a standstill even after waters recede, he said.

The threat of flooding extended beyond New York City. Outside Philadelphia, waters had already climbed to street-sign levels in Darby, Philadelphia Mayor Michael Nutter said, sending "couches, furniture, all kinds of stuff floating down the street."

Waves pounded the shoreline in Long Beach, New York, as water poured underneath the boardwalk and into the city's downtown area.

By 11 a.m. ET Sunday, Tropical Storm Irene had maximum sustained winds of 60 mph, according to the National Hurricane Center. The storm was moving inland over southeastern New York state and heading northeast toward New England. Even as winds decreased, the hurricane center warned that an "extremely dangerous storm surge" was expected in Connecticut, Rhode Island, Massachusetts and parts of Long Island, New York.

The storm slammed into Little Egg Inlet, New Jersey, as a Category 1 hurricane around 5:30 a.m., the hurricane center said, hitting cities along the coast as it hurtled toward New York City.

While most New Yorkers stayed holed up in their apartments, officials and residents in states further south began taking stock of the damage Irene left behind.

Authorities in Ocean City, Maryland, reopened the evacuated city.

"It was a long night last night, but I can tell you, we dodged a missile here at Ocean City," Mayor Rick Meehan told reporters.

While Irene dumped 12 inches of rain by early Sunday morning, there was no major flooding. The maximum storm surge coincided with low tide, preventing the flooding that had been feared. Timing "made a significant difference," Meehan said.

But flooding remained a concern in many areas, said Craig Fugate, head of the Federal Emergency Management Agency.

"Assessments are still coming in," Fugate said Sunday morning, noting that Virginia reported particularly high rainfalls.

Powerful gusts were so strong in some states that pedestrians struggled to stay upright. Storm surges along the East Coast turned at least one beach into an extension of the ocean.

Two buildings collapsed in Philadelphia, Nutter told reporters, but no one was injured.

A nuclear power reactor in Calvert Cliffs, Maryland, automatically went offline late Saturday after a piece of aluminum siding from a building struck a transformer amid strong winds.

"The facility is safe; there is no impact to employees or our neighbors," said Mark Sullivan, spokesman for the Constellation Energy Nuclear Group. "There is no threat."

Officials have blamed at least 15 deaths across the affected region on Irene -- one each in Connecticut, Maryland and Florida, two in New Jersey, six in North Carolina and four in Virginia.

A 55-year-old male surfer died around noon in New Smyrna Beach, Florida, and a woman in Queenstown, Maryland, died after a tree knocked a chimney through the roof of her home, officials said. Connecticut Gov. Dan Malloy said downed wires appear to be to blame for one fatality in his state.

Irene first made landfall in the United States Saturday in North Carolina near Cape Lookout at the southern end of the Outer Banks. It stomped across the state for most of the day.

The storm ripped off roofs, toppled trees, induced "massive flooding" near the coast and brought down power lines statewide, according to the state emergency management division.

The hurricane unleashed 10 to 14 inches of rain over much of North Carolina and pushed a 4-foot storm surge into the Chesapeake Bay, the National Hurricane Center said.

As of midnight Saturday, Kill Devil Hills, North Carolina, had endured 31 hours of nonstop rainfall.

Reports of tornadoes came from several states, including North Carolina and Virginia -- but a final determination will have to be made by the National Weather Service.

CNN's Tom Cohen, Rob Marciano, Ali Velshi, Soledad O'Brien, Rose Arce, Jeanne Meserve, Chris Boyette, David Mattingly, Susan Candiotti, Chris Lawrence, Jason Carroll, John Zarrella, Kimberly Segal, Sarah Hoye, Poppy Harlow, Holly Yan, Kristina Sgueglia, Eden Pontz, Gregory Clary and Elizabeth Cherneff contributed to this report.

@highlight

NEW: Authorities say at least 15 have died in six states due to the storm

@highlight

Tropical Storm Irene is heading northeast toward New England with 60 mph winds

@highlight

"Do not leave your homes ... It is still not safe," New Jersey's governor says

@highlight

Chertoff: Flooding in New York City threatens electrical infrastructure