(CNN) -- Brazil's economic powerhouse was once thought of as the ugly sister to Rio de Janeiro's beach-fronted glamour.

São Paulo, the world's fifth-largest city, is the fashion capital of Brazil.

But, over the past few years, São Paulo's fashion, music and design scenes have gained such momentum that it's tipped by some as a cooler destination than more touristy Rio.

True, São Paulo doesn't have a beach, nor does it go out of its way to cater to foreign visitors, but hidden in the sprawl is a trove of hip hotels and restaurants, modernist architecture and some of the best shopping south of the Equator.

It would take a lot longer than a day to discover everything São Paulo has to offer, but our guide should help visitors short on time to navigate the city's immense grid of skyscrapers and traffic jams to find an entirely different Brazilian experience.

Watch the sun come up over the world's fifth-largest urban area like many of its mega-wealthy inhabitants -- with a helicopter ride over the city.

Tourist rides normally leave from Campo de Marte Airport and take in aerial views of city landmarks such as Ibirapuera Park and Avenida Paulista.

You may have worked up an appetite by now, so head back into town for breakfast on Rua Oscar Freire, São Paulo's answer to Rodeo Drive.

Eat delicious cheese bread known as pão de queijo, fruit, yoghurt and granola, and wash it down with a freshly squeezed juice or coffee at Oscar Cafe.

The prosperous, tree-lined avenues of the surrounding area, known as Jardims, are perfect for a bit of shopping. Look out for Clube Chocolate, where you can buy upscale designerwear in divine surroundings (Rua Oscar Freire 913) and Endossa, a collaborative shop filled with cubes of shelving where entrepreneurs can rent a cubby-hole to sell their wares.

From here it's possible to walk to Avenida Paulista, São Paulo's financial district, and there you can mill past some of the most expensive real estate in South America with the Paulistano businessfolk on your way to take in some culture at MASP, also known as São Paulo Museum of Art.

Once you've had your fill of high culture, take in some of São Paulo's famous street art on Beco de Batman, which translates as "Batman Alley." Every inch of this street in the super hip Vila Madalena area is covered in graffiti, much of it by well-known local artists.

Recharge your batteries with a beer and snack on empadas, delicious miniature pies with a variety of fillings like palm hearts, Portuguese salted fish and cheese at Empanadas (Rua Wisard 489, Vila Madalena).

Otherwise, why not hop in a cab and head over to Liberdade to check out the home of the biggest Japanese community anywhere in the world outside Japan?

Check out the Buddhist temple (Rua São Joaquim), karaoke bars and sushi restaurants -- one of the best of which is Takô (Rua da Glória 746, Liberdade).

With its green-copper facade, the Hotel Unique is just one example of São Paulo's stunning modern architecture.

The highlight of this area, if you happen to be lucky enough to be there at the right time, is the anything-goes weekend market Feira da Liberdade (Praça da Liberdade), and if you're even luckier you might catch one of the sumo competitions held there from time to time.

After all these hours in the concrete jungle you may be longing for a bit of green, which you can find in ample supply in the enormous Ibirapuera Park.

As you wander the tree-lined walkways, dodging throngs of body-conscious Paulistanos exercising along the way, you will encounter one masterpiece of modernist architecture after another -- mostly designed by the father of Brazilian modernism Oscar Niemeyer.

Look out for the beautiful sci-fi dome, Oca, and the Grande Marquise, an extraordinary white pavilion that houses MAM (Museu de Arte Moderna) and features expanses of covered concrete which attract many of the city's skateboarders.

No visit to São Paulo, or indeed any part of Brazil, is complete without trying a caipirinha -- a winning combination of the local firewater, cachaça, smashed limes, sugar and ice.

If spirits are a bit much for you, try a divine -- and very Paulistano -- twist on the original with squished kiwi fruit and sake.

You could combine a few cocktails with catching the final rays of the day on the rooftop of another of São Paulo's modernist masterpieces, Edifício Itália (Terraza Italia Restaurant, Avenida Ipiranga 344).

Here you can enjoy a breathtaking panorama, with another Niemeyer masterpiece -- the wavy-façaded Edifício Copan -- in full view.

It's got to be dinner time by now. In São Paulo your options are almost unlimited. With huge populations of Japanese, Italians and even Lebanese, the problem is not where to eat but how to choose.

A highlight of São Paulo's dining scene has to be Restaurante Figueira Rubaiyat, where you can eat awesome steaks and very good seafood in a dining room that has been built around an enormous fig tree.

If you're still rearing to go after that little lot, São Paulo's nightlife options are almost endless. You can shake your moneymaker with the best of them at one of the city's clubland stalwarts Love Story, or if you are looking for something a little more low-key, then why not round off the day on the rooftop terrace of the Skye Bar at Hotel Unique. The hotel's space-age green copper façade is indeed unique, and it is also a good bet for a bed for the night in really special surroundings.

@highlight

São Paulo's art, fashion and music scene means it's no longer second to Rio

@highlight

Among the grid of skyscrapers is iconic modernist architecture by Oscar Niemeyer

@highlight

Uniquely Brazilian, the city also has a twist of other cultures

@highlight

Do what the Paulistanos do and sample street-side delicacies and top cocktails