(CNN) -- In Tuesday night's State of the Union address, President Obama is expected to focus on the crisis of widening inequality in America.

This is good. And it's no surprise. Over the last few years, he has tried to draw attention to the decimation of the middle class over recent decades. He's explained the scope of the problem -- that the severity of today's inequality is akin to what preceded the Great Depression. He's adopted a catchphrase -- prosperity from the "middle out" -- and forced Republicans to talk about the issue. And he's proposed policies to address it.

But in his SOTU speech, and in the bigger scope of his presidency, Obama must do more than unfurl a list of policy remedies. He first has to acknowledge and then reckon with the conflicting emotions Americans have about "falling behind."

To be clear, policy matters. Raising the federal minimum wage would be an effective way to lift people out of poverty. Doing what New York's new mayor, Bill de Blasio, proposes -- raising taxes on the highest earners to pay for universal pre-K -- would help alleviate the effects of wage stagnation and wealth concentration.

But outside the reliably liberal precincts of cities like New York, most people aren't ready to jump straight to policy fixes. Something blocks them -- a set of stories Americans have learned to tell themselves about success and struggle. These self-scripts influence the entire inequality debate:

-- If I'm struggling, it's my own fault (and complaining about it is for losers).

-- I may be struggling, but I work hard and I don't want people who don't work hard as I do to get handouts.

-- If someone else is getting rich, it's just sour grapes for me to complain that they have too much. It's unbecoming, maybe even un-American.

-- I may be struggling, but there's nothing to be done -- it's out of my control, and I don't trust anyone, especially government, to help me. I'm on my own.

To point out these self-scripts isn't to validate divisive right-wing rhetoric about "makers and takers," or the over-the-top comments by a prominent venture capitalist arguing that critiques of the 1% feel like Nazi persecution of Jews. It's simply to describe a political and psychological reality.

Millions of Americans have internalized these beliefs, which are woven into our culture and go back at least as far as the Depression.

Each script has an emotional core: shame, pride, inadequacy, helplessness. And so before he gets to the minimum wage or any other proposal, Obama would do well to speak directly to such emotions and neutralize them with a set of counter-scripts. He's got to say things like:

"If you feel the middle class has fallen out of reach and you need help, it's not because you are a lazy moocher. It's because sometimes we all need help, and there is no shame in that."

"There's no substitute for hard work and grit. But some of the hardest working people in America are poor or barely hanging on to the middle class. We've got to resist the temptation to kick the guy one rung below us on the ladder just to make us feel like we're climbing...."

"Envy is an ugly thing. But so is bullying. And when people use words like "socialist" or "class warfare" to shut down a conversation about whether our wealthiest citizens owe more to the society that helped to create their wealth, well, that's bullying..."

"Franklin Roosevelt told us we have nothing to fear but fear itself. In this age, nothing breeds helplessness like believing you are helpless. We can turn this around together -- if we remember no man is an island and no community can improve its lot without using government wisely and well."

I'm not calling for Obama to channel former President Bill Clinton and conspicuously "feel our pain." Obama just has to be Obama -- the author who acutely sensed and articulated the cross currents of ambition and anxiety around him; the organizer who could navigate the unspoken tensions of identity that influence politics. Obama knows well that before the head can engage on a complex issue, the heart must be acknowledged and its pain and fear must be named.

Whether Obama can get House Republicans to take action on inequality is not a matter of his willpower or assertiveness; the most forceful president cannot force Congress to enact a thing. What Obama can do is build public pressure on Congress to act. And the best way he can do that is to make more people feel truly heard.

The opinions expressed in this commentary are solely those of Eric Liu.

@highlight

Eric Liu: President Obama must do more than list policy fixes for inequality at SOTU

@highlight

Liu: He needs to reckon with those who have mixed emotions about "falling behind"

@highlight

He says the heart must be acknowledged and its pain and fear must be named

@highlight

Liu: Obama must tell those who feel shame for being poor to do away with self-blame