Washington (CNN) -- As President Barack Obama gets ready on Wednesday to spell out White House proposals to curb gun violence, three new national polls indicate a majority of Americans support most gun control measures.

But they are divided by political party, gender, age, race and education over some of the proposals.

The polls released this week came one month after a gunman killed 26 people, including 20 children, at Sandy Hook Elementary School in Newtown, Connecticut.

The tragedy seemed to be make an impact.

By a 51%-45% margin, Americans questioned in a new Pew Research Center poll say it's more important to control gun ownership than to protect gun rights. An equal 51% questioned in a new United Technologies/National Journal Congressional Connection survey say controlling gun ownership is more important than protecting the right of Americans to own firearms.

And by a 52%-35% margin, a new ABC News/Washington Post survey indicates the public says it is more likely to support some forms of gun control after last month's massacre.

Support for gun control rose after last summer's mass shooting at an Aurora, Colorado, theater and the January 2011 shooting of then-Rep. Gabrielle Giffords and others in Arizona but not at the same rate as after the Newtown tragedy.

Obama to announce gun control plans Wednesday

But the country is still divided on the issue.

"Support for gun control is rising modestly since last month's shootings, but still largely divides the country close to 50-50," CNN Senior Political Analyst and National Journal Group's Editorial Director Ron Brownstein said.

And that split follows the same track demographically as the split in last November's presidential election.

"There is strong support for action on guns inside the modern Democratic coalition of minorities, millenials and college educated white women and strong opposition among blue-collar and rural white voters," Brownstein added. "At the national level that means Democrats were wrong to conclude this issue was a loser after Vice President Al Gore was defeated in the 2000 election. Democrats were paralyzed by the fear of losing voters they had largely already lost and failing to respond to the voters who actually vote for them."

The divide is also apparent when it comes to specific proposals to limit gun violence that are being considered by the president.

White House press secretary Jay Carney said Tuesday that Obama would spell out his proposals on gun-control legislation and executive actions on Wednesday.

NRA membership up 250K in last month

According to the Pew survey, 85% of the public backs making private gun sales and purchases at gun shows subject to background checks, with comparable support across party lines. It's a similar story in an ABC News/Washington Post poll, where nearly nine in 10 favor such background checks, with broad backing from Democrats, Republicans and independent voters.

The Pew poll indicates that eight in 10 favor laws to prevent mentally ill people from purchasing guns, again with bipartisan support. And a United Technologies/National Journal Congressional Connection survey finds nearly six in 10 backing the banning of bullets that explode or penetrate bulletproof vests, with majority support across party lines.

But on other proposals where there is overall majority support, such as creating a federal database to track gun sales, bans on assault style weapons, high capacity ammunition clips, and online ammunition sales, the polls indicate wide differences of opinions between Democrats and Republicans.

The president says when it comes to gun violence, he's not concerned about politics.

"My starting point is not to worry about the politics but to focus on what makes sense and what works," Obama said at a Monday news conference.

But the polls indicate that the divides on the issue are not just Democrat vs. Republican.

New York to pass nation's first gun control bill since Newtown shooting

The National Journal poll indicates that those ages 18-29 are most supportive of stricter gun control, and that minorities overwhelmingly favor prioritizing gun control over gun owners rights, with 52% of white respondents saying protecting gun ownership is most important.

The Pew survey indicates that men are divided on this question, while a solid majority of women say it's more important to control gun ownership. There's also a sizable gender gap over a ban on semi-automatic weapons, with two-thirds of women supporting such a move and men divided.

According to the ABC News/Washington Post poll, 44% say there is at least one gun in their home, and that those people are less supportive of a number of the anti-gun violence measures being proposed.

The powerful National Rifle Association is fiercely opposed to any ban on assault-style weapons. The ABC News/Washington Post poll indicates 36% of the public has favorable views of the group's leaders, with 44% saying they have an unfavorable view, and one in five saying they have no opinion on the NRA's leaders.

Thirty-eight percent say the NRA has "too much influence," with 24% feeling it has "too little" influence, and three in ten saying the organization has the right amount of sway.

Last month the NRA proposed placing armed security guards or police in the nation's schools. Fifty-five percent of those questioned in the ABC News/Washington Post survey and nearly two-thirds of those questioned in the Pew poll support that suggestion.

But the Pew survey highlights an educational divide on the question. Fewer than half of college graduates support a proposal to put armed guards or police in more schools, while three-quarters of those with no more than a high school education favor the idea.

Biden spoke with Newtown families, son says

@highlight

Three new national polls indicate a majority of Americans support most gun control measures

@highlight

Polls divided by political party, gender, age, race and education over some proposals

@highlight

Pew Survey: 85% of the public backs background checks on private gun sales and at shows

@highlight

ABC/Wash Post poll: 44% of people who own at least one gun less supportive of proposals