(CNN) -- For the first time in his life, Joe Fulce gets up at 5 a.m. to do something other than play basketball.

The former Marquette University forward has played since kindergarten, but major knee surgery ended the highly recruited player's NBA dreams. He still gets choked up talking about it.

"You just get used to always practicing and being with the guys," Fulce said. "When you get in that type of injury situation when you're trying to make it, well, I just can't talk about it yet."

What Fulce does talk about with great enthusiasm is the college degree he earned in December. It was exactly what he needed to land his first job. It was the first thing they asked about when he interviewed at Digital Intelligence Systems in Dallas, Texas. When he got the job, he immediately sent a grateful text to Marquette Assistant Athletics Director Adrienne Ridgeway.

"Joe Fulce sent me a text saying, 'Hey, thanks for looking out for me. You were right. I did need this degree,'" Ridgeway said. "I told him, 'See, that's exactly the message we've been trying you to get this entire time. You finally got it.'"

Secretary of Education Arne Duncan wants to see a lot more happy academic advisers because the reality is, a lot of players who do exceptionally well on the court struggle outside of the spotlight.

Men's NCAA Division 1 basketball players have one of the worst graduation rates in college sports, according to a study by the Institute for Diversity and Ethics in Sport. More than a dozen schools didn't graduate at least half their players in recent seasons, according to the study, which looked at how many players completed their degrees in six years. For instance, the University of Connecticut graduates 25% of its players; the University of Florida graduates 38%, Michigan 45%, and at Indiana it was 47%.

Those figures exclude star players who leave school early to play in the NBA.

Few make it to the next level

That's a real problem. On average, only about 1% of college players go pro and only a small percentage more get a job playing overseas. To even coach the game they know so well, players need to get a degree.

Duncan, a co-captain at Harvard in the mid-1980s, said he played ball growing up on the streets of Chicago with far too many guys who didn't graduate. Those guys, he says, were really lost after basketball ended.

"There were all these amazing stars who generated lots of money for the universities they played for and had nothing, zero, to show for it after the season," Duncan said. "I always felt that was morally wrong."

Duncan decided to do something about it. Using his bully pulpit as education secretary, he went on TV programs, held news conferences and wrote editorials suggesting teams that fail to graduate at least 40% of their players should be banned from postseason tournaments.

"To have an advocate like Secretary Duncan is a good kind of push," said NCAA president Mark Emmert. "It was moving in that direction anyway, and we were able to accelerate it."

Last fall the NCAA voted on a postseason ban for teams that don't graduate about 50% of their players four years in a row. That means last year's men's national champions, the University of Connecticut, will be banned from the 2013 tournament no matter how well they play next season.

"I think it's the culture around college basketball," Emmert said. "We've got a society that teaches young men in particular that if you can play ball, dribble, focus on that. That will get you into college. That will get you into the NBA.

"But now we need to say that's important, but it doesn't work unless you have school work alongside it and are prepared to be a college student."

Lost sight of the goal

Former UConn center Jonathan Mandeldove said he probably did go about college all the wrong way.

"I know when I was a student, I looked too far ahead at the glitz and stars and glamour of the NBA instead of taking it one step at a time with school," he said.

While he knew his place on the court, even early on he says he felt a little lost in the classroom. There were tutors and people at UConn to help him if he asked for it, but he says he struggles with ADD (attention-deficit disorder).

"I got into some grade trouble," he said. "Staying up with the studies and staying up with the help while I was playing basketball ... it just didn't work out for me."

In 2009, Mandeldove said UConn asked him, as a senior, to "take a break" from his studies.

He went home to Georgia three classes shy of graduation. While Mandeldove says he is still working out and still trying hard to make it to the NBA, until then he has had a hard time finding work without a degree. He's had to cobble together a variety of low paying basketball jobs: helping his dad coach an AAU team, running skills drills for his sister and her friends at an AAU camp and playing semi-pro ball for the Gwinnett Majic for about $75 a game.

"Everyone wants to go pro. We all chase those dreams," Duncan said. "But the number of players who will make money playing basketball is minute. We always say, 'Chase that dream, but catch an education.'"

The long college basketball season is a grind, said one college official

"They play over 30 games a season -- and that's even before the tournament from early November through March -- and it's incredible stress on any student," said Susan Herbst, who became president of UConn in August.

When she got the job, Herbst said she knew she inherited a real academic problem with the basketball team. She immediately went to work getting services in place to help the struggling students and getting every adult who worked with the team on board with the academic mission.

Now she even gets players' grades regularly sent to her so she can personally make sure they are on track to graduate.

"In the past, I think the general problem was lack of support," Herbst said.

While Herbst agrees that teams need to take academics seriously, UConn appealed the postseason ban, but was denied by the NCAA. Herbst thinks the penalty is unfair, since the ban is based on past players' academic performance rather than that of the current team, which is decidedly better.

"For me as an educator, as a parent, to see our current students -- who are going to class and doing this kind of thing, who would be model student athletes in anybody's view -- to see them get punished for something students a few years ago failed to do is heartbreaking."

Marquette a model program

UConn would like to have the type of success they have at Marquette.

They have had great academic and athletic success with its student-athletes. The perennial basketball powerhouse has graduated all of its players in some years. This year it's 91%.

Rev. Scott Pilarz, the Catholic university's president, said the key to its success is the individualized attention it gives to players. That approach stems from the Jesuit tradition on which the school was founded.

"Part of who we are as a Jesuit university makes us insist that we care for these students from every point of the compass," Pilarz said. "We have this tradition called cura personalis - which goes back to the 16th century and really is rooted in Ignatius Loyola's experience of how God treated him as a unique individual -- and that's how we want to treat all our students. We really try to stress meeting them where they are individually and then moving them along so they achieve well academically."

Fulce said like Mandeldove, he struggled with ADD and had a few other learning disabilities. Graduation for him was not a guarantee.

"I had to go to junior college to get my grades up, but when I got here they taught me how to do the best I could with the talents I have," Fulce said.

When Marquette players are selected to play for the school, they immediately know academics will be emphasized when they get there. Even before they start their freshmen year, they attend mandatory summer school. That's where they can get used to college-level work and that's also where the athletics academic director can see where the players are academically.

"From that point, then we know how to approach the school year," Ridgeway said. "We know then right off the bat if a player needs a tutor in math because that's not their strong point, and we can create an academic program that's just for them."

In Fulce's case, Ridgeway discovered he was a visual learner. So they helped him design a set of note cards for any class he took to help him study.

"When I got to my new job, I had to laugh because there on everyone's desk to help them with their sales calls were note cards! I'm like, 'Damn, everyone is using note cards. I know what to do with those.'"

Fulce said he built up exactly the right study habits to succeed. "I learned it's like making free throws. All kids need consistent repetition to learn. Everything is repetition," he said.

It also meant being constantly watched by his academic advisors. Players must swipe in and swipe out of study hall with a card that keeps track of how long they're in there. Computer programs monitor their class attendance and grades. Tutors fly with the team to away games and chartered planes rush them back to campus in time for class.

Fulce said the academic team also has spies everywhere.

"I know they'd even ask the people who delivered the papers to the academic center if they've seen us and how long we've been there," he said, laughing. "They really stayed on me about my class work because they cared. And, well, I felt like I had to give into them at some point."

@highlight

The NCAA penalizes schools with low academic achievement rates

@highlight

2011 champ Connecticut will miss next year's postseason

@highlight

Joe Fulce went to Marquette where he says he got a lot of academic support

@highlight

Former UConn center Jonathan Mandeldove says he lost sight of his educational goals