The Haqqani Network is aligned with the Taliban and al Qaeda and is considered one of the most significant threats to stability in Afghanistan, security experts say.

Associated with Pakistani intelligence, the network is actually a family. Last year, the New York Times called the Haqqani Network "the Sopranos of the Afghanistan War."

Friday, the Obama administration said it's going to designate the group a terror organization which would make is possible to freeze any personal assets the network holds in United States banks.

Based in Waziristan, a tribal area of Pakistan, they've been an effective fighting force in the region for most of the past 30 years. Their calling card is bold and complex suicide bombings, including high-profile attacks on U.S. and foreign personnel and assassinations of high level people in Kabul and northern Afghanistan, the Institute for the Study of War reports.

The Haqqanis maintain legal businesses (like car dealerships and construction companies) and illegal business interests from Afghanistan and Pakistan and areas in the Persian Gulf and beyond, the Institute found. It also runs import-export operations and has commercial and residential real estate holdings.

Read at length about the 'remarkably resilient' Haqqani Network

In September 2011, former U.S. Ambassador Ryan Crocker officially blamed the Haqqani Network for a nearly day-long attack on the U.S. Embassy in Kabul.

Sen. Dianne Feinstein, a Democrat from California, said Friday that she supported the administration's action Friday. "This group is responsible for more than 1,300 killed and injured U.S. troops, orchestrates the largest attacks inside Afghanistan, assassinates Afghan leaders and seeks control of Afghan provinces," Feinstein said, noting that that the discussion to do this has been ongoing for two years.

"Over the past two years I have heard from leaders in the intelligence community and military in Washington and in Kabul that designation is the right thing to do," she said.

For a more detailed analysis, West Point's Combating Terrorism Center lays out the Haqqani group and its objectives.

For years, patriarch Jalaluddin Haqqani, who would be in his 60s, led the network. The former anti-Soviet resistance commander is regarded for his ability on the battlefield. His sons Sirajuddin, Badruddin and Nasiruddin and their uncle, Ibrahim, are believed to be in charge now.

One son, Salahuddin, told a journalist that there are nine siblings in the family, according to the Jane's security site. Six of the siblings were born to an Afghan wife, and three to an Arab wife.

Sirajuddin is most likely leading the group, several security reports say. He is considered the most radicalized and violent in the family.

"Siraj is a brutal criminal murderer," Gen. Jeffrey Schloesser outgoing commander of the U.S. 101st Airborne Division in eastern Afghanistan, told Jane's.

Another U.S. military source, which Jane's did not name, described Sirajuddin as "very much into the global extremism of al Qaeda... He has got those ties (to al Qaeda) so he tends to be more violent than his father ever was."

Siraj, as he's known to intelligence sources, seems to have begun turning the Haqqani terror empire into a ruthless killing machine around 2007.

That year, Lt. Col. Dave Anders said in a press release: "Siraj is part of a younger, more aggressive generation of Taliban senior leadership that is pushing aside the formerly respected elders."

In late August, Badruddin was reportedly killed in a drone strike in North Waziristan. Badruddin handled day-to-day operations, security analyst Jeffrey Dressler said, adding that the death wasn't anticipated to hurt the group as long as the Haqqani had money to regroup.

Several security experts and U.S. military officials say Siraj Haqqani has extended the Haqqani Network's reach to countries far from Pakistan and Afghanistan. In recent years, the group has managed to recruit fighters in Chechnya and Turkey, analysts say.

-- Until recently, U.S. and coalition troops lacked sufficient forces to reverse the momentum of the Haqqani Network. The massive increase of special operations forces over the past year, combined with the increase in the number of conventional forces to execute counterinsurgency operations, is beginning to disrupt and degrade the Haqqani network's infrastructure and operations.

-- An increased drone campaign against senior Haqqani safe havens in North Waziristan has disrupted the network's ability to plan and execute operations, and has targeted al Qaeda senior leadership and other foreign terrorists.

To this point, there is a core power within Haqqani, but experts say that the network has survived for so many years because that core doesn't bigfoot its many commanders. The Haqqani Network is more macro-management than micro-management. They cultivate alliances. And the looseness of their organizational structure seems to have served them.

The Haqqanis also have reported links to Pakistan's Inter-Services Intelligence agency. In late April, the U.S. Chairman of the Joint Chiefs of Staff Adm. Mike Mullen said on Pakistan's Geo TV that ISI has a "long-standing relationship" with the Haqqani Network.

A senior Pakistani intelligence official responded: "We do have a relationship: that of an adversary."

"We have made our resolve very clear that (the Haqqani Network) is an enemy we need to fight together," said the official, who did not want to be identified discussing intelligence matters.

Examples of carnage the network is believed to have orchestrated:

-- The attack on the Serena Hotel in Kabul. In January 2008, a team of gunmen strapped with explosives stormed the popular hotel. In that attack, three gunmen with explosives "bluffed, shot and blasted their way through the hotel's security measures, terrifying Afghanistan's small international community in the process," according to Jane's.

-- The attack on the Hotel Inter-Continental in Kabul. On June 28, masked gunmen stormed a side entrance to the hotel, popular with journalists and Westerners. Six attackers detonated explosives; several were shot and killed on the rooftop of the building.

As an organized terror outfit, the Haqqani Network's roots go back to the father's emergence as a skilled fighter in Afghanistan's war against the Soviets in the 1980s.

The family is part of the Zadran tribe, which spans the Afghanistan-Pakistan border and stretches to Khost province. The United States military has described the Zadrans as warrior-oriented especially proud of trouncing their enemy in that war.

Jalaluddin garnered an impressively tough reputation as a mujahideen fighter at that time. Later, at the head of his terror group, he was described by several U.S. officers as a "mafia godfather," according to Jane's.

Jalaluddin Haqqani developed a relationship in the mid-1990s with Osama bin Laden when bin Laden began living in Afghanistan. That is according to bestselling Pakistani journalist Ahmed Rashid, who is regarded as one of the world's top experts on al Qaeda, the Taliban and Afghanistan.

An unnamed military intelligence source explained to Jane's in June 2009 that the Haqqanis would send politely worded but menacing letters to local tribes. The letters would inform the receivers that if they aided U.S. or coalition forces, the Haqqanis would kill them and their families.

"The line at the bottom of the intimidation letter is, 'You have no right to complain because we have warned you,'" the military source told Jane's.

The Haqqani Network reportedly is well-funded. Security analysts said the father raised funds shortly after the war with the Soviets by traveling throughout the Middle East, cashing in on his reputation as a formidable mujahideen fighter. According to Jane's, he also used connections achieved through his second wife, who is Arab. She either is living or has lived in the United Arab Emirates.

@highlight

Haqqani Network is a family with patriarch and now sons running terror operations

@highlight

The group is well-funded with legal and illegal businesses, expert says

@highlight

Obama administration announced it would go after Haqqani assets in U.S. banks