A dusty, well-worn navy van pulls into the driveway of a grey, discrete home on a residential street. A woman opens the metal doors of the garage, but the van does not pull in. Instead, a boy about 12 years old gets out and begins to unload plastic buckets, duffel bags, sacks of potatoes, foam mattresses, blankets and other household items, piling them up neatly in the corner.

"We arrived in Lebanon less than a week ago," Adla, 35, says. She pulls out a crisp piece of white paper with her name and details scribbled in Arabic and a red-ink stamp of the Lebanese cedar: a national symbol of strength, resilience and permanence.

Her hazel eyes swell with tears. "In Syria, we used to have a big house—three bedrooms," Adla says. "We had land and I used to plant olive trees. Now, this (garage) is our home."

She left Syria with her husband, 46, and her children, ages 12, 11, 9, 3 and 1. Their home destroyed and her husband without work, they borrowed what money they could from friends and family and headed for Lebanon. As the war around them intensified, they fled feeling as if they had no other option; it was a matter of survival. "We left our village with the clothes on our back at 4 a.m. in the rain," Adla says.

Adla and her family are among the thousands of Syrians who arrive in Lebanon each day, their lives torn apart by war and with few resources to start anew in Lebanon. They arrive with what they could carry and with little, if any, financial cushion to support themselves as they try to create some semblance of normalcy in Lebanon.

The refugee crisis in Syria may not be as overt as other emergencies like the Haiti earthquake, where the displaced clustered together by the tens of thousands in what were called "tent cities," but the fact is more than 1 million Syrian refugees are living in Lebanon and make up nearly 30% of its population. To put this into context, it would be as if the United States' population grew by 100 million in the course of just 2½ years, with more than 50% of them arriving in 2013.

In the absence of large, formal tented settlements, which are prohibited by the Lebanese government, the vast majority of Syrian refugees are forced to settle wherever they can find shelter. According to UNHCR, only 1% of Syrian refugees are living in rent-free unused buildings like schools, known as collective shelters. That means the remaining hundreds of thousands of Syrian refugees in Lebanon are forced to rent what land or shelter they can find.

Some rent open patches of land to build small shelters that are a patchwork of scraps of plastic, cardboard, canvas and wood. Others find shelter in unused buildings such as schools and mosques, which they often share with other refugee families. However, many, like Adla and her family, opt to rent the cheapest accommodation they can find: a garage.

Drive through any street in Akkar, the poorest and northernmost district of Lebanon, and you will see clusters of people outside what used to be garages. Because they were built to house cars, not people, they often do not have plumbing, running water or electricity. However, with more than 1 million Syrian refugees living in Lebanon, the demand for shelter sent rental prices for garages soaring, often to around $200 a month.

With few jobs available and what savings they had quickly evaporating, many Syrian refugees find it extremely difficult to make their monthly rent payments. Ahmad, 43, a father of three, who lives in an informal tented settlement with 14 other families beside a concrete factory just south of Halba, the capital of Akkar district, says that he and his family are constantly making sacrifices to make ends meet.

"We haven't had meat or chicken in five months," Ahmad says, standing in front of his one-room, wood-frame shelter perched on a piece of concrete. The few square meters of land cost Ahmad and his family 50,000 Lebanese lire, about $30, a month.

While Syrian refugees like Ahmad were able to escape to Lebanon with tens or hundreds of dollars in savings, the money will be gone soon and they will almost certainly be pushed over the edge into poverty, with few remaining assets, and no prospects for income.  Ahmad's family and hundreds of thousands of others like them, once solidly in the middle third of the UN Human Development Index, could easily tumble into the bottom third.  The future of Syria's next generation hangs in the balance.

Impact Your World: How to help Syrian refugees

With the war showing no sign of abating and one-third of Syria's housing destroyed, there is little hope that Samar, Adla, Ahmad and the hundreds of thousands of refugees like them in Lebanon will be able to return home any time soon. That leaves them with no other choice but to find a way to survive as refugees in Lebanon. Rather than planning for the future, refugee families like Adla's have to figure out how to put food on the table, stay warm during the winter, get their children into school—all while what lives they built, what homes they owned, what money they saved were obliterated in the war.

With thousands more Syrians arriving every day, more rent-free shelter options have to be created—and quickly. Concern Worldwide, with support from UNCHR, is focusing on getting what unused buildings they can find into habitable condition so that more refugees can live in safe, rent-free accommodations with safe drinking water, electricity and plumbing. Concern Worldwide is converting five former farm buildings into multifamily buildings complete with latrines, shared cooking areas and utilities. Once complete, they will house some 805 Syrian refugees.

While the new collective centers will open up a new shelter option for hundreds of Syrian families in Akkar district, they just scratch the surface of the wider need. Without more shelter options, hundreds of thousands of Syrian refugees will fall through the cracks the moment they arrive, slipping into obscurity behind metal garage doors.

Adla supervises her son's unpacking and looks around at the four concrete walls that make up her new home.  "I just want to register my children in school, feed them and somehow transform this garage into a home."

@highlight

Lebanese government estimates more than 1 million Syrian refugees are living in Lebanon

@highlight

Large, formal camps for refugees are prohibited by the Lebanese government

@highlight

Most Syrian refugees in Lebanon are renting some form of accommodation