(CNN) -- Although the war in Bosnia began on April 6,1992, my involvement in the conflict didn't start until July 23, when CNN photojournalist Margaret Moth was shot by a sniper and nearly killed.

I was part of a CNN team sent in to replace my wounded colleague and spent more than two years covering the story. Last week, the 20th anniversary of the conflict, I returned to Sarajevo for a reunion of journalists who covered the war.

While Margaret was being medivaced to a hospital in London, I arrived in the Bosnian capital on a United Nations flight from Zagreb, Croatia.

When I landed I saw another U.N. aircraft unloading on the tarmac nearby. It had a delegation from Belgrade that included Yugoslavian Prime Minister Milan Panic. He was attempting to find ways to end the war.

Many crews were covering Panic's trip, including one from ABC. I recognized reporter Sam Donaldson and producer David Kaplan. I'd known both of them while covering presidential trips during the Reagan Administration.

While I was busy collecting my gear, Donaldson and a cameraman got into an armored U.N. transport with Panic and headed into the city.

The vehicle was too small to include Kaplan, but a few minutes later another television crew offered him a ride into Sarajevo in their 'soft-skinned' van, with TV written in black tape across the back.

Kaplan jumped in but did not have a bullet-resistant vest, so he was seated between two other journalists who were wearing protective gear.

Moments after leaving the airport a shot rang out.

A sniper had hit the van between the letters T and V.

The bullet went through the tailgate into the rear seat and killed Kaplan.

This tragic scene was the first of many memories I would collect during a war that would last nearly four years.

Last year, a couple of veteran reporters having drinks at a bar decided to mark the 20th anniversary of the Siege of Sarajevo with a reunion of war journalists. Since I had spent nearly two and a half years on the ground during the war, I was invited.

I had no idea what to expect. I hadn't been back to the war-ravaged city since the Dayton accords were signed in 1995, officially ending the conflict.

This time I flew into the airport on a commercially scheduled airline, not a military transport.

The military aircraft, U.N. workers, and tons of relief supplies present for the longest humanitarian airlift in history had faded into the past.

Instead of loading into an armored car, I secured a local taxi to drive into the city.

I thought about the countless times our team would confront the challenges of the dreaded airport road and was happy no one had to worry about it any more. I also thought about David Kaplan and his family.

I always rolled tape while traveling the lengthy stretch of road from the airport into the city. I wanted a visual record in case I got hit. I decided to record the trip again, so I could compare images from then and now.

The abandoned tank, disabled early in the war, was no longer on the side of the road. Instead, the street was lined with small shops and businesses.

Some of the buildings were still scarred by the intense fighting that occurred, but now pedestrians walked up and down the busy thoroughfare.

When snipers were present, we used to drive as fast as the armored car was capable of going. This time, thankfully, there was so much traffic on the road that the trip seemed to take forever. I enjoyed every minute of it.

Inside the city there were new large apartment block, shopping malls and a renovated tram system filled with riders.

What was the biggest change I saw? How about a drive-thru McDonalds on a former snipers' alley! Some people might have a problem with an American fast food restaurant in the heart of Sarajevo but the folks working there expressed pleasure at just having a job.

On the way to the Holiday Inn, which was the main gathering place for the international press corps during the siege, both sides of the street were crowded with families walking under a warm afternoon sun.

Along the way there were also stark reminders of the war.

The Rainbow Hotel, where U.N. personnel once lived, was a burned out shell. It was near there where Margaret was shot.

As I arrived at the Holiday Inn I was pleased to see it had been renovated to how it looked before the war.

Built as a host hotel for the 1984 Winter Olympics, the Holiday Inn was heavily damaged by artillery and tank shells. It had been a focal point for sniper and small arms fire. Rocket propelled grenades had routinely hit the hotel's exterior walls.

Now, the windows were intact, electricity and water restored. We no longer had to cross no-mans-land from back roads into the underground garage to avoid snipers.

As I entered the lobby I soon noticed one thing hadn't changed. Everywhere I looked I saw the same hotel staff that we bonded with during the war.

They were all older, of course, but looked a lot healthier and seemed truly happy to reconnect with the returning journalists. Broad smiles and misty eyes preceded huge hugs as former friendships were recalled. I felt like I had never left.

For the anniversary of the start of the war the city of Sarajevo decided to memorialize the occasion by lining up 11,541 red chairs in rows, filling the main street in the city center. Each empty chair represented a man, woman or child who was killed during the 44 month siege.

When I heard about the project it didn't have much of an impact on me. When I saw it, I was overwhelmed.

The empty seats went on and on, around the corner and off into the distance. Red banners with white numbers, 11,541, were attached to poles along the route on both sides of the street. In the section dedicated to children there were about 1,600 smaller chairs.

Friends and relatives carefully and reverently placed flowers, stuffed animals and mementos on the empty seats as a light rain fell.

Towards the end of the service a choir, filled with children's voices, sang the anti-war standard, "Give Peace a Chance."

Even some of my most battle-hardened war journalist friends admitted the moisture on their faces didn't come from the rain.

It's a lot easier to rebuild structures than heal ethnic divides magnified by atrocities of war but I am hopeful Sarajevo and Bosnia are heading in the right direction.

@highlight

CNN photojournalist David Rust returned to Bosnia for the first time since the war

@highlight

He sees big changes in Sarajevo and friends, 20 years on, look older but healthier

@highlight

McDonald's on sniper alley sounds incongruous but provides jobs in new Sarajevo