London (CNN) -- It is a year since an 18th-century Chinese vase was sold in London for $68 million, smashing world records.

Now dealers and auction houses in London are feverishly anticipating a slew of sales as part of Asian Art in London, a week-long event that has been attracting newly-wealthy Chinese buyers and collectors to the capital for over a decade.

Max Rutherston, Chairman of Asian Art in London, says the week of Asian art sales and exhibitions in London has been running for 13 years, and has seen a "Chinese art boom," with collectors from mainland China and Hong Kong flocking to London to check out the array of antique wares laid out in the salesrooms and galleries.

Antique vases hailing from the much-sought-after 18th-century Qianlong period are going under the hammer at major auction houses Sotheby's, Christie's and Bonhams and on display at the commercial galleries, alongside decorative objets d'art and furnishings.

Bonhams is selling a rare vase estimated to fetch between $8 million (£5 million) and $13 million (£8 million).

The 50cm tall vase features delicate chrysanthemum blossoms in white and pink tones and bears the Qianlong seal.

"The Qianlong period is really the apex of the technical achievement for Chinese porcelain, it was a time of great prosperity that led to great opulence and magnificent objects were produced for the imperial court," explained Asaph Hyman, a Senior Specialist in the Chinese department at Bonhams.

Sotheby's, too, is hosting a round of sales, with lots ranging from ornately decorated vases to a gilt-bronze enamel tiger, estimated to fetch between $319,000 (£200,000) and $479,000 (£300,000).

All houses are anticipating that the buyers of these artifacts will be Chinese, either from Hong Kong or the mainland, with some Taiwanese customers as well.

It's a trend that has become more and more pronounced in the last decade, driving prices ever higher.

"It's a true tide-change," said Asian art dealer Daniel Eskenazi, whose London dealership has been running for 50 years.

"The Chinese weren't allowed to buy anything under Mao and they are developing very quickly, tending to go into an area and exhausting it completely before moving onto another one," he continued.

Westerners, who at one point collected this type of work, are being increasingly priced out of the market and are now more likely to sell than buy, said Eskenazi.

"It's very patriotic, I'd put it down to that," opined Sotheby's Specialist Stephen Loakes, as to why Chinese buyers are so keen to pay such large sums for antiques from their homeland.

"They want to bring back their heritage, which gives them brownie points at home and if they buy it for a lot of money, there's a status thing there too," added Eskenazi.

The major auction houses are a regular draw to the new class of Chinese rich but so are smaller ones, such as Bainbridges, the comparatively small auction house in West London that sold the $68 million vase in 2010.

"The market is very strong and people will go to where the object is," said Loakes.

"You go to the most remote little auction house that's difficult to get to and with Google Maps, half of mainland China is already there," Eskenazi said.

And with the new class of Chinese buyers entering the market right now, high prices have become normalized.

"If you start from day one at this level, then you think it's normal," he said.

"It's incredible, I think it will have its ups and downs but the long-term trend is that (prices will keep) going up," he continued.

So why do Chinese buyers come to London to buy art?

"Where London's always been very lucky is in the phenomenal levels of expertise here," said Rutherston of Asian Art in London.

"You have world-class dealers, which is ironic because there aren't that many collectors here," he continued.

"It's that classic British thing of being a middleman -- the art comes in from abroad to be sold here to go abroad again. It's what we're good at," he said.

@highlight

Newly-wealthy Chinese make yearly pilgrimage to Asian Art in London week

@highlight

Major auction houses selling sought-after Chinese antiques

@highlight

Vase at Bonhams expected to sell for more than $8 million

@highlight

London has "phenomenal level of expertise" that keeps Chinese coming back