LONDON, England (CNN) -- It's the latest executive craze sweeping boardrooms across the globe, and a tiny score is becoming as sought-after as a low handicap on the golf course.

Nintendo's DS-Lite: Breaking into markets beyond traditional gamers

"Brain Training," or "Brain Age" as it's known in North America, is a collection of quick-fire maths quizzes, anagrams, music recitals and memory tests developed by Nintendo with Japanese neuroscientist Dr. Ryuta Kawashima. The game is part of Nintendo's attempt to widen the appeal of its game consoles, especially the cute little DS-Lite, beyond typical gamers -- in this case, to an older audience concerned with its health.

"Exercise is the key to good health both for body and mind," says the company's U.S. Web site. "Playing regularly for just a few minutes a day has been found to stimulate parts of the brain related to thinking, creativity and concentration," claims the Nintendo Europe Web site.

And the tactic is working: with over 10 million copies of "Brain Training" and "More Brain Training" sold worldwide, and with celebrity endorsements from Nicole Kidman and Patrick Stewart, Dr. Kawashima and his brain exercises have become a global phenomenon.

But does Nintendo's "Brain Training" actually make you smarter?

The expert's opinion

I spoke to Dr. Lauren Stewart, a cognitive neuroscientist at Goldsmiths, University of London, to find out what improvements I could expect to see in my brain.

She reveals that it is hard to measure the impact that brain training could have on my day-to-day life. "It is a complex thing to determine whether learning on one thing transfers to another thing," she explains.

But can training on certain tasks make you smarter? "It depends what we think being smart is all about," she says, adding that if the tasks were similar to IQ tests, I might see a small increase in my IQ.

Dr. Stewart does point to research that suggests exercising one's brain does work -- and might even help to prevent those dreaded "senior moments."

"Learning of any kind does forge new neuronal connections," she reveals. "Evidence seems to support the 'use it or lose it' mantra with respect to staving off neuronal degeneration in old age."

And Dr. Stewart is keen to dispel the myth that once we're adults, we're too old to learn. "There are numerous examples of learning in adulthood and structural brain changes accompanying this," she says.

So now it's down to me. Attracted by the prospect of a lean, mean, mind machine, I decided to put it to a three-week test. Watch out Kidman, here I come...

Day 1 The DS-Lite arrives in the afternoon. Mmm, shiny! I test my brain age: it's 41, considerably older than my actual age, and far from a "perfect" age of 20. I sigh. Will I ever be as smart as Patrick Stewart? I work through the exercises. They're surprisingly fun, pandering as they do to my inner dork tendencies.

Day 2 I play the brain training games on the subway and equal or improve my scores. "What an improvement! I could almost cry!" says Dr. Kawashima. I'm not quite so excited.

I become so engrossed in "Brain Training" that I nearly miss my stop, leap off the train, stylus and console in hand, and stand at the bottom of the escalators trying to complete a game. My fellow commuters -- quite rightly -- throw me pitying looks. I'm so flustered I leave the tube station by the wrong exit and end up wandering dazedly around central London, trying to find my office. Worse still, my brain age is still a less-than-sprightly 40. Brain training? Brain draining!

Day 3 Following yesterday's mishaps, I rule out brain age checks on the subway. My brain age drops to 30. Result!

Day 5 After a stressful weekend moving house, I kick back and relax with a glass of wine and Dr. Kawashima. Big mistake! My tiredness and the alcohol leave me fumbling and just one drink raises my brain age to a wobbly 37. I cast blameful glances at the Merlot, and resolve to stay sober for testing.

Day 6 I fluff the exercises, the new one's a nightmare and Dr. Kawashima is tormenting me with a 5x5 square of random numbers that I'm supposed to remember. Woe! Time to check my brain age. I expect to see it increase to 50+ on stress alone, but am amazed when, for the first time, I break through the 30 barrier! Brain age of 27: read it and weep, Kidman.

Day 7 It's a week in; I zip through the exercises and tackle the test. My brain age drops again to 24. Woo hoo!

Day 10 I skip a day.

Day 11 Dr. Kawashima complains at me for not coming by yesterday. I'm not in the mood, but do the exercises anyway, stumbling on lots of the anagrams. My score plummets; elsewhere, I'm flatlining. I resist the urge to stab his irritating, bouncing face with my stylus and take the brain test. It seems grouchiness doesn't impact your score -- I'm back down to 27.

"Hmm, a little tired, are we?" he says. Die, Dr. Kawashima, die.

Day 14 Dr. Kawashima introduces me to a new, Tetris-style game that will, apparently, relax my brain. This is important too, I'm told. While the music is soothing, the game has me hooked. But ideal before bedtime? I'm up playing it 'til 4 a.m.

Day 15 Exhausted from last night's small-hours game playing, I skip a day.

Day 16 I've whittled my brain age down to 23, but by accident, I leave my DS-Lite on my desk -- no brain training in the evening, nor in the morning! I start to panic. Help! I'm addicted!

Day 17 I time how long it takes me to do all the exercises and the brain age test. It's now taking half an hour a day -- a considerable chunk of my leisure time -- and I'm starting to resent that.

Dr. Kawashima keeps asking me to get my friends to play with me. "Please be sure to introduce friends and family to the quick play demo," he says. "Share it with family and friends who want to try it out with no hassles!" Sorry Doc, I don't pimp goods to my pals.

Day 18 His patronizing comments are starting to get to me. "Don't lose heart! Just try again tomorrow!" he says, when my score drops. I want to punch him.

Day 20 And then it all goes wrong. I stumble with the stylus and mess up the memory test. My brain age plummets to 37. I can't end like that!

Day 21 The final day of my three week experiment. Can I redeem myself? I'm revved up for the tests and my brain age tumbles to 22 -- just two away from a perfect 20!

But Dr. Kawashima seems less impressed. "Your brain seems fairly young," he says. "But with regular training, you can sharpen that brain even more!" Is he never satisfied? I lost 15 years in a day! Perhaps I shouldn't have taken brain training quite so seriously -- after all, it's only a game...

And the results?

"Brain Training" was more fun than you'd expect, and left me feeling more confident performing certain tasks, like quick-fire maths, away from the console. My scores quickly improved as I became used to the software and the console, then leveled out.

The game was surprisingly addictive and monopolized my attention. My usually yawn-filled commute zipped by; when I skipped a day's training I missed it; and, for a brief spell, my husband became a Nintendo widower. I was most taken aback by my strong emotional response to the game: when my scores improved, I felt jubilant; when they dipped, I felt distraught and stupid.

But did "Brain Training" make me smarter? Call me a cynic, but I'm not convinced it's anything more than a cunning ploy to get non-gamers like me hooked on Nintendo's latest little console.

And that certainly worked.

................................

Do you train your brain? How do you give your gray cells a workout? Share your thoughts and read others' views in the Just Imagine forum. E-mail to a friend

@highlight

Nintendo's "Brain Training" has sold over 10 million copies worldwide

@highlight

The gaming giant is breaking into new markets with its DS-Lite console

@highlight

Did "Brain Training" make our reporter smarter? Well, it got her hooked...