(CNN)  -- It was one of the most surreal images in American history: A river, so fouled with industrial waste that it caught fire and burned. In June 1969, Cleveland's Cuyahoga River become the poster child for the birth of the modern American environmental movement.

Concerns over air and water pollution helped spawn the modern environmental movement in the 1960s.

No matter that this was at least the tenth time the Cuyahoga had ignited. The times, they were a-changing, and a burning river confirmed what many already believed: The environment was changing, too.

Rachel Carson's book, "Silent Spring," published seven years earlier, had lit the spark. The mild-mannered government scientist documented how the pesticide DDT was jeopardizing countless bird species, from tiny hummingbirds to the national symbol, the bald eagle.

Smog from traffic and factories had become a national concern. And six months before the torching of the Cuyahoga, a massive oil spill soiled the shores of Santa Barbara, California. In the midst of the anti-Vietnam war movement, the women's movement, and more, a divided America also found room for an environmental movement.

"We have been acting out the classic cartoon image of a man sitting on the branch of a tree and sawing it off behind him," wrote Philip Shabecoff in his 1993 book, "A Fierce Green Fire: The American Environmental Movement." Shabecoff described environmentalism as a "broad social movement" that was attempting to build a "desperately needed but difficult and obstacle-strewn road" out of humankind's increasingly polluted predicament.

The movement was sanctioned in April 1970 with a nationwide quasi-holiday, the first "Earth Day." New organizations formed to rally the masses: Friends of the Earth (1969), the Natural Resources Defense Council (1970), and Canadian-born Greenpeace (1971). Books touting recycling, vegetarianism, and all aspects of a "green" lifestyle hit the best-seller list.

An ersatz Indian who called himself Iron Eyes Cody became a national icon thanks to a 30-second TV spot, where he canoes through an industrial wasteland and sheds a tear for Mother Earth. Stanford Professor Paul Ehrlich became a semi-regular "Tonight Show" guest.

Rachel Carson was one thing, but this was Johnny Carson. The environment had arrived.

Even Richard Nixon went green. A President besieged by Vietnam protests saw an opportunity to be the good guy. Nixon founded the Environmental Protection Agency in 1970 and signed a flurry of landmark environmental laws, including the Clean Air Act, the Clean Water Act and the Endangered Species Act -- the vanguard of a new government ethic.

The Earth was well on its way to being saved. Or so we thought.

Then the movement stalled. Slowed by its own accomplishments, internal squabbles and a growing backlash that government and "greens" could be doing more harm than good, the environment waned as a cause.

Jimmy Carter's energy-conservation message resonated for a time in the late '70's, but didn't outlast his presidency. Ronald Reagan's anti-regulation message swept the country in 1980, and enforcement of conservation and pollution laws dropped off dramatically.

The pendulum swung the other way in the late '80's following a massive industrial accident in Bhopal, India (1984) and a nuclear calamity at Chernobyl (1986). After that, the bad news piled on: We learned about the ozone hole, the first dire reports on global warming, and widespread clearing of the world's rainforests. iReport.com: Share your ideas on little things you can do to save the planet

Smaller, but more telegenic, indignities told the rest of the story: an orphaned garbage barge, on a months-long sojourn in 1988, showed the folly of making too much waste, while some particularly odious waste in the form of sewage and syringes took up residence on the beaches of New Jersey.

In the 1988 election, George H.W. Bush seized the issue for the Republicans, promising to serve as "the environmental President" and attacking his Democratic rival Mike Dukakis for failing to clean up his hometown Boston Harbor. A few weeks before the elder Bush's inauguration, Time Magazine lauded Earth as its "Planet of the Year."

By 1990, the Earth had gone Hollywood. ABC ran a two-hour, prime time Earth Day Special whose celebrity-studded cast included Dustin Hoffman, Meryl Streep, Robin Williams and many others.

Membership in environmental groups boomed, while retailers and manufacturers launched huge ad campaigns touting their newfound green-ness. In 1992, the U.N. held its "Earth Summit," where 108 heads of state met to set goals and declare their good intentions for saving the earth. iReport.com: "Redneck conservation" by combining chores

But in Clinton-era America, the environmental movement soon hit political roadblocks. By 1994, Americans had once again had it with Big Government, and Newt Gingrich's "Contract With America" swept in a new Congress bent on curbing environmental regulations. A big booster of "market-based" environmentalism, the Speaker of the House outraged conservationists by neutering some of their favorite government programs.

If environmental concern was blunted in 1994, it was buried in the aftermath of September 11, 2001. Despite a growing body of evidence about vanishing habitats, waning energy resources and global warming, green issues languished in the global focus on fighting terrorism.

Also, President George W. Bush was not widely viewed as a friend of the Earth. The son of the "Environmental President" led a push to cut budgets, slow enforcement and open up wilderness areas to oil and natural gas exploration.

Then, once again, the pendulum swung back. Melting ice caps and back-to-back horrific hurricane seasons in 2004 and 2005 rekindled widespread concern over global warming -- in spite of the fact that there's no proven link between an individual storm like Katrina and climate change.

Several years after exiting the political stage, Al Gore parlayed "An Inconvenient Truth," his global-warming slide show, into an Oscar and half of a Nobel Peace Prize. Journalists re-focused on the issue with ambitious projects such as CNN's "Planet in Peril."

Which brings us to today. President-elect Barack Obama is promising a stronger focus on renewable energy and environmental stewardship. But Obama also is confronting a global economic crisis, which may limit the time and the resources he can devote to environmental problems.

Will financial chaos turn America and the world away from environmental concern yet again? Or will refocusing on our energy and environmental problems restructure the way the world does business? We'll know soon enough. Maybe this time, green will help get us out of the red.

CNN.com's Brandon Griggs contributed to this story.

@highlight

The modern American environmental movement is four decades old

@highlight

Movement began in the 1960s and was sanctioned in 1970 with creation of Earth Day

@highlight

Environmentalism became trendy by the 1990s but still faced political headwinds

@highlight

Recent concerns over climate change have given new urgency to the movement