London (CNN) -- Amanda Levete's north London office is nestled between a giant prison and a handful of industrial units.

It's an unassuming HQ for woman responsible for such ground-breaking buildings as the Lord's Media Center and the upcoming 140,000 square-meter Bangkok Central Embassy.

"I like the fact that it doesn't look like an architect's office from the outside," said Levete. "I choose to be in an edgy area where there are no other architects."

However, once inside the warehouse-like building, there's no doubt you've come to the right place.

The vast open plan interior is dotted with cardboard architects' models in glass cabinets. There's a thick red carpet and the 50-odd staff and visitors leave shoes at the door to pad around in socks or bare feet.

The wisdom of women: Whose words inspire you?

Levete, 57, has had offices here for a year. Four years ago, she set up her own practice after the death of her former husband, with whom she had worked for 20 years.

On the day we meet, Levete has just flown back from Portugal where she was talking about one of her latest projects, a new cultural center in a former industrial area on the banks of the river in Lisbon.

"It's about regenerating the riverfront, but we need to connect it back to the city, both literally, conceptually and socially," she said.

"We have created public spaces on the roof and in front of the building, so the roof will be a destination itself.

"Public spaces for me are a very important aspect of architecture, where people meet and ideas are exchanged that drive society forward."

Levete went to a top independent school in London, but left at the age of 16, planning to go to art college.

"I was quite independent at 16," she said. "I was quite impetuous, I never felt daunted.

"If my children decided to leave school at 16, I would find that difficult as a parent, but I didn't ask my parents' opinion. It wasn't up for debate."

While doing a foundation art course, Levete became interested in architecture and acquired the A-level qualifications she needed.

"I started reading about art history and discovered architecture," she said. "It hadn't crossed my radar before."

Also on Leading Women: Arianna Huffington tells women 'Less stress, more living'

Early in her career, Levete worked for high profile British "starchitects" Richard Rogers and Will Alsop.

In 1989, Levete joined the Czech architect Jan Kaplicky as a partner in his practice Future Systems, and shortly afterward they were married.

During their 20-year partnership, Levete and Kaplicky worked on the unusual Media Center at Lord's Cricket Ground, a spaceship-like structure that appears to hover above the ground, and a new Selfridges department store in Birmingham.

Lord's Media Center, the first all-aluminum building in the world, won a host of awards, including the Stirling Prize, Britain's most prestigious architectural prize, in 1999.

"It was probably the most complex and ground breaking project we will ever do," said Levete. "It was built by a boat builder, but 12 meters in the air, rather than upside down in a boat yard.

"The MCC (Marylebone Cricket Club), who were our clients, were one of the great bastions of the British establishment, taking on a very radical building, so there were tensions."

While working on Lord's Media Centre, Levete had her son Josef, taking no time off for maternity leave.

"I was doing the competition report in hospital," she said. "It was ridiculous, but it was worth it. It was tough, but I was so high from having a baby and doing the competition, that I just got on with it. I was extremely tired for many years."

Their next big project was a new Selfridges store in Birmingham, England, in 2003, winning multiple awards for its faÃ§ade of aluminum discs and becoming a landmark of the city.

"The building has become completely synonymous with Birmingham. It's a powerful piece of iconography and people go just to ride on the escalators as well as to shop," said Levete.

Read more: The woman using social media to predict the future

Levete and Kaplicky eventually divorced, but continued to work together until his sudden death in Prague in 2009, albeit with a strained relationship towards the end.

"Jan and I almost had two offices for some time," said Levete. "The people working with me stayed with me, and the people working with him would have gone with him if he had not died."

After Kaplicky's death, Levete set up her own practice, AL_A with four other directors.

"The change happened under traumatic circumstances," she said. "It was a very difficult time and I underestimated how difficult the transition would be.

"We had a significant reputation as Future Systems, and starting AL_A, we had that as our heritage but not our future.

"It took a good two or three years for the office to bed down and establish its own identify."

AL_A is now thriving. In addition to the Lisbon cultural center, and a 140,000 square-meter hotel and shopping center in Bangkok, Levete was chosen in 2012 as the winning design for a new underground extension to the Victoria and Albert Museum in London.

"We are creating a vast courtyard in front of the building, it's going to be the first porcelain courtyard," said Levete.

"It will be like an outdoor room where people can meet and hang out, so they can delay the decision to enter the museum."

On several occasions, Levete has collaborated with the Indian-born British sculptor Anish Kapoor, including on a design for a new subway station in Naples. Despite 10 years of work, this is now on hold after the contractor building it went bankrupt.

Amanda Levete is a judge for the Designs of the Year Award. All nominations are on display at the Design Museum, London.

@highlight

Amanda Levete is working on a much-anticipated extension to London's Victoria and Albert Museum

@highlight

She won the Stirling Prize for her iconic Media Center at Lord's Cricket Ground

@highlight

Levete is running her own practice after 20 years with her late former husband Jan Kaplicky