(CNN) -- When the Battle of Gettysburg was over after three days, the Civil War's bloodiest battle had claimed 51,000 casualties.

The Union Army of the Potomac clashed with Gen. Robert E. Lee's Confederate Army of Northern Virginia in July 1863. The battle turned against Lee and his invaders on July 3, and Confederate forces returned to Virginia.

The ferocious battle, considered a turning point in the war, occurred 150 years ago this week, on land that is now a national military park.

Gettysburg anniversary provides a bigger story

With soldiers' graves on the battlefield and near a former hospital site, Gettysburg residents pleaded with state officials to create what is now called the Soldiers' National Cemetery.

At the cemetery's dedication on November 19, 1863, President Abraham Lincoln gave his epochal two-minute Gettysburg Address, reminding listeners "that government of the people, by the people, for the people, shall not perish from the earth."

In 1864, a group of citizens established the Gettysburg Battlefield Memorial Association to preserve part of the battlefield as a memorial to the Union soldiers who fought there, according to the National Park Service. In 1895, the association transferred its land holdings to the federal government. The NPS took over administration of the park in 1933.

This week, the park will continue to mark the 150th anniversary of the battle with a series of commemorative events. At least 25,000 visitors per day were expected from June 28 through July 7, according to the Gettysburg Convention & Visitors Bureau.

Park stats: Gettysburg National Military Park welcomed about 1.2 million visitors last year. The nearly 6,000-acre site includes 1,320 monuments and memorials, 148 historic buildings, 410 cannons and the Soldiers' National Cemetery (with 7,756 total interments). (About 3,500 are Civil War burials. The rest came from subsequent wars.)

The location: The site is in Adams County, Pennsylvania, about 35 miles southwest of Middletown's Harrisburg International Airport.

If you go: There's no fee to enter the park but there is an admission fee for the Gettysburg Museum Experience, the film "A New Birth of Freedom," narrated by Morgan Freeman, and the Gettysburg Cyclorama. (National Park passes are not accepted for entrance to the museum and visitor center.) Visitors can book licensed battlefield guides for private tours for a fee, and reservations are recommended. During the summer months, bus tours are available for a fee.

Meet our ranger:  Seasonal park ranger Caitlin Kostic fell in love with the history of the Civil War in the fifth grade, when her teacher played the 1993 movie "Gettysburg" as part of a history lesson on the war.

"After watching it, I couldn't get enough of it and bought books and watched specials," said Kostic, 24, who lived in Hazleton, Pennsylvania, about 120 miles northeast of Gettysburg. "As a result, my parents brought me to Gettysburg that summer for a one-night stay. I told my mom that someday I would be giving tours of the battlefield at Gettysburg."

Kostic started interning at the park in college and is working her third summer as a seasonal ranger, having just completed a master's degree in applied history.

"I love getting up every day and coming to a place that is rich in history, and I love spending my time reading, researching and teaching the public about things that are so much bigger than myself. It's a very humbling experience."

For a day trip, don't miss: The battlefield. "That's the reason we are here." A basic introduction to the battlefield can take two or three hours, Kostic said. "You step out onto the field, and you are walking in the footsteps of the soldiers.

"You get a sense of what they saw and their struggles. It gets pretty hot and humid in the summer. You experience that heat and humidity in that terrain, putting yourself in the mindsets of the soldiers who fought here. That helps place (people) back in time. "

During the summer, there are about 20 free park ranger programs each day, every day of the week. Visitors can also purchase an audio CD to help navigate the field, take a bus tour or hire a licensed guide for a private tour.

Favorite less-traveled spot: Power's Hill, located on the Baltimore Pike, was part of the Union army's artillery line and the site of Gen. George Gordon Meade's temporary headquarters on July 3. At the time of the battle, the hill was about half-covered in trees, while the other half was bare. Over time, the hill has been completely covered by trees.

A park effort is underway to remove some of the trees "to recapture the historic landscape" of 1863, Kostic said. "It's a very strategic part of the field. It's hard on a program to imagine those trees not there," she said. "When the battlefield is rehabilitated, we can give more effective programs."

Favorite historical spot: Soldiers' National Cemetery. Created after the battle, but before the war ended in April 1865, there are 3,500 Union soldiers interred in the cemetery where Lincoln came to deliver his Gettysburg Address. It also contains the graves of soldiers of subsequent conflicts through Vietnam, Kostic said. It was closed to new burials in 1972.

"It shows that sacrifice is a generational thing," she said. "Every generation has been called to sacrifice something. That sacrifice can be linked throughout the years ... and you can capture a lot of American history in that cemetery."

Favorite nature spot: Little Round Top. Part of the Union position on July 2-3 and perhaps the most visited part of the battlefield, the entire western slope of Little Round Top (which is also a hill) is void of trees.

"You can see the entire battlefield from this hill," she said. "You can see the South Mountain range and part of the town, and you get a whole sense of the area. People enjoy going in the evening because they can watch the sunset.

"We look upon these fields as beautiful landscapes, but the only reason we look at them is because of the carnage that took place 150 years ago. At one point these fields were ugly because of the wounded and dead that littered the field."

Most transformative moment in the park: Last year on July 2, 2012, it was the anniversary of the battle. During anniversary days, the rangers give programs in real time, sharing history at the time it was actually being made on the battlefield. Located at Little Round Top, Kostic was giving her first-ever real time program at 4 p.m., at the time fighting had occurred at that spot.

"The actions of the people 149 years ago made the site important [that anniversary day]," she said. "Knowing the stories of the men, knowing that many of them were wounded and dying ... it's an extremely humbling experience."

Favorite other park to visit: The National Mall in Washington, D.C. "I love the fact that there is so much to do, and it's free," Kostic said. If she had to pick one site at the mall, it's the Vietnam Veterans Memorial. "That's my favorite spot at the mall."

@highlight

Battle of Gettysburg took place 150 years ago at a site that is now a national military park

@highlight

Don't miss a visit to the battlefield, "the reason we're all here," says ranger Caitlin Kostic

@highlight

At the dedication of the Soldiers' National Cemetery, Lincoln gave historic Gettysburg Address