(CNN)  -- The patient, in his late 70s, had survived prostate cancer and had a new diagnosis of leukemia. A few days before, he'd been healthy and fine, but now his white blood cell count was so high that it was clogging his circulatory system, making it hard for him to breathe.

We brought his white count down and relieved his shortness of breath. At that point, he could have opted for palliative care and gone home on hospice with a decent enough quality of life to enjoy what little time he had left. However, the patient, encouraged by his family and urged on by his oncologist, chose aggressive treatment instead.

This is a hard case. In his recent New Yorker article "Letting Go," Dr. Atul Gawande explains how the first impulse of doctors, patients and family members to "fight" cancer or other serious illnesses makes it very difficult to have honest discussions of what treatment can and cannot do.

I understand why physicians find these conversations difficult, why it's preferable to focus on the good we can possibly accomplish rather than the likely futility of the struggle.

But there's another story to be told in these cases, and it's usually the nurse who's the observer of that narrative: the suffering caused by these well-intentioned treatments. Chemo was risky for this patient because of his age and medical history, and the damage done was unbelievably bad.

The problems began when cells killed by the chemotherapy spilled their contents, overloading my patient's kidneys and throwing him into renal failure. The intravenous fluids he'd needed had been too much for his circulatory system, and he developed heart failure, too.

One morning, I came in with his pills, and he said, "You're doing too much. I can't take it." The next week, he was on dialysis, but it wasn't working, and his entire lower body was hugely swollen with fluid. That day, he accosted me with, "What the hell are you doing to me?"

Both times, I told the medical team what he'd said and asked whether it was ethical to continue chemotherapy. Several members of the team shared my concerns, and as a group, we talked the situation over with the attending doctor. Our view was that the treatments were eroding the patient's quality of life with little promise of good in return.

The attending physician, whom I know to be conscientious and caring, disagreed, as did the patient's family. When the doctor prodded the patient, saying, "You want to keep going, right? Right?" the patient himself concurred, "Yes, let's keep going."

So the chemo finished. Then, blood began to appear in the patient's urine. His bladder was brittle because of the radiation treatments he'd had for prostate cancer, and because of the chemo, he had too few platelets. Without enough platelets, that fragile tissue would not stop bleeding, but it also formed blood clots in his bladder that caused excruciating pain.

Watching this patient suffer, not from his disease but because of what we did to him in the name of helping him, was agonizing. He'd wanted to "keep going," to "keep on fighting," but what did he really mean?

Always when I hear these phrases applied to oncology patients, I think of Peter Weir's 1981 film "Gallipoli." The film portrays two Australian sprinters, Archy and Frank, who enlist together during World War I and end up fighting the Turkish army at the Battle of Gallipoli.

A lot of soldiers died during the Gallipoli campaign, and the end of the film dramatizes a real battle in which four brigades of Australian soldiers were sent out of the trenches to certain death.

Frank is chosen to be a runner, a deliverer of messages during the battle, and he gets an order to call off the assault once it's clear that it's not a fight but a massacre. However, Frank can't run quickly enough to get the hold order to Archy's trench in time, and the signal to attack is given. Archy comes up out of the trench running as fast as he can, alone, chest forward, until the Turkish machine guns mow him down.

The wasteful sacrifices of war and the pointlessness of my patient's suffering share some obvious parallels here, but there's a deeper lesson as well. Archy and Frank were soldiers; my patient was not. They made a choice when they enlisted, but my patient was never given his real choice, between aggressive treatment that might do more harm than good and getting just enough treatment to keep him stable and allow him to go home to be with the people he loved.

The very real benefits of such a focus on palliative care were documented in the August 19 issue of the New England Journal of Medicine. Patients with newly diagnosed lung cancer who received palliative care in addition to chemotherapy claimed an improved quality of life and lived more than 2½ months longer than than those who had no such care.

My patient's decision to "keep fighting" seemed to be based on a misperception of what medicine could accomplish and of what the personal costs of our treatments would be. Indeed, a month after being admitted, swollen, breathless, bleeding and in pain, with his leukemia as robust as ever, he went on hospice in the hospital and died.

In "Letting Go," Gawande says we don't want Gen. George Custer as a model in medicine but more Robert E. Lee. But I would argue that conjuring a general to guide patients faced with serious illness is an embrace of the wrong ideal. Patients are not battlegrounds, and practicing medicine is not a war. This patient needed thoughtful supportive care, not our ineffectual treatments that tore him up from the inside out as surely as any machine gun.

The opinions expressed in this commentary are solely those of Theresa Brown.

@highlight

Theresa Brown tells of dying patient who got much sicker from aggressive treatment

@highlight

She says "fighting" serious illnesses can cause terrible agony, keep patient from family

@highlight

Brown cites study suggesting palliative care offers better quality and longer life

@highlight

Dying patients should not be pressured to go through drastic treatments, she says