London (CNN)It's a phenomenon that's been linked to a dragon, a black squirrel and Tiangiou, the magical dog of heaven.

Mythologies from across the globe have blamed them all for eating the sun.

In reality, solar eclipses, like the one that can be seen across parts of the Northern Hemisphere today, are down to an amazing coincidence.

The moon and sun are at just the right distance away from the Earth that they appear to be of the same apparent size in the sky even though the sun is about 400 times larger than the moon.

On occasion, the sun, moon and Earth are perfectly aligned so that when the moon passes in front of the sun it casts a shadow on the Earth, blocking the light.

But that's not the whole story. A total eclipse can only be seen in the narrow corridor known as the "path of totality" --- or the "inner umbral shadow." The area where the sun's rays are only partially obscured is called the "penumbra."

Today the moon's shadow falls across parts of North Africa, Europe and the Middle East.

Millions will be in the penumbra part of the shadow and able to see a partial eclipse but if you want to catch the full majesty of the 2015 totality it will require a trip to the North Pole, Svalbard or the Faroe Islands between the UK and Norway.

You can find out whether you will be able to see the eclipse by watching our animation.

Solar eclipses are relatively common -- partial eclipses are visible somewhere on Earth most years -- but not necessarily in the same region. You might wait hundreds of years between two total eclipses at the same place.

And not all eclipses are the same. The moon follows an elliptical orbit around the Earth which means it is sometimes closer to us -- at "perigee" -- and sometimes further away -- at "apogee."

At apogee, the moon doesn't appear quite big enough to completely obscure the sun during a solar eclipse and an observer sees a ring of brilliant light around the moon. This is called an annular eclipse.

At perigee (as now) the sun will be completely blocked by the moon during totality. This gives scientists a chance to study the sun's atmosphere and help solve a cosmic conundrum.

Astronomer Robert Massey of the UK's Royal Astronomical Society explained that the sun's atmosphere or corona is a massive 2 million degrees Celsius but the sun's surface only around 5,500 Celsius. He said this temperature difference has long mystified scientists.

"The eclipse at totality allows us to see the inner most regions of the sun's atmosphere even if it's only for a few minutes -- it's very hard to do otherwise," he said.

Perhaps the brief window will give solar experts a chance to collect more data.

But you don't have to be an astronomer to appreciate the incredible spectacle of an eclipse. CNN would like to see your pictures and videos and hear of your experiences by using CNN's eclipse iReport assignment-- but please take care.

NEVER look directly at the sun -- it is dangerous and can cause permanent damage to your eyes. Regular sunglasses are NOT safe either. Special filters are needed.

Ahead of last year's eclipse in the United States, NASA advised CNN readers: "Even at maximum eclipse, a sliver of sun peeking out from behind the moon can still cause pain and eye damage. Direct viewing should only be attempted with the aid of a safe solar filter."

NASA suggested some old tricks for viewing indirectly, like punching a hole in cardboard and projecting the light seeping through it onto a surface away from the sun.

You can find more safety advice on NASA's eclipse website.

A total solar eclipse is a phenomenon that won't last forever.

The moon is moving away from the Earth at a rate of about 3.8 centimeters (about 1.5 inches) every year. There will come a time when the moon will appear to be too small to cover the sun. But don't worry, you still have to time to catch one -- NASA calculates this will take about 563 million years.

@highlight

Solar eclipses happen when the sun, moon and Earth are perfectly aligned so that when the moon passes in front of the sun it casts a shadow on the Earth

@highlight

On March 20 this year the moon's shadow falls across parts of North Africa, Europe and the Middle East

@highlight

The moon is slowly moving away from the Earth so there will come a time when the moon will appear to be too small to cover the sun