London (CNN) -- There are few people in the world lucky enough to form a close relationship with a Leonardo da Vinci painting.

New York-based conservator Dianne Dwyer Modestini is one: She spent hundreds of hours lovingly restoring "Salvator Mundi," da Vinci's newly rediscovered painting of Christ.

And, says Modestini, when she finally had to say goodbye to the painting it was like enduring a painful break-up.

"I'm quite serious," she said. "It was a very intense picture and I felt a whole slipstream of artistry and genius and some sort of otherworldliness that I'll never experience again," she said.

She describes suffering separation anxiety and depression over losing the painting, and with it her connection to the enigmatic painter who was its author.

For art historians, the lengthy and emotional process of conserving a great masterwork is both a privilege and an overwhelming responsibility.

"People say, 'How can you touch it, it's so scary,'" said Modestini, who is Senior Research Fellow and Paintings Conservator for the Samuel H. Kress Program at the Conservation Center of the Institute of Fine Arts, New York University.

"I wasn't frightened of it in those ways -- that it's one of 16 paintings, it's worth x amount of dollars -- because I would have been paralyzed, I wouldn't be able to work like that," she continued.

Of course, when Modestini started work in 2005, she didn't know she was dealing with the first da Vinci painting to be discovered in over 100 years, worth, according to some estimates, around $200 million.

The painting, now authenticated, revealed its identity little-by-little during the conservation treatment.

Modestini started the process using solvents to clean off some of the murky varnish and over-paint that was concealing the painting's true identity. Within just a few hours during her first session with it, she was able to see the work much more clearly.

"It's very mysterious, the things that happen to paintings," she said of the over-paint job.

"People forget or they begin to doubt the original opinion of the person who originally said it was by Leonardo and particularly if it's been badly repaired. They might not understand what's underneath -- it happens to pictures all the time," she continued.

The next step was to take the cracked painting apart and piece it back together again, a procedure that took about a year.

"It is quite a delicate process," said Modestini. "It has to be very precise."

Then, she had to make re-touches to the badly damaged areas, refining Christ's eyes and lips.

It was a particularly difficult and lengthy part of the process because, she said, she had "to make the decision of what to touch and what to leave alone."

"I wanted (to be sure) that none of my restorations had impinged on the original, that I had not done too much, because old pictures have to look old -- if you take out every crack, every spot, every anomaly, they can easily look like a reproduction," she said.

Larry Keith is the Director of Conservation at the National Gallery in London and responsible for the conservation of da Vinci's "The Virgin of the Rocks," which is in the gallery's collection.

This treatment involved cleaning off the layers of yellow, foggy varnish, applied in a previous restoration process, "to allow the picture to saturate properly so you can see the full total range of thematic relationships that are there in the painting," said Keith.

The process of cleaning this particular painting took 18 months, he said. It is is now on view at the National Gallery as part of the exhibition "Leonardo da Vinci: Painter at the Court of Milan" along with "Salvator Mundi."

He agrees that the job of conserving such a masterpiece is an honor few are lucky to have.

"It's wonderful to see the picture in a different light and conditions and over the course of a treatment, you do get very close to a picture," he said.

As to whether he felt close to Leonardo da Vinci while working on the painting, he said: "I suppose you do, in as far as anyone can get close to Leonardo."

"There's a certain mystery at the core of him I think, but it's true, you're in very close contact for a long time and it's a very privileged role," he concluded.

@highlight

Two recently restored paintings by Leonardo da Vinci on view at London's National Gallery

@highlight

To treat such a painting is a fraught privilege

@highlight

Process requires patience, care and attention to detail

@highlight

Conservators develop strong bonds with paintings they restore