(CNN) -- When Edward Snowden decided to expose the administration's massive surveillance program, the CIA contractor turned to journalists he knew would be sympathetic.

By approaching the Guardian's Glenn Greenwald, a liberal columnist for a liberal newspaper, and filmmaker Laura Poitras, who Greenwald has credited with "exposing truths that are adverse to U.S. government policy," Snowden was following an increasingly common path for leakers of sensitive material: Find a like-minded soul in the media. And in doing so, they are bypassing the establishment press, which is then forced to play catch-up.

True, Snowden wound up sharing part of his scoop with national security reporter Bart Gellman, who wrote about the government's Internet surveillance for his former newspaper, the Washington Post. But the fact that Gellman and the Post balked at the source's request that they commit to publishing all of his batch of Power Point slides—prompting Snowden to say he could no longer give Gellman the story exclusively—underscores why some leakers have grown wary of journalists who play by a traditional set of rules. Gellman has said the Post consulted with administration officials about the story and withheld some details at their request.

Opinion: Why NSA spying scares the world

When I asked Greenwald on CNN why the source had approached him, he cited a history of "supine behavior, subservient behavior in the American media." Greenwald pointed to multiple examples of news organizations having sat on classified information "at the request of the U.S. government," most notably The New York Times delaying publication of the Bush administration's warrantless phone surveillance for nearly a year.

Greenwald told me he's not worried about getting caught up in a leak investigation, but if Rep. Peter King has his way, such journalists would be in legal jeopardy. "If they knew that this was classified information -- I think action should be taken, especially on something of this magnitude," the New York Republican told CNN's Anderson Cooper. He added that in such major cases "there is an obligation, both moral but also legal, I believe, against a reporter disclosing something which would so severely compromise national security." Fortunately, there is no chance that King's position, which would criminalize journalism, will become law.

Greenwald also works for the American subsidiary of a British paper, which may have felt more freedom to expose U.S. secrets than its American counterparts. (British media are more cautious at home because of their country's strict libel laws.)

If that was Snowden's reasoning—and he certainly put his full trust in Greenwald, inviting him to his Hong Kong hideout—he is hardly alone.

Twice in the last year, sources with liberal leanings have handed bombshell material to David Corn, the liberal Mother Jones reporter and MSNBC commentator.

One was Scott Prouty, the bartender who secretly recorded Mitt Romney saying at a fundraiser that he would never get the votes of 47% of Americans who had become addicted to government benefits. Prouty not only gave the tape to Corn after communicating through an intermediary—Jimmy Carter's grandson—but revealed his identity to MSNBC's Ed Schultz.

Opinion: Your biggest secrets are up for grabs

It was his "civic duty" to leak the tape of the top-dollar fundraiser, Prouty said: "There's a lot of people that can't afford to pay $50,000 for one night, one dinner, and I felt an obligation for all the people who can't afford to be there."

Curtis Morrison, a liberal Kentucky activist, turned to Corn after secretly recording Senate Minority Leader Mitch McConnell and his strategists discussing ways to discredit actress Ashley Judd, a potential challenger for his seat. Morrison came out publicly on the liberal website Salon, saying: "I don't subscribe to the lie that activism and journalism can be separated." That, of course, runs counter to the prevailing view in the Old Media, although newer players from the Huffington Post to the Daily Caller delight in delivering journalism with a topspin.

WikiLeaks founder Julian Assange split the difference when he did his massive dump of State Department cables in 2010, giving them to the Guardian but also to two establishment outlets, The New York Times and Germany's Der Spiegel.

But after the Times published a critical profile of Assange, he bypassed the paper months later in releasing a new batch of 250,000 documents to the Guardian and other European outlets. (The Guardian thoughtfully shared its haul with the Times.)

Snowden, like Assange (now holed up in London's Ecuadoran embassy while he ducks sexual assault charges), wanted to control the story. That is evident in the video interview he gave Greenwald, in which Snowden speaks quietly but passionately about being appalled by the surveillance state. But that personalized approach has also made him the overriding issue, an easier and more polarizing debate for the media than government spying and illegal disclosures.

The same technology that enabled the administration to keep track of Google searches and Facebook postings also allowed Snowden to gain instant fame by beaming his image around the world.

Once sources who wanted public attention had little choice but to approach the mainstream media; that's why Mark Felt dealt with Bob Woodward and Daniel Ellsberg went to the Times. But although Snowden opted to work within the media system, some activists now prefer to be their own broadcasters.

Opinion: Massive spying on Americans is outrageous

James O'Keefe, the conservative activist who pulled off stings against ACORN and National Public Radio, didn't have to hand his undercover video to a news organization. While he has sometimes favored conservative outlets, O'Keefe packages the material himself (and, in the case of ACORN, engaged in misleading editing). O'Keefe told me in 2011 that "reporters do a lot of stenography in this country," but that "real investigative reporting is showing things for what they are."

O'Keefe's contention that the press isn't doing its job carries echoes of Greenwald's argument, from the other end of the spectrum, that the press is subservient to political power. Little wonder, then, that journalists such as Greenwald and Corn are grabbing big scoops that once might have belonged to the MSM.

What may be lost is the media's role as neutral arbiter, a sense that they are holding their sources accountable even while disseminating their information. But in the age of the partisan press, traditional journalists may simply have to take a back seat to those more in tune with the leakers.

The opinions expressed in this commentary are solely those of Howard Kurtz.

@highlight

Howard Kurtz: Liberal journalists have been recipients of some big scoops

@highlight

He says leakers who once might have only gone to mainstream media now have other options

@highlight

Glenn Greenwald says U.S. press has a history of behavior subservient to government

@highlight

Kurtz: Role of mainstream media as a neutral arbiter may be eroding