(Budget Travel) -- Happy family cruises are all alike because they allow parents and kids to each be happy in his or her own way. A parent of a toddler, for instance, might be happiest with a cruise that provides trustworthy child-care services at flexible hours. Children, of course, have their own priorities. A teen, say, will probably want lots of activities for socializing after 10 P.M.

Disney's cruises top the list for families with younger children.

We scoured the top cruise lines to find the best ones for children, grouping them by age group: infants and toddlers, kids ages 3 to 7, ages 8 to 11, and ages 12 to 17. See our picks below.

One thing: We haven't sailed every cruise available out of U.S. ports though we're working on it. For activities we didn't have personal experience with, we relied on the knowledge of parents and teens with whom we've talked about cruising, such as those who participated in our recent online chat about family cruising. Despite our connections, we may have overlooked some great activities. Let us know what we've missed by e-mailing us at Letters@BudgetTravelOnline.com.

Infants and Toddlers

1. Disney Cruise Line The fully equipped nurseries are a dead giveaway: Disney's ships outperform every other major cruise line in offering services for children who are at least 12 weeks old and less than 3 years old. It's the little details that count. Each Disney stateroom has a bathroom with a bathtub, for instance. And, as every parent knows, a bathtub is easier to use than a shower when caring for infants and toddlers. Yet most other cruise ships only offer showers in their rooms, unless you purchase one of their costly suites. Topping it all off, Disney's Magic and Wonder each have pools with separate filtration systems that allow diapered tots to swim. Disney stands out in this regard from most rival cruise lines, which generally prohibit diapers in all of their pools. (The fine print: Disney's nurseries charge a fee of $6 per hour per child. A tip: Reserve the hours when you'd like to leave your little one in the nursery as soon as you embark.)

2. Carnival Cruise Lines This is one of the few lines whose youth counselors change diapers when necessary. Carnival also stands out because its youth programs accept kids starting at age 2. In contrast, most programs elsewhere require that children be age 3 and fully potty trained. An added plus is that after 10 P.M. Carnival's ships offers group babysitting for children under age 2. You can even rent strollers. Group babysitting for those under age 2 costs $6 per hour for the first child and $4 for each additional child. These prices also apply for group babysitting of toddlers who are more than 2 years old. (See the Carnival section, under Children Ages 3 to 7 below.) Stroller rentals: All Carnival ships rent strollers (both single and double ones) on board. The fee is $6 per day on the three- and four-day itineraries and $25 per cruise for lengthier trips.

3. Holland America Line No matter that its youth programming doesn't admit children under age 3. Holland America still scores points for encouraging toddlers and parents to play together in groups at scheduled times. What's more, Holland America joins Disney in being one of the few cruise lines to offer private babysitting for an hourly fee. (Private babysitting costs $8 per hour for the first child in a family and $5 per hour per sibling.) Here's another nice gesture: If you're traveling with an infant or toddler, tell your agent upon booking and he or she will send you a detailed request form so you can order baby food, diapers, and wipes. For a fee, this unique service delivers the food and other items to your cabin along with a mini fridge so that you don't have to haul baby supplies to the ship. (The fine print: Parents must fill out an infant services order form 30 days prior to a North American sailing or 60 days prior to other sailings. Baby supply service fees: diapers, $1 each; a pack of 80 wipes, $5; jars of baby food, $1 each; and refrigerator rental, $2 per day.)

Children Ages 3 to 7

1. Disney If your kids enjoy Disney characters and movies, they'll love this cruise line. In a much more intimate setting than the Disney theme parks provide, you and your children can enjoy free meals with costumed characters, including tea with Wendy (from Peter Pan). You can also see elaborate stage shows, such as Disney Dreams, that showcase popular Disney characters, like Captain Hook and Snow White.

2. Carnival A family welcome aboard party and a kids' talent show are but two examples of the long list of familiy activities this cruise line offers. Upstaging other cruise lines, Carnival offers the most hours of youth programs. And after its free youth program ends at 10 P.M. daily, group babysitting is available for an hourly fee until 3 A.M. nightly. Younger kids also enjoy the enthusiastic youth counselors who, on some ships, even let children paint their faces.

3. Royal Caribbean International Here you'll find a youth program, called Adventure Ocean, that excels at offering age-appropriate, hands-on activities, such as art projects, science experiments, and drama classes (developed in partnership with Camp Broadway). On two specific ships Freedom of the Seas and Liberty of the Seas outdoor water parks attract youngsters.

Children Ages 8 to 11

1. Royal Caribbean This fleet of ships offers rock walls (as opposed to boulders). The kids are harnessed in, and trained staff members hold the ropes for kids when they need to climb down. Non-climbing options include miniature-golf courses and ice-skating rinks on Royal Caribbean's biggest ships. (The fine print: Kids must be at least 6 years old to climb walls, and parents must sign a waiver. Children can't climb the same route on the wall at the same time as their parents. If they want to climb with their parents, they need to climb next to the route that their parents are climbing.)

2. Princess Cruises Older grade school children enjoy Princess' hands-on science program, run with the help of the California Science Center. Some fun projects include dissecting squid and constructing replica roller coasters (as part of a lesson on centrifugal force). The youth program also offers plenty of group games and crafts that aren't tied to science.

3. Disney The cruise ship Magic recently added a room called Ocean Quest, boasting a ship's bridge simulator, which kids can use to pretend they are navigating a ship. The room is also packed with plenty of video games for multiple players. On the Magic and Wonder, kids ages 8 and 9 can visit the Oceaneer Lab, which offers lots of hands-on activities, such as science experiments and mock forensics.

Teenagers Ages 12 to 17

1. Royal Caribbean The staff on this fleet wisely splits teens into two groups: ages 12 to 14 and 15 to 17. Each ship has a dedicated teen room. And six ships (Freedom, Liberty, Mariner, Navigator, Sovereign, and Majesty of the Seas) have as many as three teens-only areas: Fuel nightclub, Back Deck for outdoor sunning, and Living Room for hanging out. Activities include high-energy teen programming, such as scavenger hunts and a mock assassin game, plus outdoor facilities (especially on the cruise line's largest ships) for surfing and playing basketball. A new popular activity is on-board surfing. The Liberty of the Seas and Freedom of the Seas each have a FlowRider. Kids or adults can ride a continuous wave, created by a six-inch sheet of water that rushes up an incline to keep surfers in position. The FlowRider is the exact opposite of ocean surfing, where you move with the wave. It's like wakeboarding, without the boots and the lines.

2. Carnival Over the past few years, this cruise line has revamped its programs for kids ages 15 to 17. As a rule, each of its ships has a dedicated room for teens called Club 02. The 1,000--1,800-square-foot room boasts high-tech sound and lighting equipment. The room also features video games and movies on large-screen plasma TVs. Carnival is the only cruise line that lets kids ages 12 to 17 participate in shore excursions as separate teen groups, which go ashore under the leadership of a teen counselor. The cost of the teen shore excursions in the Caribbean, for example, range from $40 to $80, depending on the tour and the port.

3. Holland America All of this cruise line's ships (except for the small Prinsendam) feature The Loft, a dedicated teen area that resembles an artists' loft and features the Dance Dance Revolution video game and karaoke machines. On all ships except Maasdam, Noordam, Oosterdam, Zuiderdam, Westerdam, and Prinsendam, there's a special passageway that connects The Loft to The Oasis, an outdoor hangout space for teens, which features a waterfall, a wading pool, a juice bar, and lounge chairs. E-mail to a friend

Get the best travel deals and tips emailed to you and enter to win a free trip to Finland - CLICK HERE!

Copyright © 2007 Newsweek Budget Travel, Inc., all rights reserved.

Note: This story was accurate when it was published. Please be sure to confirm all rates and details directly with the companies in question before planning your trip.

@highlight

Disney cruises top the lists for younger children

@highlight

Royal Caribbean more popular with older kids

@highlight

Carnival offers special shore excursions for teens