(CNN) -- Hurricane Arthur -- or what's left of it -- has rained on many an Independence Day parade, if they weren't canceled ahead of time.

But what the first named storm of this hurricane season hasn't done, it appears, is cause significant damage.

As of 11 p.m. ET, Arthur was churning deep into the Atlantic Ocean about 75 miles east-southeast of the Cape Cod town of Chatham, according to the National Hurricane Center.

It is still technically a hurricane, with sustained winds of 75 mph, and Nantucket and Cape Cod face tropical storm warnings. But Arthur wasn't expected to live up to dire predictions for the East Coast.

The center of Arthur is forecast to pass over or near western Nova Scotia early Saturday. By then, the system should be no more than a "post-tropical cyclone," meaning it will feature rain and little else.

While the wind won't pack as much wallop for the Northeast, that doesn't mean Arthur didn't have an impact -- especially on those who wanted to both go outside and stay dry over the holiday.

Americans from New York to far northeast Maine are experiencing, or could soon experience, drenching rains tied to the outskirts of the Category 1 storm. This is after a number of moves, such as the hasty rescheduling of Boston's Independence Day celebration to one day early, done ahead of the system.

The good news is that Arthur wasn't the type of holiday guest that hung around long.

The Miami-based hurricane center noted that the storm was speeding along to the northeast -- meaning it is heading farther out to sea -- at a 31 mph clip. That is motoring along by hurricane standards, especially for one that was stalled in the Atlantic just a few days ago.

Arthur nonetheless managed to dampen some spirits as it raced along. On Friday afternoon, for instance, southeast Massachusetts got lashed by round after round of pounding rains that left some roads covered with water.

"Arthur does not like us right now," a soaked but smiling Adam Morales of Fairhaven told CNN affiliate WCVB. "I don't know (how) we disappointed him, but it's OK. I don't mind it."

Number of North Carolinians without power plummets

The state that was supposed to bear the brunt of Arthur's wrath was North Carolina.

It did indeed get hit, though it was more a glancing blow than a knockout punch.

But not everyone knew that would be the case at 11:15 p.m. Thursday, when Arthur roared ashore between Cape Lookout and Beaufort with 100-mph winds.

Robin Nelson's house in Newport -- right across the Newport River Sound from Beaufort, and in the path of the eye wall -- clattered and rumbled. In the distance, she heard the whirring hum of storm gusts and snapping of tree limbs.

"It's howling pretty good here," she said late Thursday. "You can hear it coming across the sound."

Around 9:30 a.m. Friday, Gov. Pat McCrory said 44,000 people in his state were without power due to the storm. A CNN tabulation around this time found about 18,500 customers, which could translate to households or businesses, without electricity.

Utility companies were able to make significant inroads in getting people's lights back on as the day wore on. By 2:30 p.m., there were around 5,000 customers without power in the state.

Later in the afternoon, McCrory followed up by noting that Arthur had "minimal impact" on coastal communities -- with one plus being that it moved out in time for the holiday and the upcoming weekend. The Outer Banks forecast called for sunny skies and high temperatures in the 80s.

Brad Doerr knows it could have been a lot worse, even with one window lost and water up to the door of the Dairy Queen restaurant in Avon that he runs.

"Emily blew a lot harder than this one," Doerr told CNN affiliate WAVY, referring to 1993's far more powerful Hurricane Emily. "This one we were really fortunate."

Concerns about rip currents

Track the storm

Though it has moved on, the hurricane leaves deadly danger lurking under its coattails: possible rip currents. The weather service calls the spurts of back-flowing water, which can drag a swimmer from the shore and out to sea, the worst danger at the beach.

In 2009, tropical storms killed six people. All of them drowned in high waves or rip currents, the National Weather Service said. And it doesn't matter if the storm has already passed, it can sprout them from long distances.

They're hard to see and snatch bathers without warning.

Sherman Lee Criner is an iron man triathlete and confident he could swim out of a rip current if he had to.

"Even so, I'm not going to get out in the water," he said. It would be a dumb thing to do, especially in front of the children traveling with him. "Of course, I'm not going to let the kids out there," he said.

Criner was vacationing in Arthur's bull's eye on Emerald Isle with his son, daughter and niece.

He didn't plan for the group to be in the storm's path. He asked his two children and niece where they wanted to spend the holidays; they voted for the beach, and he granted the wish.

He thought of canceling the trip as the storm brewed but decided against it. "It's a doable storm," Criner said.

See Images as CNN crews cover Hurricane Arthur

Keep a hurricane preparation checklist

Staying safe when the lights go out

What you need to know about Independence Day

CNN's John Newsome, Dave Stewart, Eliott C. McLaughlin, Shawn Nottingham, Steve Almasy, Tina Burnside and Ted Winner contributed to this report.

@highlight

NEW: As of 11 p.m., Arthur is 75 miles off Cape Cod, moving northeast at 31 mph

@highlight

It should be much weaker when it makes landfall over Nova Scotia early Saturday

@highlight

The storm system produced significant rain but not as much wind as once feared

@highlight

Governor says Arthur ended up having "minimal impact" on North Carolina