(CNN) -- As the number of children with autism has risen dramatically over the past couple of decades, experts have learned that the earlier a child gets diagnosed, the earlier specialized therapy can be initiated, which can significantly improve outcomes.

Now researchers have been able to show that a particular type of behavioral therapy called the Early Start Denver Model (ESDM) not only improves autism symptoms, but actually normalizes brain activity and improves social behavior.

Autism is a neurodevelopmental disorder that starts to become very apparent around age 3. The main signs and symptoms of autism involve communication, social interactions and repetitive behaviors. According to the latest statistics from the U.S. Centers for Disease Control and Prevention, one in 88 children currently is diagnosed with autism, including one in 54 boys.

"Early intervention alters the trajectory of the brain and social development in children with autism," says Geraldine Dawson, the lead study author who developed the ESDM therapy along with study co-author Sally Rogers.

Dawson was a researcher at the University of Washington when she helped devise ESDM; she's now the chief science officer for the advocacy and research group Autism Speaks and a professor at the University of North Carolina. Rogers is a professor and researcher at the University of California Davis MIND Institute.

ESDM therapy uses teaching methods from ABA ,or applied behavioral analysis, the traditional one-on-one interaction between a child and the therapist.

But rather than sitting at a desk next to the child -- where a teacher or therapist breaks down complex tasks into small components and gives tangible reinforcements -- children receiving ESDM are sitting on the floor, playing with their therapist or parents.

It can be done just about anywhere, and Dawson says the play-based method of engaging a child helps him or her develop a social relationship.

Autism event pegged to U.N. draws story of perseverance

The study began with 48 children in Seattle and Sacramento, California, who were between who were between 1 1/2 and 2 1/2 years old. Half of the children received a total of 20 hours of ESDM therapy over five days a week.

But since parents can be taught the methods in just a few hours, they could engage their children using the ESDM method as well. The other half of the toddlers received community-based interventions, which included in some individual therapist sessions and some day care-based sessions. The number of hours spent with therapists was the same in both groups.

Three years ago, Rogers and Dawson published their first findings from this study and found that children receiving ESDM therapy increased their IQ and language skills three times more than children in the community-intervention group.

That in itself was "very significant," says Dr. Thomas Insel, director of the National Institute of Mental Health, because it proved that early detection and intervention leads to improved outcomes.

In their latest study, published Friday in the Journal of the American Academy of Child & Adolescent Psychiatry, Rogers and Dawson show what parts of a child's brain are active after two years of therapy, compared to typically developing children, using an EEG (electroencephalogram). In an EEG, electrical activity in different parts of the brain is measured using electrodes that attached to the child's head.

"If the child wiggles too much, the data is not interpretable," says Dawson.

In the end, researchers could only get 60% of the children to sit still enough to get usable EEG results, she says, but that was true in both the group of children with autism and those without.

Fifteen children in the EDSM group, 14 in the community intervention group and 17 typically developing children underwent EEGs while looking at pictures of faces (social stimuli) vs. pictures of toys (nonsocial stimuli).

Technicians measuring the brain activity had no idea which children had autism and which did not.

"Children who received ESDM now showed a normal (brain) response, identical to typical 4-year-olds," Dawson tells CNN. That wasn't the case with most children who didn't have ESDM therapy.

With autism, no longer invisible

Babies are naturally drawn to people and faces, and their brains show greater responses when they look at a face, compared to an object or a toy, Dawson says.

But in young and even older children with autism, the opposite happens. The part of the brain that should be responding to a face or social activity doesn't light up, but the part of the brain that responds to objects is more active.

Insel says this study shows that the ESDM form of therapy "not only changes behavior, it changes the brain."

The exact cause, or more precisely causes, of autism are unknown and there is no cure.

Parents and pediatricians are urged to look for early signs of autism including: little or no eye contact, lack of or delay of spoken language, repetitive use of language and behaviors and persistent fixation on parts of objects.

Since 2007, the American Academy of Pediatrics recommends that pediatricians screen 18- and 24-month-old toddlers for signs of autism.

When something is wrong in the brain -- not just in autism, but also in diseases like Alzheimer's and Parkinson's -- what's causing the disease is occurring much earlier than when symptoms appear, Insel explains.

Based on the new findings, perhaps using EEGs to measure this type of brain activity could be a biomarker for autism, he says. A biomarker is a distinct characteristic that indicates a particular condition.

Measuring a baby's brain activity as early as 3 and 6 months could identify changes in the brain before changes in behavior are noticed, he says, and therapy could begin even earlier.

The ESDM model could be applied as early as 12 months, say Dawson and Rogers.

More research will probably have to be done to confirm the biomarker. So until there is a definitive test for diagnosing autism, Dawson says this it's even more important that pediatricians screen children for autism as early as possible.

"The average age of diagnosis is still 4 and 5 and even older in minority groups," she says. "We really need to close the gap."

Autism Speaks has many tools on its website to help parents see what a child with autism looks like compared to a typically developing child. There are also many tool kits to help families of children with autism.

Why autistic kids make easy targets for school bullies

@highlight

A type of behavioral therapy can actually normalize brain activity in kids with autism

@highlight

The Early Start Denver Model is a type of play therapy

@highlight

Measuring brain activity could be a biomarker for autism, experts say

@highlight

About 1 in 88 children are diagnosed with autism, according to the CDC