(CNN) -- President Barack Obama wrapped up a European trip dominated by Russia's annexation of Crimea by shifting the focus of the U.S. and allied response to helping Ukraine rather than confronting Moscow.

"I've been very clear in saying that we are going to do everything we can to support Ukraine and the Ukrainian people," Obama said Thursday at his final European news conference of the trip, this time in Rome with Italian Prime Minister Matteo Renzi. "But I think it's also important for us not to promise and then not to be able to deliver."

While Obama pledged tougher sanctions on Russia if President Vladimir Putin continued his expansionist ways, he emphasized steps that don't involve the Russians -- such as Thursday's announcement that the International Monetary Fund would lend Ukraine up to $18 billion.

IMF steps in

"There are ways for us to hopefully influence Russian decision-making and one of the most important things we can do on that front is make sure that the Ukrainian government is stable, that its finances are stable, and their elections go forward as currently scheduled," Obama said, adding that "we are going to have to put a lot of resources and a lot of effort" to make all that happen.

While Renzi and other European leaders have pledged a unified response to any further Russian expansion efforts, questions remain about whether Germany, Britain and other nations with significant economic ties to Russia would join in threatened sanctions targeting major sectors of the Russian economy.

The Obama administration has made the threat of such escalating sanctions the centerpiece of its efforts to get Russia to draw down tens of thousands of troops near the Ukraine border and negotiate with Kiev on territorial issues and ensuring the rights of ethnic Russians in Ukraine.

Obama acknowledged Thursday that expanding sanctions to target Russia's financial services, energy, mining, defense and engineering industries would impact U.S. and European companies that do business with Russia in the connected global economy. He hinted at the potential difficulty in getting agreement with European allies on tougher measures.

Possible expanded sanctions

"Hopefully we can design sanctions that minimize the impact on American companies or Italian companies and maximize the impact on Russian entities," Obama said, later adding: "Hopefully we don't have to use them."

"We're continually hopeful Russia walks through the door of diplomacy and works with all of us to try to resolve this issue in a peaceful way," he said.

Obama was much more expansive on efforts to help Ukraine, calling the IMF loan agreement announced Thursday "a major step forward" that required political courage because of required reforms aimed at ending a culture of corruption in the nation's governance and economy.

"It's a concrete signal of how the world is united with Ukraine as it makes tough choices at a difficult time," Obama said.

He called on Congress to pass an economic assistance package for Ukraine, something the Senate did minutes later to signal a likely compromise with the House on a final version expected to win approval this week.

Time to hold Russia accountable for its aggression

Asked by reporters about cuts to military spending by European allies as part of austerity measures, Obama said there was a limit.

Military spending cuts

"We can't have a situation where the United States is consistently spending 3% of GDP on defense, most of that on Europe if we have continuing crises going on in Europe," while European nations spend just 1% on defense, he said.

Standing next to Obama, Renzi made an impassioned argument that decisions such as military spending and supporting NATO allies involves much more than money.

The most important value, he said, was "the ideal of democracy and freedom." Asked if Italy would fully contribute to aiding any threatened NATO ally, Renzi said "the answer is easy, yes."

Before Obama met with Renzi and toured well-known cultural attractions such as the Colosseum, he went to the Vatican for talks with Pope Francis that he said focused on how to help the disadvantaged.

"The theme that stitched our conversation together was a belief that in politics and in life, the quality of empathy -- the ability to stand in someone else's shoes and care for them even if they don't look like you, talk like you or share your philosophy -- that it's critical," Obama said in response to a question by CNN's Jim Acosta.

Without mentioning the Ukraine crisis, he continued by noting that "it's the lack of empathy that makes it very easy for us to plunge into wars."

Obama has said Russia has legitimate concerns in Crimea, which has an ethnic Russian majority and is home to a vital Russian naval base.

CNN's Mariano Castillo contributed to this report.

@highlight

NEW: President Obama, European leaders pledge unity against Russian expansion

@highlight

NEW: Obama says stronger sanctions on Russia will impact U.S. companies

@highlight

NEW: NATO allies have to spend more on defense, Obama says

@highlight

NEW: Italy's Prime Minister pledges support for NATO response to Russia