The sale of the old house, the purchase of the new house, the packing, the good-bye parties. It was all so overwhelming for me. I can't imagine what it was like for my toddler, leaving the only home, neighborhood and sitter she had ever known in the city where she was born. Fortunately, I got a little bit of help from the Berenstain Bears to give my daughter some answers.

In that classic tale "Berenstain Bears Moving Day," Brother Bear asked the questions about moving that my daughter asked: "What about my toys?" "And what about my friends?" She'd carry that book around like a teddy bear. The answer for the toys was easy:  "We'll take them along, of course." Harder to hear: "You'll be leaving your friends behind."

"But you can keep in touch with them. You can write, even visit perhaps. And besides, you can make lots of new friends."

It's no wonder that I could find a Berenstain book for almost any new or difficult situation. When co-author Jan Berenstain died last month, she had written more than 330 "Berenstain Bears" books, first with her husband, Stan (who died in 2005), and later with her son, Mike. More than 260 million copies have been sold over the past 50 years, making it one of the best-selling children's book series in history, Harper Collins said.

Mirroring all types of families

Growing up in a house filled with books, I turned to children's literature to explore and learn about worlds beyond my experience. Now, I turn to the classics of children's literature for assistance in parenting my way through the basic struggles in our lives, such as feelings, friendships, sharing, courtesy, differences and loss, among others. If the Berenstain Bears didn't have the answers, maybe Dr. Seuss, "Goodnight Moon," "Ferdinand the Bull" or "The Hungry Caterpillar" could do the trick. The classics explained essential subjects to a young mind better than I ever could, and they reassured me, too.

Still, some of the classics didn't represent our experience or the lives of many of the families we know and love. My child has two moms. Her neighborhood friend has one mom who adopted her. Her friend across the street has a mom and dad.

"As families have changed over the past decades, that means that there's opportunity for books to serve families who may not be made up of Papa, Mama, Brother and Sister Bears," said John Sellers, children's reviews editor for Publishers Weekly. "There's certainly a need for books that portray, mirror and show the value in all kinds of families: same-sex families, mixed-race families, stepfamilies, families with grandparents as guardians."

Just as interesting are the children's books that include a diversity of families not as the point of the story but as a reflection of the reality of our world.

"That sort of subtle, offhand inclusion and portrayal of a diversity of families in picture books -- as well as books for older readers -- is, in my view, as valuable, if not more so, as having an increased number of message-focused books out there on those topics, though there will always be a place and a need for those, too," says Sellers.

Here are some of my family's modern favorites.

It's OK to be different

The bright visuals of writer and illustrator Todd Parr's books jumped out at my daughter before we ever guessed the subject matter. In Parr's world, there are different types of mommies, families and feelings -- all of them valuable and filled with love -- without getting hit over the head by the message.

"The Family Book" shows all the families on my block and beyond, and portrays them as different in appearance but equal and loving and kind. "The Mommy Book" teaches my kid that mommies come in all shapes and sizes; some work outside the home, and some work inside the home; some cook, and others order pizza; and some camp, and some shop.

A visual learner and slow reader, Parr remembers having trouble learning when schools didn't know how to help him.

"When I started writing books, I based them on my own struggles as a kid and feeling like an outsider," said Parr, whose favorite books as child included classics such as P.D. Eastman's "Go Dog Go," Dr. Seuss's "Green Eggs and Ham" and "The Monster at the End of this Book" from Sesame Street. "I wanted them to be silly and fun and simple but yet be something strong that could help kids feel good about themselves. I wanted it to be matter of fact that everyone is important and special and different."

Why not let your child drive the bus?

After I became a parent in Brooklyn, my daughter and I loved that we could identify the locations that Mo Willems featured in "Knuffle Bunny: A Cautionary Tale." Yes, we lived across the street from the actual Laundromat featured in the book. For a city kid, the idea of sitting on a stoop, Laundromats across the street and parks within walking distance made sense in the whimsical pictures drawn by the former Sesame Street writer.

"Don't Let the Pigeon Drive the Bus" and "Don't Let the Pigeon Stay Up Late" play with the neverending asking that a child does for what she wants, with increasingly sophisticated reasons why we parents should give in. It's daytime in China? Really? But children are not trying to drive us nuts, Willems gently reminds the reader. Adults forget how hard it can be to be a child, where nothing is built to your size and grownups demand that you learn new things every single day. Why not throw a tantrum over not getting to drive a bus or go to bed whenever you want?

"I don't see my books as ends but as beginnings," said Willems, who as a child loved the work of Dutch illustrator Fiep Westendorp and "Sneetches on the Beaches" by Dr. Seuss. "I put as much air in as possible so kids can put in their own ideas. Draw my characters and put as few words and background as possible so kids can create them themselves."

While Willems is grateful that children identify with his work, he says he writes to understand things he doesn't understand, such as friendship, love and jealousy. ("The Duckling Gets a Cookie!?" which comes out in April, turns jealousy on its head.)

"I'll write a book and take it very seriously for a year or two," he said.

In "Goldilocks and the Three Dinosaurs," out this fall,  "I find my past self telling my present self how to deal with some present relationships in my life."

You don't have a mommy and a daddy?

"Heather Has Two Mommies" author and poet Lesléa Newman started writing children's books featuring families with two mommies or two daddies after a friend stopped her on the street and demanded that she write books featuring families like hers.

My daughter had never heard a story with two mommies. She grabbed at the picture book "Mommy, Mama and Me," and memorized all the words. (The companion, "Daddy, Papa and Me" works for the two-daddy family.) She gravitated to "Heather has Two Mommies" as she got older.

Although her books have been attacked as political, Newman says she doesn't write with an agenda or mission.

"I write to tell a story," said Newman, who remembers reading Dr. Seuss, Curious George, Babar the elephant and "Caps for Sale" as favorites. "I write to find out what I don't know. If pressed, I'd say my goal would be to produce a children's book that would help any child reading that book to feel good about herself."

We're all connected

A sweet summer day in the life of an interracial family is the setting for Liz Garton Scanlon's picture book "All the World," featuring the art of Marla Frazee (who received a Caldecott Honor for this book). The book is about global connectivity, showing families and partners of all ages and races.

As she started writing for children, Scanlon noticed themes of nature and community emerging in her work.

"I also really think about a child's perspective: How would they envision friendship? What would they notice about places or parties or food or trees?" said Scanlon, whose favorite books growing up were "Blueberries for Sal," "Make Way for Ducklings" and "Where the Wild Things Are." "Kids are relatively disempowered. They're just not the big people in charge. So I really try to think about how children's books can give some of the power back to them, just by granting importance to their perspective."

Read about CNN.com staffers' favorite children's books.

@highlight

The Berenstain Bears often had the answers to children's questions

@highlight

Many moms and dads turn to classic books for assistance in parenting

@highlight

Children's books now include a diversity of families as a reflection of our world