It's going to be a big year for travelers who love cruising.

Not only will 2015 see the launch of a number of spectacular new cruise ships, but the opening of new routes will make some of the world's most remote places significantly more accessible.

We asked some of the travel world's top cruise experts to share their picks for the hottest cruise itineraries of 2015 and the ships that will be sailing them.

Alaskan Dream Cruises

In 2015, cruise ships will be pushing deeper into the wilderness than ever before, and this particular sailing offers some great wildlife-spotting opportunities on a smaller boat.

"This Alaskan Dream Cruises sailing includes complimentary shore excursions designed to showcase true Alaskan adventures and the native heritage," says Annie Scrivanich, senior vice president of Cruise Specialists.

"Departures coincide with seasonal changes and animal migrations for the best weather and animal viewing opportunities. If you're only going to visit Alaska once, this itinerary is your best bet."

Alaskan Dream Cruises: Baranof Dream, +1 855 747 8100, from $4,399 per person

Windstar Cruises: Star Breeze

The latest addition to Windstar Cruises' fleet, Star Breeze has fans of European cruises particularly jazzed.

Among the top picks is the 10-day Sicilian Splendors cruise, which takes in Rome, Catania, Valletta, Gozo, Trapani, Sorrento and Capri.

"We're all very excited about the new Windstar Star Breeze," says Scrivanich.

"This new power yacht holds a maximum of 212 guests and provides new opportunities for those looking for a European cruise on a smaller ship."

Windstar Cruises: Star Breeze, +1 206 733 3005, from $4,449 per person

Viking Cruises: Viking Star

This Viking Cruises tour takes in the best of Europe's northern cities, including Bergen, Stockholm, St. Petersburg, Helsinki, Tallinn, Gdansk, Berlin, Copenhagen and Stavanger.

But it's the boat that experts are most excited about, as it will be Viking Cruises' first ocean-going ship.

The 47,800 gross tonne ship will have 464 cabins and accommodate 928 guests

"I'm really looking forward to Viking Cruises' Viking Star, which sets sail in 2015," says cruise journalist and Telegraph Travel cruise specialist Jane Archer.

"It's a brand new ship and the mockups look amazing."

Other itineraries available on the Viking Star include Mediterranean and western European tours.

Viking Cruises: Viking Star, 0800 298 9700, from $4,703 per person

Princess Cruises: Japan Getaway

Fancy checking out Japan but short on time?

Then consider stepping aboard one of the many cruise ships heading there in 2015.

"Japan is one to watch for 2015 and into 2016," predicts cruise journalist Archer.

"A lot of people want to visit but are nervous because of the language, food and very different culture.

"Having a cruise ship for a base helps to give confidence and means they can visit several ports on one holiday."

Princess Cruises' Diamond Princess ship has two Japan Getaway itineraries on offer in 2015.

There's a 16-day Grand Japan and Taiwan tour setting sail in May, followed by an 11-day tour of Japan, China and Southeast Asia that hits the seas in September.

Princess Cruises: Diamond Princess,  +1 852 2952 8088, from $861 per person

Royal Caribbean: Quantum of the Seas

Next year, some of the biggest cruise operators will be making an extra effort to entice Asian passengers onto their ships.

This includes Royal Caribbean, which is sending its newest and most hi-tech ship, Quantum of the Seas, to China.

"Asia continues to grow as an emerging market cruise lines want to invest in, especially in 2015," says Michelle Fee, chief executive of Cruise Planners.

"The new Quantum of the Seas will be based in Shanghai, as part of an effort to introduce the Asian traveler to cruising."

The ship's five-night Fukuoka and Busan cruise departs Shanghai on August 3, 2015, and takes in Fukuoka, Japan and Busan, South Korea before heading pack to its starting port.

Royal Caribbean: Quantum of the Seas, +1 305 341 0204, from $2,548 per person

Compagnie du Ponant: Le Lyrial

This exciting cruise itinerary makes the cut in part because the mode of transport is so fantastic.

"Compagnie du Ponant is introducing its newest luxury expedition ship, Le Lyrial, in spring 2015," reveals Richard West, founder of Explorcruises.com.

"It's exciting because it's a truly luxurious expedition-style small ship".

The Athens to Dubrovnik itinerary is a seven-night cruise that sets sail in August, taking in the highlights of the Croatian coast before heading to Greece.

Compagnie du Ponant: Le Lyrial, +33 4 88 66 64 00, from $4,160 per person

Uniworld River Cruise: Splendors of Egypt and the Nile

Cruise companies pulled out of Egypt en masse due to the recent turmoil, but in 2015, it will be possible to cruise the Nile once again.

"Uniworld Boutique River Cruise Collection has re-launched a sailing along Egypt's great Nile River on board the elegant, all-suite River Tosca, with cruises starting in October 2015," says Fee of Cruise Planners.

"Egypt is an awe-inspiring destination and travelers can experience its culture on a 12-day program with luxury accommodation."

Uniworld River Cruise: River Tosca, +1 818 382 7820, from $5,136 per person

P&O Britannia

Here's one for those who consider themselves a bit of a foodie.

P & O's Cookery Club, on its new Britannia ship, allows guests to hone their culinary skills alongside some of the world's top chefs.

"P&O Cruises' culinary offerings on-board their new ship Britannia are particularly exciting," says Adam Coulter, editor of Cruise Critic.

"The line has enlisted the help of a number of celebrity chefs to create the first cookery school on-board a British ship."

Chefs leading workshops will include Marco Pierre White, Atul Kochar and wine guru Olly Smith.

The vessel will spend its first year touring waters around the Caribbean, Baltic and Mediterranean.

Pocruises.com, prices TBA

Wendy Wu Tours: Irrawaddy Voyager

"In 2015 we'll see more luxury ships are moving into Burma [Myanmar]," says Peter Lynch, editor of website Cruise Passenger.

"It's a country filled with wonderful people and astonishing historic sites."

One such cruise is Wendy Wu's 12-day Irrawaddy Voyager sailing, which takes in Kyauk Myaung, where traditional Myanmar 50 gallon water pots can be seen, the magnificent wooden Bagaya Monastery and the U Bein Bridge (the world's longest teak wood bridge) as well as Bagan, where there are 2,000 Buddhist structures scattered across a vast plain.

Wendy Wu Tours: Irrawaddy Voyager, +44 207 939 1200, from $3,654 per person

Norwegian Cruise Lines: Norwegian Escape

"Norwegian Cruise Lines are launching the Norwegian Escape in 2015, which was named by consumers via a Facebook contest, so travelers are already invested in it," says Cruise Planners' Fee.

"The Norwegian Escape will be the largest ship in the Norwegian Cruise Lines fleet and features The Haven, which is almost like a separate ship, with luxury suites, private dining and more."

One of the most popular cruise routes is predicted to be its Eastern Caribbean itinerary, which sails out of Miami.

Norwegian Cruise Line: Norwegian Escape, +44 845 201 8900, from $782 per person

CroisiEurope: Loire cruise

Cruise fans have been eagerly awaiting this particular outing because the boat will use paddle wheel technology to allow it to navigate the shallow waters of the Loire, and overnight cruises along the river haven't been possible until now.

"I'm especially excited about the new Loire cruises because it's a river which has yet to be explored," says Cruise Passenger's Lynch.

"Paddle ships will allow this to be done for the first time in 2015."

CroisiEurope: Loire Princesse,  +33 388 762 199, from $1,570 per person

Crystal Cruises: Best of the Baltic

Proving that cruises are no longer just about eating a lot of food and not doing very much, Crystal Cruises is just one operator offering passengers the chance to work off those calories -- in this case, with a 90-minute run around St. Petersburg during its "Best of the Baltic" cruise from Stockholm to Copenhagen.

"There is a growing focus on fitness and wellness, both through facilities on board and excursions ashore, such as Crystal Cruises' excursions for runners," says Edwina Lonsdale, chief executive of Mundy Cruising.

Crystal Cruises: Crystal Symphony, +1 310 785 9300, from $3,845 per person

Azamara Club Cruises: Bali & Great Barrier Reef

The introduction of this new 14-night cruise of Bali and the Great Barrier Reef is another indicator of a cruise trend we'll see in 2015.

"Australia and New Zealand cruises are becoming more popular," says Sean Keddy, cruise expert at travel agency Love Holidays.

"I suspect this is mainly due to an increased interest from the local markets, but this does allow passengers from Europe and the U.S. more choice and competitive pricing."

Azamara Club Cruises: Azamara Quest, +1 305 341 0206, from $4,277 per person

Crystal Cruises: Northwest Passage

Sometimes tropical destinations just don't do it for would-be cruisers. For those who have some cash to splash, there's Crystal Cruises' new 32-day Northwest Passage cruise, which will set sail in 2016.

It starts in Alaska and finishes in New York, getting there via Nunavut, Greenland and Maine.

"For those interested in a genuine Alaska cruise experience, this itinerary offers a great blend of scenic highlights, wildlife viewing opportunities, off-the-beaten-track excursions and unique ports of call," says Scrivanich of Cruise Specialists.

Crystal Cruises: Crystal Serenity, +1 310 785 9300, from $22,865 per person

@highlight

CroisiEurope's Loire Princesse will be the first overnight cruise on the Loire River

@highlight

Viking Cruises is set to introduce its first ocean-bound ship, the Viking Star

@highlight

P & O Britannia will be the first brand to offer a culinary school aboard a British ship

@highlight

Cruisers can take in Egypt from the River Nile aboard the all-suite River Tosca