(CNN) -- Russia's top diplomat took a shot at the Western and Arab attempts to bring democratic change to Syria on Tuesday.

Foreign Minister Sergey Lavrov singled out the Friends of the Syrian People, a coalition of dozens of nations led by the United States and the Arab League calling for tough action against the Damascus regime.

"There are outside forces that are not interested in the success of the current U.N. Security Council efforts," Lavrov told reporters. "They are trying everything possible to substitute the Security Council with various unofficial formats such as the 'Friends of Syria' or some other forms.

"And (they are trying), with everything possible, to influence the Syrian opposition so that it doesn't work with the government in maintaining a cease-fire and setting up future dialogue."

Lavrov made the remarks as monitors tried to observe a U.N.-backed cease-fire that was supposed to have been in effect since Thursday.

They are reviewing the government and opposition forces' adherence to the cease-fire forged by U.N. and Arab League envoy Kofi Annan. A halt in violence is part of Annan's six-point peace plan, which also calls for unimpeded humanitarian access and an "inclusive Syrian-led political process."

"It is the Syrian government's responsibility to guarantee freedom of access and freedom of movement within the country for these observers. They should be allowed to freely move to any places where they will be able to observe the cessation of violence," U.N. Secretary-General Ban Ki-moon said in Luxembourg on Tuesday.

Annan's effort is supported by the Syrian regime, Russia, China, the United States, Turkey and the Arab world.

Analysis: U.N. diplomacy strengthens al-Assad

Despite a relative drop-off in reported deaths immediately after the Thursday cease-fire deadline, violence persisted in Syria on Tuesday, the 66th anniversary of the country's independence from France.

At least 70 people were found dead across the country Tuesday, the opposition Local Coordination Committees of Syria said.

Most of those slain were found in Idlib province and other deaths occurred in Homs, Daraa and Damascus. Some of those in Idlib were killed during Monday shelling, but their bodies were not discovered and identified until Tuesday, the opposition group said.

Abu Faris, an activist in the volatile city of Homs, said the military is firing rockets and mortars at the Homs neighborhoods of Khalidya and al Bayda.

"Today we have witnessed some of the worst attacks on Khalidya," he said. "It is absolutely unbearable."

Abu Mahmoud, an opposition activist in the southern province of Daraa, said the opposition Free Syrian Army fighters have held their fire since the cease-fire began but the government has continued what he described as aggressive acts in Daraa, as well as Homs.

He called the regime's claim that it is reacting to the activities of armed gangs "a big lie" and believes the killing and shelling will persist.

"I don't think everything is going to be OK," Mahmoud said.

The state-run Syrian Arab News Agency has consistently blamed "armed terrorist groups" for the violence and said aggression by the groups had "hysterically escalated" since the start of the cease-fire. But activist groups every day have cited killings by government security forces.

"I think it's clear that over the last several days, particularly since Saturday, the violence has escalated," U.S. Ambassador to the U.N. Susan Rice told CNN's Chief International Correspondent Christiane Amanpour.

Rice, John McCain talk Syria with Amanpour

Rice said the cease-fire is not holding. When asked whether that spells the end of the Annan mission, Rice said no, but that a shaky cease-fire certainly puts it in jeopardy.

Rice stressed, as she has before, U.S. opposition to military intervention in Syria.

"We're rightly very apprehensive about increasing the militarization of this conflict. It's already a hot war. It could spill over," she said.

Syria has been engulfed in violence for 13 months as a national uprising spread after the government began cracking down on peaceful protests. The United Nations estimates at least 9,000 people have died since the protests began, while others put the death toll at more than 11,000.

Analysis: U.N. observer mission won't change endgame

CNN cannot independently verify reports of violence and deaths, as the government has severely restricted access by international media.

The United States and the United Nations have slammed the crackdown, and there have been international calls for Syrian President Bashar al-Assad to leave office.

Russia, long a staunch ally of Syria, and China have thwarted tough Security Council action against Damascus, including calls for the president to step down.

After those countries vetoed a U.N. Security Council resolution in February, the United States, Arab nations, Turkey and other groups formed Friends of the Syrian People, an initiative to bring democratic change to the nation.

The group backs the efforts of the Syrian National Council -- an opposition movement with strong backing among Syrian activists and citizens -- and other opposition groups to pursue a democratic system.

Representatives from one opposition group, the National Coordination Committee for Democratic Change, visited Russia on Tuesday.

The group's leader, Hasan Abdul Azim, said the Annan plan is the "last chance" for peace in Syria, Russian media reported. He is quoted as saying that the "Syrian dialogue needs" help from international groups such as the United Nations and the Arab League.

Andrew Tabler, a Syria expert at the Washington Institute for Near East Policy, describes the coordination committee, based in Syria, as an "older opposition" that doesn't have the mass grass-roots and youth support of the Syrian National Council.

However, he said, "this is the established opposition the regime would rather dialogue with."

Annan was in Qatar on Tuesday to participate in an Arab League meeting on Syria, according to the state-run news agency in Qatar.

Syrian Foreign Minister Walid Moallem "will pay a working visit to China" on Wednesday at the invitation of Chinese Foreign Minister Yang Jiechi, China's state-run Xinhua news agency said.

A group focused on imposing sanctions against the Syrian regime convened in Paris on Tuesday, a meeting co-chaired by France, Morocco and a European Union unit.

The International Working Group on Sanctions reiterated moves made in Tunis by the Friends of the Syrian People to implement various "restrictive measures." It strongly disapproved "of any financial and other support to the Syrian regime and in particular ongoing arms sales."

The group also welcomed "sanctions adopted by the EU, the Arab League, the United States of America, Turkey, Norway, Switzerland, Monaco, Croatia, Iceland, Canada, Australia and Japan" against Syria and urged those in the Friends of the Syrian People group and "states that have not yet exerted the necessary pressure to join these efforts and further isolate the Syrian regime."

CNN's Hamdi Alkhshali, Saad Abedine, Salma Abdelaziz and Ruba Alhenawi contributed to this report.

@highlight

Ambassador Susan Rice says cease-fire is not holding, defends U.S. position

@highlight

At least 70 people were found dead in Syria on Tuesday, an opposition group says

@highlight

A sanctions group deplores sales of arms to Syria