(CNN) -- Brazil's national football team may have been smoked on the pitch by Germany, but now government officials are claiming a 2014 FIFA World Cup victory of another sort.

According to figures released this week by Brazil's federal government, the World Cup was a triumph for the country's transportation and tourism industries.

"We lost the trophy, but Brazil won the World Cup," said Aloisio Mercadante, Brazilian president Dilma Rousseff's chief of staff, in a statement.

"Brazil showed that they know how to win, lose, host and celebrate peace with respect and a 'make yourself at home' atmosphere that won the world over."

According to government figures, 1 million foreign tourists visited Brazil during the month-long event, far exceeding its pre-Cup projection of 600,000 visitors coming to the country from abroad.

About 3 million Brazilians traveled around the country during the event, just short of the expected 3.1 million.

Additionally, according to the government, of the million foreign visitors, "95% of them said they intend to return."

"We were saying that we would host the World Cup of World Cups," said President Rousseff in a statement. "Indeed, we staged the World Cup of World Cups.

"We had one problem, our match against Germany. However ... we beat the pessimistic predictions and hosted the World Cup of World Cups with the immense and wonderful contribution of our people."

Not everyone on board

The government's assessment of the World Cup's impact on travel was significantly more enthusiastic than a report last week in the Wall Street Journal that called the event "a bust for Brazil's domestic travel industry."

Citing figures from the Brazilian Airline Association, that story projected total air travel in Brazil falling 11% to 15% during the World Cup compared with the same period in 2013. The story blamed hiked-up prices and large crowds for scaring off domestic tourists.

Economists who study the impact of large sporting and other events on local and national economies tend to be less sanguine than the governments that host them.

"Every time you get a World Cup tourist you get one less regular tourist," Dr. Andrew Zimbalist, a sports economist and economics professor at Smith College in Massachusetts, tells CNN.

"Generally speaking, the World Cup does not benefit the host's tourism industry."

Zimbalist says it's doubtful Brazil's international tourism profile will experience long-term positive impact as a result of the World Cup.

He points to heightened media coverage around the event that focused on "unsavory conditions" facing the country, such as violence, poverty, pollution and social unrest, as illustrated by public demonstrations against the huge amounts of public funds spent on new infrastructure.

Furthermore, he said, the World Cup won't provide sustained promotion for the smaller of the event's 12 host cities.

The Amazonas city of Manaus is an example.

Zimbalist cited public money spent on a stadium that will eventually become underutilized. Rather than inspire coverage of the beauty of the surrounding Amazon, media reports tended to focus on the new facility and the conflict that surrounded its construction.

"It's very hard to see how that's going to promote tourism in Manaus," says Zimbalist.

More where that came from

Turning mega-sporting events such as the World Cup and Olympics into proxy tourism campaigns remains an uncertain enterprise.

Some cities continue to reap the benefits of hosting.

Barcelona has seen a tenfold increase in tourist numbers since it hosted the 1992 Summer Olympics.

Meanwhile, a decade after hosting the 2004 summer games, Olympic venues in Athens have become decaying ghost towns.

For now, it's unlikely there will be enough time to assess the long-term economic impact of the World Cup on Brazil's economy in advance of the country's next huge event -- the 2016 Summer Olympics in Rio de Janeiro.

@highlight

Germany? Who's Germany?

@highlight

Brazilian government calls World Cup a big success for the country's travel and tourism industries

@highlight

One million tourists from abroad visited Brazil during the event

@highlight

Economist doubts long-term positive economic impact of the World Cup