(Health.com) -- Have you ever reached into your medicine cabinet and pulled out a bottle with a faded label, only to discover that the aspirin or prescription drugs inside were past their date? Did you play it safe and toss the bottle into the trash?

If so, you might have been overly cautious. A new laboratory analysis of eight prescription drugs that expired between 28 and 40 years ago has found that most have remained just as potent as they were on the day they were made.

Overall, the eight drugs included 14 different active ingredients, including aspirin, codeine and hydrocodone. In 86% of cases, the study found, the amount of active ingredient present in the drugs was at least 90% of the amount indicated on the label.

That falls within the range deemed acceptable by the Food and Drug Administration. The agency allows "reasonable variation" in the strength of any given batch of prescription drugs, generally requiring that drugs contain between 90% and 110% of the stated active ingredient.

Health.com: Tips for saving money on prescription drugs

It's impossible to say from the study results alone whether the eight drugs would be effective if used today, but "there's no reason to think that they're not," says Lee Cantrell, the lead author of the study and a professor of clinical pharmacy at the University of California, San Francisco.

Two of the tested ingredients, aspirin and amphetamine, consistently fell below the 90% threshold, as did one sample of the painkiller phenacetin. On the other hand, three ingredients were found in amounts greater than 110% of label strength -- perhaps because those drugs predate quality-control regulations introduced by the FDA in 1963, the researchers say.

Most drugs are dated to expire after one to five years, but as the results show, that time frame doesn't necessarily correlate to a drug's potency, Cantrell says.

"All [the expiration date] means from the manufacturers' standpoint is that they're willing to guarantee the potency and efficacy for the drug for that long," he says. "It has nothing to do with the actual shelf life."

Health.com: What belongs in your medicine cabinet?

The fact that expiration dates appear to be somewhat arbitrary may mean that consumers and pharmacies alike are throwing away perfectly good medicine. And this has important implications for drug shortages and especially health care costs, the researchers say.

"We're spending billions and billions on medications and medication turnover," Cantrell says. "If a drug has expired, you've got to throw it away, it goes into a landfill, and you have to get a new prescription. This could potentially have a significant impact on cost."

Although consistently taking depleted prescription drugs could certainly cause complications, expired drugs are generally safe. In the medical literature there is only one example of an expired drug that became toxic, and that was an isolated incident, says Cantrell, the director of the San Diego division of the California Poison Control System.

Health.com: 13 drugs that can make you gain weight

The new findings, which were published today in a research letter in the Archives of Internal Medicine, don't mean you should go digging through the trash for your expired meds just yet, however.

For starters, some of the drugs tested are no longer widely used, and it's not clear that the results would be the same for different drugs, or for similar drugs stored in different conditions, says Mohammad Nutan, an associate professor of pharmaceutical sciences at the Texas A&M Health Science Center, in Kingsville.

The drugs in this study were unopened and still in their original containers, Nutan points out. Medications that are already opened or those stored in less than optimal conditions might be a different story altogether, since humidity, temperature, and even exposure to light can all affect how well a drug stands the test of time, Nutan says.

Still, Cantrell and his colleagues say, the findings suggest that the expiration dates of some drugs could be safely extended. The FDA, in fact, has already done so for certain medications in short supply, including anti-venoms for the Eastern Coral snake and the Black Widow spider, Cantrell notes.

"Perhaps expiration dating of medications needs to be revisited," he says.

Copyright Health Magazine 2011

@highlight

Study finds many "expired" drugs are just as potent as they were originally made

@highlight

FDA generally requires drugs to contain between 90% and 110% of the active ingredient

@highlight

Expired aspirin and amphetamine consistently fell below the 90% threshold