(CNN) -- Things are finally looking up for beleaguered Boeing and its grounded 787 Dreamliner.

The Federal Aviation Administration (FAA) on Tuesday approved the United States aircraft maker's proposed fix of the battery systems on the passenger jet once hyped as the "plane of the future."

What this means is the world's largest airplane maker still has to prove its redesign of the plane's lithium-ion battery system is safe before the 787s can again take to the skies.

"The certification plan is the first step in the process to evaluate the 787's return to flight and requires Boeing to conduct extensive testing and analysis to demonstrate compliance with the applicable safety regulations and special conditions," the FAA said in a statement released Tuesday.

In other words, now comes the hard part.

No smoking gun in NTSB report on Dreamliner battery fire

"This is no means the end of the story. Now it has permission to operate test flights. These will be lengthy and thorough and the FAA and National Transportation Safety Board will have to be 100 percent confident the fix is sufficient before it allows the aircraft to fly again commercially," said industry expert Tom Ballantyne, the Sydney-based chief correspondent for Orient Aviation.

"This could still take a month or two, depending on how easy the fix can be applied to existing aircraft as well as planes already on the production line."

Boeing's Dreamliner nightmare started in January when the company's newest and most advanced commercial jetliner was grounded by regulators worldwide after two battery-related fires damaged 787s in Boston and in Japan.

No passengers or crew were hurt in either incident.

For now, there are 50 grounded Dreamliner wide bodies that were flying worldwide. Boeing has orders for several hundred more, making the issue a top priority given all the investment that's been put into the model's development.

Japan's ANA replaced faulty batteries last year

What is the fix?

This is how Boeing is planning to address the battery issue.

To put it simply, the plan includes a redesign of internal battery components to minimize chances of a short circuit.

It also involves better insulation of battery cells and adding a new containment and venting system aimed at preventing any overheating from affecting the plane or being noticed by passengers, Boeing said.

"This means if there is an issue any heat, smoke and fire will be well contained and vented outside the aircraft," explained Ballantyne.

The FAA's approval of the plan allows for limited test flights for two aircraft equipped with prototype versions of the battery fix.

Once the FAA decides the redesign is safe and meets federal safety requirements, only then will it approve the Dreamliner's return to the skies.

How Boeing can bounce back

"This comprehensive series of tests will show us whether the proposed battery improvements will work as designed," said U.S. Transportation Secretary Ray LaHood.

"We won't allow the plane to return to service unless we're satisfied that the new design ensures the safety of the aircraft and its passengers."

Ray Conner, president and chief executive officer of Boeing's commercial airplane unit, said in a statement the company's focus has been on developing a permanent resolution.

"Working with internal and external experts in battery technology, we have proposed a comprehensive set of solutions designed to significantly minimize the potential for battery failure while ensuring that no battery event affects the continued safe operation of the airplane," said Conner.

"We have a great deal of confidence in our solution set and the process for certifying it," he said.

More positives for Boeing

The news comes on the heels of other positive developments that have boosted Boeing's falling star in recent weeks.

The airline maker is reportedly ready to sell a new version of its 777 jetliner, dubbed the 777x.

According to Aviation Week, Boeing's board of directors is expected to decide as early as its next meeting in April whether to give the Commercial Airplanes division authority to offer the proposed 777X derivative to airlines.

In other news, there are rumors Irish low-cost airline Ryanair will soon announce an US$18 billion deal to purchase up to 200 737 jets from Boeing, pushing the latter's stock up to a five-year high.

CNN's Karla Cripps contributed to this report.

@highlight

Boeing will redesign battery system and conduct new tests, says it is confident

@highlight

Analyst: Tests will need to be lengthy and thorough

@highlight

May still take months before commercial Dreamliner flights resume

@highlight

Boeing's 787 was grounded in January after two battery fires