(CNN) -- Thanksgiving usually means family, food, football and, of course, the kickoff of the holiday shopping season with Black Friday and Cyber Monday.

With so much consumption going on, giving back can easily be overlooked. The 92nd Street Y in New York hopes to change that with its social media movement #GivingTuesday.

#GivingTuesday is not a charity drive to benefit one cause but a call for many organizations and individuals to give to those less fortunate during this time of year, say its organizers. Retailers around the country will host donation drives in stores on Tuesday. Meanwhile, participants with an online presence are soliciting charitable contributions from their social media followers.

"We began thinking about this around the holidays last year, but work truly began in earnest in the spring," said Henry Timms, spokesman for the community center and the movement's mastermind. "What's been so inspiring is how many organizations and individuals have taken up the charge for #GivingTuesday."

My Take: #GivingTuesday creates better Christmas narrative than Black Friday

The message is "people don't have to be a billionaire or a big name to be a philanthropist." Anyone can make a lasting impact when they donate and advocate for causes that matter to them, Timms said.

As the hashtag suggests, social media is central to the #GivingTuesday effort. Relying on its social media connections, 92nd Street Y was able to reach millions of people and spread the word about the event.

The U.N. Foundation, Microsoft, Goodwill, The Salvation Army and the American Red Cross have joined the effort. Altogether, there are more than 2,000 organizations participating in the #GivingTuesday event nationwide.

People can donate to any charity they wish, and #GiveTuesday's charitable partners can use any method they wish to give back. For instance, Microsoft will launch a donor-matching campaign for GiveforYouth.org, a "micro-giving" site that strives to fund young people's ambitions.

"This new way of building communities and sharing with one another is the way that modern movements will take hold, and social media is the medium that can connect these communities, not only at greater speeds and across boundaries, but in authentic and lasting ways," said Kathy Calvin, CEO of the U.N. Foundation. "We view social media as more than just the broadcaster for this conversation about giving; it's the connector."

Some groups have even taken a page from 92nd Street Y and created a social media plan to focus their contribution efforts.

Shoemaker ALDO will host a donation-match Twitter campaign, inviting its community to tweet what they'll be doing on #GivingTuesday. Each tweet that mentions ALDO's Twitter handle and contains the phrase #GivingTuesday will be matched with a $5 donation to the American Red Cross.

Sony will tap Pinterest, the online scrapbooking site, for a "Pin It to Give It" donation campaign. From #GivingTuesday until the end of the year, Sony will give a dollar for every Sony product re-pinned on the "Pin It to Give It" board, up to $25,000. The money will go to the Michael Phelps Foundation to benefit the Boys and Girls Clubs.

It isn't just online that people can contribute to the #GivingTuesday event -- live events are also planned. A benefit auction for Superstorm Sandy victims is scheduled in San Francisco, and at every Simon shopping mall in the country, shoppers will be able to donate to charities.

While some may say the Thanksgiving holiday has become too commercialized thanks to huge retails deals drawing consumers to shopping centers before most people have finished washing dishes, #GivingTuesday is not about competing with other events of the season.

According to Timms, it's about starting the "giving season" and creating a specific day for people and businesses to give back.

After reporting a record high of more than $314 billion in donations in 2007, charities saw a combined 13% decline in donations for the next two years, $299 billion in 2008 and $280 billion in 2009, according to Giving USA.

"Our revised estimates show that 2008 and 2009 saw the largest drops in giving in more than 40 years as a result of the Great Recession, exceeding previous recessions' impact on giving," Edith Falk, chair of Giving USA Foundation, said in a statement.

In 2011, the total amount contributed to philanthropy saw an $8 billion increase from 2010. The Giving USA 2012 Report said that with the country coming out of recession, people are feeling better about their financial well-being, which has allowed them to start donating again.

"We believe that #GivingTuesday can not only inspire more donations, in terms of both donation dollars and volunteer hours, but can help change the dialogue about giving," Calvin said. "This first year has shown us how much people are willing to contribute, even in tough economic times, to make a difference in the life of one person in their community or to groups of people around the world."

Even in tough economic times, people are still willing to give and spend. Holiday sales for this year are projected to reach $586 billion, which is a 4% increase over last year, according to the National Retail Federation.

Timms said he thinks people will manage to satisfy their thirst for a great bargain as well give back to a charity.

"Black Friday and Cyber Monday are really important days for our economy, and we all enjoy the chance to get a deal," said Timms. "After two days set aside for getting deals, it feels right to have a day dedicated for giving back."

The event, which organizers hope will become a mainstay during the holiday season, kicks off Tuesday.

Like CNN Living on Facebook

@highlight

#GivingTuesday is a project by the 92nd Street Y to encourage charitable giving

@highlight

Using social media and live events, #GivingTuesday pushes matching donations

@highlight

More than 2,000 organizations will participate in events online and nationwide

@highlight

#GivingTuesday is planned a counterpart to Black Friday and Cyber Monday