Las Vegas, Nevada (CNN) -- Smartphones can control drones, speeding robots, cameras and the temperature of your master bathroom. That's just some of the technology on display in Las Vegas this week at the annual International Consumer Electronics Show.

The massive show doesn't kick off in earnest until Tuesday, but some companies gave a sneak preview of their gadgets at the CES Unveiled event Sunday night. The technology at Unveiled tends to skew small and fun, and many products are from start-ups instead of major companies. A few are already available but most are scheduled to come out a bit later this year.

Among the usual headphones and speakers, we found some interesting gizmos. Some might go mainstream, others will be copied by major companies, and some are just too strange or niche to make it outside of a select group of tech enthusiasts.

Racing robots

Smartphone-controlled toys are popular, especially the rugged rolling robots that show off by jumping, spinning and speeding around.

Sphero follows up its smartphone-controlled ball with the programmable Sphero 2B, an infrared-equipped two-wheeled robot that can go up to 14 feet per second and leap 3 to 4 feet into the air. The company behind the device, Orbotix, thinks people will use it in a variety of multiplayer smartphone games or for racing.

Also on display was the similar Jumping Sumo from Parrot. The Sumo can also go high into the air and speed and do tricks, and it includes a built-in camera.

Recreational drones

Tiny, medium and large drones are constantly buzzing through the CES airspace. Some, like the Parrot MiniDrone, are just toys, meant to be controlled with smartphones and used to amaze or annoy your friends.

The medium-size drones can be fun and also serve a purpose. DJI Innovations makes a line of professional and consumer drones for shooting video and taking photos. Its newest product is the Phantom II Vision, which has a built-in camera instead of the usual camera mount.

You can see what the camera is seeing from a smartphone app while the drone is in the air. It also shares stats like telemetry data and warns you if the drone is too close to the 400-foot maximum height allowed by law.

The company also makes a version of the Phantom II without a camera, so you can mount something like your own GoPro, and a hulking professional version that can carry a professional-size camera, like the Canon 5D.

New kind of keyboard

Some of the best gadgets at CES are the weirdest. The Mobile QWERTY keyboard from TrewGrip takes the traditional computer keyboard, splits it, flips it and puts it on the back of a hand-held keyboard, where you will press them without looking. The device is meant to be ergonomic and a full-size alternative to the tiny on-screen keyboards found on most mobile devices.

The company says that it's easy to learn the new style of typing since the order of the letters is the same, and the front of the keyboard offers a light-up guide to help with the transition.

The keyboard connects to mobile devices over Bluetooth, but it can also be attached to the center of the keyboard with a suction mount.

Wearable sensors with flair

Using tiny sensors to track activity in watches, bracelets and other wearable doodads has been getting more mainstream. The next step is to make them something people actually want to be seen wearing. The early attempts are focusing on disguising the tech as familiar accessories.

June is a UV sensor inside what looks like a sparkly piece of costume jewelry. The $99 fake gem attaches to a double-wrap leather bracelet or can be pinned to clothing. It tracks sun exposure, sunblock usage and other details and then churns out advice to keep the wearer from soaking in too many rays or burning.

Wellograph attempts to make the usually sporty fitness tracker into a high-end-looking watch. Also on a leather strap, the large square watch face is made out of hardy sapphire crystal and shows all the information in simple white lettering on black. It tracks heart rate, steps and fitness levels. It can sync to a smartphone but can also hold up to four months of data. The $320 watch will be available in April.

Power providers

Having enough power is an issue in developing countries, in emergencies and for anyone who needs to use a smartphone for more than half a day without recharging. A group of power-related gadgets attempts to address all the power problems on the spectrum.

Intelligent Energy is working with Brookstone on a hydrogen-powered fuel cell that will cost $199 when it launches in the U.S. this spring. The device is able to charge a smartphone five times on a single cartridge, but the cartridges are swapped out at Brookstone locations. It's not exactly off-the-grid living if you're driving to the nearest strip mall to get a refill, but the device is also rolling out in South Africa and Nigeria through cell carriers, which could have many more refill locations.

The Waka Waka chargers are solar powered and already used by 102,000 people in Syria. The device got its start as a Kickstarter project, and now the makers are hoping that sales in the U.S. and Europe can help make the same devices more affordable in developing countries and areas hit by disasters. There's also a Waka Waka solar-powered light, and the company is working on a full emergency kit for the future.

Trackers, trackers everywhere

Tiny tracking devices are the hot, cheap product du jour. In addition to the fitness trackers, there are sensors for keeping track of your belongings, tracking your sleep patterns, and tracking air quality and temperature.

One of the odder offerings we saw was Mother, a hub that looks like a happy ghost and works with up to 24 tiny sensors called cookies. The sensors can be placed on anything (or anyone) in the home and used to track their location, status or temperature. Like many of the systems at CES, Mother doesn't play well with other systems and devices.

Withings wants to track sleep with a sensor that slips under a mattress and a companion smart lamp and alarm, called the Aura, that tracks what part of the sleep cycle a person is in. When it's time to get up, the Aura waits until the right part of the sleep cycle. While users are asleep, it generates special colored lights that the company says helps people generate melatonin.

The device, which comes out in the spring, can also sense light levels and air quality.

@highlight

New technology is previewed ahead of the Consumer Electronics Show in Las Vegas

@highlight

Fun-sized drones and smartphone-controlled racing robots are popular

@highlight

Tiny sensors can be used to track fitness, sleep, air quality, UV rays and car key location