(CNN) -- Life had not quite worked out the way Fuad Ibrahim had planned.

A few years ago the whole world was laid out at the 21-year-old American striker's feet. Ibee, as he is known by his coaches and teammates, was considered one of the most naturally talented players ever to emerge in U.S. soccer.

He was quickly brought into the national team set up, playing in every game at the Under-17 World Cup finals. At the age of 16 he was the second youngest player ever to be drafted into the MLS. Perhaps prophetically, the youngest was Freddy Adu, a name that has become a euphemism for talent unfulfilled.

Luck, nerve, injury, temperament: no one could explain Ibee's decline after being called up to the U.S. Under-20 squad. But decline he did as he went from Dallas to Toronto and then to his hometown club, the Minnesota Stars in the NASL -- the second tier of U.S. soccer. The decline appeared terminal when he was released at the end of last season..

And then out of the blue an email arrived from the country of his birth -- Ethiopia.

"It said that Ethiopia would like to invite me to play for the national team," Ibee told CNN, speaking from his hotel room in the capital Addis Ababa.

Africa calling

Ibee had left Ethiopia with his parents when he was eight. He only remembers blurry snippets from his life there, while he does not speak much of the language, just a few words and phrases.

He still does not know quite what to make of how things have turned out. His entire life had been geared towards one day playing for the full U.S. men's national team. Now there was another potential future on the Horn of Africa.

"I didn't think they wanted me to go right away but then they kept emailing me," added Ibee.

"Eventually I replied back, thinking it might be something for the future. A couple of times we had contact over the phone. Then I realized they were serious."

Soon Ibee was flying to the high altitude of Addis Ababa and into Ethiopia's squad for the 2013 Africa Cup of Nations, a biennial tournament considered one of the toughest, and most entertaining in world soccer.

The Story of Libya's Rebel Soccer Team

Ethiopia had once been champions of Africa. But a devastating series of famines and wars killed millions of people in the 1970s and 80s. Soccer took a back seat until last year when the Walya Antelopes came from nowhere to qualify for their first Africa Cup of Nations in 31 years.

Coach Sewnet Bishaw has masterminded their shock qualification -- Ethiopia having somehow made it through after losing 5-3 against Sudan in their first match.

But Bishaw knew that, in a continent that provides some of the best players to the best clubs in the world -- with top African players playing for the likes of Real Madrid, Chelsea and Barcelona -- experience in foreign leagues would be needed.

Eventually that trawl led to the MLS and to Ibee, who was handed his first start in a warm-up match against Tanzania. He scored.

"It was a special moment to score," Ibee said of his first-half strike in a 2-1 victory. "It will live with me for the rest of my life."

A Minnesota winter

After emigrating to the U.S. the Ibrahim family settled in the wintry climes of Minnesota. His father made a living at a driving school, while Ibee soon discovered that he had a talent at soccer.

"It was the United States, the land of opportunity, so it was a chance to be raised in a better environment to have that opportunity in life," he said of the family's reasons for emigrating.

"But for any kid growing up in Africa, soccer is the first sport they play. I was never really serious but I started playing club teams, I was doing good and realized I should stick with it ... everything for me then was all about playing for the States."

He tried his hand briefly at American football -- as a kicker his record for a field goal was 34 yards -- but soccer was always his first love. It was after Ibrahim had been called up to the MLS residency program at the IMG Academy in Bradenton, Florida that Ibee started to dream of the world stage.

"I always wanted to play for the US national team," he said.

"I got an Under-15 invite to stay in Florida and from day one it was special, playing pre-season against MLS teams. I realized I could make it. We were already playing professional teams. I thought, I could be there one day. I wouldn't be where I was today if wasn't for U.S. soccer."

Ibee graduated seamlessly through U.S. soccer's national youth teams, playing at the Under-17 World Cup in South Korea before being called up to the Under-20 team, the last step before becoming a full international.

"Ibee was one of the most talented players to come through the U.S. Under-17 and 20 teams," said Thomas Rongen, the current youth academy director at Toronto, who was coach of the Under -20 U.S. national team at the time.

"But [he] was not able to make the step to the highest level. [Ibee] signed as one of the youngest players in the history of MLS, only Freddy Adu was younger. Technically very sound ... but [he] was not able to adapt to the professional game at the highest level."

The next big thing?

What went wrong?

"I'll be honest, I didn't have any injury when I was at Toronto and I'm not someone to blame other people for things in the past," explained Ibee.

"I was doing good but as time goes, growing up with so many coaches -- Toronto FC has had eight coaches in five years -- it effected my playing time.

"When a new coach came in I'd get a rhythm, they'd get fired and then a new one came in. All of a sudden you have to rebuild trust. It kind of kept happening."

After Toronto Ibee tried to get his big break in Europe, but that did not work out either.

"I was here and there in Austria and Denmark. I didn't find a place where I really fitted in. It didn't go the way I wanted. But this is life. You have to live with it and learn."

Then came the call from Ethiopia.

"The weather was very difficult especially coming from the cold and suddenly I'm in high altitude," he said of his arrival in Adidis Ababa, whichat 2,355 meters above sea level is the fifth highest capital city in the world.

"It was tough in the first week. But I've got used to it. It was time to play for my country, the country I was born in."

Young Americans

Ibee is not the only American soccer player that has made the move to a different national team.

During qualification for the 2014 World Cup, national teams from Haiti, Palestine and Afghanistan, among others, have scoured U.S. soccer's talent network looking for second and third generation immigrants to bolster their teams.

An American Soccer Star Playing For Palestine

"There are a growing number of Americans playing for other national teams but it's almost a second choice," said Brian Sciaretta, a New York Times blogger, who runs Yanks Abroad, a website detailing the foreign adventures of American soccer players.

He has seen a huge number of players coming through the U.S. system before turning up in the most unlikely of places from Ethiopia to Tajikistan. As many as 400 play in Europe alone.

"There's so many different ethnically diverse people in the States. Soccer is new but we've always been athletic people. We have state-of-the-art fitness and dieting. It's quite attractive to foreign coaches," he said.

"If soccer can make it work in this country it could have revolutionary effect on global football."

Now Ibee has the chance to put his career back on track. Currently a free agent, a good Africa Cup of Nations could secure him a contract back in the U.S. or even in Europe.

First there is the task of negotiating a tough group containing reigning champions Zambia, former champions Nigeria and Burkina Faso.

"Technically they are very, very talented," Ibee said of his teammates.

Although he cannot speak Amharic, he communicates with Bisaw in English. "They have a different style of playing. They can shock anybody. No one thought Zambia would win the Africa Cup of Nations last year but they shocked everybody."

Shop window

True life did not quite work out as expected for Fuad Ibrahim. But sometimes that is not necessarily a bad thing.

Arsenal coach Arsene Wenger recently argued that the Africa Cup of Nations is the last tournament in world football where unknown players and teams can emerge to be stars.

"This time in South Africa you will have Ethiopia," he said. "If I ask you to name five Ethiopian players, I am sure you will have a problem."

Wenger's quotes have been used by Bishaw to motivate his team further. But the chance to play against some of the best players in the world, and get his career back on track, is motivation enough for Ibee.

"It's a great opportunity for me," he said. "Soccer can change the the way rest of the world view Ethiopia and Ethiopian soccer. After the goal I scored people recognize me in the street. I hope I do that on the big stage."

"Only God knows. I'll leave it up to God."

@highlight

This weekend sees the start of the 2013 Africa Cup of Nations in South Africa

@highlight

Former winners Ethiopia have qualified for their first AFCoN in 31 years

@highlight

In the squad is former U.S. Under-20 international Fuad Ibrahim

@highlight

The 21-year-old raised in Minnesota before being picked up by Ethiopia