Washington (CNN) -- Rick Santorum, the former Pennsylvania senator, conservative social crusader and perpetual GOP presidential candidate, sounded a downcast note over the weekend when asked about the possibility of another White House run in 2016.

"Yeah, I don't know if I can do this," Santorum told the Associated Press. "It's just tough."

Santorum cited the health of his 5-year-old daughter Bella, who suffers from the genetic disorder Trisomy 8, and a new job as the CEO at a faith-oriented movie company as reasons why he may pass on a repeat White House run.

Earlier: Santorum 'very open' to another presidential bid

Left unsaid: The Republican field is shaping up to be more impressive this time, making the path to the nomination even more difficult for the 2012 GOP runner-up, who came close to toppling frontrunner Mitt Romney during their winter primary clash by rallying Christian conservatives and working class primary voters to his side.

Still, despite his candor about the challenges ahead, Santorum is very much keeping his name in the 2016 mix and relentlessly plugging away behind-the-scenes.

Earlier: Santorum's busy day in Iowa

Few Republicans question Santorum's work ethic. His early-and-often visits with grassroots activists in all of Iowa's 99 counties helped propel him to a breakout win in the Iowa caucuses in 2012.

But Santorum is doing something different this time: He's making early connections with establishment leaders in the leadoff nominating states, an effort to make himself more palatable to powerful Republicans who were reluctant to embrace him in 2012 because of his unyielding views on social issues and his sometimes dour temperament.

A trip last month to the early primary state of South Carolina revealed just how much political work Santorum is doing away from public view — and how badly he wants to be taken seriously by Republican forces who had trouble seeing him as their party's standard-bearer against President Barack Obama.

Earlier: Santorum South Carolina bound

Here's a look at how much activity Santorum packed into a single 36-hour political tour of South Carolina:

— On April 14, Santorum arrived in Charleston, where two of his sons are cadets at The Citadel, for some family time. But South Carolina isn't just where his sons reside — it's a closely-watched primary state where GOP presidential hopefuls test their support among southern conservatives. Santorum addressed a luncheon on campus hosted by the Charleston County Republican Women, and while there, he gabbed with former South Carolina Attorney General Henry McMaster, a fixture of the state's GOP establishment and a candidate for lieutenant governor this year.

— Santorum made time in between to take questions from reporters, dissing the "weakness" of Obama's foreign policy and calling on Republicans to do a better job relating to working class Americans instead of big business. The latter message, of course, doubled as a plug for the new book he's hawking, "Blue Collar Conservatives."

— Later that evening, Santorum delivered remarks to the Charleston County Republican Committee, one of the state's most active county GOP organizations. Also in Charleston, Santorum raised money for Patriot Voices, a 501(c)4 group that advocates for conservative causes and helps fund his travel to very important places — like states that have presidential caucuses and primaries.

— The following morning, Santorum was escorted around Columbia, the state capital and its political hub, by a South Carolina friend, and veteran of the 2012 campaign, lobbyist James D'Alessio. One of his first orders of business was a meeting with Richard Quinn, the longtime GOP political strategist who helped run the two presidential campaigns of John McCain, never a Santorum friend when the two served together in the Senate. Quinn said the get-together, held at his office, was just a chance to connect. They talked about his book — and about boiled peanuts. "He had his first boiled peanut in my office," Quinn said. "This is first chance we had to talk. I was extremely impressed. He has got a sense of humor and quick wit and twinkle in his eye. But we didn't talk about presidential politics. We had a nice little chat. But he wasn't interviewing me, nor was I interviewing him, for any kind of presidential relationship."

— Santorum dropped by the South Carolina state house, where he sat in the gallery and was introduced from the floor by state Sen. Thomas Alexander. Santorum then met with Alexander in the Senate antechamber, and posed for pictures with other members of the state legislature. Hogan Gidley, a South Carolina-based Republican who advised Santorum's 2012 campaign, said the potential candidate is being more methodical about building relationships as he eyes a second bid. "I don't know if Rick can capture what he did before, but he is acting more pragmatic this time," Gidley said. "It's not as much as a fly-by-night kind of organization like it was before. Last time he just decided to run and people came along with him. Now he is laying the groundwork to try to get people on board."

— Lunch break: Santorum dined with national and state officials from the Special Forces Association, an organization of active and retired Green Berets. The group was in town planning their national convention, which will be held in Columbia in June.

— A stop by South Carolina Republican Party headquarters was next on the agenda. Santorum and D'Alessio had a meeting with state party chairman Matt Moore, who later tweeted a picture of the "great visit."

— D'Alessio organized a cozy meet-and-greet for Santorum at the Palmetto Club, a private downtown hang-out frequented by South Carolina business and political honchos. Among those in attendance: Henry McMaster, Attorney General Alan Wilson, AT&T South Carolina president Pam Lackey and Trey Walker, a former McCain strategist who now steers government relations for the University of South Carolina. Walker offered Santorum tickets to that evening's baseball game against Charleston Southern. Santorum accepted.

— At the last minute, Santorum popped into a private fundraiser for Charmeka Childs, a Republican candidate for education superintendent. Childs, a 36-year old African-American woman, is considered an up-and-comer by some members of the state's business community who hosted the event, including South Carolina Chamber of Commerce president Otis Rawl, South Carolina Business and Industry Political Committee president Tom DeLoach, and public affairs strategist Ed McMullen. Santorum met them during his brief drop-by.

— Joined by his niece, an undergraduate at the University of South Carolina, Santorum ended the day taking in the college baseball game with other VIPs inside the president's box at Gamecock Stadium. Over beers, the two talked politics, with Walker re-hashing the ups and downs of McCain's victorious 2008 primary campaign. Santorum departed after about six innings. Walker left impressed. "He makes a helluva second impression," he said of Santorum.

Santorum: Georgia gun law to improve safety

Pence stays quiet on potential 2016 run

Rand Paul meets with top Romney donors

2016: A more diverse slate of GOP presidential possibles

@highlight

Former Pennsylvania GOP Sen. Rick Santorum ran for the nomination in 2012; might run again

@highlight

Santorum is very much keeping his name in the 2016 mix by visiting critical early primary states

@highlight

This time around he's making early connections with establishment leaders in the early states

@highlight

Santorum recently packed a lot of activity into a 36-hour visit to South Carolina