Majer, Libya (CNN) -- Deafening peals of gunfire heralded the arrival of the caskets. There were 28 in all. One of them was only about two feet long and held aloft by a single man.

Some of the robed men carrying these crude coffins wept loudly. All of them repeated the same chant: "There is no God but Allah, and a martyr is loved by Allah."

At one point, some of the mourners pointed to the sky. A single warplane roared high overhead, appearing white against the cloudless blue backdrop.

Libyan government officials said the mass funeral witnessed by foreign journalists Tuesday in the village of Majer accounted for a fraction of the people killed by a series of deadly airstrikes late Monday night.

"Eighty-five Libyan civilians, including 33 children, 20 men, 32 women and we're still counting, were massacred last night in an intensive air raid by NATO on the town of Majer," declared the spokesman for Moammar Gadhafi's besieged government, Musa Ibrahim.

It is impossible for CNN to confirm the extent of the casualties, and whether or not they were all civilian.

Ibrahim addressed journalists from the rubble of one of five houses that he said had been bombed the previous night. Inside, a burned mattress was still smoking and the smell of explosive was in the air. As Ibrahim spoke, two plumes of smoke erupted in the distance. It wasn't clear whether the explosions came from airstrikes or artillery.

Ibrahim accused NATO of bombing Majer to clear the way for rebels to advance on the embattled Gadhafi-controlled city of Zlitan, located just a few kilometers to the north.

"This is a crime beyond imagination," he concluded.

For weeks, NATO warplanes have been bombing Zlitan on a daily basis. Meanwhile, rebels have been pressing toward Zlitan's eastern gates from the nearby opposition-held port of Misrata.

In an e-mail to CNN, NATO confirmed that aircraft bombed targets south of Zlitan Monday night. But a spokesman for the military alliance denied targeting civilians.

"NATO had very clear intelligence demonstrating that former farm buildings were being used as a staging point for pro-Gadhafi forces to conduct attacks against the people of Libya," wrote a public affairs officer with NATO's Operation Unified Protector, on condition of anonymity. "We do not have evidence of civilian casualties at this stage, although military casualties, including mercenaries, are very likely owing to the nature of the target."

Determined to prove there was no presence of military personnel, Libyan government officials escorted a busload of foreign journalists to the scene of the bombardment.

There were three neighboring compounds containing five bombed-out houses. Mattresses, clothes and books littered the ground.

When journalists arrived at a shattered two-story house, several men began digging for what they said were the bodies of two boys named Adil Moayed Gafes and Aynan Gafes, trapped in the rubble. No bodies were found during the journalists' visit.

Another house was littered with medical textbooks written in English. A man, who joined the government entourage escorting journalists throughout the day, yelled angrily and waved two brightly colored schoolbooks as proof that children had been inside the destroyed house. Inside one notebook, a girl had written her name in Latin letters: Salwa Ageil Al Jaroud.

Government officials said the first bomb dropped in the area around 11 p.m. Monday. They said a second airstrike slammed into the area moments later, as people were coming to rescue survivors.

Despite the alleged massive loss of life in the target zone, journalists were not able to find a single trace of blood or flesh amid the ruins. Libyan state television, however, has been airing grisly night-time footage of rescuers digging through rubble with their bare hands and in some cases uncovering severed limbs.

There was little doubt that 60-year-old Ali Mufta Hamed Gafes' family had just suffered terrible, heart-wrenching tragedy.

Next to the ruins of his two-story house, another elderly man embraced him, weeping.

Later, Gafes visited the intensive care unit at Zlitan's main hospital, and sobbed by the bedside of his wounded wife.

Anna Kondrateva, a nurse from Ukraine, said Gafes' wife lost one of her legs in the bomb attack.

"I am 54 years old," said Olga Burmak, another Ukrainian nurse. "I never knew what war was until NATO started bombing Zlitan several weeks ago."

Hospital workers said almost all the other wounded people had been transported to Tripoli for treatment.

Instead, they brought journalists to a morgue that was overflowing with corpses. Many were badly mangled and burned.

A man stood amid the bodies and pools of blood, showing journalists the grisly faces of the dead. Screaming at the top of his lungs, he denounced NATO. At one point, he lifted the dead body of a 2-year-old girl named Arwa to emphasize his point.

Arwa's father, Atiya Abdul Salam, stood waiting outside.

He said his mother and another daughter were both badly wounded in Monday night's attack.

And he listed the names of eight other members of his extended family who had been killed when the bombs slammed into his house: An elderly woman named Salima, Ahmed, Abdullah, Riham, Ahzar, Hanan, Abdul Moheiman and another woman named Salima who was 25.

NATO insists its mission in Libya is "to protect civilians against attacks or threat of attack."

If 85 civilians had in fact been killed Monday night, this would mark the bloodiest case of civilian casualties caused by aerial bombardment since NATO began its bombing campaign nearly five months ago.

At Zlitan hospital, some medical workers gave wildly divergent numbers for how many people had been killed in the attack.

"Forty people died," said a medical student in a white lab coat named Abdulkadr Ali Hawan outside the morgue. When a bystander corrected him, Hawan revised his number dramatically, announcing with confidence: "85 dead."

Ali Mufta Hamed Gafes appeared oblivious to the fierce propaganda war being waged between the Gadhafi regime and NATO and its rebel allies. At the mass funeral on Tuesday, he faced the aftermath of the war of bombs and bullets.

The gray-haired man stood crying amid the dust and heat and wild, angry gunfire next to the big pit where his 24-year-old daughter Hanan Ali Mufta was being buried.

"If you want to get rid of Gadhafi, why don't you just sent your special forces to kill him?" asked a Libyan bystander, who asked not to be named for fear of reprisals from government officials. "Instead, you are making these ordinary people suffer."

@highlight

Libyan official says 85 civilians killed in NATO airstrike

@highlight

NATO says it targeted a former farm used as a "military staging area"

@highlight

Journalists see rubble of homes, crowded morgue