(CNN) -- Alan Alda almost died in 2003. He was in a remote area of Chile, doing an episode of "Scientific American Frontiers," and he developed an intestinal obstruction that came within hours of killing him. It was his good fortune that he survived the whole ordeal.

Alan Alda rummages through his life in his new book, "Things I Overheard While Talking to Myself."

Some time later, after he'd returned to the United States and resumed his acting career, he started digging through his house for old speeches and memorabilia. Decades ago, the existentialist philosophers brooded about life's meaninglessness; Alda wanted to find some meaning.

"As a lot of people do who are given a second chance at life, I find myself thinking about things like this," he says in a phone interview from New York. "I notice a lot of people who go through that have a few more questions than they had before about their lives."

It's not like his life had been bad before he almost died. He'd earned lasting fame as Hawkeye Pierce on "M*A*S*H," received a variety of awards and nominations (including Emmy wins and an Oscar nod) and established a long-lasting, happy marriage and family. But there's nothing like escaping death to concentrate the mind wonderfully (to paraphrase Samuel Johnson).

So, in the spirit of the examined life, Alda has put his thoughts -- derived from commencement speeches, advice and life experiences -- into a book: "Things I Overheard While Talking to Myself" (Random House).

"What is my life adding up to?" Alda asks rhetorically. "I want to feel satisfied that I'm spending the time well."  Slide show: Alda on some influences »

It may seem like an odd pursuit for a man with so many honors, but Alda took the quest seriously.

One theme that comes up over and over again is fear: "It's one of the ways I feel alive," Alda says. That's true for both his public speaking engagements and his acting roles, he adds. "When you escape near disaster you feel great, so I set these little disasters up for myself."

There was the first time he played Hawkeye, for example. "I was standing, waiting for the word 'action' to come out of a building for the first shot of the show," he recalls. But he'd been rehearsing for days and was no closer to getting a handle on the character.

In the end, he trusted his instincts. "I just took a leap into it. ... Sometimes those leaps are the most valuable way to do it."

Alda doesn't diminish the impact of others. He pays tribute to a number of people in the book, from his father -- a well-known stage actor -- to such figures as actor Ossie Davis, scientist Richard Feynman (whom Alda portrayed on stage) and manager Martin Bregman.

One Alda story, about actor Bert Convy, is revealing in a number of ways. To many, Convy -- if remembered at all -- is thought of (often derisively) as a game show host ("Tattletales") or '70s TV guest star. But Convy was also a fine stage actor -- he starred in the original "Fiddler on the Roof" on Broadway -- and, Alda remembers, showed courage during the violence of the 1968 Democratic convention in helping free some demonstrators.

"He was an unlikely hero of mine, because he really risked a lot one night in Chicago," Alda says. "He saved some people from possibly getting badly hurt, getting them out of jail."

And Convy, like some of Alda's "M*A*S*H" colleagues, is also an illustration of how performers get pigeonholed, a subject Alda has considered deeply. "That's what usually happens when you get well-known in one part ... which is why it really is fair for actors to get paid a lot of money on television, because it could be the last time you'll see them. That one job for five or six years could turn out to be what their whole career is."

There are also the pitfalls of celebrity itself, the blurring of boundaries between public roles and private life. Alda's been beseeched by troubled people, asked to give talks at medical schools and been stared at in restaurants. The attention, he admits, can be disconcerting.

"People were always curious about actors," he says. "But now it's much more true. ... I think that's partly because the need to sell papers and keep profits up have devalued things a little bit."

He tries to use his fame to his advantage. When talking to a group of budding doctors, he told them that just because he played a doctor on television didn't mean he knew something about medicine -- but he did know something about being a patient. And he's used his interest in science to encourage others, primarily through hosting "Scientific American Frontiers."

He loves science's give and take -- its determination to not take hypotheses at face value -- and scientists' pursuit of facts. He says he hopes others are similarly inspired.

"All of us depend on people being pretty rigorous about the way they see reality, and if we knew a little bit more about the way [scientists] work, I think we'd be able to support them in some of the things they do that will benefit us," he says.

So, for all of his own rigor, did Alda come to any conclusions about the meaning of his life?

He pauses.

"I think I come to some odd conclusions that sort of bring me back to where I was in the beginning," he says. He believes there's more to that existential interpretation: "I think that what they were constantly saying was that life is meaningless, except for the meaning you bring to it by the choices you make and the things you do."

With that, Alda wraps up the interview. He has an appointment, he says in passing: His granddaughter has some work on display in a photography exhibit, and he doesn't want to miss it.

And that, he doesn't need to say, means the world. E-mail to a friend

@highlight

Alan Alda had near-death experience in 2003; new book is search for meaning

@highlight

Book celebrates colleagues, examples they set

@highlight

Alda uses fear of certain challenges to motivate himself