(CNN) -- A prominent Sri Lankan rights activist controversially detained by his government under anti-terror laws says he believes his arrest was partly spurred by an international push to independently investigate the country's human rights record following decades of civil war.

Ruki Fernando, one of his country's leading human rights activists, was arrested late Sunday night with fellow activist Rev. Praveen Mahesan, a Roman Catholic priest, in the former Tamil rebel stronghold of Kilinochchi in the country's north.

The men were taken to the Colombo headquarters of Sri Lanka's Terrorist Investigation Division, held for more than 48 hours and questioned, without access to lawyers, before being released early Monday.

"I think it's a deliberate attempt to intimidate and suppress any form of dissent, criticism or challenge, and clearly not allow people outside Sri Lanka to know what's happening inside the country," Fernando told CNN after his release. "I anticipate that I will be subject to greater scrutiny and I am extremely worried about the safety and wellbeing of my colleagues and people I've spoken to in the past."

The arrests drew a wave of condemnation from NGOs and foreign governments, with British Foreign Office Minister Hugo Swire saying they were "not acceptable" and the U.S. Embassy expressing concern. Fred Carver of the UK-based Sri Lanka Campaign for Peace and Justice said the invocation of anti-terror laws was "outrageous" and "patently absurd." "They're peace activists," he said.

Proposed resolution

The arrests occurred in the build-up to a crucial session of the United Nations Human Rights Council this month, at which a resolution sponsored by the United States, Britain and other countries is expected to be tabled. The proposed resolution could call for an independent international investigation into war crimes committed by government forces and Tamil separatists during Sri Lanka's 26-year civil war, which ended in 2009, as well as more recent alleged government abuses in the five years since its end.

The council has passed two previous resolutions urging Sri Lanka to investigate war crimes, but its perceived failure to do so has led some nations to call for an independent investigation.

Sri Lankan police spokesman Ajith Rohana said Fernando faced three charges: selling information abroad, attempting to damage the national harmony between communities, and aiding and abetting the rebuilding of the Tamil Tigers -- the brutal militant group involved in fighting for a Tamil homeland in the north of the country during the decades-long civil war. The investigation had found insufficient evidence to proceed with the charges.

Fernando said the first two charges, which appeared to relate to his work with foreign media to highlight rights abuses, suggested that their arrest was motivated in strong part by the impending events in Geneva.

"I think what happened to us is very much linked to the resolution discussion," he said. "I was repeatedly asked who in Geneva, who outside Sri Lanka, was I sharing information with? It seemed very clear they took great care for other nations not to hear any alternative information or perspectives from within Sri Lanka."

'Attempt to intimidate'

Carver said that, beyond the Sri Lankan government's "thumbing its nose at Geneva," the arrests amounted to an attempt to intimidate those working to expose human rights abuses in post-war Sri Lanka.

"I think this is about sending a warning to human rights defenders that just because Geneva is going their way they haven't won, and more importantly showing them that they cannot interface with U.N. processes without suffering consequences. So if an investigation is established, they better not testify."

But Rohana denied that there was any attempt to intimidate or punish those involved in activism around the U.N. resolution. He said the activists had been arrested after visiting a place of interest relating to the shooting of a policeman in the Kilinochchi area last week.

Fernando, a Catholic from the country's Sinhalese majority, denies any connection to the shooting or those responsible. He said he and Mahesan, a Tamil, had gone to investigate the facts surrounding the arrest of another activist in relation to the shooting, in the regular course of their human rights work.

The activist, Jeyakumari Balendran, became a prominent campaigner against political disappearances after her teen son, who had been conscripted to fight for the Tigers, went missing after reportedly surrendering at the end of the war. She was arrested Friday on suspicion of harboring K.P. Selvanayagam, a Tamil Tiger-affiliated figure also known as "Gobi," after he shot and wounded a policeman as authorities closed in on her house, according to a Sri Lankan government memo to the U.N.

Fernando denied any connection to Selvanayagam.

Mixed fortunes

The end of Sri Lanka's civil war has been a boon to its economy, paving the way for infrastructure reconstruction and the return of tourists, and bolstering President Mahinda Rajapaksa's popularity.

But activists are calling on the international community to pay attention to conditions in Tamil-majority areas in the north and east of the country.

A large military presence is at the heart of complaints of ongoing land expropriation, disappearances, sexual violations, arbitrary arrests and limitations on the freedom of movement, according to rights groups. Meanwhile an ongoing "Sinhalization" process -- in which the Buddhist culture and places of worship of the Sinhalese community were replacing the Hindu landscape of Tamil areas -- was a serious concern, as was growing hostility towards Christian and Muslim minorities, according to a joint memorandum submitted by civil society groups to the U.N. earlier this month.

In a report in February, the Office of the U.N.'s High Commissioner for Human Rights acknowledged Sri Lanka's progress made in implementing some of the recommendations of the Lessons Learnt and Reconciliation Commission, its national mechanism for post-war reconciliation. But it noted the government had failed to ensure independent and credible investigations into past violations, and noted ongoing attacks on religious minorities and intimidation of human rights activists, lawyers and journalists.

@highlight

Two Sri Lankan human rights activists held under anti-terror laws have been released

@highlight

Their arrests were condemned by the U.S., UK and international rights groups

@highlight

Police say they were held after visiting addresses of interest in connection to a police shooting

@highlight

One of the men believes the arrests are linked to a push to condemn Sri Lanka at the U.N.