Long Beach, New York (CNN) -- Some New Yorkers mark the anniversary of the September 11 attacks by going to a memorial service or observing a moment of silence.

For the past 10 years, Jeff Parness has been helping others.

Every September, Parness brings hundreds of volunteers from New York to help another disaster-stricken community in the United States.

"It was our way of saying, you know, New Yorkers will never forget what people from around the country and the world did for us in our time of need after 9/11," said Parness, a 2011 CNN Hero. "So that's how the mission started. It was just to pay forward the kindness that we experienced."

Over the past decade, Parness' nonprofit, New York Says Thank You, has assisted victims of wildfires in San Diego, tornadoes in the Midwest and Hurricane Katrina in Louisiana.

Many of those who receive help are so inspired that they travel across the country the next year -- often at their own expense -- to volunteer with Parness' group and help someone else.

The result is a unique disaster-response organization.

"All of our volunteers are survivors. They survived, whether it was 9/11 or Katrina or tornadoes. So they all share that common bond," said Parness, who quit his job as a venture capitalist to work on his nonprofit full-time.

This year, Parness' mission has come full circle.

Last weekend, more than 300 volunteers -- at least half of whom were from outside the New York area -- helped rebuild 13 homes damaged by Superstorm Sandy in October.

For Parness, a native New Yorker, the work carried extra significance.

Triple-amputee veteran gets 'smart' home on September 11

"Being able to travel to other disaster sites and help people is one thing. When it happens in your own backyard, you go into shock," he said. "I woke up and realized this was (like) Hurricane Katrina." He pointed out around 650,000 families in New York and New Jersey had damaged or destroyed homes.

More than 2,000 members of New York City's police and fire departments were severely impacted by the storm. And because first responders are a core part of his group's volunteer base, Parness decided to help them. With the support of corporations, foundations and private donors, his group is planning to rebuild 200 homes in all for active-duty first responders in the New York area.

Police officer Charlie Sadler and his wife, Gina, had been married for less than three months when Sandy destroyed their Long Beach home.

"The damage to our home ... sea foam, seaweed, shells and starfish," Charlie Sadler said, "there's no way to understand the sheer devastation that was in the house. The mold, the breathing problems ... our home was completely unlivable."

All of the couple's wedding gifts were under water as well. Ultimately, the house had to be razed, and they didn't have the resources to rebuild.

Their challenges intensified when Gina had a cancer scare in the spring. But on the day of her exploratory surgery, they got the news that Parness' group would rebuild their home.

"We couldn't believe it," Charlie Sadler said. "From sitting in that hospital room and wondering what was going to happen ... to building a brand new home from the ground up.

"It's a feeling of elation. It was unbelievable."

More than 100 volunteers worked on the Sadlers' home last weekend, including Mark Ford, who came from Slidell, Louisiana, to lend a hand.

Ford, a former police officer, lost his home in Katrina. This is his third volunteer trip with Parness' group.

"(After the storm), I had a lot of people help me. The Sadlers needed our help, and so here we are, " Ford said. "Being here gives the Sadlers the confidence to know that they're not alone in this adventure."

For Parness, bringing people together is the most important part of his work.

"We want to lift up spirits and remember not just the tragedy of (9/11), but also the humanity of 9/12.

"We tell people it's never about the buildings. It's always about the people. At the end of the day, it's about giving them hope."

Note lets family know 9/11 victim went down fighting

CNN's Marissa Calhoun contributed to this report.

@highlight

Every September, CNN Hero Jeff Parness organizes help for a disaster-stricken community

@highlight

The idea is to spread the kind of help that New York received after the 9/11 attacks

@highlight

Many of the volunteers have been helped in the past and want to "pay it forward"