Camden, Maine (CNN) -- Follow Daniel Kish out onto a dock and ask him about the view.

"There's this pylon here and there's an object about 20 feet away -- here -- and another one, about 50 feet away," says Kish, overlooking a bay in coastal Maine during the recent PopTech conference, where he was a featured speaker. "I guess those are boats. I can't tell from this distance, really, but they're solid and we're on the water -- so it stands to reason."

Kish is completely blind -- he lost sight in both eyes by age 13 months.

Yet he uses his ears to see. When he walks around unfamiliar places -- he loves hiking -- he clicks his tongue and then listens as that sound bounces off nearby objects.

He says he's trained his brain to turn these sounds into an image of sorts -- an auditory map he follows with the help of a cane.

"When you send out a sonar call ... you're interrogating the environment," he said. "You're asking, 'Where are you?' and 'What are you?' And the environment answers back."

Kish is the founder of a nonprofit called World Access for the Blind. His goal is to teach this technique of "human echolocation" -- or seeing the world through sound -- to blind people all over the world.

So far, the group has taught at least 500 blind children to see with their ears.

"It isn't that difficult to teach. It really isn't," he said. "I believe that the brain is already at least partly wired to do this. All that needs to happen is the hardware needs to be awakened. It needs to be activated, and we believe we've found ways of doing this."

Not everyone believes him. "Many of Kish's colleagues believe that echolocation, if it's taught, should remain a secondary skill for the blind," Daniel Engber wrote at Slate. "And some disability advocates worry that all the hoopla over sonar makes blind people seem like superhuman freaks, with special powers that more than compensate for their problems."

In a presentation at PopTech, a conference about new ideas in science and technology, Kish describes himself as a "real-life batman" and showed videos of his blind students riding mountain bikes through obstacle courses, playing basketball and skateboarding."

But he sees the technique as much more than a gimmick.

"This is not aiming at making our students daredevils or 'super-blind' or anything like that," he said. "It's really aimed at opening opportunities and helping students ... to lead day-to-day lives."

On the controversy surrounding his teaching, he added: "I think that has a lot to do with a dogmatic adherence to tradition -- if it ain't broke, why fix it."

Kish, who lost both his eyes to cancer when he was an infant, says something is broken with the way blind students all over the world learn. By and large, they're taught to be dependent on sighted people -- in part because 99% of them, he said, are taught by people who can see.

Kish aims to liberate students. By clicking their tongues and listening for echos from buildings, cars, dogs and the like, he believes they can be less dependent on sighted people.

"Our view is that should one solicit assistance, that one should do so out of a matter of personal choice rather than being cornered into it," he said.

If you saw Kish walking down the street you'd hear him make repeated clicking sounds with his tongue -- click! click! click! -- as he weaves through traffic or ducks to miss tree branches. The clicks usually aren't terribly loud, but they come at a continuous clip.

He makes the sound more often when he's a bit confused or comes to an intersection. Other times he's silent as he walks with the help of a cane. Kish is quick to eschew instructions from those who travel with him, said Bill Wolfe, who worked with Kish at the PopTech event.

Kish admits that echolocation isn't perfect. Other creatures that use sonar to see, such as bats, emit ultrasonic frequencies. Humans, of course, can't do that. "A bat can determine an object the size of a gnat from so many meters away," he said. "For me, the object has to be at least the size of a softball. So bats definitely have the edge on humans in terms of their use of ultrasound."

Kish founded World Access for the Blind in 2000. So far, he hasn't hasn't found much interest from groups in the United States.

Of 50 schools for the blind his group has contacted, only two have expressed interest in teaching echolocation, he said. Similarly, of 1,300 agencies that deal with issues relating to blindness, only 10 wanted to work with World Access for the Blind, he said.

Kish, however, seems undeterred.

He's been clicking his tongue as a way to see for as long as he can remember -- it's an adaptation, he says, to the fact that his parents raised him just like they would have any sighted child. They didn't give him a break because he experienced the world through other senses.

And he's on a breakneck world tour evangelizing for the idea.

"It's like seeing with dim flashes of light," he said of the tongue-click method.

Those dim flashes are enough, he says, to change a person's life -- allowing him or her to go hiking alone, ride a bike or do something as simple as enjoying a view of the coast.

Not allowing blind people a chance to do these things, he said, would be "very shortsighted."

@highlight

Daniel Kish teaches a technique to help blind people "see" with their ears

@highlight

Kish clicks his tongue and listens for that sound to bounce off of objects

@highlight

He says those returning echoes act like "dim flashes of light"

@highlight

Kish is founder of World Access for the Blind, which teaches "echolocation"