Kabul, Afghanistan (CNN) -- Fighting that raged for hours in Kabul Tuesday afternoon after a dramatic Taliban attack on the U.S. Embassy and NATO's command calmed down greatly during the evening hours, a military spokesman told CNN

But the strike in central Kabul and two other brazen assaults across the city left residents unnerved, and security forces braced for more. Gunfire continued to ring out.

Three police officers have died and others have been injured in the violence across Kabul, police said. The Afghan Public Health ministry said one civilian was killed and at least 18 were wounded, but none seriously.

The central Kabul strike occurred amid intelligence that insurgents might launch a high-profile attack in the capital around the 10th anniversary of the September 11, 2001, terrorist attacks against the United States, a coalition officer and a senior official of NATO's International Security Assistance Force confirmed to CNN.

The strike directed at the ISAF headquarters and the embassy was the most dramatic.

Taliban spokesman Zabiullah Mujahid told CNN that his group targeted "the U.S. Embassy, governmental organizations and other foreign organizations."

Militants stormed a building under construction and set up positions there to launch the attack, U.S., ISAF and Afghan officials said.

ISAF said the insurgents attacked the "vicinity" of the embassy and the ISAF headquarters using small arms and rocket-propelled grenades. An ISAF official said there were initial reports that some rounds hit the NATO base and caused minor damage.

Brig. Gen. Carsten Jacobson, spokesman for ISAF, said a small number of "terrorists" used high-elevated positions around the area to strike with rocket-propelled grenades and small arms. He said the group failed to inflict ISAF and U.S. casualties but he noted the strike was "carefully planned."

A senior ISAF official said the attacks were launched from an area outside the secure zone surrounding both areas.

ISAF said Afghan National Security Forces and coalition forces immediately were sent to the scene. Coalition forces were providing air support.

The Afghan Interior Ministry said four suicide attackers entered the building site from which the attack was being carried out. Three of them have been killed, it said.

CIA Director David Petraeus, testifying at a congressional hearing in Washington Tuesday, said Afghan forces were clearing the building.

The building is next to Abdul Haq Square, a few blocks from the U.S. Embassy, an intelligence officer told CNN.

An embassy spokeswoman said staff at the U.S. facility had been told to take cover.

"The U.S. Embassy can confirm an attack has occurred in the area of the U.S. Embassy" by people armed with rocket-propelled grenades and small arms, spokeswoman Kerri Hannan said.

She said four Afghans -- three visa applicants and a local contract guard -- were hurt in the attack on the embassy compound, but none had life-threatening injuries.

"Our thoughts are with these individuals and the other victims of the terrorist attacks that happened today in Kabul. We appreciate the response of the Afghan National Security Forces whose operations stopped the attack on the embassy compound," Hannan said.

A U.S. Embassy worker, who asked not to be named for security reasons, called the assault "well-coordinated" and said there was incoming fire around every corner of the building.

After a few hours of loud and intense fire, he said, the situation appeared to calm down. He said the people at the embassy were well-protected by the guards there.

ISAF's Jacobson also said the situation calmed down by early evening. Pentagon spokesman George Little said the attacks were "less than spectacular" and despite their high-profile nature "one of the things we're seeing this fighting season is a less effective insurgency."

U.S. Secretary of State Hillary Clinton said there were no reports of U.S. casualties and the country "will take all necessary steps" to secure the area and keep personnel safe.

She said the "dedicated, brave men and women" from the United States who work for the Afghan people "will not be intimidated" by this cowardly act.

Central Kabul is considered a high-security area, and it is protected by police and other security forces. ISAF said that it doesn't appear insurgents breached the sector around the sites.

ISAF personnel currently were told to stay indoors and take cover but there are no casualties, the official said. Gen. John Allen, ISAF commander, remains on the compound, ISAF said.

The Afghan National Directorate of Security and the Interior Ministry spokesman said the insurgents were using rocket-propelled grenades and light weapons. A hospital official said two injured civilians were being treated and the hospital expected to handle more casualties.

The area was cordoned off, according to Gen. Mohammed Zahir, the head of criminal investigation for the Afghan police.

The coalition and ISAF officials pointed out that while this attack is considered to be high-profile because of the U.S. Embassy and ISAF targets, it so far is not considered a "spectacular" attack because of the small number of gunmen and limited weapons involved.

Other violence also was reported.

In a Twitter message, ISAF said a "suicide attacker was identified & killed by ANP before reaching target near Kabul airport," making reference to the Afghan National Police. There were no further details.

The Taliban said a suicide attack targeted a police compound in the western part of the city, but the Interior Ministry said the attacker -- clad in an explosives vest -- was shot before he entered the compound. Another attacker set off a bomb in front of a high school, the ministry said. Casualties were reported in both incidents.

The U.S. Embassy issued an emergency message about the series of attacks across Kabul Tuesday, saying "the situation is uncertain and ongoing. There are media reports that many roads are closed in Kabul." It said appointments for visas or U.S. citizen services have been canceled for now and it said Americans in Afghanistan should monitor the websites of the embassy and the State Department's Bureau of Consular Affairs for the latest information.

"We urge U.S. citizens to shelter in place, avoid unnecessary movement, and to avoid the neighborhood around the U.S. Embassy: Wazir Akbar Khan, Microrayon, and Massoud Circle," it said.

"The Embassy also urges U.S. citizens to remain vigilant and avoid areas where Westerners congregate. Do not discuss travel plans or other personal matters with strangers, or in public. Be alert and aware of your surroundings, and always travel with mobile phones or appropriate communication equipment."

The attacks by the Taliban continue what has been a violent period. Over the weekend, two Afghan laborers were killed while 77 U.S. troops and 25 Afghan workers were wounded in a Taliban truck bombing on an ISAF base in Afghanistan's Wardak province.

Last month, Taliban suicide bombers killed at least eight people in Kabul when they attacked the British Council, a British-government-affiliated body that fosters cultural and academic exchanges.

The Taliban harbored the al Qaeda network that launched the 9/11 strike. A U.S.-led coalition toppled the Taliban and has been fighting militants in Afghanistan for nearly 10 years.

NATO is drawing down and handing over security control to national forces. Some 10,000 U.S. troops are scheduled to depart by year's end, with all U.S. military personnel out of Afghanistan by the end of 2014.

Afghan President Hamid Karzai and Vygaudas Usackas, head of the European Union mission in Afghanistan, were among those who condemned the attacks.

NATO Secretary-General Anders Fogh Rasmussen said the Taliban attacks in Kabul Tuesday were an attempt to derail plans to hand over security responsibility to Afghan forces in Afghanistan.

"We are witnessing that the Taliban try to test (the) transition but they can't stop it. Transition is on track and it will continue," Rasmussen said.

CNN's Joe Sterling in Atlanta, Barbara Starr, Adam Levine and Elise Labott in Washington and Tim Schwarz, Matiullah Mati, Ruhullah Khaplakwak and Suzanne Malveaux in Kabul contributed to this report.

@highlight

NEW: Four Afghans are injured at the embassy, a spokeswoman says

@highlight

Three of four attackers in the building have been killed, the Interior Ministry says

@highlight

An ISAF spokesman says the situation has calmed down

@highlight

A U.S. Embassy worker calls the assault "well-coordinated"