Washington (CNN) -- "I cannot tell you that I am an innocent man. I am not asking you to feel sorry for me, and I won't hide the truth," Mark Anthony Stroman said from Texas death row at the Polunsky Correctional Unit in Livingston. "I am a human being and made a terrible mistake out of love, grief and anger, and believe me, I am paying for it every single minute of the day."

The 41-year-old prisoner is scheduled to be executed Wednesday for a murder he once said was fueled by "patriotism," but which the state argued was motivated by pure hatred.

The admitted white supremacist was convicted in the deadly shooting of an Indian man, part of a killing spree that began just after the September 11 terror attacks. His target: those he believed were of Middle Eastern background, in revenge and retaliation for the worst domestic terror incident in U.S. history.

A Pakistani man was also murdered and a Bangladeshi man was seriously wounded in separate attacks.

The Supreme Court denied a stay of execution last month. Stroman's supporters are urging the governor and the state Board of Pardons and Parole to grant clemency.

Stroman says he was sitting at home, watching the 9/11 attacks unfold on television. He claims his sister was in the top floors of the World Trade Center's North Tower when it and the adjacent South Tower collapsed from the deliberate crash of jetliners into the building. That claim was never substantiated during his felony murder trial and was not raised by his current appellate attorney as a reason for his subsequent acts.

In a recent posting on his prison blog, Stroman says the terror attacks sparked something inside him. "Let's just say that I could not think clearly anymore and I am sorry to say I made innocent people pay for my rage, anger, grief and loss," he wrote.

Citing his own statements to fellow inmates, a federal appeals court, in denying his claims, concluded that Stroman believed that the U.S. government "hadn't done their job, so he was going to do it for them" by retaliating.

The man told his lawyers he once belonged to the Aryan Brotherhood, a white supremacist prison gang, and has a long criminal history of burglary, armed robbery and theft.

Just days after the horrifying incidents in New York, Washington and Pennsylvania a decade ago, prosecutors said, Stroman began carefully plotting what he believed was revenge. He was on bail at the time for previous crimes.

On September 15, he shot Waqar Hasan in the head while the man was grilling hamburgers in his convenience store. The 46-year-old Pakistani native had moved to the Dallas area only that year to start a new life with his family.

Six days later, Stroman shot Raisuddin Bhuiyan in the face while he manned the counter at a gas station. He survived but was left blind in one eye.

Then, on October 4, Stroman attempted to rob the Mesquite gas station operated by Vasudev Patel. Surveillance tapes showed the suspect waving a .44-caliber chrome-plated pistol at the clerk and demanding, "Open the register or I'll kill you." The 49-year-old Patel tried to reach for his gun hidden under the counter, but Stroman shot the unarmed man in the chest. The killer left without taking any cash. He was arrested the next day.

Patel was a Hindu, not Muslim, Arab or Middle Eastern.

It was for that crime that Stroman was prosecuted, convicted and sentenced to death. During the sentencing phase, he made an obscene hand gesture to Hasan's relatives.

Although he now claims remorse for his actions, a year after the killings, Stroman was in a different mood. Writing on his blog, he said, "This was not a crime of hate but an act of Passion and Patriotism, an act of country and commitment, an act of retribution and recompense. The was not done during Peace time but at War time. I, Mark Anthony Stroman, felt a need to exact some measure of equality and fairness for the thousands of victims of September 11th, 2001, for the United States of America and its people, The People of this Great Country. GOD BLESS AMERICA."

One of Stroman's biggest supporters is the man who survived his ordeal and testified against the defendant. Rais Bhuiyan is a devout Muslim who came to the United States to pursue his education. A decade ago, he was about to be married and was working an extra job.

He says a large "angry" man wearing a bandana, sunglasses and a baseball cap approached him in the store and asked, "Where are you from?" Confused, Bhuiyan asked, "Excuse me?" Immediately afterward, he remembered being shot, "the sensation of a million bees stinging my face, and then heard an explosion."

Bhuiyan believes that his attacker does not deserve to die and has created a website, worldwithouthate.org, to urge Texas to spare Stroman's life.

"In order to live in a better and peaceful world, we need to break the cycle of hate and violence. I believe forgiveness is the best policy, which helps to break this cycle," he said, calling himself a victim of a hate crime. "I forgave Mark Stroman many years ago. I believe he was ignorant and not capable of distinguishing between right and wrong. Otherwise he wouldn't have done what he did."

Bhuiyan traveled this month to Paris to urge the European Parliament to step in and file a formal request for Texas to commute Stroman's sentence to life in prison.

European leaders, as well as the United Nations, had condemned the July 7 execution of a Mexican national on Texas death row. Humberto Leal Garcia Jr. had been denied access to his consulate upon arrest in 1994, which his supporters said was a violation of an international treaty that deserved a new hearing into Leal's capital conviction.

Bhuiyan is also working with Amnesty International and Stroman's attorneys to at least delay the lethal injection. The Bangladeshi man cites his Muslim faith, saying he has received the blessing of the dead men's families. And he wants to meet his attacker on death row before it is too late.

"His attorney gave him the message that one of your victims is running this campaign to save your life," he said. "He was reduced to tears. He couldn't believe one of his victims would come forward and try to save his life."

Stroman says his biggest regret is that he would leave his four children behind and says that being a capital inmate is a "nightmare come to life." Prisoner No. 999-409 also claims to be a changed man.

"I am sorry to say I made innocent people pay for my rage, anger, grief and loss," he said. "I have destroyed my victims' families as well as my own. Out of pure anger and stupidity I did some things to some men from Pakistan, India, Bangladesh and Saudi Arabia. And now I sit on death row awaiting execution. And by no means am I proud of what I have done."

Lawyer Lydia Brandt says her client was "in a paranoid, delusional state" at the time of the murders and "shot these individuals believing they were Arab, enemies of the United States." She offered expert mental health evidence in support of this claim.

The state sees it differently, noting that the six children of the men Stroman murdered in cold blood will grow up without their father. The victims also left their wives as widows. Officials cite testimony by fellow inmates of Stroman's continuing dangerousness and his unrepentant racist views, both pre- and post-conviction.

Barring a last-minute intervention, Stroman will die for his crimes.

The Supreme Court appeal is Stroman v. Thaler (10-9873).

@highlight

Mark Stroman is set to die for 2001 murder of Indian man

@highlight

He says September 11 attacks triggered something inside him

@highlight

State says attacks were fueled by hatred

@highlight

One of Stroman's victims is pushing for clemency