Fort Hood, Texas (CNN) -- The backup legal team for admitted Fort Hood gunman Maj. Nidal Hasan asked to withdraw from active participation in the case Wednesday, telling a judge that Hasan wants to be sentenced to death.

The request brought Hasan's court-martial to a screeching halt on what would have been the second day of testimony. The presiding judge, Col. Tara Osborn, recessed court until Thursday to hold a closed-door hearing with Hasan and his lawyers.

Hasan is representing himself on charges that he shot and killed 13 people and wounded 32 in the November 2009 rampage at the installation, near Killeen, Texas. But Osborn ruled before the court-martial began that defense lawyers would act as stand-by counsel during the proceedings.

The lawyers' roles had been limited to helping Hasan file motions and coaching him on procedural matters. But after Tuesday, when Hasan used his opening statement to declare "I am the shooter," they filed a motion to step aside.

The head of the legal team, Lt. Col. Kris Poppe, said Wednesday that Hasan was "working in concert with the prosecution to achieve a death sentence."

"It becomes clear that his goal is to remove impediments and obstacles and is working towards a death penalty," Poppe said. He and the two other lawyers said they were still willing to defend Hasan if needed but couldn't ethically stand by to help him at this point.

Hasan objected to Poppe's characterization, calling it "a twist of the facts." But he refused to submit his objection in writing, a move that Osborn requested to avoid revealing privileged information, and insisted on being heard in open court.

Geoffrey Corn, a military justice expert at the South Texas College of Law in Houston, said the lawyers are in "a terrible predicament."

"They have to stand by and watch the person they are ostensibly charged with assisting to represent himself essentially put a noose around his own neck, and they view this as fundamentally inconsistent with their ethical obligation as lawyers," he said.

But Corn said Hasan not only has the right to defend himself, "He has the right to do it poorly" -- even to the point of asking for death.

"The defense lawyers would love to get off this case, because it becomes unbearable," Corn said. "If you imagine having to sit there, being an ardent opponent of capital punishment, watching this guy seal his own fate with every move he makes, it must be torture. But the judge can't let them off the case."

Witnesses describes horror of shooting

Hasan, an Army psychiatrist, was paralyzed by a police bullet during the rampage. He listened impassively as one of the first witnesses recounted the horror unleashed that November day at a processing center for soldiers heading to Afghanistan and Iraq.

Staff Sgt. Alonzo Lunsford stared hard at Hasan, appearing to brace for a cross-examination from the man who had admitted to shooting him seven times. But Hasan just stared back.

The courtroom turned silent as Lunsford was called as a witness. He was the first of several survivors scheduled to testify against Hasan.

Lunsford recounted how the gunman rose from a chair in the processing center, shouted "Allahu Akbar," pulled out a pistol and began shooting.

"It was a state of panic," Lunsford said.

Lunsford, a health care specialist, described how his friend and colleague, physician's assistant Michael Cahill, tried to hit Hasan with a chair to stop the shooting; Hasan shot him dead. Soldiers tried to flee or take cover inside the processing center as Hasan fired dozens of shots.

As Lunsford was checking behind him, "Major Hasan is turning the weapon on me," he said. "He has a laser on his weapon and it goes across my line of sight and I blink. In that time, he discharges his weapon. The first round, I'm hit in the head."

A second shot caught Lunsford in the back. He decided to play dead for a while before changing his mind and deciding to run for the door. He made it out of the building but was shot five more times outside, he testified.

Hasan continued shooting at Lunsford even as he was receiving first aid outside the processing center, before police arrived. Officers shot and wounded Hasan, ending the rampage and leaving him paralyzed from the chest down.

After the prosecution finished questioning Lunsford, the judge asked Hasan whether he had any questions for the witness.

"I have no questions," Hasan said.

Hasan also declined to question Michelle Harper, who worked at the deployment center and was inside when the shooting began. Prosecutors played a recording of her 911 call, where she pleaded for help.

Scheduled to go to Afghanistan

A U.S.-born citizen of Palestinian descent, Hasan had been scheduled to deploy to Afghanistan before the killings. Prosecutors hope to show that the devout Muslim had undergone a "progressive radicalization," giving presentations in defense of suicide bombings and about soldiers conflicted between military service and their religion when such conflicts result in crime.

Military death row: More than 50 years and no executions

Hasan did not want to deploy to fight against other Muslims and believed "that he had a jihad duty to kill as many soldiers as possible," said Col. Michael Mulligan, the lead prosecutor in the case.

Investigators found 146 spent shell casings in the room where the attack began, Mulligan said. Hasan carried two laser-sighted pistols and 420 rounds of ammunition, his pockets lined with paper towels to muffle the sounds of the magazines banging together, he said.

Internet searches on Hasan's computer used keywords like "terrorist killing," "innocent," "Quran," "fatwas" and "suicide bombings," Mulligan said.

Hasan told the panel in his opening statement, "We mujahedeen are trying to establish the perfect religion." But, he added, "I apologize for the mistakes I made in this endeavor."

The mujahedeen consider themselves warriors who defend the Islamic faith.

Witness: 'His punishment will come'

Hasan told his family he had been taunted after the al Qaeda attacks of September 11, 2001. Investigations that followed the killings found he had been communicating via e-mail with Anwar al-Awlaki, the Yemeni-American radical cleric killed by a U.S. drone attack in 2011.

The case was first set to begin in March 2012, but was delayed repeatedly, notably over a previous judge's unsuccessful demand that the beard Hasan has grown while in custody be forcibly shaved.

Josh Rubin reported from Fort Hood. CNN's Ed Lavandera and Jason Morris contributed to this report.

@highlight

NEW: Hasan has the right to defend himself, even "poorly," expert says

@highlight

Admitted Fort Hood gunman "is working towards a death penalty," lawyer says

@highlight

Hasan objected to that description; the dispute cut short proceedings Wednesday

@highlight

Hasan faces a death sentence if convicted of 13 killings and 32 attempted murder counts