(CNN) -- "Congratulations!" people said when I told them I was pregnant with my first child.

Also, usually, "What's your due date? Do you know what it is?"

And then, frequently -- and much to my surprise -- "What book are you reading?"

It turns out you can't just up and have a baby. Many parents are now also subscribing to a particular parenting philosophy, often well in advance their little one's emergence into the world. For a soon-to-be new mom, it was overwhelming. What was the right book? Should I stick with the philosophies that make obvious sense to me, or consider some that seem like more dramatic departures? Did I even need a book at all?

Heidi Murkoff, author of famed pregnancy guide "What to Expect When You're Expecting," argued recently that this quest for guidance in books and online is at an all-time high. In a Daily Mail op-ed headlined "Why I fear for modern mothers," she wrote that it stems from pressure on parents to be the best.

"Society's race for the perfect parenting prize has become all-consuming," she wrote. "Whatever the group, everyone is locked in conflict and judging each other."

Studying books on parenting is really no new phenomenon. Ever since Dr. Benjamin Spock published "The Common Sense Book of Baby and Child Care" in 1946, parents have been reading up on the best way to raise their little ones.

Spock's book was a parenting bible for many years, but also entertained its share of critics, from those who accused him of being anti-feminist, to those who claimed he fostered generations of spoiled brats, to those who blame him for an increase in violent crime. (Kids who grew up thinking it's OK to eschew broccoli probably also think it's OK to steal someone's car ... right?)

But where once there was just Spock to follow (or not, as the case may be), there are now hundreds of parenting books to choose from, most of which seem to ride the same popularity roller coaster as Spock. A book might be celebrated one minute, but a few months down the line, a parent is a pariah for even having it on the shelf.

Parents run the risk of reading a book, only to find it widely discredited mere weeks later. It seemed I had to accept that while books differ on how to parent, they all seem to suggest there's a right way to parent -- and they, the authors, know the secret.

Several friends lent me "The Contented Little Baby Book" by Gina Ford, swearing by the schedule Ford delineates for parents. It includes, in some situations, letting your little one cry for a few minutes. But the idea of "crying it out" now has some detractors wringing their hands as it has become a subject of conflicting research findings.

Another book, Pamela Druckerman's "Bringing up Bebe," touts the French system to raising an independent-minded child who allows you to sleep, have dinner or maybe even a conversation. No-brainer, right? But the author also generated indignation, with one Forbes writer even accusing her of pushing a socialist agenda and ruining all our hopes for future generations of tyke-oons.

Whether it's Amy Chua's push-your-kid method in "Battle Hymn of the Tiger Mother," Dr. Bill Sears' let-your-kid-sleep-with-you plan, Ellen Galinsky's connection-before-correction or Tom Hodgkinson's advice to just chill and have a martini, the messages are different -- but strangely the same: You can screw your kids up, or you can make them great. It's all up to you, and whether you follow these wildly divergent instructions.

Argh-gulp panic-middle-of-the-night-cold-sweat-anxiety. What if I choose the wrong child guru and ruin my offspring? Can you mix and match philosophies? What if by mixing and matching you just create some kind of a babymonster? What if I (gasp) don't read anything at all?

"In terms of controversies and the bombardment of information, [the prevalence of so many conflicting parenting books] is making things too complicated and very un-relaxing for parents", says Dr. Richard Weissbourd, who teaches at Harvard University's Graduate School of Education and author of "The Parents We Mean To Be."

In his book, Weissbourd looks at the pathologies parents themselves bring to the table, rather than just examining ways to parent.

The book also examines the idea of "over-parenting." He believes many parents are too affected by "the Joneses." Not only are they feeling competitive in terms of what they've read, but they worry that by not not taking the same approaches as other parents, they're cheating their child out of opportunities.

Trying to the absolute best parent can actually be damaging to children, the books suggests, and possibly pointless: There are no blanket ways to parent and there is often no right or wrong approach, Weissbourd argues.

"Books often tend to be too generic and get into all these debates," he said. " It's more like, 'Who is my child and how can I be most constructive given what's going on with them?'"

Will Ferrell, in a "Nerdist" podcast, talks about how as a child he refused to take part in a gifted academic program at school, because it would interfere with his square-dancing classes. Ferrell's mom did not dissuade him, as some parents might have, and of course now he's, well, Will Ferrell.

I wondered how Ferrell would have turned out if Amy Chua was his mom? Or what a Sophia Chua-Rubenfeld raised in the Ferrell household would look like? Possibly not at Harvard, like Chua, or on on "Saturday Night Live," like Ferrell.

"There are certain things that are fundamental and if you do them reasonably well, the chances are your kid will be fine," Weissbourd says. "Spending time, being warm, listening, creating reasonable expectations, caring for people, caring for yourself. Safeguarding your child's health and knowing basic health information."

It sounds a lot like ... Dr. Spock.

Spock tells parents in the first chapter: ''Don't be afraid to trust your own common sense. What good mothers and fathers instinctively feel like doing for their babies is usually best."

So, I don't need a book? No need to read chapter two? Just do whatever I think is best?

Perhaps.

Weissbourd points out that this hyper-concern with reading parenting guides is largely divided among cultural and economic lines, and tends to be more of a middle- and upper-class issue. It's not that parents don't need guidance, he said, it's about where that guidance comes from.

He believes parenting in the United States has become too private. Parents will gladly read books, but balk at feedback from people they know. We've all heard the line: "Don't tell me how to raise my child!"

The takeaway, according to Weissbourd, is not to ignore parenting books altogether, which can sometimes offer practical tips, but that the best advice comes from those around you who know you and your little one. Not only is your child unique, but parents might be bringing their own issues to the table, and those might need to be assessed on a case-by-case basis.

Consult a trusted pediatrician, consult people whose opinions you respect, consult your partner, Weissbourd advises. Find time to pause and reflect -- he advises, adding, "I think everybody has got to relax."

For me and my new life with a newborn, the most appealing books turned out to be those where I could find an answer quickly. In Marc Weissbluth's "Healthy Sleep Habits, Happy Child," I skipped the chapters that explained why sleep matters -- that seems startlingly obvious -- and went straight to the week-by-week instructions. The standard "Your Baby's First Year" by the American Academy of Pediatrics and Murkoff's "What to Expect..." books have been very helpful. I relied quite heavily on the Internet to give a variety of answers, making sure to check any advice with my pediatrician.

With a baby, I think it's less about personality, more about practical help. I think the real market for parenting books is parents with older children. Parents of babies reading about what kind of parent to be are probably, like me, likely to gravitate toward books that espouse theories they probably already believe. I read "Bringing up Bebe," because it resonated with ideas I already have about parenting, like teaching kids to enjoy "grown-up" foods from an early age (I might eat my words if my little one refuses everything but chicken fingers.) I like the idea of having a well-behaved child, as I imagine do most people.

This is all very well and good in theory, but I think it's important to read a book that's realistic to the specific situation. Even though I liked "Bringing up Bebe," it just might not be appropriate if my child is exceptionally shy. If a child has attention deficit hyperactivity disorder, for example, then reaching for Chua's "Battle Hymn" may not be the best shot.

When faced with parenting hurdles further down the line, there won't be one easy answer, one book with all the fixes. I like to think I'll take the same approach I do as a journalist -- read several source, know what advice and opinions are out there, whether books, articles or conversations with other parents and my doctor.

Most important, I think, as Dr. Spock advised years ago, I'll go with my gut.

What parenting books do you love or hate? Share your experiences in the comments or on Facebook or Twitter!

@highlight

New mom Katie Walmsley felt pressure to follow parenting ideas in different books

@highlight

Walmsley: What was the right book?...Did I even need a book at all?"

@highlight

She read several, likes some, but is sticking with Dr. Spock's advice: "Go with my gut"