(CNN) -- Protests planned around Egypt -- particularly in Cairo's Tahrir Square -- on the second anniversary of the January 25 revolution are expected to be an explosion of dissent, revealing the deep divisions in the country between President Mohamed Morsy and the Egyptian people.

Opposition to Morsy's authoritarianism is broader than the world recognizes. In making accommodations for Morsy's government, the United States is -- once again -- out of step with the Egyptian people.

Egyptians may not know exactly what they want, but they know what they don't want. Although an effective political opposition has yet to coalesce, Egyptians from all sectors of society are united in their refusal to accept another repressive regime.

Egypt is on a collision course. An ever growing, if periodically discouraged, portion of the population opposes the government and Morsy's Muslim Brotherhood, and supports the revolution's goals of social and economic justice, accountable government, and basic freedoms, including freedom of expression and protection of minorities. Yet the government is moving in exactly the opposite direction, with its authoritarian control over political, social, and religious life.

The government's investigation of the wildly popular "Egyptian Jon Stewart" Bassem Youssef -- charged with insulting Morsy and undermining his command -- and the forced "retirement" of respected journalist Hani Shukrallah, editor of state-owned Al-Ahram's English-language website, are just two very public examples of the vice tightening on freedom of expression.

In fact, the Arab Network for Human Rights says about 24 lawsuits for insulting Morsy have been filed against journalists and activists since his election in June.

The regime is trying to put the revolution genie back in the bottle. But it is clamping down on a population that has discovered its voice. In opposition to this repression, Egyptians at all levels are increasingly engaged in politics.

A Cairo cab driver -- ever the measure of popular sentiment -- recently debated the failings of the Constitution with a passenger. After reaching the destination, the driver leapt out, grabbed a dogeared copy of the Constitution he kept in the front seat, and pointed to a passage to prove his point to his passenger.

The December demonstrations against President Morsy and the Muslim Brotherhood-backed Constitution, which attracted an even broader segment of the population than those who stood in Tahrir Square in 2011, revealed the broadening chasm between the regime and the people in Egypt.

Assembled outside the Presidential Palace were old and young, veiled and unveiled, rich and poor. Whether they arrived in chauffeur-driven cars or whether they marched from Cairo's outlying shantytowns, the hundreds of thousands joined together in their refusal to accept a state that squashed the dreams of the revolution and dictated political, social, and religious behavior.

Many call the second wave of the revolution in the fall of 2012 the "Mothers' Revolution." Parents and grandparents went into the streets to protest the divided loyalties in their families between the Islamists (Brotherhood or Salafis) and those supporting a democratic, secular Egypt. In Egypt, secular means freedom from state control of religion, not nonreligious.

The clash between these two visions of Egypt -- secular with freedom and social justice, or a religious state run by the Brotherhood with its version of Sharia law -- played out inside families and on the streets.

Soldiers protecting the Presidential Palace during the December demonstrations were moved to tears when an Egyptian woman, referring to Morsy, shouted at them, "Why are you protecting this man who is pitting Egyptians against each other?"

Mohamed El Gindy, a successful businessman who opposes Morsy and spent much of December camping in Tahrir with the young revolutionaries, has experienced this division within families firsthand. A relative who had joined the Salafis informed him that the extreme Islamist group had put El Gindy at No. 5 on its "hit list," which is widely believed by Egyptians to exist. The relative was unapologetic until El Gindy told him that he might as well put El Gindy's mother on the list, too, since the octogenarian also had joined the street protests.

Egypt and its families may be divided, but on one subject, all are united -- in the belief that the United States is supporting the Muslim Brotherhood-dominated government.

Visible in the throngs at the December demonstrations were signs opposing Qatar and the United States -- yes, the U.S. and Qatar were lumped together as supporters of the Muslim Brotherhood regime.

"This is such a historic opportunity to restore the image of the U.S., but instead it is putting itself in the same position as Qatar. ... And this from President Obama -- so disappointing," Riham Bahi, a professor at American University in Cairo, said, reflecting views heard repeatedly last December in Egypt.

Opposition leader and blogger Bassem Sabry was even more blunt: "With the Constitution in play, you are subsidizing an Islamist state." Sabry said he was always pro-U.S. "until the revolution."

In addition, the Pentagon plans to proceed with the delivery of 20 F-16 jets to Egypt, a step that looks to Egyptians like a vote of confidence in Morsy. Unchanged since the revolution, U.S. aid policy toward Egypt still makes the military alliance its priority.

Two years after the Egyptian Revolution, the U.S. government finds itself again backing an authoritarian regime against the popular will. As January 25 approaches, with massive protests planned against Morsy's government, this is a precarious position for both the U.S. and Egypt.

In his second term, Obama should adopt a more agile and informed policy toward Egypt, one that matches the words often heard from the White House -- "The United States always has stood with the Egyptian people" -- with action.

The opinions expressed in this commentary are solely those of Cynthia Schneider.

@highlight

National protests against Morsy set for second anniversary of Egypt's revolution

@highlight

Cynthia Schneider: U.S. out of step, underestimates the anti-Morsy sentiment

@highlight

She says proponents of secular democracy think the U.S. backs Muslim Brotherhood

@highlight

She says massive protests will show U.S. needs to align itself with the popular will