(CNN) -- After more than six months of silence, Syria's leader, Bashar al-Assad, spoke last week for only the fourth time since the beginning of the country's widespread uprising in March. His words show that he is as delusional now as when the protests began.

By continuing to blame the revolution on a foreign conspiracy, dismissing hundreds of thousands of his fellow citizens as "bandits, Zionists and al Qaeda," Assad is taking a page out of the handbook of Libya's late dictator, Moammar Gadhafi, on political survival. Assad will fight to the end simply because he cannot even conceive of his end.

"Victory is nigh," Assad assured his dwindling supporters. But the current standstill after 10 months of fighting against unarmed protesters, and the deaths of more than 5,000 people, makes this promise hollow.

Indeed, Assad's recent call on loyalists to continue to form local units to support the army and the security forces in their crackdown clearly shows increasing difficulty for the regime. Without external support, the protest movement has proved impossible to defeat, even for Assad's machine of oppression, deemed by international human rights organizations to be one of the worst in the Middle East. Assad's best defense at this stage is to play the hackneyed hand of dictators in the region -- and he is pursuing it assiduously by stoking international fears of civil mayhem in Syria.

The United States and the international community do not seem to know how to respond, other than to impose economic sanctions, followed by more economic sanctions.

The sanctions, though effective in crippling Syria's economy, have proved useless at stopping the bloodshed. If anything, violence is escalating, its ferocity forcing the previously unarmed protesters to rally around the increasing number of Syrian Army defectors to organize an armed resistance to loyalist militias.

As for the Arab League delegation of monitors roaming the country to ensure compliance with an agreement to halt the violence against protesters, the average daily death toll has more than doubled, reaching around 50 innocent people, since the monitors arrived in late December.

There are vital steps the United States can immediately take.

Ragtag defectors from the Syrian Army, joined by civilians, have had to fight back. Yet these unorganized protesters have fought Assad's loyalist troops and militias nearly to a standstill with only light arms, obtained locally.

Providing them with more sophisticated gear, including RPGs, night vision goggles and better communication equipment, would likely enable them to neutralize Assad's tanks and possibly free entire towns. Implementing a no-fly zone could also prevent Assad from laying these towns, once free, to waste. A naval blockade of Syrian ports would help prevent arms shipments to the regime. These are all measures the protesters themselves have forcefully and uniformly requested.

Some might be concerned that the prospect of increased militarization will plunge Syria into civil war. Assad is leaving his opponents with little choice. Either they must settle for his version of reform, forever keeping him and his inner circle in power and above the law, or they are "terrorists" and will be struck with an "iron fist," as he threatened last week.

If Russia persists in threatening a veto at the U.N. Security Council, the United States should call for an international conference on Syria, with the Arab League, the Islamic Conference, NATO, Japan, India, Brazil and all concerned states. This would be a viable path to legitimate multilateral intervention while circumventing the Russian veto.

Syrian opposition coalitions, such as the SNC (Syrian National Council) and the Antalya Conference for Change, and prominent independent dissidents should be also invited, so that they can endorse the outcome and legitimate any international actions against the Syrian regime.

The protesters and all Syrians who yearn for freedom are unambivalentÂ in their call for international intervention. America faces a fundamental choice. It can stand behind democratic aspirations fully, or it can continue to rely on 19th century notions of power politics and influence.

Backing tyrants as a hedge against Islamist extremism has only fostered more extremism. Although the course of history is never smooth or predictable, supporting freedom, democracy and individual dignity will, over time, provide the most stable model for prosperity and peace.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: Sanctions have not stopped Syria's delusional Bashar al-Assad

@highlight

5,000 people have died in the Syrian regime's crackdown on dissidents, they write

@highlight

Writers say U.S. must provide protesters with sophisticated gear to fight militia

@highlight

They say a no-fly zone, naval blockade of Syrian ports would be effective