Atlanta (CNN) -- Robert Samija can't forget the date: April 16, 1993.

As fighting raged between Croatians and Muslims in the central Bosnian town of Vitez, he saw the execution of a Muslim police chief -- the father of a classmate.

"I saw him get on his knees, begging for his life, and they shot him point blank," he said. "Some people were cheering. But it was horrible."

Now, another date will burn bright in Samija's mind: May 26, 2011, the day Serbian army commander Ratko Mladic was arrested after eluding capture for more than 15 years.

Mladic, the highest-ranking war crimes suspect who was still at large from the Balkan wars of the 1990s, is wanted on charges including genocide, extermination and murder by the International Criminal Tribunal for the former Yugoslavia.

For the Bosnian victims of that war, Mladic's arrest provided some sense of closure, just as many of the loved ones of those who perished in the September 11, 2001, terrorist attacks sighed in relief at the news of Osama bin Laden's death.

But the television repeats of images of Mladic and of events that took place during the war could also act as a trigger and make people relive their trauma, said psychologist Steven Bruce, director of the Center for Trauma Recovery at the University of Missouri in St. Louis, which has a large Bosnian refugee community.

"It's a double-edged sword," Bruce said. "But in the long term, it's good news. I do think it does relieve some anxieties that he would never be found."

Samija, 32, who fled the war with his family to restart life in Atlanta, was elated by the news of Mladic's arrest.

"Until we clear our history, we cannot move," he said.

In another part of Atlanta, Nazifa Garib was hard at work at her bakery, churning out dough for tandoori naan. She had gone to work before sunrise and had not heard the news.

"Oh, my God," she said, pausing for a few seconds.

"I have chills right now. This is very good news."

Before the Gulf War, Garib worked in Baghdad but returned to her native Bosnia in the early 1990s. She was reluctant to speak of the brutality she witnessed, of the family she lost. She said she felt relief that Mladic, whom she blamed for much of what she had suffered, was finally caught.

She hopes he will be hanged like Saddam Hussein, but in public, where his victims can watch.

Sanja Starcevic, whose family runs Neretva, a Bosnian eatery in suburban Atlanta, said the conflict was indescribable.

Like the victims of the tornado this week in Missouri who were at a loss for words, the 55-year-old Starcevic said it was impossible to speak about what she had seen, especially in English, a second language.

"You have to be there and see how it is," she said.

She was glad Mladic will finally face justice but said things will never be the same in Bosnia.

"You can't bring back all the people they killed, from all sides," she said.

Edin Prozorac, 33, a Bosnian Muslim from Kennesaw, Georgia, sipped coffee outside Nerevta and described a life of "slave labor" under Serbian rule during his teen years, performing dirty jobs like cleaning streets, loading trucks, cutting trees and digging channels at the whim of the ruling forces.

One haunting memory typifies the humiliation: A Serbian soldier made him repeatedly get up on and jump down from a trailer and put a gun to his head.

"It was hell," he said, "Seven days a week."

Another Bosnian Muslim -- Senad Cajic, 49, of Kennesaw, Georgia -- said he lived about 45 days under Serbian rule before he escaped to a Bosnian-controlled region.

He remembers stiff curfews and the killing of one man who broke them. Also, he recalls the scarce availability of food.

"We were really scared," he said.

Eventually, he joined the Bosnian military -- more of a militia than an army -- thwarted persistent Serbian assaults and found a safe place for his family in Bosnian territory.

Cajic said many Bosnians returned home after the warfare, but he couldn't go back to his house because it burned. Eventually, he and his family made their way to the United States.

As for Mladic, Cajic said, the arrest was "too late."

Unlike his countrymen who fought, fled for their lives, nursed war injuries and died, Mladic "enjoyed his life for 15 years."

Mladic's arrest cannot erase the mistrust embedded deeply in Bosnian hearts, said Hamdija Custovic, who was only 12 when he witnessed war's horrors. The men in his hometown of Gacko were rounded up to be taken to concentration camps. His father escaped to the mountains, where he hid for four months.

Custovic, 31, used to have Serb friends in school, but he was segregated from them before the war started. Later, they brought guns and knives to school, intending to turn them on their former buddies.

Now, the Charlotte, North Carolina, resident sometimes hears from those former classmates on Facebook. But he can't bring himself to accept their offer to be friends. He doesn't trust them.

Reconciliation was one of the themes sounded by Serbian President Boris Tadic as he announced Mladic's arrest. But Custovic, the spokesman for the Congress of North American Bosniaks, was skeptical.

"I think it is one of the steps," he said. "But we have to keep in mind that this cannot end here. Just because they arrested (former Bosnian Serb leader Radovan) Karadzic and Mladic, it does not absolve Serbs of responsibility for the campaign that was led by thousands of soldiers."

The Germans, said Custovic, accepted responsibility for the Holocaust. There are many Serbs, he said, who will still deny that ethnic cleansing took place in Bosnia.

The 1992-95 Bosnian war was the longest of the conflicts that erupted after the disintegration of communist Yugoslavia in the early 1990s.

Backed by the government of Slobodan Milosevic, Bosnian Serb forces seized control of more than half the country and launched a bloody campaign against the Muslim and Croat populations.

Mladic stands accused of leading the two-year siege of the city of Sarajevo that killed thousands and later, the systematic extermination of about 8,000 Muslims in Srebrenica, now remembered as the worst atrocity in Europe since World War II.

Muhamed Mehmedovic's father and brother were killed by Mladic's soldiers. Their bodies were found in mass graves. He traveled for seven days and nights with his mother and surviving brother to escape Srebrenica's atrocities, and he, like Custovic, made a new life in Charlotte.

He has waited many years for the perpetrators of the Srebrenica massacre to come to justice.

"They need to get every one of them," he said.

Mladic's arrest was huge for Mehmedovic, 32. The entire world was watching the arrest of the man who destroyed his family.

Rusmin Lilic, 40, a Bosnian Muslim from Stone Mountain, Georgia, lived through the worst of days in Sarajevo, the Bosnian capital besieged by Serbian forces.

A member of Bosnia's fledgling armed forces, he was wounded twice and said "you had to defend your home. If not, you'd probably be killed."

He recalls two particularly horrid events in Sarajevo: snipers killing a group of kids on a cherry tree and a market bombing that killed about 70 people.

The violence hardened him, and he mourned deeply when his good friend in the army died, but as more deaths piled up, he stopped crying. The violence and the incremental "psychological killing" ground down a dispirited populace.

"No food, no water, no shampoo, limited everything," he said. "It's the worst thing for everybody."

"I don't think the people will ever forget. I'll not forget that war."

Sitting outside the Neretva coffee shop and grocery store during his lunch break, Lilic sported national pride on his T-shirt, which commemorates a soccer game last decade between a Sarajevan and a Turkish team.

"I never gave up on my country," said Lilic.

Lilic has paid visits to Bosnia since he moved away but said he'd be an "enemy" to his children if he chose to take his family back to live in the homeland. Perhaps, he said, he'll go back "to be buried."

Prozorac said he's debating whether to discuss the past with his American children. He has never returned home.

For Prozorac and many other Bosnians, the scars will never go away.

@highlight

Ratko Mladic's arrest is good news for war victims

@highlight

But for some, it triggers memories of suffering

@highlight

Robert Samija saw the execution of a classmate's father

@highlight

He says Mladic's arrest will help people move forward