The United States is advising airlines with direct flights serving Russia to be aware of the possibility that explosive materials could be concealed in toothpaste or cosmetic tubes, the chairman of the House Homeland Security Committee said Wednesday night.

Rep. Michael McCaul said the Department of Homeland Security issued a bulletin to airlines flying into Russia  warning of the potential threat.

The bulletin, the Texas Republican said, indicated that officials believed the explosives might be used during flights or smuggled into the city of Sochi, where competition at the Winter Olympics begins Thursday. The opening ceremony is Friday.

A U.S. law enforcement official told CNN that the cause for the Homeland Security alert was specific to the imminent start of the games.

According to the source, authorities have increasing confidence about the safety of Sochi and the Olympic venues. Still, U.S. intelligence is picking up increasing chatter that causes worry about targets outside  the Sochi area, including regional transportation links.

The biggest ongoing worry outside this new concern -- as expected -- is groups based in southern Russia's Caucasus region, in particular the restive Dagestan republic.

However, U.S. officials also are worried that al Qaeda-linked groups from elsewhere could take advantage of the attention being focused on Russian militant groups.

The concern about the use of toothpaste tubes is mostly focused on flights from Europe and neighboring Asian countries -- in part because the United States has less intelligence-sharing with those nations.

A separate U.S. official with knowledge of the current situation, who would not speak on the record because of the sensitivity of the situation, said the U.S. intelligence community is still assessing the credibility and scope of the threat.

The official said the Russians brought some information to the United States. Two senior administration officials told CNN that U.S. authorities had intelligence that they shared with the Russians.

Assessing the credibility includes looking at the latest intelligence about the location and capabilities of known terrorist bomb makers and which groups may have the ability to build a bomb in a container such as a toothpaste tube. Such a device would likely require hard-to-detect explosives and little or no metal content in other critical parts, such as the detonator.

Observers ask: Is Sochi ready?

No known threat to the United States

Earlier Wednesday, a different law enforcement source emphasized  there was no known threat to the United States, but the notice to U.S. and international air carriers is based on new intelligence information.

"It's real. It's real and we got very good information," a government source, who did not want to speak for full attribution, told CNN. "It's based on a credible source. We're taking it seriously. So are other countries. ..."

Homeland Security said that "out of an abundance of caution" it routinely shares "relevant information" with domestic and international entities, "including those associated with international events" like the Sochi Olympics.

A large majority of direct flights into Russia will come from Europe or neighboring Asian countries. Only a few will originate in the United States.

Russian transportation officials have banned liquids in airline carry-on luggage ahead of the games, according to a report from the Russian news agency RIA Novosti.

A former airline security chief anticipated that the threat will prompt authorities in the United States and Europe to clamp down on toothpaste and cosmetics.

"My prediction is that they will give a direct order that they'll be removing toothpaste from passengers' hand-carried items" and possibly from checked luggage as well, said Glen Winn, a former security director at United and Continental airlines.

CNN poll: 57% of Americans think terror attack likely at Sochi Games

How far-reaching is 'ring of steel'?

Homeland Security and Transportation Security Administration officials declined to say what, if any, security actions they are contemplating in light of the threat.

Rep. Peter King, chairman of the House Homeland Security Committee's subcommittee on terrorism and Intelligence, said on CNN's "The Situation Room" that Americans, the airlines and those at the Olympics should take the threat "very seriously."

King, a New York Republican, said he believes the athletes and American spectators are "reasonably safe," but noted that he would not go himself.

"Just as a spectator, I don't think it's worth the risk.  I mean, odds are nothing is going to happen, but the odds are higher than for any other Olympics, I believe, that something could happen," he said.

King said he has some confidence in how the Russians are handling security, but "really not enough because they are not sharing enough intelligence" about what's happening inside the country.

"We are getting some information about what's happening outside of Russia, some external threats, that type thing, or potential threats. I don't want to overstate that," he said.

He noted a "ring of steel right around the Olympics itself" but said "there's a real cause for concern" about getting to Sochi and surrounding areas.

'Anybody who wants to go ...  should go'

The Obama administration has not indicated it is not safe to travel to the Olympics.

Secretary of State John Kerry, in an exclusive interview with CNN's "The Lead with Jake Tapper" before the toothpaste alert broke, said that "anybody who wants to go to the Olympics, which are just a great event, should go. And we're not telling people not to go."

Kerry added that people should be alert and take precautions, advice he says has been requisite since the 9/11 attacks.

"We've got a new consciousness about this," he said.

A senior administration official said it would make any information public through the State Department should it receive information that "changes our assessment of whether people should travel to Sochi."

Matthew Olsen, a top U.S. counterterrorism official, highlighted concern in testimony to Congress on Tuesday about whether Muslim fundamentalists in disputed regions of Russia -- or other groups -- could launch attacks on selected targets.

"There are a number of specific threats of varying degrees of credibility that we're tracking," he said. "And we're working very closely with the Russians and with other partners to monitor any threats we see and to disrupt those."

CNN has learned this threat is the one Olsen was referring to in his testimony.

Terrorism experts say that airlines continue to be a target of terrorists wishing to make a spectacular impact with an attack. The focus since 2001 has shifted from hijackings to bombs, especially those that might be hidden in luggage.

U.S. authorities are also mindful of creative packaging or other novel ways to conceal explosives. For instance, a failed attempt to blow up an overseas flight heading to Detroit on Christmas Day in 2009 involved a bomb concealed in a passenger's underwear.

Shortly after 9/11 a man was convicted of trying to blow up a transatlantic flight with explosives hidden in his shoes.

Russians say authorities rounding up, poisoning stray dogs before Olympics

@highlight

Two U.S. officials tell CNN that information was shared with the Russians

@highlight

Source says threat is specific to start of the Olympics this week

@highlight

Official tells CNN that Russians shared some information with U.S.

@highlight

Warning to airlines globally that serve Russia based on new intelligence