(CNN) -- For all her experience and accomplishments, the Senate confirmation of Supreme Court nominee Sonia Sotomayor could hinge on one sentence she uttered more than seven years ago.

Sonia Sotomayor's opponents are attacking a 2001 remark she made at the University of California, Berkeley.

The sentence constitutes 32 words of the almost 4,000 she delivered during a speech at the University of California, Berkeley. Read by itself, it seems to imply that Latina women make better judges than white men.

"I would hope that a wise Latina woman, with the richness of her experiences, would more often than not reach a better conclusion than a white male who hasn't lived that life," she said October 26, 2001.

The Princeton and Yale graduate has more than 16 years of federal opinions with which to gauge her proficiency as an arbiter. She spent six years as a district judge and a decade on the 2nd U.S. Circuit Court of Appeals, but the 2001 comment promises to be a focal point of her confirmation.  See Sotomayor's key rulings »

Conservatives such as talk radio host Rush Limbaugh have called her a "reverse racist." Limbaugh further denounced President Obama as "the greatest living example of a reverse racist."

Former House Speaker Newt Gingrich wrote in a Twitter post Wednesday, "White man racist nominee would be forced to withdraw. Latina woman racist should also withdraw."

However, the White House and others say the remark is being taken out of context.  Watch GOP congressman say she'll get a fair hearing »

"Look at the totality of it. I have confidence that people will come to a reasonable conclusion," White House Press Secretary Robert Gibbs said in his Wednesday briefing.

When Obama cited the qualities he was seeking in a nominee, a diverse background was atop the list, Gibbs said.

"When I talk about the richness of experience, I include a life and an upbringing that are different than some people have had," Gibbs said.

Indeed, in a 2007 speech to a Planned Parenthood convention, the president laid out the criteria he would use to select judges: "We need somebody who's got the heart -- the empathy -- to recognize what it's like to be a young teenage mom, the empathy to understand what it's like to be poor or African-American or gay or disabled or old."  See whom Sotomayor would sit alongside if she's confirmed »

Sotomayor's 2001 speech had similar overtones, as she conceded that white justices had made historic decisions on race and gender but emphasized that the attorneys who argued these decisions before the court were African-Americans and women.

At the beginning of her speech, she offered all Latinos in the room a warning: "Latinas are making a lot of progress in the old-boy network."

She went on to laud her Latina upbringing and culture before delivering a brief history on the ascension of women and minorities to the federal bench.

She referenced "two excellent studies on how women on the courts of appeal and state supreme courts have tended to vote more often than their male counterpart to uphold women's claims in sex discrimination cases and criminal defendants' claims in search and seizure cases."

After making the now-inflammatory comment on Latina women versus white men, she discussed how her experiences might color her judicial decisions.  Watch how Sotomayor can smooth confirmation process »

"Personal experiences affect the facts that judges choose to see," she said. "My hope is that I will take the good from my experiences and extrapolate them further into areas with which I am unfamiliar. I simply do not know exactly what that difference will be in my judging. But I accept there will be some based on my gender and my Latina heritage." Read a transcript of the speech

Lani Guinier, a professor at Harvard Law School, defended Sotomayor's remarks, writing in The New York Times on Tuesday that "cognitive psychology and history predict that every justice acts from a perspective."

As a judge, litigator and private lawyer, Sotomayor has myriad experiences that will benefit the court, Guinier wrote, but it would be a mistake to reduce Sotomayor to her résumé.  Watch bloggers share their thoughts »

"[Her] impressive intellect is joined by the wisdom and compassion that comes from varied life experiences," Guinier wrote.

Maria Echaveste, President Clinton's former deputy chief of staff, also defended Sotomayor. Calling Sotomayor a racist, she said, is a disservice to the public.

"What is wisdom but knowledge and experience -- and experience that comes from being who you are? That's all she was saying," she said.

Asked whether she would defend a white male nominee who said his experience gave him a better perspective on legal issues, Echaveste dismissed the comparison.

"I can't imagine that any president would pick someone who would say something like that. That's not what Judge Sotomayor was saying," she replied.

Several conservatives, however, believe that is exactly what Sotomayor was saying, and they have mounted an offensive before her confirmation schedule is even solidified.

Former Massachusetts Gov. Mitt Romney has called her nomination "troubling" and said her public remarks "make it clear she has an expansive view of the role of the judiciary."

"What the American public deserves is a judge who will put the law above her own personal political philosophy," he said in a statement.

Another 2008 GOP presidential hopeful, former Arkansas Gov. Mike Huckabee, also lambasted Sotomayor, saying Obama's campaign promise to remain centrist and bipartisan is "mere rhetoric."

"The notion that appellate court decisions are to be interpreted by the 'feelings' of the judge is a direct affront of the basic premise of our judicial system that is supposed to apply the law without personal emotion," Huckabee said in a statement. "If she is confirmed, then we need to take the blindfold off Lady Justice."

Despite widespread criticism over Sotomayor's remark, those defending her say they hope the Senate will judge her by her qualifications and not her 2001 Berkeley speech.

"America is a big, rich, diverse pot, and having a woman of her caliber, her qualifications, on the bench can only enrich," Echaveste said.

Added the White House's Gibbs, "I think [richness of experience] provides somebody with important perspective, and I think many people in America can see some part of them in her story."

CNN's Eliott C. McLaughlin and John King contributed to this report.

@highlight

White House says 2001 remark being taken out of context

@highlight

Sotomayor: She hopes "wise Latina woman" would judge better than white male

@highlight

In same speech, she said Latinas making progress "in the old-boy network"

@highlight

GOP heavyweights call Sotomayor "racist" in denouncing her nomination