(CNN) -- Of all of the calculations Zainab Ibrahim made during her accounting career in Baghdad, this one was a snap.

Iraqi refugee Zainab Ibrahim lives in a modest, sparsely furnished apartment outside Atlanta, Georgia.

After a bullet whizzed by her head and death threats showed up at her doorstep, it was time, she figured, to leave. She went to Jordan four years ago and arrived last June at her ultimate destination -- the United States.

Once a target of insurgents because her job at the Iraqi Finance Ministry involved working with the U.S. military, Ibrahim is now trying to avoid another pitfall -- falling through the cracks of America's recession.

She and thousands of refugees across America who fled war and persecution just can't seem to find full-time jobs in a weak economy. And that just doesn't add up for Ibrahim, who has bachelor's and master's degrees in accounting from Baghdad University and risked her life for the U.S. government.

"It's everybody's dream being in the United States. I thought I would get the opportunity I always dreamed about," she said in fluent English in her sparsely furnished apartment outside Atlanta, Georgia. "I'm really shocked. I found out everything is slow."   View video highlights from her interview »

The recession has made life tough nationwide for refugees.

"It's the most challenging time I've seen and I've been doing this work for 25 years," said Robert J. Carey, vice president of resettlement and migration policy at the International Rescue Committee, one of several nonprofit organizations that the U.S. government pays to resettle refugees.

Lavinia Limon, president and chief executive officer of the U.S. Committee for Refugees and Immigrants, says, "it's a significant problem."

"All refugees are required to become self-sufficient in a very fast time period. Our program is designed with that in mind. There isn't a long-term basis of support," said Anastasia Brown, director of refugee programs for the U.S. Council of Catholic Bishops. "What we have right now is a situation where it's becoming more and more difficult to find employment in a very short time period."

The U.S. government resettles a limited number of refugees each year. They have full legal rights to live and work in the United States and can apply to become U.S. citizens after five years.

Both the U.S. State and the Health and Human Services departments pay for limited refugee services.

The State Department allocation for living expenses per refugee on arrival to the country is $450, a sum the department calls "modest." Individual refugees also are eligible to get eight months of cash assistance and medical assistance under the HHS' Office of Refugee Resettlement.

Depending on states' eligibility requirements, refugee families could be eligible for Temporary Assistance to Needy Families and Medicaid. State governments stipulate welfare benefit cash levels. There are five years' worth of social services, such as English language instruction.

Refugee agencies across America pursue various state and federal programs that can help newcomers stay afloat, but they say they rely more and more on private donations to help provide food, clothing, money and furniture. That increasing reliance on community support shows that the U.S. program for resettling refugees needs reform, resettlement agencies argue.

Three agencies -- Church World Service, Episcopal Migration Ministries, and Lutheran Immigration and Refugee Service -- said in a recent statement that "the recession is making it harder for refugee newcomers to find jobs within 180 days of arrival as the program prescribes."

They said the government's "one-size-fits-all" approach -- the $450 per refugee and eight months of limited cash assistance plus food stamps and Medicaid -- "reflects neither what resettlement actually costs nor the importance the U.S. refugee program holds in U.S. foreign policy," they said.

The public-private partnership that has been the "genius" of the U.S. program has "fallen out of balance," with the private sector is bearing much of the cost, these agencies say.

More than 60,000 refugees were admitted to the United States during the fiscal year 2008, according to figures from the State Department's Bureau of Population, Refugees and Migration. The largest number was from Burma, with 18,139. There were 13,823 from Iraq.

Traditionally, refugees -- no matter their skill level -- have had a better chance of landing menial jobs, in places like hotels or restaurants or in plants with low-paying and arduous jobs. Now refugees are competing with Americans for low-paying jobs. Many are having a hard time finding the non-skilled positions.

Refugee support agencies are scouring the job market, exploring job opportunities on farms as well as work in other sectors of the economy, said Carey, the International Rescue Committee senior vice president. He's also chairman of the Refugee Council USA, a coalition of non-government organizations helping refugees.

"For the first time I'm aware of," he said, "large numbers of refugees are receiving eviction notices."

It's even hard for those refugees who go places where they have friends, relatives or members of their same faith.

In San Diego, California, Iraqi Chaldean Christian refugees are facing strains despite having access to an established Chaldean community, said Michael McKay, refugees services department director of Catholic Charities in San Diego.

There's "great competition" for jobs, from menial to highly skilled. Several Iraqis in San Diego have even talked about returning to Iraq.

Yet some communities still have those one or two big employers with jobs well-suited to newcomers.

In Bowling Green, Kentucky, refugees from Burma, Burundi, Iraq, Cuba and Bhutan have over the years found low-paying factory jobs that Americans shun, such as work at a Perdue Farms chicken processing plant, said James Robinson, executive director of The Bowling Green International Center.

How long will that last?

"We're good now," said Robinson. "But you never know what tomorrow will bring."

Back in Atlanta, Zainab Ibrahim makes no bones about how she feels: She wants work in her field, as an accountant, not just any job. But she knows she has to recalibrate her goals.

She worked from September to November as a foreign language specialist with the U.S. Army in Mississippi, working with soldiers before they deployed to Iraq. During tax season this year, she worked another temporary job, as an assistant office manager and tax preparer for the Tax Service of America Inc..

Yet to her dismay, she has been unable to find what she covets -- a full-time job. She has produced a resume, gone to job fairs, and applied for clerical and administrative full-time jobs at places like hotels.

She mines the job sites on the Web every day, using a computer at the public library because she can't afford Internet or cable service at home.

David Oliver, the IRC job developer who works with her, said "the recession is a big factor" in her predicament. She is competing with other Americans for jobs and, he said, "I think employers prefer to take somebody whose work experience is recognizable."

Along with refugee cash assistance and food stamps, Ibrahim saved money from her part-time jobs, and her family in the Middle East is ready to help her as they did when she lived in Jordan.

Living frugally, she has been able to pay $600 a month to rent her sparsely furnished apartment. She has a $60 a month phone bill and a fluctuating power bill that once reached $240 a month. There's $50 to $60 a week in food and then gas for her car.

Ibrahim's money is running out, and she wonders whether she will be able to pay her next month's rent. Oliver says there's help, such as IRC emergency funds and local rent assistance, but Ibrahim yearns to support herself, to pay her own way.

Her struggles disappoint Louis Culpepper, president and chief executive officer of Culpepper & Associates Security Services in Atlanta. Ibrahim worked for his firm in Baghdad, and Culpepper called her a "real go-getter."

"I really feel bad about it that someone who put her life on the line can't get a job," he said.

Ibrahim exudes optimism and determination despite her frustrations. She reminds herself that she survived the war and is still living a dream in America. And she applied for a job not long ago.

"Keep your fingers crossed," she said.

@highlight

More than 60,000 refugees were admitted to the U.S. in FY 2008

@highlight

Finding jobs proves difficult as U.S. economy in downturn

@highlight

State Department allocation for living expenses per refugee on arrival is $450

@highlight

Charities, churches can take up the slack but they are feeling the recession pinch