(CNN) -- The good news is that you'll still be allowed to look out the window.

The melancholy news is that you probably won't want to.

Both Amtrak and Greyhound are in the midst of aggressive programs to install and expand free Wi-Fi service on their trains and buses. According to figures provided by officials of both companies, Amtrak and Greyhound, between them, carry around 50 million passengers a year on intercity routes.

"Our passengers tell us that they love to be able to use their computers for free as they travel," said Amtrak spokeswoman Barbara Petito.

"Our passengers enjoy it a lot," said Greyhound spokesman Timothy Stokes.

Petito and Stokes undoubtedly are being truthful. For generations, it was taken as an article of faith that baseball was the national pastime. But several decades ago a wise social observer noted that baseball wasn't the national pastime at all; watching television had become the national pastime. And now -- it's difficult to argue with this -- gazing at computer (or mobile telephone) screens has become the national pastime, whether we want it to be or not.

It's how we pass the time.

"All of our new coaches have Wi-Fi, and it's our plan to make it systemwide," said Greyhound's Stokes. (Various discount-priced bus lines have featured Wi-Fi for some time.)

Amtrak's Petito said the Acela Express trains on the East Coast already have free Wi-Fi, as do the Downeaster trains (between Boston, Massachusetts, and Portland, Maine), the Coast Starlight (between Seattle, Washington, and Los Angeles, California) and the Pacific Surfliner (between San Luis Obispo, California, and San Diego, California). "It is Amtrak's vision to outfit all of its services with Wi-Fi over the next few years as funding becomes available," she said.

There is an undeniable logic to that. Jet airliners are a much faster way to get from one part of the United States to another; trains and buses take considerably longer, and passengers can grow weary and bored. Allowing them to connect to the internet, especially when it's free, would seem to be a way to make the miles zip by.

So what will be lost?

Journeys on Amtrak and Greyhound have, by default, been the last, best way to really look at America block by block, neighborhood by neighborhood, mile by mile. If you were driving your own car on a long trip, you mostly had your eyes on the highway ahead; if you were flying, you were above the clouds.

But on the train or on the bus you had little choice but to look out the window and take in the country as it rolled by. You could read a magazine or work on a crossword puzzle or knit, but those were things you could just as easily do at home. Moving from state to state at ground level felt different. On Amtrak especially, if you booked a compartment in one of the sleeper cars, your window had the approximate relative dimensions of a television screen: You could lean back and let the nation unfurl in front of you. It was like a visual novel, a freeform silent movie; it was like passing through America's endless backyard.

It was the United States in a way you had allowed yourself to almost forget about. The one-of-a-kind storefronts, the people talking on small-town corners, the meticulously tended gardens, the lights in the windows waiting for someone to come home at the end of an evening -- they have always been there, but in our hurried daily lives we sometimes cease to pay attention.

On the train or on the bus, paying attention was often the ideal option, the best way to deal with the tedium, and the whole thing could be unexpectedly lovely. It was the nicest traveler's perk of all.

It still can be, of course; as Greyhound's Stokes said, "You always have the choice." But if recent social history has taught us anything, it's that the actual world around us is frequently no match for the seductiveness of a screen. If you need proof of that, it's right in front of you on any city street, as people stroll along oblivious to their immediate surroundings, their eyes locked on the information being delivered to them on their phones and handheld devices. We seem to have become hopelessly addicted.

So you can bet that, as the trains and interstate buses eventually are all fitted for complimentary Wi-Fi, and as the technical kinks are worked out and the connectivity becomes close to seamless, passengers will become accustomed to logging on to the internet from before they even pull out of the station until the moment they arrive at their destination.

There's no disputing that, in a fundamental way, this is progress; it will make the miles and hours seem to go by more quickly, it will allow passengers to feel they have not really left the world from which they have just departed, it will keep them tethered and productive. It will give the welcome illusion of shortening the journey.

And maybe once in a while, as they look up from the computer for a moment and glance out the window -- at a Friday night football game in a town they've never passed through before and will never pass through again, at a diner whose owner is unlocking and opening the front door as the first tentative rays of one more dawn have just begun to glow, at the tired expression on the face of a motorist alone in his car at a railroad crossing, waiting patiently for the Amtrak train to speed by so he can get to wherever he needs to be. ...

Maybe, once in a while, the people on the train or on the bus will gratefully take in the greatest free show of all, the one that isn't delivered out of the ether and onto a screen, the one that once was referred to as life.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says Amtrak and Greyhound are bringing Wi-FI to their 50 million passengers

@highlight

Trains and buses need a way to compete with planes; Wi-Fi may be an answer, writes Greene

@highlight

Trains and buses were a way to experience "America's backyard," writes Greene

@highlight

He says we have become oblivious to our surroundings due to technology