(CNN) -- These days, some of the best running trails can be found in the world's busiest places.

Which is great news for time-crunched business travelers who want to keep up with their fitness routines while seeing a bit of the city they're visiting.

Here are some of the world's best urban running trails that allow you to experience both nature and architecture.

The High Line (New York)

This much-hyped 2.3-kilometer-long linear park sits on a disused section of the New York Central Railroad and connects Gansevoort Street in the Meatpacking District with 34th Street.

"I love running the High Line for many reasons," says Katie Shea, a member of the New York Road Runners.

"It's an amazing green space high above street level, so you're not only getting the chance to be out in nature, but you're taking in views of the Hudson River and the Empire State Building, along with other skyscrapers.

"There are several art installations, so it's like running through an outdoor museum."

Starting point: Gansevoort Street

Riverside (Shanghai)

The seven-kilometer Xuhui Riverside is a shiny strip of tarmac alongside the Huangpu River that has a designated lane for runners.

The route starts from the Xuhui Riverside Public Open Space, near the Chuanchang Lu metro station, and finishes near Expo Zone C.

Highlights include the luxurious turreted apartment blocks near Huangpu and, on the final stretch, views of the arched Lupu Bridge.

Starting point: Xuhui Riverside Public Open Space, Longteng Avenue

Mont-Royal (Montreal)

Montreal's 200-hectare Mont-Royal park is crisscrossed with a network of running trails.

The Golden Square Mile area is the greenest section.

More advanced runners head to Avenue des Pins and follow the signs for Belvedere and Chalet.

This trail leads up the mountain, but the views from the top -- Montreal's highest point -- make the effort worthwhile.

"Mont-Royal is centrally located, making it easily accessible," says Paul Gantous, president of the Boreal Runners Club.

"The unpaved roads are easy on the joints, although the slope at times can be challenging when you're making your way up to the top of Mont-Royal."

Starting point: 1260 Remembrance Road

Hong Kong Trail (Hong Kong)

The Hong Kong Trail has a total length of 50 kilometers but can be easily broken down into shorter stretches.

"Starting from the Peak, the first half is a gradual descent through dense tropical woodland, crossing occasional streams and offering brief glimpses of the city below," explains Peter Hopper, a member of Hong Kong's Italia Running Club.

"The second half includes steep exposed climbs over some of the island's highest peaks, with 360-degree views. The finish in Big Wave Bay is the perfect place to relax."

Those looking for something light can start with the easygoing Section #1 -- a seven-kilometer stretch that begins at the Peak and finishes at the Pokfulam Reservoir.

Starting point: Victoria Peak

Trinity Skyline Trail (Dallas)

With stunning views over downtown Dallas, the 7.4-kilometer Trinity Skyline Trail starts at the Joppa Preserve's Lemmon Lake in the city's outskirts and finishes at the Trinity River Audubon Center downtown.

"What makes this such a great trail is that it's so conveniently located near the hustle of the downtown area, yet it still gives you that nature feel," says Alex Delacruz from the Dallas Running Club.

"The beauty of the trail makes you forget that you're in one of the largest metropolitan cities in the United States, until you pause at the end of your run and see the sunset reflecting off the classic Dallas skyline."

Starting point: Great Trinity Forest Way, Joppa Preserve

Tennessee Riverwalk (Chattanooga, Tennessee)

The 20-kilometer Tennessee Riverwalk is a linear park that starts at Ross's Landing in Chattanooga and finishes in the city center.

"I like that I can run 10 kilometers in one direction, then turn around and run 10 back, and the scenery changes constantly," says Courtney Bird, founder of Run Chattanooga.

"Not just when I change locations along the Riverwalk, but throughout the day as the sun comes out and it warms up.

"There's really nothing like watching the sunrise over the Hunter Museum or watching the city wake up from the Walnut Street Bridge viewpoint."

Starting point: Riverfront Parkway

New Orleans jogging tour (New Orleans)

Running can be a great way to discover a city but if you don't want to go it alone, New Orleans offers organized running tours.

Runs depart from the Old U.S. Mint building in the French Quarter and finish near the Garden District along the St. Charles Avenue streetcar tracks.

The 90-minute tours start at 6 a.m. and 9 a.m., Monday through Saturday, and the route is 10 kilometers.

There are several rest stops at some of the city's more famous buildings, such as the Old Ursuline Convent and the National WWII Museum.

Neworleansjoggingtours.com has more information.

Starting point: 400 Esplanade Ave.

The Bay Run (Sydney)

"Sydney is a place with hundreds of running trails, from runs along the city's harbor to longer challenging bush trails in the chains of bush land that dots Sydney suburbs and outskirts," says Joe Degabriele, president of the Sydney Striders Running Club.

Among these is the Bay Run, a trail in Sydney's western suburbs that loops around the lovely Iron Cove.

In the past year it's been widened to allow more room for both cyclists and runners.

"It's a beautiful setting with flat separated footpaths over a seven-kilometer circuit," says Degabriele.

Starting point: King George Park

Thames Path (London)

The 289-kilometer Thames Path stretches from the Thames Flood Barrier at Woolwich in South East London to Kemble in Gloucestershire, but unless you're a superhuman, running the entire length in one go isn't really an option.

We recommend tackling the 13-kilometer section winding from Richmond, on the outskirts of London, to Hammersmith in the city center.

You can expect stunning views of the city, lots of wildlife and plenty of opportunities for an energy-boosting ice cream cone.

Starting point: Richmond Riverside, Richmond

Yoyogi Park (Tokyo)

Though temporarily closed, this 133-acre park, one of Tokyo's biggest, is usually open 24 hours a day in the heart of the city, making it a popular destination for post-work runs.

Running paths inside the park are conveniently covered with distance markers so you can gauge your progress.

The park is also popular with blind runners, thanks to volunteers who lead visually impaired runners.

The trail provides a pleasant, compact circuit and the only off-limits area is the park's Meiji Shrine.

If you can't wait til you get back to the hotel there are showers at the nearby Wired Cafe Fit outside the park's stadium.

Starting point: 2-1 Yoyogi Kamizonocho, Shibuya. Meijijingumae and Harajuku are the nearest stations to the park. Check here for details about its reopening.

Tamara Hinson is a freelance travel writer based in the UK.

@highlight

It's possible to stay on your running routine even while visiting a big city

@highlight

Running through NYC's High Line is like running through an outdoor museum, says one city runner

@highlight

Tokyo's Yoyogi Park is popular with blind runners thanks to volunteers who lead visually impaired runners