(CNN) -- Cardinal John Onaiyekan of Abuja, Nigeria, was asked last week at the celebration of Black History Month in Toronto if he thought that the time was ripe for an African pope. His answer attracted much cheering from the crowd of over 500 Catholics of African descent.

He said: "The time for an African pope was ripe even in the time of the Apostolic Fathers in the first century of the church.

"I am not saying that I wish to be considered for the papacy, but the fact that the Gospel is to be preached to all peoples, languages, and races means that the highest leadership of the church should be open to anyone from any race, language and nation. I will not be surprised to see an African pope in my lifetime."

None of us who listened to him expected that a week later, the prospect of an African pope will be put to the test in the next conclave in March as a result of the sudden resignation of Pope Benedict XVI.

For many Catholics, where a pope comes from may not be as important as who the pope is, but for most African Catholics the election of an African pope will be a wonderful sign that African Catholicism has come of age, and they hope that such a pope will address squarely the particular challenges facing Africans today and integrate African culture and socio-economic priorities into mainstream Catholicism.

Within the last three decades there has been a shift in global Catholicism. The center of gravity in World Christianity has moved from the West to the global South.

Watch video: Contender to be the first black pope?

This is not only with regard to African Catholicism but to African Christianity in general. British Missiologist Andrew Walls argues: "African Christianity must be seen as a major component of contemporary representative Christianity, the standard Christianity of the present age, a demonstration model of its character. That is, we need to look at Africa today, in order to understand Christianity itself."

This is a view shared by many who watch the exponential growth and diversity of African Christianity at a time when Catholicism is dying in the heartland of Europe, weakened by sexual abuse, a crisis of leadership, and a crisis of faith and secularism.

According to recent figures, 70% of Catholics now live in either in the Americas (48%) or in Europe (24%) and more than a quarter live either in the Asia-Pacific region (12%) or in Sub-Saharan Africa (16%).

For the first time in history, Latin America and Africa provide more than half of the population of Catholics in the world today.

At a time when the pews and churches of Europe and North America are empty and many dioceses are declaring bankruptcy, the churches in Africa are filled beyond capacity every Sunday. At a time when European church celebrations are seen to be too formal, too medieval and ritualistic, and lacking in joy and flavor, church celebrations in Africa are very enthusiastic, celebratory, communal and joyful.

There is always something new and surprising in many African churches on Sunday, reflecting the unpredictable innovation and openness of African religious beliefs and practices to the dynamist of the Holy Spirit. As one White Canadian who attended our African Mass in Toronto told me recently: African Catholicism rocks!

Whereas there is a frightening drop in vocations to the priesthood and religious life in North America and Europe, religious vocations are booming in Africa and African clerics are all over the Western world helping in the re-evangelization of the descendants of the Western missionaries who brought Christianity to Africa.

Read more: World reacts to Pope's resignation

Catholicism is also a strong cultural influence in Africa's continuing search for answers to the challenges of poverty, diseases, ethnic and religious conflicts, wars, political and economic problems, radical Islamic fundamentalism, and how to mitigate the effects of climate change and natural disasters.

Churches in Africa are becoming strong social capitals whose values lie not simply in providing spiritual support, but also in strengthening the civil society, creating healthy networks among people and valorizing the agency of Africans to safeguard basic human security for integral and sustainable development.

Pope Benedict XVI also recognizes this shift. In November 2011, Pope Benedict XVI was in Contonou, Benin, to unveil the post-Apostolic Exhortation, Africae Munus, which contained the road map of the Second African Synod for the future of African Christianity. Among other things, Pope Benedict argued that Africa has become the spiritual lungs which will awaken the sleeping churches of the West, and that Africa should also become the center for the renewal of Catholic thought, philosophy and theology.

Pope Benedict thus sees African Catholicism and African Catholics as well placed to lead Christianity to the future. The election of an African pope will no doubt vindicate Africa's place as the new center of Catholicism and world Christianity.

The fundamental questions are: Is the Catholic church ready for a black pope? Will the church, which defines herself as universal, live up to the full consequences of her identity and give room to a new reality that could help reconnect the church to the movement of history which it seems to have abandoned under the papacy of Pope Benedict?

Will the Catholic Church accept Africa's brand of Catholicism and will an African pope be more Roman than African? Is an African pope better placed to address the challenges facing Africa today as well as give new energy and renewal to a tired church in the West?

However, whoever becomes the next pope -- African or non-African -- should see himself as a pope for the world. He should not become a prisoner of the Vatican or to a eurocentric medieval notion of Roman Catholicism or orthodoxy.

Furthermore, he should not become a slave to some of the time-worn structures and teachings of the Catholic Church.

On the contrary, he should go out to the ends of the earth and reach out to all people, especially those disenchanted and marginal Catholics -- women divorced and separated Catholics, gays and lesbians, victims of clerical sexual abuse, and those who feel alienated from the church because of some of its sterner moral and spiritual prescriptions.

The boundaries of ethical and doctrinal discourse are shifting in a radical way. It should be the task of the new pope to help make the Catholic Church a community of faith of people of many colors; a church that embraces social change and cultures as a friend, and endorses through her laws and practices the dignity of differences.

This way, the Catholic Church will become truly a household of God, where blacks and whites, saints and sinners, men and women, liberals and conservatives, rich and poor, gays and straights are all treated as equal children of God, without regard to rank or status.

The opinions expressed in this commentary are solely those of Stan Chu Ilo.

@highlight

An African pope would show that African Catholicism has come of age, says Stan Chu Ilo

@highlight

Latin America and Africa account for more than half of the world's Catholics

@highlight

Pope Benedict XVI has described Africa as a "Spiritual Lung" for humanity

@highlight

Stan Chu Ilo asks: Is the Catholic Church ready for a black pope?