Along a winding Chinese mountain road dotted with inns and restaurants is Jinan Orphanage, a place of refuge and site for troubled parents to dump unwanted children.

The government-run orphanage in eastern China opened its first baby hatch on June 1, International Children's Day, as a symbolic step to show the country's commitment to improving child welfare.

However, it since proved so popular that authorities have had to introduce new rules to limit the number of babies and children being abandoned.

In just 11 days, 106 children, all with disabilities or medical conditions, were dropped off at the Jinan facility, according to local state media. That is more than the 85 orphans the city accepted the entire previous year.

In one reported case, a six-year-old girl was pushed out of a car in front of the hatch. In her pocket was $430 and a piece of paper with her birth date and time written on it, according to state media.

Waiting outside the hatch

CNN waited outside the hatch on a Tuesday afternoon to see how often it was being used.

The hatch is a small, detached room at the side of the orphanage, equipped with a crib, incubator and air conditioning. Once the child's guardian leaves the hatch, the door locks and an alarm sounds, alerting staff to the anonymous drop.

In the first of two attempted drops, two men walked up to the hatch and started taking photos of a sign with detailed instructions on how to drop off a baby.

The instructions said that parents should leave a date of birth, as well as details of any medical conditions the child may have. It also asked people not to take any equipment from the hatch.

Half an hour later, the same two men pulled up in a silver hatchback with a woman in the back. Orphanage workers and guards scurried over to the car. The woman told them her baby had a congenital heart disease and they had no money to treat her.

The workers advised the woman to take her baby to the city hospital, which provides free medical services. If she could not be treated there, then she could bring the baby back, they said. The men quickly got back into the car drove away.

The second drop, only one hour later, involved a 21-year-old man from Sichuan, a province in southwestern China, who walked up the busy road, cradling a baby and a bag of belongings. As the man went to the hatch, orphanage staff and guards stood in his way, preventing him from opening the door. He walked back defeated, silent and stony-faced.

When CNN caught up to him, he broke down in tears, sobbing as he held his baby closer to his chest. His son, dressed in clean clothes and a bonnet, was sleeping. The young man said his baby had water on the brain.

"I just want to leave him there because with the state at least he has hope. We have no money. We've spent everything," he said as he wept. The man walked back about a half a mile down the road where his uncle had parked after driving him to the hatch.

When asked why the orphanage would not accept the baby, the staff replied, "He's not allowed. We have regulations. We only accept people from this city."

The orphanage staff told the father to travel back to his hometown in Sichuan -- more than 1,000 miles away on the other side of the country -- to drop off his baby.

New rules imposed

The locals-only rule was applied soon after the hatch opened to try to limit numbers. Now, babies must also be less than one year old, and can only be dropped off between the hours of 9 a.m. and 5 p.m.

A handful of police, orphanage workers and volunteers stand guard at the hatch 24 hours a day, making it increasingly difficult for any parent to abandon a child anonymously.

The country is divided on the topic of hatches, with many believing that the government is condoning child abandonment and even encouraging it by opening hatches. Outside the hatch are prominently placed slogans condemning child abandonment, a reminder from the government that the practice is technically illegal, even though the provision of baby hatches amounts to turning a blind eye to that.

History of China's hatches

The first pilot hatch was introduced in 2011. Now there are 32 across the country, according to the official Xinhua news agency.

"We had to find a more humane way to take in abandoned babies," said Dr. Wang Zhenyao, one of the founders for China's child welfare policy and a retired Ministry of Civil Affairs official.

"In reality, children were being thrown into trash cans, on the side of roads, in front of hospitals, or in front of the Ministry of Civil Affairs so we had to standardize it and regulate it."

According to UNICEF, there were around 712,000 orphans in China in 2010, but child welfare groups believe that the number could be in the millions if you account for children in non-government orphanages and foster homes.

Unlike in the 1980s and 90s, when most abandoned babies were girls, now most suffer from a range of disabilities and medical conditions, such as cerebral palsy, Down syndrome, congenital heart disease, club feet and cleft lips.

Changing attitudes, improving welfare

Wang said baby hatches were a step in the right direction for the country, but acknowledged that changing mindsets and improving social welfare would pose a challenge in the years to come.

"If you don't give up your child, then nobody will help you," Wang told CNN. "But once you abandon your child, the government must take over."

"This is not a good solution. Instead the government should step forward to subsidize parents and enable them to take care of their children. This is a simple truth that is hard to explain to society."

According to Wang, China has only 10,000 social workers handling 100,000 abandoned children, a ratio of one social worker to ten orphans. In more developed nations, the ratio is normally two social welfare workers to every orphaned child, he said.

The Ministry of Civil Affairs seems to have recognized the problem and has set an ambitious target of increasing the number of social welfare workers to two million by 2015.

Until then, it's likely the hatches will continue to be used by parents too poor or too overwhelmed to keep their children at home.

China's 'baby hatch' numbers set to increase

'Baby hatch' overwhelmed in Southern Chinese city

@highlight

Jinan 'baby hatch' overwhelmed since opening on June 1

@highlight

Over 100 children abandoned, all had disabilities or medical conditions

@highlight

City has had to introduce new rules to reduce number of babies, children

@highlight

Babies must now be less than one year old, from the local area