(CNN) -- He's made more money at the movies this year than Adam Sandler, Seth Rogen, invading aliens and yes, even Justin Bieber. His name is Rango, a strange-looking lizard with the voice of Johnny Depp, and he's the current king of the box office.

In 2009, only one fully animated film, "Up," was among the 10 biggest domestic grossers of the year. In 2010, the box office crown was taken by "Toy Story 3," and it was among five films in the top 10. In both years, animated films grossed well over $1 billion.

"Rango" isn't alone at the box office this year, either. Live-action/animation hybrid "Hop" has been the No. 1 movie for two weekends running, while the last weekend in February saw Disney's computer-animated romantic comedy "Gnomeo & Juliet" holding its own in its third week in theaters, just barely coming in second to that weekend's new comedy "Hall Pass." "Gnomeo" is approaching a total take of $100 million in the United States.

This weekend sees the release of the animated musical "Rio," which has already made more than $50 million internationally. The sequel "Hoodwinked Too! Hood vs. Evil" is out later this month.

Animation as a box office force (despite a few exceptions) couldn't come about only because of families with young kids. Rabid fans of the genre often follow every release  and enjoy the artistic aspect of it as well as the fact that so many of the films work on a completely different level for adults.

"The output of animated features in the last few years has definitely opened up from when I was a kid 20 years ago," said Michael Howe, a writer for JimHillMedia.com, who has a degree in animation from Illinois Institute of Art-Chicago. "There is a variety to the marketplace these days that can allow us to pick and choose from the pop-culture oriented fare from DreamWorks or allow us to seek out the unfamiliar like Studio Ghibli's 'Spirited Away.' "

Chicago resident Howe has been inspired since childhood by the medium: "With animation, there is the potential to take us to new worlds or environments that seem somehow familiar, but have been tweaked in little ways. You can see this in the style of the very angular world of the film 'Madagascar,' and even the vehicle-themed environments in the world of 'Cars.'"

Twenty years ago, hand-drawn animation experienced a resurgence in popularity thanks to "The Little Mermaid," "Beauty and the Beast," and later, "The Lion King." When the first "Toy Story" was released in 1995, it heralded the eventual takeover by computer animation in feature films. Still, Disney was practically the only game in town.

Toronto resident Mike Bastoli is one of many hardcore fans of Disney's Pixar animation studio, which has won the Best Animated Feature Oscar the past four years.

"The way they combine the art of storytelling with the technology they use is incredible," said Bastoli, who created the fan site The Pixar Blog in 2007 and was flown out to visit the studio last year. "They really put a lot of attention into their story, more than any film studio out there, be it animated or live action. The story is what makes the movies work."

"Pixar is really the only bulletproof brand left in Hollywood," said Boxofficeguru.com editor Gitesh Pandya. "They haven't had a flop yet."

David A. Gross, editor and publisher of MovieReviewIntelligence.com, said a big reason for that is the broad appeal of the studio's recent releases. "You hear adults talking about how they were moved by 'Toy Story 3,' and 'Up' was a great story about an older character. When they fire on all cylinders like that, the (box office) can really take off."

In 2001, the game changed again, when DreamWorks found success with "Shrek," the first of four movies in that franchise (with the spinoff, "Puss in Boots," due later this year).

"We've been very excited to see the growth and popularity of animation," said Anne Globe, head of worldwide marketing for DreamWorks Animation.

In recent years, the studio's hits have included the first two "Madagascar" movies (a third is on the way in June 2012) and "Kung Fu Panda," whose sequel, following the adventures of Jack Black's character, Po, will be released on May 26.

Globe pointed out that "Panda's" official Facebook page has had great success, with more than 3 million "likes" from users. "Certainly that is attributable to the popularity of the character," she said. "Po and Shrek are both very popular on Facebook."

In 2002, the first of many "Ice Age" movies became a blockbuster for 20th Century Fox's Blue Sky Studios (a fourth film is due next year), and the company hopes to see similar success with "Rio," especially with teens and beyond. The movie's partnership with the popular "Angry Birds" online game has been a huge success, and a performance by two of the movie's stars, Jamie Foxx and Will.i.am, on "American Idol" attempted to attract that show's audience via the soundtrack.

"Animated movies have become very unique in that in the last several years, they have become all-audience movies," said Jeffrey Godsick, executive vice president of marketing for 20th Century Fox. Through marketing campaigns like the one for "Rio," he said, "We are able to speak to the widest audience possible and can speak to different audience segments. Adults also know that there are jokes in the movie for them, that there's an emotional story for them."

It's hard to find a studio that hasn't jumped into the animation game.

"Almost all of the studios have really broken through: Sony did well with 'Cloudy with a Chance of Meatballs,' and Fox has done well with 'Ice Age,'" said Gross. "It's no longer just a Disney brand."

Paramount is the latest studio fairly new to the animation world to have a smash hit on its hands with "Rango."

"When you look at these animated movies like 'Despicable Me,' it was cute but it also had raw humor for adults. It was hip," said Gross. "You see the same thing with 'Rango' now. It's cool looking. Johnny Depp appeals to everybody. These are much bigger than a 'kiddie' movie."

DreamWorks also strives to put out movies that will have broad appeal. "It makes for a great audience response to our films," said Globe. "In addition to the family audience, we've had great success with teens and tweens, and we hope to see the same reaction to 'Kung Fu Panda 2.'"

Animation is a fact of life in Hollywood beyond "Shrek" and "Toy Story." "(Computer-generated imagery), which is used more and more in normal live action films, is now the bread and butter of the animation world," said iReporter Brett Martin, a film critic for the past 10 years and former entertainment reporter at Atlanta's WAGA-TV. "In fact, CGI has advanced so much it is hard to tell the difference between animation and reality these days."

There seems to be no limit to the amount of animated fare we'll see coming out of Hollywood in the near future. "With three major sequels, a prequel and a handful of other nicely timed releases, 2011 animation has the potential for similar growth" to last year, said Martin, who gave his most glowing review of the year so far to "Rango."

Aside from "Puss in Boots," other highly anticipated films this year include "Cars 2," "Happy Feet 2," "The Adventures of Tintin: The Secret of the Unicorn," and the hand-drawn "Winnie the Pooh." DreamWorks recently announced several upcoming animated features, including "How to Train Your Dragon 2," and a new version of "Mr. Peabody & Sherman," for 2012 and beyond.

For the "Dragon" franchise, a second movie is just the beginning. "We were thrilled with the response for the first film, and subsequently fans are interested in what the sequel will be," said Globe. "Also, Cartoon Network will be bringing forth a TV series in 2012." (Cartoon Network, like CNN is a Time Warner company.)

As long as the big box office numbers keep rolling in, moviegoers will continue to see more. As Pandya put it, "When the movie is well-made and the marketing is done well, the rewards are enormous."

@highlight

Animated films have dominated the box office more and more in recent years

@highlight

Many studios are getting in on the action, beyond Disney and DreamWorks

@highlight

Fans admire the artistry and clever storytelling of these films

@highlight

Wide appeal helps bring in more than $1 billion a year in U.S. alone