London, England (CNN) -- They are some of the most spectacular diamonds, rubies and sapphires in the world, and they have graced the outfits of monarchs for centuries, now -- just in time for Queen Elizabeth's Diamond Jubilee -- Britain's Crown Jewels have gone on display in a new-look exhibition.

"The Crown Jewels are a collection of international significance, some of the most stunning gems in the world," said curator Sally Dixon-Smith. "But they are also a working collection, and we wanted to get that across to visitors; that they are real, and that they are very much used, both during coronations and more regularly."

Once through the heavy steel doors -- weighing 2,000 kilos each -- visitors are guided through the process of coronation, allowing them to feel part of the procession, with all its pomp and circumstance.

After following a line of golden trumpets and heavy maces, they are introduced to the regalia of the ceremony: Robes, anointing oil and ceremonial swords, before coming face to face with the fabled gems themselves, set in a succession of stunning crowns, scepters and orbs.

Fashion and treats fit for a Queen

Even their names are the stuff of legend: Koh-i--Nur, the Black Prince's Ruby, Cullinane I and II, King Edward's Sapphire.

Some even come with their own superstitions. The Koh-i-Nur (its name means "Mountain of Light"), for example, is only ever set in crowns made for female members of the monarchy.

Read more: The Royal family tree

"It is said to bring bad luck to any man who wears it," explained Keith Hanson, the chief exhibitor of the jewels. "By contrast, it is believed to bring long life and happiness to any woman who wears it, and as its last wearer, Queen Elizabeth, the Queen Mother, was 101 when she died, that would seem to be true."

The jewels that visitors see today have been worn by British monarchs for generations, but in historical terms, Dixon-Smith says, they are "a relatively new collection."

The originals were destroyed in the wake of the Civil War, which saw King Charles I overthrown and executed in 1649. The oldest piece on display is the 12th century Coronation Spoon, which survived the break-up (and melting down) of the old jewels.

Many of the items in the Tower of London today date back to the restoration of the monarchy in 1660, and the rule of King Charles II, though the collection has been added to and expanded over the centuries since.

Perhaps the most important piece is the St Edward's Crown, which dates from 1661, and is worn by the monarch at the moment of coronation. Made of solid gold and trimmed with ermine and velvet, it is famously heavy -- weighing more than five pounds (2.23kg) -- and can only be worn for 15 minutes during the ceremony.

Read more: What does the queen really do?

By contrast, Queen Victoria's tiny diamond-encrusted crown, made in 1870, measures less than 10cm (3.7 inches) tall. It was designed to be worn over her mourning veil, following the death of her beloved husband, Prince Albert.

And while Queen Victoria wore that miniature coronet so often it was eventually placed on her coffin, after her death, one of the other pieces, the Imperial Crown of India has only been used once.

The crown, which features more than 6,000 diamonds, rubies, sapphires and emeralds, was made in 1911 at a cost of Â£60,000. It was used for the crowning of George V at the Delhi Durbar, because the traditional Crown Jewels are not permitted to leave the country, but has not been worn since.

The new exhibition has been six years in the making, with most of the work being carried out overnight, to allow the Crown Jewels to remain on display throughout.

Thousands of visitors pour in to the Tower of London every day, though Hanson insists "there are no queues here -- only 'lines of expectation.'"

And the fact that the jewels are one of the key attractions for international visitors to London has played a large role in the way they are now displayed, with little writing and a reliance instead on imagery and film, from animations, to painting, to film of the Queen's 1953 coronation.

"The point is not to tell people about the collection, but to show them -- the Crown Jewels are the stars of the show," said interpretation manager Rebecca Richards.

The exhibition also features dramatic lighting and sound effects, designed to allow the precious stones and gold to glow and shine in all their glory.

"They are not relics," said Richards. "They are part of an active tradition, and they are still used today."

So while anyone making a trip to the Tower can expect to be greeted by plenty of glitz and sparkle whenever they visit, they shouldn't be too surprised if they find a small card in place of the Imperial State Crown, reading simply: "In use."

@highlight

Britain's Crown Jewels contain some of the most famous precious stones in the world

@highlight

The collection has been worn by members of the British monarchy for generations

@highlight

Jewels kept in Tower of London, watched over by Yeomen Warders, or "Beefeaters"

@highlight

New-look exhibition unveiled just in time for Queen Elizabeth II's Diamond Jubilee