(CNN) -- Should unauthorized disclosures of classified information be praised or condemned?

The events of recent weeks -- and the disclosures of Edward Snowden in particular -- have propelled this question to the forefront of public debate. Unfortunately, the responses have been polarized, with some hailing leakers as patriots, and others condemning them as traitors. Some have cited the Founding Fathers to make the case that Snowden was justified in revealing secrets. As is often the case, the truth is more complicated.

The first thing to bear in mind is that employees such as Snowden volunteer to be entrusted with classified information. When they disclose secrets, they are violating the trust that they have asked to be placed in themselves. And they are public employees (even if they happen to be contractors rather than permanent employees).

The Snowden Index: A glance at opinions about the NSA leaker

This means that when they disclose secrets, they are disobeying not only their supervisors, but also the public, whose representatives have enacted laws and regulations relating to the handling of classified information.

Finally, it is not personal secrets that these employees are revealing but state secrets. As such, their actions endanger their fellow citizens when they undermine security operations. In sum, when a government employee makes an unauthorized disclosure he is violating trust, disobeying the law and potentially endangering others. These are points worth absorbing before cheering on leakers and whistle-blowers as "patriots."

This does not mean that an employee can never be justified in making an unauthorized disclosure. An employee could uncover activity so heinous that he feels confident that citizens and overseers would want to know about it so that they could punish the wrongdoers. This could be activity that is obviously criminal or clearly immoral.

An example would be the inhumane practices employed at Abu Ghraib prison, whose disclosure led to the prosecution of wrongdoers rather than the complainant. The recent disclosures do not meet this standard though -- Snowden does not claim to have exposed criminal activity. Well, has he uncovered activity that is clearly seen as immoral by his fellow citizens? This is questionable since polls suggest that at least half the country favors secret electronic surveillance and disapproves of his actions.

Is it enough that Snowden thinks that the National Security Agency's program is morally wrong?

This argument is obviously problematic. For if Snowden is allowed to break the law whenever he likes, then why shouldn't others? Should we allow a fiscal conservative in the military to reveal a nuclear weapons programs he deems too expensive? Should a Secret Service officer who supports Greenpeace be allowed to disclose the use of a decoy Air Force One because the increased carbon emissions hurt his conscience? What these hypotheticals make clear is that when officials break the law they must be able to give reasons why we the public would want the secret exposed, not why they would want the secret exposed.

Perhaps it will be argued that Snowden thought the program violated the Fourth Amendment. It is worth asking: What happens when an employee becomes aware of a secret policy or operation whose lawfulness might be unclear to him, perhaps because the law is vague or because he worries that overseers are unaware of the activity in question?

Under these circumstances, the employee would be justified in bringing his concern to the attention of higher-ups.

Should he fear retaliation, he might even be justified in approaching law enforcement or even lawmakers. But once he knows that lawmakers and federal judges have also consented to the secret activity in question (as in the PRISM case), then the employee's options are considerably narrower.

If the policy or operation violates his conscience, then he ought to resign. But if he now decides to disclose the secret policy or operation, then he must accept the legal consequences. Why? Because by subverting the decisions of the president, Congress, and the courts, the employee has undermined the authority that the people have vested in these representative institutions.

Therefore to refuse now to submit to the law, to flee overseas, as Snowden has done, is to show contempt for democracy and the rule of law. If an employee believes that he has broken the law for reasons that his fellow citizens will understand, then he ought to be willing to take his chances before a jury (as in the Bradley Manning case).

The moral limits outlined above will be rejected by those who praise unauthorized disclosures. They will insist that unauthorized disclosures advance democracy and American values because transparency is democratic and secrecy is un-American. But this argument cannot be taken seriously.

After all, there are things that the public itself may not want to know, which is why our elected representatives have enacted laws and regulations prohibiting the unauthorized disclosure of classified information. Or are our public officials only allowed to keep secrets when unelected and unaccountable government contractors agree that they may? If that is what we believe, then why have a president? Or hold elections? Indeed, why have a Constitution? Just let the contractors run the show.

Opinion: Edward Snowden is a hero

It is also worth recalling that the Constitution was not written solely to promote transparency. There are other important values that must also be taken into account, such as the need for what the Framers called "energy" in government, i.e., the capacity to act speedily and secretly in the national interest.

This point is often forgotten by those advocating on behalf of employees who make unauthorized disclosures. "Has Thomas Jefferson's notion that the bedrock of democracy rests on an informed citizenry become as 'quaint' as the Geneva Conventions?" Coleen Rowley recently asked on CNN.

Rowley might be surprised to learn that in May 1784, Congress overwhelmingly approved a resolution declaring all diplomatic correspondence be "considered, at all times, as under an injunction of secrecy, except as to such parts of them as Congress shall, by special permission, allow to be published or communicated." The mover of the resolution was ... you guessed it, Thomas Jefferson. And what about Meriwether Lewis and William Clark's expedition, which was, as Stephen Knott notes in "Secret and Sanctioned," only one of the many covert operations undertaken by Jefferson and his successors?

Proponents of transparency also love to cite James Madison, the Father of the Constitution, who once said that "a popular Government, without popular information, or the means of acquiring it, is but a prologue to a farce or a tragedy." What they don't realize is that these words come from a letter that Madison wrote to Lt. Gov. William Barry commending Kentucky's appropriations for public education in mathematics.

To see what Madison really thought about secrecy it is worth recalling the case of David Howell, Rhode Island's delegate to the Continental Congress, who leaked to the Providence Gazette news of a friendly overture from Sweden. Howell leaked the news, which had been recorded in the Secret Journal on Benjamin Franklin's request, because he believed it vindicated his stance that the United States would be able to mend its war-ravaged finances by raising new loans in Europe, and that Congress therefore did not have to impose a 5% import duty that Rhode Islanders opposed.

Claiming to have informed his constituents of "such things as they have a right to know," Howell subsequently defended his action before the Continental Congress as an exercise of "the freedom of speech." Sound familiar?

Guess how his colleagues -- our revered Founders -- reacted. Howell's response, Madison observes in his "Notes of Debates," provoked "universal indignation," because his colleagues viewed his actions as having betrayed the Swedes and presented the public with a distorted picture of the United States' financial dealings that could not be corrected without revealing "many delicate transactions." Not surprisingly, then, Howell's defense of his action was formally condemned -- on Alexander Hamilton's motion -- as "highly derogatory to the honor and dignity of the United States in Congress."

To be clear, the fact that secrecy has long been seen as being in the public interest does not give officials carte blanche to do as they like. Secrecy needs to be balanced against important civil liberties.

The central question is: Who should do the balancing? The reason the Constitution entrusts the business of balancing values to the three branches is because the officials in charge are chosen by the people and are in a position to check each other, especially with respect to secret policies or operations that it would be self-defeating to make public.

So when an individual decides to short-circuit or circumvent this careful arrangement, he must only do so when there is reason to believe that representatives from all three branches have allowed grave wrongdoing to go unchecked. Otherwise, an unauthorized disclosure is nothing more than an effort to impose one's own narrow political view on one's fellow citizens.

In such a case, it is the leaker, not state secrecy, that poses an "existential threat" to American democracy.

The opinions expressed in this commentary are solely those of Rahul Sagar.

@highlight

Rahul Sagar: Edward Snowden took on a heavy burden when he leaked U.S. secrets

@highlight

He says Snowden could have gone to higher-ups or resigned over policies he opposed

@highlight

Sagar: Snowden usurped the role properly played by three branches of government

@highlight

Framers of Constitution such as Madison, Jefferson opposed leaking of secrets, he says