(CNN)Elon Musk has built a $12 billion company in an endeavor to pave the way to Mars for humanity. He insists that Mars is a "long-term insurance policy" for "the light of consciousness" in the face of climate change, extinction events, and our recklessness with technology.

On the other hand, astronaut Chris Hadfield is skeptical: "Humanity is not going extinct," he told me. He added: "There's no great compelling reason to go, apart from curiosity, and that's not going to be enough to sustain the immense cost necessary with the technology that exists right now."

But I question our future, stuck here on Earth. Our environment is a highly balanced system and we are the destabilizing element. Pursuing "green" initiatives is no long-term solution to the wall we're hurtling towards, they're speed bumps. If this is where humankind is destined to remain, then we shall find ourselves fighting over whatever is left of it.

Politically speaking, sending humans into space brings nations together -- the International Space Station stood as the physical manifestation of the reunification of the USA and Russia and is now a platform for broader international cooperation.

Space exploration is also inspiring: during NASA's Apollo program to the Moon, the number of graduates in mathematics, engineering and the sciences in the US doubled. Igniting the imagination of that generation helped propel the US into the dominant position it's held since the 1960s. What could a Mars program do?

Wouldn't the Moon, so much nearer than Mars, be a better first step? Actually, no -- it's just too different. It's better to test hardware and train people in analogs on Earth, such as the geologically similar high-altitude desert in Utah or the cold and dry Canadian Arctic desert. Why the European Space Agency has declared the Moon a stepping-stone to Mars is beyond me, as doing so increases the cost of a Mars program hugely.

It takes about 50% more energy to put something on the surface of the Moon than it does on Mars. The Martian atmosphere can be used to slow down approaching spacecraft, instead of the need for extra fuel to slow the descent. It would also mean developing two different sets of landing techniques and hardware. There are reasons to go to the Moon, just not if your ultimate destination is Mars.

Even colonizing the Moon is questionable: it simply hasn't the resources to sustain an advanced colony. Mars has fertile soil, an abundance of water (as ice), a carbon-dioxide rich atmosphere and a 24-and-a-half hour day. The Moon's soil is not fertile, water is as rare, it has no effective atmosphere, and a 708-hour day. It's feasible to introduce biological life to Mars, but not the Moon.

With only a relatively small push, Mars could be returned to its former warm, wet, hospitable state. Raising the temperature at the south pole by a few degrees would see frozen CO2 in the soil begin to gasify. As a greenhouse gas, it would further raise the temperature, gasifying more CO2 in a self-sustained global-warming process.

Eventually, water frozen into the soil would liquefy, covering half of the planet. After about a century, Mars would settle down with an atmosphere about as dense as the lowland Himalayas and a climate suitable for T-shirts.

Hadfield warns that "we need to invent a lot of things" before going to Mars, and that "there's no great advantage to being the early explorers who die". Few would disagree with that, but what are the challenges a crewed mission to Mars faces?

Radiation: An astronaut would receive a lifetime allowable dose of radiation in a single 30-month round-trip, including 18 months on the surface. But this is only equivalent to increasing the lifetime cancer risk from about 20% to 23%. As the majority of this is received in transit between planets, with proper radiological protection on the ship, it would actually be (radiologically speaking) healthier for an astronaut to live on Mars with a radiation dose of 0.10 sieverts per year than to smoke on Earth at 0.16 sieverts per year.

There is no single practical solution to the radiation problem. One strategy I helped develop was to optimise the internal layout of the equipment and structures in the Mars habitat module to minimise exposure -- placing existing bulk in all the right places. This reduced exposure by about 20%, without adding any mass. Even taking empty sandbags, packing them with Martian soil and putting them on the roof would be a simple and effective measure on Mars. Radiation is an issue to tackle, but it's not a deal-breaker.

Power: "We need a compact energy source," says Hadfield. "We cannot be relying on the tiny bit of solar power that happens to arrive at that location."

While the solar energy reaching the surface of Mars is about half that on Earth, this isn't a show-stopper. A quick back-of-the-envelope calculation shows that to power the equivalent of an average U.S. household on Mars, even through dust storms, one would need an array of solar panels totalling six metres square -- very achievable.

Reduced gravity: The effects of microgravity on astronauts' health have been studied for decades, and a range of techniques have been developed to mitigate the wasting effects on muscle and bone.

With Martian gravity around a third of that on Earth, it would take astronauts a couple of days to acclimatize, and perhaps a few months to fully adapt. NASA and ESA have been developing an under-suit that compresses the body to overcome the negative effects of a reduction in pressure and gravity.

However, biological adaption could be made easier if microgravity were avoided altogether. The spacecraft could be spun in-transit to generate an artificial gravity that slowly decayed, simulating a transition from Earth to Mars gravity (and vice versa) over the six-month journey.

Ultimately, until humans are actually living on other planets it's unlikely we'll solve or even recognise all the subtle long-term health problems associated with reduced gravity. And who's to say what the advances in bio-engineering and technology will make the human body capable of when that time comes?

Life on Mars: If there's life on Mars, even if it's microbial, should we be allowed to spread to the planet, potentially risking its extinction? I find this question strange -- as Chris McKay put it: "We commit microbial genocide every time we wash our hands". We engineer and farm the complex life around us as systematically and as cheaply as possible. Billions of people eat the carcasses of organisms that were thinking and breathing only days before. Why, all of a sudden, should Martian microbes be given such sanctity? It should certainly be studied, but it shouldn't prevent our spreading.

Back contamination: Conversely, the question of whether some Martian plague might accidentally be introduced to Earth should be taken seriously -- but not blown out of proportion. There's only a remote chance that Martian life might be hazardous. The things that kill us do so because they've evolved in lock-step with us in a continual evolutionary arms race. Any Martian life will have evolved independently and is unlikely to be capable even of interacting with Earth life on a molecular level. As Robert Zubrin put it: "Trees don't get colds and humans don't get Dutch Elm Disease."

Psychology: Depending on relative orbits, sending a message between Earth and Mars can take between three and 22 minutes. This loss of real-time communication will leave astronauts feeling cut-off and alone. Hadfield says that it's vital to keep up crew morale and motivation: "Once you get any distance away on any sort of voyage, the epic-ness disappears, the reality becomes the foreground, and the applause is long gone."

Cost: A crewed Mars program would cost the equivalent of a few weeks of the U.S. defense budget. The US plans on spending about 10 times more on nuclear weapons than on space exploration over the coming decade. The UK government spends about as much on gastric band surgery through the NHS as it does on its space activities.

So while a Mars program certainly has challenges to overcome, the technological gap between us and Mars is far smaller than it was for the Moon program in the 1960s. And the prospects the Red Planet holds for humanity are far greater.

Copyright 2015 The Conversation. Some rights reserved.

@highlight

Pursuing "green" initiatives is no long-term solution to the wall we're hurtling towards, says Ashley Dove-Jay

@highlight

Dove-Jay: Launching missions to Mars would use less energy than those to the Moon

@highlight

Mars program certainly has challenges to overcome, but technological gap between us and Mars is smaller than it was for the Moon program in 1960s, he adds