Albuquerque, New Mexico (CNN) -- Patricia Repar conducts weekly rounds at the University of New Mexico Hospital not in a white coat and stethoscope, but in street clothes and carrying, quite often, an armful of CDs, Native American flutes and even instruments she has designed herself.

Although Repar is a musician, not a medical doctor, her role as director of the hospital's Arts-in-Medicine program is perhaps no less integral to the care and healing of some of the institution's sickest patients.

"It is often the case that seriously ill patients are suffering from things that cannot be relieved with pills or procedures," says Repar, who founded the program in 2002. "We listen for what those things are and try to address them."

A troupe of actors, dancers, writers, musicians, visual artists and movement specialists rove the different sections of the hospital. Painters might be found on any given day in the cancer center, dancers in the psychiatric unit and harpists providing musical sustenance on any given floor.

Their mission is to facilitate "creative encounters" that can help patients and their families discover new meaning in life and death, or "just for fun," as Repar puts it. Sometimes, this can be as simple as playing music at a patient's bedside to help them calm down or sleep.

Recently, a volunteer in Repar's program encountered a woman in her 50s paralyzed from the neck down. The woman used to be a painter but could no longer handle a brush or paints and had been labeled a "problem" patient.

The artist offered to act as the patient's hands, drawing a picture as directed by the bedridden woman.

"The painting was lovely but, better yet, it really brought the patient alive and really turned around the situation," recalls Repar. "The next day she was a new person. It was an amazing experience."

Helping patients navigate the health care system

Musicians and other artists are now a fixture at many medical facilities around the country. Almost half of U.S. health care institutions surveyed by the Global Alliance for Arts & Health in 2009 (the most recent data available) had arts programs of some sort, including permanent displays of arts, performances in public spaces and bedside activities.

While the arts may not cure patients, "research has proven that it does assist the patient in terms of getting well," says Sharon Woodworth, an architect and Global Alliance board member. "It either allows them to relax (so that) their treatment is more acceptable or it helps the caregiver in terms of better reaching the patient."

The University of New Mexico program may well be one of the oldest university-based arts programs, says Repar. And it has grown by leaps and bounds since its inception.

In its inaugural nine-month cycle in 2002 -- the program is active only during the school year -- it served more than 2,000 people including patients, family members and staff with a budget of $10,000. At that point, the program consisted primarily of concerts and "roving rejuvenators" -- artists and massage professionals tending to hospital staff and patients.

In 2012-2013, the budget was about $140,000, Repar says, and the program served about 34,000 people.

By this time, the program included more arts services for patients, family members and hospital staffers. It also has several community outreach projects, an international collaboration with South Africa and research and educational arms.

Growth has been consistent, but not always smooth. Three years ago, in remodeling a room, the hospital inadvertently removed the closets that had been used by Arts-in-Medicine to store musical instruments and other supplies. The hospital eventually gave Arts-in-Medicine another room, but then took that away.

Now, Repar and her staff have their own small office, furnished with a massage table, an old upright piano and assorted other musical instruments, some of which Repar designed herself, as well as tidy sections of colored pencils and CDs.

How hope can help you heal

Repar came to the field after becoming severely ill while visiting Ecuador. "I was afraid and lonely and frustrated," she says. "I distinctly remember feeling like I was tapped on the shoulder by death."

She decided the only way she could deal with it was to create collages, images, short and simple "sound" pieces, poetry and narratives.

"The daily art-making kept my life full of meaning," says Repar, who has a doctorate in music composition. "And I found myself calm and pain-free until I could get further medical care in my home country of Canada."

She turned the art she made while recovering into a performance piece. That led to palliative-care courses, then a collaboration with a hospice in New Mexico and eventually a teaching gig -- Repar is associate professor of music at UNM -- and the arts program.

Dr. Chris Camarata, a UNM assistant professor of family and community medicine, says he has seen wide-ranging benefits in patients who have participated in the arts program.

"I've seen definite symptom improvement," says Camarata, including reductions in pain and even reductions in the amount of pain medicine required, nausea and anxiety in people who are exposed to the arts while in the hospital. He has also seen depressed patients respond to the arts, even when they don't respond to other people.

Music can calm dying people who are agitated or in delirium and help with obtaining peace and quiet at the end of life, Camarata says.

For Max Chavez, 60, art has become a way to deal with depression and simply pass the time while enduring four-hour chemotherapy sessions.

A new kind of children's hospital

Chavez has colon cancer, which has spread to his liver and possibly his chest and spinal cord as well. In the past year, he has undergone four surgeries to remove part of his large intestine and one-third of his liver. He has spent countless hours in the chemo suite with little to do but read, doze or gaze out the window.

"There's nothing you can do but sit there really," says Chavez, a general contractor in Sandia Park, New Mexico.

When artist Catherine Veblen showed up with a cart full of art supplies one day, he thought, "What the heck, I'll try my hand at this."

Chavez, his wife and sister-in-law sat around a table and painted and drew. Chavez now has about 15 art cards he made that he sends as greeting-card notes to various people -- including the head of the UNM Cancer Center, who displays it on her desk.

"The art helped me pass the time away and gave me something to do creatively that I wasn't doing because I was pretty depressed," Chavez says. "I didn't have the energy to do much physical work (but) ... I was able to sit at a table and be creative and not exhaust myself."

The experience also spurred him to take on creative endeavors in his own life.

"The neatest thing about it was I went home and started doing artwork," says Chavez, who is back at work although still undergoing chemotherapy. "It was a great, great inspiration."

He's not the only one inspired. Musician Dave Hoover recalls standing by an elevator with a cancer patient who had just listened to him play the harp.

"I almost forgot why we were here," she told him.

Talking to someone with a chronic illness

@highlight

The Arts-in-Medicine program serves patients at a New Mexico hospital

@highlight

The program involves art, music, drama and dancing

@highlight

"Creative encounters" help patients find new meanings in life and death

@highlight

About half of U.S. hospitals have arts programs of some sort