London, England (CNN) -- An international team of climate scientists is calling on the public to help with a new initiative aimed at predicting how the climate will change during the 21st century.

Using the collective power of ordinary home computers, scientists from the United Kingdom, United States and South Africa will run thousands of regional climate modeling tests which would otherwise take much longer to complete, even on the most up-to-date supercomputers.

The regional modeling project builds on the global modeling work started in 2003 by UK climate scientist Myles Allen and his team at the Atmospheric, Oceanic and Planetary Physics department at the UK's Oxford University.

Project coordinator Suzanne Rosier told CNN: "Up to now, participants have run global models for us. What's new today is that the global model you download has a regional model embedded inside it which models in much more detail, and is capable of capturing weather features that the global model is too coarse to capture."

With the help of the public's PCs scientists will now start running regional climate models for the western United States, Europe and southern Africa.

People interested in signing up to the project can visit http://climateprediction.net/weatherathome/ where they can download all the necessary tools to start running regional climate models from their own computers.

"There's a very neat graphics package that gives you rotational globe and a world view. The new experiment gives you the regional view so you can see various things -- temperature, clouds, pressure -- evolving as your model runs," Rosier said.

Each regional model takes between five and seven days to complete.

There is no limit on users and the program is designed to run when your computer is idle. Rosier says running the climate model will not affect the running speed of your computer.

"The more people who sign up, the more science we can do," she said.

To date, the global modeling project has attracted over 300,000 participants -- of which 50,000 are dedicated users -- from 138 countries and has run over 90 million model years of climate data.

For the regional modeling, Oxford University is being assisted by Oregon State University and South Africa's University of Cape Town.

Oregon State will be examining data from models of extreme precipitations in the western United States.

Philip Mote, director of the Oregon Climate Change Research Institute at the university, told CNN: "There are early indications from modeling that we might see a big increase in extreme precipitation events. Based on that very immature science people are already making decisions about culvert size and bridge clearances and things like that.

"These have real costs associated with them and we hope that in the next couple of years we'll be able to provide much better scientific values for those decisions."

@highlight

Scientists in UK and U.S. call for public help to run climate prediction simulations

@highlight

Using home PCs helps scientists run thousands of climate models

@highlight

Accurate climate predictions can inform climate protection projects on the ground