Kobani, Syria (CNN)When violence swallows a city as wholly as it has Kobani, as in so many of Syria's mottled cities, the fight becomes about who wins, rather than what is left for the victor.

Its streets have been so ground down to the bone, that the prize -- so small but so intensely fought over -- is now unrecognizable.

Every time you open your eyes in Kobani, you see the damage.

INTERACTIVE: Explore the devastation of this Syrian city

There are people still there, but it is hard to gauge how many. Food is scarce, as is fuel for heat. And day and night, indiscriminate, homemade mortars rain down on Kurdish homes -- ISIS borrowing a technique, it seems, from the Syrian regime, and using domestic gas canisters and junk metal to kill or maim civilians.

You can hear the clank of these metal shards bouncing on the street outside as you try to sleep.

Airstrikes by the U.S.-led coalition against ISIS -- often three thuds in rapid succession -- shake the very ground you are lying on. They have held ISIS back, but not enough for the Kurds.

From what we saw, the front lines appear much more toward the city's center than some Kurdish advocates would suggest. To the city's west, too, ISIS fighters are nearer than sometimes advertised. This is a fight that is still in the balance.

To the city's east is the most hotly contested front line. We are led there by Meedya Raqqa, the pseudonym of a 22-year-old Kurdish female fighter.

In a testament to the egalitarian way the Kurds live, she is this unit's commander. She has been fighting ISIS for two years -- almost since the Sunni extremist group's beginning.

ISIS fighters have been as close as five yards away from her. She has lost friends here, but also made them.

'I resist to avenge their death'

"I lost a lot of friends in this war and I resist to avenge their death," she tells me. "No matter the destruction in Kobani, it can be built again -- the important thing is to destroy this strange enemy that entered our land."

The hardest loss to bear is that of her closest friend Reeban early this year. The Kurds have been fighting a lot longer than coalition airstrikes have been falling.

"I lost my best friend eight months ago. She killed herself to save her friends and the injured around her," Raqqa said.

"These are the difficult moments that we live, but I told you we gain strength from these martyrs. They are difficult moments that make you do more to avenge their death to make her dreams come true. The road she began, you finish."

The death itself was heroic and chilling. Reeban was surrounded but also injured. Her fellow fighters were too. They had used all their ammunition.

"Reeban pulled back the injured. She advanced while injured and then ISIS surrounded her. Girls are very prized by ISIS. She blew herself up. She killed a lot of them with her. Her last words to me were: 'We will liberate our land with the last drop of blood in my body.'"

Breaking the rules

Amid all the machismo war usually generates, it is jarring to see the defense of this city performed by women in their early 20s. They are very emotionally in touch with each other, often hugging -- the polar opposite of ISIS' worldview.

"Kurdish women's resistance will show the world a new history of women in which (women) can break all the rules that have no real basis in customs or traditions," said Raqqa.

But first, the fight for Kobani.

She leads us through a series of holes made in the walls of buildings rendered skeletal by the fighting in the east.

One official called the city "Kobanigrad," after the city whose people and essence the Soviet Union's Joseph Stalin sacrificed to make a point.

Scavenged, aging weapons

It is hard to know what will be left to celebrate once the fighting ends, but up on the gun position she takes us to, the intensity of the battle remains clear.

Heavy machine guns try to hit ISIS in the rubble. ISIS fighters lie dead in the no-man's land between the two front lines -- distant in their decay from the glorious death of which ISIS propaganda often talks.

One navy machine gun jams repeatedly. This is a war the Kurds are still fighting with aging, scavenged weapons, even though pinpoint munitions fall from coalition jets onto their common enemy. Their fighters' repeated plea is for better weaponry.

Across no-man's land, you can hear ISIS call out "Alla-u-akhbar," God is the greatest -- the group's common rallying cry.

The Kurds, also Muslims, mock it gently. Their two views of civilization are almost millennia apart, but now separated by a stretch of icy mud, increasingly smaller than they would like.

CNN's Raja Razek contributed to this report.

@highlight

Weeks of fighting between Kurds and ISIS have devastated the Kurdish city of Kobani

@highlight

Some people remain but food and fuel are scarce and mortars rain down

@highlight

Female Kurdish fighters are among those battling ISIS in the shell-blasted streets

@highlight

"I lost a lot of friends in this war and I resist to avenge their death," says one fighter