Washington (CNN) -- Reactions ranged from gloom-and-doom predictions to celebrations to ho-hum business-as-usual as the U.S. military changed its rules Tuesday to allow gay men and lesbians to serve openly.

A minute into the new day, at 12:01 a.m., the old "don't ask, don't tell" rule that has been in force since the Clinton administration was gone.

In its place was a policy designed to be blind to sexual orientation and one that the Pentagon brass insists will maintain the military in fighting trim, with no negative impact on "military readiness, military effectiveness, unit cohesion and recruiting and retention."

Defense Secretary Leon Panetta and Joint Chiefs of Staff Chairman Adm. Mike Mullen told a news conference that the repeal enhanced the integrity of the nation's fighting forces.

"They'll all get up, they'll all go to work, and they'll all be able to do that work honestly, and their fellow citizens will be safe, and that's all that really matters," Mullen said.

Some members of the U.S. military -- many who carefully hid both their identities and sexual orientation for years -- wasted no time in going public.

That included the man who until now had been known as J.D. Smith. Smith had been at the forefront of pushing for the repeal, as co-founder and co-director of a group called OutServe, which bills itself as the Association of Actively Serving LGBT Military Personnel.

As an active-duty service member, he would only speak to the media under a pseudonym. Under the new rules, his real identity can be revealed, and he announced at a news conference Tuesday that he is 1st Lt. Josh Seefried, an airman serving on a base in New Jersey.

Until now, Seefried said, he had worried every day that he could lose his military career if it became known he was gay.

"Today and every day I can go back into work with that burden lifted off my shoulders and not have to worry about it any more," he said. Concerns of a possible hostile reaction from heterosexual colleagues were unfounded, Seefried said, adding that "no one's going hurt us when we go back to our units."

Others joined him. OutServe published a new edition Tuesday called the "Repeal Issue." It was available on some military bases around the world and included photos of 101 active service members openly stating they are gay. The OutServe magazine is also distributed online.

"Now we are stepping forward, to a new day, a new life," wrote Air Force Staff Sgt. Jonathan Mills. "A life of openness, integrity, of honor. At last, our country has accepted us -- not for who we love or how we love but who we are."

The magazine said its photo essay on 101 people serving in the military represented just a portion of the approximately 70,000 "currently serving" lesbian, gay, bisexual and transgender military personnel.

"Today, for the first time in our history, we will welcome the service of any qualified individual who's willing to put on the uniform of our country," said Sen. Susan Collins of Maine, a Republican credited with corralling support for the repeal.

Sen. Chris Coons, D-Delaware, called it "a day to celebrate that it does get better, and we are moving toward a more perfect union."

Seefried wrote a book on his experiences titled "Our Time: Breaking the Silence of 'Don't Ask, Don't Tell." It had been advertised under his cover identify, but now Amazon is ready to substitute his real name on the book, he said.

"The book is really important to me because this ties into people finding out that there are other gay military members out there serving," Seefried earlier told CNN. "I remember a book I read when I was in college done by a gay military officer and it gave me courage and I hope this book does the same."

He admitted a lot of people will be surprised, including friends and co-workers of his, as well as many thousands of other military personnel who may learn something new about their battle buddies or colleagues.

"People will be shocked, but at least they are going to be talking about it," Seefried said. "And talking can bring down barriers."

One of the most vocal and active proponents of the change, Alex Nicholson of Servicemembers United, was discharged from the Army in 2002 under the old policy. "I think it is a combination of thoughts and feelings," Nicholson said in a telephone interview. "It's going to be vindication for people discharged. Also there is a sense of relief."

He looks back at the speeches he gave around the country, sometimes in the face of such opposition that he required police protection, and to the political bargaining sessions.

"I feel very fortunate to have been one of those in the rooms on Capitol Hill and in the White House and with senior administration staff," Nicholson said. Congress finally voted in the repeal of the law last December and President Barack Obama signed the legislation just before Christmas.

Panetta said Tuesday that more than 97% of the nation's 2.3 million uniformed service personnel had been trained for the end of "don't ask, don't tell."

One of the most prominent congressional supporters of the change, Senate Armed Services Committee Chairman Carl Levin, said that from now on, thousands of Americans will be able to serve their country without concealing part of their identity.

"They will no longer have to lie in order to help protect us," Levin said in a statement released by his staff. "The end of 'don't ask, don't tell' is an important victory not just for equality, but integrity."

But a longtime opponent of the change, Elaine Donnelly of the Center for Military Readiness, said she was concerned that allowing gays and lesbians to serve would drive many loyal troops out of the military.

"Due to the president's political promises, the military faces heavy burdens of confusion and tension that could have been avoided," Donnelly said. "This is nothing for the administration to be proud of."

She said it may be years before the damage to the military is apparent, as some people delay their departure because of a weak economy. It would not be wise to consider recruiting, retention and morale to be assured indefinitely, Donnelly said.

Servicemembers United said today that 14,346 people were discharged under the "don't ask, don't tell" policy.

Some of the people who were forced out under the old policy are now reapplying, as the new rules reopen a door that had been shut. Michael Almy was an Air Force officer for 13 years and helped control the air space over Iraq during some of the fiercest fighting of the war. He left in 2006.

"My hope is to get back in. I've talked to recruiters. I'm starting to look at that process," Almy said. He says that nothing is going to repair the damage to his career, after a five-year gap.

"I'm hoping that I can at least get back in there where I left off and resume my career -- hopefully, just be a role model," Almy said. "Because that's what we need right now; we need gay and lesbian role models, officers and enlisted alike, who can serve honestly and openly next to their straight counterparts and show no detriment to the mission whatsoever."

Servicemembers United's Nicholson predicts smooth sailing for all sides in the coming weeks and months. "I think the real story is going to be the non-story," Nicholson said. "What this is going to do is normalize everything that is already there."

CNN's Tom Cohen contributed to this report.

@highlight

NEW: Defense, military chiefs say the repeal is about the integrity of the force

@highlight

Gay activist First Lt. Josh Seefried reveals his orientation, now that he can

@highlight

"Don't ask, don't tell" policy ends Tuesday

@highlight

Opponent of the change predicts loyal troops will leave in the future