NEW YORK (CNN)  -- It's been described as the closest thing to being buried alive -- complete paralysis of the body, except for controlled movement of the eyes.

Erik Ramsey shortly before a car crash left him "locked-in," able to think and reason but paralyzed except for his eyes

That's how 24-year-old Erik Ramsey has spent the last eight years of his life. He suffered a brain stem stroke after a car accident when he was 16, leaving him with "locked-in" syndrome.

This condition is not the same as other forms of paralysis where you feel nothing in the affected areas. Ramsey has 100 percent sensation all over his body. An itch can become excruciating with no way to communicate that he needs it scratched. He has frequent muscle spasms as well, which can be painful.

"Even sweat rolling down his skin or something, there's nothing he can do about it," said Eddie Ramsey, 57, Erik's father. "So he feels everything in the environment, but there is really just nothing he could do about it."

Doctors told the Ramseys that their son has no chance of getting better.

"There's always hope, but a large portion of it is in the category of miracles," said Eddie Ramsey.

But new research may give Erik Ramsey the miracle he has been waiting for. Dr. Phil Kennedy, chief scientist at Neural Signals Inc., a company he founded to conduct research on the brain and communication. He came up with a revolutionary idea that he believed could turn Ramsey's thoughts into speech.

He invented an electrode that detects the neural signals in the speech motor area of Ramsey's brain. In December 2004, the electrode was implanted, and Kennedy, along with four independent labs, began decoding the signals in Ramsey's brain. The researchers asked him to think of specific vowel sounds, then mapped his brain activity. By knowing what his brain looked like when he thought each specific sound, scientists could translate the activity into a language that a voice synthesizer could read.

Dr. Frank Guenther, associate professor of cognitive and neural systems at Boston University, said his lab, one of three others pursuing neural signal translation, had a breakthrough recently: They were able to hear the sounds Ramsey was trying to say using the decoder they built.

"That was a very exciting moment, where we knew this process of taking neural signals and driving a synthesizer was going to work," Guenther said.

In the next two months, researchers will hook up the synthesizer. Ramsey will produce his first vowel sounds then. The next phase is getting him to produce consonants, which are much harder to synthesize. Conversations, they say, are still about two years away.

For Ramsey, this will mean expressing himself beyond just one word answers. The only way he can indicate what he wants is by moving his eyes up for "yes" and down for "no." But even this method only goes so far. He gets so tired that he can answer only about six questions before he has to stop.

Former Elle magazine editor Jean-Dominque Bauby suffered from the same syndrome and was also able to communicate using only one eye. He wrote about the horror of having locked-in syndrome in his book "The Diving Bell and the Butterfly," which was made into a film released November 30.

Bauby's writing was an exceedingly slow process. He dictated the book by blinking his left eye when the correct letter was presented to him. He described his mind as a butterfly flying freely inside a diving bell -- a chamber that is placed underwater, trapping the air inside.

His descriptions of life as a man who is paralyzed and mute gave Eddie Ramsey the first detailed account of what it must be for his son to live with locked-in syndrome.

"He had to blink that book with one eye," Eddie Ramsey said tearfully. "Had he never done that, no one would ever understand what locked-in means."

Asked if ever wanted to end his life, Erik Ramsey looked up, his way of saying yes. Asked if he still felt that way, he looked up again.

But he hasn't lost all hope. Asked if he believes Kennedy's research will allow him to communicate again, he answered "yes."

Eddie Ramsey thinks so too.

"Dr. Kennedy said he believes Erik will be able to speak again either through a voice synthesizer or through some other means. I believe him and I agree with him," he said.

It may do the same for tens of thousands of people living with Lou Gehrig's disease, muscular dystrophy or even Alzheimer's who have lost their ability to speak. E-mail to a friend

@highlight

Scientists working to convert "locked-in" man's brain signals to  speech

@highlight

Electrode captures brain signal, converts it language voice synthesizer can read

@highlight

Erik Ramsey is able to think, reason, but completely paralyzed except for eyes

@highlight

Only way he can indicate what he wants is to move eyes up for "yes," down for "no"