Tokyo (CNN) -- Radioactive iodine in seawater around the Fukushima Daiichi nuclear power plant dropped sharply even before workers plugged a water leak believed to be from its crippled No. 2 reactor, the plant's owner said Wednesday night.

Stopping the flow of highly radioactive water into the Pacific Ocean was a key victory for workers who have struggled to keep the earthquake-damaged plant's reactors from overheating for nearly four weeks. But the Tokyo Electric Power Co. and a top Japanese official warned the fight was far from over.

Concentrations of iodine-131 had been as high as 7.5 million times legal standards in water directly behind the plant after the leak was discovered Saturday. They had dropped to less than 4 percent of that amount in the 24 hours before the leak had been cut off Wednesday morning, according to figures released by Tokyo Electric.

The level remained 280,000 times higher than the legal limit, but those concentrations were dropping sharply as the water flowed out into the Pacific. Levels of longer-lived cesium-137 were down sharply as well but remained 61,000 times the legal standard, according to Tokyo Electric's water sampling data.

Samples from a monitoring point 20 kilometers (12.5 miles) southeast of the plant found iodine-131 levels down to 1.5 times legal levels, with no reading for cesium.

Japanese authorities said they believe the leaking water was part of the 8 metric tons (2,100 gallons) per hour being pumped in the No. 2 reactor, one of three that suffered core damage after the massive earthquake that struck northern Japan on March 11. The water has been leaking into the basement of the unit's turbine plant, carrying with it radioactive particles that are the byproduct of nuclear reactors.

Until Wednesday, the fluid was pouring into the ocean from a cracked concrete shaft near the turbine plant's water intake. Workers managed to use a silica-based polymer dubbed "liquid glass" to seal the breach Wednesday morning, but the Japanese government's top spokesman on the crisis said government and utility officials had other problems.

"Is it completely stopped? Are there any other areas where (radioactive) water is being released?" said Chief Cabinet Secretary Yukio Edano, the spokesman. "We cannot be optimistic, just because we were able to plug this one."

Hidehiko Nishiyama of Japan's Nuclear and Industrial Safety Agency said the now-contained water "may lead to more leakage somewhere else."

Tokyo Electric began pumping nonflammable nitrogen into the primary containment vessel around reactor No. 1 early Thursday in what it said was a precautionary measure to counteract a possible buildup of hydrogen.

"The possibility of a hydrogen explosion is extremely low," the company announced Wednesday night. "But more hydrogen could eventually develop in the containment vessel."

Hydrogen buildup is a symptom of overheating fuel rods and can cause explosions like the spectacular blasts that blew the roofs off the No 1 and No. 3 reactor buildings in the days after the March 11 earthquake. But Tokyo Electric said it did not believe an explosion was imminent.

The radioactive cores of units 1-3 were damaged when the tsunami that followed the earthquake flooded the plant, knocking out power to its coolant systems and disabling backup generators needed to restore electricity. Engineers responded by pumping water into the reactors from outside to stave off a feared meltdown, but they are now struggling with what to do with thousands of tons of now-contaminated liquid.

Since Monday night, the plant has been discharging nearly 10,000 tons of less radioactive water into the ocean, largely to make room in a waste treatment reservoir for the supercharged coolant leaking from the No. 2 reactor.

"Right now they have no systems available to them for processing liquid rad waste, and they're generating liquid rad waste at the rate of about 400,000 gallons a day," said Michael Friedlander, a former nuclear power plant operator. "So without any doubt whatsoever, if they don't put in place some systems to handle this, they are going to have to continue dumping the water into the ocean."

Tokyo Electric had released about three-quarters of the water -- which also came from the subdrains below reactors 5 and 6 -- by Wednesday night and had reduced its estimate of how much was being dumped from the treatment facility. But the discharge, which Japanese officials called an emergency measure, drew protests from neighboring South Korea and enraged the country's fishermen.

Edano said Wednesday that the move was "unavoidable" and would minimize harm to the environment. But he told reporters, "We should have reported (more information) to the people who may be concerned, especially to the neighboring countries."

"It was a measure to prevent more serious marine contamination, but we needed to explain the reasoning better," he said.

Members of Japan's fishery association voiced their ire in a Wednesday morning meeting with Tokyo Electric officials, complaining that they had argued against the measure beforehand and were not told until later that the process would begin. Edano said the Japanese government is considering "provisional compensation" to give a more immediate boost to fishermen, ahead of a more final payment plan that may be established in the future.

Experts have said the releases likely won't pose any long-term health risks to humans or sea life. It also helps that most of the radiatioactive particles detected are iodine-131, which loses half its radiation every eight days.

The emergency discharge equates to about five swimming pools, compared to "about 300 trillion swimming pools of water" that fill the Pacific Ocean, said Timothy Jorgensen, chairman of the radiation safety committee at Georgetown University Medical Center.

"So hopefully the churning of the ocean and the currents will quickly disperse this so that it gets to very dilute concentrations relatively quickly."

After a tumultuous first few weeks, utility and government officials have described conditions recently in the plant's reactors and spent nuclear fuel pools as generally stable. Levels of airborne radiation nearby and further away, meanwhile, steadily have been declining.

Still, the existence of significant amounts of collected radioactive water around the facility suggests that there may be other leaks -- and other problems.

Hiroo Saso, Susan Olson and Tsukushi Ikeda contributed to this report for CNN

@highlight

Seawater radioactivity levels drop sharply in new tests

@highlight

Nitrogen being injected into Unit 1 due to hydrogen buildup

@highlight

One leak of highly radioactive water, from Unit No. 2, into the Pacific Ocean has been stopped

@highlight

But an official says, "We cannot be optimistic, just because we were able to plug this one"