The name "Ferguson" will enter America's political vocabulary alongside cities like Detroit, Harlem and South Central Los Angeles -- places where black Americans rioted in the streets following the violent mistreatment of unarmed black men at the hands of police.

Despite amazing progress in some areas of race relations -- notably, the election and re-election of Barack Obama as President -- the United States also harbors a deep, durable strain of racism that occasionally flares into public consciousness, sometimes with explosive results.

The summer of 2014 was one of those times the curtain was pulled back and the ugliness emerged.

On July 17 in New York City, half a dozen police confronted a man named Eric Garner for allegedly selling cigarettes on the street without a license to do so.  A bystander's phone camera captured video of the police pushing Garner to the ground using a chokehold as Garner, a father of six, repeatedly said "I can't breathe." He died shortly afterwards.

A few weeks later on August 5, in Beavercreek, Ohio, a man named John Crawford was shot to death inside a Walmart store after police responded to an emergency call about a man waving a weapon. Crawford turned out to be holding a pellet-shooting BB gun he'd picked up from a shelf inside the store (which sells the gun).

On August 9 in Ferguson, Missouri, police killed a teenager named Michael Brown and left his body uncovered in the street. Witnesses say Brown had his hands up when an officer fired six shots into his body. A week of demonstrations and violence followed.

On August 11, a 25-year-old man named Ezell Ford was shot to death in Los Angeles. Police say Ford attacked an officer after his car was stopped; other witnesses say he was not resisting and was killed while lying down in the street.

All around America, demonstrations have taken place to protest what some call a national epidemic of police brutality toward black men.

There's no sure way of knowing whether there is a pattern of police imposing deadly force on blacks, but civil rights organizations have long complained about racial profiling -- the practice of assuming members of a racial minority group are engaged in criminal activity and detaining or arresting them for that reason alone.

Such practices are illegal under the U.S. Constitution.

"Racial profiling continues to be a prevalent and egregious form of discrimination in the United States," says the website of the American Civil Liberties Union. "This unjustifiable practice remains a stain on American democracy and an affront to the promise of racial equality."

America has fought a long battle to ensure equal opportunity and legal treatment for descendants of the African slaves who spent centuries in bondage until the practice was outlawed in 1863.

But many stories show black Americans lagging far behind when it comes to economic and educational achievement.

Studies show that white families, for instance, had an average of $113,149 in household wealth in 2009 compared with only $5,677 for blacks.

Educators have discovered a persistent gap between black and white students on standardized English and math tests.

These gaps have existed for decades, but they seldom result in the kind of street demonstrations and riots that followed the recent killings in Missouri and elsewhere. That's because poverty and ignorance are social ills that people can battle gradually.

Racial profiling and police violence, on the other hand, represents a form of injustice that is impossible to ignore. History suggests that grinding poverty and discrimination create social dynamite -- but it's police violence that triggers the explosion.

Adam Serwer of Buzzfeed recently described some of this history, accurately, as 80 years of Fergusons.

In 1935, a false rumor swept through Harlem that a 16-year-old, arrested for shoplifting, had been killed by police. It touched off two days of rioting.

In 1962, riots went off in St. Louis -- a stone's throw from Ferguson -- when a teenager was shot to death while running from a policeman who claimed the boy had tried to grab his gun.

After riots broke out in Detroit in 1967 -- five days of chaos that left 41 dead -- a presidential commission found that police aggression, along with racism and discrimination, was to blame.

In 1980, the Liberty City section of Miami went up in flames after a man named Arthur McDuffie died in police custody after a motorcycle crash. One responding officer later testified that his fellow cops had beaten McDuffie with flashlights; when the officers were acquitted, rioters took to the streets.

Miami burned again in 1989, after an officer shot a motorcyclist to death (the officer ended up convicted of manslaughter, although the conviction was later overturned).

And in Los Angeles in 1992, the acquittal of officers who'd been videotaped beating a motorist named Rodney King led to riots that left more than 50 people dead.

Then, as now, the social unrest reminds many black Americans of a time when violence -- including violence by police -- was used as a tool of social and political intimidation.

In the 1960s, at the same time urban riots were taking place, police were also used to attack and brutalize African-Americans seeking the right to vote. A famous series of protests in Birmingham, Alabama, in 1963, led by Martin Luther King Jr., led to mass arrests and attacks by police using dogs, fire hoses and clubs on nonviolent demonstrators.

A similarly brutal attack on demonstrators followed in Selma, Alabama, in 1965.

Black political leaders are making a connection between the politically-motivated police violence of the past and the current cases of possible profiling. It was significant that two of King's children, Martin Luther King III and Bernice King, attended Mike Brown's funeral, along with the Rev. Jesse Jackson, who was at King's side the day he was assassinated.

The biggest difference between past violence and the current cases is that African-Americans now have much greater political influence -- most notably, a black president.

Obama sent high-ranking aides to Brown's funeral, and the nation's top law-enforcement official, Attorney General Eric Holder, made a personal appearance in Missouri, wrote an open letter to the town and deployed 40 FBI agents to investigate the killing of Brown.

The nightly violence involving citizens and police in the days following Brown's killing have stopped for now, but the national debate over the politics of policing will continue long into the future.

Even with a black president, this summer's cases show that suspicions of racial profiling will remain a live, lingering concern from coast to coast as long as cops apply outsized levels of force that rarely, if ever, get applied outside of black communities.

Will we see more Fergusons?  My guess would be yes.

80 years of history suggest that the inequality and discrimination that continue to plague black communities around America are still a kind of factory creating vast amounts of social dynamite.

Those tensions can be detonated by a single clash between police and citizens in a country where encounters take place thousands of times every day.

So the odds suggest there will be more times when America pays the price for maintaining a gap between the American dream and the very real nightmare of poverty and racism in our midst.

@highlight

Errol Louis says racial divisions in America were again exposed by the shooting of Michael Brown

@highlight

Black Americans lag behind when it comes to economic and educational opportunities, studies show

@highlight

Even with a black president, suspicions of racial profiling will remain a live, lingering concern, says Louis

@highlight

Louis predicts more flashpoints like what happened in Ferguson