(CNN) -- Last week, Iran's Guardian Council (GC), the ideological body that vets presidential candidates, announced its list of eight men approved to run for office. Although I was fully qualified and campaigned assiduously within the framework of the Islamic Constitution for four months, I ultimately was not on that list -- and the reason has led to much speculation and hearsay. I wish to set the record straight about our campaign and my candidacy for president of Iran.

Our campaign began by publishing an 80-page platform in Farsi and English, building websites, and extensively utilizing social media. We also internationalized our campaign by giving interviews to media outlets and speaking at universities and gatherings throughout the world. It was the first Iranian campaign to go global and the first presidential campaign ever by an expatriate. In a short time, our Facebook Likes reached over 100,000 -- largely coming from young Iranians.

With these and other accomplishments under our belt, I went to Iran in mid-April to set up a campaign office. During my short stay in Iran, I learned that our campaign is popular and that its fame has become a source of concern for the Islamic system. I was even told by certain officials that the campaign could lead to civic disorder, and that my own safety is a concern. I was advised to stop the campaign, a reference that was also strongly echoed by my political advisers.

Despite the warning, I waited until the last day of the registration on May 11 to withdraw, saving my candidacy from the GC's disqualification. Former presidents Mohammad Khatami and Akbar Hashemi Rafsanjani, and President Mahmoud Ahmadinejad's pal -- Esfandiar Rahim Mashaei -- had also been advised against registering but the last two did not heed the counsel and were disqualified by the GC. Clearly, the four of us were popular and a source of concern for Tehran, which is still haunted by the specter of 2009 post-election protests.

Read more: Ahmadinejad to contest banning of aide from presidential race

My withdrawal is unfortunate because I am uniquely qualified and our platform is the only one that can help Iran navigate its current impasse. Specifically, Iran is suffering from three inter-connected problems, namely, factional infighting, conflict with the United States and economic malaise. Our platform, the only one offered by a candidate, proposes appropriate policies for the resolution of these issues, and I have been, for most of my life, a bridge builder, a peacemaker and an economic developer.

To alleviate factional infighting, I would introduce two measures. First, I would build a governing coalition in which each political faction is represented on the basis of its electoral weight. Second, I would create a National Solidarity Council to serve as a platform for dialogue and understanding to increase transparency, find commonality, and narrow differences among factions. Because I have never been a member or adversary of any faction, I expected to be trusted with this intermediating function.

Narrowing factional differences would help depoliticize Iran's U.S. policy. I would introduce five other steps toward normal U.S.-Iran relations. First, I would use my political assets in both countries to build trust between them. I have lived in the U.S. and Iran, been a peace activist in their relations for 25 years, and I know their languages, cultures, concerns, and key policymakers. Second, I would resolve the nuclear dispute by implementing transparency measures required to convince the U.S. that a diversion toward military use will never happen. In return, I would ask that all nuclear-related sanctions be lifted.

Read more: Iranian-American launches bid for Iran's presidency

Third, I would establish extensive channels of communication between Iran and the U.S. in an effort to correct misconceptions and mis-analysis. To this end, I would propose a truce period during which Iranians would stop anti-American words and acts, and Americans would address Iran with respect and recognize its national pride. Fourth, I would correct Iran's Palestinian-Israeli policy by accepting the "two-state" solution. Last, I would propose that the U.S. and Iran simultaneously announce their will to "normalize" relations through agenda-driven bilateral negotiations that would follow.

Resolving the U.S.-Iran conflict and factional disputes are keys to Iran's economic development, which I would improve through four additional steps. First, I would adopt an economic plan designed to promote economic productivity, export-led industrialization, and labor market globalization. Second, I would appoint a highly competent economic management and international advisory team.

Third, I would stabilize fiscal and monetary policies, streamline the banking system, and introduce modern workforce and entrepreneurship development programs. Last, I would hugely expand Iran's economic interactions with global markets. Through these steps, I would promote foreign investment, technology transfer and exports, increase personal income, and reduce inflation, unemployment and poverty.

Although I will not be on the ballot in 2013, we will continue our campaign for real change in Iran under the banner of "The Campaign for a Better Iran." I will also look for future opportunities to run again. We believe our platform offers the safest path to an improved Iran and deserves to be supported. Other options, including another revolution, more sanctions, and war are unacceptable. Meanwhile, we hope to convince the country's next president to apply our realistic and pragmatic plan for national reconciliation, resolution of conflict with the U.S., and economic growth.

The opinions expressed in this commentary are solely those of Hooshang Amirahmadi.

@highlight

Iran's Guardian Council has approved just 8 of more than 680 presidential hopefuls

@highlight

Hooshang Amirahmadi is a U.S.-based academic who campaigned as a candidate

@highlight

He says he was warned his campaign could lead to disorder and his safety was a concern

@highlight

Amirahmadi waited until the last day of registration and then withdrew from the race