As Sen. Mary Landrieu soldiered through her re-election race this year with sinking poll numbers and the heavy drag of President Barack Obama, the refrain from her strategists and supporters was always the same: Don't count her out. She's a fighter. She will pull it off in the end.

But in the hours before a runoff election on Saturday, when the three-term Louisiana Democrat faces Republican Congressman Bill Cassidy, it is hard to find anyone predicting the kind of eleventh hour victory that Landrieu pulled off in 1996 and 2002 -- turning her into a political legend.

"Sen. Landrieu has been a fabulous closer," said Joshua Stockley, a political science professor at the University of Louisiana at Monroe. "Two of her three races, she was not supposed to win."

Landrieu is facing voters more than a month after the midterm elections that virtually wiped out Democrats in the South. She failed to clear a 50% threshold in November needed to avoid a runoff so Landrieu is heading into what could be the final race of her career battling nearly every trend that toppled Democrats this election cycle.

Her base has shrunk dramatically in a state where Republicans are ascendant and she is one of the last white Democrats in the South holding statewide office. Louisiana voters remain apprehensive about the uneven economic recovery, and suspicious of the President's health care law. Adding to her struggle, Landrieu is a symbol of incumbency at a time when frustration with the deadlock in Washington is at an all time high.

Her best argument -- clout -- evaporated Nov. 4th when the GOP took firm control of the Senate, diminishing the import of her race. Her embarrassing loss on the Keystone pipeline vote that she recently forced in the Senate only underscored Landrieu's diminished power in Washington.

In the runoff phase, Landrieu has consistently trailed Cassidy, a physician. While there are many reasons to distrust midterm polling, the early vote numbers for Saturday's runoff also seemed to spell doom for the Democratic Senator.

"The percentage of whites is up. The percentage of men is up. The percentage of Republicans is up. The percentage of Democrats is down. None of these things are good for Sen. Landrieu," said Stockley, listing the trends in early ballots cast. "If she's holding a magic card, then everyone in the world wants to know why she hasn't played it yet."

Like all the other vulnerable Democrats facing re-election in red states this year, Landrieu faced long odds with a midterm electorate that is historically more white, wealthy and conservative than in presidential years.

When she was forced into the runoff by Louisiana's "jungle primary"  -- she didn't even come close to the 50% threshold needed for an outright win -- she faced the more daunting prospect of turning out distracted voters on a Saturday in December, at a time when she and her allies are being heavily outspent by Republican allied groups.

"There's no perfect playbook for this kind of election," said Democratic Strategist Robby Mook, who managed the successful off-year election of Terry McAuliffe as governor of Virginia last year. At this juncture, "it's a turnout game, and it's pretty straightforward."

Landrieu's formula for victory Saturday is to pump up turnout among African-American voters across the state while drawing support, as she has in elections past, from independents and moderate Republicans in the counties that ring New Orleans.

That two-pronged strategy isn't so easy this year in a state that Obama lost by 17 points. She ran ads rebuking the President on Obamacare and energy issues, while trying to avoid alienating black voters. She selectively ran some of those ads outside the New Orleans media market.

She tapped her father, Maurice "Moon" Landrieu, for a series of father-daughter ads reminding black voters of the family legacy. As the mayor of New Orleans in the 1970s, Moon Landrieu won the respect of many black voters by desegregating the workforce and opening high-ranking city jobs and contracts to blacks.

But the collapse of the coalition that always carried Landrieu across the finish line was stunning on Nov. 4. Turnout was strong among black voters, who comprise about 30% of the electorate. But Landrieu's support among white voters slid to 18% from 33% in 2008. She lost ground among self-described independents and moderates, and even among women—one of her chief targets in her recent events.

The erosion of her support was particularly striking given the weaknesses of her opponent.

"Cassidy is a really stiff, wooden, uncommunicative candidate who is a bad speaker," said Pearson Cross, a political science professor at the University of Louisiana Lafayette. "He's your geeky family doctor."

Democratic strategists privately mused that they wished Cassidy's wife -- a far more charismatic figure -- had run instead. But Cassidy relentlessly pounded the anti-Obama narrative and the line that Landrieu had voted with the President 97% percent of the time.

So far, it has worked.

"This election has not been about Cassidy," Cross said. "This election has been about the negative press that the President has gotten and the ability of Cassidy to tie Barack Obama and (Senate Majority Leader) Harry Reid to Mary Landrieu.

In this final act Saturday, the Louisiana race will test the limits of the vaunted Landrieu turnout operation, particularly in Orleans Parish, which has been the family stronghold for generations.

After Hurricane Katrina, Landrieu operatives were vigilant about maintaining their voter data—scrubbing their voter files to make sure addresses and phone numbers were up to date after each purge of voters who had moved out of state by the Secretary of State's office.  Landrieu's campaign also partnered with the Democratic Party to register scores of new voters across the state this year, focusing particularly on ushering new black voters into the party.

In Saturday's election, it is hard to underestimate the importance of Landrieu's turnout operation in Orleans Parish, which encompasses the city of New Orleans.

"They've always considered Orleans Parish to be their firewall," said Edward Chervenak, director of the Survey Research Center at the University of New Orleans.   "They need that get out the vote machine operating in the city to help overcome the deficit she will face throughout the rest of the state."

She won her first race in 1996 by less than 6,000 votes -- but with a huge margin in Orleans Parish. In 2002, like this year, the Democratic Party pulled its ads and much of its financial support -- writing off the runoff race as a lost cause -- but she eked out a win in part by boosting black voters' share of the electorate above the level of the first round of voting -- an unusual feat for a runoff.

In Landrieu's best race in 2008 -- a year when she rode on Obama's coattails -- she won by more than 121,000 votes. But if you took out Orleans Parish, her margin was only about 21,500 votes.

Underscoring the importance of Orleans Parish, Landrieu brought in Ryan Berni -- the campaign manager for her brother, Mitch -- to head the campaign in a recent shakeup. Earlier this year, he helped Mitch Landrieu win a majority of the black and the white vote in Orleans Parish to become the first white mayor of the predominantly black city since his father left the office in 1978.

But the number of voters turning out to cast ballots in Orleans Parish dropped in the latest round of early voting. Landrieu's campaign insists that the numbers were skewed by the Thanksgiving holiday, and they are counting on high turnout on Election Day.

To many others, however, it just seemed like the latest sign of foreboding for a race that is unlikely to go well for Landrieu on Saturday.

@highlight

Sen. Mary Landrieu is in a tight runoff race on Saturday

@highlight

African-American voters will be key to her success

@highlight

Landrieu's GOP opponent ties her to Obama