(CNN) -- They are global sporting superstars, and they've got a story to tell.

From former Manchester United manager Alex Ferguson to ex-England captain David Beckham it seems everyone is releasing autobiographies in a blaze of promotion and headline grabbing excerpts -- and all in time for Christmas.

But whether the intention is to set the record straight, settle a few old scores or simply tell it like it is, the majority tend to live and die by their ghost writer.

Trying to capture the authenticity of the subject's voice and cram the book full of interesting anecdotes can be a daunting task.

But with the help of one respected author of several big football autobiographies, Ian Ridley, whose book on former England captain Tony Adams sold a million copies, here are 10 key components to a successful sporting tome.

Story telling

Perhaps the most obvious commandment for any sporting book is that the subject matter has to be interesting.

While a big name can usually be guaranteed to bring with them a loyal following who will buy whatever they release, the more casual observer needs a little more persuasion.

Ridley's most famous subject was former England soccer captain Tony Adams, who famously battled alcohol addiction throughout the most successful parts of his career.

Another focused on former footballer Steve Claridge's issues with betting while his most recent, on former English Premier League referee Mark Halsey dealt with his recovery from cancer.

"The subject of the book has to be honest about these things," Ridley told CNN. "As a writer you have to press ever detail out of them and make sure you draw out the material."

Capture the voice

Any book must bring the character to life in their own words -- it is no good having David Beckham hypothesizing over the French renaissance period.

But get the ex-England captain talking about the influence of Alex Ferguson on his career or any of his famous 'hairdryer' moments and people will be gripped.

"You have to capture their voice," Ridley explains. "Ghostwriting is much more of a skill than is recognized."

One good example is the recent autobiography of Swedish striker Zlatan Ibrahimovic, entitled 'I am Zlatan', that manages to captures his supreme confidence.

For instance, the Paris Saint-Germain forward, who continually refers to himself in the third person, notes: "An injured Zlatan is a properly serious thing for any team."

Mining the seam

The odd five minute chat here or there isn't going to cut it -- an author needs to live and breathe his subject for months if not years.

That dictum is especially crucial if your sporting figure isn't particularly effusive at the outset -- as the relationship between the two grows so does the material.

"With the Adams book (the process) took about 18 months," Ridley said.

"Don't forget this was in the days before the Internet, which meant research was a lot more time consuming. Initially we did three months of interviews -- about 40 hours of tape."

Lessen outside influences

Obviously, the publisher is king in the process but Ridley says it is important to keep their influence -- and pressure -- to a minimum.

"I have never been under pressure from a publisher and I have never extended a deadline," he said.

"As a journalist you are used to meeting deadlines and of course you don't get paid until you deliver the manuscript.

"I have never been told how to structure a book, though in the editing process they might come back and say we need more of this and we would have a discussion about that."

Any publicity is good publicity

That old adage rings true even more than ever in the instant digital world of today.

Despite huge chunks of Ferguson's books being reproduced -- much to the chagrin of his ghostwriter Paul Hayward -- it helped get the juicier bits of the text out in front of the public.

"You get worried they are ignoring the depth of the book," Ridley says. "Such is the difficulty of selling books. But any publicity is good publicity.

"There isn't the bravery or the courage anymore in publishing especially with anything that isn't mainstream."

Drown out the detractors

Any autobiography worth its weight is bound to offend someone or other -- the more the better in terms of publicity -- but it is important the author sticks to his guns.

Ridley's book on Adams contained a plethora of sensational snippets from the footballer''s life, not all of them savory and saccharine.

When the proofs were sent to David Dein -- then former vice-president of Adams' club Arsenal -- he was deeply unhappy says Ridley and was worried it painted the club in a bad light.

But after pointing out the consequences to Dein of attempting to gag Adams, Ridley saw the ex-Arsenal vice-president's attitude completely change upon the book's publication.

"When the book was released Dein came over to me with a smile on his face and said it was flying off the shelves in the club shop. He was delighted."

Get it serialized

Any self respecting autobiography must be trailed in a leading national newspaper to ensure maximum coverage ahead of its release.

Not only does this help to prick the nation's consciousness it can provide some valuable income in a world where the digital market is shredding the publishing industry slowly and steadily.

Serialization deals sometimes outweigh the advance for a book thanks to a lot of big names releasing books than turned out to be big duds.

"The publishing industry is in a mess in terms of the digital revolution, especially selling books in hard cover and paperback," Ridley said.

"Publishers have been burnt by ordinary sports books that were so dull, but that huge sums had been paid for. Now advances are very poor and you get what you can for serialization rights."

Press the flesh

Despite smashing UK sales records by selling 115,547 in its first week of release and making £1.4 million ($2.24m), Ferguson is still hitting the road for a series of speaking events to promote his autobiography.

All but one of the six dates dotted around the UK have sold out and cost £40 a ticket, which includes a signed copy of the book that is currently retailing at £25 ($40).

Not only does this help with sales but it also helps to keep Ferguson and his book in the public eye, with many newspapers -- both regional and national -- covering the events.

Embrace the digital revolution

These days social media plays a huge role in the promotion of sports books with Twitter and Facebook campaigns an integral part of any launch.

As part of Beckham's media blitz the public were invited to a 'global book signing' via the former Los Angeles Galaxy star's Facebook page, whch has 30.5 million 'likes.'.

Fans from across the globe were able to get a personalized digital autograph on e-books from Beckham, during a session that included a question and answer section.

"I always like innovative and original ideas," said Beckham. "What has been created is ambitious but it should be a fantastic event.

"I love the interaction with my fans, but not only will I be able to do this in London, I will be able to sign for them in locations across the world."

Be determined

An extension of 'drowning out the detractors' includes a commitment to getting the book out on the streets in the first place.

When Ridley and Halsey lost a publishing deal they determined to print it themselves -- in Lithuania.

There followed three months of under-the-radar work that felt like the plot of a spy novel," Ridley said. "For guns, read books. I was introduced to a middle man who ran the merchandise to printers in Lithuania."

But the hard work has been worth it with Halsey's book garnering bags of column inches in the media and plenty of publicity.

Ian Ridley is the author of Mark Halsey's autobiography Added Time: Surviving Cancer, Death Threats and the Premier League.

@highlight

Several high-profile figures have recently released sporting autobiographies

@highlight

Alex Ferguson, David Beckham and Zlatan Ibrahimovic all have books out

@highlight

But what are the 10 key commandments for a successfully ghostwritten tome?

@highlight

Author Ian Ridley explains the vital ingredients necessary to produce a best seller