Washington (CNN) -- A bipartisan group of senators is scrambling to reach a fresh compromise they hope can propel a proposal to overhaul U.S. immigration policy toward passage in that chamber and provide momentum heading into the Republican-controlled House.

A deal remained elusive, however, on Tuesday evening and it was uncertain whether the stark differences that have stalled immigration reform for years in Congress could be bridged with time running out on debate.

Raising new questions on whether any immigration bill will get through Congress this year, House Speaker John Boehner said earlier in the day that he did not see any way of bringing a bill on that issue to the floor that relied on Democrats to pass.

Under enormous pressure from conservatives opposed to the bipartisan Senate bill, Boehner has until now sidestepped questions about how he would move forward.

"I don't see any way of bringing an immigration bill to the floor that doesn't have majority support of Republicans," he told reporters following a closed-door GOP conference meeting where a source said he made similar comments to reassure members.

Efforts to push forward immigration reform are emotionally charged as the issue has huge political stakes for both sides.

President Barack Obama and Democrats want to fulfill a promise to Hispanic Americans, the nation's fastest-growing demographic, to address the limbo of immigrants living illegally in the country and maintain their overall support.

Republican strategists are concerned about the GOP's long term viability in national elections if it does not win over the important voting bloc, which went strongly for Obama in November.

The Senate bill negotiated by a bipartisan group of senators dubbed the "Gang of Eight" proposes a path to citizenship for some 11 million undocumented immigrants in the United States.

But conservatives consider any measure offering a path to citizenship tantamount to amnesty for those who entered the country illegally.

In addition, concerns about whether the bill will tighten security along the nation's porous borders, as asserted by backers of the plan, may make it difficult for conservatives to support it -- especially those up for re-election next year.

Debate began last week and senators have been sorting through amendments.

Sen. Marco Rubio, a key player in the Senate debate, senses that significant progress has been made in trying to bridge the gap.

"I think we're on the right track," the Florida Republican said.

During a series of afternoon votes, members of the "Gang of Eight" huddled on the floor and separately with other key senators -- twisting arms, cajoling, convincing. In a rare scene, a large group of Republicans anxiously worked the room seeking compromises.

The "Gang of Eight" and Sen. Bob Corker, a Tennessee Republican, and Sen. John Hoeven, a North Dakota Republican, are attempting to broker a compromise.

As of now, it would tighten border security requirements primarily by having Congress dictate exactly how secure the border must be before immigrants in the United States illegally can begin the process of gaining citizenship.

By shifting that responsibility to Congress and away from the executive branch, negotiators hope to pick up support from Republican senators who are reluctant to leave that determination to the administration.

5 things to know about immigration reform

The emerging deal also would include several other Republican priorities related to entry and exit biometrics, the E-Verify workplace verification program, and rules that would prevent immigrants from getting public benefits.

"Corker and I are trying to get enough of these together so you can get a meaningful bipartisan group on the bill," explained Hoeven, who said he hoped to introduce the proposal as early as Wednesday.

A package of amendments is "something that creates a momentum around the building that people are seeking," said Corker.

Senate Majority Leader Harry Reid said time was critical as he threatened to end debate on the bill soon in order to keep a promise to finish the bill by the end of the month.

Love or country: Immigration law means hard choices for gay couples

5 things to know about immigration reform

A bipartisan group of seven House members -- three Republicans and four Democrats -- is still finalizing its own comprehensive immigration bill that mirrors many of the provisions in the Senate bill, including eventual citizenship for undocumented workers.

A CNN/ORC poll released Tuesday shows a small majority of Americans support the approach in the Senate bill. The poll shows that 51% say they support a bill that would attempt to increase border security and create a pathway to citizenship for many undocumented immigrants, with 45% saying they are opposed to such a measure.

CNN Poll: Big generational divide in immigration battle

@highlight

NEW: Key senators seek new compromise on immigration with time running short

@highlight

House Speaker John Boehner says he won't move bill without majority GOP support

@highlight

Boehner comments put new pressure on Senate to reach deal favorable to conservatives

@highlight

Senate bill would provide path to citizenship, but border security key sticking point