(CNN)What's your company doing this year for March Madness?  If your workplace is like most, the answer is a big fat nothing.

Instead of leveraging the NCAA's annual tournament and turning it into a genuine bonding experience between colleagues, most organizations pretend it isn't happening.

On the surface, ignoring a sporting event that takes place during regular work hours might appear like sound business practice. After all, companies need to generate profit, and it's hard to generate profit when your employees are huddled around a television, right?

Wrong.

What this perspective overlooks is that productivity isn't simply a function of how many hours we spend at the office. It also depends on the quality of our workplace experience. And one critical feature of that experience is how closely connected we feel to our colleagues.

Research has consistently demonstrated that we are more effective at our jobs when we feel attached to the people around us. How do strong colleague relationships elevate our performance?

For one thing, they make us more motivated. When you and your colleagues are close, failing to perform your duties generates more than a dissatisfied customer or an unhappy manager -- it means letting down your friends. The social pressure to achieve results can serve as a stronger motivator than anything a boss can say.

Closer connections also foster a sense of trust and more candid dialogue. Studies comparing the collaboration patterns of friends to mere acquaintances indicate that friends are more willing to ask for help and more comfortable speaking up when a colleague is off on the wrong track.

Performance aside, workplace friendships benefit organizations for another reason: Employees with richer friendships tend to stay on with their company for longer periods of time.

Despite these considerable benefits, at most companies, friendships are an afterthought. To motivate employees, managers tend to rely on bonuses, promotions, and salary increases, ignoring the fact that as humans, we all have a basic psychological need for meaningful relationships. Yet the research is clear: When we feel valued and respected by those around us, we're not only more motivated -- we're also happier, healthier, and more productive.

For too many organizations, investing in quality employee relationships means one thing: team-building exercises. Think ice breakers, trust falls and scavenger hunts. Every year, corporations spend millions on off-site retreats and weekend getaways packed with cringeworthy activities that purportedly foster better communication.

But here's the truth: While awkward collaborations may spark brief experiences of closeness, they rarely translate into lasting friendships.

So what does?

Studies suggest three factors are essential to the development of authentic, meaningful friendships: familiarity (being around the same colleague often), similarity (finding commonalities in your background), and self-disclosure (revealing personal information about yourself every now and then, and having your co-worker do the same).

Few activities include all three of these elements. This explains why close relationships usually take years to develop.

But interestingly, office game-viewing parties come close. They present opportunities for colleagues to mingle with those from other departments and connect over shared interests. For many, the NCAA basketball tournament is associated with their experience at college, which leads them to share stories about their past, prompting co-workers to do the same.

Unlike team-building experiences that compel employees to engage with one another, game-viewing parties position people to connect voluntarily. And that feature can make all the difference.

In recent years, a number of forward-thinking workplaces have begun leveraging March Madness in intelligent ways.

Ogilvy & Mather, for example, an international marketing agency based in New York, invites employees to watch tournament games on projection screens in conference rooms and the office cafeteria. To address the fact that not everyone has the time to follow college basketball, a Virginia financial services firm called The Motley Fool offers a free "Bracketology" class, where nonenthusiasts can get caught up on this year's favorites and collect advice before filling out their brackets. A number of organizations, including office furniture manufacturer Turnstone, even serve game-day snacks, such as pizza, popcorn, and chicken wings, to simulate the viewing experience of a sports bar, minus the alcohol.

In addition to organizing a vibrant workplace gathering, there are also opportunities for making better use of the office tournament pool. Here's one idea: Instead of having employees pay an entry fee (which discourages nonfans from joining in), sponsor prizes so that everyone participates. Then, go beyond recognizing individual contestants and reward the team or department with the highest average score. This way, employees have reason to root for one another, fostering a sense of collaboration.

Another approach worth considering: using the office pool as a motivational tool. Some years ago, NetTel Partners, a sales organization in Philadelphia, launched a competition among its salespeople in the weeks before the NCAA tournament. The more appointments a salesperson secured with potential clients, the sooner he or she could select a team in the office draft.

The results were astonishing. Total cost to NetTel for furnishing prizes: $300, plus the price of a personalized basketball jersey. Total impact on the business: a 35% jump in appointments, not to mention a boost in office morale.

As the NCAA tournament tips off this month, organizational leaders would be wise to re-examine their approach to March Madness. Instead of treating the tournament as a nuisance that prevents employees from working, perhaps it's time we considered embracing it for what it is: an inexpensive opportunity for bringing our work teams closer together. Without the trust falls.

@highlight

Friedman: Companies should encourage their employees to bond over NCAA tournament games

@highlight

Research shows the value of cultivating friendships among co-workers