(CNN) -- Twenty years ago, Newt Gingrich and the GOP rode to power on Capitol Hill with a slick "policy manifesto" called the 
"Contract With America." Today, some Republican lawmakers are calling for another such "contract" with the hope that they can stimulate greater interest in Republican ideas and policies.

Frustrated with colleagues who seem more interested in attacking President Obama than in proposing new ideas, Sen. Lindsey Graham and others are seeking a reprise of 1994, when Gingrich's platform touted five ideas that the Republicans promised to pursue if voters gave them power in the midterm elections.

But even if Republicans move forward with a new manifesto -- which some in the GOP oppose in fear of overpromising anything in an era when Washington seems incapable of doing anything -- the product would have little effect on the big problem that Republicans are facing.

While Republicans stand a good chance of retaining the House and regaining control of the Senate in the midterms, polls show that the Republican brand name is in big trouble and huge portions of the electorate don't trust the party with power. This doesn't bode well for future presidential elections, when many more voters turn out than in midterms, or for their long-term fortunes on Capitol Hill.

The problems facing the GOP are much bigger than anything a media-friendly set of promises can provide. Over the years, the Republicans have inflicted great damage on the image of their party.

According to a new Gallup poll, the difference between conservatives and liberals on many issues has shrunk dramatically. Conservatives have lost the advantage they have enjoyed on issues such as gay rights. Gallup predicts that voters will soon be reporting themselves as more liberal on social issues than conservative if the trend continues.

Even as much of the electorate has moved toward the center or even the left on social and cultural issues like gay rights and the legalization of marijuana, the official Republican Party has stood still, adhering to the ideas from the culture wars of the 1980s rather than adjusting to the realities of modern times.

The same is true on immigration reform, where the party has hued to a hardline stance against a path to citizenship despite the fact that polls show strong public support for liberal legislation.

There was a moment when Republicans could have moved in a different direction. When he was in the White House, President George W. Bush, through his ideas of compassionate conservatism as well as his strong advocacy of liberalized immigration policies, did push his party to move away from hardline social conservatism, focusing instead on economic and national security ideas. But he failed. Hardline Republicans blocked his agenda, while the controversies over Iraq and how he handled Hurricane Katrina undermined his political strength. The Republicans on Capitol Hill won the debate, and now the party as a whole is paying the cost.

Neither have Republicans helped themselves with economic policy. Ultimately, political parties can't thrive without the support of the middle class. Republicans who have inhabited the White House in recent decades, ranging from Richard Nixon's campaign to appeal to the "silent majority" to Ronald Reagan's lure of disaffected Democrats, have found different ways to let voters know that they would back the middle class.

Nixon railed against the tumult of the 1960s, appealing to middle-class white Americans who he said were being ignored. Even while courting business, he still accepted policies that helped them. Reagan did the same.

Recently, Republicans have had more trouble making this work. Their economic policies leave many Americans feeling that they are left out of the party. This is why that "47%" remark of Mitt Romney in 2012 election resonated so powerfully. Republicans are still in better shape with their economic policies than on other issues, but that too is a fading advantage. They look more like the party of the 1% at a time many middle-class Americans are struggling to get by.

Republicans have greatly damaged their reputation as a party that can or even wants to govern. Polls consistently show that more Americans trust Democrats than Republicans to handle the major issues of the day. The Republican strategy of obstruction has been very successful at stifling Obama and rallying support among the party faithful. Vicious attacks are a terrific way to motivate activists to get to the polls but not as good at winning broad support among more moderate and independent voters who want elected officials who can lead.

Many Americans have concluded that the Republicans are more interested in obstruction than solving policy problems. Although congressional obstruction can cause great problems for the White House, as Sen. Mitch McConnell famously understood from day one of the Obama presidency, it is not a good way to build broader support for the party. It doesn't look like the adults are in control of the room when Republicans are in charge.

No matter what they say, Republicans still don't look like a big parts of the American electorate. The leadership of the party is still white and still male, which does affect who voters think the candidates will support.

A recent study by the Center for American Women and Politics at Rutgers University provided devastating findings for the party on this front, showing that the gender gap in terms of political candidates is huge even if Republicans have made slight, very slight, progress in recent years.

There are six times as many women, the study found, representing Democrats as Republicans. The number of female Republican candidates running has declined since 2012, despite a concerted effort by the party to bring more of a gender balance to the tickets. Over time, Democrats have steadily improved (PDF) their gender diversity.

All of these problems point to the fact that Republicans have some really substantial rebuilding work ahead of them in the coming years. If the party's only solution is a five-point printout, they are unlikely to find themselves overcoming the leadership gap that they face.

The GOP needs to do more than make promises; the party needs to reconfigure some of its basic policy agenda to prove it hasn't become a party that has left much of the electorate behind.

@highlight

20 years ago, a policy manifesto helped GOP ride to power on Capitol Hill

@highlight

Julian Zelizer says a similar document today wouldn't have the same impact

@highlight

Republicans need a major shift in their stance to attract younger voters, he says