(CNN) -- Spain's controversial, and highly restrictive, new abortion law is now before Parliament, with approval looming.

If passed this would mean that abortions will be permitted in only two circumstances: rape, and risk of "lasting harm" to the mother's health. The move would effectively reverse the abortion law of 2010, which permitted abortion on request in the first 14 weeks of pregnancy, and up to 22 weeks where there was serious risk of fetal anomaly.

Contrasting view: 'No unborn child is unworthy of legal protection'

The widespread opposition, both within Spain and elsewhere in Europe, indicates that the Popular Party's interest in the abortion law is not underwritten by a wider public and political desire to restrict abortion access. Throughout most countries in the developed world, with notable exceptions such as the Republic of Ireland, women's need for abortion is recognized by law and provided for through services, which are often publicly funded.

But the Spanish situation provides a shocking reminder of how quickly things can change in a country -- and the extreme consequences this can have for women.

Back in 2004, a British newspaper wrongly accused British Pregnancy Advisory Service (BPAS) of referring women to Spain, when they were "too late" to have an abortion in Britain.

The reality was that doctors in Spain were, at that time, legally able to provide abortions at later gestations than the 24-week "time limit" permitted by British law. In the extremely rare cases where women were desperate to access abortion late in pregnancy, they would sometimes find that only a Spanish clinic was able to help them.

The Spanish law of 2010 restricted abortions in later gestations, but did establish abortion on request earlier in pregnancy. Yet barely five years on, Spanish women find themselves effectively deprived of any ability to access abortion at any gestation.

Will this mean that their need for abortion goes away? Of course not. What it means is that Spanish women, like Irish women, will be forced to travel for care to Britain and other European countries.

The Irish experience shows with heartbreaking clarity that when a nation makes abortion illegal, it does not prevent women's need for abortion, or their determination to access safe procedures. Outlawing abortion simply sends the issue overseas, increasing the financial and emotional cost to women and, of course, the gestation at which they are able to access a termination.

Politicians in the 21st century must accept that abortion is a necessary back-up to contraception, and that it should be a woman's private and personal decision that she is able to make according to what she thinks is best for her and her family. It is a travesty that abortion is included in the criminal statute in so many countries -- including Britain.

As a moral matter it should be for a woman to decide in line with her values; she should be allowed to take responsibility for life and choose what she thinks is best. As a medical matter, if should be regulated like any other medical procedure.

This point was put very nicely by the London Times in December 2013, in a leading article challenging the new Spanish law.

"To bring the criminal law into an issue of women's health and conscientious reflection is an abuse of government power," argued this establishment newspaper. "A constitutional society does not intrude into areas of personal judgment that most citizens consider fall within the authority of the family. Social engineering is the practice of autocratic governments."

Spain is heading towards a self-made mess. We know from the situation in the Republic of Ireland, and Northern Ireland, what the consequences of its new law are likely to be. The lesson for other governments is that they should stay out of women's personal decisions. "Nosotras Decidimos," proclaim the Spanish women's organizations protesting against their inhumane new law -- "We Decide."

Throughout Europe, organizations such as BPAS will be standing behind them, and providing the services that these women need. But how much better it would be if they could access this care at home - as, until so recently, they could.

Read more: 2009 -- Spanish Parliament approves abortion bill

The views expressed in this commentary are solely those of Ann Furedi.

@highlight

Spain's proposed abortion law would restrict abortion to rape victims or women who would suffer lasting harm

@highlight

It would effectively reverse a 2010 law allowing abortion on request for the first 14 weeks

@highlight

Ann Furedi says Spanish woman would have to travel to other countries for terminations

@highlight

Furedi says women should be able to make a decision in line with their own moral values