(CNN) -- It's been a World Cup filled with plenty of goals, surprise, intrigue and -- in Luis Suarez's case -- an unwelcome incisor intervention.

Along with Suarez, who was handed a hefty ban by FIFA Thursday for gnawing at Giorgio Chiellini's shoulder, Cristiano Ronaldo also went home early from Brazil 2014.

So too did world champions Spain, much-fancied Italy as well as England, who managed just one point from three games in a group that saw Costa Rica and Suarez's Uruguay reach the last 16.

Remarkably Costa Rica topped one of the tournament's toughest groups with two impressive wins over Uruguay and Italy and a draw against England.

For European observers, who perhaps don't have the chance to watch much Latin American football, this has been a World Cup that has arguably showcased the tactical innovation and passion of the Americas.

"Whereas Latin American coaches were previously laughed off as naive and old-fashioned, there's every reason to admire the developments that are happening now in places like Argentina, Chile and Colombia," former Monaco chief executive and technical director Tor-Kristian Karlsen, who has regularly scouted players from Latin America, told CNN.

"There's no coincidence that some of the biggest European club sides are in the hands of Latin American coaches," added Karlsen, referring to Manchester City's Chilean manager Manuel Pellegrini, Atletico Madrid's Diego Simeone and fellow Argentines Marcelo Bielsa, who has just taken charge at Marseille, and Mauricio Pochettino, recently appointed by Tottenham Hotspur

"I particularly find the work Jorge Sampaoli -- and Bielsa previously -- have done with Chile highly impressive."

Both Sampaoli and Bielsa have built Chile's game around that nation's cultural and sporting genetic heritage.

"It's clear that they have created a playing style around the physical makeup and attributes of the Chileans," said Karlsen.

"Players from Chile were always recognized for their stamina, running capacity, combative spirit and fierce temper.

"In Sampaoli's and Bielsa'a fast, high-pressing game, they take advantage of those characteristics to the very maximum. That's ingenious thinking."

For the likes of Sampaoli and Uruguay coach Oscar Tabarez, nothing is left to chance, with both coaches analyzing their own teams and the opposition with the software package Kizanaro.

While Sampaoli, Mexico coach Miguel Herrera and Colombia's Argentine manager Jose Pekerman have extracted the very maximum from their players, that hasn't been the case with England and Russia, coached by veterans Roy Hodgson and Fabio Capello.

"Maybe the conservative 'safe pair of hands' approach of European sides like England, Russia and Spain is becoming out of date," argues Karlsen.

"It's like they are still subscribing to the idea that a national team manager is all about man-management and that the opportunity to create clear technical and tactical concepts -- especially in terms of the attacking side of the game -- is minimal due to the lack of time spent with the players.

"But managers like Germany's Joachim Low and Sampaoli prove that a national team job is as suitable as a club job for sophisticated technical concepts.

"I also think that in Western Europe we tend to overvalue the idea of a manager's personality, reputation and profile, at the expense of his ideas and ability to invent tactical schemes and concepts."

Having come into this tournament having won three major tournaments in a row — Euro 2008 and 2012 as well as the 2010 World Cup -- Spain found themselves out after the first two games following a 5-1 humiliation at the hands of the Netherlands and then a 2-0 defeat by Chile.

Karlsen believes this tournament has highlighted the need for national football federations, as well as managers, to continually evolve if they want to stay ahead.

"I'm quite confident that the poor performances from certain European nations will put a lot more pressure on their incumbent managers to come up with clear and unique ideas as to how their sides can be improved," he says.

"Supposedly being good at man-management and defensive organisation simply doesn't suffice any more. The smaller non-European nations are catching up tactically, leaving no room for complacency."

Low wins special praise from Karlsen for Germany's rigorous preparation for this World Cup campaign, preparation rewarded as "Die Mannschaft" topped another tough group.

"I know that the Germans have been particularly meticulous in their preparations for the tournament, for example by rehearsing match-day routines on the day of certain training sessions," he says.

"Germany have an amazing team working around the clock during -- and leading up to — the tournament to ensure that every little detail is catered for.

"Maybe this is where some of the other nations fail. In football, organization around the team is extremely important and can make a great deal of difference."

Ahead of the World Cup there had been talk of how the weather might affect the European teams, one of the arguments often advanced as to why a European side has never won a World Cup in Central or South America or the U.S.

"I don't really believe that the European teams have been that much affected by the climatic conditions," says Karlsen.

"Germany, USA, France or Switzerland are no more used to the conditions in Brazil than Mediterranean sides such as Spain, Portugal and Italy.

"Besides, Germany and USA have done well playing in particularly difficult climatic conditions.

"Organization around the team, such as carelessly picking hotels, training sites and understanding every players' need is the key to success -- and having competent people to take care of these issues is paramount.

"The name of the continent where the tournament is held doesn't really matter that much if you are well prepared."

Weather aside, this World Cup has also demonstrated that Latin American players might just care more about international football.

"The Latin American teams seem to have a stronger identity and the players seem to show an overwhelming sense of pride when wearing the national team colors," said Karlsen.

"Maybe, for a variety of reason, this is isn't quite as strongly felt among Western European players these days.

"It's a generalization, but if one European player ends up giving 98% during the World Cup and a South American offers 100% that can make a difference on the pitch."

Four players have particularly impressed Karlsen in the group stages.

"I would say the Colombian James Rodriguez for showing on the world stage that he's possibly the best playmaker in the world at present," he says.

"Neymar is performing magnificently, with all the pressure he's carrying the nation on his shoulders. Without his creativity and flair, Brazil would look nothing more than average.

"I've also been extremely impressed with the Uruguayan center-back, Jose Gimenez. At only 19 he's settled so well into the void left by the out-of-form Diego Lugano.

"It's amazing, given that Gimenez has just played one single league appearance for Atletico Madrid.

"Alexis Sanchez is also having a great tournament for Chile."

@highlight

South American teams Brazil, Chile, Colombia, Uruguay and Argentina qualify for last 16

@highlight

So too does Costa Rica and Mexico from Central America

@highlight

Team USA praised for reaching knockout stages from tough group

@highlight

Tradtional European "heavyweights" England, Italy and Spain go home early