LONDON, England (CNN) -- A Hindu man in Britain lost his court battle Friday for the legal right to be cremated in a traditional Hindu open-air funeral pyre.

Most Hindus believe open-air burning is the spiritually 
appropriate way to release a soul from the body.

Davender Ghai, 70, a world-renowned charity advocate in Britain, argued the practice is already legal under British law, but he sought clarification in order to hold such cremations in the future.

Ghai tested the law in 2006 when he lit the funeral pyre of a man in the northern English county of Northumberland. He was never prosecuted, but the city council in Newcastle, where Ghai lives, promptly ruled funeral pyres illegal.

Ghai, currently in India receiving medical treatment for what a spokesman described as debilitating high blood pressure and diabetes, said in a statement that he was saddened by Friday's verdict and will appeal. He has said he hopes for a traditional cremation when he dies.

"I shall appeal until the very end, in the faith that my dying wish will not go unheard," said Ghai. "A matter of such magnitude deserves to be heard by the highest courts in our land and I shall not tire until all legal avenues are exhausted."

Current British law forbids cremation anywhere but in a crematorium.

But Ghai points to findings by Judge Andrew Collins when, in 2007, he determined Ghai's case was important enough to go to trial. Collins said case law indicates that "burning of dead bodies in the open is not necessarily unlawful" and that the point is arguable in court.

Opponents say open-air cremation is unsanitary and hazardous to health and the environment. Calculations based on U.N. estimates of mortality rates suggest that in India alone, 50 million trees are cut down each year to create funeral pyres, generating more than 8 million tons of carbon dioxide.

Ghai has said he believes the practice is a religious right for Hindus, who consider open-air cremations essential to the peace of the soul.

Such cremations are sanctioned by Hindu scriptures, according to the Hindu Council UK, which supports Ghai's case. It says ancient Hindu rites stipulate that the body be cremated by means of a wood-fueled fire in an open-air facility exposed to daylight.

"We want equality, not exceptions," Ghai states on the Web site for his charity, the Anglo-Asian Friendship Society. "No one expects Hindus to marry in a church, so why are Hindu funerals shoehorned through Chapels of Rest designed like Anglican churches?"

Allowing open-air cremations in Britain would also save Hindu families money, Ghai says.

Many British Hindus still prefer the traditional funeral pyre ritual and choose to ship bodies to India for a proper ceremony, which can cost up to $5,000. Doing it in Britain would cost about a quarter of that amount, Ghai says.

Britain's Ministry of Justice has acknowledged Ghai's case but doesn't offer much hope for his appeal.

"There are inevitably competing views on the appropriate arrangements for disposing of bodies stemming from different views about religion, morals and decency," it said in a recent statement. "There's no plan to change the law on cremation."

@highlight

Davender Ghai, 70, argued the practice is already legal under British law

@highlight

Opponents say it is unsanitary and hazardous to health and the environment

@highlight

Officials: Cremations outside of crematoria are illegal under 1902 Cremation Act

@highlight

Hindus consider open-air cremations essential to the peace of the soul