(CNN) -- The events on Beijing's Tiananmen Square that resulted in the death of five people and the injury of dozens more were tragic, but are they representative of a serious terrorist threat to the Chinese state as is now being suggested by official sources?

According to Chinese security organs, this act of driving a jeep into a crowd of people and setting it on fire was a "carefully planned, organized, and premeditated" terrorist attack carried out by a group of Uyghur Islamic extremists from Xinjiang Province.

Unfortunately, given the lack of transparency historically in the Chinese state's conviction of Uyghurs on charges of political violence, we may never know whether this characterization of Monday's events is accurate.

What we do know is that Chinese security organs claim that the attackers in the truck, all of whom died, were a Uyghur man, his wife, and his mother. Additionally, Chinese state sources claim to have arrested an additional five suspects in connection with the alleged plot.

Were these alleged attackers members of a cell belonging to a large transnational Jihadist network like Al-Qaeda? Are they representatives of a well-organized militant movement like Al-Shabaab, which recently led an armed hostage-taking operation at a mall in Kenya?

Looking at the crude instruments allegedly used by these people -- gasoline, knives, iron rods, and an SUV, it is difficult to argue that this was the work of any highly organized and well-armed militant group or terrorist network.

There were no sophisticated explosives used in the attacks, and the alleged attackers did not even possess guns. Furthermore, although Uyghurs are Muslims, there is no evidence that they have ever been involved substantively in a global Muslim militant movement.

So, how do we understand this act of violence if it was indeed carried out by a family of Uyghurs?

The obvious answer is to look at what is happening in the Xinjiang itself where such violent acts have been occurring with increasing frequency ever since the ethnic violence between Uyghurs and Han Chinese that spread throughout the regional capitol of Urumqi during the summer of 2009.

Life for Uyghurs inside Xinjiang is not like that of most people in the People's Republic of China (PRC).

For the last decade, the Chinese government has created a virtual police state within Xinjiang, employing enhanced surveillance of Uyghur citizens, actively repressing Uyghurs' political voices, and greatly curtailing Uyghur religious practices.

It has also vastly reduced Uyghurs' access to education in their own language and has limited Uyghur language publications of original reading materials.

Officially, the Chinese state explains most of these measures as part of its anti-terrorism measures to protect national security.

These measures also regularly include arresting large numbers of Uyghurs on charges of engaging in "illegal religious activity" or of having ties to terrorist organizations.

In fact, during this month alone, security organs in Xinjiang were involved in the fatal shooting of suspected Uyghur militants on several separate occasions and arrested at least one hundred more they suspected of trying to flee the country.

Although the government characterizes its ongoing and expansive confrontation with Uyghurs in Xinjiang as anti-terrorism, it is equally related to the PRC's larger plans for Xinjiang.

The region is of critical strategic importance to the state as it is China's primary gateway to the west, both in accessing western markets for Chinese goods and in securing natural resources, such as oil, gas, and uranium from Central Asia and locations further west and south.

In this context, the PRC is presently funding enormous development projects in Xinjiang that are also bringing a large influx of Han Chinese migrants and are uprooting Uyghur communities and displacing them from traditional lands.

The state may not care to rid Xinjiang of Uyghurs, but it would like the Uyghurs living there to willingly yield their perceived homeland to a Han-dominant state culture. As a result, the future of the Xinjiang Uyghur Autonomous Region appears destined to be neither Uyghur nor autonomous.

With these events unfolding in the region that Uyghurs view as their historical homeland, one feels compelled to question whether Monday's alleged attack was a well-prepared terrorist act or a hastily assembled cry of desperation from a people on the extreme margins of the Chinese state's monstrous development machine.

However, given that this is allegedly the first instance that Uyghurs have carried out such desperate acts outside Xinjiang, and in this case in the very symbolic seat of central power, we may also be witnessing a sharp escalation in the Chinese state's confrontation with the Uyghurs.

In the midst of this escalation, it is also possible that the PRC's long-maintained, but largely unsubstantiated, claims of a Uyghur terrorist threat are perhaps becoming a self-fulfilling prophecy.

The opinions expressed in this commentary are solely those of Sean R. Roberts

@highlight

Chinese government has created a virtual police state within Xinjiang

@highlight

Crude instruments used in attack suggest not work of well-organized group

@highlight

No evidence Uyghurs involved substantively in a global Muslim militant movement.

@highlight

Claims of a Uyghur terrorist threat maybe becoming a self-fulfilling prophecy.