(CNN) -- Standing on the spot where 50 years earlier the Rev. Martin Luther King Jr. made "I have a dream" the clarion call of the civil rights movement, a broader call for equality rang out Saturday.

Thousands rallied at the National Mall to mark the 50th anniversary of the historic August 28, 1963, March on Washington.

Leaders from civil rights, religious and civic organizations paid tribute to those who fought and continue to fight for racial equality, but the slate of demands today has expanded to other hot-button issues.

Income inequality, discrimination based on sexual orientation and mistreatment of immigrants were all themes espoused by the dozens of speakers.

"I am a daughter of the civil rights movement, and as a daughter I am a beneficiary of all the good that resulted from the hard work, the sweat and tears, and the blood that was shed by the leaders and doers of that movement," Jennifer Jones Austin of the Federation of Protestant Welfare Agencies told the crowd. "And as a daughter and a beneficiary, I am now the burden-bearer of this generation's civil rights movement."

Bernice King's difficult journey

That burden, she said, includes equal rights for gays and fights against poverty and gun violence.

Attorney General Eric Holder credited King's famous words for providing a foundation for the progress of the civil rights movement.

"Our focus has broadened to include the cause of women, of Latinos, of Asian-Americans, of lesbians, of gays, of people with disabilities and of countless others across this great country who still yearn for equality, opportunity and fair treatment," he said.

Many speakers invoked the killing of Trayvon Martin as an example of where they see a lack of justice for African-Americans.

Martin Luther King III, son of the civil rights icon, said his father's vision was a nation without racial discrimination. "But sadly, the tears of Trayvon Martin's mother and father reminds us that far too frequently, the color of one's skin remains a license to profile."

In 1963, "we could not have imagined we'd be here 50 years later with a black president and a black attorney general, but that's a measure of how far we have come," civil rights activist Julian Bond said. "But still, we march."

Minorities have never wished their way to freedom, he said, but have worked their way up, and must continue to do so.

The only class MLK taught

"While I'm elated that we've come today to march on Washington, we must not only march on Washington. We must stand for a genuine living wage and jobs. We must stand to end the 'stand your ground' laws. We must stand against stop-and-frisk, must must stand against voter suppression," Bishop Darin Moore of the African Methodist Episcopal Zion Church said.

Another theme repeated throughout the event was outrage at the Supreme Court decision that threw out a key part of the Voting Rights Act.

The court in June invalidated the formula used to determine which states or local jurisdictions -- mostly in the South -- could remain under special federal oversight, requiring approval from Washington before they can change voting procedures.

That blunted much of the government's enforcement power in states and localities with a history of discrimination at the polls.

"We didn't forget the price they paid," the Rev. Al Sharpton said, referring to those on the front lines of the civil rights movement. "We've fought too hard, our parents shed too much blood, there was too many nights in jail, for you to take our vote from us now."

Sharpton said organized protests to demand a reinstatement of the provisions are forthcoming.

5 faces of the March on Washington

Kathleen Johnson and Jean McRae were at the first March on Washington 50 years ago, and as the crowd grew on Saturday, they reflected on the span in between.

"It was a wonderful experience (in 1963) because prior to that there were many things going on in the United States that were not right," Johnson said.

The injustices that existed in 1963 convinced Johnson and her family and friends to attend the march.

"We had to be there. We had to be a part of it," she said.

The fight for equality that the original march embodied remains a work in progress, McRae said, which makes Saturday's event so important.

"We need this, especially now," she said.

Both women wore buttons from the march in 1963.

Saturday's event is the first of two rallies to mark the anniversary.

President Barack Obama headlines another event Wednesday, the exact anniversary of the March on Washington, where MLK delivered the now-famous speech at the Lincoln Memorial.

The Wednesday event will include a longer march through Washington and speeches by Obama and former presidents Bill Clinton and Jimmy Carter.

At the March on Washington: The anger, fear, love and hope

CNN's Chris Lawrence and journalist David Simpson contributed to this report.

@highlight

Two of Martin Luther King Jr.'s children will speak at event

@highlight

Obama, former presidents Clinton, Carter headline a second march Wednesday

@highlight

March passes King Memorial

@highlight

Al Sharpton: Marchers want action, not nostalgia