Washington (CNN) -- House Democrats are increasingly worried that an avalanche of outside spending by GOP groups will bury them this fall, putting more of their members at risk of losing, and jeopardizing their goal of winning back control of the House in 2016.

Virtually no Democrat believes the party has a chance to pick up the 17 seats they need to regain control of the House after the 2014 midterms. But the House Democrats' campaign arm has been focused on a strategy to bolster Democrats in competitive districts and try to knock off some GOP members in districts won by Obama in 2012.

The thinking is that keeping losses to a minimum this fall better positions Democrats for the next national election in 2016, especially if former Secretary of State Hillary Clinton is at the top of the ticket and drives up party turnout.

But Democrats are facing an unexpected money problem. Their allies -- outside labor and environmental groups -- aren't spending the kind of cash on candidates that the party expected. Meanwhile, outside groups associated with Republicans are flooding airwaves with ads in the final weeks of campaign season. Just in the last few days several outside groups - American Action Network, the Congressional Leadership Fund, and the U.S. Chamber of Commerce -- rolled out television ad buys worth $3.7 million against four House Democrats in Illinois, Texas, Arizona and California.

"We thought our friends would come in a way that they're not," a Democratic strategist focused on House races told CNN.

The Democratic Congressional Campaign Committee has consistently outraised its GOP counterpart over the course of this election cycle, anticipating it would need resources this fall to counter Republican affiliated outside groups. But those efforts may not be enough to counter the GOP groups.

House Democrats are watching their fundraising advantage erode as Republican outside groups begin moving more aggressively into blue territory in the hopes of defeating Democratic incumbents.

"There has certainly been a drop off in funding from outside groups which is creating a funding gap," Matt Thornton, the communications director for House Majority PAC, the one super PAC dedicated to raising money on behalf of House Democratic candidates.

So far the House Majority PAC has reserved $21.5 million for television time this cycle. But without more outside spending help from others, that money needs to be used to defend incumbents instead of going on offense.

One labor union, the Service Employees International Union, spent close to $6.5 million in the 2012 election to help House Democratic candidates, but so far, according to an analysis of campaign contributions posted by the Center for Responsive Politics, the SEIU is spending roughly ten times less - $665,000 - on House races this year. In the last midterm election, 2010, when control of the House was up for grabs the group spent over $6 million to help House Democratic candidates.

CNN reached out to SEIU but has not received a response.

House Democrats are having trouble in part because many of their traditional friends are laser focused on the Senate, where Republicans seem are poised to take control for the first time in nearly a decade.

The League of Conservation Voters (LCV), a key Democratic ally focused on climate change and health issues, is on track to spent a record $25 million this cycle but almost all of that money is earmarked for the Senate. The group isn't making any excuses for keeping its primary focus on Senate races.

"We made a decision a long time ago," Jeff Gohringer, press secretary for LCV told CNN. He emphasized that the group is working to protect the Senate Democratic majority, which it believes was key to stopping a series of environmental measures passed by the GOP-led House from making it to the President's desk. LCV has sponsored ads supporting House Democratic Reps Gary Peters and Bruce Braley, who are running for open Senate seats in Michigan and Iowa.

WATCH: DSCC ad: Tillis in Koch brothers' pocket

Gohringer notes that LCV did contribute to House Democratic candidates in a couple of House races in Maine and in California where climate change has been a key issue, and that they plan to spend $100,000 on a voter turnout effort to help Democratic candidate Emily Cain in Maine's second congressional district.

But with a bad political environment getting worse for House Democrats in 2014 there is concern that being outspent by even more than they anticipated could put any hopes of retaking the House in 2016 out of reach.

"It's important that we go into 2016 cycle with a manageable gap that we can overcome in a good year for Democrats," the House Democratic strategist told CNN.

Just last week when CNN asked House Democratic Leader Nancy Pelosi about her earlier prediction that Democrats would pick up enough seats to win back the House this November, Pelosi replied her party would do "OK" but then she skipped ahead two years, saying, "I know that in two years, there will be a Democratic Congress and a Democratic president."

While House Republicans are feeling good about the midterms, they admit they could be doing better. They got a slow start and were never able to catch up with the DCCC's fundraising edge.

But they have similar worries that the outside groups who are helping their candidates aren't on track to spend at the same level as House Majority PAC. And they acknowledge that while outside groups are investing heavily, the attention on the Senate has limited the amount of money they could use to pick up even more Democratic-held seats.

@highlight

Outside Democratic groups aren't spending the kind of cash the party expected

@highlight

Republican groups rolled out ad buys worth $3.7 million in recent days against four House Democrats

@highlight

Many Democratic groups more focused on keeping control of the Senate