(CNN) -- With President Obama's re-election, many liberals believe they possess the building blocks of the winning political coalition of the future: college students, single women, gays, secularists, Hispanics, African-Americans and Asian-Americans. Liberals see here not a splintered electorate but key constituencies united by a common agenda of economic and social justice. In previous columns, I have conceded the strength of the Democrats in these quarters.

Fifty, 25, perhaps even 10 years ago, this brand of liberalism probably would have failed. But today, the country, the demographics and the culture are different. Americans are less white, less religious and less likely to get married and have families. Liberalism has adapted accordingly.

For the college student struggling with student loan debt, the single mother who can barely afford to provide for her children, the minority family in the inner city struggling to find work, liberalism offers immediate relief: subsidized student loans, national health care and entitlements for the elderly and the poor.

Rather than waiting on free markets to correct themselves and start creating wealth again, liberalism's cure is immediate, and so are the political payoffs. This explains partly why many voters feel liberals care about them more than conservatives.

For the ideologically driven -- the pro-choice, pro-gay-marriage voters and Sandra Flukes of the world (she was the Georgetown student at the center of a birth control debate this year) -- liberalism offers a slightly different relief: the rejection of the central role of mediating institutions -- like churches, families and community organizations -- in imposing moral standards to govern or regulate behavior within the state.

Politics: The new America -- What the election teaches us about ourselves

Churches and families can exist, says liberalism, so long as they exercise "soft" religion and don't force their views on the public. When they do, like in the case of the Catholic Church and contraception, it's necessary, says liberalism, for the state to step in and impart justice. This explains Obamacare's contraception mandate and why much was made over the "war on women."

Liberalism has effectively persuaded its many factions that it is uniquely qualified to meet their needs and desires, while conservatism has not. By its nature, liberalism molds to fit these times better than conservatism; conservatism is by its nature more abstract than practical, more focused on long-term considerations than short term.

Does this mean that conservatism is past its time and that liberalism is the mandate of the future?

No, it doesn't. Liberalism's continued success depends on many factors, but two in particular. First, it must paint the political alternative, conservatism, as the faction of social injustice, as anti-immigrant, anti-entitlement, anti-regulation and so on. The Obama campaign did that effectively in this election without an equally effective conservative response. One presumes that conservatives will be ready in 2016.

Second, and more important, effective state intervention of the sort liberals propose depends almost entirely on a state that is strong economically and socially. It is here that liberalism falls short in the long term. The various liberal constituencies are in fact atomized groups of individuals who are relying on government, rather than creating the economic growth or fostering the social and civic health necessary to sustain the ideal liberal state.

Whereas liberals see entitlements as the immediate response to economic injustice, many fail to realize that they alone cannot rebuild a middle class. In fact, they can have the opposite effect in the long term and insulate their recipients from upward mobility. With $16 trillion in national debt, an aging population and an already-overburdened entitlement system, the ideal liberal social welfare state can only sustain itself for so long before it collapses under its own weight. It is a lifeline attached to a slowly sinking ship.

Politics: The new American electorate arrives

Whereas liberals celebrate subsidized birth control and the unmooring of what they see as narrow-minded religious moral standards, they fail to realize the alternative that is right in front of them: out-of-wedlock birth rates that are at all-time highs and a destructive breakdown in the family unit.

Absent strong, active, character-forming institutions, like families, schools, and churches, single mothers and low-income households in many cases have no where else to turn but to the government. The problem is that liberals often confuse such allegiance with successful governing.

The liberal coalition of the future looks more like Greece, an advanced secular, social welfare state, than the idealized liberal glory days of FDR.

The opinions expressed in this commentary are solely those of William Bennett.

@highlight

William Bennett: Since Obama won, liberals think winning coalition is diverse new groups

@highlight

He says it include gays, blacks, Hispanics, Asian-Americans, students, single women

@highlight

They want economic, social justice (aka entitlements); reject social unifiers like church, family

@highlight

Bennett: Entitlement state collapses without economic growth, shared social structures