(CNN) -- There are no pure "winner-take-all" contests on Super Tuesday, but almost all of the 10 states holding contests on the biggest day of the primary season offer candidates some chance of shutting out their opponents in the all-important race to amass delegates.

Mitt Romney is the most plausible beneficiary of the states' complex allocation rules. If the former Massachusetts governor can rack up enough of the vote in Idaho, Massachusetts, Vermont and Virginia, he stands to be the sole winner of the combined 133 delegates from those states, almost a third of the 419 delegates up for grabs on Super Tuesday.

Former House Speaker Newt Gingrich has a chance of picking up all of Georgia's 76 delegates, according to recent polling.

Ohio, Oklahoma, and Tennessee also offer candidates an opportunity to receive all of the delegates available from those states, although various party rules make this a much less likely outcome in these states.

Here's a state-by-state breakdown of the "winner-take-all" scenarios:

IDAHO

Delegate allocation rule: Extremely complicated version of proportional. Each county holds multiple rounds of voting until one candidate receives more than 50% of the vote in that county. Winner of a county wins that county's allotment of total delegates. If one candidate receives a majority of total delegates, he receives all 32 of the state's delegates.

Winner-take-all scenario: Each county is allotted a share of the state's total number of national convention delegates. One candidate wins enough counties to amass more than 16 of the state's 32 delegates and thus automatically receives all 32 delegates.

Likelihood: Very possible. State rules were designed to favor a winner-take-all outcome.

GEORGIA

Delegate allocation rule: Proportional. 34 statewide delegates allocated in proportion to statewide vote, with a 20% threshold; 42 district delegates (14 districts with 3 delegates each) winner-take-all by district if winner gets more than 50%, otherwise modified proportional.

Winner-take-all scenario: If the winner keeps all opponents under 20% of the statewide vote and wins all 14 districts with more than 50% of the vote, then he wins all the state's delegates.

Likelihood: Possible. Gingrich leading comfortably in polling, but the question is whether he can hold Romney to below 20% of the statewide vote, while also winning every district with a clear majority.

MASSACHUSETTS

Delegate allocation rule: Proportional. All 38 delegates allocated in proportion to the statewide vote, with a 15% threshold.

Winner-take-all scenario: If only one candidate reaches the 15% statewide vote threshold, then he wins all the state's delegates.

Likelihood: Possible. If Romney wins his home state with a big margin and keeps Gingrich, Ron Paul or Rick Santorum under 15%, then he wins all 38 delegates. Former candidates Michele Bachmann, Jon Huntsman, Rick Perry and "No preference" are also on the ballot to further split the anti-Romney vote.

OHIO

Delegate allocation rule: Proportional. 15 statewide delegates winner-take-all if a candidate receives more than 50% of statewide vote, otherwise proportional with 20% threshold; 48 district delegates (16 districts with 3 delegates each) winner-take-all by district vote.

Santorum did not submit any delegate slates in three districts (congressional districts 6, 9, and 13), which means he cannot win any delegates from these districts. In six additional districts (CDs 3, 4, 8, 10, 12, and 16), he submitted only partial delegate slates, which means that if Santorum wins any of these districts, he will only receive one or two out of the three possible delegates in that district.

Winner-take-all scenario: If the winner gets more than 50% of the statewide vote and wins every CD, then he gets all the state's delegates. Or if only one candidate receives more than 20% of the vote and also wins every CD, he wins all the state's delegates.

Likelihood: Unlikely. If Santorum wins statewide, he cannot win every CD because he hasn't fielded full delegate slates. If Romney wins, it's unlikely he'll win more than 50% statewide and also unlikely that he would carry every CD.

OKLAHOMA

Delegate allocation rule: Proportional. 25 statewide delegates winner-take-all if candidate receives more than 50% of statewide vote, otherwise proportional with 15% threshold; 15 district delegates (five districts with three delegates each) winner-take-all by district vote if winner gets more than 50% of district vote, otherwise proportional by CD vote with modified 15% threshold

Winner-take-all scenario: If the winner gets more than 50% of the statewide vote and wins every CD by more than 50%, then he gets all the state's delegates. Or if only one candidate receives more than15% of the vote and also wins every CD by more than 50%, he wins all the state's delegates.

Likelihood: Unlikely that one candidate will receive more than 50% of the statewide vote and in every CD, according to polling. Also unlikely that only one candidate would reach the 15% threshold.

TENNESSEE

Delegate allocation rule: Proportional. 28 statewide delegates winner-take-all if winner receives more than 66% of statewide vote, otherwise proportional with 20% threshold; 27 district delegates (nine districts with three delegates each) winner-take-all by district vote if winners receives more than 66% of district vote, otherwise proportional with 20% threshold.

Winner-take-all scenario: If winner gets more than 66% of the statewide vote and wins every CD by more than 66%, then he gets all the state's delegates. Or if only one candidate receives more than 20% of the vote and also wins every CD by more than 66%, he wins all the state's delegates

Likelihood: Very unlikely that one candidate will receive more than 66% of the statewide vote and in every CD. Also unlikely that only one candidate would reach threshold.

VERMONT

Delegate allocation rule: Proportional. 14 statewide delegates winner-take-all if winner receives more than 50% of the statewide vote; otherwise proportional with 20% threshold; three district delegates winner-take-all by statewide vote.

Winner-take-all scenario: If winner gets more than 50% of the statewide vote, he gets all the state's delegates. Or if only one candidates makes the 20% threshold, he wins all the state's delegates.

Likelihood: Very possible that Mitt Romney could win the statewide vote by more than 50% and thus win all delegates.

VIRGINIA

Delegate allocation rule: Proportional. 13 statewide delegates winner-take-all if winner receives more than 50% of statewide vote, otherwise proportional with 15% threshold; 33 district delegates (11 districts with three delegates each) winner-take-all by district vote.

Winner-take-all scenario: If winner gets more than 50% of the statewide vote and wins every CD, he gets all the states delegates.

Likelihood: Very possible that Mitt Romney could win the statewide vote by more than 50% and win every CD. He and Paul are the only candidates on the ballot.

CNN's Adam Levy contributed to this report

@highlight

State party rules allow some chance of candidates shutting out opponents

@highlight

Mitt Romney is most likely to benefit from complext allocation rules

@highlight

Newt Gingrich has shot at picking up all of Georgia's 76 delegates

@highlight

Winner take all scenarios possible in other states but unlikely