(CNN) -- Anthony Shadid, who won two Pulitzer Prizes for his reporting from Iraq, died Thursday while reporting in eastern Syria, apparently of an asthma attack, The New York Times said.

He was 43.

Tyler Hicks, a Times photographer who was with Shadid, carried his body over the border to Turkey.

Hicks said Shadid, who was carrying medication for his asthma, displayed symptoms Thursday morning, when they joined guides on horseback for the trip out of the country. The animals may have triggered the asthma, Hicks said.

He had suffered an asthma attack the week before, when they entered the country and met with guides on horseback, Hicks told The Times.

The Syrian government, which limits international journalists' access to the country, had not been told by The Times that Shadid was there, the newspaper said. He had been inside Syria for a week collecting information for a story on the Syrian resistance, it added.

Shadid, who was fluent in Arabic, had covered the Middle East for nearly 20 years as a reporter for The Washington Post, The New York Times and The Associated Press.

"I was afraid of bullets and bombs before and to find out that he died of an asthma attack was a shock," Shadid's father, Buddy, told CNN. "The world lost an amazing journalist and I lost a beloved son."

"Anthony Shadid was one of the finest and most courageous journalists of our time," said Mark Whitaker, executive vice president and managing editor of CNN Worldwide, who worked at the Washington Post with Shadid before the late journalist went to The New York Times. "All of us at CNN mourn his loss and grieve for his colleagues and loved ones."

Shadid had been working on a book about his family's ancestral home in Lebanon. He traveled there after years of covering conflict to rebuild his grandmother's home, according to his website. "He found a story of hope, healing, but perhaps most powerfully, loss, in a Middle East whose future rests in understanding its past," it said. The book, "House of Stone," is to be published next month by Houghton Mifflin Harcourt.

He wrote two other books, "Legacy of the Prophet: Despots, Democrats and the New Politics of Islam" and "Night Draws Near: Iraq's People in the Shadow of America's War."

Secretary of State Hillary Clinton said she was a follower of Shadid's work.

"I also want to extend on behalf of myself and our government our sympathies to the family of Anthony Shadid and to The New York Times for his untimely death," she said. "He was somebody I always turned to and read very carefully ... he had his pulse on what was happening."

In an interview last December on NPR's "Fresh Air," Shadid recalled entering without a visa the Syria ruled by President Bashar al-Assad.

Anthony Shadid: A reporter's storyteller

"I've done things that maybe I wouldn't have done in hindsight, and this maybe would have been one of them," he said. "It was scarier than I thought it would be. I had had a bad experience in Libya earlier in the year, [but] I did feel that Syria was so important, and that story wouldn't be told otherwise, that it was worth taking risks for. But the repercussions of getting caught were pretty dire."

After several days in Hama, he crossed safely back across the border.

"I don't think I'd ever seen something like what I saw in Syria," he said. "You're dealing with a government that's shown very little restraint in killing its own people to put down an uprising. ... And I got to spend a lot of time with [the activists] because I spent a lot of time in safe houses. And it reminded me of an old story in Islamic history, when the Muslim armies are crossing to Gibraltar. And the general who was leading them burned the ships after they crossed into Spain. And the idea was there was no turning back. And that story, I felt, resonated [with] almost every conversation I had."

He did not always emerge unhurt from his reporting. In 2002, while working for The Boston Globe, he was shot in the shoulder in the West Bank city of Ramallah.

Last year, Shadid and Hicks and two other Times journalists, Stephen Farrell and Lynsey Addario, were arrested by pro-government militias in Libya and held for almost a week, during which all were physically abused. Their driver, Mohammad Shaglouf, died.

In its 2004 citation, the Pulitzer Board praised "his extraordinary ability to capture, at personal peril, the voices and emotions of Iraqis as their country was invaded, their leader toppled and their way of life upended." In 2010, the board praised "his rich, beautifully written series on Iraq as the United States departs and its people and leaders struggle to deal with the legacy of war and to shape the nation's future."

His last story for The Times, on Libya, ran on February 9. At 1,600 words, it was long, which was typical for him, the newspaper said. "It was splashed on the front page of the newspaper and the home page of the Web site, nytimes.com, which was also typical," it said.

Overheard on CNN.com: Remembering Shadid

"Anthony died as he lived â€” determined to bear witness to the transformation sweeping the Middle East and to testify to the suffering of people caught between government oppression and opposition forces," wrote Jill Abramson, executive editor of the Times, in an email to the newspaper's staff.

Survivors include his wife and two children, his parents, a brother and a sister.

People we've lost in 2012: The lives they lived

@highlight

Anthony Shadid had reported from the Middle East for nearly two decades

@highlight

He appears to have died of an asthma attack, the newspaper says

@highlight

He was the winner of two Pulitzer Prizes