(CNN) -- It wasn't until Melissa Reese's husband allegedly put a knife to her throat and threatened to kill her that she says she decided it was time to leave her abusive relationship. She could take her belongings and kids, but her dogs were a different story.

Dropping Capone and Sophie, her Alaskan Malamute and Miniature Doberman, at an animal shelter where they could be euthanized or adopted by another family was not an option.

"I couldn't give them up," Reese said. "That would be like putting my children out in the cold, and I couldn't do that."

Reese said whenever her husband threatened her, Capone would squeeze in the middle and try to push him away. Her pets had protected her, and she couldn't leave them behind to become victims of her husband's wrath.

So she called Ahimsa House, which placed the dogs with foster families until Reese got settled in a new home. Reese's husband later pleaded no contest to charges of simple assualt and battery.

Ahimsa House -- which stands for "nonviolence" in Sanskrit -- is the only animal shelter in Georgia that specifically cares for pets from homes of domestic violence. In the last year, dogs, cats, birds, reptiles, livestock and horses took refuge for a combined total of 20,000 nights. In one case, the shelter took in 18 chickens.

The Atlanta shelter will house a pet for as long as the owner needs. Every animal also receives a medical examination from a veterinarian. As Ahimsa House Executive Director Maya Gupta explained, pets in households with an incidence of domestic violence often have hidden injuries themselves.

"Abusers tend to be very good with their human victims in knowing exactly where to hit so that the bruises don't show -- so she can put on a long sleeve shirt or some makeup and cover them -- and to some extent, they also do that with animals," she said.

Domestic violence against women: Recognize patterns, seek help

Perpetrators of domestic violence often harm or threaten a family pet in order to manipulate a partner and coerce him or her to stay in a relationship. As a result, 18% to 45% of battered women remain with their abuser in fear of what he may do to a pet or livestock upon leaving, according to a study by the American Bar Association.

Tanya Mcleod,  an advocate against domestic violence who alleges a close relative abused her and their dog Brownie, explained that abusers realize pets provide a type of comfort for victims and use that to their advantage.

"The abuser will often make threats and say, 'If you leave I'll kill Fluffy, or I'll flush the goldfish down the toilet' -- whatever it is that will make that person stay in that relationship," she said.

Brownie was considered a part of the family to Mcleod and her three kids. When it became clear she was giving more attention to the dog, Mcleod says the relative got jealous and abused Brownie as a way to take control.

"He would hit him, kick him, sometimes choke him," Mcleod recalls. "He would tell us that we couldn't see Brownie."

The relative was never charged for abusing Brownie or Mcleod.

In every state, pets are considered property under the law, and judges cannot order a person to not harm, injure or interfere with the care of a family pet. But that is changing as 21 states plus the District of Columbia and Puerto Rico have enacted laws to include pets in domestic violence protection orders.

MNN.com: When you have to give your pet away

Texas is the most recent state to pass a bill that will punish family violence perpetrators under protective orders who torture pets.

Democratic Texas state Sen. Wendy Davis, who sponsored the bill that will go into effect September 1, said the legislation provides the opportunity for law enforcement to bring federal prosecution against abusive partners who threaten pets.

Protective orders protect women against further abuse by a partner, but the same doesn't hold true for pets, Davis explained. Now that pets are included in orders, abusers will receive a misdemeanor for the first violation and felony charges upon two or more violations.

Every day, thousands of pets and humans are at risk in abusive relationships, according to Phil Arkow, coordinator of the National Link Coalition, which seeks to prevent violence toward people and animals. A study by the  National Coalition Against Domestic Violence found that 71% of women entering shelters report that their batterer had injured, killed or threatened a pet to exert control over them.

For many women, fleeing with their dog or cat isn't an option when only one in eight domestic violence shelters accept pets, according to the NCADV.

The Houston Society for the Prevention of Cruelty to Animals in Texas recognized this problem and started PetSafe -- a program to provide temporary boarding, medical care and food for pets of families escaping domestic violence. This year, the program cared for 20 pets, but the organization investigated 14,642 cases of animal abuse, neglect and cruelty in 2010, according to HSPCA spokeswoman Stacy Fox.

Tips for adopting the best shelter dog

In the past few years, state representatives have been debating bills that would include pets in domestic violence protective orders. David Favre, a law professor of animal cruelty at Michigan State University, said the majority of these bills eventually pass because "everybody can agree with the principle."

"Who's going to stand up and say, 'No, the husband should be able to abuse the pet'?" he said.

However, Favre explained adding pets in protective order laws may not be effective since pet abusers already violate the state's animal cruelty law.

"If a man wants to inflict harm, he's not going to really be stopped by this protective order," he said.

But after hearing stories -- in one case, a man cut off a dog's ears and sent them to his partner to get her to return -- Davis says she believes the new law will help keep women safe.

"The bill isn't about protecting the pet nearly as much as it is about protecting women, who unfortunately can be convinced to say in an abusive situation where a pet is used as basically a pawn against her emotions," she said.

Domestic violence against men: Know the signs

What to do if your pet is being abused:

1) First, if he's threatening the pets, you are next. Don't assume that he's bluffing. Don't make excuses. Don't think things will get better. They won't, says Phil Arkow, coordinator of the National Link Coalition. The lives of you and your children are in danger. Get out -- now!

2) Avoid bitter custody battles by making sure all of your pet's records are in your name: rabies and other shots, pet food purchases, dog or cat licenses, pedigree papers, receipts for vet bills, etc. These should all be in your name to establish that you are the caregiver.

3) Make sure your pets are current on all their licenses and vaccinations. This makes it easier to house them in an emergency shelter.

4) Pets should have an identification tag that does not have your name or home number. Use the number of a friend or the animal's veterinarian.

5) Have an emergency plan that includes your pets. If you're able to prepare for your pet's departure, try to have pet items -- including vaccination and medical records, medications, licenses, blankets, leashes, collars and pet carriers -- in a safe place where your abuser won't be able to find them.

6) Have a safe place for your pet lined up in advance such as a women's shelter that offers on-site housing or off-site foster care for pets, a trusted friend, veterinarian, kennel or animal shelter. Keep this location secret in case your abuser tries to take control of the pet in order to take control of you and your children.

@highlight

18% to 45% of women remain with an abuser in fear of what he may do to a pet upon leaving

@highlight

21 states have enacted laws to include pets in domestic violence protection orders

@highlight

Ahimsa House in Atlanta looks after pets for domestic violence victims until they find housing

@highlight

71% of women report their batterer had injured, killed or threatened a pet to exert control