(CNN) -- As the streets of New York and other cities filled with people protesting the non-indictment in the choking death of Eric Garner, defenders of the police generally fixated on Garner's health. Because Garner was obese, diabetic, asthmatic, suffered from sleep apnea, and had a heart condition, goes the argument, he was somehow to blame for his own death.

Representative Peter King, R-New York, for example, went on CNN to thank the grand jury for not indicting Officer Daniel Panteleo. "You had a 350-pound person who was resisting arrest. The police were trying to bring him down as quickly as possible," King said. "If he had not had asthma and a heart condition and was so obese, almost definitely he would not have died."

King's comments have been echoed elsewhere, including by many law enforcement commentators on the site, PoliceOne.com. Their comments repeatedly invoke Garner's health, saying things such as, "This guy would have died going up a flight of stairs," "He died because of his preexisting medical conditions," and "His family should sue Papa Johns, Dominos, Pizza Hut, Burger King, McDonalds."

What we are seeing in the death of Eric Garner and the reaction to the initial exoneration of his killer, is the intersection of racism, fat-hatred (as discussed by Melissa McEwan), and the failure of law enforcement to accommodate disability. Garner's case is not the first to suffer from these deadly intersections -- the language we've heard echoes numerous other cases in which police and their defenders blame disability for the results of police violence. Sadly, it also won't be the last, unless we stop letting people use one type of discrimination to defend against another.

When Ethan Saylor, a man with Down syndrome, was allegedly killed by asphyxiation by "off-duty deputies moonlighting as security guards," Saylor's disability and weight ended up being blamed. Their sheriff reportedly said that Saylor died because of a "medical emergency." The coroner likewise blamed Down syndrome and size for the death, and the grand jury didn't indict. As with Garner, there is some truth to the focus on health, but none of that would have mattered if law enforcement hadn't applied pressure to the throat.

It's not just physical disability. It seems that every time a person with schizophrenia or other psychiatric disabilities gets hurt by law enforcement, the officers justify their actions by explaining that the individual acted in unpredictable ways, was potentially threatening, and so force had to be applied. We saw this after the death of Kajieme Powell in St. Louis last August. More recently, Tanesha Anderson died after allegedly being taken down to the ground by an officer. In Bessemer, Alabama, Donald Wilson was shot (but survived). Wilson and Powell both had small knives, were alleged to have known to be in mental-health crisis, and were shot after they reacted to officers entering close proximity. In all these cases, patience would likely have saved lives.

According to the American with Disabilities Act (ADA), we must all provide "reasonable accommodations" to people with disabilities. I have argued before on CNN that this principle must be applied by the police even when they want to take people with disabilities into custody. In fact, this argument is the core question of Sheehan vs San Francisco, a case that the Supreme Court just agreed to hear. Sheehan, a woman with psychiatric disabilities, was shot by police in 2008. She's sued under the ADA, claiming that her disability was not reasonably accommodated when police charged into her room without backup, got close to her, and then shot her when she didn't immediately comply. How the high court rules on the case will shape law enforcement reactions to disability for the foreseeable future.

I argue that far from exonerating Panteleo, the focus on Garner's health merely tries to conceal structural racism under the cloak of ableism. It is not "reasonable" to place an unarmed man like Garner in a chokehold. He was not a threat, he was known to be suffering from health issues, and he was obviously obese. Yes, without those health issues Garner might well have survived, but their presence excuses nothing. Rather, they reveal the ways in which one form of discrimination intensifies when linked to another.

When something like Garner's death happens, we have to be willing to approach it as an intersection of multiple factors. Ableism doesn't excuse racism. Racism doesn't excuse fat-hatred. Fat-hatred doesn't excuse the class-based discrimination. Rather, they sweep together, enabling us to see patterns of prejudice and their horrific outcomes. And when we can see the whole, then we can concentrate on solutions that address them all, such as demanding reasonable accommodations, reforming police procedure, and reinforcing basic civil rights for all Americans.

@highlight

David Perry: Defenders of police in Garner case have focused on health

@highlight

One type of discrimination cannot be used to defend against another: Perry

@highlight

Not "reasonable" to place unarmed man like Garner in a chokehold, he says