(CNN) -- Bobby Hogg, the last native speaker of a dialect originating from a remote fishing village in northern Scotland, has died -- and so has the dialect he spoke.

The death of the 92-year-old retired engineer means that the Scots dialect known as Cromarty fisherfolk is now consigned to a collection of brief, distorted audio clips.

It is the first unique dialect to be lost in Scotland, according to Robert Millar, a reader in linguistics at the School of Language and Literature at Aberdeen University.

"Usually minority dialects end up blending in with standard English to form a hybrid. However, this is a completely distinct dialect which has become extinct," he said.

Cromarty fisherfolk appears to be the only descendant from the Germanic linguistic world in which no "wh" pronunciation existed, Millar said.

"'What' would become 'at' and 'where' would just be 'ere'," he said.

It was also the Scots language's only dialect that dropped the "H" aspiration.

A history of invented languages

"The loss of Cromarty is symptomatic of a greater, general decline in the use of the Scots language," according to Director of Scottish Language Dictionaries Chris Robinson. "This should be a wake-up call to save other struggling dialects."

Ten miles down the coast from Cromarty is Avoch, another sleepy fishing village with the closest surviving dialect to Cromarty fisherfolk, one that may also be endangered, according to Robinson. "It looks more than likely that this will go the same way as the Cromarty dialect," he said.

The dialect of the peoples who originally resided on the shores of Cromarty -- which lies on the tip of Black Isle peninsula, a four-hour drive north of Edinburgh -- was directly linked to their traditional fishing methods.

However, during the industrialization of fishing in the 1950s, established working methods were lost and the connection between the way of life and the dialect eroded. In fewer than 30 years, much of the dialect became obsolete.

Millar argues that the decline in Scots language represents a wider global trend.

"Generally, in the literate world, local dialects are suffering. The highly mobile and technologically advanced areas of the world are worst affected," he said.

There are some 6,000 to 7,000 languages in the world and it is estimated that they are disappearing at a rate of one every two weeks, according to Millar.

Some 96% of the world's population speak just 4% of the world's languages, he said. "Most languages are only spoken by a few hundred people," he added.

Why mourn the loss of a language? "At a banal level, it's a little bit of color in our lives is gone," he said. "Any time something dies, it's lost. Whether it be languages or species, we lose something. Everyone in the world loses something. Diversity surely is a good thing, and we've just lost a bit of it."

Greater communication and interdependence among communities is resulting in "dialect homogenization," Millar said.

And people tend to abandon their own languages for one of the larger languages for good reasons, according to Anthony Aristar, professor of linguistics at Eastern Michigan University and director of the school's Institute for Language Information and Technology.

"They want modern conveniences; they want their children to have decent jobs," he told CNN in a telephone interview. "All this requires being able to speak in the dominant language. So they see little use in preserving their languages."

But the loss of a language often results in the loss of the stories that were told in that language, and in the cultural knowledge they contained. "Even medical know-how," he said.

Robinson, of the Scottish Language Dictionaries, maintains that Scots minority dialects like Cromarty have faced other pressures.

"Educationally, English has been the language used in Scotland since the 18th century. Consequently, Scots speakers are not literate in their own language. Also, until recently, Scots has had a social stigma attached to it as a working-class or second-rate language."

Yet there are signs of improvement for the state of Scots minority dialects. More Scots books, especially children's books, are being published than ever before. In addition, since 2009, the Scottish government has provided funding for the Scottish Language Dictionaries, which has also given the language a status boost.

The support has been seen as a natural progression from the move by Westminster in 2002 to sign the European Union Charter of Minority and Regional Languages recognizing Scots, Gaelic and Welsh as languages separate from English.

Still, the rate of the worldwide loss of dialects and languages remains consistent.

Robinson said he would like to see more efforts taken to safeguard minority Scots dialects.

"Scots has an amazing literary history, yet it is completely ignored in our schools," he said. "The books must be made more widely available and read more in schools for the language to survive in the future."

How to create a language from scratch

CNN's Tom Watkins contributed to this report

@highlight

Bobby Hogg was 92

@highlight

The dialect, known as Cromarty fisherfolk, dies with him

@highlight

"A little bit of color in our lives is gone," linguist says