(CNN)  -- There was no mistaking the target: the eight huge cooling towers at Ratcliffe-on-Soar power station, sending plumes of steam high into the watery blue sky of the English Midlands.

A mix of peaceful protest and direct action took place at Ratcliffe-on-Soar, England.

Instead the question in the minds of an estimated 1,000 protestors gathered in the surrounding woods and scrubland was how could they get in and shut it down.

Surrounded by electrified fences, coils of razor wire and hundreds of police, this coal-fired power station run by German energy firm E.On was the target of environmental activists campaigning to stop climate change.

Organizers of the protest, an amorphous group called the Camp for Climate Action, claim the plant is one of the UK's largest sources of CO2 emissions and had named last weekend's protest, "The Great Climate Swoop".

"Climate change is one of the most important and urgent problems facing us," one protestor called Emma, told CNN. "Our politicians are not doing enough. We have to take action."

"We need to increase the pressure on [UK prime minister] Gordon Brown until he changes his mind about coal," said another called Magoo. "I wouldn't be here if I thought we couldn't make a difference today."

Many protestors were upbeat following a recent decision by E.On to shelve plans for a new coal powered power station at Kingsnorth, in southern England, and the site of a similar protest in 2008. E.On told CNN that the decision was "purely economic", and "due to a marked fall in demand for electricity during the recession", although many activists were claiming it as a victory for them.

Determination to act

There was no doubting the activists' dedication. The weekend began peacefully enough with a procession snaking up from the East Midlands Parkway train station accompanied by a pedal-powered sound-system and a band. Several officers told CNN they were glad to be policing this event rather than a local football derby on the same day.

Yet over 24-hours police say 57 protestors were arrested and both police and activists were injured in violent scuffles.

The protest at Ratcliffe-on-Soar was the latest from a movement that has quickly come to define environmental activism in Britain, mixing elements of the mid-1990s road protest movement with the more targeted, professional approach of groups like Greenpeace and the mass civil disobedience modeled by the Campaign for Nuclear Disarmament.

Although leaderless and non-hierarchical it has shown determination, organization and direction. There were several families with young children at the protests, as well as individuals of all ages, although the bulk were twenty- and thirty-somethings.

While some wore bandanas to hide their faces, others were in dressed as clowns or scarecrows and seemed content to picnic within sight of the plant.

Peaceful protest and police

In the spring James Hansen a climate modeler for NASA and prominent scientist lent his support for direct action, telling The Guardian newspaper: "The democratic process doesn't quite seem to be working... I think that peaceful demonstration is not out of order, because we're running out of time."

The first action by Climate Camp for Climate Action was at Drax coal power station in 2006, followed by Heathrow airport in 2007 and Kingsnorth coal power station in 2008. In 2009 there have already been three events: a protest at the European Climate Exchange in London, to coincide with the G20; a camp on Blackheath, London, in August -- the site of the 1381 Peasant's Revolt - and now the protests at Ratcliffe.

All have been characterized by a mix of peaceful protest around a "camp" that is intended to model low-carbon living, alongside militant direct action - and an increasingly tense relationship with police.

At Kingsnorth a huge police presence carried out over 8,000 searches according to an official report by the National Policing Improvement Agency, which also criticized tactics as "disproportionate and counterproductive".

The death of Ian Tomlinson after being pushed to the ground by an officer at the G20 protests this April led to a storm of criticism, and seems to have brought about some changes in police tactics -- arresting activists before they act, rather than confronting them in the field.

Last week ten people intending to come to Ratcliffe-on-Soar were held by police on suspicion of conspiracy to commit aggravated trespass, according to Police. Others have claimed they were phoned and told they would be arrested if they came -- something the police deny.

Willing to be arrested

Some of the most dramatic scenes came on Saturday afternoon came when hundreds of protestors mobbed around the perimeter fence on the north side of the plant and attempted to pull it down.

Ropes were attached to fence posts, with protestors clasping their hands over them as officers tried to cut the cords with knives and secateurs, as the crowd heaved down the fences. Others climbed up and hung on -- including one man and his young daughter.

It was in this moment that a division seemed to emerge between those ready to confront the police head on, and those holding back. Above the few dozen actually at the fence were many more holding back, cheering, but wondering what to do, obviously frightened of being arrested.

"Come down!" came the cry from one man at the fence. "This is not a spectator sport!"

But few did. While the movement prides itself on inclusivity, and commitment is welcome at any level, it clearly needs people ready to be arrested. Whether the weekend's protests will inspire more of those who came to greater militancy next time around -- or scare them away - remains to be seen.

But as dusk fell on Saturday night and camp was set the protestors were claiming victory -- and the next target was already clear As they packed up tents and sleeping bags the next day after a chilly night under the stars, cell phones chirruped as a message arrived: "We did it! 24 hrs of truly inspirational action! Fences down, gates blockaded, railway occupied, a camp in the woods.

"Now onwards to Copenhagen!"

@highlight

Eco activists gathered at power station in UK to protest against climate change

@highlight

Called "The Great Climate Swoop" it was latest direct action by UK eco activists

@highlight

Protestors camped out over weekend, some tried to break into power station

@highlight

Event revealed difference between peaceful protestors and more militant element