Washington (CNN) -- If you think cutting the government's budget is as easy as taking the ax to some unpopular federal programs, a new national poll suggests that you should think again.

According to a CNN/Opinion Research Corporation survey released Friday, most Americans think that the government spends a lot more money than it actually does on such unpopular programs as foreign aid and public broadcasting.

The poll's release comes one week before current funding for the government runs out.

If there is no budget agreement between congressional lawmakers by next Friday, some government programs and offices may shut down.

"The public has a better idea of how much the government spends on programs like Social Security and Medicare, but there is a related problem -- cutting them has little public support," says CNN Polling Director Keating Holland. "The result: cutting unpopular programs would probably not cut the deficit very much, and cutting the deficit would probably require cuts in programs that Americans like."

Let's start with international assistance. Sixty percent of people we questioned say they'd like to put foreign aid on the chopping block. So would that make a dent in the deficit?

No -- but try telling that to the American public. According to the poll, on average, Americans estimate that foreign aid takes up 10 percent of the federal budget, and one in five think it represents about 30 percent of the money the government spends.

But the actual figure is closer to 1 percent, according to data from the Office of Management and Budget from the 2010 fiscal year's $3.5 trillion budget.

OK. Let's try more low-hanging fruit -- funding for the Corporation for Public Broadcasting. Our survey indicates nearly half of all Americans would like to see major cuts.

According to our poll the public estimates that the government spent 5 percent of its budget last year on public television and radio.

Not even close. The real answer is about one-tenth of 1 percent.

Want more examples?

Cutting pensions and benefits for government workers is popular, but once again most Americans overestimate how much that costs the government.

On average, Americans think the federal government spent 10 percent of its 2010 budget on pensions and retiree benefits; the OMB figures indicate the real number is about 3.5 percent.

A sizeable minority would like to see food and housing assistance for the poor on the chopping block, but Americans' estimates of how much the government spends on those programs are three to four times higher than the actual price tag.

Cuts in military spending also have some support -- more than a third of all Americans favor cuts in that area. But the public, once again, overestimates the amount of military spending. They told us 30 percent in our poll. In reality only 19 percent of the 2010 budget went towards military spending, according to 2010 OMB figures.

What Americans got right are the programs they don't want to cut.

When we ask Americans to guess how much Social Security cost the government in 2010, the median estimate was 20 percent. Not bad, given that OMB figures indicate that Social Security represented 20.4 percent of the federal budget in 2010.

"Budget experts agree that cutting a target that big would be a good start toward getting the deficit under control. Problem is, 87 percent of people we surveyed don't want to decrease the amount of money spent on Social Security -- and four in 10 would like to see that figure grow. The same is generally true for Medicare and Medicaid, which combined made up 19 percent of last year's budget," adds Holland.

The CNN/Opinion Research Corporation survey was conducted March 11-13, with 1,023 people questioned by telephone. The survey's overall sampling error is plus or minus 3 percentage points.

-- CNN Deputy Political Director Paul Steinhauser contributed to this report

@highlight

Most Americans think the U.S. spends more than it does on foreign aid and public broadcasting

@highlight

The poll's comes a week before current funding for the government runs out

@highlight

The public estimates the United States spent 5 percent of its budget last year on public television and radio

@highlight

The real answer is about one-tenth of 1 percent