Port-au-Prince, Haiti (CNN) -- Haitians took recovery efforts into their own hands Thursday as aid workers trickled into the quake-battered capital where impassable roads, damaged docks and clogged airstrips slowed the arrival of critically needed assistance.

Using chisels, blowtorches and bare hands, one group of Haitians worked for 24 hours to free a man pinned under a collapsed school; still others -- possibly including students -- were trapped inside.

Across town, an 11-year-old girl pleaded for water and screamed in pain as a group of people painstakingly tried to lift a piece of metal off her right leg. After sunset, they managed to set her free.

Those scenes of Haitians banding together to free their neighbors played out across the capital while the few rescue crews who managed to make it into the hillside city came face-to-face with the death and destruction caused by the massive quake.

The stench of corpses wafted in the air after two days under the hot sun, and throughout the city people covered their faces to block the odor.

At one of the city's cemeteries, people were opening old crypts and shoving the corpses of quake victims into them before resealing them, CNN's Anderson Cooper reported.

As night fell on the streets of Port-au-Prince, there were signs of progress. CNN correspondent Chris Lawrence watched as workers loaded bodies of quake victims, which had been piled on the sides of roads, into the basket of a front-loader tractor. It deposited them into blood-stained dump trucks lining the street.

Watch as dogs help in rescue efforts

Roads leading from the port city's dock into town were buckled about 5 feet high, and large cargo ships couldn't tie up at the damaged port. Rubble-strewn roads, downed trees and a battered communications network hampered humanitarian groups trying to get supplies to victims, and thousands of people left homeless by Tuesday's 7.0-magnitude quake roamed the streets.

Raymond Joseph, the Haitian ambassador to the United States, said Thursday that the priority of arriving military personnel will be to clear the roads.

Watch a student tell how she tried to flee

"The Port-au-Prince airport is going to be overloaded [with] supplies and there's going to be no way to distribute it because the roads are blocked," he told "The Situation Room," calling for heavy machinery to move the debris.

U.S. flights into the Port-au-Prince airport were grounded several times Thursday because ramp space was too crowded, a spokeswoman for the Federal Aviation Administration said. As of Thursday afternoon, 34 planes were on the ground in Haiti and up to 12 planes were in a holding pattern waiting to land, an FAA official said. One problem, the official said, is the lack of resources to unload planes on the ground.

"We don't have enough water, we don't have enough medical supplies, we don't have enough blankets," Dave Toycen, president of World Vision and a 35-year veteran of disaster response, told "Larry King Live." "People aren't getting the help they need and it's just unacceptable."

CNN's Cooper came across the family of a 28-year-old woman named Brigitte Jean Baptiste, on their way to the cemetery. They were pushing a wheelbarrow with a coffin carrying her body precariously balanced on top of it. The woman was pulled from the rubble alive Thursday morning, but her family couldn't find a doctor to treat her.

"She could have been saved, but we didn't find any help," a family member said.

See CNN's complete coverage of the quake

The rescue and recovery efforts have become priorities for nations across the globe, including the United States.

"Even as we move as quickly as possible, it will take hours and in many cases days, to get all of our people and resources on the ground," President Obama said Thursday morning. "Right now in Haiti, roads are impassable, the main port is badly damaged, communications are just beginning to come online and aftershocks continue."

Obama announced $100 million in aid and said, "This is one of those moments that calls for American leadership." He tapped former Presidents George W. Bush and Bill Clinton to help lead humanitarian and fundraising efforts.

Watch as social-media sites help in search

During an appearance before the House Democratic Caucus Retreat later Thursday, Obama again addressed recovery efforts in Haiti, saying, "My national security team understands that I will not put up with any excuses for us not doing the very best in this time of tragedy."

Other countries and agencies also allocated millions in aid. Assistant Secretary of State P.J. Crowley said he estimates at least 30 countries have pledged meaningful assistance that has already reached Haiti or is on its way.

Speaking at the United Nations, Secretary-General Ban Ki-moon said "one of the most heartening facts in this otherwise heartbreaking story is the dimension of the international response."

Watch the chaotic situation outside a hospital

Precise casualty estimates were impossible to determine, and Ban said it will be days before an "educated guess" can be made about what he thinks will be a high death toll, with authorities saying it could be in the thousands or even the hundreds of thousands.

At least 22 U.N. peacekeepers were killed in the quake, Ban said Thursday. Also among the dead is Joseph Serge Miot, the Roman Catholic archbishop of Port-au-Prince. The U.S. government announced on Thursday the death of a U.S. citizen, identified as cultural affairs officer Victoria DeLong. A seminary in Iowa said one of its students apparently had also died.

Impact Your World: How you can help

But thousands of injured people have survived, and the calamity has overwhelmed doctors. Medical teams with the aid group Doctors Without Borders have treated more than 1,000 people. The group said it has seven charter flights stocked with staff and supplies ready to travel to Port-au-Prince, but thus far, only one has been able to fly into Haiti.

Watch as U.N. chief gives grim update

The United States and other countries were dispatching medical supplies, facilities and personnel.

As of Thursday, more than 300 military personnel were on the ground in Haiti. That number is expected to top at least 5,000 by early next week with the arrival of 3,000 troops from the 82nd Airborne Division and 2,200 Marines from the USS Bataan amphibious group of ships, according to military officials.

The U.S. Navy's USS Carl Vinson is expected to arrive Friday, and the hospital ship Comfort is preparing to deploy Saturday morning to Port-au-Prince. It will carry 560 medical personnel and supplies. The U.S. Coast Guard has also dispatched ships to the area.

Are you there? Submit an iReport

Eight search-and-rescue teams from the United States and other countries began their work in Port-au-Prince to search for residents trapped in their homes and for others who are unaccounted for, including 150 members of the United Nations staff.

A U.N. security officer from Estonia was pulled alive from the rubble of the U.N. headquarters Thursday, in what Ban called "a small miracle during a night which brought few other miracles."

Crowley said another person was rescued Thursday from the heavily damaged Hotel Montana in Petionville.

"I think the Haitian people are very sturdy and they are fighters," Haitian ambassador Joseph said. "I think we'll live through this."

CNN's Eric Marrapodi, Chris Lawrence, Rick Hall, Rich Phillips, Ivan Watson and Susan Candiotti contributed to this report.

@highlight

Blocked roads, crowded airport and damaged docks slow progress of aid

@highlight

People cover faces to block stench from piles of bodies

@highlight

President Obama promises $100 million in immediate relief aid to Haiti

@highlight

Government officials fear death toll might eventually run into six figures