(CNN) -- Of all the inhumane conditions in the detention of immigrants, the most serious is simply the condition of being locked up. Detention means that parents are taken from their children and shipped hundreds of miles away to jails where visits are impossible.

Immigrants who have lived in the United States for nearly their whole lives lose their jobs, their homes, and their livelihoods while locked up in Immigration and Customs Enforcement jails, trying to fight deportation to a country they don't even remember, often without even a lawyer to help guide them through the complicated morass of immigration law.

That is why it was good news to learn that hundreds of immigrants returned home to their communities and families after being released by Immigration and Customs Enforcement from detention centers across the country last week in anticipation of the federal budget cuts

This action is moving us, as a nation, in the right direction. Locking up thousands of immigrants is not critical for the agency to fulfill its enforcement mission. And now, we've been given an opportunity to consider better alternatives.

The impact of this decision was far more than fiscal savings: It brought loved ones home to their families, returned breadwinners to their communities, and released asylum seekers from confinement that exacerbated their past trauma.

Having worked as a lawyer for eight years with thousands of immigrants detained in the Arizona desert, I have seen the devastating, and ultimately ineffective, results of our rapidly expanding detention system.

Our office regularly received desperate phone calls from wives, mostly U.S. citizens, whose husbands were in detention. Often the husbands were the sole breadwinners. The women and their children faced eviction from their homes because they could not keep up mortgage payments. They were forced to go on welfare, and their children's school performance suffered. Among my clients were asylum seekers who fled persecution and torture in their countries, only to find themselves locked up behind barbed wire for months and even years as they sought protection in America.

Since 2003, more than 2.4 million people have passed through immigration detention facilities in a network of over 250 jails and prisons. At an average cost of $164 per day per person, ICE spent more than $1.7 billion in 2011 to detain a record 429,000 immigrants. Much of this money goes to private prison corporations that have contracts to house nearly half of the immigrants in ICE custody every day and are looking to grow their business -- having spent millions of dollars during the past 10 years on campaign donations and lobbyists at the state and federal level.

Immigrants in detention include lawful permanent residents with deep family and community ties, undocumented immigrants who have lived in the United States for decades as part of mixed status families, survivors of torture, asylum seekers, pregnant women, military veterans, and the infirm. No matter their background, they are confined behind bars for months and sometimes years as they await a hearing to determine whether they can remain in the U.S. legally.

Conditions in detention are punitive and inhumane. A recent set of reports compiled by Detention Watch Network members highlighted conditions in 10 jails where immigrants are held that exemplify the egregious problems inherent throughout the immigration detention system.

We found immigrants in detention wait weeks or months for medical care; have inadequate, and in some cases absolutely no, outdoor recreation time or access to sunlight or fresh air; are offered inadequate and nutritionally lacking food; and are subjected to the use of solitary confinement as punishment, as outlined in a report by the National Immigrant Justice Center and Physicians for Human Rights.

Their families suffer extraordinary difficulties trying to visit their imprisoned relatives. In some facilities, families drive hundreds of miles to visit their loved ones, only to be forced to "visit" with them via video link in a separate building -- not because they pose a risk, but because the facility does not want to incur additional costs for in-person visits.

The remote location of many facilities also interferes dangerously with people's ability to get legal help to fight their cases. They often have no access to a lawyer.

In the words of one immigrant detained at Baker County Jail in Florida, "We are like dogs, we can't see the sun or the sky. Actually, even a dog gets to go outside."

Since 2003, at least 131 men and women died while in custody in these centers, which include private jails, county cells and federal centers, according to ICE reports.

It does not have to be this way. Alternatives to detention -- such as community-based programs that offer legal and social service support -- are effective and significantly cheaper, with some programs costing as little as $14 per day. These alternatives to detention yield about a 93% appearance rate before the immigration courts and allow people to remain with their families and communities.

Given what we know about this hidden and punitive system, it is heartening to hear from members around the country that immigrants are being released from some of the worst facilities outlined in the reports. ICE should expand on this recent action by releasing everyone not subject to mandatory detention, and using alternative programs for those that are.

The government's action must also be a part of a larger initiative to reform our immigration detention system.

One critical step is the congressional repeal of mandatory detention laws that have been responsible for tripling the number of people in detention. Under these laws, up to 70% of immigrants in detention are required to be imprisoned, without any individual assessment of their risk to public safety, while the government tries to prove that it has the authority to deport them. This practice is contrary to our practice in the criminal justice system and wholly un-American.

Until Congress acts, the Obama administration must renew its commitment to urgent reform of the detention system by closing the most egregious detention facilities, aggressively working with nongovernmental organizations to promote community-based supervision programs for those in proceedings, and pushing for legal regulation and third party oversight of the remaining detention centers.

The opinions expressed in this commentary are solely those of Andrea Black.

@highlight

Andrea Black: Release of hundreds of immigrants from detention centers is good step

@highlight

Parents are taken from children, she says, sent far away to jails with appalling conditions

@highlight

Black: Ever-growing detention centers run by private businesses with lobbyists

@highlight

Release people not subject to mandatory detention, she says, use alternatives