(CNN) -- There is one essential truth emphasized by every former killer whale trainer who appeared in "Blackfish," a film featured on CNN and recently nominated by the British Academy Film Awards for best documentary:

They all speak movingly about how they respect and love the animals with which they shared their days and had a deep, special bond with them -- as do all professionals who work for zoological parks and aquariums.

But "Blackfish" ignores the essence of parks and aquariums -- their dedication to wildlife research, conservation, education and rescue of stranded marine mammals.

And, most importantly, it ignores their commitment to the animals' welfare, providing them with loving, state-of-the art care based on the latest advances in science and insights of experience.

Marine parks help wildlife, inspire, educate

Conservation scientists and wildlife researchers need marine parks and aquariums to learn how to better save animals in the wild. There's not a single mention of this in "Blackfish."

Today's pressing conservation and scientific questions cannot be answered by studying only marine mammals in the wild. Much research depends on detailed case histories or the control of experimental variables.

Aquariums fund studies on the diets, reproduction and immune systems of marine mammals as well as evaluate contaminants affecting certain species to help understand and improve animals' health in the wild. The world's longest running study of a wild dolphin population is led by a zoological society.

Marine parks have explored technologies to protect wild animals from fishing gear that cause many deaths each year. Also, animals in human care are surrogates for studies of wild, endangered species that would be impossible to complete without disturbing their vulnerable wild counterparts.

Research is also ongoing with dolphins that could help scientists discover what triggers diabetes in humans. The National Marine Mammal Foundation's website hosts reams of research funded by aquariums and undertaken by marine mammal scientists, including studies that ensure the exceptional health care provided whales and dolphins in aquariums.

Educators at zoological parks and aquariums are a dedicated group of amazing, caring individuals who play a major role in alerting the public to the plight of our oceans and the challenges facing killer whales and all marine mammals in the wild.

School programs, summer camps and off-site programs developed for teachers, schoolchildren and community groups reach millions annually. Tens of millions learn about marine mammals yearly through marine parks' computer learning programs, websites, publications and television programming.

Educators emphasize a humane approach to wildlife, teaching compassion and respect for all animals. They motivate and inspire children and adults to become better stewards of the environment. Seeing these beloved marine mammals up close at parks and aquariums drives home these important conservation messages.

One former trainer spoke briefly in "Blackfish" about the benefits of education programs at parks and aquariums. But not a word about these important conservation activities appears in the documentary.

In "Blackfish," Howard Garrett, co-founder and director of the Orca Network, talks about killer whales' natural history, languages and family bonds.

What you don't hear in the film is the Orca Network's concerns about killer whales in the inland waters of Washington state and British Columbia.

According to the organization, Chinook salmon -- orcas' main food source -- is in "historic decline throughout the region. Habitat degradation, industrial poisons such as PCBs, PBDEs, and other impacts of human activities are taking their toll on the orcas we have come to know and love."

Saving stranded animals

It is not uncommon for hundreds and even thousands of sick, injured or orphaned marine mammals to become stranded on U.S. beaches annually. Marine parks and aquariums and other dedicated stranding centers are the unsung heroes that nurse the animals found alive back to health and release them back into the ocean. They study the causes of strandings, most recently about 1,400 young California sea lions that beached on the West Coast and the morbillivirus outbreak the killed hundreds of wild dolphins along the mid-Atlantic coastline.

On these extraordinary, caring activities, "Blackfish" is again silent.

Parks and aquariums alone spend millions of dollars each year responding to, rescuing, providing veterinary care for and safely releasing stranded animals; underwriting hundreds of hours of their professionals' time; and organizing about 60,000 hours of volunteers' time to meet these challenges.

The movie "Dolphin Tale" gave the public a glimpse of the lengths to which parks and aquariums go, not only to keep their marine mammals healthy but also to save stranded animals. The film depicts the adaption of human medical technologies to enhance animal care -- working collaboratively with human medical specialists on creative solutions.

Many more heartwarming examples have not made it to the silver screen. The accumulated knowledge, collective experience and resources of marine parks and aquariums are the primary factors in successful rehabilitation efforts of stranded dolphins and whales.

Every visitor who walks through the gates of a marine park or aquarium is a partner and a major financial contributor to these educational, research, conservation and stranding accomplishments. These facilities count hundreds of millions of such partners each year and have earned overwhelming public support.

"Blackfish" did not include a single individual to speak compellingly about the benefits of these activities. Much of what "Blackfish" chose to highlight is old news -- activities occurring decades ago that are as out of date as your grandfather's old black-and-white TV set.

Like many documentaries aimed at persuading audiences to a particular point of view, "Blackfish" has no obligation to present a balanced narrative nor do the rules for documentary awards require a filmmaker to do so.

Marine parks and aquariums that share these wonderful marine mammals with the public remain immensely popular because of their effective and important work to educate children and adults and to inspire wildlife conservation action. If you want your children to understand the vital importance of protecting marine mammals and conserving our environment, there is no better, engaging way to reach them than to see animals up close at an accredited marine park, aquarium or zoo.

The opinions expressed in this commentary are solely those of Marilee Menard.

@highlight

Marilee Menard says "Blackfish" ignores marine parks' dedication to wildlife research

@highlight

Menard says life-saving research couldn't happen without these parks

@highlight

"Blackfish" explores events leading up to killing of SeaWorld trainer Dawn Brancheau

@highlight

The documentary airs on CNN at 9 and 11p.m. ET Sunday