(CNN) -- Go to Amazon.com and the link is right there at the top, nestled between "Gift Cards" and "Help." Chances are, you haven't noticed it in your frenzy to find the perfect potato peeler. But if you click it, a whole different world of Amazon opens up, one where stuff flows away from you rather than to you. That link reads "Sell."

Last year, about a billion items sold on Amazon weren't sold by Amazon itself but by other sellers who make their merchandise available on the site. One of them is Bernie Thompson, a former Microsoft engineer who worked to ensure the Windows operating system played nicely with USB, the standard means of connecting peripherals to PCs and laptops.

Thompson now runs his own business, Plugable Technologies, which makes a variety of USB and Bluetooth hardware, from charging stations to docks that connect tablets to desktop monitors. With fewer than 100 employees, the company isn't huge. But Thompson has no trouble running a truly global business.

In 2006, Amazon launched a service that allowed U.S. sellers to use its network of warehouses to ship their goods. More recently, Jeff Bezos and company have rolled out the Fulfillment by Amazon program globally, enabling entrepreneurs like Thompson to move goods through fulfillment centers in other parts of the world. "It really changes the paradigm when you're able to ship the goods in bulk to a warehouse in Europe or Japan and have those goods be fulfilled in one day or two days," Thompson says.

Why are we so fat? The multimillion-dollar scientific quest to find out

While not all merchants are thrilled with their experience selling on Amazon, the company's logistical network has enormous reach and breadth. A guy like Thompson can click that "sell" link and -- without much time or effort -- get his hardware nearly anywhere in the world. In effect, he becomes a "micro-exporter."

Amazon's global selling program, which has evolved along with the rest of its international footprint in recent years, works much like its domestic counterpart in the United States. Merchants can use the site to make their inventory available to purchase anywhere Amazon sells. But the real power of the system doesn't come into play until merchants also opt to use Amazon to fulfill and ship its orders, as Thompson does.

Merchants in the United States who want to expand globally can list their products in Amazon's nine international Amazon marketplaces -- the United Kingdom, Germany, France, Italy, Spain, India, China, Japan, and Canada. As they do domestically, sellers can export their goods in bulk to Amazon warehouses in those hubs.

From those, Amazon says it ships goods to about 180 countries around the world. "The small seller suddenly has access to the global marketplace," says Tom Taylor, Amazon's vice president of seller services.

Taylor says the power of global selling and shipping is huge. Goods from sellers targeting only U.S. consumers can be seen by about 100 million potential customers. Expand that reach globally and the number of potential customers grows to 250 million. And it's not just U.S. merchants selling globally. Taylor says sellers from 89 countries use Fulfillment by Amazon to sell goods to U.S. customers.

But the advantages Amazon gains by enabling micro-exports extend beyond the fees charged for its services. As Taylor puts it, a global network of small sellers can be incredibly nimble in response to shifts in demand around the world. Sellers can move their inventory from one hub to another according to their perceptions of where demand is greatest.

Unexpected shooting targets used by the world's armies

The result is a global agility for Amazon without the need to pull levers itself. An army of sellers becomes deputized to build out the long tail of global retail. "We often can see patterns in what they're doing faster than what we see in our own business," Taylor says.

For Thompson, the ability to send bulk inventory to cross-border hubs saves money compared to shipping individual packages overseas, an approach he says is less error-prone than shipping piecemeal. "We basically get the leverage, the huge scale that Amazon has in negotiating with shipping partners," he says.

Outsourcing everything from taking and shipping orders to converting currencies, accepting payments, and handling taxes lets Plugable focus on customer service, which Thompson calls a key way to set itself apart in the crowded gadget market.

Turnkey global selling and shipping also lets Plugable take the temperature of truly global demand before committing to any inventory at all. Thompson runs ideas for new products through Kickstarter, which not only allows Plugable to see what consumers want but where in the world demand is strongest.

If the Kickstarter campaign succeeds, he says, he divides up the inventory of new products rolling off the assembly line according to relative demand in different parts of the globe.

Instead of sending individual orders all over the world, Plugable ships in bulk to the international hubs where Amazon has facilities. From those locations, most of the world opens up to Thompson and his business -- a scale he says his business needs in order to make it.

"They're very cool products and very cool technologies, but they're a bit niche-y," Thompson says of his USB lines. "If you were selling on just local channels, there's not enough of a market to justify the costs."

Read more from WIRED:

What's inside Sriracha that makes it so delicious?

Someone reinvented the butter knife and it is amazing

Yikes! These 3-D printed skeleton keys can pick almost any lock

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

In 2013, Amazon sold 1 billion items from small businesses

@highlight

Platform lets entrepreneurs become "micro-exporters"

@highlight

Amazon says sellers can reach 250 million potential customers globally