(CNN) -- Last week, President Obama traveled to a historic town in Kansas to offer a vision of a revived American middle class.

Where Free Soilers and slaveholders had once done violent battle, where Teddy Roosevelt called for a "New Nationalism," Barack Obama presented this challenge: "(W)hat's at stake is whether this will be a country where working people can earn enough to raise a family, build a modest savings, own a home, secure their retirement."

This is what we all want -- Republicans as well as Democrats, liberals as well as conservatives. The issue here is bigger than just how to revive U.S. economic growth. Even during the years of economic growth from 2002 through 2007, middle-class people did not share much in the benefits of an expanding economy. It's easy to imagine that the middle class could likewise be locked out of the next economic expansion.

Obama scorchingly argued that Republicans and conservatives will not deliver for the middle class. But his own program is not exactly inspiring either. The president called for higher taxes on higher earners, with the extra revenues used to increase spending on education and to invest in government infrastructure programs.

But there's no reason to expect more education spending to translate into higher incomes for middle-class people. U.S. expenditure on education doubled between 1992 and 2006 without doing much for the middle class financially. What would another doubling accomplish? The U.S. already spends more on high school education than any advanced society except Switzerland and Norway, and considerably more than such egalitarian societies as Austria and Denmark.

As for increasing infrastructure spending, the president is kidding himself. Smart infrastructure spending enhances productivity, which is always good. But U.S. productivity grew handsomely between 1993 and 2007. The trouble was that the benefits of that productivity increase were almost entirely captured by a hyper-affluent few. Why expect the next round of productivity increases to be shared more broadly?

Realistically, the president's Kansas speech translates into a formula of higher taxes on the rich to pay for more spending on favored Democratic public-sector constituencies. But what about the much larger private-sector middle class? Does the president have anything to offer those people -- aside from the promise of a bigger government that might hire somewhat more people to enjoy the superior retirement packages offered to government workers?

Short answer: No.

What would a serious plan to improve middle-class incomes and opportunities look like?

It would start by addressing the way in which middle-class income is drained off before it ever reaches the middle class.

During the last expansion, the cost of labor to employers did rise. It's just that virtually none of that additional money flowed through to raise wages. Over this decade's expansion, the cost of employing labor rose by an average of 25%. None of this money reached employees. Every dime was intercepted by rising health care costs. For wages to rise again, health care costs must slow. We saw that happen in the 1990s: HMOs controlled health care costs, employees got raises.

Health care is such an important part of the income story that you could almost stop there. Yet there's a second piece: college costs. Higher education costs have been rising more than twice as fast as inflation, faster than almost any purchase except health insurance. It was often to pay those rising costs that families accepted the home equity lines of credit and second mortgages that contributed so much to inflating the housing bubble.

At the same time as reducing costs for middle-class families, actions can be taken to take to boost incomes.

Over the past two decades, the U.S. has lost global market share, especially to China. One of China's most important tools has been the manipulation of its currency, which it has held artificially cheap compared with the dollar.

If China tried to gain global market share by subsidizing its exports direct from the Chinese treasury, such subsidies would trigger U.S. retaliation under global trade rules. However, global trade rules do not apply to subsidies created by monetary means. Through this anomaly, the U.S. has outsourced more jobs than it would have if China's currency had moved freely, like the euro or the yen. It's time for the U.S. to reconsider its casual attitude to monetary manipulation. A more expensive yuan would slow and possibly even reverse the flow of jobs across the Pacific. If the yuan goes up, Chinese exports decline and U.S. exports rise. More work is done in the U.S., meaning more jobs, spurring a higher demand for labor and higher wages.

Finally, the U.S. needs to reconsider the way it finances Medicare and the Social Security retirement system. The payroll tax has become more and more important to U.S. finances since 1980. Before the crash, payroll taxes supplied almost 40% of all federal revenues. These taxes fall heaviest on middle-income Americans.

President Obama's payroll tax holiday expires at the end of this year. As we debate whether to renew the holiday, we should be debating whether we cannot finance the federal government in more creative ways, through taxes on consumption or carbon pollution, for example, rather than a tax on the first $110,000 of labor income.

These are some major elements of a working program of middle-class relief. They may not do the job. But at least they start the job.

The opinions expressed in this column are solely those of David Frum.

@highlight

David Frum: Obama's Kansas speech called for middle class revival, which all parties want

@highlight

Frum: A serious plan would address how money is drained off by health care, college costs

@highlight

Incomes must be boosted with creative taxing, he says, less reliance on payroll revenue

@highlight

U.S. should look closely at China's money manipulation, he says, to reduce outsourcing