London, England (CNN) -- The British government wants to find out what makes people happy.

Is it good health, education, income, or job satisfaction? Is it the environment, a lack of crime, or having a say in politics?

Those aspects of life can't be measured by the gross domestic product (GDP), long used as a key indicator of a nation's prosperity, British Prime Minister David Cameron says.

Thursday, he launched a national survey to ask people which aspects matter most to them, and which they believe should be used to measure the nation's well-being.

Though Cameron has championed this initiative since at least 2006, when he was still leader of the opposition -- suggesting a focus on GWB, or "general well-being" -- he still defended the idea Thursday against suspicions "that all this is a bit airy-fairy and impractical."

"Of course you can't capture happiness on a spreadsheet any more than you can bottle it," he said in announcing the program. "If anyone was trying to reduce the whole spectrum of human emotion into one snapshot statistic, I would be the first to roll my eyes, but that isn't what this is about.

"Just as the GDP figures don't give the full story of our economy's growth, but do give a useful indicator of where we're heading, so this new measure won't give the full story of our nation's well-being, but will give us a general picture of how life is improving."

An online survey for individuals will run until April, when the Office for National Statistics (ONS) will send out surveys to large households. The results of both will be collected and analyzed, with results to come out in 2012, the ONS said.

Cameron said he knows some think the project is a "distraction" from the more urgent economic problems Britain must address, and that some think there is no way the government can hope to improve people's well-being.

Getting the economy moving, and creating jobs and spreading opportunity, is still the government's most urgent priority, Cameron said -- but there need to be better ways than just GDP to assess the country's growth and progress.

"When a country is hit by an earthquake, that can increase GDP because of the extra spending on reconstruction afterwards," he said. "When a city is torn apart by crime and disorder, that can increase GDP because of all the extra locks and security people buy. When a person falls seriously ill, that can increase GDP because the cost of buying drugs and paying for care counts as economic activity."

Initiatives regarded as good for growth sometimes have negative effects on the quality of life, he said -- such as loose controls on immigration, which can affect public services, or cheap prices on alcohol that can lead to more incidents of crime.

"It's because of this fundamentally flawed approach that for decades Western societies have seen the line of GDP rising steadily upwards, but at the same time, levels of contentment have remained static or even fallen," Cameron said.

Cameron said government can't legislate for fulfillment or satisfaction, but it can boost well-being by finding out what will improve lives and then acting on it.

"In time it will lead to government policy that is more focused not just on the bottom line, but on all those things that make life worthwhile," he said.

@highlight

The prime minister launches a national survey to measure well-being

@highlight

It asks people what aspects of life matter most to them

@highlight

Cameron says the GDP falls short of measuring a nation's well-being