London (CNN) -- With all the tributes to Steve Jobs, one thing tends to get forgotten: the man helped us write. Jobs was the first to give us a real choice of fonts, and thus the ability to express ourselves digitally with emotion, clarity and variety. He made Type Gods of us all.

Steve Jobs didn't invent typefaces, of course; I think Johannes Gutenberg may have had a stronger claim to that in Germany when he used his first carved letters in the 1440s. But Jobs realized their value like no one else engaged in personal computers in the early 1980s, and suddenly we were no longer dependent on professional printers, graphic designers and those long dark nights of the soul with rub-down letters.

And who did Jobs himself thank for this advance?

He credited the people who made the cost of his academic life so expensive at Reed College in Portland, Oregon. He said he dropped out to save his parents spending their entire life savings. And if he hadn't dropped out, he may not have discovered calligraphy.

"Throughout the campus," he remembered at an address to students at Stanford in 2005, '"every poster, every label on every drawer, was beautifully hand calligraphied." So, having dropped out and finding himself a free agent, he decided to take a class in this art. "I learned about serif and sans serif typefaces, about varying the amount of space between different letter combinations, about what makes great typography great. It was beautiful, historical, artistically subtle in a way that science can't capture, and I found it fascinating."

At the time, the student dropout believed that little he had learned would find a practical application in his life. But things changed. Ten years after college Jobs designed his first Mac, and it came with something unprecedented -- a wide choice of fonts. Originally he hoped to do this on the cheap, and by enlisting the designer Susan Kare he created new bitmap designs that were available in a range of styles and sizes. The original thought was to name them after stops on a local Philadelphia train route close to where Kare had grown up, but Jobs then plumped for the more accessible notion of cities he loved: London, Chicago, Geneva, Toronto, Venice, Los Angeles, and San Francisco.

These names had the added advantage of reflecting the typographical character of the cities in question, so London had an old-fashioned serif "blackletter" feel that Dickens might have favored, Venice had an artisanal script feel, and Geneva had a cleaner Swiss sans-serif look. For some reason yet to be fully justified, the San Francisco font appeared to be made up of odd letters torn from a newspaper, a digital ransom note. Soon there would be more familiar names added to the mix, including Times New Roman and Helvetica.

So this was the beginning of something -- a seismic shift in our everyday relationship with letters and with type. An innovation that, within a decade or so, would place the word "font" -- previously a piece of technical language limited to the design and printing trade -- in the vocabulary of every computer user.

You can't easily find most of Jobs's original typefaces these days, which may be just as well: they are coarsely pixilated and cumbersome to manipulate (significantly, the typeface that Apple used in its early promotional advertisements -- remember 'Think Different'? -- were in a modern version of good old Garamond, a French style from the 16th century.) But the ability to change fonts on our computers seemed like technology from another planet. Before the Macintosh of 1984, most primitive word processors offered up one dull face, often on a green screen, and good luck trying to italicize it.

Now there was a choice of alphabets that did their best to recreate something we were used to from the real world. IBM and Microsoft would soon do their best to copy Apple's lead, while domestic printers (a novel concept at the time) began to be marketed not only on speed but for the variety of their fonts.

And here's the thing. Just as we celebrate the new iPhone or the new Kindle, let's observe how primitive is our choice of fonts on these machines, and how far they have to go to catch up with the past.

The Notes app on the phone has three choices, and one of them is '"Marker Felt"; the Kindle has a few more, but the choice is still in single figures. Could it be that the one thing that Jobs recognized almost 30 years ago -- the absolute pleasure of the shape of letters -- is being forgotten in a race for miniaturization, speed and the relentless pursuit of gadgetry newness?

The opinions expressed in this commentary are solely those of Simon Garfield.

@highlight

Simon Garfield: New iPhone was introduced without Steve Jobs

@highlight

He says one of Jobs' great accomplishments was popularization of typefaces

@highlight

Suddenly consumers could express themselves through choice of fonts, he says

@highlight

Garfield: Jobs has been an enduring tech inspiration