(CNN Student News) -- Record the CNN Special Investigations Unit Classroom Edition: Notes from North Korea when it airs commercial-free on CNN. (A short feature begins at 4:00 a.m. and precedes the program.)

Program Overview

CNN chief international correspondent Christiane Amanpour travels to North Korea as the New York Philharmonic Orchestra makes a historic visit to one of the world's most closed societies. She examines the tense standoff with the U.S. over nuclear weapons and provides a rare look inside a notorious, top-secret nuclear facility.

Grade Levels: 9 -- 12, College

Subject Areas: U.S. History, World History, Current Events, Political Science, Government

Objectives

The CNN Special Investigations Unit Classroom Edition: Notes from North Korea and its corresponding discussion questions and suggested activities challenge students to:

Curriculum Connections

Social Studies

Standard VI. Power, Authority, and Governance: Social studies programs should include experiences that provide for the study of how people create and change structures of power, authority, and governance.

The Curriculum Standards for Social Studies (http://www.socialstudies.org/standards/strands/) are published by the National Council for Social Studies (http://ncss.org/).

United States History

Standard 27. Understands how the Cold War and conflicts in Korea and Vietnam influenced domestic and international politics

Level IV [Grade 9-12]

Benchmark 1. Understands U.S. foreign policy from the Truman administration to the Johnson administration

Standard 30. Understands developments in foreign policy and domestic politics between the Nixon and Clinton presidencies

Level IV [Grade 9-12]

Benchmark 5. Understands the influence of U.S. foreign policy on international events from Nixon to Clinton

Content Knowledge: A Compendium of Standards and Benchmarks for K-12 Education (Copyright 2000 McREL) is published online by Mid-continent Research for Education and Learning (McREL) (http://www.mcrel.org/standards-benchmarks ), 2550 S. Parker Road, Suite 500, Aurora, CO 80014; Telephone: 303/337-0990.

World History

Standard 44. Understands the search for community, stability, and peace in an interdependent world

Level IV [Grade 9-12]

Benchmark 11. Understands common arguments of opposition groups in various countries around the world, common solutions they offer, and the position of these ideas with regard to Western economic and strategic interests

Content Knowledge: A Compendium of Standards and Benchmarks for K-12 Education (Copyright 2000 McREL) is published online by Mid-continent Research for Education and Learning (McREL) (http://www.mcrel.org/standards-benchmarks ), 2550 S. Parker Road, Suite 500, Aurora, CO 80014; Telephone: 303/337-0990.

Civics

III. How Does The Government Established By The Constitution Embody The Purposes, Values, And Principles Of American Democracy?

4. Major responsibilities of the national government in domestic and foreign policy

IV. What Is The Relationship Of The United States To Other Nations And To World Affairs?

1. Nation-states

2. Interactions among nation-states

4. The historical context of United States foreign policy

5. Making and implementing United States foreign policy

6. The ends and means of United States foreign policy

7. Impact of the American concept of democracy and individual rights on the world

The National Standards for Civics and Government (http://www.civiced.org/index.php?page=stds) are published by the Center for Civic Education (http://www.civiced.org/).

Discussion Questions

1. Who is the leader of North Korea? According to the report, how do North Koreans regard this leader? What aspects of his personality are revealed in the program?

2. According to the program, North Korea is a "closed society." What does this mean?

3. How does the report describe the history of U.S.-North Korea relations? According to the report: What tensions currently exist between these two nations? What humanitarian and political concerns exist in North Korea?

4. Why do you think that North Korea invited the New York Philharmonic to play, and decided to open the Yongbyon nuclear facility to the media at this point in time? Why are these events historically and politically significant?

5. Who is Madeline Albright? When and where did she meet with Kim Jong-Il? How does she describe her visit with Kim Jong-Il? Why does Albright say that she is not surprised that Kim Jong-Il chose the New York Philharmonic for this "cultural overture"?

6. According to the report, why is the division of Korea an emotional issue for many Koreans? Who are Kim Cho Wun and Ji Hae Nam? To what countries did they defect, and why did they flee North Korea? What risks and sacrifices do you think that they assumed when they chose to defect?

7. According to the report: Why did New York Philharmonic President Zarin Mehta accept North Korea's invitation to play? Why was this performance controversial? What logistical hurdles did Mehta have to overcome to execute the trip?

8. What were some of the pieces of music that the New York Philharmonic played during its concert? Which of these pieces, if any, do you think were politically significant? Explain. If you were choosing the music for this performance, what pieces would you have selected, and why?

9. Following the concert, North Korea's nuclear negotiator, Minister Kim Gye Gwan, was quoted as saying that the concert was "a political breakthrough; an act of courage by both nations." What do you think that he means? Do you agree with the minister? Why or why not?

10. What is "cultural diplomacy"? How do you think that cultural diplomacy differs from other forms of diplomacy? Give examples. According to U.S. Ambassador Christopher Hill and former U.S. Secretary of Defense William Perry, why is "people-to-people diplomacy" important to the future of U.S.-North Korea relations?

11. According to Amanpour, to what extent did the New York Philharmonic's concert impact U.S-North Korea relations? In your view, what actions, if any, might these two nations take to build upon the goodwill that was generated by the concert?

12. What did CNN's Christiane Amanpour observe during her visit to the Yongbyon nuclear facility? What impact, if any, do you think that this visit will have on U.S.-North Korea relations?

13. In your opinion, should the U.S. fulfill its commitment to remove North Korea from its list of states that sponsor terrorism? State your rationale.

14. Prior to viewing this program, what preconceived notions, if any, did you have about North Korea? To what extent did Amanpour's report challenge or reinforce these perceptions? Explain.

Suggested Activity

Point out to students that towards the end of World War II, Korea was divided by the Soviet Union and the United States at the 38th parallel, and that by 1948, North and South Korea had become independent nations. Generate a class discussion about students' knowledge of North Korea. Next, refer students to online resources to learn more about North Korea. Use the following questions to guide their research:

After students present their findings, ask: Do you think that peace talks between North and South Korea could benefit the two nations, as well as the international community? Explain. Given the cultural diplomacy represented by the New York Philharmonic's trip to Pyongyang, what do you think should be the next step in relations between the U.S. and North Korea? Challenge each student to write a brief for a North Korean, South Korean or an American diplomat that outlines a strategy for addressing the existing tensions among these parties. Have students present their documents to the class.

Keywords

North Korea, Pyongyang, Kim Jong Il, secret state, New York Philharmonic Orchestra, Yongbyon nuclear facility, defect, diplomacy, negotiations, United Nations

@highlight

Examine the history of U.S.-North Korea relations

@highlight

Learn about the New York Philharmonic's historic concert in Pyongyang

@highlight

Examine North Korea's standoff with the U.S. over nuclear weapons