London (CNN) -- Seven years after upsetting favorite Paris to win the right to host the 2012 Olympics, London is in the final straight of a long and often bumpy run-up to stage the sporting showpiece.

As the city marks 100 days to go until the opening ceremony on Wednesday, venues are on schedule and within budget, tickets are selling out as quickly as they become available and sponsorship revenue has exceeded expectation.

"It's a big day for us, 100 days to go," said Sebastian Coe, the head of the London organizing committee. "This is the moment when we really do start getting ready for celebrating and welcoming the world."

The UK capital will become the first city to host the Olympics three times in the modern era when the flame is lit on July 27.

In 1948, when London last staged the Games in the wake of World War Two, no new venues were built and athletes were put up in army camps or colleges and even asked to bring their own towels.

Although nowhere near the scale of those "Austerity Games," London 2012 has faced its own challenges amid the global financial crisis which began after it won the bid in 2005.

Still, an organizing committee led by two-time former Olympic champion Coe remains hopeful of delivering the games within the £9.3 billion ($14.8 billion) budget -- albeit a budget that more than doubled from an initial estimate of £4 billion ($6.5 billion).

The permanent venues, including the £468 million ($746 million) Olympic Stadium, the Aquatics Center and the Velodrome, are complete, and test events are already under way.

"I think the one thing I'm confident in saying is that those things that are within our control are under control," Coe said. "And we're in shape to deal with those things that inevitably come at you that you don't always see."

During the International Olympic Committee's final visit to London last month, president Jacques Rogge said: "London has raised the bar on how to deliver a lasting legacy. We can already see tangible results in the remarkable regeneration of east London. This great historical city has created a legacy blueprint for future Games hosts."

The regeneration of a rundown area of east London was one of the cornerstones of the city's winning bid, yet its delivery hasn't been problem-free.

As recently as last week, six protesters were evicted from a patch of parkland where a temporary basketball practice facility will be constructed. They claim the land has protected status and is for the enjoyment of all; Olympic organizers insist they will return the land to its original state once the Games are over.

The athletes' village has been sold in a joint deal to the investment arm of the Qatari ruling family and a private British company, although 1,379 of the 2,818 homes will be set aside for affordable housing.

A major question mark hangs over the future of the games' centerpiece: the Olympic Stadium.

The process has been fraught with problems. Football club West Ham was originally awarded the venue, but that deal fell through after complaints from rival bidders. As it stands, West Ham remains one of four parties interested in becoming tenants from 2014. A decision is expected next month.

Transport and security concerns

The most immediate concerns for London surround transport and security.

Ask any Londoner the worst thing about their city and they will almost certainly reply: getting around. The city's aging subway system already barely copes with the daily demand. During the Olympics, an additional 325,000 people are expected in the city each day.

Add in the regular strikes by underground workers that cripple the network -- another of which was called on Monday -- and the potential for chaos only increases.

London businesses are being advised to encourage staff to work from home if possible, change their working hours, or use different travel routes.

Athletes, officials and VIPs shouldn't be affected. They will have access to special road lanes to get them to the venues with the minimum of fuss. That plan hasn't met with universal approval though, with critics insisting it will leave the rest of the roads gridlocked.

Security issues were brought into sharp focus by an incident at the recent Oxford-Cambridge Boat Race when a protester managed to swim across the River Thames and bring a temporary halt to one of the Britain's oldest sporting events. Last year's riots are also still fresh in the memory.

While preventing every breach may be impossible, London has a security budget of £553 million ($881 million) dedicated to minimize the risks, which includes the deployment of 35,000 security guards and police at the games venues. There are, however, concerns that budget could increase.

Protest fears

Even before the Games begin, there are fears that the 70-day torch relay beginning May 19 could be targeted by protesters.

A group known as "Greenwash Gold 2012" this week unveiled plans to target three major Olympic sponsors -- Dow Chemical, BP and Rio Tinto -- who the activists accuse of human rights or environmental abuses.

The group is led by Meredith Alexander, who resigned from the London 2012 sustainability watchdog after Dow, which has links to a deadly gas leak at the Bhopal plant in India in 1984, was announced as sponsor of the proposed "wrap" around the Olympic Stadium.

"We live in a democracy but we always balance protest with the rights of other people as well," Coe said Tuesday. "We have to remember that one man's protest is the destruction of somebody else's dream. I'm sure we will get this in balance."

But the start of the torch relay is also expected to finally spark enthusiasm among a characteristically cynical British public.

A recent survey by a foreign exchange company suggested a quarter of those Britons traveling abroad this summer are doing so specifically to avoid the Olympics.

As they leave, more than 10,000 athletes from 204 countries will arrive, and the tantalizing prospect of international stars such as Usain Bolt and Michael Phelps competing alongside British hopes like Jessica Ennis and Mo Farah should go some way to appeasing those Britons who choose to stay behind.

"There is an unprecedented appetite among elite-level competitors around the world to get to London, that's the one thing I've learned," Coe said. "On top of domestic engagement, I don't think any Games has ever had that level of excitement."

@highlight

Wednesday marks 100 days to go until the opening ceremony of the London Olympics

@highlight

London will become the first city to host the Olympics three times in the modern era

@highlight

Venues are on schedule and within budget; tickets sales have been strong

@highlight

London's aging transport system and security are two of the major issues remaining