Editor's note: Benjamin Todd Jealous is the new president and CEO of the NAACP.

Benjamin Jealous says the 100-year-old NAACP has an ambitious agenda for civil and human rights.

(CNN) -- Thursday the U.S. Senate passed a resolution apologizing for slavery and for legalized segregation.

It arrived more than a hundred years late, but better late than never. Members of the U.S. House of Representatives are expected to pass a similar resolution, and when they do, the bipartisan resolution will acknowledge our nation's need to take a historic leap out of the shameful past of racial discrimination and toward a future that promises all citizens full access to the legal protections laid out in the U.S. Constitution.

But we must go beyond the civil rights guaranteed in the Constitution and advocate for the human rights that will assure that America's promise is realized for all. While our Constitution mandates equality, for example, there is no constitutional guarantee for an education, let alone a good education. The fight for good schools is a struggle for our human rights.

Some have opined that there is no longer a need for the National Association for the Advancement of Colored People and that we as a society are post-racial because of the election of our first black president. But we cannot be post-racial until we are post-racism.

The case of Troy Davis, an African American man set for execution who we believe was wrongly convicted, is an exemplar of the disparities that still rock our nation (see IAMTROY.com). Davis was convicted of killing a police officer and has spent 18 years on death row. There is no physical evidence linking him to the crime and seven of the nine witnesses recanted or contradicted their testimony.

His case has sparked an outcry from both proponents and opponents of the death penalty including former FBI director William Sessions and conservative presidential candidate Bob Barr.

Yet our laws don't allow him a new trial to reexamine the evidence that points to his innocence.

African-Americans are disproportionately represented on death row. Of the 3,500 people on death row, about 42 percent are black, and virtually all are poor. Studies underscore that it is race and class, more than guilt, that determines whether a defendant, once convicted, is sentenced to death.

The statistics paint an ongoing portrait of inequality. Unemployment for African-Americans remains twice that of whites and studies show there is no scientific rationale -- neither education nor experience -- that explains the gap. In some American cities, 50 percent of school-aged black men drop out of school and as much as 50 percent of young black men are unemployed.

Now, as we prepare to celebrate the 100th anniversary of the NAACP in New York from July 11-16 (NAACP.org), we recognize that despite our many accomplishments, we have a long path ahead to right the inequity that still racks our nation.

Prompted by the riots in Abraham Lincoln's hometown of Springfield, Illinois, where a mob of whites containing many of the town's "best citizens," raged for two days, killed and wounded scores of African-Americans, and drove thousands from the city, a multiracial group of intellectuals, journalists and activists gathered in a small New York apartment to launch the NAACP and fight lynching's and mob violence.

History has shown the efficacy of our tried and true approach: dreaming bold dreams, breaking them down into incremental steps and ultimately achieving big victories. And our triumphs strengthen the fabric of democracy in America.

When, after a multidecade-long struggle, we ended the cruel practice of lynching, not only African-Americans benefited but also Catholics, who were, after black people, the likeliest targets of lynchings in the South. Similarly, our lawsuit against 15 banks for steering African-Americans into the predatory loans that have devastated neighborhoods today would force transparency and accountability that would benefit all Americans.

The election of President Obama is the result of a decades-long fight for political inclusion. His victory may have come as a bolt from the blue for some, but at the NAACP, we know that our century of hard work helped pave the way for the junior senator from Illinois, a black man, to win the White House. If our unofficial motto, "registration, mobilization, education," sounds familiar, it is because that deceptively simple formula informed the successful election campaign of Obama.

The NAACP has always been about the present and the future, and we choose to focus on solutions, rather than just bemoan the hard work to be done: This doesn't indicate denial, or ineffectiveness, we simply prefer action over rhetoric.

Now, we see Lincoln's radical determination to extend the rights of the Constitution to all American citizens as the NAACP's guiding light. We don't often hear the words "radical" and "NAACP" in the same sentence but I like the proximity:

We've kicked off our next hundred years with actions that might have been perceived as "radical" at our founding a century ago -- from ending the death penalty in New Mexico to successfully passing anti-racial profiling legislation in Missouri and other states.

Being radical is not new for me. I was born out of resistance to Jim Crow when my mom and dad married despite their union being illegal in many states.

My dad, Fred, was disowned for marrying a black woman and was used to being the only white guy thrown out of the diner for trying to integrate the lunch counter. My mom, Ann, was an early activist in the Student Nonviolent Coordinating Committee.

My generation, was told the civil rights battles had largely been won -- "Go forth young man and make money, enjoy your life and be successful" -- but we woke up to find ourselves the most murdered and incarcerated generation in history.

So I chose to be an activist, starting at 14 with voter registration drives. I was later kicked out of Columbia University for protesting -- ultimately graduating and becoming a Rhodes scholar.

During that forced hiatus, I journeyed south where I learned firsthand about the tenacity and pain of southern racism and poverty. I already knew well its northern urban counterpart. I also learned that we could win -- which filled me with a sense of hope for the nation and confidence in our ability to impact the world.

Our many victories and the election of our first black president fuels my optimism over the bright future of the civil and human rights movement. It is spiced with a dash of pride, too. Thanks, in part to the work of the NAACP, my 3-year-old daughter and her girlfriends will grow up in an America where the idea of a woman president -- or a black man, or an Asian woman, or a Latino man -- isn't likely to be "radical" at all.

The opinions expressed in this commentary are solely those of Benjamin Todd Jealous.

@highlight

Benjamin Jealous: NAACP formed in response to lynchings and race riots

@highlight

He says organization still has a "radical" agenda after 100 years

@highlight

Jealous: We must move beyond civil rights to human rights

@highlight

He says organization is fighting inequities in education and criminal justice