Washington (CNN) -- House Republicans voted Wednesday to repeal President Barack Obama's signature health care reform law despite Democratic objections that the move was a waste of time.

The vote amounted to political theater because the measure is sure to die in the Democratic-led Senate and the White House has made clear Obama would veto any repeal.

Five Democrats joined the Republican majority in the 244-185 vote. Democratic leaders said a handful of their caucus members facing tough re-election battles in November might side with the Republicans on the volatile issue.

Wednesday's vote was the latest of more than 30 House GOP efforts to undermine the 2010 Affordable Care Act, including previous Republican moves to repeal the measure or cut funding for various provisions.

Prior to the final vote, the House rejected a Democratic motion that would have required any legislator supporting the repeal measure to give up government-provided health care.

In debate on the issue this week, Democrats noted the Supreme Court ruled on June 28 to uphold the health care law's constitutionality, which they said should end talk of repeal and instead inspire bipartisan efforts to address the nation's weak economic recovery.

"With millions still out of work and families struggling to make ends meet, Republicans are responding how? By voting to take away critical health care protections for people," Rep. Steny Hoyer of Maryland, the No. 2 House Democrat, told reporters.

Voters: Can we move on please?

Republicans, however, said the issue remains a priority for their constituents and defended the need to combat what they call a threat to patient-focused health care and the economy.

"It is not a game to be played," declared House Majority Leader Eric Cantor, R-Virginia, before the voting started.

Earlier, Rep. Jeb Hensarling, R-Texas, told CNN that health care reform "happens to be the seminal issue of our time."

"Those of us who want patient-centered health care have had two years to repeal it," Hensarling said. "I think it's kind of unreasonable to think we're going to go away."

Opinion polls indicate public confusion on the issue amid the sharp political divide. A CNN/ORC International poll conducted June 28-July 1 showed 52% of respondents favor all or most provisions of the health care law, while at the same time, 51% want Congress to repeal the entire measure.

On both issues, Democrats were strongly in favor of keeping the law intact while Republicans were equally supportive of repealing or dismantling it. Independents reflected the conflicting findings of the poll, with 56% favoring repeal while 51% support all or most of the law's provisions.

At committee hearings and on the House floor Tuesday, the debate on the repeal measure devolved into repetitive opposing claims about the health care law.

"This law is historic, but for all the wrong reasons," argued Rep. Sam Graves, R-Missouri. "It reaches too far into the personal decisions of Americans and it puts a heavy burden on our economy and small businesses. It's an example of big government at its absolute worst."

Rep. Debbie Wasserman Schultz of Florida, the Democratic National Committee chair, noted the multiple previous House votes to repeal all or part of the health reform law.

"It is time to stop the tantrums, grow up, and work together on Americans' number one priority -- creating jobs," she said.

Another Democrat, Rep. Lynn Woolsey of California, accused Republicans of "serving more baloney" regarding the health care law, while GOP members complained it was Obama and Democrats who misled the public on the the measure's cost and impact.

Some in Congress are urging state governments to opt out of the health care law's provisions setting up health insurance exchanges and expanding Medicaid coverage for the poor and disabled. So far, a handful of states have said they will hold off on both provisions.

The exchanges will provide consumers and businesses with options for obtaining health coverage, as required under the law's individual mandate. Both the exchanges and the Medicaid expansion are intended to reduce the number of uninsured Americans.

By opting out, state governments hope to avoid a possible increased financial burden as the health care law gets fully implemented beginning in 2014. Opponents of the law also want to obstruct progress on implementation as much as possible while they try to get it repealed or dismantled.

"It starts a process that we believe has to be repealed because we can't afford it," conservative Sen. Jim DeMint, R-South Carolina, told CNN on Wednesday. He is leading the state opt-out effort.

"The bottom line is, our country is broke," DeMint said. "This is going to cost trillions of dollars. It's going to diminish the quality and access to health care."

However, analysts and industry experts contend health care reform will happen out of necessity, whether through the Affordable Care Act or the momentum it already has created since being passed over two years ago.

How are you affected by the health care ruling? Share your views in the iReport Debate

According to a report by PricewaterhouseCoopers' Health Research Institute, 14 states and the District of Columbia have made "significant progress" toward implementing reforms, while another 19 states have made "moderate progress," leaving 17 states -- or about a third -- that have yet to change their laws or take other steps toward implementation.

The report, titled "Implications of the U.S. Supreme Court Ruling on Healthcare," says all players in the health care industry -- state governments, hospitals, insurance companies, employers and drug companies -- need to participate in the emerging reform process or risk getting left behind.

DeMint appeared to concede that reality Wednesday, saying the goal is to "give the states more flexibility to help individuals own their own health insurance, policies that they can keep from job to job, and hopefully into retirement. And a lot of states have begun that process."

He also echoed an emerging GOP talking point that praises what Obama and Democrats sought to achieve through health care reform pushed through Congress with no Republican support.

"We appreciate some of the goals of the president," DeMint said. "We need every American to have access to affordable health insurance. The best way to do that is at ... the state level that respects the relationship between the patient and the doctor."

Democrats also point to a state solution that worked -- the health care reforms implemented by Republican presidential candidate Mitt Romney when he was governor of Massachusetts.

Throughout Tuesday's committee hearings and floor debate on health care reform, Democratic legislators repeatedly noted how Romney's Massachusetts plan served as a model for the federal plan Republicans seek to eliminate, including the individual mandate detested by conservatives.

Romney now pledges to repeal the federal law, a necessary position for any Republican in today's hyper-partisan GOP political environment. He argues his Massachusetts law was right for the state but never intended as a federal solution, but he also calls for keeping some popular provisions of what is known as Obamacare, such as preventing insurance companies from denying coverage for pre-existing conditions.

What the Supreme Court ruled on health care 'tax'

The health care issue has been among the most divisive of Obama's presidency. Conservative anger over the measure helped launch the tea party movement, and conservative groups joined with industry groups to fund a giant public pressure campaign against the legislation.

Some provisions already have brought popular benefits, such as the one on pre-existing conditions. The bulk of the health care law will take effect in 2014.

In its ruling, the Supreme Court said the individual mandate -- the requirement that all people have insurance -- is constitutional under the government's taxing authority, and Republicans have jumped on that to characterize the provision as a tax increase on middle-class Americans.

What the health care ruling means to you

Obama and Democrats respond that only people who can afford health insurance but choose not to get it would have to pay, amounting to about 1% of the population.

The continued GOP attacks seek to bolster public opposition to the law and force Democrats to publicly defend it. Republicans have made clear that the goal is to inspire voters to rally against the law and Obama in the November presidential election.

"If you give us more elected representatives to fix this problem, we will fix this problem in 2013," House Budget Committee Chairman Paul Ryan, R-Wisconsin, said Tuesday in an interview with CNBC.

The White House formally notified House leaders on Monday that Obama will veto any repeal bill that manages to reach his desk, saying repeal "would cost millions of hard-working middle-class families the security of affordable health coverage and care they deserve."

"The last thing the Congress should do is refight old political battles and take a massive step backward by repealing basic protections that provide security for the middle class," a White House statement said.

But Republicans called for eliminating the law and starting over on the complex issue that affects every American.

"That's why we've voted over 30 times to repeal it, defund it, replace it. And we are resolved to have this law go away and we're gonna do everything we can to stop it," House Speaker John Boehner, R-Ohio, told reporters Tuesday.

How will you be affected by the health care ruling? Share your thoughts in the iReport Debate.

How the Justices voted, what they wrote

CNN's Paul Steinhauser, Dana Bash, Alan Silverleib, Deirdre Walsh and Ashley Killough contributed to this report.

@highlight

Five Democrats join the Republican majority in passing the repeal measure

@highlight

The repeal measure has no chance of passing the Senate

@highlight

The vote is the latest of more than 30 House GOP attempts to undermine Obamacare

@highlight

Democrats say the vote is a wasted effort since the Supreme Court ruling