(CNN) -- Traveling just below the equator, deep in the Sumatran jungle of Indonesia for CNN's new "Expedition: Sumatra" series, my team and I were on assignment to capture the story of a region at a critical crossroads, where rainforests that provide habitat to some of the most rare and endangered species in the world are being destroyed at an alarming rate by pulp and paper and palm oil industries as well as wildlife poachers.

As our time in Sumatra drew to a close, I knew our biggest challenge still lay ahead. We had to answer one simple question for the millions of people who won't have the opportunity to travel to this amazing part of the world and see what we'd seen with their own eyes: "Why does it matter to me?"

Read more: Can family farming make poverty history?

Whether it's rainforest destruction in Sumatra or melting polar icecaps, I'll be the first to admit that it's hard to see ourselves in challenges or events that feel so far removed, so exotic compared to our daily realities of mortgages, jobs, family and information overload. It may be hard to recognize at first.

However, we are connected to these faraway places and events in ways that firmly bind our futures together.

The deforestation and species loss in Sumatra is a perfect example. At a very basic level, the Sumatra rainforest is part of a ring of forests along the equator known as lungs of the world-- soaking up the carbon we produce and giving us precious oxygen.

Ironically, due to burning and clearing of these vital forests Indonesia now accounts for over a third of the total global carbon emissions from deforestation and land degradations.

Not surprising when you consider between 1985 and 2007, the island of Sumatra alone lost 12 million hectares of natural forest, a 48% loss in 22 years. Many see the impact of this imbalance and others like it in increasing extreme weather globally, rising sea levels, shifting wildlife habitats and crop patterns, tropical diseases moving into new areas, even regional political instability around the world.

Watch now: Planting a million trees a year

Ground zero for the global fight against deforestation, Sumatra is the only place in the world where tigers, elephants, rhinos and orangutans co-exist. These native species are quickly disappearing as their habitat is lost to palm oil estates and pulp for paper plantations, as the plantations' roads give poachers ever better access to wildlife's last hiding places, and as some are poisoned by managers angry about elephants feeding in their plantations.

Indigenous communities don't fare much better as they are being displaced together with their forests.

Again, you may ask what's the connection? Biodiversity is the natural way that the earth manages its own sustainability. The more diverse the variety of species, the more healthy the ecosystem and the easier it can withstand spreading threats like disease or carbon-destroying fires.

Once again fires have been burning in Sumatra this summer; June and August have seen some of the worst fires in years blanketing the island and neighboring Singapore and Malaysia. But NASA did not record fires in healthy forests. They remained standing, stopping the flames' onslaught, continuing to produce the oxygen we so desperately need.

Read more: Restoring the ocean to health

The connection for many of us to this imperiled paradise is even more direct. From toilet tissue and plywood to lipstick, detergent and margarine, and even condoms, many ordinary household products are routinely produced using raw materials sourced from plantations that have replaced Sumatra's rainforests.

The good news is that with such a direct connection, we have in in our power to create change with simple choices in the products we buy and use.

Fortunately organizations like World Wildlife Fund (WWF) are fighting this global crisis. They recently launched a campaign to focus on one of the most pristine and threatened parts of Sumatra: Thirty Hills, a spectacular landscape I was fortunate to visit with WWF during my Sumatran odyssey. Find out more at www.Save30Hills.org and sign their change.org petition.

It's one of the most important habitats of the critically endangered Sumatran tiger, along with orangutans, elephants and the indigenous Talang Mamak and Orang Rimba people. ...check it out.

In my mind there are many reasons, some we encounter every day, why what happens in Sumatra should matter to each of us. When you watch "Expedition: Sumatra", I hope the beauty of this special place amazes you, I hope you are outraged by its destruction, but most of all, I hope you understand the power each of us has to change its future.

@highlight

CNN Special Correspondent Philippe Cousteau explores Indonesia in "Expedition: Sumatra"

@highlight

The Sumatran rainforest has fallen victim to species loss and deforestation

@highlight

Sumatra is the only place in the world where tigers, elephants, rhinos and orangutans co-exist