(CNN)Jordan executed two al Qaeda prisoners before dawn Wednesday, following through on a promised strong response to the ISIS killing of pilot Moath al-Kasasbeh, a government spokesman said.

Put to death were Sajida al-Rishawi, the Iraqi would-be suicide bomber whose release ISIS had previously requested, and Ziad Karbouli, a former top aide to the deceased leader of al Qaeda in Iraq,  Abu Musab al-Zarqawi, the spokesman said.

Al-Rishawi was executed for her role in a 2005 suicide bombing at a wedding reception in Jordan that killed dozens. Karbouli was sentenced to death in 2007 after he was convicted of acts of terrorism that killed one person, the plotting of more terrorist attacks and the possession of explosives, the Jordanian spokesman said.

The executions come a day after video and stills appeared to show a Jordanian military pilot being burned alive while confined in a cage.

CNN is not showing images of the killing, which triggered global condemnation and prompted immediate promises of retaliation and protests in Jordan, one of more than 60 nations involved in the U.S.-led coalition against ISIS in Iraq and Syria.

The 22-minute video begins with an attack on Jordan's King Abdullah II, suggesting he is to blame for what happened to the pilot, Moath al-Kasasbeh.

A short time after the video became public, Jordanian military spokesman Mamdouh Al Amri said al-Kasasbeh was "assassinated" on January 3.

His statement indicates the back-and-forth in recent weeks between Jordan and ISIS about a possible prisoner exchange to free the pilot took place after his death. Jordan repeatedly had asked ISIS to show proof that al-Kasasbeh was alive.

"Those who doubted the atrocities committed by ISIS now have the proof," Jordanian government spokesman Mohammad al-Momani said on state TV. "Those who doubted Jordan's power will soon see the proof as well. (Al-Kasasbeh's) blood will not be shed in vain."

In Amman and in the pilot's hometown, crowds hit the streets, calling for revenge.

"With the blood and self," protesters chanted, "we are sacrificing ourselves for Moath."

One demonstrator held a poster that read: "They burned our hearts, so let's burn their dens, and their prisoners in our prisons."

Analysts have predicted the brutality of its latest video could come back to bite ISIS.

"I think there's likely to be a backlash, particularly in Jordan," said Paul Cruickshank, a CNN terrorism analyst. "I think it's sort of going to rally support for King Abdullah and his participation in the anti-ISIS coalition."

ISIS is known to be holding at least two Western hostages still: John Cantlie, a British journalist who has appeared in a number of ISIS-produced videos and an American woman who is a 26-year-old aid worker.

"The propaganda factor, I think, is going to completely backfire on them and the reason I say that is: When was the last time you had a mob in the street of one of these Muslim countries that was not screaming 'death to America,' but in fact screaming, 'get revenge on ISIS,' which essentially means, team up with America," said Tom Fuentes, a CNN law enforcement analyst. "I think it's a huge mistake on the part of ISIS."

ISIS has recorded the deaths of its captives before, then disseminated the brutal footage online as propaganda. What makes the Jordanian pilot's case different is that he hailed from a Middle Eastern nation taking part in the anti-ISIS military coalition.

The manner of execution also is different. In previous ISIS videos, captives were beheaded. A masked man with a London accent, dubbed "Jihadi John," has appeared in at least six videos, standing near hostages.

Sometimes, ISIS has threatened who it will kill next.

At the end of its latest video, ISIS shows names and addresses of who it claims are Jordanian pilots. A reward is offered, and a voice says they are "wanted dead."

"I think they're sending a clear message to the Arab members of the coalition, and certainly Sunni Muslims who may be engaged in the fight against ISIS, that this is the way they're going to be treated. They're going to be treated brutally, and in fact, maybe perhaps more brutally than other members of the coalition," said Juan Zarate, a former U.S. deputy national security adviser.

Militants said they captured al-Kasasbeh after he ejected from his crashing F-16 on December 24, having taken part in U.S.-led coalition airstrikes near Raqqa, Syria, the de facto ISIS capital.

Almost immediately, he became a major pawn for ISIS. The Islamist extremist group had taken hostages before. But it hadn't captured anyone from the U.S.-led military coalition who was actively fighting to defeat it.

His capture got the attention of many in Jordan, including King Abdullah, who is a former helicopter pilot.

Jordanian officials had talked openly about the possibility of swapping al-Rishawi, a jihadist imprisoned in Jordan, for al-Kasasbeh. That demand was made via Japanese journalist Kenji Goto, who also was taken captive by ISIS.

Goto, like other hostages before him, was killed, according to a video posted Saturday, before any exchange could occur.

Gen. Lloyd Austin, commander of U.S. Central Command, said he's been in touch with the head of Jordan's armed forces about what he called ISIS' "savage murder."

President Barack Obama said that the latest video, if authentic, is "just one more indication of the viciousness and barbarity of this organization."

"It, I think, will redouble the vigilance and determination on the part of a global coalition to make sure that they are degraded and ultimately defeated," Obama said. "It also just indicates the degree to which whatever ideology they're operating off of, it's bankrupt."

He met Tuesday with Jordan's king, who cut short a trip to Washington following the pilot's killing.

The President's comments were echoed in a statement from Defense Secretary Chuck Hagel.

"This horrific, savage killing is yet another example of ISIL's contempt for life itself," he said, using another common acronym for ISIS. "The United States and its military stand steadfast alongside our Jordanian friends and partners; Jordan remains a pillar of our global coalition to degrade and ultimately destroy ISIL, and this act of despicable barbarity only strengthens our shared resolve."

According to the Jordan Times, an English-language newspaper published daily in the kingdom, al-Kasasbeh, 27, held the rank of lieutenant.

One of eight children, he comes from Karak governorate and graduated from King Hussein Air College, the newspaper says.

At the time of his capture, his father, Safi al-Kasasbeh, told the Jordan Times that his son was "a very modest and religious person" who memorized the Quran and "was never harmful to anyone."

Safi al-Kasasbeh later demanded that Jordan do everything it could to free his son.

"I firmly ask whomever has sent Moath to fight outside the borders of Jordan, on a mission unrelated to us, to make strong efforts to bring back Moath," he said.

"Moath's blood is precious, it's precious and it represents the blood of all Jordanians."

U.S. Secretary of State John Kerry described al-Kasasbeh as everything he says ISIS is not: "He was brave, compassionate and principled."

"That he was murdered after his father's plea for compassion reminds all the world that this foe has no agenda other than to kill and destroy, and places no value on life, including that of fellow Muslims," Kerry said.

CNN's Ed Payne, Ali Younes, Elwyn Lopez, Chandrika Lakshminarayan, Jason Hanna and Mohammed Tawfeeq contributed to this report.

@highlight

Jordan executes Sajida al-Rishawi and  Ziad Karboul

@highlight

President Obama meets with Jordan's king after pilot's murder

@highlight

Analysts predict the brutality of its latest video could come back to bite ISIS