Los Angeles (CNN) -- When a two-member panel holds a California parole hearing for notorious murderer Charles Manson on Wednesday, he will be represented by state-appointed attorney DeJon R. Lewis, who will urge the state to put Manson in a mental hospital, Lewis told CNN.

Manson, 77, and Lewis, 45, who was a small boy at the time of the "Manson family" killings in 1969, haven't yet met. In fact, it is unclear whether Manson will attend the parole hearing, his attorney said.

"He didn't come to my interview either, so I have never met him," Lewis said in an exclusive interview with CNN. "I went to go interview him last month. I asked the correction officers was he coming out of his cell, and they said nope. And I said OK, who's the next inmate?"

Lewis is a Ventura, California, general practitioner lawyer who also works as a state-appointed attorney for inmates at about nine parole hearings every two months, he said.

"I always knew in the back of my mind that there was an opportunity to do this for someone of this notoriety," Lewis said about being assigned to represent Manson at the hearing.

"I've worked in many prisons. I'm not this crusader to go in and get people accused of murder off. But if they have earned a second chance and done the proper courses and gone to AA and anger management and shown remorse and have a job waiting for them and a residence, I'm all for parole," he said.

Lewis will tell the parole board that Manson is in need of psychiatric care at Atascadero State Hospital, about 95 miles southwest of the state prison in Corcoran, California, where he is serving a life sentence and where the parole hearing will also take place. Corcoran is about 170 miles northwest of downtown Los Angeles.

A recent prison photo released to CNN shows Manson yielding to old age -- with unruly long gray hair and a full beard, but with subdued eyes that no longer flash a signature Helter-Skelter menace. Manson still bears a swastika tattooed on his forehead above, and between, his eyes.

"Charles Manson does not need incarceration at this point in his life," Lewis said. "He needs hospitalization.

"I mean the issues in regard to his psychiatric makeup and the health concerns that a 76- or 77-year-old man would need," he explained. "What he did was heinous from what he said. How many years has he been in prison? I was just a little boy, but after all these years, has there been any rehabilitation? I don't know. He probably needs more hospitalization than incarceration."

Manson was initially sentenced to death for the 1969 slayings of actress Sharon Tate and six others by a group of his followers as part of what prosecutors said was an attempt to incite a race war.

The enduring fascination of the Sharon Tate murder

His death sentence was changed to life in prison after California's death penalty was overturned for a period during the 1970s.

Manson has been denied parole 11 times. The last time he appeared at his parole hearing was 15 years ago.

In an interview Tuesday with CNN, Debra Tate, the sister of Sharon Tate, said she has been attending Manson's parole hearings for the past 15 years -- and Manson has not shown up.

Tate agreed with some legal experts' observations that Wednesday's parole hearing could be the last one for the aging Manson, who, if he's denied parole this week, may not be eligible again until as late as 2027.

If it denies parole for Manson, the two-member panel of the California Board of Parole Hearings can schedule his next hearing three, five, seven, 10 or 15 years from now, said spokeswoman Terry Thornton of the California Department of Corrections and Rehabilitation.

Said Tate: "I'm hoping he'll show up this time, and then I will have a lot more to say.

"He needs to look into our eyes, victims' eyes, and see the pain that he has caused," Tate added. "I think that that is something that is essential to his coming to peace, perhaps before he passes.

"As you said, this is probably going to be his last parole hearing," she told CNN.

Tate acknowledged that Manson holds a prominent -- and grisly -- place among mass murderers.

"There is a unique social icon kind of a thing that goes along with the Manson family," Tate said. "They have made murder popular. They have more followers than they have ever had. There have been murders done in their name. Quite frankly, I do not understand it. I understand there are a lot of young people that are looking for something to believe in, but I don't see how you could possibly think this man is leadership material. I don't get it."

Lewis, Manson's state-appointed attorney, said he would be surprised if Manson shows up to the parole hearing, but he's still hoping it happens.

"That will shock me too, but I'm going to do what I have to do. I'm anticipating him doing that, changing his mind and coming out," Lewis said. "I would hope he would. Then my argument would basically be established, that he needs hospitalization and not incarceration at this point. That's my theme."

As a boy, Lewis said he remembered reading "Helter Skelter," the best-selling book about the Manson family rampage.

"Even now all these years later, it's the kind of thing that goes boo in the night," Lewis said of the killings. "People are scared. I read a copy of 'Helter Skelter,' a copy in my grandmother's house. I think I was on punishment. I couldn't put it down. I didn't read the whole thing, but I read enough to know it was a horrible, horrible time."

Former prosecutor Vincent Bugliosi, who co-authored "Helter Skelter" and prosecuted Manson and members of his "family," said he believed Manson won't be paroled.

"Look at his two co-defendants right now who are still alive," he said of Patricia Krenwinkel and Leslie Van Houten, who are still imprisoned on life sentences. "He orchestrated and was behind all the murders.

"It's preposterous on its face. Basically, it's a nonissue and not going to happen," Bugliosi said of the possibility of parole. "Manson knows this. He frequently hasn't showed up at parole hearings."

In attempting to ignite an apocalyptic race war that Manson called "Helter Skelter" after a Beatles song, Manson's "family" took the lives of seven people over two nights in August 1969 in Los Angeles: They inflicted 169 stab wounds and seven .22-caliber gunshot wounds. They used the blood of their victims to scrawl anti-establishment messages on the walls: "Pig," "Death to Pigs," "Rise" and a misspelled "Healter Skelter."

Actress Tate, 26, famed hairstylist Jay Sebring, 35, coffee fortune heiress Abigail Folger, 25, and two others died shortly after midnight on August 9, 1969, at a rambling house overlooking Benedict Canyon.

Tate was married to director Roman Polanski and eight months pregnant. She begged in vain for her life, saying she wanted to live to have her baby, according to Bugliosi.

The next night, grocer Leno LaBianca, 44, and his wife, Rosemary, 38, were butchered in their home in the wealthy Los Feliz neighborhood. Rosemary LaBianca was stabbed 41 times. A fork jutted from Leno LaBianca's abdomen, where one of his killers had carved the word "war."

Manson has not been a model inmate. A prosecutor who handled his parole hearings told CNN in 2009 that Manson had a "laundry list of violations in prison." In the past five years, he was punished for threatening a peace officer and for having a weapon, the latter happening in October when he had a sharpened pen, a corrections department spokeswoman said.

Manson also had a contraband cell phone twice, the latest time in January 2011. Prison officials said they tracked phone numbers in California, Oregon and Maine.

Manson has been an inmate in the 24-cell protective housing unit of the California State Prison Corcoran since 1989, said Thornton, the Department of Corrections and Rehabilitation spokeswoman. The unit is for inmates whose safety would be endangered in a general population prison yard, and it still functions like such a yard, she said.

Other inmates in the unit with Manson are Phillip Garrido, 61, who held Jaycee Dugard captive for 18 years; Juan Corona, 78, who murdered 25 migrant workers; and John Albert Gardner, 33, who killed and raped two teenage girls in San Diego County, California, Thornton said.

@highlight

Charles Manson's attorney will urge the parole board to put Manson in a mental hospital

@highlight

Manson is serving a life sentence in a California state prison in Corcoran

@highlight

Now 77, he has been denied parole 11 times

@highlight

The last time he appeared at a parole hearing was 15 years ago