(CNN) -- Amber Lemna says studying "The Secret" is changing her life for the better.

The 2006 book and film discusses the law of attraction, something adherents say allows people to attract what they want by envisioning it and believing it will come. Lemna says she's used it to kick-start a business idea: attaching decorated tabs to credit cards so people can easily pull the cards from wallets.

Thanks to "The Secret," she says, she's attracted people and resources to help her and already is selling the tabs in 10 local stores.

"Nothing has been the same since I've listened to the CD [of the book]," said Lemna, 29. "I can control how my day goes."

So the Minneapolis, Minnesota-area insurance agent bristles when she hears people using the troubles of self-help entrepreneur James Arthur Ray, who appears in but did not create "The Secret" film, to bash the attraction principles.

Ray integrates the law of attraction into his teachings on obtaining spiritual, financial, mental and physical wealth. He postponed all his scheduled events through the end of the year after three people died after spending time in a sweat lodge session he led near Sedona, Arizona, in October. Police are investigating the deaths, and Ray has said his organization is working with authorities to determine what happened; no charges have been filed.

"It works with or without him," Lemna said of the book and film -- both works of Australian TV producer Rhonda Byrne. "[Ray is] just an advocate."

Self-help is a multibillion-dollar-a-year unregulated industry in the United States, according to John C. Norcross, professor of psychology at the University of Scranton.

Norcross says hundreds of quality, research-supported self-help programs on career growth, health and self-esteem exist. But he and other critics say some gurus, promising secrets to greater happiness and wealth, offer advice that at best isn't proven effective and at worst could send someone down a poorly suited or dangerous path.

"You can publish anything making the most outrageous claims as long as it's not libelous," said Norcross, co-author of "Authoritative Guide to Self-Help Resources in Mental Health."

Norcross takes particular umbrage at Ray and law of attraction advocates, saying they generally offer anecdotal evidence that their way works, but don't offer scientific evidence to support the claims.

Ray, who has written books and holds seminars and other events, says on his Web site that he blends "the practical and mystical into a usable and easy-to-access formula for achieving true wealth across all aspects of life."

His six-step Journey of Power series of events costs participants thousands of dollars. One of the steps, the Spiritual Warrior retreat, which was under way when the October sweat lodge deaths happened, costs $9,695 per person.

"When people are pursuing a program of undocumented effectiveness, they are not spending time and money pursuing a program they know works," Norcross said.

A media representative for Ray declined to comment about the criticism.

Dave Orton, who has attended several of Ray's programs, says Ray's techniques have helped him break habits and thoughts that hindered him and have given him tools to achieve goals "in a more elegant and rapid manner." The 33-year-old technology-company program manager from Boise, Idaho, says Ray's and other self-help programs helped him get his professional certification in project management.

Orton, who wasn't at the event near Sedona, says the deaths were tragic and unacceptable. But he says he isn't turned off to the self-help industry or Ray's teachings, and he may be interested in attending another Ray event in the future.

"The results in my own life, that's what I'd trust more than a third-party study," Orton said. "My [project management] certificate is hanging on the wall right now. It's not just a dream."

Psychologists: How to choose

Several people trained in psychology, however, told CNN that too many self-help authors and presenters offer little scientific evidence that backs up their claims.

Gerald Rosen, a clinical psychologist in Seattle, Washington, says he believes more self-help books should undergo pre-publication testing -- especially those written by psychologists, who he says should be held to a high professional standard.

"When you look at a book for depression, there probably isn't a blurb on the back that says this book has been shown in studies to help 65 percent of those who have been diagnosed with this. There's just a claim that this can happen for you," said Rosen, a former chairman of the American Psychological Association's task force on self-help therapies.

Norcross says that a lack of scientific evidence isn't the only thing to look out for. Other characteristics that should make consumers wary, he says:

• Authors or speakers who don't have formal training in the featured topic. "They should look for someone with rigorous training at an accredited university and who has spent years investigating and conducting these treatments," Norcross said.

• Programs that don't screen consumers for problems. For example, Norcross says, certain programs might be harmful for a person with bipolar disorder.

• People who reject conventional knowledge and instead imply a revolutionary secret. "It's marketing, essentially," Norcross said.

• People who propose solutions for all problems instead of particular problems.

Michael Shermer, executive director of the Skeptics Society, said consumers should be wary of programs that cost a lot of money but teach no hands-on skills.

"It's one thing to pay a trade school. It's another to pay the same kind of money to ... seek a mystical effect on your prosperity," said Shermer, who holds a master's degree in experimental psychology and a doctorate in the history of science.

He also warns that the effects can be fleeting.

"Corporate America has wasted millions" on motivational seminars, Shermer said. "The marketing and sales guys get fired up, but the effects of those types of seminars are weeks at minimum, months at best. That's why a lot of them do corporate retreats every six months, because the effects fade."

Shermer suggests that consumers try out a self-help adviser's book or tape before committing to an expensive getaway "to see if there's a connection for you."

People interested in a program also should talk to previous participants at least six months after they used it, he said.

"If you talked a day after, they would have to rationalize it to a certain extent [even if it were no good] because they just paid a lot of money," Shermer said.

As for Lemna, she says the changes in her life are all the proof she needs that "The Secret" is working.

"I'm sure there are people who need [scientific evidence], fine. Then find something that works for you," she said.

@highlight

Psychologists: Look for authors, teachers backed by research and formal training

@highlight

Some programs don't screen for conditions that might make someone ill-suited, expert says

@highlight

"The Secret" user: Changes in my life are all the proof I need that it works