Washington (CNN)They are the care-givers who help nurse our nation's wounded warriors back to health, and some level of self-reliance. And until CNN got involved, the Department of Defense was about to significantly cut their reimbursements for lodging, meals, and incidentals, which allow them to do their important work.

"My job (was) to be with my son pretty much 24/7," Morgen Hummel, the mother of Sgt. Adam Hartswick, told CNN.

Hartswick, an Army senior combat medic, lost both his legs after an improvised explosive device detonated under him in Zhari Province, Afghanistan, in 2013.

"Not only did my son lose his legs ... but then financially if you got to worry about -- is my house going to be here when I get back from tending to my son, that's a double whammy," Hummel said.

The Department of Defense reimbursement allowed Hummel to leave her job to care for her son, "and not worry that I couldn't pay my mortgage when I came back."

The Pentagon classifies caregivers such as Hummel as NMAs, or "non-medical attendants." They are sometimes family, or friends, or others, who work with troops who have been severely wounded, often with missing limbs or debilitating brain injuries. They treat their wounds, help them re-learn how to stand, or walk, or speak, and nurse them to as much independence as they can achieve.

All this was at risk when a Pentagon rule went into effect on Nov. 1, 2014, that sought to eliminate $22 million from the budget by discouraging excessive travel for both uniformed and civilian employees of the Department of Defense. That rule would have cut the per diem to 55% reimbursement for lodging, meals and incidental expenses for those whose work extended beyond six months, or 181 days. Obviously, the work done by these NMAs can last far beyond half a year.

One wounded warrior, worried that the rule change would cost him his caregiver and thus risk his recovery, reached out to CNN. We in turn contacted the Pentagon, demanding to know why these crucial funds were being cut.

To its tremendous credit, the Pentagon acknowledged the problem and fixed it immediately. The original rule was an attempt to discourage unnecessary travel, a spokesperson for Pentagon told CNN, but NMAs got swept up in the rule inadvertently.

"We want to thank you Jake and CNN for bringing it to our attention because we had not seen this unintended consequence of what was, in every other respect a very sound an judicious financial policy. But you brought it to our attention," Pentagon spokesman Rear Admiral John Kirby told us. "And we were able to get it changed within a week."

NMAs will continue to be reimbursed as long as they need to be, and those NMAs affected by the November 2014 budget rule will be able to claim back money spent during that time.

What would have happened to attendants, and the wounded warriors for whom NMAs care without that funding?

"I would have had to leave Adam and I think his dad would have, too," Hummel speculates. "We wouldn't have been able to stay with Adam and I'm sure he wouldn't be as far along in his recovery and I would say that for anybody. They need that help, they really do."

NMAs take up temporary residence wherever wounded warriors, still in the military, are cared for: at Walter Reed Medical Center, at Brooke Army Medical Center (BAMC), at Madigan Army Medical Center, Navy Medical Center San Diego, at the Air Force 59th Medical Wing, Joint Base San Antonio, Texas. When the troops transition out of the military, so too do their caregivers.

Because numbers are kept on an installation level, it is difficult to pull together a full number of NMAs. There are currently 69 at Walter Reed, many of whom are there for more than 30 days. BAMC, Madigan, and Balboa have 22 NMAs, including 17 long-term.

After Staff Sgt. John Faulkenberry had his right leg shot off during the Battle of Saret Koleh in Nuristan Province, Afghanistan, in July 2007, his wife Sarah had to quit her job as an event planner in Midland, Texas, and move to a modest hotel on the grounds of Walter Reed for 10 months.

The per diem reimbursements as an NMA "gave me the freedom to solely focus on him and his recovery," she tells CNN.

"You want to help them become independent," she says of her mission.

But it was a long haul. Faulkenberry had dozens of surgeries on his leg as doctors constantly had to clean the wound, trying to save as much of it as they could. She helped him with daily living activities, getting food, using the rest room, and making appointments. She became trained in wound care and changing his bandages; she learned how to administer shots to deal with his blood clots; she was taught how to administer IV antibiotics to help him with his infections so he didn't have to stay in the hospital.

She says she can't imagine going through that with added financial stresses.

"You don't need to be worrying about that sitting next to your husband who saw two guys killed and is bleeding everywhere," she says.

It's even more difficult, Sarah says, for parents of wounded warriors who become NMAs, who don't get the military salaries that couples get. Such as Morgen Hummel who continues to care for her son Sgt. Adam Hartswick.

"At first we pretty much marathoned it with Adam. We would stay there from sunrise to sunset, and beyond," Hummel said.

"Having your mom there is important," Hartswick said. "And having my dad there to, you know, wake me up in the middle of the night and keep me calm, that was vital to my recovery."

Hartswick has made great strides in regaining his independence. He is now out of the hospital, and even dating.

Now, with these funds restored, families like Hartswick's will be able to continue the journey back from battle, together.

@highlight

NMAs, or "non-medical attendants" work with troops who have been severely wounded

@highlight

The Department of Defense was about to significantly cut funding for NMAs helping nurse our nation's wounded warriors

@highlight

CNN contacted the Pentagon, demanding to know why these crucial funds were being cut

@highlight

The Pentagon acknowledged the problem and fixed it immediately