It's been dubbed by some as the "auto intifada" -- the spate of attacks on Jewish civilians in Jerusalem by Palestinians driving vehicles.

In two such incidents in recent weeks, four people, including a 3-month-old, have been killed and many more injured. In both instances, the drivers were Palestinians from East Jerusalem, and their targets were lines at light rail stops.

The incidents were quickly seized upon by Hamas, the radical Palestinian group that controls Gaza, which said: "Hamas blesses the action. What is happening in Jerusalem is pushing us to prepare for war."

They were also celebrated in social media with a variety of cartoons depicting car pedals in the form of guns and road signs showing pedestrians being run over. One cartoon depicted a car as the barrel of a gun with the caption: "Revolt and resist, even with your car."

Another showed a car in the colors of Palestine hitting two men with Jewish stars on their black hats. A third showed cars with sharks' teeth prowling the streets.

There also was a play on words in some of the cartoons -- with "daes," meaning "run over" in Arabic, similar to "Daesh," the Arabic shorthand for the Islamic State in Iraq and Syria.

Facebook pages were inundated with messages such as: "From Palestine we brought to the world the intifada of stones. Now we bring the intifada of running over."

Palestinians living in East Jerusalem who have licenses and an Israeli ID card can drive anywhere in the city and elsewhere in Israel.

'There is no Iron Dome against drivers'

In some quarters, there has been a visceral reaction to the attacks.

A former Jerusalem police chief, Aryeh Amit, told the newspaper Arutz Sheva: "We are now paying the price for a lack of policy and decision-making. ... The Jewish residents of Jerusalem are scared to death. This is reminiscent of the days of the suicide bombings."

Economy Minister Naftali Bennett, who is leader of the Jewish Home party, warned: "There is no Iron Dome against drivers, and Israeli citizens cannot live without deterrence and sovereignty in their capital city." He criticized the installation of concrete barriers at light rail stops as too defensive.

"The solution is deterrence, not defensive measures. The solution is not the Iron Dome concept, but an iron fist," Bennett said on his Facebook page.

In reality, two random attacks hardly amount to an intifada, even if they derive from (and fuel) an already tense atmosphere in Jerusalem over worship at the Temple Mount, or, as it's known to Muslims, Haram al-Sharif, the Noble Sanctuary.

A weapon of despair

Far from being the weapon of choice, these crude vehicle attacks seem to be a weapon of despair, and they only serve to underline the absence of both political solutions and organized forms of resistance.

The previous intifada, a word that means "shaking off" in Arabic, had leadership, some measure of organization and mass support.

The first, which began in 1987, was soon harnessed by "The Unified Leadership of the Uprising." The second, which began after then-Israeli opposition leader Ariel Sharon visited the Temple Mount in September 2000, was embraced and directed by the Palestine Liberation Organization and Yasser Arafat.

Around the turn of the century, Israelis were terrorized by bus bombings, suicide attacks in shopping malls and restaurants. Since then, the Israeli construction of the West Bank barrier has cut off access to Jerusalem for most Palestinians living there; and Israeli security services have built up a formidable intelligence-gathering apparatus.

Nowadays, protests involve mainly teenage Palestinians connected by WhatsApp and other social messaging who take to the streets -- usually in their dozens rather than hundreds -- to hurl rocks and firecrackers at Israeli police. They respond to events, such as the kidnapping and killing of a Palestinian teenager in Jerusalem last summer by three Israelis.

There is no evidence these protesters have either leadership or structure -- rather, they're driven by an anger born of being penned into cramped neighborhoods with few services and fewer prospects. Israeli security forces contain that anger and make a few dozen arrests with relative ease.

'A weary approach to violence'

The Palestinian Authority rails against Israeli policy in Jerusalem, the expansion of Jewish settlements and more, but it has shown no appetite for leading or coordinating such protests.

"West Bank elites are generally less vitriolic in their views, more Palestinians have vested economic interests to protect, and there is a weary approach to violence," says Riccardo Fabiani of Eurasia Group.

And Palestinian Authority President Mahmoud Abbas "would prefer to contain any risks of protests spreading to the West Bank as he fears that Hamas could take advantage of instability in this territory and further expand its foothold there," Fabiani said.

Even so, the fate of the Temple Mount or Noble Sanctuary is a highly emotive issue for both sides. Last week, a Palestinian from East Jerusalem shot and critically wounded a rabbi, Yehuda Glick, who campaigns for the right of Jews to pray at the Temple Mount. After an Israeli counterterrorism unit shot and killed the assailant hours later, Abbas wrote to his family saying he would "go to heaven as a martyr defending the rights of our people and its holy places."

On Wednesday, Ibrahim al Akari, a father of five from the Shuafat refugee camp, drove his van into a crowd of people at a light rail stop in East Jerusalem, authorities said. His widow told reporters he had been following media coverage of events at the holy site's al-Aqsa Mosque "and saw the blood, the wounded, the desecration of the Holy Book (the Quran) and all that happened."

Israeli Prime Minister Benjamin Netanyahu has promised to preserve the status quo at the Temple Mount, whereby Jews can visit the site but under no circumstances pray there. But Palestinians see visits by Glick -- as well as deputy speaker of the Knesset Moshe Feiglin and other Israeli politicians -- as provocative and part of a campaign to establish a Jewish place of worship in the complex.

Several Palestinians have been injured amid clashes with Israeli police around the compound, mainly by rubber bullets and the effects of tear gas, but there have been no fatalities.

Israel and the Palestinian Authority wants to keep it that way, for fear that more serious clashes at such a sensitive site could spark a conflict much broader than the "auto intifada."

@highlight

Palestinian motorists have targeted civilians in Jerusalem

@highlight

Israeli official: 'There is no Iron Dome against drivers'

@highlight

Hamas backs such tactics

@highlight

Attacks come amid little movement on peace solutions