(CNN) -- Running an airline creates an astonishing amount of waste. Food, fuel, and the millions of tons of waste from worn carpets, uniforms and seat cushions adds up.

Fortunately, many have started to get creative with recycling, turning their used goods into bags, quilts, shoes, carpets, and in one instance, a wedding dress.

What passengers don't see when they board a plane is that many components have a shelf life. Life vests, for instance, are only good for six years before they need replacing. Even the seats have an expiration date.

"After so many dry cleanings, seat covers lose their fire retardant coating, so by FAA rules, they can't remain on the plane," explains Matt Mahler, founder of Tierra Ideas, an design label that's teamed with Delta Airlines to create bags and wallets from the carrier's old seat covers and curtains. Since partnering with Mahler in 2010, the airline has recycled 7,973 pounds of textiles.

Gallery: How dead airplanes get a second life

Nothing generates as much potential rubbish as a merger or logo change however. In those instances, any material bearing the old emblem or company colors needs to be scrapped to make way for the new.

When KLM changed their uniforms 18 months ago, they had tons of useless fabric on their hands. They decided to give it to Desso Aviation, a carpet company with a zero-waste, 100% biodegradable approach known as "cradle-to-cradle".

Desso wove the uniforms into carpets, which were kitted out on the new World Business Class cabin on KLM's Boeing 747-400 fleet, this July.

Usually, Desso likes to know the background of products, because it affects how the materials will be used going forward. Nylon carpets, for instance, can be recycled, and turned into new carpets.

When a wool carpet surpasses its utility, it gets turned into secondary fuel for the cement industry, and the leftover chalk gets used for backing carpet tiles. Delta disposes its carpets in a similar way, saving 340 tons of materials from the dumpster.

Finnair has a more do-gooder approach. Old uniforms get sent to clean up oil spills, blankets are shipped to refugee camps in Myanmar and airline seats get fashioned into passenger seats in Finnish Red Cross emergency vehicles. Finnair also donates clothing and furniture to workshops for special needs individuals.

"We don't need to make a new business opportunity for ourselves; we're not in the recycling business and don't want to go into it," says Kati IhamÃ¤ki, Finnair's vice president for sustainable development. "Instead, we'd rather help others find and create new opportunities from our old products,"

Finnair also collaborates with design label Global Hope, which also creates bags from their old uniforms. The carrier also sponsors competitions with local clothing and furniture designers, pushing them to create goods from their discards. Recently, the winner in a Finnish wedding design competition used KLM uniforms to create her couture gown.

Report: Airline recycling in 'sorry state'

However, Air France-KLM currently lead the pack in terms of their environmental efforts (the company has topped the Dow Jones Sustainability Index four years running).

Sophie Virapin, Air France's vice president of sustainable development, estimates 80% of their on-board material is recycled and reused. In December, the airline teamed with upcycling design label Bilum to create bags from old billboard posters and life jackets. The life jacket cases, which retailed for $31, have already sold out.

"Of our projects, the bags were fun and sexy for customers and the media, but they were just one little action," says Virapin, who is eager to point out the many less enticing ways Air France has cut back on waste.

Plastic meal trays are repurposed to create plastic cutlery, the cables from seat backs are refashioned into headphones and retired aircraft are combed for reusable parts, which either get reborn in newer planes or passed on to General Electric.

"When we launch a new product, we always ask, 'what is the life cycle of this product and what will we do with it at the end of its life?'" says Virapin.

@highlight

Delta, Finnair and Air France have teamed with designers to craft bags from worn gear and uniforms

@highlight

Delta says it has recycled 7,973 pounds of textiles

@highlight

Delta and KLM's old carpets turned into secondary fuel for the cement industry

@highlight

Finnair donates old materials to local workshops