Editor's note: Fawaz A. Gerges holds the Christian A. Johnson Chair in Middle Eastern Studies and International Affairs at Sarah Lawrence College. His most recent book is "The Far Enemy: Why Jihad Went Global."

Fawaz Gerges says the elite running Iran has lost the support of two key groups -- women and young voters.

(CNN) -- With an apparent political coup in Iran by President Mahmoud Ahmadinejad and his supporters over the weekend, the ruling mullahs have dispensed with all democratic pretense and joined the ranks of traditional dictators in the Middle East.

The hardliners in Tehran, led by the Revolutionary Guards and ultraconservatives, have won the first round against reformist conservatives but at an extravagant cost: loss of public support.

Widespread accusations of fraud and manipulation are calling into question the very legitimacy and authority of the mullahs' Islamic-based regime. The electoral crisis has exposed a deepening divide between female and young voters, who represent about 70 percent of the population, and a radical conservative ruling elite out of touch with the hopes, fears and aspirations of young Iranians.

The consensus in Iran, particularly among young voters, is that the election was stolen from reformist candidate, Mir Hossein Moussavi, and that the outcome did not reflect the electorate's genuine will.

After the Interior Ministry announced the final election results showing a nearly 2-to-1 landslide for Ahmadinejad (62.63 to 33.75 percent), thousands of young protesters took to the streets and clashed with police and set trash bins and tires ablaze. Shock and disbelief turned to anger and rage.

What poured gasoline on a simmering fire among the youth was a belief of widespread fraud. "It's like taking 10 million votes away from Moussavi and giving them to Ahmadinejad," said Tehran-based analyst Saeed Leilaz. That is equivalent to more than 30 million votes in the American electorate.

"Death to the dictatorship" and "down with the dictator" shouted the demonstrators while being clubbed by police and anti-riot squads. For the first time, young Iranians showed defiance against their tormentors and overcame their fear. Many young men reportedly roamed Tehran streets looking for a fight with the police.

The ruling mullahs face an unprecedentedly serious crisis at home. While it does not threaten their existence, the crisis risks undermining their ability to govern effectively and pursue a successful foreign policy.

In his first response to the results of the election, Moussavi nailed it on the head. "I won't surrender to this manipulation," he wrote on his Web site. "The result of such performance by some officials will jeopardize the pillars of the Islamic Republic and will establish tyranny."

Moussavi's warning to the mullahs that stealing the election would weaken the very foundation of their regime and ultimately bring about its collapse carries weight because he has been part of the political inner circle of the Islamic Republic, not an outsider.

Moussavi is a former prime minister admired for the way he managed the country's economy during the prolonged and bloody Iran-Iraq war in the 1980s, a conflict which cost Iran over $500 billion.

He worked closely with Ali Khamenei, then Iran's president and today supreme leader, and clashed with him over political authority and powers. Moussavi is a member of Iran's Expediency Council, which mediates between the parliament and the non-elected Guardian Council led by Ayatollah Khamenei.

Initially, many reformists were skeptical about Moussavi's reform credentials and feared that he was too conservative for their taste.

Throughout the presidential campaign, Moussavi labored hard to portray his proposals on social policy and foreign affairs as an extension of the Islamic system in order to disarm conservative critics, even denying that he is a mainstream reformist candidate in the hope of winning the support of reformers and moderate conservatives.

Indeed, as the presidential campaign progressed, Moussavi won the backing not only of an important conservative segment of the electorate but also the formidable youth constituency. His charismatic wife, Zahra Rahnavard, electrified the female vote and won the hearts and minds of women voters who flooded their campaign rallies.

In the past two weeks, Moussavi's campaign gained momentum. There was increasing evidence that the tide was turning and that women and young voters would tip the balance of power his way, if they turned out to vote in large numbers.

Some important facts: There are 46 million eligible voters in Iran, half of whom are women. In 1997, more than 60 percent of the votes that brought moderate Mohammad Khatami to power were cast by women, and in 2000, women voters were instrumental in giving reformists a sweeping majority in the Parliament. Promising greater individual freedoms to youths was instrumental in the two landslide victories by Khatami in 1997 and 2001.

Surely, if the turnout was 85 percent as the Interior Ministry said, Moussavi should have done much better than the mere 33.8 percent he supposedly received. According to many independent media reports from all over Iran, women and young voters turned out in record numbers, especially in cities where Moussavi is very popular. That should have given Moussavi a comfortable lead over the incumbent.

Multiple irregularities were reported, including the fact that Moussavi supposedly lost the vote in his home province. There is an alarming discrepancy between the final results and the voting patterns of the Iranian electorate over more than a decade. Lack of transparency in the vote count has reinforced Iranians' suspicion. The weight of evidence is at odds with the final outcome given by the Interior Ministry.

Before Moussavi formally appealed the election result, supreme leader Khamenei closed the door for any possible compromise. In a message on state TV, he urged the nation to unite behind Ahmadinejad, calling the result a "divine assessment." Yet the Guardian Council, not Khamenei, is the authority that either ratifies or annuls the results.

It is refreshing that Khamenei has finally ordered an investigation into allegations of ballot fraud. It is a good start. A more reassuring intiative would be for the Guardian Council to order a full recount with the presence of independent observers. That would go a long way to putting to rest Iranians' concerns.

In the meantime, trying to divert attention from the mess at home, Khamenei and Ahmadinejad have blamed external "enemies" and "foreign media" for instigating a "full-fledged fight against our people." The truth is that the crisis is internal and has nothing to do with foreign media or the West.

The Obama administration has done the right thing by keeping a low profile and not actively interfering in Iran's unfolding domestic crisis. Unlike his predecessor, Obama has defused the minefield of relations between Washington and Tehran, shifting the focus of Iranians to their own society.

But the disputed result shows that the ultraconservative mullahs are not only out of touch with a plurality of their citizens but also with reality. Their conduct reflects a deeper crisis of self-confidence and fear of the future.

Has the Islamic revolution run out of ideological steam?

If the mullahs fear Moussavi, a loyalist, they must be scared of their shadows and uncertain about their authority and power. That speaks volumes about where the Islamic Republic is and where it is heading.

The mullahs are swimming against the dominant current of Iranian society. In the next four years, Iran will likely be engulfed in social and political turmoil unless the electoral crisis is resolved in a transparent manner.

The opinions expressed in this commentary are solely those of Fawaz Gerges.

@highlight

Fawaz Gerges: Iran's ruling mullahs forfeited their public support in the election

@highlight

Gerges: Ruling mullahs are out of step with women and young voters

@highlight

He says hardliners are swimming against the current of Iranian society