ATLANTA, Georgia (CNN) -- On February 2, 7-year-old Cameron Dunmore crossed a street to get to his elementary school in Lithonia, Georgia. This scenario takes place thousands of times uneventfully each school day in our country. But this time Cameron did not make it to school. A crossing guard was halting traffic at the time, but the busy intersection did not have a traffic light and one vehicle did not see the boy. Cameron was struck by an SUV and died that same day in the hospital.

Remind children to walk, not run, when crossing the street, so drivers have a chance to see them.

As a parent who walks my young child to school every day, Cameron's story is tragically heartbreaking, but unfortunately not unique. In fact, according to the National Highway Traffic Safety Administration, nearly 5,000 pedestrians died and 70,000 were nonfatally injured in traffic crashes in 2007. Children are at particular risk because of their size, immature judgment and lack of experience with traffic rules. As we promote walking as a healthy and environmentally sound way to get to school, how can we make sure our children make it there safely? Read NHTSA's tips on walking and biking safety

Can seeing red help?

Sally Flocks, president and CEO of PEDS, a pedestrian advocacy organization based in Atlanta, believes that traffic lights or flashing red lights in school zones can make a difference. She cited studies showing that having a marked crosswalk without a light may be more dangerous than having no crosswalk at all, and that yellow lights tend to get ignored compared with red. Flocks encourages the public to urge their legislators to invest in traffic safety measures such as red lights, which can ultimately benefit motorists, cyclists and pedestrians alike.

Speed kills

According to a United Kingdom Department of Transportation study, speed really matters. A pedestrian hit by a car traveling 20 mph has a 5 percent chance of being killed, while one hit at 40 mph has an 85 percent chance. Flocks suggests that radar signs that tell how fast you are driving and photo enforcement of speeders at intersections near schools could help save lives. Even without the threat of getting a speeding ticket, I would hope the risk of injuring or killing someone else or ourselves would be enough to remind most of us to slow down, especially in school zones and other congested areas.

Give walking and driving your undivided attention

It's well known that the distraction from talking on a cell phone while driving can be as bad as or even worse than driving drunk. New research shows that cell phone use while walking can also be distracting. Psychologist David C. Schwebel Ph.D. and his associates from the University of Alabama at Birmingham reported in the February 2009 issue of Pediatrics that preadolescents (ages 10 and 11 -- when most children are mature enough to cross the street by themselves) talking on cell phones had a greater chance of being hit or nearly hit during a simulated road-crossing exercise. Schwebel explains that crossing a street is much more complex than we may realize, with the need for assessing such variables as the approaching vehicles' direction and speed, along with the distance and time needed to cross the street. Adding a diversion such as a cell phone conversation causes risky behavior and delayed reactions.

Use common safety sense

Don't check your common sense at the door when you leave for school. Encourage your children to wear brightly colored clothing. Try to walk in groups, and be sure to include adults, who are taller and more visible to drivers. Remind children to walk, and not run, when crossing the streets, so that drivers have a chance to see them. Finally, don't take any traffic risks: If you're not sure whether you can cross safely, wait until you can.

It could happen anywhere

Cameron's story took place in metropolitan Atlanta, but it could happen anywhere in America, in my neighborhood or yours. Mourners have placed stuffed animals and flowers at the intersection where Cameron was killed. I'm going to put some at my crosswalk too, in hopes of reminding us all to be safer pedestrians and drivers. After all, our lives -- and our children's -- may depend on it.

Jennifer Shu, M.D., is an Atlanta-area pediatrician and mother. She contributes regularly to CNNhealth.com

@highlight

NHTSA: Nearly 5,000 pedestrians killed, 70,000 injured non-fatally in 2007

@highlight

Children at risk because of size, immature judgment, lack of experience

@highlight

Drivers should slow down in pedestrian areas; walkers should hang up cell phone