HONG KONG, China (CNN) -- Yue Minjun acknowledges that "Execution," inspired by the bloody Tiananmen crackdown in 1989, is the most politically sensitive of his work.

A section of Yue Minjun's "Execution," which the artist shows how human conflict is worth laughing at

But while Tiananmen served as the catalyst, the oil painting should not be seen as depicting what happened at Tiananmen, the Beijing-based artist said this week through a translator in a phone interview.

Billed by Sotheby's as "among the most historically important paintings of the Chinese avant-garde ever to appear at auction," "Execution" had been tucked away from sight until now. Its owner bought it from a gallery in Hong Kong a decade ago under condition that the painting not be shown in public because of its subject matter, according to Sotheby's.

On Friday, it went on auction in London, a highlight in a contemporary arts sale that also included Jean-Michel Basquiat's "Untitled (Head)," Mark Rothko's "Untitled (Blue Divided by Blue)", Andy Warhol's "Jackie," Francis Bacon's "Studies of Isabel Rawsthorne," and Damien Hirst's "Adenosine."

"Execution" would become the most expensive work of Chinese contemporary art at auction, selling for 2.9 million British pounds ($5.9 million). It eclipsed Yue's previous record, set in June when his "The Pope" sold for nearly 2.15 million British pounds ($4.37 million). The sale of "Execution" also comes on the same week another Yue piece, "The Massacre at Chios," sold for nearly $4.1 million at a Sotheby's auction of contemporary Chinese art in Hong Kong.

Stretching across "Execution" is a long red building, suggesting Tiananmen's gate outside the Forbidden City. Is the painting of Tiananmen?

"I want the audience not to think of one thing or one place or one event," he said from his Beijing home. "The whole world's the background." The red building, he explains, is simply something that's familiar to him as a Chinese artist. "As I said, the viewer should not link this painting to Tiananmen. But Tiananmen is the catalyst for conceiving of this painting."

The background may make people think of Tiananmen because he is a Chinese artist. "But it should not be," he said.

Yue painted "Execution" in a month -- in 1995. However, "it took me quite a long time for me to put the idea together."

The big picture, he said, "it's on the whole world's human conflict that is worth laughing about."

Drawing references to Francisco de Goya's "The Third of May, 1808: The Execution of the Defenders of Madrid" and Edouard Manet's "The Execution of the Emperor Maximilien of Mexico," the painting depicts a mock execution.

Manet, it must be pointed out, modeled his painting after Goya's; and Yue's "Execution" mirrors both of those -- but with his trademark grinning clones, all likenesses of Yue himself.

And the men in the position of being shot are shown in their underwear. "People feel freedom, most themselves, at home in their underpants," Yue said. And whereas in Goya's painting, the man's hands are up in resistance, the men's hands in "Execution" are down. "They are not fearing death," Yue said.

"The laughs illustrate my deep feelings," he said. The viewer will feel happiness but also fear toward the future and the unknown, a universal sentiment, he said. "One might be very happy now but always unsure of what's going to happen next.

"I think Chinese and the world have similar feelings in this respect," he said.

As for the main figures that dominate the right-half of the painting, they assume the position of holding the guns, but without the guns themselves. "In my painting, they're pretending to hold guns, as if playing a game." The man on the far right, holding one hand to his chest and another by his waist, is a direct reference to the man on the far right-hand side of Manet's painting: In that, he is cocking a gun.

Yue disagrees with the notion that his paintings are a veiled criticism of his government or of Chinese society, and he does not believe that this work will bring him trouble. "I think the painting expresses my feelings. It's not a criticism," he said, describing himself as not having strong political leanings. "I was trying to express my confusion over what I see."

The world has similar problems, he said.

Yue said he does not agree with being tagged a "Cynical Realist," a term coined by leading art critic Li Xianting to describe China's post-Tiananmen generation of disillusioned artists. At the same time, he doesn't concern himself about what people call him, he said.

That his painting has political undertones is inevitable, he said. "I cannot recall any event that has shaped my political views, but politics is everywhere in Chinese life, like the meal you eat every day," he said.

Of China, he said, "I think it is full of hope, but there are a lot of difficulties, too. China has a long cultural history and also faces a lot of problems right now. Right now, people are not satisfied, but we can find our way out."

Yue sold "Execution" to Hong Kong art dealer Manfred Schoeni shortly after painting it. "It sold for about $5,000," Yue said. "Probably not any cent would come back to me," he said of the millions his paintings now garner at auctions.

Now 45, Yue said he learned about other artists through reading books after 1978, when China had begun to open itself up under new leader Deng Xiaoping's "Open Door policy." The decade-long Cultural Revolution that had preceded made reading books an impossibility.

And what is the meaning behind the cloned figures that bear his likeness in all his paintings?

"Because I want to be famous."

@highlight

NEW: "Execution" sold for $5.9 million, a record for contemporary Chinese art

@highlight

Yue: Tiananmen was catalyst for "Execution," but painting does not depict it

@highlight

The big picture is, the world's human conflict is worth laughing at, Yue says

@highlight

Owner tucked painting away from public view for a decade