Aurora, Colorado (CNN) -- Picture the monumental task of counseling strangers affected by a horror worse than they've ever imagined.

Now, imagine spending an entire career doing that, year after year.

Regularly exposed to the aftermath of deadly attacks and natural disasters, grief counselors face the fury of Mother Nature and the worst of humanity -- while leading the effort to counteract it with the best.

Those who sign up for disaster counseling require a demeanor, depth and inner-strength to keep going, experts say.

"Our job is to provide psychological first aid and to help people find their strengths," says Margaret Charlton, a psychologist who has been handling calls and walk-ins at a hotline center here in Aurora, Colorado, since Friday's massacre at a midnight showing of the new Batman film "The Dark Knight Rises."

Remembering the victims

"In this type of shooting disaster, the unexpectedness of it is a big part of the difficulty for unsettling families, because they want to know why. And we know after we've done this for a while that there often isn't an answer as to why. So you're trying to help people move past that without being able to know," she said.

The center and its partners spoke with about 200 people within 24 hours of the shootings, and more have been coming in since.

Many are locals who knew victims. Some are even relatives.

"One woman lost her daughter who had small children," says Holly Cappello, one of the counselors here. "And she didn't know how to exactly go about talking to the small children about this loss."

So far, the task of these counselors has been first to express sympathies for any loss, says Cappello, "then try to sort out from them what it is that they need in this moment."

They listen, offer words of support and encouragement, and focus on helping in pragmatic ways to relieve other concerns -- getting families help for planning memorial services or financial support. "So part of it is education," says Cappello. "And part of it is accessing resources for the person who is grieving."

While every disaster is unique, this one hit "very, very close to home," says Cappello.

"We knew a lot of teenagers who had friends there -- or who were shot," she said.

And the gunman targeted what most people feel is a safe place. Going to the movies is even something disaster counselors often suggest that families do together as a positive experience, she said.

Opinion: Can we feel safe in a crowd anymore?

Cappello herself has a 17-year-old daughter, and understands the fears many parents now have when their children are going out.

"You think when you send your child to an event like that, there's a likelihood of it being safe," she says.

The ability to associate with those needing counseling is helpful, but it also speaks to a professional hazard: vicarious trauma, also called secondary trauma. Counselors can experience their own emotional toll.

"I have a feeling in a few days I will have a story of vicarious trauma," says psychologist Kirsten Anderson, who has been coordinating counseling efforts at the disaster response site in Aurora. Just weeks ago she was working with evacuees from wildfires in the state. In 2010 she helped those affected by massive wildfires at Fourmile Canyon in Boulder.

Counselors these days are given a lot of training on how to handle the stresses, and how to recognize symptoms of secondary trauma in themselves, Anderson says. "That's why we check in with people" who are offering the counseling, to see how they are, she said. And "a part of our professional duty is preparing ourselves."

The toll it takes on counselors is a big reason there's plenty of attrition in the industry, the psychologists say.

And they've had times when they chose not to take part in counseling after certain events, because they knew they weren't up to it.

"I was tired or there were family crises going on that left me without enough reserves," Charlton says.

5 tips on talking to kids about scary news

But for all the challenges, the experience -- amid tragedy and devastation -- is incredibly rewarding.

"I think it's important for everyone, not just professionals, to feel like they're contributing, helping the community heal from what has happened," says Anderson. "It's rewarding for everyone."

"If I was going to be a medical doctor, I'd be an E.R. doctor," adds Cappello, who has worked in disaster response for 20 years. "I like a lot of energy, I think I do well under pressure."

Whatever the perils of the profession, she says, the work is worth it. "If you have a skill you want to utilize it in a way that helps people. When they're having the worst day of their life and you're there to help them with that, that's a small personal price to pay."

For now, they're focused on helping the community of Aurora move on.

The goal for initial disaster counseling is to help people have "a little less pain at that point," says Charlton.

"People have a little more peace, a little more normalcy than before they chatted with us," says Anderson.

The result can be enormous.

About 80% of those who seek this kind of help often have a "spontaneous recovery," Charlton says.

That doesn't mean they suddenly feel fine -- it means the counseling can help steer people in a direction away from developing Post-Traumatic Stress Disorder. They will go through the normal grief process and think about the events for a long time, but then will move on.

"Most people are resilient," says Charlton, who has been working in disaster response since 1988 and helped people after the Columbine massacre, as well as evacuees from Hurricane Katrina. "Our job in disaster response is to help them find their resilience."

President shares story of hero who tended to friend in theater shooting

Former colleague shocked that Holmes is theater shooting suspect

'Words are ... inadequate,' Obama tells families of shooting victims

@highlight

Disaster counselors require an inner-strength to work in a tough field

@highlight

The theater shooting in Colorado hit "very, very close to home"

@highlight

Counselors can experience their own emotional toll

@highlight

There are checks in place ensure they don't suffer secondary trauma