(CNN) -- Six years ago Thursday, then-President George W. Bush appeared on television screens across America and somberly addressed the nation.

An Iraqi crowd pulls down a statue of Saddam Hussein in Baghdad in April 2003.

"My fellow citizens," he began his four-minute speech, "at this hour, American and coalition forces are in the early stages of military operations to disarm Iraq, to free its people, and to defend the world from grave danger."

Six years later, the conflict in Iraq drags on -- with war-fatigued Americans shoving the military operation to the deep recesses of their psyches as they grapple with an economic crisis at home.

Only 10 percent of voters questioned in exit polls during the November presidential elections picked the war as their top issue. Sixty-two percent said the economy was.

"This is already one of the longest wars in American history. There's nothing new in Iraq," said Steven Roberts, a professor of media studies at the George Washington University. "We've read the stories of instability in the government a hundred times. Every single possible story has been told, and so there is enormous fatigue about Iraq."

Against that backdrop, the United States has accomplished much of what it set out to do when it invaded Iraq on March 19, 2003.

Iraqi leader Saddam Hussein was deposed, captured, tried and hanged for a brutal and deadly crackdown against his opponents during his regime.

The rate of U.S. troop deaths has slowed.

A surge of 30,000 additional troops in 2007 is credited for security gains the country has made. iReport.com: Share your salute to troops

And a fledgling democracy is taking hold, as President Obama announced that all U.S troops will be withdrawn by the end of 2011.

But America has had to pay a steep price -- literally and figuratively -- to achieve its aims, analysts say.

Taking into account operations for fiscal 2010, the conflict has racked up an $800 billion price tag since it began, the Congressional Budget Office said.

By Wednesday, 4,261 Americans had been killed in the war, according to CNN's tally. The Iraqi casualty count, while harder to ascertain because of the lack of formal record-keeping, has reached at least 128,000, by CNN's tally.

And leaked images of prisoner abuse at the Abu Ghraib prison and America's programs of detention and torture have tarred the United States' image internationally.

"From the first step until now, they destroyed our country," said Sheikh Moffaq Qaraghuli, a Baghdad resident. "Smashed. Not destroyed. Smashed."

As the battles rage on, researchers are still trying to gauge the damage the war has done to troops.

"I still have the nightmares and wake up and find myself downstairs and I don't know how I got there," said Chris Tucker, who did three tours of duty in Iraq. "Faces. Kids' faces. People that you have engaged or you have had contact with. ... You see your colleagues blown up. Things like that."

"I thought we would get there quick and handle our business and we'd be out," he said. "At least that's what we were told anyway."

Tucker received a medical discharge from the army last year and is now a police officer in Savannah, Georgia.

Many in Iraq also are trying to move on, amid the constant fear of suicide attacks in their ruined cities.

The Shahbander cafe, one of Baghdad's oldest, is a favorite haunt of the city's intellectuals. Inside, photographs of five young men hang on the wall.  Watch Shahbander Cafe patrons talk about the war »

All were sons of the cafe owner, Mohammed al-Khishali -- killed in a car bombing that ripped apart the cafe in 2007.

A month later, al-Khishali lost his grief-stricken wife. For almost two years, he could not bear to reopen the cafe, he said.

"I remember the tragedies every day," he said, as his eyes welled with tears. "But then I decided to take a hard decision to reopen this cafe for the sake of my people, my culture."

Many of the customers who gather there are critical of the U.S. invasion but are equally concerned about a potential withdrawal.

"Iran has ambitions toward Iraq," said Amer Naji, a cafe regular and a former Iraqi diplomat. "With the Americans, they are afraid to do something aggressive against Iraq. But ... when you withdraw, that will be very dangerous."

Iraq and Iran fought a war in the 1980s that spanned eight years and killed at least a half-million people, by some estimates. The U.S. and Iraqi governments think Iran's Islamic Revolutionary Guard has been training militias and providing weapons, such as roadside bombs, to insurgents operating in Iraq.

So, though many Iraqis agree that 2009 is better than 2008, they worry about 2011 when the United States pulls out.

"We are hopeless," Qaraghuli said. "We are hopeless."

CNN's Nic Robertson, John King, Ed Hornick and Saeed Ahmed contributed to this report.

@highlight

U.S.-led invasion of Iraq began on March 19, 2003

@highlight

Six years later, fledgling democracy taking hold, security situation improving

@highlight

But U.S. lost more than 4,000 troops; at least 128,000 Iraqis have died

@highlight

Polls show many Americans more focused on economy than lingering Iraq war