(CNN) -- Israel's monthlong assault on the Palestinians has taken a heavy toll, with some 2,000 Palestinians killed and 10,000 more wounded. Most of these victims were civilians and many of them children, representing just the latest bloody chapter in a tragic history.

During the long decades of the Israeli-Palestinian conflict, the international community has not fully met or addressed legitimate Palestinian aspirations. Nowhere is that better illustrated than in Gaza. Chronically short of food, water and electricity, and cut off from the outside world by closed borders and blockades, the Palestinians in Gaza are desperate.

As an individual who has fought tirelessly for human rights, I cannot ignore their plight, and as a fellow Arab, I cannot ignore this wanton denial of Palestinian rights.

The people of Gaza need three things. First, they need a peace agreement that ends the hostilities and lifts an Israeli siege that has been in place since 2007 and has turned Gaza into what some journalists have called "an open-air jail."

Second, the Palestinians in Gaza need humanitarian aid and funding for development, so they can rebuild their shattered lives, their bombed-out neighborhoods and their fractured communities.

And finally, Palestinians everywhere need a comprehensive agreement that will end the occupation and establish two states for two peoples, allowing Israelis and Palestinians to live side by side in peace and security. Until a two state solution becomes a reality, the fighting and bloodshed will almost certainly continue. As Qatar has said many times, peace must be achieved through negotiations, with all sides in the conflict represented.

Qatar has already provided humanitarian assistance to the people of Gaza and we have pledged to assist with rebuilding efforts once hostilities have ended. But we are also working behind the scenes to facilitate the kind of dialogue that can lead to a lasting peace. Ultimately, Qatar wants to help the Palestinians realize their self-determination by establishing a secure Palestinian state.

Qatar makes no claim to being a major player on the global stage. But beginning in the mid-1990s, our government embraced an open door foreign policy focused on relationship-building and conflict mediation that has benefited both Qatar and the global community. This open door policy has allowed Qatar to serve as a mediator for conversation, cooperation, and the advancement of peace.

With our doors wide open, our capital, Doha, has increasingly become the center of a vibrant, new multicultural nation, with the creation of a knowledge-based economy enshrined as one of the key goals of our 2030 national vision.

It is precisely because we are impartial that we are often approached to mediate and create platforms for dialogue between different factions. In 2008, for example, we were able to broker a peace agreement between the various factions battling for supremacy in southern Lebanon. Later, we played a similar role in Darfur. Over the years we have hosted an Israeli Trade Mission and kept our door open to Western think tanks like the Brookings Institution.

More recently, because of our open door policy, we were able to help negotiate the exchange of an American soldier for five Taliban prisoners. And today we are helping facilitate communication between the United States, the United Nations, our Arab neighbors, Israel and Hamas as the various parties struggle to find a peaceful solution to the violence in Gaza.

In each instance, we feel we have been on the right side of history. But more important, we believe that we have been on the right side of justice, human rights and human dignity. All these qualities and attributes are on trial in Gaza today, and once again, history will judge our actions.

Qatar stands ready to help reconcile differences and advance the prospects for peace. We stand ready to play our part in advancing dialogue and achieving solutions to the seemingly intractable problems confronting the people of the Middle East. Some of these problems, like Gaza, have been years or even decades in the making. But that does not mean they cannot be solved. The bleeding, the suffering and the dying must be stopped.

In Qatar, we will always keep an open door to peace.

@highlight

Khalid Al-Attiya: Isolated, short of food and water, Palestinians in Gaza are desperate

@highlight

He says Gazans need peace pact, humanitarian aid and development funding

@highlight

Al-Attiya: They need an agreement for two states for two peoples, and Qatar can help

@highlight

He says Qatar has helped in tough negotiations before and stands ready to help here