(CNN)Scientists who pulled off a huge achievement in space exploration showed numerous black-and-white images Thursday of where they think the Philae probe landed on a comet 310 million miles from Earth.

Many at the European Space Agency have gone without sleep in the last few days, nervously anticipating whether Philae's difficult journey would actually end in success. A few who spoke to reporters in Darmstadt, Germany, choked up and said how much the mission -- dubbed Rosetta -- means to them and to space exploration.

"Rosetta is trying to answer the very big questions about the history of our solar system," said Matt Taylor, ESA Rosetta project scientist. "What were the conditions like at its infancy and how did it evolve? What role did comets play in this evolution? How do comets work?"

There were flaws with the landing -- anchoring harpoons didn't deploy when Philae made impact, lander manager Stephan Ulamec said, and screws meant to burrow into the surface didn't work. But Philae bounced at least twice, they said, and stuck the landing. And that was all that counts.

A jubilant Jean-Pierre Bibring, who has reportedly spent more than two decades working on the Rosetta mission, showed photos that scientists were just beginning to receive.

ESA scientists and executives high-fived and hugged one another when the landing was confirmed on Wednesday. Spacecraft have crashed into comets before, but this was the first controlled landing in history.

"Our ambitious Rosetta mission has secured a place in the history books: not only is it the first to rendezvous with and orbit a comet, but it is now also the first to deliver a lander to a comet's surface," Jean-Jacques Dordain, ESA's director general, said in a statement.

Many people, and not just the ones who work for ESA, are excited about what kind of information Philae will deliver.

And science fiction writer Alastair Reynolds said, "This is science fiction made real in terms of the achievement of the mission itself, but Rosetta is also taking us a step closer to answering science fiction's grandest question of all: Are we alone?"

Rosetta took off from Earth 10 years ago, aboard an Ariane 5 rocket, and traveled a total of 6.4 billion miles before rendezvousing with the comet in August.

The Philae lander separated from the orbiting Rosetta around 3:30 a.m. ET Wednesday and landed on the comet seven hours later.

ESA lander system engineer Laurence O'Rourke told CNN that the orbiter had to be in the right position to allow the lander craft, which had no thrusters, to "free fall" on the correct trajectory so it landed on the comet.

The lander weighs about 220 pounds and is the size of a domestic washing machine. The target comet is only 4 kilometers, or 2.5 miles, in diameter.

Shortly after landing was confirmed, the probe tweeted: "Touchdown! My new address: 67P!" Later, it tweeted again: "I'm on the surface but my harpoons did not fire."

What can we learn from comet landing?

The mission has historic allusions.

The spaceship is named after the Rosetta Stone, an inscribed piece of volcanic rock found in Egypt in 1799 that  allowed scientists to decipher hieroglyphics and thus understand the ancient Egyptian culture, ESA said. The lander is named after an island in the Nile River where an obelisk was found that helped decipher the Rosetta Stone, ESA said.

Led by ESA with a consortium of partners including NASA, scientists on the Rosetta comet-chasing mission hope to learn more about the composition of comets and how they interact with the solar wind: high energy particles blasted into space by the sun.

The comet is currently 500 million kilometers (310 million miles) from Earth and pictures from the Rosetta mission to track it on its orbit around the sun have amazed scientists.

We can land on a comet, but we can't...

Philae is equipped with an array of experiments to photograph and test the surface of Comet 67P as well as to find out what happens when the roasting effect of the sun drives off gas and dust.

Built by a European consortium, led by the German Aerospace Research Institute, the landing probe has nine experiments.

According to details on ESA's Rosetta website, sensors on the lander will measure the density and thermal properties of the surface, gas analyzers will help detect and identify any complex organic chemicals that might be present, while other tests will measure the magnetic field and interaction between the comet and solar wind.

What is a comet and what will Rosetta discover

Philae also carries a drill that can drive 20 centimeters (8 inches) into the comet and deliver material to its on board ovens for testing.

Scientists are already pleased with progress of the mission, and they're wowed by what's already been accomplished.

Bibring took questions from reporters about the failure of the harpoons, answering them in great detail. He appeared to get mildly frustrated, though, and implored that failure not be the focus.

"It's gorgeous where we are!" he said.

How comet mission helps search for alien life

CNN's Fred Pleitgen and Dave Gilbert contributed to this report.

@highlight

Images show area on comet where scientists believe Philae probe landed

@highlight

"Rosetta is trying to answer the very big questions about the history of our solar system," ESA scientist says

@highlight

Experts are excited about what kind of information Philae will deliver

@highlight

Philae has nine experiments including drill to sample the surface, onboard oven