Hong Kong's democracy movement has raised issues such as income inequality and an increasing cheerless economic outlook, especially for the younger generation.  Not coincidentally, these are the same issues that are causing Singaporeans to despair over their future.

Despite the fact that, according to the Economic Intelligence Unit, Singapore lays claim to the dubious honor of being the most expensive city in the world, there is no minimum wage in Singapore. Is it any wonder then, that amongst comparable economies, the island-state has one of the highest levels of income inequality? Singapore has the highest proportion of millionaires in the world but nearly 5% of the workforce have an annual income of less than U.S. $5,000, according to a 2011 report by The Straits Times.

And it's not just the lower-income workers who are getting pounded. The middle-class squeeze is as prevalent as ever. Nearly 50% of Singaporeans subsist from paycheck to paycheck, saving less than 10% of their monthly incomes. An alarming 14% have no savings at all. If and when an economic whirlwind visits, many will be left unable to cope.

Working conditions have also deteriorated. For years, Singaporean workers have worked more hours than in most countries, and, perhaps unsurprisingly it has resulted in an extremely unhappy workforce.

The death of innovation

What facilitated such a dismal outcome? One major factor is the lack of dissenting views. The ranks of the opposition, civil society and labor movement have been decimated in the last 50 years through imprisonment without trial and criminal prosecution, and nearly every newspaper, TV channel and radio station is owned and run by the state. Without an opposing voice, the echo chamber in government simply grew louder.

Singapore's first prime minister Lee Kuan Yew has argued that the practice of democracy serves only to undermine political stability and, therefore, economic progress. The strategy that Lee articulates, what might be called the Singapore model, bifurcates the economics of a community from its politics, the goal being to maintain absolute power while pursuing economic growth.

But this authoritarian system has backfired. It has robbed the Singaporean society of the verve needed to take the economy to the next level where ideas and innovation are essential. Steve Wozniak said that Singapore could not produce a company like Apple because the system has destroyed "creative elements" that give rise to innovative companies.

While Singapore's mercantilism appears the epitome of success, it is an economy unable to regenerate itself. The situation has deteriorated to the point that it has to rely on foreigners to stimulate growth. Lee Kuan Yew, its first prime minister and architect of the country's one-party rule, said, in a stunning admission, that "without [foreigners], the jobs will not be there to begin with."

Singapore is like a Ponzi scheme which needs new immigrants just to keep the economy ticking over, but which also reduces the quality of life for its current citizens.  And yet, there are no signs that the current Prime Minister Lee Hsien Loong, Lee Kuan Yew's son, understands the urgent need for reform. "I don't think there is salvation in saying we need more democracy and that will make these countries prosper," he said in a recent interview.

Among those words is surely a line of self-interest.

Hong Kong's Chief Executive Leung Chun-ying was, perhaps, a little more candid when he said that the poor would have to be listened to if elections in the territory are genuinely free.

Clearly, Singapore and Hong Kong are at a crossroads. While the path of democracy may not be a panacea for all of society's ills, political freedoms, especially in an age of innovation and rapid change, are crucial to keep the economy moving forward. The road of keeping the people silent, on the other hand, is a one-way ticket to mediocrity and eventual irrelevance.

@highlight

Inequality is causing Singaporeans to despair over their future, writes Chee Soon Juan

@highlight

Singaporeans work long hours but are among world's unhappiest

@highlight

Government's control over media has stifled dissent and prevented innovation

@highlight

Without democracy, Singapore is doomed to mediocrity and irrelevance