New York (CNN) -- The solutions to America's long-term budget deficits are surprisingly simple, but they're politically unthinkable in today's Washington, says analyst Fareed Zakaria.

America's failure to deal with its growing budget deficit is hurting its image internationally, according to Zakaria. President Obama proposed a $3.8 trillion budget Monday, projecting a deficit of more than $1.5 trillion this year and nearly $1.3 trillion for the 2011 budget year.

Zakaria, author and host of CNN's "Fareed Zakaria: GPS," spoke to CNN Wednesday.

CNN: So the president released his budget this week, projecting deficits almost as far as the eye can see. What do you make of it?

Fareed Zakaria: The real problem is not the current deficits that the president has projected. These deficits are to a large extent inescapable because of the financial emergency we find ourselves in, the rescue of the financial system, the stimulus package to jump-start the American economy. But it's worth understanding why this gets us to 10 percent of GDP, the worst deficit since World War II.

And it is because, as the president points out, the budget was broken in the first place. It was broken by three decisions made during the Bush administration.

The first was to have massive tax cuts, which was a decision made in the wake of the Clinton surpluses.

The second decision was to have a massive new entitlement program -- prescription drugs for the elderly -- which took the fastest growing part of the American population and joined it to the fastest-rising costs in American health care, which is prescription drugs. It was therefore a marriage made in budgetary hell.

And the third, of course, was to have two wars that were going to be funded without any tax increases, the first time in modern American history that that decision was made. ... A partial exception was Vietnam, which produced an economic catastrophe in the 1970s.

And then you add to it the fact that we were in a financial and economic crisis and needed to spend money to get out of it, and you have the current budget problem.

CNN: Right now the United States has a triple-A credit rating and the dollar is the reserve currency for the world. Do you think America's financial stability is threatened in the short term?

Zakaria: Not in the short term. These are understandable choices America has to make. The entire industrialized world is facing very similar budget deficits. We have probably five years to try to bring our budget into some kind of manageable situation. And if we can't do it within five years, it suggests two things. One is that the trends at that point become so deep that fixing them at that point becomes very difficult. And the second thing is that it becomes a signal to the world that we really cannot get control of our budget. And at that point, I do think that America's reputation, its credibility, its ability to borrow vast amounts of money all will come into jeopardy.

CNN: Do you think that President Obama should have taken more dramatic steps to curtail spending?

Zakaria:  If he were to cut spending at this point, the economy would quite likely go into a second recession, a double-dip, and then frankly everything collapses. If you don't have growth, you have no prospect of getting out of this budgetary situation. ... But he must in a year begin really to address the serious issues that make up the budget crisis that we have.

The most significant one is health care costs. ... Obama's health care plan, while it has some cost control measures, is mostly about expansion and adding to the costs. ... There has to be a much, much more serious focus on costs.

The second is a number of sacred cows in the federal budget which are very large but which frankly make no sense. We have a $250 billion a year hole in the federal budget because employers are given a tax deduction for health care plans. This is actually bad for health care, because it is one of the factors that contributes to these out of control costs, because it's an invitation to have inflation in the system.

CNN: Are there other large "sacred" budget items?

Zakaria: Another is the deduction of mortgage interest, which is taken in America as some kind of great measure that has enabled Americans to own homes, whereas we have the same rate of home ownership as Britain and Canada, neither of which have interest deductions for their home mortgages.

What it is really is a subsidy for homeowners to take on debt. ... We take on more debt than people in other countries and we can see that has been part of the distortion of the market that has produced the financial crisis that we've just gone through.

That deduction is a hundred billion dollars. When you hear people talking about freezing this or that federal program, there you're talking about hundreds of millions of dollars, occasionally a billion dollars. But the real big money is in all these middle class entitlements that are regarded as sacred cows.

And the third part is taxes. You're not going to bring the budget into balance unless you talk about tax increases. The only real question is what kind of tax increases. If we were to have a modest value added tax, the kind we have in Europe, it would probably raise $150-$250 billion a year. It would discourage excessive consumption, it would encourage savings. ...

CNN: So if the solutions are so simple, why aren't they happening?

Zakaria: If you take those three things -- health care, middle class entitlements and taxes -- we have effectively solved America's budget crisis. So the good news here is that we have a $14 trillion economy.

There's more than enough money to have a very substantial federal budget, moderate taxes (we are still at the low end of the industrialized world in terms of taxes as a percentage of GDP). So it really is worth thinking about how strange it is, that a fairly sensible set of discreet measures could put us back into a situation where we would be the envy of the world in terms of our fiscal condition.

The steps I outlined are economically simple and sensible and yet they're political dynamite.

If we were to raise the retirement age on Social Security, modestly and on a sliding scale so that it was phased in. If we were to trim the benefits very slightly ... the program would be solvent for the next 75 years. And yet think about it. That simple commonsensical fix is politically absolutely impossible in Washington today.

CNN: Why do you think that is?

Zakaria: Because we have a political structure in Washington today, that if one side proposes any solution to these problems, the other side does not ask itself: How can we have a compromise that solves this problem?

Instead they think: How can we demagogue this issue to fundraise, to win votes, to scare people, to polarize the political climate and gain advantage from it? It's almost that the entire strategy now is how can we take any proposal that anyone makes and turn it into a fundraising opportunity for our extreme wing.

And if you do that, you're never going to actually solve the problems of the country because every proposal can be demagogued.

CNN: You just came back from Davos. What's the view of world leaders of this American budget problem?

Zakaria: There is great unease not just about the numbers ... the real unease is about the sense that Washington is no longer working, that you cannot count on the United States to be able to make hard decisions, to sort its own internal affairs out. One European CEO said to me, what worries us more than anything else is that problems you're facing now are the same problems you were facing 10 or 15 years ago.

They don't seem to go away. In other words, we keep kicking the can down the road.

@highlight

President Obama proposes a budget for 2011 with a deficit of nearly $1.3 trillion

@highlight

Fareed Zakaria says America's failure to solve its budget problem hurts international image

@highlight

He says a simple set of common sense measures could put the budget back on track

@highlight

Zakaria: Fixes politically untenable because parties won't compromise to find solutions