LONDON, England (CNN) -- A man walks around the side of a building, footsteps falling in time to the heartbeat of a driving pop soundtrack, pulls out a pistol and guns down another man.

Tony Servillo as arch-manipulator and seven time Italian Prime Minister, Guilio Andreotti, in Paolo Sorrentino's "Il Divo."

A montage of grisly murders follows, all with the same infectious pop song pounding in the background.

It's edge-of-the-seat stuff and it's only the opening sequence of gifted Italian director Paolo Sorrentino's biopic of Italian politician Giulio Andreotti, "Il Divo."

Sorrentino's film chronicles the career of probably the most important and controversial politico in Italy's recent history.

But, more than that, it pins Andreotti to the specimen board and dissects his character without mercy.

The film caught the eye of the judges at Cannes Film Festival last year where it picked up the Jury Prize.

Predictably, Andreotti didn't react well to the film. "He was very angry," recalls Sorrentino.

Now 91 years-old, Andreotti has been Prime Minister of Italy seven times. His Christian Democrat Party was the leading force in Italian politics as a one-party system for four decades.

The rules of the game were shattered in the early 1990s by "Tangentopoli"  or Bribesville -- a corruption scandal that laid bare some of the government's unsavory practices, ruining careers and resulting in the suicides of some leading politicians.

Andreotti himself was implicated in illegal activities, including connections to the Mafia, but was finally acquitted of all charges. Today, he is a senator for life.

Something of the man's influence in all spheres of Italian public life becomes clear when Sorrentino -- who says he is not a political director, "only in this case" -- explains how hard he found it to fund the film.

"In Italy nobody wanted to finance the film because everybody was scared," Sorrentino told CNN. "He has been a very powerful man for many years."

Sorrentino managed eventually to secure funding from a private source.

"It is not easy for Italian companies to put money in this project, so we did it with the private money of very courageous individuals," he said.

Sorrentino picks up the Andreotti story at the beginning of the 1990s, just prior to his implication in the scandal, as he is about to assume power for the seventh time.

A good deal of "Il Divo's" success lies in a stunning portrayal of Andreotti by Naples-born actor Toni Servillo, who is a veteran of three of Sorrentino's other films including 2006's "The Consequences of Love."

Servillo's Andreotti is a stiff, impassive tortoise of a man. With a hunched back, skinny sloping shoulders and strange drooping ears, Andreotti appears physically frail.

He is beset by headaches -- indeed, the opening scene of the film shows him with a head full of acupuncture needles trying to get rid of one -- a taste of the mix of drama and humor that informs the rest of the film.

But where the body is weak the will is strong and in Andreotti's wit and cunning intelligence -- "I know I'm an average man, but looking around I don't see any giants" -- there is a sense of a man who can and will do anything to stay in power.

"I have always wanted to make a film about Andreotti," says Sorrentino. "He is so psychologically complex that everyone has been intrigued by him over the years.

"It's a political film but at the same time a film about a complex character from a psychological point of view."

For a long time, though, Sorrentino was convinced that the vast amounts of literature written about the man could never be distilled into a structure that would work on film -- "It made my head spin," he remembers.

While Sorrentino almost had too much material to mine while researching Andreotti's public life, it was impossible to get access to details of his home life.

Sorrentino had to go on instinct and imagine life behind the scenes for the great man. Something that made aspects of Andreotti's response to the film very puzzling.

"He told everything was false, a lie, about his public life and at the same time he said the film was very precise about his private life," recalls Sorrentino.

"But all the public things in the film are documented. It's on record that the events took place.

"The trials, the letters, the diary of Aldo Moro, the Prime Minister who was kidnapped by the Red Brigade and held in captivity for 55 days. (Andreotti was Prime Minister at the time and decided not to negotiate with the terrorists and they killed him.)

"And about the private life I invented everything."

One of the most surprising things about the 39-year-old director's film is the soundtrack.

Full of rock, pop, electronica -- "Nux Vomica" by The Veils an indie band from New Zealand and "Toop Toop" by French electro artists Cassius -- mixed in with classical music like Vivaldi and Sibelius.

It's incongruous but it delivers a hefty emotional punch.

"The idea was to make a rock opera about a man very far from rock," says Sorrentino. "I didn't want to do a traditional biopic."

@highlight

Paolo Sorrentino's "Il Divo" chronicles the career of Italian politician Guilio Andreotti

@highlight

Seven time Prime Minister was implicated in 1990s political corruption scandal

@highlight

Film is a psychological study of man who has fascinated Italy for years

@highlight

Sorrentino found it hard to fund the film because people were scared of Andreotti