(CNN) -- As I watched the split screen of the Petraeus hearings and the Kagan hearings this week, two views of what makes America great were clearly on display.

I was transfixed by the visual image of four-star Gen. David Petraeus, sitting in dress uniform decorated with row upon row of ribbons and patches awarded in recognition for some difficult task or accomplishment. The general was given a deserved lovefest by the members of the Senate Armed Services Committee.

The contrast was Elena Kagan, also called general (solicitor general) in her modest suit being put through a little more grueling questioning by the Senate Judiciary Committee.

Petraeus is a hero and the most celebrated active general in our armed services. Kagan is a stranger to most of the country and barely known outside the legal and political fields before her nomination. But she will now be an important part of our government and our nation's history.

The most serious questioning she received was by the ranking Republican, Sen. Jeff Sessions, R-Alabama, who wanted to know why as dean of the Harvard Law School she had restricted military recruiters' ability to contact students on campus because of the "don't ask, don't tell" policy barring openly gay soldiers from serving.

She didn't have a good answer. The honest answer would have been that many in the academic world and many in the legal world don't like our military.

Assuming she is confirmed, Justice Kagan will conduct her battles behind the closed doors of the Supreme Court -- potentially for many decades -- and I assume she will be part of the liberal wing of the court. Her battles will be with words and opinions, not bullets.

Petraeus' battlefield will be more public and certainly more difficult. The Petraeus hearing was pro forma. The explanation to his wife about why he was going back to war and moving from Tampa, Florida, to Kabul, Afghanistan, probably took longer than it did for the Senate to confirm him.

Petraeus is doing this because his president asked him to and because he is a soldier and a patriot.

But there was a mixed message coming out of Petraeus' hearing. The message was: We love you general, we hate your war. His message back was: Let me go fight it as best I know how and don't handicap my fighters by artificial deadlines or restrictions.

After nine years of battle, Americans are tired of war. Don't think for a moment that our soldiers, from generals on down, aren't pretty tired of it, too.

The generals and the soldiers didn't start these wars. It's important that Americans remember who created the first battlefields and struck the first blows against us at the World Trade Center and the Pentagon itself. These were the first battlefields on our soil since the Civil War.

One of the bravest of these generals, is Stanley McChrystal, who announced this week he will retire shortly from the Army. A little over a year ago, he also sat in a decorated uniform before that same Armed Services Committee.

It's notable that while this great man attracted wide public attention by the manner in which he's leaving the Army after 34 years of service to his country, few will ever know what he did and the dangers he has encountered.

Most of his military career has been in special operations, the clandestine fighting that is not reported. Much of his service and his accomplishments remain classified including his tour of duty from 2003 to 2008 as commander of the Joint Special Operations Command. This elite unit of Navy SEALs, Army Rangers, Green Berets and Delta forces was so covert that the Pentagon refused to acknowledge it existed.

It was composed of a very few of the best fighting forces we had, and its mission was finding terrorists and eliminating them. I would think that, in a war with terrorists, that's what you want your side to do.

In the Rolling Stone article that finished this great warrior's career, the freelance writer, Michael Hastings mockingly states, "The general's staff is a handpicked collection of killers, spies, geniuses, patriots, political operators and outright maniacs."

In a war against ruthless terrorists, that sounds like the right team to me. Altar boys and freelance reporters need not apply. In combat with terrorists or any other group trying to kill you, the "Marquis of Queensbury" rules do not apply.

Unfortunately, very few of our citizens and even fewer of our elected officials have ever served in the military. The all-volunteer military is the best fighting force in the world, though the public may not be fully aware of the crucial role it plays.

Generals McChrystal and Petraeus are part of that very special military. Petraeus has put himself on the line again. Failure in Afghanistan is defined by the media, the Congress, the White House or whoever would taint his extraordinary record in Iraq. But it shouldn't, just as a few words to an overly ambitious reporter shouldn't damage the reputation, great history and service  McChrystal has given his country.

We should honor and thank McChrystal. Tellingly, he never talked to the media from the time he was a captain until he was a four-star general. The New York Times article reporting his promotion was headlined, "A general steps from the shadows."

As he retires and goes back into the shadows, every award, every recognition that he deserves should be given him. President Obama did the right thing this week by letting him retire as a four-star general. The Army and the Pentagon needs to do everything it can to recognize his service to our country. Duty, honor, country are the words each West Point cadet is to live by. Gen. McChrystal lived by them every day.

On this Fourth of July weekend celebrating our independence as a nation, we need to be grateful to the men and women who over the last 234 years have served in our military to keep us free.

Freedom didn't come easily and defending the American way of life has fallen on the shoulders of our fellow citizens who now voluntarily have taken on the burden of defending those liberties.

They are not paid well, they are forced to serve in far-off places and spend much time away from their families. They do it because they love this country deeply and without reservation. We need to say thank you, and we need to never take their service for granted.

The opinions expressed in this commentary are solely those of Ed Rollins.

@highlight

Ed Rollins: Senators' message to Petraeus was we love you, but not your war

@highlight

He says Petraeus and Gen. Stanley McChrystal are heroes who deserve to be honored

@highlight

After nine years of battle, U.S. public and military are tired of war

@highlight

Rollins: We shouldn't forget U.S. didn't seek this war but responded when attacked