(CNN) -- Whoever came up with the phrase "location is everything" when it comes to real estate must have had Malta in mind.

This tiny island nation sits in the middle of the Mediterranean, about 60 miles south of Sicily and 180 miles east of the African coast at Tunisia. The result is that anyone who was anyone visited, settled, invaded or conquered this prime piece of land. And with each leaving their mark, a visit to Malta is truly a journey through the region's history.

The Republic of Malta is actually three islands. The country's name comes from the largest of the three; to the northwest of that is Gozo, and in between them is Comino. And tiny really means tiny. At only 122 square miles (316 square kilometers), the total area of the country is about one-tenth the size of Rhode Island, by far the smallest of the United States.

London, New York, Tokyo -- each of these metropolitan areas is bigger than Malta. That compactness, coupled with an extensive bus system, lets you see the best of what it has to offer with ease.

Begin your journey through the millennia with the stone temples at Ħaġar Qim and Mnajdra, on the southern coast. Construction on these sites started around 3600 BC, making them centuries older than the best guesses we have for England's Stonehenge.

And the temples are every bit as mysterious, since it is not clear how or why they were built. The structures aren't as massive as their English counterpart, and they lack the graceful symmetry. Yet walk among the exposed chambers -- with the sea just beyond the cliffs -- and you know that the generations who built these temples believed they were constructing something for the ages.

It is here that you start to get a sense of what sets a journey to Malta apart from Europe's more visited travel destinations. Ħaġar Qim and Mnajdra are just two of seven ancient temples that make up a UNESCO World Heritage site described by a leading prehistorian as "the oldest free-standing monuments in the world." These sites represent just one epoch of many you will find on your trip.

Travel seven miles (11 kilometers) to the east -- and skip forward more than 2,000 years from the time the stones for those temples were laid -- and you will be standing where the first seafaring Phoenicians arrived on Malta from the eastern end of the Mediterranean.

To this day the village of Marsaxlokk is a key port for the country's fishing industry, seen in the market held every Sunday and in the seafood restaurants lining the harbor. But look closely at the colorfully painted traditional fishing boats known as luzzu bobbing gently on the water, and you can't help but notice how they are still painted with the Eye of Osiris, a custom said to have been handed down by the Phoenicians to ward off evil.

From Marsaxlokk head northwest 10 miles (16 kilometers) inland toward the walled city of Mdina, which sits on one of the highest plateaus on the island. Just outside the main gate of this walled city is the Domus Romana, or "Roman house." Here we have moved forward another thousand years to when Malta was part of the Roman Republic.

The Roman House is a museum built on the excavated ruins of a nobleman's home, dating back to sometime shortly after 100 B.C. While the museum on the main floor houses a respectable collection of artifacts, it is the excavated floors of the villa -- among the finest mosaics uncovered anywhere in the former empire -- that will astonish you.

As for Mdina itself, the city's name comes from the Arabic word simply meaning "the city," which belies its status as the former capital of Malta. A millennium after our Roman nobleman walked across his tiled floors Malta was part of the Fatimid Caliphate -- a form of government based on the tenets of Islam -- that stretched across northern Africa and into the Arabian Peninsula.

It was during this period that the moat and walls that surround Mdina were first constructed. With few vehicles permitted today inside its gates, a walk through the narrow stone alleys of Mdina makes it clear why it is known locally as "the silent city." For one of the best views anywhere on Malta, make your way to the upper terrace of the Fontanella Tea Garden restaurant. On a clear day over a cup of coffee you can see practically the entire island.

While the island nation has changed hands countless times over the ages, the influence that is most widely felt in Malta today didn't come from an invading empire, but from a group known as the Knights Hospitallers, later the Knights of Malta.

This order was first set up to run a hospital in Jerusalem for pilgrims who traveled there and eventually developed into a religious and military order. When Islamic forces pushed them out in 1291, the Knights re-established themselves first in Cyprus and then in Rhodes before arriving on Malta in the 16th century.

It was in those first decades on the island that the Knights of Malta built the current capital, Valletta, following an unsuccessful siege by Ottoman forces. With its impenetrable stone walls and regular battle towers surrounding a regular grid of streets, the entire city stands as tribute to the order's military and engineering prowess. Within the battlements, the interiors of churches such as St John's Co-Cathedral, completed in 1577, are among the most ornate that you will find anywhere.

These monuments, like those reaching back into prehistory, outlasted both their creators and those who followed to lay their own claim to Malta. The Knights were forced out by the French, when Napoleon invaded in 1798, who were expelled a couple years later by the British. World War II saw a failed attempt by Axis powers to bomb the country into submission.

Independence came in 1964. Today Malta, still as staunchly Catholic as it was under the Knights, is content to take its place as part of the European Union.

A trip to Malta is not merely a walk through a living history book. Along the way are stunning natural formations, like the Blue Grotto on the southern coast near the village of Żurrieq. When the weather permits and seas are not too choppy, boats take visitors to the 140-foot-high natural stone arch and surrounding caves. Of course, on an island this small you are never far from the coast, though sun seekers often head to the beaches of the northern resort of Mellieħa to soak in the rays.

The cafés and wine bars of modern-day Valletta make you feel like you're in southern Italy, as will much of the cuisine. The nightlife at the clubs in St. Julian's, just north of Valletta, can hold its own against just about anything the rest of Europe has to offer.

Prices for hotels and restaurants overall are less than on mainland Europe, especially in the off-season, and the bus system on Malta makes getting around simple and affordable. Full-day tickets are only €1.50 (about $2.) You can get pretty much anywhere from the main terminal just outside the Valletta city gate.

No matter where you go and what you see, Malta's unique spot -- in the Mediterranean and in history -- is felt everywhere.

@highlight

The island nation of Malta blends thousands of years of culture

@highlight

Seven ancient temples date back more than 5,000 years

@highlight

Roman, Phoenician, Islamic and Catholic influences are evident