(CNN) -- As a teenager, Omer Kiyani was shot in the face with an unsecured firearm. He still struggles with the trauma. But the Detroit engineer now believes he has created a device that would have saved him and may save thousands of others.

He calls it "Identilock," and while it still needs final adjustments to the prototype and further investment, Kiyani expects to launch his smart gun technology in U.S. stores within a year, retailing for around $300.

The device attaches to the trigger of a handgun, which can then only be unlocked by biometric authentication, preventing any unauthorized user from firing the weapon. Drawing on breakthroughs in mobile technology, the trigger is released by similar fingerprint sensors to those used in Apple's iPhone 5S. Those sensors are approved by the FBI, and widely found in security scanners.

"The key is reliability," says Kiyani. "The sensor has proved itself in different sectors over the past few years and the market is aware of its capability."

The gun is enabled in under a second from first contact, and engineers are chipping away to further reduce the time. Eventually, it is hoped the lock will be integrated and the release will be instant.

"The main point of firearms ownership is home defense, and home defense means quick access," says Kiyani. "But the other side of that is accidents."

The inventor believes his experience indicates an urgent and avoidable crisis and the statistics support him. According to the Centers for Disease Control and Prevention, in 2010, 62 children aged one to 14 were killed in firearm accidents in the United States, and 785 from 1999 to 2010 -- far higher death tolls than school shootings over the same period.

Kiyani is not interested in politics and keeps his vision simple. "I'm a gun victim, a gun owner, and I have children. I came up with something that fits my needs.

"I was working as a safety engineer for airbag calibration, and it didn't make sense that there was something so simple that had such an impact on safety, but not for guns. In essence, this is a product of that question."

Surge of innovation

Even if all goes to plan, Kiyani's will not be the first smart gun system to hit the U.S. market. In February, German firm Armatix launched its iP1 pistol that uses a radio frequency identification (RFID) chip activated by the owner's watch, and the competition is growing.

Directives from the White House to promote development of safety technology in the wake of school shootings have led to a surge of innovation. There is now an increased appetite and funding for a field that had stalled since the earlier designs in the 1970s. The boldest statement is an open challenge from The Smart Tech Foundation. It was created by Silicon Valley angel investor Ron Conway and serial entrepreneur Jim Pitkow in response to the Sandy Hook shootings and is making $1 million in prizes available for development of the best ideas.

The Foundation claims to have received over 200 entrants after the first month of the submission period, everything from concept stage to working prototype. Designs include electronic ammunition, remote controls and RFID chips buried in the owner's skin.

Researchers at the New Jersey Institute of Technology (NJIT) have been developing biometric designs since 1999. The leader of that program, Donald Sebastian, has seen many false dawns but is more confident than ever.

"The difference now to a decade ago is that there are more types of technology and they are all much better. Biometric technology failed one time out of four then, now we aim for one in 10,000 failure rates", says Sebastian. "The reliability of the safety needs to exceed that of the underlying firing mechanism, so there is never a discussion that the gun wouldn't work because of the technology."

'Production ready'

Sebastian's view is borne out by 2013 research into gun safety technology from the National Institute of Justice (NIJ). The report tested reliability in a range of RFID and biometric designs against existing firearms, and gave several ratings of "Advanced Prototype or Production-Ready." "It is only recently that viable product designs have reached a commercializable or production-ready level of maturity," the report stated.

NJIT remains at the vanguard, working with "Dynamic Grip Recognition," perhaps the most ambitious system in development. The design uses a battery of sensors to build a "movie" of the user, learning the size and weight of their grip, and even their tics and manner with the gun to be sure of authorizing the correct user.

As sensor technology continues to improve, the scope for progress is exponential, says Sebastian. A new prototype will be unveiled in June, promising to improve speed and accuracy, using an enhanced microprocessor that draws less power and needs less space.

This design is the result of collaboration with military partners Picatinny Arsenal in New Jersey. Beyond their technical expertise, Sebastian recognizes what military involvement could do for public acceptance ahead of a commercial launch and manufacturing.

"The technology we have developed is primarily for the civilian population, but to gain traction in those communities it needs to be used and endorsed by icons of gun ownership such as police and military," says Sebastian.

With the phenomenon of "Green on Blue" attacks in Afghanistan (supposed allies carried out dozens of attacks on Coalition forces in 2012) there is mutual interest, says security technologist Kevin G. Coleman: "Re-use of soldier's weapons is a hot issue and the army are concerned. But taking responsibility if (smart technology) goes wrong is a massive step. I could imagine use in non-critical settings in the near-term future -- the next three to five years -- and then a long period to see if people are comfortable with it."

Opposition

The size of the civilian market is unclear. NJIT research found that 72% of New Jersey gun owners supported the development of smart technology, and that parents could be a fruitful market.

But a recent poll from the National Shooting Sports Foundation found that just 14% of Americans are likely to buy a smart gun, and the majority believe they are unreliable. Many gun rights advocates are hostile to the concept, arguing it is a ploy for gun control and is against the Second Amendment. Some gun advocates also argue that the electronics could be hacked by criminals. Opposition to Armatix's launch has reportedly been strong enough that it forced the vendor to withdraw its products. The California store which announced it would be selling Armatix products swiftly distanced itself from them following a severe backlash from gun rights activists.

The major gun manufacturers have also been wary. Sebastian works with major gun manufacturers and believes their reluctance stems partly from fears that once the first smart guns are established, the technology will become mandatory. He sympathizes: "It would be better if the transformation came through market demand rather than regulatory pressure."

Such fears may be justified. In 2002, New Jersey became the first U.S. state to legislate that new guns must be personalized within three years of the technology becoming available. The idea is also gaining currency across Europe.

Should such mandates be enacted, or if the new designs find a strong market, the drip-drip of smart gun innovation may well become a flood.

Gallery: What the Internet really looks like

Web inventor: We need Internet freedom

@highlight

Omer Kiyani shot as teenager, now developing smart gun technology

@highlight

Smart guns can only be fired by authorized users

@highlight

Smart tech Foundation offering $1 million in prizes for smart gun ideas

@highlight

Some guns use fingerprint sensors, others use chip in owner's watch