(CNN) -- A last-ditch effort to put an end to the bloodshed in Syria failed on Saturday, with Russia and China exercising their veto at the United Nations. With that fateful decision, the conflict moved to another, more dangerous stage. Those who warn that Syria will descend into civil war are a bit behind: It is already in civil war. Now it will only intensify.

In the months leading up to the U.N. vote, Syria's opposition has grown more militarized. Rebel forces, under the banner of the Free Syrian Army, gained considerable traction after a shaky start. The U.N.'s failure to act may have been the best recruiting tool the FSA could have hoped for, and its ascendancy is now a nearly foregone conclusion.

Meanwhile, after first opposing any resort to armed resistance, the Syrian National Council, the country's most representative opposition body, has made an important shift. It has now "pledged to support" the FSA, and the two groups are attempting to increase coordination.

Where does that leave the international community? The U.N.-endorsed norm of "responsibility to protect" (sometimes boiled down to "r2p") mandates a collective response when states wage war on their own populations.

The Syrian regime, however, is making a mockery of the notion, with its brutal assault on the city of Homs just as the U.N. vote was taking place. Either the international community takes r2p seriously, or it doesn't. We have to decide.

As I've argued before, military intervention remains premature. But, in light of recent events, the time has come to carefully consider the various military options available, determine their feasibility, and begin to judge whether they would cause more good than harm. Of course, no one should take such intervention lightly. But just as proponents of intervention must make their case for how the military option could "work," opponents of intervention face a similar burden of explaining how staying the current course will work.

If the opposition itself has chosen the military option -- and this seems increasingly the case -- then the question is this: Can a ragtag army of perhaps 10,000 Syrian rebels defeat an army that while, far from invincible, enjoys an overwhelming advantage in numbers, equipment and firepower? The opposition may have millions on their side, with Syrians continuing to protest en masse throughout the country. But it's difficult to see anything less than a disastrous stalemate without the international community helping to tip the balance.

No one, to my knowledge, is advocating for an Iraq-style invasion with tens of thousands of American boots on the ground. The options being considered are far more limited -- funding and arming the Free Syria Army, establishing "safe zones" in the north and a targeted air mission to weaken the Syrian military's capabilities. To be sure, all of these are serious forms of military intervention, but bringing up the specter of Iraq can be misleading, just as it was in Libya.

So we find ourselves in an odd but increasingly common situation, where Syrians themselves are more enthusiastic about foreign military intervention than Americans are. It is, in this sense, the reverse of Iraq, which was rightly seen by many as a tragic Western imposition.

Here, it is Syrians themselves who are pleading for the international community to come to their aid. In December, the Syrian National Council "formally endorsed" foreign intervention. If they formally request military assistance -- presumably the next step -- we have a moral responsibility to take it seriously.

Unless the Assad regime suddenly implodes -- a possibility, but an unlikely one -- this is the direction in which we are heading.

The "anti-imperialists" will, as they often do, cry foul. This time, though, they will find themselves on the wrong side. None of the Western powers has come out in even tepid support of military intervention. Consumed by their own internal problems, this is not at all something they want. But it may be something the Syrian people need.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Shadi Hamid.

@highlight

Shadi Hamid: The vetoes of the UN resolution on Syria send the conflict to a new, more dangerous phase

@highlight

He says nations are supposed to take collective action when a regime wars against its own people

@highlight

Hamid says the west doesn't want to intervene militarily in Syria, even though Syrians want that help