Washington (CNN) -- Stevie Wonder is boycotting, demonstrators are demanding and President Barack Obama and a veteran GOP senator also are calling for changes in "stand your ground" self-defense laws in the aftermath of the Trayvon Martin killing.

Despite such pressure tactics, neither Obama nor Congress have much say in the matter because the battleground for altering or eliminating the statutes is in state legislatures rather than Washington.

Florida, where Martin was shot to death last year by neighborhood watch volunteer George Zimmerman, is one of more than 20 states with a "stand your ground" law or some other form self-defense measure.

Last week, Gov. Rick Scott met with protesters seeking repeal of the law and told them it won't happen, citing the recommendation of a task force he appointed after Martin's killing.

Weekend "Justice for Trayvon" vigils continued the push by civil rights leaders for repealing such laws, and Wonder has said he refused to perform in Florida or any other state that has them.

To former Republican National Committee Chairman Michael Steele, Wonder's boycott showed the difficulty facing those seeking repeal.

"This is something that's going to have to get worked out state-by-state," Steele told NBC's "Meet the Press" on Sunday. "It's not just Florida."

The sliding scales of self-defense

On the same program, Democratic Rep. Marcia Fudge of Ohio said leadership at the federal level can help, but the Congressional Black Caucus chairman added that "you cannot legislate against prejudice or bias or racism."

The Zimmerman trial that concluded July 13 with an acquittal in a Florida court has sparked a fierce national debate involving race, justice and politics.

Martin, a 17-year-old unarmed African-American, was shot to death by Zimmerman in a confrontation in a residential community.

Civil rights groups say Zimmerman started the fight in what they label racial profiling, while his lawyers argued the shooting was in self defense after Martin attacked him.

Two new polls released Monday showed a divided American public over the verdict, with equal numbers saying they approved or disapproved.

A Washington Post/ABC News survey found 41% of respondents in favor and 41% against the jury's ruling, with a sharp difference between African-Americans and whites. The poll showed that 86% of African-Americans opposed the verdict, while 51% of whites agreed with it.

That was similar to a Pew Research Center survey that showed that 86% of African-Americans disagreed with the verdict, while 49% of whites were in favor.

Obama issued a written statement after the verdict, then stayed silent until Friday, when he sought to explain the anger among African-Americans over Zimmerman's acquittal while also indicating no federal charges would be filed against him.

"Once the jury's spoken, that's how our system works," he said, adding that while Attorney General Eric Holder was looking further at the case, those calling for federal civil rights charges must "have some clear expectations here."

In America, law enforcement and the criminal code are "traditionally done at the state and local levels, not at the federal level," Obama said.

That also applies to "stand your ground" laws, which exist in nine states. In addition, 22 states including Florida have laws stating that residents have no "duty" to retreat from a would-be attacker, according to the National Conference of State Legislatures.

Stevie Wonder says he'll boycott 'stand your ground' states

The Florida version of the law states that "a person who is not engaged in an unlawful activity and who is attacked in any other place where he or she has a right to be has no duty to retreat and has the right to stand his or her ground and meet force with force, including deadly force if he or she reasonably believes it is necessary to do so to prevent death or great bodily harm to himself or herself or another or to prevent the commission of a forcible felony."

Though Zimmerman's defense never cited "stand your ground" laws in its case, the jury was instructed to consider them during deliberations. Zimmerman was acquitted of all charges.

The "stand your ground" laws came about with support from the National Rifle Association, which argues that self-defense is a fundamental human right.

In his remarks Friday, Obama called for reconsideration of those measures.

"I think it would be useful for us to examine some state and local laws to see if they are designed in such a way that they may encourage the kinds of altercations and confrontations and tragedies that we saw in the Florida case, rather than diffuse potential altercations," Obama said.

Conservative GOP Sen. Ted Cruz of Texas immediately slammed Obama's comment, warning it could bring an assault on the right of Americans to own guns.

"It is not surprising that the president uses, it seems, every opportunity that he can to go after our Second Amendment right to bear arms," Cruz said.

However, fellow Republican Sen. John McCain of Arizona rejected Cruz's conclusion and said he believes the Arizona legislature would take another look at what he called the state's "controversial" law.

Protestors stand up to 'stand your ground,' but laws likely to stay

What are the chances of repeal?

In Florida, Scott's office noted that the task force he appointed recommends the law stay in place, though with minor tweaks, including limiting neighborhood watches to observing and reporting.

Daniel Webster, director of the Johns Hopkins Center for Gun Policy and Research, said he doubted protests against "stand your ground" laws would change anything.

Overturning laws isn't very common, he said, and "stand your ground" laws have some popular appeal due to the "the very general notion that citizens should be able to protect themselves and you shouldn't have to, in essence, run from crime."

Also, Webster noted, the laws are relatively new, with most enacted in the past eight years. Therefore, it was unlikely the same legislators who passed them would suddenly be inclined to think they were wrong, he said.

"The more common response is, they're going to dig their heels," Webster added.

Doubts about 'stand your ground'

According to the National District Attorneys Association, "stand your ground" laws emerged due to "diminished sense of public safety" after 9/11, a lack of confidence in the criminal justice system's ability to protect victims, a perception that due process trumps victims' rights and a decrease in gun legislation.

A study by the group cited concerns from law enforcement officials about such laws, including doubts that they would deter criminals.

Webster pointed to a Texas A&M University study examining crime in more than 20 states that passed some version of "stand your ground" laws from 2000 to 2010. Researchers found that not only was there no decrease in robbery, burglary and aggravated assault, but there was an 8% spike in reported murders and non-negligent manslaughter.

CNN's Eliott C. McLaughlin and Kevin Liptak contributed to this report.

@highlight

NEW: Polls show America is divided over the Zimmerman verdict

@highlight

Despite protests and boycotts, states are unlikely to quickly change self-defense laws

@highlight

Calls for repealing Florida's law followed the acquittal in the Trayvon Martin shooting

@highlight

A study found self-defense laws don't reduce assaults or murders