(CNN) -- In what is becoming an annual rite of fall, tablet makers are rushing to release a fresh selection of devices this month in time for the competitive holiday-shopping season.

Let's start with market leader Apple, which is expected to unveil new iPads on Tuesday in San Francisco.

At 1 p.m. ET, Apple CEO Tim Cook will take the stage in front of an auditorium of journalists and announce updated products with the help of some videos, other Apple executives and possibly a live product demonstration or two. We'll be live-blogging the announcement here at CNN.com/tech.

The main attraction is expected to be upgrades to Apple's iPad line of tablets. The iPad Mini will likely inherit the high-resolution retina display that came out on last-year's full-size iPad. The fifth-generation iPad will probably get a slight design makeover, slimming down and dropping a bit of weight.

Expect to see faster processors speeding up both devices. A fingerprint-sensor security system, like the one on the new iPhone 5S, is also a possibility but is less likely.

There have also been rumors, fueled in part by Apple's "We still have a lot to cover" invite, about a keyboard cover for the iPad, like the ones on Microsoft's rival Surface tablets.

Apple also could include some Mac upgrade news by announcing release dates for the new, redesigned Mac Pro and its latest Mac operating system, OS X Mavericks. (Analysts don't expect to see a refreshed line of iPods this time around. Nor will we likely see a smartwatch or an Apple TV set. Sorry.)

But Apple's not the only tablet manufacturer announcing news this week. Microsoft is releasing the latest versions of its Surface tablets, and Nokia is expected to announce new Windows 8 devices on Tuesday.

But as rivals catch up to the once-dominant iPad and the marketplace gets flooded with new tablets, it's getting harder for competitors to set themselves apart.

"Tablets are a maturing market; there's not much competitors can do to differentiate at this point." said Sarah Rotman Epps, a senior analyst at Forrester Research."Replacement sales are growing much, much faster than new sales worldwide," she added. "You're competing for customers you already have."

Now the companies are going after emerging markets, and that's where price will be a more important factor, Epps said.

"Everyone is looking at Apple as the gold standard ... (and) in that position they don't have to hit rock bottom with their prices to justify their product," she said.

Touchscreen tablets have become hugely popular since the first iPad was released in 2010. According to a recent study by the Pew Internet and American Life Project, 35% of all Americans older than 16 now own a tablet, and 24% have e-readers like Amazon's Kindle.

The hunger for tablets, which are quickly crowding out the PC, is expected to jump another 79% by 2017, according to research firm IDC.

Apple is still the dominant tablet manufacturer, but competing products are steadily nibbling away at its lead. In the second quarter of this year, Apple had 32% of the global tablet market, a sharp decline from the 60% it had the same time a year before, according to IDC. Samsung is the second-largest tablet maker.

This year, people will weigh features like price and size -- tablets can start at 6 inches (typically a hybrid between a smartphone and a tablet) and go up to 10 inches or more. Most have only slight differences in exterior design, including variations in weight and thickness, texture and color.

But when it comes to giant flat rectangles with one side dominated entirely by a screen, it's the software, speed and screen quality that matter most.

Some people are loyal to specific ecosystems, choosing Android or iOS products based on the apps and content they already own or the selection of popular apps available for the devices. Some devices promote unique features, like the new Kindle HDX from Amazon that features live, video-chat tech support available anytime for free.

Google released a new version of its 7-inch Nexus tablet over the summer. Samsung also has a line of popular Galaxy Tab Android devices.

@highlight

Apple is expected to announce updates to its line of iPad tablets on Tuesday

@highlight

The iPad Mini will likely get a higher-res screen; larger models will get lighter, faster

@highlight

Microsoft and Nokia are also expected to announce tablets this week

@highlight

Apple sells the most tablets worldwide, followed by Samsung