(CNN) -- Ten years ago, as the first bombs began to fall on Afghanistan, I was almost 500 miles away with our live satellite transmission dish on the roof of the Marriott hotel in Islamabad, Pakistan.

Two weeks earlier the Taliban had forced me out of the country, but before they did I managed to get to their spiritual capital Kandahar, and to our make-shift office in a dusty, drab one-storey villa.

That visit was now proving vital. My cameraman, Alfredo Delara and I set up our staff there -- two Afghan brothers -- with a camera and satellite phone. Their job was to be CNN's eyes and ears once we were forced out of the country.

At that time, no other TV network had a presence in Kandahar. So as the United States began its response to the 9/11 attacks on October 7, our staff were able to relay details of the bombs falling around the airport.

Later we would learn the target was the al Qaeda training camps where Osama bin Laden's fighters had infamously been recorded swinging on monkey bars and crawling through mock tunnels.

That night it was enough to know the United States had gone to war.

Special: Afghanistan Crossroads

Everyone knew it was going to happen, we even had a good idea when, but those two brothers kept me fed with an up-to-the-minute, blow-by-blow account, all those miles away on the roof of the Marriott. That information was then quickly passed to our audience.

Although they dared not call in their reports live, they bravely continued day after day, week after week, venturing out with a camera to record what they could of the opening days of the war. And sometimes braving local anger when occasionally civilians were killed.

When a Taliban armored personnel carrier was hit by a missile right outside our office, blowing out the windows, the two brothers were forced to flee, setting up camp in a tumbledown old house that two wars earlier had been their family home, graceful and opulent with rose gardens.

They built a bunker among the flowers in the back garden, and kept us informed as best they could.

When several months later the Taliban capitulated and Kandahar, their last hold-out, fell, the brothers took us to the airport. The showed us dozens of Arab passports found in the al Qaeda camp. Many had arrived just days before 9/11. Bin Laden knew what would follow and had rallied his supporters to his side.

Taliban key to peace process 10 years on

Driving him from Afghanistan proved easy. Killing him, however, was a decade-long challenge. Ensuring the country does not fall into his allies' clutches and become once again a breeding ground for terrorism is proving far more difficult.

The Taliban, once al Qaeda's erstwhile ally, regrouped and re-emerged. Their Pashtun nationalist agenda that claims to push the interests of Afghanistan's largest ethnic group, has, on the face of it, little in common with al Qaeda's global terrorism.

The two groups share conservative Islamic values, but while the Pashtun tribes who make up the Taliban traditionally follow a more spiritual path of Sufi'ism, al Qaeda's takes the ultra-radical Salafist agenda. In theory, they are not natural bedfellows.

But against a backdrop of a common enemy, the United States -- considered occupiers by the Taliban and the sworn global enemies for al Qaeda -- the two are drawn together. That's the conundrum: To separate and isolate al Qaeda from internal Afghan issues, thus denying them legitimacy in the Afghan conflict.

The Taliban ride the great Mujahedeen myth that no occupier has ever successfully conquered their country. On the back of this, they refuse to give ground, whatever the pain. Al Qaeda money fuels the fight, and nothing in the past 10 years of war has divided the two.

The Taliban win local recruits every time NATO inadvertently kills civilians. Al Qaeda feeds on these mistakes, selling them as a global Christian crusade against Muslims.

Until recently the Taliban demanded NATO troops leave before they enter serious talks with the Afghan government. The United States and the Afghan government have demanded the Taliban publicly cut ties with al Qaeda first, ensuring the global terrorists can never return.

But 10 years of war have not turned the tide. I've watched year after year.

As long ago as 2002, I was embedded with U.S. troops in the mountain valleys near Khowst in Eastern Afghanistan, when they were handing out radio sets to Afghans.

It was an inducement for them to hand over information about Taliban leaders in the Haqqani network. The same men are still being hunted today.

It didn't work then, and it doesn't work today.

Loyalty cannot be bought, and is rented only rarely and unreliably. The equation is simple: No one will rat out a well-armed neighbor unless they're sure of protection 24/7. In Afghanistan no one gets that, except President Karzai.

And on the subject of Karzai, his last election victory was marred by allegations of vast fraud that even he has not been able to lay to rest. Efforts to build a nation around his flawed veneer are failing.

NATO plans to use its troops to provide security until Afghan forces are deemed ready. But as every Afghan farmer who may or may not have an inkling of Taliban activity knows, if you can't trust the president, how can you trust the forces who might come in his name to protect you?

The Taliban see this and exploit it. The cycle of violence that leads to occasional civilian causalities continues.

Writ large, it means for all the well-meaning NATO effort, it is struggling to find a tipping point to bring the Taliban to their knees and sever the al Qaeda connection once and for all.

Agendas have been set for NATO troops to leave over the next three years. Afghans fear the resumption of the civil war already under way as 9/11 was sprung on the world. The Taliban had all but a tiny sliver of land in the far northeast controlled by ethnic Tajiks.

It was there that U.S. special forces first entered the country. Little surprise that those same northerners have benefited well from their early alliance. Today they are well armed and well equipped. A new civil war would be a highly-energized affair.

Those Afghans who fret over NATO's departure are right to be disturbed. I share their concerns. The country has become a far more dangerous place.

In the past decade a new highway from the capital Kabul to Kandahar seemed to symbolize a brave new future for Afghanistan. It slashed the drive from 16 hours to four. I drove it a few times before the Taliban shut it down.

It was the same highway that Alfredo, my cameraman, and I drove just after 9/11.

We'd bumped and bounced over its entire 300 mile sand and rock surface to reach our Kandahar office, train the two brothers, hand them the camera and phone before being forced out of the country.

When I look back it saddens me immensely. So many lives have been lost. Both of the Kandahar brothers are dead.

One brother was murdered a few years ago. He was killed by a bomb placed outside his grocery store in Pakistan where he'd fled Afghanistan's violence for the safety of his family. The other brother, I was told, had been killed in a roadside blast in his hometown, Girishk, in Helmand province.

Even now all this time later when both of them are dead we cannot reveal their names for fear of endangering their families.

It breaks my heart. They were amiable, educated young men -- the seed of the country's future, forever lost to the violence that still wracks their nation, winnowing out a generation of its promising sons.

@highlight

Nic Robertson and his crew were forced to leave Afghanistan by the Taliban

@highlight

The Taliban were forced from power after the September 11, 2001 attacks on the U.S.

@highlight

But the Taliban have since regrouped and re-emerged, building on their Pashtun support

@highlight

Until recently they demanded NATO troops leave before they enter serious peace talks