HONG KONG, China (CNN) -- Be it Iran or North Korea, economic sanctions are a well-used weapon in the diplomatic arsenal for dealing with international disputes. But do they work?

Workers at TOTAL's project in Burma unload pipe for the 1996 construction of the Yadana pipeline.

Consider the Southeast Asian nation of Myanmar. Ruled by the military since 1962, the state (formerly known as Burma) has been under sanctions from Western nations for more than a decade. Despite years of tightening economic pressure, military rule in Myanmar continues.

"I think sanctions have very little effect on the economy (of Myanmar) because they have very little in the way of international trade," said Sean Turnell, author of Fiery Dragons: Banks Moneylenders and Microfinance in Burma and an economics professor at Macquarie University in Australia.

While the U.S., European Union and Australia have banned new investment, non-sanctioning countries are taking advantage of business opportunities in Myanmar, which is rich with natural resources like natural gas, timber, jade and rubies.

China, Thailand, India and Singapore already have lucrative deals in place with Myanmar's military government.   Neighboring Thailand depends heavily on Myanmar's offshore natural gas and hydroelectric dams to provide power to the Thai population. China has signed a deal to build a natural gas pipeline from the west coast of Myanmar into western China. Thailand buys about 30 percent of its gas from Myanmar and uses gas to generate about two-thirds of its electricity.  Watch the history of Myanmar sanctions »

Despite the American and European sanctions currently in place, U.S.-based Chevron and French-based TOTAL are doing business in Myanmar today because their contracts were signed with Myanmar's military government before international pressure was tightened.

The Yadana natural gas project, off the coast of Myanmar, involves three foreign firms: TOTAL, Chevron and the Petroleum Authority of Thailand (PTT). TOTAL has the biggest investment with a 31% stake in the project. TOTAL told CNN it paid $250 million in taxes to the Myanmar government in 2008.   Chevron did not respond to repeated phone and email requests for comment on this story, but Chevron's Web site said the company's local community projects benefit the people of Myanmar.

Western corporations have faced criticism for doing business in a country run by a government accused of human rights abuses. But these companies go to where the oil and gas lie -- often in unstable regions of the world.

"What we provide is a different example of work, of business and what good governance should be about," said Jean-Francois Lassalle, vice president of public affairs for Total. "Our employees have benefits from social pensions, employee representation, holidays and good contracts. We function in Burma the same way we do in Europe. In that sense, we're trying to be an example."

The company employs 250 permanent and more than 600 subcontracted workers in Myanmar, Lassalle said. TOTAL provides free medicine and education to the local population, along with funding for hospitals and orphanages. The company estimates its community projects affect 50,000 people in Myanmar.

Yet Myanmar remains one of the poorest countries in Asia. According to some estimates, more than 30 percent of the population live under the poverty line.   The military regime has suppressed democracy movements for the past several decades. Myanmar's most famous citizen, Nobel Peace Prize winner Aung San Suu Kyi -- whose party won the majority of seats in the 1990 election -- has been kept under house arrest and is currently on trial for alleged violations of her detention.

It is another indication of the military's tight grip on power, despite sanctions. Some experts say more should be done to hit the military regime where it hurts: their personal bank accounts.

The Myanmar military elite have millions in overseas bank accounts, experts say.

Southeast Asia expert Jamie Metzl of the non-profit Asia Society, said freezing personal assets of the military generals was a good idea but cautions it would be an uphill battle. Metzl believes that any such move would need the support of the Association of Southeast Asian Nations (ASEAN) which includes Thailand -- a major trade partner -- and Singapore.

"If sanctions [of freezing personal assets] were put in place and if ASEAN states including Singapore were on board, then conceivably, there could be a way to reach some of those assets, although the generals could move them elsewhere."

Metzl noted that ASEAN tends to favor a policy of engagement with Myanmar: In other words, soft diplomacy rather than the harsh bite of economic sanctions. Unless all countries play ball, it is clear that economic sanctions can only do so much.

@highlight

China, Thailand, India, Singapore have lucrative deals with Myanmar's junta

@highlight

Expert says sanctions have little impact on Myanmar economy

@highlight

Experts recommend freezing personal assets of the ruling generals

@highlight

Such a move would need ASEAN support; but ASEAN prefers soft diplomacy