President Barack Obama told a United Nations meeting on Tuesday that pollution must be contained to address climate change.

Specifically, he called out China, saying that the most populous country on Earth, with the fastest increase in carbon pollution, must join the United States to lead the rest of the world in carbon reduction.

"We have a responsibility to lead," Obama said to applause. "That's what big nations have to do."

Obama was speaking at the U.N. Climate Summit, a one-day meeting hosted by U.N. Secretary-General Ban Ki-moon and open to leaders of all 193 U.N. member states.

Wednesday begins the U.N. General Assembly meeting, which has marked climate change as one of its top issues as well.

The event offers Obama a chance to shift the conversation away from the threat posed by ISIS, Ebola, and other national security matters and focus on an issue where he can tout accomplishments.

Hours after ordering strikes on Syria, Obama said that the "urgent and growing threat of climate change" would ultimately "define the contours of this century more dramatically than any other" issue.

Obtaining broad agreement to combat global climate change does not come easy, an issue the President addressed. For instance, China has been reluctant to stem the influx of energy production, as it's in more demand. And in the United States, the issue is controversial, with some claiming to believe that humans don't cause climate change.

"In each of our countries, there are interests that will be resistant to action. In each country there is a suspicion that if we act and other countries don't -- that we will be at an economic disadvantage. But we have to lead," Obama said.

Obama painted a tragic picture caused by a changing climate in the U.S., detailing floods in Miami, wildfires in the West, hurricanes in the north and drought followed by excessive rain in the middle of the country.

Obama noted that some countries are more impacted than others by climate change, but said, "No nation is immune."

Actions announced

The President unveiled a series of actions to urge the international community to cut emissions. He also announced measures to help developing countries better prepare for climate change.

While efforts are still under way to meet and exceed goals set for 2015, the President outlined a partnership plan to meet additional carbon reduction goals by 2020.

"We cannot condemn our children and their children to a future that is beyond their capacity to repair -- not when we have the means, the technological innovation and the scientific imagination to begin the work of repairing it right now," he said. "I believe in the words of Dr. King that there is such a thing as being too late."

Actions taken so far

In June 2013, Obama announced a plan to cut carbon pollution, including directing the U.S. Environmental Protection Agency to establish new emission standards for active coal plants in the United States, and working with other countries including China and India -- two of the world's top emitters of greenhouse gases -- to establish new plans for addressing pollution globally.

The plan included many executive actions -- things that don't need approval from Congress, such as new standards for coal plants -- that were controversial.

A year later, in June, 2014, the EPA proposed a new plan designed to cut carbon emissions by 30% by the year 2030. That plan has become a popular subject in several Senate races this year, including West Virginia and Kentucky.

Still to be done

For the environmental community, the next big frontier to tackle is methane emissions -- different from carbon emissions but, environmentalists say, just as important in the fight against climate change.

"For us the big next steps include making a decision to address methane pollution from the oil and gas sector," said John Coequyt, director of the international climate campaign at the Sierra Club, one of the country's oldest environmental organizations. "That's one of the biggest unresolved pieces."

Polling

A demonstration in New York on Sunday featuring appearances from U.N. leader Ban and actor Leonardo DiCaprio, among others, turned out tens of thousands of supporters, but polling indicates that many Americans do not list addressing climate change as an issue they believe should be a top priority for the President and Congress.

A Pew research poll conducted earlier this year found that 29% of respondents listed "dealing with global warming" as a top policy priority -- and that number has remained virtually unchanged since Obama took office in 2009.

And  a Gallup poll conducted in March 2014, found that a little under a fourth of Americans -- 24% -- list climate change as a national problem that they worry about "a great deal."

However, when it comes to addressing climate change, polling indicates most Americans back action. A Gallup poll from June found that 65% of those surveyed support the government tightening pollution regulations on businesses.

@highlight

President Obama gives address on climate change at United Nations on Tuesday

@highlight

U.N. secretary-general is hosting world leaders at a one-day climate change summit

@highlight

The Obama administration unveiled a climate change action plan in 2013