Washington (CNN) -- A late evening meeting between President Barack Obama and the leaders of the House and Senate failed to reach agreement Wednesday on a spending plan to avert a government shutdown, but all the participants said progress was made and talks would continue.

If there is no deal by midnight Friday, when the current spending authorization measure expires, parts of the government will close down.

Obama called the 90-minute talks with House Speaker John Boehner, R-Ohio, and Senate Majority Leader Harry Reid, D-Nevada, "constructive" and he said they narrowed and clarified the outstanding issues.

"I remain confident that if we're serious about getting something done, we should be able to complete a deal and get it passed and avert a shutdown," Obama said in brief remarks to reporters. "But it's going to require a sufficient sense of urgency from all parties involved" to prevent a shutdown that "could have real effects on everyday Americans."

Both Reid and Boehner told reporters in their own brief comments that the meeting made progress in narrowing their differences, and that their staffs would work through the night to try to reach further consensus.

"I have confidence we can get this done," said Reid, who criticized Boehner and Republicans earlier in the day for intransigence. "We're not there yet."

Boehner, standing next to Reid, said "we do have some honest differences," and he emphasized there was no agreement on either a specific figure for spending cuts for the rest of the current fiscal year or on policy issues that the Republicans want included in the measure, such as specifically prohibiting funding for abortions.

"No one wants the government to shut down," Boehner said.

Time: Are we headed for a shutdown?

Obama called the meeting because of a lack of progress in negotiations during the day, White House spokesman Jay Carney told reporters.

A White House source familiar with the situation, speaking on condition of not being identified, told CNN that "there was almost no progress made today."

"There wouldn't be a meeting if it wasn't a necessary step at this stage in the process," the source said of the evening talks.

Boehner announced earlier that the House of Representatives will try to buy more time for negotiators by voting Thursday on a one-week government funding bill that would cut spending by $12 billion and fund the Pentagon for the remainder of the current fiscal year.

GOP budget chief calls for $6.2 trillion in spending cuts

"Republicans have no interest in shutting down the government," Boehner insisted. But "we are going to fight for as many spending cuts as we can get."

GOP leaders said they were prepared to pass the bill on a strict party-line vote if necessary. Democrats, insistent they have already met the Republicans more than halfway in negotiations, oppose such a measure, and it was considered unlikely to clear the Senate.

In two speeches on the Senate floor during the day, Reid accused GOP leaders of being unwilling to compromise because of pressure from the conservative Tea Party movement to cut deeper and include provisions on political issues.

"We meet them halfway, they say no. We meet them all the way, they say no," Reid said, calling the latest proposed extension from the House a "diversion" from making "tough choices" to settle the matter.

"The Republican leadership has the Tea Party screaming so loudly in its right ear that it can't hear what the vast majority of the country demands," Reid said.

Tea Party: Bring on a government shutdown

Obama, on the road in Pennsylvania, declared that he didn't "want to see Washington politics stand in the way of America's progress."

"At a time when you are struggling to pay your bills and meet your responsibilities, the least we can do (is) meet our responsibilities to produce a budget," he said. "That's not too much to ask for."

Obama blamed the GOP for using the budget crisis to push provisions relating to hot-button issues such as abortion, health care and the environment. Debates over those issues were holding back talks, he said.

Boehner has insisted his caucus will not back down on those issues.

He proposed the one-week extension after meeting with his Republican House colleagues. Reporters outside heard applause from within the room at one point. Republican sources told CNN the applause was for Boehner when he choked up while thanking his colleagues for their support on the issue.

Government shutdown: White House details consequences

Behind all the rhetorical bluster and bombast, however, negotiations continued unabated. Obama talked to both Boehner and Reid over the phone earlier Wednesday, and Democratic and Republican leadership staffers continued meeting on Capitol Hill in an attempt to break the stalemate.

Obama met Tuesday with congressional leaders including Reid and Boehner, and warned then that he would seek further meetings if the negotiations yielded insufficient progress.

As for the overall numbers, negotiators were looking at a package of cuts for the rest of the fiscal year that would probably total a bit over $33 billion but less than $40 billion, according to a Democratic congressional source. The fiscal year ends September 30.

iReport: Looming government shutdown

The Republican-led House has passed a bill that included $61 billion in cuts from current spending levels, but it was rejected by the Democrat-controlled Senate. Two previous extensions of the government spending resolution have included $10 billion in cuts.

In response to the looming budget deadline, the U.S. Office of Personnel Management posted information on its website Tuesday about how a shutdown would affect federal employees. The posting said that most federal workers paid with funds appropriated by Congress would go on temporary furlough in the event of a shutdown.

It would be up to Congress to decide if furloughed workers get paid for the time missed when the shutdown ends, the posting said. Health benefits continue if the shutdown lasts for less than a year, it said.

If there is a shutdown, an estimated 800,000 government workers will likely be asked to stay home, according to senior administration officials. Among other things, the IRS will stop processing paper tax returns, the Small Business Administration will stop making loans and federal home loan guarantees will be put on hold.

U.S. troops would be paid through Friday, but after that, paychecks to members of the military, including those in war zones, would stop. The National Institutes of Health would stop accepting new patients and would put clinical trials on hold.

A Justice Department spokesperson said on condition of not being identified that "critical national security, law enforcement and prison operations" would continue in the event of a shutdown.

Political Ticker: Nation split on shutdown blame game

"All FBI personnel in the field will continue to work, and the department will be ready to respond to any and all contingencies that might arise during this time," the Justice spokesperson said. However, some functions including civil litigation, outreach to crime victims and grant processing would be stopped or curtailed, the spokesperson said.

Congressional veterans from both sides of the aisle indicated Wednesday a strong desire to avoid a shutdown.

"My concern with a shutdown is, what is our long-term goal? What are we trying to achieve?" asked Rep. Mike Simpson, R-Idaho, a senior member of the House Appropriations Committee. "If it is repeal Obamacare (the health care reform law enacted last year), do we think in two weeks or a month Obama's going to go, 'You guys were right,' and sign onto it? I don't think so. So you better look at what your goals are and what you're willing to accept, or don't do it."

Sen. Barbara Mikulski, D-Maryland, said a shutdown would mean "enormous negative consequences, and I think we're going to rue the day the way we're functioning here. We need to come to the table and ... act like rational human beings."

Republicans, under pressure from the conservative Tea Party movement to make deep cuts that would reduce the size of government, blame Democrats for failing to pass a fiscal year 2011 budget last year when they controlled both congressional chambers. They also say that Obama and his party are ignoring the peril of the rising federal deficits and national debt.

Democrats contend that the $61 billion in spending cuts in the House bill would harm the economic recovery and slash education and innovation programs essential for continued growth. Obama and Reid both insist that Democrats have agreed to more than 50% of the spending cuts sought by Republicans, which they said should be sufficient for a compromise on an issue that has little overall effect on the deficit and debt issues.

The budget brinkmanship shows the political stakes of the situation, with both parties trying to depict the other as unwilling to do what's right for the country.

Boehner has cast aside assertions by Democrats that they had agreed to more than half the cuts sought by the GOP, saying the Democrats used "smoke and mirrors to get there."

A senior Democratic source with knowledge of the ongoing negotiations said the biggest obstacle to a deal involves whether reductions in mandatory spending programs, known in appropriations parlance as "changes in mandatory spending" or CHIMPS, should be part of spending cuts.

Examples of mandatory spending programs include Pell Grants, the Children's Health Insurance Program and some types of highway funding. Such programs are funded for multiple years at a time, with the spending set for the time period covered, exempt from congressional authorization each year.

Democratic sources have said they want about half the overall cuts in this spending bill to come from mandatory spending programs, and they have proposed the necessary reductions in programs at the U.S. Department of Agriculture, the Justice Department and the Treasury Department, and in Pell Grants.

Republicans, who want any spending cuts to reflect a reduction in the size of government, note that reducing the spending in a mandatory program for one year doesn't prevent the amount from returning to its original level the following year.

CNN's Dana Bash, Deirdre Walsh, Ted Barrett, Kate Bolduan, Terry Frieden and Dan Lothian contributed to this report

@highlight

NEW: Evening meeting with Obama, congressional leaders fails to bring agreement

@highlight

NEW: Obama says sense of "urgency" is needed to avoid a shutdown

@highlight

NEW: Senate's Harry Reid, and House Speaker John Boehner say progress is made

@highlight

Without an agreement, the federal government will shut down after Friday