Hong Kong (CNN) -- China remained tight-lipped Thursday about its stance on NSA leaker Edward Snowden, who is believed to be holed up in a safe house somewhere in the semiautonomous territory of Hong Kong.

Snowden provided fresh fuel Wednesday for the controversy he has sparked, telling a Hong Kong newspaper that U.S. intelligence agents have been hacking networks around the world for years, including hundreds of computers in China.

In the interview with the South China Morning Post, he also said he plans to stay in Hong Kong to fight any attempt to force him to return to the United States because he has "faith in Hong Kong's rule of law." His comments come as the FBI is investigating his case.

His presence in the southern Chinese territory, which has a separate system of government from the mainland, has raised questions about how an effort by the U.S. government to extradite him would unfold and what role Beijing might play in the process.

But China's first official comment on the matter gave away no clues.

"We have no information to offer at the moment," a spokeswoman for the Chinese Foreign Ministry, Hua Chunying, said in response to a question about Snowden at a regular news briefing in Beijing on Thursday. She repeated the same answer to several follow-up questions.

Snowden, 29, has rocked the Obama administration and U.S. intelligence community by providing documents to journalists revealing the existence of secret programs to collect records of domestic telephone calls in the United States and the Internet activity of overseas residents.

Differing reactions

U.S. security officials homed in on Snowden after Britain's Guardian newspaper informed the Obama administration that it was planning to publish articles based on documents it had obtained, a U.S. official said. Authorities then quickly tried to determine who might have access to such information, as well as what documents were downloaded and by whom.

Snowden -- who had taken leave from work at an NSA facility in Hawaii a few weeks before -- quickly came to their attention, said the official. Authorities were "making progress" toward pinpointing the source of the leaks when Snowden went public, said a second U.S. official. Both officials spoke to CNN on the condition that they not be identified.

There are "no signs or indications" that Snowden had accomplices or tried to sell secrets, this official said. Investigators think the leaker is still in Hong Kong and have a general sense of where he is in that Asian metropolis.

Snowden's case has become a hot issue in that coastal city, making local newspaper front pages, stirring legal debates and prompting plans for a rally in support of him over the weekend.

The reaction in mainland China, on the other hand, has been muted. State-run media outlets have covered the case cautiously, appearing to try to avoid focusing too much attention on some of the sensitive issues his disclosures have raised, such as government surveillance of citizens.

The Snowden story has also so far failed to make big waves among China's tens of millions of highly active social media users.

Some Chinese state media took the opportunity Thursday to highlight Snowden's comments to the South China Morning Post alleging that the U.S. government has hacked Chinese targets.

In recent years, the Global Times newspaper said in an editorial, "the United States has always claimed itself to be a victim of Chinese hacking activities. Many speculate that it's a cover up for hacking activities conducted by the U.S. government. Now, Snowden's revelation proves that such activities have already been going on for a long time."

Hacking claims

Among some 61,000 reported targets of the National Security Agency, Snowden told the Hong Kong newspaper, are hundreds of computers in China.

U.S. officials have increasingly accused China of being the source of thousands of attacks on U.S. military and commercial networks. Beijing has denied such attacks.

The South China Morning Post said it had seen documents provided by Snowden but was unable to verify their authenticity. The newspaper also said it was unable to independently verify allegations of U.S. hacking of networks in Hong Kong and mainland China since 2009.

Snowden told the paper that some of the targets included the Chinese University of Hong Kong, public officials and students. The documents also "point to hacking activity by the NSA against mainland targets," it reported.

The claims came just days after U.S. President Barack Obama pressed Chinese President Xi Jinping to address cyberattacks emanating from China that Obama described as "direct theft of United States property."

Snowden's allegations appear to give weight to claims by some Chinese government officials that the country has been a victim of similar hacking efforts coming from the United States.

His claims came as Gen. Keith Alexander, the National Security Agency chief, testified at a U.S. Senate hearing that the country's cyberinfrastructure, including telephones and computer networks, is somewhat vulnerable to attack.

On a scale of one to 10, "our critical infrastructure's preparedness to withstand a destructive cyberattack is about a three, based on my experience," he said.

In the South China Morning Post interview -- published one week after the Guardian revealed the first leaks attributed to Snowden -- he said the agency he once worked for as a contractor typically targets high-bandwidth data lines that connect Internet nodes around the world.

"We hack network backbones -- like huge Internet routers, basically -- that give us access to the communications of hundreds of thousands of computers without having to hack every single one," the newspaper quoted him as saying.

A "backbone" is part of the inner workings of a computer network that links different parts of that network. It is used to deliver data from one part of the network to another and, as such, could expose data from multiple computers if hacked.

'Trying to bully'

While refusing to comment specifically on a person under investigation, White House spokesman Jay Carney explained clearly how and why U.S. authorities consider the leaks to be "very serious."

"They go right to the heart of our efforts to combat terrorism, to combat efforts by extremists who desire to attack the United States and the American people," Carney told reporters Thursday.

FBI Director Robert Mueller offered a similar assessment in testimony before Congress on Thursday.

"These disclosures have caused significant harm to our nation and to our safety," Mueller said. "And we are taking all necessary steps to hold the person responsible for these disclosures."

Snowden hasn't been charged, but he has told The Guardian that he expects the United States to try to prosecute him. He worked for the computer consulting firm Booz Allen Hamilton until Monday, when he was fired after outing himself as the leaker.

Snowden told the South China Morning Post that he felt U.S. officials were pressuring his family and also accused them of "trying to bully" Hong Kong into extraditing him to prevent the release of more damaging information.

He vowed to resist extradition efforts if it comes to that, saying he "would rather stay and fight the United States government in the courts, because I have faith in Hong Kong's rule of law."

"My intention is to ask the courts and people of Hong Kong to decide my fate," the South China Morning Post quoted Snowden as saying. "I have been given no reason to doubt your system.''

But Hong Kong lawmaker Regina Ip, a former secretary of security for the territory, said Tuesday that while any extradition process could take months, Snowden isn't necessarily beyond the reach of the United States.

"If he thought there was a legal vacuum in Hong Kong which renders him safe from U.S. jurisdiction, that is unlikely to be the case," she said.

Legal experts says that Beijing can get involved in the process to extradite a person from Hong Kong if the case significantly affects defense or foreign affairs.

But some observers say that Chinese authorities are unlikely to want to rock the boat in this instance.

"Given the somewhat fraught Hong Kong-Beijing relationship, the political impact of Beijing interference in this Hong Kong legal matter could be grave," the Beijing-based analyst and blogger, Bill Bishop, wrote in an article for USA Today.

The newspaper said Snowden has been hiding in undisclosed locations in Hong Kong since checking out of his hotel room Monday, a day after he revealed his identity in an interview with The Guardian.

Snowden told the Morning Post he is not trying to evade U.S. authorities.

"People who think I made a mistake in picking Hong Kong as a location misunderstand my intentions," the newspaper quoted him as saying. "I am not here to hide from justice; I am here to reveal criminality."

The NSA and the national intelligence director did not immediately respond to a CNN request for comment.

Asked during a media briefing Wednesday for comment on Snowden's latest claims, U.S. State Department spokeswoman Jennifer Psaki declined. She said she had not seen the latest South China Morning Post report.

CNN's Jethro Mullen reported and wrote from Hong Kong, and Chelsea J. Carter reported and wrote from Atlanta. CNN's Greg Botelho, Carol Cratty, Barbara Starr, David McKenzie and Michael Pearson contributed to this report.

@highlight

NEW: There are "no signs" Edward Snowden worked with others, U.S. official says

@highlight

The U.S. hacks computers in China, the NSA leaker tells a newspaper

@highlight

He revealed secret U.S. programs that collect data on phone and Internet activity

@highlight

"We have no information to offer," a Chinese official says