Canberra, Australia (CNN)Before "Bali Nine" duo,  Andrew Chan and Myuran Sukumaran, the last Australian executed for drug offenses abroad was Van Tuong Nguyen by Singapore in 2005.

Although Canberra then, as it is now, was strongly opposed to the death penalty, Van's death did not harm Australia's relationship with Singapore, nor the Australian people's view of that country.

The executions of Chan and Sukumaran early Wednesday morning will be a different story.

Their deaths will result in short to medium term frictions between Canberra and Jakarta at the highest levels. However, this will soon ease as the two countries have a number of common interests that neither side can abandon.

But the Australian public's view of Indonesia, and anger with its government, will take much longer to subside.

Those sympathetic to the dilemma faced by Indonesia's President Joko Widodo will argue that he was politically bound to allow the executions to take place. He ran on a robust anti-drug campaign, arguing that 18,000 Indonesians die from illicit drugs each year, though those figures are widely disputed.

As the saga over whether the executions would take place dragged on for months, following ever more desperate legal challenges from the defense teams, Widodo painted himself into a corner.

The widespread Australian perception is that the President owed his power to PDI-P Chairperson and former President Megawati Sukarnoputri. Believed by many to be the most powerful person in the country, some suggest that Megawati insisted Widodo stand by his hard-line anti-drugs policy and stare down Australian pressure -- or lose her support and reputation as a firm leader in the process.

As recently as last year, it seemed that Australian Prime Minister Tony Abbott empathized with the underlying pressures and back-room obligations on leaders.

While working assiduously behind the scenes to argue for clemency for the "Bali Nine" duo, Abbott nevertheless appeared to accept the inevitability of the executions, even as he publicly reiterated Australia's opposition to capital punishment. Such a softly—softly approach was also aided by an Australian public that did not seem overly interested in the plight of Chan and Sukumaran.

All that changed when credible stories began to emerge about the rehabilitation of the two Australian prisoners: Chan becoming a pastor and respected religious example for his fellow prisoners and Sukumaran a passionate painter with impressive talent.

Such was the regard held for the Australian duo that even the governor of the Kerobokan jail where they were kept, Sudjonggo, urged a reconsideration of their impending executions.

As the duo attracted greater public sympathy -- including from a joint statement by the last six prime ministers urging Jakarta to reconsider -- the good, great and popular in Australian society also united behind the plea for mercy.

Under increasing pressure in the polls, the Abbott government began to publicly pursue what it had been doing in private: urging a stay of execution on legal and moral grounds -- even once reminding Jakarta of the over $1 billion worth of aid that Indonesia has received from Australia over the past decade.

Australians have a dim view of how Indonesia has responded.

While Jakarta and many Indonesian people viewed this as typical posturing and moral grandstanding from a developed Western neighbor, Australians began to once again see Indonesia in an unattractive light -- when it was so recently upheld as the shining example of a rising democracy in Southeast Asia.

The hard-line stance of Widodo was seen as the heartless and self-interested actions of a weak and inexperienced president attempting to establish his authority -- at the expense of rehabilitated Australian lives.

Credible accusations by the defense attorney for the two Australians that a lighter sentence was denied to them because of their incapacity to pay the bribe demanded of them from the sentencing judges affirmed perceptions of Indonesia's judicial system as corrupt if not incompetent.

Particularly galling for the Abbott government and Australians was Widodo's refusal to even accept a phone call from Abbott to discuss the issue, and the wall of silence and non-engagement that confronted Australian ministers attempting to plead the case with Indonesian counterparts.

Perhaps the final straw was Indonesia's decision to deploy hundreds of commandos and four naval ships to transport the handcuffed prisoners from Bali to their island for execution -- viewed in Australia as a deliberate backhander by Jakarta to Canberra.

The Abbott government had warned of unspecified consequences should the executions take place, and on Wednesday morning announced the unprecedented recall of Australia's Ambassador to Indonesia.

There are unlikely to be any ministerial visits between the two countries for many months, if not the rest of the year. While Australia is not likely to withdraw aid to Indonesia, Canberra will also ensure that it offers Jakarta no special favors in the immediate future.

Given the degree of ongoing cooperation on important issues, such as terrorism, money laundering and drug trafficking, Australia and Indonesia will continue to work together behind the scenes at the operational levels.

Australia will also need ongoing Indonesia cooperation to stem the flow of illegal boat arrivals to Australian shores and will not want to jeopardize what has already been achieved. For these reasons, the fallout between capitals will be contained.

But while the Indonesian public appears divided as to whether their government acted wisely, the Australian public is united that Jakarta did not. This means that for them, and even as a democracy, the older images of Indonesia as a corrupt, immature and unpredictable neighbor will return.

The opinions expressed in this commentary are solely those of the author.

@highlight

Despite pleas for mercy, Indonesia executed eight prisoners on Wednesday

@highlight

Included two of the "Bali Nine," convicted drug traffickers from Australia

@highlight

Executions will damage relations between countries, but public image will take longer to heal