(CNN) -- If the confirmation process for Loretta Lynch, President Obama's nominee for attorney general, gets significantly delayed, the reason will be pure politics.

Some Senate Republicans, anticipating the day in January when they will have majority control of the chamber, are calling for a moratorium on new appointments until the new Senate is seated. It's likely to be the first in a series of skirmishes between Obama and the leadership on Capitol Hill.

Within hours of Lynch's nomination, the right-wing Breitbart website ran an erroneous story slamming Lynch for supposedly representing ex-President Bill Clinton during the long-ago inquiry into the Whitewater land deal -- but later had to post a correction for failing to recognize that Clinton's defender was, in fact, a different person named Loretta Lynch.

The haste with which conservatives began attacking Lynch suggests she will be in for a tough slog during the nomination process.

But while the politics may slow her confirmation, there's no question that the tough-as-nails prosecutor is ready for the top job at the Justice Department. Any rival candidates the Republicans might put forward will have a hard time demonstrating prowess equal or superior to Lynch's in the crucial areas of prosecuting lawbreakers involved in organized crime, corporate theft, political corruption and threats to national security.

Lynch served two stints as the U.S. attorney in charge of New York's Eastern District, which includes most of New York City (Brooklyn, Queens and Staten Island) as well as suburban Long Island. The office is often overshadowed by the neighboring Southern District, which covers Manhattan and brings high-profile Wall Street prosecutions.

While her flashier colleague in the Southern District, Preet Bharara, gives speeches, holds frequent press conferences and has several press officers, Lynch rarely holds forth in public and reportedly spent months without a press aide after the sole staffer in charge of public outreach retired.

But Lynch did much to put the Eastern District on the map. She mounted successful prosecutions that broke the back of MS-13, a murderous gang that preys on immigrant communities; convicted the underboss of the Colombo crime family; and even revived an old Mafia case by arresting five aging suspects from the all-but-forgotten Lufthansa heist of 1978, immortalized in the movie "Goodfellas."

Wall Street physically falls outside Lynch's jurisdiction, but she mounted major cases against global financial giants engaged in wrongdoing. In 2012, she won a record $1.9 billion in fines and penalties from HSBC, a British bank, for a wide range of violations, including laundering more than $800 million for Mexican drug gangs and illegally doing business with customers in Iran, Sudan and Cuba. Lynch's office also participated in the pursuit of Citigroup for its actions that contributed to the mortgage crash of 2008 -- an investigation that led to a $7 billion settlement.

And Lynch has taken on public corruption cases involving members of New York's power elite. She convicted Pedro Espada Jr., the former majority leader of the New York state Senate, on corruption charges, calling him "a thief in a suit" the day he was hauled off to serve a five-year prison sentence. She is currently prosecuting state Sen. John Sampson, and earlier this year indicted U.S. Rep. Michael Grimm on 20 counts including fraud, embezzlement and perjury.

But Lynch's best-known attack on public corruption came more than a decade ago, when she was part of the team that prosecuted cops who attacked and brutally sodomized a suspect, Abner Louima, in the back room of a Brooklyn precinct house. The prosecution ended in a guilty plea by the main perpetrator, Officer Justin Volpe, who is serving a 30-year sentence.

In addition to rounding up shady pols, violent cops and Wall Street cheats, Lynch took on the all-important issue of national security in the harrowing case of Najibullah Zazi, a terrorist who drove explosives from Colorado to New York City with the intent of setting them off in the subways. Zazi almost pulled off the horrific attack -- he was stopped on the George Washington Bridge, minutes from Manhattan -- but ended up pleading guilty and cooperating with the government. (He hasn't been sentenced yet, but faces up to two life sentences for his crimes.)

All in all, an impressive body of work -- one that Lynch compiled with a professional modesty that is rare in New York's tough, competitive legal and political circles.

She will now find herself caricatured and criticized by power brokers in Washington who are determined to hamstring the president. One likely avenue of attack is Lynch's time in the private sector: Between 2001 and 2009, she worked as a corporate attorney specializing in compliance work for big banks and briefly served on the board of the New York Federal Reserve Bank.

"She swims in the same pool as the moneyed elite, and her actions don't pressure them too deeply," writes David Dayen in Salon, echoing the oft-heard complaint that even multibillion-dollar settlements of the kind Lynch negotiated rarely result in any specific person going to prison.

"It's just not that likely Lynch would have the will to crack down on malfeasance in the executive suites, which could implicate her colleagues and friends," writes Dayen. "It's not corruption, more like mindshare."

That sort of criticism unites left-of-center Occupy Wall Street activists and conservatives who -- determined to find fault with anything Obama does -- accuse the White House of crony capitalism and aim special venom at ex-Treasury Secretary Timothy Geithner (whose rise to his pre-Treasury job of president of the New York Federal Reserve was aided by Lynch; as a board member, she cast a vote to give Geithner the post).

So Obama's nominee is in for a wave of criticism that might drag confirmation proceedings into 2015. We shall see if Lynch -- who has locked up enough terrorists, gangsters and political crooks to fill a few subway cars -- has the grit and gumption to master political combat inside the Beltway the way she has mastered legal battle in the courtroom.

@highlight

Errol Louis: AG nominee Loretta Lynch faces political hurdles on way to confirmation

@highlight

Conservatives attack her to hurt Obama, he says; some on the left say she's cozy with Wall St.

@highlight

He says she's successfully prosecuted organized crime, corporate and political corruption

@highlight

Louis: She put would-be terrorist in jail; confirmation process will be new test of her grit