(CNN) -- Flight MH-370 may go down in history as one of most incredible aviation mysteries. The cruel reality is that even though we have a fair amount of information now, we still know so little.

Malaysian Prime Minister Najib Razak informed the families of the victims that the plane had crashed into the remote south Indian Ocean, and all 239 people onboard are presumed dead.

That tragic but not unexpected conclusion was based on data analysis by satellite company Inmarsat, which Malaysia now says was able to track Flight 370 until the signal ended very near where searchers are now hunting for plane wreckage.

The location tells a lot about what might have happened to the doomed flight while telling us not a single detail about why it crashed.

The presumed location of the wreckage makes it all but impossible for certain scenarios to have played out as many observers insisted they must have.

The first thing to understand is altitude is everything. A turbofan powered jet like the Boeing 777-200ER relies on altitude to make good on its ultra long-range capabilities. At its normal cruising altitudes from around 35,000 to 40,000 feet, the 777 can fly very long distances, in excess of 11,000 miles. But it seldom flies long routes.

Flight 370 search unites global community

On its trip from Kuala Lumpur to Beijing, the plane would have had, according to investigators' projections, around seven hours of total endurance at a normal cruising speed of around 600 mph -- just enough to have flown its suspected flight path north for 40 minutes, west for around that much time again, and then south for many hours.

At lower altitudes, turbofan engines like the Rolls-Royce engines on the Malaysia Airlines airplane, burn substantially more fuel than they do at typical cruise altitudes -- as much as twice depending on the altitudes one uses for comparison.

The increase in fuel burn will greatly reduce range, making it impossible for Flight MH-370 to have reached the southern Indian Ocean at a low altitude. It would need to have flown at a much higher optimum altitude in order to make it that far.

Pilots can reduce the power to cut back on fuel flow, of course, but that also reduces airspeed, which again reduces range.

There's no winning when it comes to flying a turbofan-powered airplane: If you want to fly far, you need to fly high.

So the fuel required for MH-370 to have reached the presumed crash location around 1500 miles west of Perth, Australia, means that the airplane did not do a lot of climbing or descending after it deviated from its original planned route to Beijing while it was still an hour or so north of Kuala Lumpur.

So if there was a struggle for control of the flight -- whether it was mechanical issues or a hijacker -- it could not have lasted long or involved great altitude deviations.

This means it's hard, though not impossible, to explain the disappearance as being the result of a mechanical or electrical failure. Such a scenario, as I've been saying since the beginning of the mystery, would require a kind of mechanical magic bullet, an event that would have taken out the transponder and ACARS radio, as well as the voice communications radios. Why else would they not have communicated the emergency?

Pilot: How mechanical problem could have downed Flight 370

Then one must accept that such a failure chain could then allow the crew -- or skilled intruder-- to be able to drive the airplane around the sky for a protracted period of time, eventually pointing it south, in the opposite direction from where the airplane was originally headed.

Let's remember, too, that the airplane would have to maintain an altitude sufficient to allow it to reach the southern Indian Ocean. All this must also have left the 777 in good enough shape to fly for another six hours or so before crashing.

A failure of the pressurization system might account for the scenario, but only if the pilots completely mismanaged their response to the emergency. The 777's backup and emergency oxygen systems are just as intelligently designed as the rest of the jet's redundant systems.

It's also difficult, if not impossible, to explain how the jet could have made the turns it did if the crew were unconscious during that time. Were they desperately trying to find an airport before time ran out? If so, they would have done two things they didn't do: They would have communicated the emergency and they would have descended. Neither of those things happened.

While it's horrific to imagine, a botched hijacking or failed pilot commandeering of the airplane are still the most likely scenarios.

Only when searchers have located and recovered the wreckage, as we all desperately hope they do, will we have our first good clues to what have might have unfolded on Malaysia Airlines Flight MH-370.

The opinions expressed in this commentary are solely those of Robert Goyer.

@highlight

Robert Goyer: Flight 370 may be remembered as one of the biggest aviation mysteries

@highlight

Goyer: Presumed location of the plane wreckage rules out certain scenarios

@highlight

He says the best explanation is still a botched hijacking or failed pilot takeover of plane

@highlight

Goyer: Mechanical or electrical failure cannot alone account for what we know