(CNN) -- Make no mistake. A handshake is just a handshake.

Fifty-year-old geopolitical conflicts don't turn on a dime. American foreign policy isn't an Etch A Sketch where you get to wipe the board clean in every news cycle. Between countries, as with people, grudges and hard feelings don't fade easily.

These things are true no matter how eager some in the media are to give President Barack Obama's sagging job approval rating -- just 41% in a recent Gallup Poll -- a boost by likening him to Nelson Mandela.

Seriously? There is far-fetched, and there is farcical. Comparing Obama to Mandela falls into the latter category.

And all because of a simple handshake? Obama briefly shook hands with Cuban President Raul Castro at the memorial for the former South African president. Now everyone in the media wants to know if there is a thaw in U.S.-Cuba relations. The preferred narrative is that as Mandela healed the breach between white and black South Africans, perhaps Obama will now heal the relationship between the United States and Cuba.

A columnist has to know his limitations. Whenever I write about Cuba, the first thing I have to overcome is my sense of ambivalence. I'm a Mexican-American living in Southern California, not a Cuban-American living in South Florida. The only Castro brothers I get worked up about -- Julian, the mayor, and Joaquin, the congressman -- live in San Antonio, not Havana.

Not that I don't understand why my Cuban-American friends still hold a grudge and take a hard line against the Castro regime, just like their parents and grandparents before them.

For instance, I wasn't at all surprised that Republican Sen. Ted Cruz of Texas -- whose Cuban-born father was imprisoned and tortured in the years before Fidel Castro rose to power and who traveled to South Africa to pay his respects to Mandela as a champion of freedom -- walked out during Raul Castro's speech.

Nor was I surprised when Republican Rep. Ileana Ros-Lehtinen, who was born in Cuba, cross-examined Secretary of State John Kerry during a congressional hearing.

"Mr. Secretary, sometimes a handshake is just a handshake, but when the leader of the free world shakes the bloody hand of a ruthless dictator like Raul Castro, it becomes a propaganda coup for the tyrant," she said. "Raul Castro uses that hand to sign the orders to repress and jail democracy advocates."

Kerry insisted that there was no change in U.S. policy toward Cuba, and that Obama had been clear in his remarks at the memorial that all nations had the duty to uphold "the basic human rights of their people" and that Cuba isn't doing that.

Cuban-Americans are right to keep up their efforts to draw the attention of the international community to the atrocious human rights record of the Cuban government and the systematic abuse that the regime inflicts upon its own people.

Eventually, as I thought more about the handshake felt around the world, I finally put my finger on what was bothering me about the Obama-as-Reconciler-In-Chief storyline.

Three things.

First, aren't liberals and other Obama supporters -- the very people who are now advancing the idea that the handshake was an example of "Mandela-style" reconciliation -- the same folks who have spent the past few weeks focused on the botched rollout of Obamacare complaining that the expectations on Obama are too high? So now what do they do? They raise expectations even higher. This makes no sense.

Next, I'm not even sure that Obama knows how to bring people together. In his five years in office, he has mastered the art of division. He pits the poor against the rich, the elderly who help run up staggering deficits against the young who will someday have to pay them off.

Finally, I think of one other handshake between Obama and a Latin American leader that led, well, nowhere.

In April 2009, just a few months into his presidency, Obama shook hands with Venezuelan President Hugo Chavez at the Summit of the Americas. Chavez clashed often with George W. Bush, and so he probably couldn't have been happier to be rid of him.

But, just a little more than two years later, in December 2011, Chavez attacked Obama as a "clown" and an "embarrassment." He also sent a message to Obama, telling him that he should "focus on governing your country, which you've turned into a disaster" and "leave us in peace ... Go after your votes by fulfilling that which you promised your people."

What set Chavez off were comments that Obama made during an interview with the Caracas-based El Universal newspaper in which he criticized Venezuelans' business and political ties to Iran and Cuba and raised concerns about the Venezuelan government, which had, Obama said, "restricted the universal rights of the Venezuelan people, threatened basic democratic values and failed to contribute to security in the region."

Obama was in the right. Everything he said in that interview was true.

And, unlike handshakes that quickly fade from memory, the truth endures.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Make no mistake, a handshake is just a handshake

@highlight

Navarrette: President Obama's handshake with Raul Castro is no big deal

@highlight

He says it does not mean that U.S.-Cuba relations will change for the better

@highlight

Navarrette: Let's keep in mind the atrocious human rights record of Cuba