(CNN) -- What role did Pakistan play in the operation against Osama bin Laden?

I would be surprised if Pakistan played a significant role in the operation to apprehend and kill Osama bin Laden, based on the fact that the drone strikes that the U.S. conduct in the tribal areas are done covertly, the authorities in Pakistan are not informed until the very last minute, because of the fear of information leaks.

An operation of this scale in the central urban heartland of Pakistan would mean that information would be kept on a need-to-know basis. Only a few people within the CIA would have known about this operation, it would definitely not have gone out to another country's intelligence agency, especially when there's so little trust with the ISI [Inter-Services Intelligence, the Pakistani intelligence service].

There has been a deterioration in relations at a strategic level -- the ISI leaked out the name of the CIA station chief in Islamabad, and a person working out of the U.S. embassy was detained by the Pakistani authorities, allegedly working for the CIA.

The fact that the U.S. has been conducting drone strikes is an illustration of the fact that there has been little cooperation -- if not none -- with the Pakistani authorities.

We've seen the evolution of relations between Pakistan and America go from 'frenemies' to outright enemies.

Historically, have the U.S. and Pakistan had good ties?

The relationship has always been problematic, flawed, lacking trust. It goes back to during the time of the Soviet occupation of Afghanistan: The U.S. and the West turned to Pakistan to provide and assist the Mujahideen in removing the Soviets from Afghanistan.

There was a strategic relationship, but following the Soviets leaving Afghanistan, that relationship went into suspension.

It was only restarted following 9/11: The Bush Administration turned to General Pervez Musharraf, the military ruler of Pakistan, who at that time had become a social pariah.

He was asked to round up the leadership of al Qaeda, of the Taliban, to prevent them from creating an infrastructure inside Pakistan. In return Pakistan would be rewarded with generous aid from the United States and other countries.

Musharraf was very skilled at saying all the right things, but doing virtually nothing, and that scenario continued, from 9/11, right up to the end of Musharraf's tenure as ruler of Pakistan in 2007.

It took a long time but the U.S. finally began to realise that the promises the Pakistanis were making were empty promises: Nothing of real tangible significance was achieved. Information that was being shared ended up being passed on to al Qaeda, and counterterrorism operations were therefore flawed.

The Obama Administration disagreed with the Bush Administration on issues like Iraq, Guantanamo Bay, but the one issue they absolutely built upon was on the drone strikes policy, because if they couldn't deal with al Qaeda on the ground, they would try to tackle them from the skies. Drone strikes were increased substantially under the Obama Administration, because there was this lack of trust.

The perception was that the U.S. would support Pakistan publicly while pressurising them privately. Over time we've seen the public support wane. Secretary of State Hillary Clinton, in Pakistan last year, made it clear that she could not believe that the authorities in Pakistan did not know where bin Laden was.

What has the reaction been in the region to news of bin Laden's death?

Keep in mind the fact that there are protests when drone strikes take place in the tribal areas. This operation to take out Osama bin Laden was near the urban heartland of Punjab. This is the core of where the military establishment is from, so there is going to be a falling out.

Publicly, the Pakistanis will try to make out that they were aware of the operation, and that they played a role in it. Privately, they will be seething that this was done on their territory.

And there will be protests. The radicals and the extremists inside Pakistan --whose infrastructure has not been dismantled, as Musharraf had promised -- they will organize mass protests. There will be propaganda by the radicals and the extremists to try and exploit the situation.

U.S. interests, U.S. personnel, U.S. embassies and consulates will have to take extra precautions.

If bin Laden's death is of symbolic seismic significance, then the fallout in Pakistan will be equally matched.

There is always a reaction. But keep in mind that the reaction may not come from al Qaeda -- it may come from an affiliate, from the groups that have emerged or are emerging from al Qaeda's shadows: Lashkar-e-Toiba, the Pakistani Taliban, al Qaeda in the Arabian Peninsula.

These groups have the infrastructure, the resources, the personnel and the desire to plot and plan mass casualty attacks, and they may be in a better position than bin Laden's al Qaeda to carry out a reprisal attack.

Will Osama bin Laden's death have a wider impact?

Al Qaeda central is not the group it once was: the drone strikes have been confining their operational space, one by one the leadership has been picked off, they don't have the ability to train people from the West as they once could.

Their resources are depleted, they are not able to replenish their ranks, so Al Qaeda central may not be able to cause a significant reaction, but other groups are potentially in a better position to do it.

There will be problems that will emerge from this -- the worry is that we don't know potentially what they could be, or when.

The silence is going to be the greatest fear, because it's not necessarily that these groups would want to carry out attacks regionally or globally imminently. They may wait, they may bide their time. We're talking about weeks, months.

Al Qaeda's affiliates have always had very long term thinking -- it's not about today or tomorrow, it's about next year.

They won't necessarily want to carry out something that will fail and humiliate the group further.

We also have to bear in mind that bin Laden has been killed, but his deputy, Ayman al-Zawahiri is still at large. He has very much taken on the mantle of issuing al Qaeda's messages: Audio, video, through the internet; and his protégé, Abu Yahya al-Libi is also out there.

They will certainly be issuing a message at some point, trying to create a rallying call for vengeance, to inspire their adherents and followers to take up arms.

Bin Laden may be dead, but his ideology still lives, and the message will continue to indoctrinate young, impressionable minds across the world.

@highlight

Gohel: Pakistani authorities will have been kept in the dark because of a lack of trust

@highlight

Protests and propaganda set to follow the death of Osama bin Laden, he says

@highlight

Gohel: Retaliation attacks are likely, but may not happen immediately.