(CNN) -- Every athlete competing at the London 2012 Paralympic Games has an incredible story to tell, of how they overcame tragedy or a disability they had been born with to be considered the best in the world in their chosen discipline.

But for some the final, bureaucratic hurdle can prove a step too far.

On Thursday it was revealed that the American swimming team's great hope of a gold medal in the pool -- 17-year-old Victoria Arlen -- had been denied a classification to compete.

Arlen had dreamed of making the London 2012 able-bodied swimming team until a neurological disease put her in a coma for two years. When she woke up she was paralyzed in both legs. Yet Arlen continued to swim and this year broke two world records. But after the International Paralympic Committee (IPC) reviewed her case, Arlen was told she could not compete.

It had been decided that Arlen's disability wasn't severe enough. It appeared that she had lost out because of the complex system of disability classification, an essential tool for the Paralympic movement.

Follow CNN's live Paralympics blog

And she's not the only one to suffer. Fellow U.S. swimmer Mallory Weggemann, who lost the use of her legs after a routine epidural injection went wrong, declared she had "lost faith" in the system when her classification was changed just before the start of London 2012.

"I have trained the past four and a half years for these Games and within less then 24 hours before my first race was supposed to start it all changed, everything I had prepared myself for these past four years changed right there and then," said the 23-year-old, who had been hoping to compete for nine golds but can now only go for seven.

Complex

Such is the myriad of different disabilities, and severity of disabilities, each athlete has to be evaluated and placed into a category to compete alongside others of the same potential.

Athletes are placed in one of six main disability groups: those with spinal injuries, cerebral palsy, amputees, the blind or visually impaired, intellectual disabilities and those whose disabilities fall outside of those categories, like those born with dwarfism or multiple sclerosis.

Each of the Paralympics' 20 sports are divided between the different classifications and given a number that denotes the severity of the disability -- 1 being the most severe, 10 the least.

Join the conversation on Twitter #cnnparalympics

"Classification exists in the Olympics as well," explains Dr. David Howe, a former Canadian Paralympic middle-distance runner and academic at Loughborough University.

"Men and women don't compete together, and in boxing and judo it's based on weight, but in the Paralympics it gets broken down much more finely.

"So take people with visual impairments. You have the B3 class where someone has 10% vision, B2 class with 5% vision and B1 no usable vision at all.

"It has a huge impact on how you can train. If you have no usable vision you need someone to train with you. If you have 10% they can, and they do, move around on their own. They can train. That gives them a huge advantage."

Talent, not disability

In recent years the IPC has complicated things further by trying to slim down the number of medals and disciplines and look beyond the disability as the defining factor in classification.

Instead, it says, look to the potential of the athlete.

"During classification ... athletes are assessed for their ability to perform in a particular event," the IPC explains.

"'Ability' in this case refers to an athlete's functional potential and is not an assessment of their disability: this is a complete reversal of the old systems that were clinical and medical in origin and often intrusive."

This is why Oscar Pistorius, the South African double amputee "Blade Runner" who made history by becoming the first track and field Paralympian to compete in the able-bodied Olympics -- can line up against runners with only one prosthetic leg.

In the pool on Thursday, China's Zheng Tao won gold in the 100 meters backstroke, destroying the field despite not having any arms.

According to Howe, back when he was competing, the procedure to determine classification was very different and also highly intrusive.

"When you compete for the first time they make sure you are not fiddling the system," he says.

"You have a medical doctor -- I have mild cerebral palsy -- physio and a technical expert. Now they have the ability to examine classification after competition. They used to run them before major competitions and force athletes through them. I refused until after the contest because it can be quite exhausting."

The move towards streamlining the classifications and having less medals to give out also has it drawbacks.

"Swimming is a bit of fiddle," says Howe when asked about the Arlen case. "I was there to see the British lad Jonathan Fox win gold, the roar was amazing.

"But the thing is when they came out (of the pool) he looked the most able. He was the only one not using a stick or wheelchair.

"There's a water-based test and a land-based test, and an element that you are on a performance curve -- and that discourages training. You want to be on the right side of the thin line from the next category. Otherwise you'll struggle."

The politics of classification

But, of course, competitive sport is competitive sport -- and rival teams regularly refer athletes for reclassification if they feel they have an unfair advantage.

The Paralympic movement has also been stung by several high-profile scandals. The Spanish Paralympic basketball team was stripped of their gold medals at the 2000 Sydney Games after it emerged that some of the players weren't properly tested and were not intellectually disabled. The controversy saw the entire category of intellectually disabled sport withdrawn from the next two Olympics. It is only now, in London, making a comeback.

"There's a huge amount of politics in classification," agrees Howe.

"I was never asked as an athlete, 'Do you think the contest was fair?' For the athletes (like Arlen) it can be hell. When this does happen the athletes come together 'Band of Brothers' style."

Arlen returns

In the end that is exactly what happened to Victoria Arlen. After an outcry the IPC reviewed the evidence again and cleared her to compete in this weekend's 400 meters heats, one of the most anticipated events at the Games. But it is unlikely to be the last time the issue of classification hits the headlines.

"I've been involved since 1986 and it's always been an issue," says Howe.

"It's getting much better. But I worry that by bringing in less categories they (the IPC) are trying to be more media friendly. If it is fair, fine, but I am against that if that stops different impaired bodies being involved.

"We must not forget that, first and foremost, the Paralympics is about celebrating difference. It's not about ability versus disability."

@highlight

The issue of disability classification at the Paralympics has caused controversy

@highlight

Each athlete is placed in events according to disability and ability

@highlight

Two U.S. swimmers battle ruling body after classifications are changed

@highlight

IPC trying to slim down the number of medals and disciplines at the Games