The last Paris Motor Show was marked by tear gas and workers' violent protests against job cuts. Now, the mood is different and industry bosses are back doing what they prefer: Showing off the latest luxury models, supercars and hybrid motors.

Among the most anticipated cars at this week's event -- one of the biggest dates in the car enthusiast's diary -- will be a plug-in hybrid Lamborghini, Ferrari 458 Speciale, Mercedes AMG GT, and a five-door MINI.

Manufacturers will unveil around 100 new models and designs, three times more than at the last show two years ago.

Europe, while still fragile, has shaken off the financial crisis and the auto industry has seen a 6% boost in car sales so far this year, to 8.3 million. It's the largest increase since the crisis began in 2007.

Recovery faces hurdles

European sales were badly damaged by the recession, as people who already owned a vehicle put off buying a new one to cut their spending.

New car registrations plummeted throughout Europe, with its most troubled economies facing the biggest drops: Registrations declined 80% in Greece, 57% in Spain and 53% in Portugal.

But as sales have picked up, geopolitical pressures have put the industry under renewed strain. The West's trade war with Russia has had a significant knock-on effect, and sales are expected to slow in the year's final months.

Before the Ukraine crisis, Russia was tracking to become Europe's largest car market, expected to surpass the UK and Germany by 2016.

Instead, analysts expect that sales this year will decline between 8% and 12% this year. Latest monthly figures, from the Association of European Businesses, show sales in Russia plummeted 25.8% in August compared to last year.

Efficiency first

While recent gains have lent an upbeat atmosphere to this year's show, long-terms trends make for miserable reading. Car sales in Europe are nearly one fifth below the peak of late 2000s, and manufacturers are being forced to look for new growth areas.

More efficient, hybrid and electric cars are seen as central to growth and a "technology race" is underway between European brands, according to Felix Kuhnert, PWC's head of European automotive industry division. New, "greener" hybrid models are expected to be among the show's most coveted creations.

Lamborghini is unveiling its first ever plug-in hybrid supercar, the 910 horsepower Asterion, which boasts a V10 engine and three electric motors.

Japanese luxury brand Infiniti will reveal plans for its flagship sedan, the hybrid Infiniti Q80. Jaguar will premier its XE, the most fuel-efficient of its stable to date. And Porsche is bringing a new plug-in hybrid version of its premium SUV Cayenne.

European manufacturers are plunging money into research and development initiatives towards alternative drivetrains, lightweight construction, and other efficiency technologies, as they bid to attract new customers, Kuhner said.

According to Kuhnert, the "old and inefficient" cars clogging up Europe's highways will be replaced "as soon as the economic outlook in each country becomes more positive."

Focus on Asia

Industry focus has also turned to Asia, as the middle classes boom and spending power increases. China is proving an attractive market for car manufacturers, despite concerns around the introduction of quotas and restrictions on new car registrations to combat pollution.

The numbers are impressive: BMW sales in China were up 23% in the first half of 2014, pushing the group's sales in the period to 1 million.

But the growth in Asia will not be driven by China alone.  Sales in Indonesia and Thailand are increasing with Indonesia's new car sales doubling between 2007 and 2012 and staying strong since.

Many car makers have also moved parts of their production to Asia, in a bid to cut costs by producing where they sell.

@highlight

Paris Motor Show kicks off as car giants take the stage to present new models

@highlight

Focus will be on greener and more efficient cars, as manufacturers try to capture new customers

@highlight

European car market shows signs of recovery, but Asia remains the growth center