NAIROBI, Kenya (CNN) -- Soldiers, insurgents and bandits routinely target civilians in Somalia for rape, robbery and murder, according to an Amnesty International report released Tuesday.

Somalis run through the streets of the capital, Mogadishu, on Monday to protest food prices.

The report said civilians are caught in the middle as Ethiopian soldiers and troops of Somalia's Transitional Federal Government battle remnants of the Islamic Courts Union, which the Ethiopian forces ousted in 2006.

Amnesty International, which included in its report interviews with dozens of refugees who recently fled the East African country, called for international help and pressure to end the violence.

"It was like living in constant fear, fear of RPGs [rocket-propelled grenades] that can reach you," said Aasha, a young female refugee quoted in the report. "If you go out on the street someone could rape you. But someone could also come in your door and slaughter you." Read full report -- (PDF)

Aasha said she fled the lawless capital of Mogadishu after her brother was killed when Ethiopian soldiers retaliated for a militia attack.

Amnesty International said it found "established patterns of violations of human rights and international humanitarian law including rape and unlawful killings of civilians in neighborhoods of Mogadishu by all parties to the conflict in Somalia, most notably TFG and Ethiopian forces."

The report cited an estimate that 6,000 Somali civilians were killed in 2007 and that 600,000 have become refugees because of the violence.

"Among the most common violations reported were an increased incidence of gang rape, and scores of reports of a type of killing locally referred to as 'slaughtering,' or 'killing like goats,' " the report said. One December slaying was described "where a young child's throat was slit by Ethiopian soldiers in front of the child's mother."

"I saw girls get raped in my neighborhood and on the streets," said Butaaco, 30, a refugee from Mogadishu. "I saw people get slaughtered. I saw people killed in their houses, their bodies rotting for days."  Watch what violence is doing to Somali children and families »

Amnesty International said that in many cases when Somali government and Ethiopian forces couldn't find militia collaborators, then "they beat, arrested or killed someone other than the person they were looking for."

"In many other cases, TFG and Ethiopian forces would sweep entire streets, moving door to door, beating or shooting those they found in areas from which armed groups were believed to have launched attacks, or areas presumed to be armed group strongholds," the report said.

Civilians are "frequently caught in indiscriminate fire" from Ethiopian snipers on top of buildings, it said.

Qamaan, 44, said a woman he knew was shot to death by Ethiopian soldiers while she sold gas at a market.

"She called her family on her cell phone ... as she lay in the street, but no one could come close enough to rescue her because of snipers," Qamaan said.

Amnesty International documented an increase in attacks by Ethiopian soldiers against civilians in November and December. These followed an incident in which bodies of Ethiopian soldiers were dragged through the streets of Mogadishu.

Guled, 32, a refugee from Mogadishu, described seeing neighbors with their throats slit and bodies left in the street.

"Some had their testicles cut off," Guled said.

He said a newlywed woman who lived next door to him was raped by more than 20 Ethiopians.

"Our main problem is communication," Guled said. "The men do not speak our language; they start screaming and we can't tell them we don't understand."

Hibo, 52, a mother of 11, said Ethiopian soldiers killed her husband and two sons after they searched the older man, found some money and took it. She said she saw the killings from a window.

"One of my sons cried out, 'Don't take this, we don't have anything else at home for my mother and the other children.' One of the soldiers beat my son, and my husband responded by trying to protect him. The soldier beat my husband, and my other son grabbed onto him. The soldier took out his gun and shot him."

Amnesty International said that armed groups, including remnants of the Islamic Courts Union, act "as bandits, perpetrating raids, robberies and other abuses against civilians, including rape and other forms of sexual violence."

Refugees said the militias are not usually visible, but they launch hit-and-run attacks on the Somali government and Ethiopian forces. Those forces respond with artillery fire, frequently destroying entire neighborhoods.

The crisis is compounded by threats and attacks on human rights workers and journalists who try to stop the violence, the report said.

"I couldn't tell who to beware of and careful of -- the Ethiopians, the TFG or local national resistance groups," said Bilan, a journalist with Radio Simba.

Even those who flee Mogadishu for temporary refugee camps in Kenya or Somaliland -- a self-declared independent region to the north -- are targeted by bandits and soldiers, the report said.

"On the road from Mogadishu, there are robbers who come and take your money or just fire directly at the buses," one female refugee said. "Sometimes there are roadblocks where they stop and ask you for money. If you don't stop, they will kill you."

Haboon, 56, said Ethiopian soldiers abused people with whom she was fleeing the country.

"If the girls were pretty, they would try their best to take them from you," Haboon said. "I was trying my best to cover the girls so they wouldn't see them."

The report said refugees arrive at temporary settlements with nothing but the clothes they wear, robbed of all money and possessions.

Amnesty International said the recognized government of Somalia "bears the primary responsibility for protecting the human rights of the Somali people.

"However, the Ethiopian military, which is taking a leading role in backing the TFG, also bears responsibility," it said.

"Attacks on civilians by all parties must stop immediately," the report said. "Also, the international community must bear its own responsibility for not putting consistent pressure on the TFG or the Ethiopian government to stop their armed forces from committing egregious human rights violations."

Zembkun Tekle, a spokesman for Ethiopia's minister of information, said, "We are not confident on the report that Amnesty is giving.

"They should be careful and need to see the facts on the ground," Tekle said. "They should make every effort to include [the] other side of the story."

He said, "Our forces are not known for robbery and other problems that are facing the Somali people.

"They are known for their discipline and [known] for their good relations to the public."

Amnesty International called for the United Nations to beef up its Political Office for Somalia. It also urged the African Union's mission in Somalia be given a mandate "to protect civilians and include a strong human rights component with the capacity to investigate human rights violations." E-mail to a friend

CNN's David McKenzie contributed to this report.

@highlight

Amnesty International finds "established patterns of violations of human rights"

@highlight

Civilians are "frequently caught in indiscriminate fire" from Ethiopian snipers

@highlight

Report cites estimate that 6,000 Somali civilians were killed in 2007

@highlight

Ethiopian official: "We are not confident on the report"