(CNN) -- An eighth case of meningitis has been reported at Princeton University, the school said Friday, the latest in a string of cases reported this year.

"Health officials will be conducting tests to determine if this latest case is related to the seven cases of meningitis associated with the University since March," university spokesman Martin Mbugua said in an e-mail.

A female student at the New Jersey-based Ivy League school was taken to a local hospital Thursday after developing symptoms Wednesday night and is receiving treatment.

All seven other cases of meningitis found at Princeton since March were caused by a rare meningococcal bacteria known as serotype B.

Princeton said Monday that the school was preparing to provide a vaccine to protect against this strain of meningitis, pending final approval from the Centers for Disease Control and Prevention. The vaccine for meningitis B is not licensed in the United States, but it has been approved in Europe and Australia.

If the CDC approves, the vaccine would be recommended for all undergraduates and graduate students living in dormitories, as well as other members of the university community with conditions where the spleen is compromised, or certain other immune system disorders.

That would apply to about 5,000 undergraduates and 550 graduate students in dorms, Mbugua said. Additionally, around half a dozen people with conditions that fall under the recommendation would also be affected, although there may be more who have not yet disclosed their conditions, he said.

New Jersey state law requires all students at Princeton living in dormitories to receive a different meningitis vaccine, one that is licensed in the United States. That vaccine protects against some other strains, but not serotype B bacteria.

Two doses of the unlicensed vaccine -- called Bexsero and made by Novartis -- are required to protect individuals against meningitis B. Princeton hopes to make the first two doses of the vaccine available in early December, and the second in February.

Also this week, the University of California, Santa Barbara, reported that three students were being treated for meningococcal disease, and that their cases were caused by type B bacteria -- the same bacteria strain causing the Princeton outbreak.

However, no link has been found between the California cases and those at Princeton, the Santa Barbara County Public Health Department said.

What is meningitis B?

Meningitis is an infection of the membranes that cover the brain and the spinal cord, known as the meninges.

There are two forms of meningitis: bacterial and viral. The bacterial form is rare in the United States, and the group B bacterial strains are even more rare.

Meningitis can spread via the exchange of saliva and other respiratory secretions through kissing, coughing, sharing drinks and living in close quarters, such as in dormitories, according to the New Jersey state health department.

Symptoms can include stiff neck, headache, fever, vomiting, rashes, sensitivity to light and confusion. Untreated, the disease can lead to complications such as hearing impairment, brain damage, limb amputations and death.

Antibiotic treatment of the most common types of bacterial meningitis "should reduce the risk of dying from meningitis to below 15%, although the risk remains higher among young infants and the elderly," according to the CDC.

In 2012, there were 480 cases of bacterial meningitis in the United States, according to the CDC. Of those, 160 were group B.

School activities continue

Several students told CNN that their peers are not overly afraid of getting meningitis, but that it's definitely a topic of conversation.

"I think students do know that it is an important and fatal issue that is spreading on campus - and each student individually decides to what degree to protect themselves," Stephen Cognetta, a junior, said in an e-mail.

He and others said they probably would sign up for the meningitis B vaccine if it becomes available.

"If the vaccine was offered and if there is enough scientific evidence proving its effectiveness, I would take it to reduce risk of infection," he said.

Thanksgiving break at Princeton begins Tuesday after classes, and the semester at "Old Nassau" resumes December 2.

"At this time, the CDC and state health officials recommend that travel plans and activities on the Princeton University campus continue as planned, and the surrounding community can continue to attend events on the Princeton campus," Mbugua said.

Follow Elizabeth Landau on Twitter at @lizlandau

CNN's Miriam Falco contributed to this report.

@highlight

Princeton University reports an 8th case of meningitis

@highlight

Health officials are investigating whether this is related to the other 7 cases

@highlight

CDC preparing to recommend students get meningitis B vaccine

@highlight

That recommendation is awaiting final approval from a review board