(CNN) -- Inside her Oxford, Ohio, kindergarten classroom, Christine Milders has 24 cubbies, 24 tables and 24 seats. It's a perfect fit for her 24 little students, no more.

But come next fall, she expects that number will grow to 30. That's when forced federal spending cuts, also known as the sequester, will kick in and start chipping away at education funding.

"Where will I put six more students?" Milders asked. "My young learners come to my classroom with little or no school experience. I not only need to meet their academic needs, but their social and emotional needs as well."

The government is set to cut $85 billion through the end of the fiscal year, September 30. Of that money, $2.5 billion will be coming out of the Department of Education's $70 billion budget.

Uncertainties surround how these large cuts will affect schools, because the decisions will be made on the state and local levels. But with budget cuts looming, many teachers like Milders are wondering what's left to cut.

Milders, who has taught kindergarten for 17 years, worries that more cuts to education will not only affect her students' ability to learn and grow, but also fears she will eventually be replaced by a younger and cheaper teacher, as she put it. "It happens often," she said.

The 42-year-old teacher is certified to teach kindergarten through eighth grade, but she said because her pay is tied to students' test results, it is difficult for her to move to higher grades. With the often short notice, it's tough to be adequately prepared to prep her students for state tests.

"Many times teachers are not told what grade or building they will be teaching until as little as a day or two before classes begin," she said.

Similarly, Phil Dietrich, a newcomer to teaching from Portage, Indiana, also said he feels left in the dark. The fifth grade teacher said it is hard for him to predict how forced spending cuts overall will affect him and his students.

"In the past, my district has tried to keep budget cuts as far from the classroom as possible. In other words, they have -- and I'm sure will continue to -- make every effort to meet their federal obligations while preserving as much personnel as possible."

But despite his district's previous attempts to keep teachers and staff after budget cuts, the 33-year-old is worried that schools will still be forced to cut vital resources for teaching.

While he's sure many professions have suffered from tightening budgets, he's scared for his students. "I worry that technology which prepares students to compete globally will be seen as luxuries, not necessities, and thereby put our students behind the eight-ball," he said.

Dietrich's worry is justified. American students are lagging behind their international peers in other countries, ranking 25th among 34 countries in math and science, according to the 2009 Program for International Student Assessment.

A study published in 2012 by Harvard University's Program of Education and Governance found that students in industrialized foreign countries were outpacing American students academically. Countries like Slovenia, Colombia and Lithuania were making education gains twice as fast as U.S. students.

Dietrich said he has seen how previous budget cuts affected his school when teachers' aides were let go. To help curb spending, he tries to be more judicious with his limited school supplies.

"Everyone is affected. We're not alone," he said. "If I had time in the midst of all my other grading to grade Congress' handling of this sequester, they would get an 'incomplete.'"

But Congress is not the only player with something to lose in the budget cut battle; President Obama is feeling the pressure, too. Earlier this month, Obama's approval rating took a brief hit because of the budget sequester, dropping from 53% to 49% in the polls, according to Gallup.

Dietrich is disappointed in Washington for letting the budget situation get this bad.

"What I would like Congress to cut is the political theater that has in many ways led to this day," he said. "I see the spending cuts as being symptomatic of a much deeper problem."

Like Dietrich, Vincent Ferraiolo is more concerned with what forced spending cuts will mean for his students than his paycheck. He and his wife are both teachers in Moseley, Virginia, and for the past four years, he said, teachers in his area have endured 2% to 3% cuts to their salary.

"So many of us are right on the edge financially that just 50 to $100 is enough to really hurt," he said.

In the past 30 years, teachers have seen their salaries shrink. On average, teachers make 14% less than other professionals who work in jobs that require a similar level of education, according to the Economy Policy Institute.

Even though the 48-year-old science teacher isn't concerned about his own teaching salary, he fears budget cuts will start trickling into his classroom, where he teaches a handful of special education students.

A loss in funding could mean he could lose his "collaborative teacher;" the two work together so they can spend adequate time with each student individually.

Joshua Saunders also teaches special education students and said he is outraged after learning that forced spending cuts could potentially affect them.

"I don't think cutting special education works with any political ideology," said the 26-year-old teacher from Baton Rouge, Louisiana.

President Obama warned Congress that forced spending cuts would affect special education students and people with disabilities. Special education programs could lose $840 million because of the cuts and 7,200 special education teachers, aides and staff members could lose their jobs.

Saunders has already seen the aftermath of previous budget cuts in his area; he only works four days a week. That happened in 2011 after the district cut one special education position and a teaching position at his school in St. Helena Parish.

As a result, the ratio of students to teachers at each grade level is approximately 25 to one, he said. In a two-hour reading block, Saunders used to spend six minutes with each of his 20 students. But add five children to his classroom, and that gives him less than five minutes per child. "We all need more than that; 4.8 minutes per kid is not a recipe for success," he said.

"I understand fiscal responsibility is important. But these aren't blind cuts," he said. "I see them every day. And I think other people need to see them, too," he said.

Phoenix teacher Bettina Bennett loves her job, but like Saunders, she hates how education always seems to be on politicians' chopping block.

"It's a bipolar world we're living in," she said. "On the one hand, lawmakers are mandating that we up our standards, while on the other they're cutting funding." In her area, the way teachers are evaluated is changing.

Arizona is not alone. More than 23 states are tying teachers' salaries to students' test scores.

"Bottom line is standards are changing, evaluations are changing -- and this is an even bigger deal when you consider we haven't seen salaries keep up with inflation -- while those who control our laws and our budgets are winning elections claiming they will get more accountability, more results out of us while shaving away dollars," she said.

As a high school journalism and film teacher, she worries that elective courses will be the first programs let go because of forced spending cuts. "Add the federal cuts to state and local (cuts) and our future doesn't look so bright, does it?"

But Milders, the kindergarten teacher from Ohio, said the outlook for teachers doesn't have to be so grim if the right cuts are made. She suggested Congress look into cutting school days from five to four.

"Longer days I know, but we could save on electric, water, food, fuel for buses, hourly employees. And let's share administrators," she said.

When she was younger, Milders dreamed of being a teacher, but it's a profession she is struggling to stick with as fears of more budget cuts threaten an already shrinking department.

"Those of us who became teachers to help children realize their full potential as learners are not just frustrated, we are heartbroken."

@highlight

The federal government is set to cut $85 billion this year because of the sequester

@highlight

$2.5 billion will be cut from the Department of Education's budget

@highlight

Teachers are unsure how these budget cuts will affect them and their students

@highlight

Many teachers say they are fed up with Washington putting education on chopping block