The tanking Russian economy seems to be doing little to encourage President Vladimir Putin to repair relations with the West.

In fact, Putin is slipping deeper into a revisionist Cold War mindset, sending the worst East-West standoff in decades into a potentially more dangerous phase.

With Russia's economy on the verge of collapse, Putin could have used his annual marathon news conference on Thursday to show flexibility over Ukraine and to raise the prospect of relief from Western sanctions. But instead, in powerful  rhetoric, he dug in, comparing Russia to a "bear" that the United States and its allies are determined to chain down before ripping out "its teeth and claws."

His comments solidified a cycle of escalating confrontation and recrimination which will see the year end with U.S.-Russia relations at their lowest point since the fall of the Soviet Union. And there is no sign that things will improve in 2015.

That's a problem for President Barack Obama, who is holding a year-end press conference on Friday at which global issues like the tension with Russia will likely come up.

Obama would rather concentrate on foreign policy crises elsewhere. Though Russia is not the Cold War superpower it once was, it can't be ignored: It has 1,600 deployed nuclear warheads and casts a huge geopolitical shadow in Europe. Moscow can also thwart U.S. foreign policy goals vital to Obama's legacy in Iran, the Middle East and beyond.

The White House responded to Putin's news conference by saying that Putin's "revisionist narrative" was troubling "but utterly unconvincing."

"President Putin has repeatedly attempted to shift blame of the conflict in Ukraine and the internal problems that Russia is experiencing away from his own policies," White House spokesman Josh Earnest said.

Obama, meanwhile, risked further irking the Russian leader by signing a bill that gives Obama the power to impose new sanctions on Moscow, though he does not plan to do so right away.

Despite Putin's defiance, the White House is convinced that U.S. and European sanctions on Russia, combined with steep drops in the price of oil, are sending the economy into a tailspin that Putin can't ignore.

Western officials hope that will persuade Putin that the price of his annexation of Crimea and support for separatists in Ukraine is now too great. They reason the economic crunch could turn Russia's middle classes against Putin despite his current popularity, or prompt oligarchs cut off from Western banks to force his hand.

As panic hit Russia's financial markets this week, the central bank was forced into a hurried intervention to hike interest rates to 17 percent and the government stepped in amid fears of a disastrous run on the banks. This stemmed the bleeding but the ruble has still lost more than 50% against the dollar this year, leaving the Kremlin in a bind.

"They are between a rock and a hard place," said Jason Furman, chairman of President Barack Obama's Council of Economic Advisors, adding that the Russian economy was "on the brink of crisis."

But there is a chance that Putin could respond not by offering concessions, as the West hopes, but by stoking nationalism and shows of Moscow's military power not seen since the Cold War.

Trying to prove it's still a global power, the Kremlin has sent its warplanes and ships to test NATO defenses. Sweden expressed outrage last week, saying a Russian military plane with its transponder turned off narrowly missed colliding with a Scandanavian airliner. Moscow denied the incident. Russian officials, meanwhile, are accusing the West of plotting regime change in Moscow.

Despite rising tensions, some of Obama's critics, like Republican Sen. John McCain, want him to supply arms to Ukraine, a step the administration fears would not much help forces vastly outnumbered by Russia's military.

"The argument that I hear from the administration is that we don't want to provoke Vladimir Putin. That is just Orwellian... history will judge this administration incredibly harshly," McCain told CNN in an interview. "The only thing that will dissuade Vladimir Putin from what he is doing is when coffins come back to the families in Russia."

The administration is concerned that imposing more U.S. sanctions unilaterally could fracture the united front with Europe, which has much greater exposure to the Russian economy.

Europe has generally been more reluctant to maintain sanctions than Washington, and some experts believe one Russian tactic could be to pull back forces from Ukraine's border and back peace talks between Kiev and separatists to further soften European resolve.

U.S. officials and western Russian experts are also anxious about Putin's state of mind.

People who have met and studied him argue that his strategic choices are distilled from a worldview that insists the West is depriving Russia of its rightful role as a great power.

"We are concerned that the frame just doesn't seem to track with events on the ground," said a senior administration official.

"That's one of the reasons why world leaders do continue to reach out and talk to appropriate Russian interlocutors," the official said. "It is a matter of concern."

In a phone call in March, German Chancellor Angela Merkel told Obama she questioned whether the former KGB agent was in touch with reality. He is "in another world," she said, according to the New York Times.

Fiona Hill, a Brookings Institution scholar and author of an acclaimed book on Putin, says the Russian leader's anti-Western instincts have hardened since he returned to the Kremlin as President in 2012.

"Putin projects onto us the kind of actions he would take — believing that the CIA Cold War operations are still in place. He understands the world from a different vantage point. He is acting within that on the assumption that we are at war."

Obama, already beset by foreign policy problems, has no desire for a new Cold War and says Russia's actions are simply not in its own interests.

But the world looks a lot different to Moscow.

"This insistence that Russia is headed in a disastrous direction, that Putin needs to recognize that and reverse course implies an expectation that at some point, Putin will realize that and give in to the West's pressure over Ukraine" said Matthew Rojansky of the Wilson Center. "He has sent implicit and explicit messages to the West that that is not going to happen."

Along with sanctions, the West hopes another, more personal tactic will break Putin's resolve -- depriving him of the recognition he craves of the world stage.

Putin left the G20 summit in Brisbane last month after he was given the cold shoulder by many world leaders in a nation still mourning 28 Australians among the dead when a Malaysia Airlines plane was shot down over rebel-held Ukraine in July.

"I think they are getting the message," the senior official said. "Putin got it very clearly. His body language was quite clear."

@highlight

Putin's annual press conference spikes tensions

@highlight

Russian leader doubles down despite economic crunch

@highlight

Obama under pressure at home to take harder line