(CNN) -- The recession in Europe is entering its fifth year and unemployment doesn't look like it will be returning to normal levels anytime soon.

In the countries with debt problems, especially Greece and Spain, unemployment skyrocketed in the last couple of years and is now at unprecedented levels. One in two young workers is out of a job.

Are we losing a whole new generation of young workers? Are we wasting hard-earned skills?

Some countries are actually doing better than in previous recessions. For instance, unemployment in Germany and the Netherlands is no longer a big problem. But the countries that are doing better tend also to be the countries whose sound fiscal finances allowed them to avoid a deep recession.

It is clear unemployment will not recover fully before the debt crisis is over and Europe's economy improves.

Read more: Portuguese head to Mozambique to escape eurozone crisis

The fiscal consolidation programs, although necessary in the long term, are making the unemployment problem worse -- and policy is needed to offset their impact on jobs.

The policies needed to combat unemployment go against the thrust of fiscal consolidation; it is not only an economic problem but a serious social problem.

Read more: Spain braces for protests as budget cuts are unveiled

Deep recession and high unemployment tear into the fabric of society. Unemployment causes misery to families, destroys their self-esteem and wastes their potential. It is both a waste and a regression.

Jobless youth often feel rejected by society, and react either by withdrawing, by wasting themselves or by lashing out violently, as we have already seen in some southern countries. Spending money on policies that can combat the problem until the economy recovers is a good investment in the future of our societies.

Read more: Greece: When anger goes beyond despair

It is a better investment than building a new road or airport. The road construction can be postponed without lasting damage to the project; a job cannot be postponed without lasting damage to the person.

Read more: Could derelict airport be Greece's economic savior?

For the young, excluding the education and training budget from the fiscal consolidation programs is essential. I would go further during recession and stress the importance of increasing spending on training and job subsidies for new job creation.

Two measures that helped Germany keep youth unemployment low are apprentice training and subsidized employment for young people, including self-employment.

There is a lot of creativity and entrepreneurship in young people that can be unleashed if initial financing can be found. Governments can help in this, just as they help with student loans.

I am in favor of extending the student loan scheme to start-ups by young people, subject to approval of the start-up by the appropriate government department. In recession the government should become the "angel" of young entrepreneurs.

Read more: Why Hollande must show clearer leadership

Unfortunately if left alone employers will not create enough jobs in recession to keep unemployment low.

Of course, to some this is the essence of recession but the jobless rate depends also on many other factors, not just on the fall in demand.

Just as government should help reduce the impact of recession on unemployment through programs, workers and their unions should be prepared to take pay cuts and share out work in recession.

The alternative is much worse: it shifts the burden of recession onto the few who have been unfortunate enough to lose their jobs. It is appalling to hear sometimes that even in recession there are people who earn overtime wages. Work should be shared out, even if it means lower pay for those who would have kept their jobs.

@highlight

Germany keep youth unemployment low by apprentices and subsidized employment, writes Pissarides

@highlight

Pissarides says deep recession and high unemployment tear into the fabric of society

@highlight

The policies needed to combat unemployment in Europe go against the thrust of fiscal consolidation