Johannesburg, South Africa (CNN) -- Organizers of the 2010 World Cup hoped the soccer tournament could provide a catalyst for a "re-branding" of South Africa, and arguably there is no group within the Rainbow Nation that needs this makeover more than the Afrikaner community.

The Afrikaners -- who count Oscar-winning actress Charlize Theron and former athlete Zola Budd among their number -- are descendants of European, mainly Dutch settlers, who moved to the southern tip of Africa in the 17th century.

Making up just under six percent of the population -- numbering around three million from an overall population of nearly 50 million according to the 2007 Community Survey -- it is the white Afrikaner people that were most closely associated with the ruling elite of the racist and oppressive apartheid regime that existed from 1948 to 1994.

"There was a long time that Afrikaners were perceived to be the polecats of the world, it is something we have to live with," Tim Du Plessis, editor of Afrikaans newspaper Beeld told CNN.

"But people [who come to the World Cup] will realize the Afrikaners are very indigenous to Africa. There's a brand new generation coming through who have traveled all over the world. They are not seen as racist Afrikaners they are seen a people of South Africa," he added.

The Afrikaans language, which is the third most spoken in South Africa, like much of the group's culture is entwined with the country's recent divisive past; the plan to enforce the teaching of Afrikaans in black schools sparked the violence of the Soweto uprising of 1976 in which 23 students died after police opened fire.

It was the tradition of Christian conservatism and social conformity as well as the shackles of a problematic past, which drove musicians Francois van Coke and Wynand Myburgh to show a new face of their community through music.

As part of punk outfit F****polisiekar -- which is an expletive-laden Afrikaans' phrase for "go away police car" -- the Cape Town-based band has expressed their situation by singing in Afrikaans since 2003.

"I think with [our] music we were saying we're not part of that whole Afrikaner mentality, our first album was an outlet for that and the songs were quite angry. Things need to change," lead singer and guitarist Van Coke told CNN.

The name, though offensive, was significant for the band members. "If you grow up as an Afrikaner you have those images of cop cars driving around telling you what to do and how to behave, so the name was a way ... of leaving those mental bondages, of growing up in that community, behind," bass player Myburgh said.

"The Afrikaner has always been told exactly what to do ... we rebelled against that and tried to forge a new direction," Van Coke added.

The controversial band's socio-political songs and questioning of the Christian faith have seen them become pariahs in their own community, but as one of South Africa's most popular groups -- who have toured with the White Stripes and Metallica -- they are helping to redefine the Afrikaner.

"There's a lot of talk about our language dying out, there is fear and anxiety that our identity will be lost. My point of view: we've never been pro-Afrikaner or pro the Afrikaans language -- we just are who we are, like or not. The most important thing is for people to give it space to breath, to grow, to allow change.

"Change is good, [the Afrikaner community] should take on a new face. Trying to hold onto what went before, to keep it the same is never going to work. There are a lot of people who are proud of being Afrikaans, and I get a lot of emails saying that because of our music they're proud of being Afrikaner again or that they think Afrikaans is cool," Myburgh added.

While sound-checking for a gig in the bohemian, Melville suburb of Johannesburg, the musicians told CNN the World Cup had helped to alleviate some of the racial tensions that had risen as a result of the murder of right-wing extremist Eugene Terre'blanche. Two black farm workers were formally charged in April.

"Before the World Cup it felt like the country had gone back 15 years, the way things were going. But I think the greater majority of South Africa want a unified country," Van Coke said.

And for a community that is almost defined by an all-consuming passion for the "Springbok" national rugby union team, the irony that a new national image and that unity could be forged via a soccer event, traditionally a black sport, was not lost on skeptical Afrikaners.

"Prior to the World Cup our readers were indifferent to the event. Our sport coverage was rugby, rugby, and rugby; even in the off-season. But now I hear stories all the time of Afrikaans people who were not interested in soccer, glued to their televisions watching the World Cup. Currently we have saturation coverage, and the readers like it."

Du Plessis added the hosting of a big event had resonated with many Afrikaners: "They feel a bit alienated, because it's been a very black dominated World Cup ... and no white footballer played a game for Bafana Bafana, but they feel good that we're showing well on a global stage.

"Afrikaners are fiercely patriotic, they love their country and they want to show their best side to all of the foreign visitors."

Dennis Van Zyl, the 47-year-old chairman of the Old Grey's Rugby Club, is maybe an example of what Du Plessis has noticed from the feedback of his readership.

The six-foot-five, predominantly Afrikaans speaking custodian was a former rugby union professional, playing flanker along side Springbok-greats such as Andre Joubert, Pieter Muller, Victor Matfield and Bakkies Botha in the 1990s.

From the clubhouse based in the Afrikaner capital of Bloemfontein, Free State, Van Zyl told CNN he had been bitten by the soccer bug: "I had never watched football before the World Cup. Now I go home and watch soccer, all the white guys talk football now."

Van Zyl's rugby club -- which has seen 29 of its players go on to play for the national side -- has benefited from booming business over the last month thanks to its fortunate position a short walk from the Bloemfontein Stadium, a venue of six World Cup matches.

Playing host to the throngs of foreign fans who flock to taste the specialty braai'ed (barbequed) meat on offer from the kitchen, has allowed Van Zyl to contribute to what he told CNN was his hope for the most important legacy of the World Cup.

"I would just like all the people who visited our country to go home and say, you know South Africa, it's not so bad. There is a bunch of good guys who are also there."

@highlight

Afrikaners make up just under six percent of South Africa's population

@highlight

Are descendants of mainly Dutch settlers, who moved there in 17th century

@highlight

The group's culture is entwined with the country's recent divisive past

@highlight

Punk outfit F****polisiekar are helping to show new face of their community