Mexico City (CNN) -- Enrique Peña Nieto is the projected winner of Mexico's presidential election, according to a quick count by election officials.

Representative samples from polling stations throughout the country gave Peña Nieto the lead, with between 37.93% and 38.55% of votes, the Federal Election Institute said.

The projected victory for Peña Nieto marks a triumphant return to power for the PRI, which controlled Mexico's presidency for more than 70 years, until the election of the National Action Party's Vicente Fox in 2000.

Criticisms of Peña Nieto and concerns about the PRI's possible return to power have fueled a student movement that has staged protests throughout the country in recent weeks.

But the charismatic 45-year-old former governor has also galvanized fervent support among residents of his home state and party loyalists nationwide.

The frontrunner's campaign platform includes plans to stop the rise in food prices, promote energy reform, give social security to all Mexicans and reduce violence nationwide.

The Consulta Mitofsky, GEA/ISA and Parametria firms also said their exit poll results projected a win for Peña Nieto, with more than 40% of voters saying they cast ballots for the PRI candidate.

In addition to Peña Nieto, three other candidates were vying for the presidency in what officials called "the largest and most complex election day" in the country's history.

Ruling party candidate Josefina Vazquez Mota was trailing in exit polls.

Throughout the three-month campaign, she appeared to be distancing herself from President Felipe Calderon. Her campaign slogan was "Josefina Diferente."

But at a campaign rally Wednesday night, the National Action Party (PAN) candidate praised the "valor" of Calderon's fight against organized crime and made a surprise announcement that she would invite him to be Mexico's attorney general if she wins the presidency.

As preliminary results trickled in Sunday night, Vazquez Mota acknowledged that the trend did not appear to be in her favor.

Andres Manuel Lopez Obrador of the Democratic Revolution Party (PRD) ranked in second place in numerous polls leading up to the election. Sunday night's quick count indicated that he had received between 30.9% and 31.86% of votes.

In the 2006 presidential vote, election authorities said the former Mexico City mayor narrowly lost to Calderon. Lopez Obrador claimed election fraud and never conceded, referring to himself as "the legitimate president of Mexico."

His supporters protested nationwide. In Mexico City, they staged sit-ins and blockades.

On Wednesday, Lopez Obrador told throngs of supporters in Mexico's capital that he was confident that he would "win the presidency again."

Gabriel Quadri of the New Alliance, who lagged far behind in polls before and after the election, praised Mexico's election authorities Sunday night.

"We have very solid, democratic institutions," he said.

In polling centers throughout the country, workers began the day Sunday assembling cardboard voting booths marked with bold black letters saying, "The vote is free and secret."

But some voters said they were afraid of fraud.

From a command center in Mexico's capital, student activists tracked election irregularities reported in local media, and encouraged others to document activities at their neighborhood polling stations.

The monitoring effort was spearheaded by youth who have led a series of social media campaigns and street protests leading up to Sunday's vote.

At the Revolution elementary school near the heart of Mexico City, Martha Rojas Ramos was near the front of the line, waiting for the polls to open Sunday morning.

The 58-year-old flea market merchant, who carried bags of merchandise in her arms as she waited in line to vote before heading to work Sunday morning, said money was tight, and the economy was a key issue for her in this year's election. Peña Nieto, she said, is the right person to solve Mexico's economic problems.

"He is obviously prepared. There was obviously a dirty war against him," said Martha Rojas Ramos, 58.

Critics lamenting the possible return of the PRI to power aren't thinking straight, she said.

"That's all in the past. What's important is that he is young and has all the ability to represent us," she said.

Alejandro Garcia, a 33-year-old accountant, said he supported Peña Nieto's security strategy, which aims to decrease violence in Mexico.

Calderon, Mexico's current president, made combating cartels a top priority when he took office in December 2006. Since then, more than 47,500 people have died in drug-related violence nationwide, according to government statistics.

Garcia said the surge in violence has negatively impacted daily life throughout the country.

"People don't go out as much in the streets. People go inside their homes earlier in the day. ... Now we are seeing things that we didn't see before. Maybe they were going on, but they weren't as open as they are now," he said. "I think (Peña Nieto) is the one to stabilize the country."

Other voters were less decisive about their choices.

"We are voting for the least bad candidate," said Manuel Palomera, a 34-year-old travel agent who said he was casting his ballot for Vazquez Mota.

At one polling station in Mexico City, a 46-year-old attorney from the state of Michoacan was fuming. Thalia Vasquez was one of hundreds of out-of-town voters who went to a special polling place to vote and had to wait for hours.

Shouting matches ensued when people tried to cut in line, she said.

"Imagine how long this is going to take," she said, saying election authorities should do more to monitor the lines outside the polls.

Voters still in line after polls close at 6 p.m. were allowed to vote, election officials said.

Mexicans also cast ballots from beyond the country's borders. On Saturday, election officials said they had received 40,737 absentee ballots from Mexicans living abroad.

For the first time, more than 79 million people were registered to vote, according to election authorities. Among them are 3.5 million young people who will be casting their first vote, the institute said.

More than 2,100 federal, state and local offices will also be decided by Sunday's vote, according to Mexico's Federal Election Institute.

Voters will elect governors in the states of Chiapas, Guanajuato, Jalisco, Morelos, Tabasco and Yucatan. In Mexico City, the nation's capital, residents will elect a new mayor.

Election authorities suspended voting an hour early at nine polls in the southern state of Chiapas Sunday after clashes between political groups backing competing candidates for mayor in the town of Rincon Chamula. Several people were injured, the Federal Election Institute said.

Online and on the streets, Mexico youth protests grow as election looms

CNN's Rafael Romo, Miguel Marquez, Krupskaia Alis and Rene Hernandez and CNNMexico.com contributed to this report.

@highlight

NEW: Exit polls, preliminary official tally show Enrique Peña Nieto in the lead

@highlight

NEW: The ruling party candidate acknowledges results are not trending in her favor

@highlight

Voters cast ballots for federal, state and local offices

@highlight

Authorities call it the "largest and most complex election day" in Mexico's history