(CNN)A little more than 20 years ago, Dubai was an arid desert outpost on the shores of the Persian Gulf.

Today, world famous architecture rises high above the city's streets, vast columns of cars roar along highways that reach out to its ever expanding suburbs while offices for some of the world's largest firms populate the flash new business district downtown.

It has been a truly remarkable transformation in such a short space of time.

The next stage of Dubai's development will see it host the World Expo in 2020, an event that has added a further dose of fuel to the booming construction sector that has made these changes possible.

Residential and commercial property prices are on the rise as a result -- but so are fears of a property collapse like that of 2009 which resulted in Dubai being bailed out by neighboring Abu Dhabi.

Global real estate firm Knight Frank calculates that property prices rose by 27.7% between March 2013 and March 2014, although the speed of this surge slowed in the first quarter of this year.

A new bubble?

According to Masood Ahmed, Middle East and Central Asia director of the IMF, the specter of instability is one that must be monitored closely.

"You do see in an increase in property prices, real estate prices in Dubai and these are things to watch out for," Ahmed said.

"Overall inflation rates in the GCC (Gulf Cooperation Council) ... remain quite manageable, these are the areas you quite rightly pointed out are where you need to keep a vigilant eye."

But alongside these words of caution comes optimism as well.

The IMF predicts approximately 5.5% growth for Dubai between 2014 and 2019. This figure that is expected to rise to 8% in 2020, the year of the Dubai Expo.

Still, the authorities have moved to cool the property market, perhaps aware of the dangers of speculators looking to make a quick buck and driving up prices in the process.

"The Dubai government raised the transfer tax from 2% to 4% (making) property transactions more expensive and less attractive to flippers," said Alan Roberston, regional CEO of real estate and financial services firm JLL.

On top of this "the UAE bank introduced new loan to value proportions on mortgage lending and some of the developers have been introducing their own regulations," Robertson added.

Playground of the rich

But with no corporate tax and stable governance in the Emirate, the well-to-do property investors keep on coming.

Dubai is a growing travel hub between east and west while luxury property like the Palm Islands and year round warm weather ensures it retains a big appeal to the global elite.

Estate agent Patrick Crowe is responsible for some of Dubai's most exclusive properties through his company Luxahabit and believes that high-net-worth clients are undeterred by the rising prices.

"For a lot of our clients the driver seems to be lifestyle." Crowe said.

"Some of our clients are Russian guys ... they like seafront properties so the Palm treats them well. Our GCC clients they like penthouses, Dubai marina downtown that kind of area.

"The Indian (and) Pakistani clients we have they like a bit more privacy so they tend to go for the Emirate Hills properties."

The other Dubai

For those with less cash to splash purchasing sales have slowed, however.

Rents have surged on average by 20% year on year, according to commercial property consultants CBRE Research.

"The issue for Dubai is affordability," said Nick Maclean of CBRE Middle East.

"The cost of living is going up not just housing prices. (Neighborhoods like) Sharjah, Ras Al Khaimah, Fujairah have been beneficiaries of people moving away to seek better value accommodation so Dubai has to be very careful that the affordability gap as we are calling it doesn't get out of control."

Dubai, the remarkable city that rose from the desert sands, is known for its "build it and they will come" philosophy.

It will hope, however, that it won't have to add to the postscript of this charmingly optimistic phrase "but only if you can afford it."

@highlight

Dubai has grown at a rapid pace in recent years as has its property market

@highlight

Residential property prices have risen by 27.7% in last year, according to Knight Frank

@highlight

Dubai authorities keen to ensure property bubble does not develop

@highlight

International investors continue to flow into Dubai, luxury real estate agents say