(CNN) -- Slightly smaller than the U.S. state of Indiana, and with a slowly decreasing population of just under 10 million (1.7 million of whom live in the capital, Budapest), Hungary is a land in thrall to its history.

The horse is still revered here, Franz Liszt is huge and goulash is a soup not a stew.

You may find yourself overtaken in a revolving door, but you'll be made to feel thoroughly welcome -- as long as you don't clink your beer glass.

More: Guide to Hungary's signature dishes

1. It has Central Europe's largest lake

At almost 80 kilometers (50 miles) long, and covering an area of almost 600-square-kilometers (230 square miles), Lake Balaton is so big it's known as the "Magyar tenger" or the Hungarian Sea.

The lake is a favorite vacation destination for Hungarians -- the southern shore, and especially the city of Siófok, is something of a party spot.

The annual Balaton Sound summer music festival is held in the nearby town of Zamárdi.

Families with kids prefer the relatively quiet northern side.

2. Swimsuits are necessities

Hungary has hot water to spare.

There are more than 1,000 natural springs in the country (and the world's largest thermal lake at Hévíz, near Lake Balaton), with 118 in Budapest alone.

On the Pest side of the river in the capital, Széchenyi Thermal Baths (Állatkerti körút 9-11, 1146 Budapest; +36 1 363 3210) claims to be the biggest thermal bathing complex in Europe.

Another good Budapest bathing spot is the art nouveau Gellért Baths and Hotel (Kelenhegyi út 4, 1118 Budapest; +36 1 466 6166), at the foot of Gellért Hill.

3. Hungarians are smart; just ask the people at Nobel

The country has one of the highest rankings, per capita, for Nobel laureates, with 13 winners going back to their first, in 1905 (for physics), and the most recent, in 2004 (for chemistry).

Hungarians have also invented many things, from the biro ballpoint pen (named for inventor László Bíró) to computer science (János Neumann) to Rubik's cube.

As minister of state for economic strategy Zoltán Cséfalvay recently said: "I am very proud to be able to say that everything was invented by a Hungarian."

He was joking.

Sort of.

4. Franz Liszt is still huge

The composer is such a big deal here that, although he was born in what is now Austria, spoke German and French but no Hungarian and died in Germany, they renamed Budapest International Airport in his honor for the anniversary of his 200th birthday, in 2011.

The reason?

The village he was born in was Hungarian at the time, and he described himself as Hungarian.

Liszt Ferenc (in the Hungarian naming convention, the family name always goes first) also has a square named for him in Pest.

Surrounded by trendy cafes and restaurants, it's extremely popular in summer.

5. The 'little gate' is a way of life

Forty years of communism left Hungarians expert at finding what they call "the little gate," an alternative way in, a work around.

They're reputed to be the only people who can enter a revolving door behind you and emerge ahead.

They also have an opinion on everything, so much so that it's said if you have three Hungarians in a room, they'll form four political parties.

6. Goulash isn't what you think it is

The signature national dish is gulyás, which you probably know as goulash.

What's served in Western restaurants, however, is usually a stew, while what you get in Hungary is a soup.

Everyone claims to have the best recipe, with an annual goulash festival held each September in Szolnok (120 kilometers southeast of the capital in central Hungary).

The version at one of Budapest's best known restaurants, Gundel (Gundel Károly út 4, 1146 Budapest, next to Budapest Zoo entrance; +36 1 889 8100), will set you back HUF 3,800 ($17).

Around the corner, you can get a great bowl for HUF 1,900 at Bagolyvár (Gundel Károly út 4, 1146 Budapest; +36 1 468 110; website in Hungarian), which is owned by Gundel but specializes in home-style cooking.

7. Hungarians are addicted to a red powder

There's one element of Hungarian cuisine that's present in every kitchen, from Grandma's to that of the country's first Michelin-starred restaurant, Costes (Ráday utca 4, 1092 Budapest; +36 1 219 0696): paprika.

The powdered pepper is used to spice up just about every dish -- especially goulash.

It's so important it was national news when spice and sauce maker Univer announced in late October that its paprika-based condiments would continue to be made from 100% Hungarian produce, despite a poor harvest.

8. Clinking beer glasses is frowned upon

Walk along Budapest's answer to London's Soho -- the pedestrianized Ráday utca teeming with bars, restaurants and galleries in the center of Pest -- and you'll hear little clinking of beer glasses.

When the Hungarians lost the 1848-49 Revolution and War of Independence, Austrians executed 13 of the most senior Hungarian generals, and supposedly celebrated by drinking beer and clinking their mugs.

Hungarians vowed not to clink beer glasses for the next 150 years.

Although that period ended in 1999, the "ban" is still widely observed, especially among more elderly people.

It's fine to clink wine and spirit glasses.

9. Tokaji is the Wine of Kings

Tokaji is so good that Louis XIV of France called it the "Wine of Kings, the King of Wine."

If you want to take a bottle of the sweet dessert wine home you'll find it in most wine shops -- Bortársaság (Wine Society) has locations across Budapest and the country.

Tokaji is measured by its sweetness, shown by the number of "puttonyos."

A good example of the topaz-colored wine is Tokaji Aszú -- look for four puttonyos or more (the scale goes up to six).

The best Tokaji (also rarest and most expensive) is the Essencia style.

10. Hungarians are sports mad

Hungarians love sports and are extremely proud of the fact that, per capita, the country has one of the highest tallies of Olympic medals (482 across both winter and summer games).

They continue to do well at fencing, swimming, gymnastics and kayaking, but the men's water polo team is exceptional -- you'll find Hungarians gathered around TVs everywhere when the latter are playing.

If you want to get a feel for the Hungarian love of sports (and beer), Champs Sport Pub (Dohány utca 20, 1074 Budapest; +36 1 413 1655), in Pest, is a good venue for watching sport among Hungarians. But be warned, it gets packed for big events.

11. Equestrian traditions are very much alive

The Hungarians rode into the Carpathian Basin -- the central European territory they conquered -- on horseback and have been in love with things equine ever since.

Their famed light cavalry gave English the word Hussar (from the Hungarian "Huszár").

The current coach-driving world champions are the Lázár brothers, who hold regular horse shows at the Lázár Equestrian Park in Domonyvölgy (Fenyő utca 47, 2182 Domonyvölgy; +36 28 576-510), about 35 kilometers from Budapest.

There are plenty of other places throughout the country to take riding lessons or simply go for a hack.

A good choice is the Hilltop Riding Farm (Repülőtéri út 0117/ 15 hrsz, 2100 Gödöllő, Hungary; +36 30 636 8553), in the town of Gödöllő, outside Budapest.

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy

Robin Marshall is a journalist and editor based in Hungary. He's the former managing editor of the Budapest Sun.

@highlight

Hungary has one of the highest Nobel prize counts per capita

@highlight

Paprika is of national importance

@highlight

Here, goulash is a soup, not a stew

@highlight

Per capita, the country has one of the highest tallies of Olympic medals across both winter and summer games