(CNN) -- Picture the glow of medieval squares illuminated by thousands of sparkling lights. Imagine gingerbread-style stalls where artisans offer traditional crafts that threaten to banish gifts of boring neckties and fruitcakes for eternity. Marvel at iPod-toting children falling under the spell of low-tech charms like wooden toys, ice rinks and vintage merry-go-rounds.

By ditching the mall and making the journey to one of Europe's fabled Christmas markets, you can exchange chain stores for cozy wooden chalets, Muzak for angelic choirs and consumer frenzy for down-to-earth local holiday cheer. 'Going to market' remains one of the best ways to see these five fetching cities truly evoke a bygone era, with old world traditions that go as far back as the Middle Ages:

1. Cologne

Germany's reputation for legendary Christmas markets is well deserved -- and this is the granddaddy of them all. With the dramatic backdrop of the famed Cologne cathedral, the Kölner Dom, casting its magnificent shadows on the festive proceedings, the market at the Domplatz is a good place to start. Next, head to the Medieval Christmas Market, where handcrafts and live music compete with a breathtaking live nativity set for your postmodern attention span.

When: 21 November until 23 December

What to buy: Räuchermännchen (wooden dolls complete with smoking pipe), nutcrackers, children's toys, and well-priced charity products whose proceeds go to the needy.

Food and drink: Wash down aromatic baked apples and roasted almonds with the traditional, cinnamon-infused glühwein. Plus, an eco-friendly, fair trade ethos means that you can conscientiously indulge in organic treats.

For the children: At the Alter Markt you'll find a child's winter paradise, complete with a merry-go-round and a puppet theatre. Ice skaters, head to the Heumarkt.

Lonely Planet: The world's hottest cool places

2. Vienna

Come wintertime, Christmas markets in Vienna become as ubiquitous as the city's elaborate Baroque architecture. You'll find the Viennese version of winter wonderland -- at once cosy and elegant -- coming to life in public squares all over town.

After stopping by the popular Christkindlmarkt in front of the Rathausplatz, waltz over to the market in front of the lavish Schönbrunn Palace, the former imperial residence. True to Vienna's storied musical heritage, expect plenty of classical concerts fueling the nonstop city-wide party.

When: mid-November until Christmas Eve

What to buy: Hand-blown glass, jewelry, candles and handmade baby cribs

Food and drink: Key indulgences include apfel strudel, maroni (chestnuts), bratwurst and lebkuchen (gingerbread). To drink? Glühwein or punsch, natürlich.

For the children: Little ones will go starry-eyed at the market in front of Vienna's neo-Gothic Rathaus (town hall), which is decorated as a giant Advent calendar. A hands-on Christmas workshop, pony and carousel rides and a bewitching winter garden also delight.

3. Bruges

The Medieval splendor of this UNESCO World Heritage site, full of serene grace and picturesque canals, only intensifies when December rolls around. Don't skip the awe-inducing Snow & Ice Sculpture Festival, held in a massive thermal tent. Two tips: dress warmly, and plan to do some serious chilling out with a cocktail in the Ice Bar.

When: 25 November until 3 January

What to buy: A fantastic array of Belgian chocolates, along with ceramics (think beer steins), and cozy handmade clothing.

Food and drink: You're in Belgium: have a beer. Why not try one of the rich ales specially brewed for the holidays?

For the children: Keep shopping-weary kids on their toes at the ice skating rink, held on the Market Square.

Lonely Planet: Get steamy with the Finnish sauna experience

4. Strasbourg

In the heart of Alsace, the German-inflected region of France that is said to be home to the first Christmas tree, this gorgeous market is a classic. Since 1570, the Christkindelsmärik has offered serious holiday enchantments, making it the oldest in France. Stroll from Place Broglie to Place Kléber under the glow of thousands of brilliant lights until you arrive at the festival's focal point: the breathtakingly giant Sapin de Noël, or Christmas tree.

When: 26 November to 31 December

What to buy: For Christmas decorations (Strasbourg's been peddling them since 1600) head to the Place de la Cathédrale. Enticing Alsatian food specialties can be found in Place des Meuniers.

Food and drink: While adults savor vin chaud, kids can sip on warm jus d'orange sweetened with honey. Along with plenty of German-inspired treats, try the bredele (Alsatian butter cookies in toothsome flavors like ginger and anise) and maennele, or little brioche men.

For the children: Picture a kiddie paradise: puppet shows, visits by Saint Nicholas, spirited games, ice skating, a crèche vivante (living nativity scene) and even an ice garden with an obstacle course.

Lonely Planet: Dos and Don'ts of Christmas in New York

5. Prague

As snow dusts its gothic spires and its fabled Astronomical Clock chimes in the chilly air, Prague's cityscape transforms into a gothic midwinter fairy tale. While Staroměstské náměstí, or Old Town Square, is always one of the most stunning in Europe, during Christmas it's downright ethereal. Set against the evocative skyline, the towering Christmas tree -- imported each year from the Krkonose Mountains in the North -- conjures an enchanting Bohemian vibe.

When: 26 November until 8 January

What to buy: Hand-carved puppets and wooden toys, Bohemian crystal, Czech glass and ornate ceramic mugs. Or why not buy a live carp -- sold in tubs lining the streets -- to cook up a traditional Czech Christmas dinner?

Food and drink: Grab a traditional fried-dough, cinnamon sugar trdlo washed down with svařené víno (mulled wine) or medovina (honey liquor). Want to ward off the cold with the hard stuff? Many Czechs swear that a shot of the traditional, warmly-spiced liquor Becherovka tastes like Christmas itself.

For the children: Handmade Czech puppets never fail to elicit wonder in even shopping-weary children. Check out the petting zoo and the open-air stage, where children from around the Czech Republic sing and dance in traditional dress with inimitable holiday cheer.

© 2011 Lonely Planet. All rights reserved.

@highlight

Germany's reputation for legendary Christmas markets is well deserved

@highlight

The Viennese version of winter wonderland comes to life all over town

@highlight

The Christkindelsmärik in Strasbourg has offered holiday cheer since 1570