(CNN) -- Beef from Brazil is on Iranian dinner tables. An Iranian-built hospital treats patients near Bolivia's capital. Iranian-funded factories dot the Venezuelan countryside.

Iran has forged hundreds of agreements with Latin American nations and pledged billions of dollars to fund them.

More deals could be in store this week as Iranian President Mahmoud Ahmadinejad embarks on a trip that starts in Venezuela on Sunday and includes stops in Nicaragua, Cuba and Ecuador.

Well before the Iranian leader's arrival in Caracas, his plans for a Latin America tour grabbed global attention as tensions grow between many Western powers and Iran over the nation's nuclear program.

"As the regime feels increasing pressure, it is desperate for friends and flailing around in interesting places to find new friends," U.S. State Department spokeswoman Victoria Nuland told reporters Friday.

But analysts say Ahmadinejad's visit is the latest step in a longstanding, calculated effort to shore up support in the region.

As Iran strives to improve its image, get around stiffening sanctions, dampen America's global influence and secure a stronger foothold in the United States' backyard, relationships with Latin American countries have become increasingly important.

Iran's state-run Press TV described cooperation with Latin American nations as one of the "top priorities of the Islamic Republic's foreign policy" in a recent article about this week's trip.

"Iran has an extremely active diplomatic move afoot," said Larry Birns, director of the Council on Hemispheric Affairs in Washington.

'Cultural ties'

Last month, a film portraying the life of Mary and the birth of Jesus from an Islamic point of view beamed out over international airwaves -- in Spanish.

The movie was the first program aired on HispanTV, according to a report in the Tehran Times.

And the target audience was thousands of miles away from the government-sponsored broadcasting hub in Iran's capital.

At a ceremony marking the station's official launch last month, HispanTV's managers said the new Spanish network aims to paint a true picture of Iran and link the Islamic republic with Latin America.

Other Spanish-language channels are "not independent and only serve the interest of the United States and certain allies," said Mohammed Sarafraz, director of Iranian broadcasting's world service, according to Press TV.

"It's all about cultural ties between Iran and the Spanish-speaking community," network manager Ali Ejaredar told a Press TV reporter.

Online previews of upcoming programming include videos showing scenic stretches of the Iranian countryside, bustling marketplaces and Persian calligraphy. An analyst on one program criticizes Western imperialism, saying "five countries cannot decide the destiny of the world." A guest on another show slams U.S. immigration laws.

Spanish-language headlines on the network's website last week described Israeli spies, foreign intervention in Syria, a report that Japan plans to "disobey" U.S. sanctions against Iran and an allegation that airport security screening machines in the United States cause death.

Stephen Johnson, who directs the Americas program at the Center for Strategic and International Studies, compared Iran's efforts to use the media to improve its image abroad to the U.S.-government-funded Voice of America radio network.

"They're taking a page out of our playbook," he said.

Despite Iran's overtures, there are still rifts to overcome, Johnson said.

Some high-profile missteps have accompanied Iran's increasing forays into Latin America, he said. A requirement that female employees wear the hijab at an Iran-funded hospital in El Alto, Bolivia, drew criticism from local officials. Uruguay's foreign minister condemned statements by an Iranian ambassador who told reporters in the South American country that figures saying that millions died in the Holocaust were false.

Last year, Iran received the lowest ranking out of nine countries in the Latinobarometro public opinion survey, based on interviews of more than 20,000 residents in 18 Latin American countries (not including Cuba). Only 25% of those surveyed said they viewed Iran as "good" or "very good," while 72% said they viewed the United States positively.

"I think with Iran, it's a question of trust as to what are they up to, and what are their nuclear objectives," Johnson said.

Ahmadinejad's 'direct, personal role'

Experts say Iran has been building relations in Latin America for decades.

Cuba was one of the first countries to recognize Iran's government after the 1979 revolution. Fidel Castro made his first official visit to Iran in 2001.

But efforts to forge new business deals and bolster diplomatic efforts have intensified since Ahmadinejad's tenure as president began in 2005.

"He's presided over a really significant expansion of Iranian ties across Latin America. ... Ahmadinejad himself has played a very direct, personal role in that process," said Steven Heydemann, who researched Iran's alliances as part of his work as senior adviser for Middle East initiatives at the United States Institute of Peace.

And it's no coincidence that Venezuela will be Ahmadinejad's first stop on his trip to the region -- his sixth as president.

Despite their cultural differences, the two nations have found significant common ground: both are among the world's top crude oil exporters, and their leaders have become strong allies united by a fierce opposition to what they view as U.S. imperialism.

Even as he announced last week that Ahmadinejad's visit would go ahead as scheduled, Venezuelan President Hugo Chavez slammed the United States, saying that "tensions in the Persian Gulf have been growing in recent hours because of Yankee pressures," state-run VTV reported.

British warship to deploy to Persian Gulf

Venezuela and Iran already have signed more than 270 accords, including trade deals, construction projects, car and tractor factories, energy initiatives and banking programs. Flights began traveling between Caracas and Tehran as the relationship blossomed.

In addition to the numerous deals with Iran under his government, the Venezuelan president has helped the Islamic republic forge relationships with other members of the Bolivarian Alliance of the Americas, an eight-nation regional bloc Chavez founded.

Ahmadinejad's visit comes as those countries continue efforts to craft regional trade and political deals without Washington's influence.

"The countries of Latin America are saying to the world that they have sovereignty and independence. They are not subordinate to the dictates of the international polices of the United States," said Nicmer Evans, a political science professor at the Central University of Venezuela in Caracas.

And now, with the specter of increased U.S. and European sanctions looming, Iran has an even deeper need to reach out, he said.

"The visit by Ahmadinejad to Venezuela and the rest of the countries reinforces on Iran's part that they are not isolated. They are demonstrating it publicly," Evans said.

On a practical level, analysts say Iran is likely looking for financial options.

"It's clear that Iran is being really hammered by the sanctions, and I think that what they're really looking for in Latin America is to develop ways to blunt the effects of the sanctions, particularly with the establishment of financial institutions that will allow them to move their money," said Doug Farah, a senior fellow at the International Assessment and Strategy Center.

Washington's worries

But when it comes to Iran, the U.S. State Department says there is no room for new deals.

"We are making absolutely clear to countries around the world that now is not the time to be deepening ties -- not security ties, not economic ties -- with Iran," Nuland, the department's spokeswoman, told reporters Friday.

Officials in the United States and other Western nations have ratcheted up sanctions against Iran several times since a November report by the U.N. nuclear watchdog agency said the Iranian government was developing the technology needed to build a nuclear weapon. Last month, U.S. President Barack Obama announced sanctions against Iran's central bank.

Iran: Nuclear reactor is weeks from operating at full capacity

Several Venezuelan institutions have also faced U.S. sanctions for dealings with Iran. Venezuela's state oil company, PdVSA, faced U.S. sanctions last year over fuel shipments to Iran. And the U.S. Department of the Treasury sanctioned an Iranian-owned bank in Caracas in 2008.

Some U.S. government officials and Washington analysts allege that Iran could be using new business relationships and energy deals with Latin American countries as a cover for more illicit projects, such as training Hezbollah militants and developing nuclear weapons.

"Iran and its Bolivarian allies (Venezuela, Bolivia, Nicaragua and Ecuador) in Latin America are systematically engaged in a pattern of financial behavior, recruitment exercises and business activities that are not economically rational and could be used for the movement and/or production of (weapons of mass destruction) and the furthering of Iran's stated aim of avoiding international sanctions on its nuclear program," Farah wrote in a May 2011 report for the U.S. Defense Department.

Latin American leaders have repeatedly stressed that any partnerships with Iran have peaceful purposes.

Venezuelan officials made light of U.S. worries in a government statement describing one new Venezuela-Iran partnership in 2008: "atomic" bicycles made at a new national factory.

"The bicycles are known as 'atomic,' in an ironic sense, as a response to the United States' constant attacks of Venezuela for its exchanges with Iran and the supposed transfer of uranium from our country to the Islamic nation," Venezuela's information ministry said in a statement accompanied by photos of Chavez riding one of the bikes outside the factory.

Smoke and mirrors?

The realities of the relationships between Iran and its Latin American allies are difficult to decipher, analysts say, because despite the large number of agreements trumpeted, information about the projects is often hard to come by.

"Half of them evaporate. They simply are forgotten. They don't become operational," said Birns of the Council on Hemispheric Affairs.

Heydemann, of the United States Institute of Peace, said some of the deals may be "smoke and mirrors."

"There's often a lot less happening than the volume of activity would lead you to believe. But it is the case that we have seen these substantial increases in trade relations. ... That's not an illusion," he said.

With so many unanswered questions, U.S. officials will be keeping a close eye on this week's trip, said Johnson, of the Center for Strategic and International Studies.

"It's not an existential threat to the United States," he said, "but Iran's activities (in Latin America) are something that they're watching because of what they could develop into, not because of what they necessarily are today. There's a lot we don't know about them."

Journalist Osmary Hernandez in Caracas and CNN's Gustavo Gonzalez and Arthur Brice in Atlanta contributed to this report.

@highlight

President Mahmoud Ahmadinejad begins a four-nation Latin America tour

@highlight

The trip is the latest step in a longstanding effort to shore up support in the region

@highlight

Analyst: "Iran has an extremely active diplomatic move afoot"

@highlight

Iran recently launched a Spanish-language television network