(CNN)The death of an Argentine prosecutor who accused the country's most powerful of a criminal cover-up has put on display a labyrinth that could have hatched from a novelist's imagination.

It involves an investigation into the deadliest terror attack in Argentina's history, modern geopolitics, alleged betrayals, a puzzling death and a dose of paranoia.

If you are unfamiliar with the story: Last week, a special prosecutor investigating the 1994 bombing of a Jewish community center in Buenos Aires filed a report alleging that the President, foreign minister and other officials conspired to cover up Iran's involvement in the attack, which killed 85.

The prosecutor, Alberto Nisman, was invited to testify about his allegations before Congress on Monday. But on the eve of his testimony, Nisman was found dead inside his apartment. He died of a gunshot wound to the temple. A gun and a shell casing were found near his body. The apartment was locked from the inside.

At first glance, a suicide. But the untimely death raised suspicions immediately. A poll by the firm Ipsos of more than 400 Argentineans found that 70% of them believed that Nisman was murdered. Some 18% believed he took his own life, and 12% didn't have an opinion.

President Cristina Fernandez de Kirchner, who initially called Nisman's death a suicide, reversed her thinking Thursday.

In a statement, she called it "the suicide (that I am convinced) was not a suicide."

It is an about-face from her position just days before.

Her first statement on Nisman's death was a rejection of the prosecutor's allegations and a reflection on, "What was it that led a person to make the terrible decision to take his own life?"

Two things happened after that: the prosecutor looking into Nisman's death said that no gunpowder residue was found on his hands, as would be likely if he pulled the trigger. Second, the locksmith who helped Nisman's mother gain access into the apartment cast doubt on reports that the door could have been opened only from inside. To the contrary, someone could have gained entry with something as simple as a wire, the locksmith said.

"Anybody could have opened it," he told a swarm of reporters after giving a statement to investigators.

While Fernandez now considers that Nisman did not commit suicide, she still believes that his allegations against her government are false.

Nisman was not a hack with an agenda against the President, but a naive investigator who was used by others who fed him false information, Fernandez said.

"The criminal complaint by prosecutor Nisman was never in itself the true plot against the government," Fernandez wrote.

His report "collapses like a house of cards," she wrote, and Nisman probably never knew he was being fed false information.

The real plot against the government was his death, which came after he accused her government of a cover-up to protect Iranian suspects in the bombing, Fernandez wrote.

"They used him while he was alive, and then they needed him dead," she wrote. "It's that sad and terrible."

Nisman's report promised to provide evidence "of the existence of a sophisticated criminal plot, deliberately conjured to cover up and provide impunity to the Iranians accused in the investigation of the attack" of the Jewish community center in 1994.

Less than 48 hours after Nisman's body was found, the court that had received the criminal complaint published the entire document on the internet. Traffic was so heavy that the website hosting the document crashed for a while.

The 289-page report makes its case based on tapped telephone conversations between representatives of Argentina and Iran and concludes that the South American nation agreed to stop pursuing the named Iranian suspects in the bombing in exchange for an oil-for-grain-and-meat deal with Iran.

A little background: In 2007, Argentina requested the arrest of several Iranians in connection with the 1994 bombing, including former Defense Minister Ahmad Vahidi. Interpol approved so-called Red Notices for these suspects, alerting countries around the world of Buenos Aires' desire to have them arrested.

According to Nisman's report, representatives on Fernandez's behalf held both secret and public meetings where it was agreed that the trade deal could be reached if the Red Notices were withdrawn.

It was a geopolitical move to fortify Argentina's economic position at the cost of forgoing justice in the bombing of the Argentine Israelite Mutual Association building, according to Nisman.

Intercepted phone calls between representatives of both countries show that there was a conspiracy to create a new hypothesis for the bombing and to redirect the investigation based on fake evidence that would remove the spotlight from the Iranians, Nisman's report states.

The public face of this plan was an agreement reached between both countries in 2013 to jointly investigate the bombing by creating a binational "truth commission," Nisman wrote.

The plan never took off, however, because of an unexpected roadblock, according to Nisman's report. Interpol refused to withdraw the Red Notices against the Iranians. Without that, Iran moved the deal to the back burner, Nisman wrote.

The release of Nisman's report was not a bombshell. Its contents were widely reported, but Fernandez's government and its supporters outright rejected the allegations.

Fernandez focused her attack on Nisman's sources, including two Argentineans that the prosecutor identified as working for the country's intelligence services.

These alleged spies -- Ramon Allan Hector Bogado and Hector Yrimia -- never worked for Argentine intelligence, Fernandez said.

Everything Nisman argues is false, Fernandez says -- the spies were spies, Argentina didn't ask Interpol to withdraw the Red Notices, trade between Argentina and Iran has actually decreased, and so on.

"We think all the allegations are baseless," Foreign Minister Hector Timerman told CNN on Thursday.

Fernandez's government has done more than any previous administration to get to the bottom of the bombing, Timerman said.

"I am Jewish," he said. "And to think that a person of my religion, the Jewish religion, can make a deal not to prosecute the death of 85 people, most of them Jewish in Argentina ... I have to tell you, it's not easy to live with."

The Argentine government was not involved in Nisman's death in any way, he said.

"Nobody, I mean, wanted more for Mr. Nisman to live and to answer questions, than the President of Argentina and myself," Timerman said.

If the accusations and counter-accusations laid out by all sides aren't confusing enough, additional theories continue to arise.

In a news conference, Argentina's chief of the cabinet ministers, Anibal Fernandez, offered new questions.

Nisman was on vacation in Europe with his teenage daughter when he suddenly cut short his trip and returned to Argentina, according to the cabinet chief.

"Things just get stranger," he said, asking who called him back in a hurry.

"Why did he return? Why did he leave his daughter there, alone at an international airport?" the cabinet chief said.

It was previously reported in the local media that Nisman told a reporter at least twice that this investigation might cost him his life. He also allegedly got the handgun from a friend because he feared for his security, according to reports.

The cabinet chief proposed another wrinkle: "The closer we read (the report), the more we are convinced that Nisman didn't even write that complaint. What is the reason behind filing this? What is the objective? This is what we must find out."

The whole story is a tangled web that is hard to describe, but reflects an observation Argentine novelist Jorge Luis Borges once made: "Reality is not always probable, or likely."

CNN's Brian Todd and Dugald McConnell contributed to this report.

@highlight

Argentina's President says prosecutor's death was not a suicide

@highlight

Story surrounding Alberto Nisman's death is complicated

@highlight

Questions surround deadly terror attack in 1994