I first saw the Costa Concordia glinting in the winter sun from 20,000 feet as my flight from London made a slow descent on its way to Rome's Fiumicino airport.

It seemed a distant blade of light lying next to a speck of an island. A surge of gasps and chatter reverberated around the cabin as Italian passengers craned their necks to see it. As I later approached the island on a ferry, the ship again came into view almost as soon as the ferry left the mainland.

As we closed in, the vast scale of the cruise ship became clear. It was like looking at an apartment block lying in the sea: a ship, yes, but everything about its orientation was wrong. She lay on her side, the hull obscenely exposed to our widening eyes. The ferry passed within a couple hundred feet as we entered the main port of Giglio Island and the huge chunk of rock, the size of a car, could clearly be seen embedded in her hull.

Over the next two weeks, I spent a large part of every day staring at the wreck -- and yet still it surprised me. Each morning my crew and I would descend the vertiginous road from our hotel, round a sharp bend and there was this colossal ship on her side. From the top of the island, the Costa Concordia looked exactly like a bath-time toy, carelessly capsized by a child's hand. But this surreal tableau was etched in epic proportions.

Now that the frantic first reports of what happened are behind us, CNN has built up a much more comprehensive view of what went wrong, thanks to documents, congressional testimony and interviews with dozens of experts, crew members, witnesses and passengers.

Concordia disaster focuses attention on how cruise industry operates

Since the night the Concordia capsized January 13, CNN has continued to dig to figure out what happened aboard the ship and why. We spoke to officials with Costa Cruise Lines as well as Italian investigators examining the incident. We've also spoken with officials with the International Maritime Organization, the body that oversees cruise safety.

From a broad perspective, CNN examined the cruise industry as a whole.

What we found will be unsettling for anyone who has taken or is thinking of taking a cruise: allegations of inadequate safety briefings and chaos in the minutes after the collision; a captain who failed to sound a general alarm for almost an hour, meaning vital, lifesaving assemblies at lifeboat stations did not take place; and a crew that felt unable to act without clear orders from their captain.

In some cases, lifeboats were not able to be launched because by the time the general alarm finally sounded at 10:48 p.m., the ship was leaning over too far to allow the lifeboats to launch. Thirty-two people died in the Concordia disaster.

We learned that 6,000 tons of water entered the Concordia in just 20 minutes. For a ship three times the weight of the Titanic, it was fatal. Almost immediately, key equipment in the engine room was knocked out. The ship's backup generators were flooded.

Computers that monitor the ship's stability were also compromised. CNN's documentary team obtained remarkable footage from the ship's bridge that revealed Captain Francesco Schettino grappling with a situation that was already out of control. His ship had a hole below the waterline the width of a football field.

We also found compelling evidence that Schettino's decision to "salute" the island of Giglio by sailing perilously close caused the accident, but also that this wasn't the first time the Costa Concordia had sailed within a few hundred yards of the rocks.

Schettino is still awaiting trial on multiple charges of manslaughter, causing a shipwreck and abandoning ship. Schettino escaped the ship on a lifeboat while the ship was capsizing. A transcript of his tense exchange with Port Authority officials can be read here, including their order to him to "Get on board, damn it!"

Perhaps the most chilling account of the night in CNN's documentary comes from a family on board - Californians Dean and Georgia Ananias and their daughters Valerie and Cindy.

Their story, together with previously unseen footage of that night, gives a real sense of the terror of those trying to escape. The Ananiases were among the last to get off the Concordia alive. They are cruise veterans, having been on more than 60 voyages, but now they say they won't step foot on another ship until the industry changes.

Some lessons have already being learned. Costa is introducing new rules about safety briefings, mandatory additional life jackets and, crucially, new equipment is being introduced to accurately track all of Costa's ships and notify headquarters if the captain decides to take a detour.

I've never been on a cruise; I love the sea and I'm a keen sailor. But knowing all the concerns and questions about safety aboard cruise ships, I'd want answers before I took a cruise. I would feel more comfortable when the reforms that the International Maritime Organization are recommending are made mandatory.

@highlight

Writer on seeing Concordia: It looked like an apartment block lying in the sea

@highlight

CNN documentary digs into why the ship capsized January 13 and the chaos on board the cruise ship

@highlight

The documentary examines questions about the cruise industry as a whole