United Nations (CNN) -- Six months after an earthquake devastated Haiti, a United Nations representative on the ground there says many challenges still lie ahead in the aftermath of the "worst living disaster."

Nigel Fisher, the deputy special representative for the stabilization mission in Haiti, told the U.N. press via video-conference Monday that progress has been made in rehabilitating the country, but that the nation still faces many problems.

The January 12 quake left over 220,000 dead, over 300,000 injured, and over a million homeless. According to recent U.N. reports, the quake destroyed 60 percent of government infrastructure, and left more than 180,000 homes uninhabitable.

Six months later, more than 1.5 million remain in overcrowded displacement camps, and Fisher does not anticipate the number in camps to reduce soon.

According to the United Nations, 1,300 camping sites and 11,000 latrines have been built, and thousands of kilos of food and humanitarian resources have been delivered to those in need.

Fisher said that despite a lack of communication, destroyed roads and lack of transportation and railway systems, food was delivered relatively quickly to displaced Haitians. The response from the international community, Fisher said, was "quite significant."

Houses that were not structurally damaged are being rebuilt at a relatively low cost, though tents and camps are undergoing their second "phase of replacement." An unforeseen difficulty of "land tenure," especially in a "place where land ownership has been disputed for years," has significantly slowed down the process of building more permanent houses in preparation for the hurricane season.

"It is important to remember what Haiti was and what Port-au-Prince was before the earthquake: two-thirds of the population was living in poverty, many lacked access to clean water and were living in slums," Fisher said.

According to 2009 U.N. reports, 55 percent of Haitians lived on less than $1.25 a day, and per capita annual income was US $660. Fifty-eight percent of children were under-nourished and 58 percent of the population lacked access to clean water.

The earthquake followed the devastating 2008 hurricanes that affected 800,000 Haitians, and deforestation left the country with less than 2 percent forest cover.

"Then, the catastrophic earthquake left 230,000 dead, 300,000 injured and an estimated one million homeless. In addition, 17 million cubic meters of debris were scattered on the streets," Fisher explained.

Fisher said the relocation of displaced families from the camps to newly built homes has posed a problem because of two main concerns on the part of family members: the need for a job and for a nearby school where their children could receive an education.

Furthermore, the private sector, which has been damaged by the "overwhelming response from the international community," has experienced a loss of clients and "extremely high interest rates" that Fisher said can be solved only through recapitalization of the private sector by the country itself.

But with a focus more on urban reconstruction and the development of a closer link between government and education, Fisher said Haiti could become a better nation than it was before the earthquake. "We have a long way to go, but things could have been much worse."

Nutritional status and general health "has not worsened in the months since the earthquake," he said. "There has been no epidemic of cholera or measles," Fisher stated, because access to clean water and free medical facilities have reduced chances of an outbreak. He asserted even that the U.N. mission has seen improvement in some of the camps.

@highlight

U.N. rep in Haiti says progress has been made but many problems still ahead

@highlight

U.N. says 1,300 camping sites, 11,000 latrines built

@highlight

Rep cites access to clean water and medical facilities as preventing disease outbreaks