(CNN) -- After U.S. President Barack Obama and German Chancellor Angela Merkel discussed hot-button issues like America's surveillance programs during his visit to Berlin on Wednesday, the leaders addressed them with reporters.

Obama visited Germany, the United States' largest European trading partner, after attending a G8 conference earlier this week in Northern Ireland. Below is a quick look at what Obama said Wednesday -- a few hours before he spoke to the public at Berlin's Brandenburg Gate -- on European concerns about U.S. surveillance programs, Russia's disagreement with the United States over Syria, and more:

1) Germany still leery about U.S. surveillance

Merkel and Obama discussed Germany's concerns about the U.S. PRISM program, which monitors e-mails, photos, search histories and other data from American-based Internet companies. Merkel told reporters that she appreciates U.S. cooperation with Germany on cybersecurity, but will continue to discuss with U.S. officials the "question of balance or proportionality" of government snooping on the Internet.

Obama stressed that "this is not a situation in which we are rifling through the ordinary e-mails of German citizens or American citizens," but that it's a "circumscribed, narrow system, directed at us being able to protect our people, and all of it is done under the oversight of the courts." The programs have stopped threats, he said -- including some in Germany.

Obama said when he gets back home, he'll try to declassify more information about the programs and have officials "work very closely with our German intelligence counterparts so that they have clarity and assurance that they are not being abused."

2) Obama not shaken by halt in Afghan talks

A reporter asked Obama how the United States and Afghan President Hamid Karzai could seemingly be on different pages, after Karzai on Wednesday shelved security talks with the United States amid friction over planned U.S. peace talks with the Taliban in Qatar.

Obama didn't seem rattled. "We had anticipated that at the outset there were going to be some areas of friction, to put it mildly, in getting this thing of the ground," he said. The Taliban and other Afghans have "been fighting for a very long time. There's enormous mistrust."

"I think President Karzai himself recognizes the need for political reconciliation. The challenge is, how do you get those things started while you're also at war? My hope is ... that despite those challenges, the process will proceed."

3) On Russia's support for Syria's president

Obama was asked how peace could ever come to Syria when the United States and its allies support the opposition while Russia supports the regime of Syrian President Bashar al-Assad.

Obama didn't dispute the premise that Russia and America are backing opposite sides, but chose to highlight what they publicly hold in common: A desire for peace talks in Geneva.

Obama said Russian President Vladimir Putin "believes what would replace Assad is worse than Assad himself."

"(But) what I think will become more and more apparent in the coming weeks and months is that without a different government, you can't bring peace, and in fact you're going to see sectarian divisions get worse and worse," Obama said.

4) We still love you, Europe

Obama talked up negotiations for a new trans-Atlantic trade pact between the United States and the European Union. And he took the opportunity to allay concerns that the United States might be taking Europe for granted while it courts countries in Asia.

"I know that here in Germany, sometimes there has been talk that the trans-Atlantic alliance is fading in importance, that the United States has turned its attention more towards Asia and the Pacific," Obama said. "In both conversations with Chancellor Merkel and earlier with your president, I reminded them that from our perspective, the relationship with Europe remains the cornerstone of our freedom and our security -- that Europe is our partner in almost everything that we do."

If the free-trade negotiations succeed, he said, "we can grow economies on both sides of the Atlantic, create jobs, improve efficiency, (and) improve productivity and our competitiveness around the world."

5) No counterterorrism drones launched from Germany, Obama says

Obama, asked about America's use of unmanned drones to target terror suspects, reiterated what he's said in recent weeks: that the United States is thinking carefully about how it uses the technology.

Interestingly, he made it a point to say that the United States doesn't launch drones from Germany for counterterrorism efforts.

"I can say though that we do not use Germany as a launching point for unmanned drones ... as part of our counterterrorism activities. There have been some reports here in Germany that that might be the case, but that is not," he said.

In Berlin, Obama calls for reducing U.S., Russian nuclear stockpiles

@highlight

Obama, after talking to Merkel about U.S. surveillance, says he'll try to declassify more info

@highlight

On Afghanistan canceling talks with U.S., Obama says friction not surprising

@highlight

He expresses hope that "despite those challenges the process will proceed"

@highlight

Obama also discusses differences with Russia on Syria