Karachi, Pakistan (CNN) -- Most Pakistanis have rejected the defamatory attacks on the profile of Prophet of Islam Muhammad (Peace be Upon Him) in the movie "Innocence of Muslims," which has triggered intensive protests and anger in Pakistan along with Egypt, Libya and Yemen.

The government in Pakistan was the first to announce a public holiday and banned YouTube as a mark of protest. But this failed to calm the violent demonstrations and resulting violent mob actions.

The country's big problem is that it suffers from natural disasters, terrorism, crime, poor living conditions and corrupt sociopolitical systems -- but there is little public debate. Erfan Aziz, an academician from Karachi, observed that "the public in Pakistan has remained much oppressed in the past. Even the genuine issues of society were not allowed to be discussed in public. Notifications such as 'avoid political conversations' still may be seen in some public areas."

Many in Pakistan are seeking to convey a message to the international community by promoting mutual respect for each other's faiths. Kulsoom Shah, a Fulbright student, for example says young people must come up with creative ideas to register the hurt feelings that the movie provoked -- but peacefully. Shah said she applauded French students who distributed copies of the Quran in non-Muslim communities.

In this way, productive ways to register feelings can help in debunking myths about Islam and promote it as a religion of peace. The present situation is sensitive indeed and cannot be dealt with in isolation. Islamic scholars seeking a modest approach should be brought forward on the popular media to calm people's resentment, while less coverage should be given to more hard-line political parties and public figures.

Lindsey Boyle, from Ohio University, condemns the movie's offense and its overgeneralized tone. For one, the film does not represent popular U.S. opinion; second, the U.S. government has condemned the movie, so burning the American flag is not necessarily a reasonable reaction.

Furthermore, she believes there are many similarities between Christianity's Jesus and Islam's Mohammed: They were both open-minded, helped the weak, overcame personal struggles and far more besides. The biggest problem in the world today, religiously and culturally, is misunderstanding. People on both sides of this situation simply need to take time to learn about one another. That becomes almost impossible when one side is making an over-generalized, demeaning movie, and the other side is violently protesting it in an overgeneralized way. We need to work to promote positive messages and understanding, above all else.

Read about deadly anti-film protests in Pakistan

The question about the nature of protest remains a sensitive one, and it's far more difficult to motivate people to follow that in practical ways. Pakistani youth must realize the differences of mass media usage in U.S. society and protest in creative, constructive ways to get the desired results, as aggressive protests not only generate more violence and conflict but also make it easy to lose the true spirit of their cause.

In the present world, human diversity and pluralism must be understood to promote peace and prosperity. We need peace and harmony, and to do this we must show tolerance and give space to each other's differences, be they color, race, creed, religion or nationality in order to promote a friendlier lifestyle around us.

@highlight

There is little public debate in Pakistan, Fateh Muhammad writes

@highlight

She says Islamic scholar seeking modest approach should be more visible

@highlight

Less coverage should be given to hard-line political parties, figures, she adds

@highlight

The biggest problem in the world today is misunderstanding, Fateh Muhammad says