A federal appeals court allowed four states to prohibit same-sex unions -- a decision that could force the U.S. Supreme Court to take up the issue.

In a 2-1 ruling Thursday, the U.S. Court of Appeals for the Sixth Circuit reversed lower court rulings in Ohio, Michigan, Tennessee and Kentucky that struck down same-sex marriage bans.

"When the courts do not let the people resolve new social issues like this one, they perpetuate the idea that the heroes in these change events are judges and lawyers," Judge Jeffrey Sutton wrote in the ruling.

"Better in this instance, we think, to allow change through the customary political processes, in which the people, gay and straight alike, become the heroes of their own stories by meeting each other not as adversaries in a court system but as fellow citizens seeking to resolve a new social issue in a fair-minded way," Sutton wrote.

The ruling

Sutton, who was appointed by President George W. Bush, said that it's not the responsibility of the judicial branch of government to make "such a fundamental change to such a fundamental social institution."

"Process and structure matter greatly in American government," Sutton wrote. "Our judicial commissions did not come with such a sweeping grant of authority, one that would allow just three of us—just two of us in truth—to make such a vital policy call for the thirty-two million citizens."

Judge Deborah L. Cook joined Sutton's decision, while Senior Circuit Judge Martha Craig Daughtrey dissented.

"This is a very important decision from the federal court of appeals in Cincinnati, which disagreed with every other circuit court that has decided this case so far," said CNN senior legal analyst Jeffrey Toobin. "[The court said] there is not a constitutional right to same-sex marriage."

Daughtrey said that Cook and Sutton's decision read more like a piece of political philosophy than a court decision that grappled with a constitutional question.

"Instead of recognizing the plaintiffs as persons, suffering actual harm as a result of being denied the right to marry where they reside or the right to have their valid marriages recognized there," Daughtrey said, "my colleagues view the plaintiffs as social activists who have somehow stumbled into federal court."

'They can't duck it anymore'

In October, the Supreme Court announced it would not hear appeals to same-sex marriage cases filed by a handful of states -- effectively paving the way for same-sex unions to become legal in Indiana, Oklahoma, Utah, Virginia and Wisconsin. A handful of states later followed suit.

The high court's decision left the door open for future challenges -- such as one that could result from Thursday's decision.

Missouri judge overturns state's ban on same-sex marriage

Many observers of the high court said they believed it did not take up same-sex marriage cases because there seemed to be a consensus on the issue on the circuit court level since the Supreme Court struck down the federal law that defined marriage as between one man and one woman -- the Defense of Marriage Act.

"[The ruling] sets up an almost-certain fight before the Supreme Court," Toobin said. "They can't duck it anymore."

The American Civil Liberties Union said it will appeal the appeals court's decision to the high court.

"We believe it's wholly unconstitutional to deny same sex couples and their families access to the rights and respect that all other families receive," Chase Strangio, staff attorney in the ACLU LGBT Project, said in a statement. "We will be filing for Supreme Court review right away and hope that through this deeply disappointing ruling we will be able to bring a uniform rule of equality to the entire country."

This ruling is the first by a federal appeals court to uphold a state's same-sex marriage ban since DOMA.

The Alliance Defending Freedom, a conservative organization, praised the decision.

"The people of every state should remain free to affirm marriage as the union of a man and a woman in their laws," ADF senior counsel Byron Babione said in a statement.

Holder expands federal recognition of same-sex marriage to 5 states

@highlight

U.S. Court of Appeals for the Sixth Circuit reverses rulings striking down 4 bans

@highlight

The ruling could force the Supreme Court to take up the heated issue

@highlight

Reaction pours in