Hong Kong (CNN) -- They're known as trademark "squatters" and they've long caused headaches for foreign companies entering the Chinese market.

Savvy to China's complex trademark laws, these individuals target valuable foreign brands and register them as trademarks in China.

When international companies want to launch their products on the Chinese market, they're often left with little choice but to cough up huge sums to buy back the trademark, rebrand their product or fight for the right to use the brand through lengthy legal battles.

One of Australia's most popular wine brands, Penfolds, is currently at the center of a legal dispute over the use of its own name in China. Treasury Wine Estates, the owner of the wine, said this week that someone in China has claimed ownership of the Chinese name for Penfolds -- Ben Fu -- a transliteration that means "chasing prosperity."

The company is engaged in legal action with the individual to "ensure the integrity of the brand is protected," a spokesperson for Treasury told CNN in an emailed statement.

Notorious squatter

That individual, according to the Australian Financial Review, which first broke the story, is a "notorious trademark squatter" named Li Daozhi. A Spanish-Chinese wine distributor, Li won a similar case against a French winemaker last year.

Treasury is confident it is the lawful owner of the trademark, the company's spokesperson said, and the Australian winemaker did initially win a court case allowing it to use the Chinese name for its wine in China.

But Li is now appealing the decision, according to the AFR.

"It will take some time for the Chinese legal system to process this matter," Treasury said.

Treasury's case and the many others that have made headlines in recent years should be a warning to foreign companies of the risks they can be exposed to if they fail to familiarize themselves with trademark laws in one of the world's largest consumer markets, legal experts say.

'First to file' wins

Many foreign businesses have come unstuck because China's trademark laws follow a "first to file" principle. That means whoever has a trademark registration approved first in China, owns the rights to that trademark. This differs from countries like the United States and many Commonwealth countries that follow a common law system, where a person registering a trademark also has to show they've used, or plan to use the mark in business.

But companies do have opportunities to challenge trademarks already registered in China. One option is to prove the individual deliberately claimed ownership of the brand with the intention of blackmailing a foreign brand entering the market. Another is to show that the brand was already well-known when the trademark was registered.

In practice, convincing a court on these points has proved difficult for many companies, but legal experts believe recent amendments to China's trademark laws, among other factors, could improve trademark protection for foreign brands.

Here are some of the most recent, prominent cases.

Tesla

Earlier this month, Chinese businessman Zhan Baosheng reportedly sued U.S. electric car manufacturer Tesla for illegally using its own name, and demanded that the company stop all car sales and marketing activities in China.

Zhan, who has a history of filing trademarks for names used by foreign brands, is seeking 23.9 million yuan (US$3.84 million) from Tesla. He says he filed for the right to use the English name Telsa in 2006, and planned to manufacture an electric car named after the inventor Nikola Tesla. He later applied to register related trademarks, including a Chinese transliteration of the name and the U.S. auto manufacturer's logo.

Tesla, which launched its Model S luxury electric car in China last year, says its claim to the name has already been upheld by other Chinese authorities and the lawsuit is without merit. A Beijing court is due to hold an appeal hearing on August 5.

Pfizer

Pharmaceutical giant Pfizer fought an 11-year trademark, patent and 3-D trademark battle over the Viagra brand after it failed to register the Chinese name for the erectile dysfunction drug before it introduced the product on the Chinese market in 2000.

It won the patent and 3-D trademark litigation but lost the trademark case because it couldn't provide sufficient evidence to show it had become well-known among Chinese consumers under the name Weige (meaning "mighty brother"). For similar reasons, luxury retailer HÃ¨rmes and whisky brand Chivas Regal have lost bids to stop clothing manufacturers from selling products under their names.

Singers and sports stars

Celebrities aren't immune either. A man in Guangzhou owns the right to use the name of Canadian pop singer Justin Bieber, while the names of World Cup stars like Germany's Philipp Lahm and Portugal's Cristiano Ronaldo are used to promote products ranging from shoes to pesticide, according to China Daily.

Two years ago, U.S. basketball legend Michael Jordan filed a lawsuit against a sportswear company called Qiaodan Sports (a transliteration of Jordan's name). The multi-million dollar company even registered trademarks for the names of his two sons, Jeffrey and Markus (Jiefuli Qiaodan and Makusi Qiaodan).

And it's not only foreign stars who have been affected. In 2006, Chinese NBA star Yao Ming managed to block the trademarking of his name on a line of women's sanitary products.

Castel FrÃ¨res

In the largest trademark litigation case in China's wine industry to date, French winemaker, Castel FrÃ¨res had to completely rebrand its wines in China after losing a four-year legal battle to Li Daozhi, the defendant in the Penfolds case.

Li's company reportedly registered "Kasite" to import Spanish wines, and later French wines, into China about 15 years ago. Around the same time, Castel began bottling wine in China and became known to Chinese consumers by the same Chinese name. (In a market where many consumers don't read Latin letters, Chinese characters hold much more sway when it comes to brand recognition.)

Li reportedly offered to sell the trademark to Castel for 1 million euros ($1.3 million). Castel refused the offer and chose to sue Li in 2005, arguing that his company had not used the Kasite name in three years. Li subsequently sued Castel for trademark infringement and was awarded 33.73 million yuan (US$5 million) by a Zhejiang court last year. But China's supreme court overturned the verdict and has ordered a retrial, which is still pending. In the meantime, Castel has registered a new Chinese trademark, "Kasidaile."

Will things improve?

New amendments to China's trademark laws that came into effect in May this year could make things easier for foreign companies. "The extent of which we're not sure," said Deanna Wong, a partner at law firm Hogan Lovells, because there haven't been any major decisions handed down subsequent to the changes.

Stan Abrams, Asia legal counsel at Bentley Systems in Beijing, said the laws will make things easier, but the number one reason these kind of disputes are likely to decrease is that companies are better informed about navigating the Chinese market these days.

"A lot of (these disputes) originated years and years ago. It's been a multi-year process of litigation," Abrams said.

"In some cases, when you're talking about companies from common law countries, they came over here and were really unfamiliar with the legal system. They didn't realize it was a file-first system."

"A lot of them didn't do their homework and were making crazy mistakes when using their foreign names in the local market."

Overseas companies better understand what evidence they need to make a good case these days, added Wong.

What can foreign companies do?

For many companies it's probably already too late to assert their rights over their brands, according to Abrams.

"For a lot of them, unfortunately the answer is invest in time travel technology because if you have a problem the chances are the roots of it are years old."

Those companies should take steps to find out immediately where they stand right now, he added. It's easy to do a free, informal search of China's online trademark database.

If the trademark has already been registered by someone else, companies will have to go through "painful" legal proceedings that could take several years. If the company loses, it faces the choice of shelling out a lot of money to buy the trademark or rebranding.

Companies should make sure they have the right advice on the ground, that takes into consideration their long-term business strategy, such as any new markets the brand may enter in the future, said Wong.

Even for companies that don't have global or local help there's a wealth of information that they can access on the internet these days, in ways that most businesses 15 or even 10 years ago couldn't, said Abrams.

While the cost of registering a trademark is miniscule compared to the amount a company could end up paying in legal fees, Abrams points out that not all companies, especially start-ups, have the financial flexibility to ensure all their brands have comprehensive trademark coverage.

For those companies, he suggested getting minimal coverage for core brands and expanding from there. "You just have to be smart about it," he said.

@highlight

Many register trademarks of well-known foreign brands in China to sell them for large sums

@highlight

Top Australian winemaker at center of legal dispute after failing to register Chinese name for its brand

@highlight

China's trademark laws tend to favor so-called "trademark squatters" over foreign companies

@highlight

New amendments to laws and greater understanding of China's system likely to make things easier for companies