(CNN) -- More than 90% of the Internet access in Syria was shut down on Thursday, according to the Internet monitoring group Renesys.

It was not clear who was behind the latest event, but the government has intermittently cut off Internet access several times in the past two years.

Opposition activists often transmit updates about the civil war in reports and images on the Web.

Syria has shut down the Internet in the past, said U.S. Ambassador to Syria Robert Ford.

Ford added that the United States has given "a thousand pieces of non-lethal equipment -- largely communications gear" to help opposition activists get around blocks to the Internet.

He was speaking in Washington about the humanitarian situation in the country on Wednesday and responding to CNN's questions.

"The Syrian government has been monitoring [the Internet] for years. They have been using the Internet with Iranian assistance to track opposition activists, arrest and kill them," Ford said.

"That is the reason why our non-lethal assistance to the Syrian opposition, we put a special emphasis on communications equipment precisely to help the Syrian people tell the world what is going on inside Syria," he said.

Ford said he doesn't want a repeat of the 1982 massacre in Hama when Hafez al-Assad, Syrian President Bashar al-Assad's father, shut down all communication there and the world didn't have a clear picture of what had occurred.

"A lot of the pictures that you see on the nightly news are from communication equipment that we supply to very brave and very dedicated opposition activists inside Syria," Ford said. "We have provided over a thousand pieces of non-lethal equipment -- largely communications gear to help them get around the restrictions on the Internet that the Syrian government imposes."

Meanwhile, the road to Damascus International Airport has been shut down because of continuing clashes and military operations in towns on the outskirts of the city, the London-based Syrian Observatory for Human Rights said.

Egypt Air is canceling flights to Syria starting Friday until further notice, said Egypt Air spokesperson Mohamed Rahma.

The airline cited the "deteriorating situation" around the Damascus airport, a Cairo airport official said, according to Egyptian semi-official news agency al Ahram.

These events are part, some believe, of a possible turning point in the nearly two-year war.

On Wednesday villagers in northern Syria picked pieces of a downed fighter jet from an olive grove after rebel fighters claimed to have shot down three government aircraft in 24 hours.

Syrian President Bashar al-Assad's government has relied more on air power to battle the 21-month-old revolt against it, and witnesses said a cheer went up when the jet went down near Aleppo.

"We want to take this ... to show them in the other villages," a man who identified himself as Abu Dargham told CNN as he showed off two twisted chunks of metal. "Let them see what happened to these planes."

The downed plane's tail was largely intact, but the fuselage was in pieces and the type of aircraft was not immediately identifiable. Locals picked it apart, with some stuffing pieces into in bags as a tractor hauled away what appeared to be an engine. Cheering children were piled on the tractor as it drove away.

Witnesses said two fliers ejected from the plane before the crash. One was found unconscious and taken to a makeshift clinic, while villagers said they were still searching for the other late Wednesday.

Rebels posted two videos online to support their claims. One shows rebels carrying an unconscious man wearing what looks like a military pilot uniform, while another includes footage of medics bandaging a bloodied and moaning pilot.

"Here is the pilot who was shelling houses of civilians!" someone says off-camera. "The heroes of Darret Ezza shot down his plane!"

In addition to the jet brought down Wednesday, the rebels say they have shot down two helicopters since Tuesday night. Rebel video showed one helicopter exploding in midair, but CNN could not independently confirm the authenticity of the footage.

The claims of success follow the capture of a key Syrian air force installation last week. Rebel fighters who overran the base reported finding more than 300 Soviet-era anti-aircraft missiles, along with heavy machine guns, rockets and even tanks.

About half the shoulder-fired missiles were inoperable, but the rebels soon posted video instructing viewers how to handle the ones that worked. Syrian commanders often kept the trigger components separately to prevent the weapons from being used if they were captured.

The installation housed troops from the Syrian army's 46th Regiment. Rebel forces surrounded the base for two months, harassing the troops inside with sniper fire and waiting for them to weaken, Hussein al-Shule said.

"The government will try to airdrop supplies from helicopter. They did not dare land," al-Shule said. "Most times they would miss, and we would take the food. It was inedible."

Opposition says 157 killed Wednesday

The claims came on a day when opposition activists said another 160 people were killed in the country's civil war, which dates back to March 2011. Of those, at least 15 were killed in shelling at Al-Ansari district in the city of Aleppo on Thursday, among the deaths were 5 children and two women, at least 20 others were wounded.

In Daraa, a car bomb exploded outside the house of the head main branch of the Baath party. Three guards were killed, and four were seriously injured.

By the end of Wednesday, at least 96 had died in the Damascus area, most of them in a single incident -- a pair of car bombings in the town of Jaramana that killed 77 people, according to the Local Coordination Committees of Syria, a network of opposition activists.

Jaramana, a small town surrounded by fields, has provided a refuge for pro-government Syrians displaced in the civil war. Its residents are a mix of Christians and Druze, the latter a minority offshoot of Shiite Islam. Women and children were among those killed there, the London-based Syrian Observatory for Human Rights reported.

Syria's Interior Ministry had conflicting numbers for the bombings, reporting 34 dead and 83 injured.

Read more: Opposition says shelling killed 10 children in Syria

At the same time the car bombs went off, two explosive devices simultaneously detonated in the al-Nahda and al-Qerayyat neighborhoods, both of which are in the Damascus suburbs. Officials did not provide a casualty count in those areas.

Government officials blamed the attacks on terrorists, a term Syria routinely uses for rebel fighters and extremist elements in the country.

Read more: Young Syrian amputee makes dangerous journey to find help

About 40,000 civilians have been killed since the first protests began against al-Assad's government, according to the opposition Center for Documentation of Violations in Syria. More than 380,000 Syrian refugees have fled to neighboring countries, creating humanitarian challenges abroad.

CNN cannot confirm claims by the government or the opposition because of government restrictions that prevent journalists from reporting freely within Syria.

Turkey's role

Turkey asked NATO Wednesday for Patriot missiles to bolster its air defenses against its southern neighbor, with which it shares an 822-kilometer (about 511-mile) border.

A letter to NATO included the "formal request" that the alliance send "air defense elements," according to a Turkish government statement that cited "the threats and risks posed by the continuing crisis in Syria to our national security."

The statement added that the NATO Council would convene "shortly" to consider the matter.

NATO Secretary-General Anders Fogh Rasmussen said in a Twitter post that the request would be considered without delay. A fact-finding team is on the ground in Turkey, according to Lt. Col. Jay Janzen, a spokesman for Supreme Headquarters Allied Powers Europe.

"The fact-finding teams include experts from the nations that have shown their willingness to offer Patriots as well as Turkish officials and a few NATO experts," he said.

Turkish officials have emphasized that any deployment of the Patriot missiles would be purely for defensive measures. President Abdullah Gul said earlier this month that Turkey has no intention of going to war with Syria.

A NATO official who is not authorized to speak on record to the media told CNN that the fact-finding team now in Turkey includes military personnel from Germany, the United States and Holland, the three countries that have available Patriot missile batteries.

The official also indicated that those batteries could be deployed dozens of kilometers away from the border fence.

"No decisions have been made about the location and numbers of Patriot batteries in Turkey," the official said.

The official said he doesn't believe "there will be an imminent threat from this deployment escalating the conflict between Turkey and Syria."

"By contrast, I think it will demonstrate a deterrence effect," the official said, "and make it clear that NATO is prepared to defend Turkish territory and Turkish population."

CNN's Ivan Watson and Saad Abedine and Ashley Fantz contributed to this report.

@highlight

NEW: More than 90% Internet access blocked, Renesys says

@highlight

NEW: U.S. Ambassador to Syria says communications gear given to Syrians to get around blocks

@highlight

Rebels claim to have shot down three government aircraft in 24 hours

@highlight

Turkey formally requests Patriot missiles from NATO