(CNN) -- On Thursday morning, iLounge released mockups of what it says the next iPhone is going to look like, according to the site's own unnamed sources. The main differences in appearance between the next iPhone and the current iPhone 4S? A metal back, a smaller dock connector, a 20 percent decrease in thickness, and a longer 4-inch display.

Concept designs for future iPhones are a dime a dozen and usually look like something Syd Mead might have slapped together after a glue-induced aneurysm. But iLounge's concept looks pretty good. It may not prove to be an accurate prediction in the end, but it's a sensible proposal.

The most obvious change in iLounge's mockup is the 4-inch screen. That's a big bump, as the iPhone's display has stayed at 3.5 inches with a 3:2 aspect ratio since 2007. Why in the world would Apple change it now?

It all comes down to LTE. LTE radios take up more room in a smartphone than 3G radios and use more power. To put LTE capabilities in the next iPhone, you need to make room not just for the radio, but find enough juice to power it without significantly decreasing battery life.

The problem is there's just not a lot of room inside an iPhone for anything more than is already there. An iPhone is a densely packed sandwich of silicon, radios, flash storage, motors and cameras. Over the past five generations, Apple has packed in everything that makes up an iPhone about as densely as possible, and the battery still makes up the bulk of every device.

If it's going to fit anything else, Apple needs to make more room.

That's one reason why iLounge is saying Apple will be ditching its current dock connector for a micro-sized version: Space saved in this area is space Apple can stuff with a larger battery or make for a bigger LTE chipset. But it's also a reason why Apple would make the display bigger.

There's been a lot of talk over the last couple of years that with the iPhone 5, Apple would bump the display up to a larger four inches, but the rumor's always had a lot of problems. Increasing the iPhone's display while maintaining its current 3:2 aspect ratio would make the device wider in the hand and harder to operate one-handed. It would also either decrease the pixel density of the iPhone's Retina display, making it less "retina-ey" and more jaggy to the eyes, or require more pixels per inch to compensate, causing iPhone developers to design their apps for multiple resolutions (the exact same kind of fragmentation problem that's bitten Android on its ass). No good.

That's why conventional wisdom (until a couple months ago) was that Apple would keep a 3.5-inch display and eschew LTE until the radios were sufficiently small and power-efficient to fit into the current iPhone's form factor. But with the new iPad's WiFi + 4G release, Apple has made it abundantly clear that it is finally ready to embrace LTE. And the way the company is going to do it is by making the iPhone's display longer, but not wider.

This theory was first floated over on The Verge, then gained traction when Daring Fireball's John Gruber hinted that the person who had initially suggested it might just work for Apple, and know what direction the next iPhone would go. It's got a lot to recommend it.

By ditching a 3:2 aspect ratio in favor of a 9:5 display, the new iPhone would feel about the same in the hand as the iPhone 4S, retain its current 326ppi resolution, and allow Apple room for an LTE chip and more battery. Apps could either be easily updated to support the new iPhone's 4-inch display without breaking compatibility with 3.5-inch devices, or run in a letterbox without modification at their existing resolution.

There are other perks. Lengthening the display allows the iPhone in landscape view to show 16:9 videos without the ugly bars on either side. It gives game developers more room for on-screen controls, like virtual buttons and thumbsticks, without a gamer's fingers obscuring what's on the display. And so on.

Only Apple knows for sure what the next iPhone will look like, but iLounge's concept isn't necessarily all wet. Putting the display on a stretching rack might be the key to getting an LTE iPhone this year. And if you think Cupertino would never mess around with an iDevice's aspect ratio like this, might I introduce you to our good schizophrenic friend, the iPod nano?

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Apple news site iLounge releases mockups of what it says the next iPhone is going to look like

@highlight

iLounge says new phone will have a 4-inch screen, up from the current model's 3.5 inches

@highlight

To put LTE capabilities in the next iPhone, Apple will need to make more room