(CNN) -- Tayna Fogle sat just behind Sen. Rand Paul, nodding her head and listening as he pressed the case with Kentucky state senators to restore felon voting rights.

"Kids do make mistakes. White kids make mistakes. Black kids make mistakes. Brown kids make mistakes," Paul told the Kentucky state Senate committee considering a constitutional amendment to restore the voting rights of some felons on Wednesday. "But when you look at the prison population, three out of the four people in prison are black or brown."

Fogle whispered: "Good for you. I'm glad someone is speaking up."

She felt as if he was narrating her life.

In 1991, the former University of Kentucky basketball team captain received a 10-year sentence for crack cocaine possession. Since her release, she has been unable to vote.

"I remember when my mom showed me how to vote for the very first time. I remember watching the movies of my ancestors getting mauled by dogs and water hoses," Fogle said, her voice cracking a bit. "It changed my life completely. I was an embarrassment to my family. My community."

"I'm not making any excuses for my behavior. Should I have gotten a 10-year sentence? Yes, I should have. Have I served my time? Yes, I have."

Holder calls for restoring ex-cons' voting rights

The issue of restoring felon voting rights has made for some unusual alliances as former felons, like Fogle, see in lawmakers like Paul, a tea party-backed Republican, a champion.

Nationally, about 5.8 million people are prohibited from voting because of current or previous felony convictions, according to Attorney Gen. Eric Holder.

In the swing states of Florida and Virginia, one in five black adults is unable to vote because of these laws, according to Holder.

In Paul's home state of Kentucky, it's also one in five.

"Somewhere along the line he gained a lot of knowledge," Fogle said of Paul's push to restore voting rights to nonviolent felons.

"He has seen the disenfranchisement," said Fogle, a community organizer with Kentuckians for the Commonwealth, a nonprofit grassroots organization that has pushed to restore the voting rights of felons.

One place where he notices that is west Louisville's predominantly African-American neighborhoods, a community where Paul sticks out at the grassroots gatherings he's attended.

The potential 2016 presidential candidate has spent quite a bit of time over the past year in that area and at the Plymouth Community Renewal Center listening to black men vent frustration over not being able to vote after completing their prison terms for nonviolent crimes.

Paul said he started thinking that this is exactly the type of issue that could help build a bridge between the Republican Party and African-American voters.

"It's an important issue. When you look at who is being deprived of voting they are disproportionately people of color," Paul told the state Senate panel.

It is a lesson he says was brought home for him in real terms while hanging out in west Louisville.

"In the last six months or so, I've been over to the Plymouth Community Center in the west side of Louisville and I met a lot of people there who are very smart, very bright, very articulate who told me they can't vote because (because they are felons)," Paul said in a phone interview before the hearing. "I've become aware of the problem ... not just in regard to voting but also in terms of getting work."

Paul's push to change laws he says disenfranchise black menâ€”a longtime crusade of many civil rights organizations and minority lawmakersâ€”echoes the slow evolution of the Republican Party following huge losses among African-American voters during the 2012 presidential election.

Tough racial issues face GOP in minority outreach

An internal autopsy of sorts conducted last year by the Republican National Committee revealed a wide gap between the party and African American voters. The GOP moved to try and fix the rift by beefing up outreach.

"We've been improving our messaging because we need to," said Orlando Watson, the RNC communications director for black media and a former Paul staffer. "But we need to speak to how our messaging (improves the lives) of all Americans."

As the RNC was working on its messaging problem, potential presidential contenders such as Paul also began tentatively reaching out to minority voters.

Paul's speeches at historically black colleges Howard University in Washington and Simmons College in Louisville, among others have been met with mixed reviews.

He was roiled for what some saw as a condescending tone in his questioning whether Howard students knew that the NAACP founders were Republican.

But he also received kudos for just showing up. Last year, he was the first major Republican to speak at Howard since Colin Powell in 1994.

Efforts like Paul's illustrate the delicate dance the GOP must undertake if it is to appeal to minority voters in a way that is sincere, said Andra Gillespie, an associate professor of political science at Emory University.

"If the policies are wrong and aren't framed in a way that is appealing to minorities they are going to be a hard sell to minorities," she said.

Paul may have just struck the right chord.

During his lunch last week with Holder, Paul said he talked about their shared concerns about laws that disenfranchise black men, including mandatory minimum sentences for nonviolent crimes.

Paul's also crafting a federal measure that would restore voting rights for felons who committed nonviolent crimes.

"We have to convince people we do care," Paul said during a phone interview of the GOP's outreach to minorities. "We do care about what is going on in areas of long-term poverty and long-term crime."

Currently, 11 states restrict or completely deny voting rights to prisoners even after they've completed sentences, probation and parole. In Florida, for example, roughly 10% of the population is banned from voting as a result of these laws.

"There's a racial outcome in who's incarcerated in our country," Paul told the state senators. "Not only is the incarceration unfair but they get out and their voting rights are impaired."

As for Fogle, who got a chance to meet Paul and take a picture with him, she points out that her son registered as a Republican by accident when he voted for the first time. She's encouraged him to keep the party affiliation.

"I told him it didn't matter," she said. "As long as he voted."

A more diverse slate of Republican presidential possibles

CNN's Evan Perez contributed to this report.

@highlight

Rand Paul and ex-con activists united on push to restore voting rights to some felons

@highlight

Paul's efforts also help him make inroads among black voters

@highlight

Minorities disproportionately impacted by laws banning former felons from voting

@highlight

Swing states among those with largest numbers of ex felons banned from voting