There has been a lot of debate about Florida's "stand your ground" law in recent days.  From my perspective, the George Zimmerman and Michael Dunn cases were not "stand your ground" cases, although I know reasonable people disagree about my stance on this.

What I think most people can agree on is that the "stand your ground" law is confusing.  I know because I've tried to explain it a hundred times. And here is my 101st attempt, this time in the context of the hung jury on the murder charge in the Dunn trial.

When you hear "stand your ground," think "no duty to retreat."  For centuries, traditional self-defense implied a duty to retreat, meaning when someone finds himself in a threatening situation, he has a duty to exhaust all viable options to retreat before resorting to deadly force.

The problem with the duty to retreat is that, in the cold light of day, jurors may have a better perspective on a person's options to retreat than the person had during his life-threatening encounter.

Because of concern over this Monday morning quarterbacking -- and with the thought that we were sending people to jail who were otherwise justified in using deadly force -- legislatures in many states modified their justifiable use of force laws to say that people who have a reasonable fear of imminent great bodily harm or death very affirmatively DO NOT have a duty to retreat.

In other words, they can "stand their ground" and meet force with force, including deadly force.  "Stand your ground" refers specifically to the removal of the duty to retreat.

In a self-defense scenario where imminent harm is so immediate that retreat is not possible, there is no "duty to retreat" to waive, and therefore "stand your ground" does not apply.

According to evidence presented at his trial, at which I represented him, George Zimmerman was on the ground, being beaten, when he pulled the trigger; he had no way to retreat, and it was not "stand your ground."

Michael Dunn, if we are to believe his story, thought Jordan Davis had a shotgun; there is no retreating from a shotgun at short range, and therefore it was, arguably, not "stand your ground."

If we repealed "stand your ground" laws tomorrow -- if we reinstated the duty to retreat -- George Zimmerman still gets an acquittal, and the Dunn jury still hangs.

The underlying concern with the statute is that those who are aware of it may be emboldened by its protection, and place themselves in, or remain in, a circumstance that increases the likelihood of using force.

A concern with the national focus on these two recent cases is that the concept of "stand your ground" has been misperceived by so many that there are now those who believe use of deadly force is more justified than it is, and there are those who believe that it is intentionally used to kill minorities.

Even if unintended when enacted, "stand your ground" suffers from enormous misunderstanding and, consequently, mistrust.

People who think I'm wrong and who argue that Zimmerman and Dunn are, in fact, "stand your ground" cases often point out that the "stand your ground" language from the statute appears in the jury instructions.  It does.  There's a lot of language from Florida's justifiable use of force statute that shows up in the jury instructions, and in any given self-defense case, much of it doesn't apply to the details presented in court.  I think this is why juries -- and not just Florida juries -- find deliberating self-defense cases so challenging.

There is a simple solution: I think we should remove the instructions about "no duty to retreat" in any self-defense case where the facts don't support it.

After defending the Zimmerman case, and after providing in-depth commentary on the Dunn trial, I've discovered that when people say they have a problem with the "stand your ground" law, it's not really the "no duty to retreat" aspect of our self-defense laws that gets them upset.

What causes people to be upset is the concept of "reasonable fear" and how subjective it is. In effect, it is possible for someone to believe they are justified in killing another human being -- that they have reasonable fear -- even if that fear turns out to be unwarranted in the cold light of review.

The standard is, and has to be this: Was that fear reasonable under the circumstances? This has been the standard for determining self-defense for centuries, and it has nothing to do with "stand your ground."

Repealing the "stand your ground" provision won't change the fact that sometimes self-defense homicides will be ruled justified based upon a technically unwarranted, but otherwise reasonable, fear.

The concerns that are voiced in this regard are more properly focused not on a law, (be it "stand your ground" or simple self-defense), but on the system that harbors subtle but undeniable biases toward certain demographics.

Where the discussion about the strange nuances of our self-defense laws becomes most disturbing is when you introduce race into the equation.

I think it is sufficiently established as a sociological fact that black men -- especially young black men -- are regarded by many people, of all races, as more suspicious and more threatening than men and women of other races.  It's heartbreaking to think this is true, but it's folly to deny it.  If young black men are regarded, in general, as more threatening, then some people may be more likely to manifest that fear -- however unwarranted in the individual case it may be -- and act on that fear, sometimes with deadly force.

When this element is added, the job of the jury includes trying to wade through whether these subtle biases (or justifications) for fear are present, and what weight to give them. Now, we are asking our juries to see deep into the heart of the citizen accused -- maybe too deep. Is it fear, or disdain? And how much of each?

It's outrageous that these tragedies occur, but repealing "stand your ground" laws will not stop them.  The problem is not in our legislation, it's in our collective hearts. We have a system that is still, without question, the best in the world, but it's far from perfect.

It still, unfortunately, carries with it the inertia of more overt racial inequities from our recent past. As an example, while there are studies that support that the immunity afforded by "stand your ground" can produce racially disparate results, I contend the statute itself is race-neutral, and it is the inequitable application that evidences an inherent bias of the system.

But our self-defense laws are not the only laws applied with racial inequity. Look at the incarceration statistics in the United States: Black men are disproportionately represented by an extraordinarily wide margin for virtually every type of crime,  from petty theft to drug charges to murder.  Repealing laws against these crimes won't fix the problem of racial inequity in our justice system, just as repealing the "stand your ground" provisions will not either. Rather, the solutions lie in a more system-wide or society-wide approach.

We have a success in this area already. The recent changes to federal sentencing statutes to address the strong negative effect on blacks charged with certain crack cocaine charges shows that we can both acknowledge these disparities in application and change them.

In addition, the systemic biases are not simple to explain. While it is admitted that there is bias in the system, this does not fully explain the numbers. The black community must look not only to the system, but also to itself for answers to how and why young black males find themselves in the system in wildly disproportionate numbers.

There is no easy or quick solution. I am, however, encouraged for this reason: We, as a nation, have focused more energy, and have begun more discussion on these issues than I have ever witnessed.  At least not since the days of my childhood, when I was too young to offer a voice to the conversation about civil rights, a conversation started by men I respected, men who, unfortunately, died too young.  It takes courage, it turns out, to talk about race.

I believe that we can fix the problem of racial inequity in our justice system, but first we have to admit that the problem exists, and then we have to have the courage to engage in an open, honest and thoughtful conversation about the true state of race relations in America.

@highlight

Mark O'Mara: "Stand your ground" eliminates duty to retreat from a threatening situation

@highlight

He says according to testimony in two Florida cases, retreat wasn't perceived as an option

@highlight

O'Mara: "Stand your ground" should be removed from jury instructions to avoid confusion

@highlight

He says we need to deal as a society with how race affects perceptions