(CNN) -- Maybe we've seen "The LEGO Movie" too many times.

But we couldn't help breaking into an enthusiastic rendition of "Everything is Awesome" when we came across these Hong Kong-themed Lego photos by 36-year-old photographer Ric Tse.

Made by combining Lego minifigures, props and images, Tse's "Legography" series captures the spirit of Hong Kong in toy form, whether it's Louis Vuitton-toting shoppers, a Chinese lion dance or punters checking out the betting prospects at the horse track.

Some come with a side of social commentary that perhaps only a local would recognize, such as "Rubber Duck Fever" or "June Fourth Vigil," both featured in the above gallery.

Inspired by the streets

Tse, a freelance photographer with a full-time gig in property management, says inspiration usually strikes when he's out shooting photos of daily life in Hong Kong.

"During the shoot, whenever I capture something interesting I think, 'Would it work with Lego?' If that's a yes, I'll just do it."

Turns out, Tse wasn't even a big Lego fan when he started out.

"It was during an annual cleanup that my girlfriend, now wife, found an old box of Lego," says Tse, who produced his first Lego-based photograph in 2010.

"I had never played with Lego bricks before and found it interesting. I held a tiny figure and thought, if I could use this in my photography it would be interesting as well. That's where the concept came from.

"Since then, it's evolved to focus on people, incidents and things with a unique Hong Kong flair."

Four years on, he's created 30-some Leography images.

If you're thinking about befriending Tse in the hopes of getting invited over to play with his massive Lego stash, bad news. Your kids likely have a more impressive collection than he does.

"I probably only have five or six boxes of Lego. But because of Legography, I've quite a library of figures -- about 80 of them."

Creating awesomeness isn't easy

Tse says getting the background of his photos to look realistic takes time and experience.

"The ones that are taken in an actual outdoor scene with Lego figures -- it takes about a week to plan, prepare and buy props," he says.

"The second type are taken at home with a background image taken by me.

"The production process includes taking photos from the actual location, buying the props and setting up the shooting scene at home.

"As it is more complicated, it usually takes about two weeks."

For example, his "Sweet Memories" image features a Lego van that he's covered in signs and menus from a photo of an actual Hong Kong Mister Softee truck.

The photo is sure to hit locals with a vanilla-flavored cone of nostalgia, as these once popular moving ice cream purveyors have been around since the 1970s.

His "June Fourth Vigil" image, a recreation of the annual commemoration of those killed in Tiananmen Square, was his most challenging work to date.

"It took me three weeks," he says.

"I wanted to create the special candle vigil effects, so I bought some tiny LED light bulbs and parts. Then, I studied how to light them up from the Internet.

"It was also a lot of work to set up the scene as I had to find ways to hide the wires."

"We had a crowd around his photos all weekend"

Tse's Legography photos are currently on display at the city's Picture This gallery.

Founder Christopher Bailey says it was an easy decision to exhibit the pics, as the venue seeks to promote young Hong Kong photographers who may otherwise struggle to find outlets for their work.

"We feel that Ric is very clever and insightful and captures in a very unusual and creative way the essential spirit of Hong Kong," says Bailey.

"He is of that 1980s generation who are concerned about the direction Hong Kong is taking and often feel unable to make their voices heard properly.

"Ric's photography and Legography is his very creative outlet to show his views."

The response to Legography has been huge, he adds.

"At the recent Affordable Art Fair, held last month, we had a crowd around his photos all weekend and sold them extremely successfully. We were pleased that the buyer profile was so broad, from kids to retirees and of all nationalities."

Bailey says the gallery doesn't limit how long a photographer's work is on display so there are no plans to remove Ric's exhibition any time soon, though it's a popular series and prints are selling fast.

"They are limited editions and we anticipate that some of them will sell out quite quickly. One image has already sold over 20 pieces from an edition of 30."

Picture This, 212, 2/F, Prince's Building, Central, Hong Kong; +852 2525 2803; open Monday-Saturday, 11 a.m.-6 p.m. Tse's 20" x 13" Legography prints (edition of 30) cost HK$3,000 ($386) each. Smaller works of 12" x 8" (edition of 100) go for HK$1,200 ($154).

@highlight

Hong Kong photographer Ric Tse's "Legography" series features toy people, props, photos

@highlight

Tse's images inspired by everyday Hong Kong scenes, such as the iconic skyline and luxury shoppers

@highlight

Legography exhibition now on at Hong Kong's Picture This gallery