(CNN) -- It should be time to celebrate key milestones in the fight against HIV and AIDS. Recently, the United Nations announced that new HIV infections and AIDS-related deaths fell to their lowest levels since the epidemic's peak. Today, 6.6 million people in low- and middle-income countries are on life-saving antiretroviral therapy, and people with HIV are living longer.

These gains are significant. But because of the shortsightedness of many wealthy countries, we are once again at risk of losing an opportunity to contain and control this deadly epidemic.

The announcement by the Joint United Nations Programme on HIV/AIDS (UNAIDS) of these gains was quickly followed by much more sobering news. The Global Fund to Fight AIDS, Tuberculosis and Malaria -- the main financier of HIV programs around the world -- reported deep funding shortfalls as Western countries shrink or skip their promised Global Fund payments.

The Global Fund is freezing expenditures for existing HIV treatment programs and removing hundreds of millions in funding for new programs. The result? Fewer people on HIV treatment, more HIV, more AIDS, more orphans, more misery, more death.

The world has been on the cusp of a promising new era in combating HIV before. At the 2005 G8 Summit in Gleneagles, Scotland, the globe's most powerful economies committed to fund universal access to HIV prevention, treatment and care by 2010. The global community fell short by half. Because of that, there were millions of new -- preventable -- HIV infections, with widespread morbidity and mortality and massive economic and social costs. Tragically, the HIV pandemic continued to expand.

Earlier this year, at the U.N., the same players renewed their pledge to fund universal access by 2015. Yet we now hear news of shrinking resources in the face of massive need.

Let's be clear -- the United States is a leader in funding the fight against HIV. Since then-President George W. Bush's Emergency Plan for AIDS Relief (PEPFAR) launched in 2003, U.S. support has provided millions of HIV-infected people with access to antiretroviral therapy.

Today, the U.S. commitment remains strong, through the Obama administration's National HIV/AIDS StrategyÂ in America and Global Health Initiative, and Secretary of State Hillary Clinton's recent call for an AIDS-free generation. Clinton's goal hinges on a handful of key initiatives, including the immediate expansion of a program known as "treatment as prevention" and a corresponding increase in funding for the Global Fund.

Treatment as prevention, which calls for widespread testing for HIV and treatment for those testing positive, was pioneered at the BC Centre for Excellence in HIV/AIDS in British Columbia, Canada.

Effective treatment of a person living with HIV puts the virus into virtual long-term remission and dramatically reduces its transmission, preventing further infections. Leading global health organizations such as the International AIDS Society, UNAIDS and the Clinton Foundation support the expansion of "treatment as prevention" programs worldwide, calling the preventive benefit of treatment a "game-changer" in the fight against HIV.

Further compelling evidence that treatment as prevention works was provided by a U.S. clinical trial (HPTN052) in May 2011. It found that immediate antiretroviral treatment of an HIV-infected person whose partner does not have HIV reduced AIDS-related morbidity and mortality in the HIV-infected partner by 41% and decreased HIV transmission to the sexual partner by 96%.

Together, these results were instrumental in persuading the international community to renew the universal access pledge. UNAIDS says that 12.2 million new HIV infections and 7.4 million HIV-related deaths could be averted between 2011 and 2020 if funding is scaled up to $24 billion annually by 2015. The dollars required are considerable, but -- considering that the G8 pledged $40 billion virtually on the spot for the Arab Spring -- fully affordable.

Funding universal access is not just a moral and ethical obligation; it is also highly cost-effective. China gets it. The world's most populous country is implementing a national treatment as prevention strategy to help China meet its goal of bringing HIV and AIDS under control by 2015. Under its program, China conducted nearly 67 million HIV tests in the first 10 months of this year.

The global effort to combat HIV cannot afford further delays, as the magnitude and impact of the pandemic grow relentlessly. Today, 34 million people live with HIV and 7.6 million people require treatment. We continue to play catch-up. For every one person who starts HIV treatment, two become infected with HIV.

It is time to fully fund the Global Fund, so we can meet the universal access pledge and realize the goal of an AIDS-free generation. Millions of lives depend on it.

The opinions expressed in this commentary are solely those of Julio Montaner.

@highlight

Julio Monanter: UNAIDS announces HIV infections, AIDS deaths down from peak

@highlight

Montaner: But these gains are threatened as West fails to meet funding obligations

@highlight

Global Fund to fight AIDS has deep shortfalls, he writes, is cutting new programs

@highlight

Wealthy nations must renew pledges, he says, or many more will die, become infected