(CareerBuilder.com) -- Stories rule our lives.

When we were young, we told our parents detailed narratives, which originated from our imaginations. As we grew older, we told stories (er, lies) to our parents to keep us out of trouble. And we shared anecdotes with our friends to make ourselves appear interesting enough to make them like us.

Now as we try to "make it" in the real world, telling a good story can help our careers, says Peter Guber, author of "Tell To Win: Connect, Persuade, and Triumph with the Hidden Power of Story."

"It occurred to me that everybody in business shares one universal problem: To succeed, you have to persuade others to support your vision, dream or cause," Guber writes in his book.

"Whether you want to motivate your executives, organize your shareholders, shape your media, engage your customers, win over investors or land a job, you have to deliver a clarion call that will get your listeners' attention, emotionalize your goal as theirs, and move them to act in your favor. You have to reach their hearts as well as their minds -- and this is just what story telling does."

Simply put, if you can't tell it, you can't sell it.

The best part is that anyone can tell a story, Guber says. "You don't need a special degree to tell the story of your company, brand or offering and make it a powerful call to action. You don't need money or privilege. This really is a vital skill that's freely available to anyone."

The key is knowing how and when to tell a story effectively, whether it's in an interview, at a networking event or if you're making conversation with the CEO.

"In any situation that calls for you to persuade, convince or manage someone or a group of people to do something, the ability to tell a purposeful story will be your secret sauce," he says.

"Purposeful" is the key word, Guber says. "Purposeful stories have a goal, a call to action that tellers want their listeners to do. The power in telling a purposeful story makes the purpose -- the object of the story -- emotional rather than intellectual, and aspirational rather than inspirational," he says.

What you want to avoid is informational storytelling. While you should of course share facts about yourself, especially in terms of figure or data where possible, it's more important to put that information in the context of a story.

"Very few people remember facts, figures and data. Research on memory absolutely shows that you can remember details of things much more effectively when they are embedded in a story," he says. "When you bond information with emotion, which is the catalyst in every story well told, the information is then experienced, ingested, emotionalized and thus recalled and acted upon more effectively."

Of course, not everyone has inherent storytelling skills, but that doesn't mean they can't be learned.

"Practice, practice, practice. You will tap into your inherent resource," Guber says. "Be clear to yourself about what your intention is, that you want to be heard and felt and what you want as your goal."

Here are 12 quick tips to remember when telling purposeful stories that could help boost your career, from Guber's book.

1. Data dumps are not stories -- dump them, don't tell them!

2. A purposeful story is a call to action -- be sure to make your call.

3. Successful stories turn "me" to "we" -- align your interests.

4. Be sure your story tells what's in it for them.

5. Be interested in what interests your listeners and they'll find your story interesting and your goal compelling.

6. Remember, the context in which you tell your story colors the story you tell.

7. Your firsthand or witnessed experiences are the best raw material for your story.

8. Employ the element of surprise.

9. Craft the beginning to shine the light on your challenge or problem.

10. Shape the middle around the struggles, then meet the challenge.

11. End with a resolution that ignites in the listener your call to action.

12. To tell a great story, make preparation your partner.

&copy CareerBuilder.com 2011. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority.

@highlight

Telling a good story can help boost your career

@highlight

Stories should be "purposeful," says author Peter Guber

@highlight

Advice: Successful stories turn "me" to "we"