Editor's note: Oren Gross is Irving Younger Professor of Law and director of the Institute for International Legal & Security Studies at the University of Minnesota Law School. Between 1986 and 1991, he was a senior legal advisory officer in the Israeli Defense Forces' Judge Advocate General's Corps. He is co-author of "Law in Times of Crisis: Emergency Powers in Theory and Practice" with Fionnuala Ní Aoláin.

Oren Gross says torture is illegal even if a country is fighting terrorist groups that engage in it.

(CNN) -- Popular clichés notwithstanding, not all is fair in war. The idea that war is subject to legal rules is an ancient one.

Over time nations have come to accept that their decisions whether to go to war as well as how to conduct warfare once armed conflict has erupted are limited by legal norms.

But do such limitations hold when the enemy is not another nation that itself plays, more or less, by the rules, but rather a nonstate actor such as al Qaeda that flagrantly ignores them?

Does not following the rules in this context mean that we would be fighting with one hand tied behind our back? And if so, should not all be fair at least in war against such an enemy? Yes, yes, and an emphatic no.

Al Qaeda does not pose a threat to the United States' (or any of its allies') existence. Its real threat lies in provoking us to employ authoritarian measures that would weaken the fabric of our democracy, discredit the United States internationally, diminish our ability to utilize our soft power and undermine our claim to the moral higher ground in the fight against the terrorists.

In other words, the critical threat is not that the United States would fail to defend itself but that it would do so too well and in the process become less democratic and lose sight of its fundamental values. "Whoever fights monsters," warned Friedrich Nietzsche, "should see to it that in the process he does not become a monster. And if you gaze long enough into an abyss, the abyss will gaze back into you."

Yes, a democracy fighting terrorists seems to be fighting with one hand tied behind its back, but the fight is not merely about physical survival. It is also a struggle about our way of life and about our core values.

Aharon Barak, former president of the Supreme Court of Israel (a country no stranger to the fight against terrorism), wrote in a court opinion that ruled certain interrogation methods to be prohibited under Israeli law, that despite being limited in its fight, democracy has the upper hand because "the rule of law and the liberty of an individual constitute important components in its understanding of security. At the end of the day, they strengthen its spirit and this strength allows it to overcome its difficulties."

When all is said and done, everyone -- even the lawyers who authored the infamous Department of Justice memos on interrogation techniques during the Bush administration -- agrees: Torture is prohibited, and committing it is a crime, under both the law of the United States and international law.

The prohibition reflects a powerful taboo on practices that are considered moral evil. "The torturer," declared the 2nd U.S. Circuit Court of Appeals almost 30 years ago, "has become like the pirate and slave trader before him hostis humani generis, an enemy of all mankind."

And as is the case with respect to piracy and slave trade, so to with torture, the law admits of no exceptions to the ban, no matter what the particular circumstances might be. The prohibition remains absolute even -- indeed particularly -- in wartime and in the face of other grave emergencies. And for good reason.

Torture is intrinsically wrong. It violates the physical and mental integrity of the person subjected to it, negates that individual's autonomy and deprives him or her of human dignity.

A categorical legal prohibition on torture not only reflects what decent people believe, but is also fundamental to the society we wish to live in and belong to. An absolute prohibition is also designed to prevent us from sliding down the slippery slope that would end in the use of torture in less than truly exceptional cases (just because interrogators have gotten used to employing it in "exceptional cases") or in applying similar methods to "ordinary" criminals.

The Bush administration, euphemistically seeking to employ "coercive" interrogation techniques against al Qaeda detainees, pursued three major strategies of implausible deniability to bypass the uncompromising legal ban: It denied that certain national and international laws that prohibit torture applied to certain categories of detainees (a position squarely rejected by the Supreme Court in its 2006 Hamdan decision), it denied that the "United States" was engaged in torture (while, at the same time, outsourcing the business of torture to other countries), and it also denied that the United States was engaged in "torture."

Orwellian legal constructions and definitional wizardry by lawyers demonstrating small-mindedness, technocratic reasoning, ideological motivation, and I-just-followed-orders mentality facilitated this last claim.

Early Justice Department-Office of Legal Counsel memos, later repudiated by subsequent OLC memos, defined torture so narrowly as to make all interrogation practices practically appear legally permissible and approved as legal 10 specific interrogation techniques, including waterboarding.

In doing so these memos not only misrepresented the law of the United States, but also showed utter disregard for, and ignorance of, international law. Other legal memos were no better. Their main purpose was to provide immunity for acts that are manifestly illegal and immoral. They were designed to give the CIA its CYA.

Lawyers are not the only ones to blame. Doctors and psychologists had been involved in the process of devising and then carrying out torture. For its part, such inexcusable conduct by professionals was a link in a longer chain of systemic failures in decision-making processes and oversight mechanisms.

Interrogation techniques such as waterboarding were officially imported into the CIA's arsenal without clear indication that such techniques actually worked and despite the fact that in the past those very techniques had been used in places such as Korea against American troops.

Perhaps most troubling, all this happened with little, if any, meaningful and informed discussion among decision-makers. As Philip Zelikow noted, "Especially in a time of great stress, walking into this minefield, the president was entitled to get the most thoughtful and searching analysis our government could muster." Well, he clearly did not.

And then those officials whose task it was to oversee such matters failed us again. Rep. Nancy Pelosi who, as the ranking Democrat on the House Intelligence Committee in 2002, was briefed on the interrogation methods, said that "we were not told that waterboarding or any of these other enhanced interrogation methods were used. What they did tell us is that they had some [legal] opinions that they could be used, but not that they would. ..." Such excuses ring hollow and, frankly, insult our intelligence. Americans deserve better than that.

And so the only claim left is the one made by former Vice President Dick Cheney and former CIA Director Michael Hayden -- that waterboarding and similar techniques actually worked. Let us assume, for the sake of argument, that by "worked" they mean that through the use of such techniques the CIA got information that led to the foiling of future terrorist attacks. Let us even assume that such information would have been impossible to obtain using less radical methods of interrogation (both assumptions are controversial, of course).

Even so, the use of torture would not become lawful. In this case, neither necessity nor effectiveness could render legal that which otherwise would have been illegal. And the absolute prohibition on torture recognizes, as we said earlier, no exceptions. As far as the law is concerned, it matters little whether torture resulted in useful intelligence leads or none at all. Consequently, no legal opinion could give advance authorization to use such techniques.

If indeed such techniques had been effective that might, at most, be considered after the fact in the context of deciding whether to bring criminal charges against officials accused of violating the law or impeach them. It could also be considered in the context of "jury nullification" when a jury acquits a defendant despite its belief that the defendant is, in fact, guilty of the violation charged. And it might also be considered in the sentencing of officials when they are found liable for violation of the law such as by mitigating the penalties imposed on them, and in executive pardoning or clemency where criminal proceedings result in conviction.

Even if any of the above takes place in the United States, the use of illegal interrogation techniques may still expose those who authorized their use and those who applied them to criminal and civil proceedings in foreign jurisdictions such as Spain and to international criminal prosecution.

President Obama made it clear that he wished to move forward rather than spend energy laying blame for the past. But in order to move forward we must contend with the past. We need to deal with those who authorized and carried out crimes "in our name."

We need to make sure that decision-making processes work as they should and that oversight mechanisms perform their functions. We need to return to an ethic of responsibility and accountability that is critical if citizens are to have faith in their government and the world is to respect this nation. This is not just a matter of the rule of law. It is a matter of national security.

The opinions expressed in this commentary are solely those of Oren Gross.

@highlight

Oren Gross: Torture under any circumstances is illegal and morally wrong

@highlight

Democracies using torture risk losing their bearings, Gross says

@highlight

Bush administration twisted facts and logic to try to justify torture, he says

@highlight

Gross: To move forward, we must investigate what happened in the past