(CNN) -- They have been meeting for two months, poring over concepts and ideas already hashed out by three other groups over the past year.

But nine days before their deadline, members of the so-called congressional "super committee" created to forge a deficit reduction deal indicated Sunday that they remain hung up on basic issues of tax and entitlement reform that have previously stymied agreement.

Texas Rep. Jeb Hensarling, the panel's Republican co-chair, told CNN's "State of the Union" that the only solution possible might be a two-step process in which the bipartisan committee sets a figure for increased tax revenue that congressional committees would then implement through legislation.

"There could be a two-step process that would hopefully give us pro-growth tax reform," Hensarling said.

George Washington to debt panel: Show courage

The continued political wrangling over how to reform the tax code and entitlement programs such as Medicare and Medicaid as part of a broad deficit reduction plan causes consternation for two senators who were part of the "Gang of Six" that put together their own plan earlier this year.

"We've got to be willing to probably make some folks mad on both ends of the political extreme," Democratic Sen. Mark Warner of Virginia told the CNN program. "And you'll know this super committee is getting close if you hear folks on both ends of the political extreme scream the loudest, because that will show that there's actually movement being made."

"That's what's so disappointing," he added.

The panel created under the debt ceiling deal earlier this year has until November 23 to reach an agreement on at least $1.2 trillion in deficit reduction over the next decade.

If it works out an agreement, Congress must vote on the unamended plan by December 23. Failure to reach an agreement or gain approval by Congress and President Barack Obama would trigger $1.2 trillion in automatic spending cuts scheduled to take effect in 2013.

Hensarling said Sunday that the process will fail unless Democrats are willing to accept significant reforms to entitlement programs such as Medicare and Medicaid, the government-run health care systems for the disabled, poor and elderly.

Democrats, meanwhile, say any solution must be balanced with spending cuts, entitlement reforms and increased tax revenue.

Hensarling and other Republicans oppose any kind of tax increase, particularly the call by Obama and Democrats to raise rates of wealthy Americans to increase their share of the tax burden. However, the Republican position has shifted to accept increased tax revenue through reforms that would lower rates by expanding the number of payers while ending some subsidies and loopholes.

"Increasing tax revenues could hurt the economy, but within the context of bipartisan negotiations with Democrats, clearly they are a reality," Hensarling conceded to CNN Chief Political Correspondent Candy Crowley.

Republicans have offered a proposal with $1.4 trillion in deficit reduction, including $500 billion in new revenue from capping individual deductions while cutting all six income tax rates by roughly 20%. Under the proposal, the top rate would fall from 35% to 28%.

Democrats immediately rejected the plan as insufficient, saying it would end up decreasing revenue in the long run by permanently extending tax cuts from the Bush administration that are scheduled to expire at the end of 2012.

The Republican proposal would bring in more revenue by spurring economic growth, Hensarling insisted, adding: "We Republicans want more revenues. We just want to raise it by growing the economy."

Other legislators stuck to long-held positions, showing the remaining gap.

"The kind of reform we're talking about is actually guaranteed to create millions of jobs over time and also bring more revenue," Sen. Pat Toomey, R-Pennsylvania, said of the Republican proposal on "Fox News Sunday."

In particular, it would extend Bush-era tax cuts set to expire at the end of 2012, said Toomey, one of the super committee negotiators.

That's the problem, countered Rep. Debbie Wasserman Schultz, the chair of the Democratic National Committee, on NBC's "Meet the Press."

"That was not a serious proposal," she said, insisting that the combination of reducing some itemized deductions while extending the Bush tax cuts would result in decreased revenue in the long run.

On Fox, Democratic Rep. James Clyburn of South Carolina said he agreed with fellow panelist Toomey on most of his proposal. However, Clyburn called for actual numbers for revenue growth that can be analyzed by the Congressional Budget Office instead of assertions of future economic growth that "Pat Toomey will dream about."

"I believe that all of the ingredients for a good resolution are there," Clyburn said. "We just need to develop a will."

Warner, meanwhile, said on CNN that if the super committee fails to push through a compromise, Congress should vote on one of plans worked out by either the "Gang of Six" or a deficit commission appointed by President Barack Obama in 2010 that was headed by former Wyoming Sen. Alan Simpson, a Republican, and former White House Chief of Staff Erskine Bowles, a Democrat.

Both plans pushed by Warner call for around $4 trillion in deficit reduction by a combination of spending cuts, tax increases and reforms to entitlement programs such as Social Security, Medicare and Medicaid.

Another deficit commission in 2010, headed by former White House Budget Director Alice Rivlin and former Senate Budget Committee Chairman Pete Domenici, R-Wyoming, also called for a comprehensive approach including higher taxes, frozen spending and entitlement reforms.

A so-called "grand bargain" along those lines discussed by Obama and House Speaker John Boehner, R-Ohio, earlier this year fell apart over differences on tax hikes on the wealthy sought by Democrats and Medicare restructuring sought by Republicans.

CNN's Gabriella Schwarz contributed to this report.

@highlight

Super committee members still divided by partisan politics

@highlight

The Republican co-chair acknowledges a deal would increase tax revenue

@highlight

Democrats call a Republican proposal insufficient

@highlight

The panel has until November 23 to reach agreement