(CNN)  -- In the world of massive multi-player online role-playing games (MMORPG), "World of Warcraft" is the gold standard with more than 12 million subscribers as of October 2010.

With their most recent expansion release, it seems Blizzard's hold on the market would grow even tighter.

However, another game company is  armoring up and entering the MMORPG arena.

And it comes with a dig at the online gaming giant, calling out its fictional home planet in ads: "We're not in Azeroth anymore."

"Rift" (Trion) is set on Telera, a world that apparently is a nexus of sorts for different planes of existence. These other worlds invade Telera through physical rifts and allow monsters to attack important cities and people. As a player, your job is to stop it from happening.

Players get to choose from two factions, Guardians and Defiants. Each has their own races and tactics to employ during the game and both can choose from four classes (warrior, mage, rogue, and cleric).

The two factions aren't necessarily battling each other, but are trying to show which way is the best to save the world.

Skills are built up using "souls," which unlock powers and allow gamers to customize their characters as they match their style of play.

A character can have multiple soul systems so they can change their abilities as needed.

Executive producer Scott Hartsman said the initial idea was not to create a new MMORPG, but to create a new gaming technology that would allow Trion to build games in different ways.

"There were visions for some slightly less-formed ideas for what the game would eventually be," Hartsman said.

"It was all about ... 'Think of all the cool stuff we could build if we had technology that would let us do 500 players in one place, 1,000 players in one place, big events that start up and shut down on their own. A world that is truly alive.' "

Hartsman said the technology had to be created first before they could figure out what to do with it. Trion was looking for something that was social, dynamic and fun that would utilize their design to the fullest.

The ability to track online players' locations and keep tabs on their actions led the team to develop a fantasy MMORPG. Trion CEO Lars Butler said choosing the fantasy genre ultimately was an obvious decision.

"Because of the technology (we built), we wanted to take on the most established online gaming category first," Butler said.

"We felt we had what it takes to substantially address some of the shortcomings that this genre still has."

Trion servers are broken down by function, unlike other games in which servers are devoted to particular locations in the game. For example, they use a set of servers to handle non-player character functions in the world, a different set of servers to handle encounters with "bosses," and another set that handles functions directly involving the players' characters.

Hartsman said by dividing the servers by functions, processes can be started and stopped more quickly and easily, causing less lag and other glitches in gameplay. Getting them to all work together seamlessly was hard.

"Yeah, it was hard, but it was well worth it. We're really just now at the point we're about 25% into all of the things we can do with our technology and we're looking to add more," he said.

"What people see in 'Rift' right now is pretty revolutionary as well as a great foundation for us to keep adding more unique types of things to do."

The technology is flexible enough to handle the weight of the world without crashing and still be expandable for additional players or additional game features.

"Even the best fantasy MMORPGs out there are still mostly static. They have very limited social game play," Butler said. "They're getting old."

"Rift" launched at the beginning of March after a beta run and a "Head Start" run, which allowed gamers who signed up early some extra time in the world before the official launch. After the launch, there were some complaints about server wait-times because Trion underestimated initial demand.

They doubled and eventually tripled the number of servers in an effort to get the wait-times down.

Trion is also working on migrating players away from overcrowded servers to new servers in an effort to get everyone's wait time to zero.

Trion tailored the game's elements and story to make the best use of their new technology.

While acknowledging the fantasy gaming genre is a difficult one to stand out in, Hartsman said having the ability to get players gathered together at a moment's notice was one of the advantages of using their technology.

And despite the jab at Blizzard in their advertising, Trion believes there is room for two successful MMORPGs.

"Ten years ago, people were comparing everything to 'Everquest.' This year, people are comparing everything to 'World of Warcraft,'" Hartsman said. He said talk about comparing "Rift" with "WoW" is more about gamer culture than direct competition.

But he said there are differences that make "Rift" unique.

"The fact that there is always something interesting going on in the world and the fact that the world itself can be a dangerous place and a place where there is new danger, new adventure ... gives the game a sense of urgency and banding together with other people adds a whole lot of excitement that only 'Rift' is doing," he said.

"Rift" is available only on the PC. It is rated T for Teen due to alcohol references, blood, mild language and violence. There is a 30-day free-play period included in the purchase of the game, but it then requires a monthly subscription for continued play. It is available in English, French and German.

@highlight

"Rift" ad takes jab at "World of Warcraft": "We're not in Azeroth anymore"

@highlight

" 'Rift' right now is pretty revolutionary," executive producer says

@highlight

Players get to choose from two factions, Guardians and Defiants

@highlight

Game takes place in Telera, a nexus of sorts for different planes of existence