(CNN) -- The families of Trayvon Martin, Michael Brown, Tamir Rice, Eric Garner and other unarmed black men felled by bullets or police force filled a podium in the nation's capital.

"This is a history-making moment," said Garner's mother, Gwen Carr. "It's just so overwhelming to see all who have come to stand with us. Look at the masses -- black, white, all races, all religions. ... We need to stand like this at all times."

Invoking the familiar names of black men who died at the hands of police, tens of thousands marched throughout the nation on Saturday to protest what they see as rampant racial injustice.

The throngs -- young and old, black and white -- took to the streets in major cities, including New York, Washington, Boston, San Francisco and Oakland, California. In Washington, a crowd of thousands snaked up Pennsylvania Avenue to the Capitol in a protest that evoked memories of past civil rights marches.

The crowds appear to represent a burgeoning movement sparked by the decisions of grand juries in Missouri and New York not to indict white police officers in the deaths of two unarmed black men.

Garner died in July when New York police officers on Staten Island wrestled him to the ground, with one of the officers wrapping his arm around Garner's neck.

'Sea of people"

"What a sea of people," said Lesley McSpadden, the mother of Michael Brown, who was fatally shot by a Ferguson, Missouri, officer in August. "If they don't see this and make a change, then I don't know what we got to do,"

Thousands marched in Boston, starting at the Massachusetts State Capitol. Police arrested 23 people on disorderly conduct charges, according to the Massachusetts State Police. One man was charged with assault and battery on a police officer.

From New York's Washington Square Park, thousands marched to police headquarters chanting "I can't breathe" -- Garner's last words -- and "How do you spell racist: NYPD."

The march was largely peaceful, although a protester from a splinter group hurled a garbage can through the window of an NYPD traffic car.

"I stand here as a black man who is afraid of the police," said marcher Ahmad Greene-Hayes, "who is afraid of never knowing when my life might end, never knowing when I might be ... gunned down by a vigilante or a security guard or a police officer."

Michaela Angela Davis, a writer and frequent CNN guest who participated in the march, said the demonstrations signal a lasting movement.

"The collective self-esteem that's happening with these young people is really powerful," she said. "They know they are part of history."

Protesters demand change

In Washington, many carried signs with now familiar messages: "Black lives matter," "Hold cops accountable" and "I can't breathe."

"It's systematic racism that is instilled in our government," said Shanna Lawrie, her hands in the air as she marched to the Capitol.

"We come in peace but we come strong," said Ashley Sharpton, daughter of the Rev. Al Sharpton, an organizer of the Washington march. "We come with demands. We want the government to get involved."

Protesters are demanding a more aggressive federal response to racially charged incidents involving police.

Another marcher was Samaria Rice, whose 12-year-old son, Tamir, was carrying a toy gun when a Cleveland police officer fatally shot him in a park. The local medical examiner ruled his death a homicide.

Marc Morial, head of the National Urban League, said protesters are demanding body and dashboard cameras for police, special prosecutors to investigate police misconduct and laws against racial profiling.

New York City Councilman Jumaane Williams, who marched in Washington, said the protest needed to move beyond police brutality and focus on issues such as housing, unemployment and better schools.

"That's where we need to steer the conversation," he said. "That's where the anger is."

What the officers say

Daniel Pantaleo, the New York police officer shown on video wrestling Garner to the pavement with his arm around his neck, spoke with internal affairs investigators this week. His attorney says Pantaleo did not use a chokehold but a "takedown technique" he learned in the police academy.

"He said he never exerted any pressure on the windpipe and never intended to injure Mr. Garner," attorney Stuart London said.

Police had confronted Garner on the sidewalk for allegedly selling loose cigarettes.

Ferguson Police Officer Darren Wilson resigned from the department last month. He testified to a St. Louis County grand jury that he shot Brown after the 18-year-old tried to take his gun and then charged at him.

The results of autopsies, including one by a Justice Department medical examiner, showed that among Brown's multiple gunshot wounds was one to his hand at close range. That supports Wilson's account of a struggle at his patrol car but doesn't explain why Wilson continued shooting at least five more times.

CNN's Faith Karimi, Nick Valencia, Dave Alsup, Alexandra Field, Chris Welch and Camille Cava contributed to this report.

@highlight

Protests take place in major cities including New York and D.C.

@highlight

Eric Garner's mother says marches are "a history-making moment"

@highlight

One protester decries "systematic racism" in government

@highlight

The crowds demand a more aggressive federal response