(CNN) -- America is a lucky nation. When the country was about to plunge into an economic depression, the head of the central bank was a man who had dedicated his life to studying how to prevent a recurrence of the Great Depression.

And now that Federal Reserve Chairman Ben Bernanke is stepping aside, the economist nominated to succeed him, Janet Yellen, is once again exactly the right person for the challenges of the moment.

Yellen, not much more than 5 feet tall, is a towering intellect who commands respect from those who understand the intricacies of monetary policy and can explain them to those of more modest intellectual gifts, a skill that will prove useful when she faces confirmation in the Senate.

She will become the first woman to lead America's central bank; an apt way to mark the 100th anniversary of the Federal Reserve.

She will also become the world's most powerful woman.

If confirmed, Yellen will likely introduce meaningful, if very subtle, changes to the job. Under the outgoing chairman, the Fed applied innovative and aggressive policies, flooding the financial system by adding trillions of dollars to the central bank's balance sheet and bringing interest rates down to nearly zero to keep the economy from sinking.

The worst of that crisis is now over -- unless Congress sends the economy into the abyss.

The Fed now confronts two very different challenges. First, how and when to bring interest rates back to more normal levels without triggering a new recession -- the dreaded "taper." Second, what, if anything, to do about America's stubborn unemployment rate, which remains at historically high levels.

Yellen has a history of voting in line with Bernanke. She is not about to bring any sudden changes to monetary policy. But she has a track record, evidenced by her many academic writings and speeches, that emphasizes the need to create conditions that stimulate employment.

Unusual for an economist of her caliber, she has not drifted away into the abstractions of economic analysis and statistics; she has kept her eyes on what's critical -- the people. Her research has centered on unemployment, on the best way to modulate government policies to benefit the people.

"Long term unemployment," she told an audience earlier this year, "is devastating to workers and their families."

With inflation under control and unemployment still high, she said, "it is entirely appropriate for progress in attaining maximum employment to take center stage."

Those views will influence her work as Fed chairwoman. The Fed has two tasks -- to fight inflation and promote economic growth, including employment. The two are sometimes seen as conflicting with one another. To fight inflation, the Fed usually raises rates. But raising rates tends to depress economic activity.

In balancing the two tasks, Yellen will tilt slightly in favor of employment. That means she is more likely to leave interest rates at low levels until unemployment lessens.

Yellen's resume is impeccable. She chaired President Clinton's Council of Economic Advisers, served on the Federal Reserve Board of Governors, taught at Harvard, and was president of the Federal Reserve Bank of San Francisco. When she went home after work, her mind was not exactly at rest. She shared her evenings with her husband, George Akerlof, a Nobel-winning economist, described by some simply as "a genius."

He is such a luminary that when she was a professor at the London School of Economics, her former colleagues now admit that they mostly thought of her as Akerlof's wife.

In the 1990s, she successfully persuaded then-Fed Chairman Alan Greenspan that zero inflation would be harmful to the economy. To this day, Greenspan has only the highest praise for her rigorous intellectual analysis and powers of persuasion.

Her emphasis on employment qualifies her as an inflation "dove" and some critics worry that she will let her guard down if inflation resurfaces. But she has been sharply critical of Fed policies that allowed inflation to rise decades ago, vowing the Fed should never let that happen again.

The country might be in better shape today if policymakers had listened to her more carefully. In late 2007 she warned that the economy was about to take a hard fall. Now she has been ranked the best forecaster among all of the Fed's luminaries, and possibly the most qualified Fed chair in history.

When the time comes to start raising interest rates, the country will be in good hands. Yellen has said that she plans to go slowly, carefully and in creative ways. She revealed some of her ideas a few months ago, speaking of a plan to raise rates "in a way that's novel, that we haven't tried in the past." Essentially, hike the rates the Fed pays to banks in order to gently boost rates across the economy.

Yellen is so clearly the right person for the job that it is disappointing the White House handled the entire process in such an undignified way. Traditionally, the selection of the Fed chief has not been subjected to political winds. But the White House let it be known that its first choice for the post was the controversial economist Larry Summers. The trial balloon hissed noisily before it came crashing down. Last month, Summers sent a letter to President Obama asking that his name be withdrawn from consideration in order to avoid an "acrimonious" confirmation battle in Congress.

The process was unnecessarily disrespectful to Summers and to Yellen. She should have been the president's first and only choice. Lucky for America that the president came to his senses finally.

Janet Yellen is about to become a superstar.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

President Obama nominated Janet Yellen to be the next head of the Federal Reserve

@highlight

Frida Ghitis: Yellen is exactly the right person for the challenges of our time

@highlight

She says Yellen will likely do more to reduce unemployment and promote growth

@highlight

Ghitis: As the first woman to lead America's central bank, she'll be a powerful force