Miami, Florida (CNN) -- They're at the top of the ocean's food chain -- but it is still a mystery how the oil disaster is affecting the shark population in the Gulf of Mexico.

Even if sharks never touch the oil slick, their sources of oxygen and food are at risk. And a reduced shark population could impact the entire Gulf ecosystem, according to Neil Hammerschlag, a researcher at the University of Miami, who has been studying sharks for a decade -- tagging them to determine their migratory patterns and other behaviors.

Today, his research focus has changed.

"The oil spill opens up a whole new avenue for critical research," says Hammerschlag.

As with most weekends, Hammerschlag leads a university research team packed into a boat with interns and high school students, to fish for sharks.

They research the impact of the oil on sharks and other species of fish in the Gulf of Mexico.

Because sharks eat nearly everything beneath them on the food chain, they provide a lot of information about the ecosystem.

"If you see high levels of oil in a shark, you better believe it's in the whole food chain," says Hammerschlag's assistant, Austin Gallagher.

In order to take biological samples from the sharks, first they must be caught.

Ten lines are baited in areas believed to be attractive to sharks.

"Sharks don't chew their food they swallow it," Hammerschlag says.

The lines are equipped with special circle-shaped hooks to prevent the sharks from harming themselves when they swallow the bait.

Swallowing a circle hook, with an inward point does not hurt the shark, Hammerschlag says. The shark swallows the bait and, as it starts to swim away, the hook turns and catches the animal's jaw.

He compares it to a lip piercing.

"It heals very, very quickly," he says.

Once a shark is on the line, it is pulled up to the side of the boat. Larger sharks are kept in the water.

The researchers lean over the side of the boat and gather tissue and blood samples, before attaching a tag to the fin.

The process usually takes just a few minutes from the time it is reeled in until the shark's release.

The information has been used for creating protected marine areas, as well as medical research.

Large sharks that migrate long distances -- bull, hammerhead, and tiger sharks -- are outfitted with satellite tracking devices with sensors.

When the shark breaks the water's surface, its location is sent to a satellite. Hammerschlag then receives an e-mail containing the coordinates.

The data on the sharks' movement -- published on the University of Miami's website -- will tell researchers whether the sharks encounter the oil in the Gulf of Mexico.

Hammerschlag thinks the odds are high that sharks will swim through water filled with oil, but he can't be certain because there's no precedent.

He's hopeful the sharks can outsmart the environmental disaster.

"There is a possibility that these animals might be able to anticipate the oil and sense the oil and actually move away from it," he said.

Swimming through the oil could be deadly for sharks.

"Sharks breathe through the water," says Hammerschlag. "They take in the water, the water goes over their gills and they extract oxygen out of the water."

If the water is mixed with oil, it would hinder their normal breathing pattern, he says.

It's still too early in Hammerschlag's research to determine whether sharks are swimming through the oil.

"Hurley" the hammerhead shark had transmitted a signal nearly every day for three months, until just a couple of days after the rig explosion that caused the oil spill.

"The tag could have failed or it could have headed off somewhere else into deep water and just not come up in the last few months," Hammerschlag says.  "But that's very unlike the shark's characteristics."

Either way, as long as there are fish in the oiled area, Hammerschlag and his team will be looking at the effects on sharks.

"You know, there's fishing areas closed in the Gulf of Mexico because they don't want people catching and eating that fish," he said.  "But I don't know if the sharks got the memo."

@highlight

Researcher Neil Hammerschlag has been tracking sharks for 10 years

@highlight

Now, his research is focusing on the impact of the oil spill

@highlight

Hammerschlag and his team catch sharks, then tag them with transmitters

@highlight

It's still unclear if the sharks are avoiding the oil spill