Athens, Greece (CNN) -- Voters dealt major blows to Greece's two most established parties in parliamentary elections Sunday, leaving no party with anything approaching a majority and the politically and economically volatile nation even more in flux.

With 97% of votes counted early Monday by the Interior Ministry, the right-leaning New Democracy -- part of the present ruling coalition -- finished first with 19% support to capture 109 seats. That figure is barely half the percentage that it won in elections in 2009 and well short of what party leader Antonis Samaras admitted it hoped for entering this weekend.

"I asked for a strong mandate, but people chose differently. I respect their message," Samaras said in remarks carried live on state television. "Today's result expresses people's disappointment towards the implemented dead-end economic policy that tested their limits and didn't include the necessary development policy."

In an apparent backlash against austerity measures, no party came close to a majority, and the two parties that spearhead the current coalition government earned far short of 50% of all 300 parliamentary seats. That means a new coalition government will again have to be formed.

Politicians have until May 17 to come up with a new working alliance or, if they cannot, set a date for another round of elections.

Samaras acknowledged the results were disappointing to his party, but said that as the first-place finisher and "only pillar of political stability in Greece," New Democracy now has even more responsibility.

If a coalition government can be formed, he said its two priorities would be to remain in the eurozone and alter existing policies, including stringent austerity measures, to "achieve development and offer people relief."

"I understand people's rage, but I will not let the country (exist) without a government," Samaras said.

The other party to see its support plummet was left-leaning PASOK, New Democracy's coalition partner. Three years after beating out all other parties with 44% of the vote, PASOK took 13.3% this time -- giving it 41 spots in parliamentary, compared to 160 after the previous election.

PASOK's leader, Evangelos Venizelos, said in a speech carried on state TV that he favored the formation of a unity government that is "EU-oriented, regardless of what their take is on" previously implemented measures.

The tribulations of New Democracy and PASOK were matched by triumphs of a number of other parties that were also-rans and in some cases nonexistent just a few years ago, propelled by voters angry about stringent austerity measures.

Elections in Europe: Socialist wins French presidency

The radical leftist coalition Syriza passed PASOK with a strong second-place showing. Exit polls predicted it would garner 10% support, but instead Syriza garnered 16.7% support, according to the all-but-final results. That more than triples its parliamentary representation to 51 seats.

"This is a message of a peaceful revolution," said Syriza party leader Alexis Tsipras. "European leadership and especially (German Chancellor Angela) Merkel have to understand that austerity policies have suffered defeat."

The fourth-place finisher, the Independent Greek party, was founded in February by ousted New Democracy parliamentarian Panos Kammenos. With 10.6% backing, this right-wing nationalist party, which opposes Greece's agreement with the European Union and International Monetary Fund, will now have 33 seats in parliament.

The Communist Party, which wants Greece to leave the single-currency eurozone, also saw gains in winning 8.5% support.

And the far-right Golden Dawn party, which got 0.3% of votes the previous election, ended up with 7% support on Sunday. That equates to rise from zero to 21 parliamentary seats.

Its leader, Nikos Michaloliakos, gave a rousing speech after Sunday's vote saying Golden Dawn would "fight so that Greece won't be a slave of the memorandum and of the social jungle that illegal immigrants have brought in this country."

"Everyone who betrays Hellenism should be afraid. We are coming," he said.

Katerina Sokou, financial editor of the Greek daily newspaper Kathimerini, called what happened Sunday "a protest vote (against) the main two political parties of Greece."

Yet Sokou added that she expects New Democracy and PASOK again will be part of the ruling coalition government, even though there may be notable policy changes and challenges to come, including a "renegotiation" of already approved austerity measures.

"I believe that these electoral results ... show that people need a coalition government," she said. "They also want the parties to cooperate."

One young mother interviewed by CNN said her aim Sunday, before the voters were counted, was to "punish" pro-austerity politicians and "get rid of them for good."

Austerity is "the wrong path," said the woman, who did not give her name.

"Austerity measures just make people poorer and the situation does not get any better in the long term or in the short term either," she said.

But another voter at the same polling station said politicians have been doing the right thing.

"We don't have an alternative," he said, saying he backed "whichever party actually understands that and wants to deal with it and wants to take these hard measures."

He also did not give his name.

The country's national debt threatened to force it to drop Europe's common currency, the euro, prompting the European Central Bank and other lenders to swoop in with emergency funding last year. In exchange, they demanded that the government slash spending brutally.

Austerity measures already enacted have led to cuts in jobs, wages, pensions and benefits, and have negatively affected many people, especially pensioners and those who get state assistance.

Taxes have gone up and the national unemployment rate for January, the latest month for which figures are available, was just under 22%. Among 25- to 34-year-olds, it was nearly 29%, leading many young people to leave the country in search of work.

Furthermore, for the past two years, the country's massive amount of debt has threatened the stability of the 17-country eurozone.

Greece pushed through a huge debt swap in March to save it from disorderly default and clear the way for it to receive a second bailout from the European Union, the European Central Bank and the International Monetary Fund, worth â‚¬130 billion ($171.5 billion).

The debt restructuring deal gave some breathing space to the eurozone bloc, where fears that Greece might collapse had increased pressure on other debt-laden nations such as Spain and Italy.

But the outcome of Sunday's vote raises fresh questions as to whether Greece will stick with the painful path of austerity.

CNN's Antonia Mortensen and Matthew Chance contributed to this report.

@highlight

No one party comes close to a majority; established parties suffer setbacks

@highlight

New Democracy finishes first, though it's leaders say it didn't win a "strong mandate"

@highlight

Several parties see their support soar, fueled by those upset with austerity measures

@highlight

A far-right party leader says, "Everyone who betrays Hellenism should be afraid"