(CNN) -- Much of the East Coast was digging out Sunday after a monster winter storm caused record snowfall in some areas, disrupting holiday travel and shopping and leaving at least four people dead.

But the worst of it appeared to be in sight. Winter storm warnings for New York and Long Island expired at 11 a.m. ET Sunday, and warnings for the Boston, Massachusetts, metro area and much of southeastern New England expired at noon.

By early Sunday, Bethesda, Maryland, had recorded a whopping 23 inches of snow, and Medford, New Jersey, had seen 24 inches. Philadelphia, Pennsylvania, received its second-highest snowfall in a single event, with 23.2 inches.

Is wintry weather affecting you? Share stories, photos or videos

Washington's Dulles International and Reagan National airports saw snowfall of 18 inches and 16.4 inches, respectively -- the highest one-day totals ever for December. The previous record at Dulles was 10.6 inches in December 1964, and at Reagan National, it was 11.5 inches in December 1932.

East Coast travelers again were warned to expect treacherous roads Sunday and face flight delays and cancellations.

Dulles was accepting flights and had one runway open Sunday, said Tara Hamilton of the Metropolitan Washington Airports Authority. A runway opened at Reagan National just before 1 p.m., and flights began taking off.

New York's LaGuardia, John F. Kennedy and Newark airports were all open Sunday morning, according to the Port Authority of New York.

However, air traffic was light, said spokesman Steve Coleman. "The runways are good to go," he said.

But 1,200 flights had been canceled by the airlines at the three airports, according to the Port Authority of New York and New Jersey. JFK airport canceled the most flights, with 550 grounded.

American Airlines canceled 160 flights Sunday and has canceled another 20 set for Monday, said airline spokesman Charley Wilson. The 20 Boston and New York flights were grounded because of the backlog of flights the airline has to manage in the wake of the storm.

See flight delay info on the Federal Aviation Administration's Web site

Elsewhere in New York, the Long Island Railroad was running limited service, but train service was suspended on several branches.

Two people were killed in weather-related crashes, the Virginia State Police said Sunday, and "there are two additional deaths that are likely related to the winter storm."

See traffic and road closure information

Virginia Gov. Timothy Kaine authorized up to 1,000 National Guardsmen to assist in response to the storm, which had dumped up to 18 inches of snow in parts of the region by Saturday evening. Through 8 a.m. Sunday, Virginia State Police had responded to more than 6,100 calls for service, nearly half of those for traffic crashes and disabled vehicles.

The storm, known as a nor'easter, blanketed the mid-Atlantic region and the heavily populated I-95 corridor.

However, the interstate itself was in good shape Sunday morning, reported CNN producer Xuan Thai, who drove to Washington from Philadelphia. She said while traffic was extremely light, snowplows were out and the roads were cleared.

Meanwhile, people in western North Carolina were digging out from the powerful storm. About 28,000 households had no power into Sunday night, including 24,118 in Asheville's Buncombe County, said Drew Elliot, spokesman for Progress Energy. That's down from 50,000 in Buncombe on Saturday.

Power has been restored to 39,000 households, according to Elliot, but new outages continue as trees or branches fall on power lines. While the majority of customers should have electricity by Monday, "We don't see full restoration until midweek," Elliot said.

The weather delayed the start of two National Football League games Sunday. The Chicago Bears-Baltimore Ravens and San Francisco 49ers-Philadelphia Eagles games began at 4:15 p.m. ET instead of 1 p.m. to allow crews to clear streets and walkways in and around stadiums.

The weekend storm could rival the Knickerbocker blizzard of 1922, which dropped between 28 and 33 inches of snow in the Washington area, said CNN meteorologist Karen Maginnis.

"I don't know that it will be a record-breaker, but this is significant," Maginnis said. "This is a really bad storm."

The foul weather prompted an emergency declaration in Washington, stranded hundreds of motorists, shut down airports, caused power outages and threatened to keep hordes of holiday shoppers indoors.

New York City sanitation staffers worked all night to dig out, Mayor Michael Bloomberg told reporters Sunday. The heaviest snow fell in the eastern part of the city -- 12 inches in the Rockaways, he said, as opposed to 6 inches in the Bronx.

Officials were focusing on clearing the highways and bus routes before surface streets, he said, but it estimated most streets would be cleared by Sunday night. Authorities reported "no major snow-related incidents," Bloomberg said.

Virginia State Police reported travel was still hazardous in several areas Sunday, saying, "Virginians are still discouraged from traveling unless absolutely necessary."

Slick road conditions, disabled vehicles and crashes were reported on I-81 through the New River Valley west of Roanoke, authorities said, and U.S. 29 was also hazardous. Numerous vehicles were pulled off I-81 overnight Saturday and early Sunday.

On I-81 Saturday night, authorities moved motorists to shelters because of traffic stoppages, said Bob Spieldenner, spokesman for the Virginia Department of Emergency Management. Those people were being taken back to their cars and put back on the road Sunday, he said. About 73,000 utility customers were without power Sunday, he said.

Washington Mayor Adrian M. Fenty said the storm is "perhaps the biggest we've seen in several years."

"We are going to throw everything we have at it to keep the District open for business on this busy pre-holiday weekend," Fenty said as he announced the snow emergency.

But he also urged residents to stay put in their homes.

"We urge everyone if you don't have to go anywhere, wait. This snow should end early tomorrow morning with a 24-hour cleanup," Fenty said. "We should have a lot of streets ready to go by rush hour Monday. And, hopefully, all of it done between Monday and Wednesday."

Nine people were taken to a hospital after a bus and city snow plow collided, a Washington fire official said. The injuries are not considered serious.

The storm also halted above-ground Metrorail operations in the District because of the "heavy snowfall that is covering the electrified third rail," according to the Washington Metropolitan Area Transit Authority.

West Virginia Gov. Joe Manchin on Saturday declared a state of emergency and "authorized the use of the National Guard to assist with snow removal and emergency assistance and operations." Manchin said West Virginia is working to help stranded motorists, clear roadways and restore power outages.

Farther north, Boston Mayor Thomas Menino declared a snow emergency after forecasts of up to 15 inches of snow with 30-mph winds between Saturday night and late Sunday morning.

CNN's Sean Morris, Larry Lazo and Dave Alsup contributed to this report.

@highlight

NEW: American Airlines canceled 160 Sunday flights and 20 scheduled for Monday

@highlight

NEW: About 28,000 still without power in western North Carolina, utility official says

@highlight

Several East Coast cities see record-setting snows of about 2 feet

@highlight

At least four dead in Virginia; residents urged to stay home