Washington (CNN) -- As they talked publicly in generalities about a smooth transition to a new government in Egypt, U.S. officials have been working behind the scenes on ways to "move that process forward," a national security spokesman said.

Top members of the Obama administration stated Thursday their desire for embattled Egyptian President Hosni Mubarak to leave office and for inclusive negotiations to begin immediately with his political opponents.

National Security Council spokesman Tommy Vietor added that U.S. officials have also discussed with Egyptian officials "a variety of different ways" in which that new government could take shape.

But Vietor stressed "all of those decisions must be made by the Egyptian people."

A senior Obama administration official knocked down a New York Times report that the Egyptians and Americans were near consensus on a specific proposal.

"It's simply wrong to report that there's a single U.S. plan that's being negotiated with the Egyptians," the official said.

U.S. officials have made clear in recent days their desire to jumpstart talks between opposition and ruling forces in order to lay the groundwork as soon as possible for a governmental transition.

That includes pressuring, besides Mubarak's government, opposition groups to engage immediately in talks.

Mubarak has announced he will not seek re-election in September. Protesters, however, continue to demand that he step down immediately, with a caretaker unity government running the country until the fall elections.

While some, like former Foreign Minister and Arab League Secretary General Amr Moussa, believe concessions made by Mubarak presented an opportunity to build upon, members of the opposition Muslim Brotherhood have insisted no talks should take place until the president leaves office.

"It's time for both of them to roll up their sleeves," a senior State Department official said. "The government has to take some steps, but the opposition has to be willing to participate in negotiations as well."

Egyptian Vice President Omar Suleiman made "important statements" about a political dialogue, the senior official said. Still, he added that the Egyptian government should allow the opposition to bring its own ideas, rather than dictate the pace and scope of a transformation to democracy.

The urgent call for talks comes as the Egyptian government pushed back on what it described as "vague" statements from the Obama administration about the pace of transition.

An Egyptian government official told CNN the White House has shown support for its "roadmap" for a transition up to when Mubarak's term ends in September, but said President Obama's calls for an "orderly transition" are at odds with his call for an immediate one.

The official said Mubarak is seen as a "receding figure" in Egyptian politics, but warned that deposing him immediately would lead to a murky political process that would make free and fair elections difficult. According to the Egyptian constitution, the presidency would be transferred to the speaker of the parliament if Mubarak leaves power without enacting certain legislative and constitutional reforms.

"Institutionally, there is support in Egypt for this roadmap among the military, vice president and prime minister," said the Egyptian official.

U.S. officials said they believe what transpires Friday -- when another massive anti-government protest is expected -- will be an important barometer on whether serious negotiations can take place. Demonstrators may be less willing to talk if attacked.

"It's hard to imagine if there is a day of very bad violence, it will lead to the type of dialogue that needs to take place," the senior State Department official said.

These backroom discussions involving the U.S. and Egyptian political players come as the White House and legislators stepped up their public pressure on Mubarak's regime.

On Thursday, Vice President Joe Biden talked with Suleiman and pressed him that "credible, inclusive negotiations (should) begin immediately" with opposition political groups, a statement from Biden's office said.

That sentiment was reiterated by White House Press Secretary Robert Gibbs, who told reporters "it is important that we all begin to see meaningful steps, and that negotiations take place between the (current) government and a broadly based group of members of the opposition as we work through the transition toward free and fair elections."

U.S. lawmakers have also chimed in, with foreign policy veterans Sens. John Kerry, D-Massachusetts, and John McCain, R-Arizona, among those calling for Mubarak to step aside for the sake of his country and people.

Thursday night, the U.S. Senate gave unanimous approval to a resolution calling for Mubarak to "immediately begin an orderly and peaceful transition to a democratic political system, including the transfer of power to an inclusive interim caretaker government, in coordination with leaders from Egypt's opposition, civil society, and military, to enact the necessary reforms to hold free, fair, and internationally credible elections this year."

The Obama administration also sharply condemned the violence that erupted Wednesday in Cairo, when pro-Mubarak supporters attacked anti-government protesters. At least eight people were killed and 836 injured, according to the Egyptian Health Ministry.

State Department spokesman P.J. Crowley said Thursday "elements close to the government or ruling party" carried out the violence.

"I don't think we have a sense of how far up the chain it went," he noted.

The United States continues to walk a fine diplomatic line in the crisis, encouraging Mubarak to transition from power while stopping short of publicly asking him to step down.

Officials say the restraint is needed because the White House is mindful that allies in the Middle East are concerned about American loyalty. Government contacts have expressed reservations about how vocal the Obama administration has been in pressing Mubarak, a close American ally of three decades.

Other regional allies are concerned about how quickly the United States might turn on them if protests start in their countries, the State Department officials said.

The White House, meanwhile, has made a deliberate decision to let Adm. Mike Mullen, chairman of the Joint Chiefs of Staff, take the lead role in communicating with the Egyptian military about its role in the current unrest, according to two senior U.S. officials.

Mullen has not told Egyptian military leaders to pressure Mubarak to step down, the officials insisted to CNN. "That's not his role," one official said.

Mullen is, however, trying to push the Egyptian military to maintain security, not move against peaceful protesters, and keep the violence from escalating.

The U.S. government believes Mubarak will not issue a direct order to the Egyptian army to do anything because he is uncertain his orders would be followed, one official with very direct knowledge of evolving U.S. policy in the crisis told CNN.

A refusal on the part of the army to obey Mubarak would spell the end of the Egyptian leader's rule, the official noted. At that point, Mubarak would have to leave the country.

The U.S. belief right now, the official said, is that Suleiman is letting the army feel it is "representing the flag of the nation" in trying to help without making a massive move against the government.

While Mullen is communicating with his Egyptian counterparts, the CIA has set up its own task force to monitor the crisis.

"The Central Intelligence Agency always surges personnel and resources as needed to meet any crisis head-on. This situation is no different, and we've established a Middle East Task Force," CIA spokeswoman Jennifer Youngblood said.

"Our 24/7 operations are focused on ensuring we provide the best possible insights and freshest intelligence to policymakers," she said.

The chaotic situation has raised concerns that terrorist entities could try to exploit the situation.

"People are watching for signs that terrorists or militant groups might try to take advantage of the situation in Cairo and launch attacks," a U.S. official noted. "We expect groups like al Qaeda to take advantage of instability anywhere as a means to promote their cause publicly."

Overall, the Obama administration is handling the Egyptian crisis relatively well so far, according to Nicholas Burns, a former Clinton State Department official.

"We've got to stand up, as the president is doing, for reform and democracy," Burns told CNN. The U.S. government needs to "use our influence behind the scenes, and we've got a lot of influence there with President Mubarak to move him towards a fast transition."

Burns noted the importance of Egypt in terms of the Arab-Israeli conflict, shipments through the Suez Canal, and the containment of Iran, among other things.

"We've got to preserve those very real American interests," he said. "This is about as difficult a challenge diplomatically as I think we have seen in many years."

Michael Rubin, an analyst at the conservative American Enterprise Institute, said that while it's "tempting to try to score political points" in the current crisis, he's not sure Obama has responded any differently than a Republican president would have in a similar situation.

In terms of backing Mubarak, all of Obama's predecessors "kicked the can down the road until the road ran out," he said.

The real difficulty, Rubin said, will come in the months ahead as U.S. policymakers try to prevent Egypt from following the path Iran took after 1979, when the fall of Mohammad Reza Shah Pahlavi led to the rise of the fundamentalist regime still in power today.

The U.S. needs to make clear the Egyptian elections happen "come hell or high water," Rubin said, but at the same pushing to ensure armed extremist militias aren't allowed to claim the mantle of democratic legitimacy.

CNN's Elise Labott, Kate Bolduan, Alan Silverleib, Jill Dougherty, Barbara Starr, Pam Benson, Tom Cohen, Dana Bash and Adam Levine contributed to this report.

@highlight

NEW: A U.S. official says Egypt's government and the opposition should talk now

@highlight

NEW: An Egyptian official chastises the U.S. for "vague" statements on the transition

@highlight

U.S., Egyptian officials discuss ways to "move" the political process, a spokesman says

@highlight

U.S. officials, lawmakers have upped their public pressure on Mubarak's government