(CNN) -- Organizers of the 2022 World Cup in Qatar have responded to criticism over the plight of migrant workers on stadia and infrastructure projects by saying Tuesday that "tangible progress" had been made in addressing widespread concerns over their welfare.

They published an updated 50-page "workers' charter" -- developed in consultation with the International Labor Organization -- detailing measures to improve wages, accommodation as well as promising regular inspections.

FIFA had set the Qatari authorities a deadline of February 12 to give an update on measures to improve conditions for workers.

Theo Zwanziger, a senior member of the world governing body's executive committee, is to report its findings to the European parliament Thursday.

Zahir Belounis, a French Algerian striker who was trapped in Qatar after a dispute with his club, is also to due to appear to give his perspective.

FIFA acted after its president Sepp Blatter condemned working conditions in the Gulf state as "unacceptable" as he responded to damning reports last year from Amnesty International and the International Trade Union Confederation (ITUC).

They detailed systematic abuse and the ITUC claimed that fatal construction injuries were eight times higher in Qatar than other developed nations, with migrant workers from India and Nepal the worst affected.

'We have always believed that Qatar's hosting of the World Cup would be a catalyst to accelerate positive initiatives, already being undertaken by Qatar, which will leave a legacy of enhanced, sustainable and meaningful progress in regards to worker welfare across the country," said Hassan Al Thawadi, the secretary general of Qatar's Supreme Committee for Delivery and Legacy.

"We already see this progress taking place across Qatar on a daily basis, and will continue to work hard to make our vision become the ever-present reality on the ground.'

Nicholas McGeehan, the Gulf researcher of Human Rights Watch, one of the most trenchant critics of the Qatari government, told CNN that its authorities "deserve credit for its efforts to improve standards on the projects within its control" -- but he urged caution.

"They not guaranteeing workers' rights to change employer, or their right to leave the country or their right to bargain collectively for decent pay and conditions if things go wrong.

"If the Qatari government is serious about reform it should apply these standards to the whole migrant worker population, back them up with sanctions, and get to work on reform of the kafala system."

McGeehan's call echoes that of other human rights groups for an end to practices under the kafala system, which ties workers to their employer and stops them leaving the country without their permission.

It has been compared with modern-day slavery and was highlighted by the Belounis affair, the footballer who was unable to leave Qatar following a pay dispute with his club side El Jaish and was left stranded in the country with his family for two years.

Despite threatening a hunger strike and suicide, Belounis, who eventually flew home to France last November, has told CNN that the Gulf state still deserves the right to stage the World Cup.

Qatar is spending a reported $200 billion on infrastucture and building projects associated with its staging of football's global showpiece, but work has only just started on one of the stadiums to be used.

Only 38 workers are currently employed at the Al Wakrah Stadium, where a "successful inspection" was held January 13, according to the organizers.

They said that they would be meeting representatives from other building projects in the "coming months" to achieve a "unified standard" across the whole of Qatar for migrant workers.

'We will continue to work closely with our partners to achieve practical solutions which will leave a sustainable legacy for Qatar long after 2022,' said Farah Al-Muftah, who chairs the Supreme Committee's Workers' Welfare Committee.

But critics pointed out it is unclear what projects are covered by the new charter and which are under the control of the Supreme Committee.

"It's not the state-led, cross-sector regulation that Qatar's migrant workers desperately need," said McGeehan.

FIFA has also still to decide the actual dates for the 2022 World Cup after fears that the searing heat in Qatar in the summer will be dangerous for players and spectators.

There have been widespread calls for a "Winter World Cup" and FIFA says it's consulting stakeholders, including the major European leagues, before making a final decision.

@highlight

Qatar's World Cup 2022 organizers adopt a 'workers' charter'

@highlight

Charter is response to criticism of treatment of migrant workers on building projects

@highlight

FIFA set Qatar a deadline of February 12 to update on improvements

@highlight

Critics say Qatar's 'kafala' system needs to be reformed