Tripoli, Libya (CNN) -- A deadline set by Libya's new leaders for the surrender of the towns of Sirte and Bani Walid, bastions of hardcore supporters of Moammar Gadhafi, passed at midnight Friday without any apparent deal.

Before the deadline expired, a spokesman for the National Transitional Council said talks with loyalists were continuing into the evening. Absent a resolution, "it's up to military planners to decide how to move forward," Shamsuddin Ben Ali said.

Sticking points included the demand by Gadhafi loyalists for NTC fighters to enter their communities unarmed, and to refrain from searching houses. The loyalists also asked for blanket pardons, but the NTC wanted to prosecute loyalists with blood on their hands, Ben Ali said.

Sirte is on the Mediterranean coast east of Tripoli, and Bani Walid is southeast of the capital.

A military spokesman, citing heavy resistance from loyalists in Bani Walid, said anti-Gadhafi forces had retreated Friday.

NTC media committee spokesman Jalal el Gallal said fighting for Sirte was taking place 55 kilometers (34 miles) east of the city.

El Gallal said NTC fighters were met with small-arms fire as they advanced from the east, and a battle ensued with heavy artillery. A Benghazi hospital received a number of casualties, he said.

Earlier, Abdallah Kenshill, an NTC chief negotiator, had told CNN that anti-Gadhafi fighters had been just 1.5 kilometers, nearly a mile, from the center of Bani Walid, situated on the north, east and south.

Anti-Gadhafi fighters captured seven loyalists, including a brigadier general, he said, and three loyalists were killed. An anti-Gadhafi fighter was killed and four others were wounded, Kenshill said.

CNN was not able to independently verify his account.

Inside Bani Walid, meanwhile, pro- and anti-Gadhafi groups clashed, but NTC fighters were not involved, said Badr Abu Shahma, assistant to the commander of Misrata's southern front.

Ben Ali also said he received intelligence reports that loyalist forces were moving captured NTC fighters to Qasr Bu Hadi for use as human shields. That town is 10 miles east of Sirte.

Mahmoud Jibril, chairman of the NTC executive board, will visit Misrata on Saturday to survey the damage in the city, where he has tribal ties, Ben Ali said.

The developments came as Interpol issued Red Notice arrest warrants Friday for Gadhafi, who is wanted by the International Criminal Court in The Hague for alleged crimes against humanity.

A Red Notice allows Interpol, the international police agency, to circulate arrest warrants widely with an intention to extradite suspects to the ICC.

At the United Nations, Ian Martin, the secretary-general's special envoy to Libya, told reporters that fears of a humanitarian disaster in the capital have not materialized.

City infrastructure has suffered little damage, the disruption of the water supply has been largely alleviated, supplies of fuel and electricity are improving, schools are slated to reopen September 17, and there has been no general breakdown of public order, said Martin, who had earlier briefed the Security Council after his return from five days in Libya.

"That's quite a striking conflict with other post-conflict" cities, he said.

But those advances do not minimize the enormous challenges that transitional authorities still face.

A Supreme Security Committee has been established in Tripoli to bring all armed elements under a single command, but "the proliferation of weapons is a major concern, including to Libya's neighbors," Martin said.

"The approach they're taking is to, at this stage, tell the very top echelon of the military, the police, the civil service, to remain at home while decisions are taken as to which of them should or should not be part of the future," he said.

Despite appeals by NTC leaders, acts of revenge have been carried out, "especially of sub-Saharan Africans accused -- often, I think, quite wrongly -- of having fought for the Gadhafi regime," he said.

In addition, "terrible evidence continues to come to light of the deliberate human rights abuses and crimes of the Gadhafi regime, both those that took place over many years and during the fall of Tripoli, when many of the prisoners were massacred," Martin said.

"This is going to be a very heavy burden for Libya's new leaders as they seek to show that there will be accountability within the law for the worst violations, but at the same time promote national reconciliation."

The weight of that burden was underscored by a report by Human Rights Watch that 18 bodies were discovered Thursday in western Libya. The find corroborates reports by two survivors that the dead had been detainees held by Gadhafi forces in the town of al-Khoms who were killed in June.

The dead suffocated when they were locked inside two metal shipping containers, the group said.

A captured Gadhafi soldier led officials from the military council of al-Khoms, about 120 kilometers (75 miles) east of Tripoli, to the bodies, which were buried between Bani Walid and Orban, HRW said.

"The Gadhafi forces threw detainees in metal containers with little water and air on a brutally hot day, and refused to let them out despite cries for help," said Fred Abrahams, special adviser at Human Rights Watch.

A 19th person died a few days later, so was not buried with the other 18, the group said.

A video that appears to have been shot by a Gadhafi soldier shows several of the detainees -- blindfolded and bound -- being kicked and whipped inside the container.

Meanwhile, an interim government is to be established within 30 days of the declaration of liberation, U.N. envoy Martin said. Until then, the NTC is assuming "caretaker responsibilities" to carry out urgently needed functions, he added.

U.N. Secretary-General Ban Ki-moon has proposed a support mission for three months, after which "we would then go back to the Security Council for a longer mandate," Martin said.

CNN's Kareem Khadder, Ian Lee, Jim Bittermann and Umaro Djau contributed to this report.

@highlight

18 bodies found in western Libya, Human Rights Watch reports

@highlight

Officials see heavy resistance in Bani Walid, fighting east of Sirte

@highlight

Negotiations were to end at midnight, deal or no deal, new Libyan leaders had said

@highlight

U.N. envoy Martin sees positive signs in Tripoli, along with concerns