(CNN)Take a moment and think of an African author. Have you got the name in mind? Keep it there for a minute.

In years gone by, chances are cultural icons like Nigerian literary giant Chinua Achebe or South African Nobel laureate Nadine Gordimer might have popped straight into your head.

But lately new names from across the continent are becoming part of popular literary consciousness. "Purple Hibiscus," "Half of a Yellow Sun" and more recently "Americanah" have brought international acclaim for Nigerian author du jour, Chimamanda Ngozi Adichie.

She joins a growing list of popular African authors -- including NoViolet Bulawayo, Binyavanga Wainaina, Taiye Selasi, Lauren Beukes, Alain Mabanckou -- who have been steadily picking up steam --and fans -- across the globe over the last several years.

'Democratization of culture'

But where has this new wave of African writers come from? For Minna Salami, an award-winning blogger specializing in African culture and the diaspora, they were always there -- the rest of the world just didn't know how to find them.

"The world is far more interconnected thanks to technology and social media," Salami told CNN. "It's an exciting time ... People are checking out alternative literature and Africa -- in its position as a kind of underdog -- provides that perfect place to go and seek alternative voices that help people make sense of the world.

"It's kind of democratization of culture so people cannot ignore voices coming from other parts of the world," added Salami, also known by her digital moniker MsAfropolitan. "And when something is good, it obviously catches people's attention. Before it would not have reached any mainstream; now it is, thanks to bloggers and local content production."

Read this: 'Humans of Khartoum' photo series

True, indigenous content producers and independent publishers have slowly developed in recent years all across the continent. In Cape Town and beyond, enthusiastic readers can pick up a copy of The  Chronic, a pan-African gazzette by Chimurenga that's successfully putting a spotlight on an eclectic mix of writers, photographers and illustrators from the continent. Concurrently in Kenya, there is the Kwani Trust, a Nairobi-based organization that works to promote up-and-coming local writers through its publication, Kwani?.

More and more, stories are resonating with readers because they reveal the day-to-day issues faced by locals, according to the journal's managing editor, Billy Kahora.

"Just think about stories off the page, or off the book, when you think about how stories organically take place," he explained. "These are stories with a kind of narrative that people tell each other in public spaces, like churches, bars, on the street. All these stories are really locally grounded and are actually kind of written in the immediate concerns of what's happening about."

Celebrating African writers

But it's not just literary collectives that are driving interest towards contemporary authors. Many in the publishing industry cite the numerous international awards, which now frequently acknowledge and celebrate African writers -- for helping develop the surge in popularity for authors.

One such annual event is the long-running Caine Prize which aims to "promote the best in new African literature, to identify and champion the most talented writers on the continent," according to the award's director, Lizzy Attree.

"New writers are emerging all the time," she said. [Writers'] collectives like Jalada are starting up and publishing online; publishers are branching into new areas -- romance, sci-fi, crime fiction and literary fiction is thriving."

New voices, new genres

Take for instance Kenyan writer Okwiri Oduor, the recipient of this year's Caine Prize. Speaking at London's British Library last month at the "Africa Writes" book festival attended by all five shortlisted contenders, Oduor was among those calling for a more assorted literature output.

"I don't know what 'African Literature' means," she said, "but I think there are many ways of thinking about it. I would hope for it to diversify -- I'd like to read more science fiction, multiculturalism."

Zimbabwean writer Tendai Huchu, a contender for this year's prize, agreed.

"I would hope for more diverse literature -- by this I'm saying a lot more stuff in different genres," he explains. "There's the pulpy, entertaining stuff that goes to the masses but at the moment, we have a situation in which you do a story and someone says: 'What does this tell you about Africa?' which is problematic."

For Zambian writer Efemia Chela, also shortlisted nominee, just talking about African literature is "a bit of an absurd idea." She explained: "You could say European literature is like talking from Russia all the way to the Hebrides -- no one really does that and it's a bit tricky with African literature. It's 54 countries and so you know, there's so much scope and range of voices."

Meanwhile, Kahora, also shortlisted for this year's Caine Prize, said that this desire for different styles and genres was already on its way -- and growing.

"A lot of people now are very interested in afro-futurism," he said. "A lot of sci-fi, a lot of fantasy, a lot of erotica, and then a lot of cross genre -- a kind of cross pollination of genre," added Kahora. "You will also see [more] forms -- you will see some straying to visual storytelling online that attempts to do what a book does."

Attree said that this new generation of writers is helping to change perceptions about the continent. "Africans are now telling their own stories, and this side of Africa is opening the eyes of international readers who are seeing the continent in different lights as a consequence," she said. "Not just as a place of war, disaster, genocide and famine, but one of hope, beauty, romance, tragedy, poverty, laughter, struggle, and upliftment."

Read this: 'Humans of Khartoum' photo seriesRead this: 9 must-see movies at the Durban film festRead this: Why you need to buy African art NOW!

@highlight

Global interest in African writing has increased in recent years

@highlight

Writers from the continent have become sought after in the publishing world

@highlight

Local content producers and independent publishers have helped the scene to develop