Washington (CNN) -- Top congressional Republicans on Friday used a new dismal jobs report to blast Democrats' push for more tax revenue in the ongoing debt ceiling negotiations, arguing that such a move would derail an already shaky economic recovery.

Federal officials reported Friday that the economy added only 18,000 jobs in June -- far below the number predicted by most economists. Unemployment inched up another tenth of a point to 9.2%.

"Today's report is more evidence that the misguided 'stimulus' spending binge, excessive regulations, and an overwhelming national debt continue to hold back private-sector job creation in our country," said House Speaker John Boehner, R-Ohio. "A debt limit increase that raises taxes or fails to make serious spending cuts won't pass the House."

House Majority Leader Eric Cantor, R-Virginia, said the jobs figures "serve as a warning that as we address the debt limit increase we shouldn't do so in a way that raises taxes and impedes the ability of small businesses to create jobs and get people back to work. ... Let me be clear: Republicans will not agree to tax increases. Period."

President Obama didn't respond to the Republicans, but reiterated his call for a rapid conclusion to the debt ceiling talks.

The employment report "confirms what most Americans already know," the president said at the White House. "We still have a long way to go and a lot of work to do."

"The sooner we get" an agreement raising the debt ceiling, the sooner businesses will have "the certainty that they will need in order to make additional investments to grow and hire," he said.

Boehner on Saturday said that the insistence by Obama and Democrats on raising revenue through higher taxes prevented any chance that Republicans could support a major deal that also would cut spending and reform entitlement programs such as Medicare.

The White House immediately pushed back, with a senior administration official saying Boehner initially accepted the need to increase tax rates on wealthy Americans as part of a deal, but then Republicans offered a different plan in the talks with Obama that began Thursday.

Boehner said the parameters of the negotiations would be scaled back from what the administration had requested and the focus would be on spending cuts already discussed in previous talks led by Vice President Joe Biden.

"I believe the best approach may be to focus on producing a smaller measure, based on the cuts identified in the Biden-led negotiations, that still meets our call for spending reforms and cuts greater than the amount of the debt limit increase," Boehner said in a statement.

The White House maintains it will still push for the big deal and reiterated rejection of a short-term, temporary agreement to get the debt ceiling raised, a senior administration official said Saturday.

Boehner and Cantor were part of a group of eight congressional leaders from both parties that met behind closed doors with Obama at the White House Thursday to help hammer out an agreement to raise the nation's $14.3 trillion debt ceiling. Treasury Department officials have warned that a failure to raise the limit by August 2 could led to a possible default with catastrophic economic fallout, including skyrocketing interest rates and a plummeting dollar.

The group is scheduled to meet again on Sunday.

Obama said in Thursday's meeting that he will not sign any agreement that fails to raise the debt ceiling beyond the 2012 election, according to two congressional sources with knowledge of the talks.

The president has signaled a willingness to include reforms to popular entitlement programs such as Social Security and Medicare as part of a broad agreement for between $3 trillion and $4 trillion in deficit cuts over the next decade, said Democratic officials familiar with the negotiations.

Defense spending and tax reform are also on the table, the officials told CNN.

"Nobody's plan is going to be the plan that emerges," White House press secretary Jay Carney said. "Comprehensiveness and balance are our targets."

Congressional Democrats, meanwhile, are wrestling with rising anger among liberal House members in the wake of news that the president might agree to entitlement cuts.

A group of progressive House Democrats said Thursday morning they are collecting signatures for a letter to Obama opposing any reductions in Social Security, Medicare, or Medicaid. The members warned that they would oppose any deal that cuts entitlement programs or fails to raise taxes on the wealthy.

"We feel that the discussions have been skewed up to this point," said Rep. Raul Grijalva, D-Arizona. He called for protection for "programs that are essential to working folks and the middle class."

"The debt must be addressed, but it should be done in a way that is fair to all," said Rep. Judy Chu, D-California.

The politically influential AARP, formerly the American Association of Retired Persons, also weighed in, warning it would oppose any deal cutting Social Security.

"AARP urges all lawmakers to reject any proposals that would cut the benefits seniors have earned through a lifetime of hard work," said Barry Rand, the organization's CEO.

House Minority Leader Nancy Pelosi, D-California, who met with Obama on Friday, told reporters she wants the president to "have the room" to reach a deal, and offered her "full cooperation to do that."

However, she said, House Democrats "do not support cuts in benefits for Social Security or Medicare," and negotiations on specific reforms to those programs should be separate from a broader deficit reduction deal.

Pelosi linked entitlement reforms to Democratic calls for eliminating Bush-era tax cuts for wealthy Americans by restoring higher tax rates for families earning more than $250,000 a year.

"Do not consider Social Security a piggy bank for giving tax cuts to the wealthiest people in our country," she said.

CNN has learned negotiators are considering the possibility of raising the Social Security retirement age and trimming benefit levels for older Americans with incomes over $60,000.

Cuts in the range of $500 billion are being considered for Medicare, Medicaid and Social Security, a congressional aide close to the negotiations said. Democrats like Senate Majority Leader Harry Reid, D-Nevada, have long rejected such cuts.

The aide, however, insisted the only real talks going on are between Obama and Boehner, who are holding discussions "in good faith." The two men met last weekend, a Republican official told CNN.

If Obama and Boehner reach an agreement on such an ambitious package, they realize it will likely be met with stiff opposition from lawmakers in both parties, the aide said. Tea party-backed conservatives will oppose revenue hikes, and liberal Democrats will oppose entitlement cuts.

That said, the aide indicated, Obama and Boehner believe they can each gain politically from making an attempt to cut a grand deal -- even if it is rejected -- because the public would see they tried to take bold steps to solve the problem. If it is rejected, the two can fall back on a $2.4 trillion deal put forth before the talks collapsed.

Senate Minority Leader Mitch McConnell, R-Kentucky, will likely reject such a deal, in part because Republicans believe they have a better chance of winning back the Senate if a long-term deal fails, the aide said.

Democrats are confident Republicans will ultimately agree to some revenue changes -- such as a hike in some fees and the closing of some unpopular tax loopholes. But it will be much more challenging to get them to agree to significant and costly reforms like the capping of tax deductions for people earning more than $250,000 per year, the aide said.

If Republicans ultimately reject any revenue increases and Congress can't raise the debt limit, Democrats believe Republicans will be blamed for causing a default, according to the aide.

Publicly, both sides continue to rail against proposals by the other.

Obama said Wednesday he wants a deal with Congress in the next two weeks, but didn't rule out using a constitutional argument to increase how much money the government can borrow.

"I don't think we should even get to the constitutional issue," Obama said during a Twitter town hall at the White House in response to a tweeted question on whether he would rely on a clause in the 14th Amendment to unilaterally raise the debt ceiling.

The debt ceiling should not be "used as a gun against the heads of the American people to extract tax breaks for corporate jet owners," Obama said, calling for "a balanced approach where everything's on the table."

CNN's Jessica Yellin, Ted Barrett, Brianna Keilar, Tom Cohen, Kate Bolduan, and Deirdre Walsh contributed to this report

@highlight

GOP leaders say Friday's poor jobs report is more evidence tax hikes can't be part of a deal

@highlight

Democrats and Republicans are trying to reach a deal to raise the debt ceiling by August 2

@highlight

Boehner says that Democrats' insistence on tax hikes jeopardizes any long-term deal

@highlight

White House source says Obama will insist on a long-term deal in talks Sunday evening