(CNN) -- The largest Ebola outbreak in history has struck fear into the hearts of people around the world. While fewer than 3,000 people have been killed by the virus since it was discovered in 1976, the disease's virulence and deadliness, combined with the lack of a cure, inspire dread like almost no other.

We asked you what questions you had about Ebola and received more than 1,000 responses via social media. Here are expert answers to some of your most common questions and concerns.

What is Ebola?

Medecins Sans Frontieres describes Ebola as "one of the world's most deadly diseases."

"It is a highly infectious virus that can kill up to 90% of the people who catch it, causing terror among infected communities," MSF says.

The Ebola virus causes viral hemorrhagic fever, which, according to the U.S. Centers for Disease Control and Prevention, refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

The virus is named after the Ebola River in the Democratic Republic of Congo (formerly Zaire), where one of the first outbreaks occurred in 1976.

The World Health Organization says there are five different strains of the virus, named after the areas where they originated. Three of these have been associated with large outbreaks of hemorrhagic fever in Africa. Of Ebola's five subtypes, the Zaire strain -- the first to be identified -- is considered the most deadly. The WHO said preliminary tests on the Ebola virus in Guinea in March suggested that the outbreak there was this strain, though that has not been confirmed.

What are Ebola's symptoms?

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. These symptoms can appear two to 21 days after infection.

The WHO says these nonspecific early symptoms can be mistaken for signs of diseases such as malaria, typhoid fever, meningitis or even the plague.

MSF says some patients may also develop a rash, red eyes, hiccups, chest pains and difficulty breathing and swallowing.

The early symptoms progress to vomiting, diarrhea, impaired kidney and liver function and sometimes internal and external bleeding. CNN's Dr. Sanjay Gupta says that if a patient is going to die from Ebola, he or she usually does so within about 10 days.

Ebola can only be definitively confirmed by five different laboratory tests.

How is it treated? What about that experimental drug?

There are no specific approved treatments for Ebola. MSF says patients are isolated and then supported by health care workers.

"This consists of hydrating the patient, maintaining their oxygen status and blood pressure and treating them for any complicating infections," it says.

Two American missionary workers infected with Ebola were given an experimental drug called ZMapp, which seems to have saved their lives. The drug, developed by a San Diego firm, had never been tried before on humans, but it showed promise in small experiments on monkeys. The Americans who received it have since been declared healthy and discharged from Emory University Hospital in Atlanta.

ZMapp was also administered to three Liberian health care workers who contracted Ebola. At first, they showed "very positive signs of recovery," according to the Liberian Ministry of Health, but one has since died of the disease.

Why haven't other patients been given the experimental drug?

An ethics panel convened by the WHO concluded it is ethical to give experimental drugs during an outbreak as large as this one, but that doesn't mean it will happen.

Rolling out an untested drug during a massive outbreak would be very difficult, according to MSF. Experimental drugs are typically not mass-produced, and tracking the success of such a drug if used would require extra medical staff where resources are already scarce. ZMapp's maker says it has very few doses ready for patient use.

What about a vaccine?

There is currently no approved vaccination against Ebola.

At least one potential Ebola vaccine has been tested in healthy human volunteers, according to Thomas Geisbert, a leading researcher at the University of Texas Medical Branch. And last week, the NIH announced that a safety trial of another Ebola vaccine will start as early as September.

In March, the U.S. National Institutes of Health awarded a five-year, $28 million grant to establish a collaboration between researchers from 15 institutions who were working to fight Ebola.

Learn more about Ebola vaccines and treatments in development

How does the Ebola virus spread?

Humans contract Ebola through contact with the bodily fluids of infected animals or the bodily fluids of infected humans, like blood, sweat and feces.

MSF epidemiologist Kamiliny Kalahne said outbreaks usually spread in areas where hospitals have poor infection control and limited access to resources such as running water.

"People who become sick with it almost always know how they got sick: because they looked after someone in their family who was very sick -- who had diarrhea, vomiting and bleeding -- or because they were health staff who had a lot of contact with a sick patient," she said.

Can it live outside a host?

MSF says that while the virus is believed to be able to survive for some days in liquid outside an infected organism, chlorine disinfection, heat, direct sunlight, soaps and detergents can kill it.

Can it travel through the air, like a common cold or the flu?

"This is not an airborne transmission," said Dr. Marty Cetron, director of CDC's Division of Global Migration and Quarantine. "There needs to be direct contact frequently with body fluids or blood."

What about planes? Can fellow passengers become infected if someone on the flight has the virus? Could Ebola spread around the world via air travel?

While the CDC acknowledges it's possible a person infected with Ebola in West Africa could get on a plane and arrive in another country, the chances of the virus spreading during the journey are low.

"It's very unlikely that they would be able to spread the disease to fellow passengers," said Stephan Monroe, deputy director of CDC's National Center for Emerging Zoonotic and Infectious Diseases.

"The Ebola virus spreads through direct contact with the blood, secretions, or other body fluids of ill people, and indirect contact -- for example with needles and other things that may be contaminated with these fluids."

Travelers should take precautions by avoiding areas experiencing outbreaks and avoid contact with Ebola patients.

"It is highly unlikely that someone suffering such symptoms would feel well enough to travel," the International Air Transport Association said in a statement.

"In the rare event that a person infected with the Ebola virus was unknowingly transported by air, WHO advises that the risks to other passengers are low. Nonetheless, WHO does advise public health authorities to carry out contact tracing in such instances."

This means determining who had contact with the affected person.

What is the risk of catching Ebola on a plane?

Is Ebola going to be our era's plague or Black Death? Is it the most dangerous disease on the planet?

Not likely, says Gupta.

"Ebola is not the great plague; there's no question about that," he explained. "The grim reality is that it often kills so quickly that people don't have time to spread it."

"It's a myth that Ebola is the most dangerous disease that humans have ever encountered," he added. "HIV/AIDS, for example, certainly has killed more people, and up until recently, there was no treatment for that disease either. Rabies, something that you can get from animals as well, if you develop symptoms, you're very unlikely to survive. With Ebola right now, about seven out of 10 people are dying (in Guinea), but not everybody."

Dr. Gupta on more Ebola myths and truths

If you survive Ebola, are you immune, like chickenpox?

Doctors believe surviving Ebola leaves you immune to future infection. Scientists have found that people who survive Ebola have antibodies in their blood that would provide protection against that strain of the virus in the future, and possibly against other strains as well.

But, as you can imagine, they haven't tested this theory by infecting survivors with the virus again.

How do people react to Ebola survivors?

CNN's Nima Elbagir, who has been reporting on the outbreak in West Africa, says those "lucky" enough to survive the disease frequently find that the stigma attached to Ebola means they are ostracized once they recover.

"They find it very difficult to come back to their communities and be accepted, because people just don't believe that they have been cured," she explains.

"There's a lot of superstition, a belief that Ebola is almost a 'curse' and that makes it much more difficult to deal with."

Where did Ebola start?

The WHO says it is believed that fruit bats may be the natural host of the Ebola virus in Africa, passing on the virus to other animals.

9 things to know about Ebola

Are myths making the Ebola outbreak worse?

What happens when you survive Ebola?

Timeline of the Ebola outbreak

CNN's Susannah Cullinane, Bryony Jones, Faith Karimi, Madison Park, Rachel Rodriguez and Jacque Wilson contributed to this report.

@highlight

The Ebola virus kills up to 90% of people who catch it, according to Medecins Sans Frontieres

@highlight

How is it transmitted? Is there any treatment? Can we protect ourselves?

@highlight

We address some of your most frequently asked questions about the disease