(Parenting.com) -- It wasn't until soccer referee Ricardo Portillo died that I started to really think about what happened there, and not just because I grew up on the field myself.

Like Portillo, my father was a volunteer referee. He was my coach for years in the town league. When I grew up and moved on, he missed those days of camaraderie and competition. He missed supporting kids and being a part of their development, teaching them to love the game, to deal appropriately with the highs and the lows. So, when I no longer provided even a sideline to invest in, he volunteered.

I was happy he was getting involved. He knew the game, and kids, so well by then. I cannot imagine it being the death of him like it was for Portillo who died Saturday night, a week after a punch from a 17-year-old player put him in a coma in the Salt Lake City suburb of Taylorsville. Portillo was issuing a yellow card -- a warning card, not an expulsion card - against the player who had been arguing with him. That player punched him in the side of the head, causing serious injury. While the cause of death has yet to be officially confirmed, Portillo never woke up from the resulting coma.

The secret risk of youth sports

I've been in adult coed games where I feared for somebody's well being off the field. It was scary (and annoying, quite frankly, because it disrupted play while we all sat around watching someone get calmed down). But, as a lifetime athlete, I'm also kind of familiar with that aggression, granted on a much smaller scale, and I see the seeds of it in my children.

If genetics are anything, my husband and I have blessed our daughters with natural athletic ability and cursed them with an unnatural intensity and self-criticism. My husband threw racquets. I hyperventilated and sulked and once even stomped off a field yelling obscenities at my coach.

We watch our older daughter, Avina, who is 3 1/2, and joke about how she's doomed to be like us, but really, we're both concerned. Like any kid, Avina wants us to watch every chassÃ©, every somersault, and if she can't do something, she almost immediately yells "I can't do it!" then throws whatever's in her hand and marches off. So young, and already her above average coordination is mixing poorly with a need for perfection.

5 anger management tips for children

That's what Dr. Patrick Cohn, a youth sports psychologist in Orlando and founder of youthsportspsychology.com, calls it -- perfectionism. It's that self-criticism so common to athletes that can intensify in the teen years, because, well, they're adolescents. "Perfectionists have a difficult time with making mistakes," Cohn said, when asked how to cultivate resilience on the sports field. "We help these athletes manage their high expectations about performance and to react better to mistakes.

"Many children link their self-esteem with their performance. If they perform badly, their self-esteem suffers. It's important for parents to help their kids separate their self-worth from achievement in sports."

Cohn specializes in how mental attitudes shape performance and works with professional teams, athletes, parents, even corporations, on how to develop that attitude.

How to prevent sports injuries in kids

Not only is this strength, this ability to cope with adversity, with challenge, an excellent life skill, it's also, as we see more and more these days, about safety. A competitive sport inherently involves some aggression; how do we know when a kid is crossing a line? How do we prevent or police the transition from competitive to dangerously aggressive?

"Sports itself requires athletes to assert themselves against an opponent, such as to obtain possession of a soccer ball or basketball," Cohn said. "But athletes cross the line between assertive behavior and aggressive behavior when they break the rules in sports or intentionally try to harm other athletes, coaches, or referees."

And this is more likely to happen when athletes become frustrated or angry. So, if we teach them to deal with frustration and anger, we can help prevent violence, of any scale, on the field.

My outbursts were minimal when I was younger, when my father was an active part of my game experience. He was known for how level headed and fair he was. And this rubbed off on all of us. Granted, later, when I became more independent and my parents were less involved, my temper flared. Maybe I was missing other role models. I'm sure I was tying my self-worth to my game. Certainly, when I had a supportive coach, I acted out less.

Parents are key to cultivating this capability, but, Cohn says, everybody is responsible for modeling as well as actively making a healthy attitude happen -- parents, coaches, even the leagues, which should set up bylaws, outlining acceptable behavior, and then enforce those rules. "And the parents can't be afraid to report bullying or bad behavior. Athletes, as well, should look out for their teammates," Cohn notes.

Why I told my daughter she sucks at sports

According to his daughter, Johana Portillo, her father was a ref because he was passionate about the game. "He loved soccer," she told CNN. "We just never thought this was going to happen. He loved what he did and it was his passion."

As an adult, when I was somehow completely free of social and personal pressure, I would often sit in my car after a soccer game, removing my muddy cleats, reflecting on how truly joyous it is to play just for the love of it. I want my children to feel that from the start, free from violent disruptions, both internal and external.

Because there is no role model more powerful than a parent, and no better way to take back our ball fields than raising kids with composure, here are more tools for parents on how to raise real athletes, on and off the field.

Tools for Parents

Dr. Cohn created a pre- and post-game checklist to help parents encourage balance and positivity in their child's athletic experience. Some of the to-dos will be more challenging than others. In general, the message is: stay positive, calm, neutral, and leave the game on the field. This will help your child keep his sense of self-worth separate from performance and help him trust his coach and the officials.

5 Pre-game To-Dos

1. Help your child or teen feel confident about today's game or competition. If you discuss the game, remember to be positive about your athlete's past experiences and successes. Don't point out mistakes or losses. Stay away from the subject of avoiding mistakes from previous games. Say, "Have fun! I know you'll do your best!"

2. Leave the coaching to the coach. Show that you support the coach's decisions. Don't talk about how you'd like the coach to manage the team or how you disagree with some of his decisions. This will undermine your athletes' confidence and trust. They need to enter the game trusting their coaches.

3. Keep your emotions in check. Be a good role model for composure. If you show that you're jittery, nervous, or worried about the game or competition, your child or teen will likely be affected by these feelings.

4. Be a good fan. Be composed on the sidelines before the game. Demonstrate your trust in the coach, the players, and the referees. Don't express your feelings about who should play, or how the coach should play the kids, or how you view a particular ref. Be only positive and supportive. Find ways to support the teamâ€”by bringing water or snacks, for example, or serving as scorekeeper if the team needs a parent to do this.

5. Avoid prolonged discussions about your athlete's technique or mechanics before the game. Practice time is over. Just before a game, athletes need to believe in what they've learned and trust in their abilities. If you focus too much on mechanics and technique, they may freeze up. It may be difficult for them to play freely and with trust in their abilities. Avoid saying things like, "Remember the Square Drill and be sure to kick with the side of your foot instead of your toe." Say instead, "Go for it! Have a blast."

5 Post-Game To-Dos

1. Start by making two positive comments about your son or daughter's game. Pick out two simple areas you can complement your son or daughter about. For example, "You really hit the ball great off the tee today and made a great comeback after a slow start." You are more likely to get your player's attention by starting with a couple of positive comments.

2. Ask your player, "What are two things you did well today?" Discuss these first no matter how well or poorly your child played.

3. Be mindful of the subtle rewards or punishment you may unknowingly or knowingly give your player after the game. For example, showing excitement and enthusiasm (for good play) is a reward for your child. Withdrawing attention or being silent (after a bad performance) is a form of punishment for your child.

4. Avoid dwelling on numbers, scores, or position in the event after the game or performance. Discuss statistics only if necessary to make a point. Perfectionists are too obsessed about statistics already, which does not help them maintain a process focus during performance.

5. Leave sports on the playing field! Avoid discussing the game at home and help your child shift gears into other roles in life. Do not go over the play by play unless your child asks. Focus on developing balance in life rather than being 24/7 sports.

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Soccer referee Ricardo Portillo died after being assaulted on the field

@highlight

Julie Christie's father refereed and coached her as a young fiery athlete

@highlight

Christie recognizes her own perfectionism and temper in her daughter

@highlight

A sports psychologist says parents must mirror good behaviors for children