(CNN) -- Hungary has been warned it could suffer its worst floods ever, as record levels are expected over the next three days from the surging River Danube, which has already inundated parts of Germany, Austria and Slovakia.

Read more: Swollen rivers bring more flooding in central Europe

The river is expected to peak near the border with Slovakia, in Nagybajcs, on Saturday morning and in the capital, Budapest, on Monday, according to the European Commission's emergency response center.

"In both areas, the highest-ever-measured water levels are expected," it said.

Hungary's Water Management Authority said a new record, 20 centimeters (nearly 8 inches) more than the previous high, had already been set at Nagybajcs as of midday Friday.

New all-time highs have also been recorded downriver at Komarom, it said.

The mayor of Budapest, Istvan Tarlos, said he expects a record of 895 centimeters (almost 30 feet) in the capital but he believes its flood defenses should keep the city safe with about a foot to spare.

Nearly 400 people have been evacuated so far, from a number of villages and an old people's home, according to the Interior Ministry's disaster management directorate. About 70 communities have been hit by flooding.

The country's military is working on dams along the river's length and is preparing to deploy helicopters and amphibious vehicles if needed.

One village, Kisoroszi, is already unreachable by road -- although food and help can be brought in by boat and helicopter -- and is expected to remain cut off for at least a week, authorities said.

Roland Farkas, a Hungarian university student, is among the volunteers who've been filling sandbags day and night in the town of Gyor, near the Danube, to be deployed at vulnerable points.

He told CNN iReport Friday he feared the country's defenses would fail to hold back the floods in the face of forecast storms.

Concern is also growing that the surging Danube might break into a reservoir containing toxic waste in Almasfuzito, near Komarom, potentially leading to water pollution.

Environmental campaign group Greenpeace said in a statement that although the dams should in theory withstand the rising water, a report published by the Hungarian Academy of Science last year suggested some toxic sludge could be washed into the water system through the ground water.

The reservoir is being closely monitored but the government remains anxious about its safety, the statement said, citing comments by Hungary's prime minister.

Evacuations along the Elbe

Meanwhile, the swollen Elbe River menaces the state of Saxony-Anhalt in eastern Germany, where thousands of people are being evacuated from their homes a day after the flow peaked in Dresden, in Saxony.

Flood defenses saved the center of the historic city from serious damage.

But aerial footage taken by CNN showed swaths of the outlying areas and beyond under feet of muddy brown water. Industrial containers are among the debris swept up by the torrent, prompting further concerns over safety.

The cost of damage to homes, businesses and agriculture is likely to run to hundreds of millions of euros. German Chancellor Angela Merkel promised 100 million euros ($132 million) in emergency aid Tuesday.

The water is still rising in the Elbe as it makes its way toward the North Sea, according to the European Commission, and it is expected to peak in Saxony-Anhalt on Tuesday.

Residents are being evacuated from the cities of Halle and Bitterfeld in the state.

In the state of Saxony, to the south, many areas remain under water, the European Commission said, and transport, electricity and water supply are still disrupted.

As of Friday, about 12,000 people had been evacuated from their homes in Saxony, it said.

The cresting Danube, which flooded parts of Bavaria in southern Germany and Austria earlier this week, passed through Slovakia's capital, Bratislava, Thursday without causing significant damage, according to the European Commission.

An extreme flood alert is still in effect in the western part of Slovakia, including Bratislava, it said.

Water levels in the Danube and its tributaries in Bavaria are now falling except in the area around Passau, a town that experienced the worst flooding in five centuries this week.

The flooding has caused at least 15 deaths across the region since last weekend.

Eight deaths were reported in the Czech Republic, where some 700 communities have been affected by flooding and about 20,000 people evacuated.

As river levels drop, attention is now turning to the clean-up, said Czech fire service spokeswoman Nicole Zaoralova.

"The main focus is on draining flooded areas," she said. All the country's large-volume pumps are in use, so offers of help with equipment and manpower from Poland and Slovakia will be taken up, she said.

Army units have also been deployed to help with the clean-up, she said, with almost 300 troops sent to the affected areas.

Three deaths occurred Saturday in southwestern Germany, the Interior Ministry for the state of Baden-Wuerttemberg said. Four people are reported to have died and three are missing in Austria, the European Commission's emergency response center said.

The floods follow heavy rain in the region last weekend, after a wet spring left the ground saturated.

Scattered showers are likely over the coming day, according to CNN meteorologist Karen Maginnis.

CNN's Ivana Kottasova, Matthew Chance and Nicole Saidi, and journalist Csaba Faix contributed to this report.

@highlight

An environmental group raises concerns over toxic waste reservoir by Danube

@highlight

Budapest's mayor says its flood defenses should withstand record high waters

@highlight

The swollen River Elbe continues to threaten Saxony-Anhalt in eastern Germany

@highlight

Focus in the Czech Republic shifts to the clean-up operation, fire service says