(CNN) -- The bogeyman of judicial activism is back in the news. We owe the latest round of charges to the chorus of commentators, activists and politicians — now led by President Obama himself — fearful that the U.S. Supreme Court will upend part or all of his signature health care law.

Like most accusations of activism against the courts, these pre-emptive attacks shed no real light on the constitutional questions at stake. Indeed, it is time to admit how useless — or worse — the epithet of judicial activism is.

Echoing other critics, Obama claimed that a ruling against the Affordable Care Act would be "unprecedented and extraordinary" and complained that "an unelected group of people would somehow overturn a duly constituted and passed law."

Let's assume the president did not actually mean to imply that no properly enacted law could ever legitimately be found unconstitutional. Instead, let's examine the broader picture those decrying activism mean to paint: one of an imperial judiciary routinely snatching important policy decisions out of the hands of elected representatives.

That picture is false.

A 2011 Institute for Justice study, "Government Unchecked: The False Problem of 'Judicial Activism' and the Need for Judicial Engagement," compared the number of laws struck down by the Supreme Court to the number of laws passed by Congress and state legislatures. From 1954 to 2002, the court struck down, in whole or in part, just two-thirds of one percent of laws passed by Congress and less than one-twentieth of a percent of laws passed by state legislatures. Over those five decades, the court struck, on average, just two federal and nine state laws per year.

Toobin: Court's Obama order a 'hissy fit'

These tiny numbers and percentages of laws struck are generally consistent over time — including into the Roberts Court era, as a different data set with more recent rulings shows.

In the balance of power between the elected and judicial branches, the scales tip heavily toward Congress and state legislatures. Nothing the court might do in the health care case will change that.

By the numbers, charges of rampant judicial activism are wildly overblown. Worse, they typically serve as a partisan club intended to foreclose healthy debate on constitutional questions.

Obama attempted to hoist conservatives — for years, advocates of judicial "restraint" and "minimalism" — with their own petard. But this game of gotcha just shows how "judicial activism" has become code for "decisions I don't like." Both sides play the activism card and demand deference to democratic outcomes, when they like them.

Claims of judicial activism have become a substitute for serious thought about the constitutionality of legislative and executive actions,and one that leads to ever-expanding government power. That's the true meaning of "deference."

But in our system of government, courts are meant to be "bulwarks" of liberty, not rubber stamps for government power. Obama gave the game away when he attempted to walk back his initial comments by pointing out that, since the days of the New Deal, the Supreme Court has rarely, if ever, struck down economic legislation.

Video: Aide: Obama knows the law

That is precisely the problem. As the 11th U.S. Circuit Court of Appeals observed in striking down the individual mandate, when Congress exceeds the outer bounds of its authority, "the Constitution requires judicial engagement, not judicial abdication." It is no accident that President Obama and other supporters of the health care law are jumping on the judicial activism bandwagon now. But years of judicial abdication in the economic realm should not justify more.

If the Supreme Court strikes down part or all of the Affordable Care Act, it will not do much to upset the balance of power between the judicial and elected branches. It might, however, be a small but important step toward jettisoning years of misguided restraint and once again taking constitutional limits on government power seriously.

The opinions expressed in this commentary are solely those of Lisa Knepper.

@highlight

Lisa Knepper: Judicial activism charges raised by many over health care and Supreme Court

@highlight

She says Obama, others warn ruling against health care act would overturn duly passed law

@highlight

She says her firm's study found such "activism" doesn't exist. Few laws felled by court

@highlight

Knepper: Both sides slam "activism," demand democratic outcomes, when they like them