(CNN) -- I approached Baalbek on a hot, dry day out of Beirut, down a broken road where children played, oblivious to passing cars.

I pulled up by a small hut on the outskirts of the city, where I'd been told to ask for Abdul Nabi al-Afi.

There he was, a slim, cheery, weather-beaten man who offered me coffee.

I was sweating from the heat, but Abdul found Lebanon cold at this time of year and he was wearing a blazer over two pullovers.

I sat down to hear how this former sergeant in the Lebanese army had found himself guardian of one of the most extraordinary sights in the region.

Treasure beneath rubbish

Twelve years ago, Abdul had retired from the military and returned to the Beqaa Valley -- a broad, green swathe running for 120 kilometers through eastern Lebanon -- and his home in Baalbek.

"Many Palestinian refugees had moved here in the time I'd been away," he said, "and I saw they'd been throwing their rubbish into an old quarry."

At a loose end, Abdul started removing the garbage from the site near his home.

As he did, he uncovered an ancient object -- the largest single stone ever carved, lying at the bottom of the quarry.

It was a huge piece of limestone, longer than a school bus and estimated to weigh more than a thousand tons.

Carved by the Romans more than 2,000 years ago, the monolith had been intended for the nearby temple complex of Heliopolis.

Now a Lebanese flag flies at one end of it, and, over the cafe Abdul has set up nearby, a sign trumpets: "La Plus Grande Pierre dans le Monde."

Three gods

Traveling in the Middle East, I'd heard of Baalbek but not of Heliopolis.

As we stepped down into the old shallow quarry, Abdul pointed to the huge white columns of an abandoned temple visible on the horizon between two concrete housing blocks and loops of telephone wire.

"In those days Baalbek was known as Heliopolis," Abdul said. "Our temple was the biggest ever built by the Romans.

"Here they worshiped not one god but three: Jupiter, Venus and Bacchus. Today Heliopolis is a UNESCO World Heritage Site."

Abdul receives no government assistance for his upkeep of the quarry and the monolith so, as I was leaving, I bought a guidebook from his shop for $7.

Would he ever leave Baalbek, I asked as we shook hands.

"I can't," he said. "The quarry would go back to the way it was. I won't let that happen."

Iran: time for travelers to return?

"Die Tempel von Heliopolis"

I drove on through the scruffy outskirts of modern Baalbek, parked my car and bought a ticket for ancient Heliopolis.

A group of young German men marched into the ruins ahead of me. They weren't the first: German students have been coming to Baalbek for more than a century.

Before World War I, the Kaiser, an ally of the Ottoman Turks who then ruled here, sent his best archeologists to excavate and secure the ruins.

A drawing of their proposed reconstruction pinned to the ticket booth reads: "Die Tempel von Heliopolis, Ba'albek."

At the combined size of several football pitches, the three temples of Heliopolis were built on a scale much larger than anything seen in Rome.

Shrine to Ba'al

The complex was actually constructed on top of a shrine to the Canaanite god Ba'al.

To build it, the Romans had first to create a vast plateau above the valley.

That alone must have been an extraordinary undertaking.

During the Christian era, the temple complex was quarried for buildings including the Hagia Sofia in Constantinople (the new Roman capital) and the rest was roofed over to create a church of dimensions not seen again until the building of St. Peter's in Rome.

When Islam came to the Beqaa Valley, the steps of this church were hacked away to create an inaccessible Muslim fortress held in 1175 by the mighty Saladin.

Crusaders besieged it several times but never broke through.

Today the complex still towers over this low-rise city.

The occasional tourist wanders through in the company of a guide -- like Abdul, always well wrapped up against the sunshine -- but you can have it to yourself most of the time.

Six top beers from the Middle East

Vanishing tourists

With civil war raging in its eastern neighbor, Syria, and security always fierce in Israel to the south, tourism has dropped off drastically in Lebanon in recent years.

Nature has also played a destructive part.

Inching away from Africa, the Arabian tectonic plate has caused three earthquakes at Heliopolis, bringing columns and pediments crashing down.

Yet still it somehow stands, huge and white, an ancient marble enclave within modern Baalbek.

The temple wins the crown for most impressive archeological site in the region, but there's much more to see.

At Hermel there's a mysterious pyramidal tower thought to have been built 3,000 years ago -- no one knows why.

Lebanese white

Lebanon may be dry but it isn't, so to speak, necessarily dry.

ChÃ¢teau Ksara (+961 88 134 95), founded in 1857 by Jesuit priests, created one of the first white wines in Lebanon.

"Until recently we received 7,000 visitors a year," Sabah, who works in the visitor shop, told me.

"This valley still produces more than six million bottles of wine a year," she continued. "We sweep the car park every day. We're optimistic."

Everything might be slightly falling apart in the Beqaa Valley, but then this strife-torn region often has to rely on the goodwill of people such as Abdul to maintain its world class tourist attractions.

Nevertheless, the valley exudes calm.

It's seen a lot of history and knows it'll see more.

Now, when the most recent chapter of that history has scared most people off, could be a good time to go.

Baalbek is approximately 85 kilometers east of Beirut. Lebanon-R-Us is one local company offering tours of the city and its sights; +961 76 513 800.

The monolith and Abdul's cafe are located near the eastern entrance to Baalbek -- look for signs. No set opening times or entrance fee to the site.

To visit ancient Heliopolis, look for signs within Baalbek pointing to "The Ruins"; open 8:30 a.m. until 30 minutes before sunset; children under eight free, adults $8; guides are hired from around the ticket office, at the southeastern end of the temple complex, and cost around $14 an hour.

More information on visiting Baalbek can be found on the Baalbeck Municipality official website.

@highlight

World's biggest carved monolith found in Lebanon -- beneath a rubbish heap

@highlight

Temple of Heliopolis was size of several football fields

@highlight

Travelers have many sights entirely to themselves