Rebel and Syrian forces battled early Saturday for a building that houses state-run TV and radio studios in Aleppo, a day after the U.N. General Assembly approved a resolution that slams the Syrian government for its actions and the U.N. Security Council for its failure to counter the crisis.

Elements of the Free Syrian Army took partial control of the Aleppo building, according to the opposition Local Coordination Committees of Syria, but had to withdraw because of snipers and military shelling. The opposition Syrian Observatory for Human Rights said that TV service has been disrupted.

Meanwhile, state-run television, based in Damascus, reported earlier that "a group of mercenaries and terrorists attacked civilians and the television and radio building in Aleppo and our honorable armed forces are fighting them."

CNN cannot independently confirm reports of violence because the government restricts access by foreign journalists.

The General Assembly adopted the Saudi-sponsored resolution 133-12 with 31 abstentions. It came a day after Kofi Annan announced his resignation as the U.N. and Arab League special envoy to Syria. He championed a six-point peace plan that has failed to take hold.

The resolution notes "human rights abuses by armed opposition groups" and condemns "all violence, irrespective of where it comes from, including terrorist acts."

But most of its ire is reserved for President Bashar al-Assad's regime. It strongly condemns "the continued widespread and systematic gross violations of human rights and fundamental freedoms by the Syrian authorities and pro-governmental militias."

It cites "the use of force against civilians, massacres, arbitrary executions, the killing and persecution of protesters, human rights defenders and journalists, arbitrary detention, enforced disappearances, interference with medical treatment, torture, sexual violence, and ill-treatment, including against children."

It also underscores its "grave concern at the threat by the Syrian authorities to use chemical or biological weapons."

The resolution expresses "deep concern at the lack of progress towards implementation of the six-point plan" and deplores "the failure of the Security Council to agree on measures to ensure the compliance of Syrian authorities with its decisions."

General Assembly resolutions are not legally binding, unlike Security Council resolutions. But diplomats at the General Assembly strongly upbraided the Security Council, where Russia and China have vetoed tough resolutions against Syria.

Russia, China, North Korea, Iran and Syria were among those voting against the resolution. Algeria, India and Pakistan were among those abstaining. Of Syria's neighbors, Lebanon abstained, and Iraq, Jordan and Turkey voted for the resolution.

U.S. Ambassador to the U.N. Susan Rice hailed the vote "by an overwhelming majority of U.N. member states."

"The General Assembly demanded once more that the first step in the cessation of violence be made by the Assad regime," she said. "Importantly, the resolution also welcomes the Arab League's July 22 decision, which calls for Assad to step down and for a transitional government to be formed. The United States is pleased that the General Assembly has made it abundantly clear that Syria's chemical weapons must remain secure and that members of the regime will be held accountable in the event such weapons are used."

"The conflict in Syria is a test of everything this organization stands for," U.N. Secretary-General Ban Ki-moon told the assembly ahead of the vote. "I do not want today's United Nations to fail that test."

Syria's U.N. ambassador, Bashar Jaafari, called the resolution a "piece of theater" that serves the interests of other countries in the region. He cited "foreign interference" and what he called the use of human shields by Syrian rebels.

Frank Gaffney, founder of the Center for Security Policy, said the United Nations sometimes builds unreasonable expectations by "creating the impression that somebody is going to do something about a problem. ... In the end, it almost never can do anything."

But U.N. spokesman Farhan Haq said the body can be effective, such as when the Security Council united against former Libyan strongman Moammar Gadhafi and halted an offensive by his military.

Violence intensified across Syria on Friday, and Ban made reference to the violence in Aleppo, the nation's most populous city. For days, it has been engulfed in fighting between regime forces and rebels. An all-out battle is predicted there.

At least 120 people were reported dead in the country's violence on Friday, the opposition Local Coordination Committees said. The group said that at least 72 of the fatalities occurred in a government massacre in the Hama neighborhood of Arbaeen.

As they have every Friday since the uprising began nearly 17 months ago, protesters marched across the country with a theme for the week. Deir Ezzor, the restive province in the east, was the focus of anti-government demonstrators this week: "heroic Deir Ezzor, the coming victory from the east."

Regime shells have battered the area for weeks, and protesters wanted to show solidarity with the people there. At least seven people were killed in Deir Ezzor on Friday, the LCC said.

"Despite the big battle in Aleppo, we feel that Deir Ezzor is also leading the fight against the Assad regime and most of the cities and villages in the province have been liberated," said Mohammed Sarmini, a spokesman for the opposition Syrian National Council, the anti-al-Assad political movement based in Turkey.

Sarmini said the opposition is working on setting up a secure central command.

"Our main mission is to form local neighborhood councils in order to avoid the cities slipping into chaos once the regime falls," Sarmini said. "We had to wait until we had more liberated areas, and now we feel more confident after the latest developments in Aleppo."

Akil Hashem, a retired Syrian general who supports the opposition, said the rebel's capture of 40 to 60 tanks won't make a difference given that the regime still has about 4,000 tanks. Acquiring sophisticated anti-tank and anti-aircraft weapons might, Hashem said.

Syria has faced a diplomatic blowback over the crisis. A former Syrian Embassy employee speaking on condition of anonymity says the embassy in London is expected to close within two weeks.

The former official cited difficulties dealing with British banks in the wake of international sanctions on Syria.

"When I left recently, the embassy had plenty of funds available to continue for some time, but the banks will no longer do business with the embassy." British authorities, the official said, had been keen to keep the embassy open to maintain channels of diplomatic communication, but that communication now looks set to become much harder.

According to the former official, two diplomats have quit the embassy this week. On Monday, the British Foreign office announced the resignation of Khaled al-Ayoubi, the most senior diplomat at the embassy, saying, "he is no longer willing to represent a regime that has committed such violent and oppressive acts against its own people." The second diplomat quit his post a few days later.

The former official said al-Ayoubi, a career diplomat, asked British officials for a meeting about the embassy's finances and had gone to the Foreign Office in the middle of last week. In the following days, according to the former employee, he was "nervous" and had unusually given the staff Friday off work. The following Monday, he called in sick, and later that day, the British Foreign office announced his resignation.

The former embassy official said most staff in the embassy don't believe the Foreign Office explanation because in recent weeks al-Ayoubi had actually been trying to dismiss staff members whom he suspected of supporting the opposition. The former official said that once al-Ayoubi realized that financial constraints would cause the embassy to close, he quit so he could remain in the UK rather than be sent back to war-torn Damascus with his family.

CNN has been unable to contact al-Ayoubi. The Foreign Office said it would not comment on private meetings and had no information about the possible closure of the embassy.

The Syrian conflict has claimed roughly 17,000 lives, Ban has said.

@highlight

Fighting reported at radio-TV building in Syria's largest city

@highlight

Lebanon abstained in the U.N. vote, but other Syrian neighbors voted yes

@highlight

Iran, Russia and China were among the countries voting against

@highlight

Syria's embassy in London is expected to close soon