Los Angeles (CNN) -- Sirhan B. Sirhan, the convicted assassin of Robert F. Kennedy, will make a personal appearance before a California parole board for the first time in at least nine years on Wednesday, supported by two psychologists' reports saying he no longer poses a threat to society, his attorney said.

And in what a prosecutor and Sirhan's attorney say will be an extraordinary appearance, one of the surviving shooting victims in the 1968 assassination, retired TV journalist William Weisel, is expected to tell the parole panel that he won't object to Sirhan's release if the board OKs it, Weisel told CNN.

Even so, the release of Sirhan, 66, now serving a life sentence, is a long shot, with only about 10% of California's life-sentenced convicts being granted parole, said Los Angeles County Deputy District Attorney David Dahle, who added he plans to oppose Sirhan's release at Wednesday's hearing.

Weisel, who shared with CNN his prepared statement to the parole board, said he was hit by a stray bullet in the abdomen "on that terrible evening" a quarter past midnight on June 5, 1968, after Kennedy had just won the California primary in his bid for the Democratic presidential nomination.

Now 73, Weisel, of Healdsburg, California, was an ABC News associate producer at the time of the shooting.

"I'm advised that two reputable psychologists, one representing the state of California and the other from Harvard University, have concluded, after examining him -- Sirhan Sirhan -- that if he is granted parole, he would not be a threat to himself and others and the community at large. If this is a fact and the board is inclined to grant him parole after him being in prison for nearly 43 years, I would not be opposed to the decision," Weisel said in a telephone interview with CNN.

Dahle declined to comment on Weisel's statement or on the psychologists' reports to the parole board, but he said Weisel's scheduled appearance would mark the first time during Sirhan's imprisonment that a surviving witness voiced no objection to his possible parole -- at least since 1970.

Prior to 1970, "there's no record of the proceedings and I don't know if anyone showed up," Dahle said.

"It's fairly unusual. It's not common," Dahle added with respect to victims attending a parole hearing and not objecting to the prisoner being released. "We don't get many, at least in cases in Los Angeles County -- where we get victims or victims' next of kin coming to cases. It's an expensive proposition."

Wednesday will mark Sirhan's 14th parole hearing, scheduled to be held in the Pleasant Valley State Prison in Coalinga, California, which is 200 miles northwest of downtown Los Angeles.

Members of the Kennedy family and their representatives didn't return messages or e-mails seeking a comment.

Sirhan's attorney, William Pepper, an international human rights attorney and a barrister with offices in New York and London, said he and Sirhan were "very grateful" for Weisel's statement.

Sirhan, 63, is serving a life sentence for killing Kennedy and wounding five other persons in the kitchen pantry of the Ambassador Hotel in Los Angeles -- the hotel was later razed and a public school now occupies the site. Sirhan was convicted of first-degree murder and five counts of assault with attempt to commit murder.

Four of those five surviving victims are alive, including Weisel. The others are Paul Schrade, a Kennedy family friend and former UAW Union regional leader; Ira Goldstein, a former radio journalist; and Elizabeth Y. Evans, a friend of the late Pierre Salinger.

A Palestinian Christian who was born in Jerusalem and whose parents brought him and his siblings to America in the 1950s, Sirhan killed Kennedy because of statements the New York senator made about the United States sending fighter jets to aid Israel, prosecutors argued during Sirhan's 1969 trial.

In 1968, Sen. Kennedy, younger brother of the assassinated U.S. President John F. Kennedy, was a leading contender for the Democratic presidential nomination against Vice President Hubert Humphrey and Sen. Eugene McCarthy. Kennedy was shot only minutes after claiming victory over McCarthy in a hotel ballroom speech televised live to American households. The Kennedy shooting in the hotel's kitchen pantry only moments later was not captured by any cameras.

Sirhan was the only person arrested in the shooting.

Sirhan has Jordanian citizenship but never became a U.S. citizen, so if the parole board were to release him, he would be deemed an illegal immigrant and deported to Jordan, where he has extended family, his attorney said.

Sirhan's younger brother, Munir, 63, continues to live in the Southern California community where the Sirhan family siblings were raised, Munir Sirhan said.

Sirhan Sirhan "has maintained a good relationship with his brother and he would love to live with this brother in Pasadena, but that's very unlikely because of his immigration status," Pepper said.

Daniel Brown, an associate clinical professor in psychology at Harvard Medical School, has submitted a statement to the parole board after interviewing Sirhan for 60 hours over a three-year period, Pepper said.

"The report is part of a sealed file, but I can say that Sirhan does not have any violent tendency that should be regarded as a threat to the community," Pepper said.

Brown's report "confirms Sirhan's legitimacy of the loss of his memory," including in the pantry during the shooting and in moments of his life in the year prior to the Kennedy slaying, Pepper said.

"Sirhan has at various times taken responsibility (for the Robert Kennedy assassination), but the actual fact is that he doesn't remember what happened in the pantry at all. But because everyone around there told him he did it and he had a pistol and he did fire that pistol, he came to believe that he was actually guilty," Pepper said.

Sirhan shows no sign of mental illness and has demonstrated remorse for the shootings, Pepper said. Sirhan has been "free of any disciplinary rulings against him" in prison, Pepper said.

"He's said no day of his life goes by where he doesn't have remorse and deep regret that this took place and the role he played in this thing," Pepper said. "He's not schizophrenic or psychotic, and he has not shown any history of violence during incarceration."

Pepper said he became Sirhan's pro bono attorney in the fall of 2007 after he learned of the results of an audio analysis conducted on a sound track of the Kennedy shooting. The audio recording, made 40 feet away from the crime scene by free-lance newspaper reporter Stanislaw Pruszynski, is the only known recording of the gunshots in that June 1968 assassination.

Pepper said he believes the Pruszynski recording is evidence showing that there was a second gun firing in addition to Sirhan's Iver-Johnson handgun. The tape was uncovered in 2004 by CNN's Brad Johnson, who had the recording independently examined by two audio analysts, Spence Whitehead in Atlanta, Georgia, and Philip Van Praag in Tucson, Arizona. Johnson reported on their separate findings for CNN's Backstory in June 2009.

Watch Johnson's report from 2009

But the parole board won't hear arguments on the second-gun evidence, Pepper said. Rather, the parole panel will focus on Sirhan's suitability for parole, he said.

The Pruszynski recording "clearly showed that 13 shots were fired in the pantry, and Sirhan's gun had only eight shots, so it definitely means there was a second shooter," Pepper said.

But Weisel, joined by authorities who have dismissed the second-gun assertion, said he was convinced that Sirhan was a lone gunman.

"I've seen so many theories after 43 years. Please -- I think you can have a conspiracy in a dictatorship and some countries, but I don't think so in a democracy or our country where there is freedom of speech," Weisel said.

However, another shooting victim sees it differently than Weisel: Schrade. He is a Kennedy friend who was shot in the forehead while standing immediately behind Robert Kennedy in the pantry.

In 2008, Schrade, now 86, told CNN that he believes evidence clearly shows Sirhan was not the only person who fired shots in that assassination. "We have proof that the second shooter was behind us and off to our right. Sirhan was off to the left and in front of us," Schrade told CNN anchor Adrian Finighan.

Watch interview with Paul Schrade

Schrade declined to comment to CNN this week about Wednesday's scheduled parole hearing for Sirhan.

In a 2006 interview on CNN's Larry King Live, Weisel recounted how Kennedy and he were shot.

"Well, I was right behind Bobby. We were following him to go downstairs and speak to another group of people. And I was going with our cameraman down to show him where to plug in. And so we followed Bobby, and the shooting started," Weisel said.

He said after Kennedy was struck three times, he was shot once in the stomach.

Dahle, the deputy district attorney, said Sirhan wasn't present at his last two parole hearings, in 2003 and 2006, which Dahle attended.

Pepper said he was chairman of Kennedy's citizens campaign in Westchester County, New York, during his successful 1964 bid for the U.S. Senate, and Pepper's duties included taking Kennedy's sisters and mother to political events. He said he was also a volunteer in the successful 1960 presidential campaign of Kennedy's brother, John Kennedy.

In 1999, Pepper represented the Rev. Martin Luther King's family in a wrongful death lawsuit concerning King's April 4, 1968, murder and successfully persuaded a Memphis, Tennessee, jury to find Lloyd Jowers responsible as an accomplice in the King assassination.

If Sirhan is denied parole, Pepper said he would consider appealing the matter to the courts.

Sirhan was initially sentenced to death, but three years later that sentence was commuted by California courts to life imprisonment plus six months to 14 years in prison, to run concurrently.

@highlight

One of the surviving shooting victims will not oppose parole if the board OKs it

@highlight

Two psychologists' reports say Sirhan poses no threat to society, his attorney says

@highlight

Sirhan, 66, serving life sentence for 1968 slaying of Robert Kennedy