(CNN) -- Forgot to charge your cell phone last night? Imagine that you could power it by walking. Weirder still, you might be able to just spray a new battery on.

Z.L. Wang shows an enlarged image of zinc oxide nanowires, less than the width of a hair in reality.

These concepts are being developed by two leading nanotechnology researchers who are developing cleaner, more efficient ways of delivering electrical power. In working toward making these ideas realities, they are making use of structures that are 100 nanometers or smaller, where one nanometer is a billionth of a meter.

"[The nanoscale] can make the components small, sensitive and high-performance," said Zhong Lin "Z.L." Wang, distinguished professor at the Georgia Institute of Technology's College of Engineering. "The toughness and the flexibility increase by orders of magnitude."

Barely lifting a finger

Wang and colleagues are working on harnessing the energy of the body's natural movements to power small devices. Even the simple act of moving your fingers while typing creates energy that could power a small device, and these researchers are showing that nanotechnology can enable this transformation.

Here's the hard science: To take advantage of animal movement for energy, Wang's team makes use of the piezoelectric effect, which refers to the ability of certain materials to generate an electric potential when a stress is applied to them. For instance, if you compress a crystal, it temporarily changes shape, causing the ions inside the crystal to polarize and produce a voltage drop.  Learn about other applications of nanotechnology »

That potential can drive a transient flow of external electrons to function as an energy output.

Zinc oxide nanowires, which are environmentally friendly, have this property. Wang and colleagues are using these materials in making solar cells, which would have less potentially harmful impact on the environment than the traditionally-used silicon. They also use them make nanogenerators that can potentially harvest the energy from any mechanical movement.

The group had success in animal models -- for instance, in harvesting energy from a hamster running on a wheel that wears a nanodevice on its back. They have also implanted a nanogenerator on the heart of a mouse, and are able to capture energy from just the heart beat -- albeit only some picowatts (one million millionth of a watt).

The eventual goal is to create a way for people to self-power a blood pressure or glucose monitor -- for instance, by implanting a small device in the arm. Read about nanotechnology and cancer research

"Within three years, the power generated should be enough to power these kinds of devices," Wang said.

Wang also demonstrated how one of these tiny devices on a wire attached to a person's finger can harvest energy from stretching and bending the finger.

'Next-next generation' batteries

Scientists want to develop energy sources based on inexpensive, abundant, eco-friendly materials that generate higher power. At the Massachusetts Institute of Technology, researchers are doing that by engineering viruses that build materials for batteries.

"We're letting biology help us work on solving those problems, solving what the next-next generation batteries are going to be," said Angela Belcher, professor of materials science and engineering at MIT and winner of a 2004 MacArthur Foundation genius grant.

Here's how it works: Belcher and colleagues synthesize a virus called M13 bacteriophage, which is wire-shaped and only about 9 nanometers thin. This virus is common -- "you have bacteriophage all over you," Belcher said -- and is harmless to humans.

A traditional battery has a negatively charged "anode" and a positively charged "cathode," and charged particles called ions flow between them.

As they demonstrated in a paper in the journal Science in April, a cathode can be made when engineered viruses coat themselves with iron phosphate, then bind to carbon nanotubes, which are cylindrical carbon molecules. The result is an extremely conductive network of these nanotubes.

Ten grams of their cathode materials can power one portable media player for about 40 hours, which is equivalent to three normal portable media batteries in the same device, Belcher said.

In 2006, the team showed that the anode could also be built by viruses -- this time, coating themselves with cobalt oxide and gold. The viruses essentially become small wires.

Given that the battery grows itself, there's basically no manufacturing waste. No toxic materials are involved either, Belcher said.

During the assembly process, the viruses are not alive, Belcher said.

"They're just a protein scaffold to be able to grab ions out of solution or build materials exactly the way we need them to grow," she said.

Once the battery is made, the virus can no longer make copies of itself, she said.

While the current prototypes are powerful, they won't come to market because researchers want to make them out of even better materials. In five or 10 years, though, they could be available for specialty applications, Belcher said.

She and colleagues are also working on spray-on batteries -- just spray on the components, including the viruses, like spray paint -- and batteries that attach like rubber stamps. The stampable batteries could be used for cards on which information is stored, such as IDs and credit cards, she said.

The business of nanotech

Some of the nanotech energy devices sold today include nano-enhanced lithium ion batteries that perform better and are safer than their predecessors, he said. Several companies also are working on flexible solar cells -- meaning one day "you could even have something like an awning or a backpack made out of a material that produces solar electricity," said Michael Holman, research director at Lux Research, an independent research and advisory firm providing advice about emerging technologies.

But "there's still a big disconnect between the hype and the reality," of nanotechnology in the energy sector, he said.

Only 0.6 percent of nanotech revenues in 2007 came from energy and environment applications, according to a report from Lux, and they predict only 1.8 percent in 2015.

Holman cautioned that many of the technologies that have come to the market, such as the lithium ion batteries, are incremental advances rather than breakthroughs.

Still, the studies that Wang and Belcher are doing are important, he said. It may be decades before human motion could translate into more than a small fraction of general energy use, but in the nearer term it could hold promise in small sensor applications such as environmental monitoring, Holman said.

Belcher's work on batteries is "exactly the kind of research we need to keep doing" as scientists progress toward goals such as powering electric cars, for example, he said.

@highlight

Device could allow people to self-power a blood pressure or glucose monitor

@highlight

Materials for an efficient battery, waste-free battery were made by viruses

@highlight

Spray-on and stampable batteries are being tested at MIT

@highlight

Energy and environment applications are a tiny portion of nano revenues now