Washington (CNN) -- Jewish voters, a typically reliable bloc for the Democratic Party, are now the focus of Democrats intent on keeping their support and Republicans who see an opportunity to pull them in after New York's recent special congressional election.

Longtime New York Democratic strategist Hank Sheinkopf said the election, in which a Republican won the historically Democratic district, was in part a reaction to the president's approach to Israel. Sheinkopf said the contest served as a "liberating device" for Jewish voters and not just Orthodox Jews, who tend to be more socially conservative.

"It is very unlikely he gets large portions of the pro-Israel community back; it's too late. Something extraordinarily miraculous would have to occur," Sheinkopf said. "There is a general sense of betrayal that this guy just doesn't understand who these Jews are.

"He got his first warning," Sheinkopf added.

Signs of tension between the president and Jewish supporters surfaced before the New York election and are heightened with the spotlight on the annual meeting of the United Nations General Assembly in New York, in which Palestinian Authority President Mahmoud Abbas is expected to submit an application for statehood to the Security Council.

Will the GOP push for Jewish votes pay off?

The Obama administration has vowed to veto the submission, affirming its longstanding backing for Israel, America's strongest Middle East ally.

But many Jews were angered over President Obama's May speech in which he suggested that Israel return to pre-1967 borders with land swaps agreed upon by Israelis and Palestinians. The pre-1967 borders refer to Israel's territory before the Six-Day War that year, in which Israel captured Gaza, the West Bank, East Jerusalem and other territory from neighboring countries.

Israelis argue that returning to the former configuration would leave population centers vulnerable and displace settlers.

The president's statements were followed by an awkward meeting with Israeli Prime Minister Benjamin Netanyahu, in which Netanyahu seemingly lectured Obama in the Oval Office, vowing that Israel would never return to the 1967 lines.

In New York, Republican Bob Turner's 8-percentage point victory over Democrat David Weprin in a district held by Democrats since 1923 brought a new focus on Jewish voters, who supported Obama's presidential bid by an overwhelming 78% in 2008.

The Democratic loss in the highly Jewish 9th congressional district comes as Obama's polling numbers among Jewish voters, nationally and in New York, have declined. Rep. Anthony Weiner held the seat until he resigned in June after exchanging inappropriate images over social media.

Fifty-four percent of Jewish Americans approved of Obama's performance as president in September, compared with 60% in June and 68% in May, according to Gallup polling.

A statewide New York poll taken by Siena College in August found Obama's approval at 52% among all Empire State voters and at 49% among the state's Jewish voters. Although Obama received a 67% approval rating among Democrats in the state, he garnered 49% approval from Jewish Democrats.

Steve Greenberg, the Siena political poll spokesman, said that the president's poll numbers "should be better among Jewish voters" and that last week's election proved that there are no safe districts for the president.

"Even in a safe Democratic district, Obama is not safe, and therefore he clearly has his work cut out for him," Greenberg said.

However, he said voters are looking at the president in a vacuum instead of against a Republican challenger, when he is likely to fare better, and he cautioned against using the special election as a barometer for the rest of the country.

"There are issues he's got to work on over the next 14 months, but it's not a crisis situation," Greenberg said, pointing to the uniqueness of the district's religious electorate, a third of whom are Orthodox Jews, and the heavy role Middle East politics played in the race.

CNN exit polling says the national Jewish vote has not surpassed 4% of the total vote in the past five presidential elections. However, a higher concentration of the Jewish population in key presidential voting states, including New York, New Jersey and Florida, could prove important for Democrats and Republicans in 2012.

Matt Brooks, executive director of the Republican Jewish Coalition, said the Obama administration's policies toward Israel have left Jews "concerned" ahead of the presidential election. He cited the president's criticism of Israeli settlements, his disapproval over construction in Jerusalem and the 1967 border call as reasons for the ill will.

"Because of the failed policies and the harsh criticism as it relates to Israel, (Obama has) got a real problem with Jewish voters across the country," Brooks said, calling the New York election a bellwether for the rest of the country over Israel and the economy.

"I'm confident that Republicans will continue to make inroads in 2012 in the Jewish community ... as Jewish voters move away from the Democratic Party," Brooks said.

On the other side of the aisle, the Democratic National Committee and the Obama White House are ramping up outreach efforts.

In an e-mail to Jewish supporters, Ira Forman, Jewish outreach director for the Obama campaign, sought to "set the record straight."

"The other side is working hard to distort the President's record, particularly when it comes to his strong support of Israel," Forman wrote. "To set the record straight, it'll be up to supporters like us who know the truth to get the word out."

Ben Rhodes, deputy national security adviser for strategic communications at the White House, said the U.S. and Israel have stood together in "unprecedented ways" during the Obama administration. At the White House on Friday, Rhodes said the United States has lent military assistance to Israel to protect itself from incoming missiles and rockets and stood up against the de-legitimization of Israel at the U.N., among other steps.

"We've got a very strong record of support for Israel that should be evident to anybody who shares our concern for the future security and prosperity of Israel," Rhodes said. "The security cooperation is evident; the de-legitimization efforts by us to counter those de-legitimization efforts are evident."

Alan Solow, an outside adviser to the Obama campaign on Jewish issues, said the president's political opponents are mischaracterizing his record on the Middle East.

"We ... need to fight back against those misrepresentations and clarify the record," Solow said. "We'll go through some ups and downs as events occur, but I think in the end, our belief is that his percentage of the Jewish vote in 2012 will be very similar to what it was in 2008."

David Harris, the executive director for the nonpartisan American Jewish Committee, doled out advice to Democrats and Republicans angling for Jewish support.

Democrats need to better explain their Middle East positions to ensure that their support in the Jewish base does not wane, Harris said.

"They need to tell the story better," Harris said. "Don't take your Jewish base for granted."

Meanwhile, Harris said, Republicans have an opportunity to make inroads in the Jewish community through an economic plan and Middle East policy.

"Jews are multi-issue voters. The notion they are single-issue voters is simply wrong," Harris said. Jewish voters "want to have a comfort level they want to believe in their kishkas, in their gut, that the person gets Israel, understands it, grasps why Israel is important to the United States."

CNN's Robert Yoon, Dan Lothian, Meghan Rafferty, Jessica Yellin and Adam Aigner-Treworgy contributed to this report.

@highlight

Obama "got his first warning" in New York special election, strategist says

@highlight

Speech suggesting return to pre-1967 Israeli borders angered many Jews

@highlight

Republican's surprise victory in New York election brought new attention to Jewish bloc

@highlight

Parties should focus on economic plan as well as Middle East, analyst says