(CNN) -- When I saw these words on Twitter, I couldn't help but put down my tablet: "They say the smallest coffins are the heaviest to carry."

They weigh heaviest upon the heart. First the Sydney attack Monday, then all too soon there came the school killings Tuesday -- 145 people, 132 of them children -- in Peshawar, Pakistan. Tragedies are stacking up. There isn't enough time to grieve. To spend one minute of silence in honor of each of the lives lost would take more than two hours.

The average life expectancy for men in Pakistan is about 66 years. These children killed at their school had some 50 years of life stolen from them â€” life that will never be lived. Think back on the last year. What did you accomplish? How many times did you laugh? How many act of kindness did you bring into the world?

Think on all you did. Think of what could have been if these children had lived â€” of how each of their lives could have changed the world. It takes but one person, one moment, one conviction, to start a ripple of change.

Because they can't, we must.

Those stolen lifetimes deserve fulfillment. Those children's lives can still change the world. But it requires us to be called from despair to action. Although their deaths are senseless and tragic, their potential lives can unfold through us.

The smallest coffins are the heaviest, but living for the child lightens our hearts.

It is easy to fall into despair thinking about all that is wrong with the world. The joys seems so small in comparison. Internet videos of cats riding Roombas just can't compete with a father talking about how his dead 13-year-old son had wanted to be a pilot.

How do we not yield to despair?

Action is my antidote. I do something. The Taliban attacked a school -- and earlier had shot Malala, an education activist -- because they are scared. They fear the potential of education to change the world, and move beyond them. Education is the light that fights their darkness.

It is up to us. The horror of their methods only redoubles our commitment to spreading the light. We know education is a human right and an unstoppable force. We can use our grief to activate and motivate us, to work so even more children are educated, to ensure that these child killings are the last throes of the Taliban's reign of terror.

The question becomes: how?

Not long after the devastating news of the attack, I began to see a growing online community, started in large party by people of Pakistani descent across the world, looking for ways to help those in need in. Each is seeking ways to honor those murdered in Peshawar.

You don't have to donate. But at the very least, you can add your name to online pledges and join this community in saying, "Your terror only makes us fight harder."

If you want your checkbook to follow your heart, make a donation to those doing work you support. The Malala Fund is a great place to start. UNICEF and the Global Fund for Children are other established, well-respected organizations that do great work across the world for children.

If you aren't in a positon to give money, get some skin in the game. In 2015, the Hult Prize challenge will provide quality education for 10 million children who live in urban slums. If you are a student whose school is involved, apply online before December 21. Apply for a chance at $1 million to change the lives of 10 million children, and through them, to help change the world. If your school is not involved, apply here.

If you are not a student, you can connect with your local university and offer to support the team working for early childhood education in urban slums. You have something to offer â€” maybe you bake fantastic cookies, or provide expertise in financial modeling, or simply ask good questions. Each skill, no matter how modest you feel it is, is useful to the students. Help them.

We're a world away from Pakistan in geography, but not in sentiment. We mourn with the parents as one people. Now, we must act as one people.

@highlight

Donna Brazile: Lives cut short by Taliban's school rampage is tragic and can sow despair

@highlight

She says turn that into action. Work to support and spread education everywhere

@highlight

She says join online community calling to honor slain students by fighting harder for schools

@highlight

Brazile: UNICEF, Malala Fund among those pressing this cause. Hult Prize is another