(CNN)Countries around the world have launched massive aid operations to help victims of the Nepal earthquake, but distribution of aid faces challenges as Nepal is still trying to come to terms with the scale of the disaster.

With over 4,400 dead, 8,000 injured and 8 million people across Nepal affected, numerous aid groups and at least 16 nations have rushed to send supplies and workers to the stricken country.

But now the Nepalese government and army who are leading the disaster response face another problem: How to effectively coordinate and organize the massive influx of humanitarian aid.

Here are three major obstacles that are hampering efforts of distribution.

Nepal relies on only one international airport to receive and deliver aid. Relief organizations say the tarmac at Tribhuvan International Airport remains jam-packed with a large number of cargo planes.

Several aircraft carrying essential supplies have been turned away, or diverted to India and elsewhere.

"The airport is totally congested. Even the planes which have landed, goods haven't been offloaded," Jagan Chapagain, the Asia Pacific Director of the IFRC (International Federations of Red Cross and Red Crescent Societies) told CNN.

Flightradar24, a live air traffic monitor, shows that incoming flights have had to circle in the air several times before being able to land.

The United Nations Disaster Assessment and Coordination (UNDAC) team who is on the ground coordinating international relief efforts says they are doing all they can to address the problem.

"There are lots of flights arriving from around the world for search and rescue, and that's the challenge we're trying to address by supporting the airport staff directly," said Marcus Werne, a UNDAC team leader.

But Chapagain says that airport management is still chaotic, with staff and military not being able to clear runways and offload supplies effectively.

According to a U.N. situation report, main roads in Kathmandu are open, but remote areas are largely inaccessible.

"Due to the mountainous geography, infrastructure damage, collapsed bridges and damaged roads, access to many of the affected areas is reported to be extremely limited," read the report.

The Nepalese government has not been able to provide relief to all affected areas due to difficulties in transporting goods, a government official told CNN.

"The helicopters are small. They don't fly in windy and cloudy conditions. Given Nepal's geographical terrain we cannot use surface transport much but we are using it," said Sagar Mani Parajuli, the Joint Secretary for Nepal's Home Ministry.

The situation has deteriorated to the point where relief workers are as good as stranded. Pirtha Raj Joshi, a disaster management officer for Nepal Red Cross, had to walk 10 hours to reach a office in one of the severely affected districts, said Chapagain.

Initial reports from the IFRC say that over 36,000 houses have been totally destroyed, with the number expected to rise as teams arriving in severely affected areas continue to assess damages.

Just two days after the earthquake struck, Nepalese authorities leading the response are still trying to fully understand which areas have been affected, how they are affected and what the priorities are.

"Typically what we see, also in other emergencies, is that it takes a few days for supply lines, distribution lines to stabilize," UNDAC's Werne told CNN.

"Right now we're working with a lot of secondary data, and working on some of the key vulnerable areas identified prior to the earthquake," he added.

The operation to get aid to survivors in Nepal is still "very ad hoc" and it will be a few days before the distribution becomes organized because the government is still constrained by the scale of the disaster, says Chapagain.

CNN's Manesh Shrestha in Kathmandu, and Bex Wright and Jethro Mullen in Hong Kong, contributed to this report.

@highlight

Nepalese authorities struggle with trying to coordinate a massive influx of international aid

@highlight

Relief organizations say lots of aid supplies remain stuck in cargo aircraft on the tarmac

@highlight

Damaged roads and infrastructure have hampered distribution efforts and rescue teams trying to access remote areas