(CNN)Today I'm tagging penguins in Antarctica. Not something I'd thought I would ever get the chance to do but here we are. A few hours in and it's actually quite addictive. But I'm not facing the extreme chill of the southern polar region.

When I say I'm "tagging," I'm manually annotating penguins, chicks and eggs on photographs taken in the region. Once I've marked the images, other citizen taggers can double check my work before penguinologists can begin to analyze the citizen-sourced data.

I've become one of the nearly million citizen scientists working to help penguins in the Antarctic region through data analysis on hosted through Zooniverse, a crowdsourcing science platform.

Passionate penguinologist Tom Hart, a junior research fellow in the Department of Zoology at the University of Oxford, is the man behind Penguin Lifelines -- a collaborative international project researching the threats faced by Antarctic penguins.

CNN caught up with the passionate scientist following his recent return from this year's trip south and found out why he continues to make the trek, what they've found and whether the end is near for these aquatic birds.

CNN: Welcome back, Tom. How was your expedition to Antarctica? It must be pretty hard to work in such extreme-weather environments.

Tom Hart: It's paradise. It's fantastic. It's quite draining. There's no doubt it's physically and mentally tiring but every day you wake up with a spectacular backdrop, you never forget how privileged you are -- that's for sure.

CNN: What's like working "in the field?"

TH: The way we do it is probably not what you have in mind. We go camping, we stay in huts, we grow beards in the way we're meant to according to the stereotype. But a lot of the time we're on (tourist) ships, so we get to a lot more sites than conventional scientists. We'll jump on board, or hitch hike and hop between tour ships, we might get to over 100 sites a year. Sometimes we'll only be there for three hours. But that's enough to set up or service a camera and to do a count of colony, or something like that.

CNN: It's four months of quite strenuous work. Why do it?

TH: We have a national data deficiency around Antarctica and the sub-Antarctic. The scale of today's problems -- i.e. climate change, fisheries and direct human disturbance -- we don't really have the resolution to work out which of those is the problem, in what order and how to deal with it. We're trying to create massive, massive data sets that automatically report what's going on and feed into policy.

CNN: So where do the cameras come in?

TH: We put timelapse cameras all around Antarctica and sub-Antarctic -- South Georgia, the South Sandwich Islands, South Shetlands -- all along the Antarctic peninsula. (Now it's) like having a really good, dedicated biologist who doesn't eat or sleep -- just dedicated to monitoring penguins 24/7. It turns out now, it's really easy to collect data on this scale, we've cracked the logistics problem. But the hard part is how to analyze it

CNN: Enter Penguin Watch...

TH: Absolutely. I've just got back and we've got over half a million data points this year alone. Humans are picking out the quirky that a computer would never pick up. And they are flagging things that are unusual and then we go in and look at and investigate more. Currently there is absolutely no way we can do this without a lot of help. When we started the project, in the first four hours, people had annotated more images than we ever had in five years. It makes a difference.

CNN: And what kind of results are you seeing from the processed data?

TH:  We are only just starting to get useful data but in general in the peninsula and the outlying islands we're seeing chinstraps and adelie penguins doing very poorly in their breeding. Those numbers are declining. Whereas gentoos are increasing where we monitor them and possibly spreading out. The tragic thing is that we're still quite early in understanding the problem, despite the fact that we're getting enormous amounts of data.

CNN: So is there a danger we'll reach an extinction point?

TH:  No, I think not actually. With sea birds around the world, where we fix some of the problems, seabirds have recovered. We're seeing that with penguins in parts of Australia, New Zealand and Africa despite the fact that most of those populations are still endangered we can see where you fix the problems locally, the outlook is good.

CNN: Phew! Having spent the last five years "down south," do you have a particular favorite memory of the project so far?

TH: Probably the most exciting was this January when we got back to the South Sandwich islands, we placed a camera there last year and this is the first breeding data from that whole archipelago and because it's so hard to get to, no one's ever done a year's worth of observations on penguins. It's entirely new. It demonstrated that we're making a difference in one of the most remote places you could possibly be.

SEE: Freediving couple's stunning underwater shoot

WATCH: What can we learn from animal migration?

More from The Art of Movement

@highlight

Researchers have spent the last five winters in Antarctica monitoring penguin colonies

@highlight

The group of experts also set up timelapse cameras to see breeding patterns, effects of climate change

@highlight

Data is processed by citizen scientists on crowdsouring platform "Penguin Watch"