(CNN) -- In 1993, Romeo Dallaire was full of hope for the future of Rwanda.

Romeo Dallaire, now a Canadian senator, says that in Rwanda, he "shook hands with the devil."

The Canadian lieutenant general and son of a soldier was about to take up the biggest command of his career -- leading United Nations peacekeepers in the central African nation.

A year later he left Rwanda a broken man, having watched helplessly as more than 800,000 people perished in Rwanda's genocide despite his pleas for more troops to stop the massacre.

"We could have actually saved hundreds of thousands," Dallaire told CNN's Christiane Amanpour for "Scream Bloody Murder."

"Nobody was interested."

Dallaire's mission was to monitor a peace deal between two warring ethnic groups, the Hutus and the Tutsis. But the agreement was just a façade. Hutu extremists within the government were stockpiling weapons, and Tutsi refugees had formed a rebel army.  Watch Dallaire describe how he could have stopped the genocide »

The Tutsis were a minority in Rwanda, and their plight was personal for Dallaire. His Dutch mother had watched friends die in the Holocaust, and he had been raised on stories of heroic Canadian soldiers who brought hope to war-torn Europe.

A French Canadian raised in Montreal, Dallaire had experienced discrimination first-hand and was determined to protect the Tutsi minority. But he soon found his was a lone voice.

On January 20, 1994, Dallaire made a chilling discovery: An informant warned him that Hutu government agents were planning bloodshed.

"They were going to conduct an outright slaughter and elimination of the opposition," Dallaire said.

Dallaire cabled his bosses in New York, warning that his informant "has been ordered to register all Tutsi in Kigali. He suspects it is for their extermination."

The informant described a major weapons cache, which Dallaire said he planned to raid in the next 36 hours.  Watch Dallaire describe the warnings from the informant »

Kofi Annan, then head of the U.N. Department of Peacekeeping Operations, was concerned about the safety of Dallaire's limited U.N. force. Annan's office told Dallaire: "We cannot agree to the operation contemplated ... as it clearly goes beyond the mandate."

Dallaire tried to change Annan's mind, repeatedly exchanging faxes with New York through the rest of January and into February.

"Ultimately I got authority. It took two months, and by then it was far too late," Dallaire said.

In an interview with CNN, Annan explained his reasoning:

"When you're operating in that sort of context with limited troops and facilities, you have to be careful what sort of risks they take, where everybody may even have to leave, and place a people at greater risk. And in a way, this is what happened," Annan said.

"Dallaire as a soldier, he's a very good man, he's a friend, and I respect his professional acumen. One had to take all these factors into consideration before you take a decision. Do the troops take this risk? Do they have the mandate? Do they have the resources?

"Dallaire himself said, 'If I had had a brigade, which is 5,000, I could have done a lot.' He had a fraction that number."

Asked why a brigade wasn't sent, Annan said: "The brigade was not available. The [Security] Council did not augment the troops. In fact, they went the other way.

"We would have liked to see a larger force in. I had had situations where I called 82 member states together, trying to get troops. I got zilch."

On April 6, 1994, a plane carrying the presidents of Rwanda and neighboring Burundi was shot down. It was the moment the Hutu plotters had been waiting for -- the spark that ignited the genocide.  Watch as Dallaire describes how the genocide began »

Col. Theoneste Bagosora, a Hutu extremist, immediately declared the army was in charge. Within hours, government troops and civilian death squads began slaughtering Tutsis.

"We saw the extremists, the presidential guard and militias, going to specific houses ... and killing people or hauling people off," Dallaire said.

He described the horror of getting phone calls from people he knew while they were under attack.

"As they were busting down the door and opening fire," he said, "we would literally hear people dying at the end of the phone as they were trying to get through to us and we had literally nothing to send them."

Dallaire also heard the Hutu government-run radio tell listeners that Tutsis were "nothing but cockroaches," broadcasting names of people to be murdered and instructions on how to mutilate and kill them.  Watch Dallaire describe the radio instructions on mutilation and murder »

It was an echo of past genocides. In Cambodia, the Khmer Rouge called their victims "worms." To the Nazis, Jews were "vermin."

Dallaire says he and his troops moved through entire villages of dead, sometimes clearing paths through corpses with their bare hands.

"With my own hands I carried them," he said. "We carried them in our arms, we carried kids in our arms, and adults. We were picking the bodies and moving them aside. ...There would be piles of bodies."

Dallaire's troops were also targets: 10 were killed in the first days of the genocide. He was desperate for help, on the phone with New York several times a day, asking when reinforcements were coming.

Five days into the killing, some U.S. officials began to fear the worst. A top Pentagon official wrote about the potential for "hundreds of thousands of deaths." A day later, a State Department memo warned of "a bloodbath."

But instead of reinforcements, the United States joined a chorus of countries calling for withdrawal. Washington's taste for foreign intervention had soured.

Just months earlier in Somalia, two dozen Pakistani peacekeepers had been murdered. United States commandos on the hunt for the killers had their Black Hawk helicopter shot down. Eighteen U.S. soldiers were killed.

Americans were anxious to extricate themselves from Africa -- just as they had been in Southeast Asia decades before.

"The U.S. troops had been killed and dragged through the streets and humiliated," Annan said. "The governments were not prepared to take another risk and go into Rwanda."

After two weeks of debate, Washington compromised and agreed to a token U.N. presence. The result: The U.N. Security Council voted to reduce Dallaire's already small force by 90 percent.

"In essence, they voted to allow the killers to continue," said Michael Barnett, a professor who was on a fellowship at the U.N. at the time and studied its response to the genocide.

"The moment that the U.N. votes to withdraw, that's when we see a real spike in the violence," Barnett said. "Because at that point it's clear to the Rwandans ... that there will not be any cavalry over the horizon."

In the fourth week of the killing, then U.N. Secretary General Boutros-Boutros Gali concluded that the mission was hopeless. He ordered a pullout of all U.N. troops. Dallaire refused.

"I refused a legal order," Dallaire said. "But it was immoral."

Dallaire and his few hundred peacekeepers could do little except help humanitarian efforts and protect a small number of people, while he repeatedly and futilely attempted to negotiate a cease-fire.

As the United States and the United Nations stood by, the rebel Tutsi army fought back against the Hutu government. In mid-July, 100 days of hell came to an end when Tutsi forces declared victory.

Weeks later, Dallaire asked to be relieved of his command. The horrors of the genocide had taken its toll. He was guilt-ridden, believing he should have done more to prevent the genocide.

In his book, "Shake Hands With The Devil: The Failure of Humanity in Rwanda," Dallaire wrote: "Death became a desired option. I hoped I would hit a mine or run into an ambush and just end it all. I think some part of me wanted to join the legions of the dead, whom I had failed."

Those thoughts of suicide followed him home to Canada.  Watch Dallaire describe how he dealt with thoughts of suicide »

In the preface of his book, Dallaire summed up his Rwanda experience, writing, "I know there is a God because in Rwanda I shook hands with the devil. I have seen him, I have smelled him and I have touched him. I know the devil exists, and therefore I know there is a God."

Today Dallaire is a senator in the Canadian parliament and dedicates much of his time to an initiative to eradicate the use of child soldiers.

@highlight

In 1994, Romeo Dallaire was leading a U.N. peacekeeping force in Rwanda

@highlight

The Canadian lieutenant general warned his bosses that a slaughter was imminent

@highlight

Instead of sending reinforcements, the U.N. eventually ordered Dallaire to withdraw

@highlight

He refused what he calls an "immoral" order and ultimately left Africa a broken man