(CNN) -- Forget the distracting cameo by David Petraeus. Despite its disjointed narrative, "Call of Duty: Black Ops II" twisted me around so many times with its compelling story that I really enjoyed myself.

Treyarch Studios set this new chapter of the popular first-person-shooter franchise in two time periods: the late 1980s and 2025. They consulted with military experts who helped guide what the future technology of war should and shouldn't look like.

The game's single-player campaign staggers like a drunken New Year's reveler between the past and the future. Missions hop from one time to another with little or no continuity between the actions. One mission will have you battling in Panama during the late '80s, and then the next takes you to a luxury resort in the Cayman Islands in the near future, with different characters and different weapons.

The reason for this back-and-forth is nestled in the father/son storyline of the Mason family. Dad Alex is a Black Ops vet who is called back into active duty in 1986 to help the CIA with some missions in Africa and Latin America. In the future, son David is a Navy SEAL, leading a Joint Special Operations Command team.

Linking the two is a terrorist known as Raul Menendez. He harbors great anger toward the West and capitalism in general. Players discover Menendez's motivations through the past missions, which reveal how he plans his final revenge in the future.

The backdrop for all this is the Cold War between the United States and the Soviet Union, and a new Cold War between the U.S. and China. The new tensions are spurred not by ideology but by a soon-to-be depleted resource known as rare earth minerals -- those materials used in nearly all our computer technology.

Combat

Combat is pretty typical for a first-person shooter game. Plenty of weapon choices and some destructible environments make for fast-paced, frenetic battle scenes. Some of the weapon effects are suspect though as shots to the head do not always kill their targets.

The enemies aren't the brightest bulbs in the box and are predictable in their actions. There were times I cleared the area of bad guys, just to have another wave rush in before I could move forward. And then another one after that.

Also, my adversaries didn't show much imagination when attacking, choosing the same pathways each time and the same prairie-dog tendency to pop up from behind cover so I could pick them off. There is little challenge to the larger combat scenes.

More fun is the vehicle portion of combat. Using the nimble quad-copter drones in the sky and the mechanized CLAW (Cognitive Land Assault Weapon) on the ground brought new energy to the battles. During the Strike Force missions (these are side missions to the central campaign, but critical to the final outcome), players can take over control of these devices, which offers a refreshing new perspective on the battlefield while dealing damage to the enemy.

The Strike Force missions themselves are new to the franchise. They're not directly part of the storyline, but how you perform in them will help shape the game's ending sequence. Players are tasked to attack or defend different points on a battlefield, and can either do it at ground level, by taking over one of the combat units, or by directing all the troops from an overhead view.

Failure is an option here, and if you don't succeed with your squad allotments, you don't get to try again.

Story

I found the storyline interesting. While most of the action occurs through the eyes of the Mason family, there were some instances when I got to see what was happening from another character's perspective. This helped explain much of the reasoning behind characters' actions.

A Petraeus shows up briefly near the end of the game as the secretary of defense in 2025, congratulating the team on a job well done. (Game publisher Activision, in a recent statement, said, "Including Gen. Petraeus and other real-life figures was strictly a creative decision made many months ago when the storyline was drafted.")

Other real-life people in the game include former Panamanian President Manuel Noriega and Lt. Col. Oliver North, the central figure from the 1987 Iran-Contra scandal. North did his own voice for the game and even acted an adviser. Historical footage from the 1980s and '90s features former Presidents Ronald Reagan and George H. W. Bush.

The game's ending is simultaneously emotional and confusing. But your experience may vary. Key missions produce variable endings, depending on what you do and who survives. They all add up to a variety of endings for the main characters and add to the replay value if you are the kind of gamer who wants to see all the potential conclusions.

Multiplayer modes

If killing the undead is more your speed, "Black Ops II" brought back the zombies from the previous game in a side-campaign fight for survival. This turned out to be more fun than I expected because of the bonus add-ons you can collect and the power-ups that turn your weapon into a more potent killing machine.

The zombie voice acting is extremely funny. I don't know if I'd enjoy a full game of just zombies, but it does make a nice change of pace from all the realism of the regular combat.

If you like multiplayer action, "Black Ops II" gives you plenty of modes. You can choose your class, weapons and maps from many different combinations. Most matches contain up to 12 players, while some go as high as 18. The action is clean and the intensity is high. At one point during my multiplayer session, there were more than 650,000 players online.

You can also record your gameplay to view later and see what you did right and wrong. However, I should mention that some things -- such as my brutal ending to the game -- are not meant to be seen again.

Overall, "Call of Duty: Black Ops II" doesn't break any new ground with its graphics or gameplay mechanics. But it does provide an emotionally intense single-player story, an enjoyably silly zombie mode and enough multiplayer modes for everyone to find a good game. Combined, that's enough to keep gamers glued to their controllers for many nights to come.

"Call of Duty: Black Ops II" is available in North America; it will be released in Europe and Australia on November 30, and Japan on December 20. It can be played on the PlayStation 3, Xbox 360 and Windows PC. The game is rated M for mature due to blood and gore, intense violence, strong language, suggestive themes and use of drugs. This review was done with a provided Hardened Edition copy for the Xbox 360.

@highlight

"Call of Duty: Black Ops II" is an exciting ride that should keep gamers riveted

@highlight

The popular franchise is set in two time periods: the late 1980s and 2025

@highlight

Game is available in North America and will be released this month in Europe, Australia