(CNN) -- Jon Voight had screwed up.

In the early '60s, when he was a struggling actor, he'd had a big, emotional scene in the TV drama "Naked City." By his own account, he fell short. He wanted to apologize to the casting director who'd helped him get the role, Marion Dougherty.

He drafted letters. He imagined talking to her. He was embarrassed by the performance. "I was so bad, I got almost physically sick watching it," he recalls in a new documentary, "Casting By."

Several years later, he desperately wanted the lead role in a new John Schlesinger film, "Midnight Cowboy." But the casting director for "Midnight Cowboy" was Marion Dougherty.

Voight flew to New York to meet with her. He showed up at her door and abjectly apologized. But Dougherty, always openhearted, was having none of it.

"Jon, that's the past," he remembered her saying. "How would you like to meet John Schlesinger?"

Voight was nominated for an Oscar for the film, which was named 1969's best picture, and he was on his way.

That's just one of many stories about the gracious and shrewd Dougherty, a casting pioneer, shared in "Casting By." The documentary about casting directors, which celebrates the contributions of this most neglected of Hollywood occupations, is scheduled to air on HBO Monday night.

Dougherty, whose five-decade career started in TV's early days, gets particular attention. She is credited with revolutionizing the movie business by hiring many of the talents she saw in the New York acting world -- people such as Voight, Al Pacino, Glenn Close, Robert De Niro, Dustin Hoffman, Diane Lane, John Travolta and Robert Redford. Her rise fortuitously coincided with the decline of the studio system, which swept away the contract players who were slotted into movies like so many items from a Chinese menu.

She was also a mentor to a number of future casting directors, including Juliet Taylor (who has done more than three dozen films with Woody Allen, as well as "Schindler's List," "Working Girl" and "Network") and Ellen Lewis ("Forrest Gump," "The Birdcage" and several Martin Scorsese pictures).

"(Doing the movie) opened a window for me into this world of casting that I'd never really been conscious of before," says "Casting By" director Tom Donahue in a phone interview. "I didn't really understand the contributions of the casting director and how important they are creatively."

'Everybody thinks they know how to cast'

He isn't the only one.

Though casting can make or break a movie, the job is often overlooked -- certainly by moviegoers, who may not be aware of the long process it takes to find the right actors for the right roles, and even by the movie business itself. Indeed, the casting director's film credit is "casting by" because the Directors Guild of America long prevented anyone else from being called a "director" on a movie. (The rule has been relaxed for cinematographers, often called "directors of photography," and art directors.)

"It's not something that most people understand," says Marcia Ross, a veteran casting director whose credits include "Oblivion," "The Princess Diaries" and "Clueless." (One of her former assistants, Kate Lacey, was a producer on "Casting By.") "There's a tendency in casting, because people know who actors are, that almost everybody thinks they know how to cast."

Casting, she says, means going through countless reels, submissions and auditions in search of filling movie roles; getting to know actors' representatives and schedules; establishing a rapport with the director; and, these days more than ever, being able to negotiate a Hollywood system in which many people have a stake in a movie's financial, as well as artistic, success.

"There's a lot of micromanagement and a lot of committee involvement," says Ross. "It's harder than ever to get actors cast."

It's a conundrum: Producers may want an established name, while casting directors may see an unknown with real potential -- an unknown who won't get a chance until he becomes, well, an established name.

And yet, she says, the job has real rewards -- particularly when those unknowns break through.

It was a thrill Dougherty knew over and over, with her string of New York-trained performers. (Her secret? "Gut reaction," she says in the film.) Ross, too, has given some actors their breakout roles, including Paul Rudd ("Clueless") and Chris Pine ("The Princess Diaries 2").

When "Diaries 2" came along, Pine -- now known as "Star Trek's" Capt. James T. Kirk -- was ready to go back to New York after hacking around Hollywood for the occasional TV guest spot, says Ross.

"I was very taken with him, and I brought him in for (director) Garry Marshall and he was terrific," she recalls. "But the thing with Chris was he'd never done a movie and nobody knew him. I think people were a little nervous. But I really believed in him, and I made a really good case for him, and he got the part."

'Inside, Benjamin Braddock is short and Jewish'

Casting is often inspired, a wonderful bit of serendipity. "There's something magic in finding the right person for a part," says Ross.

There are any number of examples. Redford was supposed to play Butch Cassidy in "Butch Cassidy and the Sundance Kid," but thought he was more appropriate for Sundance -- and Dougherty backed him up. "Casting By's" Donahue says Clint Eastwood was actually considered for the lead in 1978's "Superman," but Lynn Stalmaster -- another casting pioneer -- believed the role would be better served with an unknown, and went to bat for Christopher Reeve.

And, in a classic bit of casting, Dustin Hoffman got the role of Benjamin Braddock in "The Graduate." In Charles Webb's novel, Braddock is an athletic, upper-class WASP -- someone who looks like Redford, who was actually considered for the role -- but Stalmaster and director Mike Nichols were looking for someone who could project the character's insecurity.

In a "Casting By" clip, Hoffman remembers his uncertainty.

"I said to Nichols, I did not think I was right for the role. (Braddock is) kind of Anglo-Saxon, tall, slender, good-looking," Hoffman recalled. "And he said, 'You're Jewish.' I said, 'That's right -- short and Jewish.' He said, 'Well, inside, Benjamin Braddock is short and Jewish.' "

Despite their key role in shaping movies, casting directors still don't get all the credit they deserve. That was literal in the beginning: Stalmaster was the first casting director to get "single-card credit" (in which the person is the only credit listed on the screen), for 1968's "The Thomas Crown Affair."

Even today, there's still some resistance. Despite attempts to get the position recognized for Oscar consideration, the motion picture academy has yet to do so. (Moreover, when colleagues pushed Dougherty for honorary Oscar recognition, that attempt, too, failed.)

Nevertheless, the actors have remembered. One of the pleasures of "Casting By" is watching performers who have long since gone on to fame and fortune become their younger selves -- telling stories about being hard-up for rent, scrapping for food, wondering about their next job, and then being blessed by a casting director's wand.

Ross, who's been in casting for more than 30 years, says the idea of making and breaking careers doesn't enter her mind, however. She simply believes in what she does.

"I love talent," she says. "The business has changed so much, but at the very core of it, my love of talent and helping them get the opportunity to work has not changed."

Dougherty, who died in 2011, felt the same way -- and the feeling was reciprocal: "Casting By" ends with a chorus of tributes from colleagues.

She may not have been well-known, but Voight pays her a great compliment -- one due to so many casting directors.

"She could see what people couldn't see," he says.

@highlight

"Casting By" celebrates casting directors, especially pioneer Marion Dougherty

@highlight

Dougherty reshaped business by casting New York actors

@highlight

Casting director's role often overlooked, but it's key in shaping film