NEW YORK (CNN) -- This classic chant of "Extra! Extra! Read all about it!" -- barked out by battalions of newsboys hawking newspapers -- died decades ago, a casualty of home delivery, mass distribution and the advent of coin-operated newspaper machines.

Some coin-operated newspaper machines have lasted for 30 years, but lack of sales may force their retirement.

But now as newspapers across the country wage a battle to survive in a market where readers are increasingly gravitating to the Internet for information, the fate of another industry fixture seems inevitable. Could those steel machines on street corners, distributing newspapers since the '50s, be headed for the scrap pile?

To begin to answer the question, all it takes is an early morning visit with a man who feeds those machines.

It's 5:30 a.m. on a Saturday, and a white delivery truck for the New Jersey Record has just pulled into the parking lot outside the Plaza Diner in Fort Lee, New Jersey.

The driver -- Mike, who asked that his last name not be used -- is at one of his 130 stops on an eight-hour shift that began at midnight. Mike's job, which takes less than a couple of minutes per stop, entails filling the coin-operated machine with the day's papers, collecting unsold copies and emptying the machine of its coins.

Even though Mike has a full schedule and lots of stops, it doesn't equate to pushing as many papers as he once did. Mike loads 15 copies of the Record into one machine -- and that's a good load, he says. Other locations receive only five to seven copies. He's also tasked with filling machines for USA Today.

Though he's been on this job for only two years, Mike has been on the route long enough to know business is down. He says newspapers sell better at train stations than from the street machines he services.

The demise of newspapers across the country is getting a lot of front-page headlines. The Seattle Post-Intelligencer in Washington was just one of the most recent victims, ceasing print publication in March as declining circulation and plummeting advertising sales forced it to retrench and become just an online provider of journalism.

Even the legendary New York Times will force readers to dig deeper for more coins as it raises prices June 1, with the price of a paper going from $1.50 to $2.

The publication that touts "All The News That's Fit to Print" has been relying less on newspaper racks. In 1999, the Times had 13,300 vending machines, but today that number has shrunk to 5,678, according to Diane McNulty, spokeswoman for the Times.

"One of the factors is home delivery," McNulty said, adding, "This was due to our national expansion -- where once many readers could only get copies from the newsstand or vending machine, they can now enjoy home delivery service."

But all the gloom-and-doom predictions that newspapers will one day disappear isn't scaring workers at the Kaspar Sho-Rack Company, based in Shiner, Texas. The company lays claim to being the world's largest manufacturer of coin-operated and no-charge newspaper vending machines.

Don Kaspar is president and a fourth-generation member of a family business that began in 1898 manufacturing wire products.

"There'll be printed newspapers for years and years" said Kaspar, president of a company that is actually part of the larger Kaspar Wireworks. Still, he concedes, "Business is down about 25 to 30 percent from about five years ago."

It wasn't until the late 1950s that the privately owned company was approached by the now defunct San Antonio Light newspaper to develop an early version of coin-operated newspaper machines.

The early versions of newspaper machines were simple and made mostly of wire, but by the mid-1960s they were all made of metal.

The machines typically consist of a thick metal housing, shelves, doors and hinges. But the heart of any machine is the coin mechanism, which can have 150 moving parts, according to the manufacturer. Some advanced models introduced in 1999 feature lithium batteries to run the coin-collecting mechanism.

Often weighing around 100 pounds, these hand-assembled machines cost on average $450 each, with refurbished models selling for around $300, the company says.

The zenith of the company's business may have been the 1980s, when the introduction of USA Today landed it a contract to build and deliver 100,000 coin-operated machines. Today only 65,000 machines populate the nation's sidewalks, according to a USA Today spokesperson.

In 1985, Sho-Rack sold its 1 millionth newspaper machine and it has sold several hundred thousand since. Its biggest clients have been the giants of newspaper publishing, including Gannett, Tribune, Newhouse and the McClatchy newspaper groups.

But the fate of those publishers directly affects the bottom line at Sho-Rack.

"Business now? It's certainly slowed down," said Kaspar. "Free publication racks ... we've stayed fairly busy with those. Coin- operated machines? Newspapers are cutting costs and pulling a lot of the racks from outlying areas. As a result this causes a surplus number of racks and then ultimately less of a need for new racks from us."

Though the coin-operated machine business makes up 25 percent of the parent company's overall business, Sho-Rack has learned to diversify and adapt.

"We're not dependent on any one industry," Kaspar said.

The company, which employs nearly 500 workers and occupies more than 500,000 square feet in a small rural town, also manufactures thousands of wire, tubing and sheet metal products.

The average life span of a coin-operated newspaper machine depends on several factors.

Some machines, even with modest refurbishments every couple of years, have lasted for 30 years. For others it can be five minutes after an encounter with a snowplow.

For the Kaspar Sho-Rack Company, as long as newspapers are printed and sold, its machines will gladly continue to accept coins.

@highlight

Fewer customers buy from coin-operated newspaper machines

@highlight

Delivery man says newspapers sell better from train stations than street machines

@highlight

Texas company that makes the machines says business is down

@highlight

"There'll be printed newspapers for years and years," firm's president says