(CNN) -- With several weeks having passed since Thailand's nationwide curfew was completely lifted, Bangkok's nightlife is back in full swing.

Not only are tourists returning to the city's usual party haunts, from Khao San Road to Sukhumvit soi 11, they're coming back to notorious red light districts, such as Patpong, Soi Cowboy and Nana Plaza.

Despite the evolution of the city's sophisticated nightlife, its seedier neighborhoods continue to offer what many tourists consider an essential Bangkok experience.

For some tempted to sample a slice of the city's seedier side, however, the tales can be off-putting.

Stories of that "one night in Bangkok" gone wrong are a consistent topic of posts in travel forums, ranging from complaints of paying ridiculously high prices for drinks at seedy sex shows to claims by victims of being drugged in red light zones only to wake up in hotel rooms with a headache and an empty wallet.

Now, at least two companies are cashing in on the demand from timid thrill seekers who want to safely experience Bangkok's infamously raunchy shows and scandalous fetish clubs by offering the security of a chaperoned, well planned and efficient evening.

Guests can customize their night on the town by choosing where to go, such as visiting a transsexual bar or doing a deeper descent into escapades too graphic to detail here.

Alternately, tourists can go in for lofty, first-class treatment with fine dining, expensive cigars and high-brow entertainment -- but most customers prefer to cut to the chase and book a red-lit bar crawl, say tour organizers.

These streamlined door-to-door tours include a chauffeured air-conditioned van, lots of alcohol and a guide who stays with the group the entire time.

Customers usually go with friends, relatives or colleagues on private tours to celebrate a birthday or pre-wedding bash for a bride or groom, or just for fun while on vacation in Thailand.

Tyson-style tats a must

The Bangkok Hangover Tour offers an imaginative and theatrical visit to some of the city's best bars and nightclubs, and honors the Hollywood movie "Hangover Part II," which is set primarily in Bangkok.

The Hangover Tour begins in the same bar on Soi Cowboy where several of the movie's scenes were filmed.

In the movie, one of the lead characters unknowingly cavorts with a transgender Thai before waking up to discover a Maori-style Mike Tyson tattoo on his face.

To emphasize that guests will be following some of that character's footsteps, Hangover Tour guides stick a washable Maori tattoo on all the guests' faces, heightening the sense of being in their own version of the movie.

When the Hangover Tour recently guided the Johnson family from Kent, England, through Bangkok's nightlife, the family allowed CNN to tag along.

Sons 'come of age' on Hangover tour

After the guide adorned the mother, father and their two young adult sons with Maori tattoo stickers, the visitors watched a nude show at another Soi Cowboy bar, eyes widening as their drinks kicked in.

Their van then shuttled them to nearby Nana Entertainment Zone, where transgender ladies in bikinis nuzzled the giggling family.

At another bar, both sons were lured on stage where two nude women spanked them with paddles made of harmless sponge, while the crowded bar's patrons roared with delight.

"My sons have absolutely come of age," marveled the 52-year-old father, Phil. "Because they're slightly reserved, the guys. Anything like this, they're not used to. They've grown up.

"And we are actually acting the movie."

"It's weird, because we are going in all the bars that they went in, in the movie, and basically you're re-living what they did in the film," said 21-year-old Brad, after his onstage experience.

"You go into these bars and it's incredible what you see. It's strange. You don't expect it to be how it is."

The tattoo sticker "acts like a mask ... and you just forget about who you are back home, and you just sort of go with it," said Brad.

"Completely surreal," chimed his blushing brother, Cameron, 20.

Their mother, Sharon, was stunned.

"There was full nude, semi-nude, interaction, you could watch, you could take part, it was just brilliant. Absolutely amazing. It's good fun," Sharon said.

Seedier and sleazier as night wears on

The van then sped to Patpong Road to sleazier shows.

The Johnson family chose to visit a sadomasochistic "fetish" club, where whips and chains hang on the walls.

While his parents and brother chuckled mischievously, Cameron allowed himself to be tied to a vertical rack and stripped, exposing his bottom.

His father, shrieking hysterically, followed the entertainers' lead and began lightly whipping his son in bondage, while everyone convulsed with laughter and Cameron cheerfully yelped in a mix of pain and delirium.

The young man then found himself tied up, in a tall cage, and dominated by a leather-clad woman as if Cameron was a submissive character in a Marquis de Sade novel.

"We offer a visit to a fetish club, which costs an extra 699 baht ($22) per person," said tour supervisor Toby Newbold.

"People may not want to visit such a place on their own, but feel more comfortable doing so in the comfort of a tour.

"I would say 70% to 80% of customers include the fetish club, which has been a real surprise for us.

"Most people are shocked to find it quite erotic, and some come out of their shell and want to participate."

'Safety and not being hassled' are sales points

Without extras, a Hangover Tour's basic price is 1,990 baht ($60), including two drinks, transportation to and from your hotel, plus a guide.

More than a thousand foreign customers have taken the tour since it began in 2011, according to Newbold.

"We expected the tour to be mostly young male customers, but the tour is very popular with couples and we have lots of groups of girls and women taking the tour," said Newbold. "We assume safety, and not being hassled, are a factor.

"This is a lighthearted look at Bangkok's nightlife. We just want people to have a good time."

The Hangover Tour doesn't duplicate the movie's dangerous adventures.

"In the movie, there is sex with a ladyboy, Stu gets a real face tattoo, there is drug taking and a young guy loses his finger," said Newbold. "So I would have to say our tour is a little bit more toned down."

"Crazy fun" but at what price?

Another Bangkok nightlife tour, Thailand Bucks and Hens, is similar.

Five Australian male executives in their mid-20s allowed CNN to accompany their Bucks tour, but asked not to be identified.

Their tour began in a scuzzier bar where girls hassled the five men for tips, confusing and embarrassing them when they were advised by their Bucks tour chaperone to give a bit of cash.

Their Bucks tour then moved to the same Nana Plaza bar where the Hangover's Brits were spanked.

One of the Australians was also coaxed onstage and spanked by two girls waving sponge paddles while the audience cheered.

"It's crazy fun," one of the group said.

Capping their evening, the Aussies arrived at a popular upmarket Sukhumvit Road nightclub, and were escorted to an exclusive table.

A guide from Bucks and Hens says the tours, established more than a year ago, have served more than a thousand customers, 75% of them male.

Their favorite theme is "one crazy party night, with their best friends, before they get married," he added.

The company doesn't provide information about prices, saying each event differs, but all tours include transportation, a guide and lots of alcohol.

Bucks and Hens runs tours elsewhere in Thailand, including female-only Hens nights, usually on Koh Samui or Phuket Island.

Critics not impressed

Not everyone is happy about these tours.

"Sex tours to the nightlife in Bangkok, or anywhere, are harmful to both the tourist and the women," according to Annie Dieselberg, the American CEO of NightLight International, a Christian-based organization active in Bangkok, Los Angeles, Atlanta and elsewhere.

The organization is working to end commercial sexual exploitation.

"Sex tours normalize the exploitation of women, and grooms men to believe they have the right to be entertained at the expense of the women," Dieselberg said after hearing about the Bangkok Hangover Tour and Thailand Bucks and Hens.

"I have spoken to several thousand women in prostitution, from over 12 nations in the last 14 years, and 99% of them hated this work and were only doing it because they saw no other way of meeting the family economic needs and pressures.

"As time passes, the women deteriorate and lose sight of their true identity and dreams for life.

"Many become [suicidal razor] cutters, and many become addicted to alcohol and drugs to cope with the shame and self-hatred," Dieselberg said.

Richard S. Ehrlich is a freelance writer from San Francisco. He's reported for international media from Asia since 1978, based in Hong Kong, New Delhi and now Bangkok.

@highlight

Companies are filling tourist demand for "safe" tours of Bangkok's infamous nightlife shows

@highlight

"Hangover" tour visits bars featured in the "Hangover Part II"

@highlight

"You go into these bars and it's incredible what you see," say visiting British family

@highlight

Critics decry exploitation of sex industry workers and other social maladies surrounding Bangkok nightlife