(CNN)Dwight B. Heath knows what he is about to say will sound a little crazy to most people.

When asked what the minimum legal drinking age should be in the U.S., Heath says 8, or maybe even 6.

No, the Brown University anthropology professor is not advocating getting kids drunk. Instead he favors a cultural model, common in countries like France or Italy, where parents serve small amounts of wine to their children at family meals.

By doing this, he says, parents educate their kids about alcohol and rob drinking of its taboo allure, which can make rebellious teenagers sneak off to basements and backwoods to binge drink far from adult supervision.

"In general, the younger people start to drink the safer they are," said Heath, who has written several books and hundreds of scholarly articles on cultural attitudes towards alcohol. When introduced early, he said, "Alcohol has no mystique. It's no big deal. By contrast, where it's banned until age 21, there's something of the 'forbidden fruit' syndrome."

Of course, Heath's idea has no chance of becoming law anytime soon. Thirty years ago this week, Congress passed a bill that effectively raised the national drinking age to 21. Despite subsequent efforts to lower it in some states -- and the fact that most developed countries allow young people to legally drink at 18 -- that threshold has remained firmly in place ever since.

Proponents of the higher drinking age says it reduces traffic fatalities and alcohol-related accidents while keeping booze out of the hands of teens, whose brains are still developing.

But as the U.S. marks Thursday's anniversary of the National Minimum Drinking Age Act, Heath and some other scholars still dare to ask an unpopular question: Would America be better served by reducing its drinking age -- or at least encouraging states to set their own limits?

The World Health Organization cites the U.S. as one of only a handful of developed countries -- Iceland, Japan, South Korea and Thailand are others -- with a minimum drinking age over 18. Several countries, including Belgium, Denmark and Germany, even allow 16-year-olds to buy beer and wine.

"I think 18 is viewed (by most countries) pretty much as a reasonable age limit," said Marjana Martinic, deputy president of the International Center for Alcohol Policies or ICAP.

"The Puritan ethic has really shaped the way alcohol is regulated in the U.S.," Martinic said. "Alcohol is seen more as a drug, and not something that's integrated into everyday life."

MADD about underage drinking

Two generations of younger Americans have never known anything but needing to be 21 -- or owning an ID that says you are -- to buy a six-pack or drink in a bar. But in the wide-lapeled 1970s, things were very different.

After Congress in 1971 dropped the voting age from 21 to 18, many states followed suit by lowering decades-old barriers to drinking. The rationale went something like this: If young Americans could be entrusted to vote, serve on a jury and fight in Vietnam, why couldn't they order a beer?

By the late 1970s, more than half the states in the U.S. had lowered their minimum drinking ages, usually from 21 to 18. But when research showed an increase in traffic fatalities in these states, state legislatures began to reverse course.

Mothers Against Drunk Driving, founded in 1980, quickly gained national clout and lobbied lawmakers to raise the legal limit. On July 17, 1984, Congress passed a law that withheld federal highway funding from every state that continued to allow people under 21 to buy alcohol -- effectively forcing them to raise their drinking ages. By 1995, faced with this strong financial incentive and pressure from MADD, all 50 states and the District of Columbia had complied.

Is alcohol and the teen brain a bad mix?

Many studies have since attempted to gauge the law's impact on public health. One found that among young drivers (ages 16-20) killed in car wrecks, the percentage with positive blood-alcohol levels declined from 61% in 1982 to 31% in 1995 -- a bigger decline than for older age groups.

"Minimum legal drinking age laws have proven to be a very effective and important countermeasure for reducing drunk driving when younger drivers are involved," said the National Highway Transportation Safety Administration in a statement. The NHTSA estimates that raising the national legal drinking age from 18 to 21 has saved more than 500 lives each year.

"Research shows that it saves lives," agreed MADD National President Jan Withers. "In fact, it is one of the most researched public health laws on the books. When the law was raised to 21, alcohol-related deaths for young people decreased; when the drinking age was lowered, deaths increased."

A recent study in New Zealand, which lowered its drinking age in 1999 from 20 to 18, found that drivers aged 18 or 19 now face a higher risk of being involved in alcohol-related crashes that cause death or injury.

The 21-year-old limit may be less effective at curbing binge drinking on college campuses, however. A University of Indiana study of students at 56 colleges found that in the immediate aftermath of 21 becoming the national drinking age, significantly more underage students drank compared to those of legal age.

A stalled movement

There's a movement to lower legal drinking ages in the U.S., and its leader is not a college student or a brewery owner. He's a university president.

Weary of battling drinking on campus during his tenure as president of Middlebury College, John McCardell Jr. penned a column in The New York Times assailing  the 21-year-old drinking age as "bad social policy and terrible law."

"Right now we're in an impossible position (on college campuses). Why should we be expected to enforce a law that's ignored by 70 percent of students before they even come (to college)?" McCardell, now president of the University of the South in Sewanee, Tennessee, told CNN this week.

"It's taking place behind closed doors, where it's much more dangerous. It's unsupervised," he said. "It's out of step with social reality."

CNN Opinion: Get real, lower drinking age to 19

Instead, he argues, colleges should be given the chance to educate students on how to drink responsibly, within campus boundaries and out in the open.

In 2008 McCardell recruited more than 130 college presidents to sign the Amethyst Initiative, which pushed for a new federal transportation bill that wouldn't penalize states for setting drinking ages under 21. He said he and other college presidents were set to testify before Congress that fall when the economy tanked and legislators' priorities turned elsewhere.

"We missed our moment," he said.

Lawmakers in a handful of states have proposed lowering the drinking age from 21 to 18, but none have gained traction so far.

Experts say lowering the drinking age remains a tough sell to politicians worried about re-election. A 2007 Gallup poll found that 77% of Americans opposed lowering the drinking age in all states to 18.

"There isn't much appetite to change something that appears to be working," said Martinic of ICAP. "It's not a very popular issue and it could potentially be damaging to a politician to advocate for a lower age, because nobody wants more traffic accidents. It's pretty much a no go."

But McCardell is not giving up. He believes legal limits for drinking should be set by the states, not the federal government.

And he proposes that American teens be eligible for an alcohol permit -- not unlike a driver's license -- upon turning 18, graduating from high school and completing an alcohol-education course. They would need the permit to buy beer, wine or liquor, and the state could revoke the permit for those convicted of alcohol-related offenses such as drunk driving.

@highlight

Thursday is 30th anniversary of bill that effectively raised U.S. drinking age to 21

@highlight

Proponents say higher drinking age reduces alcohol-related accidents

@highlight

Opponents say it creates a "forbidden fruit" syndrome that leads to binge drinking