Tokyo (CNN) -- With the ringing of bells and bowing of heads Monday afternoon, Japan marked the passage of a month since the deadliest earthquake and tsunami in its modern history.

Buddhist monks at the Tsukiji Hongwanji temple in Tokyo struck their bells at 2:46 p.m., the time the March 11 earthquake struck off Japan's northern coast.

The magnitude-9 quake sent walls of water slamming into the country's Pacific shores, sweeping away whole villages and leaving more than 27,000 dead or missing.

In Youriso, a fishing village north of the quake's epicenter, Japanese troops stopped their ongoing search for bodies, took off their hats and safety helmets and bowed their heads to observe a nationwide minute of silence. Of the town's population of 400, 12 died in the tsunami and 150 remain in shelters.

"I recalled the relatives I lost in the tsunami," one woman, Fusako Endo, told CNN. "I had all those people washed away in my mind when we all stopped."

As of Monday afternoon, the death toll from the disaster stood at 13,127, according to Japan's National Police Agency. Another 14,348 remained missing, and 4,793 were injured.

In addition, at least two deaths and 283 injuries have been blamed on an aftershock, a magnitude-7.1 tremor that rattled the islands Thursday night. Japanese troops launched an extensive search for more victims in the coastal prefectures of Iwate, Miyagi and Fukushima over the weekend.

On Monday, another powerful earthquake -- followed by a series of smaller quakes -- rocked northeastern Japan. The jolt from the magnitude-6.6 quake was felt in Tokyo, about 164 kilometers (101 miles) away, or about 50 kilometers (31 miles) southwest of the Fukushima Daiichi nuclear power plant.

In addition to the devastation that the March 11 disaster unleashed, it also knocked out power to the crippled plant -- triggering a crisis that Japanese authorities have yet to resolve.

Two explosions, a fire and the continuous pumping of water into the reactors have spread radioactive particles over a wide area of the land and sea surrounding the plant. Everyone within a 20-kilometer (12.5-mile) radius of the plant was ordered to evacuate, and those living between 20 and 30 kilometers were told to stay indoors.

Both the government of Prime Minister Naoto Kan and the plant's owner, the Tokyo Electric Power Company, have faced increasing questions over their handling of the disaster but can't say at this point when they expect to bring it to an end.

Video taken by a pair of freelance journalists in the town of Futaba, about 3 kilometers away, showed stray dogs wandering the streets -- and one, horrifyingly, still chained. The photographers, Shuji Ogawa and Naomi Toyoda, gave some of their food to the animal before leaving.

Some of the dozens of Futaba residents now living in a shelter in Kozo, north of Tokyo, watched the video and came away convinced they would never return to their hometown again. Nobuyuki Araki was roused to anger when he saw a Tokyo Electric sign touting the "bright future" of nuclear power.

"That sign was a lie," Araki said. "For the last 40 years, TEPCO has only been saying nuclear power is safe, that there's no chance of a meltdown. We -- the people of Futaba -- feel we've all been betrayed."

But at a news conference Monday, Yukio Edano, Kan's chief Cabinet secretary and the government's point man on the crisis, defended authorities' performance over the past month.

"I believe we have have done our utmost under the current system in supporting the victims of the earthquake, as well as handling the nuclear power plant situation," Edano said. "However, we must not forget people are still suffering, and we must realize what they are going through."

Ailing Chang and CNN's Brian Walker, Kyung Lah and Yoko Wakatsuki contributed to this report.

@highlight

NEW: Powerful aftershock hits one month after deadly quake

@highlight

Japan observes a minute of silence for disaster victims

@highlight

The quake has left more than 13,000 dead and 14,000 missing

@highlight

The crisis at a damaged nuclear plant is yet to be resolved