(CNN) -- Approximately 44 million people live with dementia worldwide, according to the Alzheimer's Association. By 2050, that number is expected to more than triple to 115 million.

In the fight against these fast-growing numbers, experts from all over the world discussed the latest research at the Alzheimer's Association International Conference in Copenhagen, Denmark, this week.

Here are five things we learned about Alzheimer's disease and other forms of dementia:

Hypertension in old age may save your brain

High blood pressure is usually called the "silent killer." However, a new study from the University of California now suggests that if you're over 90, hypertension can save the life of your brain cells.

Hypertension may protect against dementia in people over age 90, the study authors say.

The researchers followed 625 participants who developed high blood pressure in their 90s for up to 10 years and found that their risk for dementia was 55% lower than people without a history of hypertension.

Nevertheless, the study doesn't promote hypertension in the elderly, given that high blood pressure is related to other bad outcomes.

"I don't think it says if I find somebody who's doing well at age 90, whose blood pressure is 120/80, we should feed them salt to bump their blood pressure up," says William Klunk, vice chair of the Alzheimer's Association Medical and Scientific Advisory Council.

The study simply shows that when it comes to normal levels of blood pressure, it might not be a one-size-fits-all with respect to age, he says.

Better late than never

Seniors can lower their risk for late-life cognitive impairment and Alzheimer's disease with a number of lifestyle changes, new research suggests.

A two-year clinical trial from Karolinska Institutet and the Finnish Institute for Health included 1,260 participants aged 60 to 77. One part of the group received a "lifestyle-package," including nutritional guidance, physical exercise, management of heart health risk factors, cognitive training and social activities. The control group received standard health advice.

After two years, the lifestyle-intervention group did much better in tests of memory and thinking.

We know from past studies that implementing those lifestyle factors in midlife can hedge against Alzheimer's disease later on, says Ralph Nixon, chairman of the Alzheimer's Association Medical and Scientific Advisory Council. "The good news from this particular study is that these kind of changes can be implemented in your 60s and 70s."

Playing games makes your brain bigger

Middle-aged people who were avid game-players (think crosswords, checkers, cards) tended to have bigger brains than people who did not play games, according to a recent study that looked at brain scans.

"It's like looking at someone's muscle mass," said Dr. Laurel Coleman of the Maine Medical Center Geriatric Assessment Center. "It's bad when it's smaller, good when it's bigger."

Researchers looked specifically at certain parts of participants' brains. The volume among game-players was greater in areas that tend to be damaged by Alzheimer's disease, suggesting the potential for delaying -- maybe even avoiding -- the disease. People who kept their brains pumped scored higher on tests of their thinking ability.

Coleman suggests mixing it up: Try potentially stimulating activities like learning a new language or switching from reading nonfiction to fiction -- anything that poses a cognitive challenge.

Exercise benefits the mind too

Exercise seems to slow the descent toward dementia as well.

Two sets of data from the Mayo Clinic Study of Aging suggest that exercise may positively influence how mild cognitive impairment (a precursor to dementia) and dementia develop.

In one group of patients with mild cognitive impairment, exercising seemed to protect against developing dementia. Data on a different group of healthy patients who exercised -- either lightly or vigorously -- showed they were less likely to be diagnosed with cognitive impairment.

"We would never say that these things totally prevent Alzheimer's, that they will cure you," said Coleman, a geriatrician. "But they're going to help your brain."

A smell test may detect Alzheimer's

In the future, a test of your sense of smell may help doctors predict your risk of developing Alzheimer's disease.

In two separate studies, scientists found that people who were unable to identify certain odors were more likely to experience cognitive impairment. The researchers believe that brain cells crucial to a person's sense of smell are killed in the early stages of dementia.

Researchers say this information could help doctors create a smell test to detect Alzheimer's earlier. Early detection means early intervention and treatment to slow the progression of the disease. Doctors today can only diagnose Alzheimer's disease once it has caused significant brain damage.

"In the face of the growing worldwide Alzheimer's disease epidemic, there is a pressing need for simple, less invasive diagnostic tests that will identify the risk of Alzheimer's much earlier in the disease process," Heather Snyder, director of medical and scientific operations for the Alzheimer's Association, said in a statement.

Blood test predicts Alzheimer's disease

10 warning signs of Alzheimer's

CNN's Jacque Wilson and Stephanie Smith contributed to this story.

@highlight

NEW: High blood pressure that starts after age 90 linked to lower risk of dementia

@highlight

NEW: Lifestyle changes, even if started in 60s or 70s, can lower Alzheimer's risk

@highlight

Studies show games like checkers can boost your brain strength

@highlight

Doctors may use a smell test to detect Alzheimer's disease