(CNN) -- While commentators have been impressed by John Kerry's single-mindedness in bringing Israel and the Palestinians back to the negotiating table, most are quite pessimistic about the prospect of reaching an agreement. One strong reason for this pessimism is Benjamin Netanyahu's basic worldview that he has held consistently since the 1980s.

Netanyahu believes Israel is at the forefront of the clash of civilizations between the West and Islam, and that the Arab world has not come to terms with Israel's existence. He thinks that the international community's focus on the Israeli-Palestinian conflict is shortsighted and wrongheaded.

Netanyahu also believes Israel's retreat to the 1967 borders will not solve the core issue. Israel will continue to be surrounded by a civilization that intends to erase Israel in the long run, his thinking goes, but it will lose strategic depth and be exposed to rocket attacks on its population centers.

Israel's prime minister is a man with a dark world view that is guided by fears and suspicion. But not all of his fears can be dismissed as simple paranoia; indeed some are based on historical precedents and have been corroborated to an extent by recent events.

While the Western world has understandably focused on the carnage Bashar al-Assad is inflicting on Syria's civil population, it has often disregarded the fact that many of the rebels are fundamentalist jihadists, and that Israel might find itself in a very difficult situation if these groups gain control over the border between Syria and Israel. Similarly radical jihadists have infiltrated the Sinai and attacked Israel during the past year.

But Israel's true nightmare is that Jordan, already shaky, may at some point fall. If jihadists strengthen their foothold in the West Bank, it's not inconceivable the territory could fall into the hands of Hamas. Israel could be faced with rockets stationed no more than twenty kilometers from its population centers around Tel Aviv -- rockets that have already been used to attack Israel both from Gaza and Lebanon.

If this is Netanyahu's basic worldview, are we to expect nothing but another round of foot-dragging in the hope that the Palestinians will at some point leave the negotiations, presumably because Israel doesn't stop building new settlements? Is this round of talk nothing but make-believe to appease the U.S.?

There are reasons to think that Netanyahu has realized that Israel's occupation of the West Bank is untenable for Israel in the long run. The European Union's recent guidelines that forbid any sort of cooperation with Israeli organizations and companies from the West Bank bode darkly and open the possibility for wider sanctions against Israel.

The EU funds Israel's research massively, and is Israel's largest trading partner. Before these guidelines were published Netanyahu met with a delegation of leading Israeli businesspeople, some of them close friends of his, who warned him of the dire economic consequences of Israel's continued occupation of the West Bank. Netanyahu is probably coming to the conclusion that Israel's economy cannot continue to flourish while Israel is antagonizing the free world with the occupation.

Problems loom large with America, too. Netanyahu's view has always been that he understands the U.S. inside out -- that the liberal elites of the East and West coasts do not represent the real America, and that at heart the U.S. will stand behind Israel not matter what. He also believed that he could manipulate U.S. political opinion and make sure Israel's interests would be safeguarded under all circumstances.

But Netanyahu's wisdom has already taken a big hit. His political guru, Arthur Finkelstein, had assured him that Mitt Romney would trounce Barack Obama at the 2012 elections, and that obviously turned out to be wrong.

The U.S. security establishment has also made clear a number of times that Israel's occupation of the West Bank is a serious strategic liability for the U.S., because it has become a symbol for the Islamic world's grievances against the West. Ending the Israeli-Palestinian conflict is therefore a major strategic interest for the U.S.

Does this mean then that the coming nine months will lead to a peace agreement with the Palestinians? I want to hope so, because I am convinced that striving for the two-state solution is in Israel's vital political, strategic and moral interest, but I am pessimistic.

Netanyahu lacks a political base for a peace agreement. His Likud Party has moved substantially to the right and a majority of its Knesset members oppose a Palestinian state.

Furthermore, any viable agreement with the Palestinians would require uprooting between eighty and one hundred thousand settlers from their homes. The settlers have proven for decades how much political clout they have, and many Israelis look up to them as today's true Zionists. Netanyahu is loath to confront them head-on because they are his political allies, and because in his heart he ultimately identifies with their cause.

Adding to these challenges is the fact Netanyahu is temperamentally risk-averse -- another factor which substantially lowers the odds that we are on the verge of peace.

The opinions expressed in this commentary are solely those of Carlo Strenger.

@highlight

Many are pessimistic about the outcome of the Mideast peace talks, writes Carlo Strenger

@highlight

He says a strong reason is because of Benjamin Netanyahu's "dark world view"

@highlight

But some of his fears are based on historical precedents, writes Strenger

@highlight

Strenger: Odds are low that Israelis and Palestinians are on verge of peace