(CNN) -- Aquatic ecologist Magdy Khalil has the most unusual of jobs. He's traveling from community to community along the river Nile, teaching Egyptian fishermen and farmers about the American crayfish.

Procambarus Clarkii: A blight, but maybe also a boon for Egypt's Nile.

That's because Egypt's best-known river is suffering from a crayfish invasion. Procambarus Clarkii to be exact. It's a native of Louisiana and relatively new to Egypt.

Now it's clawing and burrowing is damaging Nile river fishing and farming industries.

"In the 1980's somebody came to me and said that there was a new creature in the river Nile," says Khalil. "After two days of examination, we determined it was the fresh water crayfish. It has no natural predator in the Nile."

With no natural predator, scientists say, the crayfish was free to roam from where the Nile meets Egypt's Mediterranean coast, down toward the arid nation's border with Sudan.

The Nile's warm waters and abundant food supply helped the crayfish evolve, Khalil says, to reproduce at twice the rate of other species.

Food supply, Egyptian scientists argue, is the source of the problem - and oddly, a possible solution to a growing crayfish threat.

Nile fishermen despise the crayfish because it uses powerful double claws to cut through nets, and then help themselves to the catch of the day.

"In an hour, a half hour - just ten minutes - the crayfish can claw my fish to death," says Salah Zayed a 56-year old fisherman who says he's been tossing his nets into the Nile since he was a child. "My catch is worthless."

The Procambarus Clarkii species can also burrow up to three feet underground. Ain Shams University researchers say the crayfish infestation of burrows is causing segments of the Nile Delta's water canal network to collapse.

In a country where temperatures can soar above 105 degrees Fahrenheit, water is too precious an agricultural resource to leave to threat from small-clawed crustacean.

Many Egyptians so despite the crayfish, it is known locally as "the cockroach of the Nile."

Theories on just how the American crayfish found its way to the Middle East have reached urban legend status.

But it is widely accepted by scientists studying the crayfish invasion that this all started when an Egyptian businessman attempted to expand his fish farm industry by investing in shrimp.

"He bought what he thought were [shrimp] eggs to hatch in his fish farm," Khalil says with a wry smile.

"When they hatched into crayfish, they ate all the fish, then burrowed through mud partitions into neighboring fish containments and ate those fish too."

As the story goes, the businessman was so enraged that he took the crayfish and dumped them in the Nile.

From blight to disease defense

Khalil and other researchers at Ain Shams University's zoology department are looking at the bright side.

Khalil has joined with American research institutions to determine there is an unexpected benefit to the crayfish invasion -- the crustaceans are a natural defense against bilharzia, a parasitic disease that can cause damage to human organs.

Bilhariza is spread by a Nile river snail that carries the bilharzia larvae. The larvae can penetrate human skin -- most easily when people living along the Nile river wade through stagnant riverbanks.

Despite decades of government awareness campaigns -- Egypt's legendary singer Abdel Halim Hafez died of bilharzia complications in 1977 -- the water-born disease still affects millions of Egyptians.

As Egyptian Bilharzia Institute researcher Karem El Homossamey walks along the Nile's west bank outside of Cairo, he points a few Egyptian women calf-deep in the water, washing carpets.

Prime candidates, he says, for catching the bilharzia infection.

"We must give more attention to public awareness -- and the importance of the crayfish to make the people of the Nile like it and put it everywhere," El Homossamey says.

El Homossamey says it's because the bilharzia snail is the crayfish's favorite treat. Ain Shams University ecologist research seems to back that claim.

"We put some fish, lamb, plants, dead chicken -- we found the first thing [the crayfish] selected was the snail, because the shell is very thin," Khalil says.

He argues areas of the Nile where there are more crayfish, human bilharzia infection rates are low. Khalil is telling crayfish awareness workshop participants that the crayfish is the answer to spiraling food prices.

High in protein and cheap to buy, crayfish by the kilogram is making its way to Cairo's street markets. Khalil encourages fisherman to set crayfish traps in their fishing areas, to keep the crayfish out of their nets.

Sponsored by a grant from the United Nations Development Agency, Khalil's workshops include a buffet tasting of crayfish cuisine, including a crayfish boil that could put New Orleans to shame.

But judging by the frowns on the faces of some fishermen and farmers, it is clear it's hard from some workshop participants to shake the cockroach connotation.

According to the Louisiana Crayfish Promotion and Research Board, the crayfish meat industry is responsible for a $120million/year impact on Louisiana's economy.

Khalil says if Egypt can develop a similar industry, the profits could be considerable.

"You see in Louisiana they are eating it, cooking it -- there are many festivals for the crayfish. We need to do the same here," Khalil says.

@highlight

Imported crayfish devastating fishing catches in the Nile River

@highlight

Yet it could provide means to help combat spred of parasitic disease bilharzia

@highlight

Potential to provide new industy in Egypt if seen in more positive light