(CNN) -- From the moment I stepped onto the tarmac in New Delhi two weeks ago, I was struck yet again by the sheer breadth of India's diversity -- ethnic, religious, cultural, geographic. It is what makes India a remarkable country, home to the world's largest democracy. Earlier this year, some 550 million citizens went to the polls to cast their vote, in the largest election the world has ever seen.

As Prime Minister Narendra Modi visits Washington, D.C., for the first time as the leader of India, he will bring with him the aspirations and concerns of 1.2 billion people. The task before him and President Obama will be to reaffirm the strategic partnership between our two nations -- a partnership that relies not only on government ties but also on steadily expanding relations between our business communities, civil society groups and cultural institutions.

The U.S. and India form what President Obama has called the "defining partnership of the 21st century." But this partnership can only reach its full potential if it is given the kind of attention and commitment it deserves.

So what tone will President Obama set when he first sits down with the new Prime Minister? I will venture to suggest a few key points:

For the sake of peace and prosperity not only in Asia but also globally, India and the U.S. must work together across a range of economic, political, environmental, and security issues. We must recognize, however, that we will not always agree on every issue. That is the nature of a deep and close bilateral relationship.

Indeed, over the past year, there have been bouts of distrust, uncertainty and perceived drift, but I am convinced that both leaders have every intention of establishing a positive tone during Mr. Modi's visit.

Over the past decade, the two countries have made rapid strides towards strengthening the relationship without headline-grabbing developments (the exception being the 2008 civil nuclear cooperation agreement). This is not a bad thing.

Significant progress has resulted from "small" steps in people-to-people exchanges, scientific collaboration, and educational exchanges that have accreted over time.

For a first meeting between leaders of two great, and often noisy, democracies, it will be important for both sides to engage in the mutual setting of expectations. Mr. Modi comes to office with a set of ambitious plans for India In an era of considerable turmoil in various regions of the world, India can be a major force for stability.

Democratic states with a well-established rule of law and adherence to international norms, as President Obama recently invoked before the U.N. General Assembly, are the best guarantors of regional stability and prosperity.

President Obama's rebalance to Asia does not come at the expense of trans-Atlantic relations (more important than ever in light of current events on the eastern border of NATO). Similarly, we should welcome the Prime Minister's engagement with traditional U.S. allies in Asia, including South Korea, Japan and Australia, and emerging partners such as Vietnam, as part of his "look east and act east" policy.

As President Obama underscored this past week at the U.N., the world faces a stark threat in ISIL and must come together to counter extremism wherever it takes root. Mr. Modi's visit to the 9/11 Memorial on Saturday reflects the shared suffering of our two countries at the hands of terrorists. Since the devastating Mumbai attacks of 2008, our cooperation against terror has grown exponentially. Washington should continue to expand its information sharing and other counterterrorism exchanges with India.

The President should also encourage the negotiation of a new Defense Framework Agreement with India, to replace one that is expiring in 2015. Our defense cooperation is increasingly robust, featuring major naval exercises, military exchanges and high-level consultations. These should continue, as should the trend of Washington permitting higher levels of sensitive technology to be released to Indian defense forces.

Domestically, Mr. Modi's biggest challenge is returning India to the level of economic growth that is necessary to provide opportunity for the nation's fast-growing, youthful workforce. An important part of this effort will require a focus on improving the trade and investment climate, for example, by following through on India's commitments to the World Trade Organization.

He has been very clear that he wants to expand the Indian economy by improving trade numbers and attracting more foreign investment. And, with his "Make in India" campaign officially launched just days before his U.S. trip, he has already signaled his commitment to turn India into a global manufacturing hub -- including by addressing the daunting regulatory challenges that investors, both foreign and domestic, face.

This is an encouraging sign. India and the United States share the objective to build a strong manufacturing base and create jobs. This should be an area of cooperation between our countries, not a point of conflict.

Both India and the United States must commit to rebuilding mutual trust and focus on moving our partnership forward. The world has too much to gain for these two great democracies to do otherwise.

@highlight

Madeleine Albright: Visit of India PM Modi a chance for he and Obama to reaffirm trust

@highlight

They must tackle political, environmental, economic, security issues; won't always agree

@highlight

She says India can be force for stability amid regional turmoil; shows solidarity against terror

@highlight

Albright: India, U.S. should cooperate, build partnership for economic growth