(CNN)Fifty years ago, on March 2, 1965, a movie based on a successful Rogers and Hammerstein Broadway musical premiered in New York.

Julie Andrews starred as Maria von Trapp, a real-life ex-nun who married an Austrian naval officer after she became governess to his children.

The film was, of course, "The Sound of Music," the biggest grossing musical of all time, if receipts are adjusted for inflation.

Its core family values, hummable tunes and stunning scenery turned it into a worldwide success.

It also ensured that Salzburg, with two dozen locations featured in the film, would never be the same again.

The first tourists asking about the film settings started arriving in 1966 and were faced by bemused locals.

Most Austrians still haven't seen "The Sound of Music" and don't understand what the fuss is about.

The film ran only for a very short period in the country and was subsequently dropped.

Although many reasons are put forward for its disappearance, the instances of Nazi complicity depicted in the film were certainly too much to bear for the Austria of the 1960s, which was forging a new, democratic future for itself.

One company, however, knew all about the locations and was happy to oblige.

Kleinbusse am Mirabellplatz had provided six Volkswagen vans for director Bob Wise to transport his 250 stars and staff around for three months during the shooting.

The company morphed into today's Panorama Tours, doing two four-hour "Sound of Music" tours a day, every day, all year.

Even on a cold January morning, when I join, there are still 53 people in the tour.

Most are under 35, about half are American, but the rest come from all over the world: Cyprus, Italy, India, Japan.

The tour picks us up from Mirabell Gardens where most of the "Do-Re-Mi" song was filmed, and proceeds to Leopoldskron Palace where the lake scenes were shot.

The palace's Grand Ballroom was too narrow to film in, so it was meticulously copied and recreated in the 20th Century Fox studios in Los Angeles for the waltz scenes.

Then we're off to the gazebo, used for "Sixteen Going on Seventeen."

It was originally sited outside Leopoldskron Palace but it attracted too many tourists for the business convention center housed there, so in 1989 it was moved to Hellbrunn Palace Gardens.

There are photo ops at the bottom of Nonnberg Abbey where Maria von Trapp was a novice nun, and outside Frohnburg Castle, which served as the exterior of the von Trapp villa.

The tree-lined avenue leading to the castle is where the von Trapp children dangled from branches, to the horror of their father.

The final part of the tour takes in the lakes of Salzkammergut that feature in aerial shots: Lake Fuschl, Lake Wolfgang and Mondsee, in whose village church Maria's marriage ceremony was filmed.

Apart from the Mirabelle Gardens, which are in the new town across the Salzach river, the pedestrianized Old Town provides the backdrop for all other scenes.

Amazingly, the fruit market where Maria tries to juggle two balls is still in the same spot.

The Mozart footbridge over the Salzach and the steps down from the Modern Art Museum looking down on the town were used to film the children singing "Do-Re-Mi."

Fans will also recognize Residenzplatz as the square draped with Nazi flags -- a scene director Bob Wise fought hard to shoot in the open.

The Salzburg Festival does indeed take place in the same theater where the von Trapp family win first prize at the end of the film, while St. Peter's Cemetery nearby was used as a model for the scene immediately afterward, where the family hides from the Nazis.

It's possible to walk inside the Nonnberg convent.

The two dozen Benedictine nuns living there cannot be seen, although they can occasionally be heard singing Vespers behind a grille around 5 p.m.

Two new attractions have been added to the "Sound of Music" phenomenon since the film's last big anniversary 40 years ago.

The original von Trapp villa in the suburb of Aigen is now a full-fledged hotel.

The family lived there before they fled to America in 1938.

Afterward, it became the main residence of Heinrich Himmler, the head of the SS, who built the high wall that surrounds it today.

After the war, the von Trapp family sold it to a Catholic monastic order.

Recently, the last remaining members retreated to a new building nearby and rented the villa to Chris Unterkofler and Marianne Dorfer, the couple who run the hotel today.

They explain to me that part of the attraction is to learn about the real von Trapps.

The public spaces are full of family photographs, pictures of Maria's wedding and old publicity shots.

The two Chinese benches in the hall belonged to Captain von Trapp who bought them in Beijing during the Boxer Rebellion in 1900.

A model ship he constructed is on display in the breakfast room.

Plus, it's possible to commute to the center of Salzburg, catching the local tram at the end of the garden, from the same stop where the family fled to Italy in 1938.

No, they didn't climb over the mountains like in the film; that would have taken them to Germany, not Switzerland.

Finally, for anyone who's watched "The Sound of Music" on the big screen, bought the DVD and seen the play, there's a new medium to tick off.

The Marionettentheater in Salzburg now offers a puppet version of the musical.

Managing director Barbara Heuberger is proud of her creation.

Although the show has been shortened to one hour and forty minutes, no expense has been spared with its 50-plus puppets that include five Marias, 21 children, seven Captains and two Baronesses.

The puppet show can be seen on odd dates all year round, but it's regularly performed to sell-out audiences three times a week in July and August.

The show will almost certainly come to those with enough patience, Frau Neuberger tells me. The puppets keep touring and have had audiences singing along from Abu Dhabi to Uganda.

Whatever anyone thinks about "The Sound of Music," it's hard to deny that it's one of the few cinematic experiences that continues to offer cheers in a fractious world.

For visitors to Austria, the hills are still very much alive with it.

Salzburg is 2 hours and 22 minutes by train from Vienna ($50 per person one way, oebb.at).

Salzburg Tourism has an office inside the main train station and also at Mozartplatz 5.They can suggest guides for a city walking tour.

Julie Andrews stayed at Hotel Osterrechischer Hof, now Hotel Sacher (Schwarzstrasse 5-7; +43 662 889 770), which has doubles from $485. The hotel won't divulge which room she stayed in, but if they get a specific request, will try to accommodate you there.

Hotel Bristol Salzburg (Makartplatz 4; +43 662 873 557) has doubles from $820. This is where Christopher Plummer stayed and played the piano that can still be seen in the bar today.

The Trapp Villa (Traunstrasse 34, Aigen; +43 662 630 860) is a 15-minute, $15 taxi ride from the center of Salzburg, or four stops on the local tram. A family suite for four starts from $200 in low season. Private tours are possible via prior reservation.

The Sound of Music Panorama Tour (+43 662 883 211-0) starts from $40 per person in low season.

Marionettentheater (Schwarzstrasse 24; +43 662 872 406) sells tickets for performances ranging between $16-40 per person.

@highlight

"The Sound of Music," the biggest grossing musical of all time, was released 50 years ago

@highlight

Most of the movie was filmed in Salzburg, Austria

@highlight

The Marionettentheater in Salzburg now offers a puppet version of the musical