Cairo (CNN) -- The trial of international aid workers -- including 16 Americans -- accused of fraud in Egypt got a brief start Sunday as intense behind-the-scenes diplomatic discussions simmered over the case.

Out of the 43 defendants facing fraud charges, only 14 non-American workers showed up to court for a trial unfolding in the wake of the revolution that ousted former President Hosni Mubarak, and increasingly shaky relations with the United States.

After charges were formally read, the judge adjourned the trial and scheduled it to resume April 26.

The accused were detained as part of a crackdown on pro-democracy, non-government groups, which Egyptian officials say is part of a pattern of foreign interference that is stoking unrest.

"We are having intense talks at the highest levels of the Egyptian government because, obviously, we would like to see this resolved," Secretary of State Hillary Clinton said during an interview with CNN in Morocco.

Clinton declined to discuss the details of the negotiations or whether the U.S. would surrender the Americans for trial.

"I don't want to go making this a dramatic situation," Clinton said.

She also refused to discuss what the case could do to the 30-year relationship between the two countries.

"We have a problem. ... We have a problem with a lot of our friends around the world."

The accusations read out loud in court included the unlicensed formation of international organizations as well as illegally receiving and distributing funds from the United States. Authorities claim that millions of dollars in unlicensed funds were deposited directly from abroad into accounts in Egypt.

The 14 defendants who appeared in court denied all charges. They sat in a caged section of the courtroom, which is customary in Egyptian courts, and were not in detention. They were released at the end of the hearing. Upon their exit, the courtroom audience broke into chants of "down, down with military rule."

Yahia Ghanem, a local journalist, is a member of an accused NGO. He said the funding he did receive was required by Egyptian authorities to open an office and was much smaller than the amount he was accused of having. "They said we received 22 million dollars," said Ghanem, who maintains that the sum was closer to $40,000.

The list of charges continued with the unapproved conducting of political training and opinion polls -- and sending reports to the United States.

The aid workers are charged with operating in Egypt without being officially registered and receiving foreign funding.

Of the Americans charged, only seven are still in Egypt. Those in the country are all believed to be at the U.S. Embassy, though the Egyptian government has not asked for them to be turned over or to turn themselves in.

Among the Americans charged in the case is Sam LaHood, director of Egypt operations for the International Republican Institute and the son of U.S. Transportation Secretary Ray LaHood.

Clinton has met repeatedly with Egyptian Foreign Minister Mohammed Amr in recent days in London and Tunis, and other senior administration officials are also involved, according to a senior administration official, who spoke on condition of anonymity because of the sensitivity of the issue.

Members of Congress say Egypt's action could mean the end of $1.3 billion in U.S. aid. In a letter to Clinton and Defense Secretary Leon Panetta, 41 members urged the administration to withhold aid to Egypt until the country's leadership allows the offices of those organizations to reopen and returns seized property.

Clinton's remarks came as an attorney for the Americans was in a packed Cairo courthouse asking for additional time "to read evidence."

"We have not read or even seen any of the case documents," attorney Sarwat Abdel Shadi said shortly before the hearing.

An official with one of the U.S.-based nongovernmental organizations at the center of the case said none of the Americans has been served with papers to appear in court.

"None of the foreigners have been served documents to appear in court or received anything in writing. As far as I know, none of the foreigners are appearing in court today," said Les Campbell, regional director of the National Democratic Institute.

Campbell, who has been in Cairo to follow the case, said there were 2,200 pages of evidence presented by the Egyptian government that have not been reviewed.

In December, Egyptian authorities carried out 17 raids on the offices of 10 organizations, including the U.S.-based Freedom House, National Democratic Institute and the International Republican Institute. They seized property and prevented some staff from leaving the country.

It was not immediately clear what, if any, ramifications the Americans would face for not attending the hearing.

Earlier, the Egyptian general prosecutor's office said a failure to appear could result in a maximum, mandatory sentence of five years and possible additional charges, a spokesman for the Egyptian general prosecutor's office said.

Earlier this month, the United States was presented with a 24-page document from an Egyptian court laying out charges against U.S. and other international democracy-building groups.

The State Department sent lawyers to Egypt to pore over the document.

The United States has maintained that despite the charges, it does not consider the case truly a judicial one, but a matter between the two governments about the role of NGOs in Egypt.

The two judges handling the cases have said the charges could lead to five-year prison sentences.

CNN's Elise Labott and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Charges include illegal deposits of millions of dollars

@highlight

The trial of the American NGO workers has been adjourned

@highlight

Secretary of State Hillary Clinton says intense discussions under way

@highlight

None of the Americans are to appear in court, an attorney says