ANTHONY, Texas (CNN) -- Texas may be best known for "Big Oil." But the oil that could some day make a dent in the country's use of fossil fuels is small. Microscopic, in fact: algae. Literally and figuratively, this is green fuel.

Plant physiologist Glen Kertz believes algae can some day be
competitive as a source for biofuel.

"Algae is the ultimate in renewable energy," Glen Kertz, president and CEO of Valcent Products, told CNN while conducting a tour of his algae greenhouse on the outskirts of El Paso.

Kertz, a plant physiologist and entrepreneur, holds about 20 patents. And he is psyched about the potential algae holds, both as an energy source and as a way to deal with global warming.

"We are a giant solar collecting system. We get the bulk of our energy from the sunshine," said Kertz.

Algae are among the fastest growing plants in the world, and about 50 percent of their weight is oil. That lipid oil can be used to make biodiesel for cars, trucks, and airplanes.  Watch how pond scum can be turned into fuel »

Most people know algae as "pond scum." And until recently, most energy research and development projects used ponds to grow it.

But instead of ponds, Valcent uses a closed, vertical system, growing the algae in long rows of moving plastic bags. The patented system is called Vertigro, a joint venture with Canadian alternative energy company Global Green Solutions. The companies have invested about $5 million in the Texas facility.

"A pond has a limited amount of surface area for solar absorption," said Kertz.

"By going vertical, you can get a lot more surface area to expose cells to the sunlight. It keeps the algae hanging in the sunlight just long enough to pick up the solar energy they need to produce, to go through photosynthesis," he said.

Kertz said he can produce about 100,000 gallons of algae oil a year per acre, compared to about 30 gallons per acre from corn; 50 gallons from soybeans.

Using algae as an alternative fuel is not a new idea. The U.S. Department of Energy studied it for about 18 years, from 1978 to 1996. But according to Al Darzins of the DOE's National Renewable Energy Lab, in 1996 the feds decided that algae oil could never compete economically with fossil fuels.

The price of a barrel of oil in 1996? About 20 bucks!

Government scientists experimented with algae in open ponds in California, Hawaii, and in Roswell, New Mexico.

But that involved a lot of land area, with inherent problems of evaporation and contamination from other plant species and various flying and swimming critters. Darzins said NREL switched from algae research to focus on cellulosic ethanol. That's ethanol made from plants like switchgrass and plant stover -- the leaves and stalks left after a harvest -- but not edible crops such as corn and soybeans.

Valcent research scientist Aga Pinowska said there are about 65,000 known algae species, with perhaps hundreds of thousands more still to be identified.

A big part of the research at the west Texas facility involves determining what type of algae produces what type of fuel. One species may be best suited for jet fuel, while the oil content of another may be more efficient for truck diesel.

In the Vertigro lab, Pinowska studies the care and feeding of algae for just such specifics. She said even small changes in the nutrients that certain algae get can help create a more efficient oil content.

And she said a knowledge of algae's virtues goes way back.

"Even the Aztecs knew it was beneficial; they used it as a high protein food," said Pinowska.

The other common commercial use of algae today is as a health food drink, usually sold as "Spirulina."

I'm too sexy for my pond

And who knew that single celled plants could be such "hotties" when it comes to sex? Kertz said it's a real "algae orgy" under the microscope.

Some algae reproduce sexually, some asexually, while many combine both modes. In some green algae the type of reproduction may be altered if there are changes in environmental conditions, such as lack of moisture or nutrients.

Intriguing details like that keep Kertz and other scientists searching for more and different algae. While dusty west Texas may not be the best hunting grounds, he said he is always on the lookout for samples in puddles, streams or ponds.

Locating algae processing plants intelligently can add to their efficiency. Locating algae facilities next to carbon producing power plants, or manufacturing plants, for instance, the plants could sequester the C02 they create and use those emissions to help grow the algae, which need the C02 for photosynthesis.

And after more than a decade hiatus, the U.S. government is back in the algae game. The 2007 Energy Security and Independence Act includes language promoting the use of algae for biofuels. From the Pentagon to Minnesota to New Zealand, both governments and private companies are exploring the use of algae to produce fuel.

But Al Darzins of the National Renewable Energy Lab said the world is still probably 5 to 10 years away from any substantial use of biofuels.

"There's not any one system that anyone has chosen yet. Whatever it is has to be dirt, dirt cheap," said Darzins. E-mail to a friend

@highlight

Some types of algae are about 50 percent oil, suitable for biodiesel

@highlight

U.S. government is once again experimenting with algae as fuel source

@highlight

Scientists say there may be hundreds of thousands of species not yet identified

@highlight

Algae have extraordinarily diverse sex lives