(CNN) -- The outward signs of recovery were everywhere Monday across the Northeast nearly two weeks after Superstorm Sandy struck: Power restored to tens of thousands, bridges and tunnels reopened, and limited train and ferry service up and running.

"After two weeks of the recovery phase, we've achieved a new normal for life in post-Hurricane Sandy New Jersey," Gov. Chris Christie said of his state.

Nearly everyone in the state has power back, nearly all schools are reopening, and gasoline rationing can end in the state, he said.

Ad-hoc army of volunteers feeds those still-powerless after Sandy

But, as officials in the stricken region emphasize, signs of struggle remain.

In New York state alone, Sandy inflicted about a $30 billion "economic loss," Gov. Andrew Cuomo said.

For many, that loss and heartache is as fresh as it was when Sandy came ashore. People are still clearing debris from their homes, standing watch among ruins to ward off looters, and putting on layers of clothing to battle the cold.

Some have been crying in each other's arms as they face the devastation.

Gas rationing continues in New York City and Long Island's Nassau and Suffolk counties.

Christie said it will take time to restore necessary services for those who live on New Jersey's barrier islands, because so much infrastructure was destroyed.

"Our resilience has always been our biggest strength," Christie said. He said he has seen a lot of pain and tears across the state. But, he added, those suffering losses also say, "We're rebuilding. We're coming back."

The death toll from Sandy is at least 113 across several states, with 43 of those fatalities in New York City, according to New York's chief medical examiner.

Authorities discovered the body of a 66-year-old man who appeared to have drowned in his home on hard-hit Staten Island, while a 77-year-old man from the battered beachside community of Far Rockaway in Queens died of injuries he suffered when he fell down a flight of stairs.

Not long after the superstorm, more than 8.6 million people were without power, the U.S. Department of Energy said. As of Sunday morning, that was down to about 160,000 customers.

Map: See images of destruction, recovery across the East Coast

In Baldwin Harbor, on New York's Long Island, Paul Walters used a flashlight to survey the storm debris pulled from his home and those of his neighbors: Damaged mattresses, boxes of books and papers, and destroyed floor lamps.

But it is the ongoing power outage that has proved most frustrating for Walters, who told CNN affiliate WCBS in New York late Sunday that he was "frustrated, emotionally drained" by the experience.

Bundled up in a heavy jacket and knit cap, Walters joined hundreds over the weekend in Baldwin Harbor to protest a Long Island Power Authority requirement that every home undergo an inspection before power was returned.

The ruling drew the ire of residents, who are battling the cold while trying to clean up their homes.

Some residents took to the streets in areas of the Nassau County community with handmade signs. Others chanted: "Help the harbor. Turn on the power."

Under fire by residents and officials, the Long Island Power Authority rescinded its inspection order. But it did little to curb anger among residents who believe they have been without power unnecessarily.

"It's ridiculous," Marilyn Cashdan told WCBS. "The governor should fire them all."

Cuomo, New York's governor, said for about 58,000 customers in the Rockaways, Long Island and Brooklyn, it's not just a matter of utilities doing their normal restoration work. For them, repairs must be done in and around their homes for electricity to return.

"If you don't have your power back, it probably means power can't be restored to your home at this time," he said Monday afternoon.

Opinion: Rebuilding after Sandy is too big a risk

LIPA said Monday it has restored service to more than 97% of customers whose homes and business can safely receive power. Over 10,000 linemen and tree trim crews remain at work, meanwhile, for those still in the dark.

Another utility Con Edison announced its last New York City customers affected got their power back overnight, while all Westchester County customers had electricity back by Monday.

"The 1 million restorations do not include approximately 16,300 customers in flood-ravaged areas of Brooklyn, Queens and Staten Island," Con Edison said. "Those customers cannot get electrical service until their own internal equipment is repaired, tested and certified by an electrician as ready for service," the company said on its website.

U.S. Homeland Security Secretary Janet Napolitano visited New York City on Sunday. Though she praised the response to the storm, she recognized that much work remains to be done.

"This is going to be here for the long term. And we are here for the long term as well," she said.

More than 369,000 people in New Jersey, New York, and Connecticut have registered for assistance from the Federal Emergency Management Agency, which will total more than $455 million, FEMA said.

In his weekly radio address Sunday, New York City Mayor Michael Bloomberg detailed the city's relief and rebuilding efforts, including the Rapid Repairs program, which sends teams of inspectors, electricians, carpenters and contractors building-to-building to identify repairs needed, help building owners make repairs and get them reimbursed by the federal government for repair work.

In that vein, the mayor signed an emergency order Monday waiving all city application and permit fees for those doing Sandy-related repairs. Plus, those buildings with "significant structural damage" that will need to be demolished, altered or rebuilt "will have their repair work fees waived and all fees for electrical and plumbing repair work ... waived."

Bloomberg, along with the city council speaker and city comptroller, later Monday announced a a $500 million "emergency capital spending plan to make critical repairs to public schools and public hospitals." This comes after the city authorized $134 million for projects like fixing the Battery Park Overpass, repairing ferry terminals, conducting electrical and water line inspections and removing debris.

CNN's James O'Toole, Susan Candiotti and Dominique Dodley contributed to this report.

@highlight

NEW: New York City OK's $500 million for repairs at city schools and hospitals

@highlight

New York's governor estimates Sandy's economic loss to his state at $30 billion

@highlight

He says repairs must be made to thousands of residences for power to return

@highlight

The death toll from Superstorm Sandy has risen to 113 in the United States, officials say