(CNN) -- Voters in North Carolina, Indiana and Ohio on Tuesday kick off five straight weeks of primary contests that could give us a clearer indication of whether establishment Republicans have the upper hand against the tea party movement for control of the party.

The results could back up recent tough talk from Senate GOP leader Mitch McConnell, who predicted big wins for incumbents facing primary challenges from the right, saying, "I think we are going to crush them everywhere."

And they may have a major impact in determining whether Republicans retake the majority in the Senate.

Since the birth of the tea party movement in 2009, primary challenges from the right have produced major headlines and headaches for the GOP and hurt the party's chances of winning back the Senate from Democrats in the past two election cycles. Candidates backed by the tea party movement and other grass-roots conservatives effectively cost the GOP five winnable Senate elections the last two cycles in Nevada, Delaware, Colorado, Indiana and Missouri.

Complete coverage: 2014 midterm elections

Two months ago, McConnell, whom the right sees as part of the problem in Washington, told The New York Times that when it came to tea party challenges, "I don't think they are going to have a single nominee anywhere in the country."

His prediction might come true.

Establishment leaders say they have learned their lessons from the past two elections and are better at counterattacking this time around.

So why do incumbents and establishment-backed candidates appear to have the upper hand this time around?

"I don't think we can say that the tea party movement is dead, but there seems to be less enthusiasm among their activists and supporters this year," said Jennifer Duffy, senior editor for the nonpartisan Cook Political Report, a top campaign handicapper. "Establishment Republicans and incumbents have learned to run against tea party-backed candidates."

And outside help this time may be making a difference.

"I think the Republican establishment is fighting back more than in previous cycles. There is more organization and involvement from outside groups in some of these primaries. I think in the past, it was too often an incumbent running against an anti-establishment challenger and a host of outside groups," said Nathan Gonzales, deputy editor of the nonpartisan Rothenberg Political Report.

2014 midterms: Key races to watch

Tea party 'changed the narrative'

But leaders of the 5-year-old grass-roots movement disagree with the suggestion that the tide has turned against them.

"I think the establishment is taking its victory lap a little early," said Kevin Broughton, spokesman for the Tea Party Patriots Citizens Fund, who added that "There are more wins to come."

And regardless of the outcome of the primary contests, Amy Kremer says the tea party is already victorious

"Regardless of the outcome in the primary races, the tea party has already won because we have changed the narrative and the political landscape in Washington. Now, both sides of the aisle express concern about our ballooning national debt," said Kremer, who just stepped down as chairwoman of the Tea Party Express and is now helping Matt Bevin in his bid to unseat McConnell in Kentucky.

Primary calendar: Who votes when

Vulnerable Democrats put control of the Senate in play

In North Carolina, first-term Democratic Sen. Kay Hagan is vulnerable. Flipping her seat and five others held by Democrats would give Republicans control of the Senate.

GOP establishment nervously watches North Carolina

The Democrats hold a 55-45 majority in the Senate but are defending 21 of the 36 seats up in November, with half of those Democratic seats in red or purple states, such as North Carolina, which will be the first indicator whether things will be different this time. The establishment is rallying around state House Speaker Thom Tillis, the front-runner in a multi-candidate field for the Republican Senate nomination. Tillis was endorsed Monday by 2012 Republican presidential nominee Mitt Romney and late last week by former Florida Gov. Jeb Bush, who's seriously considering a bid for president in 2016. The most recent polling indicates Tillis hovering right around the 40% mark, which he needs to crack in order to avoid a July runoff.

The two most serious challengers are Greg Brannon, a tea party activist and first-time candidate who enjoys the support of some major tea party groups, as well as other influential conservative organizations and endorsements from the likes of Sens. Mike Lee of Utah and Rand Paul of Kentucky, who joined Brannon on Monday at an rally in Charlotte on the eve of the primary.

The other major candidate is Mark Harris, a prominent Baptist minister who helped drive the 2012 passage of a constitutional amendment that strengthened the state's same-sex marriage ban. Harris enjoys the support of a high-profile fellow pastor: former Arkansas Gov. Mike Huckabee, a 2008 Republican presidential candidate who may run again for the White House in 2016.

While none of the candidates, including Tillis, have raised or spent a lot of money in the campaign, the state House speaker enjoys the support of the U.S. Chamber of Commerce and American Crossroads, two outside groups that combined have spent millions this cycle to run ads backing Tillis and other establishment picks.

Last week, in what was described as a major buy, the pro-business Chamber launched a television commercial that described Tillis as "a bold conservative who balanced our budget and reduced regulations. A businessman who delivered tax relief."

And Crossroads, the big-spending outside group co-founded and steered by Karl Rove, says it's spent nearly $2 million in support of Tillis. That spending dwarfs the money shelled out by outside conservative groups backing Brannon.

And in a sign that Tillis is seen as the most feared of the GOP candidates, the pro-Democrat Senate Majority PAC put out a spot critical of two of his aides. Overall, 90% of all the ad spending in the Senate race in North Carolina has so far come from outside groups rather than the actual campaigns.

'Idol' star seeks congressional seat

While the Senate battle is the marquee race in North Carolina on Tuesday, some House primaries are also grabbing attention.

Two-term GOP Rep. Renee Ellmers is facing a primary challenge from a conservative talk radio host because of her being open to consider some limited immigration reform. And in North Carolina's 2nd Congressional District, former "American Idol" star Clay Aiken is in a heated primary for the Democratic nomination.

Aiken's star power put to test in N.C. primary

In the state's 3rd Congressional District, 10-term Republican Rep. Walter Jones, an anti-war libertarian, is once again fighting for his political life, this time against establishment pick Taylor Griffin, a former George W. Bush administration official who also had a senior role in Bush's 2004 re-election campaign.

Can Mr. Jones stay in Washington?

More showdowns over coming weeks

Next Tuesday, the tea party could score what could end up its only win in Senate primary showdowns this year. Conservative Ben Sasse of Nebraska, president of Midland University, has been showered with support and endorsements recently from former Alaska Gov. Sarah Palin, the 2008 GOP vice presidential nominee, and Sens. Ted Cruz of Texas and Mike Lee of Utah, as well as the backing of FreedomWorks, the Senate Conservatives Fund and Club for Growth. Some polling suggests that Sasse is now all tied up with Shane Osborn, the former state treasurer who's considered the establishment favorite.

But on the same day, seven-term Rep. Shelley Moore Capito is expected to easily win the GOP Senate nomination in West Virginia, where the party hopes to snatch the seat long held by retiring Democratic Sen. Jay Rockefeller. Capito's considered a moderate, and while some conservative groups criticized her early in her bid, she's faced no serious opposition from the right for the nomination.

A week later, on May 20, the action moves to Kentucky, where McConnell faces a challenge, and Georgia, where there's a wide-open, free-for-all fight to succeed retiring GOP Sen. Saxby Chambliss.

Republican Reps. Phil Gingrey, Paul Broun and Jack Kingston, former Georgia Secretary of State Karen Handel, and businessman David Perdue are the major candidates in the race. Kingston and Perdue, rather than the more conservative Broun and Gingrey, are considered the frontrunners in the contentious Republican primary. The winner will face off against Michelle Nunn, the all-but-certain Democratic nominee and daughter of the longtime Georgia U.S. senator.

McConnell faces challenge of his own

McConnell faces a challenge from tea party-backed Bevin. While this race has seen big spending -- both by the campaigns and from outside groups -- the five-term McConnell is expected to cruise to renomination. But he faces a serious challenge in November from rising Democratic star Alison Lundergan Grimes, whom big-name Democrats are already campaigning for.

On the same day in Oregon, Portland pediatric neurosurgeon Dr. Monica Wehby is considered the frontrunner over more conservative state Rep. Jason Conger in the race for the GOP Senate nomination. The winner of that contest will face off in November against first-term Democratic Sen. Jeff Merkley, who Republicans think might be vulnerable if 2014 turns into a wave year for the GOP.

And in Idaho, there's a high-profile incumbent-vs.-tea party challenge primary in the House, where eight-term Rep. Mike Simpson faces a serious primary challenge from conservative favorite Bryan Smith.

A week later, on June 3, the establishment-vs.-tea party contest shifts to Mississippi, which is among eight states holding primaries that day.

Six-term Sen. Thad Cochran is facing a serious challenge from state lawmaker Chris McDaniel in Mississippi. Private polling shows Cochran with a comfortable lead, but outside establishment groups are taking nothing for granted.

@highlight

Establishment Republicans are fighting back more strongly against challenges from the right

@highlight

With a number of vulnerable Democrats in the Senate, GOP thinks it can win control

@highlight

North Carolina primary seen as a key test of establishment-vs.-tea party scenario