New Orleans, Louisiana (CNN) -- Much has been made of the more than quarter-million homes lost to Katrina along the Gulf Coast, and with good reason. Ride through almost any neighborhood that was hit and even five years later you can see the skeletons of buildings, or empty lots covered with weeds.   But to truly grasp the impact of this storm, you also have to consider who lived in those homes: Working families; the people who make the ports, the fishing business, the oil industry and the tourist attractions work.

Florine Jenkins is one of them. Living in the 9th Ward of New Orleans, she has made a living as a housekeeper for many years.   She is African-American, and old enough to tell tales of sitting in the balcony that was restricted for blacks at the city auditorium, while she watched white teens on the main floor below bopping to the music of Little Richard and Fats Domino.   She fled Katrina and returned to find her home underneath a neighbor's house.

And like many others here, she had no idea how to navigate the bewildering maze of paperwork involved in rebuilding; forms for insurance companies, government programs, contractors, utility companies, banks, mortgage brokers, on and on it went.

"Did you have any idea how to deal with all that?" I asked her. She smiled, shook her head, and gave one of the longest single-word answers I've heard. "Nooooooooooooo."

Then she met Nikki Najioli. Nikki works for Build Now, is middle-aged, white, looks like the businesswomen she is, and spends her days helping others sort out such problems. In a strange way, it helps that she lost her own home and fully understands the thicket of questions that followed the storm.

"Do you tear down your house? Do you put it back together? If you put it back together do you have to elevate it? If you are going to elevate it, how high are you going to elevate it? And where's that money going to come from? It was just so overwhelming and even today it's still overwhelming."

Calming down the fears, and restoring the confidence of people who are trying to rebuild, is what Build Now is all about. Simply put, it is a nonprofit construction company that offers an array of modestly priced home designs, an endless supply of free advice to anyone trying to build, and a commitment to bring the working class neighborhoods back.

"This is the living room area," Ben Seymour, the construction manager for Build Now, says as he shows me around one model under construction in a neighborhood that saw eight feet of water.

The house soars high in the air upon pilings driven deep into the earth; a lovely, modest home with soft colors, elegant lines, and a style that echoes the surviving homes around it.

The homes are made without eaves that a storm could snatch at to tear off the roof. The front porch is anchored to the house much more robustly than as customary, so that it too can stand firm. And most importantly, Seymour says, the basic design of the house can be expanded or contracted to fit the needs and wallets of folks who are watching their money.

"You can size it down. It still gives you a big open feel, and it's built to what you're going to use."

So in every way, these really are working class family homes?

"Absolutely. Absolutely," he says. "They fit the budget."

Even though this is a nonprofit endeavor, and Build Now does try to help homebuyers find financing, this is not a giveaway program. Each person must pay a fair price. Out on the porch I run into Nikki again, looking out at the quiet neighborhood where a few restoration projects seem to be underway. "How much do these places cost?" I ask. "On average," she says, "about $150,000."

Still, for a great many folks, the help they have received from Build Now and other groups which are helping neighborhoods rebuild, is priceless.   Florine Jenkins beams as she shows me the rest of her new home in the 9th Ward, now filled with family photos, furniture, and other personal items.

I ask her if she thinks, in retrospect, that she could have pulled off rebuilding on her own given enough time. Her answer is emphatic: No way. "I didn't know nothing about nothing like that. Build Now took care of everything."

It is a heartfelt testimony to success: Once Katrina left her with nothing but questions. Now, once again, she has a home.

@highlight

New Orleans residents still trying to rebuild homes hit hard by Hurricane Katrina

@highlight

Nonprofit called Build Now guides people through red tape of permits, insurance, financing

@highlight

Organization helps hart-hit neighborhoods such as 9th Ward