Kiev, Ukraine (CNN) -- President Viktor Yanukovych defended his government's handling of the political crisis in Ukraine on Thursday, saying that it had "fulfilled all its obligations" and that opposition leaders were stoking people's anger for their own gain.

The opposition "continues to escalate the situation" and to encourage people to maintain their protests in the icy streets, he said in an address posted on his website.

"I think that is wrong. We must understand that there is no future for the state and people if political interests of certain groups are set higher than the existence of Ukraine itself."

Yanukovych insisted the government had lived up to "concrete agreements" reached with the opposition to try to end the crisis. "The government has fulfilled all its obligations under these agreements, including the adoption of the Law on Amnesty that guarantees freedom and liberation of persons arrested during the conflict," he said.

He also appealed to Ukrainians to "do everything for peace and normal life" and said he regrets "the young people (who have) died in this confrontation."

Earlier, Yanukovych's office said the President was out on sick leave after an "acute respiratory disease accompanied by fever."

The country's Parliament approved the amnesty bill for anti-government protesters in an extraordinary session Wednesday.

'Unacceptable' conditions for amnesty

A top legislator announced that all factions had approved the amnesty law, but opposition leaders dispute that, saying the legislation was rushed through and imposes "unacceptable" conditions.

For the amnesty to come into effect, protesters must vacate seized government buildings and unblock streets and squares, "except those where peaceful protest actions are taking place," the law says, according to the state-run Ukrinform news agency.

There was no sign of protesters leaving Kiev's Independence Square, or Maidan, on Thursday, despite the political maneuvering and the bitter cold.

A billboard above the square, which has been at the heart of anti-government protests since November, registered -16 Celsius (3 Fahrenheit) Thursday afternoon, with -23 Celsius (-9 Fahrenheit) forecast for the evening -- the coldest weather since the protests began.

Arseniy Yatsenyuk, head of the opposition Fatherland Party, warned late Wednesday that fresh violence could erupt if authorities try to clear out protesters.

"It depends on the way the government is to act. If they press on peaceful protesters, this will definitely trigger another spiral of violence," he said.

If people feel that the issue of constitutional reform to shift the balance of power away from the President toward Parliament is addressed, he said, "this could even somehow calm down the situation in Ukraine. If no, another surge of violence."

Klitschko: People want real change

Opposition leader Vitali Klitschko, of the Ukrainian Democratic Alliance for Reforms, or UDAR, said he and his supporters could not stand behind a move that called for an end to protests without real change beyond freeing the 218 activists who the Interior Ministry says have been arrested.

"People took to the streets because they want to change the situation," Klitschko said. "A statement, 'We will free people, if they go home' is unacceptable. It cannot be understood."

Klitschko has called for Yanukovych to resign and said his departure from power would be "a logical step."

After a special session held Tuesday and Wednesday, Parliament won't reconvene until next Tuesday. The opposition hasn't yet announced its next move.

Prime Minister Mykola Azarov and his Cabinet resigned Tuesday, hours before Parliament annulled draconian anti-protest laws that sparked violent confrontations between police and demonstrators.

The President has yet to sign off on the bill repealing the anti-protest laws, and UDAR urged Yanukovych on Thursday not to let his sick leave prevent him from living up to his responsibilities.

The recent clashes are an escalation of weeks of largely peaceful protests prompted by Yanukovych's decision in November to spurn a planned trade deal with the European Union and turn toward Russia.

Europe's concern

The Parliamentary Assembly of the Council of Europe on Thursday voiced its "deep concern" about the situation in Ukraine.

A resolution adopted by the body said the government's resignation and the repeal of the protest laws were "a first step" toward resolving the crisis, which should be followed up "by both authorities and opposition with further concrete steps to resolve the crisis peacefully and democratically."

Sanctions could be imposed against Ukraine "if grave human rights violations continue, or if the Maidan protest were to be broken up by force," it said. Such sanctions could include a suspension of voting rights.

The resolution calls for a full investigation into "the excessive and disproportionate use of violence by the police against protesters" and said it was "especially concerned about credible reports of torture and maltreatment of protesters by the police and security forces."

Those responsible must be held accountable, it said.

The assembly also raised concern about violence directed at police by extreme right-wing protesters.

Merkel calls Kiev, Moscow

In a call with Yanukovych on Wednesday, German Chancellor Angela Merkel praised the dialogue between the opposing sides and the decision to repeal the controversial protest laws.

"With its resignation, the government has assumed responsibility for its part in the most recent escalation in the crisis," a news release from her office said.

"Now it is a matter of following through on the agreements, including amnesty, and continue ongoing dialogue. It should not come to renewed violence."

Merkel also spoke with Russian President Vladimir Putin, her office said. A readout of that call said she urged Putin to "push for constructive and results-oriented dialogue between the government and the opposition."

There have been tensions between Russia and the European Union over developments in Ukraine, with each side accusing the other of interference. But Putin denied this week that Moscow is exerting undue influence in Ukraine.

After Yanukovych's U-turn in November on the planned EU trade deal, he and Putin agreed to a $15 billion deal for Russia to buy Ukrainian debt. Moscow also agreed to slash the price Ukraine pays for its gas.

Putin said Tuesday that Russia intended to honor that deal once Ukraine's political crisis has played out.

CNN's Diana Magnay reported from Kiev and Laura Smith-Spark wrote in London. CNN's Victoria Eastwood, Lindsay Isaac, Stephanie Halasz and Marilia Brocchetto, as well as journalist Victoria Butenko in Kiev, contributed to this report.

@highlight

Viktor Yanukovych says his government has "fulfilled all its obligations"

@highlight

Yanukovych is out on sick leave after an acute respiratory disease, his office says

@highlight

Protesters remain in the streets despite a new amnesty law and biting cold

@highlight

The amnesty law says protesters must vacate seized buildings and unblock streets