Morten Storm, a Danish double agent who says he worked with the CIA and Danish intelligence to track down American-born al Qaeda cleric Anwar al-Awlaki, says the Danish intelligence agency PET tried to buy his silence after he stopped working for them earlier this year.

Storm claims the Danish intelligence agency offered payments totaling 1.5m Danish Krone ($260,000) over a five-year period.

He told the Danish newspaper Jyllands-Posten that PET had offered him the money tax free, after the agency became aware that he was considering going public with his story. But he said he rejected the offer because PET had broken a series of promises to him, including providing permanent residence status in Denmark for his foreign wife.

Instead he told Jyllands-Posten his extraordinary story -- which spanned five years and several trips to Yemen as a double agent -- as well as a close relationship with CIA officers, according to Storm's account.

The revelations, backed up extensive corroborating evidence, have sent shock waves through Denmark, and led to calls for greater oversight of the country's intelligence services. Danish law prohibits the security services from being involved in assassinations.

The Danish biker and the trail that led to Al Qaeda's most wanted

"We have documented clearly that the Danish secret service took part in mission to locate Anwar al-Awlaki and that raises the question because, it was known at the time the U.S. was ready to kill him if they had the chance," Jyllands-Posten editor Pierre Collignon told CNN.

The disclosure Sunday by Storm of the cash offer has heightened the political controversy in Denmark, and led to allegations Danish authorities were trying to cover up illegal activity.

Storm had previously provided Jyllands-Posten an audio recording from this summer in which one of his Danish intelligence handlers appeared to hold out the possibility of payments.

"What annoys me about is the way you treated me last year with Anwar," Storm is heard saying on the recording. "Yes, yes. But that's it, [we're] trying to make up for [it] now," his handler replied, according to Jyllands-Posten.

PET director Jakob Scharf  two weeks ago said that his agency "did not contribute during the military operation that led to the killing of al-Awlaki in Yemen."

PET and CIA have neither confirmed nor denied Storm worked for them. PET has made no public comment on Storm's latest allegations.

There is firm evidence that Storm, a former biker and petty criminal, moved within jihadist circles after converting to Islam in the late 1990s -- becoming known as Murad Storm.

Storm, who befriended al-Awlaki in Yemen in 2006, claims he approached Danish intelligence later that year after becoming disillusioned with radical Islam, and subsequently worked with them and the CIA to locate and target the cleric.

Storm detailed three attempts by the Western intelligence agencies to locate and target al-Awlaki.

The first came after Storm met with al-Awlaki in a desert camp in Yemen in September 2009. He said that after he passed on details of al-Awlaki's location to his Danish and American intelligence handlers, Yemeni forces carried out an assault on the house al-Awlaki had been staying in, killing the owner.

But al-Awlaki had already left.

The second attempt, Storm told Jyllands-Posten, was the planting of a tracking device in the luggage of "Aminah" a Croatian convert to Islam, when she traveled to Yemen to marry al-Awlaki in June 2010.

Storm said he arranged the match after al-Awlaki had requested he find him a Western bride during a previous meeting. Though Storm said he was paid $250,000 by the CIA for arranging the match, the operation failed after the AQAP operatives told Aminah to repack her luggage before traveling from Sanaa to Yemen's southern tribal areas to marry al-Awlaki.

The third and successful attempt, in September 2011, according to Storm, involved him arranging the handoff of a USB thumb drive with a secret tracking device to an al Qaeda courier taking messages onto al-Awlaki.

Storm said he felt betrayed after a CIA agent claimed to him, during a meeting that he recorded,  that a different operation had netted al-Awlaki, and this was a significant factor in his decision to go public.

Magnus Ranstorp, one of Scandinavia's leading counterterrorism experts, told CNN that Storm's decision to go public was likely a source of significant embarrassment to his handlers.

"It is so rare that two services completely mishandle, misjudge him, and he is able to come to meetings and he has a phone and he is able to record them," Ranstorp, the research director at the Swedish National Defence Academy, told CNN.

"It also exposes the very secret, the very essence of intelligence services and that is means and methods, they never discuss means and methods," Ranstorp told CNN.

Al-Awlaki's Croatian bride's 'identity revealed'

The Croatian newspaper Vecernji List, in articles published Wednesday and Thursday, claimed it had unveiled the true identity of the Aminah, the Croatian women Storm arranged for al-Awlaki to marry in the hope she would lead the CIA to his location.

The Danish agent, the Croatian blonde and the CIA plot to get al-Awlaki

The newspaper identified Aminah as Irena Horak, 35, who had previously worked in a care home in Zagreb and had converted to Islam in 2008, and it posted several pictures of her.

The paper reported  -- according to close friends -- Horak, a cheery athletic blonde from a small town in central Croatia converted to Islam after falling in love with a Muslim lawyer from London she met at a wedding in summer 2008. Horak had been brought up Catholic.

The two started a long-distance relationship, but after throwing herself into her new religion, Horak came to feel her boyfriend was not sufficiently devout because he drank alcohol and failed to wake up for morning prayers. That resulted in her leaving him, according to the newspaper.

"She changed her life habits completely and way of dressing," and spent all her time in the mosque one friend told the newspaper.

"She was looking for someone more radical and found him in al-Awlaki," the newspaper reported.

Family and friends of Horak told Vecernji List they had been shocked by the news that she had traveled to Yemen to marry al-Awlaki. She had told them she was going overseas for language study.

Storm told Jyllands-Posten he first came into contact with Aminah, the Croatian convert, in late 2009 through Facebook, and that she soon warmed to the idea of marrying al-Awlaki.

At a meeting in Vienna in spring 2010, Storm showed Aminah a short video recording made by al-Awlaki, who was dressed in white robes in front of a pink background with a floral motif.

"This recording is done specifically for Sister Aminah at her request ... I pray Allah guides to that which is best for you in this life and in the hereafter. And guides you to choose what is better for you regarding this proposal," al-Awlaki said, in a section posted on the Jyllands-Posten website.

Storm said Aminah burst into tears when she heard these words.

She then recorded two short videos for al-Awlaki. In the first video, she wore a full black veil with just her face visible. Speaking in heavily accented English, she said: "I will accept everything that is needed to do now this way that I have chosen and Inshallah Allah will help us."

In the second video, Aminah took off her veil and said: "Brother, it's me without the scarf, so you can see my hair ... I hope you are happy with me, Inshallah," according to Jyllands-Posten.

"When I watched these tapes of video marriage proposals between her and  the al Qaeda leader, and this woman's answers, I thought well this story is impossible to deny," Collignon, the editor of Jyllands-Posten, told CNN. The Vecernji List report appears to further buttress Storm's account.

Aminah and al-Awlaki married shortly after Aminah arrived in Yemen in June 2010. Al-Awlaki sent Storm a message thanking him for arranging the marriage. She had not only lived up to expectations, al-Awlaki wrote in a message seen by Jyllands-Posten, but was ".... much better!"

After al-Awlaki's death in September 2011, Aminah continued to communicate with Storm through encrypted messages, unaware that he had been working with Western intelligence. A few months ago, she said she was working on Inspire, the online magazine of al Qaeda in the Arabian Peninsula, or AQAP.

She also suggested she wanted to be involved in a terrorist attack, according to Jyllands-Posten.

"I would be making a martyr operation, but Sheikh Basir (al Wuhayshi, the emir of AQAP) said that the sisters so far (can) not carry out operations because it will mean a lot of problems for them ... so I can not perform operation. ... I want to be killed the same way as my husband was ... Insha'Allah," she wrote.

Aminah's whereabouts today are unknown. CNN has been in touch with Storm, who is in hiding after several death threats from militant Islamists who were once his comrades.

@highlight

Danish newspaper Jyllands-Posten has published details of Morten Storm's story

@highlight

Storm says he helped track down Anwar al-Awlaki

@highlight

Plot involved finding the cleric a Western wife, putting a tracking device in her suitcase

@highlight

Storm says Danish intelligence tried to buy his silence