The U.S. government continues to shrink its ranks of Guantanamo Bay detainees, announcing Saturday that four more have been repatriated -- this time to Afghanistan.

The Defense Department identified them as Shawali Khan, Khi Ali Gul, Abdul Ghani and Mohammed Zahir. The U.S. Air Force C-17 carrying them arrived in Afghanistan around 6 a.m. Saturday (10 p.m. ET Friday), Pentagon spokesman Lt. Colonel Myles Caggins told CNN.

An administration official told CNN the four detainees are not expected to face further detainment in Afghanistan.

In a statement, the U.S. Embassy in Kabul expressed appreciation to the Afghan government -- which, since September, has been led by President Ashraf Ghani -- "for helping to reintegrate these former detainees."

"We have full confidence in the Afghan government's ability to mitigate any threats these individuals may pose and to ensure that they are given humane treatment," the embassy said.

The move was also made to further President Barack Obama's goal of drawing down the number of those held at the U.S. naval base in southeastern Cuba, something that has been ongoing for years.

"This repatriation reflects the Defense Department's continued commitment to closing the detention facility at Guantanamo in a responsible manner," said Paul Lewis, the Pentagon's special envoy for the closure of Guantanamo.

132 now being held at Guantanamo

The departures of these four Afghan men means that, as of Saturday, 132 people are still detained at Guantanamo.

This is down significantly from the numbers soon after the September 11, 2001, terrorist attacks, when the facility widely known as Gitmo was repurposed to hold detainees from the "war on terror."

The administration of then-President George W. Bush claimed that, since Gitmo detainees weren't held on American soil, they could be considered "enemy combatants" and be denied some legal protections. Almost all of the nearly 800 detainees were held without charges.

Senate torture report restarts fight on terror policy

This legal limbo, as well as allegations of torture and other mistreatment, spurred criticism of Gitmo. Shortly after his 2009 inauguration, President Barack Obama signed an executive order to close the detention facility within a year.

Some worry ex-detainees will engage in terrorism

That didn't happen.

One reason was because of strong opposition from lawmakers, many of them Republicans, who cited the risk of freeing men who had fought to kill Americans.

About 17% of the 620 Gitmo detainees released -- most of them during Bush's presidency -- went on to engage in terrorist activities, a September semiannual report from the director of national intelligence found. Another 12% are suspected of having engaged in terrorist or insurgent activities.

Still, the number of detainees has steadily gone down, including six transferred to the government of Uruguay earlier this month. Four of these were Syrians, one was Tunisian and the sixth was Palestinian, according to Rear Adm. John Kirby, press secretary for the Pentagon.

Uruguayan President Jose Mujica said on his website December 5, "We have offered our hospitality for humans suffering a heinous kidnapping in Guantanamo(.) The unavoidable reason is humanitarian."

U.S. transfers 6 Gitmo detainees to Uruguay

House Intelligence Committee Chairman Mike Rogers, R-Michigan, said this and other releases by Obama's administration are dangerous, claiming many nations that receive former detainees aren't up for the job and that these countries don't stop them from rejoining the fight.

"We knew that was going to happen," Rogers told CNN. "That's why those of us who were trying to do the review of this were so concerned, because they were so interested in getting them out, that they forgot to do the due diligence -- I think -- that would allow them to at least protect those that were going to go back into the fight, from getting back into the fight."

Embassy: Transfer shows U.S. supports reconciliation

While they came from many countries, many Guantanamo detainees were captured during the U.S.-led military fight against al Qaeda and its Taliban allies in Afghanistan. It's been rare for them to be sent back there, especially given some diplomatic discord and concerns about the country's security situation.

The American military's future in Afghanistan had been uncertain, too, amid contentious talks involving former President Hamid Karzai. The countries signed a security agreement soon after Ashraf Ghani took office. While the U.S. military won't participate in combat operations in Afghanistan, some U.S. troops will remain there into 2015 and beyond as part of the deal.

The U.S. Embassy in Kabul expressed hope that the latest transfer can mark "a step forward in strengthening relations between the two countries and can provide an opportunity for greater confidence among Afghans to engage in political dialogue to end the violence in their country. "

The statement backed an "Afghan-led reconciliation" that includes "all opposition groups, including the Taliban."

"As part of the outcome of any reconciliation process, the Taliban and other armed groups must end violence, break ties with (al Qaeda) and accept Afghanistan's constitution, including its protections for women and minorities," the embassy said. "This transfer demonstrates U.S. support for such a reconciliation process."

@highlight

Spokesman: A U.S. Air Force C-17 flew the ex-detainees to Afghanistan

@highlight

Repatriation part of U.S. "commitment to close" Gitmo, U.S. envoy says

@highlight

Afghanistan will help "reintegrate these former detainees," U.S. embassy says

@highlight

Guantanamo Bay has held nearly 800 detainees; there are now 132