(CNN) -- Will the future of the eurozone be decided at thousands of ATMs across the continent? That may be a stretch, but Spaniards and Greeks are withdrawing billions of euros from their bank accounts and sending them somewhere "safer."

And they're getting some encouragement, too.

Deutsche Bank, for example, is soliciting the money of Spaniards nervous about the solvency of banks at home. Such nervousness is understandable, as the Spanish government struggles to inject liquidity into the country's fourth-largest bank -- Bankia -- and other financial institutions weighed down by bad property loans.

Finance Minister Cristobal Montoro admitted on Spanish radio Tuesday that the state has "a problem with access to the (debt) markets."

Spanish officials say €50 billion (about $62 billion) may be required to keep the country's banks afloat. Analysts at investment bank UBS believe the figure may be closer to €120 billion.

Earlier this week, the Bank of Spain disclosed that the net outflow of capital in March was a record €66.2 billion, twice as much as the previous peak in December. Data from the European Central Bank shows that in April deposits of individuals and companies held at Spanish banks fell by €31.5 billion ($39 billion), though it's unclear how much of that money may have gone abroad.

On one day in May, Greeks withdrew an estimated €700 million euros from local banks -- scared that a "Grexit" (the now familiar shorthand for a disorderly Greek withdrawal from the eurozone) would destroy their savings.

The contagion has now spread to Cyprus, whose banks have made about €23 billion in loans to Greek individuals and companies. Last week, Cypriot President Demetris Christofias pointedly would not rule out the need for European support in rescuing banks with high exposure to Greece.

Cyprus is the third smallest economy in the eurozone. Spain is the fourth largest. And given the brinkmanship between Spain's government and the European Union over how to rescue that country's banks, Spaniards may well send more of their money to safe havens. (This is now becoming known as "Spanic.")

Spain wants cash at low interest rates from the European Central Bank, or ECB, pumped directly into its banks, because its own borrowing costs are so much higher -- the yield on its 10-year bond was 6.4% Tuesday. Speaking to the Spanish Senate Tuesday, Prime Minister Mariano Rajoy for the first time called publicly for the creation of eurobonds.

That puts him at odds with German Chancellor Angela Merkel and the ECB. Put crudely, eurobonds would dilute Germany's fiscal strength in a pool of junk debt.

The ECB governor, Mario Draghi, has indirectly accused Spain of underestimating the importance of its banking problem. In the words of one financial analyst, it's like two cars racing toward each other on a single-track road. Someone's nerve has to give.

The ECB has already plowed more than €1 trillion into the European banking system since December in an effort to stimulate liquidity. That injection also helped lower Italian and Spanish sovereign bond yields, as banks used some of the cash to snap up government debt.

Expect the European Stability Mechanism, which debuts next month armed with €500 billion, to have plenty of suitors, even though it won't be allowed to lend directly to banks.

A series of summits

There was not much clue about the way forward after a conference call early Tuesday among the finance ministers and central bank governors of the G-7, which includes the United States, Germany, Japan and Britain.

A terse statement issued afterward said: "The G-7 Ministers and Governors reviewed developments in the global economy and financial markets and the policy response under consideration, including the progress towards financial and fiscal union in Europe."

Next stop is the G-20 summit in Los Cabos, Mexico. It would be an unwieldy format for making a bold statement of intent on the eurozone -- especially as the meeting comes the day after the next Greek election.

Perhaps more important to the future of the single currency will be the European Union summit at the end of the month, June 28-29. Draghi wants a Europe-wide "banking union" that would have powers akin to the Federal Deposit Insurance Corporation in the United States and would deter a run on the most vulnerable banks in southern Europe.

Speaking to Reuters during a conference in Latvia, the International Monetary Fund's Christine Lagarde said Tuesday: "The master plan that everybody signs up to will be important because it will set a vision, it will set a collective determination. And that is lacking at the moment."

Analysts say such a "master plan" would need to correct the eurozone's schizophrenic structure: a single currency without a common fiscal policy or Europe-wide bond market.

Austan Goolsbee, former chairman of the Council of Economic Advisers in the Obama administration, summed up the root problem in a Wall Street Journal article last week, saying, "The eurozone problem remains the locking together of very different economies into a monetary union without a way to adjust."

He added, "Normally, exchange-rate adjustments would reduce this gap. ... But without an exchange-rate safety valve you need an alternate way to rebalance economies."

For Germany, whose approval is needed for any initiative to protect European banks, there is at least a silver lining in the current crisis. As investors flee to safety, Germany's two-year bond pays effectively zero percent. In other words, it's borrowing for free, quite possibly with the help of anxious Spaniards.

At least Europeans have the Euro 2012 football tournament to distract them for the rest of this month, starting Friday. In the last tournament -- in 2008 -- Spain defeated Germany in the final.

@highlight

Money is moving around Europe amid nervousness about the solvency of banks

@highlight

Deutsche Bank is soliciting the money of Spaniards as the Spanish government struggles

@highlight

Contagion that caught up Greece is spreading to Cypress

@highlight

A European Union summit at the end of June will be important for the future of the euro