Edinburgh (CNN) -- In the 20th century, getting your child a toy car meant a trip to a shopping mall. In the 21st century, it can mean going to your computer, downloading a file and creating the toy on your 3-D printer.

Only that is not quite revolutionary enough for Massimo Banzi, who spoke at the TED Global conference in Edinburgh, Scotland, in late June. As Banzi pointed out, the 3-D printer a friend of his used to build a toy car was itself an open-source device -- one that could be produced by anyone from freely available plans.

The open-source maker movement offers an immense range of possibilities for creativity -- and in some ways, Banzi has been at the center of it. He is part of a team of five people behind "Arduino," a pocket-sized open-source circuit board with a microprocessor that has been used as the brains of thousands of custom devices.

Watch Massimo Banzi's TED Talk

For someone who needed to make sure his sick cat got special food not available to his healthy cat, an Arduino motherboard controlled a device, using a converted CD player, that enabled and restricted access to a bowl.

For a 14-year-old inventor in Chile, Arduino was a building block in an earthquake monitoring system, connected to a Twitter feed, that provides seismic information; Banzi noted it was completed at least a year ahead of a planned government project with a similar aim.

For Matt Richardson, who had grown tired of hearing about overexposed celebrities, Arduino was a key component of a product called "The Enough Already," a system that mutes your television's volume whenever the names Charlie Sheen, Donald Trump, Sarah Palin and Kim Kardashian are mentioned.

Arduino played a similar role for the plant monitoring device that tweets "Water me please," the fetal monitoring device that tweets when the soon-to-be baby kicks inside the womb, the mini copter device that can transport items from one village in Africa to another, the network of custom-built radiation detectors deployed by concerned citizens in Japan after the Fukushima disaster, and the device developed at New York University that enables a disabled boy to play a baseball video game.

"You don't need anybody's permission to create something great, says Banzi. "If you have an idea, you just go and you make it."

TED.com: Boaz Almog levitates a superconductor

The open nature of Banzi's system fit well with the theme of the TED Global conference: "Radical openness." TED is a nonprofit organization dedicated to "Ideas worth spreading." It holds conferences with high prices -- $6,000 to attend the one in Edinburgh -- but it distributes selected talks free online. Its more than 1,000 talks at www.TED.com have been viewed 800 million times, the organization says. (CNN has a partnership with TED in which it publishes selected talks with additional content.)

Over five days, more than 70 speakers and performers explored the varieties of openness and its uses in science, politics, technology, government and the arts.

Don Tapscott, a Canadian consultant and author focused on technology and society, began the conference with a talk suggesting that "the arc of history is a positive one and it's toward openness," though he warned that transparency has its risks: If you're going to be naked, "fitness is no longer optional."

Tapscott: Four principles for the open world

Filmmaker and former Current TV host Jason Silva, who is adept at blending together abstract cultural and philosophical themes, debuted a warp-speed video on the theme of radical openness, ending with a "Wow" that made his point that "awe makes things new again."

NATO Supreme Commander James Stavridis called for open-source security, arguing that in the 21st century, the West isn't going to achieve stability only through the barrel of a gun or by building walls. He stressed the value of reaching out to people through social networks and providing services such as teaching Afghan soldiers to read.

Ellen Jorgensen, who created a community "biolab" in New York, examined how DIY techniques can open up the world of biology, enabling us to understand ourselves, and our world, better than ever. Labs run by "biohackers" can identify invasive species, check your food, analyze your ancestry or pinpoint the dog that's fouling your lawn.

Marc Goodman, a law enforcement expert, explored the downside of radical openness, describing how the terrorists in the Mumbai massacre used search engines and other technology to identify and hunt down victims. Criminals can turn the tools of transparency and technology against us, he warned: "Control the code, control the world."

Beth Noveck, former deputy chief technology officer in the Obama administration, called for an open-source approach to rethinking government, making its operating system as accessible to everyone as the code that powers the Arduino device. And, closing the conference, theorist and teacher Clay Shirky pointed to the promise of open-source approaches to social and political issues.

Shirky on TED.com: How cognitive surplus will change the world

Nearly 2 million people around the world use a site called Github to collaborate on software without being part of a formal coordinating structure. Some are now exploring ways to apply the open-source process outside the world of programming, Shirky said.

Once you open up the process, it's not easy to shut it down.

Shirky mentioned the case of the 9-year-old Scottish girl whose blog describing the lunches being served at her school drew wide attention, prompting a decision by local authorities to order her to stop.

What made officials think they could get away with shutting down her blog? Shirky said: "All of human history up to now."

In the end, the officials relented in the face of widespread criticism and allowed the blog to continue -- a sign that openness is now not just a goal, but a feature of the world we live in.

@highlight

Open-source movement offers infinite opportunity for invention

@highlight

Massimo Banzi's Arduino motherboards control thousands of DIY devices

@highlight

Banzi says if you have an idea for something, you can create it

@highlight

He spoke at TED Global 2012 conference on "radical openness"