(CNN) -- NATO foreign ministers have approved Turkey's request for Patriot missiles to defend its borders, a statement of "solidarity" with its fellow alliance member.

"Today NATO agreed to augment Turkey's air defense by deploying Patriot missiles to Turkey. Turkey has asked for NATO's support and we stand with Turkey in the spirit of strong solidarity," said NATO Secretary-General Anders Fogh Rasmussen.

"To Turkish people we say, we are determined to defend you and your territory. To anyone who would want to attack Turkey, we say, don't even think about it. "

The move is in response to the spilling over of the Syrian civil war into Turkey, where errant Syrian artillery shells struck the border town of Akcakale and killed five Turkish civilians in October.

Turkey asked NATO to deploy Patriot missiles along its border to bolster its air defenses against Syrian threats.

Syrian family hides from attacks in underground 'prison'

The United States, Germany and Netherlands, which all have Patriot capabilities, have signaled they would be willing to contribute missiles. Rasmussen believes the "actual deployment will take place within weeks."

"We welcome the intention of Germany, the Netherlands and the United States to provide Patriot missile batteries, subject to their respective national procedures. These systems will be under the operational command of the Supreme Allied Commander Europe. Any deployment will be defensive only. It will in no way support a no-fly zone or any offensive operation," Rasmussen said.

The decision was made as news surfaced about fears of Bashar al-Assad's government using chemical weapons. Rasmussen echoed warnings from U.S. President Barack Obama that the Syrian government may be toying with the idea of using chemical weapons to crush the 21-month rebellion.

"The Syrian stockpiles of chemical weapons are a matter of great concern," Rasmussen told reporters.

"We know that Syria possesses missiles. We know they have chemical weapons and, of course, they also have to be included in our calculations. And this is also the reason why it is a matter of urgency to ensure effective defense and protection of our ally Turkey," he said.

Opinion: Rape is shredding Syria's social fabric

"Let me add to this that the possible use of chemical weapons would be completely unacceptable for the whole international community, and if anybody resorts to these terrible weapons I would expect an immediate reaction from the international community."

Violence raged Tuesday in Syria, with at least 155 people killed across the country, the opposition Local Coordination Committees of Syria said.

In one key development, rebel fighters scored a major gain where government forces once ruled.

The rebels have cut off a sprawling military base outside Aleppo with some 450 government soldiers trapped inside. The rebels could easily overrun the base, fighter Ali Jadlan said, but they want to give government soldiers a chance to defect.

Already, about 250 soldiers have defected from units at the base since the Syrian uprising began in 2011, and most of them have joined the opposition. It's another indication al-Assad is losing his grip on a country he once firmly commanded.

As fighting subsides, Aleppo residents find little left

The government has tried air-dropping food to its soldiers, often missing the targets. Opposition fighters have shot out their water supply.

While the soldiers still have stockpiles of artillery, their options are dwindling.

"They have reached a point where they think that they can't go back," said Jamal, a defector. "They have reached a dead end. Slowly, they are weakening."

In another incident, rebels and the government are reporting deadly shelling on a school in a refugee camp in the Damascus area. The LCC said 30 students were killed there.

Alexia Jade, a spokeswoman for the opposition in Damascus, said the school was "showered by mortars leaving between eight and 12 dead, including children and a teacher."

"I cannot say if this area was state loyal," she said, adding it was very remote and inhabited by refugees from the Golan Heights whose kin had suffered from government shelling in the south of the capital.

"We have not reached a concrete conclusion at this point" about who fired the shells, Jade added.

Syrian refugees face brutal winter with inadequate shelter and food

Rasmussen stressed that a Patriot missile deployment will be "purely defensive" and that NATO has "no intention to prepare offensive operations."

The deployment would be an "effective deterrent" and de-escalate tensions along the border, he said.

Such a deployment would compel "any potential aggressor to think twice before they even consider attacking Turkey."

A Russian official, speaking with CNN on background, claimed the Patriot systems are more symbolic than militarily necessary. Russia has been a friend of the Syrian government over the years and has blocked tough action against the al-Assad government in the U.N. Security Council.

Echoing comments by Russian President Vladimir Putin, the official said Syria has no interest in attacking Turkey.

Concern over the issue has rippled across the world. French Foreign Minister Laurent Fabius said before NATO moved on the issue that deploying Patriot missiles is a "good decision. We shall support it. "

He noted "many attacks by Syria against Turkish borders."

"Turkey has asked for protection," he said. "We are deciding to grant this protection through Patriot missiles."

As for the chemical weapons issue, the Syrian Foreign Ministry denied that the country has any plans to use such arms, state TV reported. The government has also repeatedly stressed it will not use such weapons, if they exist, against its people under any circumstances.

But U.S. officials say "worrying signs" suggest otherwise.

Syrian forces have started combining chemicals that could be used to make deadly sarin gas for weapons to attack rebel and civilian populations, one U.S. official said.

The intelligence, obtained over the weekend, the official said, came from multiple sources. But the official declined to provide more details about how the United States learned of it. Sarin gas, the source said, could most readily be used to fill artillery shells.

Obama said Monday that "the use of chemical weapons is and would be totally unacceptable. And if you make the tragic mistake of using these weapons, there will be consequences, and you will be held accountable."

Israeli Prime Minister Benjamin Netanyahu said that Israel and the world community are "closely monitoring the developments in Syria regarding the stockpiles of chemical weapons."

"I heard the important things President Obama said on this matter, we are of a single mind. It is forbidden to use these weapons and it should be forbidden to pass them on to terror elements," he said.

U.S. concerned Syria 'cooking up recipes' for chemical weapons

CNN's Arwa Damon, Nick Paton-Walsh, Holly Yan, Gul Tuysuz, Barbara Starr, and Jill Dougherty, along with Journalist Ammar Cheikhomar, contributed to this report.

@highlight

155 Syrians are dead Tuesday, including 30 in a shelling at a school, the LCC says

@highlight

Syrian forces are mixing chemical warfare agents, a U.S. official says

@highlight

The Syrian Foreign Ministry denies plans to use such weapons