(WIRED) -- The new Apple TV could be Steve Jobs' best sleight-of-hand trick yet.

During his modest introduction of the device, Jobs called the Apple TV "one more hobby." But a closer look at the code and the hardware powering the Apple TV reveals that there's a lot more going on under the hood than the CEO shared.

Interestingly, Jobs didn't mention that Apple TV runs iOS, the same operating system running on its flagship product, the iPhone, and some other big hits -- the iPod Touch and iPad.

And there's more, too: The Apple TV's software may already be jailbroken, and some hidden software should eventually allow you to share the Apple TV's media with other iOS devices.

These secret ingredients could be the recipe Apple needs to shake up the television industry. For years, Apple executives have labeled the set-top box a "hobby" product because of its mild success compared to blockbuster sellers like the iPhone and iPod.

Now that Apple TV has been revamped into a streaming rental service with an arsenal of stealth features, maybe Apple has a chance to change the TV business -- if not today, perhaps later.

"The most important hint of Apple's real ambitions in the living room come from AirPlay, which puts iPhones and iPads in the driver's seat and makes the TV just an output device for the Apple ecosystem," said James McQuivey, a Forrester analyst, in a recent e-mail statement. "Expect Apple to gradually push more and more in that direction, but as of this moment in 2010, Apple has not yet made a significant play for control of the TV."

Here, we round up the juicy tidbits we've heard about Apple's mysterious new set-top box.

iOS and third-party app support

There's more than enough evidence proving that the Apple TV runs iOS. Dispelling any doubts, Apple recently posted a build of iOS 4.1 specifically for the Apple TV.

This piece of information about iOS is important because of a new feature called AirPlay, which streams media from your iPad, iPhone or iPod Touch to the Apple TV.

When Jobs demonstrated AirPlay, he only showed the feature working with an iPad's built-in video player, photo app and music library. Now that we know Apple TV runs iOS, it's likely that third-party apps such as MLB at Bat or ABC Player will be able stream media to the set-top box, too.

DaringFireball blogger John Gruber confirmed that an AirPlay button is showing up in the MLB at Bat app, and he adds that apps using the built-in media controller will be able to integrate AirPlay.

Long story short, you'll be able to wirelessly stream media from some third-party apps straight to your Apple TV with an AirPlay button. AirPlay is shaping up to be Apple's secret weapon to reshape home entertainment.

In addition to AirPlay, the fact that Apple TV is running iOS means that -- in principle, at least -- it may someday be able to run applications from the iTunes App Store.

For now, that capability is not included in Apple TV, but the underlying operating system certainly supports it, so Apple might open a TV App Store in a future software update.

Jailbreaking hacks

Third-party app support will probably be limited for the Apple TV, but that's where the jailbreakers come in. In the same way that we're able to override restrictions on the iPhone, iPad or iPod Touch with a jailbreak, we should be able to run unauthorized apps on the Apple TV -- something Jobs would never advertise, of course.

In fact, hackers already have a head start, because a tool called Shatter, which was used to jailbreak the newest iPod Touch, already works with the Apple TV, according to the iPhone Dev Team.

That means we should be expecting hackers to code some unauthorized apps soon to unlock additional capabilities such as video conferencing via your Apple TV.

On top of that, existing hacks for the old Apple TV should work, too. Dev Team member Will Strafach explained that "the new AppleTV OS seems to be a mashup of the old AppleTV OS and iOS," meaning "frappliances," plug-ins that add functionality to the old Apple TV, should work as well.

'Lowtide' app

The Unofficial Apple Weblog's Erica Sadun, a popular iOS programmer, took a close look at the Apple TV's software and discovered that it runs an application called Lowtide -- the software containing the set-top box's media interface.

Sadun dug deeper and found lines of code that suggest that Lowtide might eventually be extended to other iOS devices. In other words, you should be able to share media from the Apple TV to your iPhone, iPod Touch or iPad, whereas originally we thought we'd only be able to do the converse with AirPlay. This functionality would be comparable to a Slingbox or an EyeTV.

Lowtide isn't readily available for Apple's iOS mobile devices yet, but iOS developer Dustin Howett has already managed to load Lowtide on an iPod touch running iOS 4.1, demonstrated in the video above.

He recommended against doing it yourself, though, unless you're ready to reformat your iPhone on a regular basis just to turn it back into a phone.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

At introduction, Jobs called the Apple TV "one more hobby"

@highlight

The Apple TV's software may already be jailbroken

@highlight

Apple TV runs iOS, the same operating system running on its the iPhone

@highlight

Product may someday be able to run applications from the iTunes App Store