The University of North Carolina says that three independent experts in the field of adult literacy have finished a university-commissioned review of whistleblower Mary Willingham's research and found flaws in her claims that some athletes were reading at elementary-school levels.

Willingham's research, described to CNN in January, was based on a sampling of about 180 student-athletes who Willingham personally worked with over an eight-year period.

Each had taken a 25-question reading vocabulary test on the Scholastic Abilities Test for Adults (SATA) -- an aptitude test used by many universities to gauge the learning level of incoming students.

Without actually naming her, UNC released a summary report that implied she incorrectly deduced that 60% of the sample were reading below a high school level, and that 8% were reading below a fourth-grade level.

"Outside experts found no evidence to support public claims about widespread low literacy levels," UNC said in a statement.

UNC also said in its summary that each expert independently found similar things -- that this specific test shouldn't have been used to determine reading levels and also that, based on the same data Willingham used, a majority of those tested were, in fact, reading at a college level.

The individual reports were much more nuanced.

For example, Nathan Kuncel, a psychology professor at the University of Minnesota, found that many scored below average.

Another expert, Lee Alan Branum-Martin, associate professor of psychology and co-investigator in the Center for the Study of Adult Literacy at Georgia State University, said he was not given enough data to answer many of the questions posed about the reading levels of those tested.

But all three, including Dennis Kramer, assistant professor of higher education at the University of Virginia, found that it's possible Willingham misread the findings and inaccurately assigned a grade level to the scores.

All three said the SATA test is not a good measure of determining equivalent reading levels.

UNC said these three were chosen  "based on their knowledge of adult literacy, assessment and measurement in education, and multivariate analysis."

When asked why Willingham wasn't mentioned in the summary, UNC spokesman Joel Curran told CNN, "This is not about her. It is about the data and the methodology."

The findings are not much different than what the university preliminarily released just days after CNN's first report.

Willingham and her research were disavowed by the university almost immediately, based on these same claims.

On Friday, Willingham said she was "disappointed" by the report, and said she will take the time to fully review the "supposedly 'independent' review of my data."

"The fact that they engaged in this exercise without ever seeking input from me or my research partner, and without the raw scores, or an examination of the full battery of tests ...speaks volumes about the true motivations behind today's press release," she wrote in a statement. "UNC personnel with the knowledge and expertise to verify my claims continue to remain and/or are being forced to remain silent."

When contacted by CNN, the psychologist who administered the tests to the student-athletes in Willingham's study said she backs Willingham, and verified that no one at UNC has ever reached out to talk to her about her work.

Last month, a Washington whistleblower group wrote a letter to UNC, demanding the university apologize to Willingham and launch an investigation into the way it says she has been publicly smeared, most specifically by Provost Jim Dean. The group said it was possible state whistleblower laws were broken.

Since the CNN report aired, UNC has asked for a new investigation into the yearslong "paper class" scandal, in which student-athletes allegedly were taking classes in which the only requirement was completing a single paper.

Attorney Kenneth Wainstein, who had worked at the U.S. Justice Department for 19 years, is reviewing whether it was widely known among staff in athletics that student-athletes were sent to no-show classes where little or no work was required.

CNN first reported this week that California Rep. Tony Cardenas is also demanding the NCAA answer questions on why UNC was never sanctioned for having paper classes.

Willingham told CNN that the paper classes were widely known and talked about in athletics, where she worked for seven years. She also said the paper classes were used to keep eligible some of the student-athletes who were reading at low levels. ​

@highlight

Mary Willingham exposed how UNC enrolls student-athletes reading at low levels

@highlight

UNC review, involving three experts, says there were flaws in her claims

@highlight

Willingham tells CNN she should have been allowed to provide input to review