(CNN)In the spring of 2000, my friend Michael and I hopped on a bus in Grand Rapids, Michigan, heading to Washington. The reason? To participate in the "Millennium March on Washington for Equality," a mass demonstration in the nation's capital in support of LGBT rights.

This was not quite two years after the death of Matthew Shepard, the University of Wyoming student who was brutally murdered for being gay. We were barely two seasons into what was then a groundbreaking television series, "Will and Grace." Spring 2000 was so long ago that network executives were still afraid to put an openly gay Ellen DeGeneres on television. That was the social climate then. And we were heading to D.C. to help change it.

Then two transgendered women boarded the bus.

I won't repeat the jokes I whispered about them to my friend and some of the others nearby. I'll just say their presence exposed me for the fraud I didn't even know I was. It was the spring of 2000, and I -- an openly gay man seeking LGBT equality -- had just rendered the T silent without even noticing. One can only imagine what those women had to endure from people who didn't consider themselves "progressive".

Fifteen years later, I'm happy to say I am different. The country is different as well. But there are many reminders of the work that still needs to be done -- for example the disproportionate murder rate for transgender women and the fact that a person can still be fired or lose a home for being transgender.

And then there is Bruce Jenner.

When my editor first asked me to write about his reported "journey" she jokingly asked me to be brilliant. I responded that I wasn't sure if I could be brilliant -- but I promised I would be honest. This is why I shared my own past struggles with the issue.

Public gender transitions still uncommon

Sure Jenner is a reality TV star who actively seeks attention. But that doesn't mean jokes about gender identity are appropriate. Especially now, as details regarding the fatal car accident Jenner was involved in during the weekend come to light. So far police have said Jenner was not speeding and alcohol was not a factor. And while he told police he was being followed by paparazzi, they said the photographers did not appear to be a factor in causing the accident. (Jenner released a statement, saying, in part, "It is a devastating tragedy, and I cannot pretend to imagine what this family is going through at this time. I am praying for them. I will continue to cooperate in every way possible.")

Those of us who are cisgender do not know what it is like to look in the mirror and be in conflict with the body that we see, to have our souls be at odds with the gender assigned to us at birth. At this point we have read the stories with quotes from unnamed sources and seen the pictures with Jenner having longer hair and makeup. However we have yet to hear from Jenner himself. If he is wrestling with gender identity, being involved in a tragic car accident can only add to what must be an incredibly difficult time for him. Even someone who seeks the spotlight can hurt.

When Jenner does speak, I hope we resist the urge to mock. If not for his sake, then for the sake of the countless others who may be able to identify with what Jenner says. According to a recent Williams Institute study, 50% of respondents who are openly transgender attempted suicide.

Unfortunately in December, 17-year-old Leelah Alcorn succeeded. "My death needs to mean something," she wrote in her final Tumblr post. The shame of my behavior on that bus 15 years ago re-emerges each time I read that sentence. I thought I was just having some harmless fun that day on the bus until I stumbled across a quote from James Baldwin that revealed to me the depth of my hypocrisy.

"You think your pain and your heartbreak are unprecedented in the history of the world, but then you read. It was books that taught me that the things that tormented me most were the very things that connected me with all the people who were alive, or who had ever been alive."

Over time I have learned to replace the urge to judge with the desire to seek our like humanity. Over the years I have spent my fair share of time around people fighting for LGBT rights and I can tell you the mocking of transgender people is not something that is exclusively heterosexual or conservative. It is not only found in red states or in Christian homes. I have learned a person can be progressive on numerous social issues and still house bigotry in the hidden, dusty corners of an otherwise illuminated heart.

So as we wait for Jenner to tell us what his journey is, now would be a good time for many of us to embark on a soul-searching journey of our own. We think jokes are harmless because we're only paying attention to the people who are laughing.  ​

@highlight

LZ Granderson: It's long past time to take a more mature view of transgendered people

@highlight

Bruce Jenner's story challenges us to think and rethink, he says