Sabha, Libya (CNN) -- A military site containing what appears to be radioactive material has been uncovered by revolutionary forces near the southern Libyan city of Sabha.

Military forces loyal to the country's National Transitional Council took a CNN crew Thursday to the site, not far from Sabha in the Sahara desert. The crew saw two large warehouses there, one containing thousands of blue barrels, some marked with tape saying "radioactive," and several plastic bags of yellow powder sealed with the same tape.

The material has not been confirmed as being radioactive, but the International Atomic Energy Agency (IAEA), the United Nations' nuclear watchdog agency, confirmed Thursday that the Libyan government had yellowcake stored near Sabha.

Yellowcake is processed uranium ore that can, after extensive refining, be used to produce enriched uranium for nuclear purposes.

Fighters entered Sabha, long regarded as a pro-Gadhafi stronghold, on Wednesday afternoon and met initially no resistance, officials said.

Elsewhere, revolutionaries have taken control of the southwestern town of Ubari, chasing toops loyal to now-deposed leader Moammar Gadhafi from the area as Libya's new leaders continued to gain momentum, NTC field commander Al-Amin Shtawi said Thursday.

In another event likely boost to revolutionary morale, Libya's most recent prime minister under the Gadhafi regime, al-Baghdadi al-Mahmoudi, was arrested Wednesday night in Tunisia, the government confirmed to CNN Thursday.

Al-Mahmoudi was detained in Tamaghza, near Tunisia's border with Algeria, the Tunisian interior ministry said, having entered Tunisia illegally without a visa. He was attempting to cross into Algeria at the time of his arrest, a ministry spokesman said.

"I believe the Libyan people will want to see him brought to Libya and put on trial here for his crimes under Gadhafi's rule," Abdul Rahman Busin, an NTC spokesman, told CNN.

The NTC has not yet formally requested al-Mahmoudi's extradition, he added.

The Algerian government on Thursday also declared its willingness to work "closely" with the new Libyan authorities, the official Algeria Press Service reported.

This cooperation would benefit both countries and "stimulate the appropriate conditions to maintain peace, security and stability in the region," the foreign ministry said in a statement quoted by APS.

Algeria had previously declined to recognize the NTC as the new government in Libya. A number of Gadhafi family members, including his wife and three of his children, fled Libya for Algeria last month.

In another sign that stability may be returning to Libya, the United States reopened its embassy in Tripoli Thursday, in the former residence of the U.S. ambassador to Libya. The old embassy building in the center of the city was trashed by Gadhafi supporters in May.

The military site outside Sabha, found Wednesday night, is now guarded by about a dozen lightly-armed revolutionary fighters. It does not appear to have been left unfrequented for long.

Protective suits were found hanging in offices that appear previously to have belonged to the Libyan government, along with rubber gloves, devices for measuring radioactivity and various military documents.

The second warehouse at the site contains rockets and old surface-to-air missiles on which the fuses have deteriorated, making them liable to explode if they're struck.

A field commander for the revolutionary forces said the NTC wanted the international community to come in, identify the suspect material and take it to a place of safekeeping. The forces fear it could cause an environmental disaster if it were to explode during fighting, he said.

John Pike, a defense expert at Global Security, told CNN the elderly rockets might pose a greater threat to safety than the suspected radioactive material.

The discovery of the material is not a surprise, he said, as the IAEA had established that yellowcake was at the site. The current status of the material is not known, however.

A U.S. Defense Department official, who declined to be identified due to the sensitive nature of the issue, told CNN that Libya's remaining stock of highly enriched uranium was removed from the country as of 2009.

"We also continue to monitor Libya's stockpile of uranium yellowcake," the official said. "This material would need to go through an extensive industrial process, including enrichment, before it could be used in building a bomb. Such processes do not exist in Libya."

The official said it was important that the NTC fully secured the site and that it worked to allow international monitors to return to Libya as soon as possible.

Gill Tudor, a spokeswoman for the IAEA, said it could confirm that previously declared yellowcake was stored in drums at a site near Sabha.

"The IAEA has tentatively scheduled safeguards activities at this location once the situation in the country stabilizes," she said in a statement.

These "safeguards" measures would not mean the IAEA was physically protecting the material -- a national responsibility -- but rather that it was carrying out technical checks on what was there to avoid proliferation, she said.

Libya declared its previously covert nuclear program in December 2003 and Gadhafi's government cooperated with verification efforts by the IAEA from that point on.

An IAEA report from 2008 states that Libya had declared that between 1978 and 1981 it imported 2,263 tonnes of uranium ore concentrate, which was being stored at Sabha. However, plans to build a uranium ore concentration and conversion facility in the Sabha area were not carried out, the report says.

The latest territorial gains by the revolutionary forces come days after the NTC received the significant milestone of being recognized by South Africa and the African Union as Libya's legitimate rulers.

Troops loyal to Libya's new leaders have been putting pressure on several regime holdout cities in recent days.

Along with Thursday's military action in Ubari, fighters also clashed with Gadhafi loyalists in the northern town of Bani Walid and in Sirte.

Ahmed Bani, an NTC military spokesman speaking in Tripoli Thursday, said revolutionary fighters had encountered mercenaries who appeared to be from Chad or Niger, and had uncovered caches of weapons and military supplies.

He said most of the towns in southern Libya had been "liberated" from Gadhafi loyalists and that revolutionary forces would continue to fight for control of Bani Walid. "Our revolutionaries won't lose hope," he said.

Despite not yet having complete control over the entire country, the NTC says it is planning on how to set up a new government.

Elamin Belhaj, a senior member of the NTC, told CNN Wednesday that the formation of a Libyan government will not be announced until anti-Gadhafi forces control the borders of the country and liberate the three cities of Bani Walid, Sirte and Sabha. That effort could take up to one month, he said.

After liberation, the NTC will create an interim government by appointing a prime minister who will be responsible for forming the government.

The prime minister will decide how many ministers will be in that interim government, but he must return to the NTC for approval of that government. That government will create a new constitution that will be put before the Libyan people for approval in a referendum.

CNN's Ben Wedeman, Barbara Starr, Houda Zaghdoudi, Zied Mhirsi, Kamal Ghattas, Brian Walker, Mohammed Fahmy, Pam Benson, Jill Dougherty and Helena DeMoura contributed to this report.

@highlight

NEW: Tunisia says it has detained Libya's former prime minister under Gadhafi

@highlight

The U.S. has been monitoring Libya's yellowcake stockpile, a defense official says

@highlight

A military site containing barrels and bags of powder marked "radioactive" is revealed

@highlight

Troops have been putting pressure on several regime holdout cities in recent days