Ames, Iowa (CNN) -- Minnesota Rep. Michele Bachmann won the Ames Straw Poll Saturday, besting eight other Republican candidates in a nonbinding but politically significant vote in the first caucus state of Iowa.

"This is the first step toward taking the White House in 2012," Bachmann told the crowd. "And you have sent a message that Barack Obama will be a one-term president. This is a wonderful down payment on taking the country back -- and it started in Iowa."

The vote was billed as one that could make or break some campaigns. Six Republican presidential hopefuls on Saturday personally appealed for Iowans' vote, not including former Alaska Gov. Sarah Palin. She drew throngs at the Iowa State Fair on Friday but has yet to officially decide if she's running.

Bachmann secured 4,823 votes, narrowly besting Texas Rep. Ron Paul who had 4,671 votes. Former Minnesota Gov. Tim Pawlenty was chosen on 2,293 ballots, placing him third.

Paul's campaign chairman Jesse Benton said the result proved that the congressman is "a top-tier candidate" that indicates "our message is spreading, our support is surging, and people are taking notice."

Pawlenty, who has trailed in recent polls despite heavy investment in Iowa, issued a statement saying, "We made progress in moving from the back of the pack into a competitive position. ... We are just beginning, and I'm looking forward to a great campaign."

The next closest contenders, in order, are: former Pennsylvania Sen. Rick Santorum with 1,657 votes, businessman Herman Cain with 1,456 votes, and former Massachusetts Gov. Mitt Romney with 567 votes. That was slightly less than the 718 who wrote in the name of Texas Gov. Rick Perry -- who declared his candidacy Saturday and wasn't even on the ballot.

Part country fair and entirely political, the Ames Straw Poll has helped take the pulse of a campaign's strength since 1979. It's also the first opportunity for the tens of thousands of voters who weighed in Saturday on which GOP president candidate they support.

The results were announced around 5:30 p.m. CT, capping days of intense politicking and several hours of speeches from candidates and other prominent Republicans.

Bachmann had reason to celebrate, but had a little competition in the headlines department: Perry announced his presidential bid at a meeting of conservatives in South Carolina. The timing of his announcement prompted some grumbling among Iowa Republicans.

Nine announced candidates were on the Iowa ballot, although two of them -- Romney and former Utah Gov. Jon Huntsman -- skipped the contest. Huntsman is avoiding the Iowa caucuses completely, while Romney's advisers are carefully watching the state and could pounce in the coming months if they see an opening.

Former House Speaker Newt Gingrich was on the ballot, too, but his cash-strapped campaign did not have a formal presence at the straw poll and he only got 385 votes. Michigan Rep. Thaddeus McCotter shelled out thousands of dollars to reserve campaign space outside the straw poll venue, but -- while he played up the perils of "big government" and of ceding "the 21st century (to) Communist China" -- he was not, as expected, a major factor, securing a mere 35 votes.

Bachmann had been positioned at or near the top of most Hawkeye State polls thanks to the passions she has stirred among tea party activists and social conservatives who make up a large part of the caucus electorate. But there are questions about how strong her organization in the state is and whether she can compete with Pawlenty's respectable ground game.

Like Huckabee in 2007, though, Bachmann has a natural appeal to evangelicals and home-school activists who tend to show up at political events like straw polls.

In her speech in Ames on Saturday, Bachmann exuded optimism -- proudly and loudly insisting, "We are the team that can't be beat."

Besides playing up her roots in Iowa, where she was raised, the three-term U.S. representative cast herself as a fiscal conservative and "national security conservative." Still, some of the most impassioned parts of her speech dealt with her stances on social issues.

"We are social conservatives, and we will never be ashamed of being social conservatives," Bachmann said. "We understand that religious liberty is the essence of the foothold of this nation."

Another candidate who came in with high expectations was Paul, given his strong performances in straw polls at various conservative gatherings over the years. Such successes are a testament to the devotion of his libertarian-leaning followers and their ability to outorganize and outhustle the competition.

But these days, political observers and members of the media take his straw poll wins for granted. And these victories have yet to translate to larger ones for the now three-time presidential candidate -- who hasn't broken through yet in Republican elections nationally.

Speaking Saturday, Paul called for fewer government regulations and more "freedom for America."

"Liberty and life does not come from the government," he said. "It comes from our creator."

As much as the vote -- a fund-raiser for the Iowa Republican Party -- could catapault some candidates, it may also eliminate those who have staked their candidacies on Iowa but struggled to generate grassroots enthusiasm.

They included Santorum, who acknowledged his underdog status but promised a comeback.

"This is the little-engine-that-could campaign," the staunch social conservative said. "They told us we had no chance."

Cain, a businessman and former radio host running on his outsider image, is fading after a strong early start to the campaign. He had tried to manage expectations for the straw poll, but recently told a Des Moines audience that he needs to finish in the top three. Anything less, he said, would compel him to "evaluate" his campaign.

In a raucous address Saturday, Cain ran through his positions on a host of economic, foreign policy and other matters while saying Americans "are ready to embrace a problem-solver and not another politician."

Referring to an epiphany he had 12 years ago after his first grandchild was born, "I had to use my talents, skills and abilities to do something about this nation and get it off the wrong track," Cain said. "This giant has awakened and is not going back to sleep."

Pawlenty's performance in the poll was seen as especially critical. Observers had said he must finish in first or second place and send a message to his supporters (and the media) that his campaign can soldier on through the fall and winter.

The former Minnesota governor has a platoon of smart political operatives in his corner and is thought to have the best ground game in the state. But despite planting an early flag in Iowa and improving his performance on the stump in recent weeks, the Midwesterner remains stuck in single-digits in state polls.

On Saturday, he echoed many others in blasting President Barack Obama, claiming he "has no clue" and saying "he is like a manure spreader in a wind storm."

Pawlenty also vowed that his ability to get re-elected in Minnesota shows he has the track record to succeed in governing and also win over swing voters.

"I don't just talk about it. We got the job done, for Minnesota and America," he said.

The results of the Iowa straw poll will be carefully scrutinized by political analysts, helping propel some candidates in their fundraising and campaign efforts elsewhere even as it deflates others.

Iowa Gov. Terry Branstad, a veteran observer of Republican politics in the state, said it is critical that a candidate do well if they are to have any chance, down the line.

"If you're not in the top three here, your chances of getting elected are not very good," he said.

But history shows a straw poll win hardly guarantees future success in the state or nationwide. In 2007, ex-Massachusetts Gov. Mitt Romney won the vote, but his closest rival in the state, former Arkansas Gov. Mike Huckabee, ultimately won the Iowa caucuses and dealt a fatal blow to Romney's candidacy. The Republican nominee that year, meanwhile, was Arizona Sen. John McCain.

Only one Republican has won the straw poll and gone on to occupy the Oval Office: George W. Bush.

@highlight

NEW: The congresswoman thanks her supporters, saying the vote "sent a message"

@highlight

Candidates earlier made their pitches for nonbinding votes at the event in Ames, Iowa

@highlight

The Iowa straw poll is the first major gathering of Republicans in the first caucus state

@highlight

The top three finishers tend to do well in subsequent contests