(CNN) -- It's hard not to become distressed, when I'm carefully following the situation in Yemen since violence got worse. It's even more troublesome not to become distressed thinking that there is a bleak future waiting for Yemen.

The fight by the security forces against unarmed protesters is indeed inhuman. More than 2,000 protesters have been murdered and more than 8,000 wounded by security forces across Yemen.

Admittedly, the uprising has a long way to go but one of its great merits so far is the exceptional participation of women.

I have been astonished by the growing numbers of female protesters as the uprising has proceeded. It started with just a few women; then day after day the number multiplied.

Thousands of female protesters have been actively participating in demonstrations across the country since February 2011. Female doctors have been playing an important role treating wounded protesters and female activists have been running seminars on political issues.

Mr Saleh's (Yemen's current president) security forces arrested four female doctors on 19 April 2011, while the doctors were marching along with a peaceful demonstration to provide medical help if needed. The female doctors were released after a huge condemnation and pressure from protesters.

Even female protesters were not immune from the savage killing by pro-government thugs. On the 16 October 2011, I was saddened to see a female protester being shot dead by a thug's bullets.

Aziza Othman was murdered in Taiz during an attack at a peaceful and unarmed protest by women. A very important recognition of women's participation in Yemen's uprising is the Nobel Peace Prize awarded to Tawakkol Karman, one of the leading pro-democracy figures in Yemen.

I believe that there are several motives behind this amazing participation by women -- I myself joined the protests and rallies because I want to build and improve my country.

I wanted it to be a double revolution; a political one to topple President Saleh and a feminist one to ensure that women have equal rights in what Yemenis hope will be a new Yemen. It was a double political statement: First, that women have as much right to call for democracy as men, and an indirect message to lift gender apartheid.

Indeed, it's been hard to be a woman in Yemen. A woman's gender, by default, deprives her of rights enjoyed by men. Women in Yemen have been always marginalized in law. As in many developing countries, women in Yemen suffer from limited access to healthcare, economic opportunities and education.

I remember vividly attending a seminar in Sana'a by Amal al-Basha, one of the leading feminist and human rights activists in Yemen and founder of The Arab Sisters Forum for Human Rights in in March this year. I asked her, "Do you think that the uprising will serve women's rights?"

"We have been dealing with a state system that marginalised women for over three decades; unfairly snatching their rights," she said. "Women in Yemen have only a restrained degree of legal protection in regard to family matters such as marriage, divorce and inheritance.

"Many women in Yemen are forced to get married when they are still children. This corrupt system means women in Yemen have one of the highest maternal mortality rates in the world. Seven women are raped every month in Yemen, with no concrete punishment from the state for rapists.

"Women in Yemen also suffer from illiteracy. The current system provides a relatively low degree of protection for women's physical integrity.

"There are no laws against domestic violence and the law does not recognize the concept of spousal rape. There is zero observation and accountability by the government to ban the practice of female genital mutilation. How can women not call for change! Of course the uprising will serve women's rights," she told me.

In a nutshell, the participation of women in the uprising has huge merit. What women have done so far embodies their civil and political liberty.

Bearing in mind that freedom for women in Yemen is usually subject to numerous limitations; their participation in the uprising is extraordinary. What they are doing is really a protest against socio-political norms that have always limited their freedoms.

@highlight

Afrah Nasser is a Yemeni journalist and blogger currently living in Sweden

@highlight

She says she is astonished by the role of women in Yemen's anti-government protests

@highlight

Nasser hopes the uprising will lead to greater gender equality