North Korea's fury over the movie comedy "The Interview" appears to have taken the secretive state's oversensitivity to new extremes.

Kim Jong Un's regime had already branded the film "the most undisguised terrorism and a war action." Now, the U.S. government is set to blame Pyongyang for the hacking of Sony Pictures, the studio responsible for the movie starring Seth Rogen and James Franco that shows the assassination of Kim.

Sony has pulled the film after a threat was made against people going to see it in theaters.

"North Korea has provided a new gold standard for weakness in international politics: a state that feels threatened by a Seth Rogen movie," tweeted Jennifer Lind, an associate professor at Dartmouth College who specializes in East Asian security issues.

North Korea reserves most of its rage for matters like U.N. sanctions over its nuclear program and U.S.-South Korean military drills near its borders. But "The Interview" isn't the first case of Pyongyang freaking out over seemingly innocuous things. Here are some striking examples:

Christmas trees

The festive season is rarely full of cheer across the heavily armed border between North and South Korea, known as the demilitarized zone. Christmas decorations put up on the South Korean side have become a recurring sore point. Pyongyang especially disliked a 30-meter tower in the shape of a Christmas tree that sat atop a hill with tens of thousands of lights that could be seen from well inside North Korean territory.

The North reportedly said the decorations were an attempt to spread religion over the border and, in 2011, threatened "unexpected consequences" if the lights were turned on. South Korean authorities recently took down the ageing structure, but they have approved plans by a Christian group to build a new tower.

North Korea's track record of "Bah! Humbug!" goes back decades -- it was objecting to Christmas trees at the border as long ago as the 1960s. A report in The New York Times from 1964 said Pyongyang had also complained about American troops throwing snowballs at North Korean soldiers around the demilitarized zone.

Soap operas

North Korea is well known for its efforts to rigidly control what information from outside its borders filters through to its citizens. But that apparently doesn't stop some of them from eagerly seeking out illicit copies of TV shows from South Korea and other countries. South Korean dramas are reported to be particularly popular.

The potential risks of watching the shows, which highlight the disparities between North Korea's largely impoverished population and its neighbor to the south, are enormous. South Korea's National Intelligence Service told lawmakers in October that officials from the North's ruling party had been executed by firing squad for viewing a South Korean soap opera.

Despite the regime's draconian stance, its young leader has shown plenty of enthusiasm for Western culture. Kim, who is believed to have gone to school in Switzerland, has been shown watching a performance featuring Disney characters and has befriended the eccentric former NBA star Dennis Rodman.

K-pop

As relations between the two Koreas soured in 2010 after the sinking of a South Korean warship, Seoul retaliated by broadcasting an anti-North Korean radio show. The broadcast opened with a pop song from the South Korean girl band Four Minute.

The South Korean government also began setting up groups of huge speakers along the border to blast propaganda across into North Korea, something it hadn't done for years because of a thaw in relations. Infuriated, Pyongyang threatened to bomb the loudspeaker positions and turn Seoul into "a sea of flame."

Tightly cropped photos

Foreign visitors to North Korea face a range of tight restrictions on where they go and what they do. Those limits encompass what kind of photos they take. "There are many restrictions on photography that have to be obeyed in DPRK," warns the travel agency Koryo Tours, using a shorthand term for North Korea.

Photographers who have spent time in the country say that particular care must be taken when snapping pictures of statues of North Korean leaders. "It's seen as an insult to crop out hands, feet or head when taking photos of statues or pictures of government leaders or officials," Olaf Schuelke, a documentary photographer, wrote in an article for CNN.

His comments were echoed by photojournalist Julia Leeb, who told NPR about her experience. "You have to bow ... out of respect, and if you take pictures, you should take the entire statue," she said. "You cannot take a portrait, for example ... because it's a lack of respect. And you cannot take pictures from behind."  Leeb also warned that you're not allowed to fold a newspaper with an image of the leader on it.

Balloons

OK, so we're not talking about party balloons. The North Korean regime regularly works itself into a lather of rage about balloons floated over the border by South Korean activists. Their anger is directed specifically at the cargo carried by the balloons. That can include items like dollar bills, DVDs and tiny AM/FM radios that show the prosperity in South Korea, as well as documents criticizing the North Korean regime. The balloons sometimes even carry Choco Pies, cheap snacks that are viewed as high-value treats in North Korea.

The balloons drive the regime in Pyongyang nuts, drawing regular threats of violent reprisals. The North's state media have warned in the past of "merciless strikes" against the launches. In October, the North Korean military blasted anti-aircraft rounds at one flock of balloons, prompting South Korea to respond with a burst of heavy machine gun fire.

The Bible

In a state built around an extreme personality cult, other belief systems can be touchy subjects. That's what Jeffrey Fowle, a municipal worker from Ohio, discovered to his considerable cost earlier this year. During a visit to the country, Fowle left a Bible at a club for foreign sailors. North Korean authorities interpreted the act as a violation of its laws and held the father of three prisoner for five months.

"I'd read about the persecution of the Christians in the country -- I felt compelled to help them in some way," Fowle told CNN in October after he was released by North Korea and flown out on a U.S. government plane. Although North Korea has some state-controlled churches, the regime forbids independent religious activities.

One that isn't true

Skewering the issue with its inimitable brand of satire, The Onion summed up North Korea's melodramatic tendencies in 2006 with a spoof article about Kim Jong Un's father and predecessor, entitled, "Kim Jong-Il Interprets Sunrise As Act Of War."

@highlight

North Korea has described the movie "The Interview" as "terrorism and a war action"

@highlight

But it's not the first seemingly harmless thing that has enraged the reclusive regime

@highlight

Pyongyang has been known to throw a fit over Christmas trees and Bibles

@highlight

It's also come down hard on K-pop, tightly cropped photos and balloons