The previous night we'd been turned away by stern-looking border guards. A categorical "no entry" to Transnistria.

Trans-where?

Transnistria is a breakaway state, recognized by no sovereign nation. It's a sliver of land sandwiched between Moldova and Ukraine and only a little larger than Rhode Island, the smallest state in the United States.

"You can't come in. Right now there is no permission for foreigners and no permission for journalists," said the Transnistrian border guard, clad in an oversized peaked cap with Soviet-style hat-badge.

It was past midnight and we were too tired to argue. To be honest, we had expected as much.

A week earlier, Transnistrian authorities had fast-tracked our request for a journalist visa to report inside their territory.

Instead of waiting the normal 10 days' processing time, officials had responded within 36 hours. It was a speedy "no."

Transnistria split from the former Soviet republic of Moldova following a two-year war (1990-1992) that erupted as the Soviet Union collapsed. The Russians stepped in to back Transnistria -- located on the right bank of the River Dniestr -- but never recognized it as an independent state.

It became a land in limbo.

More than a decade later, and after Russian troops marched into Ukraine's Crimea region, NATO's top military commander Gen. Philip Breedlove warned Moscow may be eyeing other targets.

Western intelligence has shown tens of thousands more Russian troops massed on Ukraine's eastern border.

'Frozen conflict'

Breedlove suggested the force -- backed by tanks and attack helicopters -- was large enough to roll right through Ukraine from east to west and into Transnistria.

The general described this as one of Russia's "frozen conflicts" -- an unresolved political and territorial dispute -- which Moscow could reignite at any time in a bid to expand its influence across the region.

Like the generals in Moscow and Washington, we pored over our map, tracking backroads and alternate routes into the self-declared country.

We decided to try to visit as tourists; our target was the "Equator" a top nightclub in the Transnistrian border town of Bender.

Attempting our approach this time from Moldova, we sloshed a half bottle of local brandy on the floor of our minivan to give it a party smell.

Maybe they got bored of our incoherent fast-talk or perhaps bought the idea that Transnistrian nightlife was a big draw for international partygoers.  After a long wait, we were waved through.

As we rolled past decaying heavy industry and tumbledown Soviet-era apartment blocks, it was clear Transnistria needed more than a fancy nightclub to give it a touch of glamor.

At the doors of the "Equator", we were informed that the night's planned event was body painting and a contest to win free cocktails. The rules did not seem entirely clear.

We headed instead for an early night in the capital Tiraspol.

My last foray into cocktail drinking in former Soviet states had ended badly.

A week earlier, up on the Ukraine's northeast frontier with Russia, a Ukrainian tank commander had cracked open a jar of pickled tomatoes, offered up some raw eggs and uncorked home-made vodka.

When the fruit vodka ran out -- we ended the chilly night, in a foxhole, drinking shots of a cloudy liquid from a plastic bottle.

Before he passed out, the gunner explained it was the cleaning fluid for the tank's electronics.

No desire to repeat that in Transnistria.

Trapped in time

As we headed early Sunday into downtown Tiraspol, it was easy to see Transnistria is a place trapped in time.

The hammer and sickle is still proudly emblazoned on the Transnistrian flag. A Soviet star is perched atop the city council building and a few blocks down, a towering statue of Lenin rises like a guardian angel.

The roads are named after revolutionary icons: Marx, Engels, Lenin. There's also just plain "Communist Street."

At a flea market, old men traded Soviet army cap badges and shoulder flashes. Many here still hanker after the glory days of the Cold War.

"Of course it was good with the Soviet Union. We wanted to be with Russia and still want to be with Russia," one elderly lady told me. She wrapped her arms around herself as she explained how she had felt protected by the old U.S.S.R.

Viktor, one of the men selling old Soviet military mementos added: "It was good in those days but we know we cannot turn back time. But we want to join Russia now and set up a free-trade zone."

"We don't want to be part of Moldova. They only grab money for their own pockets," he added.

Pro-Russian

Talking to people here, it's hard to fathom why NATO chiefs would warn of an impending Russian invasion of Transnistria. The doors seem to be wide open and the welcome mat is out.

"Let them come. Here people are all for it. If the Russian military comes everybody will shout 'hooray,'" a chatty blonde woman said.

Transnistrians have repeatedly called to be allowed to join the Russian Federation.

Moscow has so far failed to recognize Transnistria's independence -- insisting that it should first resolve its dispute with Moldova.

After its annexation of Crimea, some political and military analysts believe Russia may be readying to redraw some of Eastern Europe's borders without further consultation.

Away from the flea market, stands "La Dolce Vita," an Italian-style pavement café that serves only instant coffee and dozens of varieties of sugary cakes.

Law student Katya and boyfriend Sergey, an IT student, were consumed in a very public show of affection. Their minds were more focused on love not war. But they paused briefly for questions.

"If the Russians come in it wouldn't be a tragedy at all. The Russian military is already here," Sergey said. The couple added that they intended to go to Russia once they'd graduated to look for well-paid work there. They said good jobs were hard to find in Transnistria.

When the Soviet star waned, a new star rose over Transnistria -- that of Wild West economics.

An ex-KGB agent and former president appears to be one of the biggest businessmen in town. He goes under the brand name "Sheriff" and has a chain of supermarkets, gas stations and even Tiraspol's top soccer club.

Other businesses here may not be so mainstream. International economists often describe Transnistria as a state whose fortunes are built on smuggling booze and tobacco and selling old Soviet weapons.

Out in the countryside, Anna Ivanna has no head for shady dealings. I find her hoeing weeds from her small vineyard. She says her land is perfect for growing organic grapes. Some of it goes to produce Kvint -- a Transnistrian cognac.

She believes becoming part of Russia would bring greater economic benefits like cheaper energy, especially Russian natural gas for heating her home and powering local industry. She's also heard Russian pensions are four times higher than in Transnistria.

"Why do we need Europe? It's good for us to be part of Russia. Maybe Europe is OK for the young people," she said.

Russian soldiers never left Transnistria, after its 1990-1992 independence war with Moldova.

A contingent of around 1,200 occupies bases and highway checkpoints here -- another indication Russian President Vladimir Putin would not need to invade since his troops are already here.

On the outskirts of the capital, we venture into another Soviet-era apartment complex.

On a wall, there's a starkly poetic line of graffiti scrawled in English. It could be the lament of star-crossed lovers or perhaps a sign of the political times.

"I love you. But why I love you?...I never know."

A message from Transnistria. To Russia with love.

@highlight

People on a sliver of land caught in a Soviet time warp long to be part of Russia

@highlight

Transnistria is part of Moldova and an unrecognized self-declared country

@highlight

They see Russia as a protecting force and a place to work and trade

@highlight

One woman explains if the Russian military arrived people would cheer