In the Facebook age -- when digital "friends" are just a click away -- the distance between people seems to be shrinking, according to data the social network released on Monday night.

The adage maintains there are "six degrees of separation" between any two people on Earth, meaning that any two people would know each other through no more than six intermediary contacts.

On Facebook, however, the average user is only 4.74 degrees away from any other Facebooker.

"Thus, when considering even the most distant Facebook user in the Siberian tundra or the Peruvian rainforest, a friend of your friend probably knows a friend of their friend," Facebook wrote in a blog post about its findings.

That conclusion comes from a non-peer-reviewed study of 721 million active Facebook users, released by Facebook in collaboration with the Università degli Studi di Milano, the blog post says.

Facebook calls the analysis "the largest social network studies ever released."

The Palo Alto, California, company says 99.6% of all Facebook users studied were separated by five degrees or less from any other Facebook user; 92% were separated by only four degrees.

Furthermore, that distance appears to be shrinking quickly.

"The average distance in 2008 was 5.28 hops, while now it is 4.74," Facebook says.

While online Facebook friends are more likely to be linked to far-flung friends-of-friends, their immediate circles of contacts are remarkably homogenous in terms of age and geography.

"We observed that while the entire world is only a few degrees away, a user's friends are most likely to be of a similar age and come from the same country," the company writes.

Within the United States, for instance, users on average are linked by three intermediary contacts.

Facebook compares its work to that of 1960s social psychologist Stanley Milgram's experiments to prove that people are separated by only six contacts.

The company explains Milgram's work like this:

"The idea was first put to the test by Stanley Milgram in the 1960's. Milgram selected 296 volunteers and asked them to dispatch a message to a specific individual, a stockholder living in the Boston suburb of Sharon, Massachusetts.

"The volunteers were told that they couldn't send the message directly to the target person (unless the sender knew them personally), but that they should route the message to a personal acquaintance that was more likely than the sender to know the target person.

"Milgram found that the average number of intermediate persons in these chains was 5.2 (representing about 6 hops). The experiment showed that not only are there few degrees of separation between any two people, but that individuals can successfully navigate these short paths, even though they have no way of seeing the entire network."

There seem to be some obvious and fundamental differences between their reports, however.

Not everyone knows all of their Facebook contacts in real life, of course. And the nature of digital friendship -- and even an online friend network -- takes on a different, and potentially more global, character than face-to-face networks of friends and contacts.

"We are close, in a sense, to people who don't necessarily like us, sympathize with us or have anything in common with us," Jon Kleinberg, from Cornell University, told the New York Times. "It's the weak ties that make the world small."

Facebook acknowledges some methodological differences, as well.

"It is important to note that while Milgram was motivated by the same question (how many individuals separate any two people), these numbers are not directly comparable; his subjects only had limited knowledge of the social network, while we have a nearly complete representation of the entire thing," Facebook writes on its data blog. "Our measurements essentially describe the shortest possible routes that his subjects could have found."

Thank you, computers.

The findings do highlight the idea that the Internet is bringing people closer together -- something social media users can sense with or without this data.

"Ultimate proof that our world is getting smaller and smaller," one Facebook user wrote in a comment on the company's post.

Another wrote: "Awesome study! As a Milgram fan, I have been waiting years to see this analysis and it was worth the wait. Beyond any commercial purpose, Facebook data can help us understand how human society is organized, how ideas spread, and how we are connected to each other. Very cool."

One last burning question: Where does Kevin Bacon fit into this?

@highlight

Data suggests Facebook seems to be bringing the world closer together

@highlight

On average there are less than five "intermediary contacts" between users

@highlight

The old adage says strangers are connected by "six degrees of separation"