Tuesday is Election Day in the United States, and although the mostly state and local races won't stir the same passions as next year's presidential contest, millions of people will cast ballots.

They'll do it in much the same way that Americans have for centuries: by showing up at a polling place and ticking off boxes for their candidates of choice.

All of which raises the question: In an era when virtually every daily task can be done on the Internet, why can't we vote online, too?

The answer depends on whom you ask.

Advocates say the time is right to seriously consider letting voters cast a ballot from the comfort of their homes or even on the screens of their mobile phones.

"We've voted the way we have for the past 200 years because we couldn't do any better than that," said Rob Weber, a former IT professional at IBM who runs the blog Cyber the Vote. "Now, we have this technology that has revolutionized the rest of our lives ... (and) can revolutionize our voting system and could revolutionize our political system."

A recipe for chaos?

But critics, many of them in the cybersecurity world, argue that letting people cast votes from their home computers is a recipe for chaos.

"My position hasn't changed over the years," said Avi Rubin, a professor of computer science at Johns Hopkins University who specializes in computer security. "Which is that online voting is a very unsafe idea and a very bad idea and something I think no technological breakthrough I can foresee can ever change."

Rubin said that, in addition to politically motivated reasons for attempting to corrupt online votes, many hackers with no real political agenda could still see the challenge of tinkering with an election too attractive to pass up.

"People's computers are not getting more secure," Rubin said. "They're getting more infected with viruses. They're getting more under the control of malware."

Canada and Estonia

Other countries, though, have gone further down the road toward online voting than U.S. election officials have.

Canada has been near the forefront. In all, 80 Canadian cities and towns have experimented with Internet voting in municipal elections. The town of Markham, in Ontario, has offered online ballots in local elections since 2003.

An independent report by digital-strategy firm Delvinia showed that early voting increased 300% the first year Internet voting was allowed. Twenty-five percent of the people who voted online in 2003 said they didn't vote in the prior local election, and overall turnout rose nearly 10% from 2006 to 2010, according to the report.

"Not only is Markham a perfect example of how internet voting is being successfully implemented in a binding election; with other municipalities following suit, Canada is becoming a global leader in the implementation of Internet voting," the report read.

Sweden, Latvia and Switzerland are among the countries that have tested Internet voting.

But when it comes to national elections, Estonia is the clear leader.

The tiny Baltic nation (its population of 1.3 million is roughly the size of San Diego) has allowed online voting for all of its citizens since 2007. In this year's election, nearly one in four votes was cast online, according to its elections commission.

Risks and rewards

Priit Vinkel, an adviser to Estonia's National Electoral Committee, said security is of the utmost concern.

"Internet voting relies basically on a single factor: trust," Vinkel said. "Building and stabilizing this trust is the most important but also the most difficult task of the state."

In Estonia, that security includes a national ID card that can be used remotely and a voting system built to recognize unusual activity, Vrinkel said. He said security officials have detected no serious attempts to tamper with the votes.

But, in Rubin's mind, that's not enough.

He says the Internet's known security risks alone could be enough to call an election's results into question.

"In any election, it's important that the public perceive that the election is held fairly," Rubin said. "If you allow online voting and you're unable to detect any fraud, but it turns out later that many computers were compromised ... there's no way to audit or backtrack or recount or do anything to figure out what actually happened.

"The real question is whether you're interested in providing more questions about the outcome of an election or less."

Weber, who writes his blog from New York, acknowledges the difficulties but says they shouldn't be enough to stop progress on Internet voting -- which he and others believe will increase participation, particularly among younger voters.

"If there are concerns about any of this, the answer is to further work on those concerns, not declare that the Internet is entirely dangerous and will always be entirely dangerous, and you can never trust it," he said.

He notes that trillions of dollars have been moved around via online banking and that functions as sensitive as air-traffic control take place on the Internet.

He also said that for critics to hold up the current U.S. voting system as a model of safety is laughable.

"Machines, memory cards, even things on paper" can be manipulated, he said. "How many times in our history have we found a box of ballots in someone's garage a couple of weeks after an election?"

Experimental efforts

Experts don't expect widespread voting by Internet to take hold in the U.S. anytime soon. But there have been some fledgling efforts at testing it.

In the early 2000s, the U.S. military began testing the Secure Electronic Registration and Voting Experiment, which would have let service members stationed overseas vote online. But it was scrapped by the Pentagon after its studies suggested security risks.

As recently as last year, West Virginia experimented with allowing a small number of military members from five counties to vote online, although that pilot program was criticized by some security experts. West Virginia's Secretary of State Natalie Tennant has appeared to back away from pushing to make it statewide.

@highlight

Online voting has been tested worldwide but not much in the United States

@highlight

Security analysts say too many risks exist on the Internet to make voting practical

@highlight

Advocates argue banking, bill-paying are already common online

@highlight

In Estonia, people have voted online since 2007 with no known security breaches