(CNN) -- Virginia Johnson once told me something surprising about her famous partnership with Dr. William Masters, which helped revolutionize America's understanding of human sexuality.

Despite Masters and Johnson's worldwide fame, "We were absolutely the two most secretive people on the face of the Earth," she said. "There's simply no one who knew us well. People have a lot of speculation, but they don't know."

On Thursday, as I read the obituaries about Johnson's death at age 88, I was reminded of Virginia's words. There's a sense of marvel about her life story and how she managed to affect the lives and happiness of so many people, especially independent-minded women like herself who wanted to make their own decisions about sex outside the dictates of men.

Johnson's life seems like a modern-day Pygmalion story. Down on her luck, a twice-divorced women and with two kids, she went back to Washington University at age 32 looking for a degree. She was working as a secretary at the university-affiliated hospital in St. Louis when she met Masters, the top ob-gyn and fertility expert in town.

A hard-driving, ambitious physician, Masters wanted very much to win a Nobel Prize for documenting clinically just how the human body responded during sex, so that medicine could come up with effective treatments for married couples having troubles in the bedroom. Bill realized he needed a female partner for such a risky venture. The few female doctors around in the 1950s didn't want to go near his potentially explosive experiment that could bring career ruin. Not even Masters' wife -- with two young children at home in the suburbs -- wanted to get involved.

Virginia changed everything. Almost immediately she showed a native genius for what made men and women tick, sexually and in matters of the heart. First as a dutiful associate and eventually as the full-fledged partner to Masters, Johnson convinced dozens of women and men -- nurses, residents, graduate students and various people around St. Louis -- to become part of their secretive decade-long study, the biggest sex experiment in U.S. history.

Their work was published in 1966 in "Human Sexual Response," which outlined, in its own obtuse medicalese, just how the body worked during sex. Like cartographers, they mapped how each body part vibrated, sweated and became aroused during lovemaking. Without Virginia Johnson's extraordinary zeal and persuasiveness, Masters conceded their study would have failed. To his everlasting credit, Bill gave "Gini" credit for her remarkable contributions, far more than any male doctor in the 1950s would have done, sharing his byline with her on their first book.

Time would underline Johnson's impact even more. Despite their guarded language, the first book documented the power of female sexuality, showing that women were capable of multiple orgasms -- a veritable fireworks display -- compared to most men's single firecracker.

Their clinical evidence became part of the spark for America's so-called sexual revolution of the 1960s and 1970s, reflected in everything from key feminist writings to Hugh Hefner's Playboy magazine. Even the rosy women's magazines, filled with recipes and homey bromides, began writing about sex, using the same clinical phrases that Masters and Johnson made acceptable in polite society.

But Virginia's impact became particularly evident in the duo's second book, 1970's "Human Sexual Inadequacy," which landed them on the cover of Time magazine and television talk shows. It was Virginia who largely developed the team's "sensate" therapy from a hodgepodge of influences -- including behaviorism, Freudian talking methods and even urology studies from other medical researchers -- that soon had couples flocking to their clinic for a cure for their sexual difficulties.

That a woman without a degree had come up with such an effective approach heralding a quintessentially America quick-fix -- an 80% success rate within a mere two weeks (as opposed to years on a Viennese analysts' couch talking about your feelings about poor old Mother!) -- was galling to the medical establishment. Yet Masters and Johnson's pioneering work created the modern sex therapy industry, with clinics around the world relying on their methods and wisdom to this day.

Later in life, Virginia would say her 24/7 devotion to her research and their patients hurt both her relationship with her children and her marriage with Masters (they divorced in the 1990s shortly before their clinic closed) --expressing this with the same regret some women today share in balancing work and family life. She was also concerned that their pioneering work on sex might be used by libertines to avoid the necessity of caring for their partners as real, loving human beings, rather than pornographic holograms in the bedroom.

But mostly, Johnson became aware that many younger women today had adopted her independent-mindedness about sex, once so verboten in 1950s America. Only they, and not some fatherly figure in a white lab coat, would rule their bodies and set the terms for when, how and with whom they would share themselves.

Johnson's remarkable personal and professional adventures make her one of the most extraordinary American women of the 20th century. Her passing should remind us of just how great an impact her life had on all of us.

The opinions expressed in this commentary are solely those of Thomas Maier.

@highlight

Thomas Maier: Virginia Johnson, who has died, helped women take control of their sexuality

@highlight

From modest beginnings, she partnered with William Masters on revolutionary sex research

@highlight

She and Masters took on subjects not discussed, like women's multiple orgasms

@highlight

Maier: Masters said their research depended on her; she helped change the terms of sex