(Wired) -- When Apple CEO Tim Cook took the stage at the All Things Digital Conference Tuesday night, he wasn't just answering questions from Walt Mossberg and Kara Swisher — he was also dropping hints about the future of Apple's product roadmap.

Sure, a lot of his answers just regurgitated the same pat, familiar themes we've heard from Cook and other Apple executives: The iPad is taking the world by storm. The iPhone's doing great. The iPod has been the gateway drug for a new generation of Apple and Mac users.

But even Tim Cook can't completely stick to the script. During his interview, he teased a few interesting tidbits — which we present here along with analysis on what his words actually mean.

Siri should improve in the near future

Last week a former Apple employee reportedly said that former Apple CEO Steve Jobs would have "lost his mind" over Siri, and that employees are embarrassed by the virtual assistant. But luckily for Apple, any embarrassment should soon abate.

"There's more that [Siri] can do, and we have a lot of people working on this," Cook said. "And I think you will be really pleased with some of the things you'll see over the coming months on this. We have some cool ideas about what Siri can do. We have a lot going on on this."

Clearly, Apple wants to evolve Siri, and lift its current "beta" status. A recent study may have found that 66 percent of iPhone 4S users are either "satisfied" or "very satisfied" with Siri, but Apple has still been hit with a class-action suit from users who feel Siri was deceptively advertised.

In a final, non-beta version of Siri, Apple's virtual assistant would be better equipped to parse the nuances of human dialog. We should be able to talk to Siri as if she were an actual assistant. If a query needs clarification, she should be able to ask you much more specific questions to determine exactly what you need.

Romney iPhone app misspells 'America' to Web's delight

Siri's capabilities should also expand via new database partnerships. Yelp and Wolfram|Alpha are great wealths of information, but Siri needs even more sources of human intelligence. In the original Siri iOS app, you could make OpenTable restaurant reservations using Siri. I would expect this and similar functionality to return.

You should also be able to use Siri to post tweets, and eventually Facebook status updates as well (other virtual assistant apps already do this). I would imagine that Apple will eventually open up Siri to third-party developers, so they could incorporate her voice recognition, dictation, and search features within their own apps, making Siri useful and ubiquitous system-wide.

IBM worries iPhone's Siri has loose lips

Apple's leaving wearables to third parties

Don't expect Apple to debut a headset or wrist-worn iDevice any time soon. Apple hasn't bought into the wearable fad, illustrated most notably by the Nike Fuel Band and Pebble Smartwatch. On the topic of wearables, Cook said:

"I have on a Nike Fuel Band. I think there are some cool things that can be done. I think it is an interesting area. The question is, Can it change somebody's behavior? The book hasn't been written on that yet."

Of course, Apple does promote the iPod nano as a watch replacement, so it's not like the company is completely ignoring the trend. But, for now, it looks like Apple won't be releasing any trendy wearable gadgets to jump on the bandwagon — and, in fact, there's no need to.

Developing new hardware, especially in the relatively immature wearable space, takes a lot of time, money, and intellectual resources. So Apple has much more to gain by letting other manufacturers make wearable accessories — which inevitably hook into Apple's existing ecosystem via iOS apps. Apple reaps the benefit of increased iDevice purchases and upgrades, and even takes a 30 percent cut of any paid app that a wearable computing manufacturer might sell.

Expect Facebook-Apple collaboration

Historically, Apple and Facebook haven't always seen eye-to-eye — a collaboration between Facebook and Apple reportedly failed prior to the release of Apple's Ping social network, and Facebook has since cozied up with Microsoft on its Windows Phone platform. Nonetheless, it doesn't look like past conflicts are preventing Apple and Facebook from working together in the future.

"I think the relationship is very solid," Cook said of Apple's relationship with Facebook. "We have great respect for them. I think we can do more with them. Just stay tuned on this one."

Just stay tuned? Cook might as well just have told us, "Yes, Facebook and Apple are teaming up right now." iOS already features deep Twitter integration, and significant Facebook integration is a glaring omission.

It's not a stretch to think iOS 6 could yield greater Facebook integration like what the OS already provides for Twitter (indeed, code in an iOS 5 beta hinted at just such a thing). Perhaps we'll find out more during Apple's Worldwide Developers Conference in a few weeks' time. Or perhaps we'll have to wait until the next iPhone is announced, likely in October. Whatever the case, we have to assume that Cook wants to see Facebook tools integrated throughout the mobile OS.

Apple is deeply interested in the TV space

Apple is widely rumored to be working on its own TV set, which many consumers are eager to get their hands on. Cook is still playing coy about the subject, but more than ever before it sounds like Apple is actively exploring the TV space.

"This is an area of intense interest for us," Cook said about the Apple TV set-top box, the company's current living-room content solution. "We are going to keep pulling the string and see where this takes us."

Could it take Apple to a full-fledged television set? Cook wouldn't directly say. Instead, he commented on Apple's strategy upon entering a new product area: "We would look not just at this area, but other areas, and ask, Can we control the key technology? Can we make a significant contribution far beyond what others have done in this area? Can we make a product that we all want? ... Those are all the things we would ask about any new product category."

Cook didn't answer his own questions, but we can.

Can Apple control the key technology? Yes. Apple already dominates manufacturing in a number of overseas factories. It's a master of supply-chain control. There should be little doubt that Apple can control the key technology, both on the manufacturing side, and the patents-software side.

Can Apple make a significant contribution to the TV space? Yes. Through a dedicated, TV-optimized version of Siri and a smart TV UI based on trademark Apple simplicity and aesthetics, Apple could advance the state of TV usability.

Can Apple make a TV we all want? Yes. As we reported above, consumers are excited by the prospect of an Apple-branded HD television. Come on, Tim! The questions you posed are softballs. You've basically announced that an iTV is all but inevitable.

No more lost iPhones?

"We're going to double down on secrecy on products," Cook said. "But, on other things — supplier responsibility, environmental issues, etc., Apple will be the most transparent company."

In a one-year period, Apple reportedly lost two iPhones: an iPhone 4 prototype in the spring of 2010 that made its way onto Gizmodo, and an iPhone 4S prototype that never made it into the public eye. And just this week, 9to5 Mac scored some images of what could be the next iPhone.

For a company that likes to keep upcoming product information under lock and key, such mishaps are monumental. Perhaps Apple will implement a new or different product testing program — one that doesn't involve its beta testers drinking at bars?

Joking aside, keeping multiple thousands of Foxconn workers from pulling out their own cameras and sending a few shots to the press for a quick buck would be a huge endeavor. Apple's next lines of defense might involve much more sophisticated device tagging, and elaborate sting operations, using deliberate bits of misinformation to smoke out moles who are giving up secrets.

Ping's days are numbered

"We tried Ping and I think the customer voted and said this isn't something that I want to put a lot of energy into," Cook said. "Will we kill it? I don't know, I'll look at it."

The first day Ping came out, we were excited to check it out and join the music-centric social network. Unfortunately, it just didn't stick, and Apple's aware of that. Rather than make a big announcement about its demise, we'd hazard that Apple will likely quietly put it to pasture some time in the next year or two.

For video highlights of Tim Cook's talk Tuesday evening, click here.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

During a rare interview Tuesday, CEO Tim Cook teased a few interesting tidbits about where Apple may be headed

@highlight

Clearly, Apple wants to evolve voice-assistant Siri, and lift its current "beta" status

@highlight

Apple's mobile operating system could yield greater Facebook integration like it does with Twitter

@highlight

Cook basically announced that an iTV is all but inevitable