Washington (CNN) -- The American Petroleum Institute has a message to Congress as it starts work Wednesday: Open more areas for drilling and we will create more jobs for the American people.

"With the right policies in place at all levels of government, our industry stands ready to be the engine of economic growth and recovery this country needs in 2011 and well beyond," said the industry group's chief, Jack Gerard, in a speech Tuesday.

The institute commissioned a study that says if the government will sign off on a plan to open the Eastern Gulf of Mexico, portions of the Rocky Mountains, the Arctic National Wildlife Refuge and the Atlantic and Pacific Outer Continental Shelf to oil and natural gas exploration and production, the industry can create 530,000 jobs by 2025.

But critics of previous plans to open vast areas to drilling have disputed industry reports about job creation, citing increasing production of drilling equipment outside the United States and a shortage of refineries in the United States that could limit the amount of oil sold in the country.

Additionally, according to the Department of Energy, oil companies are sitting on nearly 70 million acres of leases they are not drilling, and America's oil refineries are not operating at their capacity because demand is lower.

"It's hard to say they create jobs when you look at the oil spill in the Gulf and see how they destroyed jobs," said Joe Mendelson, director of Global Warming Policy at the National Wildlife Foundation.

"We've certainly seen in the Gulf that when drilling offshore and things go wrong, they have a domino effect on the economy and the regions that depend on the other natural resources," said Mendelson.

But Gerard said he is concerned that if oil and gas companies cannot drill in U.S. territory or if that ability to drill is restricted, companies will take their infrastructure and jobs elsewhere. "We've already seen some companies send their idled Gulf rigs to waters off the coast of Africa and South America -- and other companies are discussing plans to relocate their Gulf rigs," he said.

Mendelson agreed that job creation is important but said the renewable energy industry will create jobs that have less potential for an environmental disaster. "The renewable energy industry is one of the fastest growing industry sectors and it can create jobs that keep us competitive in the world and that are much healthier for our country," he said.

T. Boone Pickens, a former oil and gas executive and current proponent of alternative energy, said that while he disagrees with much of the institute's study, it did get one thing right.

"America has an ever-increasing supply of natural gas and those reserves and development of untapped shale resources should be utilized to meet expanding energy needs, especially in power generation," he said.

Gerard said the Department of Interior is delaying the process of granting offshore leases for exploration and drilling, has placed large areas off limits and is slow to issue permits in areas where exploration and drilling are currently allowed.

The Department of Interior and the Bureau of Ocean Energy Management, Regulation and Enforcement dispute Gerard's statement that they are slow to issue permits or that they are opposed to offshore drilling. In fact, according to the Interior Department, there are more than 42 million acres in the Outer Continental Shelf that are leased and available for permitting.

"We remain focused on raising the bar for safety and environmental protection in offshore drilling, while also continuing to take aggressive steps to strengthen the agency responsible for overseeing offshore energy production," Interior spokeswoman Kendra Barkoff said. "Outer Continental Shelf decisions will continue to be based on science, public input and an open and transparent process."

Ocean Energy Management spokeswoman Melissa Schwartz said there have been a significant number of shallow water permits approved and that they are accepting applications for deepwater permits. However, she said oil companies have not requested many deepwater permits since the moratorium was lifted in October.

"There have only been two permits submitted for new deepwater wells since October 12, one of those is for activity that had been allowed under the moratorium. That means that there is only one application for a new deepwater well," said Schwartz.

At one time, the Obama administration was actively trying to increase the area available to oil and gas companies for exploration and drilling as part of a strategy to become less reliant on foreign energy.

In March 2010, President Barack Obama and U.S. Department of Interior Secretary Ken Salazar announced a plan to expand oil and gas development along the Outer Continental Shelf and the Eastern Gulf of Mexico.

"By responsibly expanding conventional energy development and exploration here at home we can strengthen our energy security, create jobs and help rebuild our economy," said Salazar.

But the April 2010 explosion and subsequent spill at BP's Macondo Oil Field in the Gulf of Mexico stopped those expansion plans. The Department of Interior later issued a moratorium on deepwater drilling that lasted until October 12. There was no moratorium on shallow water drilling as it was deemed less risky.

Gerard said that incidents like the BP spill are rare and the oil and gas industry is committed to improving safety, but said the oil and gas industry can work on improving safety, explore new resources and create jobs all at the same time. "More domestic production of oil and natural gas both onshore and offshore is critical to jobs for all Americans, a stronger economy (and) an enhanced energy security," he said.

@highlight

Oil industry promises hundreds of thousands of jobs if Congress opens more areas to drilling

@highlight

Department of Energy says millions of acres are leased now and not being drilled

@highlight

Interior Department says oil companies aren't applying for deepwater drilling now