(CNN) -- Same-sex marriage has risen into the headlines again, as the U.S. Supreme Court mulls over whether or not it should weigh in on its constitutionality. But even Sen. Rand Paul, a likely contender for the Republican presidential nomination in 2016, has suggested that it should not be a matter of federal concern. "It is a local issue and always has been," he told an interviewer in South Carolina this past week. The tide on this issue seems, quite rapidly, to have shifted.

Even Christians -- who once stood uniformly against same-sex marriage -- have become more comfortable with the idea, and, one by one, mainstream churches have begun to reconsider it. One thinks back to those five little words Pope Francis uttered in 2013, spoken casually on a plane flight one evening when reporters asked about his attitude toward gays: "Who am I to judge?"

These were astonishing words, with this Pope adopting a tone very different from that of his predecessor, who condemned homosexuality as an "intrinsic moral evil." Francis was, of course, only echoing the words of Jesus in Matthew 7:1: "Judge not, that ye be not judged." That's a powerful teaching, and the pontiff opened a door by his loving attitude, one that will not easily be closed.

Change has been coming quickly, in fact. Only last June, one saw the powerful Presbyterian Church officially change its position on same-sex marriage. By a vote of 429-174, the elders of the church allowed clergy to marry gay couples in states where that is permissible by law. This vote cleared the way for same-sex marriages in some 10,000 churches in the United States.

Of course, the Episcopal Church (to which I belong) has been open to gay marriage (and clergy, as well) for a long time. In 2003, it elected its first openly gay bishop, Gene Robinson. This bold move created a schism, with a number of parishes leaving the main body of the American church.

The worldwide Anglican Communion has indeed been roiled for more than a decade by the gay question, with many African parishes strongly in opposition to homosexuality. Yet even in Uganda, one of the most anti-gay of African nations, movement has occurred, as when in August that country's Supreme Court struck down a hideous law that sent gays to prison for life simply because of their sexual orientation.

Only a week ago, former President Jimmy Carter -- a lifelong Baptist and Sunday school teacher -- spoke out for gay rights at a college in Michigan. "I never knew of any word or action of Jesus Christ that discriminated against anyone," Carter said, provoking huge applause.

He has, for some time, approved of civil ceremonies for gay people, although he maintains that each church has the right to make its own decision on same-sex marriage. "I'm a Baptist," he said, "and I believe that each congregation is autonomous and can govern its own affairs."

Where he stands personally, however, is not in doubt.

Much of the opposition to homosexuality among Christians over the centuries can be traced to the letters of Paul, the apostle, who also had difficulties with women -- although I do believe that, in context, Paul's attitudes are more complex than many assume. It's important to remember, though, that he was raised an orthodox Jew, a Pharisee by training, and there was a strong prohibition against homosexual acts in many strains of Judaism, as in Leviticus 20:13.

But Judaism is a religion of many voices -- a quick glance at the Talmud will make that obvious. Nobody gets the last word on any issue of note.

So what did Jesus think about homosexuality -- or sexuality itself, for that matter? In Matthew 19, he offered his well-known teaching on marriage: "Have you not read that the One who made them at the beginning made them male and female, and said, 'For this reason a man shall leave his father and mother and be joined to his wife and the two shall become one flesh'? Therefore, what God has joined together, let no one separate.'"

This verse provided a basis for the traditional Christian bias against divorce -- a bias that has, necessarily, eased in the past century, when the facts on the ground simply demanded that a change in attitude occur. So many Christians were divorced that it became impossible to hold this line firmly.

But it's important to see these words of Jesus about divorce in context, too, especially in the context of gays. In fact, Jesus went on to comment on his own teaching when questioned further: "Not everyone can accept this teaching, but only those to whom it is given. For there are eunuchs who have been so from birth, and there are eunuchs who have been made eunuchs by others, and there are eunuchs who have made themselves eunuchs for the sake of the kingdom of heaven. Let anyone accept this who can." (Matthew 19:11-12)

Now that's complicated.

So what is a eunuch? In Greek, the word is eunochos, and it occurs eight times in the Greek scriptures. The word usually refers to castrated men, but it has many meanings, and one of them is "an ineffectual, powerless, or unmasculine man."

One recalls that Alexander the Great, in fact, had a male lover called Bagaos, who was described as a eunuch.

So a eunuch was, in some instances, a gay man. If I read correctly what Jesus says about eunuchs who "who have been so from birth," he may well refer to this sort of person. Certainly, there has been a lot of discussion of this topic among gay Christians.

I myself believe that God has a loving eye for all of his creation and judges harshly only those who choose to judge -- and condemn -- others. As the poet William Blake put it beautifully: "Everything that lives is holy." The mainstream Christian churches seem to be moving in this direction, however slowly, and this is cause for celebration.

@highlight

Jay Parini: Some religions comfortable with same-sex marriage; others still struggle

@highlight

He says Pope changed things for Catholics when he said of gays, "Who am I to judge?"

@highlight

Scriptures' meaning hard to divine in context of the day, Parini says

@highlight

Jesus' words -- "Let anyone accept this who can" -- seem in line with Francis' view, he says