(CNN) -- City life can be stressful.

Johannesburg life can be hair-pullingly, nail-bitingly, heart-attackingly stressful.

So leaving the city once in a while is essential.

"I love the diversity and anonymity of Joburg," says management consultant Genevieve De Carcenac, who moved to Joburg from a sleepy village in northern Kwazulu-Natal 17 years ago.

"People have such drive here and it's the hip and happening place to be in South Africa. But it's quite a pressurized environment and this forces you to get out when you can.

"You need to unwind in big sky country."

Here are four places to do just that.

Pilanesberg National Park

Some Joburgers turn their noses up at this game reserve, saying it's like a zoo.

That's because it has tarred roads and is only a couple hours drive away.

But it's pretty big (220 square miles), malaria-free, has the Big Five and the animals are definitely wild, judging by the bull elephant that charged me last time I visited.

The best way to appreciate the park is to pack a few cool ones and some meat and start the day with a fry-up at one of the many braais provided.

It's very do-able to spend just a day at the park, located west of Pretoria.

There are gravel roads to escape the crowds and although guided safari drives are available it's more fun to drive yourself. You'd be pretty unlucky not to see some impressive animals.

South Africans are generous about sharing sightings so if someone waves you down, they may want to point out where to go.

Accommodation ranges from camping to luxury lodges. If you like being in nature but not roughing it, an executive safari tent at Bakgatla Resort (Bakgatla Resort; Bakgatla Gate; +27 14 555 1045) is around R1700 ($160) in peak season.

Or for a surreal experience, Sun City (Sun City; +27 14 557 1000) borders the park. The themed resort is South Africa's Las Vegas and takes kitsch to a new level -- but can be pretty fun.

Pilanesberg National Park

Drakensberg mountains

South Africans refer to this range as simply the Berg (mountains) -- as if there were really only one that counts.

Depending on where you go it takes three to five hours to drive here from Joburg, but it feels like another world.

With peaks up to 3,500 meters high, the Berg are one of the most spectacular mountain ranges in the world and where Joburgers come for a complete change.

The contrast with city life could not be more stark, from the wide open spaces instead of electric fences and a slower rural pace of life instead of constant rush.

The Northern Berg are closest to Joburg and bounded by an eight-kilometer high rock escarpment. To lie on the grass gazing up at the escarpment from Thendele (uKhahlamba-Drakensberg Park 036 438 6411; from R900 ($84.50)), a hutted camp in its shadow, is an uplifting experience.

There are day hikes of varying lengths from here up the Tugela Falls waterfall.

Avoid the R74 when driving to the northern Berg. An 18-kilometer section is still unfinished and avoiding the potholes and navigating through the frequent mists while trying not to drop off the edge is terrifying.

The Central Berg encompasses some of the most challenging peaks such as Cathedral Peak and Giant's Castle. Detailed maps and preferably guides are needed for hiking here -- snow, floods, arduous climbs and snakes make it a serious prospect.

Cathedral Peak is popular with South Africans families and has fantastic facilities, but the decor is decidedly 1980s. You can stay in a dorm (from R150 ($14)) or a traditional rondavel (from R250 ($23.50)) at Inkosana Lodge (Inkosana Lodge; R600; +27 36 4681202), which has a great asset in the form of owner and former mountaineer Ed.

Midlands

Rolling green fields, cows, drizzle and mist. Not England, but the Midlands three hours drive south of Joburg in KwaZulu-Natal.

The area was originally settled by British farmers. The dairy cows lead a happy existence here, making for a delicious cream tea.

The Midlands are lovely to visit in autumn or winter, when you can warm up around the fire after a stroll over the hills and eat and drink in one of the many excellent hotels.

Staying at Hartford House (Hartford House; Hlatikulu Road, Mooi River; +27 33 263 2713) is like being in the middle of a posh English country estate.

It's also a working stud farm, housing famous stallions from racing history, which you can visit on a tour. The restaurant is one of the best in South Africa, a blend of classical and inventive use of local ingredients.

The Midlands Meander isn't that easy to navigate, mainly due to the ridiculous ye olde worlde names given to places that tell you nothing about what they offer.

There are several interesting micro-breweries and craft shops along the way. Tsonga shoes are locally made and benefit rural communities. (They're also the most comfortable shoes I've ever worn in my life.)

The Midlands are a convenient base to visit the famous battlefields around the towns of Ladysmith and Dundee. It may seem like boring history but the stories behind the battles between British and Zulu warriors in the green foothills are spell-binding.

Magliesberg

You'd describe this ancient mountain range as pleasant, rather than awesome like the Drakensberg.

But it's under two hours from Joburg and a great place to breathe fresh air and recharge.

There's a 120 kilometer-long mountain range to explore, as well as forests, streams and Hartebeesport Dam, which borders the Magliesberg in the east.

I only have one moan, and that's the lack of public walking trails. The only way around it is to join a guided walk on private land, pay for day access or stay somewhere you can hike.

You can burn off some stress walking at Mountain Sanctuary (Mountain Sanctuary; Maanhaarrand Road; +27 14 534 0114) nature reserve and cool off by jumping into the clear rock pools. This is also a lovely place to stay, either camping (R100 ($9.40)) or in a log cabin (R450 ($42.30)).

I also like Kashan Country House (Steynshoop Mountain Lodge; Steynshoop Farm Hekpoort; 014 576 1035), right at the foot of the mountains and that does simple but delicious food.

Magalies Sleepy River campsite (Magalies Sleepy River; R560; +27 82 555 9681) has lots of shady spots. Though many South Africans view camping as an excuse for a party and it can get pretty rowdy.

The Magliesberg Canopy Tour (Magliesberg Canopy Tour; Sparkling Waters Hotel; +27 (0)14 535 0150) is not for those with a fear of heights. You slide down cables between platforms perched high on the rock face (R495 ($46.50).

There's also a fantastic view of the mountains from a hot air balloon, operated by several companies.

Claire Hu is a wine, food, culture and travel journalist based in South Africa.

@highlight

The Drakensberg mountains are just a few hours from Johannesburg, but feel like another world

@highlight

The Midlands are a convenient base to visit famous battlefields around the towns of Ladysmith and Dundee

@highlight

Magliesberg is a great place to breathe fresh air and mess about on the river