(CNN) -- Business leaders, heads of government, entrepreneurs and even the odd celebrity will be rubbing fur and down-quilted shoulders at Europe's highest altitude town, Davos, for the World Economic Forum's annual meeting this week.

The high-powered talk-fest, founded by German economist Klaus Schwab in 1971, has become a vital part of the business calendar -- for the intensity of its networking as much as declarations of action from the speakers' podiums.

WEF describes itself as "an independent international organization committed to improving the state of the world by engaging political, academic and other leaders of society to shape global, regional and industry agendas."

As is traditional, the theme of its annual meeting in Davos is sweeping and, at first glance, somewhat opaque: "The Reshaping of the World: Consequences for Society, politics and Business."

The WEF says the theme "reflects on the disruptions that societies face on a global scale driven by rapid technological and scientific innovation, accelerating social change and a shifting global economic order."

According to CNN's Richard Quest, the WEF may have a point with its choice of theme. The world has changed, Quest says, after its emergence from the wreckage of five years of crisis. In its wake, there is "a landscape where old rules no longer exist and the new ones have yet to be written and agreed."

"The issues are prescient, they are on everyone's mind, we all know that 'times are different' and we are by no means sure how to handle them," Quest says.

But he ponders whether those at Davos will be able to unite to plot a way forward in this new landscape.

If it's a question of numbers, they've certainly got a head start.

The 44th annual meeting is bringing together more than 2,500 leaders, thinkers and public figures representing more than 100 countries. It is strictly invitation only.

Certain groups -- heads of state, faith leaders, academics, social entrepreneurs, members of international organizations and news anchors -- can attend free of charge, but for businesses, the cost of a ticket is approximately $20,000.

For that fee, from January 22 to 25 participants will be able to attend more than 250 sessions and workshops based around the overarching "reshaping" theme.

Guest speakers range from the European Commission President Manuel Barroso, International Monetary Fund head Christine Lagarde, United Nations General Secretary Ban Ki Moon and Microsoft founder Bill Gates to actors Matt Damon and Goldie Hawn.

The forum is taking place against a backdrop of violent conflict in South Sudan, the Central African Republic and Syria. Syrian opposition leader George Sabra will be at the Davos gathering, with a second round of peace talks being held in another corner of Switzerland -- on the shores of Lake Geneva -- the same week.

Bloodshed in the Middle East and North Africa has disrupted the region's economies, with the World Bank's latest report saying they remained depressed after the Arab Spring that began in Tunisia three years ago and sparked Syria's civil war.

"Political turmoil in Egypt, stalemate in Tunisia and an escalation of the civil war in Syria with spillovers to neighboring Lebanon and Jordan have weakened activity in the developing oil-importing countries," the report said.

In Iran, there has also been a fall in production but the World Bank points to international sanctions as the reason.

However, that may change after last year's historic deal between world powers on an interim deal with Iran that imposes limits on its nuclear program in exchange for sanctions relief.

Iran's President Hassan Rouhani -- who replaced the country's controversial previous president, Mahmoud Ahmadinejad, last year -- will be at Davos and is due to speak on the subject of "Iran in the World."

Also walking the WEF corridors will be Israeli Prime Minister Benjamin Netanyahu, who has described Rouhani as "a wolf in sheep's clothing." He is scheduled to speak on "Israel's Economic and Political Outlook." President Shimon Peres will speak on "Celebrating the 'Spirit of Davos'" -- which will perhaps explain why the traditional enemies are going to the same talk-fest party.

Participants will have some reason to celebrate, as the global economy has shown signs of improvement since last year's meeting.

China, often the focus for economic hope, has pushed through bold policies under its new leadership. The country's 300-plus political elite have reportedly agreed to curb government meddling in the economy and make state-owned enterprises compete with the private sector on a level playing field. Davos sessions include one on China's outlook and another on how China, Europe and the U.S. can compete and collaborate.

Meanwhile, in Japan, Prime Minister Shinzo Abe's bold measures to jump-start his country's economy -- dubbed "Abenomics" -- has had an impact, with an initial jump in growth before the economy weakened. He is a speaker at the forum, under the topic "The Reshaping of the World: Vision from Japan."

Europe, whose ailing economic health has dominated discussions at the last two year's events, appears to be off its sickbed. Last year the eurozone returned to growth for the first time since 2011 but the difference for ordinary citizens may be negligible, and austerity measures are still in place. Youth unemployment in Spain and Greece is above 50%, while rates in Portugal, Italy and Ireland are all above 30%.

As for the United States, much of 2013's focus was on the debt ceiling and October's government shut-down. Government dysfunction passed the economy as Americans' top concern in Gallup's polling late last year.

U.S. Secretary of State John Kerry will attend Davos and deliver remarks on "the United States' commitment to and engagement in the Middle East region," according to the State Department.

Kerry has been working to achieve a peace deal between the Israelis and Palestinians but recently the U.S. has faced diplomatic hurdles closer to home.

A top concern of America's traditional allies may well be the U.S. National Security Agency's surveillance program, details of which were revealed in documents leaked by Edward Snowden last year.

German Chancellor Angela Merkel, allegedly among those targeted, is a frequent Davos attendee but will not be present this year. This is not, a spokesman said, because of her skiing accident -- she fractured her pelvis on recent visit to Switzerland -- but because the event coincides with a government meeting.

While those attending Davos may not be focusing on their winter sports activities, it is on the side-lines of the main program that some of them may go "off-piste."

The raclette, gluhwein and hot chocolate chats could be the ones where deals are brokered.

Read more: All you need to know to be a Davos delegate

Read more: China's reforms -- Enlarging but not discarding the cage

Read more: Can Abenomics make Japan's economy fly?

Read more: 2013 -- rich got richer, poor got poorer

@highlight

The 44th WEF annual meeting is bringing together more than 2,500 leaders, thinkers and public figures

@highlight

Speakers range from Manuel Barroso, Christine Lagarde, Ban Ki Moon, Bill Gates to Matt Damon and Goldie Hawn

@highlight

The high-powered talk-fest and a vital part of the business calendar was founded by Klaus Schwab in 1971