(CNN) -- Nobody knows what caused Rosy Esparza to fall out of her seat on a Texas roller coaster ride and plunge to her death.

Six Flags Over Texas has closed the Texas Giant ride amid its investigation into Esparza's death on Friday at its park in Arlington, Texas. Many questions remain unanswered: Was her death a freak accident, or a sign of a larger problem? How risky are roller coasters? And who's in charge of keeping theme parks safe?

On Monday a medical examiner ruled that Esparza was killed by multiple traumatic injuries from her fall.

Dramatic accounts of Friday's incident have emerged, with some witnesses describing family members shouting at the scene and others claiming that the woman had raised concerns with the ride operator about whether the lap bar holding her in her seat was secure.

On Sunday, son-in-law Ronald Segovia told CNN that he did not hear his mother-in-law mention that her lap bar did not lock properly, contrary to witness accounts reported by CNN affiliates.

Opinion: Death by 'amusement'

Segovia and his wife were sitting in front of Esparza, who was seated by herself on the Texas Giant ride.

Details such as conversations between passengers and ride operators are among the things investigators will consider, experts say.

"You're going to look at the operations of it, and the human factor, the human part of the equation," said Bill Avery, an amusement ride and device safety consultant. "Was there an error or omission made by an operator or someone in operations?"

Maintenance and design would also be examined, he said, in addition to details such as the rider's posture and size.

"There's no one answer sometimes," said Robert Swint, an accident reconstructionist.

In Facebook posts, her sons described the situation as a nightmare.

There is no federal regulation of theme parks, and critics say Esparza's death shows that the government needs to keep better tabs on amusement park deaths and injuries and ensure that someone is held responsible when they happen.

The amusement park industry stresses that its rides are "one of the safest forms of recreation available."

The International Association of Amusement Parks and Attractions, a trade group representing amusement parks, says visitors of fixed-site amusement parks have a 1 in 24 million chance of being seriously injured. That would mean it's more likely you'll be struck by lightning, die from a bee sting or drown at the beach.

According to a National Safety Council analysis of amusement park injuries, there were just over 1,200 ride-related injuries in 2011, and about 4% of those caused serious physical harm. Roller coaster accidents accounted for about 28% of the injuries, the council said.

Some industry observers say that amusement parks are loosely regulated, and rules vary from state to state. They note that Six Flags will be in charge of conducting its own investigation into Esparza's death, not an outside independent agency. The company said it will be relying on internal and external experts in its investigation and cannot speculate on what happened.

"While the cause of this tragic accident is still unknown, one thing is clear: Roller coasters that hurtle riders at extreme speeds along precipitous drops should not be exempt from federal safety oversight," Sen. Edward Markey, D-Massachusetts, said in statement Monday. "A baby stroller is subject to tougher federal regulation than a roller coaster carrying a child in excess of 100 miles per hour. This is a mistake."

Markey has called for greater regulation of amusement parks for more than a decade, arguing that it would help prevent injuries. But his measures asking for the Consumer Product Safety Commission to step in have never passed.

Earlier this year, researchers from Nationwide Children's Hospital in Columbus, Ohio, warned that thousands of children are injured yearly on amusement park rides and called for greater regulation.

The amusement park industry says that state regulation is the best way to handle safety. They argue that there are already many layers that keep riders safe, including mechanical and design standards, state and local governments, insurance companies and private safety firms.

As the investigation continues, legal analysts say the threat of a lawsuit against Six Flags is looming.

"As of now, Six Flags is conducting this internal investigation themselves, and also the German manufacturer of the roller coaster has sent people in to investigate ... and see if there was any kind of defect in the roller coaster when this accident happened," attorney and legal analyst Faith Jenkins told CNN. "Obviously they're concerned about accountability and liability in terms of someone bringing a civil lawsuit for negligence and perhaps product liability."

So, should riders be worried?

Avery, who founded a ride safety consulting firm and once headed up safety at several parks, said there are simple steps that visitors can follow.

When it comes to securing safety restraints, Avery said, "as a general rule, it needs to fit snugly near your waistline, above the top of your thighs, so it can hold the passenger in regardless of what kind of forces are applied, and where they're applied, on the human body."

Don't be afraid to ask operators questions, he said.

And if you don't like their answers, he said, "you have the right to say, 'I choose now not to ride.'"

Six Flags Chairman and CEO Jim Reid-Anderson hosted a quarterly earnings call Monday from the Texas theme park, expressing sympathy to Esparza's family.

"We've been here through the weekend to support our team as we work through this tragic event," he said.

Six Flags said it has not experienced a dip in attendance at any of its parks since Friday's incident, but that could change.

"There is a lag in reaction time after an accident, and there could be a short- to medium-term attendance impact at the affected park," Reid-Anderson said during Monday's call.

Reid-Anderson told investors that the ride would remain closed until the investigation is complete.

"You can rest assured that it will remain closed until we are certain it is safe to ride," he said.

CNN's Luisa Navarro, Joe Sutton, Ed Lavandera and Mike Ahlers contributed to this report.

@highlight

Six Flags is investigating after a Texas woman plunged to her death from a ride

@highlight

The medical examiner says the woman suffered multiple traumatic injuries

@highlight

Some say the incident is a sign that more regulation is needed

@highlight

The amusement park industry says safety has long been a top priority