Fort Mill, South Carolina (CNN) -- Standing amid pallets of bottled water, suntan lotion and boxes of candies, Roy Tidwell says he is providing a service that can't be duplicated: shipping needed goods to dozens of charities at a low cost.

"Well, my portion of it is getting goods to help people who are suffering, goods that I can deliver for pennies on the dollar," he said. "And most places that get them are very appreciative."

Tidwell runs Charity Services International, which he says has 50 clients, all charities, including the Disabled Veterans National Foundation and SPCA International.

His business is in the middle of a debate over how charities put a monetary value on the items they donate.

In one instance, the Disabled Veterans National Foundation, using Tidwell's organization as a broker, shipped what it claimed were more than $800,000 worth of goods including chef's coats, hats and football pants to a small charity called U.S. Vets in Prescott, Arizona, in 2009.

But a U.S. Vets spokesman told CNN the total value of the goods was a fraction of that amount. U.S. Vets officials also told CNN that they neither asked for nor wanted the shipment and that it arrived without their knowledge.

Tidwell insisted U.S. Vets knew in advance exactly what was in the shipment.

Last year, the veteran's foundation -- again using Charity Services International as a broker -- sent what it claimed was more than $500,000 worth of goods to a Veterans Administration facility in Little Rock, Arkansas.

Miles Brown, a spokesman for the VA in Little Rock, questioned whether the donations were worth that much. He said the donations, sent in two shipments, consisted of hand sanitizer bottles, bottled water and tote bags.

"At no time did we provide (Disabled Veterans National Foundation) with any documentation regarding the 'fair market value' (or) our assessed value of the donations," he wrote.

The foundation is under congressional investigation to determine whether it deserves its tax-exempt status after doling out millions of dollars to a direct-mail company.

There's an even bigger opportunity to overvalue donations provided to other countries. That's because of the different market values of items from one country to another, particularly when one of the countries is impoverished.

"If a product can be purchased at one level and the charity, for whatever reason, or the intermediary raises the value significantly, then one can say there's a potential for overstatement of value," said Luke Hingson, president of Brother's Brother, a Pittsburgh-based charity that ships donated goods worldwide.

Hingson says he believes some charities are purposely overinflating much of what they distribute to help their bottom line.

"They can declare a lower overhead cost (and) they can claim that they are more effective to the public than their real numbers might indicate," Hingson said.

SPCA International - also a client of Tidwell's Charity Services International -- claimed it sent $816,000 worth of de-worming and antibiotic medicines to an elephant charity in Nepal. But the customs declaration for the shipment, obtained by CNN, showed that its total stated value was $2,500.

Little of charity's money going to help animals

While agreeing that the difference in the price of the medicines is "outrageous," Tidwell explained that the value of the shipment varies depending on the "exit market."

"It would be what you would have to pay for it in the place that it's exiting," Tidwell explained. "And that fact that they might ... be able to purchase similar medicines made in a back room in Nepal for a far lower price doesn't change the value of the medicines that are U.S. produced."

SPCA International told CNN it follows "industry standards and accounting regulations" in placing values on donated goods.

De-worming medication has proven very tricky for many nonprofits because they say there is no uniform standard for determining their fair market value.

Operation Blessing International, a charity run by Pat Robertson and the Christian Broadcasting Network, decided to stop including the value of anti-parasite medications in its donations "until industry standards for the recognition and valuation of these medications become clearer," the charity said in its most recent IRS tax filing.

But CharityWatch president Daniel Borochoff says determining the worth of gifts-in-kind donations is simple: Charities should report what they paid for the items.

"Rather than wasting ten thousand dollars to purchase 'market data' in order to come up with inflated valuations of pharmaceuticals, charities need to value the drugs that they purchase at the price they paid for them," Borochoff wrote.

Last year, CharityWatch spotlighted the issue of how and why many charities overvalue their non-cash donations, or gifts-in-kind, in an article titled "The Alice in Wonderland World of Charity Valuation."

That article called out charities that "place high values on GIK (gifts-in-kind) donations" in order to "falsely appear to be spending a higher percentage of their funds on programs than other groups that receive mostly cash contributions."

On top of that, many times these charities "do not buy drugs but actually receive them as a donation" and then "wildly overstate their value," Borochoff notes.

And then, Borochoff said, charities are allowed to "hide ... what specific drugs they claim to be distributing and at what price they value them."

That, he said, is the heart of the problem.

"Until charities start disclosing this information, the public and media should rightfully continue to doubt the reported values of in-kind goods," he said.

And it's not just a few errant charities. The issue of overvaluing donations is "industry-wide," Borochoff told CNN. He said the executives of different nonprofits actually work together to determine how certain gifts-in-kind should be valued.

"They conspire and say, 'Oh let's value it this way ... we'll come up with this rationale' ... and then they'll say it's an industry standard," he explained. But Borochoff said things are starting to change now that the IRS is becoming more aware of the problem.

Why do charities purposefully overvalue their donations? Pretty much because everyone else is doing it, Borochoff said. He compared the situation to sitting in the audience at a baseball game or concert. When one person stands up and blocks your view, you have to stand up, and then the person behind you stands up.

"It's all gotten so out of hand because in order to compete you need to exaggerate," he said. "They have to exaggerate their revenues so they look good... 'Hey we're in the philanthropy 1000 or on the Forbes list... like somehow bigger is better... which it's not if the numbers are exaggerated."

Editor's note: A previous version of this story incorrectly said that Operation Blessing International made the decision to stop including the value of anti-parasite medications in its donations "as the IRS investigated its finances." CNN's reporting was inaccurate, since no IRS investigation was launched. CNN regrets the error. This is the latest in CNN's ongoing investigation into national charities as part of the Keeping Them Honest series on "AC360Â°."

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Several charities have valued donations much higher than their actual worth

@highlight

A charity said it sent $816,000 worth of medicine, but customs put the value at $2,500

@highlight

Some charities say there's no uniform standard for reporting values

@highlight

But CharityWatch says charities should report the amount they paid for donated items