(CNN) -- One of the key demands from the national wave of demonstrations protesting recent police killings of unarmed black men is that law enforcement agencies expand the practice of equipping officers with dashboard cameras, body cameras and other recording devices, on the theory that visual recordings of controversial encounters will make it easier to discover the truth in situations like the shooting of Michael Brown in Ferguson, Missouri, or the choking death of Eric Garner in New York.

Activists from coast to coast have decried the lack of a grand jury indictment in either case. But a strong word of caution is in order for those who think the widespread use of cameras will reduce or eliminate instances of police brutality or unjustified killings. The available evidence makes it far from clear that cameras will have the beneficial effects being promised.

The public's natural tendency to want to see for itself what has happened is understandable. "We won't have to play this game of witnesses' memories and secret grand juries," if cameras are more widely used, says Benjamin Crump, the Brown family attorney, who is pushing what he calls the Michael Brown law. "It'll just be transparent and we can see it for ourselves. We can hold people accountable when they have interactions with citizens."

The idea is gaining traction. President Obama has announced a $263 million package to help local police departments buy and use 50,000 cameras, and the New York Police Dept., the nation's largest, has launched a pilot program.

But two criminology professors at Arizona State University, Justin Ready and Jacob Young, say cameras often come with unintended negative consequences.

"In our field research on body cameras, there have been many times when cameras made matters worse for the officer," the professors write. "For example, in one situation an officer was trying to comfort a teenage girl who lived in an abusive home, but he found it difficult to show compassion and respect for her privacy with the camera rolling. ...The device can be a physical reminder to crime victims that they are on camera at times when they are most vulnerable and in need of privacy."

Since statistics show that fewer than 20% of police calls involve felony crimes and only 1% of calls result in the use of physical force, the vast majority of recordings will capture vulnerable victims rather than document instances of police using force. There's a related issue of whether witnesses will be less willing to share important information with officers if they suspect the conversation is being recorded.

Another problem involves the crucial issue of when -- and whether -- officers are simply turning off cameras at crucial moments. In New Orleans earlier this year, a police officer shot a man named Armand Bennett in the forehead during a traffic stop, then failed to report the fact the incident happened (for which the city's police chief later apologized). As the press dug into the story, it turned out that the officer who shot Bennett was outfitted with a body camera, but the device was switched off.

In San Diego, two controversial shootings were captured on police body-cam videos this year -- but police refused media requests to make the footage public, undercutting the idea that a video record can help the public understand what happens in a controversial case.

Even when camera footage is available, say professors Ready and Young, "it is possible that on-officer video creates a polarizing effect on some controversies because people with strong convictions about what has transpired during a police shooting may use the 'facts' that they see in the video footage to support their expectations about what occurred in the blind spots."

Washington Post blogger Radley Balko points out that merely having cameras isn't enough: "In addition to making these videos public record, accessible through public records requests, we also need to ensure that police agencies implement rules requiring officers to actually use the cameras, enforce those rules by disciplining officers when they don't and ensure that the officers, the agencies that employ them, and prosecutors all take care to preserve footage, even if the footage reflects poorly on officers."

An additional problem is that evidence suggests that the presence of cameras doesn't necessarily make police officers more courteous or careful. A much-touted study of police in Rialto, California, found that using cameras led to a 60% drop in the use of force and a 88% decline in citizen complaints in a single year.

But that experience is not universal. Dashboard cameras had been in use in Seattle for years, but in 2011 a federal Justice Department investigation still concluded that the department "engages in a pattern or practice of using unnecessary or excessive force."

According to professors Ready and Young, "police are actually more proactive when wearing cameras," in part because they can record circumstances that will support their reasons for taking action.

As the nation prepares for the next 50,000 body-cams to hit the street, we'll face the same underlying question: Are the cops keeping us safe and also respecting everyone's civil liberties and constitutional rights? That's a question no amount of technology can answer.

@highlight

Some argue that more cameras will help prevent cases like Brown, Garner killings

@highlight

Errol Louis says people should beware of unintended consequences

@highlight

He says cops may be less likely to respond well in some cases, victims may be inhibited

@highlight

More technology may not be the answer to better policing, he says