(Mental Floss) -- Almost everyone knows that each state of the Union has its own flag. State flags, however, are just the most visible elements of an elaborate, esoteric system of legalized symbols that characterize and codify our united states. It's time we were all exposed to the bizarre symbology of state identity-politics.

Texas' state flower, the bluebonnet, is celebrated in the Texas state song.

To begin with, some of the most well-known state symbols allude to lesser-known meanings and histories. I grew up in Wisconsin and only recently learned that the Badger State title originally refers not to Bucky, nor to the savage beast itself, but to lead miners in the 1820s and 30s.

These miners moved from prospect to prospect in southwestern Wisconsin, traveling light and often, with little money for luxury. When winter came and conditions worsened, those miners too far from home to migrate would dig themselves sheltering caves in the hills -- like badgers.

These temporary dwellings could be abandoned if a prospect proved fruitless, without much regret; and if the lead pickings were good, the lucky miner could fluff up his badger hole or upgrade to a more traditional Euro-American residence. For this practice Wisconsin miners were dubbed "badgers" -- a jibe that was soon appropriated as a proud, statewide nickname. Bucky didn't come along until 1949; the furry, quadruped badger, notoriously vicious when cornered, wasn't declared Wisconsin's state animal until 1957.

Other miners migrated south for the winter to the far end of Illinois, much like the region's sucker fish; which earned them the nickname of Suckers, and their state of Illinois its unenviable nickname, The Sucker State. Mental Floss: How 22 colleges got their nicknames

'Rebel' woodpecker

The state bird of Alabama has another tale behind it. They honor a little woodpecker they call the yellowhammer, which is known outside of Alabama as the northern flicker, the common flicker, or simply The Flicker. (It eats a lot of ants, and is not to be confused with the yellowhammer bunting of Europe and New Zealand.)

State birds are chosen for reasons many and varied, some meaningful and others frivolous -- from the pretty songs they sing to their proximity to extinction -- and I believe this is the only bird singled out for its resemblance to Confederate uniforms.

The story goes that a clean, trim, flashy bunch of new Confederate recruits one day passed by a weary, bedraggled, dusty pod of veterans, and their fresh uniforms, grey tinged with brilliant yellow, reminded some jokester vet of the woodpecker, so he let out a mocking call: "Yallerhammer, yallerhammer, flicker, flicker!" The jeer stuck, and the recruits were soon labeled the Yellowhammer Company.

Later, as these things go, all Alabama troops were known as Yellowhammers, the whole state as the Yellowhammer State, and Confederate veterans developed a habit of wearing yellow feathers in their caps and lapels to dress up for post-war reunions.

How entertaining and informative. But the real fun starts when these state symbols more shamelessly approach the ridiculous. Let us consider some of the finest specimens:

Eat and drink to the honor of the state

Most states have at least one form of official food. In Louisiana, the official doughnut is the beignet. (I'm unaware of any other state doughnuts -- and I'm disappointed.) New York's official muffin is made with apples; Minnesota's with blueberries; and none have yet found it fit to honor the vegan bran and raisin muffin, despite whatever strange wonders it works on the abdominal tubing.

Vermont is the only state with an official flavor: maple, as in maple syrup -- but because they've designated the "flavor," not the "syrup," we can assume the appointment includes everything from maple-glaze for ham to autumnal maple lattes.

Shockingly, Oklahoma has recognized a complete (and daunting) meal: fried okra, squash, cornbread, barbeque pork, biscuits, sausage and gravy, grits, corn, chicken friend steak, black-eyed peas, strawberries, and pecan pies. Mental Floss: 6 food challenges for the super hungry

As for state drinks, Nebraska has Kool-Aid, Indiana has water (hubris!), and Alabama, the standout, has Conecuh Ridge Alabama Fine Whiskey -- a re-creation of some well-regarded illegal moonshine made in the backwoods by a man named Clyde May.

Silly, sentimental, and insulting songs

All states have songs, too, except New Jersey. Most states have more than one. There are state ballads, state marches, state waltzes, and so on. Connecticut has a state cantata (a narrative piece intermixed with solos and choruses); Louisiana has a state environmental song ("The Gifts of the Earth"); Massachusetts a polka ("Say Hello to Someone from Massachusetts"); a couple states have lullabies; and Ohio has an official rock song, "Hang On Sloopy." Two state anthems, Maryland's and Iowa's, are set to the familiar tune of "O Tannenbaum!", or "O Christmas Tree!"; but no states have designated official Christmas songs.

And despite Texas' tough boy image (their official footwear is the cowboy boot), it's the only state with an official flower song -- in praise of its state flower, the bluebonnet.

Many of the traditional states songs are brazenly effusive. Arizona's begins, "I love you, Arizona," and continues, rather romantically, "You're the magic in me." California's is similar, without the magic: "I love you, California, you're the greatest state of all." South Dakotans use the superlative when singing to "The state we love the best."

Usually they're just hilarious, but a few of these songs bear some heinously outdated lyrics. With a nod to the old Eternal Feminine, North Carolina praises its women as Queens of the Forest, "So graceful, so constant, yet to gentlest breath trembling." The real trouble comes, though, with old minstrel tunes that portray humble "darkies" praising "old Massa" in song and romanticizing their cotton-picking servitude. Kentucky changed the language for "My Old Kentucky Home" in 1986 to glaze over such indiscretions. But Virginia still seems to have trouble acknowledging its error, and simply demoted its song, "Carry Me Back To Old Virginny," to the status of "state song emeritus." Virginia still seeks an adequate replacement, preferably one that doesn't idealize slavery.

Every state for itself

Besides these strange variations on common themes, many states have even more idiosyncratic symbols. Since 1962, the official sport of Maryland has been jousting, and more recently, the state's official "exercise" was declared to be walking. Not even mall-walking or speed-walking -- just "walking."

Kentucky doesn't have a "sport," but it does have an official tug-of-war: the Fordsville Tug-of-War Championship. Mississippi has a state toy, the teddy bear; Massachusetts a state bean, the navy bean; and Oklahoma proudly boasts the only state cartoon character, a gust of wind named Gusty that was used to report weather and news, between 1954 and 1989. Mental Floss: State nickname quiz

While many designations seem absurd, most aim to represent some definite aspect of a state's intended "character." Legislators want icons that mean something, that give you a sense of the land and its people -- something like the bolo tie. Arizona named the bolo tie its official neckwear back in 1971. And more recently, in 2007, New Mexico added the same to its list of emblems. Apparently, it was an Arizona silversmith who invented the string-and-buckle necktie when he took off his hatband to avoid losing the precious buckle during a high-wind horse ride, and hung it around his neck. This discovery occurred as late as 1940, but the bolo's become such an icon that it's hard to imagine a Wild West without it.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Wisconsin's Badger State comes from miners who dug caves to survive winters

@highlight

Alabama's state bird is a flashy-looking woodpecker

@highlight

State drinks: Nebraska -- Kool-Aid, Indiana -- water

@highlight

Mississippi state toy: the teddy bear; Massachusetts state bean: navy bean