(CNN) -- International investors looking to tap into Zimbabwe's economy should not be deterred by its political problems, the country's finance minister has said.

Tendai Biti, who's been trying to steer Zimbabwe onto a path of economic stability -- a task he's described in the past as the most difficult job in the world -- has been on a mission to drum up foreign investment to help boost the country's fragile economy.

Speaking to CNN's Robyn Curnow, Biti said there's no doubt his country "needs to get its politics right, which is why an election is inevitable in Zimbabwe."

He stressed, however, that the country's doors are still open to foreign investments, urging the international community to engage more with Zimbabwe.

"What is also undisputable is that despite the political, it is still a place where one can actually invest and can actually get good returns," Biti said.

Two years ago, a coalition government was formed between Biti's party, the Movement for Democratic Change, and President Robert Mugabe's Zanu-PF party.

There were hopes that the stabilization brought about by the political agreement would see new foreign investment in the country. But political uncertainty and lack of clarity in financial policies still represent major concerns for foreign businesses.

Zimbabwe's Indigenization and Economic Empowerment Act, which was passed by a Zanu-PF-controlled parliament last year, requires foreign businesses to submit plans within five years for transferring 51% of their investments to black Zimbabweans.

But Biti says the law doesn't mean expropriation of foreign companies.

"There's a lot of mistrust in the Zimbabwean economy, but mistrust comes out of ignorance," he says.

"You have to understand what you are dealing with and a lot of people don't understand what they're dealing with, because there's a lot of negativity that has jumped out on the internet and in the newspapers."

Biti, who inherited an economy battered by record hyperinflation and 90% unemployment, says he doesn't underestimate the political difficulties that still exist in the country and the uncertainty over the power-sharing agreement.

"I'm not sweeping it under the carpet, which is why we need a new constitution, which is why we need the rule of law, which is why we need respect for each other, including respect for property rights," he says.

Last year, Biti's efforts to improve Zimbabwe's economy seemed to be given a boost when the country was allowed to sell diamonds from the Marange diamond fields, 66,000 hectares of land near Zimbabwe's border with Mozambique.

Overall, Zimbabwe says it has a stockpile of Marange diamonds estimated to be worth about $1.7 billion.

But according to Biti, the precious stones have not yet proven to be the "El Dorado that many people thought," contributing only $35 million to the country's coffers last year.

"Part of the problem lies in the illegal smuggling that we think is still happening, and part of the problem lies in the fact that we need the Kimberly Process stamp of approval," says Biti, referring to the group which monitors trade in the precious stones to stop the use of blood diamonds to fuel conflicts.

Zimbabwe's harvest of diamonds in the Marange district has sparked controversy in recent years after accusations by groups such as Human Rights Watch and Global Witness that military-run syndicates were funneling money from the diamond fields to Mugabe's party.

But Biti says he has no evidence of that.

"What I can tell you is that this is such a fungible mineral found over a huge space of land, close to a very long border in a very inaccessible mountainous region, so anyone and anybody can smuggle," he says.

He adds, however, that there should be action to tackle the problem.

"We are not the first country to discover diamonds, which is why we want to be part of the Kimberly Process certification scheme, " he says.

"We believe we can comply, we believe we can operate consistent within the international standards."

@highlight

Tendai Biti has been leading Zimbabwe's efforts to stabilize its economy

@highlight

He says investors can make good returns despite the country's political problems

@highlight

According to the finance minister, an election in inevitable in Zimbabwe