(CNN) -- When I think about the importance of voting, I think about kids and what kind of opportunities they are going to have in life.

I've been lucky enough to have incredible opportunities that allowed me to lead a wonderful, successful life even prior to my fortunate career in the entertainment business.

The Comprehensive Employment and Training Act allowed me to work by the age of 12, helping me develop a strong work ethic. Without government financial aid I would have never been able to attend college and along the way, bump into Spike Lee, who offered me my very first role in "Do the Right Thing."

Being an actress, I've had the opportunity to work with poor students, helping to provide arts-intergrated education programs for the past 19 years, working with many young students in Harlem, the Bronx, Brooklyn and the Lower East Side of Manhattan. I am inspired to support young people who want a future in the arts and in jobs that will make their communities better.

I found that these students have incredible dreams for their future. But their dreams could be shattered if we elect the wrong candidates -- people who will pursue policies that do nothing for kids.

The young people I work with come from underprivileged backgrounds. They work hard. They want to achieve the American Dream. And the American Dream is about providing opportunities for all -- rich and poor.

Many of them are the children of immigrants who brought them here when they were little, some documented and some not. Until recently, these students had to live in constant fear of being deported to another country, even though America is where they grew up and is the only home they have ever known.

Some of that fear was lifted when President Barack Obama announced earlier this year that the government will not deport young people who were brought here as children and are currently in school, have graduated from high school or obtained a GED, or have been honorably discharged from the armed forces.

Here's why voting matters.

After the new policy was announced, Mitt Romney's senior adviser, Ed Gillespie, said to CNN that if the Republican nominee is elected, this new policy will be "subject to review and repeal."

That statement brought tears to my eyes. I thought about an applicant to our organization's scholarship program -- a straight-A student whose sole dream is to become a lawyer. She was accepted to multiple Ivy League colleges but could not apply because she was not able to qualify for funding as an undocumented young person. She is thinking of going to John Jay College of Criminal Justice because it is the only place she can barely afford $6,000 a year. But this could still fall through without financial assistance. She would be forced to choose between housing and food, or a degree in law. Even if she does attend college, she will be jeopardizing her stay in the United States as an undocumented person once she enrolls because she has no idea if the policy will remain intact or be rescinded.

She is as American as anyone else, but her parents immigrated here when she was very young. She is now terrified that the new policy will be repealed. She is afraid of being deported. But what terrified her even more, she said, was that she may never become a lawyer.

It's especially important for people who care about kids and education to vote, because too many of our political leaders are just out of touch with these everyday realities.

Mitt Romney recently suggested -- at a private dinner for wealthy donors who each paid $50,000 to be there -- that it would be easier for him to be elected president if he were Latino. As if his privileged background as the son of a millionaire corporate CEO who sent him to Harvard and Harvard Law School was some kind of disadvantage in life.

"My dad, as you probably know, was the governor of Michigan and was the head of a car company," Romney said. "But he was born in Mexico, and had he been born of Mexican parents, I'd have a better shot at winning this... But he was unfortunately born to Americans living in Mexico... I say that jokingly, but it would be helpful to be Latino."

Maybe Romney thinks it's "easier" because he thinks we're all living off of government handouts, or because Jimmy Smits won the election on "The West Wing," or because he's a cynical leader who thinks that optics matter more than policies. But we're not fooled that easily.

Watch: Rosie Perez's video response to Mitt Romney's comments

Romney also said that he is not concerned about "47%" of Americans. As we take in the devastation of Hurricane Sandy, we have to ask: What if it happens again and Mitt is elected? What will the "47%" do if they have to deal with a major disaster without FEMA, without government help?

When I heard what Romney said, I realized that I needed to do more to encourage every citizen to vote in this election.

I'm going to vote because I want elected officials who understand and can relate to the obstacles that young people and their parents face every day.

I'm going to vote because it hurts all of us when at least 11 million hardworking people in this country are vulnerable to exploitation by their employers simply because our government denies them a path to citizenship.

Most of all, I'm going to vote because I believe in an America that provides liberty and justice for all, and I want every child to have the opportunity to pursue the American Dream.

The opinions expressed in this commentary are solely those of Rosie Perez.

@highlight

Rosie Perez: Young people's dreams can be shattered if we elect the wrong politicians

@highlight

Perez: Obama said that he won't deport young immigrants who may be illegal

@highlight

She says Mitt Romney may repeal policy, which would affect students who work hard

@highlight

Perez: It's especially important for people who care about kids and education to vote