(CNN) -- The Scottish Highlands and Speyside region.

The back roads of Kentucky and Tennessee.

Suntory's Yamazaki Distillery and Hakushu "forest distillery."

For seekers of premium malts, these are some of the touchstones of whiskey travel.

Now a new whiskey region is laying claim to world-class status.

And at some distilleries, the youth movement is right out front and center.

At age 26, Jane Overeem has been tasting whiskey since she was 18, primarily as a producer.

She and her father, Casey Overeem, distill some of the world's finest single malt whiskey in the garage of their suburban home in Hobart, capital of the Australian island state of Tasmania.

In the terms of whiskey bragging rights, the Overeems have already hit the distiller's sweet spot above 94 out of 100 -- the score needed to reach "liquid gold" status in the ranking system used by international critic Jim Murray in his annual Whisky Bible.

Tasmania has a solid share of the world's single malt whiskeys that carry the "liquid gold" tag -- a testament to the island's pristine water, richly flavored brewing barley, highland peat and a favorable climate.

Success on the global stage for names such as Overeem, Lark, Nant, Sullivans Cove and Hellyers Road has prompted a trickle of whiskey aficionados to drop into Tasmanian distilleries to taste the product and discuss firsthand with the makers their distinctive characteristics.

And where single malt was once the preserve of the over-55 male, these days the buyers of $150-a-bottle premium whiskey are just as likely to be young and female.

"When I first started going to whiskey shows eight years ago, usually I was the only female," says Overeem. "Now it's more like 50-50 men and women."

The world's most southerly distillery

Visitor interest has given rise to a nascent Tasmanian Whisky Trail (with a website that launched just this week) that runs from Burnie on the north coast of the island, through the picturesque central highlands to the lush valleys around Hobart.

At the end of the trail visitors find the world's most southerly distillery, William McHenry's operation at Mount Arthur, on the fringe of the Tasman National Park.

At 43 degrees south, there's only the vast Southern Ocean between McHenry and the Antarctic.

Some of these distilleries -- notably Hellyers Road at Burnie, Nant at Bothwell and Lark in the popular Hobart waterfront precinct -- have well established visitor centers and tasting bars.

For the others, it's best to make an appointment.

Belgrove Distillery near Kempton is a one-man operation where sheep farmer, sand sculptor and occasional distiller Peter Bignell makes Australia's only rye whiskey at the rate of one 100-liter barrel a month.

"I may be the greenest distiller in the world," says Bignell.

That's not a reference to a lack of experience, but to the size of his carbon footprint.

His rye is grown, malted, fermented, distilled, barreled and bottled on the property.

There's no transportation cost, no wasted heat to dry the malt and minimal water usage.

This sort of boutique operation is a world away from the blended whiskeys that cater to the mass market, where brands such as Johnnie Walker, Jack Daniel's, Jameson, Suntory and McDowell's No. 1 Reserve dominate respectively for Scotch, American, Irish, Japanese and Indian whiskey.

As Tasmania's whiskey godfather Bill Lark describes it, making a single malt is a mixture of science, art and passion.

The big oily barley he uses in his Lark Distillers Selection gives it a spicy, aromatic flavor that earned it the title of Australia's best single malt whiskey in 2009 from the Malt Whisky Society of Australia.

Growing global demand

Sullivans Cove Distillery, based at Cambridge on the outskirts of Hobart, has won its share of awards and praise, including a 96.5 score from the revered Whisky Bible.

But with output of just 20,000 liters a year, chief distiller Patrick Maguire says it's difficult to meet domestic demand, let alone the numerous inquiries he gets from China and India.

"The right attitude for us is quality," he says. "We're growing, but we'll never be a giant distillery."

In the central highlands, where Nant Distillery operates Australia's only water-powered mill to grist its barley, owner Keith Batt aims to make Nant a global brand through a network of whiskey bars.

"We have five whiskey bars now -- two in Brisbane, one each in Sydney, Melbourne and Hobart, and we'll open a new one in London soon," he says. "My goal in five years is to have 70 bars around the world in cities like New York.

"We scored a gold medal and two silvers in Hong Kong in 2013, so the China market is very attractive for us."

Batt says the highest rating Jim Murray has ever given is a 97.5.

"We got a 95.5 for a three-year-old Nant. Our challenge is to find a 98 among our barrels," he says.

At Hellyers Road Distillery overlooking Bass Strait, Mark Littler runs Australia's biggest whiskey distillery as a spinoff from the Betta Dairy Company.

"These are exciting times for us," he says. "In a blind tasting at Whisky Live in Paris a few months ago, we were named best New World single malt whiskey."

Hellyers Road hosts 25,000 visitors a year -- as part of the distillery tour, visitors can choose to fill and wax-seal their own bottle.

At the other end of Tasmania, William McHenry's X factor is the spring water that bubbles up from Mount Arthur.

"I came here for the pure water, to cool the spirit," he says. "It's a very small operation, so I have to aim high."

Top Tasmanian whiskey distilleries

Hellyers Road Distillery, 153 Old Surrey Road, Burnie; +61 03 6433 0439

Nant Distillery, 254 Nant Lane, Bothwell; +61 03 6259 5790

Belgrove Distillery, 3121 Midland Highway, Kempton; +61 04 0914 4560

Redlands Estate, 759 Glenora Road, Plenty; +61 03 6261 5728

Lark Distillery, 14 Davey St., Hobart; +61 03 6231 9088

Overeem Old Hobart Distillery, 37 Brightwater Road, Blackmans Bay; +61 04 1839 9077

Sullivans Cove Tasmania Distillery, 1/14 Lamb Place, Cambridge; +61 03 6248 5399

William McHenry & Sons Distillery, 229 Radnor Road, Port Arthur; +61 03 6250 2533

Tasmanian Whisky Trail

Geoff Hiscock is a former Asia business editor for CNN.com and is the author of "Earth Wars: The Battle for Global Resources." He lives near Sydney, Australia.

@highlight

The Tasmanian Whisky Trail runs to the world's most southerly distillery at Mount Arthur

@highlight

Belgrove Distillery's Peter Bignell makes Australia's only rye whiskey

@highlight

Demographics are changing. Buyers of $150 premium single malt whisky are just as likely to be young and female