Washington (CNN)  -- An American lawyer has been holding secret negotiations with Iran for the release of an Iranian-American being detained for two years.

Reza Taghavi, a retired businessman from Orange County, California, has been held in Iran's notorious Evin prison since his arrest in May 2008 without ever being charged, his lawyer said.

Los Angeles-based attorney Pierre Prosper told CNN he has been talking to the Iranian government since September 2009 and traveled to Tehran in December to seek the release of Taghavi, a retired businessman accused of supporting an anti-regime group.

Taghavi, 71, traveled frequently to Iran to visit family and friends without incident, according to Prosper. In April 2008, he went to Tehran with his wife. Before he left, he was asked by an acquaintance in Los Angeles to take $200 for a friend in Tehran "who was down on his luck." Los Angeles has a large Persian community.

Taghavi did not know the individual to whom he was asked to deliver the money, Prosper said. He handed over the money and two weeks later was detained by Iranian authorities, after the recipient of the money was arrested on charges of association with an anti-regime group called Tondar.

The group, which seeks to restore the monarchy in Iran, claimed responsibility for the April 12, 2008, bombing of the Hosseynieh Seyed al-Shohada mosque in the city of Shiraz.

Prosper declined to name the man, who he said has since been tried and convicted.

Taghavi has a rag-to-riches story, his 36-year old daughter, Leila Taghavi, told CNN. He brought his family to the United States in 1979, before the revolution, and stayed on in California to keep his family safe. Leila Taghavi said her father taught himself English, started a video game company in his garage and grew it into a successful corporation, which he handed over to his son when he retired 10 years ago.

"His life was the American dream," Leila said. "He learned everything the hard way, sacrificed for his children and taught us to be grateful for the good things. He is wonderful, honest and generous, the kind of father every daughter would want."

Taghavi's family was silent for more than a year about his arrest, fearful his arrest would be politicized in Tehran and Washington by getting the American government involved.

"It was blind faith, really," Leila said, explaining the silence. "Not knowing it would take this long, and fear of the system. There was never a doubt of his innocence."

In September 2009, with no movement on the case and losing hope he would be released, they hired Prosper to contact the State Department and initiate a dialogue with the Iranian government.

Prosper said he contacted the State Department about seeking a consular visit by Swiss diplomats, which was denied because Iran does not recognize the dual citizenship of Iranian-Americans.

The United States and Iran do not have formal relations, and Switzerland serves as the "protecting power" for the U.S. in Tehran.

A U.S. State Department spokesman urged Iran to allow Swiss diplomats to be granted consular access to Taghavi.

"We are adamant that we believe he should be released on humanitarian grounds along with all the Americans who are unjustly held there," Mark Toner, a State Department spokesman, told CNN Wednesday.

A senior government official who met with Prosper said the lack of information makes it difficult to help Taghavi.

"As far as we are concerned, there are no facts in the case," the official said. "Our concern is that he should get due process."

Taghavi is one of several Americans in prison in Iran. American hikers Josh Fattal, Shane Bauer and Sarah Shourd were detained on July 31, 2009. According to their families, they accidentally strayed across an unmarked border into Iran while on a hiking trip in Iraq's Kurdistan region. They are being held on espionage charges.

Kian Tajbakhsh, an Iranian-American scholar who spent four months in jail in 2007, was arrested in July after the disputed presidential election and sentenced to 15 years in jail for spying. His sentence was later reduced by an appeals court to five years, and a State Department official tells CNN he has been released for two weeks from jail to celebrate the Persian New Year.

The United States has no information about Robert Levinson, a former FBI agent who disappeared in Iran almost three years ago.

After being hired by Taghavi family last September, Prosper said he contacted the Iranian Permanent Mission to the United Nations and was granted a meeting with the ambassador, who eventually put him in touch with Iran's foreign ministry.

After several months of weekly contact with Iranian officials in New York and Tehran, Prosper was invited to Iran in December for talks about Taghavi's case. Prosper said he was briefed on the Iranian view of the case but was told the authorities were still investigating the matter.

"It's still not clear what the accusations actually are," he said.

Prosper left Tehran without being allowed to see Taghavi, but he was taken to visit victims of the 2008 mosque bombing by Tondar in an Iranian effort to show him the threat the regime says it's facing from "terrorist groups" being financed from sources abroad.

"I think they had me meet with victims and survivors of the bombing to let it be known that they, too, in their eyes had experienced terrorism," Prosper said.

It is unclear why the Iranian government invited Prosper, who served as the ambassador-at-large for war crimes under the Bush administration and as a prosecutor for the Rwanda tribunal at the Hague, for talks in Iran.

Beyond talking about the case and attacks at the hand of the Tondar group, Prosper said his Iranian hosts made no effort to broaden the discussions to include the nuclear standoff between Iran and the West or the Obama administration's offer of engagement.

The facts of the case remain a mystery.

Taghavi's family maintains he is innocent and has never been involved in political activism against the Iranian regime. Prosper acknowledged the case has been a challenge to investigate because of his inability to question people in Iran and the lack of information from the government or Taghavi's Iranian lawyers in Tehran, who don't speak English.

But based on his discussions with the family and his own "due diligence," Prosper said he believes Taghavi is an innocent man, whose only crime is guilt by association.

As a former prosecutor, Prosper said he believes if the Iranians had a case against Taghavi, they would have already tried him.

He's seeking a humanitarian release for Taghavi, who suffers from diabetes and whose health is deteriorating in prison, according to his family.

The political upheaval in Iran after the disputed presidential election and subsequent violent crackdown on demonstrators has complicated his efforts, the lawyer said.

"It casts a shadow over our efforts," Prosper acknowledged. "What I've been doing to my best ability is to cut through that, cut through the fog that has been created, focus on Mr. Taghavi and work with the Iranian authorities on the substance of what happened in 2008."

Leila Taghavi traveled to Iran last year and was allowed a brief visit with her father in prison.

"I saw him behind a window," she said, choking back tears. "It was painful to see your father, an innocent man, behind a window."

"We are chipping away at this," Prosper said. "I want to give them credit for the dialogue, but the proof will be in the results. We are holding out hope because that is the only thing we can do. ... Effectively his life is at stake."

Leila spoke with her father by phone Wednesday morning and said he sounded tired and anxious.

"My biggest hope is that this message reaches people and somebody can do something," Leila added. "Not just for my father, but for the many people that are trying to get their loved ones out of Iran."

@highlight

Businessman Reza Taghavi of California has been held in Iran since May 2008 arrest

@highlight

Attorney Pierre Prosper says he's been talking to Iranian officials since September 2009

@highlight

Family initially kept the detention a secret, fearing publicity would inflame situation

@highlight

Taghavi came to the United States in 1979 before the Islamic Revolution