Los Angeles (CNN) -- NASA announced Tuesday the new retirement homes for the four remaining space shuttles -- three historic orbiters and the program's test vehicle.

The space shuttle Atlantis will be displayed at the Kennedy Space Center Visitor Complex in Florida; the Endeavour, at the California Science Center in Los Angeles; the Discovery, at the Smithsonian's National Air and Space Museum Steven F. Udvar-Hazy Center in Virginia; and the test shuttle, Enterprise, at the Intrepid Sea, Air & Space Museum in New York, NASA Administrator Charles F. Bolden Jr. said during a ceremony at the Kennedy Center.

The announcement was made on the 30th anniversary of the space shuttle program's first flight, made by the subsequently ill-fated Columbia orbiter, and the 50th anniversary of Soviet Cosmonaut Yuri Gagarin becoming the first human in space.

More than 20 locations around the country sought one of the orbiters because of the potential tourist draw. The drama mirrored the bidding to host an Olympic games.

Supporters of sites that were rejected expressed disappointment.

U.S. Sen. John Cornyn, R-Texas, said the Johnson Space Center in Houston should have been one of the retirement homes for an orbiter, "but it is clear political favors trumped common sense and fairness in the selection of the final locations for the orbiter fleet," he said in a statement.

He noted that Houston "played a critical role throughout the life of the space shuttle."

"Like many Texans, I am disappointed with NASA's decision to slight the Johnson Space Center as a permanent home for one of the space shuttle orbiters," Cornyn said.

"There is no question Houston should have been selected as a final home for one of the orbiters -- even Administrator Bolden stated as much. Today's announcement is an affront to the thousands of dedicated men and women at Johnson Space Center, the greater Houston community and the state of Texas, and I'm deeply disappointed with the administration's misguided decision," Cornyn said.

In Los Angeles, shortly after NASA's announcement, California Science Center President Jeffrey Rudolph told reporters that the Endeavour would boost the center's annual 1.4 million visitors to about 2 million people a year.

The center plans to use the orbiter as the centerpiece to a new air and space gallery, which would cost $200 million and is part of the center's 25-year master plan, Rudolph said. That price tag includes the $28.8 million that the center must pay NASA to prepare and relocate the orbiter to Los Angeles, he said. The center hasn't hired an architect yet to design the new facility and is now planning a fundraiser, he said.

"Obviously, we were thrilled. We got the word this morning, shortly before the announcement," Rudolph said of his reaction to winning one of the shuttles.

"The fact that the shuttle was created here in California had a lot to do with giving us a leg up" over the competition, Rudolph said. "It's a fitting place for this national treasure."

The center, which also features a Los Angeles charter school, is the most attended museum in southern California and one of the most attended in the country, Rudolph said.

The Los Angeles center's existing air and space gallery is now home to the Mercury-Redstone 2 capsule that carried Ham, a chimpanzee, on a suborbital flight, and the Gemini 11 capsule flown by astronauts Pete Conrad and Dick Gordon on an orbital flight.

U.S. Sen. Barbara Boxer said she and Sen. Dianne Feinstein -- both California Democrats -- wrote to NASA's Bolden last year asking that California become home to one of the shuttles because the state has a long history with the shuttle program.

Beginning in 1972, all five space shuttle orbiters were fabricated in Downey, California, and assembled in Palmdale, California, Boxer said in a statement. All of the space shuttles were tested at Edwards Air Force Base just outside of Palmdale, where 53 of NASA's 133 shuttle missions landed, she said.

The Endeavour will take its final flight on April 29, and prior to this launch, it will have been used on 24 missions, orbited the earth 4,429 times and traveled 103,149,636 miles, Boxer said.

"California has a long history of supporting the shuttle program and we are proud to welcome this inspiring symbol of American scientific achievement and ingenuity to the Golden State," Boxer said in a statement.

Audience members at the Kennedy Space Center cheered when Bolden announced the Atlantis would be assigned to that launch facility. Many people in the gallery were center workers, some of whom are likely to lose their jobs when the shuttle program ends.

Because the announcement was being made at Kennedy, expectations were high that the visitor center would be awarded one of the shuttles.

The Museum of Flight in Seattle also wanted one. In fact, one wall of a new space gallery where a shuttle would be housed was already erected in anticipation. Prior to Tuesday's announcement, the museum's president, Doug King, said museum officials didn't have any inside information. "I think that confident may be too strong a word. I think that hopeful is probably a better one," he said.

But on Tuesday, Washington state Gov. Chris Gregoire also said he was disappointed that the NASA didn't select the Seattle museum for one of the retired shuttles.

"The Museum of Flight put a tremendous amount of effort into landing a retired shuttle in the Pacific Northwest. As the home of modern day air travel and the 747, which has gracefully transported shuttles for the last 30 years, Seattle would have been a perfect fit," Gregoire said in a statement.

"However, the full fuselage trainer, that every astronaut including Bonnie Dunbar has been trained on, will soon call the Museum of Flight home," the governor said. "The largest of the trainers, this addition will allow visitors to actually climb aboard the trainer and experience the hands-on training that astronauts get. Visitors will not be allowed in the other shuttles and this trainer is a true win for our dynamic museum."

Facilities in Chicago, New York, Dayton, Ohio, and Tulsa, Oklahoma, also put in requests for an orbiter, with hopes that such a historic artifact would inspire countless children in those areas to explore careers in science and engineering.

Becoming home to an orbiter promises to be a boon for a community.

The Kennedy Space Center Visitor Complex estimates a shuttle will bring in 200,000 more guests every year. The economic impact to the area is estimated at about $15 million.

At New York's Intrepid Museum, Executive Director Susan Marenoff told CNN, "Figure over 300,000 people additional (due) to the Intrepid, to New York City. Couple that with $106 million in economic benefit. We think that's a pretty good deal."

Each winning location has to fork over $28.8 million to NASA for delivery of the vehicles. They also must guarantee a climate-controlled building will be constructed to house their shuttle. That's still a bargain, officials at the bidding locations said, because of the return on investment they expect.

One of the orbiters -- Discovery, the oldest -- was largely regarded as being Smithsonian-bound. That was confirmed by Tuesday's announcement.

The Enterprise, a test shuttle that never flew in space, is there now. It was be reassigned, at a discounted price, to one of the locations that didn't get either Endeavour or Atlantis. That location turned out to be the Intrepid Sea, Air & Space Museum in New York.

Only two more shuttle flights are scheduled: Endeavour on April 29 and Atlantis on June 28, wrapping up a program in which the vehicles launched satellites, built a space station, and launched and repaired an orbiting telescope. After that, they become museum pieces.

Two other shuttles were destroyed in flight accidents. The Challenger exploded 73 seconds after liftoff on January 28, 1986, and the Columbia disintegrated during re-entry on February 1, 2003.

CNN's Stan Wilson, Ed Lavandera and Irving Last contributed to this report.

@highlight

The shuttles Discovery, Endeavour and Atlantis carry historic and economic value

@highlight

The fourth, the Enterprise, was a test shuttle that never flew into space

@highlight

Communities housing the shuttles are expected to enjoy a tourist boom

@highlight

April 12 is the 50th anniversary of the first human space flight and 30th of the first shuttle flight