(CNN) -- A devastating storm system moved across the United States on Friday, spawning a slew of tornadoes that contributed to at least 28 fatalities in Indiana, Kentucky and Ohio.

National Weather Service meteorologist John Gordon reported Friday afternoon the agency had about "half a dozen reports of tornadoes on the ground," as well as reports of "significant damage" -- making his comments before some of the worst twisters were reported.

"This is an enormous outbreak that's going on right now across Kentucky and the South," Gordon said. "It's crazy. It's just nuts right here."

Southern Indiana was particularly hard hit, with Indiana Department of Homeland Security spokesman John Erickson saying three had died in Jefferson County as a result. Sgt. Rod Russell with the Indiana State Police said later that three people also were killed in Scott County.

In addition, Emergency Management Director Leslie Cavanaugh of Clark County -- which has about 110,000 people -- reported one death. Sheriff's Department Maj. Chuck Adams added that a man was found dead in his car several miles outside Henryville.

"We've got total devastation in the north-ceindntral part of the county (and) widespread damage from the west to the east," added Adams. "We are inundated with calls."

At least 15 people were killed across Indiana, authorities said.

Aerial footage from CNN affiliate WLKY showed structures torn to shreds and large swaths of trees knocked down in Henryville, about 20 miles north of Louisville, Kentucky.

Other aerial images showed similar devastation in St. Paul, Indiana. Several officials -- including Jeffersonville, Indiana, Mayor Mike Moore, U.S. Sen. Dan Coats and Adams -- indicated that the town of Marysville suffered especially significant damage.

Cavanaugh also said that the local high school, Henryville Junior-Senior High School, had been "demolished."

According to Sara Reschar, an administrative assistant for the West Clark Community Schools, "students were already out of the school when the storm hit" -- having been dismissed about 15 minutes earlier. Adams said there were some "scrapes and scratches," but no serious injuries as a result.

Authorities used thermal imaging equipment, search dogs and other means Friday night to look for a 9-year-old boy in Henryville whose whereabouts was unknown after the tornadoes came through, Adams said.

Amid the devastation, there was also some hope -- in the form of a 20-month-old girl found alone, and without identification, in a field in Salem, about 20 miles from Henryville.

Adam said the girl was intubated and then flown to Kosair Children's Hospital in Louisville. He said that people since had called in to identify the girl, while adding he did not know her current condition.

About four hours after the National Weather Service said a twister touched down in Indiana's Posey County, Gov. Mitch Daniels said crews "are racing the nightfall" to assess the damage and help those in need. Sgt. First Class Tina Eichenour of the Indiana National Guard said that roughly 250 troops have been called to duty, destined for towns such as Henryville and Marysville.

"I am constantly amazed by both the unpredictability and the ferocity that Mother Nature can unleash, when she chooses to," Daniels said of the severe weather.

His counterpart in Kentucky, Gov. Steve Beshear, on Friday declared a statewide emergency to facilitate local authorities' access to state resources. The governor has authorized the deployment of 50 National Guard troops to go to Morgan County to join a 12-person search and rescue team out of Lexington.

What to do during tornado watches, warnings

"The storm system hasn't cleared Kentucky yet, but we obviously have reports of some heavy damage," Beshear told CNN's Erin Burnett.

At least 12 people were killed in Kentucky tied to Friday's severe weather, authorities said.

Shawn Harley, from the National Weather Service, confirmed that people were trapped in damaged buildings after a large tornado struck the small town of West Liberty in eastern Kentucky.

There was no immediate word on casualties as a result. Chuck Wolfe, a spokesman for the Kentucky Emergency Management Agency, said state authorities had lost contact with the town.

Wolfe said officials believe the town "got hit pretty heavily." Beshear is expected to visit West Liberty to assess the damage Saturday.

Separately, a man in his 50s was found dead in his mobile home in Bethel, Ohio, the Clermont County Commissioners said in a press release.

In Tennessee, severe weather was responsible for critical injuries of as many as eight people in the cities of Harrison and Oolteweh, officials there said.

The storm brought golf-ball-size hail, strong winds and rain into the two northeast Alabama counties before continuing on a northeastward path into Tennessee.

Tennessee Emergency Management spokesman Jeremy Heidt said there were reports of possible tornado touchdowns in nine counties total. At least 29 people were injured across the state, according to Dean Flener, also with TEMA.

Between 40 and 50 homes in Hamilton County, Tennessee, have "significant damage that we know about," the county's Chief of Emergency Management Bill Tittle told CNN.

Reporting from that area near Chattanooga, CNN's Rob Marciano observed a continuous stretch of damage about 200 yards wide that ripped what had been brick-and-mortar homes down to their foundations.

Tittle said that there are 24 reported injuries and, while none of them appears to be life-threatening, he acknowledged that "we have not reached all the homes."

"We obviously have lots of debris, homes with roof damage, streets that are impassable that we have crews cutting down trees with chainsaws in order to get emergency vehicles through, and as of now our crews are just going door-to-door on foot," said Amy Maxwell, Hamilton County, Tennessee, emergency management spokeswoman.

Maxwell later said six to 10 people were at local hospitals after suffering injuries, and a triage area was set up at Ooltewah High School to treat patients on the scene.

Hamilton County Mayor Jim Coppinger said a touchdown of a tornado had been confirmed, though he expressed optimism that sound preparation and safety measures appeared thus far to prevent any deaths.

"We're just working diligently at this hour to try to make sure that everyone is accounted for," Coppinger told CNN. "And hopefully we'll be able to escape (without fatalities)."

Meanwhile, Alabama Gov. Robert Bentley said there have been seven injuries and about 40 homes destroyed but no fatalities after two tornadoes touched down in his state Friday morning.

This Just In: Harrisburg's path of destruction

"The April 27 tornado and the track of the two this morning were exactly the same," Bentley told CNN, referring to last year's twisters that left at least 238 dead.

Both Buckhorn High School in Madison County and the Limestone County Correctional Facility in an adjacent Alabama county were hit Friday.

There was also widespread damage in Madison County, the National Weather Service said, and some injuries were reported, according to a local ambulance service.

The Madison County Emergency Management Agency confirmed that a rain-wrapped tornado was spotted near the Harvest area, just northwest of Huntsville, which itself was hit hard by a tornado last year.

Toddler found alone in field

"The key thing that let me know it was serious was the loud wind," said Hovet Dixon of Harvey, Alabama. "It almost seemed like it was trying to lift my roof off."

The warden for the Limestone Correctional Facility, Dorothy Goode, said the prison was hit by the storm. All prisoners -- the facility holds about 2,200 -- were accounted for, she said.

Storms are expected to begin to weaken during the late evening as they move east toward the Appalachians. The severe weather threat should diminish overnight Friday into Saturday morning, Morris said.

These tornadoes follow an earlier outbreak that began Tuesday night and left 13 dead across Kansas, Missouri, Illinois and Tennessee and battered parts of Kentucky.

CNN's Susan Candiotti, Larry Shaughnessy, Nick Valencia, Kristina Sgueglia, Carma Hassan, Moni Basu, John Murgatroyd, Melanie Whitley, Joe Sterling, Dave Alsup, Logan Burruss and Kara Devlin contributed to this report.

@highlight

NEW: 15 are dead in Indiana, 12 in Kentucky and one in Ohio, authorities say

@highlight

National Guard troops are deployed in Kentucky, others are ready in Indiana

@highlight

A toddler girl is found without ID in a field in Indiana, authorities say

@highlight

A National Weather Service meteorologist calls the twister outbreak "crazy"