(CNN)The tragic news that Germanwings Flight 9525 was deliberately crashed into the French Alps by a pilot deemed "100% fit to fly" challenges the common understanding of the phrase.

Marseille prosecutor Brice Robin said co-pilot Andreas Lubitz apparently "wanted to destroy the aircraft," taking advantage of the pilot leaving the cockpit and most likely refusing to open the cabin door after activating the plane's descent.

The CEO of Lufthansa -- of which Germanwings is a subsidiary -- said Lubitz had been "fit to fly." But for most of us, the prosecutor's preliminary finding that the 28-year-old German purposefully caused the deaths of 150 people on March 24 puts him squarely outside that term. In fact "fit to fly" does not mean the pilot's psychological state has necessarily been assessed.

Simon Mitchell is a pilot and visiting fellow at Cranfield University's Safety and Accident Investigation Centre in southern England.

Over the last few years the aviation industry has been considering the amount of time spent examining pilots' skills compared to the time spent examining how they thought, Mitchell said.

Many organizations had begun assessing the safety of particular airlines when considering which carriers their members should fly on, he said.

"It's not uncommon for those corporations to have in their assessment matrix a look at pilot selection procedures," Mitchell said.

"Increasingly we're looking at their all-round personalities and ability to work in teams and what they're like as people.

"Apart from 'do we want to ensure we haven't recruited somebody who might have some sort of mental disorder,' there's also a very good reason in a day-to-day way. You want to recruit somebody who works well in a team," he said.

"The airline industry is quite unique in the amount of trust and liability it places in the hands of a very small number of employees," Mitchell said.

"If you look at the value of the aircraft and the immeasurable value of the lives being flown in that aircraft, you come up to a huge number -- in the hundreds of millions, if not billions -- of dollars of risk associated with that asset. In effect, a medium to large sized company is being placed in the hands of a few employees.

"It is important that these airlines take a great deal of care -- not just about whether that pilot can fly -- but how fit that person is to carry that sort of responsibility."

On Thursday, Lufthansa CEO Carsten Spohr said the company's pilots did not undergo regular or routine psychological testing once they were flying.

But he said Lufthansa did consider an applicant's psychological state, along with other factors, when hiring pilots. "We don't only look at competence, but we also give a lot of room to psychological capabilities," Spohr said. The pilot and co-pilot on Germanwings Flight 9525 had passed the test the airline used to evaluate applicants, he said.

But Mitchell said aviation regulations only required a physical  and not a psychiatric medical examination, looking at a potential pilot's fitness to fly in terms of factors such as heart attack risk.

Those being examined were legally required to declare any mental disorder, but there was no standard psych testing from a regulatory point of view, he said, with airlines and industry bodies failing to reach consensus on types of tests to be used.

"The doctor is supposed to note any evident issues that he notices -- but what is he going to notice in half an hour's medical? The rest of it relies on your medical history and you being honest," Mitchell said.

The Federal Aviation Administration told CNN that U.S. scheduled airline pilots must renew medical certificates every year if they're less than 40 years old and every six months if older. "Pilots must complete an official FAA medical application form, and have a physical examination conducted by an FAA-designated Aviation Medical Examiner," it said.

"The FAA medical application form includes questions pertaining to the mental health of the pilot. The AME can defer a pilot to the FAA Office of Aerospace Medicine if he or she believes that additional psychological testing is indicated. All existing physical and psychological conditions and medications must be disclosed."

On its website, the FAA guidance for AMEs states: "The FAA does not expect the Examiner to perform a formal psychiatric examination. However, the Examiner should form a general impression of the emotional stability and mental state of the applicant."

In terms of a pilot's fitness to fly on a particular day, Mitchell said attempts by many companies and airlines to introduce random drug and alcohol testing had hit problems with unions.

"When crew report for duty, they obviously are seen by other company personnel and they're also supposed to stop someone who's not fit for duty," he said, adding that was not a particularly robust system. "It does rely on a professional crew member turning around and stopping the flight."

In the short term, the industry needed to be sensitive to the fact that the crash was "an incredibly tragic event," Mitchell said. "We need to be conscious in short-term not to exacerbate stress of the families in the first days," he said.

"It is important as an industry to recognize the amount of trust that's been put in our hands and ensure the system is robust enough to live up to that."

But managing an industry with global implications was complex, Mitchell said, pointing out that Lubitz was able to lock out the other pilot because of strengthened security measures introduced after the September 11 hijackings.

"It's horribly, tragically, ironic that an unintended consequence of trying to mitigate one risk has actually facilitated an equally horrendous act -- that wouldn't have been possible if we hadn't done something to try to mitigate the other risk."

Was 9/11 safety precaution a flaw?

John Newsome and Laura Smith-Spark contributed to this report.

@highlight

On Thursday the Marseille prosecutor said Flight 9525's co-pilot deliberately crashed

@highlight

Lufthansa's CEO said co-pilot Andreas Lubitz had been "100% fit to fly"

@highlight

Aviation expert Simon Mitchell says regulations do not require formal psych testing