WASHINGTON (CNN) -- The Supreme Court has agreed to review a civil liberties dispute over the government's power to criminalize "support" of a terrorist organization.

The Supreme Court will review a key provision of the 2001 Patriot Act.

The justices on Wednesday accepted review of a key provision of the 2001 Patriot Act, and whether it threatens free speech rights of those who would assist non-violent activities of designated groups.

Since the September 11, 2001, terrorist attacks against the United States, federal prosecutors have pursued "material support" cases against at least 120 individuals or organizations, winning convictions in about half of those cases. Nearly every such domestic terrorism-related prosecution has included that charge as part of the indictment.

At issue is whether the congressional law allows prosecution of those with knowledge of "any service, training, expert advice or assistance" to a foreign terrorist organization, as designated by the U.S. government.

A federal appeals court in San Francisco, California, struck down several parts of the legislation, finding them too vague to satisfy the Constitution. The government then asked the high court to intervene and uphold the law.

Among those charged under the "material support" provision: John Walker Lindh, an American Muslim captured on the battlefield in Afghanistan; the "Lackawanna Six," men from Buffalo, New York, who attended an al Qaeda training camp; several men in Portland, Oregon, who allegedly sought to travel to Afghanistan to fight on behalf of the Taliban; a group of young Virginia individuals who allegedly tried to assist a Kashmir terror group; and James Ujaama, an African-American activist in Seattle, Washington.

The key plaintiff in the current appeal is the Humanitarian Law Project, a Los Angeles, California-based non-profit that says its mission is to advocate "for the peaceful resolution of armed conflicts and for worldwide compliance with humanitarian law and human rights law." HLP sought to help the Kurdistan Workers' Party, a group active in Turkey. Known as PKK, the party was founded in the mid-1970s and has been labeled a terror organization by the United States and the European Union. Its leaders have previously called for militancy to create a separate Kurdish state in parts of Turkey, Iraq, Syria and Iran, where Kurds comprise a population majority.

In its appeal to the high court, the government noted that "since its inception, the organization has waged a violent insurgency that has claimed over 22,000 lives."

HLP claimed it wanted to advocate on behalf of the PKK before the United Nations Commission on Human Rights, and conduct other advisory sessions and public awareness campaigns.

Another plaintiff is an American physician who wanted to help ethnic Tamils in his native Sri Lanka. Much of the island nation is controlled by the rebel Liberation Tigers of Tamil Eelam, which has also fought for decades to carve an independent state. The government claims the Tamil Tigers have "used suicide bombings and political assassinations in its campaign for independence, killing hundreds of civilians in the process."

HLP and a group of Tamil doctors say they merely wanted "to provide their expert medical advice on how to address the shortage of medical facilities and trained physicians" in the region but "they are afraid to do so because they fear prosecution for providing material support."

The Patriot Act was passed six weeks after the 9/11 terrorism attacks. It included amending a previous anti-terror law to strengthen the "expert advice and assistance" provision, making it a crime punishable by a 10- to 15-year prison sentence.

The Justice Department calls the material support provision "a vital part of the nation's effort to fight international terrorism." Officials told the justices the law is constitutional since "the statute in question regulates conduct, not speech, and does not violate the First Amendment in any of its applications." And the government argues lawmakers properly used their authority to address a pressing problem.

"Congress has banned a broad range of material support -- regardless of whether the terrorist group claims to engage in otherwise lawful activities, and regardless of whether the support is ostensibly given to assist those supposedly lawful activities," said the administration's brief.

The case is Holder v. Humanitarian Law Project (08-1498). Oral arguments will be held early next year, with a decision expected by the spring.

@highlight

Supreme Court to review a key provision of the 2001 Patriot Act

@highlight

Federal appeals court had struck down several aspects of Patriot Act

@highlight

Government had asked the high court to intervene and uphold the law

@highlight

Oral arguments to be held early next year, with decision expected by spring