Hanoi, Vietnam (CNN) -- Five years ago, Pham Binh Minh was a 15-year-old spending his nights on the streets of Hanoi, Vietnam's capital.

With his father dead and his mother too poor to adequately feed or clothe him, Pham survived by collecting and selling scrap.

"I didn't have time to make friends," he said. "The friends I did have ... would take me to do work that wasn't good. ... We would rob and steal from people. ... I was scared I would get arrested. I was scared people would hit me. I felt unsafe."

It's an all-too-common story in Hanoi, where many Vietnamese youth -- often poor children from outside the city -- seek opportunity. If they're lucky, they're able to get by working odd jobs such as shining shoes or selling trinkets.

"Kids come to the streets hoping that it'll be better than living in poverty in the countryside, but often they find that things are much worse for them here," said Michael Brosowski, whose nonprofit foundation helps Vietnamese street children turn their lives around.

It was through Brosowski's Blue Dragon Children's Foundation that Pham was able to graduate high school and enroll in college. Since 2004, Blue Dragon has helped more than 350 Vietnamese children get off the streets and into school.

"(Our) job is to make sure that the kids are safe and protected, first of all," said Brosowski, 37. "And then once they are, we've got to make sure they're working toward something, whether that's education or getting a job or improving their health."

A 2006 report from Human Rights Watch estimated that 23,000 street children were living throughout Vietnam. Brosowski said he has encountered children -- some as young as 6 -- sleeping under bridges and in trees.

"Mom's in prison, dad's a heroin addict. The kids (are) thinking, 'Well, that's my future as well,' " Brosowski said. "Our biggest challenge is to stop the kids from accepting that fate -- to fight their own fate and make their own future."

On the streets, children are susceptible to a wide range of threats and pitfalls: gang violence, bullying, child trafficking, the lure of a booming heroin trade. Blue Dragon tries to combat these issues by giving children what they need to get off the streets and stay off them. Some common examples include safe housing, food subsidies, school sponsorships, job training and medical attention.

"Our (initial) goal was just to get them back to school," Brosowski said. "We realized that to do that ... we would have to take that place of providing an income, giving them money for food, providing the shelter. We would actually have to take care of all aspects of their life."

Do you know a hero? Nominations are open for 2011 CNN Heroes

In Hanoi, Blue Dragon's center offers food, clothing, classrooms, play space and a computer lab. There is also bed space for 20 in the group's nearby shelter. Each child who comes through the center is provided with a dedicated social worker and has access to a psychologist, counselors, teachers and lawyers.

"Child by child, we've got to work out what we can do and what they need," Brosowski said. "And we've also got to be careful that if the child has a family, that the family is as involved as possible."

In addition to the Hanoi center, Blue Dragon also has three other locations throughout Vietnam that help street children and those living in extreme poverty. Funded by donations and grants, the foundation has assisted more than 2,500 children in all.

"I grew up in poverty," Brosowski said. "I often used to think to myself, 'I could do something good with my life if only someone would come and give me that chance.' And then I was here in Hanoi ... and I realized now I'm the guy. I'm the guy who can help these kids and give them a chance."

Brosowski, an Australian, moved to Vietnam in 2002 to teach English at the university level. Within several months, he met a few street children shining shoes and was inspired by their untapped potential. He befriended the boys and began teaching them with the help of one of his university students, Pham Sy Chung.

As he met more and more street children in need, Brosowski eventually decided to quit his job and devote himself full-time to Blue Dragon. Today, he has a staff of 44, several of whom have been helped by the foundation in the past.

"There really was no thinking at that time that this would become something big," he said. "It was just a case of, here are these kids, there's no one else to help them, but I can."

Want to get involved? Check out the Blue Dragon Children's Foundation website at www.streetkidsinvietnam.com and see how to help.

CNN's Alex Zolbert and Scott Clotworthy contributed to this report.

@highlight

Thousands of poor children are living and working on Vietnam's streets

@highlight

Michael Brosowski is trying to help these kids -- some as young as 6 -- rebound

@highlight

His nonprofit has provided shelter, food subsidies, school fees and other necessities

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes