(CNN) -- The $410 billion budget President Obama signed Wednesday will make it easier for U.S. residents to travel to Cuba and to send money to family members on the island. It also could facilitate the sale of agricultural and pharmaceutical products to Cuba.

The residents of Havana, Cuba, often rely on bicycle taxis for transportation.

Three provisions attached to the omnibus spending bill loosened restrictions enacted by then-President George W. Bush after he came to office in 2001.

Analysts see the move as a way for the new Obama administration to start thawing relations with Cuba one month before the Fifth Summit of the Americas brings together the U.S. president and 33 other leaders from the Western Hemisphere in Trinidad and Tobago.

"[Cuba] is the issue of greatest symbolic importance," said Peter Hakim, president of the Washington-based Inter-American Dialogue policy institute. "It will be seen as a test of real U.S. readiness to change in the hemisphere. What he says about Cuba will make headlines."

Hakim testified about Latin American policy Wednesday before the House Foreign Affairs Committee.

Cuba and the United States have had a troubled relationship since Fidel Castro came to power in 1959. The United States broke off diplomatic relations in 1961 and imposed a trade embargo in 1962. Bush tightened some of those restrictions in recent years, most notably limiting travel to the island to once every three years for a limit of 14 days.

Under the new provisions, relatives will be able to go once a year and stay for an unlimited time. In addition, the definition of relatives has been broadened to include uncles, aunts, nephews and nieces. The new measures also increase the amount of money visitors can spend.

Otto Reich, who served presidents Reagan and both Bushes in a number of high-level Latin American posts, also testified Wednesday before the House Foreign Affairs Committee.

Reich and Hakim have different perspectives on how far Obama should go on improving relations with Cuba, but they agree that attaching the latest measures to the spending bill was the wrong way to do it.

"It's important to open up Cuba, but it should be done systematically," Hakim told CNN. "This is very important for the Cuban American community. It ought to be done with them at the table. If they're not involved, they're going to push back."

Initial opposition from two Democratic senators with large Cuban American communities in their states put the spending bill in jeopardy. Senators Bill Nelson of Florida and Bob Menendez of New Jersey voted for the budget Tuesday after receiving personal letters from Treasury Secretary Tim Geithner assuring them that the new provisions will not alter U.S. policy.

Reich said he did not like the Cuba provisions in the budget because the United States gets nothing in return.

"I'm opposed to it because of the way it was done," he said. "There's a way it can be done to advance the conditions of the people in Cuba. I don't approve of the unilateral way it's being done. The embargo is a negotiating tool. We should not negotiate with ourselves, and that's what we're doing."

Hakim warns that too much should not be read into the new measures, saying, "The fact is that this is very minor."

Larry Birns, director of the Council on Hemispheric Affairs, said in a policy statement Wednesday that the new provision "suffers from being too little and too late."

Similar measures have been attached to previous spending bills in the past eight years but Bush threatened to veto the legislation, so the language was scrapped.

Senators Nelson and Menendez were most concerned with the provision that allows cash advance sales of agricultural and pharmaceutical products to Cuba.

Before Bush, "cash advance" used to mean that money would have to be paid as soon as the goods reached Cuba. But the Bush Administration said "cash advance" had to mean money was sent before the cargo was loaded on ships in the United States for Cuba. The language in the new spending bill reverts the meaning to the previous "cash-on-delivery" method favored by U.S. farmers and exporters.

Some members of Congress also were concerned the new provisions would allow credit sales, which would poke major holes in the economic embargo. But Geithner's letters to Nelson and Menendez assured them this would not happen.

He did tell the senators, though, the Obama administration is reviewing its policies toward Cuba.

CNN State Department Producer Elise Labott contributed to this report.

@highlight

Three provisions are attached to $410 billion spending bill signed by Obama

@highlight

Travel restrictions to Cuba from U.S. loosened; it will be easier to send money there

@highlight

Sales of U.S. agricultural and pharmaceutical products could be easier now

@highlight

Some critics say measures should not have been attached to spending bill