The Higgs boson, or the "God particle," which was discovered last year, garnered two physicists the Nobel Prize in physics on Tuesday, but it didn't go to the scientists who detected it.

Nearly 50 years ago, Francois Englert of Belgium and Peter Higgs of the United Kingdom had the foresight to predict that the particle existed.

Now, the octogenarian pair share the Nobel Prize in physics in recognition of a theoretical brilliance that was vindicated by the particle's discovery last year.

The Royal Swedish Academy of Sciences awarded the prize to them.

Higgs and Englert's theories behind the elusive Higgs boson explained what gives matter its mass.

The universe is filled with Higgs bosons. As atoms and parts of atoms zoom around, they interact with and attract Higgs bosons, which cluster around them in varying numbers.

Certain particles will attract larger clusters of Higgs bosons, and the more of them a particle attracts, the greater its mass will be.

The explanation helped complete scientists' understanding of the nature of all matter.

"The awarded theory is a central part of the Standard Model of particle physics that describes how the world is constructed," the Royal Swedish Academy said in a post on Twitter.

As is tradition, the academy phoned the scientists during the announcement to inform them of their win. They were unable to reach Higgs, for whom the particle is named.

The conversation with Englert was short and sweet.  "I feel very well, of course," he said, when he heard the news. "Now, I'm very happy."

What is the Higgs boson and why is it important?

The discoverers

When the Nobel announcement came down, the Higgs boson's discoverers in Geneva, Switzerland, broke out the champagne, said lead physicist Joe Incandela.

"The place erupted into applause." There must have been over 100 people in the room at CERN, the European Organization for Nuclear Research, he said.

Many of them were American scientists. About one quarter of the physicists involved in the discovery came from the United States.

The researchers felt equally recognized alongside the Nobel recipients. They were not expecting to receive the prize themselves. That would have been atypical.

It goes more often to those involved on the theoretical side and not on the experimental side, Incandela said. But it didn't matter.

"We're extremely happy with that," he said. "I'm elated. We feel that we've been recognized."

The fact that the prize was awarded to the theorists so soon after the particle's existence was detected by experimenters is a confirmation of the value of their contribution, Incandela said.

The discovery

The July 2012 discovery of the Higgs boson in the most powerful particle accelerator in the world, the Large Hadron Collider at CERN, has been billed as one of the biggest scientific achievements of the past 50 years.

But the Royal Academy passed over the Higgs boson last year, to the surprise of many.

The scientists, in the meantime, have confirmed their discovery and solidified its place in science.

On March 14, what would have been Albert Einstein's birthday, they announced that, over time, the particle they found looked even more like the Higgs boson they had been chasing for almost 50 years.

It was a landmark scientific advancement, and it was a first.

Many scientists dislike the term "God particle," even though it's become popular in the media. The nickname came from the title of a book by Leon Lederman, who reportedly wanted to call it the "Goddamn Particle" since it was so hard to find.

The Nobel Prize in physics makes a nice lifetime achievement award for Englert and Higgs. Both are professors emeritus: Englert at the Free University of Brussels; Higgs at the University of Edinburgh in Scotland.

Though deserving, they are lucky, as the Royal Academy had a long list of brilliant scientists and achievements to choose from.

And the field of physics covers a virtually infinite scale, from beyond the smallest sub-atomic particles to the largest, most distant stars and quasars in the vast reaches of the universe.

Last year's winners

Last year's prize to Serge Haroche and David J. Wineland rewarded work in the field of quantum optics. It could lead the way to superfast computers and and the most precise clocks ever seen.

The two approached the same principles from opposite directions.

The American used light particles to measure the properties of matter, while his French colleague focused on tracking light particles by using atoms.

Both Nobel laureates found ways to isolate the subatomic particles and keep their properties intact at the same time.

Prior to the breakthrough, such particles quickly interacted with matter, which changed their qualities and rendered them unobservable. That left scientists stuck doing a lot of guesswork.

Past and future Nobels

Since 1901, the committee has handed out the Nobel Prize in physics 107 times, including this year's award. The youngest recipient was Lawrence Bragg, who won in 1915 at the age of 25. Bragg is not only the youngest physics laureate; he is also the youngest laureate in any Nobel Prize area.

The oldest physics laureate was Raymond Davis Jr., who was 88 years old when he was awarded the prize in 2002.

John Bardeen was the only physicist to receive the prize twice, for work in semiconductors and superconductivity.

Two Americans and a German shared the Nobel Prize in physiology or medicine this year.

Americans James E. Rothman and Randy W. Schekman and German Thomas C. Sudhof were awarded the prize Monday for discoveries of how the body's cells decide when and where to deliver the molecules they produce.

Disruptions of this delivery system contribute to diabetes, neurological diseases and immunological disorders.

In the coming days, prize committees will announce the laureates in chemistry, literature, peace and economics.

Swedish industrialist Alfred Nobel created the prizes in 1895 to honor work in physics, chemistry, literature and peace. The first economics prize was awarded in 1969.

Nobel medical prize goes to 2 Americans, 1 German

Follow @CNNLightYears on Twitter for more science news updates

@highlight

Francois Englert and Peter Higgs are awarded the Nobel Prize in physics

@highlight

The Higgs boson is what gives all matter its mass and is a central part of scientific theory

@highlight

The July 2012 discovery of the particle is billed as one of the biggest scientific achievements