(CNN)Pablo Picasso once asked: "Are we to paint what's on the face, what's inside the face or what's behind it?" Jessica Todd Harper's photo book "The Home Stage" does all three simultaneously.

"The Home Stage" contains intimate, psychological portraits that Harper has created of herself, her family and friends, and their children. The book weaves in some photos of other people's families as well, and includes writing by Alain De Botton and Alison Nordstrom.

Using her camera like a paintbrush to stroke the canvas that is her environment, Harper explores the experiences of parenting and childhood.

As a mother to twin sons and a daughter, her photos contain a wide range of raw emotion, ranging from comfort and conflict to sleepiness and satisfaction.

Harper's first photo book, "Interior Exposure," focused on the early years of her marriage and adult family life. She says her latest book is like a natural segue, as "The Home Stage" includes many photos of children.

The title -- "The Home Stage" -- has more than one particular meaning or reference.

"One is to convey that stage in life when you're anchored to the home with young children," Harper said. "It also references how the home is the first stage in which children learn how to live in every situation. In my particular pictures, many of them have a stage-like quality. There's reference to tableau vivant of the past, these constructed images."

Harper's mother was a big fan of the arts, and she would take young Harper and her sister to local art museums where they would copy paintings by hand, progressing from crayons to charcoal and, eventually, to pastels.

"I wanted to be just like Mary Cassatt and John Singer Sargent; those were the artists that I would copy a lot as a child," she said. "I think those images got very much stuck into my deep psyche."

She emphasizes that her photos are not the everyday snapshots that many parents post on Facebook -- the photos of children at various stages in their lives, attending birthday parties or riding tricycles.

The book's pictures "aren't documents," Harper said. "They're making everyday moments have an eternal quality. It reminds us of our more general purpose in life, the meaning in everyday small things."

The combination of Harper's color palette and the use of natural light fills every inch of her photos with rich detail.

Many of Harper's photos contain several generations of her family, highlighting connections between the present, past and future. While the people Harper photographs are predominantly those most familiar with her, she makes an effort to not allow her camera to completely consume the lives of her subjects.

"I try to do a very good job of not being overbearing. ... I bring out the camera only when I have a very specific idea in mind. My children know that I'm an artist, I'm a photographer. They know that, but I don't think that they see that even in the top 10 of the ways that they relate to me, it's not as subjects," she said. "I want to keep it that way because otherwise they become so self-conscious and they start doing things which are not natural or genuine."

Each photo draws the curtain to reveal Harper's home stage -- Harper lying in bed with her son Marshall, her husband playing in the backyard with their children, her daughter sitting in a high chair.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Regardless of the subject matter of the photos, Harper says there is one thing that ties all of them together: light.

Throughout "The Home Stage," Harper also manages to effectively create a balance between carefully planned compositions and naturally occurring moments.

While Harper recognizes that raising young children can be intense and tiresome, she emphasizes it is vital to take the initiative to create memories -- not simply wait to capture certain moments.

This is evident with the self-portrait she made holding her son Nicholas, stopping her family in the midst of their dinner preparations.

"At the time, I felt like so many parents. I felt tired and distracted and busy trying to get things done. I felt a little bit of guilt about making this picture," Harper said. "And yet I knew somewhere in the back of my head that there was an imperative that I must take moments. ... You're just so busy that if you don't purposefully force it, then it wouldn't happen."

In one photo, viewers are witnesses to an intimate familial relationship as they simply see a mother as she lays her hand gently on her son's back.

"It's a universal mother-and-child gesture," Harper said. "It doesn't even matter particularly who that individual mother or that individual child is because of the way they're framed and photographed. You can't see their faces. It's just the way that her hand is resting on his back. It's ownership and protection and love."

Jessica Todd Harper is an American photographer based in Philadelphia. Her book "The Home Stage" is available on Amazon, and the photos are on display at The Print Center in Philadelphia until March 28.

@highlight

In her photo book "The Home Stage," Jessica Todd Harper explores parenting and childhood

@highlight

She combines naturally occurring moments with carefully planned compositions