(CNN) -- More than 2,800 people have been killed in Nigeria since the Boko Haram crisis in Nigeria started in 2009, according to Human Rights Watch. The Islamic militant group, which wants to enforce a strict version of Islamic law in northern Nigeria, has successfully hit soft and hard targets in a manner that questions the capacity of the Nigerian state to protect its citizenry. Hard targets have included the police and United Nations headquarters in Abuja.

Frustrated by his inability to solve the problem by peaceful means, President Goodluck Jonathan had to fall back on the provisions of Section 305 of the Nigerian Constitution. In May 2013, he declared states of emergency in Borno, Yobe and Adamawa in northeastern Nigeria -- three key flashpoint states that had been wracked by activities of Boko Haram and its offshoot, Ansaru.

"We have taken robust steps to unravel and address the root causes of these crises, but it would appear that there is a systematic effort by insurgents and terrorists to destabilize the Nigerian state and test our collective resolve," Jonathan said in a televised speech.

Read more: UN bombing suspect tied to al Qaeda, Nigerians say

More troops were deployed to the three states; the country's borders with Cameroun, Niger and Chad were shut down. The Nigerian Air Force provided air cover for the army and police, which raided the hideouts of the insurgents. The crackdown began to produce positive results in terms of a drastic reduction in attacks by the insurgents -- resulting from a blockade of their supply lines of fighters, arms and food.

But how sustainable is all this? Can we say that the last of the Boko Haram crisis has been heard? The answer is a categorical no.

Read more: Nigerian president declares emergency in 3 states

Last weekend, gunmen stormed a school in Yobe, killing 20 students and a teacher in an attack local media said had been claimed by Boko Haram.

Whereas the Nigerian government would say Boko Haram members are being "flushed out", an objective observer would say many are simply hibernating in various northern Nigerian communities. Locals know who -- and where -- they are, but share two related grievances against the Nigerian state that is warring against the group.

First and foremost, many northern Nigerians are unhappy with the way the military carries out its operations. In its pursuit of Boko Haram, the Nigerian military views everything as a legitimate target -- including mosques, market places, women and children. The people regularly allege the killing of innocent people by the military. They claim to be more afraid of the soldiers than Boko Haram insurgents.

The Nigerian military recently told Human Rights Watch that reports of civilian casualties during military raids were "grossly exaggerated," but U.S. Secretary of State John Kerry has warned his Nigerian counterpart over alleged atrocities by soldiers.

Read more: Gunmen kill 20 students, teacher in Nigerian school shooting

The military cannot claim to be winning under this kind of atmosphere. To get local support for a sustainable war against Boko Haram, the military must invest more in winning the hearts and minds of the people. The alternative is that the people either become bystanders in the war or even supporters of Boko Haram.

The second problem is that the north is not happy with the present regime in Nigeria, which has marginalized them politically, socially and economically since the 1999 transition from military to civil rule. The north had previously held the power in Nigeria; it is now in the "opposition."

Read more: Human Rights Watch report on Nigeria violence

The north took over from the British colonial masters when Nigeria became independent in 1960. These politicians were overthrown by the military in 1966 but once again the military leaders were northern dominated until they transferred power to civilians in 1999. Since then, northerners' grip on the Nigerian political system has been very weak; it is getting weaker by the day.

Things are so bad for the north, that the possibility of it reclaiming political power in 2015 is becoming a mirage. If the political situation in Nigeria gets messier, the likes of Boko Haram would fight for the north whether voluntarily or by invitation. For this reason, some northerners might not be too happy with the military suppressing Boko Haram. Such individuals exist within the Nigerian military as well. This is why the Chief of Army Staff Lt. Gen. Azubuike Ihejirika is constantly warning his men and officers not to sabotage the ongoing military operations by providing intelligence to the insurgents.

Read more: Nigerian military -- insurgents killed in raid on militant camps

The Boko Haram sect cannot be removed from Nigerian society like pulling a rotten tooth out of the mouth. A group whose bloodied hands were found in the 2000 to 2003 political violence in Borno State; a group that two years later emerged as the "Nigerian Taliban" before becoming securitized by the Nigerian state as Boko Haram (meaning "western education is evil") cannot be easily sent packing by the Nigerian military.

Boko Haram's members have seen many battles in the past and the group is known to be a cat with many lives. Even if it died out, it would germinate in new forms. The needs of Boko Haram are not even known to the Nigerian state not to mention being met by it. More problems should be expected. The group might emerge under new name now that it has been banned by the United Kingdom and its present leadership has been declared wanted by the United States.

Read more: Nigerians ask, are we at war?

Leader Abubakar Shekau and some of the group's other senior members have nothing to gain from any permanent peace -- especially as the international community has already cast them in the mold of former al Qaeda leader Osama bin Laden. As they await eventual capture, they will not mind causing more trouble.

To sustain its recent gains, the military task force in the three states will need to take the character of a near permanent formation on the ground. If the military leave, Boko Haram will quickly come in to fill the space. Occasional sniper attacks on soft targets by the group will provide justification for the military to ask for money to keep the northeast safe.

In other words, the Nigerian military is doing its best but the present situation is only a state of negative peace; it is a peace of the graveyard. The committee on dialogue and peaceful resolution of security challenges in the north, set up by the federal government, claimed some days ago it has reached a ceasefire agreement with the Boko Haram sect. Such an agreement must have been reached with a significant faction of the sect.

Read more: Why Nigeria's elections matter

If not, where did the group meet the faction led by Shekau and what were the terms of the agreement? What is in the agreement for the Boko Haram most especially on issues relating to strict enforcement of Islamic laws in northern Nigeria? What does it have to say on "amnesty" for Shekau and other leaders of the sect? The committee members are only trying to save face.

The ongoing military operations against the Boko Haram were launched few days after the committee was set up. The members are confused; the credibility of their mission is questioned and they have to say something to Nigerians before running away.

The opinions expressed in this commentary are soley those of Isaac Olawale Albert.

@highlight

Boko Haram is an Islamic militant group that wants to enforce a slamic law in Nigeria

@highlight

Nigeria's president has declared emergencies in three states where the group operates

@highlight

Albert says the military's tactics are not working and it is failing to win hearts and minds

@highlight

Many northerners share some of the group's grievances against the state, he says