(CNN) -- How do U.S. wireless carriers expect their investments in new 4G high-speed networks to pay off? This shift is about more than simply providing mobile data -- and it could even bring some long-overdue improvements to the humble telephone call.

At the Open Mobile Summit conference last week in San Francisco, a panel of carrier executives and wireless industry experts discussed the revenue-generating opportunities of offering 4G service.

This is a big concern for carriers, since their costly move to 3G networks a few years ago appears to have financially benefited other players in the mobile industry (such as Apple) more than the carriers themselves.

There are some obvious ways that carriers plan to make money from their 4G networks. First, these networks will allow wireless carriers to sell more data -- a key part of their business model as most U.S. carriers move away from offering unlimited data plans.

Also, current FCC net neutrality rules allow wireless carriers to selectively "fast track" delivery of online content and services. Most likely content and service providers, rather than consumers, would end up paying for such paid prioritization.

Still, despite heavy marketing, 4G phones and services haven't been easy to sell to the average mobile consumer. As Scott Devitt, a consumer Internet analyst with Morgan Stanley, noted: "For most consumers, the value of 4G is not really clear at this point -- except for watching mobile video."

Consequently U.S. carriers are starting to look hard at less-obvious ways to demonstrate the value of 4G to consumers.

"The phone call hasn't been significantly improved or enhanced since the introduction of touch tone dialing," observed Rob Glaser, a partner with the venture capital firm Accel Partners." 4G is already allowing people to do great things with their phones -- but most people still spend about 47% of their time on their cell phones making regular phone calls."

Sprint CTO Stephen Bye said, "It is important to not lose sight of what customers see as important. Despite how much carriers are focusing on 4G data speed, most customers measure network success based on voice-call quality."

Improving the audio quality and clarity of voice calls is one reason why some U.S. carriers are working to implement "voice over LTE" (VoLTE) technology. Earlier this year Verizon announced plans to start selling VoLTE-enabled phones in early 2012.

Earlier, Verizon director of ecosystem development Brian Higgins told CNN that "high-definition audio fidelity will be a major selling point" for Verizon -- implying that the carrier might be hoping to sell VoLTE as some kind of premium service, at least initially. That's another way to make extra money from a 4G network.

The discount carrier MetroPCS may be moving faster than Verizon toward deploying VoLTE for its customers. Already, MetroPCS has begun migrating text and multimedia messaging traffic to its LTE network. (Traditionally, SMS/MMS messaging is handled over the same base carrier network as voice calls.)

But Connected Planet notes that MetroPCS has less wireless spectrum access than Verizon. Also, MetroPCS never rolled out 3G technology as extensively as the major carriers. So, since 4G and VoLTE could help MetroPCS squeeze more mileage from its existing spectrum, this could mean that MetroPCS might offer these as basic -- not premium -- services.

That would make for interesting competition in the consumer mobile market -- especially since MetroPCS focuses on the no-contract mobile market.

If VoLTE calling becomes commonplace, it could change how people pay for cell phone service. If most mobile voice calls happen over data networks, then carriers may stop selling "minutes" altogether and shift to charging solely for data packages.

But initially, as carriers first start marketing "high definition calling," they may face some consumer pushback due to perceived value.

Consumers who get VoLTE phones and service might not always experience clearer phone calls, since only calls placed between VoLTE-enabled phones are expected to sound better. Calls between a VoLTE-enabled phone and a regular cell phone are expected to sound the same.

As the recent backpedaling by major banks on proposed debit card fees indicates, right now corporations are wary of consumer revolts against mounting bills.

Right now wireless carriers generally bill customers for service for each mobile device they use (with the exception of cell phone "family plans"). But these days, consumers also use tablets, gaming consoles and other devices over carrier networks.

If consumers revolt against the cumulative sticker shock of multiple monthly bills for connectivity, carriers may begin to move away from device-specific billing -- which includes tethering charges.

There is one more way that wireless carriers can make money from 4G: selling data about consumers.

David Small, CTO for Verizon Wireless, raised the point that 4G will allow users to do even more with their cell phones and other wireless devices -- which means carriers will be gathering more consumer data than ever before via their networks.

"All that data, about all the facets of users' lives -- that's got value," Small said. "And that's a revenue opportunity for us."

Sprint CTO Bye agreed, but cautiously: "We know there's a fine line between monetization and trust for our customers. We think consumer data would be more useful in the aggregate, for machine-to-machine interfaces, without bringing it down to a particular person."

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Cellphone carriers are trying to earn more revenue from offering 4G networks

@highlight

Wireless networks can sell more data and sell data about consumers to generate revenue

@highlight

Carriers are improving audio quality and selling it through "voice over LTE" (VoLTE)