(CNN) -- In yet another attempt to help stop the relentless bloodshed in Syria, a group of U.N. monitors are on the ground to observe a so-called "cease-fire" that appears to be violated daily.

While opposition activists have reported some improvements thanks to the monitors' presence -- including a brief slowdown of shelling and the ability to retrieve bodies from streets without fear of government sniper attacks -- some say the mission will have little net effect, serving merely as proof that the international community is taking some sort of action.

What exactly are the monitors supposed to do?

The U.N. Security Council has authorized up to 300 unarmed military observers for a 90-day mission in Syria. The monitors are tasked with observing a cease-fire that was supposed to go into effect April 12, though both the Syrian regime and opposition have reported at least hundreds of killings since then.

The cease-fire is part of a six-point peace plan laid out by U.N.-Arab League special envoy Kofi Annan that was accepted by both the Syrian government and opposition members.

In addition, observers are tasked with supporting the implementation of Annan's peace plan, which also calls for access for humanitarian groups, the release of arbitrarily arrested detainees and the start of a political dialogue.

Who are these monitors?

The unarmed military monitors are soldiers trained in peacekeeping duties. They come from at least 11 different countries, including Argentina, Belgium, Brazil, Finland, Morocco, Norway, Russia, Switzerland, China, Ghana and Indonesia. The observers are selected based on availability from neighboring missions and recommendations by member states, said Ahmad Fawzi, Annan's spokesman.

What restrictions has the Syrian government placed on the monitoring mission?

U.N. officials say President Bashar al-Assad's regime has refused at least one U.N. monitor because of his nationality and said it won't accept monitors from "Friends of Syria" countries -- precluding observers from many Western countries who have been vocal on the Syrian crisis.

The Friends of Syria group, which aims to find a solution to the Syrian crisis, includes more than 60 countries and international bodies, including Turkey, the Arab League, the United States, France and the United Kingdom. In April, the group formally recognized the opposition Syrian National Council as a legitimate representative of the Syrian people.

The regime's refusal to allow monitors from such countries isn't surprising, said Asher Kaufman, associate professor at the University of Notre Dame's Kroc Institute for International Peace Studies.

"I understand their point. ... Bashar is concerned with his own survival," he said. Al-Assad probably does not want to risk allowing monitors from countries that could be aligned with the opposition.

He said the monitors could come from "impartial" countries, as "there are enough members states in the U.N. that are not members of the Friends of Syria coalition."

Fawzi, Annan's spokesman, acknowledged Syria's demand might be a challenge.

"That could be a problem, which we will deal with when it becomes one," he said.

What other challenges does the mission face?

Opposition activists and world leaders have decried reports of retaliation attacks against residents who speak out to the U.N. monitors.

"We have credible reports that when (monitors) leave, exchanges start again, that these people who approach the observers may be approached by security forces or Syrian army and harassed or, even worse, killed," Fawzi told the U.N. Security Council.

In addition to the fear of speaking freely to the monitors, some say the observers are usually flanked by government forces -- preventing a fully objective, comprehensive view of the crisis.

"If the U.N. monitor mission is accompanied by military, then they're not really monitoring the situation," Kaufman said.

Can the observer mission bring peace to Syria?

Even the head of the monitoring mission, Maj. Gen. Robert Mood of Norway, said no number of monitors can stop the violence without a commitment to peace by all sides of the conflict.

"Ten unarmed observers, 30 unarmed observers, 300 unarmed observers, even 1,000 unarmed observers cannot solve all the problems," Mood told reporters after arriving in Syria in April. "So I call on everyone to help us and cooperate with us in this very challenging task ahead of us."

But Murhaf Jouejati, a Syrian-born scholar at the Middle East Institute in Washington, said the monitoring mission was "dead on arrival."

"No one expects the Assad regime to abide by the six-point plan of Mr. Kofi Annan," said Jouejati, who is also a member of the opposition Syrian National Council. "What can I say? It has failed. The Assad regime has failed every principle."

Jouejati said the international community is clinging onto the peace plan to prove it is taking some sort of action, "to justify the lack of action it should take to save Syrian lives."

Since no diplomatic efforts have successfully stopped the violence, is it time for foreign military intervention?

"I think it was necessary some time ago," Jouejati said. "In the absence of a greater force ... Assad is going to continue to slaughter his people until he wins. He will win when he subdues this uprising, when Syrians will be too fearful to go out and demonstrate for their freedom and their dignity."

But unlike with Libya, NATO has shown no interest in launching a military mission in Syria.

There are several possible reasons why the international community would be more hesitant to get involved militarily in Syria.

In Libya, rebels had their own capital of sorts -- the opposition stronghold of Benghazi, where they operated out of a large base. But Syrian rebels don't have such a central operations center.

In addition, the Syrian army is much stronger and better equipped than the Libyan army.

And Syria is considerably more mountainous than Libya, which could make military operations more difficult.

Plus there's worry over possible political fallout, Jouejati said. The United States, for example, is in the middle of an election year.

"All seem to be waiting for a U.S. lead ... and as long as the U.S. does not lead, no other countries" will initiate, Jouejati said.

What other options does the international community have to help end the slaughter in Syria?

"If I were a diplomat, I'd be less focused on sending 300 monitors and more focused on reaching a consensus with Russia and China," Kaufman, the Notre Dame professor, said.

Russia and China are the only members of of the U.N. Security Council that have repeatedly blocked attempts at formally condemning the Syrian regime.

Both countries have said they want to focus on a Syrian resolution based on political dialogue, but many analysts say Russia and China have ulterior motives.

Syria is one of the largest recipients of Russian military equipment, Jouejati said, and Russia leases a naval facility at the Syrian port of Tartus, giving the Russian navy its only direct access to the Mediterranean.

But the interests aren't just financial or geographical.

"Russia and China are both very fearful that the Security Council interferes with internal affairs of states," Jouejati said. "Russia has a problem with Chechnya, and China has a problem with Tibet."

But both Russia and China support the U.N. monitoring mission. And Syria's failure to maintain a cease-fire could cause enough frustration to shift the political landscape.

"If any good news came out of this monitoring mission, it further exposed the Assad regime," Jouejati said. "This may dilute the Russian position. ... I think Russia is beginning to feel the embarrassment that the Syrian regime is causing."

@highlight

The U.N. monitoring mission was "dead on arrival," one analyst says

@highlight

U.N. officials: Syria is refusing monitors from "Friends of Syria" countries

@highlight

Spokesman: There are reports that those who speak to monitors may face retaliation

@highlight

The head of the observer mission says all sides in the conflict must commit to peace