(CNN) -- The Michael Brown case has great significance because it is yet another in a growing line of tragedies that further demand a conversation about our civil liberties within the criminal justice system.

It has highlighted a massive lack of trust that exists between police and minorities. We must face the inconsistencies and the biases that remain if we are ever to move towards a system worthy of the trust it needs to succeed. Only by doing so can we end the devastating loss of life that is becoming an all-too-common occurrence.

We have another opportunity to become focused on and vocal about the changes that are necessary. It is only by bringing those problems to the forefront and into the harsh light of constant and public critique that we can hope to make a better system.

I still contend our criminal justice system is the best in the world for dispensing true justice, but, like every facet of the American democratic experience, it can use polishing. However, I reject the notion that the system is incapable of dispensing justice in cases where young, unarmed black men and women are killed.

With my experience representing George Zimmerman as a backdrop, I've been following a number of cases that have overtones of Ferguson, and I know that we have made progress:

Earlier this month, Michael Dunn received a life sentence for the murder of Jordan Davis in the so-called "loud music" trial.

In January, a grand jury indicted Officer Randall Kerrick on voluntary manslaughter charges after fatally shooting unarmed Jonathan Ferrell.

And on August 7, a jury in Michigan convicted Ted Wafer of second-degree murder for shooting Renisha McBride on his front porch. The verdict came just two days before the Michael Brown shooting. Black victims, white shooters.

Certain commentators have suggested we should skip the grand jury and that Officer Darren Wilson must be tried before a jury.

While I laud the idea of having open trials, thereby allowing the public to view that the process works fairly, it is dangerous to short-circuit justice because of media attention or social pressure.

We gave the Ferguson shooting an enhanced social significance before we knew all the facts of the case, facts we still don't know. The grand jury should not consider the broader social issues; they should focus on the facts. And if they decide, solely on the facts, to indict Wilson, only then should he stand trial.

But in light of the recent press leaks regarding evidence in the case, most now suggest an indictment is not likely.

I fear that those who equate justice with nothing other than an indictment of Wilson are allowing deep-seated predispositions against the system to infect how they define justice.

We should not be asking for reparations at the cost of putting a thumb on the scales of justice in favor of convicting, or even charging, someone who does not, based upon the facts as viewed dispassionately, deserve it.

I do not suggest trust in this system merely to quell the voices of criticism or to forestall the feelings of frustration. Rather I contend it is the only answer.

So, what happens if the grand jury decides not to indict Darren Wilson? District Attorney McCullough committed that he will release all of the transcripts of the proceedings. This will give all the witness testimony, forensic evidence, and other information presented from which they decided not to indict. Transparency here is absolutely necessary. The Federal officials should not interfere with that release.

If Wilson is not charged, there will, undoubtedly, be a backlash. Many people consider an indictment as a step for justice -- not only in this individual case -- but in the larger effort of balancing the racial inequities in our justice system.

Conversely, a failure to indict Wilson will be seen as an indictment of the system. But that point of view is not only wrong, it is dangerous.

I fear that pinning significant civil rights issues to the facts of this case may serve only to foster more mistrust in the system. It will create a greater racial divide, and it will create another generation of disenfranchised young black men and women who are less willing to become police officers or legislators or attorneys or judges at the very time that we need their leadership most.

If the grand jury decides not to indict, they will do so because they concluded Officer Darren Wilson's shooting to be justified based upon his and Michael Brown's actions. While it is considered callous and insensitive to review the actions of a deceased person, it does none of us any good to ignore facts, should they exist. By doing so, we lose the lessons that may be learned from a dispassionate analysis of what actually happened that day, not what we as individuals, or we as communities, want to believe happened.

The decision to indict or not can be a catalyst for us to move further apart, or it can be seen as an opportunity to critically analyze how these tragedies are occurring and how to stop them in the future. That choice, no matter how it may go against the grain of our emotions, is a voluntary one, but we must decide on the latter.

@highlight

Grand jury hearing Michael Brown case; some believe there won't be indictment

@highlight

Mark O'Mara says it's important to let the process play out

@highlight

Case should be decided on the facts, not as a proxy for racial justice issues, he says