(CNN) -- If you view a tablet as a guilty pleasure, like I do, then buying the Kindle Fire should make you feel a little less guilty.

Amazon's new device doesn't replace a computer for doing e-mail or composing documents, but it's a fun hub for personal entertainment. And at $199, Amazon has managed to greatly undercut the price of Apple's iPad, the dominant tablet, and still churn out a good product.

Apple calls its iPad "a magical and revolutionary product at an unbelievable price." Consider now that for the iPad's $499 price tag, I could buy two Kindle Fire tablets and still have cash left over for downloading apps and movies.

However, except for price the Kindle Fire falls short of the iPad in just about every category. The iPad's processor is faster; its software is more abundant, capable and polished; its storage space is larger; its screen is bigger; and its body is more slender.

Still, the Kindle Fire is a good Wi-Fi tablet, and the price is fantastic. After testing the device this week, I found the Kindle Fire is the most impressive iPad rival among the dozens of tablets that have flooded the market this year. Other iPad competitors have not sold well, but the new Kindle will likely have a different fate.

The Nook Tablet, which also came out this week but which I have not tested at length, costs $50 more and has weaker multimedia offerings. Amazon and Barnes & Noble are squaring off with a new line of inexpensive black-and-white e-readers, too. Yes, those are still around, and bookworms love them.

Size, components and features

Many tablets are much faster and have more bells and whistles than the Kindle Fire, which doesn't have cameras, GPS or a microphone. (The latter is especially strange because even the year-old black-and-white Kindle has a microphone.) Unlike other tablets and e-readers, there also is no version of the Kindle Fire with cellular-data connectivity, meaning that would-be Web surfers are limited to areas with Wi-Fi.

Forgetting for a moment about the guts inside, the Kindle Fire does not feel cheap. The back is rubbery and doesn't slip out of my hands. It's not ultra thin, but it's girth and weight makes it comfortable to hold for long periods of time, like a paperback book.

Because the Kindle is significantly smaller than the iPad -- with a 7-inch-wide screen versus the iPad's 9.7-inch more boxy display -- it weighs about a third less. The built-in speakers sound OK and get about as loud as an alarm clock. There is also a place to plug in headphones.

But the Kindle's battery loses a charger much faster than the iPad. I was able to surf the Web and play videos for several hours, but I found myself frequently searching for a charger after that.

That Amazon skimped on some of the components becomes evident when swiping through menus, switching the screen's orientation or playing games, which can all be jerky at times. The split-second delays are even present when turning pages on a Kindle e-book, which should be the pride of an Amazon device. The lack of a microphone means no Skype or other Internet telephony programs.

Browser and OS

Amazon's Silk Web browser has the features I'd expect and can play most videos found online. Amazon touts the browser's unique speed enhancements, but probably due to the device's lower-end components, it doesn't show. Web pages generally take a few seconds longer to load than on computers or other tablets. Also, I am somewhat uncomfortable with the idea that Silk, as a means of speeding up load times, sends information from every page I visit to Amazon's servers.

This Kindle's operating system is based on Google's Android, but Amazon has changed it so extensively that I barely noticed the similarities. A setback to this approach is that Amazon did not include some basic features, like the ability to copy and paste text, or to quickly switch between running applications.

But overall, the interface is attractive and neatly laid out. On the home screen, the top bar allows me to search for content on the device or search the Web with Google. Below that is a list of categories like news, books, music and apps. In the main area, I have a bookshelf that includes recently opened items or apps organized in a carousel, plus other shelves full of my favorites.

Movies and e-books

Amazon's multimedia offerings are pretty extensive and have been available on other platforms for some time. The company runs the biggest e-bookstore and the second-biggest music download store. Many publishers offer their newspapers and magazines in the Kindle newsstand, but the Kindle Fire's small screen size is not ideal for reading, say, an issue of Bloomberg Businessweek or the New York Times front page.

The built-in Amazon shopping app is well designed. Each Kindle Fire comes with a free 30-day subscription to Amazon Prime, whose primary perk (for $79 a year) is free two-day shipping on every item the company sells. The Prime membership also gives new Kindle Fire owners a taste of its Instant Videos service, which has 13,000 movies and TV shows available for streaming on demand. Tens of thousands more are available for purchase.

For those who prefer Netflix, that company released a new version this week for the Kindle Fire and other Android tablets.

But overall, Amazon's Appstore carries far fewer apps than Apple's online store and even Google's own Android Market. Developers are required to list their Android apps separately with Amazon. (Yes, the Kindle Fire does have "Angry Birds.")

A few bugs

The bare-bones e-mail client that comes with the Kindle Fire does not support Microsoft Exchange, which many companies use for their e-mail system. The app encourages users to download another e-mail program from the Appstore, but it doesn't specify which one to get. Holding the tablet upright and typing with my thumbs is fairly efficient, but the system occasionally doesn't register my taps right away if I type fast.

I also ran into several bugs throughout the Kindle's software. Sometimes my Fire would crash for no reason, and other times, images would not show up in the gallery. Some third-party developers apparently did not account for Amazon not including volume buttons on the hardware, and so I had to adjust the volume from the settings menu activated by tapping the menu bar. These are issues that I expect will get fixed over time through software updates.

The bottom line

The overall software experience is pleasant and integrated from top to bottom. I am never asked to punch in my credit card to buy things, which is convenient. When I first turned on the Kindle Fire, the software recognized who I am because it was already tied to my Amazon account.

After a few clicks, I was set up without ever connecting to a computer to synchronize anything. The music I bought through the Amazon MP3 store and the books I've gotten through the Kindle Store were all ready to go.

The iPad remains the superior tablet, and it's the closest I've found to replacing a laptop. But I wouldn't discount a less capable competitor. The Kindle Fire is a good entertainment device at a price that's truly unbelievable.

@highlight

Amazon's Kindle Fire is a multimedia-heavy touchscreen tablet computer

@highlight

It's significantly cheaper than the iPad, the undisputed leader in the tablet market

@highlight

The Kindle Fire first went on sale this week

@highlight

Reviewer: Kindle Fire is a good entertainment device at a price that's truly unbelievable