(CNN) -- KYRA PHILLIPS: The president said Ebola is a national security priority. How are you responding to that?

GEN. DEMPSEY: Well, it is a national security priority. I'd be happy to explain why. But let me speak to how we're responding to it.

We're responding to -- I actually held a roundtable months ago because I -- a very bright staff officer on the Joints staff came to me and said this is different. This outbreak is different. It's different because it's urbanized, it's different because it's a third strain of the disease. It's different before of the fragility of the infrastructure, of the governments in Liberia, Sierra Leone and Guinea.

And so we brought in a panel of experts and we started talking about how this could evolve.

And we did some parallel planning. That's what we do, right, we plan.

So AFRICOM, General Dave Rodriguez began planning for what we could do to empower and enable civil authority. You know, this is not a mil -- it's not a military threat. But the military has some pretty unique capabilities to deal with all kinds of issues.

We can provide command and control, that is to say, a central location with communications and computers and bandwidth that can help people see the situation. So command and control.

Secondly is logistics. We've got the finest logistics infrastructure in the world. So we've got a command and control headquarters in Monrovia. We've got an -- an intermediate logistics staging base in -- in Dakar, Senegal. We're building a training center in Monrovia.

Now, you might say, why are you building a training center?

That's another thing we do very well, we run good boot camps. So we're going to run a boot camp for health care workers coming from all over the world, using the Medicine Sans Frontieres program of instruction, to give those health care workers confidence that they know what they're up against and how to follow the proper medical protocols when they're in the hot zone.

We actually are not going to play soldiers, sailors, airmen, marines, coast guardsmen in contact with patients, but we're putting an architecture around them that will allow the health care workers to do what they've got to do.

Related: Get up to speed on the Ebola outbreak

PHILLIPS: So how are you going to protect the U.S. military troops that are there and prevent them from bringing this home?

DEMPSEY: Yes, that's a great question. And we're going to -- first of all, we're not going to wait until they're there. So we also know how to train. And so we've got a -- we've got a system of training events prior to deployment, during deployment and during deployment, we tier them in terms of the -- the risk that they may be in contact with somebody with Ebola.

So the logistician sitting in Senegal is highly unlikely to be in contact with anyone from -- from Sierra Leone, Guinea or Liberia.

So they're in a lower risk category. And we manage them differently. Those in a high risk category, we manage them better.

when they get ready to come back, there will be a period of observation before they come back. And then when they come back, there will be a 20 wait -- a 21 day period of observation when they're back here.

Now, here's what sets us apart. Most everybody else self-monitors, right?

There's nothing self-monitor about the way the military treats our soldiers, sailors, airmen and marines, coast guards. We'll be -- we have a chain of command. There are some staff sergeants, some 32-year-old mean as a snake staff sergeant who every day is going to look his soldiers -- I'll use soldiers, but it's the other services, too -- in the eye and make sure that they're not in any way exhibiting symptoms related to Ebola.

And so we will use the chain of command to monitor, supervise monitoring from the time they leave until the time they come back and beyond when they come back to make sure we're giving our -- our -- our young men and women the best possible chance to protect themselves and also avoid the -- to avoid but not eliminate entirely the possibility that they would bring something back.

Related: U.S. troops assisting in Ebola response may be quarantined

PHILLIPS: Big picture, I'm just going to throw it out there.

DEMPSEY: Yes?

PHILLIPS: With this Ebola situation and -- and all the major gaps in the system that we've seen, even the CDC director said that the agency should have taken control of that Dallas hospital, what does that tell you about the US' -- the US' capability to respond to a bioterror attack?

DEMPSEY: Well, we -- this won't surprise you, that we, through NORTHCOM, Northern Command, we have a command in the continental United States, it sits in Colorado Springs, Colorado. Its mission is to support the home -- well, it has a defensive mission to the homeland related to long-range aviation, to missiles and rockets and -- but it also has a very important mission to provide direct support to civil authority.

And we have a contingency plan for managing pandemics, that is, things that would begin to exceed the capability of a particular community or a state even to deal with it.

And we update it periodically. And this is one of those cases where we're -- we're dusting it off. We're very closely in contact with all -- National Institutes of Health, the World Health Organization, the Centers for Disease Control, the U.S. Agency for International Development for the stuff going on overseas.

We are in the planning business and we're deeply into it with regard to this.

But it's very much a mission assigned to civil authority.

PHILLIPS: So what do you say to all the Americans that are looking at this Ebola situation and are in absolute panic?

DEMPSEY: Well, I say a couple of things.

One, the -- Ebola is a, to use a sports metaphor, this needs to be an away game. And that's why the United States military is involved. We want to keep this -- we want to help international health organizations, service organizations and non-governmental organizations. We want to help them keep this in isolation inside of those three countries.

But there is a risk that if we -- if we, collectively, the international community, failed to keep it isolated, that -- that it could become actually -- you've heard all the experts. I don't need to compete with them for, you know, to sound like I slept at a Holiday Inn Express last night.

But I have studied this thing. And there is a risk that it -- that the -- the rate of reproduction, the -- the ability of one patient to affect first two and then four and then eight and then it becomes exponential.

so we've -- we've really got to be aggressive about the isolation and treatment matters that we're taking up.

Inside the homeland, again, we're in support of those. But I can promise you that the United States military will do its part, with civil authorities, to keep this thing from coming to our homeland.

And then inside of the United States, we've got to count on the civil organizations that are responsible for health care.

PHILLIPS: Are you, General Dempsey, worried about Ebola here in the U.S.?

DEMPSEY: I've been worried about Ebola globally for about 90 days. And I have had some on my staff that were probably a little more worried than I was even a few weeks or months before that.

PHILLIPS: Why?

DEMPSEY: I'm worried about it because it -- because we know so little about it. You know, you'll hear different people describe whether it could become airborne. I mean if you bring two, you know, two, uh, doctors who happen to have that specialty into a room, one will say, no, there's no way it will ever become airborne, but it could mutate so it would be harder to discover.

It actually disguises itself in the body, which is what makes it so dangerous and has that incubation period of about 21 days.

Another doctor will say, well, if it continues to mutate at the rate it's mutating and if we go from 20,000 infected to 100,000, the population might allow it the opportunity to mutate and become airborne. And then it will be an extraordinarily serious problem.

I don't know who's right. I don't want to take chance, so I'm taking it very seriously.

@highlight

The Pentagon is updating it's plan for an emergency pandemic

@highlight

The Pentagon is creating a training center and "boot camp" for international Ebola responders

@highlight

It is preferable to deal with Ebola as an "away game," according to Dempsey