To Jay DeLancy, North Carolina is fraught with voter fraud and the state is doing nothing about it.

So the former Air Force veteran has taken matters into his own hands and vows, as he sees it, to save the system from eroding honest elections.

DeLancy launched the Voter Integrity Project more than three years ago, leading a band of volunteers in scouring public records and knocking on doors to root out irregularities in voter rolls.

It's tedious work, and DeLancy has generated mixed results as well as a measure of controversy.

Some call his efforts "sloppy" and question whether he's addressing a serious shortcoming or whether he's become -- intended or not -- illustrative of the tough Republican-driven voter identification law that critics contend intimidates and disenfranchises minority voters.

Moreover, this is all playing out amid hardening partisan divisions nationwide and legal and legislative battles as the nation hurtles toward a midterm vote with the Senate at stake and a presidential ballot in 2016.

A man with a mission

At the VIP headquarters in a commercial office park in Raleigh that resembled many low-budget start-ups, complete with a dry-ink erase board, folding tables with chairs and a big wood, scuffed desk, DeLancy proudly walked through the inter workings of his organization that includes a few dozen volunteers spread around the state.

Bald and 56, he seems at least a decade younger than his age. His enthusiasm screams through his rabidly opinionated professions about how voting should work.

He thinks the mentally ill should be barred from voting, felons should be restored their voting right after they serve their sentence and probation, homeless people should be allowed to vote but only if they remain at the address they put on their voter registration form, and those who don't know the issues should stay home.

DeLancy co-opted his tactics from True the Vote, a well-funded yet controversial conservative group in Texas that prioritizes citizen enforcement of the voter laws.

Framed by a 12-foot long map of North Carolina divided into counties and congressional districts on loan from a Republican member of the state legislature, DeLancy also talks about the need for a strict photo ID law and that fraudulent voting is rampant in elections. And he's doing everything he can to ensure that his vision of the election system is carried out.

To address their concerns, DeLancy and his volunteers plow through public data -- tax records, voting records, jury records, census data and death records - scouring for suspicion and inconsistencies.

He compares tax data with DMV records, voting records in North Carolina with voting records in Florida, jury data with voter rolls. He calls it data mining. All this information is then inserted into an algorithm, creating spreadsheets upon spreadsheets for volunteers to investigate.

When red flags are raised, they might turn it over to the Board of Elections or they might check it out themselves.

Looking in a liberal bastion

In Buncombe County, which includes the western city of Asheville, a liberal bastion in a relatively conservative state, DeLancy's forces teamed with a local tea party group to analyze data.

When five or more registered voters are listed at one address, a red flag goes up. Then they put on their shoes and pound the pavement.

"We would actually knock on the door at that address," DeLancy said.

His volunteers would check to see who lived there and if it matched the records.

The response?

"Some would slam the door in our face," DeLancy said, but added that others would answer their questions.

If doubts persisted after confronting residences, they'd move to Stage Two.

VIP would address a letter to the person in question. If the letter came back with "return to sender," that letter became evidence to submit to the Board of Elections.

DeLancy said a worst-case scenario would involve someone voting fraudulently or, at the very least, they need to be removed from the voter rolls for not living at the address listed.

DeLancy took 180 cases to the Buncombe County elections board and a little more than half the names were stricken from the voter rolls.

Jane Bilello, a volunteer with the Voter Integrity Project and head of the Asheville Tea Party who participated in the door-to-door checks, said the reason they are checking the voter rolls name by name is simple: "We're doing it because the (political) parties aren't."

Tea party group in North Carolina might give up on national races

Vigilante or vindicator?

DeLancy and his group are an aggravating nuisance whose tactics do more damage than good, according to fellow good governance groups with opposing ideological views.

Sarah Zambon, president of Asheville League of Women Voters, said VIP targets minority and Democratic leaning districts, leading to voter disenfranchisement and voter intimidation.

She said that of the 80 precincts in Buncombe County, all of VIP's challenges came from 11 precincts, most of them low income or minority -- communities that are more likely to have more people living under one roof.

"It has an intimidation effect," Zambon said, detailing the story of one African American woman who said she didn't feel comfortable when people showed up at her door and wanted to know where her sons lived.

2014 midterms: What's at stake

Zambon also said he has effectively removed homeless people from the voter rolls for not being at a fixed address.

DeLancy shot back, saying Zambon needs to "cut the emotion and deal with the facts."

"Our laws are so lenient in favor of the voter that any person can claim they're homeless and vote from anywhere," DeLancy said.

North Carolina's tamp down

North Carolina's election record is good. The Pew Charitable Trusts' election initiative named it one of the top-performing states in 2012. The organization cited increased voter registration, few problems with provisional ballots and minimal wait times at polls.

Of the 88% of eligible voters are registered to vote, more than 65% voted in 2012, according to The Pew Charitable Trusts' Elections Performance Index and confirmed by the state.

That turnout is similar to 2008 and both elections saw African Americans vote at a higher rate than whites, according to Democracy North Carolina, an election watchdog group.

In addition, cases of fraud are negligible. The state's Board of Elections says fraud is possible but the state doesn't keep track.

Elections board spokesman Josh Lawson said in the most recent statewide elections on May 6, one case of fraud was referred to the the local district attorney's office and he anticipates "at least three other" cases will be investigated by the board of elections.

But still, the state enacted one of the most stringent voter ID laws in the country, requiring one of a limited number of forms of identification at the poll starting in 2016.

The law also gives voter vigilantes more power, enabling citizens to challenge another person's vote anywhere in the state.

Like laws of its kind that have been passed and challenged elsewhere, including in Pennsylvania and Wisconsin where the courts struck down the laws, North Carolina's law is being challenged for disenfranchising voters.

Michael Cobb, political science professor at North Carolina State University, said the law discourages people to vote, adding that the state that voted for Democrat Barack Obama in 2008 and Republican Mitt Romney in 2012 has taken a step backward.

5 takeaways from North Carolina's primary election

"They've gone the wrong direction in the importance of protecting the vote," Cobb said. "They've erred on the side of making sure no ineligible person would vote."

While DeLancy aggressively advocated for the law, he pushed for a version that went even further. And thinks the state isn't doing enough to enforce the laws and that high voter participation is an indicator that fraud is rampant.

Mixed results

After three years of work and countless volunteer hours, DeLancy has no cases of fraud to show.

He cites, however, that the board of elections has made five "referrals" of prosecution to local district attorneys. He blames the Republican-led board of elections and the inherent difficulty in the system to confirm fraud in the election system.

"We thought with two Republicans in charge they would work with us," DeLancy said. "Even when we do the right thing, the authorities don't really care."

His group also challenged 130 people who are on the voter rolls who got out of jury duty for saying they weren't a citizen. But the board of elections rejected their challenge.

Despite falling short on the fraud front, the group has had some impact, including pushing the state to conduct more thorough list maintenance.

He has played a role in removing about 30,000 people from the voter rolls, most of whom had died, which was confirmed by a state-led audit. That's in addition to an ongoing state issued review of another 155,000 people who are also registered in other states.

And to the chagrin of some and the delight of others, they've helped to raise the issue to a whole new level in the state.

"They've caused bureaucratic wheels to turn," Cobb said.

Lawson said they welcome the work DeLancy - and all good governance groups - are doing. The state is looking into some of VIP's findings, including 149 instancevs of people with the same name and birthday who voted in North Carolina and in Florida.

But Bob Hall, executive director of Democracy North Carolina, a voter protection organization, said DeLancy's group does "sloppy" research and submits piles of claims to the board of elections to sift through with no substantial outcome.

"They have the appearance of being a research group but they operate like a witch hunt group," Hall said. "That's not useful."

DeLancy dismisses his critics and states the overall goal. "We want to figure out how people are voting multiple times. That's the whole ball game," he said.

Complete coverage: 2014 midterms

@highlight

Voter Integrity Project polices the election system to root out fraud in North Carolina elections

@highlight

Opponents say his efforts are intimidating voters

@highlight

The amount of fraud in the Tar Heel State is unknown, but some irregularities have been found

@highlight

North Carolina passed one of the strictest voter ID laws in the country