(CNN) -- When you want news or information about your community, do you sometimes turn to your cell phone or tablet computer? If so, you've got plenty of company.

According to new research from the Pew Internet and American Life Project, nearly half (47%) of all U.S. adults get at least some local news and information on their phone or tablet.

According to Pew, here are the types of local information that mobile users reported they've been getting:

Weather: 42%

Local restaurants and other businesses: 37%

General local news: 30%

Local sports scores and updates: 24%

Local traffic and transportation: 22%

Local coupons and discounts: 19%

News alerts: 15%

The growing trend in mobile local news and information isn't strictly a matter of civic consciousness; weather, dining and shopping did top the list, after all.

However, Pew did find that "[m]ore than a third (35%) of mobile local information consumers say they and others like them can have a big impact on their community. That compares with 27% of those who do not connect to their communities on their mobile devices who feel that level of personal efficacy."

Most mobile local news and information consumers (65%) believe that it's now easier to keep up with information about their community than it was five years ago. About half get local news via six or more different sources or types of media each month. And three-fourths use social networking services like Twitter or Facebook.

About half of U.S. Hispanics (52%) and African-Americans (51%) reported getting local mobile news or information. Whites were slightly behind, at 45%.

Despite conventional wisdom that young people don't care much about news or community, people ages 18 to 29 were by far most likely (70%) to access local information online -- and nearly half of these younger adults specifically report obtaining local news via their mobile devices.

Among people ages 30 to 49, 63% get mobile local news or information. This dropped to 33% for people ages 50 to 64, and to 8% for those 65 and older.

People who are parents of minor children are especially likely (64%) to get local mobile news or information -- compared with only 40% of people with no minor children.

The mobile digital divide is evident on the local front. Wealthier people are especially likely to be mobile local news and information consumers.

Among households earning $75,000 per year or more, 67% use cell phones or tablets to get local news or information, while only 39% of households earning $30,000 or less per year do so. Also, 58% of college graduates are local mobile news consumers, compared with 25% of people with less than a high school education.

Also, while Pew didn't specifically explore this issue, the mobile consumption of local news and information definitely isn't just a smartphone thing.

Pew surveyed 2,251 adults via both land lines and cell phones, so it did not focus solely on smartphone and tablet users. This is key, since smartphones are still in the minority.

According to ComScore, as of January 2011, just under 30% of all U.S. cell phone users owned smartphones. Plus, Pew reports that currently, only 7% of U.S. adults own tablets (mostly iPads) and that most of those people also already own smartphones.

Therefore, a substantial number of people must be getting local news and information via cheaper, simpler feature phones, the next step down in features from smartphones. All of these phones can do text messaging, and most of them can also do e-mail and Web browsing -- just with a clunkier, more limited interface and a slower data connection.

This is significant because feature phones are probably not going away anytime soon. While smartphones are getting more popular, the huge popularity of feature phones is likely to continue for at least a few years. Most consumers aren't willing or able to pay the typically high costs for smartphone handsets and carrier contracts. Also, many consumers simply prefer less complex mobile devices.

Furthermore, feature phones are getting smarter and more useful. In particular, in the coming year, Qualcomm's deal to make Opera Mini the default browser on feature phones powered by its popular BREW MP platform will vastly improve the Web browsing experience for a large portion of feature phone users. An improved user experience may soon lead to a boom in feature-phone Web browsing of all kinds, including for local news and information.

Notably, only 13% of mobile users reported having a local news or information application ("app") installed on their phone. This means that for most local news and information producers, getting an iPhone or Android app probably shouldn't be the first step in their mobile strategy.

Other mobile channels -- especially the mobile Web, e-mail, text messaging and social media integration -- can serve a far larger mobile audience.

In fact, Pew discovered that the only real difference between users of local news mobile apps and other adults is that local news app users tend to be generally more into high-tech.

They aren't even generally more affluent: Only 19% of Americans with an annual household income of $75,000 or more have local mobile news apps, compared with 12% of people from households earning $30,000 or less per year.

The survey was conducted January 12-25. Its margin of error is plus or minus 2.4 percentage points.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

65% of mobile consumers say it's easier to keep up with local information than 5 years ago

@highlight

52% of U.S. Hispanics, 51% of African-Americans, 45% of whites get mobile local news

@highlight

People who are parents of minor children are especially likely (64%) to get local mobile news