(CNN) -- After arriving in Senegal in 1974, I lived in a small village near ThiÃ¨s for three years. It was here that I realized a lack of basic, life-saving information was causing so much unnecessary illness, tragedy and death: Two children in the village were lame from polio; ordinary wounds became infected and led to hospital stays; there were many cases of measles; a baby died from dehydration.

It was also here that I began to understand why development projects have often failed and why they have even disempowered people at the community level.

To try a different approach, I partnered with the Senegalese villagers to design and implement a basic education program in African languages, and in 1991, I set up a nonprofit organization, Tostan, to continue that work.

In this program, people who had never been to school were for the first time able to understand why vaccinations are important, how to treat wounds in the village and how to ensure simple diarrhea does not lead to dehydration and death.

Watch an interview with Molly Melching

It was not until 1996, however, that we had a real "breakthrough" (which is incidentally what Tostan means in the Wolof language) when we added a learning module on human rights and responsibilities to our program. The results were transformational.

By providing a framework of human rights by which women, men and adolescents could discuss new information and issues that were important to them, we saw, for the first time, open dialogue around topics that would have been previously regarded as taboo.

Of course, there are things that are difficult for outsiders to accept. I have had to live through the sights and stories of little girls going through female genital cutting, which has led to hemorrhage and even death. And you feel outrage when seeing this. But with outrage alone, you can maybe save one girl, possibly a few girls. You need to understand fully and involve villagers to find a culturally relevant strategy that can reach a critical mass of people who can collectively make such practices disappear.

And, this is not just about the abandonment of female genital cutting, for which Tostan is perhaps best known -- more than 6,500 communities in the countries where we work have publicly pledged to abandon this practice as well as child/forced marriage.

This is about a different approach to development. It's about the social change that can happen when people get access to good information using engaging and participatory methods -- in their own language, designed for and with people who have never been to school, and that facilitates their potential to shape a more promising future for their families and community.

Today, we run a three-year comprehensive nonformal education program in eight countries in Africa and in 22 national languages. Our Community Empowerment Program covers topics of immediate relevance to those in rural communities. We believe that to make any development initiative successful and sustainable, you need a foundation of education that should be delivered in a manner that is inclusive and leads to dialogue, ideas for taking action for change and positive outcomes.

This inclusive process also embodies what we frequently talk about as "empathy in development" -- something I feel is often forgotten in the world of development. People are shocked by certain harmful practices they hear about in developing countries -- and with good intentions, they translate their outrage into telling people, "This is wrong!" or "Stop this immediately!" But we are talking about systemic change, and it goes deeper than just telling people what to do.

Over the 22 years that we have been working as an organization, we have had many challenges and made many mistakes. Consequently, we have learned a great many things, and we are still learning. So much of what we do today is based on breakthroughs using knowledge we gained through thoughtful and lengthy discussions in classes or sitting under the neem trees or around a fire late into the night.

We have learned four key elements that we continue to instill in all our programs. First, begin with human rights -- empower people to claim their rights to health and well-being with confidence. Two, start where people are -- have empathy and respect while you understand their history, their language and culture and their priorities. Three, do not try to force change -- lay the groundwork for dialogue, introduce people to ideas, identify shared values and allow them to decide what the change will be and when they will make it. If you start by just fighting what they are doing, you're going to get resistance. Finally, and perhaps most crucially, remember the solutions already exist within the communities with which you work.

As my village father, El Hadji Moustaafa Njaay, a wise religious and traditional leader, once told me, "Even if you know what the answer is, and you know what is right, you must let people discover it themselves."

The opinions expressed in this commentary are solely those of Molly Melching.

@highlight

Molly Melching says there were signs of inadequate health care when she moved to Senegal

@highlight

She says real breakthroughs came when villagers were part of the process of change

@highlight

By talking about human rights, people were drawn into the cause, Melching says

@highlight

Solutions can't be imposed from top down; people must discover them for themselves, she says