(CNN) -- Do you get it? Translation: Are you strategic? How often have you overheard a group talking about a leader and saying, "She/he just doesn't get it?" Do they say that about you?

A Wall Street Journal survey of corporate human resources and leadership-development executives identified "strategic thinking" as the business skill most sought by organizations.

So how can you continually hone your strategic-thinking skills in order to provide value to the organization and advance your career? The fact is, most of us are now required to be more successful with fewer resources. Let's focus on the theme that's at the heart of being strategic: differentiation.

In order to realize our full potential, we must embrace the style that makes us unique -- whatever it might be.

Is our style quiet and introverted, or outgoing and extroverted? Do we thrive in an orderly, structured arena, or one that is constantly changing and requires a great deal of flexibility and improvisation? Success goes to those who are willing to be different in ways that bring value to others.

Read more: The army guide to negotiation

Excellence, by its very definition, is deviation from the norm. The norm is an average, or a standard level. It's where the majority of people wind up, even though there is no such thing as a "normal" human being. Everyone has a unique style built on differences in background, abilities, temperament, and so forth. The difficult thing is uncovering and living that unique style.

A manager whose products and services represent the norm for the industry may break even or make a modest profit. A person who lives by following the herd, and who is not willing to take the risks that will let his or her true gifts shine through, may be comfortable. But neither will ever know the exhilaration of finding what differentiates them and letting authenticity drive their individual success. We are all different from one another; our strategies need to be different as well.

Strategy is inherently about doing different things than the competition or doing the same things in different ways than the competition. It's not about being better, it's about being different. Better is often subjective: Is blueberry pie better than lemon meringue? It depends, but it's definitely different and I can sell you on those differences.

Differentiation in the studio

British artist Damien Hirst has taken a dramatic approach to art by performing it in a different way. He created a series of artworks in which dead animals (including a shark, a sheep, and a cow) are preserved -- sometimes after having been dissected -- in formaldehyde.

While his artwork -- such as "The Physical Impossibility of Death in the Mind of Someone Living," featuring a shark in a tank of formaldehyde -- caused great debate on what is or is not art, one thing can't be denied: his ability to differentiate himself and his work through a well-conceived strategy that has jolted the business world of art.

Hirst's different artistic activity has propelled him to become reportedly Britain's richest living artist, with his wealth valued at nearly $350 million.

Read more: What's your career superpower?

Differentiation in the kitchen

While Hirst employed different activities in the world of art, award-winning chef Grant Achatz has taken the common activity of cooking and is transforming it in different ways.

Named the 2008 top chef in the United States by the James Beard Foundation, he is the owner of Alinea, Restaurant Magazine's best restaurant in North America in 2011. Now Achatz has conceived a new concept. His latest restaurant, Next, serves four menus per year, from great moments in culinary history or the future, such as Paris 1912, Sicily 1949, and Hong Kong 2036.

Instead of reservations, bookings are made more like those for a play or a sporting event. Tickets are fully inclusive of all charges, including service. Ticket price depends on which seating you buy: Saturday at 8 pm is more expensive than Wednesday at 9:30 pm. Next also offers an annual subscription to all four menus at a discount, with preferred seating.

Achatz has taken the common activity of running a restaurant and is constantly finding new ways to do it differently.

Discover your differentiation

Five questions to help you discover your differentiation this year:

1. What are the activities I perform that are truly different from those others perform?

2. What are the similar activities I perform in different ways than others do?

3. What characteristics or traits do I have that are unique to me?

4. What resources do I have that are different from those of others?

5. What is the primary differentiated value I bring to people in my life?

Most books and training programs only address the first three levels of strategy: corporate, business unit and functional group. In reality, these are all subsets of the most important level of strategy: you.

The opinions expressed in this commentary are solely those of Rich Horwath.

@highlight

"We must embrace the style that makes us unique," says Rich Horwath

@highlight

Horwath says everyone has their own unique style that can help their career

@highlight

He asks five questions to help you discover your differentiation