Colorado state Rep. Tony Exum thought he was being punked.

The voice on the other end of the line claimed to be Vice President Joe Biden. It said it wanted to underscore the broader national importance of the heated gun control policy debate raging in Colorado.

"He asked me if the gun control laws we were debating had a chance of being passed, and I told him I thought it did. He talked about what gun control laws would mean and the difficulty of getting those passed in the country," Exum, a Democrat, said of the call he received from Biden last month. "At first I thought it was a prank call."

The brief exchange between Exum -- who represents a small section of southeast Colorado Springs where he once responded to shootings as a firefighter -- and the vice president, who heads up the Obama administration's gun control reform efforts, wasn't a chance encounter.

Calls to state lawmakers by the vice president are "unusual," but not necessarily a bad thing, said Daniel Webster, director of the Johns Hopkins Center for Gun Policy and Research.

"It's clear that the administration has placed gun violence prevention near the top of its agenda," Webster said. "States passing stronger gun laws builds momentum for change in other states and at the federal level. Colorado is an important state not only because it has experienced two of the most high-profile and deadliest mass shootings, but because it is a purple state with a lot of gun owners."

(A shooting at a movie theater in Aurora, Colorado, last July killed 12 people and injured 58. In April 1999, two students at Columbine High School in Littleton, Colorado, killed 13 and wounded 23 others before killing themselves.)

Forget about 'political survival' in gun debate, Biden says

The state battles are important because the administration needs to send a signal back to Washington that the gun laws the White House supports need not have negative political consequences, gun policy experts say.

Having the vice president reach out to local lawmakers "may provide cover for some states that are passing these types laws so that there is some national conversation on this," said economist and pro-gun advocate John Lott.

In many ways, Colorado is ground zero for states' battles over gun control policy.

As the nation awaits congressional action on a slate of gun control measures ranging from an assault weapons ban to expanded background checks, many states have taken matters into their own hands.

"Some very pro-gun states are passing legislation that says, in essence, we won't follow certain federal laws," Webster said.

From Second Amendment to assault weapons ban: A look at U.S. gun laws

There are more than 1,000 gun policy bills pending in the nation's state legislatures, according to an analysis by the Law Center to Prevent Gun Violence. The measures run the gamut from assault weapons bans and expanded background checks to proposals allowing guns in schools and in churches.

More than half of the nation's state legislatures have had measures introduced that aim to nullify the effect of any federal ban on firearms, assault weapons and high-capacity ammunition magazines, according to data collected by the he National Conference of State Legislatures.

For example, on January 21, Mississippi lawmakers introduced nearly a dozen such proposals. All of the measures failed, most of them in committee.

Most of these types of proposals hit state legislatures within days of the White House's January announcement of 23 executive actions on gun control and the introduction by California Democrat Sen. Dianne Feinstein of a proposed ban of some assault rifles and semi-automatic weapons.

"The bluest states are being aggressive -- New York with the broadest prohibitions relevant to the mentally ill and lowest maximum ammunition capacity and broadest assault weapon ban," Webster said.

Biden traveled to a gun policy conference in Connecticut last month in the aftermath of December's Newtown school shootings, to underscore the administration's push for tougher laws as the state considers a broad set of gun control bills. Similar efforts are under way in New Jersey.

Gun violence plans: What's in the works

Maryland Gov. Martin O'Malley has spent tremendous political capital in his effort to enact several pieces of gun control legislation including stricter handgun purchaser licensing, banning the sale of assault weapons and ammunition-feeding devices with a capacity of more than 10 rounds, and expanded prohibitions for the dangerously mentally ill.

Across the country in California, state lawmakers are considering measures that would expand the categories of high-risk people who cannot legally purchase or possess firearms -- including repeat drug and drunk driving offenders and people who violate domestic violence restraining orders.

The debate has been especially heated in Colorado, where memories of Aurora and Columbine run deep.

On Monday, a small plane flew above the Colorado Capitol building pulling a banner that advised Gov. John Hickenlooper, "Hick: Do not take our guns." Opponents packed the Capitol's halls and honked horns in the parking lot.

LaPierre says gun owners are ready to 'stand and fight'

Inside the statehouse, Mark Kelly -- the husband of former U.S. Rep. Gabrielle Giffords, the Democratic  congresswoman who was shot while meeting with constituents in Arizona in January 2011 -- stressed the importance of universal background checks. Like Congress, the Colorado state legislature is considering a package of gun control legislation designed to broaden background checks to include private sales and limit the size of ammunition magazines.

There are at least seven gun control measures up for a vote before the state Senate by the end of the week that, if passed, could potentially be on the governor's desk by the end of the month.

Back in Washington, the fate of several pieces of similar gun policy legislation wending their way through a Senate committee could foreshadow the nature of the upcoming congressional gun control debate. But the politics of all of these measures is tricky and the stakes are high, said Alan Lizotte, dean and professor at the School of Criminal Justice at the State University of New York at Albany.

"Both Democrats and Republicans are in a tough spot on this," Lizotte said.

The speaker of the Colorado House of Representatives, Mark Ferrandino, a Democrat, says though he too was surprised to receive a call about his state's gun control battle from Biden last week, he understands the stakes.

The vice president "definitely said they were paying attention to all states that were having the debates, including Colorado," Ferrandino said.

However both he and Exum added that though they appreciated the White House calls, they were already staunch supporters of stricter gun control legislation.

"Our goal is to pass the best policy for Colorado," Ferrandino said. "If the vice president wants to take that and help at the national level, or other legislators want to see if that will help with their state, then we'll gladly talk with them."

@highlight

As they await federal action, states are enacting their own gun laws

@highlight

Red states consider pre-emptive laws to nullify a federal assault weapons ban

@highlight

Blue states pass tough restrictions on gun purchases, expand background checks

@highlight

States' actions could provide political cover for a White House pushing tougher gun laws