(CNN) -- In 2010 the African Union launched a decade-long initiative to promote women's empowerment and put female rights at the heart of development in the billion-strong continent.

Dubbed African Women's Decade (AWD 2010-2020), the ambitious scheme aims to create the conditions for the active participation of women in the socio-economic development of the continent.

Now, more than two years after the Nairobi launch, African Voices caught up with three diaspora-based, prominent African activists to discuss the current state of women's rights in the continent.

CNN spoke to Rainatou Sow, Marie-Claire Faray and CNN Hero Betty Makoni -- an edited version of the interviews follows.

Rainatou Sow

Rainatou Sow is the founder and executive director of "Make Every Woman Count," an organization that monitors female rights in every African country. The Guinean activist was named "Inspirational Woman of 2012" by the UK group "Women 4 Africa."

CNN: "Make Every Woman Count" publishes an annual report detailing the treatment of women in each country to remind people that African women are watching.

Rainatou Sow: Yes, that's the message. Basically, when they launched African Women's Decade it was in Nairobi -- you had people from all over coming, delegates, African governments, it was a big feast. But then after a few months you hardly heard about it -- because of the credit crunch basically we didn't hear about financing going into women's projects there and it was really calm.

So we thought what can we do? Are we going to sit down and let this decade pass away, or are we going to do something, mainly us as the younger generation.

I see this as an opportunity to really push the agenda of women's rights in Africa because most of the time African voices are lost in the field. So every year we do the overview annual report where we do all the 54 countries. We evaluate all of them, regarding what they have been doing this year on women's rights, in education, reproductive health.

See also: U.N. director: 'Women will change world'

CNN: Why do you think African voices aren't being heard?

RS: I think that's really missing. Whatever we do, we should make sure that we invite those women to come to tell their own stories because that is how you could best help her. Not you talking for her.

By using the power of social media, of the internet, really reaching women around Africa and in the diaspora here and that is what we are really trying to do -- to really give African women the voices they deserve that we haven't seen so far.

CNN: Do you think it's hard to get donors to move beyond the mindset of the emergency aid to more sustainable approaches?

RS: Yes, that is what we are trying to do. A lot of women are really raising their voices about that because there is no sustainability and that's the big problem. After so many years of aid we haven't seen an impact on the ground. So for me it is about time to maybe sit back and look at what we have done wrong and how we can improve things to try and ask the local communities and then go ask people, "so what have you already done here?"

Marie-Claire Faray

Marie-Claire Faray is an activist from the Democratic Republic of Congo who campaigns to end violence against women, especially in her home country. As a member of the Women's International League for Peace and Freedom, she is advocating for change and pushing for action during the AWD 2010-2010.

CNN: What are you hoping to achieve with the AWD?

Marie-Claire Faray: We really hope to bring a lot of women on board to first of all commit to changing at the individual level, local level, national level and international level. We hope to bring women from all backgrounds -- not only the lawyers, the politicians, but also the grassroots women, particularly them, to come and hold their government to account.

CNN: Because in many African countries the legal framework is there, what's been missing is the accountability.

MCF: Definitely, not only the accountability but the action plan to set changes. This decade is actually just a time frame for us to evaluate every year during this decade what achievement has been done and what challenges lie ahead of us.

But ultimately, in 2020, we want to look back and say "we have at least achieved this in this country" -- for example "in the Democratic Republic of Congo, we have achieved more women in parliament, the end of violence against women, the end of sexual violence."

We want to look at places like Mali, where there is conflict right now, and see what women have achieved to end this conflict.

CNN: Does it feel like no one is listening to African women as to what their priorities are? That people are coming from the outside and deciding for them?

MCF: Of course, because not only people are deciding for us, but people are talking for us. This is what the Congolese women are saying, "end the war and sexual violence in the Congo." We feel that some of the agenda that African women such as Congolese women want to put forward to end the war is not being listened to because there is another agenda so that the illegal trade of natural resources will continue in the Congo.

CNN: Many women's groups in the Congo feel not enough is being done. So it is not about getting the voices heard, it's about what happens next.

MCF: Yes, I think Gandhi said it, "if you want to see change, you start it within yourself." If we want to see change in the Congo, we have to work for that. So it's about ourselves, about working with African women all together to make that change.

Betty Makoni

Betty Makoni is a Zimbabwean activist fighting to rescue girls from sexual abuse. She was raped at the age of six and lost her mother at the age of nine. After surviving these traumas, she vowed to devote her life to protecting young women and girls from abuse. Through her program "Girl Child Network" she says she is protecting more then 300,000 girls in her home country. Among the many honors she has received, Makoni was named a CNN Hero in 2009.

CNN: You have experienced some of the worst deprivations, yet you are standing, saying "listen to me, it can be done, we can move beyond all of this, we can start over with a new generation."

Betty Makoni: Definitely, I'm coming to confirm that. People are looking at big organizations like the United Nations, SADIC or EU. They don't come to your house when you are being raped, they don't come to your community when you are being stopped from going to school.

Action begins with an individual girl like myself who was adopted into a good girls school and I said: "I've got the brains but no money, allow me in." It was my voice, so it is that voice of an African girl we are trying to say "let it come out."

So, I think let's enable; the girls in Africa, the women have been disabled, they've received handouts, they've been given fish to eat instead of the fishing rod. But we are coming to change that, to say that there is potential we can unleash.

See more: Tribute to Betty Makoni

CNN: It's easy to say that African women's voices need to be heard but often there is a huge price to be paid when African women speak out. Yourself, in the end, you had to leave Zimbabwe and come to the UK.

BM: I left Zimbabwe because I dealt with sensitive issues like high-profile rape cases involving children, like rape is a weapon of war.

Those are not matters that governments take so easily, but I'm saying wherever you can be positioned it's very strategic for you to continue contributing. I know my life in Zimbabwe was not going to be safe, that I can confirm, but I travel globally now, there are many countries in Africa that have accommodated me.

Africa does not only consist of a small country, Zimbabwe, it also consists of the whole continent joined together. So as African women let's not give up -- even if there is a backlash we can strategically use technology to keep speaking out like I'm doing; we can set up offices elsewhere; we can mobilize other people elsewhere to support us. So there is still hope even when you are uprooted like in my case.

CNN: If there was a message that you would like the international and donor community to hear about what women in Africa need, what would it be?

BM: The best thing would be, let's go build all these offices on the ground, in villages, rural areas, in high-density suburbs, family areas and then let's open the doors. Once we open the doors the ideas will come in. Because a solution is not far from the person who is affected by a problem -- normally persons with challenges, they have got solutions of their own.

@highlight

Rainatou Sow, Marie-Claire Faray and Betty Makoni are advocates for equal rights

@highlight

Through their organizations they aim to empower and inspire all African women

@highlight

In 2010 the African Union launched the African Women's Decade

@highlight

The initiative promotes female empowerment and gender equality