Editor's note: Brian Levin is director of the Center for the Study of Hate & Extremism and an associate professor at California State University, San Bernardino. He is the editor of the recently published book: "Hate Crimes: Understanding and Defining Hate Crime" (Praeger, 2009) and was a 2004 Summer Seminar Scholar at the Center for Advanced Holocaust Studies at the United States Holocaust Memorial Museum.

Brian Levin says hate groups feel marginalized by the growing tolerance of diversity in the larger society.

SAN BERNARDINO, California (CNN) -- Last Saturday, a young African-American president used eloquent prose to challenge the world to learn from the horrors of the Nazi Holocaust at Germany's Buchenwald concentration camp: "To this day, there are those who insist that the Holocaust never happened -- a denial of fact and truth that is baseless and ignorant and hateful. This place is the ultimate rebuke to such thoughts; a reminder of our duty to confront those who would tell lies about our history."

Yesterday, less than a mile from the White House, an old bigoted white man was suspected of firing back his response at the place where America tries to draw lessons from that hatred.

Yesterday's shooting is the latest in a series of murderous attacks by erratic far-right-wing extremist "lone wolves" over the past three months. When shocking violence like this arises, commentators point to various factors including mental illness, political debates and the availability of guns.

We, however, must first acknowledge the hand of a small but expanding hate movement as a potent, yet invisible, accomplice that incites and inspires society's disaffected to serve as its most violent warriors. Ironically, it is the movement's decline that makes its violent fringe feel most compelled to act.

In April the Department of Homeland Security in a controversial, though ultimately prescient, report concluded, "the historical election of an African-American president and the prospect of policy changes are proving to be a driving force for right-wing extremist recruitment and radicalization."

That month Richard Poplawski, a 22-year-old with a history of both job failures and anti-Semitic conspiratorial Internet rants, was charged with gunning down and killing three Pittsburgh police officers during an ambush at his home. He was in fear of the "Obama gun ban" and the "evil of the Jews," according to the Anti-Defamation League.

At the end of May, Scott Roeder, 51, a divorcee with a criminal record and a history of financial difficulties, shot a controversial abortion provider to death at his church in Kansas. Years earlier, after his life began to unravel into fanaticism, he joined an anti-government and anti-Semitic movement called "The Freemen."

Only days after President Obama's Buchenwald speech, authorities suspect, longtime anti-Semite James von Brunn, an itinerant 88-year-old divorcee from Maryland, decided to make his second armed foray to combat an imagined Jewish plot. Both involved a symbolic government-operated Washington landmark.

On December 7, 1981, the 40th anniversary of the Pearl Harbor attack, during another economic downturn, the then 61-year-old Holocaust denier attempted to enter the Federal Reserve building to kidnap Fed board governors at gunpoint.

Von Brunn and other anti-Semites believe that the Federal Reserve is part of a Jewish conspiracy to control the country by subverting the banking system. Similarly, in their view, the U.S. Holocaust Memorial Museum is yet another Jewish government plot to subvert history.

For years he railed against the "browning of America," the "poisoning" of the gene pool and the "Holocaust hoax." Despite the fact that he says he worked for Noontide Press, a publishing outfit owned by arguably the most notorious Holocaust denier, he was never able to get his own anti-Semitic book published.

Von Brunn's latest desperate attack comes as he nears the end of his life, and when the hate movement itself as well as the nation are at a crossroads. The shooting comes at a time when society as a whole increasingly rejects the bigotry he strove so long and unsuccessfully to entrench. As a young child, he lived in a nation where the Invisible Empire numbered 4.5 million, thousands of hooded Klansmen marched on the capital, and blacks were segregated and many were lynched.

Today, a somewhat resurgent hate movement has grown to a record 926 groups -- up more than 50 percent alone this decade, according to the Southern Poverty Law Center. Still, the news has not been great for hate groups.

The increase comes off of a historic low and appears to be caused in part by a splintering of large groups and the emergence of smaller, less effective ones. In addition, a leadership vacuum has emerged as many of the charismatic hatemongers of the past have died, retired or been incapacitated by prison, ill health or scandal.

Unlike the millions of Klansmen of the 1920s, today's hardest core probably number no more than a couple of hundred thousand. More tourists probably visit the Holocaust Museum on a busy day than the total national membership of the Klan.

Notwithstanding a spike in some very disturbing racial incidents related to the election of Obama, except for Washington state, the most recent data trickling out shows a decrease or stability in the handful of jurisdictions reporting 2008 hate crimes.

The Anti-Defamation League just reported the fourth annual decline in anti-Semitic incidents in the United States, and 65 percent of whites and a record number of blacks, 59 percent, say race relations are good, according to a New York Times/CBS poll.

However, all the good news about tolerance, a pending federal hate crime bill, the election of an African-American president and our increasing diversity are seen as nothing less than a final frontal attack on white nationalism itself. For the remaining haters, desperate times and recent attacks may in fact be taken as one last violent call to arms.

The opinions expressed in this commentary are solely those of Brian Levin.

@highlight

Brian Levin: Hate groups have less support in a more diverse America

@highlight

He says they feel threatened and are desperate due to growing tolerance in society

@highlight

Levin: President Obama's election led to a spike in incidents, but overall little change