(Travel+Leisure) -- Mysteries come in many forms: ancient, modern, unsolved and unexplained. But the world's most mysterious buildings are a physical force to be reckoned with.

They've become popularized on websites such as abandoned-places.com, weburbanist.com and the granddaddy of them all, atlasobscura.com, an exhaustive user-generated and editor-curated database of the unusual.

Our list of mysteries doesn't trot out cliched write-ups of the Bermuda Triangle and the Egyptian pyramids, nor is it promoting the usual suspects of PR-pushed haunted hotels. These peculiar structures are original, lesser-known and often arcane.

Mystery, after all, must be authentic.

"In an age where it sometimes seems like there's nothing left to discover, our site is for people who still believe in exploration," says Atlas Obscura co-founder Joshua Foer, whose own favorite mysterious buildings include a murder mansion in Los Angeles and an art house in Centralia, Washington.

Our definition of mysterious is broad and varied. Some buildings on our list are being eaten alive by the Earth, such as a sand-swallowed lighthouse in Denmark's Jutland and a lava-buried church in the remote highlands of Mexico. Others have design elements that seem to defy logic or were mysteriously abandoned by their people centuries ago. New York's shadowy Renwick Smallpox Hospital has more recent traces of human life -- and an eerie energy that lingers. We've got the photo proof.

The world's strangest statues

Renwick Hospital, Roosevelt Island, New York City

This abandoned Smallpox Hospital, replete with granite veneer, corbelled parapets and mansard roofs, is a reminder of Gotham's grisly past. Its 100 hospital beds once hosted quarantined immigrants suffering from the gruesome disease. A $4.5 million restoration project will open Renwick to the public in 2013, kicking off with an art project that includes giant butterflies hovering over the site.

Mystery: Renwick is illuminated at night by an anonymous patron, who purportedly has a view of it from an Upper East Side penthouse.

Visit: The American Institute of Architects and Classic Harbor Line offer architecture-themed cruises around Manhattan with lectures on Renwick and other mysterious city sites.

Loretto Chapel, Santa Fe, New Mexico

The imposing Gothic Revival church's spiral staircase is a woodwork masterpiece that somehow connects the choir loft to the ground-level pews without a central column for stability and with wooden pegs instead of nails.

Mystery: Legend has it that an anonymous carpenter built the staircase in 1878 then disappeared without pay.

Visit: Just around the corner is La Posada de Santa Fe, a three-story Victorian mansion turned art-stuffed hotel. Suite 100 was the bedroom of previous owner Julia Staab, and her spirit is said to haunt it.

Kolmanskop Diamond Camp, Skeleton Coast, Namibia

Bushmen considered Namibia's Skeleton Coast "The Land God Made in Anger," while the Portuguese called it "The Gates of Hell." Though the coast received its name because of beached whale bones that scattered its shores during the heyday of the whaling industry, today skeletal remains of more than 1,000 fog-sacked ships and abandoned diamond camps earn it the title. Among the detritus being taken over by desert sands is Minenvewalter, the manager's house at abandoned diamond mine Kolmanskop.

Mystery: Diamond miners purportedly haunt Minenvewalter; their ax-pick-punctured skulls were allegedly found here in the 1960s long after the colony departed.

Visit: Wilderness Safari's Distinctive Namibia circuit includes lion and cheetah treks in the rusty dunes but also a scenic three-hour flight over the wreck-strewn Skeleton Coast.

Skara Brae, Orkney Islands, Scotland

Previously thought to be a Pictish village, this massive and mysterious Orcadian village on the Bay of Skaill is still being excavated -- and changing everything we know about Europe's pre-Celtic era in the process. The 5,000-year-old site predates the Egyptian pyramids.

Mystery: Even though the village was deserted thousands of years ago, the buildings at Skara Brae remain in good condition. Archaeologists don't know why the last inhabitants left, although many theorize it was abandoned because of an apocalyptic event.

Visit: Hurtigruten's "In the Wake of the Vikings" cruise calls on ports in the ancient Orkneys, as well as the Shetlands, Hebrides and Faroes.

Woodchester Mansion, Cotswolds, England

Stone gargoyles festoon this 19th-century neo-Gothic mansion topped with turrets and built of iconic honey-colored Cotswold limestone. It was abandoned midconstruction in 1873 after its devoutly Catholic owner died. Seek out the mansion amid a deeply secluded valley for bat tours, Halloween parties and paranormal nights.

The world's creepiest attractions

Mystery: During World War II, the house was used as a temporary morgue for Allied troops. Rumors persist of uniform-wearing spirits and 1940s music echoing in the hallways.

Visit: Twenty miles away in Cheltenham, the newly opened Ellenborough Park is a gorgeous 16th-century Tudor-style manor with all the posh benefits of your own mansion.

Therme Vals, Vals, Switzerland

High in the Swiss Alps at the end of a terminal road in a Romansh-speaking pocket of Canton Graubünden is this stark thermal bath designed by Pritzker laureate Peter Zumthor. Slabs of Valser quartzite create a watery labyrinth that's by turns minimalist and quasi-industrial, but consistently eerie.

Mystery: The grottenbad (acoustic chamber) is accessed by a narrow tunnel and allows bathers' vibratos to bounce off the walls, creating a delightfully haunting aural experience.

Visit: Earn some soak time in the bath with Country Walkers' self-guided Walk of the Valais and Goms Valley.

Yaxchilán, Chiapas, Mexico

This obscure fourth-century site, along the Usumacinta River at the Guatemala border, draped in thick strangler vines and echoing with shrieking howler monkeys, is a tourist-free standout among Mexico's many ruins. Visitors approach by boat, then enter through El Laberinto (The Labyrinth), a limestone building with painted stucco panels and topped with decorative cresterías dedicated to ruler kings such as Moon Skull.

Mystery: Yaxchilán was mysteriously deserted in the ninth century, but pilings along each side of the river suggest that it was the site of a sophisticated suspension bridge.

Visit: Travel like Mayans, by water, on Mountain Travel Sobek's Chiapas Wildlife Adventure, which includes whitewater-rafting runs along the Rio Santo Domingo and stops at Yaxchilán and other ancient ruins.

Rubjerg Knude Lighthouse, Hjørring, Denmark

Jutting out from a desolate dune called Lønstrup Klint (cliff), this ghostly sentinel was built in 1900 but abandoned in 1968 after sands and sea began to devour it whole. The sturdy 75-foot-tall building will likely collapse from shifting sands and coastal erosion in the next decade -- and it makes you wonder what other Viking relics lie beneath the sand.

Mystery: The tower was built on a dune-less cliff 656 feet from the sea and nearly 200 feet above sea level, yet, despite rescue attempts, the elements slowly swallowed it over the years.

Visit: Twenty miles north is a Danish Modernist country house steps from a more tranquil beach.

The world's strangest prisons

San Juan Parangaricutiro, Michoacán, Mexico

In 1943, an explosive volcano in Mexico's remote mountain state of Michoacán began spewing lava, eventually burying the villages of San Juan Parangaricutiro and Paricutín under a coal-black layer of chunky lava.

Mystery: The crucifix-topped bell tower of the San Juan Parangaricutiro Church just so happened to be spared from the destructive lava, while the vacated church's altar, at the other end of the church, is also entirely intact.

Visit: Abercrombie & Kent's tailor-made Mexican Colonial Splendors trip takes you to the lava-buried site from the Purépecha mountain village of Angahuan, 30 minutes away.

Coral Castle, Homestead, Florida

Made from 1,100 tons of limestone boulders -- bigger than those at Stonehenge -- this structure, located just south of Miami, was built from 1923 to 1951 by a single man, a tiny Latvian immigrant named Edward Leedskalnin, as his home and an homage to the love of his life who left him the night before their wedding.

Mystery: How did he do it? The jilted man claimed he knew the secret to the pyramids' construction. Other details -- no mortar, precise seams, physics-defying balancing acts -- have also stumped scientists for decades.

Visit: Take a guided tour for some insights into this quirky castle, where even the rocking chairs are made of stone.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

These peculiar buildings are mysterious beyond ghost stories, legends and fables

@highlight

From prehistoric secrets to anonymous patrons, these places intrigue

@highlight

Architecture can be as haunting as the lingering aura of tragic history

@highlight

See the buildings in the United States, Mexico, Denmark, among others