(CNN) -- In 1907, Congress banned corporate contributions to federal candidates in the wake of the robber baron-era scandals. In 1947, the ban was formally applied to corporate expenditures and extended to cover labor unions.

In 1974, Congress enacted limits on individual contributions to federal candidates and political committees in the wake of the Watergate scandal.

In 2010, the U.S. Supreme Court in the Citizens United case declared the corporate expenditure ban unconstitutional, holding that independent expenditures could not be constitutionally limited in federal elections, and implicitly that corporations could give unlimited amounts to other groups to spend, as long as the expenditures were made independently from the supported candidate. Subsequently, the U.S. Court of Appeals for the D.C. Circuit in the SpeechNow case held that the limits on individual contributions to groups that made independent expenditures were unconstitutional.

Thus was born the super PAC.

And thus was born the national campaign finance scandals that are unfolding daily in the 2012 elections.

Super PACs are federally registered political action committees that raise unlimited contributions from the super rich, corporations, labor unions and other entities and spend these funds to make "independent" expenditures in federal elections.

They are an unmitigated disaster for the American people.

A recent study by Demos and the U.S. Public Interest Group found that, as Politico reported, "Super PACs raised about $181 million in the last two years -- with roughly half of it coming from fewer than 200 super-rich people."

The study also found that 93% of the itemized contributions raised by super PACs came in contributions of $10,000 or more, with more than half of this money coming from just 37 people who each gave $500,000 or more.

Super PACs are a game for millionaires and billionaires. They are a game for corporations and other wealthy interests. Meanwhile, citizens are pushed to the sidelines to watch the corruption of our democracy.

In the 2012 presidential election, an even more insidious version of the super PAC was born -- the candidate-specific super PAC. Every significant presidential campaign has had a super PAC -- created and run by close associates of the candidate -- that raises unlimited contributions to spend only to support that presidential candidate.

Presidential candidate-specific super PACs are simply vehicles for the presidential candidates and their supporters to circumvent the limits on contributions to candidates enacted to prevent corruption. Most of the super PAC money has been spent on attack ads.

We already have seen Sheldon Adelson and his wife give $10 million to the presidential super PAC supporting Newt Gingrich. One couple! $10 million!

The claim that these presidential super PACs are operating "independently" from the presidential candidates, as is required by law, is absurd and has no credibility.

Last week, President Barack Obama reversed course and agreed to send Cabinet members, White House staff and campaign officials to speak at and participate in fundraising events for Priorities USA Action, the allegedly "independent" super PAC supporting Obama's re-election. Days later, Mitt Romney's campaign announced that senior Romney campaign aides would do the same and appear and speak at fundraising events for Restore Our Future, Romney's allegedly "independent" super PAC.

Sound independent?

According to the Supreme Court's view, a corporation that spends $30 million to elect a senator will not be able to buy corrupting influence over the senator's positions because the corporation has not "coordinated" its expenditures with the senator.

Democracy 21 believes these super PACs are indeed engaging in illegally coordinated activities and is requesting the Justice Department to investigate.

Super PACs corrupt our political system in two ways.

First, super PACs allow a relatively few super-rich individuals and other wealthy interests to have greatly magnified and undue influence over the results of our elections.

Second, super PACs allow the super rich and wealthy interests to buy influence over government decisions, in the event the candidate wins.

The Supreme Court decision in the Citizens United case that unleashed this is built entirely on a fiction: that "independent" expenditures by corporations cannot have a corrupting influence on federal officeholders.

This is fantasy, not reality.

Important steps can and must be taken to deal with candidate-specific super PACs within the boundaries of the destructive Citizens United decision.

Rep. Chris Van Hollen, D-Maryland, has introduced the DISCLOSE 2012 Act  to close gaping loopholes in the disclosure laws. It requires super PACs immediately to disclose their donors and campaign expenditures, and requires the PACs' top five donors, and the amounts they gave, to be listed on each of their ads. This legislation is essential to inform citizens about who is providing the money to influence their votes.

In addition, Democracy 21 is preparing legislation to shut down super PACs that are closely tied to the candidate they are supporting. The legislation would treat these super PACs legally as arms of the candidate's campaign and subject to the contribution limits that apply to the candidate.

Five Supreme Court justices have done enormous damage to our country with one of the worst decisions in the history of the court.

This will not be allowed to stand.

Citizens will rise up to demand and achieve fundamental reforms, as we have before when threatened with the systemic corruption of our government and officeholders.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Fred Wertheimer.

@highlight

Super PACs get unlimited funds from super rich, corporations, unions to spend in elections

@highlight

Fred Wertheimer: Super PACs reportedly raised $181 million in two years, half from 200 people

@highlight

Super PACs push citizens to sidelines, he says, by buying a candidate's election

@highlight

Super PACs must be required to disclose donors and expenditures, Wertheimer says