Baghdad (CNN) -- Tens of thousands of followers of anti-American Shiite cleric Muqtada al-Sadr marked the ninth anniversary of the U.S. invasion of Iraq on Monday by demanding improvements in public services in the war-torn country.

Some of the protesters carried coffins marked "electricity," "water" and "education" through the streets of the southern oil city of Basra. Others carried cables and water containers to express their frustration with the lack of basic utilities.

Iraqi security officials estimated the crowd at 100,000 to 120,000 people, many of whom carried Iraqi flags, banners and pictures of al-Sadr -- the Shiite Muslim leader whose former militia once fought numerous pitched battles with U.S. troops. With the American military now out of Iraq, the banners challenged Iraq's new political leaders, asking "Where are your promises?"

In a statement read by one of his allies, the cleric urged his followers to take their complaints to the ballot box. "If the government fails to listen to your demands, then you will decide what is best for you," he said.

About 30% of Iraq's population lacks access to clean drinking water, though the figure is up sharply from 2008, according to the Brookings Institution's Iraq index. Electricity generation surpassed prewar levels in mid-2007 but averaged about 56% of demand in 2011, Brookings estimates.

Iraq seeks new oil routes amid Iran tensions

Al-Sadr, who rarely makes public appearances, also called on his supporters to remain firm in their opposition to the United States and Israel.

"If we unite our voices, then we will be able to defeat America, Israel and other enemies," Sheikh Assad al-Nassri told the crowd on al-Sadr's behalf.

A U.S.-led army invaded Iraq on March 20, 2003, toppling longtime dictator Saddam Hussein. But years of bloodshed followed the invasion as an insurgency led by Hussein's allies took root, followed by sectarian warfare between Iraq's Shiite majority and Sunni minority.

Al-Sadr's militia, the Mehdi Army, was blamed for some of the worst violence. He formally disbanded the group in 2008, announcing that it was transitioning into a movement to oppose secularism and Western thought. Meanwhile, his political movement has become a kingmaker in Iraqi politics: Its 39 members of Iraq's parliament were key to Prime Minister Nuri al-Maliki's winning a second term.

His supporters usually demonstrate in Baghdad to mark the anniversary. But they held this year's rally in Basra because of tightened security in the capital as it prepares to host an Arab summit, security officials told CNN.

The United States argued Hussein's regime had been harboring forbidden stockpiles of chemical and biological weapons, long-range missiles and a nuclear weapons program. But inspectors later found that Baghdad had attempted to conceal some weapons-related research from the international community, but that Iraq had been effectively disarmed under U.N. sanctions in the 1990s.

The invasion swiftly toppled Hussein, who was later executed for the massacre of Shiite villagers following an assassination attempt in the 1980s. But nearly 4,500 Americans and 300-plus allied troops were killed before the last American troops left in December, while estimates of the Iraqi toll run well above 100,000.

@highlight

Sadrists demand better services as they mark ninth anniversary of war

@highlight

Supporters carry coffins marked "electricity" and "water"

@highlight

The cleric urges followers to stay united in opposing the United States and Israel