Hong Kong (CNN) -- A faulty thermometer is likely to blame for rising temperatures inside a stricken nuclear reactor at the Fukushima-Daiichi plant, authorities said Monday, as Japan prepares to mark one year since a devastating earthquake and tsunami triggered a nuclear meltdown.

The plant's operators, Tokyo Electric Power Co. (TEPCO) said temperatures inside the Reactor Pressure Vessel of Unit 2 have been gradually increasing since February 2 and on Monday hit a high of 89.2 degrees Celsius.

The reading is significant because an error margin of 20 degrees Celsius for the gauges takes the temperature well above 100 degrees Celsius, one of the pre-conditions for a "cold shutdown."

Japan declared the shattered plant was in "cold shutdown" last December, a welcome milestone in a fraught battle to contain one of the world's worst nuclear disasters.

Should we be concerned?

A nuclear expert agreed that a faulty temperature gauge inside the Unit 2 reactor is the most likely cause for the higher heat reading.

Michael Friedlander, a former senior operator at U.S. nuclear power plants, told CNN that the prospect of another catastrophic explosion at the Fukushima-Daiichi is "virtually zero."

Scientists warn of Tokyo quake threat

"If the reactor was going to become critical it would have become critical in March of last year, not now," he said.

Another possible, though less likely, explanation, according to Friedlander, is that re-routing of pipe work in the last month or so has inadvertently taken cooling water away from where it was needed.

How has TEPCO responded?

Under Japanese nuclear safety regulations, operators are obliged to begin cooling methods when temperatures rise above 80 degrees Celsius.

Authorities at the Fukushima plant have been pumping more water and boric acid into the feed water system and into the core spray system in attempt to bring the temperature down. Boric acid is included in the water to mop up stray neutrons.

TEPCO said the higher reading is at odds with temperatures taken at other points within the reactor which indicates that it's probably faulty.

"Following our cooling efforts temperatures at the two other locations are declining steadily while that at the location in question keeps rising. This leads us to think that the thermometer at the location in question is not functioning properly, rather than the actual temperature rising," Junichi Matsumoto, TEPCO spokesman, said Monday.

The company said it has also been analyzing gas levels within the building and says there's been no increase in radiation, or any other reading that would indicate that the reactor is heating up.

TEPCO said it was continuing to monitor the situation.

What happens if the temperature gauge is correct and the reactor is heating up?

According to Friedland, one year on from the accident the amount of residual heat and radioactivity inside all three stricken reactors is relatively low.

"In the worst case scenario, if they were to completely lose injection and lose the cooling impact, the water in there would heat up and at some point it would begin to boil. And at some point they would have to get rid of that heat, but we're talking about something that would transpire in a matter of days and weeks, not in a matter of minutes and hours," he said.

He said the greatest risks the reactors now pose are to the environment, and that any threats to the surrounding area pale in comparison to the devastation already delivered.

"The biggest real risk is that a pipe breaks and that hundreds of thousands of gallons of highly radioactive water ends up underground or ends up leeching back into the ocean or something like that. That's the real bottom line."

What is the state of the stricken reactors?

It's been almost one year since an 8.9-magnitude earthquake sent a tsunami on a collision course with the Japanese coast killing more than 15,000 people, wiping out whole villages and industries and threatening nuclear mayhem.

A hydrogen explosion then fire at the Fukushima-Daiichi plant triggered a nuclear emergency on a scale not seen since the Chernobyl disaster in the Ukraine in 1986.

Amid criticism that it was acting too slowly and indecisively in the face of disaster, TEPCO flooded three of its unstable reactors with water. It continues to do so while efforts continue towards long-term recovery.

"The reactors are no more or no less stable than they were in April of last year. They fundamentally continue to be reliant on a feed-and-bleed cooling mechanism," Friedland said.

The other three reactors at the plant weren't operational at the time of the disaster but they've since been shutdown, as have nuclear installations across the country.

Where to now?

It's a long road ahead, and one that the Japanese have acknowledged could take decades to navigate.

"They have to get the spent fuel pools stabilized and that's largely done," Friedland said. "The next issue is going to be getting the fuel out of the reactors, the fuel that was in the reactors when the accident occurred. That's probably going to be four or five years in the making, maybe even longer," he said.

The disaster displaced more than 100,000 people as far away as 40 kilometers (25 miles) from the plant. The levels of radiation in the area closest to the plant are still dangerously high.

TEPCO faces a staggering clean-up and compensation bill and has been forced to accept public funding to stay afloat.

On Monday, the Japanese government approved an extra injection of 690 billion yen ($8.9 billion) for the troubled utility.

Tokyo threatens to withhold TEPCO aid

However, trade minister Yukio Edano has threatened to block TEPCO's access to extra funds if the company doesn't grant the government sufficient voting rights.

@highlight

TEPCO says a faulty temperature gauge may be behind higher readings

@highlight

Temperatures in Unit 2 at the Fukushima plant have been steadily rising

@highlight

The plant was declared to be in "cold shutdown" on December 16

@highlight

Earthquake and tsunami caused nuclear chaos in Japan last March