If a reservation feels like the best thing you could make for Thanksgiving dinner this year, you're not alone.

According to the National Restaurant Association (NRA), 15 million Americans opt to dine out for the biggest meal of the year.

That's not including the additional 4 million takeout customers on Thanksgiving or all the happy soloists giving thanks at places like Taco Bell, Burger King or KFC.

The top stated reason?

Convenience and the chance to enjoy family freed from yellow Playtex handcuffs -- not to mention complex mathematical formulas dictating appropriate turkey cooking time.

But the pleasures of good eating (cooked and served by attentive strangers) are right up there too.

We scoured up high and down low for some of the tastiest looking out-of-home Thanksgiving Day prix fixe feasts across the United States.

These seven will get you started.

Georgia Brown's (Washington, D.C.)

Could Washington, D.C., the civic embodiment of America's differences as a nation, possibly provide an amiable setting for a holiday reputed for its dinner-table discord?

Well, a reassuring cast of Washingtonians will be joining hands and giving thanks together at this Low Country cuisine institution that's hosted one of the heartiest Thanksgiving feasts for the last 20 years just two blocks away from the White House.

Starters include she crab soup, fried green tomatoes or catfish fingers.

Then you can choose from one of five entrees -- including turkey (roasted or fried), crab-stuffed flounder, prime rib, country ham or black-eyed pea cakes for vegetarians.

Soul food sides and cobbler for dessert mean you'll barely be able to waddle out to the car.

Georgia Brown's, 950 15th St., NW Washington; +1 202 393 4499; $45 ($20 children 10 and under)

75 Chestnut (Boston)

Deep in New England blueblood country, this converted redbrick-townhouse-turned-cozy-local-bistro-where-everyone-knows-your-name doesn't shy away from serving old school American comfort food faves like quahog chowder to its regular Beacon Hill clientele on the fourth Thursday of the month -- or doing something equally creative with a goose.

This year's Thanksgiving meal (between 11:30 a.m. and 6:30 p.m.) leans a little more standard, kicking off with harvest pumpkin bisque and reaching a crescendo with roasted turkey and walnut stuffing, giblet gravy and pilgrim cranberry-orange sauce, before concluding with rum raisin pudding with fresh berries and chocolate sauce.

Or just go with the pumpkin pie.

Either way, see you next week for Wine Wednesday.

75 Chestnut, 75 Chestnut St., Beacon Hill, Boston; +1 617 227 2175; $55 (half price, half portions for children 6 to 12, free for children 5 and under)

Akasha (Los Angeles)

Two words: pie buffet.

First, it's OK to feel good about gluttony at this hip Culver City restaurant renaissance leader that specializes in New American comfort food with all the organic, sustainable, locally sourced fixins that'll make you want to stuff your face in Birkenstocks.

Akasha's creative and relatively guilt-free Thanksgiving feast (not to worry, they offer a mac and cheese side dish) features starters like heirloom squash and leek bisque with spiced pumpkin seeds and a fuyu persimmon and pomegranate salad with Humboldt fog goat cheese and hazelnuts.

Herb-roasted turkey comes from a local farm and is accompanied by chestnut and sage stuffing, Yukon gold mashed potatoes and cranberry-lemon chutney.

If that's too irresponsible, you can stick with the herb-roasted king oyster and hen of the woods mushrooms with baby pumpkins and chestnut-and-herb stuffing before closing with a vegan dark chocolate tart.

Akasha, 9543 Culver Blvd., Culver City, California; +1 310 845 1700; 1-7 p.m.; $65 ($35 children 12 and under)

The Skillet (Mountain View, Arkansas)

The most inviting-looking public Thanksgiving event in the heart of Arkansas Mountain Country (because we know you were wondering) will be in full force again this year at Ozark Folk Center State Park -- a living history facility dedicated to preserving the rich natural and cultural heritage of the Ozarks and the scenic town of Mountain View, aka "The Folk Music Capital of the World."

The huge Thanksgiving buffet (11 a.m.-3 p.m.) at the park's restaurant, The Skillet, is a no-nonsense, priced-right assortment of artery-shocking staples -- fried chicken, beef tips, ham steak with grilled pineapple, candied yams and buttered carrots.

If you're not full, you can come back at 7 p.m. for the Gospel Concert, featuring an equally hearty lineup of local musical guests.

The Skillet, 1032 Park Ave., Mountain View, Arkansas; +1 800 264 3655; $15.95 ($8.95 kids 9 and under)

Mohegan Manor (Baldwinsville, New York)

Want to preserve the tradition of carving the turkey while abandoning every other Thanksgiving Day responsibility?

At Mohegan Manor you can prix fixe an entire five-foot round table with up to seven loved ones and your own dedicated 15- to 16-pound tableside turkey.

Stuffing, squash, cranberry sauce, mashed potatoes and gravy and green bean amandine play backup, while apple and pumpkin pies close out the festivities.

Perhaps best is that anything you don't eat goes home with you, preserving yet another Thanksgiving tradition: Leftovers Month.

Mohegan Manor, 58 Oswego St., Baldwinsville, New York; +1 315 857 0079; noon-2 p.m.; $199 for up to 8 people

Primehouse (Chicago)

Renown for its hand-selected, dry aged steak -- the turkey of the Plains -- David Burke's culinary canvas also offers the steak of the forest: turkey!

Specifically, roasted turkey breast and leg confit with giblet gravy, as well as a cider-brined pork chop, pan-seared salmon or the filets and ribeyes that are the restaurant's métier.

Primehouse's four-course Thanksgiving menu also features pumpkin bisque with crab and crostini, peppered Wagyu carpaccio and family-style side dishes like herb stuffing, mac and cheese and whipped potatoes, on which it has been scientifically proven humans cannot get full.

Polish off the whole thing with pumpkin cheesecake, maple creme brulee or glazed chocolate cake and you'll earn yourself a take-home turkey sandwich for later, which is included.

Primehouse, 616 N. Rush St., Magnificent Mile, Chicago; +1 312 660 6000; $60 ($20 children 12 and under, free for children 5 and under)

Wrigley Mansion (Phoenix)

The former winter residence of chewing-gum goliath William Wrigley is now an event space, ghost house and Thanksgiving Day staple, with 360-degree mountainside vistas over greater Phoenix.

Thanksgiving service is served buffet-style, offering breakfast items as well as traditional Thanksgiving fare across three seatings, at 10:30 a.m., 1 p.m. and 3:30 p.m.

Brunch/dinner features turkey, prime rib and leg of lamb, but also omelets, salads and a cold seafood assortment of oysters, mussels and other shell dwellers.

Mimosas are bottomless and the assortment of sweets is as vast as the Sonoran desert. Sonoran desserts, if you will.

Wrigley Mansion, 2501 E. Telawa Trail, Camelback East, Phoenix; $75 ($37.50 for kids 6 to 12, free for children 5 and under)

@highlight

About 15 million Americans eat out for the biggest meal of the year

@highlight

Convenience and the chance to enjoy family freed from cooking obligations are reasons most cited

@highlight

In Chicago, Primehouse's four-course Thanksgiving menu includes pumpkin bisque with crab and crostini

@highlight

There's a pie buffet at Akasha in Los Angeles