(CNN) -- Both pro- and anti-government demonstrators mobbed British Prime Minister David Cameron as he visited northern Sri Lanka on Friday, CNN affiliate ITN reported.

ITN's Bill Neely tweeted that there was "full-scale chaos" as Cameron left a library in Jaffna, with "hundreds of screaming" protesters and police pushing people to the ground.

During Sri Lanka's 26-year civil war, Jaffna, the capital of Northern Province, was a stronghold of the separatist Liberation Tigers of Tamil Eelam and a frequent battleground for clashes with government troops.

Cameron is in Sri Lanka for the Commonwealth Heads of Government Meeting. The summit opened Friday amid concerns about the rights situation after Sri Lanka's war with the Tamil rebels, which ended in 2009. The prime ministers of Canada, Mauritius and India opted not to attend.

Cameron issued a statement Thursday saying he saw his attendance as "an opportunity to raise our concerns clearly and directly, and to focus the eyes of the world on Sri Lanka." He also reiterated calls for an investigation into alleged human rights abuses during and after the war.

Announcing Cameron's northern visit this month, UK Foreign Secretary William Hague said four years after its war ended Sri Lanka is "still a country where civil society is suppressed, where (nongovernmental organizations) and the media are routinely intimidated, where journalists and critics of the government have disappeared, and where no one has been held to account for alleged war crimes including rape and sexual violence."

The north, Hague said, was "where some of the worst fighting and suffering occurred, and thousands of people are still displaced from their homes."

On Friday, Cameron tweeted: "I'm the first PM or president to go to the north of Sri Lanka since 1948. I want to shine a light on chilling events there first hand.

"Political leaders in the north of Sri Lanka tell me they are glad I've come to help highlight what is happening here."

Read more: Sri Lanka envoy slams rights criticism

ITN's Neely said the protesters who surrounded Cameron included both mothers of Tamils who had disappeared and pro-government protesters with signs saying "no interference" and "leave us in peace."

As many as 70,000 people were killed in Sri Lanka's war. In its final stage, which lasted from September 2008 to May 2009, the Sri Lankan army advanced into an area of the north where about 330,000 people were trapped by fighting.

A U.N. report in 2011 said the government used "large-scale and widespread shelling" that left a large number of civilians dead.

The number of civilian deaths and injuries are unknown to this day, and U.N. figures greatly differ from those in reports from Sri Lanka's government and various nongovernmental organizations.

In his statement Thursday, Cameron said: "Together we must say clearly to the government of Sri Lanka -- our hosts -- that there must be accountability for the past and respect for human rights today," he said.

"Four years on from the end of the civil war and defeat of the 'Tamil Tigers,' a brutal terrorist organization, there has been nowhere near enough improvement. We need to see more progress: genuine freedom of expression and the media, an end to the intimidation of journalists and human rights defenders, action to stamp out torture, demilitarization of the north and reconciliation between communities.

"And of course we need to see a thorough investigation into alleged war crimes."

On Friday, David Mepham, the UK director of Human Rights Watch, told CNN's Atika Shubert that calling for an international inquiry into what happened at the end of the war was one of the most important things Cameron could do.

"The Sri Lankans have their own process which is a bit of a joke -- there's a total lack of accountability -- so there needs to be an international inquiry. In addition to this, the UK needs to put real pressure on the ongoing human rights abuses in Sri Lanka today."

In an interview that aired Thursday on CNN's "Amanpour," Sri Lanka's high commissioner to the United Kingdom, Chris Nonis, denied that an independent international inquiry is needed.

"We respect the independence and sovereignty of your country, and we expect you to respect ours. We don't need an international investigation when we have had a vibrant civilization for 2,500 years. We have perfectly educated people, and I think we're perfectly capable of carrying out our own domestic inquiry," he told CNN's Frederik Pleitgen.

Nonis pointed to the 2011 "Lessons Learnt and Reconciliation Commission" report, which Sri Lanka's president ordered.

"It's a very holistic, very comprehensive, very impartial report. It had over 5,000 hearings, and it's set within the principle of international humanitarian law, incorporating the principle of distinction and the principle of proportionality."

Nonis said the report had been released in full despite containing criticism of successive governments and the government had gone "a substantial way" toward implementing some of its recommendations.

The Commonwealth is a voluntary association of 53 nations that initially formed out of what had been the British Empire. Its charter focuses on developing "free and democratic societies and the promotion of peace and prosperity to improve the lives of all peoples of the Commonwealth."

Heads of member governments meet every two years.

@highlight

Sri Lanka is hosting the Commonwealth Heads of Government Meeting

@highlight

It follows criticism of Sri Lanka's human rights record after long civil war with Tamil rebels

@highlight

The prime ministers of Canada, India and Mauritius opted not to attend

@highlight

British Prime Minister David Cameron said he would attend to focus attention on Sri Lanka