Editor's note: David B. Givens is Director of the Center for Nonverbal Studies in Spokane, Washington. He is the author of "Love Signals: A Practical Field Guide to the Body Language of Courtship" (St. Martin's, New York, 2005), "Crime Signals: How to Spot a Criminal Before You Become a Victim" (St. Martin's, 2008), and the forthcoming "The Body of Work: Sightreading the Language of Business, Bosses, and Boardrooms." His online Nonverbal Dictionary is used around the world as a reference tool.

Barack and Michelle Obama celebrate winning the Democratic nomination with a fist bump in 2008.

SPOKANE, Washington (CNN) -- The H1N1 swine flu virus is putting our most familiar gesture of greeting -- handshakes -- at risk.

As an anthropologist who watches people for a living, I can tell you that human beings touch their own faces with their own fingertips hundreds, if not thousands of times a day.

Repeated face touching -- especially finger contact with eyelids, lips, and nostrils -- is as predictable as blinking. You'll observe hand-to-face gestures in every culture and society, as well as in our closest primate relatives, the monkeys and apes.

There's nothing wrong with face touching. Nothing, that is, unless you're afraid of germs. And today, many of us around the world are terrified by these tiny organisms, especially ones that cause swine flu.

Merely by shaking the hand of someone infected by the swine-flu virus, we risk infection each time we inadvertently reach up and touch our faces. Physicians urge that we wash right after shaking hands. But since the anthropologist in me knows that, as a primate, you'll touch your face before washing, germs will inevitably visit unsuspecting lids, lip, and noses.

The human handshake itself, meanwhile, is a widespread gesture used for meeting, greeting, and sealing a deal. It's a ritualized gripping of another's hand, with one or more up-and-down (or, in Texas, sideways) motions followed by a quick release.

Since the fingertips and palm of the hand are exquisitely sensitive, the shake itself can be deeply personal. We instantly feel the warmth or coolness, dryness or moistness, and firmness or weakness of another's grip. Sensory input from a hand's thermal and pressure receptors to the brain's sensory cortex and then to deeper, emotional brain areas can be intense.

If you travel to France, be prepared to shake hands dozens of times a day. Office workers in Paris, for example, may shake in the morning to greet, and in the afternoon to say goodbye, to colleagues.

Outside vendors and technicians will handshake with everyone present when they enter or leave an office. The risk of hand-carried flu virus is thus greater here than it is in the United States, where handshaking is far less frequent.

Contrast this to the Japanese practice of giving fewer handshakes, still, in favor of polite bows of the head. In all three nations, casual face touching is frequent, but germs in Tokyo are less apt to spread through handshakes. In Islamic nations, it is strictly taboo for men to shake hands in public with women. So, Muslim couples are less likely to exchange swine-flu germs through manual contact than are business men and women in, say, Seattle, Washington.

Since in much of the world a handshake is both a visual and a tactile index of your concern for other people, it's hard to hold one back. In North America, Latin America, and Europe, when someone holds out a hand, it's difficult not to just take a step forward and shake. You don't want, after all, to seem rude.

In Asia, South Asia, and the Middle East, handshaking may be more nuanced than in the West, or even absent. An Asian namasté, with your palms and fingers pressed together in front of your chest, given with a slight bow -- or a Muslim salaam, in which your right hand touches your forehead, also given with a slight bow, may be proffered instead of a handshake.

While you'll see the same incidence of facial touching -- to wipe a lip, relieve tension, or scratch an itch -- the fingertips themselves won't carry germs born of handshakes.

So, what are we face-touchers in the rest of the world to do? Are we doomed to spread flu germs through our practice of ritually of gripping each other's hands? The short answer is no. Thanks to a pair of the planet's most well known human primates, we now have a healthier hand sign with which to meet and greet.

Since the Obama-Lama "fist bumps" have been so well publicized of late, I'm sure you've seen it in newspapers and magazines and on Web sites and TV. Primates are the most imitative of all of Earth's animals, so don't be surprised if you find yourself bumping fists -- a lot -- in the weeks and months ahead.

On September 22, 2009, the Dalai Lama was welcomed to Memphis, Tennessee, not with a handshake but with a fist bump from interim Memphis Mayor Myron Lowery. The exiled Tibetan spiritual leader balled up his fist and reached it forward to make friendly contact with the mayor's own proffered balled-up fist.

From his smiling face, I could tell the Dalai Lama enjoyed his new greeting ritual. It looked as if he were playing with the cue. Though it was unclear if either of the fist-bumpers had flu phobia, that they touched with the knuckles instead of the fingertips rendered disease transmission far less likely.

A year earlier, on June 3, 2008, then-Illinois Sen. Barack Obama tenderly fist bumped with his wife Michelle, in what The Washington Post called "the fist bump heard 'round the world."

That a U.S. president publicly performed the fist bump -- a gesture that originated partly from the sportsman's palm high-slap of victory and partly from the Black Power fist of the 1970s -- has given the gesture staying power, even though some people were critical of its use. It will last considerably longer than Andy Warhol's "15 minutes of fame." Thanks to Barack Obama, the Dalai Lama, and the swine flu, the fist bump will surely show up at a greeting near you.

The opinions expressed in this commentary are solely those of David Givens.

@highlight

David Givens: H1N1 flu is prompting focus on how we greet each other

@highlight

He says handshakes create risk of spreading the flu virus

@highlight

Fist bumps are a less risky way of greeting people

@highlight

Givens: Obamas and Dalai Lama have popularized the fist bump