LONDON, England (CNN) -- Before the late 1960s Formula 1 was a quite different sport. The first thing that a casual observer would notice -- looking at pictures from this era -- is that the cars were void of any sponsorship.

Semiconductor makers Intel and AMD slug it out on the racetrack and in the market place

Racing legends Juan Manuel Fangio, Jack Brabham and their contemporaries would lap the circuits of the Formula 1 Championship without branded baseball hats and overalls, without any stickers on their cars or without having to attend events to keep their sponsors happy.

Towards the end of the 1960s, engine manufacturers began to realize the potential of advertising on their cars, and started to increase the size of their own logos.

It wasn't until 1968 that the first corporate sponsor made it onto a Formula 1 car, when the championship-winning Lotus team introduced the logo of Imperial Tobacco's Gold Leaf brand on the side of their cars. Thereafter, Formula 1 and sponsorship became inseparable.

While the drivers and the teams would still continue to battle it out on the track, Formula 1 has become as much about the business as about the racing.

Today, the combined budget of all 11 teams is said to be in excess of $2.5 billion and the largest portion of this money is provided for by sponsors.

Repeated market research has revealed that consumers consider Formula 1 "sophisticated, dynamic and prestigious". Some of the larger sponsors commit hundreds of millions, over several years, to associate their brands with these appealing characteristics.

The question remains, what exactly sponsors receive in return for investing such large sums.

Obviously, the larger sponsors will receive a good size logo on a visible spot of the car or even become title sponsors such as ING with Renault or AT&T with Williams.

Good television coverage has the potential to create outstanding results as the sport is watched by between five and seven billion people every year, providing work for an army of 10000 accredited journalists.

In 2005, the total advertising value of Formula 1 has been estimated at $5.2 billion or $0.74 per viewer.

But what are the benefits apart from that fleeting glimpse of a logo when the car roars past the grandstands at 250 mph? Clearly sponsorship is about more than visibility of a logo.

Modern sponsorship contracts in Formula 1 are tailored to the needs of both the sponsor and the team. This often includes activities and promotions outside of the Formula 1 World Championship calendar. Melissa Berry, marketing manager for financial and news wire service Reuters, a sponsor of the Williams F1 Team explains: "Our sponsorship contract with Williams F1 allows us access to the team's drivers to help promote our brand and our business.

"Indeed, Williams F1 drivers have played a part in promoting Reuters products over the past few years. We also have the rights to use Williams F1 imagery to enhance our marketing communications materials and customer events."

Sponsoring a Formula 1 team also gives a company the possibility to tap into a vast network of potential customers among its fellow sponsors, as the sport has already attracted some very strong brands from various different sectors.

Rival semiconductor manufacturers Intel and AMD sponsor BMW Sauber and Ferrari respectively. And other sponsors include drinks conglomerates Pernod Ricard and Diageo, and telecommunications giants Vodafone and AT&T.

This gives an unrivalled networking opportunity for blue chip companies. Where else but at Grands Prix can senior executives of consumer electronics giants casually rub shoulders with hedge fund managers and the bosses of IT firms? This opportunity to network and exchange business ideas is a benefit of sponsoring a Formula 1 team not to be overlooked

Reuters' contract with the Williams F1 team has delivered just that, says Berry: "The team boasts the strongest stable of global business brands as sponsors, some of which are also our key customers or business partners -- for example RBS, Allianz, Accenture and Lenovo.

"The Williams F1 Paddock Club plays host to many senior executives from these companies over the course of a season and this can provide a platform for valuable business discussions or introductions."

For the drivers this means that apart from having to deliver during the race, they also have to attend corporate events of their sponsors and appear in their adverts. Hence we see Alonso and Hamilton looking implausibly chummy in commercials for Spanish bank Santander. While seen as distracting by some, it is something the top drivers cannot afford to do without. Without sponsorship revenue a driver is worthless to his team, as Christijan Albers found to his cost when he failed to bring in the promised sponsorship to Spyker.

Juan Manuel Fangio and Jack Brabham competed in an era without commercial exposure -- and without anything like the financial reward. Thanks to sponsorship deals today's drivers like Kimi Raikkonen and Fernando Alonso reap the benefits of their commercial exposure in the form of much higher salaries. E-mail to a friend

@highlight

Majority of teams' $2.5 billion budget generated from sponsorship

@highlight

F1 Paddock Club is a unique networking opportunity for senior executives

@highlight

Drivers reap the benefit of increased sponsorship in the form of higher salaries