Washington (CNN) -- President Barack Obama told Americans he has all the justification he needs to fire missiles into Syria.

"I have the authority to address the threat from ISIL" he said in a primetime address on Wednesday.

Where does he get it?

According to senior Obama administration officials it comes from a 13-year-old vote Congress took in the days after 9/11 known as the Authorization for the Use of Military Force (AUMF.) The vote authorized President George W. Bush to go after al Qaeda terrorists.

Did Obama sell his ISIS strategy?

That one single vote, taken on September 14, 2001 before Obama even got to Congress as a senator from Illinois, has been used to justify every American military action since, including now the fight against ISIS in Syria. But it may not actually provide Obama with all of the legal protection he needs this time.

The discussion began with legal experts who have started to take issue with applying the AUMF to the ISIS situation. It will likely become a bigger discussion in Congress in the coming days.

At the crux of the debate -- what exactly is ISIS' relationship to al Qaeda? Here's the breakdown.

What's the Obama administration claiming?

The Obama administration argues that because ISIS formed out of an al Qaeda affiliate, Obama's plan is legal under the AUMF.

"We believe that he can rely on the 2001 AUMF as statutory authority for the military airstrike operations he is directing against ISIL, for instance," a senior administration official told reporters on Wednesday, using another name for ISIS, which also calls itself the Islamic State.

"It's important to note that ISIL has its roots in al Qaeda in Iraq; it was formerly the al Qaeda affiliate operating in Iraq for many years after the U.S.-led invasion in 2003," the official said.

5 takeaways from Obama's ISIS speech

ISIS has its roots in al Qaeda -- it grew out of al Qaeda's affiliate in Iraq, the al-Nusra Front -- but the groups split when some of ISIS' tactics became too extreme for al Qaeda.

Secretary of State John Kerry reiterated the connection in an interview with CNN's Elise Labott on Thursday. "Nobody has questioned the authority of that effort against al Qaeda over the last years. This group (ISIS) is and has been al Qaeda," he said.

But some legal scholars are skeptical.

"The statute that Congress passed in the wake of, and as a response to, the 9/11 attacks, read now so as to authorize the use of force in Iraq and Syria against ISIS -- a group that al-Qaeda expelled publicly? It seems like quite a stretch," Wells Bennett, a fellow in National Security Law for the Brookings Institution wrote on Wednesday.

Democratic candidates finding distance from Obama on ISIS

Where's the legal line?

The question of whether the administration's justification is legal is unclear because so far officials haven't explained the various intricacies of their argument, experts caution.

"This is really complicated legally," Stephen Vladeck, a law professor at American University told CNN.

"The President's speech (Wednesday) night and then the background briefings haven't reflected this nuance. Although the President is not bound to explain such nuances, I think it would be better for everybody, including the President, if the administration were more out front."

Ultimately, Vladeck says, the question of whether Obama is acting legally can't be answered until we see what specific actions he takes.

"Everyone's talking about this issue in abstract terms. There are lots of different authorities that any president has when it comes to using force and the authority depends upon why that force specifically is being used."

James Foley's mother 'appalled' by how U.S. government handled her

The law vs. the political optics

If the President's not acting in a matter consistent with the law, what happens then?

"If the President is acting unlawfully, no one's gonna sue him," Vladeck noted. "The remedy for a war powers violation is political, not legal."

In one sense, the politics are on Obama's side.

A CNN poll taken earlier this month, before Obama's speech, found that a strong majority of Americans favor the type of expanded military actions outlined on Wednesday.

Seventy-six percent of Americans support additional airstrikes against ISIS and 62% favor providing military aid to the forces fighting the group, so it may be politically untenable for members of Congress to voice too much resistance to this plan. But the favorable polling doesn't alter the bad relationship between the President and Congress.

Despite the consensus on ISIS, passing a separate, ISIS specific statute that Obama could sign would be very difficult.

"The politics here are really problematic in two separate respects," Vladeck notes.

"One is just the optics for the Obama administration. The other is the terribly toxic relationship between the President and Congress. Even if everyone in Washington agrees that there should be some sort of forward-looking new statute to combat ISIS -- that agreement is not going to produce a statute, where in any other context in American history, it would have."

@highlight

President Obama says his power to take military action comes from a 2001 vote

@highlight

Congress voted in days after 9/11 to give the President power to fight terrorism

@highlight

There's a debate over whether that 13-year-old law applies to the fight with ISIS