(CNN) -- A day after House Majority Leader Eric Cantor's almost unprecedented primary loss, his defeat is being felt far from his central Virginia congressional district.

Aftershocks from Cantor's loss at the hands of a little known and underfunded tea party supporter and economics professor rocked the political world -- from the campaign trail to the halls of Congress and the White House.

The ouster of the No. 2 House Republican, who was seen by many as the next speaker, overturns the chamber's leadership hierarchy, and effectively kills any chance of immigration reform.

"It's just sending shivers throughout the Republican conference," veteran GOP Rep. Lee Terry of Nebraska told CNN Chief Congressional Correspondent Dana Bash.

And Dave Brat's David vs. Goliath win will embolden a tea party movement that's experienced more defeats than victories so far this primary season.

"This is a major shot in the arm for the tea party movement," said Adam Brandon, a top official at FreedomWorks, a leading organizer of grassroots conservatives.

7 reasons Eric Cantor lost

Here are five things we learned from the political upset of the year:

1. Showing up matters: Cantor apparently took things for granted.

How Eric Cantor's 'House of Cards' fell apart

"Eric Cantor lost this race as much as Dave Brat won it. He simply violated rule number one of politics: go home," said CNN Chief National Correspondent John King. "This is Eric Cantor's fault. He was in Washington on primary day. Not back in his district."

He also turned down last-minute help from political allies.

"His confidence, his arrogance, his smugness cost him his seat," King added.

Cantor didn't read the pulse of conservatives in his Republican-dominated district.

"My sense from talking to people in the 7th is that he had lost touch with the base of the Republican Party there, and by the time he realized it and tried to make amends, it was too late," Virginia political analyst Quentin Kidd said.

"Cantor's loss proves Speaker Tip O'Neill's point about all politics being local. The tea party movement may be stumbling in some places, but there was a lot of local tea party frustration at Eric Cantor. He is seen as removed from the issues they care about, such as on immigration. They saw him as trying to have it both ways, and they called him on it," added Kidd, director of the Wason Center for Public Policy at Christopher Newport University.

Contrast that with GOP Sen. Lindsey Graham of South Carolina, a frequent target of conservatives, who easily bested six primary challengers from the right on Tuesday.

"To Graham's credit, he ran a great campaign. I think the assumption among a lot of people was that he'd solely wage an air war, but I was impressed with the way he also ran a traditional, grassroots-focused campaign in addition to a compelling broadcast message. And Lindsey himself spent a lot of time on the ground here holding events and interacting one-on-one with voters," South Carolina Republican consultant Joel Sawyer told CNN.

Graham tended to the folks back home. Apparently Cantor didn't go home enough.

2. The tea party is alive and well: Remember all those stories earlier this spring about the demise of the tea party. Forget about that.

Cantor challenger, Dave Brat, 'shocked' as results rolled in

The five-year-old anti-establishment grassroots conservative movement suffered a string of high profile defeats to incumbents and other mainstream Republicans earlier in the primary season.

But the tide may be turning a bit. And with a bunch of tea party vs. establishment primary battles yet to come, what happened in Virginia will only embolden the grassroots.

Cantor becomes the second member of Congress running for re-election this year to go down to defeat in the primaries, following Republican Rep. Ralph Hall of Texas, who lost a runoff contest two weeks ago. Hall is 91.

Longtime Sen. Thad Cochran of Mississippi may soon become the third. He's fighting for his political life as he faces a primary runoff in two weeks against a tea party backed state senator who narrowly edged him in last week's primary.

FreedomWorks, which is among the groups supporting Cochran challenger Mississippi state Sen. Chris McDaniel, says the Cantor defeat will only help their efforts.

"What happened last night in Virginia is just like adding jet fuel on that fire. Our grassroots person is getting inundated with requests from activists to help. They're saying 'what can we do. What can we do,'" said Brandon of FreedomWorks.

Mainstream Republicans also agreed that Cantor's defeat will give the tea party more mojo.

"This victory is the 'Pulp Fiction' equivalent of the adrenaline needle plunged into the chest of the tea party," said GOP consultant Ron Bonjean, who served as a top strategist and adviser top House and Senate Republican leaders.

Who said the tea party was dead?

3. There will be a House leadership shakeup: House GOP members and aides say they are still reeling from the news and it's still sinking in. There were a flurry of calls between leadership offices and small gatherings of House GOP members on Tuesday night as the results came in, but multiple GOP leadership aides say it's still unclear what happens next.

"It's just stunning," GOP Rep. Lee Terry of Nebraska said. "And we're trying to analyze what really happened here."

Cantor's expected to announce he will step down as Majority Leader effective July 31, a senior House Republican source told CNN's Bash. And the move could trigger a fight to replace him.

Cantor's stunning upset does make it more likely that House Speaker John Boehner stays in office.  According to a GOP source, Boehner reaffirmed his colleagues Wednesday that he was "all in for speaker" in the next Congress and then got a standing ovation.

Current House GOP Whip Kevin McCarthy of California is expected to announce his intention to move up the leadership ladder and run for majority leader. He is popular and helped raise money and elect many of the new members of the conference.

Cantor said if McCarthy runs, he would be "an outstanding Majority Leader" and would back him.

But conservative members are already demanding someone from a red state be elected to represent their views at the leadership table.

Several House conservatives have pointed to Louisiana Rep. Steve Scalise, who currently heads the group of fiscal conservatives in the House, Texas Rep. Jeb Hensarling, Ohio Rep. Jim Jordan, and Georgia Rep. Tom Price as possible candidates for leadership jobs.

Rep. Pete Sessions of Texas told reporters Wednesday that he's planning to run for majority leader.

Rep. Cathy McMorris Rodgers of Washington State, the House Republican conference chair and top women in the leadership team, announced that she will stay put in her current position and not bid for the majority leader position.

4. Immigration reform is dead for now: The vast majority of House Republicans already decided they didn't want to vote on any immigration bills before the midterm election. Those advocates who were pushing for action conceded that even the most minor steps would have to wait until primary challenges were over.

But after a low-profile and underfunded tea party candidate who ran almost solely on railing against Cantor's embrace of "amnesty" beat him soundly any prospects for action have evaporated.

Cantor embraced some of the most minor immigration reforms so House Republicans fearful of losing their own jobs won't want to touch the issue.

"The members who want immigration reform will still be pushing it, but last night's election makes the road they must travel much steeper," said GOP strategist John Feehery, who was a top aide to one-time Speaker Dennis Hastert and Tom DeLay when he was majority whip.

2014 midterms: What's at stake

Complete midterm coverage

5. If you can believe it, gridlock on Capitol Hill will get worse: The partisan toxic pre-midterm election atmosphere in Washington was already bad. Just getting the most basic bills passed to keep the government running has been a Herculean task.

Terry told CNN's Bash the loss will mean members will have less motivation to work across the aisle. Terry added that the message to House GOP members is "negotiation or compromise could get you beat."

Feehery added that the Cantor loss throws the Republican conference into chaos and makes it harder to get anything done.

CNN Senior Political Analyst David Gergen agreed.

"For Cantor to be knocked off by a tea party conservative over his efforts to push for immigration reform and his earlier efforts to lift the debt ceiling, I think it will send shockwaves through Republican ranks. Look at the price he paid for doing things the majority of Americans support," said Gergen a senior adviser to both Democratic and Republican presidents.

Jack Trammell is the Democrat who no longer has to face Eric Cantor

@highlight

Cantor's loss is sending "shivers" through the House Republican Party

@highlight

House leadership shakeup - Cantor is expected to resign as majority leader

@highlight

With Cantor's defeat, the tea party is not dead, but immigration reform probably is

@highlight

Political climate in Washington already poison, but Cantor loss likely will make it harder to do anything