(CNN) -- Malcolm has an intense gaze. He speaks haltingly, at times pausing, haunted by the memories of the past.

"I used to try too hard to dress like a girl to impress people, but still they would ask are you a girl or a boy," he remembers. "I used to pray. I used to pray to God to change me."

Malcolm is transgender. He was born female, but identifies more as male.

God didn't change him, couldn't help with his sexual or gender identity turmoil, but others decided they would.

"It's painful because it has been mostly done by my family," he says softly, staring off into the distance. "They wanted to teach me how to behave like a woman. They raped me."

Malcolm was 17 at the time.

"All the people I ran to were just blaming me. I thought maybe my dad would understand, but instead he said 'I have been telling you to behave, to behave like a woman.' He was like maybe I deserved whatever I went through," he says, his voice cracking.

"That experience made me hate my family. It made me leave them, and I went and stayed with my grandmother, but unfortunately she also died," Malcolm says, dropping his head into his hands. His chest heaves, he cries softly.

"I don't want to talk about that. It's so hard when the people you expect to be near you are just the people who are hurting you the most."

The pain of the memory, of the rejection, the isolation so deep it's almost too much for him to bear.

Many are leading a double life

Malcolm is not his real name. Like the vast majority of Uganda's LGBT community, he leads a secret, double life.

Kasha Nabagasera peers warily from behind the slightly cracked gate to her home.

"People don't know I live here," she explains, smiling half-heartedly. "I've been kicked out of so many apartments, this is the longest I have stayed in one place, a year. It's rented in someone else's name."

Nabagasera is one of the few gay rights activists who speaks in public in Uganda, a deeply conservative Christian nation that is rabidly homophobic.

Evidence of that is everywhere. At Christmas Mass a few hours earlier, Anglican Archbishop Stanley Ntagali praised the country's Parliament for passing the anti-homosexuality bill.

"We love everybody. The homosexuals, the lesbians are children of God. We want them to repent." He preached to the congregation as it broke out in applause, his voice growing increasingly animated.

"But to say we accept and then tomorrow you begin to see a man bringing a man. Can you imagine that?"

Nabagasera, like many other members of the LGBT community, rarely goes to church, and it's not because she's lost her faith.

"For me it's about love, but now it's about hate being preached in church," she explains. So she stays away and prays at home.

Nabagasera was just a small child when she received her first beating.

"My class teacher is the one who told me about the word lesbian. I didn't know. It was a big word for me. I was 7 years old."

Since then, she was repeatedly expelled from schools, and worse.

"I escaped rape thrice. I've been beaten on so many occasions I can't remember. I think my stubbornness helped me a lot to go through all of this." she says. And she's incredibly lucky. Her family didn't shun her.

"My family was there. Most of my friends became school dropouts because their family wouldn't support them. But, sometimes, I would just sit in my room and cry a lot. Why am I being told I have demons? Since I was a child I was told I have demons."

The widespread belief is that homosexuals are possessed by the devil, or victims of sexual deviance brought in by the West.

"Maybe in your country you understand," Ntagali lectured us earlier. "Here it is a new thing, a new idea that is not from here. Someone is imposing it on us. Another kind of colonialism."

The irony, gay rights activists say, is that it was a small group of American evangelicals who came to Uganda speaking out against homosexuality, which was already illegal, that took the persecutions of the LGBT community to an entirely new level.

"They said that the gay movement has a blueprint that has reached Uganda, and if we are not careful we are going to take over the country," Nabagasera recalls.

But, she says, it didn't stop there.

"They went to Parliament and advised them to change the law. They went to universities and told students we are recruiting them into homosexuality, that we have a lot of money, that they should be careful," she says. "Then they went to parents and told them that we are recruiting their children."

Legislation drops the death penalty

The first draft of the anti-homosexuality bill included the death penalty for "aggravated homosexuality," defined as homosexual acts with someone who is HIV positive, a minor, or repeated homosexual acts with a consenting adult.

"That wasn't the only shock," Nabagasera remembers. "The other shock was that some members of Parliament said the death penalty by hanging was very weak. They proposed a firing squad. At one point, I posted on my Facebook page and said maybe I am not really Ugandan, because the Uganda I have grown up in cannot be this cruel. Even if I have gone through hardships, it can't really reach to murder."

The bill that just passed through Parliament drops the death penalty, replacing it with life in prison. It also makes anyone who is viewed as a promoter of homosexuality -- like Nabagasera -- a criminal who can be jailed.

"The aim is to protect the institution of marriage and stopping the promotion of homosexuality in our country," the architect of the bill, Parliament member David Bahati says.

If homosexuality were to be eradicated in the process, it would be a good thing, he says.

"I don't think that homosexuality is a human right," he says.

The bill, which is still waiting presidential sign off, has been heavily criticized by Western governments and international organizations.

The U.S. government has responded by saying, "As Americans, we believe that people everywhere deserve to live in freedom and equality -- and that no one should face violence or discrimination for who they are or whom they love. We join those in Uganda and around the world who appeal for respect for the human rights of LGBT persons and of all persons."

Amnesty International called it "a grave assault on human rights .... It makes a mockery of the Ugandan constitution."

The United Nations said "if signed by the President, this new law would reinforce stigma and prejudice, and institutionalize discrimination."

That is already happening. Nabagasera says she's received an increasing number of threats, not taken lightly in a community where so many have a horror story of being beaten and abused.

In recent years, Ugandan tabloids have taken to "outing" homosexuals. In 2011, after being named in a popular paper under a banner that read "hang them," David Kato was bludgeoned to death. Activists called it a blatant hate crime.

"I would condemn him," Kato's mother says, saying she didn't know he was gay until he was murdered. "I would hate him, but I would counsel him."

Despite that view, she's stigmatized by society because of her son's sexuality.

'Our movement needs a face'

Nabagasera says she would rather go to jail than be driven out of her own country.

"I am not going to allow someone to push me out without a fight," she says. "The other thing is our movement needs a face. I don't want them to think they have won because the battle is just starting now.

"It's not that I want just to stay here to be a hero. I want to stay here because my family is here. I want to stay here to visit my mom's grave."

So many just want to be accepted for who they are -- by their nation and by their families -- no matter their sexuality. Even Malcolm, despite what he's been through.

"I hate him," he says of his father. "He only wants to talk to me when he wants money. Sometimes I give it to him, when I have. I don't know where I get that mercy of giving him money."

And Malcolm is adamant that he is going to confront his father.

"I want to tell him to accept me, but he needs to accept me not as a daughter, but as a son."

U.S., Richard Branson slam Uganda's anti-gay bill

Uganda official: Homosexuality a threat

@highlight

Malcolm, who is transgender, say most pain was inflicted by his family

@highlight

LGBT activist says she'd rather be jailed than forced out of Uganda

@highlight

"I would condemn him. I would hate him, but I would counsel him," mother says of gay son