Washington (CNN) -- President Obama is "very concerned" about Greece's economic crisis, sees mounting threats against the United States from non-state actors and wants to resolve the dispute with Russia over adoptions, he said in an interview released Saturday by the White House.

"I am very concerned about what's happening in Europe," Obama told the Russian television station Channel Rossiya in the wide-ranging interview, responding to a question about the Greek economic crisis.

"But I think it is an issue that the Europeans recognize is very serious," he said. "Greece is taking some very difficult measures -- at least they've put forward a plan that calls for difficult measures."

This week, Greek lawmakers approved a package of budget-cutting measures to help the country's battered economy -- measures that were required to meet the terms of a 110 billion euro ($140 billion) bailout.

European Union leaders called for a "stabilization mechanism" on Saturday in hopes of easing markets shaken by Greece's economic crisis before they re-open Monday.

Obama said the Greek crisis and the resulting global economic fallout point to a new breed of non-state-based threats facing the United States and other powerful nations.

"The real threats against Russian well-being or U.S. well-being to a large degree are at this point much more aligned than they've ever been, " Obama said in the interview, which was taped Thursday at the White House. "It has to do with non-state actors.

"It has to do with the proliferation of nuclear weapons. It has to do with environmental catastrophes. It has to do with an integrated economy in which if you see a crisis in Greece taking place, that can affect world markets."

Obama invoked terrorism as another of those threats.

"We just recently had an attempted terrorist act in New York," he said, referring to the failed car bombing of Times Square last Saturday, "and it's a signal I think that whether these activities are happening in Moscow or they're happening in New York, that countries have to work together to make sure that these terrorists are apprehended, that their networks are destroyed, that their sources of financing dry up."

Speaking about U.S.-Russia relations, Obama said he wants the U.S. Senate to ratify a major nuclear arms treaty between the United States and Russia before November's midterm elections.

President Obama and Russian President Dmitry Medvedev signed the new Strategic Arms Reduction Treaty -- known as START -- in April. The agreement reduces the number of nuclear weapons held by the United States and Russia by about one-third, among other provisions.

"Our hope," Obama said in the interview, is that the Senate "will be able to review it quickly."

Speaking further about international nuclear arms reduction, Obama called North Korea and Iran "two outliers" but said he's "very heartened" by other nations' receptivity to his call for new sanctions on Iran over its nuclear program.

Obama also said that U.S. and Russian officials are working toward an agreement regarding American adoptions of Russian children after an uproar last month over a Tennessee woman sending a 7-year-old Russian boy she adopted back to his home country.

Russia said it was freezing American adoptions of Russian children after the incident, but a senior State Department official said this week that Russian authorities continue to approve U.S. adoptions.

"What happened with the small number of children who have been adversely affected is terrible," Obama said. "And we can't minimize what's happened."

But Obama said that "there have been tens of thousands of Russian children adopted by U.S. families. The overwhelming majority are leading happy, healthy lives."

"We want to make sure that we preserve the best of the system while eliminating these abuses," he said.

Obama spoke in personal terms about his relationship with Medvedev, the Russian president.

"I've been very impressed with him," Obama said. "I think he is a strong leader, a good man, very thoughtful."

"I find it very easy to do business with him, and I think we've established a relationship, a real trust that can be hopefully bearing fruit in the negotiations and conversations that we have in years to come."

Obama said that he had invited Medvedev to visit the United States in June and that he hoped the trip would showcase steps the United States and Russia are taking to strengthen economic ties between the two nations.

"It's important to recognize that the whole concept of reset between U.S. and Russian relations is not just on issues of security," Obama said. "One of the things that President Medvedev and I have discussed is how can we really ramp up our commercial, our trade, our economic ties."

@highlight

President Obama troubled by Greece's economic woes

@highlight

European Union leaders call for "stabilization mechanism" to ease markets

@highlight

Obama seeks resolutions to nuclear arms treaty, adoption issues with Russia