(CNN) -- It would be easy to look at the current conflict, Hamas's militant fighters and smaller militias firing rockets in to Israel and Israel's crushing bomb and missile barrages, as a repeat of the 2008/2009 confrontation that killed more than 1,300 men, women and children. But it is not.

Hamas is in a whole new place now. Still trapped in the crowded confines of Gaza's close packed neighborhoods where they were elected six years ago, only now with more friends outside.

What has changed came in the wake of the Arab Spring that swept away some of Israel's old regional allies replacing them with leaders more sympathetic to Hamas.

Israel and Hamas: How the conflict reignited

Gone is Egyptian leader Hosni Mubarak whom Israel could and did rely on to blockade Gaza and squeeze Hamas in 2008/2009. Gone is the Egyptian state repression of freedom of speech that helped keep in check popular anti-Israel passion.

Instead -- almost unthinkable four years ago -- Hamas's political leader holds a live news conference in Cairo, as Israeli shells strike Palestinian broadcasters in Gaza. If proof of Egypt's new role was needed, this was it.

Egypt didn't just send Prime Minister Hisham Qandil to Gaza Friday with expressions of support for Gazans, but handed Hamas the bullhorn for propaganda when it needed it most. It is a remarkable turnaround.

Khalid Meshal, Hamas's political leader, reveled in the spotlight, as he described a new, much more Hamas-friendly Egypt.

Q&A: What is Hamas?

But Egypt is far from alone in the regional revolution that begins to isolate Israel.

The tiny Gulf state of Qatar has proven perhaps the influential political player, helping shape the region the way it wants.

It has been seen to favor governments like that in Egypt with roots closely tied to the moderate Islamist Muslim Brotherhood of which the Palestinian Hamas is a radical off-shoot, but long aligned with Iran.

Last month when the Emir of Qatar made an historic visit to Gaza promising $400 million of aid, it appeared he was trying to pull Hamas away from Iran and closer to Qatar.

Qatar has been laying the groundwork for this for some time. When Hamas leader Khalid Meshal fled exile from the spiraling civil war in Syria earlier this year it was the Qataris whose offer of safe sanctuary he accepted. The Qataris have leverage in a way they never did in the past.

So where does this leave Israel? Simply put, while Israel is stronger militarily, it is in a weaker political position than it was in 2009.

Why Israel might hesitate to start a ground invasion

Egypt is not going to help blockade Gaza by constricting the Rafa border crossing, or by offering the same level of intelligence cooperation to Israel that they have in the past.

Indeed, by some estimates Egypt's security services no longer have the same control over Islamist militants as they once did. Many have been released from jail and are quietly regrouping in the capital's sprawling suburbs or the sparsely populated and almost lawless Sinai desert bordering Israel.

If the Israeli government had hoped to count on some shreds of Mubarak-era support, it will be disappointed. Today's Egyptian rhetoric, while falling short of abrogating the peace treaty with Israel, has very much taken a pro-Hamas line.

The long universal of the Arab world is a dislike of the Israeli state's treatment of Palestinians. In the past most Arab leaders were dictators, able to take a path far different from the views of the Arab street. Not any more. The region's new post-Arab Spring democratically-elected leaders are only too aware of the radical hardliners waiting for an opportunity.

Smuggling weapons to Gaza -- the long way

@highlight

Some of Israel's old regional allies replaced with leaders more sympathetic to Hamas

@highlight

Nic Robertson: Qatar has proven to be influential political player in region

@highlight

While Israel is stronger militarily, it is weaker politically than it was in 2009, he says

@highlight

Post-Arab Spring democratic leaders aware of radical hardliners awaiting opportunity