London (CNN) -- His ambition was to get a six-pack before he turned 25 years old. With just nine months to go, time was running out.

In his quest for a healthier lifestyle, Edwin Broni-Mensah embarked on a grueling fitness regime requiring him to consume four to five liters of water a day. And from this sparked an an idea that could improve access to water not just in the his native UK, but also 4,000 miles away in Ghana.

"(Britain has) some of the best water in the world. And yet once you leave your house, you are encouraged to drink it out of a plastic bottle rather than just being able to get free water," says Broni-Mensah.

"So I thought 'How can I improve on people's accessibility (in the UK), get a six pack simultaneously and then help provide that same benefit to people around the world?" he chuckles

The Manchester-based PhD student's response was to launch GiveMeTap -- a sustainable water scheme where people can buy stainless steel water bottles and refill them using a network of cafes and restaurants across Britain.

Using this concept, Broni-Mensah aimed to cut down plastic waste and use the profits from the sale of GiveMeTap water bottles to build water projects in Africa.

"Here is a product and viable service (that can) directly impact the lives of people in Africa where there are some 300 million people without water," he says.

"(People) can save money, reduce the amount of plastic wastage that gets discarded into landfills and ultimately for every bottle that we sell we are able to help another person get access to clean drinking water."

Four years on and Broni-Mensah, now 28, is as enthusiastic about GiveMeTap as ever. The energetic young entrepreneur has moved his social initiative out of his parents house, down to London's Google Campus. He now has a dedicated squad working with him.

As they work among other aspiring entrepreneurs at the communal startup space, GiveMeTap -- which also relies heavily on award grants and corporate partnerships to provide additional funding for Africa projects -- has now successfully signed up around 300 UK cafes and restaurants.

"We've won 14 business awards and that has helped us to keep investing, to keep scaling but it's also about getting the message out to people," says Broni-Mensah. "That's our role we need to grow quickly."

To date, GiveMeTap has been able to build four water projects in Ghana, Malawi and Namibia with another four projects to be constructed in Ghana from December.

"My parents are both Ghanaian so being able to go back to Ghana eight weeks ago was really emotional," he says. "It was really important to go back to the places where my dad had grown up and wasn't able to get the same benefits (I had).

"There's some 3.5 million people in Ghana that don't have access to clean drinking water. We're trying to reduce that number in a very focused way at the moment because it helps us learn but it also helps us get a direct impact in a small community."

Broni-Mensah's heritage is a driving force behind his passion for providing aid to Africa but he stresses that his sustainable water initiative is not a parachute enterprise.

While on the ground, the GiveMeTap team elects a local water committee which is in charge of collecting funds to sustain the pumps so that each project is not donor-dependent.

"If something breaks they need to be able to be self-sufficient which is really important," says Broni-Mensah. "You see more and more NGO-types that are trying more to empower the people to do things themselves because that's how you get long-lasting impact.

"I love going back because it's encouraging for more black people to go back from the diaspora to help African communities. Black people helping black people is an amazing thing. It builds more trust between us as people."

Outside of Africa, Broni-Mensah continues to push the GiveMeTap ethos and build up the free water refill participation network. He hopes to have 1,000 UK-based establishments signed up in addition to branching out internationally.

"We are looking to grow across the whole of the United Kingdom ... once we've done that, (move) into European markets and in America.

"Social entrepreneurship is the future where you will see more and more organizations solving a social mission at the core but through a business mechanism."

And in case you were wondering, the young entrepreneur did succeed in getting his six-pack.

@highlight

Edwin Broni-Mensah launched GiveMeTap -- a free water refill network in the UK

@highlight

The project also sells water bottles, with profits funding water projects in Africa

@highlight

Water projects have so far been constructed in Namibia, Malawi and Ghana