New York (CNN) -- The clock is ticking in Washington on the bipartisan super committee, those 12 members of Congress tasked with finding at least $1.2 trillion in deficit reduction by Thanksgiving.

More than 140 of their colleagues, both Democrats and Republicans, are encouraging them to be bold and go bigger -- reaching $4 trillion of deficit reduction in order to put the U.S. on stable long-term fiscal footing and avoid another round of downgrades.

But if their colleagues' counsel isn't persuasive, there's an additional voice the super committee could find inspiration from -- the original founding father, George Washington.

In his farewell address to his fellow countrymen in 1796, George Washington set out his lessons for future generations. It was penned as the "warnings of a parting friend," and in it, Washington laid out the long-term dangers that his understanding of history and human nature dictated could undermine the independence of our democratic republic.

Washington warned about the dangers of what we would today call hyper-partisans: "They serve to organize faction, to give it an artificial and extraordinary force; to put, in the place of the delegated will of the nation, the will of a party, often a small but artful and enterprising minority of the community." These platoons of polarization have driven us to the paralysis we are now in, too often unable to reason together even in the face of crisis.

Crucially, Washington understood that out-of-control debt could undermine American independence. He warned that we must "cherish public credit ... avoiding likewise the accumulation of debt, not only by shunning occasions of expense, but by vigorous exertion in time of peace to discharge the debts which unavoidable wars may have occasioned, not ungenerously throwing upon posterity the burden which we ourselves ought to bear."

Put on your decoder rings and you'll see that Washington's wisdom could have referred to our own time. After all, much -- though certainly not all -- of the deficits and debts accumulated over the past decade came from two foreign wars. The Afghan war was necessary in retaliation for the attacks of 9/11 -- but the war in Iraq, as we now know, was far from "unavoidable" -- it was a war of choice. Moreover, as Sen. John McCain and others pointed out, it was the first time in U.S. history that we did not raise revenues in order to pay for wars. Instead we cut taxes and turned a hard-won surplus into a deficit, which grew exponentially after the stimulus bill under President Obama.

George Washington understood that dealing with debts was government's responsibility, but leaders would be unlikely to make unpopular choices in a democracy unless the public was both enlightened and understanding: "The execution of these maxims belongs to your representatives," he said -- meaning the members of Congress. "But it is necessary that public opinion should co-operate. To facilitate to them the performance of their duty, it is essential that you should practically bear in mind that towards the payment of debts there must be revenue; that to have revenue there must be taxes; that no taxes can be devised which are not more or less inconvenient and unpleasant."

In other words, man up and deal with math. Paying down debts means raising revenue as well as cutting costs. It is a basic profit and loss ledger. Whining endlessly about taxes ignores their central role in securing our civilization. So sayeth not some commie hippie but George Washington himself.

That speaks to the impasse the super committee is at right now -- whether to include any revenue increases to pay down the deficit and the debt. Outright tax increases -- even restoring the Bush tax rates on people who make more than a million dollars a year -- is apparently not on the table right now. More ambitious tax reform is seen as a bridge too far given the limited time frame left.

Nonetheless, there are some slight signs of progress. Sen. Pat Toomey -- former President of the Club for Growth -- deserves credit for recently saying he was open to revenue increases, albeit combined with the reduction of the top tax rate from 35 to 28 percent. This was met with some derision from Democrats who are increasingly hearing from their constituents that the growing gap between the rich and poor in the nation is unsustainable. Democrats have more readily crossed their partisan Rubicon, offering support for modest entitlement reforms as a way of bending the long-term cost curve.

The most hopeful declaration of independence that has occurred in recent weeks is the growing number of Republicans willing to break ranks with anti-tax absolutists. They are putting the Pledge of Allegiance over the no-tax pledge advanced by conservative activist Grover Norquist. "There is a lot of talk about pledges," Ohio Republican Rep. Steve LaTourette said. "It's time to put the pledges in a bonfire."

In some ways what we face now is a choice between George Washington and the Grover Norquists of the world. It is a choice between the long-term national interest and the short-term special interest.

The goals are clear and the path is known. We have the Bowles-Simpson Commission, the Rivlin-Domenici Commission and the Gang of Six plans to look at. We now have a Gang of 140 members of Congress from both parties encouraging the super committee to be bold and go big.

While reaching $1.2 trillion in deficit reduction is far better than the automatic cuts to defense and discretionary spending that will take place if the super committee fails, it alone cannot be regarded as a success. It is a stay of execution. Because we'll be right back at the negotiating table in a few months, trying to forestall yet another downgrade.

As the clocks ticks closer to the deadline, the super committee should have the words of George Washington's farewell address echoing in their heads, adding to their sense of urgency, determining not to ungenerously throw "upon posterity the burden which we ourselves ought to bear."

If they are driven by such a sense of generational responsibility, they can declare independence from their respective special interests, forge a constructive compromise and present a balanced bipartisan plan that serves the national interest. They have it in their power to put patriotism over partisanship -- we are waiting to see if they have the will.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Debt super committee facing a pivotal choice for America's future

@highlight

140 members of Congress favor going for a big solution to debt problem

@highlight

Avlon: America's first president advised payment of debt through taxes

@highlight

He says the debt panel should put the country above arbitrary "no-tax" pledges