Amman, Jordan (CNN) -- Jordanians completed voting Wednesday in a landmark election that one outside observer said was free of any violations, the state-run news agency Petra said.

As their country undergoes political strains and electoral reforms, about 1.3 million Jordanians went to the polls, representing 56.6% of registered voters, said Independent Elections Commission spokesman Hussein Bani Hani.

David Martin, head of the European Union's Election Observation Mission in Jordan, praised measures taken by a newly created commission in managing the elections and said there were no violations. The mission will hold a press conference Friday morning.

Official results will be announced by noon Thursday, Hani said, according to Petra.

In the 17th time Jordan has gone to the polls to elect a parliament since becoming a nation in 1946, Wednesday's balloting was an election of firsts.

For the first time, the country has allowed observers. It was the first time that an independent election commission oversaw polling.

"These elections today are the culmination of a constitutional process, the beginning of a new phase of reforms. It is a continuing process," said Jordanian Foreign Minister Nasser Judeh.

On Wednesday, Prime Minister Abdullah Ensour said he had not yet submitted his resignation to King Abdullah II until elections are completed, Petra reported.

Jordanians who are part of the Muslim Brotherhood were said to be boycotting the election -- an action Ensour described as not democratic, Petra said.

Voting is a duty, he said.

If voter turnout is deemed weak, Ensour said, it will be mainly due to people's frustrations with the performance of former parliaments and the suspicion that surrounded previous polls. Still, Jordan could be a model for the Arab world in holding free and fair elections, Ensour said.

"Fair elections cannot only be ensured by the government and its agencies but also by candidates, voters and civil society institutions," Ensour said, adding that the government and the Independent Elections Commission did their utmost to fight any electoral corruption.

The king has stated in discussion papers that the new prime minister will be designated based on consultations with the parliamentary bloc that has the majority, Ensour said.

The deliberate steps at transparency are crucial for a country that's under a great deal of political strain -- and whose stability has ramifications for the world outside its borders.

Recent events have threatened the fragile monarchy to the point that some analysts are warning of collapse.

What began with protests by the Islamic Action Front, Jordan's branch of the Muslim Brotherhood, has given way to broader unrest led by tribal factions known as al-Hirak (the movement).

Al-Hirak demands an end to corruption and calls for a new era of political reform in Jordan in which Islamists are almost sure to dominate.

In an effort to quell the protests, Jordan's ruler, King Abdullah II, dissolved parliament last year and amended election laws.

In a region rocked by Arab Spring upheavals, Jordan has been relatively stable and is one of the few friends Israel has.

It is amid this backdrop that most Jordanians went to the polls. Opposition groups boycotted it.

"Elections have been fairly smooth so far," said David Martin, chief observer of the European Union Election Observing Mission.

Some polling stations reported minor technical glitches, but there had been no "signs of intimidation," he said.

Security and observers

Wednesday's balloting took place under the watchful eye of 47,000 police officers and another 7,000 election observers.

"Opening the door to observers -- international, Arab and local -- is proof that we trust ourselves and that there's nothing to hide," said Samih Maaytah, a government spokesman.

"The Jordanian Parliamentary Elections are under the scrutiny of the entire world. And we're in the time of the Arab Spring and nobody's afraid to say anything."

Judeh, speaking Wednesday to CNN, said his country had "anticipated the Arab Spring," so the king began reforms "many years ago." But he acknowledged that protests in the region expedited the changes inside Jordan.

More than 3 million Jordanians were eligible to vote for candidates to the new 150-member House of Deputies, officials said. A field of more than 1,400 candidates vied for the seats.

"Nothing undermines the legitimacy of any election except the lack of participation by the electorate, by the people who are eligible to vote," Judeh said.

Muslim Brotherhood opts out

The reforms made by the Jordanian government were not enough to satisfy the Muslim Brotherhood, which felt the new electoral laws favored the monarchy.

Despite their rejection, the government continued to encourage them to take part in the process.

"We told the Brotherhood members who are boycotting that we invite you to exercise the same logic that your brothers in Egypt with the Egyptian Muslim Brotherhood exercised when there was a dispute over the constitution and not the law," Maaytah said. "They invited Egyptians to the ballot box. So we invite you to the ballot box here."

In a discussion paper posted on Jordan's U.S. Embassy website, Abdullah said the country is transitioning to a parliamentary government and has "enhanced the separation of powers, the checks and balances of our governance system, the independence of our judiciary and the inalienable rights of our citizens."

Jordan has amended one-third of the constitution and established a constitutional court, the king said.

"These actions empower the Jordanian people to shape the country's future in a way that is more transparent, fair and inclusive than ever before," Abdullah wrote. "Crafting a modern democratic society will be the product of our learning and developing together over time, not a single moment or set of reforms."

Time for a change

The United States has said it supports both the king's road map for reform -- which gradually shifts more power to the elected parliament -- and demands for a more inclusive political process.

But the two may not be compatible.

The tribes don't want to see the largely urban Muslim Brotherhood -- which derives much of its support from Jordan's Palestinian population, which makes up about half the country -- gain power at their expense.

Pinched by an economic crisis that has left the government virtually bankrupt and unrest in neighboring countries, Abdullah faces a challenge that may not be satisfied by all the firsts represented in this election.

CNN's Ed Payne and Hamdi Alkhshali contributed to this report. Mohammed Jamjoom and Samira Said contributed from Amman; Michael Martinez, from Los Angeles.

@highlight

NEW: Official results expected around noon Thursday

@highlight

Turnout is 56.6% of registered voters, official says

@highlight

King Abdullah II says reforms will make Jordan "more transparent, fair and inclusive"

@highlight

Voting is completed with no reports of electoral violations, officials say