New York (CNN) -- Did the Chinese government announce earlier this week that it would end its notorious detention system known as Re-Education Through Labor (RTL)?

On January 7, Meng Jianzhu, the head of the powerful Political and Legal Committee of the Chinese Communist Party, reportedly announced that the government would "stop using" the system, in which roughly 160,000 people are detained for up to four years without trial for "crimes that are not severe enough to warrant a criminal sentence," by the end of 2013.

After media outlets confirmed the news with officials who attended the meeting Meng spoke at, the original articles reporting the decision vanished from the Internet. A subsequent Xinhua news story watered down Meng's statement, committing the government only to "advancing reforms" of RTL -- which is old news -- a long-stated but never-implemented goal.

This episode highlights three realities of China's human rights situation: 1) the news is often not what it initially appears to be, especially if a key government decision is at stake; 2) the new leadership is struggling to reply adequately to growing popular demand for reform; and 3) changes to RTL, like other long-mooted reforms, might only be a cosmetic gesture, leaving intact laws and practices that violate domestic and international human rights standards.

China's new leaders have come to power during a serious legitimacy crisis, with a nation eager for political reforms. Indeed, party chief Xi Jinping has repeatedly vowed to "deepen reform." At the same time, there has been rising public discontent over local officials' abuse of RTL to muzzle ordinary people seeking justice or criticizing the government. The system was further discredited by the recent detentions of Tang Hui, a mother seeking redress for the rape of her young daughter, and Ren Jianyu, a village official who posted negative comments online about the government.

Meanwhile, the main obstacle to abolishing RTL, the Ministry of Public Security, which holds the unchecked power to detain individuals in these facilities, has seen its political clout diminished under the new leadership arrangement. The time for abolition of RTL appears ripe, but it's unclear whether Xi is ready to move from talking about reforms to delivering them.

As a type of arbitrary detention, RTL should not be reformed: it should be abolished outright.

The tepid Xinhua announcement promising to "reform" RTL suggests that instead of abolition, the government will merely tinker at the margins of the existing system. Fears this might be the case derive from the August 2012 announcement of a pilot scheme in four cities. Few details are available, except that the name of the system was revised from Re-education to "Education and Correction," and minor constraints on the police's ability to impose these punishments were established.

The debate in and outside of China this week echoes the 2003 debate about the abolition of "Custody and Repatriation." This system of administrative detention was designed to detain individuals found outside of their official location of residence (hukou). It was similarly discredited and abolished after a series of abuses, the last straw being the beating and death of a young man in a Custody and Repatriation center in Guangzhou in March 2003.

The decision to get rid of the system was made at the beginning of the then-new leadership of Hu Jintao and Wen Jiabao, and was perceived as a signal of reform. Yet the failure to match the end of Custody and Repatriation with a wholesale prohibition on arbitrary detention mitigated the benefits of its abolition. Migrant workers who had been prey for the system benefited from its abolition, but local governments soon found new ways to deal with the other category of people detained in Custody and Repatriation centers -- petitioners.

Illegal and ad hoc "black jails" were set up to prevent them from trying to reach higher authorities to denounce local official misconduct. The central government tolerates the existence of these patently unlawful black jails, demonstrating that it continues to lack commitment to ending arbitrary detention.

Swapping one system of arbitrary detention for another would be a missed opportunity for the new leadership. Real change requires that the government abolish RTL, and establish in its place a new system to punish minor crimes that is consistent with the Chinese Constitution as well as its international human rights obligations, and pass the necessary legislation during the next National People's Congress in March.

The judiciary -- not the police -- should be responsible for considering charges, determining guilt, and assigning appropriate punishment. People who are accused must have the ability to confront and question their accusers, the right to counsel, and all fair trial guarantees. Anything short of this will not quench the public's thirst for the "deepening reform."

The opinions expressed in this commentary are solely those of Maya Wang.

@highlight

Chinese media recently said infamous 'Re-Education Through Labor' system would be reformed

@highlight

HRW: Roughly 160,000 people are detained in China for up to four years without trial

@highlight

Maya Wang: Like other long-mooted reforms, this might only be a cosmetic gesture

@highlight

As a type of arbitrary detention, RTL should not be reformed, it should be abolished, she says