Kevin Wang always had the teaching bug in him.

After graduating from UC-Berkeley in 2002 with a degree in electrical engineering and computer science, he turned down industry jobs to teach in the Bay Area. A few years later he got a masters degree in education from Harvard and then went to Microsoft to work as a software developer.

But he couldn't stop teaching.

Before he arrived at the office every morning, Wang drove to a nearby high school and taught first-period computer science. He told colleagues and friends about his experience and recruited them to teach in local schools.

The word spread. In 2009 Wang launched Technology Education and Literacy in Schools (TEALS), an initiative that places high-tech professionals as part-time teachers in high schools.

Wang's goal was to see to it that every high school in the country has a computer-science course. He thought he might need to quit his job to manage the growing effort. But he didn't have to.

Microsoft offered to support Wang, asking him to devote all his workday time to it. The company's decision to incubate the TEALS program stems partly from founder Bill Gates's longstanding interest in promoting education, Microsoft's broader philanthropic focus and a pressing, industry-wide need for more engineers.

"America produces the best computer engineers in the world," said Wang, "but we just don't have enough."

Which is why TEALS has over 100 volunteers covering 35 schools in seven states, and is now mounting a big push in New York City.

Falling behind?

In February of this year, Gates joined Facebook's Mark Zuckerberg and other tech titans in a video by nonprofit Code.org to encourage interest among young people in programming.  Demand for top tech talent also has prompted the industry to lobby the State Department to give out more H1-B visas to highly skilled foreign-born immigrants. In April, Zuckerberg penned an op-ed in the Washington Post calling for revised immigration policies so that U.S. companies can better attract the most talented foreign-born computer scientists.

Computer science is the third highest-paying bachelor degree, right behind computer engineering and chemical engineering. While the average starting salary for computer science college graduates is $64,400, industry insiders frequently cite higher figures. In large or competitive companies like Google or Facebook, starting salary for the cream of the crop college graduates is nearly $100,000, not counting bonuses or stock options.

Despite the financial appeal, there aren't enough computer programmers entering the U.S. workforce to fill the estimated 150,000 new computing jobs that will be produced every year for the next decade. This adds to anxiety among industry professionals and policy leaders that the U.S. could fall behind other countries in innovation if it doesn't foster education in STEM (science, technology, engineering and math).

Part of the problem is that the U.S. lacks enough computer science teachers, said Wang. Recent graduates with a computer science degree are far more likely to go into the tech industry, where offers are more lucrative.

Early exposure to computer science can lead students to develop an aptitude or liking for the subject, apply for opportunities like tech internships, and pursue it as a career path. But even as technology becomes an integral part of most people's lives, fewer computer-science courses are being offered in high schools.

Perhaps as a result, computer-science tests account for just 0.69% of all high school AP tests taken. And yet knowledge of computer programming is becoming more critical in the workplace.

"Computer science is permeating every industry and every field, and its importance will only grow," said Wang. "Whether it's biology, finance, architecture, or a host of other disciplines, a basic computer literacy is critical."

TEALS in NYC

That the U.S. produces so few graduates in a field that will grow in importance makes the demand-supply problem only more urgent.

New York Mayor Michael Bloomberg, never one to shy away from national issues, tried in 2011 to jumpstart the city's tech scene with the proposal to build a world-class engineering campus. When the mayor's office heard about TEALS after The New York Times ran an article about it in fall 2012, officials reached out to Wang and asked him to bring the program to New York City.

With help from the mayor's Office, TEALS began setting up and recruiting volunteers. In March, Wang appeared at a New York tech meetup to invite the city's tech community to get involved. A plug from venture capitalist and blogger Fred Wilson also helped generate interest.

Interviews with applicants, conducted jointly with nine participating high schools, started this month. Wang is curious to see how the composite of the volunteer force shapes up since few major technology companies are headquartered in New York City.

Selected volunteers will go through an intensive training program in the summer so that they can use a standardized curriculum and learn how to manage classrooms by the fall. Since tech professionals often have flexible working hours, the program places them in first-period classes, which usually ends shortly after 9 a.m.

Volunteers are paid a small stipend to cover transportation costs. But as Wang put it, "No one is doing this for the money."

Jeff Tyson, a Microsoft employee, began teaching at a Seattle school last September and tries to appeal to students' creativity.

"If there is one thing we try to avoid in our class, it is (being) boring. We often try to show how deeply computer science has altered our world," he said. "We even have some students who plan to code artistic projects. I think Steve Jobs was spot on when he called computer science a liberal art."

Bad numbers, big gains

About 80% of TEALS' volunteers are Microsoft employees, part of a push by the company to address the dearth of engineering talent in the U.S. The program is also part of the Microsoft YouthSpark initiative, which seeks to provide better access to education for young people worldwide.

For Donald Hense, CEO and founder of the Friendship Public Charter Schools in the Washington, D.C., area, TEALS was a boon.

"We were excited that it could help us identify extremely qualified teachers to staff a very difficult field," he said. "We specifically pushed for STEM courses in our schools. Kids are judged on ability, and the ability to code is going to help them a long way in tomorrow's world."

The numbers suggest Wang has an uphill battle. In 2012, only 61 students took advanced-placement computer science in the entire state of Utah, for example. In the nation's capital, it's the same number. But Wang is taking an optimistic view.

"The numbers are so bad that anything we can do is a huge, huge gain," he told CNN.

Wang needs more students like Adrian Chavez, a senior taking a TEALS AP course at Hazen High School in Renton, Washington, who said, "It is a dream of mine to someday work as a software engineer or programmer graphic artist in video games."

What would really help, Wang said, is if states recognized computer science as a core requirement rather than an elective.

"It really should be the fourth science course in high school, right beside biology, physics and chemistry," he said. "If the next generation in this country is going to compete successfully for 21st-century jobs, they're going to need to know computer science."

@highlight

The TEALS program seeks to develop more computer-science students in the U.S.

@highlight

The United States has a shortage of qualified computer engineers

@highlight

Despite tech's growing role in society, few high schools offer computer-science classes

@highlight

TEALS now has over 100 volunteers covering 35 schools in seven states