(CNN) -- Looking for towering snow-covered peaks, lush woodlands, fields of rainbow-colored wildflowers or raging whitewater rivers across the United States?

Thanks to the landmark Wilderness Act, celebrating its 50th anniversary on September 3, you can find many such examples of nature's splendor. The act preserved nearly 110 million acres of wilderness across the United States.

Some 54 areas in 13 states were placed into the National Wilderness Preservation System immediately after its establishment in 1964. Now the act protects 758 areas in 44 states and Puerto Rico.

In the spirit of celebration, here are 10 of the 54 original tracts of unspoiled wilderness celebrating 50 years of protection. With the exception of the impact of the forces of nature, they're preserved just as they were in 1964.

Hiking, camping, backpacking and fishing are allowed in designated wilderness areas, as long as visitors follow a few rules designed to preserve the environment.

50 states, 50 spots: Natural wonders

Ansel Adams Wilderness, California

The Ansel Adams Wilderness Area spans more than 230,000 acres and nearly 350 miles of trails, including sections of the well-known John Muir and Pacific Crest trails. Hikers can traverse elevations climbing up to 14,000 feet.

It was originally called the Minaret Wilderness because of the jagged peaks known as minarets in the Ritter Mountain Range, a sub-range of the Sierra Nevada. In 1984, the area was enlarged and renamed to honor legendary landscape photographer Ansel Adams.

Maroon Bells-Snowmass Wilderness, Colorado

Designated in 1964, Colorado's Maroon Bells-Snowmass Wilderness now encompasses more than 180,000 acres. With 100 miles of trails and nine passes with elevations above 12,000 feet, the area is dotted with sparkling alpine lakes.

Six of the area's peaks rise above 14,000 feet, drawing climbers to some of the most difficult ascents in Colorado. The imposing Maroon Bells peaks are said to be the most photographed peaks in North America. The mountains' reflection in Maroon Lake on a nice day is certainly picture-perfect. The area is easily accessible in the summer from Aspen via shuttle.

Selway-Bitterroot Wilderness, Idaho and Montana

The third largest wilderness area in the lower 48 states, the Selway-Bitterroot Wilderness is primarily in Idaho, but some of its 1.3 million acres spill over its glacier-carved border into Montana.

With 1,800 miles of trails, the wilderness is a hiker's delight, although many of the trails are unmaintained. Traversing the rocky trails can be a challenge, but the chance to spot wildlife such as elk, deer, moose, black bears, mountain lions and wolves makes the effort worthwhile.

Boundary Waters Canoe Wilderness, Minnesota

Sharing its northern border with Canada's Quetico Provincial Park, Minnesota's Boundary Waters Canoe Wilderness is comprised of more than 812,000 acres of preserved land, with nearly 1,200 lakes, ranging in size from 10 to 10,000 acres, and hundreds of miles of streams. The large network of streams allows for long-distance travel by watercraft, which is rare in the United States.

Activities are plentiful in Boundary Waters, with camping and canoeing during the spring and summer, and skiing, dog-sledding and ice-fishing in the winter. The wilderness area also has cultural resource sites for visitors to explore the settlements and lives of Native Americans who settled on the land over 10,000 years ago.

Gates of the Mountains Wilderness, Montana

At about 28,500 acres, Gates of the Mountains Wilderness in Helena, Montana, is one of the most well-known landmarks of the Lewis and Clark Expedition.

Although the sons of a French explorer traveled through the area in the 1700s, it was Meriwether Lewis who arrived in 1805 and gave the area its current name. Lewis was the first to leave a record of his passage through the area, giving it the moniker Gates of the Mountains in his journal.

With 53 miles of trails in Gates of the Mountains, there are plenty of routes for visitors to enjoy.

Shining Rock Wilderness, North Carolina

Shining Rock Wilderness in East Fork, North Carolina spans just over 18,000 acres, but it is the largest wilderness area in the state. Named for its bedrock, formed by the "shining rock" mica, the area has an elevation of 5,000 feet, with three peaks within the wilderness standing higher than 6,000 feet. Shining Rock is separated from another one of North Carolina's wilderness areas, Middle Prong, by a single road.

Steep and rugged terrain makes for trails that are largely rated difficult. The Art Loeb (11.6 miles) and Shining Creek (3.4 miles) trails are very popular with hikers up for the challenge.

Great Gulf Wilderness, New Hampshire

The smallest site on our list with just over 5,600 acres, Great Gulf Wilderness, near Mount Washington in New Hampshire, can be found within the crescent of the Presidential Mountain Range. On the bottom of the glacially carved valley floor, visitors will find the sparkling waters of Spaulding Lake.

The Great Gulf Trail connects a network of smaller trails, and runs about five miles through the wilderness before it stretches on toward Mount Washington's summit. The Appalachian National Scenic Trail also crosses through the wilderness for a little under three miles.

Gila Wilderness, New Mexico

Mesas, deep canyons, high mountains, sheer cliffs, woodlands and grasslands stretch across various areas of New Mexico's 558,000-acre Gila Wilderness.

The Gila River feeds year-round into creeks and springs that flow through the area, and hot springs are scattered and hidden throughout. A warning: Some of the springwater contains a deadly microorganism, so keep your head out of the hot spring water.

Strawberry Mountain Wilderness, Oregon

With seven alpine lakes, and elevations ranging from 4,000 to 9,000 feet, the Strawberry Mountain Wilderness near Prairie City, Oregon, offers beautiful sights to visitors during all seasons.

Larches, the only conifer to lose their needles, turn gold in the fall, standing out from the spruce, pine and fir trees that also live in the nearly 70,000-acre wilderness area. True to the wilderness area's name, wild strawberries ripen in July. About 125 miles of trails lure hikers and backpackers to the area.

Teton Wilderness, Wyoming

At more than 585,000 acres, Wyoming's Teton Wilderness is just as worthy of visitors as its more famous neighbors. (Yellowstone National Park lies to the north, with Grand Teton National Park to the west.) The wilderness is home to the headwaters of the Yellowstone and Snake Rivers and to Two Ocean Pass, where a creek splits and sends water to both the Atlantic and the Pacific Oceans.

Teton is one of the country's best wildlife areas, with a variety of different species of animals and birds. Grizzly bears, gray wolves, elk, bobcats and porcupines occupy the area year-round.

@highlight

Landmark Wilderness Act turns 50 in September

@highlight

Nearly 110 million acres of wilderness now protected by act

@highlight

Included is Ansel Adams Wilderness Area in California

@highlight

Other spots are in Oregon, Montana, Wyoming, New Hampshire