With his country grappling with the damage from "hell-storm" Haiyan, a Philippines official launched a hunger strike Tuesday to pressure a U.N. climate change conference for concrete steps to fight global warming.

Naderev Sano, a member of the Philippines Climate Change Commission, said he was fasting "in solidarity with my countrymen who are now struggling for food back home" -- including his own brother, whom Sano said "has been gathering bodies of the dead with his own two hands."

"What my country is going through as a result of this extreme climate event is madness. The climate crisis is madness," he said. "Mr. President, we can stop this madness, right here in Warsaw."

Sano leads the Philippines delegation to the 19th Conference of the Parties in Poland's capital. He got a standing ovation after he spoke, four days after Super Typhoon Haiyan struck his island nation with estimated winds of 315 kph (195 mph). The storm has left nearly 1,800 people at the latest count.

"Despite the massive efforts that my country had exerted in preparing for the onslaught of this storm, it was just a force too powerful, and even as a nation familiar with storms, Haiyan was nothing we have ever experienced before," Sano said. But he said the Philippines refuses to accept that "running away from storms, evacuating our families, suffering the devastation and misery, counting our dead, (will) become a way of life."

Sano said he will refrain from eating during the 12-day conference "until a meaningful outcome is in sight." He called for "concrete pledges" to the Green Climate Fund -- a U.N. fund aimed at helping developing nations reduce their climate change emissions and adapt to the impacts of climate change -- and said he will continue to fast "until we see real ambition on climate action in accordance with the principles of the convention."

He told CNN's Connect the World that while the complete picture of climate change is still being studied, the highest increase in measured sea levels over the past seven decades "has been in the waters just east of the Philippines."

"The precautionary principle tells you you shouldn't wait for full scientific certainty before doing something or taking action," he said. "How many lives do we want to lose, not just in the Philippines but in communities that have other climate impacts?"

Read more: Projected Typhoon Haiyan death toll falls, but tensions rise

The idea of long-term climate change driven largely by the use of fossil fuels, which release heat-trapping carbon emissions into the atmosphere, is controversial politically but accepted as fact by most researchers. Scientists say they can't pin any particular storm on the process, but that the warming of the air and oceans "loads the dice" in favor of more extreme weather.

"When it's a very rare event, we have a challenge scientifically in distinguishing between the rare chance event and the possible effects of global warming. So for these individual storms, that's a particular challenge," said Noah Diffenbaugh, a climate scientist at Stanford University in California.

But Diffenbaugh added, "Even though that's challenging science, we do know that global warming is occurring, we do know that human emissions of greenhouse gases are the primary cause of that global warming, and we do know that a number of extreme events have increased in likelihood as a result of that."

James Elsner, a climate and statistics expert at Florida State University, said that doesn't necessarily mean more hurricanes or typhoons.

"We could see fewer storms, but the ones that do form could be stronger," Elsner said. That appears to be the trend over the past 30 years, he said.

An October study in the scientific journal Nature noted that more than 5 billion people live in areas that would be affected by climate change by 2050, and the countries that will first see its effects are the ones least capable of responding. And a June report by the World Bank noted that the Philippines is already seeing the effects of a warming climate, ranking 16 of its provinces among the most vulnerable regions in southeast Asia.

Watch the opening session of the 19th COP

The Philippines has launched efforts to better prepare for the impact of climate change, President Benigno Aquino III told CNN's Christiane Amanpour on Tuesday. But he said addressing the issue is a global problem.

"We all live on one planet," Aquino said. "Either we come up with a solution that everybody adheres to and cooperates with, or let us be prepared to meet disasters."

On the table in Warsaw is the issue of compensating countries that suffer from the effects of climate change and can't afford to adapt on their own.

"The poorest people of the world are at greater risk because of our vulnerability and decades of maldevelopment, which I also must assert is connected to the kind of pursuit of economic growth that has led to an altered climate system," Sano said.

In his remarks to the conference, Sano challenged climate change skeptics to "get off their ivory towers and away from the comfort of their armchairs" to see the communities battling flooding, hurricanes and fires. "And if that is not enough, they may want to see what has happened to Philippines now," he said.

This year's Warsaw conference brings together countries that have signed onto the U.N. Framework Convention on Climate Change. The annual meetings review the parties' progress in limiting global temperature increases.

Sano said that at the last conference, held in Qatar less than a year ago, he appealed to the world to open its eyes as the Philippines had confronted another catastrophic storm -- Typhoon Bopha, then the costliest in its history.

Read more: December 2012: Bopha death toll rises

"Less than a year hence, we cannot imagine that a disaster much bigger would come. With an apparent cruel twist of fate, my country is being tested by this hell-storm called Super Typhoon Haiyan," he said.

He said he spoke on behalf of his delegation as well as "the countless people who will no longer be able to speak for themselves after perishing from the storm."

Sano's protest prompted Twitter users to begin using the hashtag #fastfortheclimate in support.

The Climate Action Network -- a body of 850 nongovernmental organizations -- later announced that members of "civil society" were joining Sano in fasting, in a move it said is "unprecedented within the history of the climate movement."

Climate Action Network spokeswoman Ria Voorhaar said the protest is spreading "far and wide," with at least 100 people in Warsaw for the conference also fasting.

"A lot of climate-focused youth groups have jumped on it immediately to show solidarity," she said.

Voorhaar said the hunger strikers want the Warsaw conference to take "concrete steps" toward reducing carbon emissions before 2020, enacting an international mechanism for damages and financing efforts to adapt to a warming world.

@highlight

"How many lives do we want to lose?" hunger-striking official asks

@highlight

Sano says his brother is safe, but other relatives remain unaccounted for

@highlight

Philippines climate conference delegate fasts to demand action

@highlight

Scientists believe warmer climate will fuel more powerful storms