Cairo, Egypt (CNN) -- Wael Ghonim, the Egyptian activist hailed by many fellow protesters as a hero, had a message Wednesday for his country's leaders: "If you are true Egyptians, if you are heroic Egyptians, it's time to step down."

Ghonim, who was freed Monday after being held by Egyptian authorities for 10 days, said it is "no longer the time to negotiate" with the regime of Egyptian President Hosni Mubarak.

"There's a lot of blood now" that has been spilled, he said. It's time for people at the highest levels of the government "to apologize to the families" of those killed, he said.

Follow Wael Ghonim on Twitter

Human Rights Watch said Tuesday 302 people had been killed in the Egyptian protests -- 232 in Cairo, 52 in Alexandria and 18 in Suez. "A lot of times, the policeman would stand on the bridge and shoot people down," Ghonim said. "This is a crime. The president need to step down because this is a crime."

Ghonim played a key role in organizing the protests that have convulsed Egypt for more than two weeks. He was the administrator of a Facebook page that is widely credited with calling the first protest January 25. "The plan was to get everyone onto the street," he said. "Number one was that we are going to start from poor areas."

As the plan succeeded, the organizers' tactics shifted, he said. "We went on the street on the 25th and we wanted to negotiate," he said. "They decided to negotiate with us at night with rubber bullets, with police sticks, with water hoses, with tear gas and with arresting about 500 people. Thanks. We got the message. Now, when we escalated this and it became really big, they started listening to us."

The 30-year-old was on leave from his job at Google in Dubai, where he lives with his wife and two children, when he went to Egypt to participate in the demonstrations.

Ghonim, who refers to himself as an Egyptian activist, describes himself as "Head of Marketing -- Middle East & North Africa at Google" on his LinkedIn.com profile. His disappearance on January 28 captured international attention.

"I work for the best company to work for in the world," he said. "I have the best wife and I love my kids, but I'm willing to lose all of that for my dream to happen, and no one is going to go against our desire. No one."

Then, with a tear track running down his cheek, he challenged Vice President Omar Suleiman to try to undo his efforts and those of his supporters. "Kidnap me, kidnap all my colleagues!" he said. "Put us in jail! Kill us! Do whatever you want to do. We are getting back our country. You guys have been ruining this country for 30 years. Enough! Enough! Enough!"

He showed CNN on Wednesday a notarized power of attorney granting control of all his assets to his wife. Holding it up, he said, "I'm ready to die" to bring change to Egypt.

Ghonim cited as his greatest heroes Mohandas K. Gandhi, the father of India's independence movement, and Mark Zuckerberg, the 26-year-old founder of Facebook.

A crowd of thousands cheered Ghonim on Tuesday when he spoke at Tahrir Square, where hundreds of thousands of protesters have demanded change for more than two weeks.

As he walked through the streets of his upscale neighborhood Wednesday, unaccompanied by security and clutching a laptop, passersby recognized him and ran up to kiss him on the cheek and embrace him. A taxi driver stopped his car in traffic, got out and hugged the 30-year-old executive. Another driver handed a cell phone to Ghonim and asked him to say a few words to his daughter.

Yet Ghonim said he is uncomfortable about being the face of the popular uprising in Egypt.

"This is not about me," he said several times during an hour-long interview in a relative's Cairo apartment.

Ghonim added that he is proud of the protests, which he described as a "youth revolution" and "Revolution 2.0." The Muslim Brotherhood, he said, played no role in organizing the initial protests, and in fact "would not participate."

Ghonim conceded that Mubarak has "sacrificed a lot" for Egypt but said the 82-year-old leader represents a system that needs to be replaced. He demanded that Mubarak's ruling National Democratic Party be dissolved immediately. He also said, though, that Mubarak should be treated with dignity.

He said the initial goal of the protests was to call for the resignation of Egypt's unpopular interior minister and demand improved conditions for the poor. The calls for Mubarak's resignation came after Egyptian security forces responded to peaceful protests with force, he said.

Police clashed with protesters in the early days of the protests, before being replaced by the military, which created a generally more peaceful atmosphere.

Ghonim, who comes from an affluent Egyptian family, said the activists who organized the protests intentionally designed their movement to be anonymous and faceless, without a clear leader. He cited the movie "V for Vendetta" as a source of inspiration.

When asked whether he was referring to a famous scene of the film's protagonist blowing up Parliament in London, Ghonim laughed. No, he said, he drew inspiration from a character who anonymously advocated for change.

@highlight

NEW: "I'm willing to lose all of that for my dream to happen"

@highlight

NEW: "They wanted to negotiate with us at night -- with rubber bullets"

@highlight

Wael Ghonim played a key role in organizing the first protest in Egypt

@highlight

He was detained for 10 days