(CNN) -- Jacmel was the artsy town Kathryn Bolles would travel to on weekends, a respite from the bustle of Haiti's capital, Port-au-Prince.

But when a colleague with the Save the Children organization returned from once-scenic Jacmel on Friday, Bolles said he was traumatized.

"He said it's horrible what's happened there," said Bolles, the emergency health and nutrition director for Save the Children in Haiti. "People are lost, dead, missing. Houses are down and facilities are down. It sounded similar to what we're seeing here in Port-au-Prince."

Attention has focused on Port-au-Prince since Tuesday's 7.0-magnitude quake, as it is the country's most populous city -- at more than 1.2 million people -- and has suffered tremendous devastation. Thousands of homeless victims have taken to sleeping in the streets, without food, water and medical attention. Others are buried beneath the rubble, and rescuers have miraculously pulled out survivors who were entombed by the debris.

Elsewhere, though, preliminary reports are telling of how the crisis has gripped residents beyond the capital.

"What we're hearing from text messages, from e-mails is that all along the coast going west and then down south, towns are absolutely destroyed," said Bolles, who has worked in Haiti since 1999 and spoke to CNN from Port-au-Prince. She learned of the extent of the damage from colleagues, people on the street and other aid groups.

Just to the west of Port-au-Prince is Carrefour, a city of 442,000 that felt violent shaking during the quake, according to the U.S. Geological Survey. Damage there is expected to be heavy -- reports have yet to come in, the agency said.

West of that is Leogane, a city, like Carrefour, that is passed on the road to Jacmel. More than 30 miles further west of the capital is Petit-Goave -- all towns, Bolles said that are reeling from the quake.

Leogane's main hospital was flattened, as were numerous other buildings, Bolles said. She said she heard the "whole town had collapsed."

Among the other areas, she said she was told an orphanage full of 1,500 children collapsed, and many people were dead or missing.

CNN has yet to independently verify damage or casualties outside the capital, but reports continue to build in bits and pieces.

About a three-hour drive south of the capital in Jacmel, there were reports of an orphanage that toppled, and of a hospital for women that collapsed, said Alana Salcer, spokeswoman for Cine Institute, a film school in Jacmel. Staff at the school and students there have written Salcer about the dire situation in that city, and even shot footage of buildings ripped open and survivors lying in streets. To keep the lights on and communication open, the school has had to rely on a generator after power lines went down.

The home of the school's editing teacher, Andrew Bigosinski, fell down a hill when the earth violently shook, and many others lost their homes, Salcer said.

Just east of Port-au-Prince, makeshift camps have been erected in the public squares of the densely populated area of Delmas, Cine Institute founder David Belle told Salcer in an e-mail shared with CNN.

Belle described a harrowing scene on the road to Port-au-Prince:

"Moving into the city ... the destruction gets worse and worse and the street is lined with piles of swollen, rotting bodies. ...Periodic road blocks have been set up by residents, protesting the lack of any aid presence and angry at stench and indecency. Huge tractors and dump trucks were just beginning to arrive and load bodies as we passed thru."

American Red Cross logistics expert and relief worker Colin Chaperone said the biggest obstacle outside the capital was getting medical treatment to the injured. Chaperone arrived in the capital Wednesday and had driven east toward the border with the Dominican Republic to escort an American Red Cross Emergency Response Unit into Haiti, said Red Cross spokesman Jonathan Aiken.

Chaperone told Aiken that about 30 minutes out of Port-au-Prince, he was still seeing significant and widespread damage. Medical care was limited, as local clinics were overwhelmed by demand, he said.

Makeshift treatment facilities were established for those who fled the capital, many of whom had broken bones and other serious injuries, Chaperone said. Exacerbating the dangerous situation was the reality that medical supplies were running out.

Roads are slowly becoming easier to navigate, but aid is still slow to get outside the capital. Bolles said that her team plans to travel as far as they can to assess the situation and offer help.

"There really needs to be a humanitarian response and it needs to be immediate," she said. "Outside of Port-au-Prince there really hasn't been anything."

@highlight

Jacmel, Leogane, Carrefour and Petit-Goave are towns that are reeling from earthquake

@highlight

East of Port-au-Prince, makeshift camps have been erected in public squares

@highlight

Humanitarian response "needs to be immediate," says Kathryn Bolles of Save the Children