Editor's note: Ronald F. Ferguson is Senior Lecturer in Education and Public Policy at the Harvard Graduate School of Education and the Harvard Kennedy School. His most recent book is "Toward Excellence with Equity: An emerging vision for closing the achievement gap," published by Harvard Education Press. He is the creator of the Tripod Project for School Improvement and also the faculty co-chair and director of the Achievement Gap Initiative at Harvard University.

Ronald Ferguson says parents can play a key role in improving their children's education.

CAMBRIDGE, Massachusetts (CNN) -- Raising the quality of teaching and learning in American schools is a priority. It receives a great deal of attention in our national discourse and should receive more.

Test scores and graduation rates are improving faster in other nations than in the United States and this threatens our quality of life in a competitive world.

In addition, achievement gaps between racial groups in the United States remain large. The social and political vitality of the nation may depend on closing these racial gaps. Blacks and Hispanics are doing better than in the past compared to whites, but still not nearly good enough.

Making schools better should be only one part of our national strategy. Life at home has been a relatively neglected topic and needs to come out of the shadows.

Especially in churches, neighborhood organizations, families and informal social networks, helping parents do their best needs to be as big a priority as achieving excellent schools.

This goes beyond public policies. I am talking about changes in mindsets and lifestyles in a national social and cultural movement to close achievement gaps between groups -- a movement to achieve excellence with equity.

More reading at home is a place to start. I present data in my recent book based on a large sample of students in elementary and secondary schools from several states.

Black and Hispanic students reported less leisure reading at home compared to whites, watched television more, were much more likely to have televisions in their bedrooms and (perhaps as a consequence) were more prone to become sleepy at school. Also, blacks and Hispanics, including those with college-educated parents, reported fewer books in their homes than whites whose parents had fewer years of schooling.

However, life at home helps shape academic outcomes long before children begin reading books. Family-level supports in the first two years of life help predict achievement years later, in elementary school.

Beginning soon after birth, the most supportive mothers teach the joy of living and learning, through lots of active, encouraging, verbal and nonverbal communication. They engage actively in helping children learn to walk and talk and to explore their new world and manipulate their toys and other objects.

Such mothers exist in large numbers in every racial group. Nonetheless, in a recent study by Harvard's Richard Murnane and co-authors, differences in mother-child interaction patterns like these were found to account for one-third of the black-white gap in math and English skills at the beginning of kindergarten -- and one-quarter at the end of third grade.

As children get older, highly responsive parents spend time with children, look for ways to be helpful and encourage them to voice their opinions. They are good listeners and they teach their children that they have a right to be heard and that people in positions of authority can sometimes be persuaded. The same parents can also be demanding, providing rules and structure and holding children consistently accountable for their behavior.

Professor Jelani Mandara of Northwestern University found in a nationally representative sample that students who achieved the highest test scores among blacks, Hispanics and whites had parents who were both responsive and demanding.

According to the study, white parents were much more likely to be both responsive and demanding than black and Hispanic parents; whereas black parents, in particular, were often highly demanding, but tended not to be as responsive in the ways the study measured. Among early adolescents, differences along these dimensions helped account for the higher test scores of whites as compared with blacks and Hispanics.

Findings like the above should be part of the conversation among black and Hispanic community leaders as they respond to the fact that even the children of college-educated parents often achieve at lower-than-expected levels.

It is true that children of every racial group do better, on average, when their parents have more education. For example, black 12th graders whose parents completed college have higher average test scores than black 12th graders whose parents only completed high school.

However, it is also true, according to the National Assessment of Educational Progress, that test score gaps between 12th-grade blacks and whites with highly educated parents -- parents with 16 or more years of schooling -- are greater than test score gaps between 12th-grade blacks and whites whose parents have less education.

These are unpleasant facts, but we cannot improve what we fear and refuse to confront. Yes, we should respectfully acknowledge and rectify injustices that have impeded the efforts of many non-white parents and we should also work relentlessly to provide high quality schooling opportunities for children from every background.

But especially in our own homes and communities, there is another responsibility. It is to give parents of every racial and social-class background the examples, encouragement and supports they need to help their children experience the joy of learning and develop ambitious attitudes and habits of mind that will serve them well throughout their lives.

As one effort to accept this responsibility, the Achievement Gap Initiative at Harvard University has begun convening the AGI Parent Leadership Network. Beginning in September 2008, researchers and parent leaders from communities in several states have met every four months at Harvard to learn about relevant research, trade ideas, coach one another, and share examples of their own leadership.

Presentations and discussions have covered topics ranging from home-learning lifestyles to ways of helping schools and holding them accountable. The main purpose is to equip parent leaders with ideas and energy for helping others in home communities to help ALL our children succeed.

In the Civil Rights Movement, legions of people worked in a multitude of ways for racial justice. That work continues. However, the time has come for a movement focused on realizing our full human potential as learners. We need a movement for excellence with equity -- to prepare all our children for the social, ethical and intellectual challenges of a 21st century world.

For more information about the Achievement Gap Initiative at Harvard University, click here

The opinions expressed in this commentary are solely those of Ronald Ferguson.

@highlight

Ronald Ferguson: Vitality of U.S. may depend on closing racial achievement gaps

@highlight

He says achievement of black and Hispanic students is improving

@highlight

He says further progress could come if parents were more responsive to children

@highlight

Ferguson: Harvard has started a program to improve quality of parenting