(CNN)What can President Barack Obama realistically do in his final two years? Beyond executive action, his power to impact public policy is limited.

Pundits can talk all they want about the President being "more aggressive" in his State of the Union address and report on how he won't be willing to be passive when faced with Republican opposition, but the truth is that Republicans control Congress.

Most in the GOP will have little interest in cutting deals with the President. The odds of passing major legislation are slim.

Even if the President fights tooth and nail, the nation won't see another New Deal or Great Society in the coming years. As a number of experts have explained, he can continue to use executive power, but that, too, is limited in terms of what he can achieve on the domestic front. Executive power only applies to a limited number of changes within existing law, and these decisions can be overturned by the next president.

Yet there is something that the President can focus on in the coming months to significantly strengthen his long-term impact on the nation: Help Democrats do well in the 2016 election.

President Obama's best bet is to establish the conditions that improve the odds for a Democratic president and Congress to succeed him. In many respects, most lame duck presidencies are more about the future than the present.

If Democrats expand their power in 2016, they will be in better position to protect and nurture the programs, such as the Affordable Care Act, that have passed during Obama's tenure in the White House. And the longer that policies remain in place, the more voters and organized interests become invested in those programs and determined to protect the status quo.

As the President did in a forceful State of the Union Address, he must continue to flood the agenda with ideas and issues that will excite and engage Democrats.

There are many Democrats who feel deeply disillusioned after so many of the promises from 2008 remained unfulfilled, such as taming the role of money in politics, putting stringent regulations on Wall Street or restoring the balance between civil liberties and counterterrorism.

Some have concluded that a broken Washington is impervious to change while others have lamented how a rightward drifting Republican Party has dominated Capitol Hill and stifled the administration from making substantial progress. Still other Democrats have complained that Obama has not put up enough of a fight and has been too willing to compromise his principles.

Even if the odds of Congress passing bills based on Obama's proposals are slim, the President can help generate ongoing media discussion about key issues -- such as income inequality or middle class insecurity -- that play well for Democratic presidential candidates.

As we have already seen in some of the early buzz from potential GOP presidential candidates such as Mitt Romney, Republicans are feeling defensive about the perception that they only represent the wealthiest Americans.

Through speeches and proposals, Obama can keep this issue, and others like climate change or immigration reform, on the table so that Democratic voters remember what's at stake in 2016 when they vote for the next president.

The President can also help make sure that the next congressional elections in 2016 go as well as possible for his party. President Obama has learned the hard way that without a supportive Congress, not much gets done. Since 2010, when Republicans took control of Congress, Capitol Hill has been rough sledding for the administration.

One of his problems has been that President Obama's relations with Democrats on the Hill have been continually tense. Many congressional Democrats have felt that the President has not done enough to support them in midterm elections, including in 2014, at the same time that he has sent extraordinarily controversial proposals, such as the Affordable Care Act, to them that create electoral problems back home.

In 2016, Democrats probably have very little opportunity to win control of the House given the size of Republican margins and the fact that gerrymandered districts make it unlikely to have big swings in House elections. However, they do have a chance to retake control of the Senate since more GOP seats will be at risk and Democrats can have better turnout with a strong presidential candidate on the ticket.

In the coming years, the administration needs to work carefully and closely with Democrats in competitive states such as Illinois to ensure they have support, organizational enthusiasm and money.

The final question will be how the President interacts with the Democratic presidential candidate. This has always been difficult, as was evident with Vice President Al Gore in 2000 when his awkward relationship with President Bill Clinton hurt his candidacy. This will be extraordinarily important when the top candidate emerges.

Assuming the Democratic nominee will be the undeclared but widely acknowledged frontrunner, Hillary Clinton, the President will have to put aside some of the tensions that have existed with her to make sure that the candidacy runs as smoothly as possible.

What happens after a president leaves office is as important as what a president does while in power. The success of Social Security and the Wagner Act remain the most lasting monument to FDR, while the endurance of so many of  President Lyndon Johnson's Great Society programs during the Age of Reagan enabled many Americans to remember his impressive domestic accomplishments in spite of the tragedy of Vietnam.

President George H.W. Bush ensured that Ronald Reagan's moves to reach peace with the Soviet Union in 1987 did not go to waste, while Republicans and Democrats in Congress have entrenched most of the national security programs President George W. Bush put into place.

President Obama needs to keep his eyes on 2016. Realistically, this is the best way that he  can bolster his own legacy and that of his party -- helping to set up political tools that Democrats will need to thrive once he is back in Chicago or New York and preventing the emergence of a conservative political coalition that would pick apart the achievements of the Obama presidency.​

​

@highlight

Julian Zelizer: As a lame duck with GOP Congress, Obama's powers are limited

@highlight

He says best focus for the President is to position his party to win in 2016