(CNN) -- For some families, like the Kennedys, the Bushes and the Roosevelts, politics runs in the blood. But as history shows, coming from a powerful political family doesn't mean a free ride to the top.

George and Jeb Bush are the only sons of a president to make it to the governor's mansion.

"It does help, and it hurts. It's a two-edged sword," said Doug Wead, a presidential historian and former adviser to President George H.W. Bush. "It initially helps the candidate with name recognition and more importantly with fundraising ... but many vote against the child as well."

The children of political families inherit a treasure chest of contacts, campaign workers and often endorsements, but the benefits have their limits.

Only two presidential sons have followed their fathers to the White House (John Quincy Adams and George W. Bush), and just one presidential family -- the Bushes -- has sent sons to the governor's mansion (Jeb Bush in Florida and George Bush in Texas).

"I conclude that a brand name -- a famous family name -- is typically worth one step up on the political ladder," said Stephen Hess, a senior fellow emeritus in governance studies at the Brookings Institution, who has researched and written about political dynasties dating back to colonial times. "They get one step up -- and they are on their own."

Franklin D. Roosevelt, for example, had two sons make it to Congress, but both failed in their gubernatorial bids.

"In both cases, then they were on their own. As they tried to step up to one higher level, both of them were defeated," noted Hess, who served as a staffer of the Eisenhower and Nixon administrations and as an adviser to Presidents Ford and Carter.

Among some other high-profile names whose political aspirations came up short, William Taft's son Charles, who was the mayor of Cincinnati, Ohio, lost his bid to be the governor of the state; his other son -- Sen. Robert Taft -- tried three times without success to win the Republican nomination for president. (Robert Taft's son served in Congress, and his grandson served as the governor of Ohio for two terms).

President Reagan's daughter Maureen failed in her run for a California Senate seat, and the son of Hubert Humphrey -- a former vice president and Democratic presidential nominee -- was defeated in Minnesota's 1998 gubernatorial election, losing to third party candidate and ex-wrestler Jesse Ventura.

Sometimes, the public wants a candidate to lose an election or two, "just to let them know that they cannot be taken for granted," said Wead, author of the 2004 book "All the Presidents' Children: Triumph and Tragedy in the Lives of America's First Families."

In 1997, then-Rep. Joe Kennedy II, son of New York Sen. Robert Kennedy and nephew of President John F. Kennedy, bailed out of the Massachusetts gubernatorial race. Kennedy had never formally announced his candidacy, but he had been considered the front-runner before a string of bad headlines caught up with him.

"Joe Kennedy backed down when he saw the polls and saw that the media wasn't going to give him a free ride on his personal life," Wead said.

Kennedy's older sister, Kathleen Kennedy Townsend, failed in her attempt to move from lieutenant governor of Maryland to governor, even though registered Democrats outnumbered Republicans 2-1, Wead said.

Outside of the White House, familial ties are often beneficial to candidates who stay close to home -- in the same state, if not in the same congressional district.

In New Jersey, four members of the Frelinghuysen family have served in Congress, dating back to the late 1700s, and in Wisconsin, the La Follette family has produced generations of congressmen and governors.

In the case of Rand Paul, who is seeking one of Kentucky's Senate seats, being the son of Texas Rep. Ron Paul probably won't have much impact on his chances, based on Hess's observations.

"This thing is off the board in that regard," said Hess, noting that Rand Paul is not even in the same state, much less district, as his father.

"I can't imagine that Ron Paul, a sort of maverick congressman from Texas, should make a lot of difference in his son's race."

For those who do make it into office, winning an election can turn into more of a burden than a boon, because with a recognizable name comes a legacy -- and the pressure to defend it.

John Van Buren was widely considered a better speaker, debater, fundraiser and politician than his father, Martin Van Buren, who served as the eighth president of the United States. John Van Buren won a seat in the House of Representatives the same year his father lost his re-election bid. But, Wead noted, once he got to the floor of the House, he resurrected old battles in an attempt to restore his father's legacy and failed to develop his own political identity.

More recently, when George W. Bush took office, "he fought his father's old battles literally," Wead said. Faced with complaints that his father, George H.W. Bush, reneged on his tax pledge and failed to bring an end to Saddam Hussein's regime in Iraq, "the son tied all the loose ends and cleaned the slate, but at a great cost," Wead said.

Some observers argue that George W. Bush has so damaged the family brand that if Jeb Bush -- who was wildly popular as a two-term governor -- were to consider a presidential run, he'd have to change his last name.

But Wead doesn't see it that way. "It doesn't matter how much in disgrace the Bush family name may be for the moment -- they are a huge money-making machine."

"I think the family really knows that the thing the people hate, tomorrow they can love," he added.

That was the case with the Adamses, the only other family to yield a father-son presidential duo, Wead said.

"People would suddenly look with nostalgia at an administration that they hated. That can happen. It happened with the Adams," Wead said. "Exactly that."

@highlight

Coming from a big political name "does help, and it hurts," Doug Wead says

@highlight

Family name is "worth one step up on the political ladder," Stephen Hess says

@highlight

The pressure to defend a legacy can stifle a political career, Wead says

@highlight

Even if a name is disgraced today, its image can be restored tomorrow, Wead says