(CNN) -- Last year, at Wellesley High School in Massachusetts, David McCullough Jr., an English teacher at the school and the son of the Pulitzer Prize-winning historian David McCullough, gave the commencement address. He knocked it out of the park, and his words traveled far. What he had to say, America was desperate to hear.

McCullough believes that much of today's youth is "pampered, cosseted, doted upon, helmeted, bubble-wrapped" and shielded from reality. He told the graduates: "Climb the mountain not to plant your flag, but to embrace the challenge, enjoy the air and behold the view. Climb it so you can see the world, not so the world can see you."

I've had the privilege of delivering a commencement address, at a university in central California, and I hope someday to deliver another. In fact, I already know what I want to say.

So let me try it out on the class of 2013. Talk to college professors or human resource managers or employers. Read the research done on the so-called Millennial generation, and you'll find lots of evidence that McCullough was on the right track. The young people of today have often spent their lives being coddled, catered to and spared the stress of living up to expectations. People usually tell them only what they want to hear. 

Obama to new grads: "No time for excuses"

Not me. I'd rather tell our future leaders what they need to hear. Here are 10 provocative pieces of advice that this year's class of college and university graduates would be wise to take to heart:

1) Have your parents introduce themselves to you. Interview them, and record it. Ask them about their lives, and what stories or lessons they'd like to share with their grandchildren. They gave you life, so the least you can do is try to understand theirs. When they're gone, you'll be glad you did.

2) Follow your passion but be open to the idea that your passion might change and evolve over the years as you do. Don't be afraid to change course and go in a different direction. You're allowed to have second thoughts, about what you want to do and how you intend to spend your life.

3) Never forget that, despite what society has told you, you're not special, as McCullough said in his graduation speech. The world doesn't revolve around you. And you mustn't feel entitled to anything. No one is better than you, but you're not better than anyone else. Treat everyone with respect, as long as they treat you the same way.

4) Break out of your comfort zone. Do what you're most afraid of. Avoid what is easy and predictable. Travel the country and the world. Meet new people and strive to see the world from their vantage point. Stay curious. Ask questions. And never stop learning.

5) Don't just accept failure, but welcome it. Expect it. Learn from it. Treat it as a valuable learning experience. Remember, if you always get everything you want, and accomplish everything you set out to do, then you've failed anyway. Because you've set your goals too low.

6) Question authority and challenge your beliefs. Jump into the public debate. Become engaged. Democracy is a participatory sport; you take part, or you get taken apart. It doesn't matter what you believe. What matters is that you thought your way there and can explain why you believe it.

7) For those of you who choose, or are able, to get married -- and hopefully, one day, all of you will be -- who you decide to marry will go a long way toward determining your success. It's more important than degrees from fancy schools. People can either lift you up, or bring you down. Choose well.

8) For those who you who choose, or are able, to have children, when you set to raise them, give them the one thing they want most: your time. Teach them to be productive. But more importantly, teach them, by example, to be good people, who treat fellow human beings kindly and with respect.

9) As you go through life, don't be afraid to have high expectations of your children, of others, and of yourself. There are worse things than being disappointed because someone didn't perform as you hoped. Like giving up on them and not expecting much from the beginning.

10) Finally, many years from now, when you go to your rest, your most important accomplishment in life won't be the money you earned or the success you enjoyed. The only thing that will endure, and let the world know you were here in the first place, is the impact you had on other people. Make it a positive one.

That's it. Take it, or leave it. Everyone enjoys the comfort of a warm bath. But sometimes, what's called for is a cold shower. 

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Last year a graduation speaker told students "You're not special"

@highlight

He says the viral talk rightly targeted Millennial generation as privileged, entitled

@highlight

Navarrette gives 10 tips for a rewarding life and career

@highlight

He says young people should get to really know their parents, explore life outside comfort zone