London (CNN) -- Turn down any rundown street in any one of the "mini-Mogadishus" that now pepper Britain's cities, and you'll see young men congregating outside what look like shuttered shop fronts. But look closer. There are no signs and no distinguishing features to help those who don't know what lies on the other side of these battered doorways.

The chances are you will have stumbled over a marfish -- the cafes British Somalis come to chew the vegetable stimulant, khat.

Although khat is legal in the UK, marfishes are closed off to outsiders. One marfish we attempted to enter had a surveillance camera overlooking the locked doorway -- we were repeatedly refused entry.

See high-res gallery of years of chaos in Somalia

In the past, journalists have been attacked for attempting to report on the goings-on inside the cafes.

For years, marfishes are been believed to be at the center of criminal activity, and now, CNN has learned, they may also be a recruiting ground for Islamic militants.

Abubakr Awale is an anti-khat campaigner in the UK, and knows only too well the paranoia and isolation khat addiction engenders in the young men in the marfishes. Seven years ago he was one of them.

"Young people become vulnerable, not clearly thinking and the paranoia kicks in and that's when they start to hate the British public -- especially the police," Awale told us. "They are thinking everybody is out to get them and that's exactly the kind of individuals the likes of Al-Shabaab are targeting."

The Royal United Services Institute (RUSI) estimates that Britons now make up a quarter of foreign fighters in Somalia, and says Al-Shabaab is stepping up its effort to make the most of this fertile recruiting ground.

"They are moving forward, changing their techniques," Awale says, "so it's no longer the Masjids and in the Madrasas they are targeting. There have been some cases here in the UK where the young people have been taken away from marfishes back to Somalia. There are now young people in the marfishes as we speak who are missing and we don't know where they are."

The families of many of these young men were too afraid to speak to us but CNN has confirmed that as recently as last month two young men aged 18 and 20 have been reported missing in London.

Both were khat addicts and both their families are convinced they have been recruited to fight by Al-Shabaab.

And that -- as one relative told us -- is effectively a death sentence.

Fertile territory for Al-Shabaab in chaos of Somalia

The British-Somali community is one of the UK's oldest immigrant communities, tracing their roots to seamen who traveled to the UK in the 19th century.

But they have also had one of the most difficult experiences of integration. According to the British government's own figures, British-Somalis have the highest unemployment rates of any immigrant community, only 50 percent have any educational qualifications, with only 3 percent gaining higher education qualifications. Unemployment especially feeds into the cycle of depression, addiction and alienation that extremists prey on.

It is not just in the marfishes that young Somalis are being targeted for radicalization; the internet is now a treasure trove for radicals and Al-Shabaab boasts of having dozens of recruiters online at all hours in pro-jihad internet forums, even tailoring their videos in English to their target audience.

Even those families who know their children are safely at home are not immune from extremists.

One Somali mother we interviewed, whose son was recruited by Al-Shabaab online, told us her experience is an all too common one in the British Somali community.

"My son was a good outgoing boy, active, loved by many people. He started changing by becoming addicted to the internet, [he went on] many different sites like YouTube and Facebook. I started noticing a change in him, he started saying: 'Mum, take me abroad to study Islam.' I supported him as any mother would. I took him to Nairobi. After weeks staying in the school he disappeared; little did I know he had already been planning this."

She asked that we not identify her: she says although she was able to convince him to leave Somalia she still lives in fear that either the British authorities or the militant group itself will one day come after him.

She told us she hopes other parents will be able to guard their children from what happened to hers.

But it's not just her experience that is a common one, the fear she lives with is also shared by many of the British-Somalis we spoke to. Only a handful would allow us to film them and most were suspicious of how their stories would be used.

Even those who had no direct experience or involvement with extremism were terrified that on any given night they might get a knock on the door from a police officer accusing them of terrorism or -- worse still -- an e-mail or a voicemail threat from Al-Shabaab for being "un-Islamic" or a "traitor."

To an outsider like me, none of these fears seem founded, but for Somalis in the UK much of what they thought they'd left behind in their war-ravaged homeland appears to have followed them here. And as the world finally moves to act cohesively on Somalia, many of them no longer believe that anywhere is truly safe.

@highlight

Analysts believe Britons now make up quarter of foreign fighters in Somalia

@highlight

Al-Shabaab stepping up effort to make most of this fertile recruiting ground

@highlight

Young Somalis targeted for radicalization in cafes in London, and on internet

@highlight

Somalis in UK fear children will be recruited by Al-Shabaab, or arrested by police