Princeton, New Jersey (CNN) -- Something interesting is happening in the Republican Party, and it's not the unexpected rise of Herman Cain and his 9-9-9 plan.

The really significant development is the resilience Mitt Romney is showing as a top-tier candidate.

Ironically, Romney, the candidate who seems to generate the least excitement among Republican voters -- the candidate by default -- potentially could have the most far-reaching impact on the character of the GOP.

Following almost half a century when the heart of the Republican Party moved toward the South and West of the country, a Northeastern Republican remains the likely frontrunner for the nomination. It is unlikely that Cain, who barely has a campaign organization to speak of, will last very long at the top of the polls.

Even as Texas Gov. Rick Perry is trying hard to steal his thunder, Romney has been able to stay ahead of most of his opponents. Upon giving Romney his endorsement, New Jersey Gov. Chris Christie, another part of the new generation of Republicans from the region, said: "The Northeast Republicans are sticking together in this case."

If Romney wins the nomination, he would place the Northern wing of the party in a position where it has not been since the 1960s. There was a time when Northeasterners, many of whom were relatively liberal, loomed large in the Republican Party. Politicians such as Sens. Jacob Javits, Margaret Chase Smith, Prescott Bush and Charles Mathias, as well as New York Gov. Nelson Rockefeller, championed a style of conservatism that stressed fiscal and regulatory issues over social and cultural questions. They tended to be more sensitive to issues such as urban revitalization and public transportation that were central to their constituencies. Rather than fighting for all or nothing on government policies they disliked, their goal was to constrain and direct domestic programs.

This was a breed of Republican that had to survive in heavily Democratic states, so they understood the art of compromise and learned to work within divided political systems.

Standing before hostile Republican delegates who were trying to boo him off the stage at the 1964 convention (when Republicans shifted right by nominating Barry Goldwater), Rockefeller warned that he had "crisscrossed this nation" in order to fight to "keep the Republican party the party of all the people ... and warning of the extremist threat, its danger to the party, and danger to the nation."

Republicans gained strength in the South and West. Democrats took over the coastal states, succeeding in the North, where suburban voters were more liberal on social and cultural issues, and where unions still remained an important force.

When Jimmy Carter won the Democratic nomination in 1976 and Bill Clinton in 1992, a big part of their promise was to strengthen Democrats in the South, a region that the party had been losing ever since President Lyndon Johnson finished his term in the late 1960s. Richard Nixon's "Southern strategy" was designed for Republicans to capitalize on southern discontent with Democrats following the passage of the Civil Rights Act of 1964. In the Senate, Northeastern Republicans such as Susan Collins, Lincoln Chafee and Arlen Specter began to seem like anomalies.

If Romney wins the nomination, and possibly the presidency, he would likely bring a different sensibility to his party. Romney was born and bred in a region where surviving as a Republican required a different approach than in a place like Georgia. As governor he famously tackled issues such as health care, accepted the need for government to raise revenue, and took a middling course on issues like abortion.

Playing to the center is part of a family tradition. In 1968, one of the front-runners for the Republican nomination was Romney's father, Gov. George Romney of Michigan, former CEO of American Motors. Romney, like his son dashing in his appearance, brought many of the same political benefits to the table in an era when Republicans still held a place for the center. As far as Democrats were concerned, he was seen as a dangerous Republican because he could appeal to centrist and independent voters, and even to disaffected Democrats. He was able to win some union support and endorsed the cause of civil rights. George Romney's campaign imploded because of a statement about his trip to Vietnam, where he said he had been brainwashed by the military. The statement created media fodder to question Romney's stability.

Right now, many Republicans reluctantly see Mitt Romney as the best possible option for the party. But in certain respects, he might be the most interesting one as well. Without losing the support of the kind of right-wing conservatives who won't go to the Democratic Party, his candidacy offers the GOP the opportunity to tackle issues and policies that have been ignored ever since Rockefeller's generation disappeared from the electoral map.

Whether GOP voters have the confidence to take a risk on a candidate who provides a different perspective than Southern and Western Republicans remains to be seen.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: If Romney gets GOP nomination, it would signal change for party

@highlight

In past 50 years, GOP has shifted to South and West, away from Northeast

@highlight

Zelizer: Northerners made up a moderate, even liberal wing of GOP in mid-20th century

@highlight

Romney represents the return of Northeastern perspective to GOP, Zelizer says