KUPANG, Indonesia (CNN)  -- At Roslin Orphanage, children giggle through deep concentration as they try to master the "Chicken Dance." It's a far cry from the Indonesian orphans' earlier months and years.

Budi Soehardi poses with young residents of Roslin Orphanage.

"They are cheerful-looking and photogenic, but close to all have a very sad story," said Budi Soehardi, founder of the West Timor orphanage.

"Some of the babies come because a mother passes away right after delivery because of lack of nutrition. Others come from extreme poverty. Some come from families [that] just do not want the children and abandon them," he said. Vote now for the CNN Hero of the Year

Soehardi, a 53-year-old Indonesian pilot living in Singapore, and his wife, Peggy, look after 47 children at the orphanage. They have a personal relationship with each one, and consider them part of their family. The couple named many of the children since they entered the orphanage as babies -- some of them tiny victims and refugees from the conflict in East Timor.

Soehardi has three children of his own but says there is no difference between what he supplies for his biological children and those living at the orphanage. They all get clean living spaces, vaccinations, food, clothing and vitamins from the United States.

"Mr. Budi is like my own father," said Gerson Mangi, 20, a resident at Roslin Orphanage. Mangi, who came to the orphanage when he was 12 years old, had no means to attend school after his parents died. Now, thanks to the educational training at Roslin and a private sponsor, he is in medical school.

Soehardi, whose father died when he was 9 years old, can relate to these young people's hardships.

"Food was hard to come by and my school fee was very difficult," Soehardi said. "The refugees just really strike me so badly and [I want] them to be better off."

Young victims of a fight for independence

A 1999 news report on the situation in East Timor inspired the Soehardis to take action.

Soehardi was eating dinner and watching CNN with his wife and family at home in Singapore when he saw the plight of the refugees fleeing East Timor for West Timor, Indonesia. Families were living in cardboard boxes, children were wearing rags for clothes, and sanitation was nonexistent.

"It was devastating," Soehardi said.

The poor conditions were a result of conflicts in East Timor that surfaced after the residents voted for independence from Indonesia. Following the election, militias -- with support from Indonesian security forces -- launched a campaign of violence throughout the region. Hundreds of East Timorese were killed, and as many as 250,000 were displaced from their homes, according to the United Nations High Commissioner for Refugees.

The Soehardis had been planning on taking a vacation, but watching the news made them rethink their plans.

"[My wife and I] look at each other and we have a thought of our own. ... 'Hey, let's do something else. Why don't we visit the place ... to make a different kind of holiday,' " Soehardi said.

He began coordinating financial donations, food, clothing and supplies. With help from friends and ground volunteers, the Soehardis navigated the conflict-ridden areas and delivered more than 40 tons of food, medical supplies and toiletries to East Timor refugee camps.

Soon the Soehardis determined West Timor could use a space for orphans.

"My wife was initially asking me to build three rooms. Then two hours later she [asked for] five rooms, and then later nine rooms and finally, the orphanage building."

They completed their orphanage building in 11 months and named it Roslin Orphanage, after a pair of Timorese women whom Peggy looked up to as a girl.

In April 2002, the orphanage opened and provided a home for four children. Since then the residence has expanded to provide free education, clothing, housing and food for 47 children of all ages, newborns to university-age. About half of its residents are younger than 8 years old.  Watch Soehardi teach the children the alphabet »

An unexpected harvest

The orphanage was built on donated land that the Soehardis initially thought bore barren soil. But today, the rice they feed the children comes solely from their own land.

"We dared to take the challenge," said Soehardi of his foray into irrigation. He and Peggy, who are not trained in agriculture, used two pumps and a generator to get water for irrigation.

Then they began planting rice. "One hundred days later, we were having our first harvest and declared ourselves to be self-sufficient on rice for the orphanage children," he said.  Watch Soehardi explain how he made the land more fertile »

It's a fortunate cost-cutting tactic, especially with Soehardi losing his piloting job in November because of the struggling economy.

Soehardi, whose pilot salary goes toward maintaining the orphanage and funding medical student Mangi's education, is hopeful that the end of his contract will not affect the children's well-being.

"To help these children is a privilege for me and my wife because it's giving back to society ... giving back what has been blessed to us."

Want to get involved? Check out Roslin Orphanage and see how to help.

@highlight

Budi Soehardi founded an orphanage to help children in Indonesia

@highlight

"Mr. Budi is like my own father," one resident says

@highlight

Soehardi and his wife harvest their own rice to sustain the orphanage's food supply

@highlight

Vote now for the CNN Hero of the Year at CNN.com/Heroes