London (CNN) -- It's hard to believe that this area of east London was once a dilapidated and neglected quarter of the UK capital.

With shiny new stadiums and visitor facilities nestling among the lush landscaped grounds, every detail of the 500-acre Olympic Park has taken into account environmental concerns, prompting 2012 organizers to bill it as the first sustainable Olympics.

David Stubbs, head of sustainability for the London 2012 Games, was part of the original team that drafted London's successful bid.

Sustainability was a key reason why London was chosen, he says, and provides a golden opportunity to show what can be achieved.

"If you can put sustainability at the heart of a project which is the largest logistical exercise in peace time -- across 26 different sports, with thousands of people attending and millions watching -- then you can do it anywhere," Stubbs said.

See more: CNN's Aiming for Gold

Many of the park's bridges have been constructed using gabion walls (steel mesh filled with stones and rubble) providing a visual reminder of the Games' green goals.

"There's a huge emphasis on reuse and recycling," says Stubbs.

"All the buildings that were knocked down, all that rubble was sort of crushed up and used as the fillings of these gabions for the new bridges."

The River Lea and several canals which wend their way through the park used to be badly polluted, he says. Today, after an intensive program of clearing and widening, wildlife is being encouraged to return.

Watch: London's new "Green Park"

"Creating a shallower profile in the wetlands further up (the river) has allowed larger areas of wildlife habitat to be created. At the same time that's providing flood mitigation benefits to thousands of properties in the local area," Stubbs says.

In addition to over 300,000 wetland plants, organizers have planted more than 4,000 trees and 130,000 plants and bulbs.

"One of the key things about this site is how you've got natural park lands as well as more formal gardens. Unlike previous games people are going to really feel they are in a park," Stubbs said.

London 2012 organizers are also proud of the park's sporting arenas built for the Games.

Behind the velodrome's timber-clad frame, cyclists will race for gold round a track made from sustainably-sourced Siberian pine, while Zaha Hadid's striking wave-shaped roof on the Aquatics Center has been temporarily adorned with "wings" providing seating for 15,000 spectators.

"That's great for the games, but after we'll bring it down to 2,500 seats for legacy mode, as it turns into a facility for the local community," he said.

Temporary seating and venues, like the 12,000-seat Basketball Arena, will accommodate nearly 300,000 spectators during the games -- a figure without precedent at any previous Olympics, according to organizers.

All eyes will be on the Olympic Stadium come the opening ceremony on July 27 with the 80,000-seat arena being the sustainable centerpiece of the Games.

Constructed using just a tenth of the steel required to build Beijing's "Bird's Nest", the stadium weighs in at just 4,500 tons, becoming the lightest Olympic Stadium ever built.

Parts of the tubular steel roof has been built using surplus gas pipelines, Stubbs says.

He and his team have used recycled materials wherever possible, which is not only cheaper but also cuts carbon emissions and energy costs.

The complexities of the addressing sustainability have been a constant challenge Stubbs says, but his efforts appear to have paid off.

London 2012 "can build the confidence to wider society that sustainability is not a theory but infinitely do-able," said executive director of the United Nations Environment Program, Achim Steiner during a visit in April this year.

"Thrilled" at the results he and his team have managed to produce, Stubbs is hopeful the park will be attracting visitors long after the Olympics has left town.

"It's not about two weeks ... It is what this site will be like 20 to 30 years down the road," Stubbs said.

@highlight

London 2012 organizers have placed sustainability at the heart of their planning for the Summer Olympics

@highlight

Head of sustainability for the Games, David Stubbs says there's been "a huge emphasis on reuse and recycling"

@highlight

Sustainable buildings and hundreds of thousands of new plants have transformed a polluted area of east London