Same-sex marriage in France came one step closer to legality Tuesday, as lawmakers in the lower house of parliament approved a controversial bill that would extend the right to marry and adopt to same-sex couples.

The measure was voted through in the National Assembly by 329 in favor to 229 against, with 10 deputies abstaining.

The bill must still go before the senate before it becomes law. If passed, it would mark the biggest step forward for French gay rights advocates in more than a decade.

France is not the only nation currently wrestling with the polarizing issue of same-sex marriage.

UK lawmakers took a big step last week toward legalizing same-sex marriage when they approved the second reading of a bill in the House of Commons.

But while a significant number of MPs back the legislation, which is supported by Prime Minister David Cameron, the move has prompted widespread rebellion within Cameron's Conservative Party. The bill must go through several more stages before it can become law.

The Church of England is among the religious bodies opposed to the UK legislation.

In the United States, where President Barack Obama has voiced his personal support for same-sex marriage, it has been legalized in nine states and the District of Columbia -- but many people remain vehemently opposed.

Extending the right to marry and adopt to same-sex couples in France was one of President Francois Hollande's electoral pledges in campaigning last year.

Opinion: Why the fuss about gay marriage?

The National Assembly, which is dominated by Hollande's Socialist Party, was expected to pass the bill Tuesday, having approved the most important article of the law with a wide majority earlier this month. The left also controls the Senate.

But the plan faces stiff opposition from the Roman Catholic Church and social conservatives, with huge numbers turning out for protest marches in Paris in recent weeks.

Another big rally against the law is planned for next month.

Cardinal Andre Vingt-Trois, the archbishop of Paris, voiced his opposition at a meeting of French bishops in Lourdes last year.

Same-sex marriage around the world

Opening up marriage to same-sex couples "would be a transformation of marriage that would affect everyone," he said. At the same time, failing to recognize gender difference within marriage and the family would be a "deceit" that would rock the foundations of society and lead to discrimination between children, he said.

Other religious groups, including Muslims, Jews and Buddhists, have also expressed their concern over the draft bill, and many lawmakers and hundreds of mayors are against the legislation.

The legislation has won wide backing from gay rights advocates, however.

The French gay, lesbian and transgender rights group Inter-LGBT has said the law, if passed, "would be a major advance for our country in terms of equality of rights."

Lawmakers have a "unique opportunity" to put an end to outdated discrimination, the group said in a statement. "The law must allow all couples to unite themselves as they wish and must protect all families, without discrimination on the grounds of sexual orientation or gender identity," it said.

A law legalizing civil unions was introduced in 1999 in France under a previous Socialist government.

Known in France as the PACS (pacte civil de solidarite), the civil union agreement can be entered into by gay or straight couples and confers many but not all of the rights of marriage.

Opinion: Gay rights in France -- How even the U.S. leads the way

Argentina, Belgium, Canada, Spain, South Africa and Norway are among nearly a dozen countries that allow same-sex marriages.

Polls show the U.S. public has gradually become more accepting of the idea, with more Americans in favor in 2013 than opposed, according to Pew.

Nonetheless, 30 states have passed constitutional amendments banning same-sex marriage, according to the Pew Research Center.

The issue has also divided Australia, where lawmakers voted against a bill to legalize same-sex marriage last September. A poll for the advocacy group Australian Marriage Equality indicated that 64% of those surveyed "support marriage equality."

According to a report released in May 2011 by the International Lesbian, Gay, Bisexual, Trans and Intersex Association, same-sex relations are still criminalized in 76 countries, and in five of those countries, the death penalty can be applied to those who violate the laws.

@highlight

France's lower house of parliament approves the bill 329 to 229

@highlight

The legislation must be passed by the Senate before it can become law

@highlight

The Roman Catholic Church and other religious groups in France are opposed

@highlight

Supporters say same-sex couples should have equal rights to marry and adopt children