(CNN) -- It's the small details in the before-and-after photographs from tsunami-hit Fukushima Prefecture in northeastern Japan that are the most telling. A year later, there's not one power pole, wall-mounted gas meter or roadside curb that hasn't been meticulously attended to.

Almost as if a giant hand cleared the twisted debris, straightened the paving and fixed the bent and broken pipes, what remains in the worst-hit areas are well-manicured expanses of nothingness.

Where industrious fishing towns once stood are empty streetscapes that resemble vast car parks. In some places, just the foundations -- also looking swept and groomed -- are the only things left to tell the story of the worst post-war catastrophe to hit Japan.

Before and After: Devastation in Japan

The 12 months since a Richter 9.0 earthquake unleashed a tsunami that smashed into the towns and cities of Fukushima, Iwate and Miyagi prefectures has been the story of "gaman" -- the Japanese word for forbearance.

The scale of the disaster still defies comprehension.

In human terms, the earthquake and tsunami killed 15,848 dead and a further 3,305 people are still listed as missing, according to the latest Japanese police figures. Shelters are still struggling to accommodate the 341,411 evacuees from the immediate disaster and the subsequent nuclear crisis at the Fukushima Daiichi nuclear plant.

The nuclear disaster at Fukushima -- now ranked on par with Chernobyl in terms of seriousness -- could take as long as 40 years to be completely under control.

In terms of economic impact, the Japanese government now estimates that material damage alone could cost as much as $300 billion. The region's fishing industry -- one of the economic mainstays of the area -- was decimated by the tsunami.

An estimated 90% of the 29,000 fishing boats in Miyagi, Iwate and Fukushima prefectures were lost or damaged in the tsunami and 440 fishermen have been listed as killed or missing. The damage to the prefectures' fishing industry is estimated at $5 billion and the rebuild is expected to take between three and 10 years.

Map: Impact of the earthquake

For the newly created Reconstruction Agency -- which the government has dubbed the "command tower" for recovery -- the scale of the clean-up is still daunting one year later.

"The most serious problem is how to handle the enormous amount of debris," Kazuko Kori, the parliamentary secretary for reconstruction, told the Yomiuri Shimbun.

Miyagi Prefecture has 15.69 million tons of debris, equivalent to 19 years' worth of general waste, according to figures from Japan's Environment Ministry. According to Miyagi's governor, Yoshishio Murai, a daily workforce of 1,000 is needed simply to separate the types of debris.

Demolition work on homes and facilities damaged in the tsunami is still underway with the agency saying that just 43% of the related debris had been moved to temporary storage sites by February 1 this year.

A spokesman from the agency said other challenges -- including the reconstruction of residential areas on higher ground, creating employment for those who have lost their jobs as a result of the tsunami and psychological care for the victims -- persisted in the tsunami, or Tohoku, region as it is called in Japanese.

Send in your stories from Japan

While it's hoped the agency will speed up the rebuilding process, many are asking why it has taken almost a year to create.

Fukushima Governor Yuhei Sato told Japanese media recently that the new agency was "a step forward." However, he added, "From the victims' perspective, I can't help but ask, 'Couldn't they have launched the agency more quickly?'"

Meanwhile, the official effort has been backed by hundreds of volunteer organizations that have done everything from clearing debris and shoveling mud to providing psychological counseling.

Japanese policymakers are divided on whether it will be cost effective to reconstruct towns and infrastructure. Some say it may be time to abandon the towns and villages along a stretch of coast that has registered so many tsunamis over the centuries it has been dubbed "tsunami alley."

"One of the difficulties we face is their efforts to rebuild these towns to the way they used to be before the disaster... there is also the issue of land and property rights," said a spokesperson from the Reconstruction Agency.

Hotel manager Satoshi Ito, who runs the the Horaikan Inn in tsunami-hit Kamaishi, said his business only re-opened on January 5 this year. While it took 10 months to rebuild the damaged lower floors of his hotel, he regards himself as one of the lucky one.

Watch Satosi's footage of the tsunami

"The rest of the town is only making slow progress," says Ito. "When I look around, there is nothing. No houses, no buildings."

CNN's Claudia Maiko Brunner contributed to this report

@highlight

Damage from last year's earthquake and tsunami estimated to cost $300 billion

@highlight

Newly created Reconstruction Agency charged with leading national rebuilding efforts

@highlight

Daily workforce of 1,000 still needed to deal with mountains of debris

@highlight

Huge rise in volunteer workers since last March's tragedy