New York (CNN) -- A New York judge dismissed sexual assault charges against former International Monetary Fund chief Dominique Strauss-Kahn at the prosecutor's request Tuesday.

A grand jury indicted Strauss-Kahn in May over allegations he sexually assaulted hotel housekeeper Nafissatou Diallo in his New York hotel suite.

But in July, prosecutors began to back off the case, asking Judge Michael Obus to release Strauss-Kahn from house arrest after information surfaced that they said called Diallo's credibility into question.

On Monday, prosecutors asked Obus to dismiss the charges entirely, while Diallo's attorney filed a motion asking that Manhattan District Attorney Cyrus Vance be disqualified from the case and that a special prosecutor be appointed.

Obus rejected the request from Diallo's attorneys and then, at a hearing Tuesday morning, approved the request to dismiss charges.

He had stayed implementation of the order to give Diallo's attorneys time to appeal his decision on the special prosecutor. The New York Supreme Court rejected the appeal Tuesday afternoon, according to court attorney Lauren Holmes.

Diallo's attorney, Kenneth Thompson, decried the decision.

"District Attorney Vance has abandoned an innocent woman and has denied an innocent woman a chance to get justice in a rape case," he said.

Vance, in a news release Tuesday, said prosecutors had no choice because they were "not persuaded -- beyond a reasonable doubt -- that a crime has been committed, based on the evidence we have."

He said Diallo's testimony "was fatally damaged, for several key reasons."

In a statement, Strauss-Kahn -- who has always denied the charges --  thanked his attorneys and Obus for his decision.

"These past two and a half months have been a nightmare for me and my family," he said, adding that he was "obviously gratified that the district attorney agreed with my lawyers that this case had to be dismissed."

Later, speaking to reporters outside his house, he said, "I am thankful for my wife, my children, my friends, and those who supported me during this period. I look forward to returning to my country, but I still have some things to do before I leave. I will explain more fully when I return."

Strauss-Kahn's attorneys said in a statement Monday after prosecutors filed their request that it vindicated their consistent claim that their client is innocent.

"Mr. Strauss-Kahn and his family are grateful that the district attorney's office took our concerns seriously and concluded on its own that this case cannot proceed further," attorneys William W. Taylor and Benjamin Brafman said in a statement.

In a Paris news conference before the hearing, one of Diallo's attorneys said dismissing the charges would be a travesty.

"For the district attorney to now dismiss this case or seek to dismiss this case and turn his back on this victim because of so-called credibility issues is an affront not only on Ms. Diallo but an affront on all victims and sexual victims who come forward in the future," attorney Douglas Wigdor said.

Prosecutors filed a "recommendation for dismissal" in the case Monday, noting more questions about Diallo's credibility.

"The nature and number of the complainant's falsehoods leave us unable to credit her version of events beyond a reasonable doubt, whatever the truth may be about the encounter between the complainant and the defendant," the document states. "If we do not believe her beyond a reasonable doubt, we cannot ask a jury to do so."

Prosecutors voiced concern that the case appeared to rest exclusively on the housekeeper's account, predicting her "falsehoods" would be "devastating" if revealed during a trial. They claim she "has not been truthful in matters great and small," including lying about a "gang rape, as well as other details about her life in (her native) Guinea."

Diallo lied about the specifics of her whereabouts after the incident and past details of an asylum application and information on tax forms, prosecutors said.

She also admitted lying on the asylum application about having been a victim of a gang rape, even providing details of an attack and later admitting it never happened, according to prosecutors.

In their court filing, prosecutors said that DNA testing indicated semen on her dress matched Strauss-Kahn and shows there was a sexual encounter. There was "no trauma to her body or oral cavity" and "scrapings from underneath her fingernails ... yielded no results."

Moreover, prosecutors claim Diallo's current story of her "prompt outcry to her first supervisor is inconsistent with certain aspects of that supervisor's account."

"All of the evidence that might be relevant to the contested issues of force and lack of consent is simply inconclusive," wrote the prosecutors.

Thompson said Strauss-Kahn's power and prestige played a role in the outcome of the case, saying prosecutors would not "run from DNA evidence" if Strauss-Kahn "was a plumber."

In Paris before the hearing, Wigdor disputed almost every aspect of the prosecution's claim, saying a medical examination following the alleged rape showed bruises on Diallo's vagina and that she suffered a "tear" on her shoulder and rips in her stockings.

A "mountain of physical evidence" points toward a violent sexual assault during a nine-minute period inside Strauss-Kahn's New York hotel suite in May, Wigdor told reporters in France, where he is gathering evidence for a civil lawsuit against the French citizen and onetime contender for that nation's presidency.

Diallo quickly reported the incident to five co-workers and was visibly upset after the incident, shaken up, spitting and nearly vomiting, Wigdor said.

He rejected explanations by Strauss-Kahn's attorneys that any sexual encounter that may have occurred was consensual, questioning how he could persuade a woman he had never met before to have sex during a nine-minute encounter.

"There is no other plausible explanation" but sexual assault, Wigdor said.

A crowd of protesters gathered near the courtroom in New York in support of Diallo, carrying handwritten signs reading "No impunity 4 rapists in power" and "Nafissatou we believe you," among other things.

In Tuesday's news release, Vance said, "As prosecutors, we don't work in a world where we expect or require perfect witnesses. The tens of thousands of victims who come to our office each year come from varied and often difficult circumstances, and sometimes with imperfect pasts. If we are convinced they are truthful about the crimes committed against them, and will tell the truth at trial, we will ask a jury to consider their testimony to prove a crime. If we are not convinced, we cannot, should not and do not take the case to a jury."

He asserted that "seeking justice for sex crimes victims, and protecting immigrants, are among the highest priorities in this office," but "we have to judge each case by its own unique set of facts."

Attorneys for Diallo said claims that Diallo told a friend in prison that she was going to cash in on the incident were untrue and accused the district attorney's office of treating Diallo like a criminal defendant and not an alleged victim.

In their now-rejected motion to have Vance removed from the case, Diallo's attorney cited allegations of "abuse of confidence, unfair treatment and bias and prejudices" by Vance that they say disqualify him from the case.

"Are we telling (sexual assault victims) that if they dare to name a powerful, politically connected man as their abuser, they will see their whole life laid out to be judged publicly?" asked New York City Councilwoman Letitia James. "What does it take for a low-income immigrant -- a woman of color -- to publicly name one of the most powerful men in Europe as a sexual abuser?"

CNN senior legal analyst Jeffrey Toobin said before the hearing that Strauss-Kahn should now be able to breathe easier and "return to some semblance of his former life." But he said that no one involved in the case "comes out of it looking very good."

"This is a case that looks like it has nothing but losers -- the alleged victim, the defendant, and the prosecutor," Toobin said. "The conclusion is likely to be entirely satisfying to no one."

@highlight

A judge approves dismissal of sexual assault charges against Strauss-Kahn

@highlight

DA: Prosecutors were "not persuaded ... that a crime has been committed"

@highlight

The past weeks were "a nightmare," Strauss-Kahn says

@highlight

Diallo's lawyer says there's a "mountain of physical evidence" that Strauss-Kahn assaulted her