When Shakira became the first Colombian this week to get her name on a world-renowned monument to the entertainment industry -- the Hollywood Walk of Fame -- the 34-year-old recording artist recalled what her mother told her at age 7.

"One day, Shaki, your name will be here," her mother said when the two and a family friend visited Hollywood for the first time 27 years ago.

For Shakira, the star marked a personal triumph -- as an artist and a Latina.

"If by coincidence you happen to look down to the ground and you see this star, remember that it belongs to each one of you, because it carries the name of a Hispanic woman that, like you, dreams and works and works and dreams every day," Shakira said during a public ceremony on Hollywood Boulevard, with her mom and the same friend present.

As the latest celebrity to get a terrazzo star, trimmed with bronze, on the sidewalks of Hollywood, Shakira joins a small but growing rank of minority performers making a dent in an overall industry that some criticize as not inviting enough to African-Americans, Latinos and Asians.

In fact, of the 2,354 stars on Hollywood sidewalks, only 3.4% of them belong to Hispanics such as Shakira, a CNN analysis shows.

The figure is 5.1% for African-Americans and a mere 0.4% for Asians, according to an analysis of the stars on the Walk of Fame.

Those figures fall short when compared with those minorities' representation in the nation's overall population: 16% for Hispanics, 13% for African-Americans and about 5% for Asians.

List: Minority celebs on Walk of Fame

To be sure, the Walk of Fame functions as a commercial attraction and publicity device, but given the international attention it receives whenever a prominent artist such as Shakira receives a star, the Walk is also a major indicator of industry trends and success.

Hollywood analysts say they aren't surprised at how the Walk lacks minorities, though its sponsor and operator, the Hollywood Chamber of Commerce, says it has been working hard to improve diversity in an attraction that stretches for blocks throughout Hollywood.

"The numbers are low," said Andrew Weaver, an Indiana University assistant professor in the department of telecommunications and an expert in race and media. "The Walk of Fame reflects what we're seeing in Hollywood in general."

Hollywood's overall shortcomings in including more minorities -- and representing them as more than stereotypes -- are a longstanding problem that has been roundly decried by minority advocacy groups and many performers.

Still, the chamber says its committee that selects star honorees balances numerous factors in its annual process, including race, gender, nationality, genre of performance and industry type. The 2,354 stars on the Walk line both sides of Hollywood Boulevard and Vine Street -- the heart of Hollywood -- and the chamber's annual 24 or so induction ceremonies are broadcast around the world.

"We are equal opportunity star givers!" Leron Gubler, president and CEO of the Hollywood Chamber of Commerce, said in a written response to questions from CNN.

The stars honor celebrities in five categories: motion pictures, television, radio, recording and live theater/performance.

"The committee tries to select candidates from each of the five categories, so with all of the different factors as well as the makeup of who has been nominated, it is a challenge to balance all factors," Gubler said.

"Since day one, we have encouraged minorities to apply," Gubler said about the Walk, which opened in 1961. "When the Walk of Fame was created, some of the first stars included Anna May Wong, Dolores Del Rio, Cantinflas, Hattie McDaniel and many others. The committee does try to ensure that minorities are represented in the selections, but there is no set mandatory ratio."

A CNN analysis bears out Gubler's assertions and shows an upward trend of minority representation on the Walk over recent decades.

Latinos grew from 1.9% in 1980, 2.2% in 1990, 2.8% in 2000, to 3.2% in 2010.

African-Americans showed similar growth: 1.6% in 1980, 2.3% in 1990, 4.7% in 2000 and 5.1% in 2010.

Asians posted marginal increases: 0.20% in 1980, 0.22% in 1990, 0.41% in 2000, and 0.43% in 2010.

On one level, the Walk is a marketing tool. "The Hollywood Walk of Fame is undoubtedly one of the most successful marketing ideas ever produced," the chamber touts on its website.

The marketing aspect -- in which a celebrity sometimes gets a star timed with the release of a new project -- is partly reflected in how the chamber requires a $30,000 "sponsorship fee," often paid by a studio, recording label or even a group of fans, chamber officials said. The fee is for the lifetime maintenance of the star, its production, a replica plaque and ceremony costs, officials said.

"Of course, it's a promotional tool. That's why studios and networks look for it," Hollywood publicist Michael Levine said.

Still, the selection process is a serious-minded affair, according to the Walk's gatekeepers.

A star is awarded after a lengthy process in which hundreds of nomination applications are sent to the Hollywood chamber, and then its Walk of Fame committee selects the winners, with the approval of the chamber's board of directors. The names also are submitted to the city of Los Angeles' Board of Public Works Department.

Sometimes, several annual nominations must be made before a nominee finally receives a star, chamber officials said.

The chamber has other criteria for who gets a star: professional achievement, longevity of five years or more, contributions to the community and the guarantee that the celebrity will attend the dedication ceremony.

An honoree also has to agree to be nominated, which may be a factor in why not all major celebrities have a star. Sometimes, a performer doesn't want one, such as Julia Roberts. Other notable A-listers without one include George Lucas, Robert Redford, Angelina Jolie, Woody Allen and Leonardo DiCaprio.

By the end of 2011 -- with a few more minority celebrities scheduled to be honored this year -- the Walk of Fame will have 77 stars overall given to Latinos, 119 stars to African-Americans or African-American ensembles (three of those performers -- Nat "King" Cole, Lena Horne and Sarah Vaughn -- have a second star, but they are counted only once), and only 10 stars to Asians, according to the chamber.

When asked about the dearth of Asian artists on the Walk of Fame, Gubler stated: "There have been relatively few nominations for Asian entertainers. Someone has to be nominated by a sponsor in order to be considered with a star. The issue must be pursued by a nominator. The committee can only consider from the pool of candidates that have been nominated."

A recent decade-by-decade analysis of the stars on the Walk of Fame shows that the 1990s were a boom decade for African-Americans, when 49 stars were awarded to them. During the 1980s, they secured 24 stars. From 2000 to the end of 2011, the number will be 22.

Latinos, however, have prospered from 2000 to the end of 2011: Nineteen stars were awarded, including four this year alone, according to a CNN analysis. That compares with 18 during the 1990s and 11 during the 1980s.

Only one Asian -- actor Philip Ahn, who played wise Master Kan in the TV series "Kung Fu" -- received a star in the 1980s. Five Asians received stars in the 1990s, but only one (Jackie Chan) has been placed on the Walk since 2000, a CNN analysis shows.

It was the recent success of Latinos that caught the attention of several Hollywood analysts. That trend comes as the 2010 U.S. Census put the burgeoning Latino population at the nation's No. 2 racial group for the first time ever, displacing African-Americans.

On Tuesday, two-time Grammy and seven-time Latin Grammy winner Shakira Isabel Mebarak Ripoll -- known professionally as Shakira -- received a star for her accomplishments as a singer, songwriter, musician, record producer, dancer and philanthropist, the chamber said.

It's no secret that studios and record labels alike are hoping to find additional revenues in the rapidly growing Latino market.

"One of the ways to get Latinos into the movie theaters is getting Latino stars," said Steven Ross, a University of Southern California history professor and author of "Hollywood Left and Right: How Movie Stars Shaped American Politics."

"Hollywood is also thinking about global markets: Central American and Latin markets. A majority of Hollywood revenue is coming from international revenue. It's a much more significant part, more important to the studios' bottom line now that it ever has been before," Ross said.

Still, Ross wasn't surprised by the low minority representation on the Walk of Fame, he said.

"It's probably appropriate to the history of Hollywood, which has mainly been playing to (a) mainstream audience, which is a white audience," Ross said. "Just remember, this is not the consciousness-raising industry. This is the money-making industry. They will always follow the money trail. If they see more Latinos going to movies, they'll feature more Latino stars."

In the end, that reality may put more minorities in Hollywood -- and on its Walk of Fame.

"Very simple," Ross said. "More minority audiences, more minority stars."

@highlight

CNN analysis: Minorities are underrepresented on the Hollywood Walk of Fame

@highlight

"The numbers are low," one university expert says

@highlight

Of the 2,354 stars on Walk, only 5.1% go to blacks and 3.4% to Hispanics

@highlight

Asians have only 10 stars, or 0.4%