Johannesburg, South Africa (CNN) -- When he lost his second parent to HIV/AIDS seven years ago, Ayanda Buthelezi's future seemed bleak.

"I thought maybe God hated us," said Buthelezi, now 22. "We were very scared. ... But I had to be strong for my brother because he was still young."

As orphans in Johannesburg, the Buthelezi brothers were moved to a home for families and children affected by HIV/AIDS. There, they were introduced to their first computer through Infinite Family, a nonprofit started by Amy Stokes. The group connects South African children with caring adults around the world via computer.

"Whatever the cause may be, these children are severely lacking adult attention and guidance," Stokes said. "Kids come into the computer lab because they want this special someone in their lives ... they want to connect with that special someone."

Do you know a hero? Nominations are open for 2011 CNN Heroes

Using a custom, Web-based technology, Infinite Family has so far connected almost 300 South African teens -- called Net Buddies -- with nearly 200 volunteer mentors from around the world. For at least a half-hour each week, pairs meet face to face on what they call the Ezomndeni-net.

In Zulu, "Ezomndeni means 'everything related to family,'" said Stokes, 44. "Our platform is a virtual world where the mentors and the kids log in in different places, but then can interact and share information in many different ways. A relationship starts between one person here and one person there, and then that relationship expands."

In addition to basic Web-cam capabilities, the Ezomndeni-net offers about a dozen interactive forums, including a live chat function, a virtual "wipeboard" where pairs can play games, and areas where pairs can do homework and surf the Web together. There is also an alert SOS button that Net Buddies can use if they are in dire need of guidance between scheduled chats.

The experience has benefited Buthelezi, who is starting his first job as an IT professional on the Gautrain Project, South Africa's first inner-city high-speed rail.

When he was younger, "he was one of those kids that was sitting in the back of the classroom and was really, really struggling," Stokes said. "About six months after being connected with Betty and Dave (Voigt of Sycamore, Pennsylvania,) he came up to me when I came to visit and said, 'Amy, Amy, I'm in the head of the class now, and I am so happy with where my life is going.'"

Buthelezi is also pursuing a degree in IT, and he credits Infinite Family for getting his life on the right track.

"My net family, Betty, she always advise me with the future plans: how to set my goals, how to achieve them," Buthelezi said. "I thought maybe this is my chance again to have a family. ... They've been there for me ... just like my parents."

Stokes, a resident of Yonkers, New York, understands the important role a caring adult can play on a child's own concept of the future. Raised with two adopted siblings, she knew from an early age that she wanted to become an adoptive parent one day.

She did so in 2003, when she and her husband, Chris, visited South Africa to adopt their son Calder, now 7.

While in South Africa, Stokes witnessed how HIV/AIDS has resulted in millions of children being left without parents. According to the United Nations, nearly 15 million children in sub-Saharan Africa have been orphaned by HIV/AIDS.

"If none of the adults you care about has ever lived past 35, then why would you think you can? Why would you stay in school; why would you learn skills?" Stokes said. "[With] so many children and so few adults to help them grow up, I knew we had to find a way to bring new information, resources and the caring, nurturing effect of other adults into the lives of [these] children."

Since 2006, Infinite Family has built and operated five computer labs at partner organization sites across South Africa. In addition to providing mentors for children, the computer-driven communication of the Ezomndeni-net also develops their language and technology skills, preparing them to compete in the global marketplace.

"If the relationship is the motivation for attracting a child to a caring adult, then it's also the inspiration for getting that child to invest in themselves, to learn the skills to do whatever they need in the future," Stokes said.

Before being paired with a child, mentors are subject to background checks, technological tutorials and cultural seminars covering mourning, HIV and developing relationships through e-mail. They sign up for a minimum of one year, but most continue beyond the requirement. Mentors can meet with their Net Buddies from wherever they have a secure Internet connection. Gifts, further financial assistance and any other help is optional and given to partner organizations directly -- never between mentor and mentee.

"The mentors know that all they have to offer is themselves," Stokes said. "We like to say, 'The gift is you.' ... It's a bite-sized opportunity to change a world. And there's no commute."

Want to get involved? Check out the Infinite Family website at www.infinitefamily.org and see how to help.

@highlight

Amy Stokes' nonprofit connects South African children with caring adults via computer

@highlight

Stokes started the program after witnessing how HIV/AIDS left many children without parents

@highlight

Nearly 300 teens have taken part in the program

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes