(CNN) -- We all know what happens when urban sprawl gets out of control: Commutes back up, smog thickens, and concrete suburbs gobble up green spaces.

The oceans are growing crowded, and governments are increasingly trying to plan their use.

But what about "ocean sprawl"?

Until recently, no one gave that idea much thought. But the oceans, like the land, have gotten crowded, and now scientists and policy makers are looking for ways to plan ocean development -- with the aim of preventing our public-owned seas from turning into sprawling, watery versions of Houston, Texas, or Atlanta, Georgia.

"The oceans are kind of the last frontier for use and development," said Amanda Leland, ocean policy director at the Environmental Defense Fund, an advocacy group. "Even in the 1970s we thought that the oceans were limitless resources of fish. We know today now that fisheries are collapsing all around the world."

In an attempt to address this and other crowding problems, governments are for the first time devising comprehensive plans for their marine waters.

The Obama administration on June 12 announced a task force devoted to federal ocean planning. By September, the group must recommend a national policy on the subject that's designed to protect ocean ecology, address climate change and promote sustainable ocean economies.

A handful of states, including Massachusetts and Rhode Island, are charting similar courses. Massachusetts on June 30 published a draft plan for its coastal waters, which is scheduled to be finalized by the end of the year. One of the state's main aims is to make space for two ocean wind farms -- taking up 2 percent of the state's waters -- without angering fishing industries, killing whales or harming ecosystems.

Internationally, several European countries, including Denmark, Belgium, the United Kingdom and France, are pioneering the new field, said Fanny Douvere, a co-principal investigator at UNESCO's Intergovernmental Oceanographic Commission.

Ocean advocates say these planning processes are urgently needed and have been a long time in coming.

One reason it's taken so long is that people can't see that the oceans are filling up, said Sandra Whitehouse, a marine biologist and senior adviser at the Ocean Conservancy, an environmental group.

"The majority of the ecosystem is under the water," Whitehouse said. "So it's out of sight, out of mind. We're only looking at the surface."

Beneath the water, though, overfishing has caused some fish stocks to collapse. By one report, wild fish could disappear by mid-century.

The energy sector threatens to take up large chunks of water. Shipping lanes cross the paths of endangered whales. Fish farms are growing in some countries. Climate change is altering ocean chemistry. And power lines, reefs, lobster traps and sunken ships compete for seafloor space.

In Europe's North Sea, expanding industries have tried to claim three times the amount of ocean space than is available, said Douvere, of UNESCO.

What happens on land also affects the oceans. A 2003 report by the Pew Oceans Commission says that each year, coastal development destroys 20,000 acres of estuaries and near-coast fish habitat.

Furthermore, pavement on land creates "expressways" for oil and other pollutants to run into the ocean. "Every eight months, nearly 11 million gallons of oil run off our streets and driveways into our waters -- the equivalent of the Exxon Valdez oil spill," the report says.

When the renewable energy sector started trying to move into the sea, the situation went from crowded to unmanageable and without a clear plan, said Whitehouse, of the Ocean Conservancy.

"There's a lot of pressure to be able to harness this energy," she said, "but it's very important that this be done in a proactive and comprehensive way, because we also have so many important economic aspects of our oceans."

Since there are new uses but not new space, planning is necessary, said Charles Ehler, another co-principal investigator at the Intergovernmental Oceanographic Commission. He added, "There's not enough space for everything, and there are going to have to be trade-offs that are made."

Current efforts focus on broad public interest rather than specific conflicts, Ehler said.

Until now, the ocean primarily was divvied up in a sort of "free-for-all" in which "whoever gets there first gets the access," he said.

Leland, of the Environmental Defense Fund, said the patchwork of federal agencies managing the oceans in the United States contributes to the problem.

More than 140 federal laws govern the ocean's use; and six federal departments, along with dozens of agencies, are in charge of implementing those laws, according to the Pew Oceans Commission report.

Charles M. Wahle, a marine ecologist and senior scientist at the National Oceanic and Atmospheric Administration, said Obama's ocean-planning efforts are a complete shift in thinking.

"We're acknowledging that we want and need to use the ocean in a lot of different ways," he said. "They all have standing, and we need to figure out a way to allocate them fairly and sustainably."

He added, "Fifty years from now, you should be able to go to a place [in the ocean] and know what will be happening there."

There are skeptics of the shift.

Commercial fisheries are hampered by current regulations and could be further harmed if the ocean is divided up among too many groups, said Jim Ruhle, president of Commercial Fishermen of America, an industry group.

"We make our livelihoods from that ocean, and we want to make sure that we have reasonable plans in effect to allow that to take place," he said.

Some other fishing groups oppose new ocean uses, like offshore wind energy, entirely.

Despite this new emphasis on planning, there's still a chance that ocean waters could go the way of haphazard cities.

"The proof will be in the pudding," said Wahle, of NOAA.

But he said it's exciting that so many groups are on board for a new way of thinking.

"If we do our jobs right, overall, the oceans will be healthier, ecosystems will be more productive, people will derive more services and benefits and value from those ecosystems," he said, "and industry will be able to plan and commit and invest in ways that actually work."

@highlight

The oceans are growing crowded, and some scientists worry about "ocean sprawl"

@highlight

For the first time, governments plan ocean use in a comprehensive way

@highlight

Advocate says oceans are the "last frontier for use and development"

@highlight

President Obama creates task force to map out the future of the oceans