(CNN) -- With lights, floats and flying, Russia kicked off the opening ceremony in Sochi as the world turns its attention to the costliest Olympic Games in history.

Spectators from all over the world watched the introduction of athletes that marked the official start of the Winter Olympics.

Light shows and music, lots of it, filled the air, starting at exactly 8:14 p.m. local time, or 20:14 in military time.

"Most of the ceremony focuses heavily on Russian classical music," said Konstantin Ernst, the main creative producer of the ceremony.

"Unfortunately, unlike London, we cannot boast a plethora of famous world-known pop performers. This is why we are now focusing on what Russia is best known for musically around the world; namely, classical music."

The celebration opened with a dream sequence of a little girl, who imagined all of the letters in the Russian alphabet, each letter recalling a Russian writer, artist or landmark.

Then the girl, rigged with wires, flew into the air and floated dreamlike over floats that depicted Russian landscapes.

The athletes followed.

Despite anxiety about terror strikes, controversy over gay rights and ridicule for poor preparations, the nation's officials have maintained that the sites in Sochi are secure.

It will be "the safest place on Earth during the Olympics," said Dmitry Chernyshenko, head of the Games.

Russian President Vladimir Putin, who pushed the International Olympic Committee to hold the Games in the nation, attended the ceremony.

The opening ceremony was the only event scheduled for the day.

About 40,000 people watched from the stands at Fisht Olympic Stadium in Sochi.

Russian classical music star Anna Netrebko performed the Olympic anthem.

A day before, high excitement marked qualification events in the men's and women's slopestyle, women's moguls and team figure skating.

SECURITY

Russia has drafted 37,000 police and security officers to handle security in Sochi, but that has not done much to assuage fears.

Turkish hijacking: A Turkish jetliner signaled a hijacking and landed in Istanbul on Friday after a passenger said a bomb was on board and told crew members to take the plane to Sochi, Turkish officials said. A suspect is reportedly in custody, and authorities are searching the plane for explosives.

Toothpaste terror: A day after the United States warned of how explosive materials could be concealed in toothpaste or cosmetic tubes, its government Thursday temporarily banned all liquids, gels, aerosols and powders in carry-on luggage on flights between the United States and Russia.

U.S. partnership: U.S. authorities are working with Russia and other countries to try to disrupt several possible threats, including the toothpaste tube concern, a U.S. intelligence source said Thursday.

The threats vary in credibility, and the biggest one traces to the group Imarat Kavkaz in Russia, which has publicly said its followers will try to disrupt the Games, the official said.

"The threat stream is credible, I think it's real," said Sen. Dianne Feinstein, D-California.

Private protection: The U.S. ski and snowboarding team has hired a private security firm, Global Rescue, to provide protection. It's not clear how much the firm could do in the event of a major incident when Russian forces will be in charge. But it has been gathering intelligence on the ground and will provide an extra layer of protection as athletes travel around.

Ships for safety: Two U.S. Navy ships have steamed into the Black Sea, where they will be ready to help if any mass evacuation of U.S. citizens is needed. U.S. security officials are working with their Russian counterparts to keep the Games safe against the backdrop of a regional separatist movement that has threatened to use terrorism at the Olympic Games.

Targets of threats: Americans are not the only ones who are jittery. Austria said two of its female athletes had been the target of specific threats. Austrian media reported that an anonymous letter was sent warning Alpine skier Bernadette Schild and skeleton racer Janine Flock they could be kidnapped.

We've heard it before: It's not the first time security issues have dominated the buildup to the Olympics. Britain parked missile batteries on apartment block roofs and a warship on the River Thames before the 2012 Games. The Salt Lake City Winter Olympics in 2002 were held amid heightened security only months after the 9/11 terror attacks in the United States. And in 1996, the Summer Games in Atlanta were subject to a terror attack.

PREPARATIONS

When Russia bid to host its first Winter Olympics in 2007, a document quoted an expected cost of around $12 billion. That figure has ballooned to around $50 billion. That's more than four times over budget and surpasses the cost of Beijing's 2008 Summer Games -- making it the most expensive Olympics ever, summer or winter.

Russia had less than seven years to transform what was a fairly low-key seaside resort town into a Winter Olympics venue. The project required staggering feats of engineering in building a new freeway and rail link up a mountain, and a ski resort on the top. And yet questions about Sochi's readiness have dogged the final run-up to the Games.

Not quite there: While the sports facilities were completed in good time, journalists and others arrived in Sochi this week to find that some of the 40,000 new hotel rooms were far from ready and that construction workers were still hard at work on parts of the Olympic Park.

Thanks to pictures of chaotic scenes posted on Twitter, Russia's pride has not been spared.

But CNN's Ben Wyatt in Sochi reports that the picture is not all bad. His hotel has been "superb," and staff and Games volunteers are clearly making an effort to be helpful and speak English, he said.

While some media hotels and landscaping projects have not been completed on time, the sporting venues all look to be in very good condition, he said.

PROTESTS

Every Olympics has protests. But thanks to social media, Russia is facing a global backlash.

What got many people riled was Russian lawmakers' passage last summer of legislation known as the anti-gay propaganda bill. The law makes it illegal to tell children about gay equality.

Open letter: More than 200 writers from around the world signed an open letter published Thursday in the UK newspaper The Guardian, calling for a repeal of laws that have placed a "chokehold" on the right to free expression in Russia.

"As writers and artists, we cannot stand quietly by as we watch our fellow writers and journalists pressed into silence or risking prosecution and often drastic punishment for the mere act of communicating their thoughts," the letter said.

Designated site: There is a designated protest site in Sochi. But there's been criticism of organizers' decision to tuck it away in a hard-to-reach village 7 miles (11 kilometers) from the main Olympic Park.

More protests may be yet to come -- perhaps even by athletes -- despite an Olympic Charter rule that bans demonstrations in any Olympic sites and other areas.

CNN's Laura Smith-Spark, Zain Asher, Carol Jordan, Michael Martinez, Jake Tapper, Evan Perez and Paul Cruickshank contributed to this report.

@highlight

NEW: Suspect reportedly in custody in Turkey after jet bomb threat, desire to fly to Sochi

@highlight

Opening began with a girl, rigged with wires, flying over floats depicting Russian landscapes

@highlight

Russian President Vladimir Putin attended

@highlight

Putin pushed for the International Olympic Committee to hold the Games in the nation