(CNN) -- A 14-year-old Pakistani girl who had faced life in prison for allegedly burning the Quran will have her case heard in juvenile court, the girl's lawyer told CNN.

A local court ordered the transfer on Monday, Tahir Naveed Choudhry said.

Pakistani police told CNN their investigation concluded Rimsha Masih is innocent and was framed by an imam.

"There was no legal evidence against Rimsha," officer Munir Jafri told CNN.

These developments could mark an end to the Christian teen's nightmare since she was accused of blasphemy in August.

"This is a precursor to the case ending, and that is quite unprecedented in the 25-year history of Pakistan's blasphemy laws," said Ali Dayan Hasan, the Pakistan director of Human Rights Watch.

Accused teen: 'I'm scared'

Police have submitted the findings to the court. Pakistan courts usually go with what police recommend.

There is a lot of evidence implicating imam Khalid Jadoon Chishti for framing the teenager and for himself tearing pages out of the holy book, Jafri told CNN.

This is significant, said Human Rights Watch's Hasan, because "never before has a false accuser been held accountable."

The teen's case sparked international outcry against the Pakistani government, some saying the blasphemy laws are used to settle scores and persecute religious minorities.

Blasphemy laws have been a part of life in Pakistan for 25 years, first instituted primarily to keep peace between religions, Hasan said.

But a military leader in Pakistan in the middle 1980s tightened the laws, introducing amendments that "essentially made blasphemy a capital offense," Hasan said.

"They were vaguely worded ... and became an instrument of coercion and persecution," he said. "The laws were disproportionately used against the weakest and most vulnerable in society -- religious minorities, women, children and the poor."

There have been 1,400 blasphemy cases since 1986, according to Hasan. There are more than 15 cases of people on death row for blasphemy in Pakistan, and 52 have been killed while facing trial for the charge, Hasan said.

Rimsha was arrested on August 16.

She and her family spoke to CNN in early September from an undisclosed location, in hiding after Rimsha was released on bail -- a move that appeared to be in reaction to the global condemnation of her jailing.

The teen said she was happy to be with her family, but feared for her life.

"I'm scared," she said by phone. "I'm afraid of anyone who might kill us."

The teen spoke in short sentences, answering "yes" or "no" in a shy and nervous voice.

In Pakistan, people accused of blasphemy are often attacked and sometimes killed by vigilantes.

During CNN's interview with her, Rimsha said, "No, no," when asked if she burned pages of the Quran.

She wouldn't answer questions about what happened on August 16.

Pakistani investigators said Rimsha's neighbor accused her of burning pages of the Quran to use as cooking fuel. The neighbor began to shout in protest, drawing a crowd that grew angry. Some neighbors said the teenager was beaten. Others said she ran back home and locked herself inside. When police arrived, they arrested her.

Rimsha's lawyers said the neighbor wanted to settle a personal score with the girl because the two didn't get along. They said it's likely that he liked the teen and she didn't feel the same.

While the latest turn in her case this week appears largely positive, her ordeal is far from over.

The next hearing in Rimsha's case is set for October 1 in juvenile court.

Most victims of Pakistan's blasphemy laws belong to minority Muslim sects like the Ahamadis, who many of Pakistan's majority Sunnis perceive as nonbelievers, according to the Human Rights Commission of Pakistan and Human Rights Watch.

Rimsha's father, Mizrak Masih, is a Christian. He paints houses for a few dollars a day.

He was adamant that no one in his family would dishonor the Quran.

"We respect the Quran just like we respect the Bible," he said. "We couldn't imagine committing blasphemy, let alone doing it. Our children would never do this either."

A family representative said that aid groups in the United States, Italy and Canada have offered to the teen and her family a home outside Pakistan.

But no matter how her case pans out, it's unclear what kind of life she might be able to have. She told CNN in September that she wanted to stay in her home country.

People will believe what they want to believe, no matter what the courts or police say, Hasan said.

"She is certainly in grave danger," he said. "It's the accusation that endangers your life, and can endure."

CNN's Rezah Sayeh contributed to this report.

@highlight

Case of Pakistani teen facing life for blasphemy charge will go to juvenile court

@highlight

Rimsha Masih was jailed in August after she was accused of burning pages of the Quran

@highlight

Police now say an imam framed teen and she is innocent

@highlight

Human Rights Watch: This could be a major turning point in the case with larger implications