(CNN)On May 28, 2014, some 7,000 people gathered in a stadium in China's northwestern Xinjiang region. But they had not come to watch the local football team or any other grand sporting event. Instead, the authorities paraded scores of prisoners dressed in orange jumpsuits. Armed soldiers guarded the exits. In the patently unfair, open air trial that followed, 55 people were found guilty of a range of offenses linked to violent attacks in the region and jailed. Three were sentenced to death.

The public mass sentencing was part a China's "Strike Hard" campaign against unrest in Xinjiang, a campaign the government claims was launched to combat "terrorism" and "separatism." But it was also indicative of a trend that was starkly evident last year around the world -- governments using the death penalty in a misguided, and often cynical, attempt to tackle crime and terrorism.

Today, Amnesty International releases its annual review of the death penalty worldwide.  Much of it makes for grim reading.

In Pakistan, the government lifted a six-year moratorium on the execution of civilians in the wake of the horrific Taliban attack on a school in Peshawar in December. More than 60 people have been put to death since, and the government has threatened to send thousands more death row prisoners to the gallows.  Iran and Iraq executed people for "terrorism," and other countries expanded the scope of capital crimes in their penal codes.

In a year when abhorrent summary executions by armed groups were branded on the global consciousness as never before, governments are themselves resorting to more executions in a knee-jerk reaction to terrorism.

Other countries made use of executions in similarly flawed attempts to address -- or appear to address -- crime rates. Jordan ended an eight-year moratorium in December, putting 11 murder convicts to death, with the government saying it was a move to end a surge in violent crime.  In Indonesia, authorities announced plans to execute mainly drug traffickers to tackle a public safety "national emergency." Six people have already been executed this year.

A sharp spike in death sentences recorded in 2014 -- up more than 500 on the previous year -- can also be attributed to governments using the death penalty as a political tool.  The rise was largely because of developments in Egypt and Nigeria, where courts imposed hundreds of death sentences in the context of internal political instability or crime and armed conflict.

The simple fact is that governments using the death penalty to tackle crime and security threats are deceiving themselves or the public or both. There is no evidence that the threat of execution is more of a deterrent to crime than a prison sentence, as United Nations and other studies have repeatedly confirmed.

It is high time that world leaders stop using the death penalty as an easy way out when times get tough. At Amnesty International, we have campaigned for an end to the death penalty for decades. Thankfully, most of the world now appears to agree with us.

The numbers speak for themselves. In 1945 when the United Nations was founded, only eight countries had abolished the death penalty. Today, 140 states are abolitionist in law or practice.

Last year, we recorded executions in 22 countries, down by almost a half from 20 years ago.

Despite the troubling developments we recorded last year, there was still much good news to be found. The number of executions recorded around the world dropped significantly in 2014 compared with the previous year, from 778 to 607. This number does not include China, where more people are put to death than the rest of the world put together, but with death penalty statistics treated as a state secret, the true figure is impossible to determine.

Executions were recorded in only three countries in sub-Saharan Africa -- Equatorial Guinea, Somalia and Sudan -- and the number of people put to death went down by more than a quarter. The Americas continued to be execution-free, apart from the United States.

Those governments that still execute need to realize that they are on the wrong side of history. They must join the vast majority of countries which have dropped the ultimate cruel punishment.

Fighting for an end to the death penalty remains an uphill task, but all of us must try to make the world free of this punishment. With determination, I know that we can achieve this goal.

@highlight

Amnesty International releases its annual review of the death penalty worldwide; much of it makes for grim reading

@highlight

Salil Shetty: Countries that use executions to deal with problems are on the wrong side of history