(CNN) -- I am encouraged by Mark Cuban's clunky remarks.

Granted, when Dallas Mavericks owner made statements about prejudice and Donald Sterling, they were insensitive and ironic.

"If I see a black kid in a hoodie and it's late at night, I'm walking to the other side of the street," he said in an interview on inc.com, triggering fresh painful images of Trayvon Martin. He went on to say if he saw "a white guy with a shaved head and tattoos" he'd do the same thing.

The irony is many members of the NBA are black, several white players have tattoos and many of them likely have a hoodie hanging in their lockers. However, Cuban was willing to be self-reflective in his attempt to voice his bias and made mistakes in that effort -- that is critically important to advancing our public discourse on the complexities of race in America.

I don't think anyone can disagree at Cuban's basic premise that we all have some level of prejudice or bias. Yet what rouses emotions to a call for action is the most destructive and violent strains of prejudice, bigotry and racism.

What we witnessed in the Donald Sterling interview with Anderson Cooper was not him trying to have an honest conversation about bias like Cuban; what we saw was a bigot in denial arguing his case to keep his property. That property otherwise known as the LA Clippers is slipping from him.

Commissioner Adam Silver said Donald Sterling violated the NBA constitution and is confident the league will be able to force Sterling and his wife to sell the franchise.

Sterling has lost his legacy and will be forever known as a disgrace to the NBA and an icon of ignorance. At this point, the best way Sterling could change the way he'll be remembered in history is to come clean. "Hi. My name is Donald Sterling. I am a racist. I need help."

It's been said the worst thing to be labeled in America is racist.

But why the worst? It certainly is not the most unnatural thing to be, especially if you're from a certain era or region. American history is steeped in racist institutions, ideology and imagery. Being a racist in America isn't the lowest, actually it's highly probable.

Donald Sterling has proven to be an all-star racist and he is part of an American legacy.

All men are created equal: An enlightened philosophy, yet a near impossible practice. Our revolutionary road towards equality is long, bloody, littered with hypocrisy and utterly beautiful. What makes this country great is not its perfect walk to freedom for all, but its commitment to paving the way mile by painful imperfect mile.

Racists are not always hateful or uneducated -- they are complicated, resistant, underdeveloped people, often the product of complex, cruel, greedy times and institutions.

The brutal business of slavery in the U.S. is older than its Constitution. The Declaration of Independence was drafted during the height of the transatlantic slave trade while also slaughtering millions of indigenous Americans. It's complicated.

How can America expect its citizens not to be conflicted? The foundation of our mighty agricultural economy was built on the international institution of slavery. Strong black bodies were bought and sold to perform specific work, which they were able to do with superior efficacy. The extraordinary physical capabilities and the impressive capacity to adapt and innovate of black men (and women) made many white men very rich for many years.

Donald Sterling is not so singular, not some ancient artifact -- he has built his wealth on an old successful American business model. He is not alone or fully to blame for his racist mentality. The belief that the best use of black and brown people is to serve, labor, produce and entertain is part of America's long history and continues to this day.

There are obvious metaphors connecting antebellum plantation operations to Sterling's comments about his ownership of the LA Clippers. However, we don't have to look as far back as slavery for support for why his being a racist isn't shocking.

Donald Sterling (born Donald Totowitz) was born in 1934. Brown v the Board of Education was in 1954. Rosa Parks was arrested in 1955 and the landmark civil rights decision in Loving v the State of Virginia happened in 1967. Sterling was an adult with a character and morals already formed before the arrival of the civil rights movement. The movement happened but it's naive to believe the whole country would move with it. Sterling lived and flourished during legal, government sanctioned discriminatory and racists policies.

Wealth for the privileged white male can create a power buffer against the messy work of civil rights. Clearly Sterling is a shrewd businessman. So if there were no obvious or immediate benefit for him to have an awakening of equality, why would he? It pays for Sterling, and has for many others, to be racist.

To declare, "I am not a racist" while clearly communicating racist beliefs is actually the worst. Adding insult to ignorance, Sterling said "I am not a racist" countless times during his interview with Anderson Cooper, alternating it with some of the most racists statements heard in mainstream media this century.

Proclaiming, "I am not a racist " while proving your racist ideology is more insulting and more dangerous than actually being racist. Denial is more diabolical than ignorance. It prevents the possibility of education and evolution. It would be far more encouraging if the next Sterling would just come out say. "Yes, I am a racist".

Or during the inevitable awkward public apology, instead of the expected and lame, "If I offended anybody I'm sorry," be courageous, admit it: "What I said was racist and I am sorry." Now that would be progress.

It's also time for America to be really brave and take full responsibility for its racist past and current racist practices. To stop clutching its proverbial pearls every time one of our neighbors or leaders or landlords exposes their racist education. Our collective denial is stalling our advancement to a more perfect union.

Donald Sterling is accomplished and educated, so one can only imagine the beliefs of the scores of less fortunate and underexposed. Numerous white supremacist groups are thriving right in our back yards. They too are citizens stuck in time, pathetically clinging to a bitter romanticized past where America was ruled solely by white males.

Racists or people holding racist beliefs have to stop being cowards, face their racism and be willing to recover so we can all can get down to the better business of creating a land of the free home of the brave. Being a racist is not the worst. Lying about it, denying it and refusing recovery is.

Admitting racism may very well be the first and critical step to actually ending it.

Join us on Facebook.com/CNNOpinion.

@highlight

Michaela Angela Davis calls Cuban's comments clumsy, but tepid next to Sterling's

@highlight

Cuban, she said, acknowledged inherent prejudices while Sterling denies them

@highlight

Sterling's character was formed in an America battling the birth of the Civil Rights era, she says

@highlight

Davis: It pays for Sterling to be racist, so it would be better for him just to own up to it