(CNN) -- Thirty days of signs and signals have revealed to the world in Francis I, a pope who seems eager to earn the title pontiff, or bridge-builder. Beginning with his choice of a name, which evokes the beloved image of St. Francis of Assisi, the former cardinal of Buenos Aires, Jorge Mario Bergoglio, put the world on notice that change was afoot by forgoing the fancy red slippers and ermine stole favored by other popes.

Since then he has shown a remarkable common touch in his encounters with the public and greater sensitivity to others than the man who came before him.

Try as he did, Francis' immediate predecessor, Benedict XVI, never looked comfortable in his own skin, let alone in pastoral contact with others. Clad in his ornate robes, he seemed to keep the world at arm's length in a way that betrayed his long service as Rome's "Rottweiler" (a nickname he received from the press) in charge of disciplining those who deviated from doctrine.

While personally warmer, the pope before Benedict, John Paul II, was stern when it came to religious matters and approached the world with an Us vs. Them mindset. As the church was rocked by a seemingly endless number of sex abuse scandals -- thousands of child victims and systematic cover-ups by the hierarchy -- he blamed secular society, especially the media, and capitalistic materialism.

Pope Francis tasks cardinals with studying reform of Catholic Church

In contrast with John Paul and Benedict, Francis doesn't seem capable of greeting anyone without a big, sincere smile and whenever given the choice between clerical privilege and everyday human experience, he opts for the human.

This was demonstrated most clearly as he visited a jail during Holy Week to symbolically wash the feet of a dozen people who represented the apostles. Among them were two women and two Muslims. Their presence, and Francis's ease with them, dismayed traditionalists who recoiled at the sight of females and non-Catholics being included in the ritual. It thrilled those who hunger for a more accessible and inclusive church.

The survivors of clerical abuse, who I have come to know during three years of writing my book "Mortal Sins," hope that Francis will bring real change. However, they have been discouraged by 30 years of church evasions and counterattacks and are understandably wary.

Tough-minded evaluators, they criticize Francis' record on abuse in Argentina. There he was among many of the world's Catholic bishops -- fully 25% -- who failed to meet a deadline for establishing policies to deal with complaints and priests who were accused, according to the Wall Street Journal.

Victims also wait for Francis to demonstrate that he will discipline offenders and reveal their records. "We don't think statements make kids any safer," SNAP leader Barbara Blaine told me this week. "Unless he makes kids safer, he's not doing his job."

Blaine's "show-me" attitude is echoed by her SNAP colleague Peter Isely, who was sexually abused when he attended a Catholic boarding school in Wisconsin. Isely said he admires the new man's style and sees, in his personality, reason for hope.

Vatican seeks to rebrand its relationship with science

"St. Francis was the single greatest reformer in the history of the Catholic Church,"' noted Isely. "My favorite quote by St. Francis is, `Start by doing what's necessary; then do what's possible; and suddenly you are doing the impossible.' Confronting and reforming the church's global system of child sex abuse and cover-up, that is doing what is necessary. If Pope Francis does that, who knows what's possible? Better yet, what's impossible."

Jeffrey Anderson, the attorney most responsible for the waves of litigation that have revealed the church's secrets on abusive priests, is even more optimistic. Regarded by some as the most dreaded enemy of institutional Catholicism, Anderson told me, "This pope has already demonstrated in action and words a humility we haven't seen before. I see that as revolutionary and it is in direct contrast with the hubris that was the source of the abuse crisis. It gives me hope that he can, if he chooses to, go against the power structure and fundamentally change things. For today I have hope like I never had."

Although I am also skeptical of church leaders and well aware of the hierarchy's long-standing failure on the abuse issue, Francis' first 30 days have led me to agree with Anderson when it comes to the new pope's personality. This is a shift for me, and I make it tentatively, because like all Catholics and former Catholics, I know we are susceptible to the influence of church stagecraft. We want to believe, and that desire has been exploited too often in the past.

If Francis makes the changes that the church must make to end the sex abuse crisis, it will happen because he grasps and wields the power of his office. As a cardinal, he was bound by his oath of obedience to "go along." As pope, he is the one who makes the rules and requires others to obey. What if one of those requirements included an open, transparent and serious program to make children safe and heal the trauma of the past 30 years?

Pope to Vatican: 'Act decisively' on sex abuse cases

Many of history's transformational figures have been men who, when they finally achieved power, used it in surprising ways.

Theodore Roosevelt, son of wealth and privilege, became the trust-busting enemy of corporate monopolists. Southerner Lyndon Johnson used his considerable skills to champion civil rights. Richard Nixon, Republican friend of industrialists, created the Environmental Protection Agency.

Francis has his chance now.

The opinions expressed in this commentary are solely those of Michael D'Antonio.

@highlight

Michael D'Antonio: Pope Francis' first month has shown a remarkable common touch

@highlight

He says the Pope connects with people on a human level

@highlight

Even those leading cause of church abuse victims like what they see, he says

@highlight

D'Antonio: Pope has great opportunity to end the sex abuse crisis