London (CNN) -- Charles Dickens is one of the world's best-loved writers, whose books -- and the countless film and TV adaptations they inspire -- still keep readers (and viewers) on the edge of their seats.

Now, 200 years on from his birth, his genius is to be feted with a host of events marking the bicentenary of one of Britain's most famous sons.

Dickens 2012 will see everything from readings to royal visits, celebrating the man who gave the world "Oliver Twist," "David Copperfield" and "Great Expectations."

In London, the special events will begin with a celebrity performance, by actors Simon Callow and Joanna Lumley, at the Dickens family's graves in Highgate Cemetery on Monday.

And on Tuesday, the anniversary of Dickens' birth, the Prince of Wales will lay a wreath at Dickens' grave in Poet's Corner, Westminster Abbey, while actor Ralph Fiennes, Dickens' biographer Claire Tomalin and the author's great-great-grandson, Mark Dickens give readings.

There are more commemorations planned across the country, and around the world, so what is Dickens' secret? And why, above all others, is his work still revered, so many years after his death?

Clare Pettitt, Dickens specialist at King's College London, puts his continued popularity down to his modernity.

"Everybody says this about absolutely every author ever, but Dickens really was a peculiarly modern writer, very attuned to what was new; he was writing at the beginning of the industrial revolution which, effectively, we are still in.

"He would have been fascinated by Twitter, for example -- he loved the telegraph, the railways, all sorts of modern communications technology, he was very 'on the button'."

Adrian Wootton, co-director of the Dickens 2012 celebrations, insists that almost 150 years after his death, the "Oliver Twist" author still has something to say: "Dickens is not some fusty historical figure, but still an ultra-relevant, dynamic innovator.

"He rewrote the style, form and substance of the novel; changed the process and dissemination of the printed word; wrote the way a camera saw before film had ever been invented, and he remains the most cinematic of writers."

"A critic of the young Dickens once said the writer 'would go up like a rocket and come down like a stick,'" said Florian Schweizer, director of the Charles Dickens Museum. "In 2012, one thing seems to be sure: That rocket will not come down again.

"175 years after he first shot to fame at the age of 25, Charles Dickens continues to be regarded as one of the world's finest authors and storytellers, and one of the most influential figures Britain has ever produced."

But the Dickens 2012 celebrations are not limited to the UK -- and fittingly so.

"Dickens' fame and appeal spreads well beyond Britain," says Pettitt. "He has huge global reach, well beyond the bounds of this island -- he's been taken up by Bollywood, set in the south seas, in 'Mr Pip,' and on and on."

The bicentenary will kick off in Australia, with the first part of a 24-hour Dickens read-a-thon to be staged in 24 countries across the world, from Albania to Zimbabwe, with readings from "Oliver Twist" in India, and "A Christmas Carol" in Kazakhstan.

Susie Nicklin, director of literature at the British Council, which has organized the event, agreed such a worldwide celebration was truly appropriate, given Dickens' international fame -- and his passion for performing.

"Reading aloud -- bringing characters to life -- was a crucial part of Dickens' life," she said, adding that the event would be a "truly global homage to a great British literary giant."

And while many of the festivities are centered on February 7, others will be much longer-lasting.

One of the biggest commemorations of Dickens and his works in 2012 is the Dickens and London exhibition at the Museum of London (until June 10), which celebrates the author's links with the city, and explores how it inspired so many of his novels.

It features items from Dickens' own life -- including the desk he wrote at, his bank ledger, and the manuscripts for some of his most popular novels -- alongside items evoking life in London in the 19th century, from playbills, pub signs and theatre costumes to heartbreaking evidence of the extreme poverty Dickens knew well from his own childhood.

London's other big draw for Dickens fans, the Charles Dickens Museum, housed in his former home, is -- perhaps surprisingly -- to close for a large part of the bicentennial year, as part of a major refurbishment program, but it is expected to reopen just in time for Christmas 2012, when a further round of Dickens celebrations are planned.

@highlight

Several events planned to mark bicentenary of birth of Charles Dickens

@highlight

On Tuesday Prince of Wales will lay wreath at Dickens' grave in Westminster Abbey

@highlight

Dickens specialist puts author's continued popularity down to his modernity

@highlight

Dickens 2012 celebrations also planned elsewhere in the world