(CNN) -- Supreme Court Justice Antonin Scalia is known for bold disagreement, conservative arguments, pointed questions and the occasional crude hand gesture, and still, it's been an intense few months for one of the high court's most polarizing figures, with biting insults hurled in his direction.

Last month, Scalia dissented in the U.S. Supreme Court's 5-4 health care ruling, writing that the court undermined values of "caution, minimalism, and the understanding that the federal government is one of limited powers."

Three days earlier, when the high court mostly rejected Arizona's immigration law, Scalia's minority opinion showed he was "more than usually outraged," CNN senior legal analyst Jeffrey Toobin said. In a solo dissent read from the bench, the 76-year-old dressed down the Obama administration and suggested Arizona wouldn't have entered the union if it had known how the ruling would come down: "If securing its territory in this fashion is not within the power of Arizona, we should cease referring to it as a sovereign state."

While many call Scalia a brilliant legal mind, his dissent on the court's Arizona immigration decision was accused of being too political, "more like a right-wing blogger or Fox News pundit," according to Politico. The Daily Beast called it "his churlish and self-aggrandizing and probably unethical tirade."

An opinion in Salon called Scalia an "increasingly intolerant and intolerable blowhard: a pompous celebrant of his own virtue and rectitude" -- in short, the headline said, a "ranting old man." Liberal Washington Post opinion writer E.J. Dionne Jr. called for Scalia to resign.

"Justice Scalia, by the end of the term, was apoplectic," SCOTUSblog publisher Tom Goldstein told NPR this week -- and even that, Goldstein said, might be an understatement. "Justice Scalia cares so passionately about these issues that he wears his heart on his sleeve and the blood runs through his pen."

It's hardly the first time the justice's words and actions have sparked debate and criticism. He's the longest-serving justice on the court currently, one who opposes abortion, gay rights and affirmative action. He advocates for separation of powers and consistently votes in favor of free speech, even when he doesn't agree with what's said.

"If it were up to me and I were king, I would take scruffy, bearded, sandal-wearing idiots who go around burning the flag and put them in jail," Scalia once said of a decision that upheld the right to burn the U.S. flag -- a decision he agreed with.

In 2004, he refused to recuse himself from a case involving Dick Cheney, even though he'd gone duck hunting with the vice president when the court was considering an appeal involving Cheney's energy task force.

The same year, a U.S. marshal guarding the justice confiscated a reporter's tape recorder and erased comments he made at a Mississippi school. The Justice Department found the marshal had violated the law, and Scalia apologized, but denied the seizure.

Sometimes, he need not bother with opening his mouth or picking up his pen: When confronted by a reporter outside a Boston church in 2006, Scalia used a certain Italian hand gesture some call vulgar.

"I don't think he cares," Scalia biographer Joan Biskupic told CNN in 2009. "He's got these intense feelings he's not going to keep in check."

Scalia was born in Trenton, New Jersey, an only child who went on to have nine children of his own with his wife, Maureen McCarthy.

"Nino," as friends and family call him, was the lone offspring of two immigrant Italian families and "the center of their universe," said Biskupic, who published "American Original: The Life and Constitution of Supreme Court Justice Antonin Scalia" in 2009.

But that meant he carried the burden of his extended family's attention and desire for success.

He attended Harvard Law School and went on to practice law. He also taught law at the University of Virginia, the University of Chicago, Georgetown and Stanford and work as an assistant attorney general and judge for the U.S. Court of Appeals before Ronald Reagan nominated him to the Supreme Court.

"I found the conflicts in terms of being a product of two different families continue to reveal himself," Biskupic said. "The father was quite cerebral, was a professor, always had his nose in a book, he didn't abide any kind of silliness. And his mother's side was much more flamboyant. You had these contrasting families, and, as I write in the book, he learned to deal with conflict and tension early on in his life, and went on to readily generate it as an adult."

His demeanor on the bench and in writing isn't a facade for the public, Biskupic said.

"He actually is very confrontational behind the scenes, just as he is in public. He's very defiant. But he also can be quite funny, quite casual, generous and decent," Biskupic said. "His best friend on the bench is Justice (Ruth Bader) Ginsburg" -- a low-key, liberal justice but, like Scalia, a native New Yorker who loves opera.

"He's many things. He's very consistent on the law, but he's a lot of things in terms of his personality," she added.

Indeed, he has a reputation as a language appreciator and grammar geek, as well as a voracious questioner with fierce opinions about almost everything.

Bryan A. Garner, a lawyer who collaborated with Scalia on two books, 2008's "Making Your Case: The Art of Persuading Judges," and "Reading Law: The Interpretation of Legal Texts," told The New Yorker they nearly a canceled the second text, released last month, over a disagreement about contractions like "don't" and "can't." While Garner found them acceptable, Scalia "finds them 'intellectually abominable, but commercially reasonable.'"

"Justice Scalia is an intellectual pugilist, throwing some very hard punches," Garner told The New Yorker.

His colleagues on the bench know his style well. In a 2011 tribute to Scalia's 25 years on the bench, Roberts noted Scalia was nominated in 1986 "and the place hasn't been the same since."

No other justices spoke during the tribute -- they just smiled.

Watch Piers Morgan Live weeknights 9 p.m. ET. For the latest from Piers Morgan click here.

@highlight

Supreme Court Justice Antonin Scalia wrote bombastic dissents on major opinions this term

@highlight

Scalia faced criticism and a call to resign after his dissent on Arizona's immigration law

@highlight

The Supreme Court justice will appear on "Piers Morgan Tonight" at 9 p.m. ET Wednesday