UNITED NATIONS (CNN) -- Russia and China vetoed a U.N. Security Council resolution Friday that would have imposed sanctions on Zimbabwe's longtime president, Robert Mugabe, and 11 senior members of his government.

Zimbabwe President Robert Mugabe meets this week with Arthur Mutambara, an opposition leader.

According to a draft of the resolution, the measure would have instituted a travel ban on Mugabe and others in his government, frozen many of their assets and imposed an international arms embargo on the regime.

The measure received nine votes -- the minimum for it to pass. However, two of the five negative votes were from Russia and China, who as permanent members of the Security Council have veto power.

One Security Council member abstained.

The resolution was pushed by the United States after Mugabe ignored the Security Council's appeal to postpone the June 27 presidential runoff election.

The vote initially was intended to be a runoff between Mugabe and opposition candidate Morgan Tsvangirai. But Tsvangirai withdrew days before, saying Mugabe's supporters had orchestrated a campaign of beatings, intimidation and murders against his supporters.

With their votes, ambassadors for China and Russia said they wanted to give the rival political parties a chance to resolve the election matter on their own terms without undue interference from the Security Council.

Representatives from Mugabe's party, the Zimbabwe African National Union-Patriotic Front (ZANU-PF), have been meeting in Pretoria, South Africa, with the opposition Movement for Democratic Change this week.

Tsvangirai said Wednesday the talks, which are being mediated by South African President Thabo Mbeki, are focusing on "how to move forward."

Chinese Ambassador Wang Guangya said his nation believes the international community should allow the talks in South Africa on the Zimbabwe situation a chance to progress before imposing sanctions.

Wang said the adoption of the resolution would "unavoidably interfere with the negotiation process and lead to the further deterioration of the situation."

"Many countries, including China, repeatedly called upon the Security Council to respect the position of the African countries on this question and give more time," Wang said.

"China has always maintained the best approach to solve a problem is negotiation and dialogue," Wang said. "To use or threaten to use sanctions lightly is not conducive to solving the problem."

Wang's comments echoed those of Russian Ambassador Vitaly Churkin, who said the Security Council would have overstepped its responsibilities had it approved the resolution.

"Recently, in the positions of a number of council member states, we have seen an ever-more-obvious attempt to take the council beyond its chartered prerogatives and beyond maintaining international peace and security," Churkin said. "We believe such practices to be illegitimate and dangerous, leading to a realignment of the entire U.N. system."

Churkin also noted that, had the resolution been approved, council members would have ignored appeals from the African Union to let the South African talks take place. He also accused the council of missing an opportunity to coordinate a response that would have "promoted the success of the political dialogue" in Zimbabwe.

Speaking before the vote, Zimbabwean Ambassador Boniface Chidyausiku said his nation has been a victim of "incessant meddling" from the international community.

Chidyausiku blamed sanctions already imposed on Zimbabwe for its underperforming economy and the suffering of its people.

South African Ambassador Dumisani Kumalo also urged the Security Council to give the South African talks a chance to bring about a resolution.

U.S. Ambassador Zalmay Khalilzad said the United States was disappointed at the veto.

"China and Russia have stood with Mugabe against the people of Zimbabwe ... for reasons that we think are not borne out by the facts on the ground," he said.

"The U-turn on the Russian position is particularly surprising and disturbing," he said, noting that a few days ago, the Russian Federation was supportive of a statement adopted at the Group of Eight meeting in Japan expressing "grave concern" about the situation in Zimbabwe.

"The Russian performance here today raises questions about its reliability as a G-8 partner," Khalilzad said.

The draft resolution expressed "deep concern at the gross irregularities" during the presidential election, saying violence and intimidation before the runoff prevented "free and fair elections," creating "an environment that did not permit international election observers to operate freely before the June 27 vote."

The United Kingdom, which has been highly critical of Mugabe, was a chief supporter of the United States push for sanctions. France also supported the resolution.

"The Security Council has failed to shoulder its responsibility to do what it can to prevent a national tragedy deepening and spreading its effects across southern Africa," British Ambassador John Sawers said after the vote.  Watch the British Ambassador to the U.N. speaks about the failed resolution »

Sawers also questioned Mbeki's efficacy as a mediator in Zimbabwe's affairs.

"We have to be realistic. Those efforts have so far come to naught. The only one who has benefited to date is Mr. Mugabe," he said.

After the vote, Chidyausiku thanked the council for heeding his call.

"Today we have seen reason," he said. "I want to express our gratitude to the people in the Security Council who managed to see reason and refused to be intimidated or cowed into following the national interests of the U.S. and UK."

The Zimbabwean people, he said, are "committed to resolve their differences."

CNN's Richard Roth and Terence Burke contributed to this report.

@highlight

China, Russia veto resolution that would have meant sanctions for Mugabe regime

@highlight

United States pushed for measure after Mugabe refused to postpone runoff elections

@highlight

Sanctions would have meant travel bans, frozen assets for Mugabe and others

@highlight

Proposed sanctions also would have imposed an international arms embargo