(CNN) -- Spotting the "next big thing" in sport is an expensive business. Millions of dollars and countless hours are spent on talent identification, but it's an unpredictable science.

Except perhaps in horse racing, where major strides are being made in picking out potential winners in an industry where huge rewards are at stake.

Thoroughbred stallion Fusaichi Pegasus, for example, became the most expensive horse in history in 2000 after being sold to Ireland's Coolmore Stud for $60 million, having been bought as a yearling for $4 million.

So just imagine what it would mean to breeders if they could determine how successful a horse would be before buying or selling them as a foal?

A company involved in thoroughbred research, Equinome, has been analyzing a particular strand of DNA within a horse -- dubbed the "speed gene" -- which can determine just how well equipped it will be for racing.

Such chromosome information can also be a powerful tool for breeders as it helps them determine just what type of horse will be produced by different types of coupling.

The mating game: Will Frankel and Black Caviar breed superhorses?

"At first we had a positive response, and now over the last 18 months things have really taken off," Equinome's managing director Donal Ryan told CNN.

"Every region is interested -- New Zealand, Singapore, the United States -- and breeders have already used our test thousands of times."

Equinome maintains a strict policy of confidentiality with its clients, but Ryan did reveal that the first horses bred following speed-gene testing are already racing professionally.

Breeders are also offered the $1,500 "elite performance test," which analyzes 54,000 genetic factors. While its results may not provide the meticulous levels of accuracy the "speed gene" test delivers, it categorizes how likely a horse is -- genetically speaking -- to win.

"Horses are placed within one of four class bands; a class one would be 11 times better than a class four," said Ryan.

"The criteria obviously differ from subject to subject. With a sprint horse we would be looking at traits such as lactate metabolism and vascularization, whereas a horse with stamina we might analyze heart physiology and respiration."

Robin Oakley, turf columnist for "The Spectator" magazine and author of three books on the world of racing, dubbed the research as "almost the holy grail for breeders and trainers."

"For years they have searched for a way to remove the gamble inherent within breeding -- imagine, not having to fly mares all over the world, mating with all those different studs just trying to get the right results," he said.

Another milestone for fantastic Frankel at Glorious Goodwood

In Australia, Widden Stud farm in New South Wales has produced six former Australian champion sires since its foundation in 1867. It is the first breeder to include Equinome's "speed gene" results in its stud brochures.

"The test is certainly very interesting to us," says Widden Stud's general manager Derek Field.

"Breeders have been searching for years for ways to do their job more efficiently, and there are a lot of pieces to the puzzle but this is certainly a key to unlocking it.

"People have looked in-depth at hearts and other organs but have come and gone. These speed gene tests can help develop studies in the right direction. It's worth keeping a close eye on."

However, Ryan stresses that genetic research is only one piece of the puzzle of breeding winners.

"Genetics is only 35-55% of the battle. The rest is down to the way the horse is raised, from insemination through to foaling to its upbringing and race training; the aspects that will always be most important are not genetic," he said.

"We aim to guide the trainers and breeders, so they can correctly focus their efforts."

Ryan insists Equinome's work will not detract from the competitive spirit of the sport.

"It is simply a tool to be utilized. It is ineffectual if not applied properly," he said.

"I cannot see it taking away from the 'fun' of the sport, as some have put it."

Field agrees: "The idea of mating horses more efficiently has been around since the sport began. This discovery does nothing to detract from the competition."

Twitter: From the horse's mouth

Australia's OTI Racing and Bloodstock Management has also utilized Equinome's tests. But rather than breed its own horses it instead buys them as "tried" yearlings, often imported from all over the world.

These horses are then raced internationally, predominantly in Great Britain and France as well as Australia.

As OTI's reputation, not to mention profits, rely on the performance of its yearlings, it needs to buy the right horses and send them to the correct trainer.

"We were approached by a representative from their marketing team," OTI co-owner and director Terry Henderson said of its relationship with Equinome. "I was fascinated by the science -- the sound logic and good research which they applied appealed to me. We made sure to do our own research to put their methods to the test.

"We took 12 blood samples from 12 different horses and sent them for a blind testing at Equinome -- this way they would have no idea if the blood was from a broken-down old mare or a champion sprinter. The correlations produced by their results gave us great confidence."

Fame and fillies: Meet the celebrity racehorse owners

Henderson says the professional racing community has reacted cautiously to Equinome's research.

"I was skeptical too at first. So much rubbish science is presented to the horse racing industry. So many ideas and tools claim to be unique but fail to deliver that professionals are gun-shy -- rarely is anything supported by the depth of research that Equinome offer," he said.

OTI has not fully embraced the testing yet, but the company is at an "advanced testing" stage working towards a more complete relationship.

"It's very encouraging, but it'll still be two to three years before our confidence is at 90%-plus," Henderson said.

"Right now we're testing half of our purchases. Sometimes, what with the rate at which we complete transactions or because of contractual obligations, we do not have time to take the test. We do aim to test all of our domestic purchases, though."

The British Horse Racing Authority says such testing is "a commercial issue and it would not be appropriate for a regulatory body to comment."

Henderson believes it poses no threat to the industry's competitive balance.

"This is no different to the developments made in breeding 100 years ago. Innovations will always divide opinion -- it will be gospel to some and rubbish to others," he said.

"It's the most significant development we've seen in a while but it won't unbalance the playing field, that's for sure."

@highlight

Scientists discover "speed gene" within horse DNA which governs physical ability

@highlight

Test allows trainers to learn what sort of runner their horse will develop into

@highlight

Thousands of breeders and trainers around the world have already taken the test

@highlight

Results of the test are already being published by Australian blood stockist OTI Racing