Kezia and Mike Fitzgerald wish they had never seen the need to start their own business.

They wish Kezia had never been diagnosed with Hodgkin's lymphoma.

They wish their daughter, Saoirse, had not joined Kezia in the hospital, to fight her own battle against an aggressive tumor.

They wish Saoirse had won.

But wishing to change the past, the Fitzgeralds know, is useless.

"When our daughter died, Kezia and I took some time away and re-grouped our life," Mike said in a CNN iReport. "We made the decision that we were going to focus on positive things and do positive things in our lives."

Double diagnoses

During her pregnancy in 2010, Kezia noticed swollen lymph nodes in her neck. She ignored them, because she had experienced swelling before during allergy season. They didn't ache, she said, just made her neck appear uneven.

In June 2010, the Massachusetts couple became first-time parents to a healthy seven-pound baby they named Saoirse. But the swelling on the right side of Kezia's neck persisted.

By January, her doctors determined the cause: stage three Hodgkin's lymphoma. The cancer had spread to Kezia's chest, neck and abdomen.

Through her monthly chemotherapy, Kezia dealt with nausea and fatigue. But her treatment was going well, and the side effects were mild, so she thought the worst would soon be over.

Then one April morning, she and her husband noticed that Saoirse wasn't wandering around as she normally would. Even more startling, her eyes were swollen and her eyelids were black, blue and yellow.

"It looked like she had been in a fight," Kezia said.

Saoirse was also cranky and vomiting. She had swelling in both her ears and a bulge the size of an egg on her right temple.

"Her head looked like it was exploding," Mike said.

They rushed her to the emergency room. For three weeks, pediatricians and neurosurgeons focused on her head, taking CT scans to see whether she had bleeding there. The scans came out clean.

Finally, doctors found a neuroblastoma tumor in Saoirse's abdomen. She was in stage four.

Neuroblastoma is one of the most common types of cancer for infants and children, behind leukemia and brain cancer. There are about 700 new cases of neuroblastoma diagnosed each year in the United States, according to the American Cancer Society. It is an aggressive malignant tumor that develops in infants and kids when their immature nerve cells turn into tumors instead of cells and fibers.

A woman and her toddler fight dual cancers

When her father heard the news, he went numb.

"I thought, 'My God, I'm at risk of losing both of my family members, the two most important people in my life.' "

The cancer had spread throughout her tiny body, to her adrenal glands, bone marrow and ears.

Saoirse needed chemotherapy right away. Now she and Kezia shared more than their blonde hair, bright blue eyes and love for peaches.

A simple solution

Cancer didn't slow Saoirse down much. In between needles and diaper changes, the toddler wandered the halls of Boston Children's Hospital, toting her stuffed purple gorilla named Grape Ape.

But the peripherally inserted central catheter, or PICC line, doctors placed in Saoirse's arm to administer treatment kept getting in the way. The long flexible tube that was giving Saoirse essential nutrition and medications kept getting tangled.

"This new attached toy was now a drumstick, teething toy and something to tug on," Mike said. "When we asked the nurse how to secure the lines and caps the only suggestion they had was to use a sock or tape."

When Saoirse developed a bad rash from the medical tape, her mother knew they needed a better option. Kezia loved to sew -- winter hats, diaper bags, you name it -- but her projects had fallen to the wayside with the family's hospital schedule. One night Kezia went home and dug out her sewing machine, grabbed some cotton knit fabric and created a sleeve that would hopefully secure Saoirse's line comfortably.

It worked. The wrap held Saoirse's line in place without letting it dangle, causing any itchiness or pain. Saoirse went back to playing with her toys and ignored the PICC line. A few weeks later, when a doctor inserted a central chest line, Kezia replicated her efforts to create a chest wrap for the toddler.

The wraps became a hit in the hospital ward. Nurses loved that they could access Saoirse's lines easily without taking off a bunch of tape. Parents asked Kezia to create more wraps for their kids. Mike filed a provisional application for a patent on the popular product, then went back to caring for his wife and child.

"Kezia would have much rather designed and sewed something else besides the wraps," Mike said. "But she did what she had to do to help our child. It worked and we solved a problem."

Kezia's cancer went into remission in September 2011.

Saoirse passed away a few months later.

'I love my CareAline'

The Fitzgeralds took some time after Saoirse's death to grieve. But they knew they wanted to help other patients with the wraps Kezia had created. They spent most of 2012 finding a sewing contractor in Massachusetts and a fabric producer in California before launching CareAline Products, LLC.

They now offer the wraps on their website and on Amazon.com. Patients can purchase individual wraps; hospitals and treatment facilities can buy them in bulk. So far two hospital groups have purchased CareAline products for their patients, Mike said.

"Breaking into the medical product community is challenging," he said. "But with every challenge there seems to be an equal reward. ... While we still have a long way to go before we can call ourselves a success, we feel like we are headed in the right direction."

The Fitzgeralds are working on developing more products, Mike said, so that every patient with a catheter can be given a wrap to keep their line in line.

"We know how stressful it is when that line is first put in, and how much you have to learn to take care of it," he said. "We don't think that any patient should have to search for their own solution like we did."

The couple wishes they never saw the need to start this company, but they're glad they did. They know it's the best way to honor their daughter, and her courageous battle against cancer.

A little boy walked up to the Fitzgeralds' conference table in Cape Cod this summer and said, "I love my CareAline." It's still Mike's favorite "review."

"It made us feel like we had truly made a different in that little boy and his family's life."

@highlight

Kezia and Mike Fitzgerald's daughter was diagnosed with stage 4 neuroblastoma

@highlight

To help secure her daughter's catheter without irritation, Kezia Fitzgerald created a wrap

@highlight

Saoirse's death compelled the Fitzgeralds to keep making these wraps to help other patients

@highlight

Have you transformed a hobby into a job? Share your story with CNN iReport