Furloughed workers, reduced combat readiness, shrunken naval operations and cuts to Air Force flying hours and weapons maintenance.

Defense Secretary Leon Panetta listed those consequences as he provided a stark warning on Wednesday about the effects of impending budget cuts on the military unless Congress acts to avert them.

The result, he said, would be "the most serious readiness crisis" faced by the armed services in over a decade.

Panetta's address at Georgetown University, which he called "hopefully one of my last speeches as secretary of defense," included the first details of how the Pentagon would deal with the automatic spending cuts -- or sequestration in congressional jargon -- set to trigger March 1 across federal agencies.

For the Pentagon, sequestration would mean almost $500 billion in cuts over 10 years. For 2013 alone, some $46 billion in reduced spending would result in "a serious disruption in defense programs and a sharp decline in our military readiness," Panetta said.

Opinion: How to avoid job-killing budget cuts

"There are no good options" to deal with the situation, he continued, saying 46,000 department jobs would be at risk and more damaging measures in coming months could include:

-- Furloughing as many as 800,000 civilian workers for up to 22 days;

-- Cutting back on Army training and maintenance, which would reduce readiness of combat brigades outside Afghanistan;

-- Shrinking naval operations; and,

-- Reducing Air Force flying hours and weapons systems maintenance.

"This is not a game. This is reality," Panetta said, his voice rising. "These steps would seriously damage a fragile American economy and they would degrade our ability to respond to crisis precisely at a time of rising instability across the globe."

His comments sought to increase pressure on Republicans and Democrats to reach agreement on deficit-reduction steps, thereby avoiding the across-the-board spending cuts of sequestration that were part of a 2011 deal that raised the federal debt ceiling.

On Tuesday, President Barack Obama called for a short-term deal to put off the cuts so Congress could continue work on a permanent fix that provides desired reductions in the federal deficit.

Obama made clear that he still wants a broader deficit-reduction agreement with Republicans that includes spending cuts, some entitlement reforms and increased revenue from eliminating some tax breaks.

However, Obama said, with time running out before the sequestration cuts slash government spending and result in job losses and economic slowdown, Congress should pass a temporary fix that would allow time for further negotiations on a broader plan.

By the numbers: Recent defense spending

"Compromise is a way to achieve it," White House spokesman Jay Carney told reporters Wednesday, noting that Obama continued to offer proposals to cut spending and increase revenue that shifted to the middle from his original stances.

However, House Speaker John Boehner, R-Ohio, accused Obama and Democrats of avoiding needed spending cuts and trying to put off tough decisions instead of facing their responsibilities as elected leaders.

Deficit reduction should focus on cutting government spending and must include savings from popular entitlement programs such as Social Security, Medicare and Medicaid, Boehner insisted on Wednesday.

"At some point, Washington has to deal with its spending problem," he told reporters. "I've watched them kick this can down the road for 22 years. I've had enough of it. It's time to act."

Boehner also echoed Senate Republican leader Mitch McConnell of Kentucky in opposing Obama's call for including more tax revenue in the mix.

Opinion: Republicans, be smart about defense cuts

Also Wednesday, GOP legislators proposed $85 billion in reduced spending through attrition -- or not filling all vacated government jobs -- and freezing congressional pay as an alternative to the sequestration this year.

They said the plan achieves the same amount of deficit reduction without more tax revenue sought by Obama and Democrats.

The debate continues the ideological showdown between Republicans and Democrats over the size and role of government.

Republicans driven by their conservative base want to reduce government and taxes to fund it, arguing that is the best way to grow the economy.

Democrats promote a strong government safety net through entitlements and support programs that they say bolsters middle-class opportunity necessary for economic growth.

Congress and the White House agreed to the sequestration cuts as part of the 2011 debt ceiling deal that ended a showdown over whether to increase the federal government's borrowing limit to meet its obligations.

The automatic spending cuts never were intended to become law, but instead were designed to be so unwieldy and overbearing that Congress would reach a broader deficit reduction deal to avoid them.

Military pay in play in game of political poker

Deep partisan divisions prevented such an agreement from happening in 2012, an election year. Initially the cuts were to go into effect on January 2, but the government delayed the impact of sequestration for the first two months of 2013.

In his speech, Panetta referred to what he described as "partisan dysfunction in Congress" that he said threatens the quality of life and national security of the nation.

Instead of making tough decisions to resolve problems, political leaders from both parties let issues become crises that require immediate but insufficient responses, he said.

"It's the easy way out," Panetta said, adding that there is a price to be paid for such an approach.

"You lose the trust of the American people," he said. "You create an aura of constant uncertainty that pervades every issue and gradually undermines the very credibility of the nation."

CNN Explains: Sequestration

In another effort to stoke public alarm over the pending cuts, Carney told reporters that top defense contractors met at the White House with senior administration officials to discuss the impacts on their industry.

According to Carney, those impacts would be overwhelmingly negative.

"It's not just a parlor game here in Washington," he said of the issue. "These are real-world decisions that significantly affect the economy and the American people."

Obama said Tuesday that he still supports a broader deficit deal and made clear that revenue from tax reform measures previously agreed to by Republicans -- such as eliminating some loopholes to increase revenue for the government -- should be part of it.

Boehner,  however, reiterated the GOP call for replacing the sequester plan with spending cuts and reforms -- a reference to changes in entitlement programs.

A last-second agreement in the previous Congress that passed in the first days of 2013 raised tax rates on top income earners as part of a limited deficit-reduction package.

That measure followed weeks of tough negotiations involving Obama and Congress in which other steps to increase government revenue, such as eliminating some tax breaks for corporations, were considered but not included in the final deal.

How our tribes cause gridlock in Congress

Obama and Democrats now want such revenue-raising steps to be part of a package that would replace the mandated deficit reduction of the sequester cuts.

McConnell expressed his opposition to such a move Tuesday, saying, "The American people will not support more tax hikes in place of the meaningful spending reductions both parties already agreed to and the president signed into law."

@highlight

GOP legislators propose alternate spending cuts to sequestration

@highlight

Defense Secretary Panetta says political partisanship threatens U.S. stability

@highlight

"This is not a game. This is reality," Panetta says of reduced readiness

@highlight

The across-the-board cuts will take effect March 1 unless Congress acts