(CNN)Republicans who want to make a play for the White House by positioning theirs as the party that can govern, in contrast to hapless Democrats, could face a significant obstacle: their governors.

From New Jersey to Wisconsin to Louisiana, GOP governors with their eyes on the White House have presided over unbalanced budgets, unfunded pension liabilities, credit downgrades and sluggish job growth.

That comes in contrast to an increasingly rosy economic picture nationally, with a strong December jobs report that capped off the best year in terms of economic growth for the nation since 1999. Unemployment, at 5.8 percent, was below predictions, and job growth has continued for month after month.

Three of the most prominent potential 2016 contenders — New Jersey Gov. Chris Christie, Wisconsin Gov. Scott Walker and Louisiana Gov. Bobby Jindal — could face the most scrutiny, and have the toughest time explaining, their economic records for 2016.

It's a troubling prospect for the party as it prepares to offer Republicans as the "party of solutions" in contrast to the Democrats, which it says has offered ineffective policies that contributed to a slow recovery and increasing inequality in the nation.

Charlie Black, who chaired Sen. John McCain's 2008 presidential run, said that "the biggest problem the Democrats will have in the next election is that the economy is bad."

RELATED: Kansas tax cuts on trial amid huge budget deficit

"It's really lack of jobs and lack of economic progress that's the biggest issue," he said.

But reality of late hasn't borne that argument out. And he admitted that some governors may have some explaining to do.

"If you're John Kasich, you have a good story to tell — but some of the others might have a little bit more difficult story to tell. But you can always come up with the right spin on it if you work on it," he said.

Who will have to spin the most?

Establishment Republican operatives are already quietly whispering over the elephant in the room for New Jersey Gov. Chris Christie — his state's economic woes.

Christie came into office pledging replenish the state's pension program, but had to reverse that promise to help balance the state's budget. Pension liabilities have subsequently ballooned under his watch, topping $83 billion, according to the last report from debt ratings agency Moody's.

Coupled with other budgetary shortfalls, the pension liabilities have resulted in Moody's and other agencies downgrading New Jersey's credit rating eight times — a record for a sitting governor of the state, according to the Star-Ledger.

He also faces sluggish job growth. New Jersey's job growth has been slower than the national average, according to the Bureau of Labor Statistics, and the state's unemployment rate has been higher than the national average over the past year.

For his part, Christie and his supporters are aggressively fighting back against the narrative that New Jersey's economy is sliding. During Tuesday's state of the state speech, the governor outlined his "Five In Five" record, a laundry list of mostly economic accomplishments Christie trumpets as a sign of good Republican management of the state's pocket book.

Louisiana Gov. Bobby Jindal is taking flak from both his right and his left, with critics saying at turns that he's cut too much government funding and too little. His latest budget has seen some of the steepest cuts to higher education ever proposed for the state — so steep, in fact, the Republican speaker of the Louisiana House has vowed to block block them, telling a local outlet the cuts "would set us back generations."

Jindal and his allies, however, say they've needed to enact steep cuts to balance the state's budget. But even conservatives are dissatisfied, noting that to achieve a balanced budget, the governor has had to rely heavily on a non-replenishable pool of "onetime" funds that won't be available next year.

"It's frustrated many of us because it does go against what we typically say, and that is, we should not spend more money that's coming in," Louisiana state Rep. Brett Geyman, a fiscally conservative Republican, said of Jindal's budgets in an interview.

"We face a very large shortfall as we go into the spring session of 2015 because we've been relying too much on those onetime funds for recurring expenses."

Wisconsin Gov. Scott Walker may also have to face scrutiny of a record that oversaw slower than national average job and wage growth, according to an analysis from PolitiFact. His office pushed back on the analysis, noting that the current 5.2 unemployment rate for the state is down from 7.8 when Walker came into office.

Democrats also point to the fact that job growth was uneven across low, middle and high-wage sectors — with middle-wage jobs, key to the stability of the middle class, declining during the recession, according to an analysis from University of Wisconsin-Milwaukee professor Marc Levine — as evidence Walker hasn't done enough for the middle class.

And the state faces a $2.2 billion budget deficit heading into the new year. A Walker aide said, however, that's a flawed prediction based on preliminary budget proposals, and that Walker will balance the final budget.

"We will fund priorities and provide necessary services at a good value to taxpayers," said spokeswoman Laurel Patrick.

And Walker himself sought to paint a rosy picture of his state's fiscal health during his State of the State speech Tuesday night.

"We finished each year with a surplus, and we will again this year," Walker said. "Wisconsin's pension system is the only one fully funded in the country. The state's pension and debt ratio is one of the best. Our bond rating is positive. And the rainy day fund is the largest in state history — 165 times bigger than when we first took office."

Ted Strickland, president of the progressive Center for American Progress Action Fund and a former governor of Ohio, said he believes once the public begins "looking below the surface" of their records, "you'll find there's a lot of smoke and mirrors going on with the claims they're making."

"In my judgment, they are so tied to an extreme ideology that they don't want to be confronted by the facts and the truth about what their approach, their trickle-down approach leads to: Greater deficits, a weaker economy, and greater inequality," he said.

But Jindal, Christie and Walker all have accomplishments to tout as well. Christie has had to deal with a Democratic legislature that's often worked to block his legislative priorities; Louisiana has become more business-friendly under Jindal's watch, according to a number of nonpartisan rankings; and Walker's union-breaking efforts were lauded as a model for other states nationwide.

But strategists say they won't be able to run from the blemishes on their records.

Ryan Williams, a spokesman for Mitt Romney's 2012 bid, said that every bit of the GOP presidential contender's record as governor of Massachusetts became susceptible to scrutiny when he ran.

"It's all fair game for your opposition — given that you are the executive of your state," he said.

"When you're a governor running for president — you have to own whatever the pluses and minuses are for your state's economic record," he said.

Some GOP governors have better records than others. Texas Gov. Rick Perry, who's contemplating another presidential run, travelled to other states, touting the Texas economy and trying to woo businesses with low tax rates. He could make his state's  economy a key pillar of a 2016 campaign. And some states governed by Democrats, like Illinois, have seen their share of economic struggles.

But Democrats are hoping to make even some of those governors that aren't running a problem for Republicans. They've pointed to Kansas Gov. Sam Brownback, whose promised conservative "experiment" of implementing steep tax and spending cuts has crippled the state's economy, as evidence the conservative vision of governance doesn't work.

Strickland decried what he called an "exaggerated pursuit of the trickle-down agenda," in Kansas, "where taxes were cut for the wealthy and the economy is in shambles."

"That's an example, I think, of what Republicans are capable of doing if they were to win the presidency," he said.

Some Republicans believe Brownback's labors will eventually bear fruit. Grover Norquist, president of the conservative anti-tax group Americans for Tax Reform, lauded Brownback's move and said he should jump in the race for 2016.

"There isn't a problem in front of Sam Brownback and the Republicans in Kansas that they can't fix," he said. "I think he should run for president — he's radical, different, unexpected."

But there's a growing chorus of voices within the GOP calling for a more moderate economic vision going forward. Michigan Gov. Rick Snyder has expressed an openness to a new gas tax, while Gov. John Kasich has floated a tax on oil and gas companies to pay for an income tax cut.

It's that tension — between the moderate economic visions of purple-state governors and those of their red-state brothers — that could cause further complications for the GOP in a presidential primary fight, where they'll have to debate the benefits of both approaches on a national stage.

Stan Veuger, an economist at the conservative American Enterprise Institute, said in an interview that "Democrats have some totally reasonable points" on the economy.

"It's not the case that if you cut tax rates, revenue is going to go up immediately," he noted, calling such a suggestion "ludicrous."

He suggested the best solution for Republican governors was to take the middle road — and perhaps use Brownback as a cautionary tale.

A Republican governor with a struggling state economy could say, "I'm a solid conservative governor with an eye to the deficit and the debt, but I'm not going to take crazy stances in any direction," Veuger proposed.

Congress is getting richer

@highlight

Some Republicans mulling White House runs will have to defend struggling economies in their states

@highlight

Chris Christie in New Jersey and Bobby Jindal in Louisiana both have deficits to explain