(CNN)It's only a few weeks since the first presidential announcement but already it feels like the campaign is in high gear. A number of politicians have officially announced their candidacies and the outline of their messages is starting to emerge. Hillary Clinton, who announced last week, even jumped into her black van for a road trip out to Iowa, including a pit stop at Chipotle along the way.

Although the campaign has barely begun, most of the candidates -- and some  probable candidates -- are already starting to make mistakes. Most of the mistakes will simply be blips along the way, but some of them might end up being more damaging if they feed into negative perceptions that voters have about the candidates.

Here are a few notable mistakes in the past few weeks:

Trying to separate himself from the pack, New Jersey Gov. Chris Christie called for substantial cuts to Social Security. He also promised to reverse the marijuana legalization laws that many states have been enacting in response to ballot initiatives.

Both of these statements could come back to bite him, should he run for president. While Christie sees Social Security cuts as a way to "go big" in crafting a platform for a possible presidential run, as many Republicans have discovered Social Security is a very popular program and one that has strong support from Americans who are over 60 -- a big part of the electorate.

On marijuana legalization, Christie inserted himself into an issue that has growing public support in red and blue states, especially with the younger and independent voters who Christie is promising to bring into a potential campaign.

If Christie continues to veer right it will be harder to sell himself as the moderate in the race, and yet there is little chance that he will secure conservative votes over someone like Sen. Ted Cruz.

Sen. Cruz impressed many observers when he announced his candidacy at Liberty University. But soon after he did something that took many people by surprise. The Texas senator, who has been one of the leading opponents of President Barack Obama's health care plan, acknowledged that he would be enrolling in the Affordable Care Act program since his wife was taking a leave of absence from her job to help with the campaign.

It will be hard for him to live this one down. Since he wants to sell himself as the authentic conservative and the Republican who will give Democrats their biggest toughest fight, the fact that he decided to join a program he has railed against -- and tied up Congress with -- will raise questions about whether he is just another politician, and not a true zealot over Obamacare.

The decision will offer plenty of fodder to Democrats who want to remind voters that Republicans rail against government even when they and their constituents depend on it.

If anyone faces authenticity questions, it is Kentucky Sen. Rand Paul. As the so-called "libertarian" in the campaign, Paul is aiming to attract younger Republicans who otherwise are not interested in the party. He is also hoping to bring back hard-core anti-government conservatives who believed that their party has moved too far away from their original goals.

Paul has already struggled to justify some of his recent announcements, such as calling for a more aggressive war against ISIS and his statements against gay marriage.

But after announcing his presidency, he brought himself more trouble with his aggressive interaction with "Today" host Savannah Guthrie. Paul became clearly aggravated with what the host and went so far as go explain how to conduct the interview. The interview focused most media attention on Paul's temper and his interactions with women rather than his message. In an interview on CNBC, he put his finger to his lips and said "Shhh, calm down" to anchor Kelly Evans. Both moments revealed a side of his character than until that moment had been somewhat off the radar. "You're coming off as pretty thin-skinned in your interviews," Megyn Kelly of Fox News told the senator.

Thus far, Clinton has had a fairly smooth opening but during her first week on the trail, she did make a minor mistake. While speaking in Norwalk, Iowa, Clinton said during a discussion about immigration reform that "all my grandparents, you know, came over here" even though only one was really an immigrant.

Her staff corrected the statements. "Her grandparents always spoke about the immigrant experience and, as a result she has always thought of them as immigrants. As has been correctly pointed out, while her grandfather was an immigrant, it appears that Hillary's grandmother was born shortly after her parents and siblings arrived in the U.S. in the early 1880s."

Clinton's campaign video seemed pitch perfect to many observers, as she largely removed herself from the story line. Her drive to Iowa demonstrated that she isn't likely to repeat the kinds of mistakes that she made in 2008 when she failed to take the nuts and bolts of caucus organization seriously. Although the entire opening certainly had the flavor of a made for television event, it has generally been well-received.

Clearly the biggest "gaffe" in the run-up to the Clinton campaign was in how she handled the story of her use of a private server rather than the State Department email system. Although she dragged out the campaign announcement, she certainly should have had more of the team in place given how much attention she would receive. At first she stumbled in her response, giving the accusers time to spin the story as reflecting a tendency to hide information and suggesting that she was still the untruthful person so many people suspected.

Rubio announced his presidential run after the biggest announcement of them all: Hillary Clinton. Given that Rubio is not one of the most well-known of the candidates, outside of Republican political circles, his timing was not perfect. The announcement was overshadowed by Clinton's video and drive to Iowa.

Coming on the heels of Obama's historic discussions with Cuba, the timing and sequence didn't help the senator to get the kind of initial buzz that he was hoping for. Although in the long run this won't make a difference, it might have been wise for him to delay the announcement  and give his campaign some breathing space.

All of these are still relatively small missteps in the very start of the campaign. And we know from social scientists than individual gaffes and mistakes don't really have a big impact on the outcome of these contests, so much as the "fundamentals" like the ability to raise campaign contributions and the endorsements from political elites.

Still, mistakes can play a role in campaigns. While individual mistakes might be fleeting, collectively, these kinds of moments can shape how voters think of candidates when the time comes for a vote.

@highlight

Julian Zelizer: In early weeks of the 2016 campaign, candidates and potential contenders have stumbled in small ways

@highlight

He says Chris Christie's words about Social Security and marijuana may haunt him