Concepcion, Chile (CNN) -- Aid and increased security were flowing Wednesday into hard-hit areas of Chile, but some residents complained that they still had not received food or water since Saturday's massive earthquake killed more than 800 people.

President Michelle Bachelet urged residents Wednesday to remain calm despite the shortages and lawlessness in Concepcion, Talcahuano and other areas of central and southern Chile. For the second consecutive day, she also warned that looting will not be tolerated.

"Nobody can argue that taking a refrigerator is an act of survival," Bachelet said. "That is simply vandalism and delinquency."

An overnight curfew remained in effect for the third day in Concepcion, the scene of the worst looting. Authorities said they would take whatever steps are necessary to keep order, and 35 people were arrested for curfew violations.

A military presence and citizen patrols appeared to maintain order in the nation's second-largest city, though CNN's Sara Sidner said that about 10 percent of the stores in the downtown business district appeared to have been looted.

"There was a moment when this was no-man's land," one resident said. "This place was like the Wild West."

Some supermarkets were open, though checkout lines lasting two to three hours were common.

The death toll increased to 802, with nearly 600 of those fatalities occurring in the Maule region, the National Emergency Office said Wednesday. Nineteen people were missing, said Patricio Rosende, the assistant interior secretary.

Thirty trucks loaded with food and water arrived late Tuesday in Concepcion. The supplies were being distributed Wednesday.

The city's mayor, Jacqueline Van Rysselberghe, said it was a good start but not nearly enough.

The aid, she told CNN Chile, would be distributed in areas where there has been little or no looting.

Concepcion is less than 10 miles inland from Talcahuano, but the two towns suffered far different fates. In Concepcion, the fatalities and injuries were largely the result of buildings that collapsed.

In coastal Talcahuano, the damage was caused by a tsunami that roared into town about an hour after the quake. When the waters receded, they left large boats stranded inland. In spot, four shrimping vessels lay in a heap, stacked on top of each other.

Much of the gritty port city looked as if a bomb had exploded in it: its buildings reduced to rubble, which was covered with debris.

See scenes of devastation from the quake

The greatest number of deaths occurred in the Maule region, where disaster visited two cities in different ways.

In the central city of Talca, an ancient municipality, the earthquake wiped out many of the older adobe structures, crushing hundreds of residents.

In the coastal city of Constitucion, a large wave caused most of the deaths; officials said half of the city was damaged.

Many Maule area residents said they had received no help.

"We have not received any aid from anyone. Nothing. Nothing," said Carlos Basoaldo, one of 6,000 residents of the coastal hamlet of Pelluhue.

"They are only concerned about the big cities," Basoaldo told CNN Chile.

Security, too, remained a concern.

The mayors of Concepcion, Hualpen and Talcahuano had urgently requested military help, and Bachelet said that more than 13,000 soldiers were being dispatched. Many of those soldiers started to reach their destinations Tuesday.

But World Vision's emergency operations manager said the situation was safe enough for the non-governmental organization to distribute aid in two villages near Concepcion.

"Fortunately enough, we had the collaboration of the government and the army," Michael Black said from Santiago.

He credited the extension of the curfew from 6 p.m. until noon.

"What emergency operations are doing is, they're trying to arrive with supplies through the city of Concepcion during the curfew," he said. "That has worked really well."

Among the items distributed by the Christian humanitarian group were 10,000 blankets, 5,000 liters of water, 3 tons of food and thousands of sleeping bags, he said.

Santiago, which suffered damage from the quake but was well on its way to recovery Wednesday, is about 270 miles (435 km) northeast of Concepcion.

Concerns about the safety of those buildings that were damaged in the quake were heightened Wednesday afternoon, when a 5.6-magnitude aftershock struck 30 miles south southwest of Valparaiso, according to the U.S. Geological Survey.

Residents in coastal cities in Chile started to evacuate Wednesday after officials in the fishing village of Dichato and in the city Concepcion warned of a possible tsunami and said they had one hour to leave low-lying areas. The evacuations were halted minutes later when the National Emergency Office said there was no tsunami warning.

Since Saturday's 8.8-magnitude earthquake, the region has suffered more than 120 aftershocks of 5.0 magnitude or greater, USGS Geophysicist Don Blakeman said. Eight of them have been 6.0 or stronger, he said.

The aftershocks further stressed a frightened population.

"The vast majority of the population, if not everyone at this moment, has some symptoms like anxiety, fear, depression," said Dr. Graciela Rojas, a psychiatrist at the University of Chile's clinical hospital. "I would say that the next three months will be a time of fear and sadness."

"Basically, we are all under great stress," Dr. Matias Gonzalez, a psychiatrist at the University of Chile. "People are afraid; they want to protect their families, and they function emotionally, not rationally."

The minister of public works said the country's major highways are open and no part of the country is isolated. In addition, Sergio Bitar said, air connections were being re-established, ports were being fixed, and food and fuel supplies were sufficient.

"There is public order," he said. "It was a giant earthquake, but we are handling it well."

But Chile's economy, considered by many the most competitive in Latin America, also has taken a hit.

About 70 percent of the nation's economic production has been affected, particularly fruit and mining sectors, CNN Chile said, citing analysts' observations.

But officials said Wednesday that they are working to fix some sectors affected by lack of electricity and other necessities. For example, Treasury Minister Andres Velasco said, about 60 percent of the nation's banks are open.

"Our economy has dealt very well with this situation," Velasco said. He and Bachelet tried to reassure Chileans that there were sufficient supplies of food, fuel and other goods and urged residents not to hoard.

CNN's David Ariosto and Tom Watkins contributed to this report.

@highlight

NEW: 19 people remain missing, official says

@highlight

Curfew remained in effect for third day in Concepcion, scene of worst looting

@highlight

70 percent of Chile's economy affected by quake, particularly fruit and mining sectors