(CNN) -- Abbas Khan's family had been preparing for a homecoming in Britain after learning that Syria's government was going to release him.

The 32-year-old orthopedic surgeon was arrested for entering Syria without a visa more than a year ago after volunteering to treat wounded victims of that country's civil war. After his mother personally pleaded with top Syrian officials to free him, they appeared to have relented. A member of the House of Commons, George Galloway, was planning to fly to Damascus to bring him home on Friday.

Instead, his family was told that Khan was dead by his own hand, found hanging in his cell -- a report his brother called "absolute slander" Tuesday.

"All the signs were that they were teeing him up for release ... and now somehow, in a shroud of mystery, he's just hung himself," the brother, Shah Nawaz Khan, told CNN. "It makes no sense."

Their grief came as Syrian government aircraft pounded the city where Khan was arrested for a third day, killing more than 70 people, opposition activists reported.

Khan had been volunteering in Aleppo, the country's largest city, when he was taken into custody in November 2012, his brother said. He had always wanted to put his medical degree to work for relief agencies, and began working with a charity in Turkey that summer, his brother said.

"There's no suggestion he was there for anything other than just humanitarian causes," he said.

'I think he's been silenced'

Khan was on his second trip into Syria, having crossed the border through a checkpoint manned by the rebel Free Syrian Army when he was arrested, Shah Nawaz Khan said.

"It may be naive, but he understood some of the risks there, to help people on the ground there," he said. "He worked 40 hours nonstop, operating on critically injured individuals, saving the lives of women and children."

Then he "disappeared off the radar." His family learned of his arrest six months later via diplomats from India, their ancestral home, Shah Nawaz Khan told CNN.

His mother flew to Damascus, where she "rung every bell, knocked on every door and groveled" in an attempt to secure his release. Syrian officials eventually transferred Khan from military custody to a civilian lockup, where his mother was allowed to visit, Shah Nawaz Khan said.

He was emaciated and showed "clear signs of maltreatment," but his condition had improved before his transfer. He wrote letters home "almost every other day," the last telling them his release appeared to be in the works.

Instead, they were told Monday that he had killed himself.

"It's just trying to defend them against the indefensible," Shah Nawaz Khan said. "He's been summarily executed without trial or due process ... I think he's been silenced for whatever he might have to say."

In a statement posted online Tuesday, Galloway -- the fiery leftist and political celebrity -- said he had been working with Syrian officials for months to try to secure Khan's release and had been scheduled to bring him home from Damascus at week's end.

"I think we will have to wait for clarification on how exactly he died, but this is heartbreaking and devastating news for his family who have been working so hard for so long to secure his release," he said. "Particularly because his freedom had been agreed and he was due to return with me in the next few days. My sincere condolences go out to his family, whose pain is unbearable."

There was no immediate comment on Khan's death from Syrian government agencies.

From metropolis to battlefield

More than 100,000 people have been killed in Syria's nearly 3-year-old civil war, according to the United Nations. In Aleppo, the relief agency Doctors Without Borders said hospitals have been "overwhelmed" by casualties after waves of airstrikes using so-called barrel bombs: drums packed with explosives and shrapnel and dropped by helicopters.

"For the past three days, the helicopters have been targeting different areas, among them a school and the Haydarya roundabout, where people wait for public transport vehicles," said Aitor Zabalgogeazkoa, a Doctors Without Borders coordinator in Syria. "In both cases, there were dozens of dead and injured people. A dozen bodies were being lined up in front of three hospitals waiting to be recovered by the families."

By Tuesday, new attacks had killed 73 people, including five children, bringing the three-day toll to 212, according to the opposition Local Coordination Committees of Syria.

The state-run Syrian Arab News Agency did not explicitly mention the use of barrel bombs Tuesday, but said "armed terrorist groups were entirely eliminated" in several parts of Aleppo. State media often describes opposition forces bent out ousting President Bashar al-Assad as "terrorists."

Tuesday's carnage follows two days of intense bloodshed in what was once Syria's economic hub. At least 83 people were killed Sunday by aerial bombing in Aleppo, including 27 children, the LCC said. Another 56 people died there Monday from similar attacks, the dissident group said.

Entire buildings have been flattened in the blasts, the opposition Syrian National Coalition said.

U.S. State Department spokeswoman Marie Harf decried the alleged use of barrel bombs.

"We strongly condemn the latest development from over the weekend that the Assad regime has dropped barrel bombs in and around Aleppo, killing dozens, including women and children," she said.

"These bombs and the explosive materials contained within them further underscore the brutality of the Assad regime and the lengths they will go to attack and kill their own people."

Syria's descent into civil war began in March 2011, when Assad's regime forcefully cracked down on peaceful anti-government protesters.

CNN's Neda Farshbaf contributed to this report.

@highlight

British doctor's brother calls suicide report "absolute slander"

@highlight

Abbas Khan had been expected to return to Britain by Christmas

@highlight

He had been held since November 2012 for entering Syria without a visa

@highlight

Another day of "barrel bombs" pounds Aleppo; dozens killed