Hong Kong (CNN) -- A long way from the big-spending, flag-waving spectacle of competing U.S. presidential campaigns, a momentous leadership change is quietly unfolding in the world's second largest economy.

In November, thousands of specially chosen members of China's Communist Party will converge on Beijing for the 18th National Congress. There, they'll announce who'll fill the soon-to-be-vacant roles of president, vice president, premier and assorted chiefs of important government departments.

Ahead of the congress, CNN's Kristie Lu Stout sat down with three prominent China watchers -- Victor Gao, Hung Huang and John Pomfret -- to discuss the leadership change and their views on the fate of the country and its ruling Communist Party.

We preview some of the key issues in the discussion.

On China: Full show times

Lu Stout: There seems to be factions at the top, or a lot of discussions about factions at the top, of the Communist Party. You have the Jiang Zemin faction, the Hu Jintao faction. Is that overstated or is this the reality?

Gao: Many people from outside China tend to look at the Communist Party of China as a monolithic group of people. But in reality, it is not. First of all, personalities do matter. Secondly, these so-called political camps do exist. You have these people in higher positions, which belong to different traditions. You have different mentors, you have different associations. So this is what we call intra-party democracy in China.

Hung: I think its true there is diversity within the Party, but it is not the Party's intention to make it transparent to people who are not in the Party or to anyone who is not part of the very political elite. If there is conflict, the first reaction of the Party tends to be "close the doors, shut it off, don't let the public see it." So that's why its public image seems to be secretive, and a bit closed off and monolithic, but there is dissension within the party for sure.

Pomfret: So much of this stuff is based on guess work, because of the lack of transparency about the internal functions of China. But you'll see it; these struggles manifest themselves in policy statements. And that's done actually relatively publicly.

Do you live in China? Share your stories of daily life with CNN

Lu Stout: So your thoughts on presumptive leader Xi Jinping -- a so-called princeling, or son of a revolutionary leader. How was he able to rise to the top? And how will he fare as China's next president?

Gao: He had a very unique career path (with) experience in four provinces and cities -- Hebei, Fujian, Zhejiang, and Shanghai -- in addition to his very unique and extraordinary experience at the Central Military Commission. In addition to that, when he was in a civilian position, Xi kept his associations with the Chinese military through various ways: serving in the reserve forces, taking up leadership of the provincial garrison, for example. So that sets him apart from almost all the current civilian leaders in China.

Hung: I think him having the pedigree is actually a plus; that gives him a lot more leeway in terms of bringing about changes. But nobody knows whether he sees it that way or whether he will take the step, and whether politics will allow him to do it. I mean, there are just too many things in the balance. But what he's stepping into is a historical period, which actually make changes possible.

Pomfret: Clearly he has a strong personality, much stronger than the previous leadership. How he uses that personality to his benefit or to China's benefit, I think it's an open question.

Read more: China's next leaders -- Who's who

Lu Stout: What do Chinese -- especially young Chinese -- want? Is it freedom, democracy, political reform, or apartment, car and economic stability?

Hung: I think they want both.... They do expect change for the better, more liberal, better reforms in the political system. But they are not basically saying we have to have certain elements that are modeled after a particular Western government.

Lu Stout: So there is this expectation for change... What does that mean for the Communist Party of China? Will it stay in power? What is its fate?

Gao: I think that the Communist Party of China will remain the ruling party for many years, if not for many decades, to come. However, that doesn't mean that there will be no increasing amount of democracy or democratic participation. I think participation in the government, monitoring of the government, supervision of the Communist Party by other democratic parties and by the population in general will increase. It may not be the same as in the United States or in Britain or in European countries etc., it will be very much of Chinese characteristic, and that will set China apart from other developed countries for decades to come.

Hung: I think the Chinese Communist Party will also continue to be the ruling party, but I think it needs to hear the people, and hear what they are saying, what they need and meet some of their demands, in order to do that.

Pomfret: I generally agree, but I also think that from 1949 when China had its revolution until today, the Communist Party has actually been the main source of instability in China, and that when the party changes direction it causes enormous suffering in this country. So if we see significant fractures in that top echelon (of the Party), I think all bets are off. If they do not remain united, they're going to sink together. If they are united in terms of pushing China forward and listening to the increasing demands of their people, or some type of political opening, they will be in charge for decades to come.

@highlight

"On China" panelists discuss China's upcoming leadership transition

@highlight

Three China experts give their views on Party factionalism and presumptive leader Xi Jinping

@highlight

China's Communist Party due to meet in early November to announce new leadership

@highlight

"On China" is a new monthly show hosted by CNN's Kristie Lu Stout