(CNN) -- Secretary of Defense Chuck Hagel has fired a shot across the bow of business-as-usual at the Pentagon by announcing significant cuts in the U.S. Army.

Trimming the active component of the Army from 580,000 to 450,000 would hardly take us back to the interwar Army of 280,000 that gave birth to great wartime leaders like Dwight Eisenhower, George C. Marshall, George A. Patton or Douglass MacArthur, but it still represents a significant reduction in manpower.

It undoubtedly will start World War III on the Hill and among other elements of what Ike referred to as our "military-industrial complex," but Hagel should hold the line as the time is ripe for an audacious move on this front. He should stand by these cuts for three reasons:

First, if we are serious about trimming federal spending, the Department of Defense and the military can't be exempt from the budget fight. According to The National Priorities Project, only 30% of the federal budget is made up of discretionary spending, and of that fraction, defense makes up nearly 60% of what we might possibly trim.

While modern weapons systems have astronomical price tags, the dirty secret is that one of the biggest lines in the Pentagon's budget is personnel costs -- primarily salaries and health care -- that constitute 26% of the Defense Department's 2014 request of $527 billion. Given that the Army is the most manpower intensive of our services, it is inevitable that it will have to bear the brunt of these cuts.

Second, after two long and inconclusive wars in Iraq and Afghanistan, it is unlikely that the American public would rally round the flag for another major exercise in nation-building and counter-insurgency.

Get real, Hagel tells nation in proposing military cuts

The sort of military missions the public is likely to support -- special operations-led counter-terrorism strikes, remote-controlled drone campaigns to mop up al Qaeda and indirect military assistance to beleaguered allies -- do not require the hundreds of thousands of boots on the ground that swelled the ranks of the Army over the past decade. Indeed, for the foreseeable future, the services most likely to constitute the tip of the spear for U.S. military missions will be the Navy and the Air Force, whose personnel requirements for missions to keep the peace between China and its neighbors or wage drone and cyber wars are unlikely to be very large.

Finally, the dark cloud of large-scale defense reductions may have a silver lining: Bold budget cuts constitute opportunities to subject old and obsolete ways of doing business to the sort of "creative destruction" that economist Joseph Schumpeter thought was the genius of capitalism.

Although the analogy is by no means perfect, military historians have chronicled instances in which periods of deep budget and manpower cuts have produced great periods of strategic innovation. The German military after World War I and the U.S. military after Vietnam are two examples of organizational adversity leading to strategic quantum leaps.

Gov. Haley: Cuts to National Guard a 'slap in the face'

Cuts of this depth will undoubtedly force the United States to further trim its military presence overseas. Iraqi President Nouri al-Maliki already showed us the door with his refusal to sign a status of forces agreement covering the small number of residual forces we had hoped to leave in his country. Afghan President Hamid Karzai is turning out to be equally inhospitable.

But there is significant U.S. Army presence in Europe and Korea. If we had to choose, we could more safely draw down further on the continent than we could on the Korean Peninsula. Aside from a possible land war in Korea, most of our strategic pivot to Asia is in response to possible Chinese naval challenges which do not require much ground power.

Such deep cuts will be painful -- both politically for the administration and directly for our men and women in uniform -- and so should not be implemented cavalierly. On the other hand, to paraphrase Napoleon, if we want to make significant cuts, we should "do it energetically and with severity. This is the only way to make it shorter, and consequently less inhuman." Our military and our country will be better off in the long run.

The opinions expressed in this commentary are solely those of Michael Desch.

@highlight

Secretary of Defense Chuck Hagel announced significant cuts to the U.S. Army

@highlight

Michael Desch: Defense Department, military can't be exempt from budget cuts

@highlight

Desch: Personnel costs are huge; Army has most members so will bear the brunt

@highlight

He says drone attacks, special op warfare are the future, not "boots on the ground"