Off Chatham, Massachusetts (CNN) -- Calling all great white sharks in the waters off Cape Cod: Please report to Chatham to be measured and tagged by scientists.

Researchers are combing these waters for sharks, with the goal of reeling them in, studying them and fitting them with transmitters -- all in just 15 minutes per shark.

When CNN visited the 126-foot Ocearch ship at sea this week, the crew had not yet caught a shark despite a week of looking. But they hoped that their patience would be rewarded, as it was last summer with two live captures.

Once the scouts find and hook a shark, it is guided to the ship and led into the cradle of a submerged "sharklift." The fish is not sedated, so the wranglers have to be careful to avoid being slashed by its sharp teeth or struck by its powerful tail.

The goal of such adrenalin-stoking captures: to gather data to better understand what sharks do, where they go and how they live.

"Up until now, the only big sharks I've been able to examine up close and personal have been dead," said scientific leader Greg Skomal of the Massachusetts Division of Marine Fisheries. "This vessel allows you to take it to the next level: bring big fish on board and do multiple studies on live fish."

Not a toy: Shark found on New York subway car

Ocearch fishing master Brett McBride's job is to jump into the water and guide the shark into position. He said the fish don't usually thrash around or try to bite him, but it's clear from videos of past captures that the giant predators can still be active and unpredictable.

When he's bringing a shark in, McBride said, he is not focused on fear but on keeping his distance, monitoring the health of the fish and getting the work done quickly.

"I'm not a thrill-seeker kind of person," McBride said. "This has been my whole life, being around animals like this and being in the ocean."

Shark Week special: best places to swim with sharks

He puts two gushing hoses into the mouth of the fish to keep a crucial flow of water over the gills. Then he puts a heavy towel over its eyes to help calm it down.

Another worker holds a line looped around the tail, which serves as an early warning system in case the fish is about to whip its tail.

Once the 75,000-pound custom sharklift scoops the fish out of the water, the scientific team goes to work.

They take blood, tissue and fin samples. They take an ultrasound if the fish is female in hopes of finding a pregnancy. They also record any parasites or contaminants the shark may carry.

The workers also attach several transponders to measure and transmit tracking data such as the shark's location, depth, and how it swims. Some transponders are attached by drilling holes in the dorsal fin; others are surgically embedded in the abdomen. Then the fish is set free.

The transmitted data is posted on the Ocearch global shark tracker website, which displays the current location of each shark. For example, it shows that "Mary Lee," a shark the researchers tagged off Cape Cod last year, has since been up and down the coast, from Long Island to Georgia and South Carolina; it even made a quick trip to Bermuda.

Discovery Channel defends dramatized shark special 'Megalodon'

Skomal says he is fascinated by everything about sharks: their sleek shape, their effortless swimming, their strength, and of course, their powerful jaws and famously sharp teeth, serrated to cut into big animals such as seals.

Hundreds of seals gather in Chatham harbor and on the Cape Cod shoreline, barking and snuffling, harrumphing across the sand, and their whiskered faces pop out of the surf. It is their plentiful numbers that draw the great white sharks to this coastline, which also draws many beachgoers.

Skomal says the purpose of all this scientific work is both to improve public safety and conservation.

Ocearch -- whose mission is to study and preserve marine life, especially sharks -- says that in areas like Cape Cod, where shark sightings often force beaches to close during the height of summer, beach managers could use the tracking data to understand how sharks move and make beaches safer.

Expedition leader Chris Fischer says that when it comes to the threat sharks pose to humans, their reputation is worse than the reality.

"These animals are very skittish, very nervous and don't want to really be around people at all," he said.

Experts note that while sharks might kill a half dozen people per year, people kill tens of millions of sharks.

When it comes to conservation, the Ocearch scientists hope that their data about the travels and behavior of a threatened animal could help inform decisions about managing and protecting it.

Skomal says great white sharks are an extraordinary and irreplaceable animal.

"Sharks are a critical component. They're the top predators. If you remove those top predators, then something on which they feed may come out of balance," he said. "You get this cascade of effects that ultimately causes real problems - not only for the ocean, but also really for man."

@highlight

Shark researchers seek to temporarily capture the fish off Massachusetts to collect data

@highlight

Hooked sharks are guided into a "sharklift," where scientists take samples, attach transponders

@highlight

The sharks' movements are monitored on non-profit's website

@highlight

The information can be used to improve public safety, protect sharks, researchers say