(CNN) -- South Korea's first female president Park Geun Hye will take office on Monday in the shadow of two giants -- the first is the specter of a nuclear-armed North Korea and the second is the legacy of her father, former military dictator Park Chung Hee.

The daughter of the assassinated strongman of South Korea, Park, 61, will be sworn into Seoul's presidential Blue House promising a conservative policy of "trustpolitik" with its volatile northern neighbor -- a concept that emphasizes what she has called "mutually binding expectations" between the two sides.

The policy stands in contrast to that of former President Lee Myung-bak, who demanded an end to Pyongyang's nuclear arms program as a condition of economic aid.

His hard line stance came under fire towards the end of his tenure for having achieved little, and for even having further strained relations between the two Koreas.

It's hoped that Park's softer carrot-and-stick approach will tease concessions from Pyongyang at a time when relations have reached an all-time nadir.

In 2010, the North shelled the South Korean island of Yeonpyeong leaving two marines and two civilians dead. Pyongyang claimed Seoul provoked the attack by holding a military drill off their shared coast in the Yellow Sea.

That same year, North Korea was also accused of sinking a South Korean warship, killing more than 40 sailors. The incidents caused widespread anger in the South.

"As one Korean proverb goes, one-handed applause is impossible. By the same token, peace between the two Koreas will not be possible without a combined effort," Park told Foreign Affairs magazine before winning December's elections.

"For more than half a century, North Korea has blatantly disregarded international norms. But even if Seoul must respond forcefully to Pyongyang's provocations, it must also remain open to new opportunities for improving relations between the two sides.

"Precisely because trust is at a low point these days, South Korea has a chance to rebuild it. In order to transform the Korean Peninsula from a zone of conflict into a zone of trust, South Korea should adopt a policy of 'trustpolitik,' establishing mutually binding expectations based on global norms."

Fiscally conservative and advocating tax cuts for business to boost investment and jobs, Park also has plans to restructure welfare programs and boost the country's flagging birth rate.

Regarded as a cold and somewhat distant figure, the 61-year-old president-elect is no stranger to politics and personal tragedy.

Although she was well-known in South Korean politics -- she was effectively the de facto first lady after North Korean agents killed her mother in 1974 -- Park only launched her political career in 1998.

In the wake of the disappointments of the 1997 Asian Financial Crisis, she took a seat in the National Assembly on a wave of nostalgia for her father who was assassinated in 1979. Park -- one of the founders of modern Korea who assumed power in a coup d'etat -- was shot by his own intelligence chief.

The memory of Park Chung Hee still divides South Korea -- some regard him as the cornerstone of South Korea's present prosperity, others as a dictator who ignored human rights and crushed dissent.

While she has apologized for human rights violations during his rule, Park has been criticized for not doing enough to distance herself from his legacy.

Park, who is unmarried, has won plaudits for being the first woman to win an election in a deeply patriarchal South Korea.

"I have no family to take care of and no children to pass wealth to. You, the people, are my family and your happiness is the reason that I stay in politics," Park told a press conference after winning the election.

However, David Kang, professor of international relations and business at the University of Southern California, told CNN her long-held position as a star in the firmament of South Korean politics may have carried more weight at the polls.

"That a woman could be elected in South Korea is historic and important. At the same time, what you basically have to do is be political royalty. I think gender roles are changing in South Korea. It's a step forward, but let's also remember how unique she is as a person."

While relations with North Korea play better overseas than on the domestic stage, where many voters are now inured to the daily threats that emanate across the border, analysts say Park may be better equipped than her predecessor at coaxing concessions -- especially in its nuclear program -- from the North.

Park visited Pyongyang and met with former leader Kim Jong Il in 2002.

She is considered among a small coterie of South Korean insiders who have the confidence of Pyongyang, and analysts believe Park will pursue a policy of economic concessions with the North, promoting commercial ties and promoting trading zones in a bid to ease tensions.

@highlight

South Korea's first female president Park Geun Hye will take office on Monday

@highlight

She has promised a conservative policy of "trustpolitik" with Pyongyang

@highlight

Park is fiscally conservative and advocates tax cuts for business

@highlight

She is the daughter of military dictator Park Chung Hee who was assassinated in 1979