(CNN) -- Dangling from the top of a 20 meter mast while bouncing along the open waves would test even the most hardened sailor's stomach.

If the vertigo doesn't rattle you, the mast lurching at a 45 degree angle will. Then there's the real possibility the whole boat could capsize under the strain -- plunging you deep under water with it.

But for maritime photographer Kos Evans -- who pioneered the hazardous art of masthead photography and bagged some of sailing's greatest images in the process -- it's all part of the day-job.

The extraordinary pictures, taken from masts up to 10 storeys-high, capture sailors the size of ants scuttling around on sleek white decks, surrounded by churning ocean and enormous rippling sails.

Looking back at a career that now spans over three decades, Evans recalls the reaction to her first foray into masthead photography in the early 1980s.

"The pictures were incredible because no one had taken a photo from that angle before," she said. "A lot of guys wouldn't do it, so there was admiration and respect for the fact I was trying something new. The media completely pounced on it."

An exhilarating oeuvre of images followed, and Evans has since been shortlisted for the prestigious British Sports Photography Awards, British Nautical Awards and exhibited at London's Getty Gallery.

With a new book, set to be published in January, chronicling in vivid detail the work that has made her a household name in sailing circles, it's funny to think that it all began as little more than a dare.

After graduating from the London College of Printing with a degree in photography, Evans landed a dream job taking pictures aboard British yacht Victory, during the 1982 America's Cup.

It was a joke by the crew that first prompted her to shimmy up the 24 meter mast.

"They thought it would be quite funny to send me up the mast to get me out of their hair, as I'd been photographing them day-in-day-out for a few weeks," Evans writes in the upcoming book.

Little did they realize the young woman was well up to the challenge, having been raised in a sailing family and yachting since the age of three.

"Once at the top I started shooting, but my feet kept swinging into frame and I had to find ways of wrapping my legs around the mast so I could virtually hang upside down and not fall out of the bosun's chair."

The result was a remarkable image of the vibrant white, blue and yellow sail billowing around the seemingly tiny deck, later used as the poster for Victory's America's Cup campaign.

"Kos is known for her spectacular shots -- whether they be from the top of the mast of a racing yacht or at incredible angles within the water. She brings the colors to life and manages to capture yachts and yachting in the right moment," said Jamie Edmiston, managing director at international superyacht charter company Edmiston.

"In an industry that was largely dominated by men she carved out a highly respected position and reputation," she added.

Capturing such striking images comes with its dangers, as Evans discovered in the early 1990s when the yacht she was photographing capsized while she was at the top of its 18 meter mast.

She had been presenting a television show when the skipper lost control of the yacht.

"We were down in seconds," said Evans. "Fortunately one of the crew had cut the rope [attaching me to the mast] so I was able to pull myself away. To this day I always carry a knife with me."

When not otherwise clambering up the world's tallest sailing ships, the award-winning photographer can be found hanging from a helicopter in a harness traveling 160 kilometers per-hour in hot pursuit of Powerboat World Champion competitors.

Not content with aerial acrobatics, the ballsy Brit has also carved a name for herself as an accomplished underwater photographer, diving six meters below the surface to capture yachts silently slicing through the waves in the annual Maxi Yacht Rolex Cup.

It's this volatile environment that keeps Evans coming back again and again. "I love the color and drama of sailing -- the human endurance in unpredictable conditions."

"I've never seen myself as a daredevil, my drive has always been trying to find a different image, something that hasn't been done before."

When asked if she believed she was indeed the pioneer of masthead photography, the answer is straightforward: "Absolutely. 100%."

Judging by her plethora of dizzying images, it would be a tall task finding another photographer who could claim that hard-earned title.

@highlight

Sailing photographer Kos Evans pioneers innovative masthead genre

@highlight

Climbs 10 meter masts in pursuit of breathtaking photographs

@highlight

Also took stunning underwater shots of massive racing yachts

@highlight

New book chronicles influential 30 year career, including some close calls