(CNN) -- The leaders of the world's arguably two most powerful nations are due to meet Friday in southern California. President Barack Obama of the United States and President Xi Jinping of China will hold talks that could shape relations between Washington and Beijing for years to come.

"This is an attempt to set out the ground rules for how our two countries will work together in the 21st century," said Kurt Campbell, who recently served as U.S. assistant secretary of state for East Asian and Pacific Affairs.

Officials in Beijing are also trumpeting the potential importance of the event, the first time the two leaders have met in person since Xi became China's paramount leader.

The meeting is of "profound historic and strategic significance," Hong Lei, a spokesman for the Chinese foreign ministry, said Thursday.

The setting of the meeting, in the Sunnylands estate outside Los Angeles, is unusually informal and a far cry from the elaborately choreographed summits typically held between Chinese and American leaders.

"This is the first time in 50 years that leaders will sit down, somewhat unscripted, to have a real conversation about our relationship," Campbell said in an interview with CNN's Christiane Amanpour. "It's long overdue and important."

Hacking allegations

The issues of cybersecurity and North Korea are expected to top the agenda.

The United States has recently become more vocal about linking cyberattacks on American businesses and government agencies to Chinese authorities. The attacks allegedly to involve attempts to steal secret military and corporate technology and information.

Beijing has repeatedly denied the accusations, saying that hacking is a global problem, of which China is also a victim. But the chorus of voices arguing that the Chinese stance is untenable is growing.

"In the past, rogue behavior such as cybertheft may have provided a shortcut to greatness," the editorial board of the Washington Post wrote this week. "But no longer. If China fails to evolve toward more responsible behavior both abroad and at home, a backlash that is already forming in the United States and among its neighbors will swell."

Some observers, however, have noted that Obama will have to raise cybersecurity and spying issues with Xi against the unflattering backdrop of recent reports alleging widespread surveillance of phone and Internet data by U.S. intelligence agencies.

North Korea

The two leaders may make progress on the North Korea question, according to Campbell.

"I think the Chinese have just about had it with North Korea," he said. "They recognize that the steps that they have taken -- nuclear provocations -- are creating the context for more military activities on the part of the United States and other countries that ultimately are not in China's best strategic interests."

Tensions spiked on the Korean Peninsula in March and April as the North unleashed a torrent of dramatic threats against the United States and South Korea. The menacing rhetoric came amid U.S-South Korean military drills and after the United Nations had stepped up sanctions on Pyongyang in response to the latest North Korean nuclear test in February.

The U.S. officials called on China, North Korea's key ally, to rein in the provocative behavior of Kim Jong Un's regime.

The situation in the region has become calmer in recent weeks. The clearest sign of a possible thaw in relations came Thursday when North and South Korea agreed to hold talks about reopening their shared industrial complex that Pyongyang shut down in April.

OPINION: What Obama should tell China's Xi about North Korea

Previous meeting

Friday isn't the first time Obama and Xi have met. The two leaders held talks in Washington last year, while Xi still held the title of vice president.

During that visit, in addition to the more formal engagements, the Chinese leader visited a small town in Iowa, where he had stayed in the 1980s, when he was a provincial official.

He also took in a Lakers game in Los Angeles.

OPINION: 'AmeriChina' looking for trust at the top

Rights group: Obama must turn up the heat on Tibet

@highlight

Obama and Xi are meeting at an estate outside Los Angeles

@highlight

The setting is less formal than traditional summits between top leaders

@highlight

Observers say it is a chance to set the agenda for future U.S.-Chinese relations

@highlight

Cybersecurity and North Korea are seen as the key issues