(CNN) -- In the not-too-distant future, you'll receive a full diagnosis and cure from your smartphone before you have even realized you're unwell. While this may seem like science fiction, it's on the cusp of becoming a reality. Digital is set to embark on a path of radical transformation in the health and wellness sector and in doing so it will help us to overcome some of the most significant challenges we face in health care.

We have an aging society and as elderly people account for a larger share of the population, the prevalence of long-term health problems will increase. This will cause a bigger cost burden and pressure health systems to accommodate an aging workforce.

Furthermore, lifestyle-related chronic health problems, including obesity and diabetes, are on the rise with dramatic implications for health service budgets. The cost of supporting these demographic trends is unsustainable but digital services are likely to be part of the solution society is looking for.

Tell us: What's your dream smartphone feature?

One trend that's captured the imagination of many is "body hacking" or understanding the "quantified self." Whether it's an app tracking your dietary intake or a wearable band counting the physical activity you undertake each day, these devices provide you with the tools to understand your health immediately based on the data your body has provided.

Every individual can benefit from better access to information about their bodies and greater awareness leads to better understanding of the consequences. Little by little this starts to change behaviors.

The growth in availability of portable and highly connected health devices will drive an expectation in society to be aware of our own health and more pro-active in the lifestyle choices we make. People will use technology to prevent and diagnose disease, and in some cases, bypass the doctor's clinic by taking health care into their own hands, or at the least go armed to the doctor with helpful diagnostic information.

Our informed insight will mean that the doctor's role will change. They will become coaches, rather than a source of initial diagnosis. Self-diagnostic tools will empower doctors to monitor, prevent and treat medical conditions. One early example of this is the ECG attachment for the iPhone, which is already capable of producing medical-grade data.

Private health care organizations will tap into health applications and their capacity for diagnosis as a result, and will offer these widely to consumers. Your smartphone will come to know your body better than you know yourself and doctors will provide a health care service based on your measured behavior and key health indicators.

Imagine taking a picture of a rash or ailment with your mobile, uploading it to a diagnostic app and receiving a tailored diagnosis based on the information from the picture, coupled with your personal data that the mobile device has already collected. This is the private data driven future we are seriously looking at, both in developed countries with unsustainable health care costs, but also in countries where people do not have affordable access to health care.

Although self-diagnostic tools will encourage better knowledge of our health, this brings about a moral conundrum. Firstly, the value of these insights suggests that we will be happy to share our personal data but there is bound to be an element of suspicion. Secondly, if we understand our bodies and lower risk of illness, will the insurance industry reward those who have a healthy lifestyle and punish those who don't?

If healthy people are not rewarded with lower insurance costs for their lifestyles, would they argue that they are being penalized for the unhealthy habits of others? Where do we draw the line between what is a lifestyle choice and genetic illness that we have no control over?

Currently, health care systems focus primarily on chronic ill health, rather than the preventative measures of living a healthy lifestyle, but this may be the adjustment that both the health care system and insurance companies make as a result of digital health devices.

The ultimate health care applications will allow us to monitor our body and use the insight from that data to create an actionable, preventative health solution, such as an individual exercise or nutritional plan, in addition to devising a personal cocktail of medicine.

However, in order to ultimately take off, digital health services need to be designed so that they embed into current human behaviors. Devices that are uncomfortable to wear or don't provide simple explanations of data will not be adopted.

Usability is key: People want something intuitive and simple. Healthcare solutions must be designed with the user in mind, enabling people to arrive at actionable conclusions based on their personal data. With well designed digital health services and devices, individuals can take ownership of their own lifestyle behavior and health, which in turn will bring about significant economic and social benefits globally.

The opinions expressed in this commentary are solely those of Mark Curtis.

@highlight

Smartphones will soon be able to deliver diagnosis and suggest cures even before we know we're ill, says Mark Curtis

@highlight

"Body hacking" tools, such as wearable bands that monitor physical activity, will help improve our health awareness, Curtis says

@highlight

Medical monitoring technology will open new area of debate over privacy and the cost of health care insurance