(CNN)We have sparred privately and publicly on a range of issues on any number of occasions. But on this one, we both agree: government should -- and can -- play "Moneyball."

"Moneyball for Government" grew out of the approach pioneered by Billy Beane, former general manager of the Oakland Athletics baseball organization, who transformed baseball by using data to build championship teams with a limited budget. His story was told in the book by Michael Lewis and the 2011 movie.

During the 2012 presidential election, a full 15% of voters surveyed said that the federal budget deficit was the most important issue facing the country. That was three times the number who cited foreign policy as their top concern and only narrowly behind those who named health care. Leading up to the 2014 midterm elections, 80% of respondents in a Gallup poll indicated that they worried about the federal budget deficit a great deal or a fair amount.

There's no question: how to spend government revenue more effectively is very much on the minds of the American people -- Democrats and Republicans.

The past few years of debt-ceiling standoffs, midnight "fiscal cliffs" and a government shutdown have meant that -- far from thoughtfully considering how we're spending taxpayer dollars -- we lurch from crisis to crisis, stopgap to stopgap, kicking the can still farther down the road. This is a problem for both parties; if that skepticism hardens, many members of Congress can expect to lose their jobs.

In that sense, Moneyball, the devotion to using data and evidence to achieve more efficient results, represents an opportunity for Democrats and Republicans to work together in a serious, thoughtful and measured way without forcing either side to step on political landmines. But opportunity does not mean guarantee. There will still be obstacles for both political parties and some degree of tentativeness on the part of skeptical officials. But we believe these challenges can be overcome.

But what about the tea party? It would never go for this, would it? This skepticism grows out of a common view among Republicans -- within and beyond the establishment -- that the tea party, and by extension the Republican base, is reflexively anti-government. Not just in some cases, but in all cases.

Republicans are right to listen to the base, to recognize its power, to stop assuming that incumbency is still an advantage. The problem is, they aren't really listening to the base as a whole -- just to its loudest voices. In doing so, they risk drawing conclusions about a range of policies, including the Moneyball agenda, that are, frankly, incorrect.

It is a severe misdiagnosis of the tea party's recent influence to conclude that it is simply anti-government. Instead, there is a large swath of voters opposed to inefficient government, wasteful government and unaccountable government. Their concerns are valid -- quite often provable -- and they deserve to be heard.

Nuanced analysis reveals that Republicans have a great deal to gain by focusing their political messaging -- and policy agenda -- on "efficient government" rather than on being "anti-government." The GOP should talk about keeping programs in place that work as intended and having the courage to cut those that don't. Republicans should demand high-quality evidence before any new program is created, and Republicans should insist that all discretionary spending be subject to evaluation to determine whether it is having an impact.

Republicans who support the Moneyball campaign can then run on having the bravery to make the tough decisions to defund or discontinue programs that aren't working or haven't met standards or don't demonstrate positive trends toward success.

Democrats' biggest political risk -- and thus the biggest progressive obstacle to implementing evidence-based policy making -- is that they are being thrown a Republican curveball. But, the truth is, Democrats have long been strong proponents of improving the way government works. President Bill Clinton and Vice President Al Gore led a "Reinventing Government" movement in the 1990s. Elected Democrats across the country are using data and evidence to make tough choices and get better results.

We know that this is about more than just dollars and cents; it goes to the core of the values that define what it means to be a Democrat.

Democrats care about making people's lives better, care about lifting people up and care about reducing injustice and expanding opportunity. Democrats are optimists who believe that even the most intractable problems can be solved, and believe unapologetically that government can play a positive role in solving them.

This is what "Moneyball for Government" is all about. It's about making sure that we are doing right by the people we've committed ourselves to serving. It's about making sure that our values aren't just articulated in our efforts but in our outcomes, and that we can actually say that we are delivering on our promises.

So will overcoming these deep-seated political barriers be easy? Hardly. The two of us have spent too much time in the trenches to believe that all of our partisanship would magically disappear if we employed a Moneyball approach; some disagreements on values are sure to remain. But we've shown that there is a way for the Republican Party to make government work better while also limiting its explosive growth. There is a way Democrats can ensure they won't be conned into dismantling programs that we know can accomplish so much good. There is a way forward. Now it's up to all of us to seize it.

@highlight

Kevin Madden, Howard Wolfson: Government should borrow "Moneyball" idea from baseball

@highlight

Both parties should be able to agree on the need for efficient government, the writers say