Berlin, Germany (CNN) -- There are few cars in the world where the difference between driving them and watching them being driven is greater than with the Trabant.

It's a cute little car. Its two big, round headlights look almost like innocent eyes staring back at the beholder. And its tiny frame seems so fragile that all other drivers give you the right of way when you're taking a spin around town.

But driving a Trabant is an adventure, to say the least. As pedestrians smile and take selfies in front of the car, you will be locked in a constant battle just to keep the vehicle on the road.

Slipping behind the wheel of a Trabant is sort of like squeezing into a sleeping bag -- especially when you're 6 feet 5 inches tall, like me. Getting the engine started is half the battle -- the car immediately stalls if you take your foot off the gas -- and the brakes pretty much don't work at all.

Take all these factors together and a trip in stop-and-go traffic quickly becomes nerve-wracking torture. You're thrilled when you've finally reached your destination, and the car can once again become the eye-catching backdrop of a myriad of photos snapped by gawking tourists.

Nevertheless, the Trabant has been an icon to Germans ever since the tiny Communist-built cars started rolling across the border between what was then East and West Germany in 1989. There have been movies about the car, where it is depicted as an underdog in races -- almost like the American films about "Herbie" the Volkswagen Beetle.

The Trabant is so significant that CNN Berlin just had to get one for our coverage of the 25th anniversary of the fall of the Berlin Wall, and it quickly became one of the centerpieces of our coverage.

We looked on the internet and found that there are few "Trabis" left. The ones for sale were being offered up not for driving, but for spare parts. When we finally found one that had somehow managed to pass its latest driving inspection, we snapped it up immediately.

The Trabant, produced in Communist East Germany by the government-run conglomerate VEB Sachsenring from 1957 till 1990, was flawed from inception. A few tweaks were made to the design in 1962, but fundamentally the car never really changed. The Trabi's frame is made of cheap PVC plastic -- a material the Germans nicknamed "racing cardboard" -- and its tiny frame houses a 26 horsepower, two-stroke engine that runs on a mixture of oil and gasoline.

We needed a good concept to make our Trabi -- a 601 S station wagon -- the corner stone of our "Fall of the Wall" coverage, so we hired the artist Martin Raumberger to give the car a makeover. He focused on three themes: Berlin, CNN, and the fall of the Berlin Wall.

Martin did an amazing job. He sketched several of Berlin's most famous symbols on our Trabi, including the broadcast tower and the Brandenburg Gate. He also drew a tree of people breaching the Berlin Wall, a symbol of human life penetrating and destroying the anti-human barrier that separated East and West Germany.

The longest part of the Wall still standing today (the East Side Gallery, for instance) is an open air museum, a living piece of art covered in graffiti. Thousands of people have scrawled their names on the Wall with permanent marker. We decided our Trabi should be no different.

We asked people from all over the world to sign the car with their names and hometown, and the reaction we got was amazing.

On November 9 thousands of people crowded around our car to sign it, draw on it, and take their picture with it. At some point the authorities asked us to stop because the crowd grew so large that it was blocking the bike path and the street at the East Side Gallery.

Now that the celebrations are over it is time to decide what to do with the CNN Trabant next. It has turned into a real work of art by Martin Raumberger and all those who signed their names on it.

I certainly will miss our little Trabant, but I will not miss driving it!

@highlight

CNN's Frederik Pleitgen takes the iconic German Trabant car for a spin

@highlight

The cars rolled across the border between what was then East and West Germany in 1989

@highlight

CNN hired the artist Martin Raumberger to give the car a makeover

@highlight

Thousands of people crowded around the car to sign it, draw on it, and take their picture with it