(CNN)The United States has gained much from its position as a space-faring nation. Indeed, U.S. access to space has provided incredible benefit to U.S. national security, defense and the economic well-being of the nation. And in order to effectively confront current and future conflicts, combat terrorism and counter the proliferating threats worldwide, our military depends on space-based capabilities, including intelligence, GPS, and communications satellites.

Unfortunately, as global threats increase and the need for assured space access accelerates, the U.S. is faced with a troubling reality -- we are far too reliant on Russian technology to meet our national security obligations.

How?

For a start, we depend on the Atlas V rocket, which carries many of our most important satellites and is powered by the Russian-made RD-180 rocket engine. The fact that we rely on Russia, currently under sanctions for invading a sovereign nation, should reinforce the need for a change in our current course.

Assured access to space is an area where the U.S. should not be reliant on nonsecure foreign supply chains, which are subject to disruption, threats, unfavorable contracts and undue leverage against the interests of the U.S.

The Ukraine crisis should have served as a wake-up call, highlighting the danger of dependence on Russia to launch national security satellites into space. And the United States should play no part in supporting the defense industry of a country that continues to abrogate the sovereignty and territorial integrity of its neighbors. Simply put, it is bad policy to rely on others for critical national security requirements, and worse policy when this reliance supports countries taking action in direct contradiction to U.S. national security interests.

Dmitry Rogozin, a Russian Deputy Prime Minister in charge of defense and space industries, has called American taxpayer outlays for the Russian engine "free money" that goes directly back into Russia's missile modernization programs. It is high time the U.S. government turn to its existing domestic capability and turn off this flow of funds.

Fortunately, there are some signs of progress. Last year, Congress took bipartisan action to phase out reliance on the RD-180 engine by the end of the decade, and to transition to an all-American space launch capability. The defense authorization for fiscal year 2015 included restrictions on the future use of the RD-180 for the Atlas V, authorizing $220 million to begin development of a U.S. alternative. This was a wise move, but it's not enough. There are steps that the United States can take now to ensure our access to space and secure our comparative advantage in space -- and in the world.

True, development of a new launch system will take time; there are no overnight answers. However, a combination of existing capabilities and dynamic development of new capabilities by the private sector can serve as a foundation for eliminating any capability gap in the U.S. space program. Indeed, new entrants are coming online using launch vehicle systems fully designed and manufactured in America.

The two main launch competitors -- United Launch Alliance and SpaceX -- each have all-American systems, namely ULA's Delta IV family of rockets and SpaceX's Falcon 9. Having both options will put America on the path to fielding its indigenous space capabilities for the next generation, while strengthening a space industrial base weakened since the end of the Cold War.

The short-term goal should be to transition to existing American-manufactured launch vehicles, as opposed to phasing out systems such as the Delta IV, which continue to provide critical capability. In the long term, next-generation development programs should not involve major Russian subsystems and components.

It is time to end America's reliance on Russia's rocket engine. This would be good for national security, good for American innovation and the industrial base -- and good for our country's future.

@highlight

Mike Rogers, Ellen Tauscher: Access to space has benefited U.S. national security

@highlight

U.S. should not be reliant on nonsecure foreign supply chains, authors write