(CNN) -- People often ask me, especially after another young celebrity takes a fall, "How did you raise two talented artists, both wonderful fathers, who both do such good work in the world?" (One of my sons is the actor Matt Damon, the other, Kyle, is a sculptor). So many young stars seem to struggle and stumble under the pressure of their fame. Why do some handle it well while others go off the rails?

There's no simple answer to this question. A lot happens in our children's lives that we parents can't control. From the beginning, children come to us with different personalities and temperaments; they are born into different cultures and economic circumstances. But we parents are the most important influence in their early lives, and what we do affects how our kids learn to handle the stresses life brings, whatever paths their lives take.

One dimension of healthy childhood that gives kids a solid footing in life is having lots of child-centered play throughout the early years and even into grade school. Play is the most important vehicle children have for coping with life and making sense of it.

Matt played pretend games for hours every day for many years -- making up stories, taking on roles and re-working his experiences in creative ways. Not only did all this play help build a strong sense of inner security in Matt, it also built up his capacity to imagine, create and invent ideas.

I believe these years of child-centered play helped Matt become the actor and grounded person he is today. It is of great concern to me that there is less play in children's lives today than a generation ago. The hours spent in front of screens have replaced playtime outside school, and too much focus on academics and testing has eroded playtime inside schools.

When kids are confused or scared or they don't understand things, they work it out in their play. Using their imagination, they rework things until they feel some sense of mastery. This is kids' ongoing way of coping with life and it is crucial for building inner resilience and security.

That inner strength and resilience begins to develop at birth. It is first felt as a sense of trust in others -- adults who respond to cries of hunger and who can provide a home, safety and health.

As time goes on, kids start to carry that security with them on the inside. Security will grow or weaken in childhood depending a lot on how we adults relate to our children in everyday interactions. When we are too heavy-handed with our authority, kids often feel insecure or fearful. When we punish them or use threats and timeouts or other coercive tactics, they might try to obey on the surface, but they aren't building the inner strength and confidence that will be their moral compass when we are not there.

We don't really have to over-use our adult authority with children. We can work out most things with them -- listening to their feelings and needs and taking these into account as much as possible. When we listen to kids with our full attention and try to say back to them what we heard without judging it or giving our own opinion, they feel great trust in us and in themselves. And this kind of listening prevents many conflicts from escalating or from happening in the first place. Of course children need limits, but not the kind that are imposed by "Do as I say."

Recently I was walking on busy streets with my 5-year-old grandson Jake. He pulled his hand from mine. I asked, "You don't want to hold my hand?" "No," he said, "I want to walk by myself." I said, "How about this: On the sidewalk you walk alone and when we cross the street, you hold my hand, because there are so many cars zooming around." Jake nodded yes and took my hand when we got to the street. This simple example shows a way of being with children, of being on the same side with them, working things out with them -- something we can do almost all the time. It is a way of being that helps to strengthen children's inner security and confidence in their own ideas.

Schools are the other big influence in our children's lives. Children spend about half their waking hours in school and what happens there has a big part to play in the inner confidence and social responsibility they develop.

I sent my sons Kyle and Matt to a public high school where community participation, respect for differences, learning empathy and concern for others were part of daily school life. The school had an excellent drama program, another reason why I wanted to send Matt there.

All kids who wanted to participate in the school's stellar ensemble productions could. Matt wasn't a "star." He was on equal footing with all the other kids. Stardom can be confusing for a teen -- it's a time of figuring out who you are and how you fit into what suddenly seems like a much bigger world. Matt's high school drama experiences gave him a rock solid start in theater -- he worked hard at his craft and found delight and meaning in collaboration.

Matt Damon: Together we can solve the world water crisis

I believe that schools should be places not only for academic learning, but also where young people build confidence, a sense of self, and learn to become responsible citizens. It is one of the great tragedies of our day that our schools, excessively driven by data and standardized tests, have no time for activities that can't be tested. No time for the arts and play and the social and emotional learning that will help children handle what life has in store.

Although we parents can't control everything that happens in our kids' lives, we can do a lot to help them build inner security, confidence and a strong inner moral compass that will guide them through challenges they will face when we are no longer there. And our schools should build on this foundation. We should insist that our schools address not just academics, but the whole child -- so that all our children can become healthy and strong and enter adulthood as responsible and caring citizens.

The opinions expressed in this commentary are solely those of Nancy Carlsson-Paige.

@highlight

Nancy Carlsson-Paige, Matt Damon's mom, is often asked how she raised her children

@highlight

She says kids get a a solid footing in life with lots of child-centered play in the early years

@highlight

Parents can give children inner strength; she says. Tough punishment instills fear

@highlight

Carlsson-Paige: Schools must offer children arts, drama -- activities that can't be tested