(CNN) -- On Thursday, in response to widespread criticism, President Obama announced that the administration was delaying enforcement of the Affordable Care Act's insurance market reforms as necessary in order to allow insurers to renew coverage that does not comply with those reforms for individuals and small groups who have been covered in 2013.

This change was the President's response to a challenge that he had broken his promise, "If you like your health care plan, you can keep your health plan." But this promise has been seriously misunderstood.

The promise of the Affordable Care Act was never that if at some point in the future you found a health care plan you liked, you could keep it forever. Rather, it was: "Nothing in this Act ... shall be construed to require that an individual terminate coverage ... in which such individual was enrolled on the date of enactment of this Act." This promise has been kept.

The Affordable Care Act did, however, offer other assurances that are at risk of not being met. One was that people with pre-existing medical conditions who have been unable to purchase health insurance at an affordable price, or even perhaps to purchase it at all, would, as of January 1, 2014, be able to find affordable insurance that would meet their medical needs.

To fulfill this, health insurers were told that if they sold qualified health plans at affordable premiums without considering health status, they would get a sustainable mix of healthy and unhealthy enrollees.

But now, Congress is considering allowing health insurance policies that we being sold in 2013 to be sold throughout 2014, even though they violate the 2014 reforms.

The good news is that the Obama administration's fix does not go that far, only allowing the renewal of 2013 policies for 2014, and not the sale of new policies that don't comply with the law.

But even allowing the sale or renewal of 2013 policies in 2014 is a problem. Insurers have already set their rates for the exchanges based on the promise that they would be getting healthy and as well as unhealthy enrollees. If some healthy individuals instead opt for bargain-basement 2013 policies, insurers are unlikely to get premiums that will cover their costs in the exchanges.

Some insurers -- current market leaders -- may be able to survive for a year doing this. But new entrants, including the new cooperative plans backed by federal loans, may not survive. Insurers that lose money will be bailed out to some degree by the taxpayers through the law's premium stabilization programs.

But insurers will substantially raise their premiums for 2015 to protect themselves in case this happens again. The promise of affordable coverage for people with medical problems is therefore at risk.

It was clear from the beginning that there would be winners and losers under the Affordable Care Act. If insurance is going to be affordable for people who have heretofore been closed out of the insurance market, and if it is going to cover services that have not been covered before -- like equal coverage for mental health services -- it will cost more than it has in the past for those who have been blessed with good health and low premiums.

Is this fair? That's debatable. Perhaps it would be more fair for the public generally to bear the cost of insuring those with high medical costs, as we do with Medicare. But let us be clear. Individuals who are paying more for coverage in 2014 than they did in 2013 are not doing so because a promise was broken.

On the other hand, turning the exchanges into a high risk pool, and expecting insurers to cover exchange enrollees with premiums based on projections of a normal health insurance market, would break the real promise of the Affordable Care Act: That health insurance would be affordable to all Americans, regardless of whether they were healthy or sick.

The Obama administration's fix tries to steer a middle path. Whether it can clear the short-term hurdles to achieve its long-term goal remains to be seen.

The opinions expressed in this commentary are solely those of Timothy Jost.

@highlight

President Obama, in response to widespread criticism, offered a fix to Obamacare

@highlight

Timothy Jost: Allowing the sale or renewal of 2013 policies in 2014 is a problem

@highlight

He says real promise of Obamacare is affordable health insurance for all

@highlight

Jost: We'll have to see if the fix can clear the hurdles to achieve Obamacare's long term goal