(CNN) -- The Social Security Administration has just announced that beneficiaries will receive a 3.6% cost-of-living adjustment in January. The average retired worker will see a $512 increase in annual benefits -- from $14,232 to $14,744 -- though a portion will be offset by higher Medicare premiums.

Social Security recipients have had to wait two years for a cost-of-living adjustment, the first time this has happened since the COLA was introduced in 1975. This is because the COLA was relatively high in 2009 because of a temporary spike in energy prices the previous year, and this was followed by a period of low inflation as the economy languished.

With a super committee focused on cutting $1.5 trillion from the federal budget, you may wonder whether we can afford a 3.6% COLA. Some say the increase is overly generous (more on this in a moment). To understand why this is not so, you need to understand how the COLA works.

The Social Security COLA is based on the Consumer Price Index for Urban Wage Earners and Clerical Workers, or CPI-W. Oddly enough, the CPI-W measures changes in the cost of living for workers, excluding retirees and other Social Security recipients who aren't in the labor force. But this measure doesn't accurately reflect the cost of living for seniors.

Seniors have experienced higher inflation because they spend a greater share of their incomes on out-of-pocket medical expenses, and health costs have risen faster than overall inflation in recent decades. An index that specifically tracks the cost of living of seniors has risen roughly 0.2 percentage points faster per year than the CPI-W. Though this may not sound like much, the difference would amount to roughly $1000 more in annual benefits after 20 years if the COLA was tied to the price index for the elderly, as proposed by Democratic Rep. Ted Deutch of Florida.

But rather than increasing the Social Security COLA to keep up with escalating health costs, most inside-the-beltway discussions these days revolve around adopting a lower COLA as a way to help close Social Security's modest projected shortfall. The super committee may be considering such a move. This is a terrible idea for two reasons. First, Americans across the political spectrum prefer to restore balance through revenue increases rather than benefit cuts; and second, a COLA cut has the greatest impact on the oldest old, who also tend to be the poorest old.

A recent survey commissioned by the Institute for Women's Policy Research and the Rockefeller Foundation found that 61% of women and 54% of men supported increasing Social Security benefits. This isn't surprising when you consider that benefits are modest and replace a shrinking share of preretirement earnings even without additional cuts. Nor is this an anomaly: Polls have consistently found that Americans oppose benefit cuts and are willing to pay higher taxes to strengthen the program.

So what's the appeal of a flatter COLA for beltway budget cutters? It's a stealth benefit cut masquerading as a technical fix. The rationale is that the current price index overstates inflation because it doesn't fully account for the ability of consumers to change their buying habits in response to price changes. In other words, if the price of oranges goes up, people will buy more apples and fewer oranges, and this change isn't fully reflected in the CPI-W even though the consumption "basket" evolves over time to put more weight on apples and less on oranges.

The problem with this argument is that it doesn't look at the growth in costs actual beneficiaries face over time. Not only are seniors harder hit by escalating medical costs than the working-age population, but since they have roughly half the household incomes, they spend a greater share on necessities like rent and utilities. It's quite possible that the CPI-W actually overstates the ability of beneficiaries to substitute apples for oranges, or IPods for orthopedic shoes. If so, then a 3.6% COLA is not enough, not too much.

The opinions expressed in this commentary are solely those of Monique Morrissey.

@highlight

Social Security recipients will get a 3.6% cost-of-living-adjustment in 2012

@highlight

Monique Morrissey says it's overdue; others say it's too generous during these hard times

@highlight

She says COLA is based on inflation index for workers and doesn't show seniors' cost of living

@highlight

Morrissey: Calls to reduce COLA bad idea; polls show Americans support increase, not decrease