In what may be the epic battle of the summer, the White House and Republicans are assembling their armies and sharpening their bayonets for a political fight over the selling of Obamacare.

On one side is the Obama administration, which is preparing to carry out the president's landmark health care reform law. It sees success directly linked to his legacy.

On the other side are House Republicans, conservative groups, GOP governors and tea party affiliates. They are reading the latest polls and are determined to make the repeal or severe crippling of the Affordable Care Act their top priority before the 2014 midterms.

"It's a very important battle and both sides are trying to come out on top," said Julian Zelizer, a Princeton University historian and CNN contributor. "The first stage was about whether this passes or not. ... Now the battle is over implementing it and there are all sorts of ways Republicans are trying to cause problems."

Zelizer said Republicans have been aggressively promoting the program's problems in the past few weeks.

"And the administration feels the pressure," he said.

The next phase of the fight for the White House, according to administration officials, is a series of initiatives aimed at using social media, websites, on-the-ground efforts and targeting Spanish speakers and young people in particular to convince as many uninsured as possible to buy insurance when it becomes available on October 1.

"We've got to make sure everybody has good health in this country," President Barack Obama told Morehouse College's commencement ceremonies recently. "It's not just good for you, it's good for this country. So you're going to have to spread the word to your fellow young people."

Meanwhile, Republicans are continuing to whittle away at the law's impact and are hoping that Obamacare's failure could become a rallying cry.

"It's going to be an issue in the 2014 midterm elections," said Sally Pipes, president and CEO of Pacific Research Institute, a conservative-leaning think tank and author of "The Truth about Obamacare."

"When 2014 comes and the percentage of Americans that have employer-based insurance find out they could lose their insurance and be dumped into an exchange there will be an uproar," Pipes said.

Here's a glimpse into each side's playbook and the tactics they hope will win:

What the administration wants to doThis summer, the administration will launch several initiatives in its goal to sign up as many as seven million Americans over the next year.

They will hit the Internet. They plan to roll out Healthcare.gov as the go-to site for those signing up for insurance under the law, leading up to open enrollment starting on October 1.

They will take it to TV. The Health and Human Services Department will soon unleash a campaign to saturate the airwaves with ads pushing people to begin shopping for health care plans.

They are making it easier to sign up. To make it easier for consumers to apply for coverage from private insurers under the Obamacare rules, the administration is touting a simplified online form that takes 21 pages and boils it down to three.

They will target minorities and young people. These groups are some of those most affected by a lack of insurance. This strategy will leverage Spanish language ads, public education and outreach campaigns targeting recent college graduates, young and diverse faces on its website and a heavy emphasis on digital media.

They are claiming it will be cheaper. The White House is pushing a recent surprise in California, where the cost of buying health insurance through the state's exchanges -- as required by the Affordable Care Act -- are coming in as much as half the price of what was initially expected. For instance, the state will charge an average of $304 a month for the cheapest silver-level plan in state-based exchanges next year.

President touts Obamacare benefits for moms

Who will pay more under Obamacare? Young men

What Republicans want to doThe GOP will continue to beat the drum on just how bad Obamacare is for the country.

They continue to keep it in the headlines. House Republicans have voted 37 times to repeal the law and some critics have suggested it's a waste of time.

"Well, while our goal is to repeal all of Obamacare, I would remind you that the president has signed into law seven different bills that repealed or defunded parts of that law. Is it enough? No. A full repeal is needed to keep this law from doing more damage to our economy and raising health care costs," House Speaker John Boehner, R-Ohio, said at a recent press conference.

They are linking Obamacare to the IRS scandal. Leading Republicans, such as Senate Minority Leader Mitch McConnell, R-Kentucky, have also suggested suspending implementation of Obamacare until an investigation in completed into the Internal Revenue Service's targeting of conservative groups.

They are challenging it in the states. Several states with Republican governors and legislatures have threatened not to establish the required insurance exchanges -- and giving up millions in federal subsidies in the process -- in an effort to derail Obamacare.

Opinion: Myths about Obamacare

Still, things are starting to get ugly.

Repeated requests by HHS for more money from Congress to implement the law have been denied. Ranking Republicans are now calling the agency's inspector general to investigate whether Health Kathleen Sebelius violated appropriations and ethics rules when she reportedly tried to raise funds for Enroll America, an organization that is working to help put the Affordable Care Act in place. Those actions are now also under investigation by two congressional committees.

The agency maintains she made "no fundraising requests to entities regulated by HHS."

Public has questions

Caught in the middle is the American public. A Kaiser Family Foundation poll in April showed 49% of those surveyed didn't know how Obamacare would affect them and roughly 40 percent were unaware that the law was being carried out.

"In our research looking at barriers faced by families accessing available public insurance for their kids we found that families were often very confused about the requirements and the processes for enrollment," said Jennifer Devoe, a family physician, and professor at Oregon Health and Science University of such programs as Medicaid and the Children's Health Insurance Program. "We also found confusion among families who believed their child to be covered when the child was actually uninsured, and vice versa."

A majority of Americans said they opposed the nation's new health care measure, three years after it became law, according to a CNN/ORC International poll released Monday.

But looking deeper, the poll also indicated that more than a quarter of those who oppose the law said they didn't support it because it didn't go far enough.

@highlight

The summer of 2013 will see both sides square off in efforts to sell or roll back Obamacare

@highlight

The administration is hoping to start signing up people for health plans October 1

@highlight

Republicans are working hard to cripple existing measures and halt new ones

@highlight

Many Americans are still confused, according to recent polling