(CNN) -- Right now, it's nothing more than an empty plot of land, covered by just a few shrubs and the odd Neem tree. But within a few years, these grass plains just outside Accra, Ghana, could be transformed into a fertile breeding ground for world-class innovation.

Earlier this month, Ghanaian president John Mahama launched Hope City, a $10 billion high-tech hub aiming to foster technological growth and attract major players in the global ICT industry to the West African country.

The ambitious project is the brainchild of Ghanaian businessman Roland Agambire, head of local technology group RLG Communications. Smart and futuristic, the hub's sustainable facilities will include an assembly plant for various tech products, business offices, an IT university and a hospital, as well as housing and recreation spaces, including restaurants, theaters and sports centers.

"What is lacking in the African continent is a place where you can have well-designed products, backed with concrete research and proper hardware and software developers to be able to create infrastructure for the telecoms industry," says Agambire, 39, whose company has acquired the land where the technopolis will be built.

"So the inspiration behind Hope City is to have an iconic ICT park where ICT players from all over the world can converge to design, fabricate and export software and everything arising from this country," he adds.

Read this: Why tech innovators are Africa's future

Construction is expected to begin by June 2013 and when completed -- within three years, if everything goes as planned -- the technology park could house 25,000 residents and create jobs for 50,000 people.

Agambire, one of Ghana's top businessmen, says his company is financing 30% of the project, while the remainder will be funded by a wide array of investors and through a stock-buying scheme.

The entrepreneur says the IT hub has already attracted several partners, including Microsoft, with Microsoft corporate vice president Ali Faramawy among the guests at the Hope City launch event.

Agambire adds that the Hope City project also has the support of the Ghanaian government, as it aims to create create thousands of jobs and help turn technology into one of the country's main economic drivers.

"What we want to do is to create the environment and the human resource base for the technology industry to be able to use that [environment] and tap that opportunity," he says. "That's what has happened in China, that's what has happened in other places of the world."

'Africa's highest tower'

Hope City will be developed in an area of about 1.5 million square meters, located some 30 minutes west of Accra's city center.

Designed by Italian firm Architect OBR, the technopolis will be made up of six towers of different dimensions, including a 75-story, 270 meter-high building that is expected to be the highest in Africa. A system of bridges at different heights will link the towers together, creating a circular connection between the buildings' functions and public amenities.

OBR co-founder Paolo Brescia says the project's goal is to create a living place of discovery and exploration that reflects the tradition and culture of local people in a contemporary urban setting.

Read this: Africa's 'father of technology'

To achieve this, the architects designed Hope City with Ghana's traditional compound houses in mind. Originally made of mud brick walls and thatched roofs, compound structures have been a prevalent form of housing in the country for centuries, built to promote communal life and mutual assistance.

"We wanted to recreate, at a different scale, the same feeling of the compound house in a way that it could work as a compound cluster," explains Brescia.

"This place is designed to keep people together," he adds. "We developed this idea, not as a campus, where you have buildings which are dedicated to single functions, but as a city which is developed in a vertical way so that everything could be interconnected."

'ICT revolution'

The launch of Hope City comes just a few months after Kenya broke ground on its own flagship tech mega project; located some 60 kilometers southeast of the capital Nairobi, Konza Techno City is being touted as "Africa's Silicon Savannah," a major IT hub that aims to create some 100,000 jobs by 2030.

Kenya has already experienced a major IT boom in recent years, spurred in part by a surge in the number of innovation centers, such as Nairobi-based iHub, which enable young coders and aspiring entrepreneurs to collaborate, network and develop their trailblazing ideas.

Read this: How 'Afropreneurs' will shape Africa's future

Similar spaces have also mushroomed across Africa in recent years, from Egypt and Nigeria to Tanzania and Madagascar.

In Ghana, one such center is Accra-based Mobile Web Ghana, a vibrant tech space with more than 300 members. Florence Toffa, director of Mobile Web Ghana, welcomes the launch of Hope City.

"This city hopefully will bring the tech companies together and spark a new ICT revolution in Ghana," she says, adding that the project could equip local techies with the necessary skills to develop apps that would solve community problems, as well as provide a platform for tech companies to find new talent and opportunities to invest in.

For Agambire, this is a project that will position Ghana at the forefront of African technology.

"Africa is hungry for development," he says. "Want to make sure that in three years down the line, Hope City will be a reality and will be one of the biggest dreams that Africa has ever seen."

@highlight

Hope City is a planned high-tech hub outside Accra, Ghana

@highlight

The technopolis will house 25,000 residents and create jobs for 50,000 people

@highlight

Construction is expected to begin by June and to be completed within three years