(CNN) -- Safety in a free, democratic society can't rely solely on armed security agents or gun laws. Laws require the consent of those who are governed by them, and the police cannot be everywhere all the time. Like it or not, our safety is based on what John Locke referred to as the social contract.

This contract carries the implicit understanding that in exchange for living with order and safety, we give up some degree of freedom. That "freedom," if we want to call it that, is the tacit agreement not to act on impulses that might lead to us harm others.

For the most part it works. We usually go about our lives without worrying if we will be attacked walking the streets, shopping, watching a movie or going to school.

The shooting in Newtown, Connecticut, serves as pointed reminder that our social contract is breaking down. That is because the most recent shooting was not an isolated incident.

In December, an armed assailant killed two people before killing himself at a shopping mall in Portland, Oregon. In July, a gunman slaughtered 12 people in a movie theater in Aurora, Colorado. The list goes on and on.

Given the frequency of these attacks it is clear they can longer be treated as aberrations or simply explained away as actions by deranged man who had easy access to weapons. Of course, part of that is true. In each case, mentally ill men with easy access to semi-automatic assault rifles devised ways to take innocent lives.

That is why those who think that we can solve this problem through additional security and gun control alone are fooling themselves. Who knows when or where the next mentally ill killer will plot an attack?

We live in a violent society with far too many guns, far too much anger and way too much alienation. The real problem is that the social contract is fraying. The bonds that should prevent individuals from harming one another have deteriorated.

If all we do to seek solutions to the threat of violence is enact increased security measures, we continue to ignore the real source of our security -- civic solidarity.

As we become more atomized as a society, as alienation grows, as the social bonds that give our lives meaning -- family, community and religion -- weaken and wane, we find ourselves at greater risk.

Each of the assailants in these mass shootings was described as a loner. This is important to consider because human beings are inherently social beings. People need people to survive. We need contact with others to sustain ourselves and to remind us of what it means to be human.

Schools are in some ways the most important social institutions in our society. Unlike families, social clubs and churches, which also play important roles in socializing us, public schools accept all children, regardless of background or need. Our schools teach our children how to be members of society, and while some of what is learned may be problematic, schools nonetheless play a vital role in a society as diverse and complex as ours.

That is why when our schools are attacked and when the safety of children can no longer be taken for granted, it is devastating to the social trust that is essential to hold our society together. Some may react to the shootings at Newtown by calling for more security. Others may feel safer by homeschooling their children in the hope that this will shield them from harm.

Unfortunately, the answer will not be found in either strategy. Instead, we must find ways to strengthen our bonds, to increase our connections to each other, to embrace the alienated and to care for the mentally ill.

Our schools must lead the way in carrying out this work, just as they did more than a century ago when we struggled to integrate millions of new immigrants from Europe. We turned to our schools when our society finally came to the realization that legalized apartheid was morally reprehensible and had to cease. We must turn to our schools once again as we seek to find a way to restore and revitalize the bonds that protect us and should hold us together.

There is safety in numbers. Not in mobs but in community, in solidarity and in affirming our dependence on one another.

The president and Congress must act now to restrict access to guns, especially assault weapons, but each of us must also exercise leadership where we live and work to increase to strength our communities and rebuild bonds that hold us together.

The opinions in this commentary are solely those of Pedro Noguera.

@highlight

Pedro Noguera says public safety can't rely on gun laws and police presence alone

@highlight

Noguera: We rely on a social contract that says to live safely we give up some freedoms

@highlight

As community and religion bonds weaken, we find ourselves at greater risk, he writes

@highlight

He says we must restrict access to guns but also work to strengthen community bonds