As a multi award-winning chef, bestselling author, TV channel proprietor and hugely successful syndicated show host, Sanjeev Kapoor is arguably the world's most revered exponent of Indian cuisine.

For the past 18 years he has concocted a handful of new recipes every week as the host of "Khana Khazana," said to be India's most watched, and Asia's longest-running, cookery program.

As if that weren't impressive enough, Kapoor has penned 36 cookbooks, while his website consistently attracts a hungry audience of 25 million users a month.

Suffice to say, the man has a distinguished rep in the venerable tradition of Indian cuisine.

But the myriad blend of spices and stimulation of the senses that characterize his country's culinary heritage couldn't be more at odds with the restrained subtlety that dominates contemporary cooking in northern Europe.

So it is perhaps testament to Kapoor's desire for a challenge that he chose Copenhagen, Denmark, as the location for his "Fusion Journey."

See more Fusion Journeys

Here he would meet with, and learn from, Rene Redzepi, head chef and proprietor of Noma, the two Michelin-star restaurant ranked best in the world by Restaurant magazine, where fresh ingredients and simplicity reign supreme.

His mission was to synthesize the two divergent culinary traditions, and ultimately combine them into a completely original dish of his own. In his own words, Kapoor looks back over his Fusion Journey.

Sanjeev Kapoor: When you've been in the profession for as long as I have, it's imperative to keep making new discoveries, to go beyond your particular area of expertise. And the best way to do that is to travel.

So I couldn't resist the chance to fly to Copenhagen. With its Scandinavian climate and classic European architecture, it's a world away from Mumbai -- and the style of our cuisines are just as contrasting.

The challenge is that from an Indian perspective taste is paramount. Our savory dishes are more salty, our hot dishes are more hot, our sweet dishes are more sweet, our sour things are more sour.

This is all because the use and blend of spices is very bold -- the objective is to embellish and we often have 15 to 20 contrasting herbs and spices in a single dish.

But Rene and his Nordic cuisine is all about simplicity. It's all about passion and appreciation for the ingredients themselves.

This philosophy was immediately apparent as soon as we journeyed out to the farms around Copenhagen, where Rene buys most of his food directly.

This emphasis on sourcing fresh ingredients, having a relationship with the producers, knowing the history of the food, is something I admire and relate to -- but not something that I'm able to practice very often in my country.

It's an irony that the act of going to back to nature, as it were, is something that is so easy to do in India, and yet we have been going in the opposite direction.

Unlike a lot of the industrialized West, we're generally much closer to our environment, but we don't focus on it.

Instead, it is all becoming very commercial in nature. The food deliveries arrive at your kitchen and you won't know where it's come from, how far its traveled, who the supplier is, what relationship they have with the grower and so on.

This is a shame because you can't then guarantee the quality of the product and, on top of that, you lose the emotional connection to the food ... it becomes more like a commodity.

See also: Ballet star takes inspiration from Chinese dance

Watching Rene work at Noma was a fascinating experience. He has so much reverence for the food and tries to keep the natural essence of his ingredients intact. So for instance, a simple carrot might be slow-roasted for hours, allowing it to soak in its own juices -- really bringing out its essential flavor.

In India, we're quick and explosive in the kitchen -- we'd rarely cook a vegetable for longer than 15 minutes -- and the culture is about pleasing every taste sense on just one spoon, adding layers of flavor so that they all blend together. But then, of course, the individual ingredients are somewhat hidden.

So, how to bring these two very different styles together in one dish? I took the best of both. While Rene and I had been foraging, I'd come across some wonderfully fresh and fragrant mustard leaves. It's not too sharp yet it's pungent and very mustardy ... something that I have grown up with as it's very popular in traditional North Indian cooking.

I decided to blend this beautiful Norwegian salmon -- coating it with the mustard leaves and some lime, a little seasoning and let it cook gently. The result was a dish that had a distinctive Indian aroma, but with more of a Nordic approach to the style and philosophy of preparation.

The respect for the ingredient -- focusing on Mother Nature, one leaf to the next -- has enabled me to return home with a new appreciation for what Indian cuisine still has to offer.

@highlight

Celebrity Indian chef Sanjeev Kapoor travels to Copenhagen to create fusion of culinary styles

@highlight

Kapoor teams up with Danish chef Rene Redzepi, owner of two Michelin starred "Noma"

@highlight

Kapoor is inspired by Nordic emphasis on fresh, locally sourced food and simplicity of flavors