(CNN) -- It has been 17 years since France had a president from the left, but that might be about to change.

Opinion polls continue to favor Francois Hollande, a candidate from the center-left Socialist Party, over center-right incumbent Nicolas Sarkozy in the upcoming French presidential election. If elected, Hollande would be the first left-wing president since Francois Mitterrand in 1995.

Sarkozy is seeking his second five-year term, following Jacques Chirac, who served 12 years in office.

As the French take to the polls Sunday, here are a few key points to keep in mind:

1. This is a two-horse race, but other candidates matter.

While there are actually 10 candidates taking part in the presidential race, spanning the entire political spectrum, polls show that only two candidates -- Sarkozy and Hollande -- have a realistic chance of winning the French presidency.

But it will be important to watch how many votes the other candidates get Sunday.

That's because those votes will almost certainly be up for grabs in a runoff election two weeks later. In France, a presidential candidate must receive more than 50% of the vote to win office. If no one claims a majority in the first round of voting -- and no one ever has in this current system -- the top two vote-getters advance to a second round of voting.

"The other candidates have to be given some attention because they exert an influence in the race," said Michael Leruth, who teaches a course about the election at the College of William & Mary in Virginia. "For example, if (far-left candidate Jean-Luc) Melenchon continues to do well and has even a slightly strong showing, Hollande might have to tack more to the left in the runoff round.

"If you're coming out of the first round with 27%, 28%, you need to make it to 50%. So you have to think of where you are going to make up that difference to prevail in the final round."

Another candidate to watch is on the far right. Marine Le Pen, daughter of 2002 presidential finalist Jean-Marie Le Pen, is polling well behind Sarkozy and Hollande, but she's still in the double digits with Melenchon. A strong showing from her Sunday might have an effect on Sarkozy's strategy going into the runoff.

2012 a year of elections: Return of the Left?

2. One issue stands out among the rest.

The economy dominates the political agenda in France, much like it does in America.

"Basically for months now, the top issues have been unemployment and purchasing power," said Jim Bittermann, CNN's correspondent in Paris.

Jobs have been difficult to come by, especially for young people, and that is one of the main reasons why Sarkozy is vulnerable.

"Even though some people would give Sarkozy high marks for doing the kinds of things that might have a positive long-term effect on the economy -- like raising the retirement age to put the system on sounder fiscal footing -- he hasn't been successful in bringing jobs back," Leruth said.

Comparing Sarkozy and Hollande on their economic policy is not unlike comparing Republicans and Democrats in the United States.

"Hollande is in favor of more government action to stimulate the economy, stimulate spending ... whereas Sarkozy wants to improve the climate for business by lowering some taxes, by talking about repealing the law establishing the 35-hour work week -- a Socialist measure from the late '90s -- to make it possible to work more," Leruth said. "It's more of a private-sector approach."

3. France and America have more in common than just high unemployment.

Immigration, race and the assimilation of France's large Muslim community have been prominent issues leading up to the election, even before the March shootings by an Islamic extremist in Toulouse and Montauban.

Sarkozy has been tough on immigration. Last year, a law went into effect banning Islamic face coverings in public places, the so-called burqa ban. And in a recent television interview, Sarkozy said France has "too many foreigners" and that the country is not integrating them properly.

Sarkozy won the 2007 election by taking a strong stance on race, according to political analyst Simon Persico from the Center of European Studies. But Le Pen, this year's far-right candidate, says Sarkozy hasn't been strong enough while in office.

"Le Pen is saying the original is better than the copy, and that voters should not believe Sarkozy on race," he told CNN.

4. The election's result could affect the eurozone.

Sarkozy has worked closely with German Chancellor Angela Merkel throughout the European debt crisis, leading the way for strict austerity measures in Greece and other troubled countries. Would Hollande's election encourage a change in strategy?

"There is concern that, within the eurozone, Hollande's election could create greater instability," Leruth said. "He's talked about renegotiating some of the accords that have been reached -- at the instigation of Sarkozy and Merkel -- to ensure greater stability in the eurozone."

The reason is long-term growth.

"I think some of the French like the way (Sarkozy) handled -- with Merkel -- the agreement in December to get more rigor, more austerity into European budgets. But then Hollande and other economists are saying we also need growth, and these plans are going to absolutely stifle growth," said Homer Sutton, a French professor at Davidson College near Charlotte, North Carolina. Like Leruth, he is teaching a course on the election.

France's own debt is also a concern. Like the United States, the country recently had its AAA credit rating downgraded. Hollande has promised to create tens of thousands of public-sector jobs and raise taxes on the rich to pay for it. But some are concerned that might encourage the rich to just leave France.

"There's some feeling that if Hollande is elected, the attack on the French sovereign debt could be quite serious," Sutton said. "And this is what Sarkozy has been saying: 'If you elect Hollande, we're going to be losing more than our AAA. We'll be going down even further.' "

5. Franco-American relations should remain strong.

Hollande has pledged to remove French troops from Afghanistan by the end of this year if he is elected. Whether it's a realistic goal or not, that could create some tension between Paris and Washington.

But Hollande is known for being a no-nonsense pragmatist.

"Hollande knows that he needs the United States and that the United States needs Europe, so I think there would be a great deal of cooperation there," Sutton said.

Sutton recalled Mitterrand's election in 1981 and how there were initial concerns about him.

"Everyone said, 'Oh, he's got four communists in his government, this is going to be the end of the relationship with the United States.' But it turns out that he was a very strong defender of American missiles in Germany, for example," Sutton said. "Mitterrand's friendship with (Chancellor) Helmut Kohl, it was a strong French-German relationship, and (U.S. President Ronald) Reagan and Mitterrand didn't get along too badly despite their ideological differences."

@highlight

France's presidential election begins Sunday, to be followed by a runoff in two weeks

@highlight

Incumbent Nicolas Sarkozy has been trailing center-left Francois Hollande in the polls

@highlight

A couple of extreme candidates, both far left and far right, could impact the outcome

@highlight

Unemployment is the biggest issue in the race, but immigration and debt are also talking points