New Orleans, Louisiana (CNN) -- Last week, the Obama administration announced that the deep waters of the Gulf are again open for drilling. That the BP oil disaster is continuing and will have lasting effects is unacknowledged.

The BP disaster was the largest oil catastrophe the country has ever seen, and the Gulf of Mexico and our communities have a long road to recovery.

Our friends in the fishing industry are still out of work, the effects of the spill on wildlife have not been fully assessed, the safety of our seafood is still in question and entire cultures are barely hanging on.

The administration says new rules and regulations will make deepwater oil drilling safer.

Although we welcome the new rules, we believe that they do not go far enough. There is little assurance that the Bureau of Ocean Energy Management, Regulation and Enforcement, charged with enforcement, has the resources to hold the industry accountable.

Gulf Restoration Network believes further steps must be taken immediately to ensure the safety of oil drilling in deep off-shore waters. The government and the public need to stay focused on the disaster and environmental impacts that are just beginning to play out, continue to hold BP accountable and act to make sure this never happens again.

We hope the Obama administration approaches continued cleanup, regulatory reform and damage mitigation, none of which is even close to being accomplished, with the same urgency it has shown in efforts to reopen the Gulf to deepwater drilling.

BP's spill is only the latest and most visible evidence of the oil and gas industry's ongoing environmental destruction in the Gulf.

Louisiana loses the equivalent of a football field worth of wetlands every hour, and 40 to 60 percent of that loss is attributed to oil and gas activity, including exploration and dredging of pipeline canals. The oil and gas industry must pay its fair share for coastal restoration, and a large portion of the fines levied against BP should be dedicated to ongoing restoration efforts.

Despite what the rest of the oil industry claims, BP is not a rogue player when it comes to taking big risks at the expense of the Gulf. Other oil and gas companies have violated safety and environmental regulations.

Regulatory reforms and policy changes are urgently needed to prevent drilling disasters, ensure oil-rig safety in the Gulf and elsewhere and guarantee rapid response and cleanup when accidents happen.

Industry in the Gulf still lacks the necessary assets to effectively respond to a catastrophic blowout.

In light of the abysmal response, containment and cleanup we have observed and continue to observe in the aftermath of the BP disaster, it's clear that we need new rules that require real, credible blowout response plans before any new deepwater drilling is permitted.

There is only one way to make sure the federal agencies and the oil and gas industry remain vigilant and operate as safely as possible -- local communities must have a voice in decisions regarding oil and gas development. Because we are the ones who pay the price for the industry's bad decisions, we deserve a seat at the table.

An opposing view on reopening the Gulf to deepwater drilling

A Gulf of Mexico Regional Citizens' Advisory Council is essential to formalizing the public's role in overseeing what the industry does in our Gulf. It worked in Alaska after the Exxon Valdez spill, and it will work in the Gulf. Congress should pass legislation to create and require the oil industry to fund a Gulf of Mexico Regional Citizens' Advisory Council.

Congress must also do its part to aid restoration of the Gulf.

The White House's "America's Gulf Coast: A Plan for Long-Term Recovery in the Aftermath of the BP Oil Spill," assembled by Secretary of the Navy Ray Mabus, lays out a vision for community recovery, improving public health, coastal restoration and marine resiliency that can begin to restore the Gulf. We strongly urge Congress to support the plan and ensure BP fines go toward restoring the Gulf.

Early this month, 46 community, local, regional, national and international environmental, social justice and fishermen's groups met in Weeks Bay, Alabama. We drafted a set of goals and principles that we believe must guide the recovery and restoration of the Gulf of Mexico, our coast and our communities in the wake of the BP drilling disaster. It's called The Weeks Bay Principles for Gulf Recovery.

Together, we want the nation to know that the oil is still here, and so are we. The Gulf's people and places need lasting and continued support to get back on their feet.

The opinions expressed in this commentary are solely those of Cynthia Sarthou.

@highlight

Cynthia Sarthou: Gulf waters open for drilling before BP spill even assessed or cleaned

@highlight

New rules don't go far enough, she says; federal agency lacks resources to enforce

@highlight

Sarthou: Gulf fishing industry and people just hanging on; seafood safety in question

@highlight

Local communities must have voice in oil, gas development decisions, Sarthou writes