(CNN) -- World reaction Thursday to the Egyptian military's toppling of the nation's first democratically elected president ranged from applause to calls for the return of Mohamed Morsy to power.

African Union

In a statement, the African Union said its chairwoman, Nkosazana Dlamini-Zuma, was closely monitoring the developments in Egypt. "She is particularly concerned about the tension prevailing in the country and the risks that this situation poses to stability and security in Egypt as well as to the consolidation of its democratic process."

The AU's "principled position on unconstitutional changes of government" underscores the need "to find an appropriate response to the popular aspirations within the framework of legality and Egyptian institutions."

The union will send a group "of eminent African personalities" to Egypt to help initiate "a responsible and constructive dialogue that would help the fellow Egyptian people overcome the difficult situation they are facing."

Bahrain

"With great honor we take this opportunity to congratulate you on taking over the reins of power in Egypt at this important time in history," King Hamad Bin Isa Al-Khalifa said in a letter to Egypt's interim president, Adly Mansour, according to the official Bahrain News Agency. "We are confident that you will take the responsibility to achieve the aspirations of the Egyptian people."

Britain

Prime Minister David Cameron said his country "never supports intervention by the military" but does not condemn what happened Wednesday in Egypt or call for Morsy to be restored to power.

"But what now needs to happen ... in Egypt is for democracy to flourish and for a genuine democratic transition to take place and all the parties need to be involved in that. And that's what Britain and our allies will be saying very clearly to the Egyptians."

France

"What matters now is that the next elections are prepared in accordance with the civil peace, pluralism, individual freedoms and achievements of the democratic transition, so that the Egyptian people can freely choose their leaders and its future," a French Foreign Ministry spokesman said Thursday in a statement.

"We expect from the Egyptian authorities that Mohamed Morsy be treated with the respect due to the position he held.

"We reiterate our commitment to the pursuit of a political transition involving all political forces and sensitivities in respect of human rights and democratic principles, political pluralism and freedom of expression in accordance with the commitments taken."

Hamas

"We do not fear the fall of President Mohamed Morsy," Hamas leader Ahmad Yousef told the Palestinian semiofficial Ma'an News Agency. Hamas is a militant fundamentalist Islamic organization that runs Gaza.
"We fear the dramatic changes that could cause things to go out of hand and lead to bloodshed," Yousef said.

"We only care about stability in Egypt regardless of who is in charge. Egypt is a lifeline to us; it's a major factor in the stability of the internal Palestinian situation -- it is our backbone."

Iran

Iranian Foreign Ministry spokesman Abbas Araqchi said Iran is concerned about the "continuance of clashes between the opposition and Morsy supporters," according to the semi-official Mehr news agency.

"Unfortunately, the unrest during last few days left several dead and injured, but Egyptians should be united and stop the violence," Araqchi told the news agency.

Shiite-led Iran appeared to welcome the ouster of Morsy, a Sunni. Araqchi said Iranian authorities welcomed the ouster of Hosni Mubarak as Egypt's leader in 2011 and hoped diplomatic relations would be restored between the two countries, but Morsy was critical of Tehran and did not allow it to appoint an ambassador in Cairo.

Kuwait

"In his name and the country's name, His Highness expressed his congratulations to the president of the Republic of Egypt, for taking the lead during the transitional and historical stage," the official Kuwait News Agency reported.

Lebanon

Prime Minister Tammam Salam cabled Adly Mansour to congratulate him for his appointment as Egypt's interim leader, the official National News Agency reported Thursday.

Salam also cabled Egypt's top military officer, Gen. Abdel-Fatah El-Sisi, to salute his effort to realize the "Egyptian people's aspirations," according to the news agency.

The Netherlands

"We are following the situation in Egypt closely," said Toon van Wijk, spokesman for Dutch consular affairs. "But there's no reason for us to make reductions to our embassy staff in Cairo or to ask personnel to come home."

Palestinian Authority

Palestinian President Mahmoud Abbas said he was "pleased on behalf of the Palestinian people" to congratulate Adly Mansour on his appointment, according to the Palestinian official news agency WAFA. Abbas "praised the role played by the Egyptian armed forces under the leadership of (Gen. Abdel-Fatah El-Sisi) in preserving the Egypt's security and preventing it from sliding to the unknown fate, appreciating the role played by the Egyptian people in all its colors and types and sides that stood to save Egypt and deciding a road map for its future in these critical moments," WAFA reported.

Palestinian Liberation Organization

"I don't see this as a coup d'etat," said Hanan Ashrawi, a member of the PLO's executive committee, in an interview with CNN. "We see this as recognizing the will of the people there for the armed forces serving and protecting the people as they should."

Poland

"It is with concern that we received news of the suspension of Egypt's constitution and the removal of President Mohamed Morsy from power," said Marcin Bosacki, Poland's Ministry of Foreign Affairs spokesman, in a statement.

"Such a solution must be treated as at least a temporary freeze of the democratic process initiated by the Egyptian nation over two years ago. What is most important today is that the current Egyptian authorities -- staying true to their promises -- undertake the fastest possible steps to return full power to democratically elected representatives of society."

Qatar

Emir Sheikh Tamim bin Hamad Al Thani on Wednesday sent a cable of congratulations to Mansour, the state-run Qatar News Agency reported.

Qatar "will remain supportive of the Arab Republic of Egypt in its position as a leader and a pioneer in the Arab and Muslim world," the agency said, citing an official source at the Ministry of Foreign Affairs.

It added, "The source praised the role played by the Egyptian armed forces in the defense of Egypt and its national security, stressing the need to strengthen national unity among all Egyptians and put their interests first -- in accordance with the principles of January 25 revolution."

Switzerland

"Switzerland expects to see a swift return to democracy in which all the social forces in the country are involved and in which fundamental human rights are respected," the Federal Department of Foreign Affairs said in a statement. "It expresses the hope that a peaceful solution can be found to the current political polarization in Egypt and it calls on all sides to renounce the use of violence."

Syria

President Bashar al-Assad described events in Egypt as the fall of "political Islam," the state-run Syrian Arab News Agency said, citing his interview with the state-run al-Thawra newspaper.

"You cannot deceive everyone all the time, particularly the Egyptian people who have a civilization dating back to thousands of years and clear pan-Arab nationalist thought," al-Assad said.

The Syrian president said he had long known that the Muslim Brotherhood's rule would fail. "I said their project is a failure before it began and this is what made the Muslim Brotherhood's experiment fall quickly because it is wrong, and what is built on a wrong principle will definitely fall," he told the newspaper.

Turkey

"We are deeply sorry over recent events in Egypt," Ahmet Davutoglu, Turkey's minister of foreign affairs, told reporters in Istanbul, according to the official Anadolu News Agency. "It is extremely worrying that Morsy, a president who was elected democratically, was ousted by the army."

He added, "Powers of Egypt's elected authorities should immediately be reinstated."

In a statement, the Foreign Ministry said, "It is not possible for any democratic country to comprehend nor to accept that an elected president is removed from office through undemocratic means other than elections. We expect all due respect to be extended to elected President Morsy in this new period in Egypt as well."

United States

President Barack Obama on Wednesday urged a quick return to civilian leadership but did not call for a return of Morsy, and he ordered a review of U.S. law regarding aid to Egypt.

"The United States continues to believe firmly that the best foundation for lasting stability in Egypt is a democratic political order with participation from all sides and all political parties," Obama said in a statement.

Obama said the United States expects the military to "ensure the rights" of Egyptian citizens "during this uncertain period."

@highlight

NEW: Iran raised concern over the "continuance of clashes" in Egypt

@highlight

Britain "never supports" military intervention but doesn't demand Mohamed Morsy's return

@highlight

Obama urges quick return to civilian leadership but doesn't seek Morsy's reinstatement

@highlight

Turkey: "Powers of Egypt's elected authorities should immediately be reinstated"