It should come as no surprise to anyone that New York's infrastructure wasn't up to Hurricane Sandy.  What happened in New York was not all that different than what's happened in other places hit by freakish weather events -- the infrastructure wasn't robust enough to withstand nature. It is not the first time it's happened here, and it won't be the last.

The problems in New York stem from many factors. For a start, infrastructure investment here is no more a priority than it is in other places across the country: It's simply not something that voters want badly. When given a choice between investing in schools, health and housing or investing in sewers, tunnels or roads, the latter will always lose out. And that's not just the view of the politicians, but also of the constituents who keep them in office.

Think about what happened after the bridge collapse in Minneapolis in 2007. The press was full of reports about the condition of our nation's bridges, and Washington was abuzz with new ideas for financing roadway infrastructure. More than five years later, our bridges remain in much the same poor condition they were in then, and the voices screaming for an infrastructure bank or other form of dedicated financing to upgrade them have been all but muted.

Of course some of the mess we are witnessing in the metropolitan region is unique to us. For largely historical reasons, New York's power system is run by private utilities answerable to state regulators. Its subway system has also been run by the state -- in the form of the Metropolitan Transportation Authority  -- ever since going bankrupt in the 1960s. So any criticism regarding the lack of investment or preparedness for a hurricane event, at least in terms of power or transit, needs to be aimed squarely at Albany, not at City Hall.

News: New York divided over marathon plans

To be fair, the hard-working officials who have spent decades bringing the city subway system back to a state of good repair have done a decent job of it. Compared with the dark days of the 1970s, transit stations are cleaner, subway trains are newer, and reliability and predictability are up. But the funding allocated by the state for investment in the system is nowhere near enough to take a 100-year-old system and make it a resilient one -- resilient enough to withstand the pounding it received this week.

No one should stand behind age as an excuse for vulnerability in infrastructure. Consider the case of London, a city whose infrastructure is -- in almost every respect -- even older than New York's. Yet over the last 25 years, London has grabbed one opportunity after another to bring its core infrastructure -- power, transport and water -- into the 21st century. In almost every aspect, the city's infrastructure is today more resilient than ours.

What has London done in the last several decades to modernize its systems? To protect against flooding, a movable flood barrier was built in the Thames; in more than 100 closures, it has proven effective in protecting the city from major storm surge or tidal events.

Electric power is now produced outside the city, rather than within its boundaries. A major new sewer line is being designed to run along the Thames, part of an ambitious plan to replace the Victorian-era sewers that carry much of the city's wastewater. Transit too has seen its share of investment, with dozens of extended and upgraded rail lines bringing life to formerly downtrodden urban neighborhoods and entirely new high-speed lines knitting together key commercial nodes across the city.

The difference between the two cities is not money -- it's governance. New York City may control its streets, but it doesn't control its power system or its transit system. Unlike England, where investment decisions are made by the city in conjunction with the national government, when it comes to infrastructure we've got a bundle of intermediary state agencies and regulators deciding what's best for the city and how much investment it deserves -- and a bunch of state politicians circumscribing their ability to do so at every turn.

New York after Sandy: A tale of two cities

Not all New York infrastructure is caught in the same bind. New York's acclaimed water system, devised by city engineers in the 19th century to bring water from the Catskills to the growing urban population, remains a model of how service delivery could be done. Well into its second century, it is controlled by the city in a businesslike fashion, its capital program underpinned by the ability to float bonds to secure needed investment. The result is that projects that contribute to the resilience of the city's water infrastructure, such as the Third Water Tunnel now under construction, get done purposefully and with minimal political interference.

There are other reasons to be optimistic about our infrastructure future. Some 125 years ago, in March of 1888, the worst blizzard on record dumped more than 3 feet of snow on a paralyzed New York City.  Telecom and electric wires, newly strung up between all of the quickly industrializing city's buildings, collapsed and were rendered useless -- prompting a mandate to bury all cables from that point forward.

The underground network that resulted from that storm is largely responsible for the extraordinarily high levels of reliability Manhattan's electric and telecom customers have enjoyed ever since.

The question now is whether Sandy will stimulate similarly new ways of thinking about our infrastructure.  Will she energize what to date have been spotty efforts to prepare the city and its systems for sea level rise and storm surges? Will the money made available by Washington in disaster relief be used to sow the seeds for real change? Will the dislocation experienced by all focus sufficient attention on those state institutions that have been given the power to oversee the city's infrastructure but not the ability to finance it effectively?

Let's hope Sandy brings more than shoreline devastation in her wake. With a little luck, even this terribly large storm cloud could turn out to have a silver lining.

@highlight

Kate Ascher: New York's infrastructure wasn't strong enough to withstand the storm

@highlight

She notes some of the city's key systems are under control of New York state

@highlight

London has shown how it's possible to upgrade old infrastructure, she says

@highlight

Ascher: Let's hope the storm is an occasion to rethink the city's infrastructure