(CNN) -- In the two-hour season premiere of "Mad Men," there is an incidental character, an old woman, who is probably pushing 90. Her clothes are proper, if drab, and her demeanor suggests someone to the manner born.

She seems like the type of person who has spent her life in privileged drawing rooms above Park Avenue, her feet never touching the dirty streets of New York as the 20th century went by. Indeed, she's lived through so much in the 1960s alone: communications breakthroughs, space flight, social movements. And yet, it appears the decade hasn't affected her at all.

She has a good deal in common with "Mad Men's" major characters. The AMC show, about a 1960s advertising agency, returns Sunday for its sixth season.

Buzz abounds for the return of 'Mad Men'

Forget about the civil rights marches, the Vietnam War protests, the youth culture and all the rest that's become shorthand for "the '60s." From their Midtown Manhattan aerie, the characters of "Mad Men" have glided over a good deal of it.

Sure, there have been occasional glimpses of those turbulent times. Creative director Don Draper used to have a lover in the beatnik precincts of Greenwich Village, even lived there himself for awhile. Office manager Joan Harris' husband was sent off to 'Nam. Copywriter Peggy Olson remains a proudly independent single woman. Former copywriter Paul Kinsey went off to register black voters in the Jim Crow South. The office went into shock when John F. Kennedy was shot (though they were just as shocked by the lawnmower that ran over an executive's foot).

But, essentially, the messy '60s have been lived by someone else.

And why not? The "Mad Men" are in advertising. Their lives are about new-and-improved consumer products, tropical getaways and the wonders of better living through chemistry -- not hippies, war and drugs. Their '60s are not the '60s we've come to know, says Jerald Podair, a history professor at Wisconsin's Lawrence University.

"You can't understand the 1960s if you only focus on hippies," he says. "That's obviously a part of the 1960s but not the full 1960s." After all, he points out, most people of the time went to work and lived their lives -- and weren't attired in tie-dye and love beads.

Your photos: What the late '60s really looked like

One of the smart moves of the show, he adds, is that the "Mad Men" characters don't have to be immersed in the times. They just have to be keen observers.

"Don Draper doesn't necessarily have to become a hippie himself to sell being a hippie, or sell an America that is changing in ways he's trying to understand," he says. "He can be of it, but not necessarily in it."

Surfaces and shadows

From the beginning, "Mad Men" has tended to view the '60s from the establishment's perch.

Sterling Cooper -- the first incarnation of the show's ad agency -- was part of the clubby Madison Avenue set, its ranks filled with WASP-y Ivy Leaguers and Cheeveresque commuters. Even the new incarnation, Sterling Cooper Draper Pryce, is more staid than swinging. It's been the ad agency of Richard Nixon and Lucky Strike (and, if a contract alluded to last season worked out, napalm-maker Dow Chemical). Its staffers are generally a generation older than the baby boomers and have a stake in preserving the status quo.

The insurgents were its competition, such as Doyle Dane Bernbach and Wells Rich Greene, the real-life agencies that shook up Madison Avenue with irreverent work and ethnically diverse staffs.

The show's shiny surfaces appear to have distracted many viewers from "Mad Men's" shadows, something that leaves creator Matt Weiner bemused. The first season included a suicide and Don's desperate identity crisis, and succeeding seasons haven't let up.

"There's been an interesting experience for me to hear people talk with nostalgia about the early seasons of the show," he says. "I think season 1 was the darkest thing that's ever been a commercial success."

There may be a reckoning coming now, though.

The late '60s were so filled with turmoil it seems impossible to avoid the fire this time. Season 5 ended in spring 1967; over the next 18 months came race riots, the Martin Luther King assassination, a clamorous presidential campaign, the Robert Kennedy assassination and the war, the war, the war.

Closer to "Mad Men's" New York home, in 1968, Mayor John Lindsay's administration was beset by a teachers' strike, a garbage strike and a general sense of rot later immortalized in such films as "Midnight Cowboy" and "The French Connection." It was, in columnist Dick Schaap's sarcastic phrase, "Fun City." "Mad Men" character Henry Francis -- a Lindsay adviser -- will likely have a lot on his plate this season.

Jaguar is not mad at 'Mad Men'

'Week of shock,' world of wonders

But even with all that, the world rolled on.

Take the April 12, 1968, issue of Life magazine, the publication that Podair, the history professor, describes as reflecting "what America was really about."

"Week of shock," blared the cover line over a photograph of the Rev. Martin Luther King Jr., who had just been killed. Inside: Articles on MLK's death, Lyndon Johnson's March 31 speech announcing he was not running for president, Democratic challengers Robert Kennedy and Eugene McCarthy and a piece on the Doors, "the kings of acid rock."

But also: ads for Zenith televisions, Firestone tires, Ritz crackers, Hunt's ketchup, the Big Three automakers and "the friendly world of Hilton," all the sunny, capitalistic wonders of life.

This is the world of surfaces, the one most people take refuge in.

"('Mad Men') shows us that American capitalism rolls on regardless of the era that it is in," Podair says. "It will try to sell that culture and commodify that culture. That's what the Mad Men are doing."

That's not to say the characters won't be affected by the coming calamities. The cast members lightly allude to changes. Jon Hamm, who plays Don Draper, says the show will get to the heart of the loaded question that ended last season: Don, approached by two women at a bar, being asked, "Are you alone?"

John Slattery, who plays the wisecracking agency head Roger Sterling, says his character -- who ended last season nakedly enjoying an LSD trip -- could reassess his whole life.

"I think at this semi-late date in his career he's trying to shake it up and find something to be interested in," he says. "That's really all you can ask -- surprisingly I think he's the character that appears to be most open to that."

Living large in Don Draper's New York

'Where we are right now'

But Podair doubts the group is suddenly going to bolt the establishment.

"In the back of many fans' minds (there's the thought that) this is the year, this is the season we're going to see them become complete hippies. It's not going to happen," he says. "Weiner's too smart for that. He wants to show that this other '60s -- this corporate '60s -- adjusted to the new 1960s and ended up selling the new 1960s."

Given that, can "Mad Men's" characters stay disengaged?

Creator Weiner, forever cagey about revealing too much, suggests they won't -- and that what they go through will echo down to the present day.

"I think you'll find this season more than ever really interacts where we are right now in society," he says. He leaves the point hanging, of course, but it's easy to see what the show might address: the splintering of society, destructive politics, what the baby boomers wrought.

But maybe "Mad Men's" characters will still muddle through, mildly oblivious to the deeper currents of the age. In that, they wouldn't be so different from the old woman -- or the rest of us.

Podair mentions a student he once had, another old woman, who took a course about the decade. He guesses she was born around 1930, and nothing he showed the class -- including movies such as "Easy Rider" and documentaries about '60s movements -- seemed to reach her.

Finally, Podair grew upset at her indifference.

"What were you doing during the 1960s?" he asked tartly.

"Raising my children," she responded.

@highlight

"Mad Men" returns for sixth season on Sunday

@highlight

Show's ad agency characters have generally avoided '60s turmoil

@highlight

Season 5 ended in spring 1967; new season will likely take show into harsh 1968

@highlight

Will "Mad Men" go anti-establishment? Doubtful -- they are the establishment