(CNN) -- Get ready: The 2016 campaign for the White House is getting under way.

Among those attending next week's Republican Governors Association meeting in Las Vegas are the group's chairman, Virginia Gov. Bob McDonnell, as well as popular Republican governors such as New Jersey's Chris Christie, Wisconsin's Scott Walker and Louisiana's Bobby Jindal.

While the RGA's annual confabs are all about policy and politics, 2016 is sure to come up because all four governors are thought to be contenders for the party's next presidential nomination.

Even though the 2012 election is barely in the rear view mirror, speculation over the next race for the White House is getting started. With President Barack Obama winning a second term on Tuesday, an incumbent will not run in 2016, meaning both parties may have competitive nomination battles.

Biden: 'You'll vote for me in 2016'

The two names grabbing the most attention in the hunt for the next Democratic nomination are Vice President Joe Biden and Secretary of State Hillary Clinton.

As he was leaving a Delaware voting booth on Election Day, Biden was asked whether it was the last time he'd cast a ballot for himself.

"No, I don't think so," he replied, smiling.

Last month, he dropped a mention of a possible '16 bid. While on a phone call with a voter in Florida, the vice president discussed health care and insurance, making his case for the president's health care reform law.

"And after it's all over, when your insurance rates go down, then you'll vote for me in 2016," he said.

Biden, who will be 73 on Election Day 2016, made unsuccessful bids for the nomination in 1988 and 2008.

As for Hillary Clinton, it doesn't matter how many times the soon-to-be-former secretary of state says she won't run for president again, there's always speculation that she may change her mind between now and the next presidential cycle.

When asked by Marie Claire magazine last month if she would make another bid for the White House, she said, "No, I'm not."

Hillary Clinton repeats 'no' for 2016

"I have been on this high wire of national and international politics and leadership for 20 years," Clinton said. "It has been an absolutely extraordinary personal honor and experience. But I really want to just have my own time back. I want to just be my own person. I'm looking forward to that."

But until she makes a Shermanesque statement, speculation will continue.

"The truth is, everyone else is frozen until Hillary decides what she wants to do," a Democratic strategist, who asked to remain anonymous, told CNN.

In addition to Biden and Clinton, there are some other possibilities.

Former New York Gov. Mario Cuomo did not run for the Democratic nomination in 1992, which went to Bill Clinton, but will his son, New York Gov. Andrew Cuomo, go where his father did not? Cuomo is up for re-election in 2014.

Also possibly considering the White House is term-limited Maryland Gov. Martin O'Malley, the current chairman of the Democratic Governors Association.

Other governors who might be considering runs are Deval Patrick of Massachusetts and outgoing Montana Gov. Brian Schweitzer.

And then there's the U.S. Senate, where all 100 members may imagine themselves as president. Sens. Mark Warner of Virginia, Amy Klobuchar of Minnesota, Kirsten Gillibrand of New York, and even Sen.-elect Elizabeth Warren of Massachusetts could be on any list of potential presidential candidates.

The Democratic strategist has some advice for potential candidates: "Everyone who wants to run for president in the Democratic Party should beat a path to Jim Messina's door. Then camp out in Iowa."

Messina was Obama's campaign manager, and Iowa, of course, traditionally kicks off the presidential primary and caucus calendar.

As for the Republicans, Christie is at the top of any potential list. But before any run for the White House, the New Jersey governor next year faces what may be a tough re-election campaign in a blue state.

McDonnell, who is term-limited at the end of this year and who was considered a possible running mate for Mitt Romney, may want to make a bid for the top spot.

Walker is a hero to many conservatives, thanks to his battles against public sector workers in Wisconsin. After surviving a recall election this year, Walker is up for re-election in 2014.

Christie: Romney 'didn't get enough votes'

Jindal, who's very popular among fiscal as well as social conservatives, is also entertaining thoughts of running for president, and Texas Gov. Rick Perry, who has to decide about running for re-election in 2014, may also take a second shot at the GOP nomination.

Romney's running mate, Rep. Paul Ryan of Wisconsin, returns to his leadership role in the House. Will Ryan, a favorite of fiscal conservatives and many tea party activists, make a run for the top spot in the next presidential cycle?

This week's election proved that the GOP has a problem with Latino voters. Will freshman Sen. Marco Rubio of Florida, a GOP rock star who's urging his party to address this problem, make a run for the White House? If he doesn't, maybe his mentor, two-term former Florida Gov. Jeb Bush, who has strong relations with the Hispanic community, could make a bid.

Rubio, by the way, will be in Iowa in a week and a half to headline an event for the state's Republican governor.

Rubio isn't the only Republican senator whose name comes up. Add John Thune of South Dakota to the list. And will freshman Sen. Rand Paul of Kentucky follow in his father's footsteps and run for president?

Rand Paul talks 2016 prospects

The GOP is famous for awarding the nomination to the candidate who came in second in the previous primary cycle, like with Romney this time. If that's the case, then watch former Sen. Rick Santorum of Pennsylvania. He gave Romney a run for his money, he's from an electoral-vote-rich state that the Republicans think they can reclaim, he's got a working-class background, and he's beloved by social conservatives.

Add in two more names from the 2008 cycle: Former Arkansas Gov. Mike Huckabee, who performed much better than expected in the GOP primaries, and former Alaska Gov. Sarah Palin, who was her party's vice presidential nominee that year. Huckabee is still popular, thanks to his radio programs and weekly show on Fox News Channel, and Palin still commands a loyal conservative following.

"There is a vacuum of leadership right now in the Republican Party. Whoever steps up right now to point the party toward its future will help the party and advance their own fortunes politically," says Republican strategist and CNN contributor Alex Castellanos.

But Castellanos, who was a senior media adviser to Romney's 2008 White House bid, says don't look to the past.

Wishing for a Rubio run

"The next Republican nominee will be tasked with taking the party into the future. It won't be the old retreads. It won't be Santorum, Huckabee or Palin. We need a new Republican from the ranks of GOP governors, senators, or even Jeb Bush and (former Secretary of State) Condi Rice who still represent the GOP's future."

So what do these possible 2016 wannabes do as the very early preseason begins?

If they don't have leadership PACs already, they form them, make speeches, campaign for fellow party members in the 2013 and 2014 races, write books and do cable news interviews, as they build up allies and support in the states that vote early in the primary and caucus calendar.

"This isn't a phase where people decide to run for president, it's when they start to do things that leave that door open," says a different Democratic strategist, who predicts that "there will be a wide open field on both sides next time around."

@highlight

The GOP's next presidential nominee might be at Republican governors gathering

@highlight

New Jersey Gov. Chris Christie tops the list, but he has tough reelection fight ahead

@highlight

Joe Biden and Hillary Clinton are mentioned most often as Democratic candidates

@highlight

GOP strategist says retread from past races won't be able to take party into the future