ATLANTA, Georgia (CNN) -- A paper cape sits loosely around your shoulders, covering your naked chest. A radiology technologist directs you toward an imposing-looking machine. As you hold your breath, one bare breast at a time is tightly compressed between two flat panels and X-rayed.

You'll undress from the waist up for a mammogram; wearing two pieces, not a dress, makes it easier.

It's a scene that's been repeated more than 35 million times in the past year at certified mammogram facilities around the United States.

No matter what their age, race or medical history, the female patients probably shared a similar experience during the 20-minute procedure.

"Mammograms are known to be uncomfortable," concedes Dr. Sujatha Reddy, an Atlanta, Georgia,-based gynecologist. "The harder they squeeze and squish that breast, the less tissue the X-rays have to go through and the more likely they are to find something."

The American Cancer Society reports two to four mammograms out of every 1,000 lead to a diagnosis of cancer. About 10 percent of women who have a mammogram will require more tests.

Accuracy often depends on patient cooperation, but Reddy reveals there's another side as well: "A mammogram is only going to be as good as the technician and the doctor who read it, so you want to go to a good place."

A recent study in the Journal of the National Cancer Institute reports that doctors reading mammograms miss an average of two in every 10 cases of breast cancer.

Medical experts remind women that mammograms alone don't guarantee a clean bill of health.

"I wish I could say the mammogram could find 100 percent of breast cancers," Reddy said. "I think we have to rely on having a clinical breast exam once a year at a health care provider and doing your self-breast exam on a monthly basis."

Reddy recommends having mammogram screenings at a reputable facility that is certified. She also suggests going to the same office every year so that old X-rays can be compared with new films.

A convenient location is another factor that makes it more likely that someone will actually show up for an annual mammogram appointment.  Health Minute: Watch more on what to expect during a mammogram. »

Fear of discomfort is what often keeps some women away.

Reddy advises her patients to schedule a screening appointment for the early part of their menstrual cycle. "The best time of your cycle to do a mammogram is going to be when your period is over, maybe the week after your period is done when the breasts are not going to be tender."

Caffeinated coffee, tea and soft drinks may also contribute to tender, lumpy breasts. Experts recommend avoiding caffeine for a week before the procedure.

Before having any type of imaging test, the Cancer Society warns patients to tell technicians if they think they might be pregnant or are breast feeding.

Similarly, reveal any unusual breast symptoms or problems before a mammogram.

The screening requires women to undress from the waist up. You'll be given a disposable wrap to put around your shoulders and chest. Wearing a two-piece outfit will make the process easier and more convenient.

Technicians tell patients not to wear deodorant, antiperspirants, perfumes or powders. They might leave a residue that can be picked up on the X-rays, interfering with the results.

All mammogram facilities are required to issue results within 30 days, but many will contact patients within a week if there is a problem with the mammogram.

The Cancer Society recommends women 40 and older get a mammogram every year. Younger women may be advised to be screened earlier if there is a family history of breast cancer. E-mail to a friend

Judy Fortin is a correspondent with CNN Medical News. CNN medical producer Linda Saether contributed to this report.

@highlight

More than 35 million mammograms performed annually in the U.S.

@highlight

Be screened at the same place every year; makes comparing images easier

@highlight

Minimize discomfort by going early in your monthly cycle