(CNN) -- The steep, picturesque canyons that wind through Colorado's northern Front Range have been a draw for tourists, day-trippers and homebuyers for more than a century.

But when record-setting rainfall began to hit last week, those picturesque canyons became funnels that poured hundreds of tons of water per second into towns like Boulder, Longmont and Lyons and left hundreds stranded in the mountains above.

"This flood was a direct result of the large amount of rainfall that occurred in a widespread area, essentially from Denver north to almost the Wyoming state line, and for a long duration -- for about a 48-hour period last week," said Robert Kimbrough, a hydrologist with the U.S. Geological Survey in Denver.

Coloradans are still digging out from those floods, which have been up to 1,000-year events in some communities.

A stream of unusually humid air that was sweeping over the area early last week helped fuel the storms. High pressure east of the mountains bumped up against a low-pressure system to the west, triggering several days of storms as moist air flowed up the peaks of the Rockies, where cold air wrung the water out of it.

The rain began September 10, with an inch recorded in Boulder. Nearly two inches fell the next day. Then on September 12, Boulder recorded 9.08 inches of rain -- nearly double the city's previous one-day record, and almost half its 20.5-inch yearly average. A forecaster in the National Weather Service office there called it "biblical."

More than 4 more inches of rain fell by the week's end, bringing the September total to more than 17 inches so far. That's boosted the yearly precipitation figure, measured from October through September, to more than 30 inches to date -- the most in 120 years of record-keeping.

The biggest rainfall amounts occurred over the foothills of the Rockies, Kimbrough said. That water poured down the mountainsides into the major tributaries of the South Platte River -- Boulder Creek and the St. Vrain, Big Thompson and Cache la Poudre rivers.

How to help

"It really originated in the streams that drain off the east side of the Continental Divide into the front range of Colorado, but it all happened fairly quickly," Kimbrough said. "Even though the leading edge was in the foothills, we did see it very quickly on the 12th in communities like Boulder and Lyons and Longmont."

The result was six dead and about 200 who remained unaccounted for, though most of those are believed to be alive and well. Boulder County reduced its count from 109 people to four still unaccounted for on Wednesday, while in Larimer County, to the north, the number remained at 197.

Nearly 18,000 homes have been damaged statewide. Now the runoff is coursing down the South Platte into neighboring Nebraska, where forecasters are warning of flooding into the weekend.

"We're in the Grand Island area anxiously waiting to see how the Platte River responds and to see how much of the water reaches us here," Mary Harner told CNN affiliate KHAS.

Many in Colorado returned home to heartbreaking scenes. In Lyons, on the St. Vrain River 15 miles north of Boulder, high water pushed entire houses around like furniture. Streets were dotted with snapped utility poles.

Stories of grief, generosity and gratitude

The extensive damage may present long-term problems for communities even as workers scramble to make repairs, Larimer County Sheriff Justin Smith said Tuesday. Questions of how to provide emergency services to areas where roads have been washed out or protect properties where the owners have been evacuated are still being worked out, he said.

"We have a new normal in Larimer County for months, if not a few years," Smith said.

CNN's Kyung Lah, Faith Karimi and Sean Morris contributed to this report.

@highlight

Boulder County says only 4 still unaccounted for

@highlight

Boulder saw nearly half its annual rainfall in a single day

@highlight

"It all happened fairly quickly," a scientist says

@highlight

Nebraska warily watches the rising South Platte