(CNN) -- Momentum is mounting against the NCAA, the century-old body that governs college sports.

A federal judge has just heard one case calling for revenue from TV deals to be shared with student athletes and she will likely take on two more landmark suits this year that seek something even bigger -- a free market in college sports.

At the same time, Northwestern University is appealing a ruling that would allow football players to unionize.

Here are five things you need to know about what just happened and what's coming.

The end of some of the biggest traditions?

National championships. Age-old rivalries. Larger-than-life game day atmospheres.

That's what's at stake, according to NCAA President Mark Emmert, who described a doomsday scenario if college athletes are paid, when he testified in the case brought by former UCLA basketball star Ed O'Bannon.

Emmert said many school leaders have told him they would not want to pay for athletes. Instead they might opt out of Division I sports into Division II where there is less money for coaches, facilities and scholarships.

Schools that did stay in D1 would likely have to cut less popular sports to afford to pay athletes, he said.

And the schools that chose to pay would probably never play the schools that chose not to pay -- preventing a true national championship and putting an end to traditional rivalry games that are fan favorites, Emmert said.

But that idea is rejected by one of O'Bannon's lawyers, Bill Isaacson.

"The millions of sports fans who watch these games and everyone at the networks that broadcasts them knows that the games will continue to be played," he said.

Corporate sponsorships are everywhere

It's the one thing that all sides seem to agree about: Commercialism is all over college sports with corporate branding and endorsements rife.

O'Bannon's lawyers showed slide after slide of athletes in corporate-sponsored ads or near logos. They're arguing that student athletes who currently get no money should get some of the revenue they help to generate -- either before or after graduation.

But if O'Bannon's side won, both sides agree it could open the door for college athletes in every sport -- not just the revenue generators of football and basketball -- to make money from endorsement deals and product branding.

Emmert, on the stand, said he was disturbed by the level of corporate sponsorship, but said the schools set the rules, and that they need the money to support larger-than-life programs.

"It's not something I'm personally comfortable with," Emmert said. "It's certainly not where I would prefer the rules be drawn."

Internal disputes and slips

Even within the NCAA there appears to be disagreement over the way athletes are treated, and O'Bannon's lawyers sought to make hay from some apparently contradictory discussion.

"The notion that athletes are students is the great hypocrisy of intercollegiate sports," wrote Wallace Renfro, former NCAA vice president, in one e-mail.

They presented another internal document saying the "law may also be on the student-athlete's side" when it comes to the use of their names, images and likeness.

And then there were the verbal slips during testimony.

Emmert used the term "full-time athletes" instead of "full-time students." And Neal Pilson, a former CBS executive called to the stand by the NCAA, called Alabama's football team "the strongest possible school in terms of pro football."

On a more serious note, everyone seemed to admit that schools simply don't stick to the 20-hour-a-week rule that is supposed to limit time devoted to sport.

Something even bigger lying in wait

If Judge Claudia Wilken rules in favor of O'Bannon, there will likely be an appeal, but it could still count as a legal precedent for now.

Soon, Wilken could also hear the "big one," filed by sports attorney Jeffrey Kessler, who's arguing for a free market in collegiate sports similar to the NFL and NBA.

The Kessler suit is the best current chance college athletes have of being paid the big bucks, through salaries or signing bonuses.

Picking a college could begin to look like the NFL or NBA draft, with 17- and 18-year-olds coming out of high school with million-dollar contracts to play ball.

"My instinct is more in the hundreds of thousands, but if there is a Reggie Bush, someone who would essentially be a first draft pick if there was a draft, maybe it would be close to a million," said Michael McCann, director of the Sports and Entertainment Law Institute at the University of New Hampshire. "I think that would be an exception to a rule, if there's some star."

The main difference between the O'Bannon and the Kessler cases: O'Bannon would put a smaller amount of money into the pockets of more players.

Players band together, so do schools

NCAA reformists are coming to each other's aid. For example, Ed O'Bannon's lawyers filed 1,000 pages of exhibits and documents to help students make their case in the Northwestern union appeal.

And Kessler is working closely with the College Athletes Players Association -- the group behind the Northwestern union attempt.

But the other side is mobilizing too. In the Northwestern case, eight other schools -- including powerhouses Stanford and USC -- filed a brief in support of Northwestern's attempt to stop the union.

And, even if the athletes win in the courtroom, the decision will be left to the schools, which are likely to listen to fans. A recent poll by the Saint Leo University Polling Institute showed that 66% of Americans don't think athletes should be paid with more than scholarship money.

Paying college athletes would hurt traditions, NCAA chief Emmert testifies

@highlight

It's a summer of lawsuits and legal hearings for the college sports governing body

@highlight

The key issue is whether student athletes should get more than scholarships

@highlight

The NCAA says rivalries, competitions and traditions could all be in jeopardy