(CNN) -- You know those little "winglets" that point up from the tips of airliner wings?

Those were developed by NASA.

And, you know those little grooves in runways that channel away standing water?

NASA again.

America's space agency isn't just about space.

It also develops ways to make our airliners safer and more efficient.

Guess what? You may have been flying with NASA technology for years, and didn't even know it.

Shape-shifting wings? They're coming

Now, an ongoing project could radically change the way airliners look and, more importantly, save hundreds of millions of dollars a year in fuel costs.

NASA calls it the Adaptive Compliant Trailing Edge project, or ACTE.

It's best described in three words: Shape. Shifting. Wings.

Those words sound like science fiction, but NASA and a company called Flexsys are developing wings that change shape in response to flight conditions and weather.

Superflexible very strong composite materials make it possible.

What does that mean to air travelers?

You've probably looked out the window of an airliner to see the hinged metal flaps on the rear edge of a wing.

New flexible materials allow the wing to change shapes without hinges.

NASA shows off new flight technology

This week, NASA invited dozens of aerospace bloggers and social media mavens to see new aviation technology at its Armstrong Flight Research Center in California's High Desert, about 100 miles north of Los Angeles.

They got an exclusive look at NASA's flexible wing project and other ongoing research aimed at aviation. They also got a chance to hang out with engineers and pilots.

Then, they tweeted about it.

Project manager Tom Rigney compared the flexible wings to "watching a bathtub bend. You don't expect something shaped like that to bend into a very fluid looking shape."

If these new wings end up on airliners in the coming decades, they'll transform our flying experience into smoother, more comfortable and less expensive journeys.

But don't expect them until after 2025, said Rigney.

So, the big question about the flexible wing is pretty simple: How does it work?

That's a proprietary secret. NASA is prohibited from telling us.

But here's what the NASA engineers could say: It morphs to compensate for changing flight conditions.

In the future, "a pilot could be flying through a strong gust and the wings adjust so passengers won't feel the forces of the gust," Rigney said.

It could change the way engineers design airliner wings.

"Now we have wings that are made heavier to withstand gusts, but with this technology, they may not have to design heavy wings like that anymore," said Rigney.

Moving wings in-flight

A three-member crew of a heavily modified NASA Gulfstream III has been flight testing this new wing material.

Inside the cockpit sits a mascot: a little stuffed animal named Scrat, the prehistoric squirrel character from the film "Ice Age."

NASA loves its acronyms, so Scrat has been defined as the "SubsoniC Research Aircraft Testbed."

The test flights climb to around 40,000 feet and accelerate to about 75% of the speed of sound.

Never far away is a chase plane, in case an issue comes up and they need an exterior set of eyes on the wings.

The wing material "is just one, smooth surface," said NASA test pilot Tim Williams. "It's very, very solid."

Right now, the wing is adjusted before each flight, not while airborne.

Once this test program is complete, the next step would be to design a new wing.

"I would think that wing would be moveable in flight," said Williams, "and it will make a big difference."

Someday this new wing technology may join the list of NASA innovations that have made air travel safer and more convenient.

Here are five big examples

1. Airborne wind shear detection

A weather phenomenon called wind shear poses danger to airliners during takeoffs and landings.

Wind shear involves sudden changes in wind speed, horizontally or vertically.

Airplanes now have sensors that can predict it while in flight.

In the 1980s and '90s, NASA conducted wind shear research and validated the technology surrounding the sensors.

2. Digital fly-by-wire

Older airliners used heavy cables and pulleys to connect the cockpit controls to the wings and tail.

Now, thanks to NASA research in the 1960s and '70s, pilots control newer airliners via electronic wire-based systems.

3. Lightning protection standards

Airliners are safer from lightning strikes now, due to NASA research during the 1970s and '80s.

What NASA learned has helped protect airliner avionics and electronics from damage by lightning strikes.

4. Engine nozzle chevrons

Chevrons -- serrated shapes on the rear edges of the nacelles, the jet engine housings -- cut noise in the cabin and on the ground.

These were developed thanks to NASA computer simulations in the 1990s and 2000s.

5. Winglets

Vertical extensions developed by NASA during the 1970s and '80s led to airliner "winglets," which allow planes to slice through the air more efficiently, saving fuel and money.

@highlight

NASA and Flexsys are developing shape-shifting wings for airplanes

@highlight

Flexible wings would save millions in fuel and smooth the ride for passengers

@highlight

NASA showed off its wing technology to bloggers and social media mavens this week

@highlight

NASA has contributed heavily to innovations used in commercial aviation