(CNN) -- In a scene unfolding in many Latino communities throughout the country, the graduation ceremony at Garcia High School in Chicago was especially celebratory Saturday: 20% of the graduating seniors are illegal immigrants who can now put their education to use with work permits authorized by President Obama's new immigration rules.

"What the president did this week was an amazing gift to me and other students who are undocumented," graduating senior Andrea Labra, 18, told CNN.

"It's just an emotional thing to have the same opportunities that other students have and that we didn't have just because we didn't have papers," added Labra, who was born in Mexico and came to the United States at age 5 with her family.

For the class of 2012, the routine tossing of mortarboards in the air was more emotional than anticipated, said classmate Rodrigo Espinoza, 18, who's also an undocumented immigrant from Mexico. His family brought him to the United States when he was 3 months old.

"It's so unexpected," Espinoza said of Obama's executive order, announced Friday. "It's like a dream. I can finally do something with my life now."

Espinoza is going to study bio-engineering on a scholarship at the University of Illinois at Chicago. He wants to find a cure for cancer, he said.

"I'm determined to do it now that I have a chance to do it," said Espinoza, who will be the first one in his family to go to college. As an honors graduate, a yellow sash topped his blue cap and gown.

"This is going to change my life. It was a life-changing experience for all of us and for my family," he added about the new immigration rules announced Friday.

Juan Rangel, the leader of Chicago's largest Hispanic advocacy organization that runs Hector P. Garcia High and 10 other city charter schools, said the White House announcement was "a high note for the graduating ceremony."

"It's a timely announcement, and it's coming at the end of the school year," Rangel said.

In a measure that a Pew Hispanic Center analysis said could benefit up to 1.4 million children and young adults, the Obama administration said it will offer work permits to illegal immigrants younger than age 30 who came to the United States before age 16 and meet certain criteria.

Participants must be in the United States now and be able to prove they have been living in the country continuously for at least five years.

The centerpiece of the Obama measure grants illegal immigrants a two-year deferral from deportation if they pose no criminal or security threat, and were successful students or served in the military, administration officials said.

The change is part of a Department of Homeland Security effort to target resources at illegal immigrants who pose a greater threat, such as criminals and those trying to enter the country now, officials said.

For many educators and school leaders across the nation, the new program means undocumented immigrant students can come out of the shadows and underground economy of society and participate legally in the U.S. work force, Rangel said.

Equally important, teachers and principals now have an answer to illegal immigrant students who have asked "what's the point?" about pursuing a higher education, Rangel said.

"At some point these kids ask themselves the question: they work hard, they get the good grades, but what's the point of going to a university if they can't work?" said Rangel, chief executive officer of the United Neighborhood Organization, which operates 11 charter schools in Chicago serving 5,500 students. He's also president of the UNO Charter School Network.

"It's almost like a leap of faith that we have asked of these kids: Something is bound to happen, and you can't give up at this point. That leap of faith has been answered, and it opens a whole new horizon for these kids," he said.

Labra was on the brink of greeting such an opening.

"The emotions that go through me to think that one day when I graduate from college that I might become a doctor or teacher and that I'll be able to do it without having to go anywhere else -- I thought I would have to go back where I came from," Labra told CNN.

Her parents were equally elated about the graduates' new possibilities.

"I'm so overwhelmed," her mother, Yolanda, told CNN. "I'm very thankful for everything. We have faith that their dreams are going to be realized."

"It's great that the students are going to have this opportunity" to work, said Juan Labra.

Andrea Labra said she's going to save money for a four-year college by first attending the two-year Harold Washington College, one of the City Colleges of Chicago. She plans on majoring in biology and wants to become a science or biology teacher.

Twenty-one of Garcia High School's 107 graduates are undocumented immigrants -- a figure that's not too surprising because the school is located in a Mexican immigrant community in the Archer Heights neighborhood on Chicago's southwest side, Rangel said.

The school is 99% Latino, with a 93% poverty rate, but 97% of the graduates are going to college on academic scholarships totaling $4.7 million, Rangel said.

Obama's executive order addresses a major concern of the nation's burgeoning Hispanic community -- now the nation's No. 2 group under the 2010 census -- and mimics some of the provisions of a Democratic proposal called the DREAM Act, which has failed to win enough Republican support to gain congressional approval.

Both Obama and Homeland Security Secretary Janet Napolitano cautioned Friday that the order is not a pathway to citizenship and urged Congress to pass the DREAM Act.

The Development, Relief and Education for Alien Minors -- or DREAM -- Act would create a path to citizenship for immigrants who entered the United States illegally as children under the age of 16 and have lived in the United States for at least five years; obtained a high school or General Education Development diploma; demonstrated "good moral character"; and haven't committed crimes that "would make them inadmissible to the country," according to a White House fact sheet.

@highlight

President Obama's new immigration rules praised at Chicago high school graduation

@highlight

20% of the students in Garcia High's Class of 2012 are illegal immigrants

@highlight

"What the president did this week was an amazing gift," an illegal immigrant student says

@highlight

"It's like a dream. I can finally do something with my life now," another says