An early and severe start to the flu season has many health experts concerned. On Friday, the Centers for Disease Control and Prevention reported 47 states are experiencing widespread activity, although it appears to be decreasing in some areas.

According to the CDC, this is the most flu cases they've seen at this time of year in more than a decade. Twenty pediatric flu-related deaths have occurred since the start of the season. The CDC does not track adult flu-related deaths.

The peak of the season, which usually happens in February, may be yet to come for most states -- officials said Friday it may be a week or two before it becomes clear whether cases have peaked. Here are some common flu questions from readers answered:

Why is this year's flu causing more severe cases?

The type of flu that is going around is called Influenza A (H3N2), which is often linked to more serious diseases than other flu varieties, Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health, told CNN. People could get more complications from this particular strain, which would make them sick for a longer period of time.

How is this flu season different than last year's?

The 2011-2012 flu season began late and was relatively mild compared with previous seasons, according to the CDC. In fact, the season's peak set a record for the lowest and shortest since surveillance began.

The number of pediatric flu-related deaths was also low last year. The CDC reported 26 children under the age of 18 had died by May 25, 2012. As a comparison, 122 pediatric flu-related deaths were reported during the 2010-2011 season.

How many people usually die from the flu each year?

The flu kills about 36,000 people a year in the United States, according to the CDC, though the range varies greatly each year. Most deaths are caused by complications from the flu.

Children under 2 years old, adults over 65, pregnant women and American Indians are at a greater risk of suffering from flu complications, according to the CDC. People with medical conditions like asthma, lung disease, heart disease and people with weakened immune systems are also at risk.

How does someone go from having the flu to dying?

Most of the people who die have underlying illnesses or a weakened immune system, says Dr. Sanjay Gupta, CNN's chief medical correspondent. The flu can weaken the immune system even more, which can lead to a complication like a bacterial infection.

"It is that bacterial infection that most often causes death, especially in the younger population," Gupta says.

So if I get the flu, should I go to the emergency room?

Most people with the flu don't have to -- they'll recover on their own in five to seven days with plenty of rest and fluids, says Dr. David Zich, internal medicine and emergency medicine physician at Northwestern Memorial Hospital in Chicago.

However, you should go to the ER immediately if:

-- You have difficulty breathing or have pain in your chest

-- You can't keep fluids down because of nausea and vomiting

-- Your fever or cough gets better, then worsens

"Let's say you have the flu, you get better, you think everything is all clear," Gupta says. "Then a couple days later, the fever comes back. That means you may now have a bacterial infection."

Does this mean the flu vaccine isn't working?

The flu vaccine is only about 60% effective, according to the CDC. How well the vaccine works can vary based on your age and health, as well as how good the "match" of the vaccine is to this year's flu strain.

Each year, the vaccine is made from three strains of the influenza virus that researchers suspect will be the most active. So far, according to the CDC, this year's vaccine matches well with the most predominant type of flu spreading in the United States, but is less well matched to the No. 2 type of virus.

The vaccine usually works best in young, healthy people, according to Dr. Bill Schaffner, chairman of the preventative medicine department at Vanderbilt University. But even if you do get the flu, the vaccine can protect against harsher complications.

Learn more about the flu vaccine's effectiveness

Will the flu vaccine make me sick?

The virus used in the flu shot is a dead virus, Gupta says. "You cannot get the flu from a flu shot." But your body's immune system will react, and that can make you feel pain in your arm or feel less than 100% for a few days.

Is there a flu vaccine shortage?

While CNN has heard reports of vaccine shortages in some areas, manufacturers say there are vaccines available for anyone who wants to get a flu shot.

There was a temporary delay in new shipments of the antiviral medicine Tamiflu due to an increased demand, according to a spokeswoman. Tamiflu can help reduce the severity and length of flu symptoms if taken early.

Learn more about the reported shortages

I'm sold! Is it too late to get the vaccine?

In one word: no. Keep in mind that it takes about two weeks for antibodies to develop in your body and provide protection against the virus, the CDC says.

Opinion: Next time, get the vaccine early

How can I avoid getting the flu in the first place?

It's disturbing to think about, but flu germs can spread up to 6 feet through coughs and sneezes. They can also live on surfaces for up to eight hours.

Dr. Jennifer Shu, a pediatrician and mother of two, recommends practicing good "social distancing." This means canceling parties or dates if someone is sick and avoiding large crowds (like at the movies or going out to dinner) if your community has been hit hard by the virus.

It's also a good idea to practice proper hand-washing -- for at least 20 seconds several times a day. And wiping handles, counters and remotes daily with hot soapy water or disinfectant will kill any germs that linger.

Learn more about how to protect yourself and your family

@highlight

The type of flu going around is called Influenza A (H3N2)

@highlight

The flu kills about 36,000 people a year in the United States, according to the CDC

@highlight

People with medical conditions and weakened immune systems are most at risk