(CNN) -- With more than 1,000 hot springs gurgling beneath 80% of the country, a trip to Hungary isn't complete without one thing: a visit to a spa.

The Romans chanced upon Hungary's healing waters more than 2,000 years ago, but the Ottoman Turks really got things going in the 16th century, importing their social spa culture.

While the word "spa" can conjure images of being pampered in a luxurious setting, in Hungary it's quite different.

There's an emphasis on health and well being, so many of the facilities are more functional than plush.

A few charge for towels, although the fee can be less than $2.

That said, the natural beauty of the country's spas makes up for a certain clinical air.

And admission prices, even for a full day, are often less than $15.

Bathing and board games

Whereas the French pop into their cafes for a coffee and a chat, Hungarians catch up with the latest gossip while having a soak.

They can be seen playing chess in the warm waters of the huge Szechenyi complex in Budapest -- one of the biggest in Europe and one of the most beautiful.

They're also taking advantage of the restorative properties in the thermal water.

Szechenyi, Allatkerti korut 11, Budapest; +36 1 363 3210

Salty soaking

One of Hungary's most unusual spas is the open-air complex at Egerszalok, about 80 miles (129 kilometers) east of Budapest

It's obvious why they've nicknamed it Salt Hill: centuries of mineral deposits left by flowing springs have turned the surrounding mounds white.

Visitors can take a dip in these hot springs or use the 17 indoor and outdoor pools at the adjoining Saliris Resort.

Just five miles away is the incredibly pretty town of Eger, which has a 16th-century Turkish bath and outdoor thermal pools.

On offer is the heavy-handed pummeling of the Turkish massage experience, or a chance to relax and gaze at the ornate interior of bright mosaics.

The outdoor pools are more boisterous, with plenty of play areas for kids.

Egerszalok Spa, Forras ut 4, Egerszalok Hungary +36 36 688 500

Salaris Resort, Forras ut 6, Egerszalok, Hungary; +36 36 688 600

Eger Thermal Bath, 5 Frank Tivadar ut, Eger; +36 36 510 552

Subterranean spa

Another 40 miles (64 kilometers) east past the Bukki National Park is the underground water world at Miskolctapolca.

The name doesn't trip off the tongue easily, so many simply call it the Cave Bath.

Thermal waters flow through a huge series of limestone caves, all heated at a comfortable 84 F (28.9 C).

In summer months, there's an outdoor complex with family pools.

Cave Bath, Pazar Istvan setany 1, Miskolctapolca; +36 46 560 030

Thermal lake

West of Budapest lies the opportunity for a leisurely swim in the largest thermal lake in Europe.

Heviz Lake is just beyond the westernmost point of Lake Balaton, about 120 miles (193 kilometers) southwest of Budapest.

Hot springs fill this 10-acre lake surrounded by woods and parkland -- these springs work hard enough to change the water every three days.

Bathers share the lake with some flora and fauna, namely the resident ducks and water lilies.

They must also tolerate the whiff of sulfur that comes from the mineral-rich water.

There's a lot going on indoors at the large complex overlooking the lake: seven thermal pools, mud baths and treatments for conditions that can be helped by a therapeutic dip.

Heviz Lake tourist information office; +36 83 540 131

Vast baths

A different bathing experience can be found at Europe's largest bath complex at Hajduszoboszlo, 13 miles (21 kilometers) southwest of Debrecen, Hungary's second city.

Hungarospa is a giant shrine to water and all the fun that can go with it.

It includes Aquapark, where children of all ages -- including babies -- can frolic on water slides and in the bathing pools.

Its indoor thermal baths offer treatments for people with various ailments that can be alleviated by water therapy.

The Aqua Palace has 20 themed pools recreating everything from a Roman bath to a tropical pool.

From May to September, the park's 75 acres become an enormous outdoor water playground.

Thirteen pools sprawl around the park, including a mammoth one built to resemble a Mediterranean beach.

It's all topped off with an immense pirate ship to keep kids entertained.

Hungarospa, Szent Istvan Park 1-3, Hajduszoboszlo; +36 52 558 558

Super-sized sauna

About 130 miles (210 kilometers) west of Budapest toward the Austrian Alps is Bukfurdo, Hungary's second-largest spa.

Within the 35-acre complex are 32 pools, a sauna big enough for 150 people and plenty of paddling pools for small children.

The town is also home Greenfield Golf, Hungary's first 18-hole championship course, so golfers haven't got far to go to soothe tired muscles after a game.

Bukfurdo spa, Termal krt 2, Bukfurdo; +36 94 558 080

Slides and style

A glimpse into a vintage, elegant world of bathing beyond Budapest can be found 100 miles (161 kilometers) south of the capital in Szeged, near Hungary's borders with Serbia and Romania.

Among the city's charming 19th-century architecture is the neo-Renaissance Anna Thermal Bath.

These warm bubbling pools, steam rooms and saunas evoke the charm of Budapest's famous spas such as Szechenyi and Gellert.

Across the Szeged Tisza River lies the Napfenyfurdo Aquapolis water park.

While the kids zoom down Europe's longest all-year water slide, adults soak in the thermal baths and pulsating waterfalls of the adventure pool.

Anna Thermal Bath, Tisza L. krt. 24, Szeged; +36 62 553 330

Napfenyfurdo Aquapolis, Torontal ter 1, Szeged, +36 62 566 488

Mary Novakovich is an award-winning travel journalist who specializes in European destinations. She writes for UK newspapers and has written guidebooks for Frommer's, Insight Guides and Berlitz.

CNN Travel series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Hungary owes its spa culture to Romans and Ottoman Turks, and the country's extensive hot springs

@highlight

Admission price for most spas is less than $15, although facilities can be more functional than plush

@highlight

Budapest's Szechenyi complex is one of the largest spas in Europe