(CNN) -- For all the creative destruction that the Internet has wrought over the last decade, there has been one constant: Google's remarkable dominance of the internet economy.

In a "Web 2.0" world dominated by search and by the link, Google and its artificial algorithm have reigned supreme ever since the company's much vaunted IPO in August, 2004.

But now, as we go from a Web 2.0 to a Web 3.0 economy, even the once invulnerable Google might be in trouble.

Yes, for the first time in a decade, Google's global dominance of the Internet economy appears in jeopardy. This challenge to Google is twofold -- from both the market and from the government.

The market threat comes from the increasing ubiquity of social media. The link economy is being replaced by the "like" economy in a Web 3.0 world described by LinkedIn co-founder Reid Hoffman as "real identities generating massive amounts of data."

And the rise of social media with its avalanche of personal data is, of course, being primarily driven by Facebook, the locomotive of the like economy, with its near billion members and its expected $100 billion IPO later this year.

The dramatic shift from traditional search to social media was underlined last week in a speech by Tanya Corduroy the London Guardian's director for digital development. Eighteen months ago, Corduroy revealed, search made up 40% of the Guardian's traffic and social only made up 2%. Last month, however, she acknowledged a "seismic shift" in the Guardian's referral traffic, with Facebook driving more traffic than Google and making up more than 30% of the newspaper's referrals.

Of course, Google hasn't stood still in the face of the Facebook tsunami. First there were the social products Buzz and Wave, both of which were embarrassing failures. And then last year, Google launched the "quasi Facebook competitor" Google +, a product that one ex Google employee believes has "ruined the company" by trying to transform all Google products into social services. Indeed, Google has even launched a new search product called Search Plus Your World (SPYW), perhaps the company's most "radical" move in its history, which determines search results according to social rather than algorithmic criteria.

While the jury is still out on the success of Google +, with data showing that users spent an average of only 3.3 minutes on the network last month, there is no doubt that Google is relentless about its desire to make itself the center of Web 3.0's social world. Larry Page, Google's new CEO, has even tied 25% of all bonuses to the success of the company's social strategy.

See more: Report: Facebook bought 750 patents from IBM

Indeed, the problem might be that Google is trying too hard to transform itself into a social company. Google's announcement in late January, that it intended to consolidate personal data across its different products and services -- from Gmail to YouTube to Google + to SPYW to Google maps to traditional search - had one concerned technology writer suggest that Google will now know more about us than our wives.

And while senior Google executives like Google + supremo Vic Gundotra promise that they won't break users' trust, more and more pundits fear that Google's obsession with keeping up with Facebook is making a mockery of its "Do No Evil" corporate mantra.

In my view, Google is no more or less evil than a multi-national bank or oil company. But there is good reason to fear the company's insatiable appetite for our personal data in today's Web 3.0 world. That's because Google's business model remains primarily the sale of advertising around its free consumer products. Thus, Google's desire to intimately know us is primarily driven by its core business objective of -- one way or the other - selling that knowledge to advertisers.

Read more: Google launches monthly user-activity feature

This threat was laid out chillingly by the Center for Digital Democracy in a complaint about its new privacy policy to the U.S. Federal Trade Commission (FTC): "In particular, Google fails to inform its users that the new privacy regime is based on its own business imperatives: To address competition from Facebook, to grow its capacity to finely profile and target through audience buying; to collect, integrate, and utilize a user's information in order to expand its social media, social search, and mobile marketing activities ..."

Governments around the world are, however, waking up to this threat. A number of U.S. lawmakers, for example, questioned the impact of this new policy on users' privacy.

While earlier this week, the FTC published a 57-page report of privacy recommendations which included the addition of a "do not track" system intended to give us more control over our online data. And last month, the White House proposed its own "Privacy bill of rights" that depends on voluntary commitments by both Google and Facebook.

But Google, driven by its Facebook envy, is in no mood to voluntarily commit to protecting our privacy. In spite of overt U.S. and European government pressure not to implement a policy that consolidates all our personal data across the company's many products and services, Google did indeed, on March 1, unilaterally move ahead with this controversial new privacy policy.

And herein, I suspect, lies Google's greatest vulnerability. Late last month, France's data protection authority, the Commission Nationale de l'Information et des Libertes (CNIL) wrote to Larry Page warning him that Google's new privacy policy might be unlawful in the EU. The CNIL letter was strongly supported by EU Justice Commissioner Viviane Reding, who also requested that Google delayed the implementation of the policy.

Next month, European Union regulators, led by Competition Commissioner Joaquin Almunia, will announce their plans for pursuing an antitrust investigation into Google's broad business practices, particularly accusations by a number of companies including Microsoft, Travelocity, Expedia and Kayak that it has abused its dominant position in search.

Given all the controversy surrounding the company's new privacy policy, don't be surprised if this contributes to Almunia formalizing the antitrust charges against Google.

I suspect that 2012 will be remembered as the year when Google's fortunes began to wane. The company won't disappear, of course. But with an inexperienced new CEO, a badly botched new privacy policy, a marked decline in public trust and a looming EU antitrust investigation, it is hard to see Google dominating today's Web 3.0 world from the same unchallenged position as it once controlled the Web 2.0 economy.

The opinions expressed in this commentary are solely those of Andrew Keen.

@highlight

Social media and government challenge Google's internet dominance of internet economy

@highlight

Google is relentless about its desire to make itself the center of the new social world

@highlight

Keen: Google is trying too hard to transform itself into a social company

@highlight

Keen: 2012 will be remembered as the year when Google's fortunes began to wane