(CNN)Blame Joshuah Purdy Brown. Or, if you prefer, P.T. Barnum.

It's thanks to those 19th-century promoters that the elephant rose to become the circus's king of beasts -- the living symbol of "The Greatest Show on Earth."

"This is something that has been a big deal historically," says circus historian Janet Davis, an American studies professor at the University of Texas.

Traditionally, she observes, elephants are the stars of the parade when circuses come to town. There was even a 19th-century phrase, "to see the elephant," a euphemism used by soldiers for seeing battle, recognizing the wonder and rarity of these giant animals.

On Thursday, Ringling Brothers, part of the Feld Entertainment firm, announced that it would be ending use of elephants by 2018. It's a startling change for the show, which has made the giant pachyderms a centerpiece of its presentation for decades and weathered criticism for their treatment from animal rights groups.

CNNMoney: The Greatest Show on Earth will soon be without elephants

Brown was perhaps the first to make elephants a part of the circus atmosphere. The modern circus only dates back to around 1770, the invention of an Englishman named Philip Astley, who added jugglers, acrobats and clowns to his equestrian show. (The term "circus" comes from the ancient Romans, although the Roman version was closer to a sporting event featuring soldiers, and it could be quite bloody.)

Astley's circus was such a huge success that he created one in Paris, and his students and acolytes -- knowing a good idea when they saw one -- brought the circus to other cities. To this day, the ringmaster wears elegant riding clothes because of the circus' equestrian roots.

Brown, a shrewd marketer who was also responsible for making the circus a tented traveling show, added a "menagerie" to the event to help combat the form's sometimes seedy reputation.

"Circuses in this era were really for adults, and not marketed for children at all," says Davis.

Brown's show, by adding a menagerie tent to the circus tent, could market their shows as educationally uplifting by "showing people the wonders of the animal world," she adds. By the 1850s, elephants were regular circus attractions.

Then came Barnum.

In the early 1870s, the clever entrepreneur, who had made his fortune with such acts as the "Feejee Mermaid," singer Jenny Lind and a New York-based museum of curiosities, created P.T. Barnum's Museum, Menagerie and Circus.

"They had exotic animals from the four corners of the earth, and you had to go through the menagerie first and then you went to your seat in the big top," Deborah Walk, curator of collections for the Ringling Museums, told PBS for a 2010 documentary called "Circus." "There was no way to miss the menagerie -- it was all part of the educational outreach to get people to go to the show."

Barnum and his partner made the circus an efficient business, running it on the railroad to far-flung destinations and transporting their animals long distances.

"Elephants become this incredibly important signature part of the circus," says Davis.

The beasts were huge attractions. When Barnum announced he was going to bring a white elephant back from Asia, a competitor whitewashed his own elephant and engaged in a media war. (The clash popularized the term "white elephant.") Another Barnum purchase, the African elephant Jumbo, was the centerpiece of his circus, and when Jumbo died in 1885, the victim of a train accident, the news made worldwide headlines.

The attitudes towards elephants, and circus animals in general, started changing in the early 20th century, says Davis. For one thing, until World War I, the circus was the king of the entertainment circuit: "There were no movies, radio or television to compete with the wonders of the circus ring and little traffic congestion or parking problems to impede those who sought to attend," wrote Bob Brooke in History magazine.

And in recent decades animal-rights activists have increasingly protested against the use of performing mammals such as elephants and killer whales, demanding better treatment for them.

Ringling Brothers and other circus companies have dealt with numerous challenges over the last half-century, including ever-splintering attention for entertainment dollars and the rise of acrobat-based shows such as Cirque du Soleil, which is now a global empire.

But "The Greatest Show on Earth" is still hugely popular, and Davis believes the loss of elephants won't affect the circus' bottom line.

Still, she says, there is something special about the majestic animals. At a show she attended in 2013, the elephants had their own space, and a bunch of children were standing nearby, watching them in awe.

"It was very moving," she says. "This physical proximity to these animals is powerful."

When it comes to circus animal acts, are more changes to come? Are lions and tigers next?

Davis wonders.

"In a way, the elephant is kind of the bellwether animal. I would imagine this is a kind of catalyst," she says. "I would imagine that we have not heard the last of the kind of changes that are afoot in terms of animals and circuses."

@highlight

Elephants have been symbolic of the circus since the 19th century

@highlight

Ringling Brothers circus is ending use of elephants soon

@highlight

Historian wonders if more changes are to come