Tokyo (CNN) -- The nuclear crisis at the Fukushima Daiichi power plant in Japan was a "man-made disaster" that unfolded as a result of collusion between the facility's operator, regulators and the government, an independent panel said in an unusually frank report Thursday.

The report by the Fukushima Nuclear Accident Independent Investigation Commission outlines errors and willful negligence at the plant before the earthquake and tsunami that devastated swaths of northeastern Japan on March 11 last year, and a flawed response in the hours, days and weeks that followed. It also offers recommendations and encourages the nation's parliament to "thoroughly debate and deliberate" the suggestions.

The crippled Fukushima Daiichi plant spewed radiation and displaced tens of thousands of residents from the surrounding area in the worst nuclear accident since the 1986 Chernobyl disaster in Ukraine.

Commissioned by the national parliament, the panel's report tellingly blames Japanese culture for the fundamental causes of the disaster.

As well as detailing the specific failings related to the accident, the report describes a Japan in which nuclear power became "an unstoppable force, immune to scrutiny by civil society."

"Its regulation was entrusted to the same government bureaucracy responsible for its promotion," the commission said.

Fukushima plant operator: We weren't prepared for nuclear accident

Contradicting claims by Tokyo Electric Power Co., or TEPCO, the operator of the plant, the report said that "the direct causes of the accident were all foreseeable prior to March 11, 2011."

The operator, regulators and the government "failed to correctly develop the most basic safety requirements -- such as assessing the probability of damage, preparing for containing collateral damage from such a disaster, and developing evacuation plans," the commission said.

Following the quake and tsunami, the lack of training and knowledge of the TEPCO workers at the facility reduced the effectiveness of the response to the situation at a critical time, according to the report.

As the crisis escalated, TEPCO, the regulators, government agencies and the prime minister's office were ineffective in "preventing or limiting the consequential damage" at Fukushima Daiichi, the commission said.

The prime minister's office didn't promptly declare a state of emergency, the commission noted. And chains of command were disrupted amid the crisis, creating confusion, it said. Meanwhile, communication failures about critical decisions undermined trust between the different parties.

The report's authors -- led by Kiyoshi Kurokawa, a former president of the Science Council of Japan -- attributed the failings at the plant before and after March 11 specifically to Japanese culture.

"What must be admitted -- very painfully -- is that this was a disaster 'Made in Japan,' " the report said. "Its fundamental causes are to be found in the ingrained conventions of Japanese culture: our reflexive obedience; our reluctance to question authority; our devotion to 'sticking with the program.' "

Fukushima residents call for criminal charges against nuclear officials

Suggesting that the mind-set that supported the negligence at Fukushima "can be found across Japan," Kurokawa also urged citizens to "reflect on our responsibility as individuals in a democratic society."

The commission made a series of recommendations to try to avoid a repeat of the catastrophe, calling for the overhaul of TEPCO and the nuclear regulators.

It urged the establishment of a permanent parliamentary committee to deal with nuclear power and supervise regulators. A "fundamental re-examination of the crisis management system" was suggested.

The report called for measures tackling public health and welfare issues, including the establishment of a system "to deal with long-term public health effects," monitoring "hot spots" and "the spread of radioactive contamination." It called for starting "a detailed and transparent program of decontamination and relocation."

Evacuee's suicide sad reminder how Fukushima continues to claim victims

A system of independent investigation commissions dealing with nuclear issues should be developed, it said.

The report comes at a delicate time for the Japanese nuclear sector. This week, the first reactor to be switched on since the Fukushima disaster came back online. All 50 commercial nuclear reactors in Japan had been offline since May 5 for safety checks.

The restart of the No. 3 reactor at the Ohi Nuclear Power Plant, which serves western Japan, prompted protests by anti-nuclear activists.

TEPCO admitted last month that it was not fully prepared for the nuclear disaster. The company's final report on the disaster said it did not have sufficient measures to prevent the accident. It also acknowledged criticism that TEPCO took too long to disclose information.

On Thursday, the company declined to comment on the independent commission's report. The Japanese government has approved plans effectively to nationalize TEPCO with a $12.5 billion capital injection to save it from bankruptcy.

Though no deaths have been attributed to the nuclear accident, the earthquake and tsunami killed more than 15,000 people in northeastern Japan.

Japan once again getting power from nuclear energy

There have been several investigations into the Fukushima Daiichi disaster.

In December, a government-formed panel of investigators released an interim report saying poorly trained operators misread a key backup system and waited too long to start pumping water into overheating reactor units.

The government's 10-member panel, led by Tokyo University engineering professor Yotaro Hatamura, also said neither TEPCO nor government regulators were prepared for the chance that a tsunami could trigger a nuclear disaster.

That panel is due to deliver its final report at the end of July.

"We would like to take a good look into both reports and take appropriate measures," Chief Cabinet Secretary Osamu Fujimura said at a news conference Thursday, referring to the parliament-commissioned report and the government-requested report.

Former Japanese leader: 'I felt fear' during nuclear crisis

@highlight

NEW: The report makes recommendations to avoid a repeat of the 2011 catastrophe

@highlight

The report criticizes the plant's operator, regulators and the Japanese government

@highlight

It attributes the cause of the failings to Japan's culture of "reflexive obedience"

@highlight

It is one of several investigations into the nuclear crisis that displaced thousands