(CNN) -- A key provision of the health care reform law championed by President Barack Obama came under harsh criticism from the conservative majority of the Supreme Court on Tuesday.

The justices debated a hotly contested issue testing the limits of government-mandated contraception coverage, specifically involving for-profit corporations that object to it for religious reasons.

The justices appeared divided along ideological lines in a 90-minute oral argument, with the federal government offering a spirited defense of the Affordable Care Act.

"How does a corporation exercise religion?" asked Justice Sonia Sotomayor, summarizing perhaps the key constitutional question at hand.

"This is a religious question," said Justice Samuel Alito, suggesting the businesses have such a right. "You want us to provide a definitive secular answer."

Before the hearing began, hundreds of demonstrators representing both sides of the issue rallied in front of the courthouse on Capitol Hill.

The court is reviewing provisions of the Affordable Care Act requiring for-profit employers of a certain size to offer insurance benefits for birth control and other reproductive health services without a co-pay.

At issue is whether certain companies can refuse to do so on the sincere claim it would violate their owners' long-established personal beliefs.

Two separate appeals are being heard together.

The outcome was uncertain, but the court could cast preliminary votes later this week. A final written ruling is expected by late June.

5 things to know about Obamacare and contraceptives

The cases involve two appeals from Conestoga Wood Specialties. The companion legal challenge comes from Hobby Lobby, an Oklahoma-based arts and crafts retail giant. The Hahn family owns Conestoga and the Green family owns Hobby Lobby.

Both corporations emphasize their desire to operate in harmony with biblical principles while competing in a secular marketplace. That includes their leaders' publicly stated opposition to abortion.

The cases present a complex mix of legal, regulatory, and constitutional concerns-- over such hot-button issues as faith, abortion, corporate power, executive agency discretion, and congressional intent.

Political stakes

The political stakes are large, especially for the future effectiveness of Obamacare, which marks its fourth anniversary this week.

The botched rollout of HealthCare.gov, the federal site where consumers can sign up for insurance, has become another political flashpoint.

Republicans claim the law, approved by Congress without their support, is unworkable and are campaigning furiously against it in this year's midterm elections.

The church-state issue now in the spotlight involves three-pronged rules negotiated last year between the Obama administration and various outside groups.

Under the changes, churches and houses of worship are exempt from the contraception mandate.

Other nonprofit, religiously affiliated groups, such as church-run hospitals, parochial schools and charities like the Little Sisters of the Poor, must either offer coverage, or have a third-party insurer provide separate benefits without the employer's direct involvement.

Lawsuits in those cases are pending in several federal appeals courts.

For-profit businesses in spotlight

The Hobby Lobby and Conestoga claims are in yet another Obamacare category: for-profit corporations claiming a religion-based exemption.

These suits follow the high court's decision two years ago that narrowly upheld the key funding provision of the health care law, a blockbuster ruling affirming that most Americans would be required to purchase insurance or pay a financial penalty, the so-called individual mandate.

The constitutional debate shifts to the separate employer mandates and whether corporations themselves enjoy the same First Amendment rights as individuals.

Three federal appeals courts have struck down the contraception coverage rule, while two others have upheld it. That "circuit split" made the upcoming Supreme Court review almost certain.

A key issue for the bench will be interpreting a 1993 federal law known as the Religious Freedom Restoration Act, requiring the government to seek the "least burdensome" and narrowly tailored means for any law that interferes with religious convictions. Can companies, churches, and universities be included, or do the protections apply only to "persons?"

"Our family started Hobby Lobby built on our faith and together as a family," Barbara Green, Hobby Lobby co-owner, told CNN after the arguments. "We believe that Americans don't lose their religious freedom when they open a family business. We were encouraged by today's arguments. We are thankful that the Supreme Court took our case and we prayerfully await the justice's decision."

Vocal backing for mandate

In the arguments on Tuesday, Obama's two appointees to the high court offered the most vocal backing of the mandate.

"Congress has given a statutory entitlement and that entitlement is to women and includes contraceptive coverage," said Justice Elena Kagan. "And when the employer says, no, I don't want to give that, that woman is quite directly, quite tangibly harmed."

Sotomayor asked the lawyer for the companies: "Is your claim limited to sensitive materials like contraceptives or does it include items like blood transfusion, vaccines? For some religions, products made of pork? Is any claim under your theory that has a religious basis, could an employer preclude the use of those items as well?"

Solicitor General Donald Verrilli, arguing for the administration, said the case was really not about the government or the corporate officers: "The rights of the third party employees are at center stage here."

"In the entire history of this country, there is not a single case in which a for-profit corporation was granted an exemption" on religious liberty grounds, when that would harm the rights of others, he added.

Tough questions

Justice Anthony Kennedy -- who may prove the decisive vote -- posed tough questions on both sides.

"The government, through its healthcare plan -- under your view -- is allowing the employer to put the employee in a disadvantageous position, he said at one point to Paul Clement, representing the Greens and Hahns. "The employee may not agree with these religious beliefs of the employer. Do the religious beliefs just trump? Is that the way it works?"

Clement said there were other ways to ensure an employer did not have to violate her religious beliefs, while still giving workers the mandated coverage.

"Because you have a unique situation here, where their policy is about a government subsidy for a government-preferred health care item, and the question is who pays?" said Clement. "The government paying or a third-party insurer paying is a perfectly good least restrictive alternative."

Chief Justice John Roberts wondered whether government's interest was really "compelling" as required, when the administration had already granted so many coverage exemptions -- including to houses of worship, religious non-profits, small companies, and grandfathered health plans.

He suggested corporate rights extend into a wider range of areas, including allowing companies-- along with individuals-- to bring racial discrimination claims. "Does the government have a position on whether corporations have a race?" he asked Verrilli.

Kennedy later took issue with the government on another point.

"Under your view, a for-profit corporation could be forced in principle to pay for abortions," which is currently not allowed under federal law.

"No. I think, as you said, the law now is to the contrary," replied Verrilli, who said most women taking IUDs do not equate that with abortion.

"But your reasoning would permit that," said Kennedy, sharply. "You say profit corporations just don't have any standing to vindicate the religious rights of their shareholders and owners."

"Isn't that what we are talking about in terms of their religious beliefs?" added Roberts. "One of the religious beliefs is that they have to pay for these four methods of contraception that they (corporations) believe provide abortions."

Under the ACA, financial penalties of up to $100 per day per employee can be levied on firms that refuse to provide comprehensive health coverage. Hobby Lobby, which has about 13,000 workers, estimates the penalty could cost it $475 million a year.

Abortion rights groups urged the justices to again uphold a key tenet of Obamacare.

"What I think we saw today was the importance of having (three) women on the Supreme Court," said Cecile Richards, President, Planned Parenthood Action Fund. "What's at stake in this case is whether millions of women and their right to preventive care including birth control is trumped by a handful of CEOs who have their own personal opinions about birth control."

The cases are Sebelius v. Hobby Lobby Stores, Inc. (13-354); and Conestoga Wood Specialties Corp. v. Sebelius (13-356).

@highlight

Justices appear divided along ideological lines in oral argument

@highlight

Hobby Lobby, Conestoga Wood Specialties say they run their firms with Christian values

@highlight

Obamacare's contraception coverage requirements violate those values, they say

@highlight

Requirements apply to the corporations, not the individual owners, the government says