(CNN)There were a number of grim surprises from the recent terrorist attacks in Paris, including their brutality, the inability of French intelligence to track known jihadis, and now of course the puzzling, indeed incomprehensible, fact that the Obama administration failed to send a high level representative to yesterday's national anti-terror rally in Paris.

Secretary of State John Kerry will visit Paris later this week, but that the administration could have been so tone deaf in missing a this weekend's chance to highlight its concerns over an issue critical to Europe and America's own security-- is a stunning oversight. It suggests an inability to see the Paris attacks in their proper perspective -- although doing so is admittedly no easy matter only days afterward.

As Washington and others process those events, there are takeaways that should guide their thinking in the period ahead.   They include:

Don't panic

The jihadis aren't taking over the world. After 9/11, many had an overriding sense that more successful attacks would follow. They didn't. In fact both in Europe and the U.S., it's stunning how few successful attacks directed by foreign terrorist organizations there have been (not one since 2005 in Europe; and not one since 9/11 in the U.S.)

Last year, there were 17,958 global fatalities to terror, according to the University of Maryland's Global Terrorism Database. Among them, there were 16 Americans. Almost 82% of the terrorist attacks happened in only five countries: Pakistan, Iraq, Syria, Yemen and Afghanistan.

But don't trivialize

Terrorism emerging from the Arab and Muslim world, along with weapons of mass destruction, may well be to the 21st century what the cold war was to last century: the international community's defining national security challenge. Just look what else occurred over the past week or so: 2,000 people were killed by Boko Haram's savagery.

There's no winning the battle against jihadi terror or "ultimately defeating" it. A perfect storm of jihadi fantasies driven by hatred and triumphalism, and growing Shia-Sunni divisions, have combined with a dysfunctional Arab world that offers up either no governance or bad governance.  And this will continue to produce alienation, radicalization and violence.

The war on jihadi terrorism really is a war; but of a generational character. It will be with us for years to come. We can contain, preempt and try to prevent it. But we cannot hermetically seal our borders or eliminate our vulnerability without undermining and sacrificing our freedoms and way of life

Don't romanticize

The outpouring of goodwill and solidarity that has followed the Paris attacks is an encouraging sign. And if it leads to greater international resolve, more effective security cooperation, smart counter-terrorism and an effort in France -- and in Europe -- to reduce discrimination against Muslims and promote greater acceptance of Jews, it will help contain the jihadi threat.

But you don't change a nation in a single traumatic act. 9/11 didn't do it; Newtown didn't; Ferguson didn't. And the Paris attacks won't either.  Anti-Muslim and anti-immigration sentiment, along with the rise of the far right, has been developing for years.  A new tolerance won't come easy. Ironically, the same democratic values and freedom of expression and movement that the West defends will be used by jihadis -- and the alienated Muslim communities on which they feed -- to sustain their radical effort.

Don't let Muslims and Arabs off the hook

Arab governments, the Arab League, the head of Al-Azhar University in Cairo and various Muslim clerics have issued statements denouncing the  Paris attacks, and various Arab and Muslim leaders attended yesterday's national rally in Paris. All of this is important.  But let's be clear:

For far too long a disturbing minority of Arabs and Muslims have hijacked a religion in the service of a radical jihad. And as they did this, too many other Muslims have been passive, silent, and acquiescent, failing to condemn them and thus allowing them latitude to operate. Arab governments have sometimes repressed jihadi ideology, but other times -- as in the case of Saudi Arabia, itself a victim of terror-- tried to accommodate it. Or both.

Meanwhile anti-Semitic cartoons and tropes routinely circulate in the Arab and Muslim press.  There is an ongoing  struggle within Islam between Sunni and Shia, moderates and  radicals, modernists and traditionalists that is far from being resolved. Islam's reformation is nowhere near at hand. And until there is a clearer separation between religion and the state, better governance, respect for freedom of expression and freedom of conscience, and genuine tolerance and regard for minority rights, radicalism will flourish.  No U.S. narrative or externally generated reform effort can delegitimize the jihadis; only the Muslims themselves can do that.

Don't just externalize

The failures of Arab and Muslim governments are to blame for jihadi terror. But there's no doubt that Western policies and practices have made an already bad situation worse.  It is the cruelest of ironies that the U.S.-- the victim of mass terror on 9/11 -- helped enable the jihadis further with its ill-considered and unwise invasion of Iraq. One result was the creation of Al-Qaeda in Iraq.

Anger toward the West runs deep in this broken and dysfunctional region. U.S. relationships with allies, such as Saudi Arabia and Israel, feed the jihadi narrative,  as do effective counterterrorism methods such as drone strikes that that kill innocents and often and alienate the mainstream Muslims as well.

America is in a no-win situation.

Whatever else we try to achieve in this broken, angry, and dysfunctional region, our overriding goal must be to prevent attacks on the U.S. and help our allies do the same. What happened in Paris is a tragic reminder of how challenging this will be.

@highlight

Aaron David Miller: Obama's absence from Paris was tone deaf

@highlight

He says one lesson of attack: Don't let Arab, Muslim nations tolerant of jihad off the hook

@highlight

Miller: Anger of some in Muslim world at West can't be trivialized. It's challenge of our time