(CNN) -- As Tropical Storm Isaac swirls in the Caribbean -- becoming more powerful mile by mile -- it threatens to unleash disaster once again on vulnerable and often unaware Haitians by Friday night.

The possibility of stinging rain and tree-bending wind descending on the hundreds of thousands of Haitians living in camps has aid groups in the country on high alert.

By the time Isaac strikes Haiti, it is forecast to be at hurricane strength, bringing destructive wind and water to an area still recovering from a devastating 2010 earthquake.

As much of 12 inches of rain is forecast for some parts of the country, posing danger to the more than 400,000 Haitians in the camps.

Many of those people had no idea that a storm was coming, CNN correspondent Gary Tuchman reported from Port-au-Prince. Not until a translator told them that a potential hurricane was nearing did people in the streets know of Isaac's approach or that the government had opened some shelters. Residents of one tent community said they were staying put with their belongings and would ride out the storm.

There were no signs of hurricane preparations in the city, no buildings being boarded up in Port-au-Prince.

Isaac threatens to bring more destruction, cholera to Haiti

"These rains could cause life-threatening flash floods and mudslides," the National Hurricane Center in Miami said.

Isaac also poses a risk to the Republican National Convention in Tampa, Florida. The storm could hit anywhere in the state, Gov. Rick Scott said Thursday, and it will be up to convention organizers to decide the fate of the event.

But before it nears Florida, Isaac is forecast to run over Hispaniola, the island that's home to Haiti and the Dominican Republic.

"The risks are obvious in terms of flooding of low-lying areas," said Jean-Michel Vigreux, director for CARE International in Haiti.

Even though two-and-a-half years have passed since the earthquake, its impact on the country cannot be understated, he said.

Large amounts of rainfall will cause mudslides and runoff that can block roads, or worse.

"The country is still recovering from the earthquake. It's difficult to imagine that (a storm) will hurt the most vulnerable places again," Vigreux said.

As of 8 p.m. ET, Isaac was about 210 miles (340 kilometers) southeast of Santo Domingo, Dominican Republic, the center said.

It was moving to the west-northwest near 16 mph with maximum sustained winds near 45 mph.

The center of the storm is forecast to approach the Dominican Republic on Thursday night and move over the south coast of Hispaniola on Friday, the center said.

While the storm is yet to reach hurricane strength, it has already delivered shock waves to the Caribbean, postponing a hearing for September 11 terrorist attack suspects at the U.S. naval base in Guantanamo Bay, Cuba.

"Strengthening is forecast during the next 48 hours, and Isaac could still become a hurricane on Friday before it reaches Hispaniola," according to forecasters.

Aid organizations were keeping an eye on Haiti. According to the U.N. High Commissioner for Refugees, 421,000 people are in camps in and around Port-au-Prince, the capital.

Isaac could be the first significant storm to hit Haiti since the devastating earthquake. Tropical Storm Emily threatened in 2011, but it weakened before hitting western Haiti.

The forecast map shows Isaac crossing the nation as a tropical storm with winds under 74 mph.

"We watch those storms every single time they come near because Haiti is so vulnerable," said Amy Parodi, a spokeswoman for the Christian humanitarian organization World Vision.

The agency has met with the government in previous summers to discuss contingency plans for major storms, and pre-positioned relief items are available, she said.

Isaac's path remains uncertain, but some computer models show the storm slicing its way up Florida's peninsula. Others send it farther west, into the Gulf of Mexico.

Officials are taking the threat seriously.

"Obviously, we hope Isaac doesn't hit Florida, but we must take every precaution," said Scott, the Florida governor.

While the convention will have the final say on any changes to the planned event, the organizers are working with state and local officials to ensure everyone has the same information, the governor said.

But Tampa is not the only part of Florida that could be hit, and Scott urged Floridians to be prepared.

"What everyone needs to do is to starting tracking it, watch the weather, heed any warnings, get ready, get 72 hours' worth of supplies," he said.

Tampa Mayor Bob Buckhorn said his city is prepared for the 50,000 people headed to there for the Republican National Convention, which starts Monday.

"We have contingency plan after contingency plan," Buckhorn said. "We are ready in the event that it happens. I don't think it's going to be a factor in this particular convention. But we are prepared in the event that it is."

Scott said that any police officers who were going to Tampa will still go, and the Florida National Guard will stand ready to back up authorities around the state.

He said he spoke with Republican candidate Mitt Romney and assured him the state would be ready for the convention.

"We're a hospitality state that knows how to deal with hurricanes," he said.

Possibly complicating matters, the convention site -- The Tampa Bay Times Forum -- is a mandatory evacuation zone once storms reach 96 mph, a Category 2 hurricane, according to the Hillsborough County Hurricane Guide. The current forecast doesn't have Isaac reaching that status.

At the Guantanamo Bay base, officials canceled the pretrial arguments scheduled to get under way in the trial of Khalid Sheikh Mohammed and four others.

Mohammed, who has been held since 2006, is facing charges related to the 9/11 attacks.

Pentagon officials said all court events at Guantanamo were canceled because of the potential hurricane. All detainees have been moved to buildings that can withstand such a storm, and those who flew in for the hearing went back home.

Officials in the Dominican Republic issued a tropical storm warning for the nation's southern coast.

Isaac's impact will be felt in several areas:

Bahamas

The government has issued a tropical storm warning for the southeastern Bahamas, including Long Cay. Tropical storm conditions are expected by late Friday.

Cuba

The storm is projected to near Cuba on Friday night. The Cuban government has issued a tropical storm watch for the provinces of Camaguey, Granma, Guantanamo, Holguin, Las Tunas and Santiago de Cuba.

Puerto Rico and the Virgin Islands

The storm was passing south of the islands Thursday, and there were tropical storm conditions forecast through Thursday evening. The forecast called for 2 to 4 inches of rain and as much as 6 inches at higher elevations. The storm surge was expected to be 1 to 3 feet higher than normal but gradually subside during the night. Dangerous surf and rip currents will affect waters there for the next few days.

Turks and Caicos

A tropical storm warning is in effect, and tropical storm conditions are expected by late Friday.

United States

Outer bands of the storm could reach Florida by Sunday. But the eye of the storm could make landfall anywhere from Galveston, Texas, to the Carolinas, CNN Meteorologist Chad Myers said. The five-day projection from the hurricane center puts the storm approaching U.S. landfall on the Florida peninsula Tuesday.

Bracing for Isaac? Share your images with CNN iReport, but stay safe.

CNN's Gary Tuchman, Nelson Quiones, Dave Alsup, Allison Brennan, Kevin Liptak, Jason Hanna, Brad Lendon, Dave Hennen, Sean Morris and Mariano Castillo contributed to this report.

@highlight

In Port-au-Prince, no signs of storm preparation as Haitians unaware storm is coming

@highlight

The storm could become a hurricane before it reaches Hispaniola

@highlight

It could pose dangers to Haitians still recovering from the deadly 2010 earthquake

@highlight

It's unclear whether the storm will affect the GOP convention in Florida next week