(CNN) -- A small tribe of Indians in Paraguay who have had virtually no contact with the outside world won a legal battle this week when rights groups stopped a Brazilian company from continuing to bulldoze the forest to clear land for cattle ranches.

About 2,000 members of the Ayoreo ethnic group live in 13 settlements in Bolivia and Paraguay.

The Totobiegosode tribe, said to number no more than 300, is the last group of uncontacted Indians in South America outside the Amazon River basin, indigenous rights groups say.

The Totobiegosode, who are part of the larger Ayoreo ethnic group, are nomadic Indians who hunt and fish, as well as gather fruit and honey and cultivate small temporary plots during the rainy season. They live communally, four to six families to a dwelling, in the dense forests of northwestern Paraguay.

Two Brazilian companies have been rapidly clearing land the Totobiegosode live on, and the tribe has lost nearly 15,000 acres (about 6,000 hectares) this year, according to British-based Survival International, an advocacy organization for the rights of tribal people.

A ruling Thursday by Paraguay's secretary of the environment canceled a special permit for one of the companies, Yaguarete Pora S.A., to clear the land.

The legal battle is being waged by local groups such as GAT, an acronym in Spanish for People, Environment and Territory. The activist groups have undertaken the fight without the knowledge of the Totobiegosode.

Indian rights proponents see Thursday's ruling as an important victory.

"This sends a very significant signal," said Jonathan Mazower, campaign coordinator for Survival International. "Until now, the ranchers and the landowners have really had it all their own way. They are very politically powerful and well-funded. ... This may be a sign that the government is starting to get a grip on the situation."

As their territory has been gobbled up, some Totobiegosode have been spotted by other Indians retreating deeper into the vanishing jungle: a group of eight or nine men on one occasion, a smaller group several days earlier, Survival International reported in a release Friday.

The problems for the larger Ayoreo ethnic group, who share a common language and culture and can be found in Bolivia and Paraguay, started about 50 years ago. Between 1959 and 1987, most Ayoreos were forced off their ancestral land, according to the World Rainforest Movement, which describes itself as international network of citizens' groups involved in efforts to defend the world's rainforests.

About 2,000 Ayoreos live in 13 settlements: 10 in Bolivia and three in Paraguay, the rainforest group says.

Only the Totobiegosode tribe still lives in the forest, without contact with other Ayoreos or foreigners, in an area known as Amotocodie.

Although no one has any direct contact with the Totobiegosode still in the jungle, their presence can be seen by such signs as footprints and holes in trees that indicate they have been gathering honey, the rainforest group says. There also have been occasional sightings in the distance.

Mazower said he interviewed a small group of Totobiegosode who made contact with the outside world in 2004 and who described what their life is like.

"We were always running," Mazower said one Indian told him. "We would suddenly hear these bulldozers. We thought that it was a kind of monster that could smell us. We could see fire. We were very afraid, and we ran."

The bulldozers, Mazower said, are much larger than the commercial bulldozers seen at construction sites. Often, crews will string a chain between two bulldozers, which will move in tandem to cut down an increased number of trees.

As a result, many groups of Totobiegosode are fragmented into isolated patches as they scatter, divided by areas with no forest and increasingly busy roads. Families can be separated, and their lives become increasingly difficult, Mazower said.

By Survival International's reckoning, the forest where the Totobiegosode live is being destroyed at a faster rate than the Amazon jungle as a whole.

Despite Thursday's ruling, some observers say the future of tribes still living in the jungle in Paraguay and elsewhere, particularly Brazil, does not bode well.

"It's almost impossible in some sense to protect these tribes," said Peter Hakim, president of the Inter-American Dialogue, a Washington-based policy center.

The reason, he said, is the same as it has been since the Western world started being colonized more than 500 years ago: "There's a lot of money to be made."

@highlight

Totobiegosode tribe is among last uncontacted Indians in South America

@highlight

Ruling revokes permit for Brazilian company to clear forest

@highlight

Activists undertook legal fight without Totobiegosodes' knowledge

@highlight

Tribe has lost nearly 15,000 acres of land this year