When radical Islamist fighters stormed the northern Iraqi town of Sinjar over the weekend, the Yazidi minority who call it home fled into the surrounding mountains in fear of their lives.

Now, trapped without food, water or medical care in the summer heat, thousands of families are in desperate need of help.

It's already too late to save dozens of children who've died of thirst.

They are the latest victims of the brutal advance by the Islamic State, formerly the Islamic State in Iraq and Syria, or ISIS, whose Sunni Muslim fighters have been targeting Iraq's Christians and other minority groups, as well as Shiite Muslims.

Lawmaker Vian Dakhil, the only MP representing the Yazidi minority group in Iraq's Parliament, said in an impassioned speech that 70 Yazidi children had died so far, that women were being killed or sold into slavery and that 500 men had been "slaughtered."

Tearfully appealing to lawmakers for help, she warned that the Islamic State was trying to wipe her community out.

"There is a collective attempt to exterminate the Yazidi people," she said.

"Similar to the fate of every other Iraqi, my people are being killed. The Shiites, Sunnis, Christians, Turkmen, Shabak people have been killed -- and now the Yazidi people are being killed."

Yazidis, among Iraq's smallest minorities, are of Kurdish descent, and their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and Zoroastrianism.

One of the oldest religious communities in the world, they have long suffered persecution, with many Muslims referring to them as devil-worshippers.

'Come to our rescue'

Dakhil is not alone in highlighting the desperate plight of the sect, most of whose 500,000 or so members live in and around Sinjar in northwestern Nineveh province, bordering Iraq's Kurdish region.

The U.N. children's agency, UNICEF, said Tuesday that official reports indicated 40 children from the Yazidi minority had died "as a direct consequence of violence, displacement and dehydration" since the weekend.

"Families who fled the area are in immediate need of urgent assistance, including up to 25,000 children who are now stranded in mountains surrounding Sinjar and are in dire need of humanitarian aid including drinking water and sanitation services," it said.

Dakhil gave a similarly awful account.

"Over the course of 48 hours, 30,000 families are stranded in the Sinjar Mountains with no water and food. They are dying -- 70 kids so far died from thirst and suffocation," she said.

"Fifty old men died due to the deteriorating situation. Our women are being captured and sold as slaves."

As Dakhil, an MP for the Kurdistan Alliance list of Nineveh, Sinjar and Chenkal and chairman of a parliamentary committee for construction, addressed the Speaker, fellow lawmakers could be seen standing silently in solidarity.

"Brothers, let's put our political differences aside and work together as human beings," she pleaded. "In the name of humanity, come to our rescue, come to our rescue."

Reports of killings, abductions

Rights group Amnesty International said Tuesday that fighters from the Islamic State continue to surround the mountain area where the Yazidis and other Iraqis who fled the Sinjar area are hiding.

Kurdish fighters battled the militants on Monday in an attempt to retake Sinjar, a Kurdish commander said, and have been engaged in house-to-house combat in some of the fiercest fighting since the fall of Iraq's second city, Mosul, to the Islamic militant group in June.

Hundreds of missing civilians, mainly men but also women and children, are reported to have been killed or captured, Amnesty International said.

One relative told the group that the fighters had abducted or killed more than 30 members of two families from the village of Khana Sor, north-west of Sinjar close to the Syrian border.

"We urge the international community to provide humanitarian assistance, while the Iraqi and Kurdish authorities must spare no effort to ensure that much-needed aid is delivered to the displaced civilians and that they are protected from further ISIS attacks on the ground," said Donatella Rovera, Amnesty International's senior crisis response adviser, who is currently in northern Iraq.

The U.S. State Department said Sunday that it was "actively monitoring the situation" in Sinjar, as well as the city of Tal Afar to the east, and that the United States is supporting both Iraqi security forces and Kurdish Peshmerga forces in the fight against the Islamic State.

Spokeswoman Jen Psaki said the militants' assault, "focusing on towns and villages populated by vulnerable minorities, demonstrates once again that this terrorist organization is a dire threat to all Iraqis, the entire region and the international community."

MAPS: Understanding the crisis

@highlight

Thousands of families from Iraq's Yazidi minority flee as Islamist fighters storm their community

@highlight

Yazidi lawmaker says 70 children have died of thirst, 500 men have been slaughtered

@highlight

UNICEF warns that up to 25,000 children are stranded in the mountains without food, water

@highlight

Amnesty International appeals to Iraqi and Kurdish authorities to protect Yazidis