(CNN) -- For many months Syria's rebels have begged the international community to supply them with the weapons they say they need to overthrow President Bashar al-Assad.

Now, their desperate pleas for help are one step closer to becoming reality after the EU lifted its arms embargo on Syrian rebels, clearing the way for European countries wishing to try to level the playing field in a horrific civil war that has claimed the lives of more than 70,000 people.

But can EU weapons turn the tide in the rebels' favor in Syria, or is it already too late? CNN examines the core questions behind the announcement.

Why has the embargo ended and what does it mean?

The weapons embargo on Syrian rebels, along with a series of other Syria-related bans and sanctions, was scheduled to expire on Saturday. But while the EU's 27 member countries were able to reach the required consensus to extend all other bans, Britain and France refused to agree to an extension of the arms embargo.

The lifting of the embargo comes with conditions -- EU countries wishing to send weapons to Syria's rebels may only send them to the moderate Syrian National Coalition and the affiliated Free Syrian Army, and they may only be used to protect civilians, according to a statement from the EU.

LATEST: Lebanon 'hit by rockets from Syria'

While the ban will technically be lifted on Saturday, it is expected that the earliest EU countries would send weapons to the rebels would be August, so as not to imperil the prospects of a U.S. and Russian-brokered peace conference scheduled to take place in Geneva in June.

What countries would send weapons?

Britain and France led efforts to lift the embargo. Both nations suggested joining countries such as Qatar in providing weapons to rebels, arguing such a step would strengthen moderate rebels and make them less reliant on well-armed extremists in their ranks.

"It was important for Europe to send a clear signal to the Assad regime that it has to negotiate seriously, and that all options remain on the table if it refuses to do so," British Foreign Secretary William Hague said in a statement.

But the lengthy negotiations over the arms ban to rebels exposed the deep divisions in EU countries' foreign policies -- with Britain and France arguing forcefully to lift the embargo, while nations including Austria and Sweden expressed fear that more weapons will only make the bloodbath in Syria worse.

Q&A: Is Syrian war escalating to wider conflict?

What kind of weapons would be sent?

EU countries are free to send what they like to Syria's rebels, according to CNN's Nick Paton Walsh -- provided the weapons go to the Free Syrian Army and can be justified as protecting a civilian population.

Western countries could conceivably provide rebels with small arms and ammunition. But they're unlikely to provide rebels with the arms they need most -- like portable shoulder-launched surface-to-air missiles (MANPADS) to counter Assad's domination of Syrian air -- out of fear they'll fall into the hands of radical Islamic militant groups such as al Nusra Front, which the U.S. says is affiliated with al Qaeda.

Without anti-aircraft missiles or heavier armor-piercing ammunition, experts say it's unlikely that the rebels will be able to win the war.

"So far it's the Assad government's ability to use air power against rebel held territory that's really insured the insurgency can't make any significant gains," said Charles Lister, an analyst at IHS Jane's Terrorism and Insurgency Centre. "Unless they send really significant weapons like MANPADS, I find it hard to imagine that any other provision of weapons will turn the tide of the conflict."

When Syrian rebels have obtained anti-aircraft and anti-tank guided missiles (ATGMs) in the past they've been very effective, according to Lister, who says social media and militant group videos appeared to reveal an influx of Yugoslavian anti-tank weapons into rebel hands in southern Syria earlier this year via Jordan.

"The ATGMs had a fairly significant impact on the conflict in the short term, in that they did allow rebels to take out tanks more effectively than they'd been able to previously," Lister told CNN. "But these weapons very quickly went into the hands of militant Islamic groups like al-Nusra."

Opinion: Syrian hostilities bring Middle East catastrophe closer

How to get the weapons into the country?

There are two main routes to get weapons to rebels in Syria, says Lister -- through the northern Turkish border or through the southern Jordanian border.

Smuggling weapons via Turkey is unlikely, however, because northern Syria's insurgency is dominated by the kind of radical militant groups the West is trying to avoid arming.

Jordan's strong ties to the West, its stability, and its links to the Free Syrian Army make it the most likely place to smuggle weapons through, says Lister.

"In 2012 the FSA coordinated several high profile defections whereby the group's militants transported senior government officials across the border into Jordan. There have also been unverified reports that a small core group of FSA members have been receiving military training in northern Jordan. All of that would tend to suggest that if weapons were to be sent through to militants, they would go by Jordan," he said.

How can EU countries prevent extremists from obtaining the weapons?

It is nearly impossible to prevent extremists from gaining possession of weapons once they're smuggled into Syria, according to Fawaz Gerges, Director of the Middle East Centre at the London School of Economics.

"Once you deliver weapons into a theater of operation, no one can have control or track who takes ownership of the weapons," Gerges said. "Britain and France are aware the weapons could fall into the wrong hands, but they're willing to take a risk."

This risk hasn't panned out before -- Lister says that the heavy Yugoslavian arms that allegedly flowed to rebel forces in Daraa, southern Syria around the turn of the year quickly wound up in the hands of radical militants in northern cities battling alongside the moderates in Aleppo.

"The conflict is so interdependent -- in all local theaters across the country, FSA and other moderate groups regularly coordinate with groups like al-Nusra. It's unrealistic to expect that a foreign state could provide weapons to one group and never expect the weapons to appear in other groups' hands."

Gerges says the greatest fear is that a radical group could use EU weapons to attack civilian or Western interests within Syria: "One major incident, for instance the targeting of a civilian aircraft, would change the whole conflict and have major ramifications."

Interactive: War not only about Syria

Is the lifting of the EU embargo a game changer for Syria?

Without an influx of heavy weaponry, experts say the lifting of the embargo won't change the reality on the ground: Assad's regime is on the offensive, and the influx of Hezbollah fighters from Lebanon means there is little the rebels can do to slow their progress at the moment.

The real goal of the EU announcement, Gerges said, is to try to "maximize the chances of a diplomatic breakthrough" at the upcoming Geneva peace talks -- if the talks go ahead.

"The logic is to exert pressure on Assad and change his calculations. Britain, France and the U.S. want it to be an instrument to exert pressure at the negotiating table and get Assad to be genuine and serious about political talks. But without direct American involvement in the conflict, neither Assad nor his allies will take the EU decision very seriously."

The irony of the situation, Gerges said, is that while the U.S. President Barack Obama wants Europe and/or Syria's neighbors to "take ownership" of the conflict, no country will do that without the United States taking a leadership role on Syria.

"The announcement is not a game-changer," Gerges told CNN. "I doubt very much whether it will make a difference in the raging struggle inside Syria."

Will the embargo's lifting turn the conflict into a regional war?

Those opposed to lifting the embargo say it could escalate the flow of weapons into Syria from all sides -- a fear that was realized hours after the announcement when Russia declared it would send sophisticated S-300 surface-to-air missiles to the Syrian government in accordance with a contract signed several years ago.

"We believe that moves like this one to a great degree restrain some hotheads from escalating the conflict to the international scale, from involving external forces," said Foreign Minister Sergey Ryabkov, according to the state-run Russia Today news agency.

Between Russian arms shipments to the regime, Hezbollah fighters pouring into the country to support government troops, and the lifting of the embargo on Syrian rebels, Gerges says the regional war is already here.

"The conflict in Syria has gone too far; it has mutated from an internal conflict to a regional war by proxy. So even if Britain and France decide to arm the opposition today, not in August, Russia and Iran will deepen their involvement in Syria and counterbalance any move by the EU," he told CNN.

"The EU's announcement is a simplistic reading of a complex situation, because we're beyond that with Assad. This is a war to the bitter end. This is a zero-sum game."

CNN Wires and CNN's Nick Paton Walsh contributed to this report.

@highlight

EU announces it has lifted arms embargo on Syrian rebels

@highlight

Britain, France can now send weapons to rebels fighting government of Bashar al-Assad

@highlight

Gerges: Announcement is not a game-changer, won't make difference on the ground

@highlight

Gerges: Syrian conflict has mutated into a regional war between West, Russia, Iran