Beijing (CNN) -- Beijing and the Vatican are again shadow boxing over the ordination of a new Chinese bishop without the Pope's blessing.

After years of quiet diplomacy and a tacit agreement to jointly appoint Chinese bishops, the Chinese Catholic Patriotic Association -- which oversees the country's state-sanctioned church -- in recent days ordained one bishop over the Vatican's objections, while another was reportedly detained after resigning from the CPA.

"It's worrisome," said a Catholic priest in Beijing, who asked not to be identified. "Are we going towards confrontation again?"

Bishop detained after shunning Party control

The two sides have been estranged since 1957, when China broke off relations with the Vatican. Beijing then accused Rome of engaging in anti-socialist activities.

In recent years, they have been talking quietly about restoring official relations.

One big stumbling bloc remains the Vatican's official diplomatic ties with Taiwan, which China considers a breakaway province.

Analysts say the two sides are close to reaching a modus vivendi on the diplomatic issue, but remain far apart on the ordination of bishops.

The CPA said last year that it would press ahead with plans to appoint 40 new bishops, a challenge to the Holy See's authority.

"It's a question of religious freedom and leadership of the Chinese church," explained the Catholic priest.

China's 10 million or so Catholics remain divided between those who worship in illegal "underground' churches"-- loyal to the Vatican, defiant of Communist Party control -- and those in a state-approved churches.

Despite the division, and the festering spat between China and Rome, Chinese Catholics remain devoted to their faith.

In recent years, Catholicism as other religions, are seeing a revival as more and more Chinese turn to faith.

Congregations seem to be thriving, as I observed on a recent visit to the Yongning parish, about two hours drive north of Beijing.

A choir sung the Chinese version of "Morning Has Broken," as 200 churchgoers heard Father Francis Zhang Tianlu deliver a Sunday mass.

Since he moved to Yongning last year, Zhang, 45, has turned a lethargic church into a vibrant congregation, as I discovered.

"When I moved here, this church building was so old, its roof was collapsing," Zhang told me during a tour of the area.

The Yongning church was originally built in 1873 by the French religious order of Vincent Depaul, before it was destroyed during the Boxer Rebellion in 1900 when members of an anti-foreign Yihetuan attacked foreign missionaries, diplomats and traders, as well as Chinese Christian converts.

More than 600 Catholics were killed in Yongning and buried in the ground where the church now stands, Zhang said.

Rebuilt in 1902, the church had been in disrepair until last year. "We repaired it without government help," Zhang said proudly. "Individuals and groups contributed, in cash and in kind and with volunteer work."

More are joining the church. "When I just got here, there was only one 85-year old lady who attended the daily mass," he recalled.

Last year, 268 older residents were baptized, and this year over 50 young city-dwellers converted, too. "Finally I can see some faces of young people," he gushed.

A Western Catholic priest, who asked to remain anonymous, credits the 45-year priest for adapting well to China's rapidly changing society.

"Father Francis is creating new urban congregations and that is exactly what the church in China should be doing -- continuing to minister in the old existing churches, or building new churches in old villages."

Zhang noted that his diocese used to be home to at least 2,000 Catholics.

"Many of them are still going to the underground churches," he said. "Sometimes they invite me to their homes for a meal. They tell me they are eager to turn theirs into an open church, to worship God openly and devoutly."

His mission now, he said, is to encourage them to join the open churches.

Zhang used to worship underground.

"For ten years, my family provided four houses for underground assembly," he recalled. "In 1988, we decided to worship openly."

That means joining the Chinese Catholic Patriotic Association.

A fourth-generation Catholic, Zhang attended a Beijing seminary for five and a half years. He later enrolled in British and Belgian universities, where he studied philosophy, psychology and church management.

He also attended the Foreign Affairs College in Beijing to learn about diplomacy.

"Merely preaching is not enough," Zhang said. "You have to learn some knowledge of international relations."

Zhang has also learned how to balance his faith with the authority of the state.

Zhang disagrees, diplomatically, with Beijing's defiance of the Vatican in the ordination of bishops.

"I think it's not a good idea," he said. "I do hope Chinese government will pay attention to the universal idea, the universal church law of the Holy See.

"At the same time I hope Holy See can really understand the church in China and find out what it really looks like.

"Of course we follow China and we also follow the Roman Catholic way," he added.

"Give to Caesar what belongs to Caesar. What belongs to God, return it to God. The state and church interaction is very dialectical."

For the foreseeable future, it seems, Chinese Catholics will just have to continue the balancing act between church and state.

Will Evans contributed to this report.

@highlight

Vatican, China at odds over ordination of bishops without the pope's blessing

@highlight

Relations between China, Vatican estranged since 1957, when Beijing broke off relations

@highlight

China's Catholic church is overseen by state-approved Catholic Patriotic Association

@highlight

Many of China's 10 million Catholics worship in underground churches