(CNN)Ambitious companies that ignore the imminent rise of Virtual Assistants as the gateway to the Internet run the same risks as those that dismissed the disruptive innovations of Google in 1998.

The current generation of VAs are consumer products like Apple Siri, Google Now, Microsoft Cortana. Smaller innovators like Viv Labs are pursuing a less hardware or operating system dependent architecture. In the enterprise marketplace VA capabilities feature in technologies like IBM's Watson and Amelia from IPsoft.

In 2014, there has been a surge in acquisitions of related artificial intelligence technologies by all the major technology companies. Rapid advancements in the underlying technologies have also been taking place -- from neural networks to natural language processing to wearables and emotional recognition systems.

The launch of the first mainstream high-impact VA is perhaps four or five years away.

What will a VA do?

VAs will monitor mental and physical well-being, support lifestyle goals and ambitions through suggestions, prompts, and coaching. They will alert you when friends are nearby, translate both language and culture, help you budget or even intervene when you overextend. Just like a guardian or parent, they will advise you to avoid walking down a particular road at night, or tell you to apply sunscreen based on your skin type and sun levels.

Many of these technologies currently exist in relative isolation and the power of the VA will be in consolidating all these data points into an integrated user experience. This could be on your phone, your watch, in your car, and in your home. You'll be able to choose if your VA is like a butler, friend, colleague, slave, or even master.

Our research collaboration, Project Virtual Assistant, with global media agency Mindshare focuses on understanding what people really want from the next generation of these services.

Our research findings

We worked intensely for two months with 12 workshop participants experimenting with the latest technologies. We conducted expert interviews with leaders in the field on the technical, legal, and socio-economic possibilities and implications, and surveyed 1,000 smart phone users in the UK.

One clear finding is that every organization in the world needs to prepare now for a VA-infused future that will directly impact internal efficiencies and operations and external branding and growth strategies.

Preliminary results from our previous Human Cloud at Work research indicated that wearables increased productivity in the workplace by 8.5%. Participants were keen to get real-time feedback on the potential correlations between data from their bodies and productivity and performance metrics.

VAs will provide the automated opportunity to gather, analyze, and make recommendations from the data from not just one but all of your wearables in real-time. Similar to a football coach, managers will have the ability to put their best employees "on the field" and make split second decisions on productivity.

The VA inside the company, and our heads

Internally, VAs will transform organizational behavior, leadership, and talent management. Companies will develop branded VAs supporting organizational culture and productivity. Think of them as super-powered Intranets or enterprise portals providing voice-activated access to training, coaching, assessment, knowledge, and internal communications.

Early adopter companies can strategically position themselves as VA proponents. Already 62% of UK smart phone users say they are ready to integrate VAs into their everyday work lives. Well-being programs are increasingly important in organizational culture, and VAs can help individual employees learn about boosting their productivity and reducing stress in order to reach their rofessional goals and aspirations.

VAs will also operate as gateways to business intelligence within a company.  Optimizing their design and functionality for the needs of each individual organization will by a key ingredient to job satisfaction, retention, loyalty, and recruitment.

VA as disruptor

Another important component of the VA will be to disrupt the consumer journey. For example, at the moment firms sell branded painkillers in your local pharmacy for up to 10 times the price of generic painkillers with identical ingredients. These identical products are often right next to each other on the shelf and yet consumers, typically out of brand loyalty and emotional triggers, will buy the branded product.

VAs will augment the consumer journey by filling in our behavioral 'black holes' and protecting us from simple emotional exploitations. Your head and your heart might be telling you to buy the branded product partially because of the successful impact of the brand's consumer behavior insight, but your VA will automatically reinsert rationality into your decision-making process.

Organizations will need to adapt their strategies as technology succeeds in protecting customers from behavioral exploitation where regulatory bodies and self-regulating industries have failed.

In 1998 Google search spawned a revolution in the digital economy and fundamentally changed the way we connect with people, products and services. VAs mark the next digital revolution and will have an even more profound impact on our organizations, everyday lives, commerce, interactions, and behaviors.

Read more: How mentors make superstars

Read more: Mapping the sharing economy

Read more: Making scents of disaster

@highlight

Virtual assistants are the most significant development of the digital revolution

@highlight

Workplaces must adapt and establish working relations with them

@highlight

We will be able to use them in every aspect of our personal lives

@highlight

Leading players Google, Microsoft and Apple are seeking control of this massive new market