Kabul, Afghanistan (CNN) -- A demonstrator died and several U.S. service members and Afghan police were injured as protests over the burning of Qurans at a U.S. military base turned violent Sunday, said officials.

The bloodshed in northern Kunduz province came a day after a gunman killed two U.S. military officers inside their office in the highly secured Afghanistan Ministry of Interior -- one of several incidents targeting allied forces after reports emerged last week that NATO troops had burned Muslim holy books at Bagram Airfield.

U.S. officials, including President Barack Obama, have apologized for the burning and called it inadvertent. A military official -- speaking on condition of anonymity, given the sensitivity of the issue -- said the materials were from a detainee center's library and had "inscriptions" that appeared to be used to "facilitate extremist communications."

Such statements, or explanations, haven't stopped protests from Muslims in Afghanistan, who believe the Quran is the word of God and so holy that people should wash their hands before even touching it.

On Sunday, the sixth day of protests, initially peaceful demonstrators in Kunduz attacked a police chief's office and a U.S. military base, Kunduz police spokesman Sayed Sarwar Hussaini said.

Some threw hand grenades at the base, known as Combat Outpost Fortitude, with resulting blasts injuring seven U.S. personnel believed to be Special Forces members, said Hussaini. Capt. David Yaryar, a spokesman with NATO's International Security Assistance Force, said there was an explosion and small arms fire.

ISAF did not comment on the number or positions of those hurt, though Yaryar did say those hurt were evacuated for medical care.

One protester was killed and three wounded in the violence at the military site, according to Hussaini.

Another 16 protesters suffered injuries as grenades, pistols, knives, sticks and stones were used to attack the police chief's office in Kunduz, said Hussaini, the police spokesman.

U.S. Secretary of State Hillary Clinton told CNN on Sunday that such unrest and targeting of Americans has gotten "out of hand and needs to stop."

She urged Afghans to abide by the call of their president, Hamid Karzai, for calm.

In a televised address, Karzai said the "emotions of our people" over the burned Qurans "are legitimate and valuable." Still, he added that staying calm will help stop "enemies of our peace and stability" from taking advantage and harming people and property.

U.S. Ambassador to Afghanistan, Ryan Crocker, acknowledged "some tough attacks up north" in a CNN interview Sunday, while adding that the "rest of the country ... was pretty calm today."

"(Such anger generally) tapers off, and I think we're all hopeful that the appeal for calm that President Karzai made today -- and he did so with the backing of the entire political leadership of the country -- will create a condition in which this diminishes," said Crocker.

At least 29 people have been killed and nearly 200 wounded in recent protests, Karzai said. The death of the demonstrator in Kunduz would appear to raise that death toll to 30.

They haven't been the only ones killed in the wake of the Quran burnings.

Two U.S. soldiers were gunned down last week at a base in eastern Afghanistan by a man wearing an Afghan National Army uniform.

And then, on Saturday, a man went to the Afghan interior ministry, signed himself in and then retrieved his gun, according to an Afghan counter-terrorism official who spoke on condition of anonymity because he was not authorized to talk with the media about the incident.

ISAF said that initial reports indicated "an individual" -- whom they did not name -- shot dead two NATO service members, later confirmed by an Afghan police official to be an American colonel and major.

The Defense Department on Sunday identified one of the officers killed as U.S. Air Force Lt. Col. John D. Loftis, 44, of Paducah, Kentucky. Loftis was 44.

The Afghan official identified the suspected gunman as Abdul Saboor, a junior officer in the ministry's intelligence department who the official claimed had spent two months in a Pakistani religious school.

"We believe it was 100% linked to the Quran burning because of the religious background of this junior officer," the counter-terrorism official said.

The Taliban claimed responsibility for the shooting, with its spokesman identifying the shooter by the same first name, Abdul, that the Afghan official used. The Afghan official did not say, though, if it was known the gunman was a member of the Taliban.

The Afghan interior ministry confirmed the gunman is thought to be one of its employees and that his "whereabouts are unknown."

Senior Afghan officials, including the defense and interior ministers, have postponed a scheduled trip to Washington to meet U.S. Defense Secretary Leon Panetta and others, Pentagon press secretary George Little said.

"(The officials) are consulting this week with others in the Afghan government and Afghan religious leaders on how to protect ISAF personnel and quell violence in the country," said Little.

Saturday's killing prompted Gen. John Allen -- the commander of ISAF -- to order the withdrawal of several hundred ISAF advisers from ministries in Kabul as a precaution.

Such a move raises questions about a U.S. military plan focusing on the use of small teams of military advisers as it withdraws troops. Yet Lt. Col. Jimmie Cummings, an ISAF spokesman, stressed the advisers are still in contact with Afghan personnel.

"We will not let this incident divide the coalition," Cummings said.

The United States also pulled embedded civilians out of ministries, said Crocker. And France announced Sunday that it was withdrawing all French public officials in Afghan institutions temporarily to ensure their safety.

Amid the protests, ISAF said Sunday that its efforts against the Taliban continue to move forward.

In fact, Afghan and coalition security forces captured Taliban leaders in the provinces of Kandahar and Ghazni, ISAF announced Sunday. So too was a commander with the insurgent Haqqani network, in his case in Logar province.

Crocker highlighted the progress that's been made in Afghanistan since the U.S. embassy opened more than a decade ago with "nothing -- no institutions, no ministries, no police, no army."

Still, he stressed that the stakes remain high in calling for a continued commitment to the country.

"If we decide we're tired of it, al Qaeda and the Taliban certainly aren't," said Crocker.

CNN's Barbara Starr, Josh Levs and Chelsea J. Carter contributed to this report.

@highlight

NEW: Top Afghan officials postpone a visit to Washington, a U.S. spokesman says

@highlight

1 dead, U.S. service members and police are wounded when a Sunday protest turns violent

@highlight

U.S., France pull their civilians from Afghan ministries after the ministry shooting

@highlight

30 have been killed, 200 hurt in unrest stirred by NATO members burning of Qurans