(CNN) -- Born into grinding poverty and with a degenerative eye condition which left her almost totally blind, Terezinha Guilhermina first became aware of her athletic abilities when fleeing a school bully in her home city of Betim in Brazil.

Despite her apparent disadvantage, Guilhermina easily outpaced her much older would-be assailant and, as fear mixed with exhilaration, she inadvertently found her true forte in life.

"I love to run. I feel free and complete," the three-time Paralympic gold medalist told CNN's Human to Hero series.

"The feeling of moving fast is just magical, it's wonderful."

Guilhermina may have been blessed with natural talent, but the handicaps she faced on her journey to track and field stardom would have defeated most mere mortals.

Coming from a family of 12, her mother died when she was just nine and the children were often left to forage for leftovers just to feed themselves.

"We didn't have much to eat, our diet was always poor," the 34-year-old recalled.

Despite her visual impairment, Guilhermina was forced to attend a regular school -- "I suffered from bullying because I wasn't normal" -- and was in her early 20s before she completed her education.

Sporting dream

Still harboring a dream to excel at sports, the impoverished Guilhermina enrolled on a disability project being run by the Betim city council, focusing on swimming and running.

"I found an association that had sports for the vision-impaired. I joined and started to compete."

She initially chose swimming because she didn't own a pair of running shoes, but her sister, who worked as a maid, said "here, take mine."

Guilhermina may have had a pair of hand-down trainers and a coach who encouraged her to compete in her first race, but her visual handicap left her at a further disadvantage.

"I had to train when no one was around because I had no guide," she said.

So for fear of obstructing other runners, Guilhermina took to the track when it was deserted.

"I had to train at the hottest time, which was from 12-2 p.m. because there was no one around. I would run and run until I did 40 laps (16 kilometers)."

Existing on a diet of flour and sugar, living in a house where there was no real shelter from the rain, only an incredible inner will to succeed kept her going.

"I said I wanted to be the best in the world, I thought if I could make it, I would be able to change my future, to change my destiny," she said.

"I would push myself to the limits. I would do 70 laps and barely eat."

First prize

Guilhermina started taking part in local road races with the aim of making money to fund her activities and buy basic foodstuffs.

"The first money that I earned made me believe that I would be able to realize all my dreams," she said.

"I won 80 Reais ($40) in a street race, and stopped in a market to buy a yoghurt that I always dreamed of eating since I was little."

Her ability came to the notice of Brazilian Paralympic officials and she was selected to compete in the 2004 Games in Athens, over the distances of 400, 800 and 1500m.

Categorized as T11 for athletes who have no functional vision, Guilhermina was able to run with a guide, but the athlete nominated to run with her proved of little use.

"When we got to Athens, the first thing he said was, 'You are on your own.' The night before the 400m race, he spent the whole night clubbing and during the event he almost fell ... he was more tired than I was!" she said.

Despite the near mishap, Guilhermina took the bronze medal in the 400m -- but finished down the field in the other two events.

She realized that she was competing in the wrong races, and swapped the two longer ones for sprints over 100m and 200m.

It proved an inspired move and, once she had mastered the skill of driving out of the starting blocks, Guilhermina never looked back.

First gold

A world record in the 100m for her category came in 2007 and she won a full set of medals at the Beijing Paralympics the following year.

Her defeat in 100m was a disappointment though, as Chinese runner Wu Chunmiao won gold. "I was slow getting out of the blocks and I stumbled."

But Guilhermina made amends in the 200m to win her first Paralympic gold, and repeated her bronze of Athens in the 400m.

Coming into London 2012, Guilhermina was ever more confident, particularly because of the ability of her guide runner, Guilherme Soares de Santana.

He is her seventh, having come together in 2010.

"He's the best guide in the world because I'm not aware of him on the track. Guilherme has given me back the feeling of running by myself. That's the best gift I could have."

The ultimate goal for 2012 was a hat-trick of Paralympic golds and, after a comfortable win in the 200m, they seemed on track.

Then disaster struck in the 400m, in one of the most heartbreaking moments of the Games.

The pair looked set for victory when Soares de Santana fell in the finishing straight, pulling down Guilhermina in full flight.

The capacity crowd gasped in disbelief as France's Assia El Hannouni crossed the line first while the Brazilian pair lay prone on the track.

World record

In defeat, Guilhermina had made the headlines and highlighted the fine line between success and failure in disability sport.

"I felt literally blind in that moment, and that moment, he stopped being invisible to me," she recounted.

But it was to be expected that Guilhermina would not let that setback derail her ambitions and the very next day, still "very sore from all the previous races," she stormed to victory in the 100m in a world-record time of 12.01 seconds.

Honor was restored after the bitter disappointment of just 24 hours previously, and she and Soares de Santana shared the glory on the podium.

"We are a team. If we lose we do it together, and if we win ... we win together," she said proudly.

Despite her advancing years -- she will be pushing 38 by the time of the Rio Paralympics -- Guilhermina is absolutely determined to compete in her three events in front of home fans and achieve the hat-trick which so cruelly eluded her.

"I'm going to take care of myself so that in Rio I can win gold medals in every race I compete. I intend to do better than London when it comes to my times."

The inspiration is performing for the last time in front of her home fans and being a role model for the next generation.

"I feel honored to be an example for others," she said.

"It makes it feel worthwhile to have overcome all the challenges I have encountered so I can help others to dream and also fulfill their dreams."

Ultimate high

Guilhermina describes the award of the Summer and Paralympics Games to the Rio de Janeiro as a "gift from god" which leaves her with the opportunity to go out on the ultimate high with "unforgettable moments" which could not be topped.

Her future after running is unclear, though when she was younger she had ambitions to go into the legal profession.

Fearing that her disability would lead to being discriminated against in such a profession, Guilhermina opted for a sporting life.

"I feel like I've accomplished all my fantasies and childhood dreams," she said.

"I had nothing, now I have everything."

@highlight

Terezinha Guilhermina is the fastest blind woman runner in the world

@highlight

She won two gold medals at 2012 London Paralympics but fell in 400m

@highlight

The 34-year-old will retire after the 2016 Paralympics in her native Brazil

@highlight

Guilhermina: "I had nothing, now I have everything"