(CNN)Durban's beachfront promenade was whipped by thin sheets of rain as Stan Engelbrecht and Nic Grobler sat at a seaside café to have breakfast. Coffee was in order. The two photographers were still trying to shake off their morning tiredness, having just arrived at the coastal city after cycling some 1,600 kilometers from Kimberley, a town at the heart of South Africa.

"Just as the coffee arrived, I saw this guy fly by with no shirt on, riding this strange-looking bike," recalls Engelbrecht. "Nic and I just looked at each other and it was like, 'we've got to get this guy!' Nic just said 'go, go, go,' so I jumped on my bike and started chasing him in the rain."

It took more than seven kilometers and several screams before Engelbrecht finally managed to catch up with the shirtless rider -- named Brandan Searle -- and talk to him. "He stopped and allowed me to get his photograph and do a quick interview with him," says Engelbrecht. "He was on his way to work -- he works as a gym instructor -- but he told me an amazing story; he'd been traveling the world with that exact bike."

That story and photograph can be found in "Bicycle Portraits," an image-led three-book series by Engelbrecht and Grobler documenting South Africa's bicycle commuter culture. Starting in 2010, the two friends and bike enthusiasts were keen to explore who cycles in the country and how their bicycles fit into their daily life.

"We decided just to get on our bikes and cycle around and see who we would meet," says Engelbrecht. "It happened organically," adds Grobler, 34. "We didn't set out with a strict plan of what we wanted to do...We were thinking maybe we'll be working on it for six months."

Read this: Cape Town draped in color for 'slave' carnival

Instead, Grobler and Engelbrecht ended up spending over three years on the project, cycling thousands of kilometers across South Africa -- from big urban centers, through steep hills and mountains, to small towns and rural areas.

Along their journeys, they'd speak to, photograph and sometimes even ride together with the cyclists they'd meet on the road, people who used their bikes not for recreation but as an everyday way of transport -- everyone from die-hard commuters to people making a living from their makeshift bicycles.

Engelbrecht and Grobler say these "brave" and "inspirational" individuals, are defying dangerous roads and social prejudices by making the everyday decision to use bicycles to get around.

"In South Africa there's no culture of commuting by bicycle," says Engelbrecht. "Some of the friends that we made were really colorful and interesting people, very eccentric I would say," he adds.

"It's really an alternative choice to ride a bicycle -- it's often a choice that comes out of necessity because of the rising costs of transport and in fact people have to travel long distances to get to work. Often people live in townships and they work in the cities where it's actually very far from their home."

Grobler and Engelbrecht, who turned to crowdsourcing website Kickstarter to fund their project, say that riding a bicycle themselves helped them create an instant bond with the cyclists they'd encounter, allowing different people from all walks of life to open up to them and have a friendly discussion.

"There is a pride around having and using a bicycle, especially because in South Africa it's not being used as much for commuting," says Grobler. "It kind of felt like you get a different holistic image of the country, after hanging out one on one with everyday people," he adds. "A very different image of the country, of the situation and the state of racial interactions and political interactions ... than you get from, say, reading the newspaper or always being aware of the extremes."

The photographic project was published in December 2012, yet that didn't signal the end of Grobler and Engelbracht's journey. Since then, they have been on their bikes again, cycling back to meet the people featured in the books in order to give them a copy.

"It was a very natural thing to do," explains Grobler. "We never felt that the right thing was to pay anybody for their time or taking their photo -- that'd be kind of compromising the integrity of it," he adds. "As far as our project goes, it's probably the best part of the experience."

Engelbrecht agrees. "It's very rewarding being able to go back to someone and say, 'remember I met you two years ago, I took your photo and this is what I did with it,'" he says.

The two photographers have so far gone back to about 70% of the people they'd photographed and are still planning to visit the remainder 30%.

"People's reactions are always very positive," says Engelbrecht. "They feel very proud, they really love it, it's a nice feeling to make someone feel so proud and also ... when you're able to give them a copy of the book, they can see themselves amongst other South Africans that have a similar interest to them. And also the stories -- you can read a lot about other people's personal history and culture and socioeconomic background, it's just very interesting for these people."

Click through the gallery above to read excerpts of stories by the cyclists featured in the "Bicycle Portraits."

@highlight

'Bicycle Portraits' documents South Africa's cycling culture

@highlight

The three books show people depending on bikes for everyday transport

@highlight

Stan Engelbrecht and Nic Grobler cycled 10,000 kilometers for project

@highlight

They are now revisiting the cyclists they photographed