A university student cowers in a pharmacy as a mob outside threatens her with sexual violence. A law student is groped by her classmates, the dean cites her "inappropriate attire." Frightening allegations but advocates say this is an everyday reality for women in Cairo.

Habiba is a college student. CNN is only using her first name to protect her identity. She readily recalls the day a group of men chased her down the street. "Come on! You know they want to," they shouted at her, while making lewd gestures she said.

Finally she ducked into a pharmacy but found no refuge inside. ''No one in the pharmacy did anything to help me despite my pleas, they just wanted me to leave,'' Habiba said.

Habiba says the men wouldn't leave but after two hours like this, she got tired of waiting. So she ran. Fast. ''I was so afraid that one of them would touch me ... you just don't forget something like that,'' she said.

Incredibly, Habiba says this kind of thing happens to her daily.

And she's not alone.

A 2013 United Nations report entitled "Entity for Gender Equality and the Empowerment of Women" found that 99.3% of Egyptian women have experienced some form of sexual harassment.

The statistic shows how widespread the problem is, the stories get at the horror these women face.

Last month, a group of male students groped one of their female colleagues. Crying, she shut herself in the bathroom. Only when the men laid siege outside the bathroom did the university's security move to accompany the girl safely off campus, according to witnesses.

The university's dean, Gaber Nassar, blamed the woman for her ''inappropriate attire'' on a local talk show last month. He said that she was wearing a black cloak that she took off as she entered the university. A YouTube video showed what she had on underneath: a long sleeved pink shirt, black pants and bleached blond hair.

He later retracted his comments on his official twitter account, apologizing for the misunderstanding and denying the victim would be reprimanded.

''We will not relent in the punishment of these harassers,'' he added.

Habiba said it doesn't matter what women wear. ''Even veiled girls get harassed all the time," she said. "It's a lack of ethics and culture more than anything.''

But some say the women themselves need to be doing more to change the culture.

Colonel Manal Atef, a female member of an Egyptian interior ministry task force set up to tackle violence against women, says the problem of harassment lies not with the state or the laws, but with women not taking action to report crimes.

For example, she says, the law student did not file a complaint to the authorities.

Naglaa Al-Adly runs the research and studies department at the National Council for Women (NCW). She told CNN: ''The problem is very difficult because the women and girls themselves don't take an action for these assaults. They feel ashamed.''

Some women, including Lyla El-Gueretly, are speaking up.

Last year she says she was harassed in Cairo by a 37-year-old man. She says he catcalled her and made sexual gestures. El-Gueretly stood up to him and said, ''Shame on your beard,'' referring to his beard, which is perceived as a sign of piety in Islam. She says he then got angry, followed her and then slapped for having the audacity to talk back to him.

She said he thought it was "his right (to sexually harass me).''

Eventually other passers by intervened to stop her attacker, and she convinced them to take him to the nearest police station.

''The (people) tried to talk me out of taking him to the police station,'' El-Gueretly told CNN. ''They said it's just a waste of time, a waste of effort and he has learned the lesson.''

Ultimately the attacker was arrested and charged with assault.  But the prosecution released him before trial.  He was tried in absentia, and found guilty.  To this day he walks free.

El-Gueretly is frustrated that despite the court order, her attacker remains at large, and the verdict hasn't been implemented.

''They (the authorities) are telling women 'you're on your own,' and they're saying to the harassers 'we're not going to punish you,''' she said.

Colonel Atef insists that women are at the top of the interior ministry's priorities. She argues that sexual harassers often leave the scene quickly, making it difficult to catch them.

Atef's unit  was established in 2013 to face the mounting incidents of sexual harassment and violence against women. It consists of four female police officers who have been trained in the United States on how to ''face crimes of sexual harassment and implement them in Egypt," according to Atef.

''To make things easier for the victim, we have three telephone lines and we work 24 hours a day. We have a fax and an e-mail, so there is constant contact with victims,'' she said, adding that they offered legal advice, as well as psychological and social support.

NCW's Al-Adly, however, said that despite the interior ministry's efforts and cooperation, four female officers in a population of more than 86 million isn't enough.

The NCW had been pushing the government to quickly pass a draft law they proposed in early June 2013 that would combat violence against women, include harsher sentences against sexual harassers and a specific definition for sexual harassment.  But Atef explained to the organization that the term "sexual harassment" is not explicitly covered under Egyptian law.

Justice Ministry spokesperson Abdel Azim al-Ashry told CNN the ministry's human rights department is working to finalize a modified version of NCW's anti-sexual harassment law and have it approved by the country's president.

The draft law, intended to target sexual harassment, states that if one perpetrator is found responsible for actions that have sexual or pornographic overtones, or stalks, gestures or speaks in a way that violates a female in public or private, he could be detained for at least one year and/or fined up to US $2,800.  If more than one perpetrator is involved, they would also be fined and could be detained for up to seven years.

If the perpetrator is armed or is the victim's boss or someone who has authority over the victim, the offender could be detained for up to seven years and fined up to US $2,800.

Al-Ashry cited the current instability in the country and the absence of parliament, which is responsible for legislation, as reasons for the delay in implementing such a law -- although interim President Adly Mansour does have the power to issue laws unilaterally until a parliament is elected.

Yet Mansour issued a law in November 2013 imposing more restrictions on protesters.  NCW's Al-Adly argued that a law protecting women should be just as important.

Al-Adly and Colonel Atef say they will continue to encourage Egyptian women to fight for their rights and speak out against the perpetrators. They also aim to encourage men to honor and respect women.

In the meantime, Egyptian women like Habiba will continue to struggle with sexual harassment from day to day.  ''I don't feel safe and there's nowhere to go,'' she said.

@highlight

A U.N. report found 99.3% of Egyptian women have experienced some form of sexual harassment

@highlight

Advocates say this is an everyday reality for women in Cairo

@highlight

The National Council for Women (NCW) was set up to tackle violence against women

@highlight

Some say the women themselves need to be doing more to change the culture