(CNN) -- The chief prosecutor for the International Criminal Court said in a report Wednesday there are "reasonable grounds to believe that crimes against humanity have been committed and continue being committed in Libya."

The report highlighted the alleged commission of rape by Libyan leader Moammar Gadhafi's government, as well as the deportation or forcible transfer of citizens during the civil war that continues to rage in that country.

It also noted war crimes, including intentionally directing attacks against civilians not participating in the fighting.  ICC Prosecutor Luis Moreno-Ocampo issued a statement saying he will soon request arrest warrants against three individuals who are "most responsible for the crimes committed."  The individuals were not named.

"It is indeed a characteristic of the situation in Libya that massive crimes are reportedly committed upon instruction of a few persons who control the organizations that execute the orders," the report said. "Arresting those who ordered the commission of crimes, should the judges decide to issue warrants, will contribute to the protection of civilians in Libya."

In March, shortly after the International Criminal Court was asked to investigate the issue, a court spokeswoman said Gadhafi would probably face serious charges.

But the prosecutor did not name the people against whom he had evidence.

"Even today, people in Tripoli are arrested illegally, tortured and they disappear," Moreno-Ocampo told CNN. "We have evidence of that and we will show it to the judges."

It is not clear if he plans to file charges against anyone on the rebel side, though the report mentioned "alleged war crimes as well as other crimes against humanity" appear to have been committed by "different parties."

He warned when he opened the probe two months ago that the rebels are subject to international law just as Gadhafi's forces are.

"Now, there are people opposing Gadhafi with weapons. And also we would like to warn them, you cannot commit crimes. Our business in Libya is (to) stop the crimes," he told CNN in March.

Susan Rice, the U.S. ambassador to the United Nations, said the specter of ICC prosecution "should warn those around Gadhafi about the perils of continuing to tie their fate to his."

"Gadhafi has lost any and all legitimacy to lead Libya," she said, remarking on "widespread and systematic attacks" against civilians by government forces.

Her comments were later echoed by the acting deputy spokesman for the U.S. State Department, Mark Toner, who called on Gadhafi to cease hostilities and to "allow the International Organization for Migration and other organizations to provide much needed relief and evacuation services to civilians caught up in the Libyan conflict."

He said the United States is making available an additional $6.5 million for the migration organization's operations in Libya.

That means the United States now is shelling out a total of $53.5 million in emergency assistance "to meet the humanitarian needs of conflict victims, vulnerable migrants, and others displaced by the civil unrest in Libya," he said.

But the Russian ambassador to the United Nations said Russia is "deeply alarmed by the growing number of civilian causalities and the destruction of civilian facilities as a result of the actions by opposing Libyan parties."

"Unfortunately it must be noted that actions by NATO-led coalition forces also lead to civilian causalities," said Ambassador Vitaly Churkin. "This took place in particular during recent bombings in Tripoli."

He warned against exceeding the mandate established by U.N. Security Council resolution 1973, which allows military action in Libya to protect civilians.

"Any disproportionate use of force is unacceptable," he said.

This is the first time the International Criminal Court has begun investigating possible crimes against humanity as they were occurring in wartime, Moreno-Ocampo said.

Social networking websites such as Facebook were part of the reason that was possible, he said.

"This triggered a very quick reaction. The (United Nations) Security Council reacted in a few days, the U.N. General Assembly reacted in a few days. So, now because the Court is up and running we can do this immediately," he said.

"I think Libya is a new world," he added. "How we manage the new challenge, that's what we will see now."

The United Kingdom used Wednesday's meeting to support investigations in Libya, while also using the forum to urge Syria not to attack protesting civilians.

"The deteriorating situation in Syria is of increasing concern in this regard," said Ambassador Mark Lyall Grant. "The violent repression there must stop immediately."

Meanwhile, Gadhafi's forces once again shelled Misrata's port on Wednesday, leaving five people dead and dozens injured, a rebel spokesman told CNN.

The shelling started around 1 p.m.

"This is the only terminal we have for the city and for humanitarian vessels to come in and take foreigners out," rebel spokesman Ahmed Hassan said.

A few ambulances and private cars arrived on the scene to take the casualties away after the shelling stopped.

The International Organization for Migration told CNN that it had one chartered vessel that entered Misrata's port early Wednesday morning. Contact was made with the ship's captain, and no one was injured on the boat.

Some 840 migrants have boarded the boat, and more were being placed on board, the IOM said. The vessel, which had brought 180 tons of humanitarian aid to Misrata, was expected to depart in the afternoon.

As the bloody battles in the North African country dragged into their fourth month, a U.N. official said the Libyan government and opposition members were trying to find a way for a cease-fire.

Abdul Ilah al-Khatib, the U.N.'s  special envoy to Libya, said both sides had told him that they were ready for a cease-fire. The only problem was that they disagreed on what conditions would be needed to lay down arms, the envoy said.

The Libyan government wants an end to NATO aerial attacks; the opposition wants Gadhafi to step down and will not negotiate with him or any of his family members, al-Khatib said.

"A real and credible cease-fire must be agreed upon to suspend aggressive actions and killing of innocent civilians, including women and children," al-Khatib told the U.N. Security Council on Tuesday.  "A cease-fire must be declared either formally, or -- in a first step -- as part of an informal understanding between the opposing forces in Libya."

NATO began bombing Libya on March 19, after the U.N. Security Council approved a resolution authorizing any means necessary, short of invasion, to protect civilians demanding the end of Gadhafi's nearly 42-year rule.

This weekend, Libyan authorities said one of Gadhafi's sons and three of his grandchildren were killed by a NATO airstrike.

This prompted an increase in pro-Gadhafi forces' attacks in rebel-held cities and also in the beleaguered western port city of Misrata, witnesses said.

An explosion rocked Benghazi Tuesday, the eastern city that is controlled by rebel fighters. The blast damaged several cars in Benghazi's main square and a rebel spokesman blamed it on Gadhafi supporters who were somehow able to infiltrate the rebel-held city.

CNN could not independently confirm that report.

The continued fighting has sent people fleeing.

More than 8,000 people -- most of them women and children -- fled into Tunisia over the weekend to escape the fighting between Libyan government troops and opposition forces, the U.N. High Commissioner for Refugees said Tuesday

Nearly 40,000 Libyans have fled the country's western mountainous region in the past month as pro-Gadhafi and opposition forces have fought for control of the border crossing point, according to the U.N.

CNN's Mitra Mobasherat and Atika Shubert contributed to this report.

@highlight

NEW: The U.S. is making available an additional $6.5 million for emergency assistance

@highlight

An International Criminal Court report cites "reasonable grounds"

@highlight

Arrests "will contribute to the protection of civilians in Libya," it says

@highlight

The U.S. ambassador to the U.N. warns those around Gadhafi of tying their fate to his