(Financial Times) -- China has ordered the recall of potentially contaminated milk imported from New Zealand after Fonterra, the world's largest dairy exporter, found in its products bacteria that can cause botulism.

With nearly 90 per cent of China's imported milk coming from New Zealand and Fonterra by far the biggest single supplier, Beijing's response to the dairy scare is being closely watched.

Tim Groser, New Zealand's trade minister, initially told state broadcaster Television New Zealand that China had banned imports of all milk powder, a move he deemed "absolutely appropriate". But later on Sunday a New Zealand official said the actual Chinese measures had been more limited.

On its website, the Chinese quarantine authority said it had ordered close inspections of all dairy imports from New Zealand.

It demanded that four companies recall products that might have been affected by contaminated milk, including Wahaha, China's biggest beverage producer. It also issued a warning to consumers over three batches of Nutricia infant formula made in New Zealand.

New Zealand exports almost $9.5bn of dairy products a year, and nearly a fifth of that goes to China. Even without an outright ban, the image of New Zealand dairy in China is at risk.

"For a long time, New Zealand has marketed its products overseas as being '100 per cent pure,' and this has been especially true of its dairy products," said China's state-owned Xinhua news agency. "However, Fonterra has had a series of problems and this is beginning to shake the confidence of some Chinese consumers in its '100 per cent pure' milk powder."

The quest for safe milk powder has become a top concern for new parents in China after a 2008 scandal in which domestic producers sold melamine-tainted infant formula, killing six babies and making thousands ill.

Chinese demand for imported milk powder has soared since that scandal, and places from Hong Kong to the UK have imposed limits on the number of cans sold to individuals after customers loaded up on supplies to resell in China.

Fonterra's growth strategy is focused on China, where it is seeking to expand its business with the launch of its Anmum brand infant milk formula later this year. Last year China accounted for 10 per cent of group revenues of almost NZ$20bn ($15.7bn).

The latest scare began when Fonterra revealed on Saturday that three batches of a New Zealand-made whey protein had tested positive for clostridium, a bacteria that can cause botulism. The farmers co-operative said the whey concentrate, manufactured in May last year, may have been contaminated by a dirty pipe at a processing plant.

Fonterra said the 38 tonnes of contaminated concentrate had been bought by eight customers for use in a number of products including infant formula, milk powder and sports drinks. It was then mixed with other ingredients to produce 870 tonnes of product sold in a number of markets including New Zealand, Australia, China and Saudi Arabia.

Mr Groser said New Zealand authorities were working with the company "to identify and trace all potentially affected products and then inform regulators around the world". The head of Fonterra has flown to China for a round of meetings with officials.

The botulism scare is the second contamination issue involving Fonterra this year. In January the company said it had found traces of a potentially toxic chemical used in fertiliser in some of its products.

Fonterra said there had been no reports of any illness related to the whey protein.

Gary Romano, head of Fonterra's New Zealand milk products division, said the company was confident all of the affected product had either been recalled, secured or did not pose a risk to health because the bacteria would have been killed in the manufacturing process.

© The Financial Times Limited 2013

@highlight

Nearly 90% of China's imported milk comes from New Zealand

@highlight

Recall ordered after Fonterra found bacteria that can cause botulism

@highlight

Botulism can result in paralysis and respiratory failure, according to U.S. National Institutes of Health.