(CNN) -- Witches, ghosts, a haunted house and a deadly plane crash: "The Night Strangers" has all the hallmarks of a good ghost story, but bestselling author Chris Bohjalian has put his own 21st-century spin on the supernatural genre in his frightening new novel.

In the story, the haunted house is a charming fixer-upper in rural New Hampshire. Don't forget to ask the real estate agent about the mysterious basement door, nailed shut with 39 6-inch-long carriage bolts.

The witches are self-proclaimed herbalists who go to great lengths to find the organic ingredients for their feel-good tinctures; just don't call them "potions."

The ghosts are the victims of a commuter plane crash on Lake Champlain, but don't look for a "Miracle on the Hudson" finish to this water landing.

At the heart of this creepy yarn is a not-quite-typical American family: Chip and Emily Linton and their twin 10-year-old daughters. Chip is an airline pilot with a bad case of survivor's guilt. Emily is suspicious of her new neighbors' intentions and her husband's sanity. While the twins try to fit in at their new school, one of the young girls begins to hear voices.

With more than a dozen novels under his belt, "The Night Strangers" marks new territory for Bohjalian, who's tackled domestic violence in "Secrets of Eden," a World War II love story in "Skeletons at the Feast," and mental illness and "The Great Gatsby" in "The Double Bind."

CNN recently spoke to Bohjalian (pronounced Bow-jail-yen) and the real-life inspiration behind "The Night Strangers." The following is an edited transcript:

CNN: What was the spark behind "The Night Strangers"?

Bohjalian: Along one of the foundation walls of the basement of my house in Vermont is a door. It's about five and a half feet tall and three feet wide and made of rough wooden planks. My guess is that it was added at some point after the 1898 Victorian above it was first constructed.

When my wife and I moved into the house, it was nailed shut. That's right: nailed. There was a moldy pile of coal beside it, and so I convinced myself the door was merely a part of an old coal chute. Sure, I never found the exterior entrance to the chute, but that was a detail. Perhaps it was under a porch added at some point in the 1940s.

A few years later, in the early 1990s, I finally pulled the door open. The project demanded a crowbar, a wrench and at one point an ax. After hours of toil, behind that door I found ... nothing. There was a slender cubicle the height and width of the door and maybe 18 inches deep. The walls were made of wood, and behind them was nothing but earth. In no way did it resemble a coal chute. It was more like a closet -- or a crypt behind which you might wall up a neighbor alive.

So I nailed the door shut and made a mental note to steer clear of that corner of the basement for as long as we lived in the house. Nevertheless, on some level I understood even then that the basement door was going to lead to a novel.

Now, it would take an airplane ditching one January afternoon in 2009 in the Hudson River before I would begin to understand what was going to exist behind that door. Like many thousands of other people, I raced to my television set and watched the evacuation of US Airways Flight 1549 as it occurred, staring enrapt as passengers stood on the wings and the plane floated amidst the waves.

Perhaps it was the shape of the jet's cabin doors, but at that moment I thought of the door in my basement.

The next morning, I wrote the following sentence: "The door was presumed to have been the entry to a coal chute, a perfectly reasonable assumption since a small hillock of damp coal sat moldering before it."

And so begins "The Night Strangers."

CNN: There's a plane crash in your book, reminiscent of the "Miracle on the Hudson." You went to great lengths to research plane crashes for the novel?

Bohjalian: I did. I read a disturbing number of black box transcripts from doomed airliners, watched a lot of terrifying NTSB computer animations of crashes and interviewed pilots. But the most important thing I did to add authenticity to the novel was to visit Survival Systems in Groton, Connecticut.

There I climbed into a flight suit, got strapped inside a Modular Egress Training Simulator and lowered into a 100,000-gallon tank of water. I was rolled 180 degrees so I was upside-down. The point of this, other than determining if my flight suit should have a diaper, was to get a taste of what it's like to exit a plane that has just crashed in the water.

The METS is a cylinder that resembles an aircraft cabin. It has interchangeable exits, so Survival Systems can replicate egress from most types of fixed- and rotary-wing aircraft. The device is lowered into the tank, submerged underwater and then rolled upside down or to an off-angle, depending upon the scenario. The ceiling can be set on fire because, let's face it, when your plane or chopper has become a lawn dart, there's a chance that something is ablaze.

The day I was dunked, there were three National Guardsmen being trained as well. I had an instructor in the simulator with me, and there were divers in the water around it to make sure that all of us got out with, worst case, a snootful of water. Altogether, I was dunked three times, twice rolled until I was upside-down. Escaping the simulator the two times I was strapped into a seat and had to push out exit windows while upside-down were particularly satisfying.

CNN: Without giving away too much, your book features ghosts and witches, a first for you. What prompted you to write about the supernatural?

Bohjalian: If you look at my personal library, you will notice that it ranges from Henry James to Steig Larsson, from Margaret Atwood to Max Hastings. There's Jane Austen and Tom Perrotta and volumes of letters from Civil War privates. It's pretty eclectic. And there's Shirley Jackson and Stephen King and Edgar Allan Poe.

The Poe is a paperback I bought when I was a boy. It cost 45 cents when it was brand new. It's a little more squat and a little more wide than a traditional mass market edition, and has a red moon and a raven on the cover. I wrote my name atop the first page with a blue Magic Marker, the ink bleeding through the thin sheet onto page three, and the letters are evidence that my mother was on to something when she would insist that our dog had better handwriting than I did.

It is one of the only books from my childhood I still own. I loved Poe when I was a boy. I loved all ghost stories. So I guess it was only a matter of time before I wrote one. Moreover, I hope I will never write the same book twice.

So, why a ghost story? Well, I love them. They're fun to read -- and, yes, fun to write. And when I imagined the subject matter of a plane crash and a pilot's post-traumatic stress disorder, ghosts seemed as good a way in as any.

CNN: What's next for you?

Bohjalian: I just finished a love story set amidst the Armenian Genocide in 1915 and the World War I battle of Gallipoli. A young Boston graduate from Mount Holyoke and an Armenian engineer are two of the main characters. It's called "The Sandcastle Girls." I am half-Armenian, and three of my four Armenian great-grandparents died in the Genocide, and so I found the research particularly wrenching.

Read more about Bohjalian's writing life in Vermont on the "Idyll Banter" blog on his website.

@highlight

Chris Bohjalian's latest novel is about a fixer-upper haunted house in New Hampshire

@highlight

"The Night Strangers" has witches, ghosts, a haunted house and a deadly plane crash

@highlight

Bohjalian has put his own 21st-century spin on the supernatural genre