(CNN) -- With up to 300 rainy days per year, the Faroe Islands aren't set to become the next big summer vacation spot.

But the unscathed landscape, idiosyncratic architecture and a calming simplicity is attracting tourists more than ever.

Situated in the Gulf Stream in the North Atlantic, midway between Norway and Iceland, the 18 islands that make up the Faroes have 600 miles (965 kilometers) of roads and a population of sheep that significantly outnumbers the people.

Many arrive, just like I did, with a limited knowledge of this remote archipelago.

Travel guides mention the Faroe Islands only in passing.

But the islands, a territory of Denmark with a total area smaller than London and just 49,000 inhabitants (and 70,000 sheep), are becoming more than a refreshment stop for travelers on their way to Iceland.

As soon as I arrive, I meet Barour, an intern with the local tourist board.

Over one of the most expensive beers in my life ($10 for half a pint) in a hotel bar in the capital Torshavn, he briefs me on the local must-sees.

Tjornuvik is the northernmost village on the main island of Streymoy.

"From there, you'll see where the Icelandic giants hurled a rope to tow the Faroes toward their island," says Barour.

Mythological creation

According to local myth, creatures from Iceland were so jealous of the raw beauty of the Faroes that they wanted to have the islands for themselves.

But two giants that swam during the night across the ocean struggled to move the islands.

When the sun rose, they turned to stone.

That's how Risin and Kellingin ("The Giant" and "The Witch"), two sea stacks north of Eysturoy island, each about 230 feet (70 meters) tall, were created, the legend goes.

Despite the comparatively small size of the Faroes, distances here appear surprisingly large and public buses run infrequently.

A camper van brought across via ferry or a rental car hired locally makes traveling the islands much easier.

Driving around the Faroe Islands is a thrilling experience.

Smooth, often narrow, one-lane roads wind through the Middle-earth-like surroundings, making for a perfectly picturesque road trip.

Such is the case with the road to Tjornuvik -- a patch carved in rock on top of a nearly vertical cliff with narrow passing bays and sheep wandering the roads.

The road to Saksun, just few miles south of Tjornuvik, is less demanding, but equally unforgettable.

Seven miles of gentle bends in a juicy green valley lead to a lonely church overlooking a fjord and surrounded by waterfalls.

Green roofs

Scattered along these roads are many grass-roofed houses.

These started life as a pragmatic solution for dwellings (see gallery), but have since become a symbol for the islands.

Houses have been built like this for more than a thousand years, providing protection from rain and thermal insulation.

Long hours of daylight (though rarely direct sunshine) in the summer allow for a thorough exploration of the northern Faroes.

The main islands are connected by underwater tunnels and one bridge: "The only bridge over the Atlantic Ocean," jokes Barour.

Driving on another otherworldly road from Gjogv, known for its natural harbor in a gorge, it becomes clear that while the Faroes are a wonder for a fleeting visit, life here is difficult.

As I await the never-coming dusk of the almost polar day, the beautiful islands start to feel monotonous.

Lack of perspectives, loneliness and remoteness are problems for young Faroese and many leave to study abroad.

But not all is bad, say those who return.

"You have close family and people to help you here, and the environment is very anti-stressful," says Bodil, a Faroese woman from the island of Eysturoy.

Despite weather so volatile that, according to a local saying, Vivaldi could have composed "The Four Seasons" in one day here, the Faroes can easily enchant a tourist with their unusual beauty.

Getting there

The sole carrier offering regular flights to the only Faroese airport, Atlantic Airways connects the archipelago mostly with Copenhagen and Billund in Denmark.

Some flights depart to Norway and Iceland.

In summer there are also rare connections to London, Barcelona and Milan.

A weekly ferry is another option for those willing to endure three days on the typically rough North Sea.

Dominik Sipinski is a Polish freelance writer publishing both in Polish and in English.

@highlight

Faroe Islands have up to 300 rainy days a year, but the landscape gives them special appeal

@highlight

Grass roofs in the Faroe Islands are the most conspicuous element of the local architecture

@highlight

Many young Faroese leave to study abroad to escape the remoteness of home, but often return