President Barack Obama on Tuesday recognized the leading Syrian opposition coalition as the legitimate representative of the country's people, marking a "big step" in U.S. engagement with the nearly two-year-old crisis.

"We've made a decision that the Syrian Opposition Coalition is now inclusive enough, is reflective and representative enough of the Syrian population that we consider them the legitimate representative of the Syrian people in opposition to the Assad regime," Obama told ABC's Barbara Walters.

"So we will provide them recognition and obviously with that recognition comes responsibilities on the part of that coalition," he said. "It is a big step."

Read more: What will recognizing the opposition accomplish?

The United States joins Britain, France, Turkey and the Gulf Cooperation Council in recognizing the opposition.

The move will be a major psychological boost for the rebels, but it doesn't mean Washington will be arming them anytime soon.

The U.S. announcement had been anticipated to occur at some point this week with a major meeting of governments supporting a transition away from Syrian President Bashar al-Assad scheduled.

Secretary of State Hillary Clinton, who was supposed to attend the Friends of Syria meeting in Morocco along with more than 100 delegations from the United States, the European Union, Arab nations and representatives of the Syrian opposition, canceled her trip due to a stomach flu that hit her and a number of her staff.

Deputy Secretary of State William Burns will attend in Clinton's place.

"I think what you'll see is a political decision to morally boost them (the Syrian opposition) and provide more political and moral support for their efforts. And look at how we can financially assist the opposition moving forward," according to an official who spoke to CNN before Obama's announcement, but declined to be identified because of the diplomatic sensitivity of the issue.

"But again, I think you're going to see a political recognition, not a legal recognition."

Legally recognizing the Syrian Opposition Coalition would carry more weight because the United States would treat the opposition like an alternative government, said Andrew J. Tabler, an expert on Syria and a senior fellow at The Washington Institute.

In order to do that, the United States would have to determine that the opposition controls a majority of Syrian territory and has taken over the country's treaty obligations from al-Assad's government, neither of which has happened.

Read more: An afternoon with a Syrian bombmaker

Even as it agrees to recognize Syria's opposition politically, Washington will still continue to deal with the Assad government in certain capacities.

"It's more of a political shot in the arm for the Syrian opposition," Tabler said. "And it's hoped that by doing that, it will straighten their backs and strengthen them and encourage them to come together and work together more effectively."

Speaking before Obama's annoucement, Frederic Wehrey, senior associate in the Middle East Program at the Carnegie Endowment for International Peace, called the expected upgrade in relations with the opposition "overwhelmingly political," a step that is "an attempt to encourage this positive trend, while at the same time isolating more radical actors in the opposition."

As part of Washington's effort to isolate extremist groups in Syria while boosting the new political coalition, the U.S. Treasury on Tuesday imposed sanctions on leaders of the jihadist al-Nusra Front in Syria, after the State Department moved to blacklist the rebel group as a foreign terror organization linked to al Qaeda in Iraq.

Burns plans to meet with the Syrian opposition during his trip to Marrakech.

The intent is to "hear from them ... about how they see things going forward both in terms of their own internal organization about their connectivity with Syrians inside Syria, about their transitional planning, about the needs that they see for external support, how they would have us best direct the non lethal support and humanitarian support that we are providing," State Department spokeswoman Victoria Nuland said on Monday.

The United States has been looking for the opposition to establish a leadership structure, Nuland has previously told reporters.

Officials said they have seen progress and that Clinton "has been clear that we'd like to offer them more support," Nuland said.

That support, which already totals more than $200 million in funding and humanitarian aid, could be increased even more with this announcement.

But would "support" include lifting the arms embargo on Syria, an idea that France supports?

Nuland stuck this week with what the United States has been saying for months: "We are maintaining our current posture of providing non-lethal support and not going beyond that."

The United States is not ready to arm the rebels due to continued concern about extremist elements within their ranks. Other countries, like Qatar, are providing some weapons.

Any recognition of the opposition, however, raises issues with Russia, a crucial player in the Syrian equation. The Russians were invited to participate at the Marrakech meeting but declined, according to the State Department.

Moscow has been highly critical of actions by the Syrian armed opposition, even while expressing support for a political solution. The listing of al-Nusra Front as a foreign terror organization is a step that Moscow could welcome.

U.S. recognition of the opposition could anger Moscow but it also could have a positive effect. Russia has warned that chaos could ensue if al-Assad is deposed. The United States could use this recognition as a signal to Russia that the opposition council is moving toward becoming a viable government should al-Assad leave.

The next steps in dealing with the Syrian opposition leadership depend to a large extent on how that opposition continues to develop.

Nuland pointed to the process of recognizing the opposition in Libya as a template.

Recognition is just part of the process of trying to create a political solution for the Syrian conflict. At the same time, the United States is trying to urge Russia to use its influence with Damascus to help bring about a political solution.

That was the focus of recent meetings between the two countries facilitated by the joint special representative of the United Nations and Arab League for Syria, Lakhdar Brahimi.

In a statement, Brahimi said the diplomats "explored avenues to move forward a peaceful process and mobilize greater international action in favor of a political solution."

Nuland said on Monday the question now is whether there are figures in the opposition who could come together.

"Perhaps there are folks who are currently in the government without blood on their hands who could support those kinds of democratic principles and form the basis of a transitional structure going forward," Nuland said.

"Mr. Brahimi thinks it is worth a try," she added. "We want to support his efforts and we'll have to see where that goes."

@highlight

"With that recognition comes responsibilities," says President Barack Obama

@highlight

The United States joins Britain, France and others in recognizing opposition group

@highlight

Obama breaks the news during an interview with ABC's Barbara Walters

@highlight

The move doesn't mean Washington will begin arming rebels anytime soon