(CNN) -- "Dragon Age II" isn't exactly a sequel, but it does continue to thrill with new distinctive artwork, a more descriptive speech mechanic and a combat system that feels intuitive and destructive at the same time.

Where "Dragon Age: Origins" told the tale of a Grey Warden's trek to gather allies, stem the tide of the malevolent Blight (a wave of evil creatures bent on taking over) and do battle against an arch-demon, "Dragon Age II" (BioWare, Electronic Arts) showcases another wave of the story.

It starts with a family fleeing the Blight. Think of it as a branch off the "Origins" story tree to expand the "Dragon Age" universe.

You play as Hawke -- either a warrior, mage or rogue (player's choice) who is escaping with his mother, sister and brother.

The prologue does a great job of teaching combat and movement mechanics, but you also suffer your first tragedy as a family member succumbs to the Blight.

This pushes the story away from Hawke's homeland of Ferelden to the City of Chains, Kirkwall. It is there that the adventure begins in earnest, and it serves as your home base for most of the game.

Having played "Origins" on the PC, I was immediately struck by the new artwork design of some familiar characters.

The Darkspawn, which are the grunt element of the Blight, used to look similar to orcs or goblins from "The Lord of the Rings" movies. Now, they appear to be more skeletal with an almost undead look to them.

Mike Laidlaw, creative director for the "Dragon Age" series, said the game is character-driven and the team wanted the races to look unique.

"We didn't want to fall in the trap of all of the races to be humans with funny ears," he said. "Ultimately, 'Dragon Age' needs its own distinct look. One of the dangers of fantasy is, there is so much out there that it is easy to lump it all together into an elf/orc mishmash, and we wanted to stand apart."

Laidlaw credits Matthew Goldman, the art director for "Dragon Age II," with bringing a fresh, new look to the races and a desire to make the characters truly unique.

"I think there were elements of 'Origins,' especially in the appearances, that were technical masterpieces," Laidlaw explained. "But Matt felt that they weren't standing out enough. They weren't creating their own space and colonizing their visual identity in the way that he wanted."

The Quanri, a warlike race that originally appeared as large humans, also got a makeover. They retained their size and aggressive appearance, but they also sprouted horns similar to a gazelle or, as Laidlaw points out, an ogre.

One of the driving forces in the game is the interaction between the player character and his allies and other non-player characters.

Talking between characters is done through a series of choices that allow the player to take different postures in the discussions.

The speech choices are now shown with an icon that indicates the tone in which the character will speak. Laidlaw said that in "Origins," a player couldn't tell whether the choices would come out as sarcastic or aggressive and may have chosen a response that they ended up not wanting.

"We wanted a mix of the paraphrase, so you could see what you were going to say, and the statement of intent," he said. "While some of them are just tone, knowing when you are going to be funny is really key, especially when that is one of the principal tones of the game."

There are icons for peaceful/helpful, funny, aggressive, hard, romance and others.

I found myself using helpful and funny answers more than others. Laidlaw said the game recognizes those tendencies and adjusts character reactions as the game goes on.

"For example, if you find yourself constantly being a smart-aleck or making jokes, you'll find in combat that your battle cries will change. It does create a consistency of character along those core choices."

Laidlaw explained that it gives gamers a greater sense of control over their characters to shape them the way they want and a create deeper sense of immersion in the game.

The game uses a recurring interrogation scene as part of its narrative, a move Laidlaw says is intended to add perspective and depth to character development and movement of the story.

Varric, a dwarven crossbow expert and ally of Hawke's, is being questioned by Cassandra, a Templar seeking answers to some unnamed, yet often foreshadowed, tragedy surrounding Hawke.

Chapters of the game's story start and finish in the interrogation room, with Varric leading into or wrapping up the action and Cassandra reacting to what she's hearing.

It is an interesting technique and gives the game a television series feel, complete with recaps and previews. I almost felt like it was time for a commercial break to raid the fridge.

It isn't necessary to have played "Origins" to enjoy, and progress in, "Dragon Age II." But developers wanted it to retain the first game's history. Players who begin play having already saved a game of "Origins" will see differences in certain parts of the story -- from who is on the throne to the political and social situation in other kingdoms.

Game play on the Xbox 360 console feels clean and smooth, with very few hiccups or lag. The outdoor environments are colorful and detailed, but the underground caves and caverns start to feel similar, with lots of identical layouts.

Combat on the major gaming consoles utilizes two levels of mapable buttons for skills and spells, while a shortcut bar offers more choices on the PC version. Controlling the party's actions seems easier on the PC than the console, but it can be done with some practice.

Battles are as visceral and graphic as ever and the "persistent gore" setting returns, which makes for some awkward conversations. Trying to pay attention to an important bit of information is made more difficult when you are thinking, "You've got a bit of ogre on your chin."

The tactics system is carried over from "Origins," allowing you to set up character actions to occur at pre-determined thresholds or events. Characters can be set up to drink a healing potion when their health gets low without any break in the battle or gamer involvement.

"The combat is still tactical, still requires you to think as a team and not just as one character," Laidlaw said.

There is no "there's the big bad guy, go get him" mentality to how the game unfurls. It is an interactive story that allows players to grow their characters organically, from the aspects of both combat and personal development.

And it isn't a game if you're just looking for a quick turn on the console or PC. The action occurs over numerous quests, side quests and personal missions that can easily chew up 30-plus hours on a weekend as you try to complete "just one more quest."

"I never want to give players all the answers," Laidlaw said. "I think the mystery, the sense that this world is richer and deeper than just one game helps keep it more vital, more vibrant in terms of player experience."

Whether you play as the dashing hero romancing every woman you meet or the hard, rough-and tumble-hero who smashes first and forgets to ask questions later, "Dragon Age II" has more than enough action, drama and suspense to keep fans of the fantasy gaming genre pleased.

"Dragon Age II" comes out on March 8 in North America and March 11 in Europe on the Xbox 360, PlayStation 3, PC and Mac. It is rated M -- Mature (17+) for blood and gore, language, sexual content, and violence. This review was done playing the demo on the PC and the retail game on the Xbox 360.

@highlight

"Dragon Age II" thrills with new distinctive artwork, descriptive speech mechanic

@highlight

Combat system that feels intuitive and destructive at the same time

@highlight

Story begins with a family fleeing from the Blight to showcase another angle