A transgender first-grader who was born a boy but identifies as a girl has won the right to use the girls' restroom at her Colorado school.

The Colorado Rights Division ruled in favor of Coy Mathis in her fight against the Fountain-Fort Carson School District.

Coy's parents had taken her case to the commission after the district said she could no longer use the girls' bathroom at Eagleside Elementary. In issuing its decision, the state's rights division said keeping the ban in place "creates an environment that is objectively and subjectively hostile, intimidating or offensive."

The Transgender Legal Defense & Education Fund praised the ruling that was filled under Colorado's Anti-Discrimination Act. Michael Silverman, the group's executive director, called the ruling "a high-water mark for transgender rights."

This is the first of it's kind ruling in the country regarding the rights of transgender students. No court, no tribunal has ever said what the Colorado Division of Civil Rights has said today which is that trangendered students must be treated equally. They specifically referenced the outmoded concept of separate but equal and told us that separate but equal is very rarely equal and it is certainly not equal in Coy's case.

Coy's mother, Kathryn Mathis, said she's pleased that Coy can return to school and put this behind her. The first-grader has been home schooled during the proceedings

"We're very thrilled that Coy is able to return to school and have the same rights that all the other girls had, that she should have had and was afforded by law to begin with. We're extremely happy that she's going to be treated equally and we thank the civil rights division for coming to this conclusion," Kathryn Mathis said. "We're very grateful to the voters of Colorado for putting its laws into place to begin with."

A girl's life

For most of the past year, Coy has dressed as a girl.

Coy's passport and state-issued identification recognize her as female.

Transgender kids: Painful quest to be who they are

Mathis said she got a call "out of the blue" from the school in December saying that Coy could use the boys' bathroom, gender-neutral faculty bathrooms or the nurse's bathroom, but not the girls' facilities.

The district "took into account not only Coy, but other students in the building, their parents and the future impact a boy with male genitals using a girls' bathroom would have as Coy grew older," a letter the family's attorney received in December said.

"However, I'm certain you can appreciate that, as Coy grows older and his male genitals develop along with the rest of his body, at least some parents and students are likely to become uncomfortable with his continued use of the girls' restroom."

CNN was unable to reach the school district early Monday for comment on the ruling. But in February, the district's attorney, W. Kelly Dude, said: "The district firmly believes it has acted reasonably and fairly with respect to this issue."

Opinion: Gender identity not just body parts

A little-studied group

Transgender children experience a disconnect between their sex, which is based on their anatomy, and their gender, which includes behaviors, roles and activities, experts say.

For the general public, transgender identity may be a new concept, though many might recall Chaz Bono, the child of entertainers Sonny and Cher. Born female, Bono underwent a transition in his 40s to become a man. He wrote in his book "Transition" that, even as a child, he had been "aware of a part of me that did not fit."

He appeared last year as a man on "Dancing with the Stars," in part, he said, to destigmatize being transgender.

Being transgender no longer a mental 'disorder' in diagnostic manual

Comprehensive data and studies about transgender children are rare. International studies have estimated that anywhere from 1 in 30,000 to 1 in 1,000 people are transgender.

Some children as young as age 3 show early signs of gender dysphoria or gender identity disorder, mental health experts who work with transgender children say.

These children are not intersex -- they do not have a physical disorder or malformation of their sexual organs. The gender issue exists in the brain, though experts do not agree on whether it's psychologically or physiologically based.

Many transgender people report feeling discomfort with their gender as early as they can remember.

Transgender job seekers face uphill battle

Gender identity is often confused with sexual orientation. The difference is that "gender identity is who you are, and sexual orientation is who you want to have sex with," said Dr. Johanna Olson, a professor of clinical pediatrics at the University of Southern California, who treats transgender children.

Children around age 3 are probably not interested in sexual orientation, she said. But experts say some children who look like they will be transgender in early childhood turn out to be gay, lesbian or bisexual.

Differences in schools

School policies toward transgender students vary across the United States.

In New York, for example, the law says students can't be discriminated against on the basis of their gender identity.

But in Maine, a court ruled in November that a school district did not violate a transgender student's rights when she was told she couldn't use the girls' bathroom.

Gender nonconformity is not a disorder, group says

Dude, the Colorado school district's attorney, has said there is nothing in that state requiring public schools to permit transgender students to use restrooms intended for the gender with which they identify.

At the time, he argued that the Fountain-Fort Carson School District adheres to the Colorado Anti-Discrimination Act in all respects: "Coy attends class as all other students, is permitted to wear girls' clothes and is referred to as the parents have requested."

On Monday, Silverman underscored what he described as the unfairness of Coy's situation.

"By denying Coy the right to use the little girls restroom like all the other little girls at school it had created an environment that was hostile, discriminatory and unsafe. Coy was treated in what was referred to as an exceptional way, which limited her educational opportunities. In the end, we've been saying from the start, that Coy wants the same dignity, respect and opportunity, and deserves that, as every other student in Colorado. The state of Colorado has now said that's exactly what she deserves," Silverman said.

Girl Scouts accept transgender kid, provoking cookie boycott

@highlight

Coy Mathis wins complaint under Colorado's Anti-Discrimination Act

@highlight

She was denied the use of the girls' restroom at her elementary school

@highlight

Coy was born a boy but identifies as a girl

@highlight

Ruling says district was "objectively and subjectively hostile"