With combat operations in Afghanistan ending this year, President Barack Obama announced he plans for almost 10,000 American troops to remain in the country in 2015 if the Afghan government signs a security agreement.

"We will bring America's longest war to a responsible end," Obama said in the White House Rose Garden in detailing the strategy to have virtually all U.S. forces out of Afghanistan by the end of 2016 -- shortly before his presidency ends.

The announcement offered something to proponents and opponents of a continued U.S. military engagement there after more than 12 years of war -- the longest in American history.

Obama called for 9,800 U.S. troops to stay in Afghanistan after the end of 2014, along with some allied forces. The number would get cut roughly in half by the end of 2015, and a year later --  less than a month before Obama leaves the White House -- the U.S. military presence would scale down to what officials described as a "normal" embassy security contingent.

A senior administration official told CNN that after 2016, the number of U.S. service members in Afghanistan providing embassy security and engaging in cooperative security efforts with the host government and military would likely number about 1,000.

Currently, the United States has 32,000 troops there. Maintaining any forces beyond the end of 2014 -- when Washington and its NATO allies will formally halt combat operations -- depends on Afghanistan signing the security agreement rejected by outgoing President Hamid Karzai, Obama said Tuesday.

Two candidates facing each other in next month's run-off election to choose Karzai's successor have indicated they will sign the security pact, Obama said.

"It's time to turn the page on more than a decade in which so much of our foreign policy was focused on the wars in Afghanistan and Iraq," he declared.

Three conservative Republicans who generally oppose any reduction in the U.S. military's global posture criticized Obama's announcement as "a monumental mistake and a triumph of politics over strategy."

"The President came into office wanting to end the wars he inherited. But wars do not end just because politicians say so," said a statement by Sens. John McCain of Arizona, Kelly Ayotte of New Hampshire and Lindsey Graham of South Carolina.

Obama, however, said Americans have learned it was harder to end a war than to start one, adding that "we have to recognize Afghanistan will not be a perfect place, and it is not America's responsibility to make it one."

The role of U.S. troops in Afghanistan after this year will be aimed at "disrupting threats caused by al Qaeda, supporting Afghan security forces and giving the Afghan people the opportunity to succeed as they stand on their own," he said.

Tony Blinken, Obama's deputy national security adviser, told CNN that the United States will spend about $20 billion on the continued military presence in Afghanistan after 2014.

Asked if such a cost was worth it, Blinken replied: "We want to complete the job that we started." At the same time, he said "we can't be in an endless war posture."

In a call with journalists before Obama's announcement, senior administration officials said the intention was to show continued international support for Afghanistan as it transitions to its new elected government.

The successful first round of voting showed Afghanistan forces now were capable of providing security, the officials said.

The United States had as many as 100,000 forces in Afghanistan at one point. In all, more than 2,300 American troops have been killed in that war, launched in the weeks after the September 11, 2001, al Qaeda terror attacks on the United States.

Obama's announcement came the day before he delivers a foreign policy speech at the U.S. Military Academy at West Point, New York.

On Tuesday, he indicated the shift in resources permitted by ending the wars in Iraq and Afghanistan would allow increase counter-terrorism assets in Africa and elsewhere.

Until now, Obama's administration has been reluctant to assign a number to American troop strength in Afghanistan once the combat mission ends.

House Republican leaders reacted to Obama's announcement with encouragement for a continuing mission, but skepticism over the rigid time line.

"I'm pleased the White House met the military's request for forces in Afghanistan. However, holding this mission to an arbitrary egg-timer doesn't make a lick of sense strategically," said Rep. Howard "Buck" McKeon, the California Republican who chairs the House Armed Services Committee.

House Speaker John Boehner, who has pushed for reaching a bilateral security agreement with Afghanistan to keep U.S. troops there, said he welcomed the plans for a continuing mission.

"It has been my long-standing position that input from our commanders about the conditions on the ground should dictate troop decisions, and not an arbitrary number from Washington," Boehner added in a statement.

Boehner: Don't repeat Iraq mistakes in Afghanistan

@highlight

White House official: cost of extended Afghanistan deployment $20 billion

@highlight

President Obama announces planned troop numbers for Afghanistan

@highlight

Republican leaders criticize what they call a fixed timetable

@highlight

There are roughly 32,000 American forces in Afghanistan now