(CNN) -- Access to affordable and high quality higher education should be a universal right. A free and prosperous society needs an educated citizenry to innovate and thrive.

Today in America, we're a long way from that goal. Unfortunately, the highly touted plan from Starbucks to provide increased tuition assistance doesn't really help -- and might hurt.

On Monday, Starbucks announced that it would help cover much of the cost of two years of education at Arizona State University Online for its employees. The rhetoric, driven by Starbucks CEO Howard Schultz, has been lofty. On "The Daily Show," he said, "Today we will become the first U.S. company to provide free college tuition for all our employees." The crowd went wild.

On CNN, Schultz and Dr. Michael Crow, president of ASU, positioned it as a way to attack the national student debt crisis. Crow said, "Can it tackle these national issues? The answer is absolutely yes."

Secretary of Education Arne Duncan attended the announcement of the plan and said, "Think of the example you can set for the rest of the nation," Duncan said. "If you guys can do this well ... you're going to change the trajectory of the entire country." Schultz, Crow, and Duncan seem to believe they are on the cusp of a new education revolution, disrupting their way to a better American higher-ed landscape.

In fact, it would be a terrible thing for education to become another employer-dependent benefit. This new program may help some Starbucks employees by providing access to online classes, but it will do nothing to attack structural problems such as the national student debt crisis or skyrocketing tuition rates (1,200% in 30 years!). Rather, the need for such a benefit is a confirmation that the system is broken.

First of all, the Starbucks plan does not really "provide free college tuition" for every employee. What it does is offer reimbursement for a certain number of credits completed at ASU Online. Most large employers, in fact, offer various kinds of tuition reimbursement, but the scale and specific relationship between Starbucks and ASU is unusual, especially because ASU is absorbing considerable upfront costs by discounting its tuition.

Starbucks is, of course, a for-profit company. ASU Online, meanwhile, functions as a profitable educational institution nestled within a large public university. Therefore, the new policy needs to be viewed not as a public service, but as a deal struck between two companies interested in their image and profit margins.

Starbucks is gaining lots of great PR from the roll out of the policy. It also will likely improve employee morale and actually help some of them get educations. ASU, in the meantime, gets access to potentially thousands of new students it does not have to recruit, all of whom will eventually bring additional revenue to the university through student loans, federal grants and Starbucks.

So long as Starbucks employees get good advice both from within the benefits office and access to good college advising, I think it's a net positive for both institutions and the employees.

The margin, though, is slim. Sara Goldrick-Rab, professor of educational policy studies and sociology at the University of Wisconsin-Madison, argues that wholly online education is of questionable value for low-income students. This is especially a problem when such students are required to pay for those first 21 credits before they qualify for reimbursement.

Moreover, most of the money here is coming from the government and loans, not Starbucks. As Tressie McMillan Cottom, writer and sociologist, notes, the use of public funds to support online for-profit education has a long and shady history.

None of these concerns has stopped the Starbucks PR team from trumpeting their great accomplishment. In one telling moment, Schultz compared the tuition benefit to Starbucks' decision to give health care to its workers. That's a comparison worth exploring.

The development of health care as an employee benefit rather than a universal right has been a disaster for America, leading to high costs and poor results. Yes, the employees are much better off with health care than without, much as some workers will benefit from the new tuition policy. But if making college affordable becomes a job perk, rather than a societal goal, we're collectively worse off.

Instead, wouldn't it be great if employees could just pay for college with their wages, rather than needing a special, highly restrictive, benefit?

We can rescue higher education in America from its current cost spiral, and we should, by acting at the national level. We need to change the structure of how we pay for college, a process that will take hard work across party lines. Unfortunately, last week a bill that would have radically reduced student loan interest rates for everyone stalled in the Senate.

And so, while we wait for the government to act, we're stuck relying on Starbucks.

@highlight

David Perry: Starbucks launches college program for its employees

@highlight

He says the plan isn't the answer to the rising cost of college

@highlight

Perry says we can't let college education become a job perk, as health care did

@highlight

There are pluses to the Starbucks plan, but it's not a model for the nation, Perry says