A metal object that washed ashore on Australia's coast wasn't from Malaysia Airlines Flight 370, officials said.

Detailed pictures of the object were enough to convince investigators that it wasn't a lead in the search for the missing plane, the Australian agency leading the search for the aircraft said on Thursday.

Officials had previously called the piece of metal, which appeared to have rivets on one side, an "object of interest" in the search.

Police picked it up near Augusta, Australia, roughly 1,000 miles away from the suspected crash site, after many futile days of searching for the missing plane.

Authorities haven't said what they think the object could be.

Possible promising leads have turned out to be false alarms for weeks in the lengthy search for the missing plane, which disappeared mid-flight on March 8 with 239 people aboard. One major challenge that's complicated the search: the ocean is full of garbage. Other objects search teams have spotted in the Indian Ocean turned out to be trash, jellyfish and fishing gear.

Bad weather grounded planes searching for signs of debris on Wednesday. And a high-tech underwater drone found no sign of the Boeing 777 jetliner.

If nothing turns up in the Bluefin-21's underwater search, the investigation will move into a new phase that could involve new equipment and an expanded search area.

And as the search came up empty again, a key question loomed: Are they looking in the right place?

"They have been searching for more than a month. All of the ships, the planes, the satellites they're using, not even a small piece of the plane was found," Steve Wang, whose mother was aboard the aircraft, told CNN's "The Lead with Jake Tapper" on Thursday.

Abbott: 'We may rethink the search, but we will not rest'

Up to 11 military aircraft and 11 ships are set to search for the plane on Thursday.

And there's still ground left to cover.

The Bluefin-21 has scanned more than 90% of the underwater search area set out by investigators and began its 12th mission on Thursday.

"We will continue with the search operation until we fully cover the search area," Hishammuddin Hussein, Malaysia's acting transport minister, said Wednesday.

Despite the search efforts for MH370 repeatedly coming up empty during the 48 days since it started, there's no suggestion the hunt in the southern Indian Ocean is anywhere close to ending.

Quite to the contrary, according to Australian Prime Minister Tony Abbott, whose country is heading up the search for the missing aircraft.

"We are not going to abandon ... the families of the 239 people who were on that plane by lightly surrendering while there is reasonable hope of finding something," he said Wednesday.  "We may well rethink the search, but we will not rest until we have done everything we can to solve this mystery."

What comes next?

Malaysian and Australian authorities are already mapping out a long-term strategy for the search, which could go on for months or years, if the two-year search for Air France Flight 447 is any guide.

Guidelines drafted by Malaysia raise the possibility of a significantly wider search area should the current underwater search fail to turn up evidence of the plane. The document discusses how best to deploy resources, including new underwater search assets.

If the underwater search comes up empty, it could ground the air search as well, CNN aviation analyst Miles O'Brien said.

"If it doesn't pan out, then all the equations that have been put in the mix to determine where debris might be ...  all of that is for naught," he said.

The next logical step after the underwater search is to "rethink all of the information we have at hand," ocean search specialist Rob McCallum told CNN.

An expanded search area might include the last 370 miles of the plane's flight path, perhaps 15 miles on either side, he said.

He also said it would make sense to turn to deep-towed sonar, which provides less resolution than the Bluefin-21 but about 10 times the range.

If the search changes tacks, that doesn't mean investigators did the wrong thing by looking where they did for the plane, said CNN analyst David Gallo, who co-led the search for Air France Flight 447.

Satellite and fuel consumption data, and possible pings from the plane's flight data recorders led searchers to the part of the Indian Ocean they're combing now, he said.

"It's the place they had to look. ... Everything pointed to this area," he said.

Going forward, he said, investigators may double or triple the size of the search area while using sonar to map the ocean floor "so you see where every pebble is."

"I just don't know how you leave this place before you take that area of the seafloor apart completely," he said.

What happens if data recorders are found?

Investigators would love to find the flight data recorders from Flight 370, a potential treasure trove of information into what happened to the jetliner and the 239 passengers and crew on board.

If found, the "black boxes" probably would go to the Australian Transport Safety Board's accident investigation lab.

But the investigation is officially Malaysian, so that country's officials would decide where the boxes would go.

Australia is just one of a handful of countries that have the capability and technical know-how to decipher what's inside a black box.

The investigation into Flight 370's disappearance is Malaysia's responsibility. Australia is leading the search for the missing aircraft and participating in the investigation as an accredited representative.

The Malaysian Cabinet approved the appointment of an international investigation team to look into the disappearance of Flight 370, Hishammuddin said.

The names of the members will be announced next week, he added. He also said the team will not be looking at the criminal aspects of the investigation, which remain under the Royal Malaysian Police.

"The main purpose is to evaluate and determine the cause of the accident," Hishammuddin said.

Malaysia has completed a preliminary report on the incident, as required by the International Civil Aviation Organization, but has not released it publicly, he said.

Inside a black box investigation lab

The latest in the search

Australia: What's next

Sad, angry relatives in agonizing limbo

@highlight

The Bluefin-21 begins 12th mission after scanning more than 90% of search area

@highlight

Analysis of photos shows an object found near Augusta isn't a lead in the search

@highlight

Passenger's family member asks: Are they searching in the right place?

@highlight

Analyst: Search area is "the place they had to look"