(CNN) -- Five years from now, there's an excellent chance you won't have the same health insurance you have (or don't have) right now. That's because members of Congress are gearing up to reform the U.S. health care system, and unlike in 1993 when then-first lady Hillary Clinton tried her hand at changing the medical system, this time  the important players -- doctors, insurance companies, pharmaceutical manufacturers -- seem to be on board. You heard a lot about health care reform this week, and you'll be hearing even more in the months to come. It's an incredibly confusing, complex issue, so in this week's Empowered Patient, we break it down for you with 10 frequently asked questions about health care reform.

Overhauling health care  is key to U.S. economic stability, President Obama tells doctors Monday.

1. Why is health care reform such a hot issue right now?

Fewer and fewer Americans have health insurance, and therefore cannot afford good medical care. Nearly 46 million Americans have no insurance, and 25 million more are underinsured. One major reason for this crisis is that many employers have stopped offering insurance to employees because of the high cost. In the United States, total health care spending was $2.4 trillion in 2007 -- or $7,900 per person -- according to an analysis published in the journal Health Affairs. The United States spends 52 percent more per person than the next most costly nation, Norway, according to the Kaiser Family Foundation. There's little debate that health care reform is necessary -- President Obama, Republican and Democratic members of Congress, the American Medical Association and America's Health Insurance Plans, which represents the insurance industry, all have agreed the system needs to be changed, although they disagree on how to do it.

2. So let's start with Obama. What are his plans for revamping the system?

A central point of the president's plan is to create a government-sponsored health insurance program that would be an option for all Americans, similar to how Medicare is now an option for Americans over age 65. He has also said he'd "like to see" prohibitions against insurers discriminating against people with pre-existing conditions, and incentives for people to use preventive services and wellness plans. Obama outlined this plan last week at a town hall meeting in Green Bay, Wisconsin, and on his Web site.

3. How does the president plan to pay for this?

Obama said he's already identified "hundreds of billions of dollars" worth of savings in the federal budget that could help finance health care reform, such as rooting out waste, fraud and abuse in Medicare and Medicaid. He's also proposed reducing tax deductions for high-income Americans.

4. What do the Republicans think of Obama's plan?

In particular, they don't like the idea of having a government-sponsored health insurance program for all Americans. They fear employers would opt for the government-run insurance over private insurance because the government option would most likely be less expensive, but Republicans say it would also be lower quality. For information, see House Minority Leader John Boehner's Web site.

5. Since they don't like Obama's ideas, how would Republicans like to reform health care?

Republicans think Obama's plan is costly and will make health insurance more expensive, not less. In a plan outlined this week, House Republicans proposed individual tax breaks for buying health insurance and "pools" of states and small business to get lower-cost health care plans. They also proposed increasing incentives for people to build health savings accounts, allowing dependent children to stay on parents' policies until age 25 and encouraging employers to reward employees for improved health.

6. I'm happy with the insurance I receive from my employer. What would health care reform mean for me?

If you receive high-quality health insurance from your employer, Obama said, his plan won't change that, and you can still keep your insurance and your doctors. Republicans, however, said that if Obama gets his way, there's a good chance your employer will stop buying the private insurance you have now and instead opt for the less-expensive government plan.

7. I have a pre-existing condition and can't get health insurance. Will health care reform help me?

You have a terrible problem and you're in good company. Millions of people who don't get insurance through their employer try to get insurance on their own and are turned down because they have a pre-existing condition. Obama said at the Green Bay town hall meeting that under his reforms, no insurance plan "would be able to deny coverage on the basis of pre-existing conditions," but he didn't explain how he would force insurance companies to insure people with pre-existing health problems. Similarly, Boehner wrote on his blog that "quality health coverage must exist for every American, regardless of pre-existing health conditions," but did not explain how he would pay to insure people with pre-existing conditions.

8. How do doctors feel about health care reform?

The American Medical Association said while it believes in health care reform, "the AMA does not believe that creating a public health insurance option ... is the best way to expand health insurance coverage." The AMA has told members of Congress that doctors fear a new government-sponsored health insurance program would reimburse them at Medicare rates. "Medicare reimbursement rates have not kept pace with the cost of practice," AMA President Dr. Nancy Nielsen told CNN earlier this week. "Our Medicare rates are back at 2001 rates, and the reality is, that's not where our rent is, that's not where the electricity is. The system for paying doctors is a broken system, and everybody acknowledges it." Other doctors' groups, however, support the idea. The American Academy of Family Physicians, the National Physicians Alliance and other groups put out a statement of support this week for Obama's plan. "Having the choice of a public health insurance plan will help make health care more affordable for patients, foster greater competition in the insurance market and guarantee that quality, affordable coverage will be there for our patients no matter what happens," they wrote in a joint statement..

9. Obama has mentioned high health care costs in McAllen, Texas, several times. What's up with that?

According to research conducted at the Dartmouth Institute, the average per person health costs for McAllen are sky-high compared with costs in other cities. In McAllen, the average Medicare beneficiary spends $15,758 per year, while the average Medicare patient in LaCrosse, Wisconsin, spends $6,412 per year. Another comparison: The cost in Miami, Florida, is $18,170, compared with $7,478 in Portland, Oregon. Dartmouth researchers believe doctors in high-priced cities tend to refer to specialists more and are more likely to put patients in the hospital rather than handling their problems on an outpatient basis.

10. How do health care costs in the U.S. compare with costs in other countries?

In the United States, every person spends on average $6,714 for health care. That's significantly higher than in the United Kingdom, where $2,760 per person is spent; or in France, where the cost is $3,449 per person; or in Canada, where medical costs are $3,678 per person, according to the Organisation for Economic Co-operation and Development. While some would argue that medical care is better in the United States than in these other countries, others would say the opposite is true. For example, the United States ranks 50th in life expectancy, and 180th infant mortality (meaning 179 countries have higher infant mortality rates such as Angola and Turkey and 43 countries have lower infant mortality rates such as France and Sweden) according to the CIA World Factbook. For more on international price comparisons,  see this segment » on CNN Newsroom.

CNN's Jennifer Pifer Bixler, Marcy Heard and Sabriya Rice contributed to this report

@highlight

President Obama says health care reform is a priority; other stakeholders on board

@highlight

U.S. spends 52 percent more per person than the next most costly nation

@highlight

Obama wants government-sponsored health insurance program

@highlight

Republicans think plan is costly, will make health insurance more expensive