Washington (CNN) -- While acknowledging the hard-hit black community and budding criticisms in its ranks, President Barack Obama said in a speech Saturday night to the Congressional Black Caucus that he wouldn't give up -- and urged members of the black community to join him to jump-start the still-sluggish economy.

"I expect all of you to march with me, and press on," Obama said. "... Stop complaining, stop grumbling, stop crying. We are going to press on. We've got work to do."

The unemployment rate among African-Americans is 16.7%, nearly double the national average, while 40% of black children live in poverty. Such facts have made fiscal reforms a priority for caucus members, some of whom -- most of them Democrats -- have criticized Obama for not doing enough on the issue.

They include Rep. Maxine Waters, D-California, who at a caucus "jobs' tour town hall" in Detroit this month described the unemployment rate among blacks "unconscionable." She said the strategy to fix it was unclear, adding that the caucus was "getting tired" of waiting for one.

She questioned the president's decision to focus on the Midwest during a three-day jobs bus tour in August, stating that the 3 million who live in Iowa -- and are mostly white -- are roughly equal in number to the African-Americans who are out of work. She suggested that Obama's administration seemed more keen to focus on that politically important state than on the black community.

"Are the unemployed in the African-American community, including almost 45% of its youth, as important as the people of Iowa?" she asked in the statement she released ahead of the president's speech before a joint session of Congress in which he announced his jobs plan.

In his speech Saturday, Obama called the situation for many blacks "heartbreaking, and it's frustrating." But he also touted achievements of his administration -- such as on the earned income tax credit, anti-foreclosure programs and consumer financial protections -- for making a difference, while admitting more work lies ahead.

"In these hard years, we have won a lot of fights (and) we've done a lot of good," he said. "But we've got more work to do. People are still hurting."

As to the criticism, the president said that "nobody feels the burden more than I do." But in a rousing end to his speech, he said he knew addressing problems wasn't going to be easy.

One of the chief lessons from the civil rights movement is that "you can't stop" in the face of challenges, he said.

"The future rewards those who press on, with patience and determination," he said.

"Take off your bedroom slippers, put on your marching shoes."

Obama promoted his recently proposed American Jobs Act during his speech, as well as his tax reform efforts to pay for the bill in part by closing loopholes and effectively having some wealthier Americans pay more in taxes than they do currently.

As he did in a nationally televised speech several weeks ago, the president repeatedly used the phrase "pass this jobs bill" in promoting its various measures -- including efforts to bolster small businesses, rebuild schools and bridges, and hire back teachers, firefighters and police.

In an apparent swipe at Republicans, he urged politicians to fight as hard "for ordinary folks as you do for all your contributors."

"We have to make sure that everyone in this country gets a fair shake, and a fair shot, and a chance to get ahead," he said.

Obama insisted that having "the folks who have benefited the most ... pay their fair share" in taxes must be part of any solution, adding, "This is all about fairness."

The president has proposed a $4,000 tax credit to employers for hiring long-term unemployed workers and higher credits to companies that hire veterans who have been unemployed for at least six months. He also wants to see unemployment insurance extended to prevent 5 million Americans from losing their benefits and stronger programs to help the long-term unemployed through counseling and job training.

A number of caucus members -- including Chairman Rep. Emanuel Cleaver of Missouri and fellow Democratic representatives like John Lewis of Georgia and Frederica Wilson of Florida -- released statements of support for the American Jobs Act after the president's speech, as did other black leaders, such as Philadelphia Mayor Michael Nutter.

Waters also praised the plan in TV interviews after the speech, though she said she and other caucus members wished the plan was "even bigger" and that she hoped the kind of help proposed would get to the people who need it most.

More than anything, some black caucus members have said that it is imperative that Obama not only propose a plan, but stick to it. Some of the group's staffers have said they hope the White House learned from experiences in past bills, such as the Dodd-Frank financial regulatory overhaul, an instance in which they claim the administration did not negotiate from a position of strength.

One thing that the administration appears intent on doing is not ignoring black voters, which overwhelmingly supported him in his 2008 presidential bid.

Obama recently met with black journalists and with the leaders of organizations that serve the community -- the NAACP's Ben Jealous, the National Urban League's Marc Morial and the Rev. Al Sharpton from the National Action Network.

He also has taped an interview with BET Networks, set to air Monday, in which he is expected to specifically address the "increase of unemployment among African-Americans since taking office, the current economic crisis, the political landscape around the 2012 presidential election" among other issues, according to the network.

At a panel this month with black media group Interactive One, one of the president's top advisers, Valerie Jarrett, called the unemployment rate in the black community "unacceptably high" and said the president understood that "inaction is not an option." In remarks to the panel, the president said 20 million African-American workers would benefit from his jobs bill proposal to cut the payroll tax in half, a measure he said would save the average family $1,500 a year.

"It helps out-of-work Americans, including the 1.4 (million) African-American folks and their families who are out of work, by extending unemployment benefits to help support them and their families while they're looking for work," the president said. "And it also reforms the training programs that are available so that they can build real skills and connect to jobs. And that will particularly help the long-term unemployed."

@highlight

NEW: Obama stresses "fairness," while admitting "we've got more work to do"

@highlight

"Stop grumbling, stop crying," the president advises

@highlight

With the black jobless rate at 16.7% in August, it's major concern for officials

@highlight

Obama has recently been meeting with black journalists, leaders