(CNN) -- I'd be lying if I said I didn't wish for a miracle when I was staring down a catastrophic illness almost five years ago.

Of course I did.

Though I was being treated by brilliant physicians, my survival odds were still frightening.

In search of my miracle, I participated in my fair share of odd, nutty and mind-bogglingly irrational activities -- some of which I continue to swear by, but most of which I'm more than a bit embarrassed to admit.

I was routinely stuck with needles from head to toe.

For a period of time I swallowed up to 100 capsules a day.

I was once alternately frozen, baked and then massaged while half-naked by an elderly Middle Eastern man who, to my horror, reminded me of my father.

I hugged trees for energy.

I also "vibed," which was basically sitting in a cold basement with a space heater, in front of a starship engine-looking machine with its lights flashing on and off, alongside a few sick people, a couple of depressed people and a cat who apparently wasn't feeling well, either.

Like Alice I went down the rabbit hole. And I did it gladly, happily, and mostly with a good sense of humor -- because (a) I was going to leave no stone unturned in my quest to live; and (b) I came to realize that much of what I thought I knew about medicine, food and healing was either wrong or grossly incomplete.

Do I believe in these phenomena, far outside the realms of science -- energy and vibrational medicine, spiritual healing, the mind-body connection -- that may be, as my beloved old editor used to say, "just too woo-woo"?

Let's say I am simultaneously hopeful, but uncertain; curious, but skeptical. In short, I'm optimistic.

I am joined in my optimism by almost 40% of adult Americans who, according to the National Institutes of Health's Center for Complementary and Alternative Health, have used a broad range of unconventional therapies, from energy medicine to herbal supplements.

Walking an unusual path to wellness is fraught with doubt, even more so because the resistance often comes from doctors and families, and late-night visits to websites crying "fraud" and "quack" about anything and everything even vaguely outside their strict definition of medicine.

Large, randomized, controlled clinical trials have long been held up as the gold standard in medical research. But clinical trials are wildly expensive and notoriously reductionist in their approach. Not to mention that things that cannot be patented -- beets, meditation, exercise and deep breathing, to name a few -- and therefore, produced profitably, are unlikely to be the subject of any such trial. (Hence the rallying cry, "Patients over patents!")

Just this week, the American Cancer Society released nutrition and physical activity guidelines for cancer patients, stating that "New scientific evidence has emerged since 2006 on the relationship between nutrition, physical activity, and issues of quality of life, comorbid conditions, cancer recurrence, the development of second primary cancers, and overall survival."

Recognizing the need for a holistic approach, more and more researchers -- like MD Anderson's Dr. Lorenzo Cohen -- are undertaking novel, standardized and integrative studies.

Cohen and his colleagues, for example, have designed and are raising funds for a randomized, integrative oncology intervention program for women with stage 3 breast cancer that will include dietary recommendations, physical activity, stress management, social support and control of environmental contaminants.

Many major medical centers have also come around to the importance of an integrative approach to healing by adding complementary specialists and services to their offerings. That most of these integrative units remain essentially toothless when it comes to developing treatment protocols is a shame.

At some point we will recognize that our wonderful and already-overwhelmed doctors can't be all things to all people, and we will seek and incorporate the advice of certified nutritionists, naturopaths, energy medicine practitioners and others into regimens for the treatment of disease. (And while we're at it, maybe we can even dream that our health insurance will cover part of it, and that alternative and complementary medicine won't just be the privilege of those who can pay for it out of pocket.)

But even without the hard evidence, people believe.

The Mayo Clinic's website states: "[I]t isn't always possible to find good studies about alternative medicine practices. Keep in mind that a lack of evidence doesn't necessarily mean a treatment doesn't work -- but it does mean it hasn't been proved."

Ultimately, though, the proof is in the pudding.

Like for the young Texas state representative who recently told me that his physician wanted to put him on medication for a painful and debilitating colitis he had suffered from for several years.

"I said, 'How long will I have to be on these drugs?' And he told me, for the rest of your life! For the rest of my life!"

The representative declined and instead began a diet protocol he found through an online support group. "I was symptom-free within three days. This was about a year ago. I called my doctor and said, 'I am mad at you.'"

Or for the California life and leadership coach who has twice made the pilgrimage to see John of God, the Brazilian spiritual healer -- the first time as he struggled in the aftermath of the breakup of a significant relationship and then again to work on deeply held beliefs about achievement, success and happiness. He found the stress was beginning to affect him physically.

"I came away with a greater trust in the divine and the understanding that it's all one big learning experience, that we all make mistakes and are doing what we can with what we know and have."

So much of the stress he was feeling was directly related to his doubts. As his anxiety lifted, the physical symptoms began to disappear as well.

These types of healing certainly challenge our conventional boundaries of medicine, and yet an overwhelming number of people offer testimony to their efficacy.

Dr. Anne Harrington, a Harvard professor and science historian, is the author of a fascinating book, "The Cure Within." The book contains a chapter that tracks several historical instances of extraordinary healing, including in the village of Lourdes in southwestern France, where in 1858 a young peasant girl named Bernadette Soubirous claimed that a woman dressed in white (said to be the Virgin Mary) had appeared and asked her to convey important spiritual messages to the community.

The apparition led the child to a freshwater spring, where locals began to report healings after contact with the water. Almost 20 years later, the papacy officially recognized Lourdes as a holy place of healing.

Pilgrims continue to flood to the Lourdes grotto and there are still reports of "remarkable healings," investigated by the Lourdes Medical Bureau, which is made up of a panel of physicians. A variety of mental and physical cures, including from cases of multiple sclerosis, heart disease, deafness and blindness, sarcomas and paralysis, have been confirmed by the doctors. Confirmed, but not explained.

What do you make of these extraordinary healings? I asked Harrington recently.

What I think, she said, is that we don't know how vast and powerful we are on our own terms.

"There is enormous mystery and power already in being human ... and the capacity that humans have to transform themselves and to be in relationships that are transformative. That I don't have any doubt about. We understand even just that so imperfectly."

Are we sometimes overly optimistic about these things, almost as if we are attempting to chase down a miracle?

To be sure.

But optimism is not a bad thing. Dr. David Servan-Schreiber, author of the bestselling book, "Anticancer: A new way of life," famously said that while he did not believe in false hope, he also did not believe in false hopelessness.

Servan-Schreiber died from the recurrence of brain cancer last year, nearly 20 years after the discovery of the malignant brain tumor that had been pronounced terminal at diagnosis.

Nor is uncertainty a bad thing. It is, after all, the foundation of scientific inquiry.

Science, says neuroscientist Beau Lotto, is not a collection of facts set in stone. It advances by testing its assumptions. It begins with questions and observations. It begins with being open to possibilities and comfortable with uncertainty.

Here's the thing about miracles: They only truly belong to the people who experienced them, who witnessed and perceived them with their own senses.

Everyone else either accepts the miracle on faith or as a compelling possibility. Or not at all.

It would appear as though I got the miracle I had wished for, though I could not begin to tell you how. For me it's a tangle of the intangible, the inexplicable and the mysterious.

And I'm perfectly comfortable with that.

@highlight

NIH center says 40% of Americans have used some form of alternative medicine

@highlight

Not many randomized, controlled clinical trials are done on these because it's not profitable

@highlight

Many medical centers have come around to the importance of an integrative approach