(CNN) -- A recent study on global wellbeing showed the Danes to be the happiest people on the planet and with about a fifth of them living in their capital it stands to reason that Copenhagen must be a little bit special.

The Amalienborg palaces are the royal family's winter residence.

So what are they so happy about? Well, lifestyle magazine Monocle recently named Copenhagen as being the world's most livable city, highlighting the quality of its infrastructure, transport system and contemporary buildings.

It's true that the city is well planned and well managed; it boasts a new metro system, the main arteries in the centre are pedestrianized and the other streets are filled with cyclists rather than exhaust fumes.

But Copenhagen is not some soulless exercise in sterile urban planning. There are the winding medieval streets of Indre By and the Latin Quarter, the picture-postcard houses of Nyhavn, the canals of Christanshavn, and the palaces and parks of Fredericksstaden and Rosenborg. The city is, simply, charming.

If you spend some time in Copenhagen you'll quickly come to understand the Danish concept of "hygge", a word with multiple meanings that is best translated as something between "cozy" and "relaxed". But if that suggests a city of bygone cuteness it doesn't take into account the sleek modernism of Danish design.

Arne Jacobsen's legacy can be seen throughout the city (check out the Radisson SAS Royal and Café Stelling) but no less visionary are recent structures such as Henning Larsen's futuristic Opera House or the dramatic new Royal Library, known as the "Black Diamond".

The clean lines and minimalism that characterize Danish design are evident in the interiors of the city's stylish bars, restaurants and hotels and perhaps their influence can even be detected in the trend away from bland, stodgy cooking to a cleaner, healthier style that is earning the city's restaurants acclaim and Michelin stars.

The alternative side of Copenhagen can be seen in places like Christiania, the 'free city' founded in 1971 by a collection of dropouts, hippies and social visionaries.

The fact that this semi-autonomous experiment in communal living has survived for so long is testament to the open-mindedness of the Danish; but the very existence of Christiania has always been controversial and government plans to 'normalize' the area suggest it may not be 'free' much longer.

Like any city of its size, Copenhagen has its share of social problems. Nørrebro has been the scene of a riots in recent years, with some commentators blaming social deprivation and others blaming boredom among young people.

But it is working class areas like Nørrebro and Vesterbro, away from the tourist trail, that are the beating heart of the city. They are home to many of Copenhagen's trendiest bars and clubs and they have a sense of community that is difficult to convey; it is something Danes might describe as "hygge".

So why are the Danish so happy? Go to Copenhagen and you'll understand.

@highlight

Copenhagen has been described as the world's most livable city

@highlight

The city is charming, with medieval streets, canals and royal palaces

@highlight

Sleek Danish design is evident everywhere and gives the city a modern edge

@highlight

The 'free city' of Christiania is testimony to Danish open-mindedness