(CNN)[Breaking news update, posted at 10.45 p.m. ET]

Sri Lanka's Mahinda Rajapaksa concedes defeat to opposition candidate Maithripala Sirisena in the country's presidential election, prime minister-designate Ranil Wickremesinghe tells CNN.

[Previous story, posted at 8.17 p.m. ET]

(CNN) -- In November, when Sri Lankan President Mahinda Rajapaksa called an election two years earlier than necessary, the path ahead looked clear for an unprecedented third term in office.

But as the nation of 15 million eligible voters waits for the results of yesterday's polls, the 69-year-old's electoral ambitions may be in jeopardy.

After enabling an extension of his presidency by doing away with a two-term limit, Rajapaksa's campaign was spectacularly wrong-footed by the surprise defection of dozens of political allies -- including the man who now threatens to unseat him.

Maithripala Sirisena, 63, was general-secretary of Rajapaksa's Sri Lanka Freedom Party and health minister in his cabinet when he defected.

He is now challenging him for the presidency, on behalf of a broad opposition alliance analysts describe as the most serious challenge Rajapaksa has faced.

The race -- which watchdogs say has been marred by hundreds of incidents of political violence and government misuse of state media -- has been too close to call. Opinion polls and analysts spoken to by CNN are divided on the outcome.

"It's not auguring very well for (Rajapaksa). He's got a contest on his hands," said Paikiasothy Saravanamuttu, executive director of Sri Lanka's Center for Policy Alternatives.

He said Rajapaksa, accustomed to a weak and fragmented opposition, could not have anticipated facing a united alliance of nearly 40 parties -- including 23 parliamentarians who have defected from the president's own grouping, as well as nationalists from the Sinhalese majority and Tamil and Muslim minorities in the ethnically diverse nation.

"He didn't expect the candidate to be Sirisena," said Saravanamuttu. "I think he probably underestimated the disaffection in the country and the desire for change."

'Rock star appeal'

Rajapaksa, a lawyer by trade, entered parliament in 1970, became prime minister in 2004 and was narrowly elected president a year later.

In 2010, he was returned to power with 58% of the vote.

His crowning achievement in office has been crushing the Tamil Tigers and bringing an end to the bloody 25-year civil war that had raged between the state and the Tamil separatists.

The conduct of both the government and the Tamil Tigers was slammed by legal experts at the United Nations, who accused both sides in a 2011 report of war crimes and crimes against humanity.

Yet the victory -- delivering security and renewed prosperity to the war-ravaged nation, with an average of 7% economic growth a year during his presidency -- remains his prime political asset, says Dayan Jayatilleke, a political scientist and former Sri Lankan diplomat.

"When voters turn on their TVs and they see the attack on Charlie Hebdo, on the Pakistan school, or Boko Haram, it reminds them of how hideous it is to live under terrorism," he said.

"That's something the Sri Lanka voters have done for years, and whatever they think of the rest of his style of governance, they think he's the guy who made it go away."

He says the folksy Rajapaksa, whose mustached face is a ubiquitous sight on posters throughout the island nation and is frequently likened to an ancient Sinhalese king, possesses "a rock star appeal."

But despite this, dissatisfaction appears to be growing with his rule, which is increasingly seen by some as autocratic, corrupt and nepotistic, he says.

Too much power?

Following his 2010 reelection, an emboldened Rajapaksa amended the constitution to concentrate power in the presidential office and remove presidential term limits.

To many Sri Lankans, says Saravanamuttu, the move felt excessive. "They want the force of the executive president trimmed or abolished."

There is also a widespread perception, says Jayatilleka, that Rajapaksa "has been ladling out a disproportionate share of resources to his family," and is focused on building a political dynasty.

Three of Rajapaksa's brothers occupy powerful positions: Basil is the Minister of Economic Development, Gotabaya is Defense Secretary and Chamal is the Speaker of Parliament.

Minorities alienated

The country's significant minorities -- Tamils, who comprise about 15% of the population, and Muslims, who account for 9% -- have also largely thrown their lot in with the opposition, says Jayatilleke.

While Muslim voters had previously supported Rajapaksa over his vocal support for Palestinians, he had "totally alienated" them in recent times with his perceived tolerance of monk-led Buddhist extremist group Bodu Bala Sena (Buddhist Power Force), which supports Rajapaksa's bid for re-election.

READ MORE: Fascists in saffron robes? The rise of the Bodu Bala Sena

Last month, the Sri Lanka Muslim Congress defected to the opposition.

The Bodu Bala Sena has been blamed for instigating outbursts of anti-Muslim mob violence, including a deadly rampage in the town of Aluthgama in June.

READ MORE: Fear, shock among Sri Lankan Muslims in aftermath of mob violence

Sirisena's heartland appeal

Sirisena, who hails from the rice-producing North Central Province, also holds strong appeal as a candidate to Rajapaksa's traditional rural base in the "Sinhalese heartland," says Jayatilleka.

"He's a Sinhala Buddhist from a peasant background -- you couldn't get more mainstream than that in Sri Lankan politics," he said.

Jailed early in his career in 1971 during a communist insurrection, Sirisena rejoined mainstream politics through the Sri Lanka Freedom Party.

While he lacks strong persona; charisma, coming across as "a sober serious kind of man," Sirisena presented a more appetizing alternative to voters than other potential opposition candidates, said Jayatilleke. The opposition also benefited from having run a stronger campaign than the government, he said.

So much so, Saravanamuttu says, that "conventional wisdom suggests that (Sirisena) may have an edge" at the polls.

For his part, Jayatilleka disagrees, comparing Rajapaksa's prospects to those of Russian President Vladimir Putin during his most recent re-election.

"The international media expected Putin to lose because opinion in Moscow and St Petersburg was against him," he said.

"But in the provinces where most of the votes come from, they voted the other way, because Putin was seen as having crushed the Chechen terrorist threat and having restored the state of Russia in the world."

Jayatilleka's pick? "Rajapaksa will probably lose all the cities. And the opposition, having won the campaign, will probably lose the election."

CNN's Sumnima Udas contributed to this report.

@highlight

Sri Lanka's Mahinda Rajapaksa concedes defeat in presidential elections

@highlight

His former ally, Maithripala Sirisena, will replace him as the country's leader

@highlight

Popular for ending the civil war, Rajapaksa increasingly seen as authoritarian and nepotistic