The government of the small Mediterranean island of Malta recently announced proposals to start selling citizenship of its nation to foreigners for €650,000 (about $888,000).

But faced with rising criticism both in Malta and other European Union countries, the Maltese government has temporarily halted the law's implementation and will review its requirements.

The European Parliament is to hold a debate on the scheme on 15 January 2014.

"The citizenship scheme as adopted by the Maltese Parliament in recent weeks seems to be a clear abuse of EU citizenship and Schengen rules, said European People's Party chairman Joseph Daul.

"Even if the Maltese give in to reason, and drop this scheme, it remains important that the European Parliament debates this issue."

But Malta continues to defend the program, which is said to target affluent individuals in order to boost Malta's economy, but insists: "It's not an over-the-counter sale of citizenships, said Kurt Farrugia, head of Communications for the Maltese government.

"Applicants have to go through a thorough due diligence screening process, he told CNN.

"We are still discussing the details and regulations and there might be amendments made, for example to the fee of €650,000," Farrugia said.

The unique program, would give holders of this Maltese passport a tremendous amount of liberty.

Unlike other similar programs in the European Union, applicants for program are not obliged to live in Malta before being granted a passport. Instead, if the application is successful and the applicant is wealthy enough to spare the large sum, he or she will get a  Maltese passport -- and therefore EU citizenship -- immediately. So, the applicant could theoretically live in any of the other 27 member states of the European Union.

Malta joined the EU in 2004; it is a member of the Schengen borderless travel area, and has a visa waiver agreement with the United States -- all perks that would come with Maltese citizenship for foreigners. Maltese citizenship already allows a holder to travel to 163 countries across the globe without a visa.

Malta's Prime Minister Joseph Muscat has predicted that the scheme will bring in more than $41 million (€30 million) annually, and help ease the country's deficit, while also attracting "high value" people who could potentially invest in the island.

Henley & Partners, an international firm specializing in international immigration and citizenship law, will administer the initiative.

"Of course Malta is trying to raise capital with the program, but it is also opening its doors to a very beneficial segment of the world population, said Eric Major, the company's CEO.

"Many people conduct businesses abroad, but they are restricted by the passports they hold to do international travel," he added.

The change of plan means people can register their interest in the scheme with Henley & Partners, but cannot officially apply until the Maltese government reveals its planned amendments.

Once the law goes into effect, applicants will have to go through a 4-tier due diligence process.

After filling out the application documents, the application is reviewed on online databases, this is followed by a background check and a risk assessment which examines the applicant's nationality, job sector and where he or she conducts business. Lastly the information is verified against government databases, including CIA, FBI and UK police files.

Previous criminal convictions, misstating or fabricating information or issues with the applicant's source of wealth could all lead to an application being refused.

In the best case scenario, Henley & Partners expects the whole process, from filing an application to getting a passport, to take about four to six months.

"Malta is taking many thorough steps in the vetting process," said Major.

Major says he expected between 200 and 300 people a year to be willing to stump up the estimated $1.2 million (€850,000) cost of applying, once processing fees and other expenses are taken into account.

Whether anything can be done to stop the program's implementation, still remains to be seen.

The European Union said it could not interfere with citizenship decisions made by individual EU countries.

"Member states have full sovereignty to decide how and to whom they grant their nationality," said Tove Ernst, press officer for the European Commission.

"The European Court of Justice has on several occasions confirmed the principle of international law, that it is for each member state to lay down the conditions for the acquisition of its nationality," he said.

Simon Busuttil, leader of Malta's opposition Nationalist Party, called the program's passage a "black day for democracy."

Some critics also claim that the program favors the super-rich and provides a fast-track entry into the European Union, while foreigners with no financial means are excluded from the program.

Neil Falzon, director of the aditus foundation, a Malta-based human rights NGO, said: "Many people who desperately need to come to the EU simply cannot do it and the boat tragedies out at sea are witness to this," he said.

"We have men, women and children fleeing wars and persecution who are unable to obtain legal entry to the EU simply because no embassy will grant them an entry visa."

Several European Union countries offer residence permits that include free movement within the Schengen area, in exchange for high fees and the requirement to invest in the country, like Britain's Tier 1 investor scheme for non-EU citizens with £1 million ($1.6 million) or more of private funds available for investment in the UK.

In contrast to other existing immigration programs, the Maltese version is an expedited citizenship program.

"The program is aimed at cash-rich but time-poor people. There is a growing breed of individuals who don't have the time to be in one country for more than four months, Major said, praising Malta's PM as "a visionary who sees the benefits of globalization."

Read more: Europe's golden visas lure rich Chinese

Read more: Mediterranean becoming immigrants' 'cemetery'

Read more: How illegal immigrants get into the EU

@highlight

Malta planning scheme to offer citizenship for €650,000 to wealthy foreigners

@highlight

Maltese PM predicts scheme will bring in more than €30M annually

@highlight

Applicants have to go through 4-tier due diligence vetting process

@highlight

Rising criticism leads Malta to review and possibly amend plan