(CNN) -- After thousands of years of civilization, finally India has Crunchwraps.

In March, a Taco Bell opened in Bangalore, the first Indian outpost of the chain.

About 2,500 people a day have been lining up to try burritos and quesadillas, helped out by employees hired to explain what, exactly, burritos and quesadillas are, according to reports.

But Indian customers aren't just ordering the Tex-Mex treats known in the U.S. Yum Foods, Taco Bell's parent company, came up with a bunch of special menu items designed for local palates: crunchy potato tacos and extra-spicy burritos filled with paneer, the rubbery, fresh Indian cheese.

This move is what people in the trade call product localization: customizing what you're selling to the people you're selling it to. It's a crucial strategy in the global fast-food business. American chains are bringing burgers and pizza and chimichangas to Asia, but they are also adapting to their new homes, coming up with hybrid foods that the folks back home don't hear about.

This is nothing new, of course. McDonald's, which has branches in more than 119 countries, has been customizing its menus for years.

Food court city: How where you live affects what you eat

Anyone who's seen "Pulp Fiction" knows that a McDonald's Quarter Pounder is called a Royal in France, but it's not just the names that are different. French visitors to the golden arches can get Le P'tit Moutarde, a smaller-size burger with mustard sauce, and they can pair it with a banana caramel shake.

In the Netherlands, McDonald's serves a McKroket (a fried beef croquette on a bun); in Germany, it offers shrimp with cocktail sauce. The 280 Gr. is an Italy-only burger, designed for sophisticated palates -- you can get one with real Parmigiano-Reggiano cheese.

There's a burger on pita bread for the Greek market (the Greek Mac, of course), and a McKebab for Israel. Naturally, you can get guacamole on your burger in Mexico; you can also order McMolletes -- refried beans and salsa on an English muffin.

Asia is the fastest-growing market for American fast food though, and all the chains trying to find a place there are scrambling to come up with new dishes to please local tastes.

Here's some of what Americans may be missing:

India

As the Taco Bell honchos undoubtedly know, India is a tricky market for food chains. Hindus don't eat beef, Muslims don't eat pork, and a sizable percentage of the country doesn't eat meat at all.

Fried chicken is a relatively safe bet, and KFC -- another Yum Foods-owned brand -- does a good business in buckets of Colonel Sanders' original recipe. But it also caters to vegetarians with a veg thali, a vegetable-and-rice mixed plate, and the Chana Snacker, a chickpea burger with Thousand Island dressing.

The Indian Subway menu has the same turkey and tuna sandwiches as in U.S. stores, but roast beef is nowhere to be found, and the ham is made of chicken. And at franchises from Chandigarh to Chennai, you can order a chicken tikka sub or one made from roast lamb.

When McDonald's set up shop in India in 1996, it ditched beef and introduced the Maharaja Mac, originally made with lamb. Chicken patties are used on the sandwich now, but even more popular is the vegetarian McAloo Tikki, a burger made from potatoes and peas. To allay strict dietary concerns, the carnivorous and vegetarian cooking is done separately, by different sets of workers: Those cooking the veggie meals wear green aprons; people handling meat wear red.

The big fast-food success story is Domino's Pizza, which recently opened its 300th branch in India. It manages to please all tastes and honor all restrictions: There's a corn and black olive pizza for the vegetarians (the "Gourmet") and keema do pyaaza topping -- ground lamb and onions -- for meat eaters. For a true exotic taste, there's pepperoni: "100 percent pork pepperoni," the online menu promises, rather scandalously.

China

The leading American chain in the Chinese market, KFC, offers plenty of dishes that cater to local tastes. Instead of coleslaw, you can order seasonal vegetables with your chicken: bamboo shoots in spring, lotus root in summer. It also offers a traditional breakfast menu featuring congee -- rice porridge -- served with fried crullers or sesame flatbread for dipping.

McDonald's, on the other hand, sticks mostly with classic sandwiches. After introducing regionally specific items, such as the rice burgers it serves in other Asian countries, and trying to compete with KFC on the chicken front, it found that its Chinese customers preferred to order Western foods. So it played up the burgers, rolling out a suggestive ad campaign with the slogan "Feel the beef."

But not everything is exactly the same as it is in the States. A version of the Quarter Pounder (called the Big N' Beefy) is served with cucumbers rather than pickles and comes with a spicier sauce. If you don't want fries, you can order a corn cup, a side dish that has caught on at other Asian branches. For dessert, you can choose between pineapple or taro root pies.

Japan

For its Japanese stores, McDonald's has found that novelty is the way to go, and the company has introduced lots of special menu items. You can pair your Teriyaki McBurger, made from pork, with a bag of Seaweed Shaker fries (add the seaweed powder yourself). You can get a Croquette Burger or a Bacon Potato Pie. Probably the most distinctively Japanese dish is the Ebi Filet-O, a fried shrimp patty on a bun ("ebi" means shrimp in Japanese). McDonald's helped popularize the dish by signing up model Yuri Ebihara -- nicknamed "Ebi-chan" -- to do a series of print ads and commercials.

A few years back, Pizza Hut Japan introduced the Double Roll, an over-the-top pizza to make all other over-the-top pizzas run away and cower in fear. One half (the "gourmet half") was topped with ham, bacon, sausage, tomatoes and garlic. The other half was covered with miniature hamburger patties, soybeans and corn. Sadly, the Double Roll is no longer sold, but that doesn't mean Pizza Hut is boring. Your topping choices include tuna, fried squid and spicy Korean-style beef. You also can get the "Idaho Special" with potato, corn, bacon and mayonnaise.

South Korea

Dunkin' Donuts has made a big splash in South Korea, popularizing bagels and doughnuts as breakfast treats. Besides the standard American glazed and filled versions, it offers red bean and glutinous rice doughnuts as well as sweet potato muffins and a sesame tofu ring. There are savory fried croquettes filled with lentil curry or kimchi, spicy pickled cabbage. To drink, you can get a hot 12-grain latte, made from roasted barley, brown rice and other grains.

@highlight

U.S. food chains adjust menus to local tastes in restaurants overseas

@highlight

Asia is the fastest-growing market for American fast food

@highlight

In India, KFC serves a chickpea burger with Thousand Island dressing

@highlight

In Japan, McDonald's offers a Teriyaki McBurger with Seaweed Shaker fries