United Nations (CNN) -- Palestinian President Mahmoud Abbas will submit a letter to the United Nations Security Council Friday requesting formal U.N. recognition of Palestinian statehood, according to a top Palestinian official.

Abbas met Wednesday with U.N. Secretary-General Ban Ki-moon, who promised that the request will be taken "very seriously," Dr. Nabeel Shaath told reporters on hand for the 66th session of the U.N. General Assembly -- a session dominated concerns over the intractable Israeli-Palestinian

Ban said it will "not take long" to get Security Council consideration, Shaath said.

Abbas will give "some time" to the Security Council before trying to negotiate statehood via the General Assembly, Shaath said. "We do not think of this as a tactic or as a bluff," he stressed. "This is really a moment of truth."

Shaath said that settling for a lesser status at the United Nations -- such as becoming a non-state member -- is one option under consideration if the push for statehood is ultimately blocked. But the Palestinians do not want "anybody to suspect a lack of seriousness," he said.

Israeli Prime Minister Benjamin Netanyahu. vehemently opposes U.N recognition of a Palestinian state, arguing that such a development would derail an already fragile Middle East peace process.

News of Abbas' plan came shortly after U.S. President Obama told members of the General Assembly that he shares their frustration with the apparent inability to find a resolution to the decades-old conflict. Obama resisted calls for formal U.N. recognition of an independent Palestinian state, however, asserting that "peace will not come through statements and resolutions at the U.N."

Obama has been trying to mend political fences with wary backers of Israel at home while avoiding the diplomatic fallout that would accompany a U.S. veto of a Security Council measure endorsing recognition of a Palestinian state.

"I know that many are frustrated by the lack of progress," Obama told members of the General Assembly. "So am I. But the question isn't the goal we seek -- the question is how to reach it. And I am convinced that there is no shortcut to the end of a conflict that has endured for decades."

"One year ago, I stood at this podium and called for an independent Palestine," Obama noted. "I believed then -- and I believe now -- that the Palestinian people deserve a state of their own. But what I also said is that genuine peace can only be realized between Israelis and Palestinians themselves."

He said that a year later, despite extensive U.S. efforts, "the parties have not bridged their differences."

"Faced with this stalemate, I put forward a new basis for negotiations in May. That basis is clear, and well-known to all of us here. Israelis must know that any agreement provides assurances for their security. Palestinians deserve to know the territorial basis of their state."

Later, Obama met with Netanyahu and declared that "the bonds between the U.S. and Israel are unbreakable." Netanyahu called U.S. opposition to immediate U.N. recognition of Palestinian statehood a "badge of honor."

Obama told Turkish Prime Minister Recep Tayyip Erdogan in talks on Tuesday that the Palestinian effort would not advance a "shared goal" of resolving the decades-old Israeli-Palestinian conflict, according to Liz Sherwood-Randall, a top U.S. National Security Council aide.

Obama also urged Erdogan to continue work toward patching up Turkey's strained relations with Israel, Sherwood-Randall said.

Among other things, Obama also used his address to the General Assembly Wednesday to tackle a range of issues relating to the so-called Arab Spring, celebrating the toppling of autocratic rulers in Egypt, Libya, and Tunisia, while expressing support for reform movements in Bahrain, Yemen, and elsewhere.

The president also sought to rally international support for African famine relief, and provided backing for both European economic efforts and international measures to combat climate change.

For the world in general, Obama declared, "the tide of war is receding." The U.S. leader asserted that the belief that change could come through violence died with al Qaeda leader Osama bin Laden's demise. "This has been a difficult decade," he said. "But today, we stand at a crossroads of history with the chance to move decisively in the direction of peace."

The Obama administration is seeking this week to reinforce a foreign policy strategy that emphasizes cooperation and shared responsibility after what has been criticized as a "might makes right" posture by the United States in past decades.

The administration "has dramatically changed America's course at the United Nations to advance our interests and values and help forge a more secure and prosperous world," declared a White House document released Tuesday. "We have repaired frayed relations with countries around the world. We have ended needless American isolation on a range of issues. And as a consequence, we have gotten strong cooperation on things that matter most to our national security interest. "

The document cited "concrete results" at the United Nations that it said advanced "U.S. foreign policy objectives and American security," including:

-- The stiffest U.N. sanctions ever against Iran and North Korea;

-- Efforts to stop the proliferation of nuclear weapons and materials;

-- The Libya intervention and subsequent efforts to aid the political transition there;

-- The peaceful independence of Southern Sudan; and,

-- U.N. assistance in Afghanistan and Iraq.

In addition, the White House document said the United States is the largest donor of humanitarian assistance for the Horn of Africa famine, with most of the $600 million provided so far funneled through U.N. agencies.

CNN's Tom Cohen, Elise, Labott, Alan Silverleib, and Joe Sterling contributed to this report

@highlight

NEW: Abbas will submit a letter Friday seeking statehood recognition, Palestinians confirm

@highlight

Abbas' ultimate goal is to force a U.N. General Assembly vote on the matter

@highlight

Obama says "peace depends on compromise" between Israel and the Palestinians