(CNN) -- Apple's new CEO is no Steve Jobs, says Atari co-founder Nolan Bushnell, who first met Jobs when his company employed him in 1974 as a $5-an-hour developer.

"If I were to choose somebody to run international manufacturing and processing and keep the wheels on the bus, Tim Cook is about as good as anybody can get," said Bushnell.

"But I just feel like somebody needs to stick a little bit of dynamite under his left cheek."

Bushnell is author of the new book, "Finding the Next Steve Jobs: How to Find, Keep and Nurture Talent." He spoke to CNN about his former employee's legacy -- just days before the second anniversary of Jobs' death on October 5, 2011 -- and what it will take for a new tech visionary to emerge today.

To be sure, Apple continues to succeed. Its new iPhone 5S models sold more than 9 million units in their first weekend, and the company has earned praise for overhauling its iOS mobile operating system.

But Bushnell, who also founded the Chuck E. Cheese's pizza franchise, said profits today aren't the same, or even as important, as success tomorrow.

"I have a feeling -- and this is a funny thing that happens with people who are very buttoned down -- that (Cook) probably thinks he's innovating, when in fact it's just micro-evolution," he said. "They were able to build (the new iPhones) cheaper, which is something I would expect Tim Cook to do.

"But the market cap of Apple is underpinned by its innovation margin," Bushnell said, which he believes "has a shelf life of maybe three to five years. Then, all of a sudden, the followers have matched you feature by feature."

Bushnell is more impressed with Google's approach, which focuses on testing new products and ideas even when some might fail. It may lead to some clunkers, but it's also produced things like a self-driving car and the Google Glass connected headset. Bushnell says Google Glass might not be a huge seller, but it represents a big step toward creating the technology of the future.

"I use some Apple products and like them," he said. "But I lately have been spending much more time in the Google-sphere than the Apple-sphere."

Bushnell reflected on his memories of Steve Jobs, who at 19 showed up in sandals at Atari and demanded an interview, and shared his thoughts on the future of innovation.

On hiring the unconventional Jobs

"Understand that we at Atari at the time thought of ourselves as being quite counterculture. We were really young and somewhat arrogant and we really felt that we could rewrite the rules in an absolute way. We took the attitude of hiring for intensity or passion. That really worked for us. We felt that we could train anybody that had the passion and fire in their belly. Steve -- actually both Steves (referring to Jobs' longtime friend and collaborator Steve Wozniak) -- had passion that was a very different passion, but it was passion. ... Jobs loved kind of seeing the world as it could be, as opposed to what it is. That was an important thing about what our ethic was."

On why he didn't invest early in Apple

"I didn't think that Steve would be a good chief executive and I didn't have the time to do it. I've often thought one of the unsung heroes was actually (early investor and second Apple CEO) Mike Markkula, who actually provided the adult supervision for the first few years, which I think was really important. If I'd invested and Markkula hadn't been there, the outcome could have been very different."

On 'celebrating failure'

"I don't strive for failure. But what you want to do is strive for appropriate risk. One of the ways you can thwart appropriate risk is by making the penalties for failure high. It's a little bit like the Catholic church and their idea of forgiveness and absolution and all that. Most employees who are really good employees, if they screw up, they feel really bad about it. What you want to do is you want to give them absolution."

"I defy you to find somebody who's known as an innovator or visionary who hasn't had multiple failures. It's really about doing. It's really about ... being a prime mover that allows you to become a visionary. It's an uncharted path, and when you're on an uncharted path you end up in a cul de sac every once in a while. That doesn't mean that your overall direction isn't correct. You just have to back up and maybe move a little bit more to the right this time, or to the left."

On corporate culture

"A good company basically says, 'We don't care what you do. We don't care how you do it. You're going to be judged on your outcomes, period. Nothing else matters.' When Atari started in Silicon Valley, then Apple, we were the first and only places where engineers didn't come to work in a coat and tie. So guys who are wearing shorts and T-shirts and flip-flops to work now need to say thank you very much."

"From a corporate standpoint, think about the difference between the way you think about Google and the way you think about Hewlett Packard. At the outset -- eight years ago, five years ago -- Hewlett Packard had significantly more resources that they could have been innovating with than Google did. Google has the one cash cow (search), but they are planting seeds for their future that I think are extraordinary."

On napping at work

"Think of your body as your innovation instrument. It turns out that all kinds of cognitive functions are increased in the afternoon with just a 20-minute nap. (NASA studies showed) a 15 to 30% increase in cognitive ability after a 20-minute nap. It's just silly to not do that."

On finding the next Jobs

"I think there are thousands of them out there. I think the main issue is going to be, are they going to be allowed to perform? Remember, Steve was at an integral point where he was product maven and had control of tremendous amounts of resources at his fingertips. A lot of the Steve Jobses out there don't have that control, don't have those resources at their disposal. They have to be given them. When I hear a company say 'We'll vote on that' or 'We'll get consensus,' you know that they're going to be mediocre. True innovation has no consistency. Nobody sees it until it's done."

@highlight

Atari co-founder Nolan Bushnell headed the company when Steve Jobs worked there in the '70s

@highlight

Nolan Bushnell says his pioneering video-game company was "quite counterculture"

@highlight

He says the next tech innovator could be stifled by corporate culture

@highlight

All pioneers have had multiple failures, Bushnell said