New Delhi (CNN) -- Cash Burnaman, a 6-year-old South Carolina boy, has traveled with his parents to India seeking treatment for a rare genetic condition that has left him developmentally disabled. You might think this was a hopeful mission until you learn that an overwhelming number of medical experts insist the treatment will have zero effect.

Cash is mute. He walks with the aid of braces. To battle his incurable condition, which is so rare it doesn't have a name, Cash has had to take an artificial growth hormone for most of his life.

His divorced parents, Josh Burnaman and Stephanie Krolick, are so driven by their hope and desperation to help Cash they've journeyed to the other side of the globe and paid tens of thousands of dollars to have Cash undergo experimental injections of human embryonic stem cells.

The family is among a growing number of Americans seeking the treatment in India -- some at a clinic in the heart of New Delhi called NuTech Mediworld run by Dr. Geeta Shroff, a retired obstetrician and self-taught embryonic stem cell practitioner.

Shroff first treated Cash -- who presents symptoms similar to Down Syndrome -- in 2010. "I am helping improve their quality of life," Shroff told CNN.

After five weeks of treatment, Cash and his parents returned home to the U.S.

That's when Cash began walking with the aid of braces for the first time.

His parents were thrilled. Before the treatments, Cash could only get around by hopping, his mother said. The results were enough to persuade Cash's mother to go back to Shroff for more help.

"We saw evidence the first time that it's worth trying again," Krolick said. "In this particular case, with Cash's other conditions, we don't have many other options."

For four or five weeks of treatment, Shroff says she has charged her 87 American patients an average of $25,000. It's a big financial hit for Burnaman, a volunteer firefighter and property manager, and Krolick, who attends technical college in Greenville, South Carolina.

But the boy's family and friends went into fundraising mode, creating a blog called ChangeForCash.com, and amassing about $50,000 over a year.

Are patients like Cash truly receiving treatments that improve their quality of life? Or is therapy giving patients false hope?

Doctors say all that work and hope and money Cash's supporters have funneled into his experimental therapy likely will have no medical benefits.

There are several types of stem cells. Adult stem cells can be found in mature cells and some organs.  For example, bone marrow cells are a type of adult stem cell that have been used in transplants for more than 40 years.  But because adult stem cells are taken from parts of the body that already have a purpose, they may be limited as to what they can be turned into.

Embryonic stem cells are the controversial ones because they're harvested from leftover IVF embryos, which are then destroyed in the process. 

Embryonic stem cells come from 4-or 5-day-old fertilized eggs and have the ability to turn into any type of cell in the body. 

Since human embryonic stem cells were first discovered in 1998, researchers have been trying to take these unique cells and coax them into becoming cells for every part of the body, which then could be used to repair damage or regenerate tissue. 

For many years a virtual ban on funding this type of research slowed the field down. 

Researchers have developed another source of stem cells: skin cells.  Scientists learned to turn the clock back on skin cells so they're like embryos -- with stem cells that have the same "blank slate" properties like embryonic stem cells -- but without the controversy.  These cells are called "IPS" (induced pluripotent stem) cells -- and are not yet being used in human experiments.

There are no approved embryonic stem cell treatments in the United States. However, the Food and Drug Administration has approved two experimental clinical trials in humans using treatments made from human embryonic stem cells. One of these -- to repair spinal cord injuries -- was stopped due to the high cost of this type of research; the other trial -- to restore vision in people with macular degeneration -- is still underway.

There is hope that embryonic stem cells might someday lead to treatments for Parkinson's disease, diabetes, traumatic spinal cord injury, Duchenne muscular dystrophy and other conditions, according to the National Institutes of Health. Someday.

Nevertheless, Shroff isn't waiting for further research. She's injecting patients with embryonic stem cells now.

"There is zero evidence for what she is doing being effective," said Rutgers University's Dr. Wise Young, a leading U.S. neuroscientist.

"It's concerning no matter how you look at it," said CNN Chief Medical Correspondent Dr. Sanjay Gupta. "Frankly it's the complete wrong way of going about this sort of science."

Inside her clinic, surrounded by patients, Shroff disagreed.

"Success," she said, "is defined differently by various groups of people within that therapy mode. So as of right now, almost everyone -- greater than 90% -- have had success."

But Cash's family has its doubters, too. The boy's father said he still isn't totally convinced the treatment works.

"If we had taken away the stem cells and hadn't done it, is this where he would be naturally?" Burnaman said. "And that's where I keep coming back to is -- I'm not sure."

"It's risky medical therapy," acknowledged Krolick, who feared it would worsen Cash's condition. "But I knew that we were going to have to do it. We did pick this clinic for a reason. I mean, we did look around, and we decided this is the place where we felt safe. She had a good track record."

An energetic doctor who trained in India, Shroff says she acquired embryonic stem cells with the patient's permission after she performed an in-vitro fertilization procedure on a woman more than a decade ago.

She would not allow CNN access to the facility where she says the embryonic cells are kept and harvested.

Nurses and assistants at NuTech Mediworld routinely inject patients with embryonic stem cells daily simply by sticking the needle into a patient's back.

The routine at the clinic starkly contrasts with procedures CNN observed at a sanctioned embryonic stem cell trial at Atlanta's Emory University, where technicians and surgeons took hours to conduct a safe injection.

NuTech Mediworld's treatment also includes physical therapy. The patient and a guest receive room and board. The rooms are cramped with bathroom facilities available down a long hallway.

Shroff has treated patients suffering from amyotrophic lateral sclerosis or ALS, more commonly known as Lou Gehrig's disease. Others had spinal cord injuries, cerebral palsy, genetic and muscular skeletal disorders.

Pure embryonic stem cells are not meant to be put directly into the body, since they have to the potential to turn into any cell. That's why credible researchers first chemically "coax" these stem cells into heading down the path of what they should turn into -- for example nerve cells or heart cells -- before injecting them into very specific parts of the body to achieve the desired results.

The doctor offered examples of her successes including a man from Baghdad who she said was a paraplegic because of multiple gunshot wounds and an Indian toddler who she said has a genetic disorder similar to Cash's.

Kohl Guffey, an 18-year-old from Illinois who was paralyzed three years ago in a motocross accident, cites himself as another example of success at the clinic.

"Before I came here, I didn't have any movement in my left hand between my fingers," said Guffey. "Now I can retract them really good."

Shroff conceded that when she attempted to present her findings to an internationally sanctioned stem cell conference, her medical abstract paperwork was rejected. But she continues to defend her work. "I believe that my patients are getting better," she said. "I have proved it time and time and time again."

She was present at a recent meeting of the Indian Council of Medical Research where prominent Indian physicians criticized embryonic stem cell clinics that have appeared in New Delhi and elsewhere throughout the sprawling country.

A leading Indian neurosurgeon, Dr. P.N. Tandon, agreed there was zero medical evidence of the effectiveness of embryonic stem cell therapy like that provided at NuTech Mediworld. There is no stem cell treatment proven in India that will make patients like these better, Tandon said, and none "proven anywhere in the world."

Patients also have traveled for similar therapy in Central America, Mexico and China, although that country has recently clamped down on stem cell clinics.

For Young, the money charged for the therapy stands out as an ethical issue. "It's all about $25,000," he said. The cost of the treatment is "calculated to take a family to the brink of what they can afford, and they take everything."

"Who doesn't want to get rich?" Shroff asked. "Who doesn't work for money? But you also have to work from the heart. You also have to see what you're doing. Is it ethically right? And I believe I am doing everything right."

CNN Medical Managing Editor Miriam Falco contributed to this report.

@highlight

Cash Burnaman, 6, had experimental embryonic stem cell therapy

@highlight

Doctors overwhelmingly say there's no possibility it will have an effect on his condition

@highlight

Dr. Geeta Shroff offers the treatment for $25,000 at her clinic in New Delhi

@highlight

Shroff says "almost everyone -- greater than 90% -- have had success"