(CNN) -- Protesters across six continents on Saturday demanded the release of hundreds of detainees in Iran who were arrested in the bloody aftermath of the Islamic republic's disputed presidential election.

Iranian demonstrators in Pakistan shout slogans during a demonstration in Islamabad.

The global day of action that spanned about 100 cities was organized by United For Iran and supported by several human rights groups, including Human Rights Watch, Amnesty International and Reporters Without Borders.

"We are all working for the same Iran," Shirin Ebadi, the 2003 Nobel Peace Prize winner and a native Iranian, told a crowd in Amsterdam, the Netherlands. "Iran is our homeland, let us be united."

Roxana Saberi, the Iranian-American journalist who spent four months in an Iranian jail earlier this year, addressed a crowd in Chicago, Illinois.

"I'm very, very touched ... that all of you have turned out here, on this very important day, and that you're speaking out for those Iranians whose voices cannot be heard," she said.  Watch her speak »

A crowd gathered in Times Square in New York before marching to the United Nations building to rally. Protesters waved green flags, held up green signs and wore green wristbands and shirts -- the color is symbolic of the opposition movement in Iran. iReport.com: Are you at a protest? Share your photos, video

The sea of green also appeared in Washington, where hundreds of Iranian-American protesters marched from the United Nations Information Center to the U.S. Capitol building to call on the United Nations to take a more active role in addressing alleged human rights abuses inside Mahmoud Ahmadinejad.

"This is a show of solidarity with the people inside Iran," protester Khosrow Akbari said. "Iranians all over the world are united to send the message that they will not tolerate the human rights abuses inside the country."

British protesters outside the Iranian Embassy in London wanted to show solidarity for those Iranians "who feel too intimidated, too fearful" to go back out on the streets to protest, reported CNN Correspondent Paula Newton.

Several of the demonstrations, especially in the United States and Europe, called for Western governments to be more vocal about the reported human rights violations in Iran.  Watch a report about the protests around the globe »

"Enough is enough," said Parviz Shahi, a demonstrator in London. "How many people do they have to sacrifice?"

The demonstrations on Saturday condemned the Iranian government's violent response to citizens who claim the June 12 re-election of President Mahmoud Ahmadinejad was fraudulent.   Hundreds of thousands of Iranians took to the streets after the election, and many were met with brutality from security forces that resulted in death or serious injuries.

"These acts are a direct assault on the Iranian people's human and civil rights -- and those of everyone who supports these ideals around the world," United For Iran said on its Web site.

"Our only aim is to condemn the widespread and systematic violations of the Iranian people's human rights and to call for full restoration of their human and civil rights," the group says.

Hundreds of people were detained after the elections, but officials say "only the organizers of the conflict" were still behind bars. Government officials announced last week that the "confessions" of the remaining detainees will soon be broadcast.

Ebadi called on all Iranians to ignore such broadcasts, saying they were forced by the government.

"Don't listen to these lies," she said Saturday, in a speech captured in an i-Report video.

Saturday's events came ahead of Ahmadinejad's swearing-in ceremony, scheduled for the first week of August.

Ahmadinejad's political rivals also continued their call for the release of detainees Saturday in an open letter to a handful of grand ayatollahs who are "sources of emulation" for many Shiite Muslims in Iran and abroad.

"This is not and will not put our country and our system on a path of fairness and justice, and will only darken the face of the Islamic republic, in the hearts and souls of all Iranians as well as those around the world," says the letter, signed by reformist Mir Hossein Moussavi, fellow opposition candidate Mehdi Karrubi and former Iranian President Mohammad Khatami, who supported Moussavi in the presidential race.

The letter was published on Moussavi's Web site, Ghalam News.

"Worst than this is that the security organizations are mysteriously pursuing the wrong and fabricated thoughts that the activists are tied to the foreigners and ... have, therefore, given way to illegal, immoral and unethical confession extraction methods," the letter says.

Meanwhile, in Berlin, Germany, about 2,000 people turned out to rally for Iranians. A moment of silence was held, and about 40 people have been participating in a hunger strike over the past three days, CNN Correspondent Frederik Pleitgen reported.

"We are watching Iran, hoping that they (the government) come to their senses and realize that this is their own people they're shooting at," said Sahand Zamani, whose cousin -- 19-year-old Sohrab Aarabi -- was reportedly shot dead on June 15 during one of the bloody protests that followed the presidential elections.

"I certainly think that Sohrab is standing for a lot of young Iranian people and ... his death is a national tragedy in Iran, as well as I think a tragedy worldwide. A 19-year-old boy getting shot because of his opinion -- this has a meaning," Zamani said. "But I hope he can find rest and peace and this won't happen again."

Germany is one of Iran's major trade partners, prompting the Berlin protesters to call on their government to get tough with Tehran over the Islamic republic's human rights record and nuclear ambitions.

United For Iran said it wants U.N. Secretary-General Ban Ki-moon to send a delegation to Iran to investigate the fate of political prisoners; the immediate and unconditional release of all political prisoners and prisoners of conscience, including journalists; an end to state-sponsored violence; freedom of the press and Iran's adherence to international agreements it has signed.

@highlight

Ahmadinejad's political rivals call for detainees' release in letter to ayatollahs

@highlight

Iranian officials say only "organizers of the conflict" are still behind bars

@highlight

Demonstrations under way in six continents in support of Iranian election protesters

@highlight

They claim Mahmoud Ahmadinejad's re-election was fraudulent