Yangon, Myanmar (CNN) -- After decades of a military junta rule, the south-east Asian country of Myanmar is opening up, and the government is working hard to welcome a plane loads of visitors from around the world.

Myanmar's turnaround from pariah state to becoming this year's must-see destination has been remarkable. Much of the country is untouched and rich in both historic and architectural heritage.

There is plenty to discover for the tourist who wants to go off the beaten track.

Below CNN takes a look at some of Myanmar's most magnificent treasures.

Shwedagon Pagoda

The golden stupa of Yangon's 2,500-year-old Shwedagon Pagoda shines over the city. The pagoda is covered in hundreds of golden plates and there are thousands of encrusted diamonds on the stupa, glittering in all different colors, reflecting the rays of the sun. It's a majestic site and impossible not to notice when visiting the former capital of Myanmar.

"In Myanmar, it is very important for our religion," says Kyaw, a guide at Shwedagon. "Because most people from here, mostly Buddhist people, have to come here at least one time in their life."

Myanmar is one of the world's most devout Buddhist nations -- the majority of Burmese are Buddhists and the 100-meter-tall Shwedagon is their most sacred temple. Legend says it enshrines eight of Buddha's hair, that were given to two merchant brothers by Buddha himself.

At times the pagoda has also served as a rallying point and a source of strength against the former military regime, or as in the 1920s and 1930s resistance to British Colonial rule.

Read more: 11 things to know before visiting Myanmar

Colonial architecture in Yangon

The architectural heritage of Yangon is rich and evidence of the former British Empire is almost at every corner. Buildings from the colonial era stretch out across the city, telling stories of a time long gone.

Yangon has one of the highest number of colonial period buildings in all of south-east Asia, built during the British rule in Burma, which lasted from 1824 to 1948. Buildings like the City Hall, the former High Court and Strand Hotel attract many visitors.

But these iconic buildings are under threat, since renovating and preserving their crumbling facades is costly. The Yangon Heritage Trust is trying to ensure these buildings don't meet a bulldozer, so the country's past can be maintained.

One building in particular could be seen as the monument to Myanmar's political rebirth.

The Secretariat, the Minister's building during the British rule, has been standing empty for years, but played an important role in the history of Myanmar. This is where the leaders of the independence movement in the late 1940s were assassinated -- among them General Aung San, the father of Aung San Suu Kyi, Myanmar's Nobel laureate, and a former political prisoner.

That her father lost his life in the assassination room is one of the reasons why the Secretariat could now be preserved. "I think just a couple of years ago this was not on the agenda at all and I think we were in real danger," says chairman of the Yangon Heritage Trust, Thant Myint-U.

Read more: Fast facts about Myanmar's history

Bagan, ancient city in the Mandalay region

A journey through Myanmar inspires silence. And there is one journey in particular that in the 19th century inspired young poet Rudyard Kipling to write his poem "On the Road to Mandalay".

Traveling along the lifeblood of the country -- the river Irrawaddy -- feels like being on a trek back in time. Along the river there are fishing villages where life hasn't changed for decades. The cruise along the river gets you to places not so easily reached by car or rail.

But there is one destination that leaves every visitor breathless -- Bagan.

Bagan is an ancient city situated in central Myanmar, in the region of Mandalay. Considered one of the world's most spectacular and significant archaeological sites, it consists of more than 2000 pagodas and temples built by the kings of Bagan between the 11th and 13th centuries.

Marcus Allender, founder of travel site for Myanmar, Go-Myanmar, wants to simplify travel to the country.

"[This] is a country that's had massive shifts over the past 1000 years and there are dozens of ancient capitals, Bagan being the most famous one. There are loads of them and there is just so much to discover," Allender says.

"And then when you get the Buddhism going through that, it's a deeply religious country, [with] all the pagoda's everywhere. It makes it special"

@highlight

Myanmar is opening up to foreign visitors

@highlight

There are many ancient treasures and many tourists are now discovering this south-east Asian country

@highlight

Highlights include the Shwedagon Pagoda, the Colonial buildings in the city of Yangon and Bagan