Washington (CNN) -- Two hours after first being notified of an attack on the U.S. diplomatic mission in Benghazi, Libya, a government e-mail to the White House, the State Department and the FBI said an Islamist group had claimed credit, according to a copy obtained by CNN.

An initial e-mail was sent while the attack was still underway, and another that arrived two hours later -- sent from a State Department address to various government agencies including the executive office of the president -- identified Ansar al-Sharia as claiming responsibility for the attack on its Facebook page and on Twitter.

The group denied responsibility the next day.

However, the e-mails raise further questions about the seeming confusion on the part of the Obama administration to determine the nature of the September 11 attack that left U.S. Ambassador Christopher Stevens and three other Americans dead.

Two White House officials, speaking on condition of not being identified on Wednesday, said the government e-mails about the attack were not an intelligence assessment. They also noted that there was conflicting information about Ansar al-Sharia denying responsibility.

Read what U.S. intel sees is an al Qaeda in Iraq link

"They were a part of the many different reports we were receiving that day," one of the White House officials said of the e-mails. "There are always multiple and conflicting reports in the initial hours of an attack. That's why you have an investigation."

Secretary of State Hillary Clinton advised reporters to wait until a review panel she appointed to investigate what happened completed its work.

"The Independent Accountability Review Board is already hard at work looking at everything, not cherry picking one story here or one document there but looking at everything, which I highly recommend as the appropriate approach to something as complex an attack like this," Clinton said Wednesday.

"You know, posting something on Facebook is not in and of itself evidence. I think it just underscores how fluid the reporting was at the time and continued for some time to be," Clinton said.

She repeated her earlier pledge to "take whatever measures are necessary to fix anything that needs to be fixed, and we will bring those to justice who committed these murders."

Meanwhile, White House spokesman Jay Carney noted the e-mail about the claim of responsiblity "was an open-source, unclassified e-mail referring to an assertion made on a social media site that everyone in this room had access to and knew about instantaneously."

Carney added that "the whole point of an intelligence community and what they do is to assess strands of information and make judgments about what happened and who was responsible."

The day after the attack took place, President Barack Obama referred to it as an "act of terror."

What the administration has said

But in the following days, Carney maintained there was no evidence suggesting the attack was "planned or imminent."

In attack aftermath, disagreement over how it began

The administration also suggested that an anti-Muslim video produced in the United States likely fueled a spontaneous demonstration in Benghazi as it had in Cairo, where the U.S. Embassy also was attacked.

Clinton, State Department spokeswoman Victoria Nuland and Susan Rice, U.S. ambassador to the United Nations, all cited the video as a motivating factor in the attack.

On September 13 -- two days after the attack -- a senior U.S. official told CNN that the violence in Libya was not the work of "an innocent mob."

"The video or 9/11 made a handy excuse and could be fortuitous from their perspective, but this was a clearly planned military-type attack," the official said.

However, it wasn't until September 19 that Matthew Olsen, the nation's counterterrorism chief, told senators that it was a terrorist attack. The next day, Carney also said it was "self-evident that what happened in Benghazi was a terrorist attack."

The e-mails obtained by CNN provide additional insight into the Benghazi attack.

The first one, sent at 4:05 p.m. ET, or 10:05 p.m. in Libya, described a diplomatic mission under attack.

"Approximately 20 armed people fired shots; explosions have been heard as well," the e-mail said. Stevens and four other mission staff were in the compound safe haven, it added.

Less than an hour later, at 4:54 p.m. ET, another e-mail reported "firing at the U.S. Diplomatic Mission in Benghazi has stopped and the compound has been cleared." It said a search was underway for consulate personnel.

The final e-mail, at 6:07 p.m., noted the claim of responsibility for the attack. The subject line said: "Update 2: Ansar al-Sharia Claims Responsibility for Benghazi Attack."

"Embassy Tripoli reports the group claimed responsibility on Facebook and Twitter and has called for an attack on Embassy Tripoli," the e-mail said.

The Facebook claim of involvement was subsequently denied by the group at a news conference in the following days, but not very convincingly.

"We are saluting our people for this zeal in protecting their religion, to grant victory to the prophet," a spokesman for Ansar al-Sharia said at the time. "The response has to be firm."

It is common for one or more claims of responsibility to follow high-profile attacks on U.S. targets, and intelligence officials analyze them for validity before declaring any legitimate. For example, groups make false claims to seek publicity and raise their profile.

Analysts examine a group's history, whether it made previous claims that were legitimate, whether it has the capacity to carry out such an attack, and whether known members of the group participated in the attack in assessing the validity of claims of responsibility.

CNN's Ed Payne, Tim Lister, Jessica Yellin and Adam Levine contributed to this report

@highlight

NEW: Secretary of State Hillary Clinton says don't "cherry pick" documents

@highlight

The White House says it received conflicting information about the attack

@highlight

A government email on the day of the attack says an Islamist group claimed credit

@highlight

The attack left U.S. Ambassador Christopher Stevens and three other Americans dead