Washington (CNN) -- The Germans, for obvious reasons, prefer their politicians dull. The current German chancellor, Angela Merkel, more than meets local expectations. So on the rare occasion when Merkel says something vivid, something important must be going on.

It is.

Speaking in Potsdam on Saturday, Chancellor Merkel told a gathering of young Christian Democrats that multiculturalism has failed.

That might seem to be saying the obvious.

Item: December 20, 2007. Two young men are smoking on a Munich subway train, where smoking is prohibited. A fellow passenger, a 76-year-old pensioner, asks them to stop. What happened next was captured on surveillance cameras. The young men call the old man a "s--- German" and savagely beat and kick him, fracturing his skull. Other passengers on the train failed to intervene. One of the attackers was a Greek immigrant, 17. The other, 20, was born in Germany of Turkish parents.

The Munich train story captured the attention of the country, symbolizing an apparent deterioration of public order driven by multicultural immigration. After the attack, Hesse governor Roland Koch asked:: "How much are we prepared to take from a small proportion of violent youths, who frequently have a foreign background?" There are more than 15 million people living in Germany who were either born outside Germany or whose parents were born outside Germany. That amounts to almost 20 percent of the population.

This immigrant population is disproportionately connected to almost all of the social problems of modern Germany. Yet the problem that has transfixed the country is, very understandably, the problem of crime. In Berlin, young men of immigrant stock are three times as likely to commit a crime as young men of German background, reports Germany's state broadcaster, Deutsche Welle. In a September interview, Chancellor Merkel endorsed claims that religious young men of Muslim origin were more likely to commit acts of violence than other young Germans.

These crimes seem increasingly the work of criminal gangs of immigrant origin that organize resistance to police authority in what the German media -- with tabloid exaggeration -- increasingly call "No Go areas."  Violent assaults upon police officers jumped 60 percent between 2005 and 2009, according to the German newspaper Bild.

Less spectacular -- but as important to ordinary people's feelings of security -- is the perceived deterioration of public order: declining schools, rising welfare rolls and foiled terrorist attacks.

Because of very low birth rates among old-stock Germans, the proportion of foreign-born is highest among those younger than 20s. In the poor Berlin neighborhood of Wedding, three out of four students and at least half the parents lived on unemployment benefits and welfare, even before the global economic crisis. In 2005, The New York Times interviewed a teacher in a Wedding high school:

"In Wedding, [Evelyn] Rühle says, immigrant children today speak poorer German and have less contact with German culture than when she started teaching 20 years ago. Many Muslim students ... go to Koran classes outside of school and speak only Turkish or Arabic at home. Meanwhile, the growth of digital television has made a host of Turkish- and Arabic-language channels available, intensifying language problems and nurturing identities that are informed more by the Israeli-Palestinian conflict or the war in Iraq than by the local German environment."

A high-tech economy offers few opportunities for the poorly educated, with the result that immigrants and their children increasingly find themselves dependent on public assistance.

In the United States, immigrants are less likely than the native-born to collect welfare or other social benefits. In Europe, immigrants are radically more likely than the native-born to collect welfare and social benefits, with Third World immigrants collecting the most of all. That's the findings of a 2005 study by researchers at Prague's Charles University.

European voters have absorbed these uncomfortable data into a suspicious view of newcomer intentions: According to a recent study by the Friedrich Ebert think tank, 34.3 percent of Germans believe that migrants come to Germany primarily to receive welfare benefits.

Merkel's Potsdam speech did not cite those social problems.

In Germany, the problems created by immigration literally go without saying, and those who do try to talk about them rapidly find themselves ejected from public life. Thilo Sarrazin, a governor of the Bundesbank (and it's worth mentioning, a member of the left-of-center Social Democratic party) was pressured to resign his post in September after publishing a book arguing the failure of Germany's absorption of immigrants.

Yet in the words of Sigmund Freud, the repressed always return.

Even if Germany and the other European Union countries can prevent the immigration population from growing -- and that is a very uncertain if -- they must find ways to deal with integrating the immigrant population already present, both first- and second- generation.

It's safe to say that no country in Europe is succeeding at that all-important job.

Two weeks ago, I visited the British city of Birmingham.

In 2005, the city had been torn by riots that erupted about 50 yards from the lawyer's office in which I met with four community activists. The riots were sparked when a rumor spread through the neighborhood's Afro-Caribbean population that some Asian youths had gang-raped a black girl. That rumor proved false, but only after blacks and Asians had fought two days of street battles that left two people dead.

I asked these local leaders how things had changed since 2005. The answer: not very much at all.

The authorities had responded to the riots by infusing more money into the community and by intensifying police patrols.

But the mutual suspicions between groups had not been allayed. Problems of integration remained. One of the four activists I met was obviously uncomfortable speaking English, even though born and raised in the United Kingdom. One said to me very poignantly: "The British don't know who they are, so they can't teach us how to adapt."

On the other hand, it's not so clear how much the newcomers want to adapt. The man who spoke poor English had spent his entire life inside an Islamic school system, memorizing the Quran in Arabic. Hard to see how that form of knowledge would equip anyone for life in a modern technological society.

Chancellor Merkel's Potsdam speech raised the question: Could more be done to accelerate immigrant adaptation? Unfortunately the speech offered few answers.

Quietly, some Europeans are wondering whether Europe -- by stumbling into an American-style immigration policy -- has willy-nilly forced itself to follow other American policies as well:

-- Tougher law enforcement and longer prison sentences to fight crime.

-- A less generous welfare state that compels migrants to work rather than collect benefits paid for by the native-born.

-- A stronger assertion of national identity -- and a more emphatic demand that newcomers adapt to the existing society.

These days, many American conservatives are warning that the United States is going the way of Europe. But maybe the real story is the reverse: Is it Europe that will soon be imitating the United States?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

German chancellor Angela Merkel said multiculturalism hasn't worked

@highlight

David Frum notes crime, other social problems resulted from immigration into Germany

@highlight

He says Europe may need tougher law enforcement, less generous welfare state

@highlight

Frum: Will Europe soon be imitating the U.S. on immigration policies?