(CNN) -- No city better exemplifies China's investment in its western interior than Chengdu, the booming capital of Sichuan, famous for pandas and spicy food.

The city recently hosted the Fortune Global Forum and announced that visitors from 45 countries can enjoy a 72-hour visa-free stay, further cementing its rise as a major tourism destination.

Yet only two hours from this metropolis of 14 million people lies a town that has remained fundamentally untouched by the economic changes that have transformed so many lives in China over the past 35 years.

Bagou -- a coal town that has seen its population fall from a peak of 20,000 to 1,500 in the years since the mine ceased operation -- is an anomaly in China. It's a town that's actually worse off in 2013 than it was in 1963.

The vast workers' auditorium, miners' cottages (several built by the British in the 1930s), schools and hospitals are all empty and in a state of abject disrepair, but the fact that more tourists are arriving on the steam railway means the town's worst days may now be behind it.

The narrow-gauge rail line was built to connect Bagou with the river town of Shibanxi in 1958 and has six intermediate stops along its 19.8-kilometer (12.3-mile) route.

Although used primarily for the transportation of coal, it continues to provide a passenger service.

In fact, until 2012 there was no road to Bagou and the town could be reached only by train or on a motorbike running alongside the tracks.

Tickets for "local" trains cost 5 RMB (about 80 cents) to ride the line in its entirety, while those for the new tourist trains from Yuebin are RMB 50 ($8).

These services are air-conditioned, provide a seat (not guaranteed on local trains) and will usually stop in Jiaoba to allow passengers to photograph the most scenic part of the route.

All trains are powered by one of six working steam engines that are housed and serviced in Shibanxi.

More on CNN: Checking in on Chengdu, China's latest urban star

China's industrial heritage

Most passengers, both locals and tourists, disembark in Bagou, but an interesting alternative is to continue to the final stop, Huangcun, to take in the Cultural Revolution slogans and artwork that decorate the buildings right next to the platform.

Huangcun is also home to the coal mine Bagou and its surrounding villages relied on for more than 70 years.

The mine has been open as a tourist attraction since 2008 and daughters of former miners (the guides are all female) lead informative tours.

After emerging back into daylight, the 20-minute walk to Bagou through plantain groves passes many buildings of interest, including the former Occupational Disease Clinic, hospital and middle school.

With a well put together museum in Bagou, housed in the Soviet-built former town-administrative center, the mine and steam engines mark the beginning of a nascent interest in industrial heritage in China.

Steam enthusiasts arrive from, chiefly, the UK, Germany, the U.S. and Japan, but it's Chinese tourists that the town is trying to attract in larger numbers.

An increasing number of chartered trains bringing in groups from Chengdu and further afield attest to the success of the local campaign sign-posting the railway as "a living fossil of the Industrial Revolution."

Along with the industrial heritage appeal, Bagou is attracting tourists interested in the social history aspect of a town that has been frozen in time.

Cultural Revolution artwork and slogans that adorn many buildings have been repainted and the original "Mao stage," where only 40 years ago "struggle sessions" viciously humiliated supposed class enemies, has been authentically restored.

The Jiayang Railway makes a fascinating addition to the well-established local itinerary of Emei Mountain and Leshan Big Buddha. With outstanding hiking opportunities in the bamboo-covered hills that surround the line, fresh, fiery and delicious Sichuan food and accommodation at RMB 50-100 per night it also makes for an ideal weekend excursion from Chengdu.

More on CNN: CNNGo TV in Chengdu

Essential info

To get to the train line, take a taxi from downtown Chengdu to Shiyang bus station for RMB 25 and purchase a ticket to Qianwei for RMB 68. Buses run every hour and the journey takes approximately two hours.

Once in Qianwei town take a local bus, taxi or motorbike taxi (RMB 50) to either Shibanxi -- the true beginning of the line -- or Yuejin, where the tourist trains commence.

It's possible to hike the entire length and attendants are on hand to say when it's safe to pass through each of the six tunnels. Accommodation is available en route but it's easiest to find in Bagou.

A local guesthouse will cost in the region of RMB 50-60 per night and a room in the new station hotel is RMB 100.

Visitors arriving in Shanghai can take the 431 kmh (267 mph) Maglev to begin their China experience on the world's fastest train. The contrast between this and the Jiayang trains trundling along at 30 kph perfectly encapsulates the divide between old and new and rural and urban that so marks modern China.

More on CNN: Welcome to the most creative restaurant in China

@highlight

China's Jiayang Railway offers spectacular mountain scenery and a window into the Industrial Revolution

@highlight

Trains headed for the coal town of Bagou are powered by one of six working steam engines

@highlight

Buildings next to the platform at Huangcun, the final stop, are covered in Cultural Revolution slogans and artwork