Bor, South Sudan (CNN) -- Fears that a new civil war could erupt in South Sudan drove leaders of two neighboring African countries into its capital, Juba, Thursday.

Kenyan President Uhuru Kenyatta, Ethiopian Premier Hailemariam Desalegn and South Sudanese officials had "very constructive" talks, but reached no agreements, South Sudan's foreign minister said Thursday.

They will meet again Friday with leaders of nations that belong to an East African governmental group, according to Foreign Minister Barnaba Marial Benjamin.

Kenyatta and Desalegn have called for an immediate end to the fighting, in which South Sudan's President Salva Kiir is fighting a rebellion led by former Vice President Riek Machar, whom he dismissed months ago.

News of the summit comes as United Nations officials work feverishly to finalize details of sending peacekeeping reinforcements to South Sudan. The U.N. hopes to send them in no later than Saturday to help protect the 50,000 people now crowding U.N. bases, seeking shelter from the fighting.

The U.N. Security Council voted Tuesday to bring the total peacekeeping force up to 12,500 soldiers and 1,323 police officers.

At a press briefing, Hilde Frafjord Johnson, the U.N. special representative of the secretary-general, said by teleconference that the fighting threatens to bring back "nightmares of the past" -- decades of strife that led to creation of the world's newest country.

"And for us, one of the most important things is to have those nightmares end," she said.

Recurring nightmare

The bloodletting on Wednesday in the South Sudan city of Bor was a real-time repeat of slaughters 22 years before -- another time in which Machar, then a rebel leader, broke ranks and turned against a former ally.

In 1991, when the south still belonged to the nation of Sudan, it fought a bloody civil war against the north. Machar had a falling out with John Garang, who led the fight against the north. That split led to vicious attacks in Bor.

People fled. People died.

More than two decades later, after South Sudan achieved independence from Khartoum, after it became the world's newest nation, people are again dying. They are again fleeing government troops battling rebel followers of Machar.

In Bor, the evidence of fresh blood was everywhere Wednesday. On Christmas Day, the stores were looted, emptied of everything. The hospitals had no medicine, no doctors. Even they ran to save their own lives.

Homes lay burned. Razed.

On both sides of the main roads, streams of people carried their life's belongings. Even chairs.

Sporadic gunfire, mainly warning shots now from government troops, pierced the air.

The heavy fighting, for now, was done. President Kiir's soldiers were in control. The rebels were battling elsewhere for control including further north in the city of Malakal, the capital of oil-rich Upper Nile state.

The conflict, which broke out mid-month, has led to mass killings as evidenced by mass graves, the United Nations has said.

It's a tribal war, in which ethnic interest is placed above national unity.

Kiir and Machar are longtime rivals from two different tribal clans -- Kiir, like Garang before him, is from the Dinka tribe, and Machar from the Neur.

But the speed with which tensions broke into outright violence took everyone by surprise, the U.N.'s Johnson said Thursday.

"The speed, the gravity and the scale, I think nobody would have expected," she said.

Humanitarian crisis

On Wednesday, U.N. Secretary-General Ban Ki-moon warned that those responsible for civilian deaths would be held accountable.

"I once again call on the country's leaders to settle their differences peacefully -- and I underscore their responsibility to protect civilians," Ban said.

The Peace and Security Council of the African Union expressed "deep dismay and disappointment that the continent's newest nation should descend so rapidly into internal strife."

As the crisis worsens, aid agencies predict they will need $166 million from now until March to provide water, sanitation, medical care and food. Even in Juba, food is running short.

In the last 10 days, 90,000 people have been forced from their homes; 58,000 of them are at U.N. peacekeeping bases.

Wounded U.S. Navy SEALs

Bor is where Machar's forces fired on three U.S. military aircraft that were on an evacuation mission Saturday. Four Navy SEALs were injured; the most seriously injured of them was en route Wednesday to the U.S. military hospital facility in Landstuhl, Germany. He had been treated initially in Nairobi, Kenya.

"The fourth injured service member is on his way," a U.S. military official with knowledge of the operation said. "I hear he is doing well."

The official, who spoke on condition of anonymity, said the four SEALs were part of an operation to evacuate Americans in and around Bor when the CV-22 Osprey they were aboard was shot down. The Osprey was flown by an Air Force Special Operations team, and the SEALs were aboard to provide security when they landed, the official said.

In places like Bor, conflict had become a part of life, except perhaps for a brief time after South Sudan was born.

In Bor Wednesday, a 33-year-old woman who had lived through the violence of 1991, found herself questioning the future. Again.

"How long," she asked, "are we going to continue to run?"

Journalist Mading Ngor reported from Bor and CNN's Moni Basu wrote from Atlanta. CNN's Chelsea J. Carter, Azadeh Ansari, Barbara Starr, Nana Karikari-apau and Ben Brumfield contributed to this report.

@highlight

NEW: U.N. officials hope to have reinforcements in South Sudan by Saturday

@highlight

Peace talks "very constructive," South Sudan's foreign minister says

@highlight

Fighting between rival ethnic groups has resulted in mass killings

@highlight

Four U.S. Navy SEALs were wounded by rebels on Saturday