Istanbul, Turkey (CNN) -- Turkish companies are reeling from a recent Syrian government decision to ban the import of products that have a customs tax of more than 5%. Meanwhile, the Turkish government is considering whether or not to slap punitive policies, such as possible economic sanctions, against its eastern neighbor and former close political ally.

The Syrian government announced on September 22 that it would suspend imports of high-tariff goods.

Last week, Syria's minister of economy and trade described the partial import ban as "temporary and precautionary." According to the Syrian state news agency SANA, Mohammad Nidal al-Shaar said the ban was aimed at preserving dwindling foreign currency reserves.

According to a list published by the Turkish Ministry of Economy, the products Syria has banned include mobile phones, contact lens fluid, and vehicles ranging from passenger buses and vans to ambulances and trucks used for construction.

Turkish businessmen fear the move could dramatically affect trade between the two neighbors. According to Turkish government statistics, bilateral trade between Turkey and Syria more than tripled between 2006 and 2010, as Damascus and Ankara signed a free trade agreement and removed visa requirements for each others' citizens.

"There is fear," said Ibrahim Eminoglu, an official involved in foreign trade at the Chamber of Commerce in Antakya, a Turkish province bordering Syria. "Companies are calling us and asking about it. ... For example, we have a client who was going to sell car batteries [in Syria]; now he is not sure if he should go ahead and make the deal."

"There will be some impact on cosmetics, construction, packing sectors and refined petroleum products," said Murat Akyuz, chairman of the Mining and Metals Exporters' Association in Istanbul. "We will try to compensate [the loss] with other markets."

The anti-government uprising that erupted in Syria last March, and the subsequent brutal government crackdown that has resulted in the deaths of more than 2,700 people, severely damaged close political ties between the Syrian and Turkish governments.

Turkish government officials have repeatedly criticized bloody Syrian military operations against opposition protesters.

In recent months, Turkey has hosted meetings for political groups opposed to the Syrian government. The Turks have also been feeding more than 10,000 Syrian refugees, who have been housed in tent cities after they fled across the border to escape Syrian security forces.

On Sunday, a Turkish government official told CNN that Ankara was weighing possible further steps against the Damascus regime.

"We are considering taking some steps, but we're not there yet," the Turkish official said, on condition of anonymity. For days, the Turkish media has been writing about the possible imposition of punitive economic sanctions against Syria, including the freezing of government assets. So far, no sanctions have been adopted.

Some Turkish industrial leaders fear further deterioration of political relations could hamper Turkey's access to lucrative Middle Eastern markets.

"Syria is the only door in land transportation to the rest of the Middle East for transit trade to other countries like Saudi Arabia, Kuwait and Dubai," said Eminoglu, of the Antakya Chamber of Commerce. "We have been looking into alternative routes in case there is a need for it, such as sending containers by ship."

Meanwhile, there are signs the import ban is unpopular within the Syrian business community, which experts say has largely avoided picking sides throughout the six-month-long uprising.

In an article published in Gulf News last week, Syrian journalist Sami Moubayed warned the import ban would "drive a permanent wedge between the Syrian government and the business community."

Moubayed wrote that many Syrian companies are already struggling because of U.S. and European sanctions that curtail trade and banking transactions.

"The present legislation will drive many heavyweights out of business who made fortunes lately through importing foreign consumer products," Moubayed wrote. "Now they feel that the regime is no longer on their side."

@highlight

Turkish government considering economic sanctions against neighbor Syria

@highlight

Last month, Syria banned imports that have high tariffs

@highlight

Turkish businessmen fear the move could harm trade

@highlight

Syria protests and government crackdown have damaged political ties with Turkey