Washington (CNN) -- Ten years ago in September, rescue workers began inhaling a toxic mix of airborne debris that curled out of the World Trade Center's mangle of steel, re-bar and concrete, coating in white the clothes and at times the lungs of emergency responders who worked at ground zero.

Thousands descended on New York and Washington in 2001 in a desperate attempt to help those who had perished, or would soon die, after a series of coordinated attacks rocked the nation and redefined its security mandate.

But news of the death of Osama bin Laden -- al Qaeda's figurehead killed during a gun battle in Pakistan -- offered Americans a happier reason to gasp.

"It's wild," said Tyler Smith, wiping away his swelling tears as he held a cigarette that trembled between his fingertips. He was at the White House celebration.

"It's just very intense."

The young veteran -- who served in Afghanistan in 2004 and 2005 -- then grabbed his baseball cap, pulling it down to shield his watering eyes from view.

"I'm sorry," he said. "I just don't have the words."

Americans celebrated early Monday in a show of patriotism against the man who committed much of his life to attacking U.S. citizens and others.

In front of the White House, chants of "U.S.A.! U.S.A.!" filled the night air, and the group spontaneously broke into an off-key rendition of "The Star-Spangled Banner."

Other revelers hearkened back to the turmoil of that fateful blue-sky day in September.

"I was in D.C. during 9/11," said 33-year-old Mason Wright, recalling his days as a student at American University in Washington, D.C.

From his apartment, Wright said he watched television images of the second hijacked plane as it plunged into the World Trade Center in lower Manhattan.

"It's hard to believe 10 years later it's over ... It's finally come to an end."

Dustin Swensson, who recently served in Iraq, echoed those comments, calling the news "historic."

Alan Comar, a 29-year-old resident of Washington who worked as a U.S. contractor in Afghanistan, clutched his girlfriend as they gazed across the red, white and blue crowd.

"Its one of those 'got-to-be-there' moments," he said.

The mood was much more somber at the Pentagon memorial a few miles away, where 184 people died when a hijacked American Airlines Flight crashed on September 11, 2001.

"Everyone was at the White House celebrating, and hardly anyone was at the memorial," said Jessica McFarland of Arlington, Virginia. "I felt like this site put things in perspective."

Meanwhile, teenagers, scarcely old enough to remember the near decade-old attacks, dashed toward the White House gates, eager to join the swelling throng of American revelers.

"It's something that defines a generation," said Ashley Cummings, a Michigan resident visiting Washington.

"They're not going to pull out immediately," she said, referring to the NATO-led International Security Assistance Force in Afghanistan. "There's still a lot of work to be done, but this affirms that they were over there for a reason."

Her comment echoes a question likely to be raised in the coming weeks and months over the ways in which an American-led war in Afghanistan can continue without the specter of the Qaeda leader.

"It's a war that I feel we just won," said one former New York firefighter -- who says he was forced to retire due to lung ailments suffered from dust at ground zero -- the site where the World Trade Center's twin towers once stood.

Private moments of reflection were happening, too, as loved ones of those killed in the September 11 attacks quietly marked bin Laden's death.

Patricia Sliwak-Grinberg said she cried when President Barack Obama began to describe the September 11 attacks as he delivered news of his death.

Her brother, Robert Sliwak, was a Cantor-Fitzgerald employee who died in the World Trade Center.

In New York, strains of "God Bless America" could be heard intermittently trickling through the crowd.

The area, once a barren and bitterly contested site, has since given way to the beginnings of construction for a long awaited "Freedom Tower," or the 1 World Trade Center.

In another sign of the evolving times, a neighborhood Burger King that medics once converted to a makeshift trauma center following the attacks, now houses a younger fast-food staff mostly unfamiliar with the restaurant's storied past.

"A lot of retired cops still come here and talk about it," said Joshua Nash, a 22 year-old employee from Bronx, New York. During the ensuing rescue effort, EMTs treated victims atop dinning tables at the Home of the Whopper, while draping intravenous drips across wall lamps.

"Do you want to know what I really think?," asked Nash. "I think a lot of the people around here yelling and celebrating were just looking for an excuse to get drunk and yell."

"They don't know what this is about."

His words seem to capture an unease with celebrating death that other New Yorkers quietly reflected.

Some just seemed relieved to close the final chapter of bin Laden's life.

Carie Lemack, whose mother, Judy, was killed on American Airlines Flight 11, said she can't "express how this feels to my family.

"Relief is one word."

Jim Riches, who lost his firefighter son, Jimmy, when the World Trade Center's north tower collapsed, said the news offered a bit of comfort.

"(My) son still isn't coming home," he said. "(There's) no closure, but at last, at least some justice for the murder of 3,000 Americans, finally."

Elsewhere in New York, police cordoned off stretches of Manhattan's Financial District where crowds had gathered in celebrations through the night.

September 11 has since served as a galvanizing symbol of American patriotism and its willingness to doggedly -- and at times controversially -- pursue enemies across borders. But it remains unclear whether decapitating al Qaeda's infamous figurehead will mark a turning point in a war that has left thousands of Americans dead and killed untold numbers of civilians.

In July, NATO offered further support for Afghan President Hamid Karzai's objective of taking on greater responsibility for the country's security by 2014.

Analysts, however, remain skeptical, citing corruption and patronage networks that they say enjoy a degree of political protection.

Meanwhile, Sunday's news comes just a single day after a Taliban announcement of a renewed offensive against allied troops and Afghan security forces in the region.

CNN's Susan Candiotti, Emanuella Grinberg, Christina Zdanowicz and Nicole Saidi contributed to this report.

@highlight

Celebrations break out in Washington and New York, and on college campuses nationwide

@highlight

A firefighter's father says he's gratified, but bin Laden's death won't bring back his son

@highlight

A retired New York police officer says bin Laden's death gives him a sense of closure

@highlight

Mood is sober at Pentagon memorial