(CNN) -- Finding out who talks to who and who can influence other people is an age-old marketing tool. Now, companies are finding a goldmine of valuable information by mapping networks of influence -- both inside and outside their organizations.

Take Danish consulting company Innovisor -- they took advantage of their employees' increased use of social media to land two major banks as clients.

After locating all their employees' LinkedIn connections to two companies they were targeting as clients, they divided the contacts into three groups: Information providers, Influencers and Decision Makers. Working their way up the chain from information providers, they then asked their employees to gather as much information as they could about their target companies.

"Everyone, from the cashier at the bank had valuable information to add," says Jeppe Vilstrup Hansgaard, partner at Innovisor.

"By the time we approached the decision makers we understood the structure of the business and we brought a level of knowledge that created a far better dialogue than you would normally have," he added.

Freedom key to workplace of the future

The process was inspired by Morten Hansen, professor at the University of Berkeley, and his book "Collaboration: How Leaders Avoid the Traps, Create Unity, and Reap Big Results." He calls the process "Swarm the Target" -- in this case the target being the prospective clients and the swarm being information seekers coming from all directions.

In its essence, it's marketing. "If you want to sell new sneakers you pinpoint the two or three most popular people to buy them," says Hansen, and adds that when you map a corporation's internal network, "you pinpoint the most central people and contacts in a company."

When Innovisor is not putting their knowledge to creative use for their own benefit, this is exactly what they do. The company makes it their business to map the internal networks and relations of client companies -- helping them pinpoint who talks to who and who influences others.

"Relationships between people are invisible," says Hansgaard. "By making them visible you can make them controllable. You can illuminate gaps in collaboration, you can build them and you can strengthen them."

This kind of knowledge can prove crucial to a company's efficiency, for example when implementing change.

At Vestas, one of the world's largest wind turbine manufacturers, Innovisor pointed to one person as having a major influence on 58 people. "He is someone you really need to have on board when you want to change things," says Hansgaard, and adds that one of the most amazing things is that a lot of companies are not aware who their "influencers" are.

With one client in the Middle East, Innovisor found three major influencers. "Two of them, the company leadership had no idea even existed," says Hansgaard.

The mapping of a network can also highlight problems with collaboration, which according to Hansen can have a major impact on a company's bottom line.

Case in point is Apple. "The iPod 2001 was a collaboration across units in Apple and with partners outside," Hansen says. "It was put together by already existing technology. In hindsight we know how important that was. The company that should have done it, Sony, was in a far better position to do it but they failed miserably to collaborate."

The bottom line is that businesses are people and relations matter. As networks grow broader, bigger and more global --- as they expand across distances, borders, cultures and functionalities -- so do their potentials and problems.

Mapping networks, says Hansgaard, can provide a clearer picture for leaders to make decisions. "It also provides a readiness to change by giving employees visible proof why it is necessary," he says.

@highlight

Businesses are mapping networks of influence in their organizations

@highlight

Spotting and utilizing influencers is a marketing tool, says Berkley professor Morten Hansen

@highlight

Danish company Innovisor used employees' networks to land new clients