(CNN) -- It took 27 years, but Gary Lauder eventually came up with what he sees as the solution to the problem of unnecessary stop signs: a new kind of road sign that tells drivers at some kinds of intersections to "take turns."

Nearly three decades ago, Lauder, then a college student, was driving at a three-way intersection when he got a ticket "for not coming to a full and complete stop despite the fact that it was clear that there was nothing to stop for -- other than the hidden police officer who was shooting fish in a barrel."

Now 47, and a venture capitalist in Silicon Valley, Lauder said he mulled the matter over for years but didn't focus much effort on it until his proposal to speak about it was accepted for the TED2010 Conference in Long Beach, California.

Lauder's idea, described in his 4½ minute talk at TED, is that the new sign could take the place of some stop signs and, in certain circumstances, avoid unnecessary stops, saving time, fuel and carbon emissions, while promoting smooth traffic flow. He estimated that one conventional stop sign on a particular road costs $112,000 a year in fuel and lost time -- and "turns otherwise honest citizens into lawbreakers."

"If I had had more time for my talk," Lauder said. "I might have included the ideas behind this quotation: 'Useless laws weaken necessary laws.' -- Charles de Secondat, Baron de Montesquieu."

Read more about Lauder on TED.com

Lauder is the managing partner of Lauder Partners LLC, which invests in information technology businesses. He is co-inventor of 10 patents, mostly in the field of interactive television, and, with his wife, Laura, he created the Aspen Institute's Socrates Society, which hosts roundtable discussions. He spoke to CNN Monday. Here is an edited transcript.

CNN: Your day job is as a venture capitalist. How did you get involved in the whole issue of traffic?

Gary Lauder: We drive, so it's hard to ignore that experience which we all share, and while driving, one's thoughts go to how this can be improved. In particular they were driven there by having received that traffic ticket...a long, long time ago. The whole issue of stop signs making you stop for no one in particular or no one at all, which is often the case, made me think: What is this trying to achieve? And is there not a better way that might make our driving more in sync with common sense and with what's best for the environment and for the driver?

So many of these stop signs are there to deal with a possibility of someone coming to the sign. Since it's only a possibility, make it more of a conditional thing -- if there's a car there, then stop, if not, don't. That seems to be a more logical approach. It's just something no one's bothered to do because this hasn't bothered anybody enough to go do it.

A crisis is a terrible thing to waste, and we currently have a high level of consciousness of energy and global warming and so forth that's motivating us to do a lot of things differently and better than in the past.

It's somewhat analogous to the 1970s energy crisis. That is what caused the East Coast, except for New York City, to adopt right turn on red. Most of the East Coast did not allow right on red until then and my understanding [is] it was allowed for energy saving purposes ... this approach would cause substantial savings without trading off safety.

CNN: One technique that's been suggested by urban planners is the roundabout.

Lauder: Roundabouts are a wonderful technology that have been well established outside of our country and they're starting to appear more and more in America, but very, very slowly. They're kind of expensive to put in and they sometimes require eminent domain [condemnation] of land around where they're put in. So it's kind of a big deal to put in. Whereas the nice thing about the sign I'm proposing is that it's probably about $200 per location, to take down the old sign and put up a new one, which is obviously a drop in the bucket and could be implemented in a very short time once it was approved.

CNN: Talk about the merits of the new sign and where you think they should be placed.

Lauder: This is not meant for everywhere. Its best use is for where you have a high level of traffic on the major road and only a minor level of traffic coming in on the minor road ... all the cars all day long on the major road today have to stop for those phantom cars that aren't there. This is meant for situations where you have a three- or four-way intersection that has three- or four-way stop signs. So it's meant to be placed on the major roads, not the minor road. The minor road will still have a stop sign.

CNN: In the ideal case, it would accomplish what?

Lauder: The idea is it would enable cars to not have to stop if there's no one to stop for, and so not stopping saves gas, which means saving pollution and it saves time, and ... there are lots of law-abiding citizens who consistently break the letter of the law by not coming to a full and complete stop. It's really unfortunate to have laws that compel one to violate common sense and violate what's best for our atmosphere and respect for our wallets. ... This would help bring the law back into sync with common sense.

CNN: Do you have a name for this sign?

Lauder: I call it the "take turns" sign, which unfortunately suffers from a slight ambiguity because there are two meanings of the term "taking turns." You can take a turn at an intersection, which means turning right or left, or taking turns means alternating, but I can't think of a better way to express it in our language.

CNN: And beyond giving the TED Talk about it, have you proposed this to any government?

Lauder: Not yet. I have been looking into how to get this idea in circulation among people where this is their job, traffic engineers ... I am in the process of looking into how to bring this idea to them, but I have not yet figured out a good way. ...

I thought this type of idea might best be initiated at a forum like TED. People who attend TED or watch it online are people who enjoy new ideas and would inherently be critical but receptive to things that would improve the world.

CNN: What's the reaction been since the TED talk?

Lauder: Well it's been remarkable how positively it's been received, mostly in the form of comments on the site, and people posting it and reposting it. And lots of Tweets. There are some negative comments and lots and lots of misunderstanding, but by and large it's been positive.

Some of the people who commented on various Web sites noted that there have been signs that urged people to take turns, but those had been in merging situations where there are two lanes that are merging into one. And that's a completely different purpose. ...

So the reaction has been very positive, and that encouragement has been important to me in wanting to help make the idea into a reality.

For more information on Lauder's idea, click here

@highlight

Stop signs on certain roads serve little purpose, says Gary Lauder

@highlight

He says a new "take turns" sign would be ideal for main roads that intersect with minor roads

@highlight

Lauder says the new sign would save money, fuel and time

@highlight

He says some stop signs turn otherwise honest citizens into lawbreakers