Istanbul (CNN) -- Turkey ordered the expulsion of Israel's ambassador and other senior diplomats stationed there on Friday, a dramatic slap against its one-time close ally over its failure to apologize for a deadly raid last year on a Gaza-bound ship in a flotilla loaded with humanitarian aid.

Low-level officials are allowed to stay, but others must leave by Wednesday, a Turkish official said. Turkey has been incensed with Israel after its commandos clashed with Turks on one of the flotilla ships, the Mavi Marmara, and killed nine people.

This comes on the same day that U.N. released a report about the May 2010 raid. The document criticized Israel's actions in the incident, even as it describes the Israeli naval blockade of Gaza as a "legitimate security measure." Secretary-General Ban Ki-moon received a copy of the report on Friday, a U.N. spokesman said.

Eduardo del Buey, deputy spokesman for Ban, said the secretary-general regretted that the report did not bridge the gap between Turkey and Israel. Victoria Nuland, spokeswoman for the U.S. State Department, echoed that sentiment.

"We hope they will continue to look for opportunities to improve their long-standing relationship, and we will encourage both to work towards that end," she said.

Israel expressed its sorrow at the loss of life, but said it "will not apologize for its soldiers taking action to defend their lives. As any other state, Israel has the right to defend its civilians and soldiers."

Israel's blockade of Gaza is designed to prevent weapons from being smuggled to the territory, which is controlled by the anti-Israeli group Hamas. Gaza-based militants have been firing rockets into southern Israel and Israel has responded with military might.

But Turkey has been strongly opposed to the Jewish state's naval blockade of the Palestinian territory of Gaza because, an official said, Palestinians have suffered from the action and other Israeli policies in the densely-populated region.

"It is about time for the Israeli government to face the consequences of its illegitimate actions since it sees itself above international law and ignores human conscience and must pay a price," Foreign Minister Ahmet Davutoglu said Friday. "This price will be, above all, the loss of Turkey's friendship."

Turkey has been Israel's closest and steadiest Muslim ally since the Jewish state was founded. The relationship has had political, economic and military components, and both countries have been stalwart Western allies during the Cold War and over the subsequent decades.

In fact, trade has grown from 2008 to 2010, according to Turkey's economy ministry's website.

Turkey's imports from Israel totaled $842 million from January to July in 2010 and $1.1 billion during the same period in 2011. Turkey's January to July exports to Israel was $1.1 billion in 2010 and $1.3 billion in 2011.

But ties between the nations have deteriorated during the administration of Turkish Prime Minister Recep Tayyip Erdogan -- long critical of Israel's policies in Gaza.

Davutoglu said military agreements have been suspended. But a senior Turkish official said that existing contracts must be honored "no matter what" and "we haven't touched upon intelligence sharing."

Israel and Turkey have long had a close military relationship, but there have been no joint exercises for more than a year and a half amid tensions between both sides.

The two countries have been negotiating for months in an attempt to improve their faltering relationship, but those efforts have failed. The release of the report was delayed while those negotiations continued.

"We've waited and waited," the senior Turkish official told CNN. "There was almost an agreement that Netanyahu agreed upon... They're just wasting our time." He was referring to Israeli Prime Minister Benjamin Netanyahu.

"This makes it official. Before it was de facto, there was nothing going on, but definitely there was contact," said the official, who asked not to be named because of diplomatic protocol.

One analyst said, "Turkey has been warning Israel for months that it would do this and Israel chose to ignore it."

Hugh Pope, senior Turkey analyst with the International Crisis Group, argued that Turkey made a concession earlier this year, by preventing the Mavi Marmara from leading a second proposed blockade-busting flotilla to Gaza.

Pope said Turkey's stance on Israel could be risky in its relationship with the United States. But the country -- while critical of Israel and friendly with Iran, Israel's arch-enemy -- has been firmly in the Western camp lately.

"At the moment, the U.S. seems to appreciate Turkey's role in the region," he said.

Turkey has been an integral player in the allies' efforts in Libya and in Syria. Also, its foreign ministry has confirmed to CNN that Turkey agreed "in principle" to place a NATO long-range radar system on Turkish territory.

"Turkey's hosting of this element will constitute its contribution to the defense system that was developed within the new strategic concept of NATO. It will strengthen the defense capacity of NATO and our national defense system," the foreign ministry said.

In contrast with Turkey's official view, the U.N. report on the flotilla incident said that Israel's naval blockade of Gaza was a "legitimate security measure in order to prevent weapons from entering Gaza by sea."

But it criticized Israel's actions on the ship, saying its "decision to board the vessels with such substantial force at a great distance from the blockade zone and with no final warning immediately prior to the boarding was excessive and unreasonable."

"Non-violent options should have been used in the first instance. In particular, clear prior warning that the vessels were to be boarded and a demonstration of dissuading force should have been given to avoid the type of confrontation that occurred. The operation should have reassessed its options when the resistance to the initial boarding attempt became apparent," the report said.

The report said the "loss of life and injuries resulting from the use of force by Israeli forces" during the vessel's takeover "was unacceptable." It said "no satisfactory explanation" had been provided for the deaths.

"Forensic evidence showing that most of the deceased were shot multiple times, including in the back, or at close range has not been adequately accounted for in the material presented by Israel."

The report said there was "significant mistreatment of passengers" by Israeli authorities. That took place from the takeover through deportation.

"This included physical mistreatment, harassment and intimidation, unjustified confiscation of belongings and the denial of timely consular assistance."

The report said "the flotilla acted recklessly in attempting to breach the naval blockade," adding that actions of the flotilla needlessly carried the potential of escalation. It said most flotilla participants "had no violent intentions," but there were questions about the objectives of the flotilla organizers, particularly the Turkish non-government organization, IHH.

"Israeli Defense Forces personnel faced significant, organized and violent resistance from a group of passengers when they boarded the Mavi Marmara requiring them to use force for their own protection. Three soldiers were captured, mistreated, and placed at risk by those passengers. Several others were wounded."

Davutoglu made reference to the U.N. report on Friday, saying it underscores Turkey's position that crimes were committed by Israeli troops on the ship. However, he disagreed with the stance that the Israeli blockade is legal.

The senior Turkish official said the U.N. report is political. The report is called the Palmer report, named after the chair of the panel of inquiry into the incident, Sir Geoffrey Palmer.

"We don't recognize the so-called blockade out of Gaza. And we leave it at that," the senior official said. "We will try to pass some kind of resolution or decision saying it's not legal."

He said Turkey is willing to help any legal challenges to the blockade.

The Israeli government accepted the report -- with reservations.

It said the decision to board the vessels was not excessive and unreasonable, claiming its troops gave repeated warnings to the ships, Netanyahu's office said in a statement. Israeli soldiers' lives were in immediate danger from passengers who carried metal bars, slingshots and chains.

Several Israeli soldiers were wounded in the incident.

"Given these circumstances, Israel's soldiers clearly acted in self-defense and responded reasonably, proportionally and with restraint, including the use of less-lethal weapons where feasible," the Israeli leader's office said.

An Israeli official emphasized that the report not only confirms the blockade's legality, it states there was no humanitarian problem in Gaza. The official added that anyone who wished to send humanitarian aid to Gaza needs to do it in coordination with Israel and the Palestinian Authority through the land crossings.

The official said Israel hopes that there will be a way to overcome the controversy with Turkey and will continue to work toward that goal.

"As to the ambassador in Turkey, he had finished his posting a couple of days ago and had already said goodbye to his Turkish colleagues and was expected in Israel in the coming days," the Israeli official said. The ambassador is Gabby Levy.

CNN's Yesim Comert, Ivan Watson, Michal Zippori, Richard Roth, Kevin Flower and Mick Krever contributed to this report

@highlight

NEW: Soldiers acted in self-defense, Israel says

@highlight

NEW: The U.N. and U.S. regret a U.N. report didn't bridge the Israel-Turkey rift

@highlight

Turkey wants an apology from Israel over the flotilla raid

@highlight

Disagreements over Gaza have caused ties to deteriorate