Bangkok, Thailand (CNN) -- The Thai military continued to hold former Prime Minister Yingluck Shinawatra on Saturday, a source close to her told CNN.

She was ordered to report a day earlier to the junta that took charge of the country this week.

The National Council for Peace and Order summoned 35 others to report by 1 p.m. Saturday, a military spokesman told reporters.

More than 100 people were previously summoned. Around 150 people will be required to appear, the spokesman said in English.

They come from all sides of Thailand's political divide.

Not all of them are to be detained, just those directly involved in Thailand's raucous political conflicts, the spokesman said.

Some of those held previously, including opposition leader Abhisit Vejjajiva and members of Yingluck's Pheu Thai Party, were later released.

That also happened to Panthongtae Shinawatra -- the nephew of Yingluck and son of former Prime Minister Thaksin Shinawatra -- according to a source close to his family.

Saturday's list included academics and one of Yingluck's chief opponents, "Yellow Shirt" movement leader Sondhi Limthongkul. The politician suffered a gunshot wound to the head during unrest in 2009 but later recovered.

Some no-shows

Some of those summoned have yet to heed the council's call. On Saturday, it gave them another chance to do so and announced that those who did not comply would be taken in by "law enforcement."

The military has banned more than 150 prominent figures from leaving the country and threatened to arrest politicians who disobey its orders.

Security forces have arrested "many people" suspected of possessing "military grade weapons and explosive devices," the spokesman said.

The armed forces seized power in a coup Thursday after months of turmoil that paralyzed much of the government and caused deadly clashes in Bangkok.

It has imposed martial law, which includes a curfew, and shut out independent media reporting. CNN International's broadcasting has been blacked out in Thailand.

It also dissolved the Senate, according to a statement from the military chief read on the country's broadcast outlets.

On Saturday, a number of major TV stations were back on air, including MCOT, TPBS and NBT.

'Time to think'

Detentions are not expected to last much longer than seven days.

"We want to give them some time to relax and have time to think over the problem," the spokesman said.

The council wants to "adjust their perception and make them think about the country, think about the Thai people as a whole, not just one particular group."

The military council wants both sides to "listen to the other side" and stop being "self-centered," he added.

Detainees determined to have no significant link to conflict and who find "common ground" for the good of the country will be released, the spokesman said.

He asked that the public not worry about their treatment. "We look after them very well," he said.

He did not say what would happen to those whose attitudes did not change or who are found to be more deeply involved in the country's friction.

Regular coups

The United States and other countries have criticized the military's intervention, the latest in a long list of coups in Thailand, and called for the swift restoration of democracy.

The U.S. State Department expressed concern about the military's actions.

"It has dissolved the Senate, detained a number of people, called in some academics and journalists, and continued to restrict the press," deputy spokeswoman Marie Harf said. "We again call on the military to release those detained for political reasons, end restrictions on the media, and move to restore civilian democracy through elections."

Yingluck, whose government was in power when the unrest began in November, was removed from office this month by the country's Constitutional Court over the appointments of top security officials.

Yingluck arrived around noon Friday at a military compound in Bangkok with one of her sisters.

She was being detained at a military barracks outside Bangkok, the Thai government's national security adviser, Lt. Gen. Paradon Patthanathabut, said late Friday.

Gen. Prayuth Chan-ocha, the head of the military, has assumed the powers to act as Prime Minister until a new one takes office, the military said Thursday.

How the government will operate remains unclear, given that the military also has thrown out the constitution it drew up in 2007 after a previous coup, except for Section 2, which acknowledges that the King is the head of state.

The last six months have been marked by large-scale protests, both by those backing Yingluck's government and those opposed to it. There have been periodic outbursts of deadly violence in the streets.

Protesters clearing out

Protest camps of both sides in Bangkok have been cleared away since the coup.

Under the new order, schools will be closed nationwide between Friday and Sunday, the military said. A curfew is in place between 10 p.m. and 5 a.m.

The military has warned against posting misleading or critical comments on social media platforms.

In a speech Thursday, Prayuth said that these actions were necessary to restore order and push through reforms.

Life in most of the city's center appeared normal during the day Friday, with shops open and people going to work.

The military presence around the city remained subtle, with few soldiers in view, except outside the Defense Ministry and military sites.

Protesters dismantled their camps.

The U.S. Embassy in Bangkok has updated its guidance for Americans traveling to Thailand. It "recommends that U.S. citizens reconsider any nonessential travel to Thailand, particularly Bangkok, due to ongoing political and social unrest and restrictions on internal movements, including an indefinite nighttime curfew."

'Red Shirt' reaction?

The question many analysts are asking is how the popular "Red Shirt" movement, which supports Yingluck and her exiled brother Thaksin Shinawatra, will respond to the coup.

The Red Shirts, whose support base is in the rural north and northwest of Thailand, were already angered by Yingluck's ouster this month, a move they viewed as a judicial coup by Bangkok elites.

Senior Red Shirt leaders, as well as prominent figures from the anti-Yingluck protesters, were still being held Friday by the military, according to Paradon, the national security adviser to the government.

Thaksin, a business tycoon who built a highly successful political movement through populist policies benefiting the rural masses, was deposed as Prime Minister in a military coup in 2006.

In 2010, when the pro-Thaksin party was out of power, the Red Shirts mounted large protests in the heart of Bangkok. An ensuing crackdown by security forces resulted in clashes that killed around 90 people.

Thailand martial law: A cheat sheet to get you up to speed

Soldiers, selfies and a military coup

CNN's Kocha Olarn reported from Bangkok, and Ben Brumfield reported and wrote from Atlanta. CNN's Paula Hancocks, Simon Harrison, Neda Farshbaf and Jethro Mullen contributed to this report.

@highlight

Son of a former prime minister is released, a source close to his family says

@highlight

Military chief dissolves senate

@highlight

Military says it expects to see a change in politicians' and activists' attitudes

@highlight

Source: Ex-Prime Minister Yingluck Shinawatra at a military barracks outside Bangkok