Johannesburg, South Africa (CNN) -- South Africans mourned the death of their first black president, weeping, singing and gathering near Nelson Mandela's homes and other landmarks linked to him nationwide.

Mandela, 95, died Thursday in Johannesburg.

"We will always love Madiba for teaching us that it is possible to overcome hatred and anger in order to build a new nation and a new society," President Jacob Zuma said Friday, referring to the revered statesman by his clan name.

In Soweto township, where Mandela lived before he was imprisoned for 27 years, giant posters of his face adorned streets. Residents surrounded his former red brick house on a busy street and sang songs of freedom.

On the grass near Mandela's home in the Johannesburg suburb of Houghton, children spelled out with rocks "We love you Mandela."

Others wept, lit candles and sang in celebration of a life well lived.

Tributes planned

A state funeral will be held December 15 in his ancestral hometown of Qunu in the Eastern Cape province.

Before the funeral, various events to honor him are planned in major cities.

Sunday will be a national day of prayer and reflection, and people will gather in places of worship to pray and meditate, Zuma said.

The official memorial service will be held Tuesday in First National Bank Stadium in Johannesburg.

And his body will lie in state at the seat of government in Pretoria from Wednesday through next Friday.

Zuma announced the death late Thursday in a nationally televised address.

"Our nation has lost its greatest son, our people have lost a father," he said. "Although we knew that this day would come, nothing can diminish our sense of a profound and enduring loss."

In recent years, Mandela had battled health issues that included multiple hospitalizations for treatment of a recurring lung infection.

Many South Africans didn't get the news until Friday morning.

"I woke up and was shocked when I saw it on television," said Wilson Mudau, a cabdriver in Johannesburg. "It's sad, but what can we do? Let him rest in peace. It's time ... Madiba has worked so hard to unite us."

Memorials worldwide

Nearly 8,000 miles north of Johannesburg, in Paris, leaders from 53 African countries attending a summit on peace and security observed a minute of silence for him Friday.

Memorials popped up from Los Angeles to Chicago, where mourners placed flowers and candles in front of murals bearing his likeness. In Washington, crowds gathered in front of the South African Embassy.

In Adelaide, Australia, cricket fans observed a moment of silence.

"I admired Mandela (because) he had not poisoned his heart," said Leo Udtohan of Bohol, Philippines. "He learned to forgive despite the horror he experienced while in prison."

At New York City's Apollo Theater in Harlem, which Mandela visited in 1990, the marquee lit up in tribute. "In memory of Nelson Mandela, 1918-2013," it said. "He changed our world."

Man of complexities

Mandela helped South Africa break the practice of racial segregation and do away with white minority rule.

Imprisoned for nearly three decades for his fight against state-sanctioned racial segregation, he was freed in 1990 and quickly set about working to unite the nation through forgiveness and reconciliation.

"As I walked out the door toward the gate that would lead to my freedom, I knew if I didn't leave my bitterness and hatred behind, I'd still be in prison," Mandela said.

His rejection of vengeance led him to assume roles that led from freedom fighter to prisoner to a world symbol of the struggle against racial oppression.

And, four years after he left prison, he became the nation's first black president, cementing his place in the consciousness of the nation and the world.

"I'm just glad he finally found his place of rest," said Omekongo Dibinga of Washington. "From the family drama to his health problems, it just seemed like he could never get a break in his later years. Now I hope be can finally rest, but he'll probably still be watching down on us in frustration."

'We all knew he'd leave us'

His recent bouts of illness had prepared many South Africans for Thursday's announcement.

"We all knew he'd leave us at some point," said Tony Karuiru, a Johannesburg resident. "But we were hoping that he would be with us during the festive season. It's the holidays, I just wish God would have given him a few more days with us as well."

Thomas Rabodiba said though he expected Mandela's death, he was having a hard time accepting it.

"At first, when I heard he died, I thought it was the usual rumors we get all the time," he said. "After I heard the president's announcement later that the old man has departed, then I believed that he's really gone."

His legacy

Mandela will be remembered for many things, but his message of forgiveness and reconciliation may resonate the most.

"Mandela's biggest legacy ... was his remarkable lack of bitterness and the way he did not only talk about reconciliation, but he made reconciliation happen in South Africa," said F.W. de Klerk, South Africa's last white president and Mandela's predecessor.

Leaders react

Zuma has ordered flags around South Africa to be flown at half-staff until the funeral.

The U.S. government and Buckingham Palace also lowered their flags.

"Nelson Mandela achieved more than could be expected of any man," President Barack Obama said Thursday. "We have lost one of the most influential, courageous, and profoundly good human beings that any of us will share time with on this Earth. He no longer belongs to us -- he belongs to the ages."

In recent years, plans for a fitting farewell were hammered out among the government, the military and his family. Events over the next 10 days will culminate in a state funeral to be broadcast worldwide and a private farewell for those closest to him.

CNN's Arwa Damon reported from South Africa, and Faith Karimi and Tom Watkins reported and wrote from Atlanta.

@highlight

Mandela dies at age 95

@highlight

Children spell out "We love you Mandela" with rocks near his home

@highlight

"It's sad, but what can we do?" one resident asks. "Let him rest in peace."

@highlight

A state funeral will be held December 15