(CNN) -- We don't mean to scare you... No wait, actually we do, but only for a little while, and we promise the payoff will be worth the effort.

These spots offer spectacular sights and experiences to travelers who are willing to face down five common, and very real, fears.

All you'll need to bring with you are curiosity and courage, says psychologist Emanuel Maidenberg, director of the Cognitive Behavioral Therapy Clinic at UCLA.

When we're in a situation that makes us fearful, "we have to have the curiosity to say let's see what happens if I see this through, which is not easy to do, and the courage to not do what we'd normally do in this situation, try to escape."

6 destinations with a dark side

The trick is allowing the potential for enjoyment and excitement to outweigh your hesitation over trying something that creates anxiety. The treat is the feeling of accomplishment you have when you overcome your fear.

These five places offer both risks and rewards. But don't overdo it. If you have a paralyzing phobia, you'll probably want to start a little smaller and closer to home.

Afraid of the dark? Slovenia

There's a reason that people throughout history hid out in caves. Caves are filled with eerie rock formations, subterranean waterways and bats (which can be scary in their own right), but mostly caves are very, very dark. You have to be brave to explore them. Or do you? With 9,023 caves, Slovenia offers more underground scenery than just about any place on earth.

Start with the easiest: Postojna Jama (jama is the Slovene word for cave) is the busiest cave in Europe, receiving hundreds of thousands of visitors each year. The space is massive enough to accommodate a concert hall, a speleobiology station for the study of cave fauna and an underground railway that will carry you along a two-mile route past weird, glistening limestone formations all illuminated by electric light.

When you're ready to move on to darker realms, the cave beneath Predjama Castle offers 45-minute guided tours with only flashlights for illumination. (If you chicken out, you can retreat to the castle, which dates back to the 13th century.) Skocjan Caves Regional Park, a UNESCO World Heritage site not far from Slovenia's border with Italy, is another popular spot for cavers brave and timid.

Afraid of heights? Machu Picchu, Peru

Hiking the segment of the Inca Trail that goes to Machu Picchu is a dream trip for plenty of people, but most of them do not have a fear of heights. For while the standard four-day hike, which starts after a three- to four-hour ride from Cusco, is rated as moderate-to-difficult in terms of energy and experience levels, the steep, narrow Andean mountain paths could put an acrophobic on high alert.

What's the reward for rising above your fears? Machu Picchu, built in the 15th century, is the "most amazing urban creation of the Inca Empire at its height," according to UNESCO, which placed the site on its World Heritage list in 1983. It has weathered earthquakes, torrential rains, and nearly 600 years of existence, and it remains a remarkably well-preserved complex of buildings once used for living, working and worshipping.

Dozens of licensed, local tour operators conduct guided tours to Machu Picchu, as do U.S. firms such as Boundless Journeys. All recommend spending at least two days in Cusco to acclimate to the altitude before beginning the climb to Machu Picchu, which tops out around 9,000 feet. Advance arrangements are critical as there are limits on the number of visitors to the ancient site.

Afraid of Spiders? Arizona

If creepy-crawlies get under your skin, consider them in a different context. Spider Rock at Canyon de Chelly National Monument in Arizona will help you. As far back as anyone can document, spiders have been positive symbols in Native American cultures, associated with weaving and with women, since weaving traditionally is done by women.

In Navajo culture, the legend of Spider Woman is, essentially, the legend of how the Navajo came to be expert weavers. According to Adam Teller, a Navajo guide and storyteller whose family-owned company Antelope House Tours runs guided hikes and 4x4 tours through Canyon de Chelly, Spider Woman also wove blankets in which she wrapped up naughty little kids, then she'd eat them and spit out their bones to make the white stripes on Spider Rock. (But maybe that's just something his grandma told him so he'd behave).

It's certainly true that the twin-peaked Spider Rock is among the more recognizable sights in Canyon de Chelly, which has the unique distinction of being the only U.S. National Park located on Navajo tribal lands. There are hikes and drives you can do without a guide, including the South Rim Drive that leads to Spider Rock, but guided tours complete with explanations of the area's significance to Navajo culture add to your appreciation.

Afraid of enclosed spaces? Cu Chi Tunnels, Vietnam

Few places on earth will give you chills like the Cu Chi Tunnels, not merely because at less than three feet wide they are a claustrophobic's nightmare but mainly because of their history. Built in the 1940s during the French occupation of Vietnam, the tunnels became a powerful tool for the Viet Cong during the Vietnam War, allowing them to attack and then vanish underground to escape capture.

Yet the tunnels weren't only a strategic weapon: Inside the nearly 125-mile tunnel network, dug by hand and ingeniously booby-trapped for protection, people lived and worked. Once the tunnels were discovered during the war, teams of American and Australian soldiers known as Tunnel Rats infiltrated them, sometimes crawling through spaces as little as 12 inches wide to recover military information and supplies.

Today the Cu Chi Tunnels are a day trip from Ho Chi Minh City (formerly Saigon) and are part of most tour programs to the area, such as the Vietnam Cultural Explorer tour offered by Boundless Journeys. Yes, the tunnels still arouse strong feelings and opinions about politics and war, but beyond that they are a tremendous testament to people's resilience and resourcefulness during wartime. They also will put your fear of enclosed spaces into perspective.

Afraid of the dead? Cambridge, Massachusetts

Don't think of Mount Auburn as a cemetery. Think of it as a well-tended horticultural park with pretty one- and two-mile walking trails and lots of beautiful New England foliage from blazing red Black Gum trees to fall-blooming Witch Hazel to 26 different species of oak. That's sort of what its founders had in mind when, in 1831, the Massachusetts Horticultural Society purchased the 72 acres that would become Mount Auburn Cemetery.

You can choose to see Mount Auburn purely as a park. The visitor's center sells maps for self-guided theme tours on horticulture, architecture, art, and other topics, and runs excellent docent-led tours on weekends. Eventually, though, you're bound to become curious about the people at rest in Mount Auburn, and you'll find that they include outstanding figures from all fields of endeavor, including poet Henry Wadsworth Longfellow; Fannie Farmer, creator of the "Boston Cooking-School Cookbook"; scientists and thought pioneers such as Buckminster Fuller, B.F. Skinner, and Mary Baker Eddy; as well as jurists, artists, statesmen and business leaders.

You'll also learn (thanks to the "Not So Rich and Famous" guided tour) that many of the ordinary folks buried here have fascinating life stories as well. "We return to the world, and we feel ourselves purer, and better, and wiser, from this communion with the dead," said Joseph Story in 1831 when the cemetery was consecrated. Those remain words to live by.

@highlight

Not fleeing when facing anxiety has its own rewards in these fascinating places

@highlight

Caving in Slovenia is one way to conquer a fear of the dark

@highlight

The Inca Trail offers a true uphill challenge for travelers who are afraid of heights