(CNN) -- In nearly nine hours in detention at London's Heathrow Airport, David Miranda -- the partner of Guardian journalist Glenn Greenwald -- said he didn't trust the British authorities questioning him, fearing they'd follow through on threats to throw him in jail, if not worse.

"I have seen many stories that people are picked up in different countries ... and they are vanished, nobody sees them," Miranda said Tuesday in an interview with CNN's Anderson Cooper. "In that moment, I was really afraid what would happen to me."

The Brazilian national said he didn't know what he might have done wrong, why the UK government's anti-terrorism laws applied to him, or why he couldn't have a lawyer of his choosing present.

But he did understand why his partner might be a target. Greenwald has been at the forefront of high-profile reports exposing secrets in U.S. intelligence programs, stories that have made him a thorn in the side of Washington and some of its allies. Greenwald, with the cooperation of former NSA contractor Edward Snowden, broke the story of the existence of a U.S. National Security Agency program that is thought to have collected large amounts of phone and Internet data.

Miranda's detention ended only after a lawyer from Greenwald's news organization, the British-based Guardian, got the chance to talk to him after about eight hours.

After that, the 28-year-old was released, without materials he'd been carrying on behalf of Greenwald, to pass onto a filmmaker in Berlin. He said officials also confiscated his laptop, phone and USB sticks. Miranda ultimately returned to Brazil, where he lives with Greenwald.

Sitting alongside his partner, Greenwald said the detention gave the British government "a huge black eye in the world, (made) them look thuggish and authoritarian (for) interfering in the journalism process (and created) international incidents with the government of Brazil, which is indignant about this."

The action has prompted a lawsuit asking British courts to declare what happened to Miranda illegal because his detention was unrelated to terrorism, Greenwald said. The journalist added the lawsuit also demands that all the items taken from Miranda be returned to him, and that the British government can't first use or share them with anyone else.

"To start detaining people who they think they are reporting on what they're doing under terrorism laws, that is as dangerous and oppressive as it gets," Greenwald said.

White House knew Miranda would be detained

Britain's Home Office on Tuesday defended Miranda's questioning, saying the government and police "have a duty to protect the public and our national security."

"If the police believe that an individual is in possession of highly sensitive stolen information that would help terrorism, then they should act and the law provides them with a framework to do that," it said.

"Those who oppose this sort of action need to think about what they are condoning."

Questioning was under Terrorism Act 2000

The British government and Miranda say he was questioned on Sunday under Schedule 7 of Terrorism Act 2000, which gives authorities more powers to investigate and combat terrorism, though not without some controversy.

In a statement that didn't name Miranda but referred to his detention, London's Metropolitan Police called what happened "legally and procedurally sound" and said it came after "a detailed decision-making process."

The statement describes the law under which Miranda was detained as "a key part of our national security capability which is used regularly and carefully by the Metropolitan Police Service to help keep the public safe."

But that's not how Miranda and Greenwald view the law, or at least how it was applied in this case.

Said Miranda, for whom English is a second language and who didn't have an interpreter on hand throughout the ordeal: "They didn't ask me anything about terrorism, not one question."

"They were just telling me: 'If you don't answer this, you are going to jail,' " he added.

Greenwald said he learned three hours into the incident that his partner was being detained, and he added that concerned Brazilian diplomats and Guardian lawyers were shut out of the process for hours.

Greenwald: UK authorities trying to intimidate journalists

The entire episode, Greenwald speculated, was designed to intimidate him and other investigative journalists from using classified information and digging into stories critical of the British and allied governments.

His newspaper's editor, Alan Rusbridger, detailed in an editorial published late Monday meetings with UK government officials and "shadowy Whitehall figures" in connection with Greenwald's reporting.

"The demand was the same: Hand the Snowden material back or destroy it," he said. Otherwise, the government would pursue legal action to force its surrender, he said he was told.

These efforts, including Miranda's detention, are a threat not just to the Guardian, but all journalists, Greenwald said.

"What you're essentially doing is saying that journalism is not only a crime, but now it's actually terrorism," he said. "It's an extremely dangerous precedent. They clearly abused their own law."

As to how what happened will affect his own work, Greenwald said he's more committed than ever to expose governments' abuse of their powers.

"We are absolutely going to continue to publish and, if anything, this has emboldened me," he said.

CNN's Bryony Jones and Caroline Paterson contributed to this report.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

David Miranda was detained for hours at Heathrow without interpreter, lawyer, he says

@highlight

Miranda says he was never asked about anything related to terrorism

@highlight

His partner, journalist Glenn Greenwald, calls it a ploy to intimidate journalists

@highlight

The British government defends the questioning as legal