(CNN) -- With Washington stuck in gridlock, tied up in the latest battle to rescue the federal budget, the last thing many people might want to do is watch a two- or three-hour movie about politics.

Unless you're in the Academy of Motion Pictures Arts and Sciences.

From "Argo" to "Zero Dark Thirty" to "Lincoln," politically focused films are battling it out for the Best Picture Oscar this year, and many have done well at the box office, too.

So, with the Oscars coming up on Sunday, here is a roundup of politically inspired movies that have been nominated or won, past and present:

THE 2013 NOMINEES
"Argo"
Nominated for seven Academy Awards, "Argo" may be considered Ben Affleck's biggest achievement as a director. But although the real-life rescue thriller is nominated for Best Motion Picture, Affleck himself failed to get a nomination for Best Director -- seen as a slight by many critics and an omission that could affect the film's chances for the big award. The movie takes place in 1979 revolutionary Iran, where, after 52 Americans were taken hostage at the U.S. Embassy in Tehran, six other American diplomats try to escape the country with the help of the CIA, the Canadian government and a Hollywood film team.

"Zero Dark Thirty"
Kathryn Bigelow was the first woman to win an Oscar for Best Director with "The Hurt Locker" in 2008, a film about a U.S. Bomb squad in the Iraq war. Bigelow continued her theme of post-9/11 politics in "Zero Dark Thirty," an account of how Osama bin Laden was killed by Navy SEALs in Abbottabad, Pakistan. However, she has faced criticism for her depictions of torture in the film. Sen. John McCain called the movie "misleading" and "grossly inaccurate" for what he felt was the suggestion that torture helped lead to finding bin Laden. He, Sen. Dianne Feinstein and Sen. Carl Levin even wrote a letter to the CEO of Sony Pictures, expressing their disagreement with what the movie portrayed as fact. And, like Affleck, Bigelow was not nominated for this year's Best Director award, even though the film received five other nominations.

"Lincoln"
Daniel Day-Lewis appears to be the odds-on favorite to win the Oscar for Best Actor for his portrayal of Honest Abe in Steven Spielberg's "Lincoln." The film, which received 12 Academy Award nominations, has been touted as a history lesson about what actually took place in the days leading up to the passage of the 13th Amendment. But the congressional delegation from Connecticut has challenged the film's depiction of history. In the key scene where Congress votes on whether to end slavery, two members from Connecticut are depicted as voting against the amendment. But current Rep. Joe Courtney says that is wrong, that the state's lawmakers actually voted unanimously in favor of ending slavery. He sent a letter to Spielberg expressing his dismay and hopes the movie will be changed ahead of its release on DVD on February 26. And in case it doesn't get changed, just for the record: Connecticut wasn't cool with slavery. Now, Mississippi on the other hand ...

PREVIOUS WINNERS AND NOMINEES
"Mr. Smith Goes to Washington" (1939) 
This 1939 film, which won one Oscar and was nominated for 10 others, is probably the one movie you've heard grandparents talk about when they complain that today's Hollywood isn't like what it used to be. Jimmy Stewart plays Jefferson Smith, the everyman who is suddenly thrust into the U.S. Senate. In the movie's climatic scene, Stewart's character launches into an actual filibuster (sound familiar?), a favorite tactic among current GOP senators. Stewart's fictional filibuster, where he talked for 24 hours straight, was done to stop a bill that would have stolen land intended for a boy's camp. That's a slightly different crusade than, say, holding up the Chuck Hagel nomination.

"The Manchurian Candidate" (1962)
"The Manchurian Candidate," nominated for two Oscars, debuted at the height of the Cold War. Frank Sinatra played Maj. Bennett Marco, who discovers that one of his fellow American POWs was brainwashed by the communists. Although the story is more than a half-century old, the political intrigue and paranoia over communism could easily be replaced with the current fear over Islamist terrorism.

"All The President's Men" (1976)
There's nothing more exciting for Hollywood than movies about young people trying to upset the system. When "All The President's Men" -- which won four Oscars and was nominated for four more -- came out in 1976, just about everyone had heard of Bob Woodward and Carl Bernstein, the Washington Post reporters responsible for uncovering the Watergate scandal and forcing the resignation of President Richard Nixon. The film, which provided context and drama about how the reporters brought down the most powerful man on Earth, also inspired countless young men and women to become journalists in the pursuit of truth.

"JFK" (1991)
Since this is an Oliver Stone project, most didn't expect a Lincoln-esque biopic of the nation's first and only Catholic president. "JFK," which won two Oscars and was nominated for another six, centered around New Orleans district attorney Jim Garrison, played by Kevin Costner, and his investigation into the assassination of John F. Kennedy. In typical Stone fashion, history gives way to conspiracy.

"Malcolm X" (1992)
Director Spike Lee rarely shies away from difficult subjects such as race in America. His 1992 film "Malcolm X," considered one of his best films, told the story of one of America's most complicated and controversial civil-rights icon. It was also a statement on the state of American race relations. Denzel Washington, who played Malcolm, was nominated for Best Actor. The film's only other nomination was for Best Costume Design.

"Nixon" (1995)
Anthony Hopkins' performance as "Nixon" in this 1995 film was one of his best, helping the movie earn four Oscar nominations. Oliver Stone followed up the success of JFK with this biopic in which he tries to understand Nixon's psyche, from his days as a young man to his eventual resignation as president of the United States.

"Bowling for Columbine" (2002)
With the recent shootings in Aurora, Oak Creek and Newtown, the debate over gun violence has been reignited. But before those tragedies, there was the 1999 shooting in Columbine, where 15 people died. Michael Moore directed the documentary "Bowling for Columbine," which took a hard look at the gun culture in America and won the Oscar for Best Documentary Feature.

"Good Night, and Good Luck" (2005)
Before Affleck got his taste for directing, it was actor-turned-director George Clooney who was receiving praise for his work behind the camera. With Clooney as director, this 2005 film -- nominated for six Oscars -- tells the true story of journalistic icon Edward R. Murrow in his battle against Sen. Joseph McCarthy during McCarthy's red scare. McCarthy was a senator who wanted to root out what he suspected as communist elements in the U.S. Murrow was one of the most visible TV journalists to stand up to McCarthy and his tactics, and he represented the beliefs of those who felt McCarthy was on a political witch hunt. Recently, some Democrats compared Texas freshman Sen. Ted Cruz to McCarthy  for his unsubstantiated claims that defense secretary nominee Hagel had received money from Saudi Arabia and North Korea.

"Syriana" (2005)
Before 9/11, many Americans weren't typically interested in politics abroad. But after that tragic event and the subsequent invasions of Afghanistan and Iraq, everything changed. The 2005 film "Syriana" -- which won Clooney a Best Actor award and was nominated for another Oscar -- was a gripping political thriller based around the No. 1 currency in the world: oil.

"Frost/Nixon" (2008)
Richard Nixon's term as president has been great fodder for Hollywood. Maybe it's the jowls. Or maybe it's the fact that someone so powerful could have fallen so far. In "Frost/Nixon," nominated for five Oscars, Frank Langella plays Nixon after he resigned from the presidency. Langella squares off against talk-show host David Frost, played by Michael Sheen, and reveals Nixon at his most cunning and vulnerable.

"Milk" (2008)
Harvey Milk was California's first openly gay elected official, serving on the San Francisco Board of Supervisors. Sean Penn plays Milk in this Gus Van Sant film about the late gay rights advocate and leading figure in the LGBT movement. The movie won two Oscars and was nominated for another six.

@highlight

This year, three politically themed films are up for Best Picture

@highlight

"Argo," "Zero Dark Thirty" and "Lincoln" touch on current and historical issues

@highlight

From "All the President's Men" to "JFK," Oscar loves politics