(CNN) -- Amid the rubble, you see a child's toy, clothing, furniture, family photographs. Homes that once sheltered families now ripped open, their insides spilling out like intestines.

These haunting images were captured in Aleppo in June by Italian photographer Matteo Rovella. While many photographers concentrate on the faces of Syria's brutal conflict, Rovella saw another side: what happens when a person's private space becomes ripped open by war.

"You see such scenes, and you imagine the moment when people had to escape from the rooms," he said. "I imagine the people who must run away -- or die."

Rovella had visited several camps on both sides of the Syria-Turkey border in early 2013. Thanks to a friend in the city keeping him up to date with events, he decided in June to head to the Syrian city of Aleppo, which has been ravaged in fighting between government and rebel fighters.

Syrians take steps toward healing

After organizing a car ride with a man from the Free Syrian Army, the main opposition rebel force, he crossed the border from Turkey. Many journalists choose to enter with the rebels for better access and less censorship than with the Syrian government, he said.

The trip to Aleppo involved nerve-jangling encounters with armed checkpoints and constant fear of discovery.

Just carrying a camera was dangerous, he said, particularly since the abduction of several foreign journalists in the country. "There are many independent armed gangs, and they could stop you, rob you, kidnap you and in the worst case, kill you."

When he arrived in Aleppo and began to work, photographing and interviewing Free Syrian Army fighters and local residents, he saw much of the city's precious historical monuments damaged or destroyed and neighborhoods smashed to pieces. At one point, while he was interviewing a local rebel commander, a mortar wheeled overhead, slamming into two fighters less than 100 meters from him.

"It was horrible. And strange, as it felt like I was not there, maybe because of the camera creating distance, just working inside my (camera) viewer," he said. "In truth, of course, you are very much there, and you're risking your life."

After a few days, Rovella began documenting the devastation through a series of evocative images of abandoned and destroyed homes that had been attacked over the course of the conflict. Almost all the people he met over the course of his visit had lost part or all of their homes.

"It's something like still-life photography, but you can see inside the homes tensions and fear, the moments of violence, how you were obligated to leave your things, your home, your life and go away, maybe to not come back."

Nearly 700 killed in Syria rebel infighting

It was dangerous work. Many of the buildings are now lookout points for the Free Syrian Army and targeted by government attacks. He often found himself sprinting with rebel fighters from one building to the next.

"I was walking through buildings and taking pictures very fast," he said. "But I tried to do it in an artistic way. "

Now back in Italy, he feels that the images of abandoned buildings show how the calm of everyday home life can suddenly, terribly, be shattered forever.

"It is a way to sensitize people to the war," he said of his images. "I think my testimony could be a little piece more to help the Syrians. A very tiny piece of help."

@highlight

Italian photographer spent six weeks in Aleppo documenting impact of Syria's conflict

@highlight

Matteo Rovella wanted images to convey impact of violence that forced people to escape

@highlight

"I was ... taking pictures very fast, but I tried to do it in an artistic way," he said