(CNN)I will always remember when things turned. I was 12 years old, and my younger sister and I were with our parents attending a peaceful demonstration in downtown Miami near the courthouse. We were there to protest the acquittal of four police officers in the beating death of unarmed motorcyclist Arthur McDuffie. I had learned the word "acquittal" just that day. It meant they wouldn't be held responsible.

Community leaders were gathered at the front, speaking to a crowd that was in shock and full of anger and despair. The trial had been covered extensively, and nobody could believe that the fatal beating -- with the extent of the physical wounds to McDuffie's head and body -- could be justified or excused. I started to hear rumblings coming from around the perimeter of the immediate crowd. There was shouting and cursing. Bottle throwing. Then a car was turned over and set on fire. That was Miami 35 years ago, but it could just as easily have been Baltimore this week.

The Miami riots of 1980 were the first major "race riots" since the wave of riots spread across the nation in the 1960s.

Harlem 1964: Police shooting of 15-year-old James Powell. Watts 1965: Arrest of 21-year-old Marquette Frye for drunken driving. Newark 1967: Police beating of John Smith while under arrest. Detroit 1967: Police raid on a "blind pig" after-hours bar. Then the Rev. Martin Luther King Jr. was assassinated, and Baltimore and 125 other cities erupted in flames.

The immediate catalysts for the waves of riots in the 1960s before the death of Dr. King were police action, or, more specifically, perceived unjust police action.

That was true in Miami in 1980 after the acquittal of the police officers. And the same in Los Angeles in 1992 after the acquittal of police officers for the beating of motorist Rodney King. Wednesday marks the 23rd anniversary of the start of the Los Angeles riots.

And now we have Baltimore 2015, with the death of suspect Freddie Gray in police custody.

My parents were leaders and participants in the nonviolent civil rights movement, and they raised me to understand that youths were the key to the movement. It was the images of young people all over the country -- often facing physical danger, discipline from their parents and suspension from school -- that propelled the civil rights movement into the national spotlight.

Juxtapose decades-old images of youths being hosed down by police during nonviolent demonstrations in Birmingham and Selma with Tuesday's images of Baltimore youths throwing rocks at police, and you wonder what has happened.

As a 12-year-old girl in Miami, I didn't understand how people could injure and even kill others and destroy their neighborhoods, and risk going to jail, by rioting. I was afraid because I didn't see my father for days as he and other community leaders walked the streets to try to restore calm. I was also afraid that such senseless violence could only derail the legitimate causes of the African-American community, causes historically advanced by nonviolent civil disobedience and through legislative channels.

But two months ago, I agreed to moderate a panel at the National Center for Civil and Human Rights called "Riot -- The Voice of the Unheard?" The occasion was to mark the Atlanta premiere of "Detroit '67," a play written by Dominique Morisseau and directed by Kamilah Forbes that chronicled the journey of a family as they lived through the turmoil of the Detroit '67 riot, including the joy and love they found with one another.

The play and the panel were programmed by Kenny Leon's True Colors Theatre Company, a nonprofit devoted to presenting artistic interpretations with diverse voices so that individuals and institutions can have a shared platform in their quest for understanding in American society. Inspired by the mission, I had recently joined the board. Although pegged to the past, the purpose of the panel was to examine how current events relating to police actions against African-American men could potentially lead to rioting and what could be done to prevent it.

I learned that some questioned whether riots are actually purposeless and uncontrolled violence, or whether they are purposeful uprisings against individuals and institutions.

I learned that those who participate in riots often feel hopeless and dehumanized, both as the victims of police action against them that triggered the riots and as perpetrators of violence during riots.

I learned that riots in the 1960s played a role in advancing the civil rights agenda, often by galvanizing local and national government officials to work with peaceful community, church and civil rights leaders to address the root causes of riots. This is a controversial part of our civil rights history that has been sanitized.

At the conclusion of the 1967 Detroit riot, President Lyndon Johnson condemned the violence but said in his address to the nation that: "This is not a time for angry reaction. It is a time for action, starting with legislative action to improve the life in our cities. The strength and promise of the law are the surest remedies for tragedy in the street. ..."

His administration convened the Kerner Commission to examine the 1965-68 riots, and its findings were that racism had led to joblessness, poverty, a lack of political power, unfair housing, police brutality and inferior schools.

After the beating of Rodney King in Los Angeles, the Christopher Commission was established and concluded that racial profiling and excessive force, unjust treatment in the criminal justice system, poor housing, and the lack of jobs and education were triggers for the riots.

After all of these riots, the affected city, state and national governments enacted plans and programs to address some of these underlying conditions.

Maybe the Baltimore youths involved in the riots felt the way one youth did in Watts in 1965. As recounted in "The Great Rebellion" by Kenneth Stahl, Dr. King went to Watts to try to calm tensions, and a hostile youth said to him:  "We won."

King challenged him: "How have you won? Homes are destroyed, blacks are dead in the streets, stores you shop from for food and clothes are destroyed."

The young man replied, "We won because we made the whole world pay attention ... the police chief and mayor had never been here. We made them come."

Dr. King would say near the end of his life: "It is not enough for me to stand before you tonight and condemn riots. It would be morally irresponsible for me to do that without, at the same time, condemning the contingent, intolerable conditions that exist in our society. These conditions are the things that cause individuals to feel that they have no other alternative than to engage in violent rebellions to get attention. And I must say tonight that a riot is the language of the unheard."

When I learned that Baltimore high school students planned a purge based on the movie "The Purge," in which people were legally absolved for their anarchistic crimes, it suddenly made sense. They thought they wouldn't be held responsible for their crimes. They thought they would be absolved -- a word not much different from the word "acquitted" I learned the day of the Miami riots. But they got it wrong.

They will forever live the repercussions of their actions, regardless of the impetus.

But the Rev. Jamal Bryant got it right when he said he would open his Empowerment Temple AME Church in Baltimore to youths who would not be in school so he could teach them the power of nonviolence to change society.

That power was evident after the shooting of Michael Brown in Ferguson, Missouri, and the decision not to indict the officer who killed him. Those protests were mostly peaceful. And the government responded -- not out of fear of violence, but because of a desire to change the conditions that led to the protests.

After several months of investigation, the far-reaching Justice Department report on Ferguson issued in March concluded that the use of policing to raise revenue, combined with a systemic racial bias, had led to a pattern and practice of discrimination and Fourth, 14th, Sixth and First Amendment rights violations against African-Americans in Ferguson. The report made recommendations that the Ferguson Police Department, as well as other departments across the country, should enact to improve police relations in communities of color.

The riots in Baltimore have rightfully been quashed, but the voices of nonviolent protesters continue to be heard.

@highlight

Johnita Due: The anger and frustration I saw in 1980 Miami is repeated in 2015 Baltimore

@highlight

She says teaching the power of nonviolent protest is essential