(CNN)It was almost 5 p.m. on a Tuesday, and 18-year-old Woodline Kethura Robuste was doing her homework, researching Voltaire at a Port-au-Prince cybercafe. Meanwhile, Kencia Marseille, 29, had returned home from a day at Alliance Universite -- where she studied information technology -- and was chatting with a friend.

That's when everything started to shake. Violently.

While Kethura was able to run out, unscarred, she lost her uncle and her house was destroyed. Kencia was injured when falling debris struck and broke her hip. Luckily, everyone else in her family survived unhurt.

It's been five years since a January afternoon in Haiti was interrupted by a devastating earthquake that instantly changed millions of lives and everyone still remembers the day vividly. It is estimated that the earthquake took the lives of more than 230,000 people.

Five years after the quake: Haiti at a crossroads

But since 2012, these two women -- along with 20 others -- have also shared a different experience.

In the outskirts of South Bend, Indiana, a town where sports usually means Notre Dame football, 22 Haitian and Haitian-American women live in two small apartments and work hard to achieve one big dream: They strive to win soccer glory wearing the colors of the Haiti National Women's Soccer Team under the guide of Polish-born coach Shek Borkowski.

To open their doors is to enter another world where Creole mixes with English and French in the hallway of an apartment kept at tropical warmth. Fragrant rice, beans and bananes cook on the stove top. Socks, shorts and jerseys are in the washing machine; bright cleats are strewn in room corners.

They come from Port-au-Prince, the capital, as well as Leogane, Cap Haitien and Petit Goave. Some played with local teams, with unclear prospects for a future in the sport. Their stories are those of struggle and of love for a game they played despite mothers' warnings, admonitions or disapproval.

Kencia, now 33, is the only one of her 16 siblings who plays the sport.

"My mother, she didn't accept me playing soccer, she thought that soccer is only for men, but I like soccer since I was young. I always liked to play, even though she beat me, even though I had to hide to play," she recalls.

Kencia, the team captain until this season, was one of the first players recruited by Borkowski.

While living in Port-au-Prince, she played with the Aigle Brilliant and was told about the team that the coach was assembling. She didn't think twice about making the leap.

"I was really happy because my objective for a long time was to play in another country," she says.

Charities continue to help in Haiti's recovery

What was the hardest thing about coming to the United States? The cold, she says, as she digs deeper into the pockets of a blue sports jacket with the seal of the Haiti Soccer.

For the players, being part of the team also means sacrifices. None of them gets paid or gets perks.

Kethura -- or Kethu as she's affectionately known -- lost her father last year in the midst of the World Cup qualifier matches season. The Haitian Soccer Federation offered to cover a one-way ticket to Haiti with a much later return flight. She decided to stay and play with the team.

"Soccer helps me forget the pain. I don't think of anything," says soft-spoken Kethura, who is now 22 and also serves as the team translator.

Her first soccer memory was a gift from her father.

"I was 7 or 8 years old when I got my first cleats, from my father. I always played with the other kids but barefoot. One day he decided to buy me new cleats," she recalls. "My father always talked to me about soccer because he loved the game, and he wanted me to play soccer and become a great football (player)."

The team has brought together players from all backgrounds, sharing Haitian roots and soccer dreams.

Shanna Hudson lives in Southern California, where she played for the LA Blues before the team folded. She came to play for Borkowski after hearing he needed players. With perfect English and "so-so" Creole, she says her grandparents came from Haiti.

Samantha Brand also lives and trains in California, where she met fellow teammate Kim Boulos, a blond, green-eyed player of Haitian descent. They quickly reported to Borkowski to join the team when it all began in 2012.

Princeton janitor brings clean water to hometown in Haiti

"It's our shot at glory," Kim says with a broad smile.

Samantha proudly shows a video of the sub-11 girls team she coaches back home in San Francisco. For Samantha -- for them all -- it's all about building a future for women in the sport.

"I think it's really important for females like us to be coaches. My club right now is supporting me through this entire thing because they realize that young females don't have enough female professional soccer players that are tangible to them, and so I think it's really a big responsibility for us to turn around and give back to the youth," she says.

At the helm of this squad is Shek Borkowski, an established soccer coach who took FC Indiana, in the Women's Premiere Soccer League, to two consecutive championships in 2007 and 2008 and Russian club Zvezda to a Supreme League title in the 2009-2010 season.

Borkowski was offered the coaching position, and after watching Haiti play in the London Olympics, he decided to take on the challenge and aimed to help the team become the first Caribbean nation to play at the 2015 Women's World Cup.

Borkowski met with Haitian Soccer Federation President Yves Jean-Bart. "President Jean Bart was very upfront with me; he shared the challenges that the federation faced so I just knew from day one."

With limited funds from the Federation -- just enough to cover the travel between Haiti and the United States -- Borkowski brought the team to the South Bend, Indiana.

"The soccer culture in Haiti is such where if a boy plays soccer, there's clear opportunities for that boy to turn professional. So the family understands that, and they will allow the boy to play and practice.

"With girls, there [are] simply no opportunities available, so it's not being taken serious," says Borkowski. "For families, it's difficult to understand why a girl should be practicing twice a day because there is no end game," he adds.

"The only way to take a step forward was to bring them to a controlled environment. It was critical for us to get them out of Haiti and bring them to the United States," he says. In South Bend, Borkowski incorporated part of the squad to the FC Indiana team and uses the college soccer season as preparation for the team and practice for tournaments.

He also established a nonprofit organization -- IWOF for International Women's Opportunity Foundation -- to raise funds for the team. They regularly do soccer camps and fundraising events to cover their costs.

"We're typically three months behind on rent payments because the money we bring in comes in the summer months," says Borkowski. "This is pretty stressful for players."

Everything from their uniforms and cleats to the gear and the coaching staff's time is donated.

"All of our positions are voluntary, in that we do not receive any type of salary" says Kristin Eggert, the team's assistant coach and a former soccer player.

The squad aimed to change their fate by qualifying for the 2015 Women's World Cup in Canada. The qualifying tournament held over the summer across the Caribbean and several U.S. cities helped them gain notoriety, particularly after the cash-strapped team came to aid its counterparts from Trinidad and Tobago, coached by Randy Waldrum.

"His team arrived in Dallas with 500 dollars and no transportation from the airport. Randy Waldrum is a former coach for the University of Notre Dame; he's helped us in terms of development and so when this happened to his team, it was just a natural reaction that we have to help as well," Borkowski said.

Their gesture went viral in the Twittersphere, many pledged support to the Haitian team. Among them, TOMS shoes donated sports gear, and the Clinton Foundation reached out to inquire about the team's needs. Borkowski says substantive aid still needs to materialize.

But after a very exciting season of matches against Caribbean countries and bigger teams such as USA, Mexico and Costa Rica, Haiti was unable to win the three matches needed to secure a spot to the World Cup.

For Borkowski, it's back to the drawing board. "We are at a crossroad," he says. "We don't know how we're going to approach preparation this year."

For some players, this was the end of the road.

Captain Kencia Marseille and other players return to Haiti, to go on with the lives they paused in the name of the sport. Roughly half of the players that came from Haiti will remain in the team and a new crop will join the national squad as well as the U-17 and U-20 teams, all coached by Borkowski.

Qualifying matches for the two spots available to the Confederation of North, Central American and Caribbean Football Associations for the 2016 Olympics starts this coming fall.

The players' dreams live on.

@highlight

The worlds of Woodline Kethura Robuste and Kencia Marseille imploded five years ago

@highlight

Along with 20 other women, they came to the United States to seek soccer glory

@highlight

Between financial woes and the challenges women's teams face, it's been a hard journey