It was on a platform of the Paris Metro that Michel Desjoyeaux realized he finally had to snap out of it.

He was just back from nearly 100 days sailing around the globe with no sighting of another human being, his only contact to the outside world a satellite phone. His body was, in essence, still on red alert for any obstacle in his midst.

"Waiting for the train, a guy was in the way of the doors and I just yanked him out of the way," recalls the 48-year-old, who just days earlier had returned to France victorious from the grueling Vendee Globe race.

"I was still in that mindset of not letting anything get in my way. It was unhealthy. It was then I said to myself, 'Michel, the race is over now.' But it's hard as solo racing just takes over your body and mind."

It is 45 years since British yachtsman Robin Knox-Johnston became the first man to perform a singlehanded, nonstop circumnavigation of the globe, achieving the feat in 312 days.

He was the only person to finish of the eight-man field in the Golden Globe Race, during which one competitor Donald Crowhurst died -- having committed suicide after attempting to fake the details of his own round-the-world attempt.

So what makes someone decide to take on such a daunting challenge? To spend months away from family and friends, coping on a mere four hours of sleep a night -- most of that broken -- while tackling monster waves on the world's most challenging waters?

For Knox-Johnston, also the oldest person to sail around the planet solo, aged 68 back in 2007, the lure of such a perilous challenge is obvious.

"It's what I do -- I do the sea," he says unapologetically. "To people it may seem dangerous, foolish even but, for me, it's not a strange environment. It's not alien to me, it's where I'm happiest.

"As for circumnavigating the globe that first time, I didn't want to get to 90 years old and think what I could have done. It was dangerous, particularly as no-one had done it before, so you couldn't read up on it, and frequently you feel in danger. Having 27 meters crashing down on your boat will make you feel that way."

See: The best sailing images of 2013

Back in 1968, there was none of the communications enjoyed by today's sailors, requiring instinct more than anything else.

So how did Knox-Johnston's voyage compare nearly four decades on? "You realize that round-the-world sailing is a young man's game," he says.

Desjoyeaux is one of the best modern-day exponents of solo sailing -- the only two-time winner of the prestigious Vendee Globe, in 2001 and 2009 -- and he was born into the sailing fraternity.

His father, who served in the Resistance during World War Two, founded Glenans Sailing School -- which teaches 15,000 trainees each year.

Nicknamed "The Professor," Desjoyeaux is more than just a sailor, he is also an innovator. He writes software for the auto-pilot systems used by many sailors, and has also been integral in developing boating equipment, including the introduction of a sideways-swinging keel 11 years ago.

Despite his wide-ranging proficiency, he is no stranger to adversity on the open seas. Just last month, his yacht dismasted while leading the two-handed Trans-Atlantic race from Le Havre in France to Itajai in Brazil, just 140 miles (260 kilometers) from the finishing line.

Speaking by satellite phone to CNN just hours before that moment on board his vessel MACIF, he explained why he first set out on the solo voyages.

"First, your life is too short to do something you don't want to do," he says. "Second, you will not be efficient because you don't want to do it, and third the most important one is if you don't want to do it then you will make mistakes and then not be efficient.

"In safety terms, that's when things go wrong. Before anything else, you have to want to do it, otherwise that's it, no point."

Desjoyeaux says the all-consuming nature of the racing ("24 hours of the day, you're just trying to optimize everything") means it is a completely different way of life, hence his personal struggles to get back into everyday norms on land.

He says the Vendee Globe, a three-month ordeal held every four years, is "the most complete and perfect race you can imagine.

"So when I finished the first time, I was sure I'd come back - it was still something I wanted to do."

It is common to see sharks and dolphins in the water, as well as whales -- although the large mammals are to be avoided at all costs because of the damage they can do to a vessel, which is often battling treacherous seas.

"I don't think there is too much danger as safety on the boat is always No. 1," says Desjoyeaux. "I don't take too many risks. If it's dangerous, I slow down and do it properly. I want to keep my life."

Traveling around the world in a vessel is not just about being a master sailor, a tactician or mentally strong. It is also about being a businessman and raising the funds required to get such an expedition off the ground.

Budgets for the 2008-9 Vendee Globe were around €10 million ($13.8 million) for the very top boats, each of the leading boats costing about €3.5 million ($4.8 million).

Such numbers makes British racer Steve White's achievement at that race all the more impressive. He arrived on the start line not knowing if he even had enough funds to compete.

Under competition rules, all boats taking part having to be in the harbor at Les Sables-d'Olonne three weeks before the start date. Just to get to that point, he had remortgaged his and his wife's house four times in order to buy the boat on which he aimed to compete.

He had two weeks in which to raise £200,000 ($328,000) to fund the trip, a big sum but small fry in global sailing terms.

"I had this green energy company all set to sponsor me to the tune of £100,000, as well as another businessman to another £100,000," he recalls. "The green energy company were on board, they just needed things to be signed off in one final meeting. But then they went quiet and finally I got word that they weren't going ahead.

"So I went back to the guy (the businessman, who to this day has asked to remain nameless) and said I couldn't match his £100,000 so I didn't expect him to fulfill his side of the bargain. So I thought I'd have to face the embarrassment of sailing away before the start in front of everyone.

"He just said, 'I'll get back to you.' I carried on but felt sick and didn't hear back. I was struggling with phone reception but got a snippet about four o'clock one morning from my wife to say, 'We've got the money.'

"When I finally spoke to her, it transpired this guy had stumped up the entire money. In a flash, I'd gone from suicidal to being in tears. He'd essentially sorted me out for the rest of my life by enabling me to do this."

In the end, the trip cost £245,000, which White part-funded by being paid his €20,000 prize money for finishing eighth in advance.

But it was a race against the clock just to get ready, as he and his team worked through the night to get the boat prepared. By the time he set off for his 109 days at sea, he was already shattered.

Almost immediately, terrible weather hit in the Bay of Biscay, breaking up the much more expensive boats of his rivals. In all, just 11 of the 30-strong fleet finished.

"I enjoy being alone at sea, and in a weird sort of way love testing myself and seeing if I pass the test," White says.

"But it's an odd test. As something breaks, you're like 'good grief' and it feels like torture. But then a moment later the weather changes, as quickly as your mood, dolphins are jumping in front of the boat and there's the most amazing sun -- it's just a very serene, meditative experience."

White is not done with solo sailing. His next challenge is another solo nonstop circumnavigation, but this time the wrong way -- against the prevailing winds and currents -- before returning for another shot at the Vendee Globe in 2016.

For White, the appeal of such journeys is hard to explain.

"I remember (fellow sailor) Mike Golding saying, 'You can't really understand it if you've not done it.' I didn't really get that until I did it. Unless you do, you won't either."

The record for a solo nonstop circumnavigation is a formidable 57 days, 13 hours and 34 minutes set by Francis Joyon in 2008 -- the fastest Vendee Globe completion, by comparison, was at the 2012-13 staging when Francois Gabart came home in 78 days, two hours and 16 minutes.

Yet another Frenchman, Thomas Coville, is now seeking to beat Joyon's milestone -- having aborted his fourth attempt last month, he is back on the water trying again in his 31-meter maxi-trimaran.

Will he break it? "It's a phenomenal record," says Knox-Johnston, "but Thomas is a very experienced sailor, and is certainly a guy capable of doing it. The target's tough right now but that's the joy of records -- they're there to be broken."

If he does so, what next for Coville and the rest of the world's solo sailors? If you have to ask, it would seem, you clearly don't understand.

@highlight

Thomas Coville is the latest to attempt to break the record for solo circumnavigating the globe

@highlight

Robin Knox-Johnston was the first man to do so nonstop, calling it "where I'm happiest"

@highlight

"The Professor" Michel Desjoyeaux insists there is no danger as safety comes first

@highlight

Britain's Steve White faced a gargantuan uphill struggle in his solo sailing bid