(CNN) -- North Korean orphans who make it to South Korea could be considered relatively lucky. They are provided an education, a path to South Korean citizenship and even a chance at adoption.

But many North Korean children do not have similar opportunities. Some are in orphanages in their homeland; others make it out of North Korea, only to find themselves stateless and in hiding in China or other countries.

In January, President Obama signed into law a measure designed to help these children. The North Korean Child Welfare Act of 2012 calls for the U.S. State Department to advocate for the "best interests" of North Korean children.

This includes helping reunite family members who've escaped North Korea, as well as facilitating adoption for North Korean children living outside their homeland without parental care.

But it could be years before Americans are able to adopt any of these children.

The act does not lay out a roadmap for making adoptions or family reunions possible. Rather, it tasks the State Department with making regular reports to Congress on challenges facing North Korean children and developing a strategy to address them.

"Hundreds of thousands of North Korean children suffer from malnutrition in North Korea," the act reads, and many of them "may face statelessness in neighboring countries."

Orphaned and homeless: Surviving the streets of North Korea

Most North Korean defectors escape to neighboring China, which has a policy of sending those who are caught back to their home country. The consequences of repatriation can include imprisonment in North Korea and, in some cases, the death penalty, according to human rights activists.

Some North Korean children escape to China after losing their parents, while others become orphans after crossing the border if their parents die or are sent back to North Korea. The orphans often live in hiding because of fears that they'll be repatriated.

"The last estimate we heard was 20,000," said Arthur Han of Han-Schneider International Children's Foundation, an organization for disadvantaged children based in Montebello, California.

"That number is not accurate because these orphans are in hiding and there's no way to get an accurate number."

Han's father, Sam Han, grew up as an orphan in South Korea and lobbied to get the law passed beginning in 2010. The elder Han had been concerned about the welfare of such children after visiting orphanages in North Korea, his son said. His father died in 2012 from cancer.

The North Korean Child Welfare Act tasks the State Department and the House Foreign Affairs Committee with devising strategies to "safely bring these kids out of hiding in these neighboring countries, into the U.S. or into international homes," Han said. "This bill initiates a process, sets a committee, so a plan can be implemented."

Several prospective parents have already asked Han whether they could adopt a North Korean child.

"I have to tell them it's a few years out before we have a chance to adopt a North Korean child," Han said. "From what we've heard, we're looking at minimum one to three years before a plan is strategized and implemented."

Meanwhile, the law has garnered criticism, especially from Christine Hong, an assistant professor at the University of California Santa Cruz, who said the wording of the measure is troubling.

"I don't think this is going to have an effect of an open season of baby scooping," she said. "One of the dangers is it states that the State Department has to elaborate protocol and it makes it possible for U.S. citizens to be able to adopt stateless children, not just from North Korea or China, but from around the world. It's one of the dangerous precedents -- it's a very loose and fast language."

Last fall, Hong penned a critique of the bill on the website 38North.

In addition to North Korean orphans, the law also refers to children with one North Korean parent -- many of whom are born in China from a Chinese-North Korean relationship. Because of the illegal status of North Koreans in China, such children may not be recognized by China or North Korea, rendering them stateless. Also, they may not have proper registration in China, which is crucial for social services and education, according to human rights organizations.

But Hong said the law is based on outdated premises, and that the discrimination and barriers to services for children born of North Korean-Chinese relationships have greatly improved.

The new law also calls for the State Department to work with the South Korean government to establish pilot programs to assist in the family reunification of North Korean children.

The South Korean government's Ministry of Unification wrote in an e-mail to CNN: "If the U.S. government makes a detailed proposal regarding this pilot project in the future, we can decide on whether we will go on with the project after examining various factors."

Follow Madison Park on Twitter

@highlight

President Obama signed into law a measure designed to help North Korean orphans

@highlight

The law is aimed primarily at those orphans hiding in China and other countries

@highlight

State Department is tasked with helping reunite family members and facilitating adoptions

@highlight

It could be years before Americans are able to adopt any of these children