(CNN) -- The future in video games is usually depicted in one of two ways.

There is the techno version of the future, filled with personal electronic implants, space travel and laser weapons. Or there is the apocalyptic version, where a world has been bombed back into the Stone Age -- and somehow still has laser weapons.

"Call of Duty: Black Ops II," the first-person shooter game that hit stores Tuesday, transports players into two separate time periods: the 1980s and the not-so-distant future of 2025. The relatively narrow time lapse was necessary to build a story around a new villain, Raul Menendez, a terrorist bent on revenge against a world he feels has wronged him.

The battles in the 1980s will use traditional weaponry expected for the time. However, Treyarch Studio Head Mark Lamia said the bigger challenge for the game's developers was creating futuristic tech for 2025 that would be both recognizable and unpredictable.

"Once you go beyond 10 years out, I think there is quite a bit of discussion about what does this mean, where do energy weapons come into play, where does (artificial intelligence) and advanced robotics go?" Lamia said.

The game is a sequel to 2010's "Call of Duty: Black Ops," which sold more than 13.7 million units in the U.S. alone to become one of the best-selling console games of all time.

For the new game, creators tapped author Peter Singer to help them imagine and design a world not too unlike the present day, but with a feel of advancement. Singer is a senior fellow in foreign policy at the Brookings Institution whose book, "Wired for War: The Robotics Revolution and Conflict in the 21st Century," projected a vision of the future of war that developers were seeking.

Singer told CNN he tried to identify key trends happening right now to help writers build a narrative for the new "Call of Duty" game.

"We focused on everything from technical trends, the emergence of robotics, some of the greater attention to warfare, and then also political trends," Singer said. "The potential emergence of a proto-Cold War between the [United States] and China."

The two superpowers are competing over a valuable new resource -- the rare earth elements used in the construction of nearly all smartphones, tablets and other electronic gadgets. Singer suggested this dwindling supply of rare earth elements could be a feasible backdrop for a new Cold War.

"I was not aware of the significance of them and we all educated ourselves and became quasi-experts," Lamia said. "(Singer) was more than our military consultant. He became our political consultant for the future."

Review: 'Halo 4' is franchise's best yet

Singer said the world is no longer just driven by the motives of countries but the actions of non-state actors, such as terrorists or criminals. In creating a future for the new game, developers chose not the most likely scenario but one that is more entertaining for gaming purposes.

"You're not just trying to identify what's likely and important, but also frankly, what's cool," he said. "What gives you the most ground to cover ... (is it) going to be cool for the gamers to play with?"

As development was progressing, some of Singer's projections for the future began appearing in the news. The game's creators were excited but a little unnerved to be building the future before it happened.

Referencing Arthur C. Clarke's Third Law -- "any sufficiently advanced technology is indistinguishable from magic" -- Singer said the 2025 setting allows a familiarity with future technology that makes it seem more real.

He tried to put his ideas into three different categories for developers.

"(First,) it's here and it's being deployed in small numbers but you may not have heard about it," Singer said. "Secondly, it's here but it's in prototype stage. It's in the stage where it is working somewhere, a lab, and we should expect to see it on the battlefield in the next coming years."

Singer's third category includes tech that's still at the research stage and hasn't emerged into a viable, working form. This is where Lamia and his team focused much of their effort.

"We didn't want it to feel too sci-fi. That was a term we used a lot," Lamia said. "We wanted it to feel grounded. It was also important on how it fit into the game."

Lamia expected and planned for future tech to be smaller and more powerful, but Singer pushed them into going farther with their thinking. Lamia also told him the designs had to work within the game's narrative.

"It isn't that we didn't want to take a leap of faith in mankind. You look at military technology and some things advance, but you see things that hang around for a while," he said. "For example, there are a fair bit of weapons (in the game) that exist right now and that's because we actually think they'll be around (in 13 years)."

Designers also came up with new some equipment that's never been seen before.

"You'll know it when you see it," Lamia said about what felt futuristic enough without being too much like science fiction. "Sometimes, it was just art direction. It's just a gut call, but we have to create our universe."

Lamia hopes gamers will be impressed with their vision of the future.

"I think when people start to play with the drones, they feel pretty badass," Lamia said. "There's a sequence where we have a jet wing (jet pack) insertion that people are going to crap themselves over. Pretty cool. Pretty epic."

Today's cutting-edge weaponry inspired what appears in the game's futuristic battles. But the influences also went the other way, too. An early trailer for "Call of Duty: Black Ops II" showed a piece of future military hardware that isn't on the current battlefield. A military contractor asked why it wasn't being built and is now showing a prototype at trade shows, Singer said.

"I say it half in jest, but this is one of the ways I will have a great deal of influence in shaping that future," he said. "The world of science fiction continually inspires the real world in everything."

"Call of Duty: Black Ops II" is available for the PlayStation 3, Xbox 360 and PC. It is scheduled for release on the Wii U on November 18 in North America and November 30 for Europe and Australia.

@highlight

"Call of Duty: Black Ops II" hit stores Tuesday

@highlight

The game transports players to the 1980s and the not-so-distant future of 2025

@highlight

Creators tapped Peter Singer to help them imagine and design a near-future world

@highlight

2010's "Call of Duty: Black Ops" sold more than 13.7 million units in the U.S.