President Barack Obama and other world leaders have decided to end Russia's role in the group of leading industrialized nations, the White House said Monday.

The move to suspend Russia's membership in the G8 is the latest direct response from major countries allied against Russia's annexation of Crimea.

"International law prohibits the acquisition of part or all of another state's territory through coercion or force," the statement said. "To do so violates the principles upon which the international system is built.  We condemn the illegal referendum held in Crimea in violation of Ukraine's constitution.

"We also strongly condemn Russia's illegal attempt to annex Crimea in contravention of international law and specific international obligations."

Russian Foreign Minister Sergey Lavrov said earlier in the day that being kicked out of G8 would be no big deal.

"G8 is an informal organization that does not give out any membership cards and, by its definition, cannot remove anyone," he said during a news conference. " All the economic and financial questions are decided in G20, and G8 has the purpose of existence as the forum of dialogue between the leading Western countries and Russia."

Lavrov added that Russia was "not attached to this format and we don't see a great misfortune if it will not gather. Maybe, for a year or two, it will be an experiment for us to see how we live without it."

Ukraine orders Crimea troop withdrawal

In a nod to political and economic reforms, the United States, Britain, Canada, France, Germany, Japan, and Italy added Russia to their group in 1998 -- transforming it from the G7 to the G8.

An aide to British Prime Minister David Cameron confirmed to CNN that a group summit initially planned for June in Sochi, Russia, where the Winter Olympics were just held, is now off.

The United States and its allies in Europe are "united in imposing a cost on Russia for its actions so far," Obama said earlier in the Netherlands where he attended a nuclear security summit with other world leaders.

Western powers have imposed sanctions and other penalties against specific people in Russia close to President Vladimir Putin.

A senior Obama administration official, not speaking for full attribution, said Obama and other leaders agreed that further steps to punish Russian President Vladimir Putin could include sanctions on energy, banking and defense sectors -- all areas where Europe is deeply engaged economically with Russia.

Those additional sanctions could be prompted if Russia further escalates its incursion into Ukraine, which the official defined as sending troops beyond Crimea into the southern or eastern parts of the country. Violence in the contested peninsula could also trigger further sanctions.

While the official said further penetration of Ukraine by Russian troops remains the most immediate source of concern for the United States, other potential land grabs also worry the United States and its allies.

NATO has expressed concern Russia could attempt to reclaim a region of Moldova with Russian sympathies.

Can Obama's European trip re-assert U.S. global leadership?

Obama has said a military incursion in Ukraine is off the table, and his advisers are hesitant to even frame the crisis in Ukraine as a bad '80s flashback -- Obama in one corner, Putin in the other. It's not "Rocky IV," as Secretary of State John Kerry said.

White House officials don't care to publicly muse about Putin's intentions.

National Security Adviser Susan Rice said the Russian President's actions speak for themselves.

The White House emphasis throughout the Russian occupation of Crimea has been "de-escalation."

Asked whether the United States will provide military aid to Ukraine's woefully underfunded armed forces, administration officials cautioned that such assistance could inflame tensions.

"Our focus has been and remains on the economic and diplomatic instruments at this point," Rice said. "Our interest is not in seeing the situation escalate and devolve into hot conflict."

Lavrov met with Kerry on Monday and said Russia's action in Crimea was necessary.

"It was the necessity to protect Russians who live there and who lived there for centuries," he said in the news conference. "And when our partners compare Crimea to Kosovo, because in Kosovo a lot of blood was shed then its independence was proclaimed. So we have a question then: Is it necessary for the blood to be shed in Crimea to agree on the right of the people in Crimea for self-determination?"

While Democratic and Republican lawmakers in the United States are stepping up their calls to provide Ukraine with light arms and other military aid, administration officials have argued that sanctions put in place so far must be given time to take hold.

With an estimated 20,000 Russian troops on Ukraine's border, the question is whether Obama's use of soft power will deter Putin.

With little resistance, the Russian President could easily move into eastern Ukraine even as Obama seeks to isolate Moscow in meetings with European allies. It's a possibility not lost on senior administration officials.

House Intelligence Committee Chairman Mike Rogers, a Michigan Republican, argued the Russian leader is likely eying more opportunities in the coming days.

"(Putin) has put all the military units he would need to move into Ukraine on its eastern border and is doing exercises. We see him moving forces in the south in a position where they could take the southern region over to Moldova," Rogers said on NBC's "Meet the Press."

There are other approaches. Obama's former ambassador to Russia, Michael McFaul, urged the administration to intensify its policy of isolating Putin.

"Mr. Putin's Russia has no real allies. We must keep it that way," McFaul wrote in an op-ed in the New York Times.

What does Putin want next?

@highlight

Industrialized powers acted to penalize Russia over Crimea

@highlight

Obama in the Netherlands says the U.S. and European allies united in imposing costs on Russia

@highlight

Russian foreign minister downplays effect of losing G8 membership

@highlight

U.S. will concentrate on diplomatic, economic moves against Moscow