(CNN) -- Get your brain ready for a game show that requires no knowledge of trivia or prices -- just curiosity.

National Geographic Channel is premiering Monday night a new series called "Brain Games," a fun, smart show that, in a nontraditional way, teaches you how your mind works.

"My hope is that people come out of it in awe of themselves," said host Jason Silva, formerly a presenter on Current TV.

Each episode zooms in on a different aspect of how our brains work, in areas such as focus, fear, motion and persuasion. During each half-hour program, viewers engage in several games that show how our brains might not be operating the way we expect. Experts in various fields of cognition join in to explain what's going on.

Through perceptual experiments, interactive games and illusions, the show is able to, in a sense, "hack your brain," Silva said.

You might think that everything you see is like high-definition TV, that you perceive the world around you in perfect detail. But the truth is that the attentional spotlight of your brain is only about the size of your thumbnail; about 1/1000th of your field of view. As Silva says on the show: It's as if your attention is a spotlight, and you can only shine it on one thing at a time.

This is your brain on music

Your brain fills in the rest on its own, in order to save energy, so everything around you doesn't immediately jump out and demand focus.

Perhaps you have noticed, for instance, that while commuting to work you are thinking about all sorts of things that don't involve being in the car, train or bus that you ride every day. Your brain has already stored a model of your environment, so you might not notice something unusual right next to you. That's called inattentional blindness.

"The brain creates these mental models of the world so that you can function, but the consequence is that it makes you less present, so we don't notice what's around us on a regular basis," Silva said. "We're blind to what surrounds us."

Apollo Robbins, a performer and expert in deception, takes advantage of that fact when playing card tricks and engaging in other trickery on the show. You might think of this as "misdirection," but Robbins says in a video on the show's website that he likes to think of it as "managing attention."

In one episode, he gets many volunteers to look through a deck of cards for the card they started with. Actually, the card is on Robbins' head, but they're so focused on the task that they don't immediately notice.

"Even backstage, he's able to weave my attention in any direction that he wants," Silva said.

Top brain scientist is 'philosopher at heart'

Another game makes use of the relatively poor peripheral vision that we all have. There's a giant X in the middle of the screen and two cheerleaders on either side of it. If you keep your eyes focused on the X, can you tell which one of the cheerleaders is actually a man wearing a skirt and a wig? It's a lot harder than you might think.

The show is particularly relevant now, given recent movements toward advancing brain science, Silva said.

Earlier this month, President Barack Obama announced a $100 million initiative called Brain Research Through Advancing Innovative Neurotechnologies, or BRAIN. It "aims to help researchers find new ways to treat, cure and even prevent brain disorders, such as Alzheimer's disease, epilepsy and traumatic brain injury," the White House said in a release.

Another major brain research initiative is called the Human Brain Project, based in Europe. Scientists at the Human Brain Project are using supercomputers to simulate the way the brain works in order to understand it better. Henry Markram at the École Polytechnique Fédérale de Lausanne in Switzerland is leading this effort. In January, the European Commission awarded this international effort about €1 billion ($1.3 billion).

The show's executive producer, Jerry Kolber, said he wanted to make a game show where the viewer would also be contestants. He wanted it to be a "science show without the 's-word.'" Of course, the "s-word" is "science."

Kolber said he was personally amazed by the episode on fear, in which the show explores how the stress we feel in modern life about things like an overflowing e-mail inbox are derivative of fear. The fear response is something that evolved in humans, and dates back to when our primitive ancestors had to be on high alert in case of animal attacks.

"Our brain wants us to feel stress in situations that are uncomfortable," Kolber said. "That's its way of putting you on alert."

What's different now, of course, is that in modern life, the stress response is being triggered dozens of times a day, which isn't healthy, he said.

"Brain Games" premieres at 9 p.m. and 9:30 p.m. ET/PT Monday on the National Geographic Channel.

You can learn more about "Brain Games," play games and watch additional videos on the show's website.

@highlight

"Brain Games" incorporates optical illusions and perceptual tricks

@highlight

Your peripheral vision is probably weaker than you think

@highlight

Card tricks can take advantage of your small attentional spotlight