ATLANTA, Georgia (CNN) -- Several years ago, in honor of the new millennium, Playboy magazine asked musicians for lists of their top 10 songs of the previous 1,000 years.

The Beatles placed six albums in Tom Moon's "1,000 Recordings to Hear Before You Die."

Most of them stuck to the era of recorded sound, but guitarist Richard Thompson cheekily took Playboy's request seriously and submitted a list that included such songs as "Sumer Is Icumen In," a hit from the 13th century, and "Blackleg Miner," a folk ballad of the 1800s.

Playboy was not amused, and did not print Thompson's list.

Such is the fate that awaits many people who compile expansive lists of the greatest or most influential songs, movies, TV shows, romantic getaways or baseball players shorter than 5 feet 9. Everybody's a critic. At best, your list will inspire furious discussion; at worst, it will be ignored by your prospective debaters and sink as forlornly as a pebble in the Atlantic Ocean.

Which hasn't stopped a slew of new entries in the list-making business -- and not just simple top 10s, either. A handful of authors and publications have released, or are planning to release, works with up to 1,001 suggestions you should know about right now.

Tom Moon, author of "1,000 Recordings to Hear Before You Die" (Workman), knew what a daunting task he had been assigned.

"Could one person be counted on to do all kinds of music?" says Moon, the former music critic for The Philadelphia Inquirer and a regular contributor to NPR, describing himself as apprehensive about the project.

But he found himself warming to the idea. As a music journalist, he prides himself on being a generalist, though he admits he's mostly stayed close to the pop realms. A book such as "1,000 Recordings," he says, can help people see past their particular favorite artists or genres and tap into the whole world of recorded music.

"It's like having a tour guide with a flashlight shining into unknown places," he says in a recent interview at CNN Center. "It's someone saying, 'This is cool. Check this out.' "  Watch Moon defend the inclusion of Britney Spears' "Toxic" »

Moon isn't the only one marking time by making lists this season. Movie critic David Thomson put out " 'Have You Seen ...?': A Personal Introduction to 1,000 Films" (Knopf) in October. The January issue of Blender magazine blares "1,001 Greatest Songs to Download Right Now" on its cover. The minds behind the music Web site Pitchfork have "The Pitchfork 500: Our Guide to the Greatest Songs from Punk to the Present" (Simon and Schuster).

And then there are the other big lists, past and future, including Dave Marsh's 1989 singles compendium "The Heart of Rock and Soul" (Marsh chose 1,001 influential singles) and Robert Hofler's forthcoming "Variety's 'The Movie That Changed My Life' " (120 notables pick their favorites).

So where does one start?

Thomson and Moon wanted references that included well-known titles and obscurities, often cheek by jowl.

"I wanted a 'bumper' book for your laps," writes Thomson in his introduction. "I wanted old favorites to be neighbors with films you've never heard of. I wanted you to entertain the unlikely possibility that 'everything' is here. Of course, it is not -- everything remains out in our scattered 'there.' "

So "Have You Seen ...?", which is organized in alphabetical order by title, includes some interesting juxtapositions. The laconic Humphrey Bogart film "The Big Sleep," directed by the no-nonsense Howard Hawks, precedes Alfred Hitchcock's "The Birds." The Frank Capra-directed "Mr. Smith Goes to Washington," starring an earnest James Stewart, resides next to David Lynch's loopily creepy "Mulholland Dr." Thomson picks some films for their artistry, others because ... well, because he wanted to, and it's his book.

Moon says he set some ground rules. He wanted to stick with albums, not singles or specific cuts. He knew he'd have to include certain essential recordings, but wanted room to roam.

"There's no way to be definitive about music," he says. "My thought was, let me find some of the best of the best ... then find stuff as thrilling, but perhaps not as accessible."

So "1,000 Recordings" includes the Jimi Hendrix Experience's "Are You Experienced" and Glenn Gould's two albums of Bach's Goldberg Variations, but also Guided By Voices' "Bee Thousand" and Toumani Diabate and Ballake Sissoko's "New Ancient Strings." "Born to Run" makes the list; so does Henry Mancini's score for "Breakfast at Tiffany's."

But like Thomson's film book, it has some idiosyncracies. The Beatles get six selections; the Rolling Stones get two, and one is a singles collection. There's a Beau Brummels album, but only a Dion single (yes, Moon breaks his own rules occasionally). And the curmudgeonly listeners at Pitchfork, Down Beat and the classical magazine Gramophone no doubt are wondering where some of their favorites are.

For Moon -- as with probably anyone who's ever tried to make a comprehensive list of anything -- that's all part of the fun. Go ahead and argue; passion is better than indifference.

"These are starting points," he says.

@highlight

Critics offering mega-lists of albums, films, other things to know about

@highlight

Critic Tom Moon on his "1,000 Recordings": "It's someone saying, 'This is cool' "

@highlight

Moon says he's not providing be-all and end-all: "These are starting points"