Washington (CNN) -- Julian Castro, the mayor of San Antonio, and Mike Villarreal, the city's representative in the state legislature, saw potential in an historic, amoeba-shaped park parcel near the city's convention center.

So, the two set to work. They secured the civic support, government approval and funding needed to turn HemisFair Park into a place where playgrounds and mixed income housing will one day overlook a grassy span and the Tower of the Americas â€” an observation tower marking the park's location as the site of the 1968 World's Fair.

As President Barack Obama's choice to become the next housing secretary, a focus on helping revitalize inner-city areas, colleagues in Texas say, will stand the 39-year-old mayor in good stead.

"Based on his focus here in San Antonio on working to improve housing in the city's core and inner city, I suspect he would advance an agenda that has in mind family and children," said Villarreal, who is vying to replace Castro as mayor. "I think you're going to be seeing a secretary of housing who understands housing on a human level."

Obama 's new pick for HUD secretary

If confirmed, Castro would head an agency that is still reeling from fallout from the housing crisis â€” including meeting mushrooming demands for affordable rental housing.

He will also be tasked with helping the financially beleaguered Federal Housing Administration, which has been struggling to cope with a record number of home mortgage defaults.

Obama noted during the nomination ceremony that Castro "never forgets where he comes from." He also highlighted Castro's mention of his Mexican-born grandmother in his keynote address to the Democratic convention in 2012 as an immigrant who worked hard to provide a home for her family.

"For her and generations like her a home is more than just a house," Obama said.

Castro will likely face questions in his confirmation hearings why San Antonio did not follow federal guidelines when it spent millions in HUD funds aimed at helping address the housing crisis during his tenure as mayor, according to a 2012 report by the agency's inspector general.

The report found the city did not use a competitive bid process when it awarded $2.5 million for renovation contracts and that it did not follow federal affordability guidelines designed to target lower income residents when it spent just over $1 million to buy and fix up homes.

A call to Castro's San Antonio office seeking comment about his HUD nomination was not immediately returned.

Still, supporters feel Castro has the right mix of experience to lead the agency.

"This economy has not been as robust as we would have hoped," Henry Cisneros, a former HUD secretary and former San Antonio mayor told CNN on Friday. "Part of the reason for that has been because the housing sector has been on the sidelines. But now housing can get into the fray and, as HUD secretary, Castro is well-poised to do that."

Cisneros, who says he has discussed housing-related issues with Castro in the past and plans on having additional conversations with him, said that as mayor of San Antonio, the younger man dealt with issues of poverty, homelessness and home affordability and is well suited to the task.

Opinion: Why Julian Castro said yes to Obama

Texas political consultant Bill Miller also feels Castro is up to the challenge.

"He'll be a cool customer. He's not going to get supercharged or over wrought over anything," said Miller who is a founding partner at HillCo Partners in Austin, a state political consulting group. "If there have been problems and challenges at the agency he's not going to be let's throw the baby out with the bathwater."

Castro's appointment also would be a win for Democrats looking to add diversity to its national roster of potential candidates and put Texas in play in 2016 as well as help smooth over tensions with Latinos who are frustrated over a lack of an immigration reform overhaul, said Julian Zelizer, a Princeton University historian and CNN contributor.

"In terms of the Democrats and Obama, it is at least symbolic of the party's commitment to immigration and immigration reform," Zelizer said. "It does elevate his status. It makes him a national figure rather than a local figure."

Castro, the son of political activists, is the youngest mayor of a major American city. His meteoric rise from local government to being called upon to take on a Cabinet-level position is a political narrative tailor-made for primetime.

He and his twin brother, Rep. Joaquin Castro, D-Texas, were picked to take the stage at the 2012 Democratic National Convention in Charlotte.

The congressman introduced his brother who in turn gave a keynote address that was memorable for both his young daughter's charming hair flip and his tale of a second-generation, Mexican-American immigrant's successful rise.

"My grandmother never owned a house. She cleaned other people's houses so she could afford to rent her own. But she saw her daughter become the first in her family to graduate from college," he said during the 2012 address. "And my mother fought hard for civil rights so that instead of a mop, I could hold this microphone."

Mayors' stories out of school

Beyond the immigrant son-made-good narrative, Castro brings a "new energy" to the President's second term, said Trey Martinez Fischer, a Democratic Texas state representative who heads that body's Mexican American Legislative Caucus.

"It's very important to note is that he brings a fresh perspective and new energy to this President's second term, Fischer said. "He could serve as a pick me up for an administration that's been in place for some time."

@highlight

Julian Castro is a Democratic rising star tapped by president to head HUD

@highlight

His appointment could help improve Democratic standing with Latinos, Texas voters

@highlight

Castro will face questions about HUD funds, steering it through housing market recovery

@highlight

Texas colleagues say Castro has the right blend of experience to get the job done