(CNN) -- Sarah Cymbaluk of Fosston, Minnesota, is a frustrated mom who took matters into her own hands. After claiming that her daughter was repeatedly bullied on the school bus and the school did nothing about it, she posted a video on Facebook.

In the video, Cymbaluk asked her crying daughter, "Tell me how it makes you feel."

Her daughter, who turned 9 on Tuesday, responded, "It makes me feel sad and scared, and I don't like it."

"She's been called into the principal's (office) and made to feel like it's her fault," Cymbaluk told CNN affiliate KXJB, claiming the bullying has gone on since December. "She's been told to ignore it. She's been told to disregard it. Basically she's been told to stuff her emotions and get on with life."

Fosston Schools Superintendent Mark Nohner, who said he thinks the situation could have been resolved without going to Facebook, said he learned about this issue only recently but conceded "somewhere along the line" the case "fell through the cracks."

Are we too quick to cry 'bully' these days?

"And so we need to review our procedures and policies and maybe do a better job of articulating to the parents what we're doing," said Nohner.

While Cymbaluk has come under some fire for posting the video of her tearful daughter, this case demonstrates how angry and helpless parents can feel when they believe their child is being bullied and that nothing is being done to stop it.

'You want to do something to help your child'

Becki Cohn-Vargas, a parent of three grown children, is a former principal, superintendent and teacher with more than two decades of experience in education. She is now director of Not in Our School, a program that works to create networks of schools that are free of bullying and offers a guide to parents on how to deal with bullying behavior.

"Without knowing all the details of the case, what I can say is that I can understand a parent's frustration because I, as a parent, have moved my child from a school ... so I know that you feel desperate," said Cohn-Vargas, who transferred her own daughter to another high school years ago because of a bullying incident. "You want to do something to help your child."

Police file raises questions about Rebecca Sedwick's suicide

The key is focusing on the most effective methods to make sure your child feels safe. That begins with talking with your child and determining whether they have, in fact, been bullied, she says.

"It isn't supportive to your child to just jump in and defend when you don't know exactly what happened," said Cohn-Vargas, co-author of the book "Identity Safe Classrooms: Places to Belong and Learn," who says she's had her share of experiences as a principal with parents coming in with "guns blazing."

"I had so many cases where parents ... felt like they had to defend their child because they thought that was support."

Parents might first encourage children to try and handle the situation by standing up for themselves and telling the bully to stop. If that doesn't work, the next stage would be working up through the chain of command, said Cohn-Vargas, beginning with the person closest to where the alleged bullying took place, such as a teacher if it took place in the classroom or a bus driver if the incident happened on a bus and then moving on to the principal and the school district.

"I am not trying to underestimate that it's hard because school districts sometimes put their head in the sand, they don't want to see what's happening, but I think more and more school districts are very pro-active," said Cohn-Vargas.

When friends become bullies

'Document, document, document'

Nancy Willard, director of the group Embrace Civility in the Digital Age, which works on combating cyberbullying and author of "Positive Relations @ School (& Elsewhere)," doesn't totally agree.

She says she hears from far too many parents who say schools are rationalizing bullying behavior, saying things like "It wasn't that big of a deal" or "You're overreacting" or "Your kid needs to learn how to deal with it."

Willard, who has created her own empowerment guide for parents, says her first advice is to "document, document, document."

Parents should chronicle what happens, what staff were around and what they did, what the impact has been in terms of emotional distress, how the alleged bullying behavior may be interfering with the child's education and after-school activities and what the school response has been, said Willard.

If the school is not responding, a parent can go the person charged with responsibility for ensuring safe schools at the district level, she said. "If you don't get help at the district level, then you go to the State Department of Education."

Parents, beware of bullying on sites you've never seen

If a child is being bullied and there is a civil rights violation, a parent can file a civil rights complaint either at the state or federal level, she added.

"Parents need to know that they have more power," said Willard.

A focus on reconciliation, not punishment

She said parents should not be focused on punishment, which could lead to retaliation and more pain for the bullied child. Instead, they should ask the school to see that the person responsible for the hurtful behavior gets help since other problems may be pushing them to bully and work with the school to create an opportunity, at some point, for the child who caused the pain to make amends.

Cohn-Vargas adds that parents should refrain from immediately trying to schedule a meeting with the parents of the child doing the bullying.

"It's because it can turn into conflict between adults," she said. "It just can get ugly really fast."

Willard said part of the reason why she created her parent guide in the first place is because she believes parents can help schools make positive change.

"If we've got 1.2 million kids who are experiencing hurtful acts at school each week, that's a fair number of parents who if they got motivated could encourage and empower change," she said, citing numbers from a 2011 Department of Justice report.

Cohn-Vargas believes schools and school districts are "in the beginning stages of addressing bullying effectively." She believes only a multifaceted approach will succeed -- one that includes empowering students to identify issues and solutions, teaching bystanders to stand up against bullying and looking at bullying as a learning experience where kids can move on and change.

She cited a recent case involving a middle school, which worked with her program, Not in Our School. Three boys photoshopped a picture of an eighth- grade girl, adding a swastika, a naked image and an anti-gay slur, and circulated the photo.

When telling bullying victims to 'just fight back' doesn't work

School officials identified three students were responsible, including one Jewish student, and wanted the children to really learn from the incident. They came up with the idea of having the students do research on the topics involved including the history of the swastika, said Cohn-Vargas.

"So what does the school do to handle it right? They take it seriously, they investigate. They look at it as a learning experience," she said.

"All children at some point end up being either a victim, a bystander or someone who does the bullying and so it's a matter of creating a learning opportunity for the kids."

Do you think schools are doing enough to stop bullying? Chime in in the comments below or tell Kelly Wallace on Twitter and CNN Living on Facebook.

@highlight

A Minnesota mom posted a video of her daughter crying after she'd allegedly been bullied

@highlight

The mom says she posted the video because the school did nothing about the bullying

@highlight

Parents might not realize all the avenues they have to deal with bullying, experts say

@highlight

The No. 1 goal, according to the experts, is making a child feel safe