(CNN) -- Abandoned workshops and empty warehouses are getting a new lease of life in Cape Town. Spaces that once housed production lines are now becoming creative hotspots for artists, designers and musicians living in a city that holds the title of World Design Capital for 2014.

This urban regeneration might be most true in one of Cape Town's oldest suburbs: Woodstock. Visitors to the area can see the busy harbor to the north and the majestic Table Mountain to the south. But most people wandering around the area aren't here for the views -- with its craft stores, art markets, theaters and award-winning restaurants, this is a hot address for young urbanites.

Based here is also the Old Biscuit Mill, a converted building that has now become a hive of retail activity.

"When we started we knew we had made the best decision to be based in Woodstock specifically," says Zizi Poswa, a founding partner of Imiso Ceramics, a well-known local pottery collective located at the Old Biscuit Mill.

"After two or three years we realized we've got to maximize on whatever we do and we've had a lot of customers coming from overseas to see our work. It's been good."

Woodstock is also home to an old brewery that has now been turned into an office hub, mostly catering for small advertising and film production firms. "Buildings in the area really lend themselves to being converted," says Willem Otten, one of the architects involved in the redesign of the Old Castle Brewery. "Woodstock used to have a lot of clothing workshops and factories, so the high ceilings and generous spaces really work for the artistic community."

Economic benefits

This sector is an important component of South Africa's economy. The visual arts contribute nearly $90 million to the country's GDP and provide employment to almost 18,000 people, according to the Department of Arts and Culture.

But the craft sector is even more significant when it comes to generating income. The sector contributes about $985 million annually to GDP and employs approximately 38,000 people.

South Africa's government is trying to build on these areas with its Public Art Program. Minister of Arts and Culture Paul Mashatile has announced a number of partnerships with local community leaders and artists in a bid to stimulate creativity in communities and help beautify areas. Overall, the program is projected to create 5,000 short-term jobs between 2013 and 2015.

One person who is well-aware of the economic potential South African design has to offer is Trevyn McGowan. The company she started with her husband, "Source," is all about finding local designers and getting them started in the global market.

"Our design industry is ready," says McGowan, who's also the founder of the Southern Guild -- a stable of local talent creating design art and investment pieces. "A cool market, but in a commercial environment."

Design legacy

Her goal is to stimulate the industry and the majority of the work is happening in Woodstock. The regeneration of the area is one of the reasons that the International Council of Societies of Industrial Design has crowed Cape Town the World Design Capital -- a title the city will hold until the end of the year.

Past title holders that have received recognition for driving urban development through design include Finland's capital city Helsinki and Seoul in South Korea. Cape Town is the first city on the African continent to have been given the title, which was first bestowed on Torino in Italy in 2008.

But has the title led to real benefits for the city?

"There has been a fantastic response," says Otten. "There has been an uplifting of the city as people are really making public spaces better."

But there is a sense that the real benefits won't be immediately obvious. "I think this is far more intrinsic and deeper than anybody anticipates and it's only going to be in years to come that we really see the critical impact that world design capital has had on Cape Town," says McGowan.

"It's all very well to want the proof right here and right now but for a young industry, we're really are doing the best we can and the legacy that's going to be left behind after the year is over."

This longer-term perspective is also on the mind of Alayne Reesberg, CEO of World Design Capital Cape Town -- the body which implements the requirements of the World Design Capital organization. "There has been added impetus in 2014 for South African policy-makers to talk about design," she says. "City, provincial and national government agencies are convening on design issues and the WDC title has really accelerated those conversations."

As the end of 2014 comes into sight, and with it the close of Cape Town's reign as World Design Capital, citizens will hope the year in the spotlight will have a lasting impact on the city's public spaces.

Read this: From crime hotspot to hipster hangout

Read this: In the driving seat of S. Africa's economy

More from Marketplace Africa

@highlight

Cape Town is the World Design Capital 2014

@highlight

Old factories in the Woodstock suburb are being transformed into creative spaces

@highlight

The visual arts contributes nearly $90 million to the South African economy