(CNN) -- The United Nations Human Rights Council urged Sri Lanka Thursday to thoroughly investigate allegations of atrocities committed during the island nation's long and brutal civil war.

The Geneva-based U.N. body adopted a U.S.-initiated resolution calling on the Sri Lankan government to "initiate credible and independent actions to ensure justice, equity, accountability and reconciliation for all Sri Lankans."

The measure was adopted in a 24-15 vote; eight nations abstained.

Sri Lanka's 26-year war with the Liberation Tigers of Tamil Eelam rebels, otherwise known as the Tamil Tigers, ended three years ago when government forces declared victory.

A U.N. report last year found credible allegations of war crimes and crimes against humanity committed by both sides during the final stages of the fighting.

The Sri Lankan government, however, rejected the findings as "biased, baseless and unilateral."

Between September 2008 and May 2009, the Sri Lankan army advanced into Vanni, an area of northern Sri Lanka where tens of thousands of civilians were killed, according to the U.N. report.

Questions of accountability for the mass killings of civilians remain unanswered.

"There cannot be impunity for large-scale civilian casualties," Eileen Chamberlain Donahoe, the U.S. ambassador to the U.N. council, said last month.

"If governments cannot tell the truth about large-scale atrocities, whatever else they're doing that's positive can't eradicate the despair that will be there on the part of the victims," she said. "If that despair isn't acknowledged or dealt with in some way by the government, it will sow seeds of future violence."

Last year's U.N. report was issued by a panel appointed by Secretary-General Ban Ki-moon in 2010 as a way to address accountability in the Sri Lankan war.

The panel's report last April gave credence to allegations of serious human rights violations by both government forces as well as the rebels that could amount to war crimes and crimes against humanity.

Many civilians were killed in the final phases of the war because of government shelling, the U.N. report found. It said the government attacked no-fire zones after encouraging the civilian population to gather there. Those places included food distribution lines, front-line hospitals and Red Cross ships picking up the wounded.

The Sri Lankan government continued to shell these areas in spite of knowing its impact from its own intelligence systems and notification from the United Nations and other international humanitarian agencies, the U.N. report said.

U.N. investigators said the Sri Lankan government deprived people of humanitarian aid and deliberately underestimated the number of civilians who remained in the conflict zone.

The report also blamed the Tamil Tigers, known as a terrorist group responsible for the assassinations of two world leaders -- Sri Lankan President Ranasinghe Premadasa in 1993 and Indian Prime Minister Rajiv Gandhi in 1991.

The U.N. report accused the rebels of forced labor, suicide attacks, using civilians as human shields, killing civilians attempting to flee, using military equipment in the proximity of civilians and recruiting children.

Donahoe said it was imperative for Sri Lanka to reconcile its bloody past.

"I think this outcome is also important not only for the people of Sri Lanka, but for human rights generally and for the international human rights principle that when there are mass-scale civilian casualties and human rights violations, there must be some credible investigation and some form of accountability," she said. "Without that element, there cannot be real reconciliation or lasting peace."

@highlight

The U.N. Human Rights Council urged Sri Lanka to probe alleged war crimes

@highlight

A report last year blamed the government as well as the Tamil Tigers

@highlight

The U.S.-initiated resolution was adopted in a 24-15 vote

@highlight

The U.N. says Sri Lanka must hold accountable perpetrators of alleged war crimes