London (CNN) -- As the dust settles from a third -- more effective and yet miniaturized -- North Korean nuclear test, the question rings out: What do they want? What are the intentions of Kim Jong Un, the newest, and youngest incarnation of the Dear Leader?

The timing is of course, everything. Setting the test for the day of President Barack Obama's State of the Union address is not random luck. It puts pressure exactly where pressure is wanted: in Washington.

As the White House doubtless received the news in the early hours of the morning, they would have been scrambling to find out what they do know. They will also have been fending off calls from the media along with more than a few concerned senators and congressmen. The message from the latter will no doubt have sounded something like the following, "What are you doing about this?"

The call will be to act, but how, what, and where? Doubtless the Obama team will be as stumped as the many agitated diplomats rushing around the United Nations Security Council.

Of course, the Chinese envoys at the Security Council will be concerned, but unlike their Japanese, South Korean, and American colleagues, they'll probably remain seated. They'll have firm orders from Beijing to keep emotions from boiling over. They may even water the sanctions down. As if they needed to.

Any sanctions imposed would doubtless lose meaning as the morning trains began their daily shipment of goods and fuel across the border from China into North Korea. Xi Jinping, China's new leader, may want a "new relationship" with the United States, but that doesn't mean that Washington's strategic concerns are China's.

And if we didn't already know what Pyongyang wants, the Obama team will no doubt be consulting its army of North Korea-watchers from the CIA, the State Department and the Department of Defense for a consensus.

According to many observers I've spoken to over the years, North Korea wants the following (in order of importance): (1) regime survival; (2) acceptance as a nuclear power by the U.S.; (3) a peace treaty between the U.S. and North; (4) trade and economic growth on their terms, and hey, if we can (5) Korean unification under Pyongyang's benign rule.

Of course, Obama's team will have been told about the "provocation cycle," that unfortunate fact that the U.S. and its allies will sit down to the table with North Korea within six months of any provocation.

Why will they do it? Because of the heat generated within Washington, the demands to "do something," and to allay regional fears that Uncle Sam's defenses aren't what they used to be.

So what can the Obama team do if sanctions are ineffective, and if a military response is out of the question?

They can learn the art of pressure from their opponents on this. But, of course, the question is what makes Pyongyang squirm? It clearly isn't sanctions on luxury goods, as these have failed to deter endless missile tests.

The answer to that riddle lies in the recent history of the Cold War, in which we learned the impact of free information on Soviet citizens behind the Iron Curtain. Information is the greatest weapon at the disposal of the Obama team, and they should apply it liberally.

The North Korean people are their greatest ally and should be messaged accordingly. According to a 2011 report on North Korean susceptibility to outside media, radio and DVDs are the most common way for normal North Koreans to hear media from the outside world. The Obama team should not look to its diplomats in New York for salvation, but rather to Langley and to the U.S. military's best and brightest on the Korean peninsula.

Each time Pyongyang ratchets up the pressure, Washington should reply in kind by smuggling in 150,000 DVDs about the free world outside North Korea's humble borders. Radio stations should work overtime to bring impartial news about the world to the hapless citizens, who still live in the Cold War, while the rest of us move on.

Let's not let the pressure be one way. American newspapers and senators may tremble about a North Korean nuclear-tipped bomb, but certainly young Kim must tremble too at the prospect of his citizens awash in the streets, their eyes open to the nature of their lot.

The opinions expressed in this commentary are solely those of John Hemmings.

@highlight

Hemmings: Test on day of Obama's State of the Union address not by luck

@highlight

Spotlight on what China does, but Beijing doesn't share U.S. strategic view

@highlight

"Information is the greatest weapon at the disposal of the Obama team"

@highlight

"Free information" had huge impact on Soviet citizens during Cold War