President Barack Obama on Tuesday bestowed the nation's highest civilian honor, the Presidential Medal of Freedom, on 13 people from all walks of life, hailing them for changing the world for the better.

One of them, Dr. William Foege, helped lead the effort to eradicate smallpox, saving millions of lives. Madeleine Albright was the first woman to serve as U.S. Secretary of State, and Toni Morrison was the first African-American women to win a Nobel Prize.

Others who stood calmly while Obama placed the medal around their necks included singer-songwriter Bob Dylan, wearing dark glasses indoors and never smiling; civil rights enforcer John Doar; former U.S. Supreme Court Justice John Paul Stevens; worker and women's advocate Dolores Huerta;  former University of Tennessee women's basketball coach Pat Summitt, and former astronaut and U.S. Sen. John Glenn.

Three recipients were honored posthumously -- Jan Karski, the former Polish officer who escaped Nazi imprisonment and provided firsthand accounts to the Western Allies of atrocities he witnessed in Warsaw; Gordon Hirabayashi, who defied the forced relocation and internment of Japanese Americans during World War II, and Juliette Gordon Low, the founder of the Girl Scouts.

A 13th winner, former Israeli President Shimon Peres, will receive his medal at a White House dinner later this year, Obama said.

"What sets these men and women apart is the incredible impact they have had on so many people, not in short and blinding bursts, but steadily, over the course of a lifetime," the president said Tuesday. "They have moved us with their words, they have inspired us with their actions."

They also affected his life, the nation's first African-American president noted.

Referring to Doar, a Justice Department official in the 1960s who pushed for integration, Obama said: "I think it's fair to say that I might not be here had it not been for his work."

"I remember reading 'Song of Solomon' when I was a kid and not just trying to figure out how to write but also how to be and how to think," he said in reference to Morrison's 1977 novel. "And I remember, you know, in college, listening to Bob Dylan and my world opening up, 'cause he captured something about this country that was so vital. And I think about Dolores Huerta, reading about her when I was starting off as an organizer. Everybody on this stage has marked my life in profound ways."

Obama called the medal "one more accolade for a life well lived" and the crowd of dignitaries responded to his urging at the end with a lusty ovation.

The president also injected some humor into the ceremony, beginning his remarks by noting the packed East Room was "a testament to how cool this group is -- everybody wants to check them out."

The medal is awarded to those who make extraordinary contributions to world peace, national interest and security or other cultural endeavors. It was established in 1963 by President John F. Kennedy.

Here is a list of this year's recipients and some of the information released by the White House on why they were selected:

Madeleine Albright

From 1997 to 2001, under President Bill Clinton, Albright served as the 64th United States secretary of state, the first woman to hold that position. During her tenure, she worked to enlarge NATO and helped lead the alliance's campaign against terror and ethnic cleansing in the Balkans, pursued peace in the Middle East and Africa, sought to reduce the dangerous spread of nuclear weapons and was a champion of democracy, human rights and good governance across the globe.

John Doar

Doar was a legendary public servant and leader of federal efforts to protect and enforce civil rights during the 1960s. He served as assistant attorney general in charge of the civil rights division of the Department of Justice. In that capacity, he was instrumental during many major civil rights crises, including singlehandedly preventing a riot in Jackson, Mississippi, after the funeral of slain civil rights leader Medgar Evers in 1963.

Bob Dylan

One of the most influential American musicians of the 20th century, Dylan released his first album in 1962. Known for his rich and poetic lyrics, his work had considerable influence on the civil rights movement of the 1960s and has had significant impact on American culture over the past five decades.

William Foege

A physician and epidemiologist, Foege helped lead the successful campaign to eradicate smallpox in the 1970s. He was appointed director of the Centers for Disease Control and Prevention in 1977 and, with colleagues, founded the Task Force for Child Survival in 1984. Foege became executive director of The Carter Center in 1986 and continues to serve the organization as a senior fellow.

John Glenn

Glenn is a former United States Marine Corps pilot, astronaut, and United States senator. In 1962, he was the third American in space and the first American to orbit the Earth. After retiring from the Marine Corps, Glenn was elected to the U.S. Senate in Ohio in 1974.  He was an architect and sponsor of the 1978 Nonproliferation Act and served as chairman of the Senate Government Affairs committee from 1978 until 1995.

Gordon Hirabayashi

Hirabayashi openly defied the forced relocation and internment of Japanese Americans during World War II. As an undergraduate at the University of Washington, he refused the order to report for evacuation to an internment camp, instead turning himself in to the FBI to assert his belief that these practices were racially discriminatory. Consequently, he was convicted by a U.S. Federal District Court in Seattle of defying the exclusion order and violating curfew. Hirabayashi appealed his conviction all the way to the U.S. Supreme Court, which ruled against him in 1943. After World War II and his time in prison, Hirabayashi obtained his doctoral degree in sociology and became a professor.  In 1987, his conviction was overturned by the U.S. Court of Appeals for the Ninth Circuit.  Hirabayashi died on January 2, 2012.

Dolores Huerta

Huerta is a civil rights, workers and women's advocate. With Cesar Chavez, she co-founded the National Farmworkers Association in 1962, which later became the United Farm Workers of America. Huerta has served as a community activist and a political organizer, and was influential in securing the passage of California's Agricultural Labor Relations Act of 1975, and disability insurance for farm workers in California.

Jan Karski

Karski served as an officer in the Polish Underground during World War II and carried among the first eyewitness accounts of the Holocaust to the world. He worked as a courier, entering the Warsaw ghetto and the Nazi Izbica transit camp, where he saw firsthand the atrocities occurring under Nazi occupation.

Juliette Gordon Low

Born in 1860, Low founded the Girl Scouts in 1912. The organization strives to teach girls self-reliance and resourcefulness.  It also encourages girls to seek fulfillment in the professional world and to become active citizens in their communities.

Toni Morrison

One of our nation's most celebrated novelists, Morrison is renowned for works such as "Song of Solomon," "Jazz" and "Beloved", for which she won a Pulitzer Prize in 1988. When she became the first African-American woman to win a Nobel Prize in 1993, Morrison's citation captured her as an author "who in novels characterized by visionary force and poetic import, gives life to an essential aspect of American reality."

Shimon Peres

An ardent advocate for Israel's security and for peace, Shimon Peres was elected the ninth president of Israel in 2007. First elected to the Knesset in 1959, he has served in a variety of positions throughout the Israeli government, including in 12 Cabinets as foreign minister, minister of defense, and minister of transport and communications. Peres served as prime minister from 1984-1986 and 1995-1996.

John Paul Stevens

Stevens served as an associate justice of the U.S. Supreme Court from 1975 to 2010, when he retired as the third longest-serving justice in the court's history. Known for his independent, pragmatic and rigorous approach to judging, Stevens and his work have left a lasting imprint on the law in areas such as civil rights, the First Amendment, the death penalty, administrative law and the separation of powers.

Pat Summitt

In addition to accomplishing an outstanding career as the all-time winningest leader among all NCAA basketball coaches, Summitt has taken the University of Tennessee to more Final Four appearances than any other coach and has the second best record of NCAA championships in basketball.

@highlight

President Obama says all the winners had a profound impact on his life

@highlight

The medal is "one more accolade of a life well lived," Obama says

@highlight

The Medal of Freedom is the nation's highest civilian honor

@highlight

The award was established in 1963 by President Kennedy