(CNN) -- Q: The U.S. Preventive Services Task Force is releasing new guidelines on cervical cancer screenings. What's changed?

A: In the 1930s, cervical cancer was the deadliest women's cancer in America. At that time, it killed more women each year than breast or lung cancer.

But over the past 80 years, there has been a tremendous decline in the death rate from cervical cancer because of improvements in treatment and screening. Today, death from cervical cancer is relatively rare in the U.S.

In 2009, about 4,000 American women died of cancer of the cervix. A review of the medical history of these women showed that the overwhelming majority had never had cervical cancer screening, and most who did were screened more than 10 years before diagnosis.

This week, the U.S. Preventive Services Task Force is announcing new recommendations for Pap tests to screen women for cervical cancer. The American Cancer Society (ACS), the American Society for Colposcopy and Cervical Pathology (ASCCP) and the American Society for Clinical Pathology (ASCP) have also teamed up to publish screening recommendations. Both the task force and the collaborative groups reviewed scientific literature and came to similar conclusions.

Both sets of guidelines were published Wednesday. The USPSTF guidelines were published in the Annals of Internal Medicine. The ACS, ASCCP and ASCP guidelines were published jointly in CA: A Cancer Journal for Clinicians, the Journal of Lower Genital Tract Disease and the American Journal of Clinical Pathology.

It is hoped that these guidelines will lead to less confusion for health care providers and the public.

The new guidelines advise women to reduce the number of tests they receive over their lifetime. This will ensure that women receive the benefits of testing while minimizing the risks.

Most surprising of these recommendations is that women under age 21 should not be tested. But it makes sense -- many sexually active women under 21 will develop a human papillomavirus infection, or HPV, which can lead to pre-cancerous lesions. And when doctors see those lesions on a Pap test, they want to treat them. Yet nearly all of those lesions will disappear on their own without residual effects. And those that do not are easily treated years later. Treating them as soon as they're spotted can lead to cervical incompetence and miscarriage down the road.

The task force has also recommended that women over 21 undergo a Pap test screening every three years, instead of annually. This, too, fits with what we know about this disease: HPV can take more than a decade to progress to cervical dysplasia or cancer.

Now to the basics. The ACS-ASCCP-ASCP recommendations include these changes from the previous ACS guidelines:

• All women should start screening at age 21. No longer is screening recommended three years after starting vaginal intercourse.

• Women aged 21 to 29 should get a Pap test (conventional or liquid-based) every three years. The statement specifically recommends against annual Pap testing. The former guideline called for a conventional Pap test every year, or a liquid-based Pap test every two years, for this age group.

• For women 30 and over, Pap tests should be done every three years. The guidelines recommend against annual or more frequent Pap testing for this age group. The previous guidelines said women 30 and over who have had three normal Pap tests in a row may be tested less often -- every two to three years.

• Combining the Pap test with HPV testing every three to five years is the preferred strategy for women aged 30 and older.

• Screening is not recommended for women 65 or older who have had three or more normal Pap tests in a row and no abnormal Pap test results in the past 10 years, or who have had two or more negative HPV tests in the past 10 years.

Additional recommendations are also included in the proposed guidelines:

• Women who have a normal Pap result and a positive HPV test result should repeat both tests or receive a gene test called genotyping that determines if they have HPV 16 and 18. These types of HPVs are known to cause 70% of cervical cancers. There is no immediate need for a colposcopy. (HPV 16 and 18 are the most common causes of cervical dysplasia and cervical cancer.)

• Women with a mildly abnormal Pap result (called ASC-US) and a negative HPV test result should follow up with either HPV testing plus a Pap test, or HPV testing alone, at intervals of three years or longer.

• Women who have been vaccinated against HPV should begin cervical cancer screening at the same age as unvaccinated women, i.e. at age 21.

The views and opinions expressed in this report are those of the writer and do not necessarily reflect the views and opinions of CNN or the American Cancer Society.

@highlight

In 2009, about 4,000 U.S. women died of cervix cancer

@highlight

New recommendations: Women under 21 should not be tested

@highlight

Combining the Pap test and HPV testing every 3 to 5 years is preferred for ages 30 and older