(CNN) -- It wasn't Tibet's subzero temperatures that nurse practitioner Arlene Samen found so chilling on a 1997 medical trip, but the haunting stories she was told about mothers and newborns on the brink of death after childbirth.

Arlene Samen, right, helps provide childbirth education and equipment to those in need through One H.E.A.R.T.

"When I came to Tibet I heard of so many tragic stories of women dying -- no access to care in remote areas, no history of trained birth attendants, and no knowledge about pregnancy and childbirth," Samen recalls.

It is a problem that stretches well beyond Tibet's borders. According to the World Health Organization, more than 500,000 women worldwide die each year as a result of complications during pregnancy and childbirth, and nearly 7 million babies are either born dead or die within 28 days of their life. Almost all these deaths occur in the developing world.

Upon her return from Tibet, and in association with the University of Utah Health Services Center, Samen, 54, created One H.E.A.R.T. (Health Education And Research in Tibet) to combat the high infant and maternal mortality rates in Tibet and around the world.

Through One H.E.A.R.T., Samen's mission is to reach remote areas where women have limited access to a safe delivery, distribute the organization's training model, and debunk any fears toward safe, sanitary birthing practices.

"It's not uncommon for babies to die from basic things like not cleaning their mouth out to breathe," says Samen. "In surveys we've done, more than 50 percent of babies that died were born alive. This is due to lack of education."  Watch Samen talk about the organization's work »

Since 1998, One H.E.A.R.T has worked to set up centers that teach and educate local nurse practitioners, villagers and expectant mothers on how to deliver and care for newborn babies. A huge part of the organization's instruction includes hands-on birthing demonstration and distribution of community-tailored birth kits.

"I witnessed deliveries where the infant did not even have a blanket," says Samen. "I put a kit together with very simple items and anyone, anywhere can use this kit to keep infants and mothers alive during and after childbirth."  Watch home video of Samen in Tibet, where she delivered a baby »

The birth kit typically includes a sterilized razor blade, a clean sheet, three towels for the baby, three fleece blankets, a string to tie around the umbilical cord, gloves for the person delivering the baby and soap for hand washing.

Over the last 10 years, Samen's team has supplied more than 3,400 safe birthing kits to pregnant women and has trained more than 1,000 people in life-saving techniques.

For 2008, One H.E.A.R.T.'s education outreach program has targeted Nayarit, Mexico, a mountainous terrain in Mesoamerica and the native land of more than 50,000 indigenous Cora and Huichol Indians.

This past February, accompanied by a team of doctors and translators, Samen spent three days embedded within Nayarit's Santa Theresa communities, using an instructional newborn doll for childbirth training sessions and discussing safe birthing techniques and procedures.

"The traditional birth attendants told us they don't like to bring the women to the hospital because there's a fear of C-section and complications. [The women] would rather die than to come in and get help," Samen says.  Watch Samen describe the rigors of bringing a child birthing center to a remote area of Mexico »

"I found that really astounding and would like to look into that further to see if there's ways that we can cross that barrier and really help them so that they don't have that kind of fear."

Samen lives in Salt Lake City, but currently spends several months of the year in Tibet. Future plans for One H.E.A.R.T. include training local partners on the ground in Nepal and Ecuador. E-mail to a friend

@highlight

Utah nurse practitioner helps fight high childbirth mortality rates in Tibet

@highlight

One H.E.A.R.T. conducts birthing demonstrations, distributes birth kits

@highlight

Group is working in Mexico this year; future plans include Nepal, Ecuador