London (CNN) -- As the National Transitional Council (NTC) prepares to dissolve itself, and its replacement starts working towards Libya's new constitution and democratic institutions, it is worth reflecting why the United Kingdom and France supported the revolution back in late March. Contrary to what some believe, it was not all about oil; but oil and gas will be central to Libya's recovery.

There is no doubt that if the No Fly Zone had not been imposed and the decision to back regime change was not taken, then Colonel Moammar Gadhafi would have carried out his threat to punish Benghazi for its February 17 uprising, at enormous human cost. But even if Prime Minister David Cameron and President Nicolas Sarkozy were motivated by humanitarian concerns -- and encouraged by the feasibility of protecting an enclave that had bravely won freedom for itself -- could they nevertheless be expecting a bounty in return for their support?

There has been a lot of disinformation and muddled thinking on this question, starting with the letter purportedly written by the rebels in early April promising to assign France 35% of the country's oil in return for its support. The NTC has denied making such a commitment, but even if it had, would any new and legitimate government of Libya need to honor it? What, indeed, does Libya's oil wealth amount to and how should the new government manage it?

The answers to these questions show just how impossible it will be for the rulers of the new Libyan state to hand out portions of its reserves and production to its friends, or for Britain, France and even Italy, which has huge political influence and vast interests in Libya's oil and gas sector, to expect many favors.

Libya's past oil production of about 1.6 million barrels per day was sold on contracts arranged by the National Oil Corporation (NOC)'s opaque oil marketing committee. There is a lot which the new management can do to make this process more transparent and open and also to account for revenues more fully. It is in the country's interests to ensure the process is competitive.

Any future scramble for new Libyan hydrocarbons reserves will also be competitive. Existing reserves are of course spoken for. All of Libya's production belongs either to subsidiaries of NOC or to approximately half a dozen joint ventures with European, U.S. and Canadian companies. Dozens of other companies including ExxonMobil, BP, Shell, Gazprom have exploration rights to large areas of Libya's desert and sea, but so far not many of them have made discoveries. These rights are tied up in contracts most of which give a very good deal to the Libyan side.

Initially the NTC said it would honor all these contracts unless there was clear evidence of corruption. It has shifted this position somewhat in response to popular pressure. The interim oil and finance minister Ali Tarhouni recently announce the formation of a committee which will examine every contract. But changes at this level are unlikely. Many of the recent contracts were awarded in highly-competitive open licensing rounds in which the scope for corruption was very limited. The older contracts could be more doubtful, but these are the producing contracts -- the country's life blood. The government may make the bold move of publishing them, but cannot cancel them without huge cost.

If anything is up for grabs in the Libya of the future, it could be service contracts to help the state oil company improve production from its existing fields and further exploration rights for gas. In the two months since the Gadhafi regime fell, the NTC has brought oil production back up to 300-400,000 barrels per day. From now every extra 100,000 barrels will be more difficult, costly and time-consuming to bring back. Thousands of workers have to return, and a huge amount of investment is required to recapitalize the oil field camps, many of which have been looted over the past six months. Some wells will also need repair as will the main export terminals in the Gulf of Sirte, which suffered the most damage in the conflict.

The gas potential is huge and largely unrealized. Libya already sends gas to Italy by pipeline, but it is a much less significant producer than its neighbor Algeria. It would like to find more gas and take a larger slice of the European market. Shell and BP are amongst those already involved in expensive projects to make this happen. New exploration contracts could be issued: French and British companies could benefit. Italy's Eni is already a predominant player, and has returned to the country more quickly than its competitors.

But they are not the only contenders. Some analysts expect that Qatar, holder of the world's third largest gas reserves and a vital supporter of the NTC, may work alongside Libya to market any future gas to Europe, perhaps cooperating on Liquid Natural Gas developments. In any case, the gas has to be found first.

The opinions expressed in this commentary are solely those of John Hamilton

@highlight

The UK and French support of the Libyan revolution was not all about oil

@highlight

However, there are questions around whether they expect a bounty in return for their support

@highlight

Contracts to help the state oil company improve production and further exploration rights for gas could be up for grabs