(CNN)Less than a month after French President François Hollande mused that sanctions on Russia should be lifted (apparently reflecting the prevailing sentiment in much of the European Union), Russia has launched a new offensive through its proxies in Ukraine. Facing a full-blown crisis, with the Russian economy estimated to be contracting by at least 5% this year, Russian President Vladimir Putin seems to be unconcerned about further economic pressure and diplomatic isolation. Is he irrational? As the only one making important decisions in Russia today, does Putin not care about the sanctions? He is not and he does. His is a multiphased, well-calibrated endgame to destabilize Ukraine and to weaken the sanctions at the same time.

The first thing for the West to understand is that, in the short run, no amount of sanctions will force Russia to leave Ukraine -- not until the Kremlin achieves victory, which Putin appears to have defined as Ukraine's almost unconditional capitulation. Until then, any "peace initiatives" and "accords" signed by Russia are not worth the paper they are written on.

Having raised the propaganda pitch to a "motherland-in-danger" level unheard of since World War II, Putin has been telling Russians that the war in Ukraine is about "defending our independence and our right to exist," and that the Ukrainians are nothing more than the first line of NATO's attack. The popular mobilization to protect the motherland from the alleged "NATO aggression" has become the key to Putin's popularity and, by extension, to the regime's legitimacy. Climbing down from such rhetorical heights without a clear victory in sight, especially during an economic crisis, could be very dangerous politically.

What sort of victory could Putin be envisioning? First, humiliated and bled dry on the battlefield, Ukraine would be forced to agree to a "federated" structure and recognize the "autonomy" of its southeast region that would make it a de facto Russian protectorate inside Ukraine. The "people's republics" of Donetsk and Luhansk would have their own political, legal and security systems and their "defense forces" would not be disarmed. Nor would Russian "volunteers" be repatriated.

Completely controlled by Moscow, the republics' authorities would be in charge of all elections within their territories. A permanent bloc of seats in the Ukrainian parliament would be set aside for them, giving them (that is, Russia) de facto veto power over Ukraine's key political, security and foreign policy choices. Finally, there would be no restoration of Ukrainian sovereignty over the Russo-Ukrainian border and no end to the flow of Russian military and civilian supplies into Ukraine. With these arrangements in place, the Kremlin would be able to re-ignite the conflict instantaneously whenever it did not like what Kiev is doing or, more importantly, whenever Russia's domestic political situation called for another round of propaganda-induced patriotic hysteria and anti-West paranoia.

With such a victory, Putin would get very close to achieving his goal since the Ukrainian revolution 11 months ago: punish, humiliate, dismember, destabilize and, ultimately, destroy a Europe-bound Ukraine. Ukraine's de facto surrender would also put pressure on the West to weaken and ultimately lift the sanctions. How could the United States and the European Union continue to punish Russia when the government in Kiev had agreed to such a "peace"?

Given Putin's determination and the resources he has put behind it, his endgame will have a high probability of success, but it is not preordained.

The only way to thwart Putin's ambitions is through Russian domestic politics. A strong resistance by Kiev would force Putin to intensify and widen the scope of the campaign. This would require an increase of regular Russian troops in Ukraine (estimated last year by NATO at 1,000 and by the Ukrainians last month at 9,000) to at least 15,000 to 20,000. Russian casualties are likely to rise proportionately to the number of troops, reminding the families of Russian soldiers of the bloody 1979-'89 Soviet war in Afghanistan, which greatly contributed to the unraveling of the Soviet regime's legitimacy. Putin will be reluctant to choose this option, and the extreme political sensitivity of the issue explains the secrecy about Russian casualties and the creation earlier this year of a Russian "foreign legion" to minimize the losses of regular Russian troops.

But in the short run, Russia's defeat on the battlefield is anyhow unlikely because of the continuing disarray in the Ukrainian defense establishment. This stems largely from the Soviet or Russian-trained top brass, which is not especially anxious to fight their comrades, as well as from the lack of manpower, poor training and the absence of modern defense weapons, especially anti-tank and anti-aircraft missiles.

So what can the West do?

For the moment, keeping up sanctions is critical. While they are far from the most damaging of the Kremlin's economic maladies, they raise the stakes for Moscow at a time of deepening economic crisis and rapidly shrinking budgets. By preventing Russian companies from borrowing or selling debt in the West, they force Putin to choose between bailing out, for example, the oil giant Rosneft or the huge VTB Bank, or keeping hospitals open even in Moscow, which is relatively well-off compared to the rest of the country; between paying the kontraktniki "volunteer" soldiers who fight in Ukraine and raising the pensions of tens of millions retirees and the salaries of doctors and teachers to keep up with inflation.

Far from being the product of a delusion of grandeur, Putin's endgame is based on hard military and geopolitical realities. If Kiev, Brussels and Washington are serious about resisting it, they ought to be as realistic, as determined and as creative.

@highlight

Tensions have flared again in eastern Ukraine

@highlight

Leon Aron: In short run, no amount of sanctions will force Russia out of Ukraine