Long Beach, California (CNN) -- "The great question that has never been answered and which I have not yet been able to answer, despite my 30 years of research into the feminine soul, is, 'What does a woman want?' "

This was Sigmund Freud's response in 1925 to a female protégé, Marie Bonaparte, who sought his guidance. Bonaparte, then in her early 40s, suffered in her own words, from "frigidity."

His question is alive today: Last week, a Food and Drug Administration panel reviewed the efficacy  and safety of a new drug to treat hypoactive sexual desire disorder -- lack of sexual desire. (The panel did not recommend approval.) I'll come back to this in a minute.

Why does Freud's question persist?

Well, one reason may have to do with who is asking the question, when, and why. In the early decades of the 20th century, for example, a Manhattan, New York-based gynecologist named Robert L. Dickinson was preoccupied with what made women unhappy in their marriages. So many had complained to him that they didn't enjoy sex. This prompted the doctor, an early advocate of birth control devices and a passionate promoter of women's sexual pleasure, to conduct research -- loosely defined -- on some of his thousands of female patients.

He studied their bodies and sketched their contours, looking for clues to their sensitivities and habits. Female genitals were texts for the doctor to read. But so were the tales of erotic misery -- or just plain indifference -- that his patients would tell him.

The doctor compiled his years of clinical observation in two weighty tomes, "A Thousand Marriages" (1931) and "The Single Woman" (1934). Dickinson had a hunch that the growing presence of lesbians in New York and other cities was a symptom of a larger problem with heterosexuality. Women were turning to each other for sexual relations because men were bad lovers. Egads! Maybe the answer to the nagging question could be answered only by women.

Dickinson thereafter proposed to write a book he never published -- one that would be addressed to men, husbands in particular, to teach them how to give pleasure to women.

Waves of research on female sexual response followed throughout the 20th century, a time when Western society attempted to regulate pleasure by studying it in metric forms and through tortuous interviews and searching questionnaires. "What's wrong with me?" became a commonplace.

And through this complex process, lacking desire has become, in many ways, regarded as just as dangerous as having too much desire -- maybe even more so, actually.

Here we must turn to money and to the current news of the FDA panel's hearings last week to decide whether to approve the new pharmaceutical pill flibanserin. The drug joins a plethora of pleasure-enhancing drugs and devices that in one way or another are premised upon variations of Freud's nagging question.

Developed by the German drug company Boehringer-Ingelheim, the "little pink pill" ("little blue" Viagra's sister?) is meant to treat hypoactive sexual desire disorder. How? By increasing levels of dopamine and norepinephrine (libido boosters) and decreasing seratonin (libido downers) in the brains of its sufferers. If the drug were approved, The New York Times reported, annual sales might reach $2 billion in the United States alone.

Boehringer-Ingelheim had run a marketing campaign that consisted mainly of convincing women of a certain age and wealth strata that they lack sufficient sexual desire and that they deserve a remedy.

In a market-driven society, convincing people that they lack something they need is what advertising is all about. "Do I lack sexual desire?" If you answer yes to this question -- and Boehringer-Ingelheim reports that 1,323 premenopausal women they studied did -- you become a member of the target market for flibanserin. The company's success or failure in the marketplace rests in large part on women realizing they don't have enough mojo.

The company limited its subject sample to women living in the U.S. and Canada who were otherwise healthy, well-educated and mostly married -- "normal" but for their deficiency of desire. Studied in a double-blind trial over 24 months, women taking the pill reported that "sexually satisfying events" increased to about 4.5 a month, while those taking a placebo reported about 3.7 such events. Incidentally, according to the framework of the study, these events need not include orgasm.

Q: What does a woman want? A: Flibanserin. Things just got so much easier! Or did they? For starters, "hypoactive sexual desire disorder" rests upon such vague criteria that the American Medical Association plans to remove it from the next edition of its authoritative diagnostic manual and replace it with "desire-arousal disorder." And, even if we grant its existence, studies that estimate at least 10 percent of American women suffer from HSDD were paid for by drug companies, The New York Times says.

Boehringer-Ingelheim offers online medical education courses for health practitioners to get them involved in diagnosing HSDD. Doctors taking the courses are quizzed on how to diagnose the condition of various kinds of women. In one exercise, the test-taker is asked to figure out what is wrong with a 42-year-old working woman who cares for three children and an ailing mother, and lacks sexual desire. Her husband is a very minor character in the test's scenario. Dr. Dickinson may be spinning in his grave now.

Psychologist Lenore Tiefer, who testified before the FDA panel Friday, put it well when she remarked that if the drug had been approved, it would have given women the false impression that they can take a pill to get "the sex life they read about, the one they think everyone else is having."

One is tempted to ask whether the alleged upward trend in cases of HSDD in women can be correlated to the "little blue pill's" market debut in 1998. With all the talk of erectile dysfunction in men, maybe what women want now, sexually speaking, is a little less pressure to perform through pharmaceutically prolonged sexual encounters and a little more emotional support for their efforts, in and out of the bedroom.

So what's next now that the FDA panel said no to flibanserin? An online course for male partners to teach them how to make love to women diagnosed with HSDD?

That would be a start, but my guess is that what women want, particularly those who have come of age in an era of abstinence-only education, is knowledge about their bodies (for themselves and their partners) and respect for how their bodies work. Such knowledge may help them/us question whether a daily dose of yet another "brain drug" will give us what we have come to suspect we need.

The opinions expressed in this commentary are solely those of Jennifer Terry.

@highlight

Jennifer Terry: Freud asked what women wanted; "female Viagra" raises question again

@highlight

Early 20th century doctor studied women, concluded men needed sex training, she says

@highlight

Drug company can profit from women worried they have sex problem, she says

@highlight

Terry: Women want better understanding of their bodies -- for themselves, partners