Imagine shocks radiating across your cheek, a knife cutting into your skin or the feeling of hot coal burning your face, but not being able to find relief from the pain for months, or even years.

That's what some trigeminal neuralgia patients say they endure on a regular basis.

Trigeminal neuralgia is a facial pain disorder associated with the trigeminal nerve, which carries sensation from your brain to your face. Slight touches to the face, whether it's a breeze, hair falling onto your temple or simply brushing your teeth, may trigger flashes of pain. The pain is most commonly caused by a blood vessel pushing on the trigeminal nerve. There is no cure.

It affects approximately 12 out of every 100,000 people per year, according to the National Institute of Health, and is more common in women and people over 50.

"Trigeminal neuralgia is an uncommon disease and as a result, most physicians have very little experience with it. That is one of the reasons it's difficult to diagnose," said Ronald Brisman, a New York neurosurgeon who specializes in the disorder.

The unbearable pain and search for a cure, as well as the medical field's unfamiliarity with the disorder, has led a group of about 30 trigeminal neuralgia patients to fight for awareness. Several of them, in addition to others with the disorder, started by sharing their personal stories with CNN iReport.

'I want to imagine a world where nobody has ... this pain'

Nikki Samuel is one of those people. Her goal is to educate others about the disease, as well as let people know about the first International Trigeminal Neuralgia Awareness Day on October 7. Dozens of buildings and structures across the world are lighting up teal for the day.

"If we know that somebody, somewhere is looking for a cure and not just another medication or an even more invasive, risky procedure, it gives us hope," she wrote in her iReport. "I want to imagine a world where nobody has to survive with this pain."

Samuel started experiencing the facial pain in 2005 and was diagnosed with Atypical Facial Pain. A variety of medications were ineffective and in 2008, the registered nurse from Leicester, England, admitted defeat and resigned from her job.

"I had achieved my dream and there it was, being taken away from me by this relentless, debilitating pain," she said.

It was seven years from her first pangs of pain before she was diagnosed with trigeminal neuralgia. As a way to cope, the 41-year-old has turned to online support groups.

"My online friends have been my lifeline," she said. "Trigeminal neuralgia has taken away many things, but it has given me the chance to 'meet' some amazing people and to make lifelong friendships."

'I have forgotten what a pain-free day feels like'

One of the people Samuel met online was Fred Gerwig, a former high school history teacher from rural West Virginia. Samuel's bravery inspired him to write about his experience, Gerwig said.

Leaving his classroom on September 7, 2011, the sunlight seared his eyes, bringing on what he thought was his first migraine. The searing pain never left.

After getting lidocaine injections to treat the migraine a month later, he said he started experiencing strange facial pains.

"There were shocks and pangs in my right cheek," he wrote on CNN iReport. "It felt as if a hot coal was lying on my right eye socket."

Since then, wind, noise and even a random touch have all intensified his never-ending pain.

Gerwig was later diagnosed with two disorders: "atypical" trigeminal neuralgia and a persistent unilateral headache on the same side. The "atypical" form of the disorder is marked by constant aching, burning and pain, according to the National Institute of Neurological Disorders and Stroke.

Numerous migraine and anti-seizure drugs haven't worked for him, and he's not a prime candidate for surgery to relieve pressure on his nerve. There aren't any blood vessels pushing on the trigeminal nerve, so the cause of his case is unknown.

"I have now forgotten what a pain free day feels like, and that changes you," said the stay-at-home dad. "You lose parts of yourself. You lose friends and family that can't deal with the fact that they cannot give you a hug, say a prayer and make you better."

Watch video from another trigeminal neuralgia patient

'Watching him suffer has broken me'

Leslie Martella has crossed the country trying to find relief for her 16-year-old son, Garrett Buckelew. He was diagnosed with trigeminal neuralgia when he was 11, she said.

"Watching him suffer has broken me," the mother said. "Garrett used to be an all-star baseball player, gifted student with high academic scores and awards, with tons of friends, and now he barely leaves our home."

Buckelew has had four surgeries to alleviate his pain, and four more surgeries after a complication occurred during one of the procedures.

"Trigeminal neuralgia has taken over our lives and is relentless," she said. "It has robbed my child of his life."

The Huntsville, Alabama, mom wishes people knew about the real pain that patients with this invisible illness experience.

"If Garrett walked around with a hatchet sticking out of his face, then people would get it, but trigeminal neuralgia is invisible, and I hate it."

'I am a trigeminal neuralgia warrior'

When a flash of pain shot from her eye to her jaw one day in 1998, Patti SanFilippo hurried to the mirror looking for a mark on her face. There was nothing there.

The Bloomsburg, Pennsylvania, resident tried to describe the pain to her doctor, but she felt like a lunatic. She spent five years struggling to find answers before she was diagnosed.

Even after multiple medications and surgeries to treat the disorder, none have helped ease her facial pain.

"A typical day in my life knows no real time and follows no structure. Pain wins over all else and many days are spent in bed," she said. "I have missed many family functions, important birthdays and reunions with friends because the pain won on those days."

To stay positive, SanFilippo calls herself a "trigeminal neuralgia warrior." Surviving the "horrendous pain, the harsh medications and lack of awareness" has inspired her to fight for help and understanding of this outwardly invisible disorder.

"If my story has been read and shared then I know I did my part to start people learning, talking about and becoming more aware that such an evil condition exists and needs attention so desperately," she said. "It's hopefully just the beginning, there is still so much that needs to be done."

@highlight

Trigeminal neuralgia is a facial pain disorder

@highlight

The disorder affects 12 out of 100,000 people per year

@highlight

Group of patients is hosting the first Trigeminal Neuralgia Awareness Day on October 7

@highlight

Read some of their stories on CNN iReport