(WIRED) -- Got a few grand to spare for a $3,000 phone? Yeah, we didn't think so. Nobody does -- and that's a problem for the makers of luxury phones, such as Motorola, Bang & Olufson, LG and Vertu.

Vertu makes phones starting at $6,000 and going up in price.

After years of chasing the ultra-wealthy with exclusive devices that carry designer logos and promise craftsmanship from materials such as sapphire and stainless steel, luxury phone makers are now pulling back.

"The culture has shifted away from conspicuous consumption, so if you are going to have a super expensive product this may not be the time for it," says Avi Greengart, research director for consumer devices at Current Analysis.

Motorola has already gotten the memo. Earlier this week, the company reportedly canceled the Ivory E18, a device tentatively priced around $3,000. The phone had met with lack of interest from telecom carriers. Motorola declined to comment.

If that sounds like an obvious outcome, perhaps it shouldn't. In the last few years, luxury phones had turned into an attractive new business, as designer houses rushed to get a foothold in the tech sector.

Prada collaborated with LG to launch two LG Prada phones in Europe and Asia.

Last September, Samsung launched the M75500 Night Effect phone, which carried the Emporio Armani insignia.

A month later, Motorola offered a $2,000 phone, called the Aura, which was fashioned out of stainless steel and sported a 62-carat sapphire crystal lens.

And then there's Vertu, a company that makes true luxury phones, the cheapest of which costs about $6,000.

The recession put a spoke in those plans. And it's not just the 401Ks of middle-class Americans that have been in peril.

In Russia, many newly-minted billionaires saw their fortunes slip away with falling oil prices. By the first quarter this year, the U.S. economy had shrunk 5.5 percent. Even 50 Cent has complained about losing more than a few Benjamins on the stock market.

And just like that, the crystal dominoes started to fall. Last October, Bang & Olufsen, whose phones retailed in Europe for more than $1,500, shuttered its cellphone business as it decided to trim its costs and get out of non-profitable ventures. Motorola is the latest to pull back its luxury line.

Luxury phones have never been a big phenomenon in North America, says Greengart. Their manufacturers have had better luck in emerging markets. But now even in those countries, where once 8 percent GDP growth seemed conservative, wealthy consumers are feeling the pinch.

"Super expensive, bling bling phones are big in markets where conspicuous consumption is a way to tell your countrymen you have arrived," says Greengart. "But now, it's a very different economy for everyone."

Many of the troubles that the uber-expensive phones face are because they are created by companies whose main expertise is in targeting a mass market, says Frank Nuovo, former chief of design for Nokia and current head of Vertu.

"I didn't start this business to soak the phones in diamonds and jewels," says Nuovo. "The concept is same as a fine watch or a fabulous car. To be a true luxury product, you have to look at making something that doesn't have an 18-month shelf life."

True luxury, as Nuovo defines it, doesn't apply to a mere $2,000 phone: A Vertu device, soaked in platinum, can run up to $70,000. The company's one-off phones, designed in collaboration with luxury jewels house Boucheron, cost even more.

Nuovo may have inadvertently hit on the real problem with luxury phones: Phones are still a very feature-driven products. They are products where the rapid advances in technology can rend older models obsolete very quickly.

"Phones aren't like a handbag where the fundamental utility remains the same and the design changes all the time," says Greengart.

But Nuovo isn't convinced. "Take watches and cars," he says. "They all run the same but everyone has a unique way of delivering them stylistically. We can do the same with phones."

Despite the bumps on the road now, Nuovo says the luxury phones will bounce back and find an audience. "It is no different than a fine watch or a car," he says. "If you take people who value something that is made extraordinarily well there will always be a group interested in it."

Vertu is determined to prove that. It will launch its latest handset the Carbon Fibre Ascent Ti in August. The phone is made of high-gloss carbon fiber and has a sandblasted titanium surface. The price tag? $9,800.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

The luxury phone market is in decline because of the recession

@highlight

Uber-high-end phones are more popular outside the U.S.

@highlight

Vertu makes luxury phones that start at $6,000 and go up in price

@highlight

Some phones pair with designer brands or are made from rare materials