(CNN) -- If you're confused about whether the Iran deal is an awe-inspiring breakthrough or a cataclysmic disaster, let me help you: The answer is it depends.

It depends on what happens in the coming six months.

And not just six months from now, but what happens between now and then: a period during which Iran and the world powers are supposed to abide by the deal they made in Geneva last weekend and work to hammer out a permanent agreement.

If the Geneva deal in its current form becomes permanent because the two sides can't get to a final resolution and drag out its current terms (the six-month period is "renewable by mutual consent," says the so-called Joint Plan of Action), then what occurred this weekend will mark a calamitous turning point, triggering a chain of events that brings about the very developments that Obama -- and most of the world -- want to avoid.

If the accord indeed proves to be temporary, as President Obama maintains it is, to be followed by a much more stringent agreement that brings a verifiable and credible end to Iran's pursuit of a nuclear weapons' capability, then we can rightly call it a historic turning point, a milestone to progress.

Then, Obama and his secretary of state will deserve enormous credit for their achievement. For now, however, hold off on the awards.

The deal has some positive points, but it also has many deeply troubling elements. Remember: Tehran has a track record of dragging out negotiations; negotiations started more than a decade ago. And if the six months start to slip, an arms race in the Middle East is sure to start.

The Arab countries of the Persian Gulf, including Saudi Arabia and the United Arab Emirates, fear a nuclear Iran even more than Israel does. Arabs and Persians are historic rivals, even enemies. Iran's revolutionary regime has a stated purpose of spreading revolution, in direct opposition to the stability and survival of the ruling Gulf regimes. The Gulf states will not sit idly by while Iran continues enriching uranium, especially after the world has repeatedly discovered Iran operating secret nuclear facilities in the past.

Once Saudi Arabia and Iran engage in a nuclear arms race, others will jump in. Qatar has a rivalry with Saudi Arabia; Egypt looks askance at Qatar, and Turkey will not want to be left behind.

The entire region will be swept up in a feverish pursuit of nuclear technology. If you think adding a nuclear arms race to the extremist ideological maelstrom of the Middle East is like adding fuel to flames, you are wrong: It is like adding dynamite to a raging fire.

Many people incorrectly describe the Joint Plan as a freeze on Iran's nuclear program. But it is not. The deal reverses some parts of the program, it freezes others, but it allows progress to continue in two areas.

The three most significant achievements of the interim deal are the dismantling of the stockpile of 20% enriched uranium, the stoppage of work in the Arak heavy water reactor that could produce plutonium -- another path to nuclear weapons -- and the introduction of more intrusive monitors by U.N. nuclear inspectors.

But the accord does not open up the Parchin facility, where U.N. monitors have already said they suspect Iran is testing ways to weaponize nuclear materials. And the deal, most significantly, allows Iran to continue enriching uranium up to 5% purity. Iran maintains this will become permanent. Washington has given mixed signals on the issue.

That is one of the two massive concessions made by the major powers. The U.N. Security Council had demanded that Iran stop enriching uranium. Now the United States and the other five countries have implicitly allowed enrichment to continue in violation of U.N. resolutions. In addition, they have started a rollback of the painstakingly built sanctions' regime.

The final comprehensive agreement with Iran will come only if Iran truly has decided to give up on what most of the world believes was a goal of either developing nuclear weapons or getting close enough that it is able to do it in quick order, what is known as "breakout capability."

Iran's new president. Hassan Rouhani, most certainly has presented a much more conciliatory face to the West. But the real power rests with the Supreme Leader, Ayatollah Ali Khamenei, whose rhetoric remains caustic. Just last week, as talks got started in Geneva, Khamenei lashed out at the United States and said Israel is "doomed to annihilation."

Is Iran now ready to give up what most countries believe is a nuclear weapons program after decades of investment and after enduring enormous hardship to build it? If so, a deal can certainly be reached.

Has Iran perhaps reached a more limited objective, with significant but not complete progress? In that case, it will likely try to bring an end to sanctions while holding on to much of the progress. If that is the case, negotiations will prove enormously difficult, even impossible. Or, will Iran try to cheat?

Whatever the answer, it is imperative that the United States be prepared to call out Iran if it finds any violations to the agreement. Otherwise, Obama and the United States risk becoming apologists for the Islamic Republic.

Diplomacy requires negotiating with foes, and this is no exception. The Iranian regime is a serial violator of its own people's rights. It is a state sponsor of terrorism, and it is the principal sponsor of extremist militias, such as Hezbollah, and the brutal regime of Syria's Bashar al-Assad.

If the United States can prevent Iran's dangerous regime from achieving nuclear weapons capability -- and not just in the short term; if it can prevent an arms race in the region, and it can do so without military action, then the Geneva deal will have proved a triumph. We will find out over the course of the next six months.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Whether Iran deal a breakthrough or disaster depends on next 6 months

@highlight

She says if deal is extended beyond then, it will trigger chain of events Obama won't want

@highlight

She says Arab Persian Gulf nations threatened by prospect of Iran nukes

@highlight

Ghitis: If U.S. can bring deal to a final resolution, it can forestall regional arms race