San Diego, California (CNN) -- For anyone who wants to make a serious play for the Latino vote -- and not just go through the motions -- here's what you need to know: Latinos are single-issue voters.

The issue is respect. Or, as we say, respeto. Nothing else matters. If you want the votes of Latinos, show some respect. Or we'll show you the door.

I know what you're thinking. What's so special about this constituency?

Three things: Size, geography and unpredictability. In 2008, about 10 million Latinos voted; the 2012 figure could be higher. Latinos are well represented in "battleground" states (i.e. Colorado, Florida, Nevada, New Mexico). And, in the case of the Mexicans and Mexican-Americans who make up about 66% of the U.S. Latino population, they're in play because they have shown a willingness to vote for moderate Republicans even though most are registered Democrats.

Polls show that Latinos are just like other voters in that they care about education, jobs, the economy and health care. But their antennae go up when they see politicians using the immigration issue to scare up votes -- and, in the process, treating them like piÃ±atas.

That is disrespectful. And while neither President Obama nor Mitt Romney has gone that far, there is still a problem. Neither of these candidates seems to respect Latinos, as evidenced by their cynical attempts to manipulate the immigration issue and take gimmicky shortcuts to get Latino support. This is why both are having trouble with Latino voters.

"Trouble" is defined differently for each candidate. In polls, Romney is having trouble getting as much as 30% of the Latino vote. Political observers note that a Republican presidential hopeful needs at least 35% to win. Obama has more than twice that level of support but his problem is that there's an enthusiasm gap and, if Latinos don't turn out for Obama, Romney will win.

Romney took a wrong turn when he lurched to the right in the Republican primaries to pander to the nativist wing of the party. He portrayed illegal immigrants as takers and usurpers of public benefits and giveaways. He knows better. He is well aware of the fact that illegal immigrants -- most of whom come from Latin American countries -- are lured here by jobs offered by U.S. employers.

Romney should have learned this lesson when it came to his attention, during his stint as governor of Massachusetts, that he had hired a landscaping company that employed illegal immigrants. Romney claimed that he didn't know the workers tending to his lawn were in the country illegally. Nonetheless, the experience should have illustrated for him the law of supply and demand: Without a demand for illegal immigrants, there would be no supply.

Obama is not much better. Raised in a black and white world, the president doesn't know much about Latinos. And he hasn't seemed all that interested in learning.

Our most important institution is the family. One good way to get on our bad side is to divide hundreds of thousands of families by deporting more than 1.2 million people in three years. And when you accomplish that feat by roping local police into the enforcement of immigration law through a program like Secure Communities in ways that invite ethnic profiling, this isn't going to win you any friends among Latinos.

Finally, when you get caught in the act and these things come to light, it's not a good idea to insist that most of the folks deported were criminals, when criminal activity has been cited as a reason for deportation in only 17% of the cases last year. So far, in 2012, that figure is down to 14%. Who makes up the rest? It's likely that the answer is gardeners, housekeepers and nannies who pose no threat to society.

Naturally, neither Romney nor Obama wants to talk about immigration. When Romney spoke to a Latino business group recently, he talked about education but didn't say a word about the DREAM Act, which would give legal status to undocumented students who go to college or join the military. When administration officials recently invited a group of Latina bloggers to the White House, the main topics of discussion were education and health while immigration was conspicuously left off the agenda.

Guess what? Immigration came up anyway, when the bloggers asked about it during the question and answer session. That's the thing about immigration. Unless it is dealt with head-on, it seeps into the discussion of other issues. It happened during the health care debate, when what consumed many conservatives was the question of whether illegal immigrants could access benefits under "Obama-care."

Gentlemen, you can run but you can't hide. You have to talk about immigration. Until you clear the air, admit what you've done wrong, and try to make it right, you can't expect Latinos to listen to what you have to say on any other subject -- or if they do, to believe what they hear.

Gov. Romney, stop pandering to racists and nativists in the GOP base by portraying illegal immigrants as takers; acknowledge that the only thing that lures them here are jobs provided by U.S. employers who need to be held accountable; stop proposing simplistic solutions like saying that all illegal immigrants should "self-deport"; and take up the cause of American businesses who can't find U.S. workers to do jobs that immigrants wind up doing because parents are raising their kids to feel entitled to avoid hard work.

President Obama, stop saying you don't have the executive power to stop deportations when it has been established by a slew of legal experts, including nearly 100 law professors who recently sent a memo to the White House, that you do.

Stop deportations of college-age students who would have been eligible for legal status under the Dream Act and the parents of U.S.-born children; stop portraying Republicans as singlehandedly preventing immigration reform, and take your share of responsibility for not getting it done; and propose to Congress a specific plan for comprehensive immigration reform.

Do all that, and we'll be able to get past immigration and move onto other topics. Jobs. The economy. Education. The environment. Whatever you want. But immigration comes first, because it lets us assess your character. Or lack thereof.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Among Latino voters, immigration is a test of candidates' character

@highlight

He says Romney pandered to anti-immigrant forces during the primaries

@highlight

Navarrette says Obama's policy of deporting illegal immigrants has broken up families

@highlight

He urges candidates to address need for immigration reform, then deal with other issues