LOS ANGELES, California (CNN) -- Two hundred years after his birth in a log cabin in Kentucky, Abraham Lincoln continues to fascinate.

Abraham Lincoln is invoked by politicians of both parties, observes historian Ronald C. White Jr.

His moral clarity, his extraordinary gifts with language, his decisive role in preserving the Union and what some consider his ultimate martyrdom combine to make of Lincoln a mythic figure with a firm hold on our collective imagination.

In conjunction with the bicentennial of his birth, a slew of new books on the 16th U.S. president have appeared. Among the best-reviewed is the biography "A. Lincoln" (Random House) by historian Ronald C. White Jr., who drew on new research for his portrait.

CNN talked with White about Lincoln's impact on the country, President Obama's affinity for him and what lessons Lincoln has to offer Americans of today. The following is an edited version of White's comments:

CNN: Thousands of books have been published about Lincoln. Why did you decide to write a new biography?

Ronald C. White Jr.: Probably surprising to many is how many new discoveries have been made about Lincoln just in the last 15 to 20 years.

For example, about 20 years ago, a professor in Illinois wondered if there were still Lincoln legal papers laying around in the almost 100 courthouses in Illinois. So he got together a group of students, and they began searching those courthouses, and they found [thousands] of Lincoln legal documents. ... I wanted to treat more of that part of Lincoln's life -- he spent nearly 24 years as a lawyer. This is just an example of what we have discovered only in recent years. See iReporters don stovepipe hats like Lincoln

CNN: More than 100 years after his death, why does Lincoln still fascinate us?

White: I think for many he embodies the best of America. The fact that a man of such humble origins, with less than one year of formal education, could, in his term, have the "right to rise." He felt that America was a land where we should not put any shackles or weights upon people. One reason he hated slavery so much was that it puts weights upon people. ...

I'm going to be speaking in Italy and Germany in April, and people there are fascinated with Lincoln for the same reason.

Now, to be sure, Obama has shone a large spotlight on Abraham Lincoln. I think this is somewhat responsible for rediscovering this man at the beginning of the Lincoln bicentennial in the year 2009.

CNN: Why do you think Barack Obama has made such a point of aligning himself with Lincoln?

White: It's become commonplace for politicians of both parties to invoke Lincoln -- literally wrap themselves in the mantle of Lincoln -- especially at political conventions. But when I read "The Audacity of Hope" it came through to me that this is something quite genuine.

As Obama is seeking to define his own vocation as a politician, he found in Lincoln -- Lincoln's inclusive spirit, Lincoln's humble demeanor, Lincoln's great gift with words -- he found here some of the very values that he wished to inculcate into his own life. ... I think he picked up on the symbolism of Lincoln, using the very same ceremonial Bible [for his swearing-in], picking as his theme a "new birth of freedom," re-enacting the final 137 miles of the train ride [Lincoln took to Washington for his first inaugural]. It's fascinating that here this African-American politician is finding a model and a mentor, and I think it is the values that Lincoln represents that Obama is finding.

CNN: Some people have noted temperamental similarities between Lincoln and Obama. Is there any justification for that comparison?

White: I think there is. Obama comes across as a person of kind of calm, reassuring demeanor. He is a person who likes to circle around questions and problems. He was as interested, as I've come to understand, when he taught law in Chicago, in asking questions as in coming up with answers. This is exactly the way Lincoln approached reality.

They both have a real sense for oratory, how less is more; they have a compelling way of speaking. ... To be sure there are real differences. [Obama] had an education far beyond Lincoln's. It's yet to be determined how Obama will emulate Lincoln. I would argue that Lincoln had to teach himself to be president. He was very aware of his inadequacies, certainly in administration and military policy. And I think with all the fanfare for Obama I think he understands that he has to teach himself how to be president, too. iReport.com: Send your rendition of Lincoln's second inaugural speech

CNN: [Historian] Henry Louis Gates suggests Lincoln's attitudes on race were not as enlightened as some would like to think. In your book, you say it's important to consider the context in which Lincoln articulated his racial views.

White: This is the difficulty ... with understanding the context. Lincoln's racial attitudes ... were left of center and moving in that direction, toward the left. ...

Lincoln said in one of his debates with Stephen Douglas, "It's not that I'm about to marry a black woman, it's not that I think blacks should serve on juries." ... He then comes back and says, "But this black woman, in terms of her right to eat the bread she earns from her own hands is every bit my equal and the equal of every person here because if you're referring to the Declaration of Independence, all men are created equal." Even the most radical abolitionist would probably not have granted social equality [between blacks and whites].

CNN: What did you discover about the evolution of Lincoln's religious views?

White: His religious odyssey comes to more of a full scope during his presidency. ... We see him re-appropriating elements of the Christian faith -- not his parents' tradition -- but a more rational, logical, thoughtful old-school Presbyterian tradition [after he became president].

This is a story that has not often been told, and I think it's an important part of understanding the moral core of Abraham Lincoln. It wasn't simply that he had an ethic, which he certainly did, but there was a theological kind of undergirding of that ethic that came to the forefront more in his years as president.

CNN: Do you feel Lincoln is our greatest president?

White: Well, there are a lot of great presidents. ... Certainly the times make the man. Lincoln led us through the greatest crisis of our nation's history -- an internal crisis -- even as Franklin Delano Roosevelt is one of our greatest presidents, who led us through two other great crises -- the Great Depression and World War II. It's hard to compare people of different eras, but I think Lincoln sort of incarnates the best values of the American experience.

CNN: What can we all learn from Lincoln?

White: If there is an ultimate value in doing a biography of Lincoln, it is that Lincoln offers some wisdom for today. We don't have to be political leaders to catch the values -- his humility, the strength of his character and moral vision, the fact that words fiercely mattered to him and should matter to us. ...

He said at the second inaugural, "With malice toward none, with charity for all." I was intrigued to find ... that people wore mourning badges right after his death that said, "With malice toward none, with charity for all." Lincoln didn't just speak these words, he had come to embody these words for the people who knew him and loved him. And so these values are not simply back there in the 19th century. They're values that we can embody and work with in the 21st century.

@highlight

Ronald C. White Jr. is author of new Lincoln biography, "A. Lincoln"

@highlight

Lincoln "embodies the best of America," White says

@highlight

Historian sees some comparisons with President Obama: demeanor, writing ability

@highlight

Lincoln's character, moral vision still pertinent, White says