(CNN) -- If you're looking to upgrade your car this year, you can ignore fuel injection, turbo charging, power steering and a streamlined chassis -- the new breakthrough that will improve your ride is an iPad.

OK, it might be a slight exaggeration to say Apple's much-vaunted tablet computer is helping re-shape the motor industry, but as manufacturers try to cram more technology into vehicles, they are looking at devices like the iPad to help them.

While the dashboards of many cars of today are groaning with gizmos such as satellite navigation, DVD players and MP3 interfaces alongside traditional odometers, tomorrow's vehicles are likely to replace the lot with a single computer.

This year's Geneva Motor Show saw several new vehicles integrating the iPad into their dashboards, most notably Volkswagen's classic campervan update, the electric-powered Bulli microbus, and the Pixel microcar produced by Indian manufacturer Tata.

CNNMoney gallery: Hot cars of the Geneva Motor Show

The iPad installation is part of a wider industry trend to fit Internet-connected computers into vehicles, a move that offers seemingly limitless opportunities for hauling the automobile into the digital age.

But in the race to hook drivers up to the Web, there are concerns that the impact these distractions will have on safety are being overlooked. And, as rising fuel prices hike the cost of motoring, will such technology be jettisoned to save cash?

The good news for gadget freaks is that computers are here to stay, says Gary Wallace, of ATX Group -- a leading developer of in-car telematics (devices that send and receive information). They not only appeal to buyers, he says, but also ensure efficiency.

"People want entertainment options and they want to be able to take what they're getting on other devices, whether its their laptop or iPad or iPod or smart phone, into the car," Wallace said. "And that certainly is a powerful driver for the market."

With an Internet connection, he says, comes the option not only to monitor performance or control certain vehicle functions from a remote desktop, but also to outsource functions like satellite navigation or entertainment to another computer.

"We're looking at more offboard solutions; using connectivity into the vehicle to download offboard entertainment instead of trying to jam it into the central stack. You shed weight out of the vehicle which adds to fuel efficiency."

While vehicle manufacturers are starting to experiment with Internet connectivity, full deployment is dependent on the advent of so-called fourth generation -- or 4G -- wireless networks that will permit the data transfer speeds needed by moving vehicles.

These networks -- offering downloads up to 10 times faster than 3G systems used by the latest smartphones -- are expected to start rolling out later this year in the United States. Some European countries such as Finland have already begun limited trials.

But what about the safety issue? Do in-car computers mean drivers will be too busy poking their friend on Facebook to pay attention to the road?

Alan Stevens, a research scientist at the independent Transport Research Laboratory in England, says that although vehicle manufacturers take safety very seriously, gadget- thirsty consumers are less conscious of the risks.

"There is certainly an eagerness to bring technology into vehicles because it is something consumers are now looking for -- something like iPod connectors are more important than another air bag," he said.

Says Stevens, the danger is not so much from equipment fitted by manufacturers, but "after-market" or "nomadic" devices -- such as cellphones or navigation systems -- bought separately and installed by drivers.

For vehicles using iPads or computers running Google's Android software, this could include apps downloaded without manufacturer's approval that distract drivers away from the task at hand.

"The point of these Internet devices are they are very attractive, they pull you in and they're not designed to be tasks that can be easily chunked in half-second glances," says Stevens.

"It's partly physical, not looking in the right place, and its partly mental not having enough spare capacity to deal with the unexpected situations."

That said, many technological innovations coming onto the market are concerned with improving vehicle safety. Not least voice-activated functions being developed by several automakers including Ford, which debuted its "Sync" system at Geneva.

There's more to come, according to Wallace, with cars being developed that can notify insurers as soon as they are involved in accidents, saving money by speeding up the claims process.

Systems are also being developed by General Motors and BMW that can alert emergency services, assessing how severe a crash is. These could even be integrated with electronic medical records.

But even as technology marches on, not all is here to stay. Wallace says some gadgets, like devices showing real-time traffic data, can fall out of favor.

And, like so many tape decks, eight-track cartridges and in-car record players (which briefly existed in the 1950s) before it, the iPad could soon be driving off into the sunset.

@highlight

New vehicles displayed at Geneva motor show have iPads incorporated into design

@highlight

Industry experts say Internet-enabled computers will replace traditional vehicle gadgets

@highlight

On-board computers likely to be able to dial 911 after collisions