Catania, Italy (CNN)The boat that sank in the Mediterranean over the weekend with hundreds of migrants on board may have capsized after being touched or swamped by a cargo ship that came to its aid, a U.N. official said.

Carlotta Asami, a spokeswoman for the United Nations' refugee agency, made the comments to CNN early Tuesday after she and two of her colleagues had spoken to multiple survivors from the disaster who arrived in Catania, Italy.

"They say that there was a point in which they were very close and probably what happened is that, you know, a big ship creating a big wave -- they were approaching in a very strong manner and they lost balance," Asami said.

The account she offered differs from that provided by Italian authorities on Sunday. They said that as the cargo ship King Jacob approached late Saturday, migrants on the smaller boat moved to one side, hoping to be saved, and caused the vessel to capsize.

Mark Clark -- a communications executive representing OSM Maritime Group, the company that manages the King Jacob -- denied that the cargo ship caused the migrant boat to capsize. He said he also believed that people on the migrant boat rushed to one side, causing many to fall off.

The cargo ship was going very slowly as it approached, hardly making any waves, Clark told CNN. It deployed rescue boats, a gangway, nets and life rings, he said.

The conflicting accounts of the chaotic events highlight the challenges faced by commercial vessels that are often called upon to help in the escalating migrant boat crisis in the Mediterranean.

Asami said the survivors whom she and her colleagues spoke to were "consistent" in what they were saying.

She said their accounts made it "credible to think" that between 800 and 850 people were on board the boat that capsized roughly 110 kilometers (70 miles) north of Libya. Previous estimates had put the number of people aboard anywhere between 700 and 950.

Italian authorities, who have been coordinating the rescue effort, say only 28 survivors were rescued and 24 bodies have been recovered.

The King Jacob, whose crew members are all from the Philippines, saved 22 of the survivors, according to Clark.

The cause of the shipwreck is part of Italian authorities' investigation, said Giovanni Salvi, Catania's public prosecutor. Investigators want to study the King Jacob's voyage data recorder and find the wreck of the sunken boat, he told a news conference Monday.

The likely toll makes the sinking the deadliest known disaster involving migrants crossing the Mediterranean from North Africa.

Many of the victims are feared to be still trapped inside the sunken boat.

Asami said the survivors told her and her colleagues that they were all on the highest part of the overcrowded boat, while many people were down in the lowest area.

Italian authorities said Sunday that an unidentified Bangladeshi survivor had told them that the smugglers had locked many people inside the lower levels of the vessel.

Two of the survivors were arrested on suspicion of human trafficking upon arriving in Sicily on Monday, according to Italian police officer Maria Guia Federico. They were the boat's Tunisian captain and a Syrian crew member, said Salvi, the Catania prosecutor.

Italian police identified the two suspects through questioning survivors aboard the coast guard vessel that brought them to Catania, Salvi said, according to Italian media.

The sinking appears to be the worst among an intensifying spate of migrant boat disasters in the Mediterranean to which European governments are struggling to respond.

Vast numbers of people fleeing violence and poverty have been setting out on the risky journey across the Mediterranean to southern Europe for years, but authorities have reported a sharp increase this month in the numbers in need of rescue.

The number of deaths has also skyrocketed. The International Organization for Migration said Monday that more than 1,100 people were estimated to have drowned in the waters between Libya and Italy just in the past week.

It reported Monday that three other migrant boats could be in distress in international waters.

Shipping companies recently warned that European governments are putting what they say is an unfair burden on their vessels to come to the aid of migrant boats in trouble.

"We believe it is unacceptable that the international community is increasingly relying on merchant ships and seafarers to undertake more and more large-scale rescues, with single ships having to rescue as many 500 people at a time," the European Community Shipowners Associations said in a letter to EU leaders last month.

"Commercial ships are not equipped to undertake such large-scale rescues, which also create serious risks to the safety, health and welfare of ships' crews who should not be expected to deal which such situations," the letter said.

Commercial ships rescued more than 40,000 people in the Mediterranean last year, according to the International Organization for Migration. That's higher than the more than 35,000 people saved by the Italian Coast Guard but lower than the 80,000 rescued by the Italian Navy, which was running a special program, Mare Nostrum, for most of the year.

European Union ministers met Monday in Luxembourg and proposed a 10-point plan to help address the crisis.

"We are not yet working on numbers, but what we have agreed on today is, for sure, the need to increase significantly the resources at sea, and the level of the operation, doing more search and rescue and doing it more together," said Federica Mogherini, the EU high representative for foreign affairs and security police.

Mogherini told CNN that the European Union must fight human traffickers, strengthen Europeans' duty to save lives at sea and share responsibility when it comes to the resettlement and relocation of refugees.

"We need to fight the organizations that are trafficking and smuggling people, so that we can prevent desperate people from leaving in desperate conditions," Mogherini said. "My pain is that it was a reaction coming too late after so many people died."

But some groups said European officials were offering too little too late.

"What we needed from EU foreign ministers today was life-saving action, but they dithered," said Justin Forsyth, the chief executive of Save The Children.

"With each day we delay we lose more innocent lives and Europe slips further into an immoral abyss," Forsyth said in a statement. "Right now, people desperately seeking a better life are drowning in politics."

CNN's Karl Penhaul reported from Catania, and Jethro Mullen reported and wrote from Hong Kong. CNN's Hada Messia, Isa Soares and Atika Shubert contributed to this report.

@highlight

Shipping company representative denies cargo ship caused the capsizing

@highlight

UNHCR spokeswoman tells CNN that a cargo ship may have touched the migrant boat

@highlight

Italian authorities have arrested two survivors on suspicion of human trafficking