Spc. Ivan Lopez, who ended his life after killing three people at the Fort Hood, Texas, military base Wednesday, was undergoing diagnostic procedures for post-traumatic stress disorder, according to Lt. Gen Mark Milley, Fort Hood's commanding general.

He was also receiving a variety of treatments for conditions including depression, anxiety and sleep disturbances, Army Secretary John McHugh told the Senate Armed Services Committee Thursday.

Lopez did not receive a diagnosis of PTSD, but the incident puts the condition in the spotlight.

A big challenge in helping veterans with PTSD is the amount of time that passes before a diagnosis, which can be three to four months, said Terry Lyles, a stress coach in Miami who has worked with PTSD patients and is a civilian contractor with the Department of Defense.

In the general population, PTSD is diagnosed right away, but in the military there are bureaucratic holdups before a diagnosis is officially given, he said. "The system itself gets bogged down."

White House press secretary Jay Carney said Thursday that more needs to be done to support military veterans and their families. "We need to be very mindful in this country that even as those wars end, what we owe our veterans does not end," he said.

Here are facts you should know about PTSD:

Fort Hood shooter was Iraq vet being treated for mental health issues

1. What is PSTD?

It's natural to experience fear in dangerous situations. But people with PTSD may behave as though they are under attack when there is no real imminent threat.

A person who suffers PTSD typically re-experiences the trauma through flashbacks and nightmares, experiences that can seem as real as the actual trauma. The person often feels intensely that the trauma could happen again at any time.

Thoughts and feelings can trigger symptoms, but so can words, situations or objects that remind the person of a traumatic situation.

National Institutes of Health: PTSD

2. How common is it?

Anyone who has experienced a life-threatening situation can develop PTSD, according to Dr. Stephen J. Cozza, a professor of psychiatry at the Uniformed Services University of the Health Sciences.

Although over the course of a lifetime, many people have extremely distressing or threatening experiences, only a small percentage will experience PTSD, experts say. The range of responses is largely based on the amount of exposure to the stressor, said Cozza. Most studies examining the rate of PTSD in service members put the rates at about 15% to 20%.

Thirty percent of service members who have fought in Iraq or Afghanistan have been diagnosed with PTSD, according to a Department of Veterans Affairs study.

The nonprofit think-tank RAND Corporation estimates a third of veterans likely have some type of traumatic brain injury, PTSD or depression, which puts the overall number affected at around 600,000.

"We need to remember that while substantial numbers of vets have mental health conditions," the majority do not, Cozza said.

"We don't want to stigmatize our vets, because many of them are not ill," he said. "As an organization and as a community, the military has varying levels of health and risk. There are more services for mental health care in the military than there has ever been before."

What is war's true toll? The Uncounted

3. What causes PTSD?

Experiencing any kind of trauma or dangerous event -- including seeing people harmed or killed or personally getting injured -- raises the risk for PTSD. A history of mental illness also makes PTSD more likely, as does a lack of social support after a traumatic event and enduring additional stress in its aftermath.

Scientists are looking at the role of genes that are involved in the creation of fear memories. There are also neuroscientists investigating brain differences in people who have PTSD.

Genes and brain structural differences may raise a person's risk for the condition without causing symptoms, according to the National Institutes of Health. The early growth of the brain may be affected by environmental factors or a history of mental illness.

3. Do other mental illnesses make it worse?

Other problems such as depression and insomnia that a veteran may have had before deployment are magnified with PTSD, Lyles said.

"It does not help itself," he said. "It's kind of like a pinball that gets trapped inside a machine that can't get out and just continues to ping around. You try to live your life as normal as possible but it's always present."

4. How is it diagnosed in the military?

A typical PTSD screening would be a well-structured diagnostic interview, and a few other tests, lasting about two hours, said Michael Telch, psychology professor at the University of Texas at Austin.

During the debriefing process from the U.S. military, returning soldiers go through an interview and other evaluations that may indicate PTSD, Lyles said. If there is reason to suspect PTSD, the veteran then goes for a full medical evaluation that involves PTSD testing.

There is generally not a big lag time to make a medical diagnosis after the two-hour interview, Telch said.

However, it can take months before the diagnosis is officially recognized by the military, Lyles said.

Many cases of PTSD go undetected because some view the condition as a sign of weakness. Some also don't want to go through the extra battery of tests when they return home, he said.

"Many of these individuals fall through the cracks," Lyles said.

5. Do people with PTSD pose an increased risk of violence to themselves or others?

Having PTSD does not mean that a person will be violent. But certain sounds, images and smells can trigger alarming memories to a person with the condition, and they react as if they were in the midst of war.

"Reality becomes skewed because you've been trained to be violent," Lyles said. "So it's really hard to shut that out."

PTSD is not only about fear and anxiety. Patients may experience other kinds of emotional disturbances, and violence may be a way that they respond.

"Coping with strong feelings of anger, shame or guilt can be played out in terms of violent behavior," Telch said.

Iraq and Afghanistan veterans who struggle with anger are twice as likely as other vets to be arrested for crimes, according to the Journal of Consulting and Clinical Psychology, which published a study last year.

The study, conducted by the University of North Carolina-Chapel Hill School of Medicine, examined 1,388 combat veterans. Researchers found that about 23% of those with PTSD and high irritability had been arrested for criminal offenses.

But researchers also found that other factors unrelated to military service -- including growing up around violence or drug abuse -- were factors behind why some vets committed crimes.

6. Does this impact veterans' performance in the workplace, after they leave the service?

Employers sometimes cite PTSD as a reason for not hiring veterans, because of public misunderstanding, former President George W. Bush said in February at the George W. Bush Library Military Service Initiative. The condition, he said, is mislabeled as a "disorder."

"Employers would not hesitate to hire an employee getting treated for a medical condition like diabetes or high blood pressure, and they should not hesitate to hire veterans getting treated for post-traumatic stress," Bush said.

A person who has been successful in treatment should be able to function in the workplace, Telch said. But without treatment, symptoms can be severe, and impair functioning at work, in social situations and in the family.

8. How do people with PTSD come back to normal?

Exposure therapy often helps the person with PTSD revisit or re-experience their trauma as a means of lessening the effect the memory has on them, said Dr. Albert "Skip" Rizzo, a psychiatrist who works with the military and has pioneered use of virtual reality for treating PTSD.

This kind of therapy has been around for years. Typically a therapist would ask someone to imagine they are experiencing their trauma again. This would happen repeatedly, and ideally, with each retelling of what happened, the event would seem gradually less threatening.

Rizzo, who is with the Institute for Creative Technologies at the University of Southern California, and other experts have employed virtual reality for this purpose. Patients wear goggles and describe their experiences while a technician stands by with a console changing the scene to fit the patient's description.

If the patient recalls hearing a young boy's voice, for instance, the technician makes that happen. If the patient experienced the trauma at night or in the daytime, or perhaps was involved in an IED explosion, those circumstances will be created in the virtual world.

"We can begin to pace the exposure in a very evocative fashion," Rizzo said.

"This works because some people don't engage in the trauma memory at a sufficient level. They don't engage fully with their imagination to confront difficult memories."

A therapy that uses similar principles is called cognitive processing therapy. It helps patients become aware of their thoughts and feelings and learn how to deal with changes in beliefs from before and after trauma.

Some patients also benefit from medication.

9. What resources are available to help service members, veterans and families?

Everyone in the family of a service member with PTSD needs to be involved in the treatment plan, Lyles said.

The U.S. Army Medical Department has a variety of resources on its website. These include the Real Warriors Campaign, which helps service members overcome stigma surrounding mental health treatment, and Army One Source, which helps people locate support services.

If you are experiencing suicidal thoughts, call the National Suicide Prevention Lifeline at 1-800-273-8255.

VA facilities locator

@highlight

Thoughts and feelings can trigger symptoms of PTSD

@highlight

Experiencing any kind of trauma or dangerous event raises the risk for PTSD

@highlight

PTSD does not always lead to violent behavior