(CNN) -- Facebook may be working on an app that will let your friends, or even complete strangers, know where you are at all times.

If that sounds unpleasant, even creepy, you're not alone. But it sounds an awful lot like a small but growing mobile sector in which users knowingly sacrifice some privacy in exchange for "social discovery."

And, as Facebook works to make money off its constantly growing list of mobile users, such a feature raises questions about how the company will use the personal info it would collect.

On Tuesday, Bloomberg reported that Facebook is developing a smartphone app that would track the location of users. The app would run in the background of smartphones even when not opened and is designed to help users find nearby friends, according to one of two unnamed sources cited in the article.

A Facebook spokeswoman told CNN that the company has no comment about the report.

Social discovery, or stalking?

Some observers have expected such a move by Facebook since last year when the social networking giant bought Glancee, a mobile app designed to help users find nearby friends.

That's similar to a handful of other mobile apps, such as Highlight, Banjo and Sonar. These services seem pitched mostly to a young, outgoing user base seeking existing or new pals for drinks, dancing, sipping coffee or sexual hookups. But, when applied to Facebook's purported 1 billion-strong membership, which includes everyone from teens to grandparents, it gives some privacy advocates pause.

"We've already seen some of the mishaps that can occur when location is used in unexpected ways," said Jules Polonetsky, director of the Future of Privacy Forum, a Washington-based think tank. "I think the challenge is that aggregating by location clearly might provide some really useful information. But there are a whole lot of social norms that can be stressed, by even public information."

Polonetsky cited Girls Around Me, an app that rounded up check-ins by women on Foursquare and Facebook to let users, presumably guys on the prowl, know which bars, clubs or other spots currently had lots of women in them. Girls Around Me raised concerns about stalking and eventually got booted from Apple's App Store.

"It didn't clearly violate any of the specific rules that the App Store lays out, other than extreme creepiness," Polonetsky said. "But creepy is sometimes in the eye of the beholder. One person's creepy is another tech enthusiast's tool."

The key, he said, would be whether Facebook clearly sets out guidelines for how such an app would be used. He said members should be allowed to opt in to the service, not automatically be enrolled in it unless they opt out.

"You don't want people ever sharing information without knowing, and I don't think Facebook is going to be in a position to do that," he said.

The future of social sharing

Heralded briefly as the next wave of social sharing, a handful of these location-based "social discovery" apps launched last year amid some degree of hoopla. But a year later, none have gained much traction among mainstream audiences in the way Twitter, Foursquare and some other apps did before them.

Paul Davison, CEO of discovery app Highlight, acknowledges it's been a slow burn for a service such as his. A year after launching, Highlight still won't release how many active users it has (though he said membership has tripled in six months).

Privacy concerns, he said, are part of the challenge.

"That's not surprising," Davison said. "I think that any time a technology comes out that allows us to share in a way we haven't been able to share before, you see this really familiar pattern.

"Most of us look at it and think, 'That's weird. That's creepy and I don't like it.' What you normally see is a subset of people saying 'That is kind of crazy, but I'll try it out.' And they see it's pretty rewarding and fun."

Davison considers apps such as his no less than the future of social sharing.

"If you look at what's happened on the Web over the last 5 to 10 years with Facebook and other services, we love to share," he said. "We love to talk about ourselves ... and we're obsessed with learning about other people."

But for some, he said, the real world can be like "some bizarre social network where every profile is a single photo." On Highlight and similar apps, profiles are meant to let users know if someone around them shares their interests and might be a fun person to meet.

"It's a big change in how the world works," he said. "It's hard for me to think of a bigger shift in how the world works, but it's not going to happen overnight."

How Facebook might use app

Facebook-owned Glancee was somewhat more limited, pinging users when people already in their other social networks, such as Facebook, Twitter or LinkedIn, are around.

But for the folks from Mark Zuckerberg's company, such an app could have another payoff. Literally.

It would provide Facebook with reams of new data about not just where its users frequently go, but where they are right now.

Facebook said it doesn't sell its data to advertisers. But it definitely leverages the data to help those advertisers target potential customers. It's not hard to envision ads showing up letting users know that there's a 2-for-1 drink special right around the corner, or that the restaurant next door has the best burger in town.

"They need to make money on mobile, and that's what they've been pushing for since the IPO," said Justin Lafferty, co-editor of AllFacebook, an unofficial Facebook blog. "They're trying to build the technology first, then maybe find out how to build ads into it, too."

Lafferty, who wrote about this week's Bloomberg report, said Facebook could launch a social discovery app separate from its main mobile app -- at least at first.

"That's sort of how Facebook usually works," he said. "They'll test features, then they'll implement them all in the native app."

How will users react to such an app, were Facebook to launch one? Privacy advocate Polonetsky said that remains to be seen.

"The reality is that, for most people, even if things are broadcast to all their friends and the public, they still have some expectation about the way that it's used," he said. "I totally get that my neighbor knows when I come and go and may even say, 'We haven't seen you in a while -- is everything OK?'

"But if someone else seemed to know about my comings and goings and offered me a product or service based on it? I don't know."

@highlight

Facebook is working on app that tracks users' locations, a report says

@highlight

Such "social discovery" apps seek to help you meet friends -- old or new

@highlight

Privacy has been a concern that slowed growth of such apps

@highlight

Facebook also could use the reams of data to target advertising