(CNN) -- Finding superlative examples of Britain's national dish isn't as easy as tracking down great cheese in Paris or sublime sushi in Japan.

Serving originally as cheap and filling fodder for the country's burgeoning 19th-century working class, most of the 250 million portions of fish and chips sold today by Britain's 10,000 or so vendors of the dish -- "chippies" to locals -- remain unappetizing concoctions of gray-colored fish in soggy batter, accompanied by anemic chips and flaccid little sachets of ketchup.

Little wonder that so many first time visitors to the UK wonder what all the fuss is about -- never mind where to find mouthwash strong enough to remove the taste of stale cooking fat from their mouths.

That's a shame, because some establishments are great exceptions to the mediocre rule.

Many are family-run enterprises that use local produce and provide an experience that marries the aroma of the ocean with the warmth of the hearth inside one delicious paper-wrapped package.

Our 10 of the best fish and chip shops in Britain list culminates with the latest winner of a prestigious national award.

10. Chez Fred (Bournemouth)

Commitment to quality shows at every stage at this legendary South Coast chippy, from the chunky chips cooked in rapeseed oil to the house-made mushy peas, a traditional fish and chip accompaniment in Britain.

The cod and haddock are certified as sustainable by the Marine Stewardship Council.

Ethical but supremely tasty, these are PC fish and chips par excellence.

We recommend: plaice fillet with large chips and mushy peas.

Chez Fred, 10 Seamoor Road, Westbourne, Bournemouth; +44 1202 761023

9. The Company Shed (West Mersea, Essex)

It's smart to keep an eye on your watch if you make the journey to this ramshackle but welcoming little seafood shack near the ancient Roman town of Colchester; if your timing is off, you risk being stranded when the tide surrounds the miniscule island where the chippy perches.

Not that this would be such a bad thing, with the fabulous array of seafood to be consumed at the basic picnic tables here, from native oysters at 80p each to crab-and-lobster rolls, cockles, prawns and locally smoked salmon.

Prices are a fraction of what you'd pay in London, and you can bring your own wine.

We recommend: the cold seafood platter.

The Company Shed, 129 Coast Road, West Mersea, Essex; +44 1206 382 700

8. The Big Fish (Stratford-upon-Avon)

Owner Marina Angelides continued the fishy theme in her career (she used to sing in a band called The Big Catch) when she opened this restaurant and takeaway.

Dispensing with the retro (or just shabby) look many chippies favor, the Big Fish is all sweeping windows and smooth design curves.

The menu caters to gluten and wheat-intolerant diners, but less picky piscine fans might set their sights on the Big Fish Combo of cod, whitebait, calamari, scampi, haddock goujons (bread-crumbed mini-fillets), chips, coleslaw and salad.

We recommend: wholetail scampi with chips and salad.

The Big Fish, Unit 3, Maybird Shopping Park, Stratford upon Avon; +44 1789 204 202

7. Rock and Sole Plaice (London)

With high prices matched by low quality, the West End of London is something of a fish and chip tourist trap.

The venerable Rock and Sole Plaice is a local exception -- this Cypriot-run chippy near Covent Garden Piazza has been serving portions of perfectly flaky battered cod, crunchy chips and mushy peas since 1875.

The West End theater posters lining the walls hint at the odd big name thesp who drops in: both Peter O'Toole and Anthony Hopkins eat here when they're in town.

We recommend: cod and chips with mushy peas.

Rock and Sole Plaice 47 Endell St., London; +44 207 836 3785

6. Latimer's Fish Deli (Sunderland)

A former fisherman, owner Rob Latimer presides over the unusual combination of fishmonger and chippy on this site.

Spanking fresh squid, lobster, crab and langoustines are available alongside the usual fried things.

We recommend: the catch of the day.

Latimer's Fish Deli, Shell Hill, Whitburn, Sunderland; +44 191 529 2200

5. Burton Road Chippy (Lincoln)

This prosaically named chippy in genteel Lincoln is almost as much of a local legend as the devilish imps that supposedly escaped from the city's spectacular cathedral in medieval times.

The preferred fish here is battered haddock -- cod typically rules in the south of Britain and haddock in the north.

Everything is fried to order and almost all the menu items are prepared on the premises from scratch.

We recommend: haddock, chips and scraps (bits of batter from the bottom of the fryer).

Burton Road Chippy, 169 Burton Road, Lincoln; +44 1522 575 201

4. Whetstone Fish Bar (Leicester)

Buried deep in the Midlands, far from the coastline, it's the commitment to quality ingredients that makes this chippy run by the parents of UK TV presenter Gok Wan stand out -- fish are delivered daily from the port of Grimsby.

The fish cakes are tire-sized, and this is just the place to try a chippy custom peculiar to the region: pouring thick gravy over the chips before consuming with the fish. (It's nicer than it sounds.)

We recommend: haddock, chips and gravy.

Whetstone Fish Bar (no website), 63 Victoria Road, Whetstone, Leicester; +44 116 286 6866

3. Magpie Cafe (Whitby)

Queues form long before opening at this handsome sandstone old-timer on the harborfront of this sleepy Yorkshire fishing town.

The variety of fish stands out here, with sustainable and rarely seen specimens including gurnard, pollock and hake served alongside cod and haddock classics in an oak-beamed dining rooms upstairs.

If the restaurant is full, you can sit on the harbor wall with a takeaway.

We recommend: fried pollock, chips and mushy peas.

Magpie Cafe, 14 Pier Road, Whitby; +44 1947 602058

2. Seniors Fish and Chips (Thornton, Lancashire)

In classic fish and chip territory -- a small northwestern town of narrow Victorian terraced streets -- Seniors has been attracting queues around the block from its car park location since 2006.

Haddock and cod are supplemented by sea bass and plaice.

Servers will bake rather than fry for you if the thought of an entire deep-fried fish is going to break your vow to finally lose some weight this year.

We recommend: fish goujons, steak pudding and chips.

Seniors Fish and Chips, 91 Fleetwood Road North, Thornton; +44 1253 858585

1. The Bay (Stonehaven)

And officially the Best Fish and Chip Shop in Britain?

For 2013, the winner of this hotly contested competition -- in which everything from customer service to sustainability and hygiene is inspected and marked -- is located in a fishing town on the far northeast coast of Scotland.

The Bay's challenging-sounding specialities include deep-fried black pudding -- a compacted tube of congealed pig's blood cooked with oatmeal, suet, bread and potato.
From its harborside location, the Bay restaurant also serves haddock straight from the North Sea and mackerel caught by a family member.

We recommend: haddock and chips with black pudding on the side.

The Bay, Beach Road, Stonehaven; +44 1569 762000

@highlight

10 superb spots to sample a British culinary classic

@highlight

Taste bud challenging side dishes include chips with gravy

@highlight

And the greatest fish and chip shop of all?