(CNN) -- -- The well-publicized landing of 40 Iranian Jews in Israel on Tuesday spurred glee among some Israelis and the immigrants themselves and drew public scorn from a surprising quarter in Iran -- two officials from its centuries-old Jewish community.

One of them described the emigration as a "misinformation" campaign and defended their lives under the government of Iranian President Mahmoud Ahmadinejad.

The arrival in Israel was publicized as the largest single group to arrive in Israel from Iran since Iran's Islamic Revolution, and the immigrants traveled via an undisclosed third country. Other Iranian Jews have immigrated to Israel over the years.

Anti-Semitism has been a worldwide phenomenon for centuries and the state of Israel became a homeland for Jews to escape anti-Semitic persecution.

The group that sponsored the immigration is the International Fellowship of Christians and Jews, based in Chicago. It says it wants to help Jews flee such persecution. The group receives money from evangelical Christians.

Its founder, Rabbi Yehiel Eckstein, believes Iranian Jews face dangers, citing the words of Ahmadinejad, who has urged Israel's destruction but not by military means.

There has been great criticism of Ahmadinejad by Jews across the globe for his remarks about Israel, for the government's stance toward Israel, and for the regime's sponsorship of a recent Holocaust denial seminar.

Eckstein said immigrants received $10,000 each because they left behind possessions to go to Israel.

Noting the evangelical support from his group, Eckstein, in fact, believes it's no "coincidence" that the people came to Israel on Christmas Day, which Eckstein describes as "kind of a Christmas present to these folks from Christians in America who seek to tell Israel and the Jewish people that they're not alone."

The immigration comes at a time of great tension between Iran, whose president stoutly rejects the Jewish state's existence, and Israel, which asserts that Iran is funding terrorism, has ambitions to develop nuclear weapons, and is intent on destroying the Jewish state.

But the account of the mass immigration was vehemently disputed among Jewish officials in Tehran who defend Jewish life there.

The man representing Iranian Jews in Iran's parliament on Wednesday disputed the notion of an organized immigration of Iranian Jews to Israel, saying he would have known about such a development.

Iranian MP Morris Motamed told CNN that he and Ciamak Morehsadegh, the director of the Tehran Jewish Community, had issued a statement condemning the spread of false news about an evangelical organization facilitating the immigration of 40 Iranian Jews to Israel.

Iranian Jews can travel anywhere they want, anytime they want, but like other Iranians they are not allowed to go to Israel, Motamed said.

Even with that, some Iranian Jews may decide to travel to and from Israel via a third country to visit their families or to visit for religious reasons.

However, Motamed called the news a "misinformation" campaign aimed at creating an atmosphere of distrust between the Muslim and Jewish communities in Iran. He said it is meant to make Iranian Jews feel unsafe and vulnerable in their own country.

He said that before the Islamic Revolution in 1979, Iranian Jews numbered more than 100,000, but like other minorities their numbers diminished because of immigration.

He said almost 95 percent of Iranian Jews went to the United States and as a result there is now quite a sizable Iranian Jewish community there. The remaining 5 percent, he said, went to Europe and Israel.

There are as many as an estimated 20,000 to 25,000 Jews remaining in Iran, the largest Jewish community in the Middle East outside Israel, according to CNN's Shirzad Bozorghmehr.

The U.S. State Department's 2007 report on religious freedom says the Iranian government's "rhetoric and actions created a threatening atmosphere for nearly all non-Shi'a religious groups, most notably for Baha'i's," who are based in the Israeli city of Haifa. It also cites "Sufi Muslims, evangelical Christians, and members of the Jewish community."

Jews by Iranian constitutional law have the right to practice their religion and "with some exception," there has been scant government restriction and interference with religious practices, the report said.

However, "members of these recognized minority religious groups have reported government imprisonment, harassment, intimidation, and discrimination based on their religious beliefs."

Jewish education has been tougher to carry out, there has been a rise in anti-Semitic rhetoric, and assaults on two synagogues, the report said. Their contact with or support for the state of Israel has been squelched "out of fear of reprisal."

"Recent anti-American and anti-Israeli demonstrations included the denunciation of Jews, as opposed to the past practice of denouncing only 'Israel' and "Zionism," adding to the threatening atmosphere for the community," the report said.

In the Islamic Republic's Jewish community, there is a different view from voices emerging.

Morehsadegh described the Jewish community in Tehran as alive and well, with 20 synagogues, more than eight butcher shops, two restaurants, and four youth groups.

"There is no doubt that the Holocaust happened," he said. "But we disagree with the superpowers who have misused this incident to their own benefit." E-mail to a friend

CNN's Shirzad Bozorgmehr contributed to this report

@highlight

Senior Iranian Jew calls mass emigration of 40 Jews to Israel "misinformation"

@highlight

40 Iranian Jews landed in Israel on December 25

@highlight

U.S.-based group behind incident receives cash from evangelical Christians

@highlight

Each immigrant received $10,000 to cover abanonded possessions, group admits