(CNN) -- Shanna Kurth began biking to work three years ago to improve her health. Several times a month, she loaded her bike onto her car, drove most of the way and biked the last three miles to her office.

Bit by bit, she shortened her time in the car and extended the bike ride. Now, the 50-year-old Illinois woman says she bikes all the way to work several times a month from her home in Metamora to Peoria: 25 miles each way, amounting to about two hours of travel time.

It's no easy feat, and not something most Americans are willing or able to do, especially in suburban and rural communities, where bike paths are scant and cars are the only way to get around. The rate of workers commuting by bicycle doubled between 2001 and 2009, according to National Household Travel Survey data. But that still amounted to less than 1% of Americans reporting in 2009 that they used bicycles as their primary mode of transportation to work, according to the Census Bureau's American Community Survey.

In honor of National Bike Month and Bike to Work Week, CNN asked its Facebook fans what it would take to get them to bike to work more often. A shorter commute and more bike lanes were by far the most common responses.

"I would do it every day (if) the weather permitted, if my work was actually within biking distance," Kitty Dunn wrote. "I have an hour to travel by car. Probably take a day or two by bike."

Read more comments on CNN's Facebook page

Cleanliness and body odor were also frequent concerns. Others simply preferred the solace of a morning drive.

"The climate has to be right, the distance not too far, the commuter's health not an issue, a lack of fast, simple, reliable and safe public transportation needs to exist," Joshua Wertheim said. "A shower and locker to change clothes must be provided by my employer, and a way to blast Springsteen while I peddle must be allowed. Otherwise I ain't doing it."

Some suggested that the idea itself was outdated.

"What I think we really need to focus on are more fuel-efficient vehicles, better city planning for the number and types of vehicles on the road, and more public transportation options," Curtis Lewis said.

"This is the 21st century after all; trying to solve modern problems with solutions over 100 years old is just simply not going to work. Why not change this to 'What's Your Solution? Week (where you send your ideas to manufacturers, politicians, city officials, etc.)" instead of 'Bike to Work Week.' "

Or, in the words of Jun Zheng Wang: "Bike to work? Are you crazy? Time is money!!!"

But those who bike to work swear by the financial rewards and health benefits. And yes, there's a bit of a do-gooder element to it.

"It is a good way to clear your brain from all the sh*t at work," Maria Olivieri said. "The only thing I wish is there were more bike paths alongside the highways. I think if there were I bet a lot more people would be biking it to work; not only that it is good for the green factor (but) good for your health."

Bike safety 101

Kurth acknowledged that a considerable amount of time and planning goes into her ride. A neuropsychologist with her own practice, she bikes only when her morning schedule is open. When she does, she carpools home with her husband. She takes into consideration weather and wind conditions, avoiding snow, ice and high winds. Most importantly, she said she learned to ride with a light load and keep a set of professional attire at work to change into.

She said she uses side roads as much as possible, although there is a long stretch of highway that she cannot avoid. She said believes she has just as much right to use the roads as drivers.

"I don't do it more often because it requires the 'intersection' of a couple of factors," Kurth said in an e-mail. "We belong on the road. It is the law. It is safest for everyone for bicyclists to be on the road -- that is why it is the law. Get over it. And STOP honking and yelling at us."

She's right, though the rules vary from state to state, said Andy Clarke, president of the League of American Bicyclists. The group is the national sponsor of Bike Month.

Bicyclists are allowed to use most roads with the exception of high-speed limited access roads such as highways or interstates, which have few interchanges, Clarke said.

"As a general rule, particularly in urban areas, the road networks are such that there are viable alternatives to highways and interstates, and cyclists are able to use the rest of the roadwork," he said. "Outside of urban areas, cyclists are allowed to use interstates as well because they have no other options."

Each state has its own bicycle and pedestrian coordinator within the Department of Transportation that can provide specific information, he said.

If cyclists have the right to the same roads as cars, there are a few drivers who aren't happy about it. Dozens of Facebook commenters said cyclists had no place on the road if they didn't have a bike lane to ride in.

"Cyclists, stay off the roads without bike lanes!! You slow down traffic and are putting yourself in danger!" Greg Schneider said.

If cyclists want to share the road, they need to follow the same rules as cars, many said. Obey traffic lights, go in the same direction of traffic and ride single file when traveling in a group.

"Bikers need to follow the rules of the road, too. I cannot tell you how many times I'm at a four-way stop, etc., and they fly right through," Michelle Having said. "Also, keep in mind if you're biking, you're not Lance Armstrong. Watch out for pedestrians. I'm sick of seeing walkers hit by bikers."

When it comes to signaling for turns, many commenters said they felt that both drivers and cyclists could do better.

"Use your flippin' hand signs cyclists!!" Lucas McCain said. "Can't tell ya how many times I almost turned one of you guys into street pizza because you didn't warn me of your turns."

The matter of sidewalks was an area of dispute. Some said cyclists should use them in the absence of bike lanes, while others bristled at the thought of them stealing the space from pedestrians.

"Sidewalks are for pedestrians. Cyclists need to understand bike laws; to not ride on the sidewalks and to obey traffic signals," wrote Amanda Goebel, who also commented that "cuter bike helmets" would encourage her to bike more often.

On the flipsde, Schenider wrote, "I would much rather see a cyclist use the sidewalk than the street. How often do you really see people walking on sidewalks? What's more dangerous? #commonsense."

Cyclists also had advice for other cyclists: Earn the respect of drivers by following the rules and making your presence seen. Wear a helmet all the time and reflective gear at night, make sure to have insurance and don't assume drivers are paying attention.

They also had advice for drivers on how to share the road better: Put down the phone and pay greater attention.

"Stop TEXTING, EATING, PUTTING MAKE-UP (ON), TALKING ON THE PHONE while driving," Francisco Marcelo Gadelha said.

"Cars, depending on your city, you most likely have to treat bikes as vehicles whether you like it or not," Payton Powell said. "Remember that messing with bikers often results in needing new windshields, hoods, or mirrors due to U-Lock justice."

More than anything, they're asking for respect.

"Cyclists can ride faster than you think. We respect you so respect us," Kayla Nicole Lingerfelt said. "If you're worried about those five seconds to safely get around a cyclist so you won't be late for work, you should have left 30 minutes earlier. Share the road!"

What do you think? Share your thoughts in the comments!

@highlight

Friday marks national Bike to Work Day

@highlight

Shorter commute, more bike lanes would inspire more commenters to bike to work

@highlight

"We belong on the road. ... Get over it. And STOP honking and yelling at us," one rider says

@highlight

"Cyclists, stay off the roads without bike lanes!! You slow down traffic," driver says