Philadelphia (CNN) -- Scott Charles walks briskly across a hospital lobby toward a group of high school students waiting to meet him.

"Welcome," he said, panning their faces, "I work with gunshot patients. How many of you know somebody who's been shot?"

Hands spring up into the air from roughly half of the more than 20 students. Without flinching, Charles continues his introduction.

"What we're going to do today is take you behind the scenes, pull back the curtain and let you see what we do in treating gunshot patients," he said.

It's all part of the Cradle To Grave program that Charles helped create to reduce violence in what is supposed to be the City of Brotherly Love.

Inside Temple University Hospital's trauma center, these high school students will relive the final minutes of life of a teenager who was killed by gun violence.

Among America's largest cities, Philadelphia's homicide rate is the worst. Guns are the weapons of choice, with more than 80% of homicides committed with a firearm, according to the most recent police statistics. African-Americans make up 85% of the victims

"Statistics suggest that as a young, black man, you have a greater chance of being shot and killed in Philadelphia than you would have if you were a soldier serving in the conflicts in Afghanistan or Iraq," Charles said. "That's absurd to me."

Despite the daily gun violence plaguing American cities like Philadelphia, Chicago or New Orleans, it's the mass shootings at a school or a theater or a public event -- like the tragedies in Newtown, Aurora and Tucson -- that trigger outrage and a serious, nationwide discussion on gun violence.

"The tragedy of the parents isn't greater in Newtown than that of a parent of someone who was shot elsewhere," Charles said, expressing sadness for the lives lost in the school shooting. "At the end of the day, their kids aren't coming home, and there's no way to compare that anguish.

"Newtown has made us stare the (gun) issue in the face and ask ourselves if this is the price we're willing to pay."

Despite emotions, little happens legislatively after mass shootings

'White noise'

Standing with students in a hallway leading to the hospital's trauma bays and holding an iPad, Charles tells the story of 16-year-old Lamont Adams, who was shot 24 times.

"That young boy stood over Lamont and fired 10 more shots into him," he said, the sound of gunshots playing in the background.

A few students gasp, while others stand stoically with hard-to-read expressions, as Charles leads them into the trauma bay.

One by one, he places 24 red stickers on the body of a student volunteer lying on a gurney. "He had a bullet wound here ... Lamont had a bullet wound right here ... Lamont had a bullet wound right here," Charles says, as he places each sticker on the student.

Across the United States, more than 5,700 children and teens were killed by guns in 2008 and 2009 -- a number that would fill more than 200 public school classrooms -- according to data compiled by The Children's Defense Fund.

That number includes 173 preschoolers, nearly double the number of law enforcement officers killed in the line of duty during the same time.

Responding to last month's Connecticut school shooting, President Obama created a task force led by Vice President Joe Biden charged with developing "concrete proposals" for dealing with gun violence no later than January.

Obama exploring executive orders to combat gun violence

Among those serving on the vice president's task force is Philadelphia Police Commissioner Charles Ramsey, whose city had a bloody start to the New Year with five homicides in the first 48 hours.

Philadelphia has seen a slow uptick in its homicide rate. Last year, 331 people were the victims of homicides, up from 324 in 2011 and 306 the year before that.

But last year's toll marks a 15% drop compared to 2007, when the city earned the nickname "Kill-adelphia" after suffering more than one murder a day.

The fact that most of those killed in Philadelphia are victims of gun violence is emblematic of a national trend: Federal data for 2011 shows that more than 67% of all homicides in the United States were carried out with a gun.

So where's the nation's outrage?

Daily, inner-city gun violence has become "white noise," said Chuck Williams, founding director of Center for the Prevention of School-Aged Violence at Drexel University.

"At this point it's like, 'Oh, another six people got shot and killed over a week in a poor black community. Business as usual,'" he said, shrugging his shoulders. "So America says, if the urban communities don't care enough about it, then why should we?"

Williams hopes that will change in the wake of the mass shooting in Newtown, Connecticut.

"If this (Newtown) is not enough for all of us to come together and say that something needs to be done, I don't know what is," he said. "Our kids are dying and they're leaving us way too soon, and we have the power to do something about that if we so choose."

A look at U.S. gun laws

'I hurt the same way'

Eddie Bocanegra, born and raised in the rough and tumble section of Little Village on the southwest side of Chicago, is no stranger to gun violence.

Bocanegra, who spent 14 years in prison for murder, is now on a mission to save lives. He is featured in the documentary "The Interrupters," which follows the lives of three community activists fighting to interrupt the fervent violence in Chicago.

The shooting in Newtown spurred the nation to respond, from prayer vigils and donations to around-the-clock news coverage of the event. Although moving, the reaction was also sobering, Bocanegra said.

"A kid growing up in the 'hood has different expectations than a kid growing up in Newtown," said Bocanegra, who works with ex-offenders at the faith-based nonprofit Community Renewal Society in Chicago. "We have worldwide attention on this tragic event in Connecticut, but it shows us how we value life, and it's a shame murder isn't treated the same across the board."

"I hurt the same way you hurt. Murder shouldn't occur, and I say that as someone who took a life," Bocanegra said. "All lives are precious, and one is not worth more than the other."

Every single day in the United States, 13 young people between the ages of 10 and 24 are the victims of homicide, according to federal data. More than 80% are killed with a firearm.

In Philadelphia, the majority of homicide victims are African-Americans between the ages of 15 and 24.

"Every time there is a loss of life, we have to remind ourselves that these are often children. And we have to ask ourselves where have we failed to protect this child?" said John Rich, director of the Center for Nonviolence and Social Justice at Drexel University.

The indifference toward urban slayings often comes down to "victim blaming," said Rich, author of "Wrong Place, Wrong Time: Trauma and Violence in the Lives of Young Black Men."

"We're using shorthand and stereotypes to draw a conclusion," Rich said. "There's something undeniably different when we have this scale of horrible in Connecticut. And there's something undeniably horrible about a killing a day."

Trauma, poverty and unsafe neighborhoods must be included in the gun control debate, said Ted Corbin, co-director at the Center for Nonviolence and Social Justice.

Both Rich and Corbin want to explain the cycle of violence, not excuse it.

As an emergency room physician, Corbin said he regularly sees the carnage of gun violence, and added that it's not enough to "treat them and street them."

"Hurt people hurt people," Corbin said matter-of-factly. "It really is what's perceived by society as what's deserving. A veteran who has served our country deserves services, but the empathy is not there for young people who are chronically exposed to adversity."

"The assumption is that they're bad kids, (without) giving society any responsibility," he said.

Back at Temple University Hospital, the students head from the trauma bay to a classroom for a discussion before they visit the hospital's morgue, Lamont's last stop.

More than 7,000 students have come through the Cradle To Grave program. Amy Goldberg, the hospital's chief trauma surgeon and a co-founder of the program, said she and Charles are committed because the cost of violence is too high.

"I really think it's our responsibility to prevent these kids from coming in. So as much as I may get frustrated on any evening, it really can't stop us," Goldberg said. "We really want to teach them the preciousness of life, that in an instant your life can be changed forever."

@highlight

Philadelphia has the worst homicide rates among large U.S. cities

@highlight

More than 80% of homicides there are committed with a firearm

@highlight

Yet it takes a mass shooting to trigger attention to gun violence

@highlight

Indifference toward urban slayings comes down to "victim blaming," says one author