(CNN)Easter is a cornerstone event in the Christian faith, but it's surrounded by interesting quirks.

It celebrates the completion of Christ's mission of salvation in the Crucifixion and Resurrection. By dying on Good Friday, Christ atoned for the sins of others; by rising from the grave on Sunday, Christ conquered death.

Simple enough and reason for Christians to celebrate.

But, like Christmas with its tree, ornaments and Santa Claus, Easter has picked up its peripheral trappings -- the bunny and colorful eggs.  Unlike Christmas, it doesn't fall on the same day every year but shifts around in spring depending upon cosmic events.

And that blood moon we just had -- is it pure coincidence that it fell around Easter? (No.)

Here's a journey from the Vatican to the Holy Land, around the moon and the Earth's tilting axis, to Germany and the United States to try to explain the complex holiday called Easter. And you'll learn to how to color Easter eggs with Kool-Aid.

Let's start at the Vatican.

At the Vatican, Holy Week began with Palm Sunday last week and culminated in Easter Sunday Mass with multiple celebrations in between to mark the final week of Christ's mortal life.

Jesus rode on the back of a donkey into Jerusalem on Palm Sunday where crowds celebrated him as the Messiah and laid down palm branches in his path. But the crowd and the Romans turned on him in the course of the week, according to the Bible, leading to his crucifixion and resurrection.

Rain sprinkled down on worshipers standing under a sea of umbrellas as they gathered in a gray St. Peter's Square on Sunday to partake in the outdoor services held by Pope Francis.

Afterward, the Pontiff took a moment to tell the world to do right those in need in his Urbi et Orbi address.

Francis lamented the suffering of people in many of the conflicts around the globe. From Nigeria to South Sudan, Iraq to Ukraine, he expressed hope that violence would end.

Francis also doesn't put on airs. This week he washed the feet of believers, repeating the Biblical account of a woman, a sinner, washing Jesus' feet and anointing them with oil.

Let's move on to old Jerusalem, the birthplace of Easter.

The Church of the Holy Sepulcher in old Jerusalem unifies the spot where Christ was crucified -- Calvary -- with his tomb, or sepulcher. On Sunday, Catholics and Armenian Christians celebrated the Resurrection there.

In the morning, the Latin Patriarch, the Archbishop of Jerusalem, entered the basilica. Then mass was held followed by a procession.

But a large group of indigenous Christians didn't join them. It's not quite Easter yet in the Holy Land for Eastern Orthodox Christians. They'll be celebrating a week from now, because they determine Easter's date by a different calendar than Western Christians -- the Julian calendar.

Which brings us to the question of how astronomy is used to determine the date of Easter Sunday.

A blood moon appeared in the sky early Saturday, right between Good Friday and Easter Sunday and during Passover. Just a coincidence?

Not completely, because the dates for both Passover -- the Jewish holiday celebrating the deliverance from slavery in Egypt -- and Easter are determined by moon phases, according to timeanddate.com.

Easter's timing is related to Passover, because Jesus was crucified around then, according to the Bible.

Many Jewish holidays, including Passover, fall on full moon, which is also a prerequisite for a lunar eclipse, the event that turns the moon a blood red color.

Since the timing of moon phases doesn't jibe with Earth's orbit -- which is how we determine the length of a year now -- Passover's exact date moves around -- and so does Easter's.

When Christian bishops first convened at the Council of Nicaea in the year 325, they made a rule to determine the date of Easter, so as to fairly reliably pin it to Passover:

It would fall on the first Sunday after the first full moon following the vernal equinox. That's the day in March when Earth's axis reaches a midpoint between winter and summer and the day and night are of equal length.

But ... if the full moon fell on Sunday, Easter would be pushed down a week. Confusing? It got worse.

When the West moved from the Julian calendar to the Gregorian calendar, Orthodox Christians stayed put, resulting in -- usually -- two separate dates for Easter.

In 1997, the World Council of Churches pushed for a unified method of determining a date based on astronomical occurrences.

It didn't catch on.

But some odd Easter trappings that popped up after the Middle Ages very much have -- the eggs and the bunny.

The bunny is an egg-laying pagan that worships the moon. That's one notion of its origins, but probably not the actual one.

German immigrants appear to have brought it to North America in the 1700s.

German historians are not clear on its beginnings, but the first known mention of the bunny and the eggs in writing was in 1682.

Professor of medicine Georg Franck von Frankenau described in his paper "De ovis paschalibus," or "On Easter eggs," a custom in the Alsace region involving a bunny and eggs, according to German public television.

Some also credit the region with inadvertently inventing the Christmas tree.

But von Frankenau left out any explanation of how the tradition arose, leading to a number of theories in Germany.

One common idea: During Lent, people had to abstain from eating eggs, but hens kept on laying them, so farmers boiled and preserved them. By the time Easter rolled around, they were practically swimming in them.

They had to figure out something to do with them when the holiday hit. Play hide and seek with them; color them; give them as gifts.

Parents may have invented the bunny as a playful explanation for children on where the Easter eggs came from.

If you're coloring eggs this year, here's an interesting tip.  Instead of stinking up your place with the smell of vinegar, use Kool-Aid, YouTube science geek Grant Thompson suggests.

And it appears to work. Just use a whole packet in a small glass of hot water and gently lay the eggs in. They turn out as bright as they would in any other food dye.

But be careful, it stains everything else, like clothes and upholstery, Thompson warns. That's why your tongue changes colors when you drink it.

Happy Easter! Happy Passover!

@highlight

Easter is a key event in the Christian faith, but where did the Easter Bunny come from?

@highlight

Why is the date different every year, and what does it have to do with the moon?