(CNN) -- In a historic decision this week, the American Studies Association voted to boycott Israeli academic institutions, endorsing Palestinian civil society's call for boycotts, divestments and sanctions against Israel until it complies with international law and ends abuses against Palestinian human rights.

The decision by the American Studies Association, a group of academics involved in the study of U.S. culture and history, to boycott collaborations with institutions is important. The ASA is one of the first major U.S. academic groups to take this step, and it sends a strong message to Israeli intellectuals and elites that their nation's policies will lead only to international isolation.

The boycott, divestment and sanctions movement (BDS) was started by Palestinian political parties, trade unions and political movements in 2005. Signatories include refugees, Palestinians in the occupied Palestinian territories and Palestinian citizens of Israel.

The legitimacy of the movement's tactics comes into sharp focus in the light of Nelson Mandela's death and the struggle in South Africa against apartheid.

Today, Israel practices apartheid. It's a system of unjust laws enforced by the gun to restrict the human rights of one group -- Palestinians -- with the aim of keeping political power in the hands of another demographic group -- Israeli Jews.

These violations of Palestinians' rights include the denial of repatriation to refugees, restrictions on residency, the demolition of homes, destruction and seizure of land and property, restrictions on movement and discrimination in allocation of resources.

Many supporters of Israel are rehashing the same arguments against BDS that apologists of the South African regime made decades ago. Perhaps the most common criticism is that Israel is not the worst regime in the world -- boycotts based on human rights concerns should focus on the worst violators first and not unfairly single out Israel. The same reasoning was made against the movement to divest from South Africa.

Two Stanford professors argued in an op-ed in 1979: "White South Africans have often been harsh in their dealings with black people but there is nothing like the mass terror characteristic of communist countries and of many African dictatorships. ... In South Africa, there has been nothing comparable to the mass expulsions of ethnic minorities that have stained the post-World War II history of countries as varied as Burma, Uganda, India, Algeria, Palestine, Poland, Czechoslovakia, Burundi and Angola."

South Africa may not have engaged in the bloodletting that happened in 1970s Burundi, but does that mean other nations should not have risen up and acted against apartheid?

The authors of the op-ed say that blacks never had it as good as they do under apartheid. Blacks in South Africa, they wrote, are "among the best paid, best educated, most urbanized blacks in Africa."

This classic colonialist trope is often unsurprisingly echoed by Israel's supporters, who argue that Palestinians under Israeli rule are similarly privileged compared with their Arab kin.

The effort to distract from Israeli human rights abuses by pointing to human rights abuses elsewhere is simply aimed at silencing criticism of Israel.

The movement chooses boycotts, divestments and sanctions as a strategy in part because other strategies have proved fruitless. Armed struggle has not worked. As in the case of South Africa, a native, stateless population was pitted against a highly industrialized and militarized state that had the backing of Western powers, and it led to bloody repression of Palestinians.

And negotiations have acted just as a cover for continued Israeli colonization. The Israelis use their position as the stronger party, backed by the United States, to impose their will on the Palestinians. If the Palestinians reject these unfair proposals, they are promptly blamed for the absence of peace despite being the occupied party.

There is a second argument we've heard in recent days against BDS and the vote of the American Studies Association. Palestine Liberation Organization Chairman Mahmoud Abbas -- when he was in South Africa for Mandela's memorial -- said he supports the boycott of Israeli settlement products but not the boycott of the state of Israel itself.

Some reflexive Israel supporters jumped on this comment to argue that those who endorse the BDS movement are being "more Palestinian" than the chairman of the PLO.

It's not very useful to boycott settlements in the occupied territories without boycotting the state that supports them. Israel's colonial enterprise is not directed from the hilltops of the West Bank but from the corridors of power inside Israel's government.

The state provides funding, defense and infrastructure to ensure Israel settlements grow and thrive. And, while settlements might be the biggest single challenge to Palestinian territorial contiguity, they are but one facet of a system of oppression that features a range of abuses from discrimination and displacement to denial of refugee rights.

But it makes some sense that the chairman of the PLO would make such a remark. Abbas, who leads the West Bank Palestinian Authority, is engaged in U.S.-led negotiations with Israel.

He relies heavily on Western donor dollars to pay his employees and security services. That funding, in the past, has routinely been used as a coercive force any time Abbas even moderately disagreed with U.S. and Israeli whims. This has compromised the independence of the Palestinian Authority's decision making for years.

If Abbas came out in full support of BDS, he'd immediately be accused of "incitement" by his Israeli counterpart. He might even get a phone call from U.S. Secretary of State John Kerry reminding him who pays his bills.

When understood in context, Abbas' comment is not a reflection of the broader Palestinian opinion on BDS but rather a product of the bankrupt U.S.-led negotiations system that makes boycotts, divestment and sanctions so necessary.

BDS is growing, but at only 8 years old, it's still a nascent movement. Victories are piling up, however, and this path continues to be the most likely method of putting pressure on Israel to end its version of apartheid.

Years from now, we will look back at moments, such as the American Studies Association's decision, just as we can look back today on the 1979 argument against fighting South African apartheid. And we'll remember who chose to be on the right side of history.

The opinions expressed in this commentary are solely those of Yousef Munayyer.

@highlight

American Studies Association voted to boycott Israeli academic institutions

@highlight

Yousef Munayyer: Good news for boycott, divestment and sanctions movement

@highlight

Munayyer: Like South Africa did, Israel practices apartheid; Palestinians are denied rights

@highlight

He says arguments against boycotting S. African regime are used against boycotting Israel