Northern Syria (CNN) -- On the northern edge of this war-torn country, barely 100 meters from the Turkish border, thousands of desperate Syrians slept in the dirt.

They were hard to spot at first, hidden among ancient olive groves.

But as the sun rose, bodies stirred beneath filthy blankets, next to pitiable shelters of plastic sheets strung up between olive trees.

Children began scavenging in surrounding fields for twigs to use for cooking fires. Women lined up next to a water tank pumping milky, chalky water presumed to have given many residents of this make-shift camp diarrhea.

A month ago, there was no camp here.

But now rebels from a local Free Syrian Army group that slept in a tent with the words "police office" spray-painted on it estimated there were between 5,500 and 6,000 people living here, with more arriving every day.

More: War marks highest daily death toll

"I came here because my house was destroyed," said Youssef Dabul, an English-speaking 30-year-old man who said he used to manage a KFC restaurant in Aleppo.

"I never imagined in all my life to come here and live under the olive trees."

Many of the residents told similar stories of rockets and airstrikes pummeling their villages and towns, forcing them to flee their homes.

Ousama Hamdou sat on a plastic mat under a tree holding his 2-year-old daughter, Maram. Long, wide scars stretched across her chest, still pink from the explosion last month that left her badly burned.

"I don't know what exploded, whether it was a rocket or a bomb," Hamdou said. The blast destroyed his home in the battleground city of Aleppo, in a flashpoint neighborhood called Sakari.

When a reporter asked "how are you?" in Arabic to Maram, she didn't respond. Hamdou explained that the explosion left the little girl deaf.

In his other arm, he held Maram's one-and-a-half-month old brother, whose face was covered with insect bites.

"He's being bitten by mosquitoes, and he has diarrhea and fever," Hamdou said, adding that he and his family of eight had already spent more than two weeks waiting here by the border for the Turks to let them in.

"Every day that we stay here we come closer to dying."

For more than a year, Turkey maintained what it described as an "open door policy" for Syrian refugees fleeing their government's military assaults.

Turkish border guards met families who escaped to the border fence with vans and buses that transported them to camps that foreign dignitaries have frequently described as clean, well-managed and orderly.

More: Witness says scores killed in massacre south of Damascus

But over the last month, the refugee population in Turkey has swelled to more than 87,000 people, prompting Ankara to at least partially shut its "open door" policy as the Turkish government struggles to build more camps.

"Our speed of constructing camps... cannot compete with the pace of the violence of the Ba'ath regime against its own people," said Turkish foreign ministry spokesman Selcuk Unal, in a phone interview with CNN.

"There is no policy change," another Turkish official insisted, speaking on condition of anonymity. "We intend to continue this policy of open door as long as we can. The thing is, our capabilities are being strained."

"We've started to extend humanitarian aid, food, medicine, to the zero point on the border," the official added. "That's the best we can do at the moment."

There were signs of food distribution and delivery of basic supplies at the olive orchard camp.

But no international aid organizations appeared to have a presence here.

As parents have watched their children succumb to disease due to the filthy conditions, tempers have periodically flared.

"I'm ready to beg (Turkish prime minister Recep Tayyip) Erdogan to help us," said a man dressed in a track suit who called himself Abu Saleh. He showed a laminated card that identified him as an FSA fighter. But Abu Saleh explained he quit the rebel movement after his wife was killed by a government airstrike last month. Now the former rebel was trying to transport his surviving children to safety in Turkey.

An hour later, Abu Saleh led a procession of about 100 men and boys past piles of burning garbage, to the barbed wire border fence. There, under the eyes of Turkish gendarme officers watching from a guard tower that overlooked the camp, the refugees held a futile protest, begging the Turks to let them in.

"Erdogan, Erdogan, today we sleep in Turkey," the crowd chanted.

More: Report details Syrian children's horror stories

"We want to send a message to the leaders of the Arab world, of the Islamic world, they abandoned us," Abu Saleh yelled. "And the first one who let us down was Obama."

As the crowd chanted, a lone Turkish municipal employee worked a few meters away on the Turkish side of the fence, spreading mortar onto a recently constructed cinder block wall.

In the Syrian village below the camp, hundreds of other displaced families had taken shelter in schools and a village mosque.

There were new arrivals every day.

A pickup truck loaded with at least 30 people and their belongings rolled up outside of one of the schools Wednesday. A woman who only gave the name Um Mohamed said this wasn't the first time her family vacated their homes in the village of Kafr Zeita, near the city of Hama.

"We fled our homes many times before to neighboring villages," she said, still sitting in the back of the loaded truck. "But now we can't stay there... the situation is very, very bad. Rockets and bombs, falling day and night."

Um Mohamed's family also wanted to go to Turkey.

Since Turkish authorities were only allowing a few hundred refugees to enter every day, some Syrians resorted to desperate tactics to escape their country.

Under the cover of pre-dawn darkness, a family of at least 10 stood quietly in fields not far from the Turkish border fence. With a signal from a smuggler, they then walked single-file toward the border, carrying suitcases and bags on their heads.

The family then began crawling, one by one, through the barbed wire fence. Suddenly, flashlights flared in the darkness.

A squad of Turkish gendarme soldiers ran along the fence toward the refugees, bellowing at the top of their lungs. Moments later, the family members came stumbling back to Syria, still clutching their suitcases.

For now, there would be no escape.

Journalist Ammar Omar Cheikh contributed to this report

@highlight

People fleeing the war endure filthy conditions in an impromptu Syrian encampment

@highlight

Thousands of Syrians are being turned back at Turkey's border

@highlight

Turkish facilities for Syrian refugees are already overflowing

@highlight

Official: Turkey can't keep pace with al-Assad's violence against his own people