(CNN) -- These past six weeks, we've been thinking a lot about the ocean.

But there's a deeper story than this one oil spill. Unfortunately the Deepwater Horizon disaster is a pretty typical example of the way we think about the ocean: We just don't worry about stuff that happens out there.

The ocean covers 71 percent of the Earth's surface, and we hardly know anything about it. We humans are creating big problems because of what we don't know.

We take fish from the ocean to eat without really knowing where they came from, or what they eat, or how many of them there are, or if we're maybe taking the last one. We dump whatever we like in the ocean and watch it float away -- to where? Who cares?

The ocean is a massive, unexplored area of our planet, and in the U.S., we spend less on getting to know it than we spend on getting to know outer space.

And our lack of attention is showing. Ocean fish are shrinking in size from year to year; coral reefs are being scraped away, and glorious ocean habitats are dying. But because it happens in the blank blue part of the globe, we don't hear about it or if we do, we don't pay attention.

Watch the story of a woman who rowed the Pacific

So how can we get your attention on the ocean -- so we can start solving these problems we're creating?

In April, we went on a trip to the Galápagos with 100 ocean scientists, activists and artists, filmmakers and musicians, to talk about what's going on in the ocean and what we can do to help. On the Mission Blue Voyage, we heard things and saw things that shocked us -- like Brian Skerry's picture of shrimp bycatch, the 8 pounds of dead sea creatures that are thrown away as garbage in order to catch 10 ounces of shrimp.

Watch Skerry's talk about the glory and shame of the oceans

And we saw Jeremy Jackson describe a nearly lifeless ocean taken over by jellyfish. We also saw amazing things, thing that blew our minds -- like watching a bioluminescent jellyfish light up its mating display in the pitch-black deep ocean. We talked with some of the smartest people we've ever met, and we came up with some big plans for saving the ocean.

But we came home from the trip still wondering -- will it make a difference?

We're not scientists, but we know something we can do: encourage you to talk and think about the ocean, with hope that you will be more involved in the things that will make a difference. It's hard to think about having a role in saving something so overwhelmingly immense. But you can be a part of making things better. In fact, all of us have to.

Here are some great places to start:

• Write a letter to your elected representative. Handwrite it; it makes a difference if you do. Let them know you support increased funding for the National Oceanic and Atmospheric Administration. The more we learn about the ocean, the better we can protect it. If you live in Hawaii, thank your legislator for being part of the ban on sharkfin soup; if you live outside Hawaii, ask your state or county representatives why it hasn't been banned yet where you live.

• If you're on Facebook, join the Mission Blue page or if you're on Twitter, follow @MissionBlue to keep up with ocean news.

• Get one of those little responsible seafood guides, and use it. If you eat fish, tell your fish guy that sustainable fish is important to you, and not to sell you any more shrimp from overseas. And don't eat any more bluefin tuna or sharkfin soup. Did you know we killed 10 million sharks last year just for their fins?

The opinions expressed in this commentary are solely those of Chevy and Jayni Chase.

@highlight

Gulf oil disaaster has drawn attention to the oceans for 6 weeks

@highlight

Chevy and Jayni Chase say we don't pay much attention to oceans, 71 percent of planet

@highlight

In U.S., we spend less on ocean exploration than on space, they say

@highlight

Chases: "Glorious ocean habitats are dying"