Washington (CNN) -- Egypt's roiling political unrest is causing the United States to fine-tune a foreign policy equation that for 30 years has valued strategic partnership with President Hosni Mubarak over democratic ideals, experts said Monday.

The widespread street demonstrations demanding Mubarak's ouster have so far drawn a measured U.S. response that advocates step-by-step reforms for pro-democracy changes while maintaining stability. Even hawkish conservatives generally opposed to Obama administration policies have backed the U.S. response, citing the overarching need to prevent an unpredictable power vacuum if Mubarak were to be quickly forced out of power.

But one of Egypt's leading opposition figures, Mohamed ElBaradei, warned Monday that the United States needs to "let go" of its longtime ally.

"You need to review your policy," ElBaradei, the former head of the International Atomic Energy Agency, told CNN's "Anderson Cooper 360" in an interview Monday night. "You need to let go of Mubarak. You shouldn't be behind the curve, and you need to start building confidence with the people and not with the people who are smothering the people."

It is one of the most complex issues facing President Barack Obama, with Egypt -- the main Arab ally of the United States -- inexorably linked to neighboring Israel -- the main U.S. ally in the Middle East -- by a peace treaty that guarantees more than $1 billion a year in U.S. military aid to Mubarak's government.

Egypt also provides vital logistical and intelligence assistance to the United States, which has urged Mubarak for years to implement democratic reforms but always put the strategic benefits first.

"We have to balance our ideals and also our strategic interests," former U.S. Defense Secretary William Cohen said Monday on CNN. "That balance might have been too far in one direction and not the other."

Daniel Kurtzer, the U.S. ambassador to Egypt from 1997-2001, said the administration wants to both support "an exceedingly strong ally" and promote democratic reform and more openness in "a closed authoritarian society."

"The United States is trying to find comfortable ground in which we can argue for both without abandoning an ally and without abandoning our principles," Kurtzer said in a telephone interview.

The unrest in Egypt follows years of social, political and economic grievances that fueled the street protests that began last week and have since escalated. After ruling with an iron fist for three decades, Mubarak has given no indication of giving up power.

Demonstrators in Egypt question why Obama, who championed human rights and democracy in a 2009 speech in Cairo, isn't condemning Mubarak and applying pressure to help bring the changes they seek. ElBaradei, who returned to his native Egypt last week as an opposition leader last week, said Egyptians need to see that the United States needs to be seen supporting their aspirations.

"People need to see that you not only talk the talk, but walk the walk, and people need to understand and believe that you really, seriously take democracy, rule of law, freedoms seriously," ElBaradei said. Asking "a dictator" to implement democratic reforms "is an oxymoron, frankly."

U.S. Secretary of State Hillary Clinton outlined the administration's stance in separate interviews Sunday with five television networks, saying the "complex, very difficult" situation in Egypt requires careful progress toward a peaceful transition to democracy rather than any sudden or violent change that could undermine the aspirations of the protesters.

"There's no easy answer," Clinton said on CNN's "State of the Union. "And, clearly, increasing chaos or even violence in the streets, prison breaks, which we've had reports about -- that is not the way to go.

"We want to see this peaceful uprising on the part of the Egyptian people to demand their rights to be responded to in a very clear, unambiguous way by the government, and then a process of national dialogue that will lead to the changes that the Egyptian people seek and that they deserve," she said.

On Monday, White House Press Secretary Robert Gibbs said Egypt's government should engage in "meaningful negotiations with a broad section of civil society, including opposition groups," and hold "free and fair elections" in September.

The transition called for by Clinton "means change, and what we've advocated from the very beginning is that the way Egypt looks and operates must change," Gibbs told reporters.

At the same time, he said it is not the place of the United States to support or oppose the possible ouster of Mubarak.

Allies concurred, with German Foreign Minister Guido Westerwelle calling Monday for future "free and fair elections" in Egypt.

"We are also interested in a stable situation in the Middle East because, of course, Egypt is a key player for the whole region," Westerwelle said.

Even administration critics such as conservative Republican Senator John McCain of Arizona have backed the U.S. response so far.

"I hope we all understand how important Egypt is as an ally, as a center of culture," McCain said Sunday on CNN, later adding that "what we need to do now is to lay out a plan for Mubarak to lift the state of emergency, announce that elections -- free and fair -- will be held in September, which were already planned, allow an open and free democratic process -- which I think we could have some confidence (in) if it was an open process that you would see a free and fair election -- and that we make sure that the aspirations of the Egyptian people are realized finally."

But some U.S. politicians disagreed. Democratic Senator Bill Nelson of Florida said that "Mubarak will have to go -- but not without an exit strategy that prevents the government from falling and leaving the door open for extremists."

The next presidential election in Egypt is scheduled for September of this year, Nelson said. "Right now, there are no term limits in Egypt's Constitution restricting Mubarak from running for re-election for the sixth time. Mubarak must immediately open these elections to international observers and give his written assurance that his name won't appear as a contender. I believe this could help quell the protests."

And McCain's Republican colleague from Arizona, Senator Jon Kyl, sharply criticized the Obama administration for not promoting democracy as strongly as his predecessor.

"We might be in a better position if we had more closely followed President Bush's prescription for support of greater democracy in all parts of the world," Kyl said as he stepped off the Senate floor Monday. "If we had maintained that position and had that reputation in the world ... then our calls today for restraint would have more credibility because the people of Egypt would know our heart was with their desire for greater representation."

To Marina Ottaway, director of the Middle East program at the Carnegie Endowment for International Peace, the U.S. position amounts to fence-sitting.

The unrest in Egypt showed that the U.S. policy of backing Mubarak despite his poor record on political and human rights has failed to bring desired stability, Ottaway said in a telephone interview.

Instead of what she labeled "subtle" language such as endorsing an orderly transition, the United States should call for a government of national unity to take over until fully democratic elections for both the presidency and the parliament, she said.

@highlight

NEW: ElBaradei urges U.S. to "let go" of Mubarak

@highlight

U.S. response to the Egyptian unrest wins some praise at home

@highlight

Some protesters and others question the U.S. commitment to democratic principles