(CNN) -- With all the talk this week of Congress's manic eleventh hour rush to raise the debt ceiling and prevent a possible U.S. default, it has been easy to forget the underlying issue: the U.S. government will not always be able to spend more money than it receives in taxes.

Last year, American debt grew the size of the entire Mexican economy. We have a government that can't stop borrowing, a Federal Reserve that can't stop printing and a world that is overloaded with debt.

Stock prices are being propped up, but wages are being kept down. This arrangement may work for Wall Street, but it is clearly not working for Main Street.

We are supposed to be witnessing an economic recovery in the U.S., yet we are forever taking on more and more debt. We borrow money at almost double the rate of economic growth, and the Fed is facilitating this by artificially keeping interest rates at rock bottom. The market is no longer a free market -- it's being run by the government, and that means it's run by political decisions.

Ultimately this addiction to debt will kill any recovery, as so much tax revenue will need to be used to pay off the interest. Currently the U.S. pays as much in interest as the total size of the economy of a medium-sized country like South Africa. Think about what will happen when rates really go up.

The U.S. is perceived to be making decisions that are based solely on its own interests. And the issue is not that the U.S. cannot pay its debt. It can, by printing more dollars. The real concern is the confidence foreign investors have -- or don't have -- in the U.S. financial system, and their feeling that they are being used as a pawn for U.S. domestic political reasons.

U.S. treasuries are seen as the safest financial instrument on earth. If people begin to think American bonds aren't as safe a bet as they used to be, we could see the world become a very different place.

Don't forget that almost 50% of U.S. debt is held by foreigners. Japan and China are the largest holders of that debt, with about 10% each. They are financing the American dream. If they start doubting the U.S. political situation, they will demand higher interest rates.

Funnily enough, the impact of this latest debt ceiling crisis on the market is not as negative as you would think -- mainly because the uncertainty has made the Fed less likely to withdraw its support, which is seen as very good thing. Perversely, U.S. treasury bonds become more attractive when there is more uncertainty, because of the flight to safety.

We are in a bull market on Wall Street because interest rates are held artificially low by the Fed. And as long as interest rates are low, people do not know what to do with their money in terms of getting a good return rate.

We should also not forget the impact that U.S. rates have on the global economy. If rates go up in the U.S. it is very easy to see a crisis for emerging markets as global money flows return to the U.S., where it gets a higher yield.

Failing to increase the debt ceiling would probably not have been a huge event for the markets at first, but if the government ever defaults on its obligations, all bets are off. Fear could easily replace greed.

Disaster seems to be averted for now, but the debt ceiling crisis is yet another unintended consequence of money printing by the Fed, which is allowing the U.S. government to take on ever increasing piles of debt at absurdly low interest rates. Without the Fed, rates would be much higher and it would be impossible to borrow as much money.

The opinions expressed in this commentary are solely those of Lex van Dam.

@highlight

Fight over debt ceiling ignores bigger problem of untenable U.S. debt load

@highlight

Current arrangement works for Wall Street but not for Main Street

@highlight

Federal Reserve is allowing U.S. government to take on debt at absurdly low interest rates