Havana, Cuba (CNN) -- Pope Benedict XVI arrived in Cuba's southeastern city of Santiago de Cuba on Monday, delivering Mass before throngs of Cubans in only the second papal visit in the island's history.

He was greeted upon his arrival by Cuban President Raul Castro and the nation's clergy, including Cuban Cardinal Jaime Ortega.

With a red carpet rolled out to meet the pope's airplane, Castro walked beside the pontiff to a pair of large wooden chairs. A brass band played Cuba's national anthem and other tunes as they stood together, while artillery rounds were fired off nearby in celebration.

Benedict told the audience that he seeks to emphasize "the importance of faith," highlighting the need for good relations between the church and the Marxist state.

Castro welcomed Benedict, saying his country has endeavored for peace and justice, but noted that even "14 years after John Paul's visit," the U.S. economic embargo against Cuba persists.

Clad all in white, Benedict walked with Castro, who was dressed in a dark suit, and greeted other state officials and clergy.

Crowds of flag-waving Cubans lined the street on which Benedict's motorcade traveled, as Cuban state television captured both ground and aerial footage of the trip.

Later Monday evening, Benedict delivered Mass in the city's square, drawing huge crowds as legions of musicians playing wind and string instruments performed during pauses in his sermon, supported by what appeared to be concert-grade sound systems.

The visit marks the next-to-last leg of a two-country tour the pope has used to both spread the Catholic faith and address political issues in the region.

His first stop was in Mexico, where he denounced violence in that country brought by the ongoing drug wars. Benedict also blasted Cuba's Marxist political system Friday, saying it "no longer corresponds to reality."

The pope's comment, delivered to reporters aboard a flight from Rome to Mexico, sparked widespread speculation as to what he would say when he addresses the Cuban people directly.

The island nation's foreign minister, Bruno Rodriguez, responding to the comment, said his government considers "the exchange of ideas useful" and is still perfecting its system.

The pope is scheduled to meet again with Castro and Ortega in Havana, along with the president's family, which could include Fidel Castro, who stepped down from power in 2006 after battling illness.

Venezuelan President Hugo Chavez also arrived on the island Saturday, according to Cuban state television, which reported he is there to undergo further radiation treatment for cancer.

It is not clear whether Benedict will meet Chavez.

Benedict, 84, is due to fly to the Cuban capital on Tuesday, and preside over a Mass in Havana's Revolution Plaza on the following day.

Large crowds are expected. Preparations for the visit have included fresh coats of paint splashed across buildings and posters announcing the pope's arrival tacked on city structures.

The trip is timed to the 400th anniversary of Our Lady of Charity, Cuba's patron saint, but uncertainty looms over what will be said, with whom the pope will meet and what the visit will mean for Cubans.

"For me, I'm very happy he's coming," said Juana DeArmas, a shopkeeper in the capital's Old Havana neighborhood. "I was here when (Pope) John Paul came, and there were always plenty of tourists that followed."

The visit is seen as a possible tourism boost to the island's cash-strapped economy as many residents seek to make use of a series of recent free market reforms that have slowly swelled the number of private businesses in the country.

Fourteen years earlier, a much different Fidel Castro greeted a much different pontiff when thousands were introduced to Pope John Paul II, who made the historic first papal trip to Cuba in 1998.

Having been invited by then-President Fidel Castro, John Paul famously urged the country "to open to the world, and the world to open to Cuba."

"There was a kind of love affair between John Paul and Latin America," said CNN Senior Vatican Analyst John Allen. "It just isn't the same with Pope Benedict."

In Mexico, an archbishop called on worshippers to stop making comparisons between Benedict and the former pope, who drew massive crowds across Latin America and visited every country in the region before he died in 2005.

In Cuba, though John Paul helped warm church-government relations, the nation's ties with religion have remained complicated.

Decades earlier, Castro's Communist revolution sought to stamp out religious influence in Cuba, confiscating church property and expelling religious workers, some of whom had supported anti-Castro forces.

The country was officially atheist until the 1990s, when the constitution was amended and references to atheism were replaced with secularism. Christmas was recognized as a holiday at that time and Communist Party members were permitted to openly practice their faith, if they had one.

Church officials now say the island is about 60% Catholic, though few openly practice.

Still, religious access to state television and the administering of religious schools remain largely restricted, which could be a point of emphasis during the pontiff's trip, observers say.

"These papal visits can have an impact," Allen said. "They can kind of jar things lose. And it seems that under Raul, Cuba is taking baby steps toward normalization."

But many on the island seem skeptical that the trip will yield lasting results.

While the country's Roman Catholic Church has often been lauded for its role in recent reforms, it has also received heavy criticism for appearing too cozy with the government. Rights group say the nation has largely emptied its jails of political prisoners, and yet it continues to harass the country's activists.

@highlight

NEW: Pope Benedict XVI delivers mass in Santiago de Cuba

@highlight

He will fly to Havana on Tuesday

@highlight

The island nation was once an atheist state; this is only the second papal visit there

@highlight

Church officials now say the island is about 60% Catholic, though few openly practice