(CNN) -- Eden Foods has become the new front line in the contest over religion, health care and the workplace.

Eden Foods is a closely held, for-profit corporation that objects to covering contraception on religious grounds. It lost its lawsuit last October, but the ruling was stayed pending the Supreme Court's decision on Hobby Lobby. Now, Eden Foods has a clear legal pathway to deny contraception coverage to its employees.

Eden Foods, however, is in a very different business than Hobby Lobby. It sells organic products, a market that relies on educated, well-informed, urban consumers, a demographic that trends liberal. In response to the renewed attention on the Eden Foods case, defenders of the company, people who want to buy their products with a clean conscience, and the organic food stores who want to stay out of the crossfire, are all arguing that this is just a political dispute.

They're wrong. This is not just another argument between the right and the left. Instead, the situation raises complicated and competing ethical claims on which we do have to take a position. That's not just my perspective; it's what Eden Foods implies as well.

Michael Potter, the chairman and sole shareholder of Eden Foods, is an interesting fellow. He considers contraceptives to be "lifestyle drugs," links birth-control pills to Jack Daniels, and calls President Barack Obama a dictator. He is a Catholic, but rather than focusing on a religious principle, he said the government shouldn't be able to make him provide birth control, although his lawyer has since clarified the matter.

In response to a flood of customer complaints, the company released a statement:

"Eden Foods is a principled food company. We were convinced that actions of the federal government were illegal, and so filed a formal objection. The recent Supreme Court decision confirms, at least in part, that we were correct. We realized in making our objection that it would give rise to grotesque mischaracterizations and fallacious arguments. We did not fully anticipate the degree of maliciousness and corruption that would visit us. Nevertheless, we believe we did what we should have."

Look at that language. "Grotesque." "Fallacious." "Corruption." Eden Foods casts itself as the righteous victim, unjustly accused, a rhetorical move particularly popular among the American Christian right wing. Even when the U.S. Supreme Court has handed them a victory, they portray themselves as victimized, although they did not respond, beyond their prepared statement, to a request I made for examples for mischaracterizations, untrue arguments, or corruption. In the meantime, some consumers are demanding their stores stop carrying Eden Foods, a complicated matter given the company's solid niche in the market. Organic food stores have tried to resolve their dilemma by dodging the question.

Whole Foods, for example, responded to a Change.org petition on Eden Foods with a statement, saying, "Our primary consideration is whether the product's ingredients meet our Quality Standards." No one is questioning the quality, so Whole Foods will continue stocking the products. The Wedge, a major food co-op in Minneapolis, takes a slightly different path. They write, "While we are disappointed by Eden Foods' stand on this issue, The Wedge has a long-standing tradition of not engaging in boycotts that are called for political reasons."

That word "political" rings out. Businesses are probably wise to stay out of politics much of the time, but they do stop buying products for ethical reasons. For example, when news broke about slave labor in the Asian shrimp industry, companies such as Costco and Wal-Mart acted to use their purchasing power to force change. For them, the ethics of slave labor, obviously, mandated action.

I am not saying that the Eden Foods case is analogous to slave labor, but only that is reasonable to demand your grocery store respond to ethical complaints. Moreover, I base my conclusion that the issue at hand is ethical, and not political, on the statements coming from Eden Foods itself. The company isn't demanding an exemption because of politics, or because it supports one party over another, or even to save money.

Instead, Eden officials claim that their position emerges out of their principles, their religious convictions, and that they are just trying to do the right thing. If we respect their claim, then we also have to respect the counter-argument. Access to birth control and the protection of women's rights likewise emerge from core principles. We are weighing competing ethical stances.

There's a bigger context of competing claims here. Some religious people argue that their beliefs are under attack. Many women, and those concerned with gender equality, argue that the birth-control issue is just a first step toward broader conservative attempt to police female sexuality. In the meantime, five conservative Catholic men on the Supreme Court have made a ruling.

Companies engaging in discriminatory practices and those who patronize them may be legally entitled to religious exemptions, but they are not exempt from the consequences of their actions. Consumers, especially in the organic food market, often choose what to buy based on ethical principles. The stores they patronize should, too.

Join us on Facebook.com/CNNOpinion.

@highlight

David Perry says an organic food producer, Eden Foods, is at center of contest over religion

@highlight

He says the company's products appeal to progressives, but its policies on contraception don't

@highlight

Retailers like Whole Foods have resisted calls to drop the line of products

@highlight

Perry: This isn't just about politics, but about ethical values