(CNN) -- International envoy Kofi Annan said Tuesday he sees Iran as a factor in diplomatic efforts to forge peace in Syria, a stance not shared by the United States.

"I think Iran can play a positive role," Annan said during a news conference with Iranian Foreign Minister Ali Akbar Salehi in Tehran.

His remarks came a day after he met with Syrian President Bashar al-Assad in Damascus. Annan said al-Assad agreed on "an approach" to ending the 16 months of bloodshed in his country.

World powers have deplored al-Assad's government for its assaults against civilians.

But the diplomatic wranglings, such as Annan's recent Action Group meeting in Geneva and the U.S. and Arab-backed Friends of Syria initiative, have failed to stop the killings of thousands since March 2011.

The opposition Local Coordination Committees of Syria recorded at least 68 deaths Tuesday.

The U.N. and Arab League special envoy to Syria, Annan is visiting leaders in the region to find ways to implement his six-point peace plan, an initiative that has yet to gain traction.

Annan said he believes Iran can play a key role in helping end the violence in Syria. Tehran is a friend and ally of the al-Assad regime, but the United States and other nations exploring peace moves in Syria have opposed Iranian participation in the diplomacy.

State Department spokesman Patrick Ventrell cited "Iran's destructive behavior in Syria," a reference to its support for the government's fierce offensive against its opponents.

"We want them to stop that destructive behavior," Ventrell told reporters Monday. "And so, of course, Kofi Annan in Tehran, to the extent that he can stress to the Iranians the importance of cooperating with the plan, that's a good thing. But we haven't seen signs of that either yet."

"If the Iranian regime wants to stop giving direct material support to the Syrian killing machine, then -- and play a constructive role -- we would welcome that. We're not at that point yet."

Annan, however, says that "Iran has a role to play."

"Here I am talking to Minister Salehi and seeking the support and cooperation of Iran in my efforts to resolve this conflict peacefully," he said.

Asked about his meeting on Monday with al-Assad, Annan said the two discussed efforts to end violence, but he didn't want to mention details until he talked with opposition leaders.

Al-Assad "made a suggestion of building an approach from the ground up in some of the districts where we have extreme violence -- to try and contain the violence in those districts and, step by step, build up and end the violence across the country."

Peace moves have failed to get off the ground at the United Nations and among Western and Arab nations, despite world outrage over Syria's brutal crackdown on anti-government demonstrations.

"The political process is yet to begin, a political process that would bring all parties to the table. And this is one of the key points of the six-point plan," Annan said. "And I think that the essence of the six-point plan is stopping the violence, releasing detainees, allowing humanitarian access -- which should be seen as a package, a package that if complemented will help create the environment and the conducive climate for political talks -- political talks between the Syrians to determine their own political future."

Russia also supports an Iranian role in Syria. While members of the U.N. Security Council, which includes the United States, have called for an end to the violence and for al-Assad to step aside, efforts to adopt a resolution that would allow for aid to the rebels have been blocked by Russia and China, key Syrian trade partners.

Moscow and Beijing are strongly opposed to armed intervention, saying the outcome in Syria should be decided by its people.

Russia, in fact, said it will not deliver new weapons to Syria as long as the situation in that country is unstable, an official at the body in charge of monitoring Russia's arms trade said Monday, according to state media. It had been the longtime principal supplier of arms to Syria since the days when it was the Soviet Union.

Two Russian military transport ships were scheduled to transit through the Dardenelles Strait Tuesday, on their way to their expected destination, the Syrian port of Tartous, a U.S. official said.

The ships -- the the Filchenkov and Kunikov -- had been closely watched by U.S. intelligence for the last several weeks while docked in the Black Sea port of Sevastopol. The Russians have said any weapons and personnel on board the ship are for reinforcement of the Tartous facility.

Annan went to Baghdad later Tuesday for talks on Syria with Iraqi Prime Minister Nuri al-Maliki. As the conflict persists, Syrians are fleeing to neighboring countries such as Iraq and to safe places in their own country.

There's been a "significant increase" in the flight of refugees to Jordan in the last two weeks and authorities are working on the development of large sites to accommodate them, Andrew Harper, head of the U.N. refugee agency in Jordan, told CNN Tuesday.

He said there are about 130,000 Syrians in Jordan but not all of them are refugees. He said about 50,000 need assistance, but authorities are concerned that the number will continue to grow.

Daraa, one of the major Syrian cities engulfed in violence, is near Jordan.

CNN's Kareem Khadder and Barbara Starr contributed to this report

@highlight

An opposition group recorded at least 68 deaths Tuesday

@highlight

The United States calls Iran's behavior in Syria "destructive"

@highlight

Annan visited Bashar al-Assad in Damascus

@highlight

The envoy is now in Iraq, meeting with its prime minister