Washington (CNN) -- Food safety regulators don't expect any more recalls after last week's withdrawal of about 550 million eggs from the U.S. market, but inspections are still going on following a salmonella outbreak traced to two Iowa farms, federal officials said Monday.

Jeff Farrar, the associate commissioner for food safety at the Food and Drug Administration, said it was "a little premature" to discuss the findings of those inspections.

FDA Commissioner Margaret Hamburg said on Sunday night that farms involved in the recall fell short of safety standards. Farrar would not release details of the inspections, which also involve a third operation that supplied the two egg producers, but the results could be released later this week, he said.

About 1,300 cases of salmonella have been linked to eggs from Wright County Eggs and Hillandale Farms of Iowa, forcing a recall of their products in at least 17 states, the FDA and the Centers for Disease Control reported. Wright County Egg has recalled 380 million eggs, while Hillandale Farms recalled 170 million eggs.

"We have a very complicated network of food distribution in this country," Hamburg told CNN's "American Morning" on Monday. "You start with a couple of farms in Iowa and you can get nationwide exposure."

Speaking on a conference call with reporters Monday afternoon, Hamburg said federal regulations that took effect in July could have prevented the recall.

The new regulation went into effect July 9, requiring egg producers with more than 3,000 hens to take measures designed to prevent the spread of salmonella. The current outbreak began in May, according to the FDA.

"We believe that had these rules been in place at an earlier time, it would have very likely enabled us to identify the problems on this farm before this kind of outbreak occurred," Hamburg said.

While FDA inspectors typically didn't inspect farms until after an outbreak of illness, Farrar said under the new rule, "We will be beginning routine inspections of egg farms throughout the United States."

The FDA said some companies that bought and resold eggs from Wright County or Hillandale could issue sub-recalls, meaning they would ask their customers to return the products. But that won't add to the more than half a billion eggs already recalled.

The Danielson family of Watertown, Minnesota, was among those afflicted by the outbreak.

"Everybody had diarrhea. That was kind of the first thing," Todd Danielson told CNN affiliate KARE, "and then headaches and then throwing up and then it was body aches. I couldn't even move. I mean it was like in your joints it hurt so bad. It was worse than any flu I've ever had."

Brittany Danielson, 10, added, "We thought we had the flu, but then we saw the egg recall and we figured that's what it was because my dad read off the symptoms from the computer and those were all the symptoms we had."

The Danielsons and their neighbors both told KARE they bought Hillandale Farms eggs at Wal-Mart.

Hillandale Farms, one of the largest U.S. producers, said in a statement Sunday it is devastated by the possible connection between its product and salmonella. The company said it would work with the FDA to review "every phase of our operation" and fix any problems.

Both Wright County Egg and Hillandale Farms were supplied by another company, Quality Egg, which provided feed and young birds. Both Wright County and Quality Egg are owned by the DeCoster family, which has a string of agribusiness interests in the Midwest and Northeast. Those companies' records have come under new scrutiny since the recalls were announced earlier this month.

In June, company owner Jack DeCoster admitted to 10 civil counts of animal cruelty in Maine after a nonprofit animal welfare group conducted an undercover video investigation and forwarded its findings to Maine animal welfare officials.

Dr. Donald E. Hoenig, the Maine state veterinarian, said the allegations included keeping too many birds in cases, failing to treat injured chickens or promptly remove dead animals, and improper euthanization.

Hoenig said DeCoster and his company agreed to a $25,000 fine and made a $100,000 payment to reimburse the state for future monitoring of the facility.

In 1996, the Labor Department accused DeCoster of maintaining "sweatshop conditions" for migrant workers at its Turner, Maine, chicken farm, where then-Labor Secretary Robert Reich said workers risked salmonella by handling dead chickens and manure with their bare hands. The Occupational Safety and Health Administration fined the company $3.6 million.

In January 2002, the Equal Employment Opportunity Commission hit another DeCoster company with allegations that its supervisors sexually assaulted and harassed female employees, some of whom were in the country illegally, and threatened to retaliate against them if they complained. The managers were fired for "unrelated reasons," the EEOC said, and DeCoster agreed to pay a settlement of more than $1.5 million.

In 2000, Iowa's attorney general declared DeCoster a "habitual violator" of state environmental laws after a series of discharges of manure from his hog-farming operations. He paid a $150,000 penalty and had to build six concrete storage structures, and his company was barred from expanding those operations.

In a statement issued Monday morning, Wright County Egg said it was working with the FDA on the current recalls and defended its record.

"Wright County Egg strives to operate our farms in the most responsible manner, and our management team has worked closely with FDA through their review of our farms. We have reviewed Commissioner Hamburg's comments to the media, but because we have not received any written reports from FDA to date, it would be inappropriate to respond to her remarks. It is important to note that any concerns raised verbally during FDA's on-farm visit were immediately addressed or are in the process of being addressed," the statement said.

"When issues have been raised about our farms, our management team has addressed them swiftly and effectively, working with recognized outside experts to identify and implement corrective measures for our operations," it said. "We are approaching our work with FDA in the same forthright manner."

While the recall involves hundreds of millions of eggs, they represent less than 1 percent of the 80 billion eggs produced in the United States each year, said Krista Eberle, director of the food safety program at the Egg Safety Center, a trade association entity.

"This is one of the larger recalls that have happened," Eberle said. But she added, "This is an extremely rare occurrence."

CNN's Don Lemon, Sandra Endo and Matt Smith contributed to this report.

@highlight

NEW: Inspections continue, but no further recalls expected, FDA says

@highlight

A Minneapolis family says eggs caused diarrhea, headaches and vomiting

@highlight

Wright County Egg says it's working to implement corrective measures

@highlight

"Complicated" food distribution network can expose the entire nation, official says