(CNN) -- Wednesday, January 20

10:13 p.m. -- Thousands of people went to a wharf in devastated Port-auPrince today, hoping to board a ferry -- paid for by the Haitian government -- bound for another part of Haiti. The ferry's owner told CNN the craft is licensed to carry 600 people, but on the last trip, more than were 3,000 onboard, CNN's Ivan Watson and Rich Phillips reported.

7:52 p.m. -- The head of the International Monetary Fund has called for for a modern-day Marshall Plan to rebuild Haiti. "My belief is that Haiti ... needs something which is big, not only a piecemeal approach, but something which will be much bigger to deal with the reconstruction of the country, some kind of a Marshall Plan," Dominique Strauss-Kahn said on CNN's "Amanpour." Strauss-Kahn did not offer specifics of what he envisions for a Haiti rebuilding effort, nor did he outline a timeframe.

7:36 p.m. -- President Obama and first lady Michelle Obama have given $15,000 to the Clinton Bush Haiti Fund, which was set up to help Haiti after last week's earthquake. Obama had asked his two immediate predecessors -- former presidents George W. Bush and Bill Clinton -- to set up the fund for relief and recovery efforts in Haiti.

7:31 p.m. -- Trained dogs have indicated at least one person may be alive under the rubble of an auto parts store in Port-au-Prince. A Los Angeles, California-based search and rescue team is checking the rubble for survivors.

7:25 p.m. -- Seven search and rescue teams are searching the rubble of he Hotel Montana in Petionville, Haiti, a senior Obama administration official says. Rescuers heard some faint knocking early this morning, but the knocking stopped after the morning's aftershock, rescuers on the scene said. The hotel was popular with tourists and visiting officials. Americans are believed to be among the trapped.

6:49 p.m. -- People trapped because of the January 12 earthquake still could be alive if they were well hydrated when the quake happened, said Dr. Michael Gerardi, a pediatric emergency specialist in Morristown, New Jersey. "It's conceivable, and not unheard of, for people to live seven to 10 days with no water or food -- if they have not been exposed to the elements," he told CNN's Tom Watson. Gerardi's comments come on a day when a 5-year-old boy was rescued from rubble in Haiti, eight days after the earthquake.

5:38 p.m. -- CNN's Karl Penhaul reports on a mixed welcome for U.S. soldiers  in Port-au-Prince.

5:15 p.m. -- Retired U.S. Lt. Gen. Russel Honoré, who led relief efforts for Hurricane Katrina in 2005, has expanded on comments he made to CNN yesterday about his belief that the most vulnerable in the earthquake zone should be evacuated. "I don't know if the flow of supplies can keep up with demand, unless we evacuate the injured, elderly, pregnant women, babies, and the disabled," he said Wednesday. "It is wishful thinking to add more hospitals. We need to think how these airplanes can leave with patients to the U.S. and other countries to be distributed to hospitals to stabilize them."  Read

4:55 p.m. -- A 5-year-old boy named Monley was pulled alive from a collapsed Haitian home on Wednesday, eight days after the earthquake. His mother was killed and his father is missing. It was unclear whether the boy had access to food and water, but doctors attributed his survival to resilience and the strength of his young body. He was taken to a hospital -- doctors said he had no broken bones but was suffering from severe dehydration. Read | Watch

4:52 p.m. -- The magnitude of Wednesday morning's aftershock was 5.9, the the United States Geological Survey now says. The USGS initially said the magnitude was 6.1. The 7.0-magnitude earthquake on January 12 was more than 40 times stronger than Wednesday's aftershock.

4:48 p.m. -- The Canadian military also is opening other aid routes (see U.S. military efforts in previous entry). Canadian troops are working to open an airfield in the southern city of Jacmel by Thursday, Canadian Defense Minster Peter Mackay said. Two warships also are landing supplies by sea, and Canada has reached an agreement with Jamaica to fly supplies into southern Haiti from there. The moves come amid complaints from relief agency Doctors Without Borders that air traffic congestion in Port-au-Prince was delaying aid and costing lives.

4:45 p.m. -- The U.S. military, trying to open other aid routes into Haiti, says it has obtained landing rights at the Dominican Republic's air base at San Isidro, about 150 miles east of Haiti's capital, Port-au-Prince. In addition, the Pentagon is dispatching a ship equipped with cranes that could get the port of Port-au-Prince back into operation "within a week or two, perhaps," Defense Secretary Robert Gates says.

4:39 p.m. -- David Gazashvili didn't have much time to settle into his new role as acting emergency director of Atlanta, Georgia-based humanitarian group CARE -- the job started January 12, the day the earthquake hit Haiti. Now he's in that country, directing CARE workers as they try to get aid to tens of thousands of Haitians in need. "We did have a preparedness plan in place in Haiti, but the magnitude of this emergency was way above our plans," he told CNN's Wayne Drash. "We escalated our plan and we're implementing it as we go."

3:43 p.m. -- Fears that Haitian earthquake survivors would engage in a massive and deadly ocean migration to South Florida have thus far been unfounded, according to U.S. federal and local government officials. Read

2:25 p.m. -- "We will not let red tape stand in the way of helping those [orphans] in need but we will ensure that international adoption procedures to protect children and families are followed," Secretary of State Hillary Clinton said Wednesday during at appearance in the Washington area.

2:05 p.m. -- Oxfam said it expected to send a water truck into Port-au-Prince's Delmas 48 district for a mass distribution at 3 p.m.

1:11 p.m. -- Followers mourn as Myriam Merlet, Magalie Marcelin and Anne Marie Coriolan, founders of three of Haiti's most important advocacy organizations working on behalf of women and girls, are confirmed dead. Story

1:03 p.m. -- At least 11,000 U.S. military service members are now in Haiti or on ships nearby, and the military said Wednesday that it plans to send an additional 4,000 sailors and Marines.

12:46 p.m. -- The House of Representatives on Wednesday unanimously passed legislation that would allow individuals who make charitable contributions to victims of the earthquake in Haiti to claim an itemized charitable deduction on their 2009 tax return instead of having to wait until next year to claim these deductions on their 2010 tax return. The legislation will not become law until it is passed by the Senate and signed by the president. Read

12:35 p.m. -- The state of Florida reports 191 flights with 6,836 passengers have flown into Florida airports from Haiti since January 13. The state's Department of Children and Families has provided services to 2,731 Americans returning from Haiti, including 1,611 on Tuesday alone.

12:19 p.m. -- A funeral is scheduled Wednesday afternoon for Molly Hightower, a 22-year-old from Port Orchard, Washington, who was killed when the earthquake struck a school for disabled children in Petionville where she was volunteering for the charity NPH (Friends of the Orphan). Fellow volunteer Ryan Kloos of Phoenix, Arizona, also was killed.

12:07 p.m. -- On Wednesday afternoon, Mercy Corps will distribute nutrient-rich biscuits to nearly 5,000 injured earthquake survivors -- many of them children -- and their families at General Hospital, Port-au-Prince's largest hospital.

12:01 p.m. -- The hospital ship USNS Comfort, which saw duty in the aftermath of Hurricane Katrina on the Gulf Coast in 2005 and the 2001 terror attacks in New York, arrived Wednesday morning in the waters off Port-au-Prince. U.S. helicopters will ferry patients aboard, bringing relief to overloaded hospitals and clinics.

11:51 a.m. -- Ena Zizi, a woman in her 70s who was rescued from rubble near Port-au-Prince's ruined cathedral on Tuesday, is reported to be in stable condition in the care of doctors aboard the USS Bataan. Watch and read about her rescue

10:38 a.m. -- Missionary Troy Livesay in Port-au-Prince tweeted: "We have seen little to no violence.It is hppng in isolated areas/incidents.Even now there is less violence/crime here than major US cities."

10:33 a.m. -- CNN iReporter Juliano Puzo used his laptop's webcam to shoot video of the aftermath of the January 12 earthquake. Watch (Warning: Video includes some profanity in English)

Share your earthquake stories

10:21 a.m. -- As of Monday, more than $210 million in donations had been raised for earthquake relief, according to the Chronicle of Philanthropy, a newspaper covering nonprofit organizations. The estimate is based on a survey of 25 charities contributing the largest amounts of money to Haiti.

How you can help

10:16 a.m. -- An engaged couple in Minnesota donated $2,500 -- a quarter of their wedding budget -- to an agency providing medical care in Haiti. Watch

9:02 a.m. -- Louis Belanger, media officer for the relief agency Oxfam, sent a message via Twitter: "Ppl quite edgy after aftershock, especially Haitian staff. Still, we are starting distribution in 5 sites today in Haiti."

7:30 a.m. -- Wednesday morning's aftershock sent patients at a hospital near Haiti's airport in Port-au-Prince into loud prayers for forgiveness and protection, a nurse said.

iReport.com: Looking for loved ones

6:03 a.m. -- A strong magnitude 6.1 aftershock struck Haiti. Its epicenter was 36 miles west-southwest of Port-au-Prince, the United States Geological Survey said.

4:17 a.m. -- The Navy hospital ship USNS Comfort is due to arrive off Haiti at midmorning Wednesday, carrying nearly 550 doctors, nurses, and other medical personnel. The ship will have six operating rooms available and can house up to 1,000 patients.

Follow daily developments:

January 12

January 13

Thursday

Friday

Saturday

Sunday

Monday

Tuesday

@highlight

Watch Anderson Cooper live from Haiti at 10 p.m. ET tonight.

@highlight

Read Twitter feeds to stay up to date on the latest in Haiti

@highlight

Read CNN.com's complete special coverage of the Haiti earthquake

@highlight

iReport: Looking for loved ones