(CNN) -- Behind every great woman -- is another great woman.

Gabby Douglas' success at last year's London Olympics catapulted her to fame, fortune and glory.

The first black woman of any nationality to win gold in the individual all-around gymnastics event, the teenager was hailed as the face of progress, an all-American star and the nation's newest celebrity.

But that is just the tip of a story which takes in divorce, financial peril, racism and a mother's fight to give her daughter the opportunity she so badly craved.

Fighter

Natalie Hawkins may not be as limber and supple as her teenage daughter, but nobody can doubt her strength.

"My mom has influenced me so much," Douglas told CNN's "An Uneven Playing Field" documentary.

"She's taught me how to be a fighter and I love her so much. I don't know if this journey could be possible without her by my side supporting me."

Douglas' battle to become an Olympic champion began at the age of six when she began to copy the moves of her older sister, Arielle.

Inspired by watching Dominique Dawes, the first African American gymnast to ever qualify and compete in an Olympic Games, Douglas set her heart on emulating her heroine.

Along with her mother, Dawes provided another strong role model during a difficult childhood where Douglas' parents divorced and money was scarce.

"I loved Dominique Dawes," Douglas said of the 1996 Atlanta gold medalist. "We did a couple of events together and she's just a such a joy to be around. She inspired me to do bigger and better things.

"I find that funny now because I remember when I was younger and I looked up to my role models. But now the tables have turned and I'm the role model. But I love it.

"I love girls, parents, whoever it may be, coming up to me and saying, 'You inspire my daughter.' "

Struggle

The 17-year-old is aware that life will never be the same following her performances in London -- having overcome difficult circumstances, she is now a bankable star.

One of four children at home, her gymnastics was at the heart of the family, with her mom supporting her financially at every opportunity.

Even when Hawkins suffered a negative reaction to prescription medication and was forced to leave her job at a bank in 2009, she managed to find a way to support her daughter.

While Douglas' father Timothy remained a stranger for much of her childhood, Hawkins was there when it mattered, especially once her daughter became a global superstar.

But protecting Gabby -- nicknamed "the Flying Squirrel" due to her acrobatics -- from wider attention was quite a different proposition.

In a world where social media presents an instant opportunity for people to make a judgment, Douglas found out the hard way when Twitter went berserk with criticism of her hair style.

It was an episode which infuriated Hawkins, who was left bewildered by the abuse at her daughter.

What it did do, however, was add further backing to Douglas' assertion that female gymnasts are at a far higher risk of criticism than their male counterparts every time they wander into the arena.

Strength

"Us women have to do a lot more than the men," said Douglas reflecting on the criticism. "We've got our hair and makeup to do. The men can just go out there but we have to get ready.

"When we're looking spot-on nobody even notices. They just say, 'Oh, she looks good,' but when you look horrible then everyone is like, 'Whoosh.'

"You just handle it and be yourself. You don't want to let people tear you down. You just kind of make a joke out of it, laugh at it.

"There's always the next time, always another awards show red carpet that we can look fabulous at. You've just got to learn from it and be yourself; don't focus on the negative comments. I want to just focus on the positive."

The gold medals soon silenced those trolling Douglas online, with her achievements transforming her from a potential star to a global superstar.

But her journey to the very top was a long and often arduous route, taking Douglas away from the comforts of home and family.

From the age of eight, she trained at Excalibur Gymnastics in Virginia Beach -- a club which had provided the U.S. national team with 10 members since 1995.

So intense was her schedule that she was forced to undergo home schooling while her mother worked nights to provide extra funds for the tuition.

It was there that she began to blossom, winning national titles and competing on the international stage as she began to show glimpses of what was to come. But Douglas' relationship with her coaches began to deteriorate following a wrist injury in 2009.

Mocked

It was a tough time for the teenager, who in the past has spoken about how she was mercilessly mocked both for her appearance and her race by fellow teammates.

The combination proved too much for both Douglas and Hawkins, who decided that the future lay away from Virginia and in Des Moines, Iowa.

For the first time, Douglas would be away from the woman who had inspired her and fought for her opportunity to pursue her dream.

It was a difficult time for the youngster, who moved in with a host family in Iowa -- the Partons.

"At first I was really excited," Douglas recalled. "I was ready to take on the journey but my mom and sister came with me for a week and when they left I was just miserable.

"I was so sad leaving my family. I had a time where I said that I needed to suck it up and put on my big girl pants.

"This was my decision. I knew I had to go to the gym and work very hard, because I think in the gym I was kind of giving up a little too. I decided to push myself."

Dreams

And push she did -- both mentally and physically, Douglas began to reach the heights of which she had only dreamed years earlier.

Working under the gaze of Chinese coach Liang Chow, the man who helped Shawn Johnson win gold at Beijing in 2008, Douglas spent four to five hours in the gym every day.

It was a grueling workload, with Douglas adapting to the Chinese method of coaching rather than the technique she picked up in her formative years in Virginia.

"It is a bit different, but I love Chow's style," she said.

"He corrected my technique and the quality of my gymnastics, and him and his wife Li have shaped me up into this amazing gymnast in a year and a half."

Champion

The hard work has certainly paid off.

Gold on the uneven bars at the 2010 Pan American Championships catapulted Douglas into the limelight before she took silver in the beam at the U.S. Junior nationals.

She was part of the U.S. team which won gold at the 2011 World Championships before a stellar 2012 placed her at the forefront of the national consciousness.

Four gold medals, one silver and one bronze all arrived within 12 months before Douglas produced a magnificent exhibition at the U.S. Team Trials to win the all-around competition.

Alongside Jordyn Wieber, Aly Raisman, McKayla Maroney and Kyla Ross, Douglas helped the U.S. women's team win gold in London -- the first time the nation had triumphed in female gymnastics since that team including Dawes in 1996.

The team, dubbed the "Fierce Five," brought a zest and flair to the Games which captured the imagination of gymnastics fans not just in London but across the world.

"We had this girl power," Douglas recalls. "We just said, 'Let's be sassy,' and we bonded really well, meshed together and it was amazing.

"I think people should definitely be paying attention to women's sport because we can do a lot of things.

"We're very powerful, strong minded and whenever we want something, we go out there and fight. I definitely think people should pay more attention."

Celebrity

Douglas has had no shortage of attention following those triumphs.

Now she is one of the most instantly recognizable figures in U.S. sport, hosting awards nights, speaking at events for kids and modeling on the catwalk.

Sponsors have quickly realized the value of Douglas' success -- Kelloggs, Nintendo and Procter & Gamble are among the firms to have signed deals with her.

"It's very fun," said Douglas about her new-found lifestyle in front of the camera. "I love doing photo shoots and commercials, it's really fun. They like to keep it exciting with a lot of energy. I have a blast doing all this stuff.

"But with the whole fame thing, I just try to take it one step at a time. It can be difficult to handle everything at once with celebrity, the gym and school.

"So when I'm at school I think about school, when I'm at the gym I think about the gym and when I'm outside and traveling I think about that. I don't like to cram myself with everything."

Role model

Young she might be, but Douglas is wise beyond her years. Aware of her influence on her peers and younger following, she is as keen as ever to inspire those who seek to replicate her success.

Whether it be by hosting kids' awards, motivational speaking or just taking time to sign autographs, this is one woman who is desperate to make a difference.

"I have this platform and I love using it," she added. "Some girls or moms come up to me and say, 'You inspire my daughter,' or 'Gabby, you've inspired me to do great things.'

"I just want to help them believe in themselves and I want them to know that anything is possible if you set your mind to it."

@highlight

Gabby Douglas was a double Olympic gold medalist at London 2012

@highlight

Hails her mother and former Olympian Dominique Dawes as inspiration

@highlight

The 17-year-old says she has grown to cope with celebrity lifestyle

@highlight

American wants to use her profile to inspire the next generation of stars