(AOL Autos) -- President Barack Obama's new presidential limousine grabbed some headlines this year - especially in Detroit -- when General Motors announced in January that Obama was getting a brand-new 2009 Cadillac Presidential Limousine, the first presidential limo that did not carry a specific model name.

The Obama limo has high-tech security features that Kennedy's limo lacked.

That got me to thinking about another famous (or, perhaps more accurately, infamous) presidential limo -- one that for many years has been sitting on display, for all the world to see, at the Henry Ford Museum in Dearborn, right in the heart of Ford country -- and just five minutes from my home.

I'm referring to the 1961 Lincoln Continental 4-door convertible sedan that President John F. Kennedy was riding in on that historic / tragic day in November of 1963 when he was assassinated.

Why would Obama's new limo prompt thoughts of the Kennedy limo? Well, perhaps in part because political commentators and historians have compared Obama to Kennedy, in terms of his charisma, his popularity and his call to service.  See the first armored presidential limo »

But it's also because the Kennedy limo represents a more innocent and less anxiety-ridden time in our nation's history. At the time of his assassination, Kennedy's limo had none of the high-tech features that protect Obama today -- nor was it even equipped with any of those features that have protected every other president since Kennedy.

Indeed, it wasn't until after Kennedy's assassination that the Secret Service and the limo manufacturers thought to add all of the protective armor, bulletproof glass and other safety systems that have been considered pro-forma for more than 40 years. AOL Autos: Most affordable luxury cars

Direct comparisons between the JFK limo and Obama's new ride are difficult, because General Motors and the Secret Service, citing security concerns, have been tight-lipped about the Obama limo, not offering any details -- not even about the size or type of engine that powers it.

In January, Nicholas Trotta, the assistant director for the office of protective operations, was quoted as saying that "although many of the vehicles' security enhancements cannot be discussed, it is safe to say that this car's security and coded communications systems make it the most technologically advanced protection vehicle in the world." AOL Autos: The latest car technology

The Detroit News also reported in January that the Obama limo has five-inch- thick heavy armor, run-flat tires, bulletproof glass and a completely sealed interior designed to thwart a chemical attack. GM declined to confirm that report, although those types of protective features/systems are not uncommon for modern-day presidential limousines. AOL Autos: 10 best cars of 2009

Gazing at history

Once inside the Henry Ford Museum, in order to see the JFK limo, you walk past the 1952 Oscar Mayer Weinermobile, past the museum's displays of historic furniture and agricultural equipment, past its vintage pewter and silver collection.

And, finally, there it is -- across the aisle from a yellow-orange 1927 Bluebird school bus and a neon-lit display that pays homage to the vintage roadside drive-ins and burger joints that are part of American-highway lore (McDonald's, A&W, White Castle, etc.). AOL Autos: Best car names of all-time

The JFK limo is parked right behind the 1972 Lincoln Continental limousine that Ronald Reagan was stepping into when he was shot in 1981. (The museum's collection of presidential limos also includes Dwight Eisenhower's 1950 Lincoln "Bubbletop" convertible sedan and Franklin D. Roosevelt's 1939 Lincoln "Sunshine Special.") AOL Autos: Lincoln Continental

Many of us recall, from repeated viewings of the Zapruder-film footage of the assassination, that Kennedy's limo was midnight blue. But it's now black. In fact, it's been black since Lyndon Johnson ordered that new paint job in 1964, thinking that the midnight-blue color was too closely associated in the public mind with Kennedy's assassination.

The JFK limo actually remained part of the White House fleet until 1978 -- meaning it was in use as late as the Carter administration, although not as the primary parade vehicle. After it was retired that year, Lincoln retained possession and then donated it to the museum.

Viewing it today, as it sits surrounded by a waist-high, heavy-duty black iron fence, it definitely looks like a car that has seen some wear -- there are chips in the paint on the doors and fenders, and multiple scuffs on the bumpers. The rear passenger-side window - the one nearest to where Kennedy was sitting -- is about 80 percent lowered, allowing visitors to peer into the back seat and mentally re-visit that momentous day. "Do Not Touch," reads a small black-and-white sign affixed to the top edge of the lowered window.

Again, the JFK limo's complete lack of protective features at the time reminds us that 1963 was indeed a very different time in America.

"It didn't even have a permanent roof," says Bob Casey, the museum's curator of transportation. "It was a convertible that only had removable steel and transparent-plastic roof panels, and they were not bullet-proof. The doors weren't bullet-proof, either, and it didn't have a special protective steel plate attached to the undercarriage."

What it did have was a 430-cubic-inch V8 engine that originally delivered 300 horsepower (after JFK's assassination, it was beefed up to 350 horses) -- plus small "step-ups" and grab handles for secret service agents. It also had a heavy-duty suspension, brakes, axle and tires to accommodate extra weight.

"At the time, Lincoln had an arrangement with the government," says Casey, "where the company would provide these vehicles to the White House for a nominal lease fee, to be used as parade vehicles, and then the Secret Service would have them customized."

The JFK limo was assembled at the Lincoln plant in Wixom, Michigan, in January of 1961. Then, an Ohio customizing house, Hess and Eisenhardt, modified it by literally cutting it in half, extending it by three-and-a-half feet, re-assembling it, and reinforcing the middle section where that extra sheet metal had been added. The Ohio company made the other modifications, as well.

"That's really it?"

If that Continental would have gone to a dealership after it rolled off the line, it would have retailed for $7,347, according to the museum. The customization cost almost $200,000 on top of that.

"People will come in, look at it, do a double-take, and ask, 'That's really it? The car Kennedy was shot in?' Then they'll remark that "it doesn't look like it did that day in Dallas,'" Casey notes. "And that's true -- it doesn't. After Kennedy was assassinated, it suddenly became much more important to protect the president than to see the president.

That's when they added the permanent, armored steel top, the bulletproof glass and the armored plates on the sides. (And the black paint job.)

"And some visitors, the ones who are old enough to remember that day, do get emotional when they see that vehicle."

But despite the Secret Service's best efforts to protect the commander-in-chief, subsequent presidents still succumbed to the desire to be seen by the people. The trunk lid of the ''61 JFK limo was armored after Lyndon Johnson dented it when he clambered up onto it while campaigning, and Richard Nixon had a hole cut in the roof so he could stand up and wave to crowds, notes Casey.

As for the protective features in Obama's presidential limo - and the Secret Service being so mum on the particulars -- Casey remarks: "I can understand that. They don't want anyone who might want to harm the president to know exactly what its protective capacities are. But you can safely assume it's very heavily armored, and can withstand bombs, rocket-propelled grenades, and has filtering systems to protect the occupants from poison gasses."

And here's another sober reminder that it's not 1963 any more - or even the early '90s: "The Reagan limo we have on display, when it was retired from the White House fleet in 1992 -- that was the last presidential limousine that ever went back to the manufacturer after being retired," says Casey. "Ever since, the government has retained ownership of the presidential limousines -- because they don't want anyone else to know what kind of armor or other safety technology they've added to them."

@highlight

Historians compare Obama to Kennedy, in terms of his charisma and popularity

@highlight

The Kennedy limo represents a more innocent and less anxiety-ridden time in history

@highlight

GM and the Secret Service have been tight-lipped about the Obama limo

@highlight

The government has retained ownership of recent limos, says museum curator