(CNN) -- Take two video-game console cameras and one pair of horn-rimmed glasses and for around $30 you have a device that will allow you to control a computer or, potentially, even a wheelchair with your eyes.

Previously, if you wanted to buy similar eye-tracking equipment it would have cost you upwards of $8,000. Now, scientists in London have pioneered a device, the GT3D, using components anyone of us can buy from the shopping mall.

Watch Make Create Innovate on Quest Means Business

The breakthrough could help millions of people suffering from Multiple Sclerosis, Parkinson's, muscular dystrophy and, potentially, opens the door to a new era of hands-free computers, allowing us to use them without a mouse, keyboard or touch screen.

For the lead researcher Dr Aldo Faisal, a neuroscientist at Imperial College in London, the new device only came about because of his obsession with disassembling gadgets.

"I like to play with gadgets and was playing with a popular video-game console," he said. "I hacked it and discovered it was very fast and better than any webcam for movement. Actually, it was so fast that I found we could record eye movement with it."

Tracking eye movement is no mean feat. Our eyes moves 10 to 20 times a second, so a standard webcam or even film camera will miss most eye movements and where we are looking. As such, it is perhaps no surprise commercial eye-tracking devices are so expensive.

Watch a demonstration of the technology

Luckily for Faisal and his team of researchers, video game console makers have been willing to bulk buy the technology needed to make good enough cameras. They make a loss on the console cameras in the expectation of making it back on accompanying video game sales.

"We originally created the device for £39.80 ($64) but recent falls in the price of video game console cameras mean we could now actually make the same device for about £20 ($32)," says Faisal.

The eye-tracking device works by first establishing where the eyes are looking, through a relatively straight-forward calibration process. The user puts on the glasses, with the two attached cameras, and stares at a computer screen full of dots. They are then told to look at different dots, with software developed by the researchers working out how the eye looks at each dot.

Opinion: 'Teach young people to be more innovative'

Once calibrated, the device can be used to control a mouse on the screen and is so accurate that if you were in a normal-sized room and wearing the device it would be able to locate where you were looking to within the size of a grapefruit, say its developers.

Existing commercially available devices such as the Tobii PCEye and the EyeTech TM3 also allow users to control a computer with their eye instead of a mouse. Like the GT3D, they use two cameras and say they can be used to surf the web, send emails and do anything a handheld mouse can do -- but they are priced between around $5,000 and $7,000.

And if you search online, you will find many amateur attempts to create eye-tracking devices just like the GT3D. But Faisal says the difference with his is that it has been properly tested and proven to work -- a demonstration of his device has been published in the peer-reviewed journal BMC Neuroscience.

Unsurprisingly, the interest in his technology has been huge, he says. Several companies have already approached him to develop and mass-produce the device. However, Faisal says, none have so far embraced his ambition for making it available at a low cost to millions. Instead, they all preferred to undercut existing eye-tracking devices by 10%.

"My mission is that we forge technology with neurological science to find ways to help millions of people with disabilities, such as loss of limbs or muscular disorders, use technology in a cheap way," said Faisal. "We want to make sure people can buy the device for no more than £80 ($125)."

Quiz: Accidental inventions

If no commercial partner comes forward within the next year or two, Faisal says they will publish all the information about their device and software online and make it freely available for anyone to replicate.

For many disability campaigners, such a device cannot come soon enough. "Those with extreme muscle-wastage in their arms often rely on carers to work on a computer, cannot position themselves comfortably at a keyboard and quickly suffer fatigue from typing," says Dr Marita Pohlschmidt, director of research at the UK-based Muscular Dystrophy Campaign, who calls it a "potentially life-changing innovation."

"It also offers us an exciting glimpse of future possibilities -- optical control of hoists, beds, blinds, kitchen and entertainment equipment. The impact of recovering the independence to do such things for disabled people, their carers -- and for family life -- would be vast,' she adds.

Faisal says it would already be possible to control a wheelchair with their device. The main obstacle is how to differentiate between where someone is looking at where they actually want to move to in the wheelchair. He says this has been overcome by his researchers through the use of a wink as a command trigger. "We use a wink rather than a blink because you never wink by accident," explained Faisal.

However, while he can see its popularity for disabled or elderly people, Faisal remains uncertain about whether cheap eye-tracking devices are ready to take over from the mouse and touch-screen computers. "Perhaps it will bring in a new era of hands-free computers. But there is a problem in that the computer industry is moving towards touch systems with the iPad, so I'm not sure the mass-market is going to embrace eye-movement just yet. Also, I am not sure it is ready for use with complicated applications like, for example, Photoshop."

@highlight

UK scientist pioneers cost-effective headset that enables a wearer's eyes to control a computer

@highlight

Neuroscientist, Dr Aldo Faisal has used components which can be bought in a shopping mall

@highlight

Faisal hopes to use technology in combination with neurological science to help sufferers of disabilities