(CNN) -- A small boatload of graduate students endured seasickness, hypothermia and huge swells in a 16-hour swim across the English Channel to raise money for veterans on the 65th anniversary of D-Day.

A group of American students rest and warm up in between turns swimming in the English Channel.

They didn't make it to the shores of France, but the physical and psychological anguish was enough to remind them of the soldiers their journey was meant to commemorate.

"I recognize that I have not done anything. Even an attempt to swim the Channel -- and a failed attempt at that -- is incomparable to the sacrifices people make on a day-to-day basis for our country," said Daniel Decker, a graduate of the U.S. Naval Academy who is studying at Oxford University on a Marshall Scholarship from the Navy.

"At the same time, I'm happy we were able to raise some money to go toward veterans and raise awareness of the sacrifices they're making," he said. "That's the best blessing I get from this -- not necessarily success for the hardship of our ordeal but the awareness raised, some recognition put toward people who really deserve it."

Decker, 22, is one of five reluctant heroes who left Dover, England, around 10 p.m. Friday, and set out over the channel's choppy waters, accompanied by friends, the captain of the Suva and a representative from the Channel Swimming Association.

Collectively, they swam about 23 miles in Speedos and swim caps, slathered in petroleum jelly, against strong currents in waters that neared 55 degrees Fahrenheit.

Swells reaching 6-7 feet steered them off course and knocked them against the boat at times before forcing them to turn around about 1.5 miles from their destination.

"I would have much rather touched French soil but, at the end of the day, we swam the English Channel," said Eric Gardiner, one of two people aboard the ship who managed to avoid vomiting. "I felt like an ant in a toilet bowl. It was kind of humbling."

Yet the group, which consists of two Rhodes scholars and three Naval Academy graduates who will enter SEAL training after school, considers the mission a success, in terms of honoring veterans of the past and present.

They raised $5,000 for The Mission Continues, a Missouri-based nonprofit that helps wounded and disabled veterans serving their communities after they return to the United States.

"We, as a group, wanted to do this to honor the inspirational veterans of the greatest generation of the past. Most of us had grandpas that fought in World War II and as a result, this historical anniversary had a special significance to all of us," said Scott Erwin, a Rhodes scholar and former Department of Defense employee who was injured in Iraq.

"We also wanted to do something to recognize today's inspirational veterans. We chose Mission Continues because all of us believe in its mission of attempting to allow veterans injured in combat operations to continue to serve causes great than themselves when they return to us," he said.

The Mission Continues provides wounded and disabled veterans with paid fellowships while they pursue service and leadership roles in the community, said co-founder Eric Greitens, a Navy SEAL officer who used his combat pay to help start the organization.

"There are a lot of programs for wounded and disabled veterans designed to give them many things they need, like free backpacking trips, rental cars, access to heath care facilities," he said. "But no one was giving them a challenge or an opportunity to continue their service to the country even though their wounds had cut short their military service."

Erwin and Greitens, also a former Rhodes Scholar, met after Erwin returned from Iraq. Through Erwin's experiences recovering at the Walter Reed Army Medical Center, he became involved in The Mission Continues, helping to raise funds after he went to Oxford.

Erwin initiated the idea of the Channel swim as a fundraiser about six months ago and recruited Decker, Gardiner, Shipley and U.S. Naval Academy graduate Joseph Hess to the cause. They trained in coastal beaches throughout the winter, but nothing could have prepared them for the experience of a midnight swim in the English Channel.

"I went in at 1 a.m. and it was completely black. You can't see anything other than the headlight of the boat and everywhere you look is complete blackness," said Drew Shipley, 25, another Rhodes Scholar who is working on his Ph.D. in political sociology.

"We trained well but there's no way to train for those water temperatures, plus the sensory overload of being in the middle of the English Channel in the middle of the night surrounded by darkness."

The five swimmers took hourlong turns in the water, using the intervals on the ship to return to normal body temperature before they prepared to return the open sea.

After his third time out, one of the swimmers returned with the look of a "wild animal" in his eye, according to his teammates, and fell into violent shakes.

"We got every layer of clothing we could on him, and we had to give him bear hugs to give him some body heat," said Gardiner, another graduate of the Naval Academy, who is studying at Queens University in Belfast, Ireland, on a Navy Marshall Scholarship. "He really left it all out there in the water. It was inspiring because he took it to that level."

Gardiner, 22, said it has been a dream of his to swim the Channel ever since he visited the beaches of Normandy in high school -- the same trip that inspired him to join the armed forces.

"It wasn't necessarily about glory, it was about D-Day and charity and doing it as a team," he said. "Compared to what those who invaded on D-Day had to encounter when they made it to the other side, this was chump change."

@highlight

Swimmers fight rough currents, nausea in trip across English Channel

@highlight

Swim raised money for nonprofit that helps vets find roles in community service

@highlight

Two Rhodes Scholars, 3 Naval Academy grads say swim also honors vets on D-Day

@highlight

"I felt like an ant in a toilet bowl," swimmer says