Beijing (CNN) -- Prosecutors in eastern China have charged six Communist Party investigators who allegedly drowned a local official during interrogation with intentional assault, the victim's family told CNN.

The news reignites debate over the existence of a secretive extrajudicial process faced by accused Communist Party members.

Yu Qiyi, 41, who was the chief engineer of state-owned Wenzhou Industrial Investment Group in Zhejiang province, died in a local hospital on April 9. The night before, the six investigators made Yu strip and sit in a bathtub filled with icy water, and then repeatedly held his head under water despite his struggling and cries for help, according to the indictment paper, a copy of which was provided to CNN by the Yu family.

The Wenzhou branch of the ruling Communist Party's Discipline Inspection Commission had detained Yu for more than a month to question his role in a land deal. Prosecutors in nearby Quzhou, who were assigned the case, said that evidence has clearly shown that, frustrated by his perceived lack of cooperation, the investigators tortured Yu in an attempt to extract a confession.

Yu's body was covered with bruises in photos taken in the hospital by a family lawyer. The official autopsy sent to the family said Yu died of "lung malfunction caused by inhaled fluids, caused by others."

"He looked so painfully thin that he became almost unrecognizable," Yu's wife Wu Qian told CNN, adding that she was disappointed by the authorities' handling of the aftermath despite the indictment.

"They came only once after his death and told me they would deal with the case in a civilized way," she said. "During the autopsy and investigation, I was not informed at all."

As Chinese President Xi Jinping vows to eradicate rampant corruption, Yu's case has become the latest example of the controversial "shuanggui" process, which often involves lengthy detention and what critics call brutal treatment of accused officials, especially those who refuse to admit wrongdoings.

"Shuanggui" literally means "dual designation" in Chinese, which is short for a probe conducted in a designated time and designated location. Since it is based on the Communist Party's own regulations instead of formal laws and procedures, shuanggui is even less transparent than the party-controlled judicial system.

Recent state media reports have highlighted torture allegations in several shuanggui cases, including the sudden deaths of a court official in Henan province in April and a seismological agency director in Hubei province in June. Both families have described the officials' bruised bodies as signs of torture and demanded thorough investigations.

During his high-profile trial last month, disgraced Communist Party leader Bo Xilai mentioned making false confessions under pressure while in shuanggui confinement.

"The investigators took care of me and spoke to me politely," Bo said in his closing remarks, according to a court-released transcript. "But I was under pressure during the process."

Some of Bo's courtroom comments expunged from the official account, however, include his detailing of threats made against him and his family by investigators, two individuals with detailed knowledge of the trial told CNN.

During his pre-trial incarceration, according to those sources, Bo said investigators warned him of the possibility of his wife's execution and his son's arrest, and told him about the cases of other prominent officials -- one of whom confessed and was spared, and another who did not cooperate and was executed.

Although many legal experts view the prosecution of Yu's alleged torturers as a small step forward, they say the key is to address the root cause of his death.

"The six investigators arrested were mere scapegoats," said Pu Zhiqiang, one of the lawyers representing the Yu family, blaming the legal team's difficulty to access the case files on political sensitivity of the shuanggui issue. "Shuanggui is an illegal process -- abuse and torture during interrogation have become standard operating procedure."

Pu calls for the abolition of shuanggui, comparing it to the notorious "laojiao" -- or "re-education through labor" -- another extrajudicial system in China that allows police to jail offenders in labor camps for up to four years without trial.

The horrific details of Yu's case seem to have jolted ordinary Chinese citizens into reassessing a procedure that has long been hailed as an effective weapon against corrupt party officials. Many had just applauded the party leadership's recent decision to launch corruption investigations against several senior officials tied to the state oil industry, including a member of the elite Central Committee whose sacking was announced earlier this week.

As Internet users condemn Yu's torture on social media, a number of state-run news outlets have also voiced their concern over an unchecked process.

"Power without powerful supervision makes everyone a potential victim -- whether you are a subject of the shuanggui rules like Yu Qiyi or an imprisoned former enforcer of those rules," read a commentary published in the Yunnan Information Daily on Thursday, with an apparent reference to Bo Xilai, who once governed the southwestern metropolis of Chongqing with an iron fist.

"Cracking down on corruption and punishing the corrupt are the common aspiration of the people," it added. "But no matter how just the end is, it has to be achieved through just means."

By Thursday night, the article had disappeared from the newspaper's website.

CNN's Feng Ke contributed to this report.

@highlight

Yu Qiyi, 41, who was being investigated for his part in a land deal, died on April 9

@highlight

Six investigators have been charged with his death, official indictment papers say

@highlight

They repeatedly held his head under icy water in a bathtub, according to his family

@highlight

President Xi Jinping's administration have been cracking down on official corruption