Hong Kong (CNN) -- For more than a year, Bo Xilai has been the elephant in the room in Chinese politics -- the central figure in one of the messiest political scandals to hit the ruling Communist Party in years.

Sacked as party chief in the sprawling metropolis of Chongqing in March last year for "serious disciplinary violations," the former member of the party's powerful 25-member Politburo has now been indicted for bribery, corruption and abuse of power, the state-run Xinhua news agency reported Thursday.

The 64 year old has been in detention since April 2012.

The indictment paper was delivered to a court in Jinan in the eastern province of Shandong, Xinhua said, and paves the way for what will be the most eagerly anticipated trial in China in recent years -- an incredible story of elite politics, murder, intrigue and betrayal.

According to the document, Bo, as a civil servant, took advantage of his position to seek profits for others and accepted an "extremely large amount" of money and properties in return. He also embezzled a huge amount of public money and abused his power, seriously harming the interests of the state and the people.

The document added that Bo has been informed of his legal rights and interviewed by prosecutors.

Political star

Bo is a Communist Party "princeling." His father was a contemporary of Chairman Mao and Deng Xiaoping, and until recently Bo was a rising star in Chinese political circles. A charismatic and urbane politician, he was credited with a spectacular -- albeit brutal -- crackdown on organized crime in Chongqing's massive municipality of around 30 million people.

From June 2009, Bo led a law and order campaign that resulted in the arrest of thousands of suspected gangsters, but critics claim it also targeted his political adversaries.

His economic policies, which included millions spent on social housing, garnered him rock star status in Chongqing -- a fact that did not go down well with other members of the party hierarchy. His populist policies and high-profile personal style were seen as a challenge to the economically liberal and reform-oriented faction within the party.

Wife woes

But when his deputy, Wang Lijun, walked into the U.S. consulate in the city of Chengdu in February last year and told American diplomats that Bo's wife, Gu Kailai, was an accomplice in a murder case, a glittering political career began to unravel.

In a turn of events worthy of a movie script, Gu and family aide Zhang Xiaojun were arrested in early April, suspected of poisoning British businessman and family friend Neil Heywood, who died at a Chongqing hotel in November 2011.

Heywood's death was originally blamed on excessive alcohol consumption, but prosecutors claimed Gu and Heywood, who had been invited to Chongqing from Beijing, drank alcohol and tea in the hotel room, after which the businessman got drunk and began vomiting, a prosecutor said. When Heywood asked for water, Gu asked Zhang, who'd been waiting outside, to come into the room. It was then that Gu got cyanide from Zhang and, after her aide carried Heywood to the bed, poured the poison into the Briton's mouth, according to the prosecutor.

Deputy's confession

At his own trial for abuses of power in September last year, Wang -- who was Chongqing's police chief -- was accused by prosecutors of knowing "perfectly well" that Gu was suspected of murder. They said he deliberately covered up for her so she would not be held legally responsible for Heywood's death.

The court was then told that when relations between Wang and Gu began to break down over the issue, Wang told "the then leading official of the Communist Party of China (CPC) Chongqing Committee" -- the position Bo held -- that Gu was "highly suspected" of having murdered Heywood, Xinhua said.

A witness, Guo Weiguo, testified that the official "angrily rebuked" Wang, before slapping him in the face. "The conflict was made public after Wang Lijun was slapped," Guo said.

After Wang's run-in with Bo, he instructed his staff to "rearrange" Heywood's case file. Shortly after, he was demoted and three members working closely with Wang were put under "illegal investigation." "Wang felt he was in danger, giving rise to his idea to defect," Xinhua said.

At the close of the trial, Wang's defense team pleaded for leniency in sentencing on the defection charge on the grounds that Wang left the U.S. Consulate of his own volition. They also said he provided key evidence to help authorities secure Gu's conviction for murder and on that basis his crime of bending the law for personal gain "could be lighter." The court accepted these arguments and sentenced him to 15 years in prison.

During her trial the previous month, after which she received a suspended death sentence, Gu admitted poisoning Heywood, blaming a "mental breakdown" for her actions after learning that her son, Bo Guagua, was in jeopardy. According to Xinhua, Heywood allegedly threatened him following a botched business deal.

Though Bo has yet to comment publicly on his wife's case or Wang's accusations, CNN recently spoke to a Bo family friend who revealed that a family-appointed lawyer had spoken to the disgraced politician several times since late last year. During those meetings, Bo's spirits were said to be high. The lawyer claimed Bo denies government allegations against him and wants an "open trial and the opportunity to defend himself during that process."

Timeline: Bo Xilai's fall from grace

CNN's Steven Jiang and Jaime FlorCruz in Beijing and Greg Botelho in Atlanta contributed to this report.

@highlight

Former Chongqing party chief indicted for bribery, corruption and abuse of power

@highlight

64 year old Bo Xilai has been in detention since April 2012

@highlight

Last year his wife was jailed for the murder of a British businessman

@highlight

Bo's deputy, Wang Lijun, admitted helping cover up for his wife before trying to defect