The rise in antibiotic-resistant bacteria could lead to a future full of untreatable infections, experts have warned us for years.

Now the Obama administration is stepping up its efforts to combat the rising problem of antibiotic resistance. The President signed an executive order Thursday establishing a new inter-agency task force charged with developing a national strategy to combat antibiotic-resistant bacteria.

Dr. John Holdren, director of the White House Office of Science and Technology Policy and assistant to the President, said the problem is a serious challenge to public health and national security.

"We are clearly in a fight against ... bacteria where no permanent treatment is possible."

When you need antibiotics -- and when you don't

The task force will be co-chaired by the secretaries of Health & Human Services, the Department of Defense and the Department of Agriculture. The task force must submit its national action plan to the President by February 15, 2015.

The order also established a Presidential Advisory Council made up of nongovernmental experts who will provide advice and recommendations to strengthen surveillance of infections, research new treatments and develop alternatives to antibiotics for use in agriculture.

On Thursday, the administration released "National Strategy on Combating Antibiotic-Resistant Bacteria," a five-year plan to prevent and contain outbreaks and develop the next generation of tests, antibiotics and vaccines.

The President's Council of Advisers on Science and Technology -- known as PCAST -- also released a report on combating antibiotic resistance.

There are three main components to the report: improve surveillance of antibiotic-resistant bacteria and stop outbreaks; increase the life of current antibiotics and develop new ones, as well as promote research accelerating clinical trials; and increase economic incentives to develop new antibiotics.

In fact, a $20 million prize will be given to spur development of tests health care professionals can use to identify highly resistant bacterial infections.

"What's new here is there is a highly federal focus that's highly coordinated," said Dr. Eric Lander, co-chair of PCAST. "We are endorsing a variety of specific goals in order to get our arms around this problem. If we're producing antibiotics at a greater rate than we're losing them, then we win in the long run."

Each year 23,000 deaths and 2 million illnesses are linked to antibiotic-resistant infections, according to the Centers for Disease Control and Prevention. The agency estimates the impact to the economy is as high as $20 billion in direct health care costs.

Last year, for the first time, the CDC classified drug-resistant superbugs by how dangerous they were. They were ranked "urgent," "serious" and "concerning" based on how many people get sick, the number of hospitalizations and how many deaths were attributed to them.

"If we can target our efforts more effectively," CDC Director Dr. Tom Frieden said, "we can help doctors use antibiotics more wisely."

Dr. Jesse Goodman, director of the Center on Medical Product Access, Safety and Stewardship at Georgetown University Medical Center, says antibiotic resistance is one of the most pressing global public health threats.

Until earlier this year, Goodman was the Food and Drug Administration's Chief Scientist. He co-chaired the first U.S. Task Force to Combat Antimicrobial Resistance, which released the first action plan in 2000. He  says investment in new treatments must be paired with the sensible use of new and existing antibiotics.

"Success will require a sea change. Doctors, farmers and agribusiness, health systems and the public all need to think totally differently about antibiotics," Goodman said. "They are precious resources and we must reduce their inappropriate use. Better diagnosis and stronger infection control practices can make a big difference right now."

@highlight

Obama administration steps up efforts to combat problem of antibiotic resistance

@highlight

Antibiotic-resistant bacteria is a serious challenge to public health and national security

@highlight

President establishes inter-agency task force and advisory council