In the last week, the Apple iWatch has made the jump from unlikely rumor to a real product that's probably in development, thanks to well-placed leaks that have been showing up in various publications.

The latest is a report from Bloomberg that says Apple already has a team of 100 employees working on a wearable device.

The clues, and resulting flurry of speculation, are planting the seeds of an Apple watch in consumers' minds. The general public has not been crying out for a better watch. Apple dream-product rumors have mostly focused on an elusive Apple TV over the past year.

But Apple prides itself on knowing what the people want before they do, and an Apple watch would be way more than just a fancy timepiece.

It's not about the watch form factor, but creating a wearable mobile device that takes advantage of advances in mobile computing technology such as cheap sensors, better battery life and improved voice recognition. An Apple watch could work with an ecosystem of third-party wearable sensors and products that tie into one powerful, small hub.

If executed correctly, an Apple watch could spawn a lucrative industry of compatible products, like it did with the iOS App Store and mobile applications.

"It's unlimited, the number of wearable things you can tap into," said Gene Munster, an analyst with Piper Jaffray, who imagines small companies making inexpensive products like belts with sensors that alert the watch when you've eaten too much.

Apple is not entering virgin territory. There are already a handful of slick smart watches available, but most act as accessories, connecting to the more powerful Android and iOS smartphones and tablets over Bluetooth.

For example, the new Pebble smart watch passes on alerts from a smartphone, so when you receive a text, e-mail, or Facebook notification it is pushed to the watch, which vibrates.

Wearable technology is also booming, thanks to cheap sensors that can be used to track things like movement and heart rates. The number of wearable fitness products has been growing at a fast pace, but an Apple offering would shake up the industry completely.

"We're finally getting some players involved, and Apple's the real one, that can add some value to some of this wearable technology," said Munster.

Apple isn't alone in seeing the potential for this type of technology. Google is working on its own wearable platform, Google Glasses. The two will face off when they are finally available, each sporting its own unique take on what kind of user interface people will use (voice control and a small touchscreen or augmented reality). And they will, of course, have their own ecosystems of accessories and apps.

Traditional watches have dropped in popularity in recent years. Smartphones prominently display the time and are already in our back pockets, so it can seem redundant to also strap a small clock to our wrists. But when you start packing more power, sensors and connection options like Bluetooth into a watch, it ceases to be a watch and becomes a small wearable computer.

An Apple watch could leap frog the current crop of smart watches by creating a platform, not another accessory. According to Munster, the three tasks people use their smartphones for are, in order, texting, Internet and phone calls. Two out of three of those tasks would be a natural fit for a small device, while the need to surf and play games would ensure the smartphone doesn't become obsolete.

@highlight

An Apple watch could pass existing smart watches with more computing, sensor power

@highlight

Bloomberg reports that 100 employees are already working on developing the device

@highlight

A watch could spawn an industry of compatible third-party wearable accessories