WASHINGTON (CNN) -- Creating and saving jobs while boosting investment in the future are among the top goals of the Obama administration's $787 billion economic stimulus plan.

President Obama chats with students at a Silver Spring, Maryland, elementary school this week.

And according to a preliminary report on stimulus funding for schools by the Department of Education and the Domestic Policy Council, the stimulus plan has created jobs.

State governments have created and saved at least 250,000 education jobs -- and restored nearly all their projected education budget shortfalls for fiscal years 2009 and 2010 -- according to preliminary findings released Monday by the White House.

But some states that used the funds to fill existing budget gaps could face a crisis when the money runs out after 2010. And the Department of Education has chastised certain states for their stimulus funding programs and warned them that they risk their chances at getting other DOE grants down the road.

The stimulus funds appropriated $48.6 billion for the State Fiscal Stabilization Fund to help keep and create jobs and advance education reforms over a period of two years, the report said. The program dedicates $39.8 billion for public elementary, secondary and higher education and other services. Another $8.8 billion will go for other activities such as public safety or government services.

"To date, $35.5 billion of the SFSF allotment has been obligated and $13.2 [billion] is forthcoming," the report added.

In a recent memo, the Department of Education's inspector general's office warned Connecticut, Massachusetts and Pennsylvania about not following the rules.

At issue is the government's "maintenance of effort" provision, which makes states receiving stimulus funds promise to maintain funding at fiscal year 2006 levels.

The provision also requires states to pledge to use these funds to advance certain education reforms: increasing teacher effectiveness, implementing statewide data systems, and providing  support for struggling schools.

The September 30 memo pointed out states are using K-12 stimulus funds to fill gaps in their education budgets due to decreasing revenues and resources.

Pennsylvania's actions led to a terse letter on June 18 from Education Secretary Arne Duncan to Gov. Ed Rendell.

The letter said: "If a State has disproportionately reduced its education budget and/or if a State has done nothing more than backfill budget holes with these dollars when the State had other resources available to it, such as a rainy-day fund, the State's competitive position to receive ... competitive grants may be negatively impacted."

Those states employing the practice, some argue, will face dire straits in fiscal year 2011 when the stimulus funding runs out.

"States and districts were repeatedly warned about funding [problems]," said Chad Aldeman, a policy analyst with the nonpartisan think tank Education Sector.

But Aldeman notes that there may have been a lack of communication between states and the federal government over how to spend the money.

"They [states] were told to focus on one-time investments as much as possible," he said. "At the same time, the Department of Education sold this as a job and reform package. ... They say on one hand, preserve and create jobs. On the other hand, they talk about education reform."

The Obama administration argues the early results from Monday's report show the money already is having an effect.

"This is one more indication of how the Recovery Act is helping soften the blow of tough times, by keeping educators on the job and teachers in the classroom," Vice President Joe Biden said in a statement.

But there has been criticism over the way the government is handling and tracking the Recovery Act.

"If these issues and the stimulus money being made available ... are not handled carefully, conflict and even paralysis are likely to ensue," said Pedro A. Noguera, a professor at New York University and director of the Metropolitan Center for Urban Education, in a recent CNN.com commentary. "The president may even inadvertently alienate an important core constituency that he will surely need in the years ahead -- public school teachers."

Aldeman points out that some of the accountability problems seen with the Recovery Act likely occurred during the time the federal government was doling out money to states.

"The states were cutting employees that were designed to draft federal grants and to track and follow money as it flowed through [at the same time the federal government was giving out stimulus funds]. ... They were cutting monitors and accountants that would have been able to follow this better," he said.

Despite some of the accountability and tracking problems, Duncan said early feedback from states "also tells us that many districts are using stimulus dollars in ways that will move us beyond the status quo."

And Duncan's concept can be seen in school programs cited in Monday's report.

Jim McIntyre, superintendent of the Knox County, Tennessee, schools, said the stimulus funding is not only helping to create jobs in the short term but also investing in the future after the funding is gone.

"Our philosophy has really been around making some investments in the short term to build our capacity so that those investments will continue to pay off in the long term around student achievement and learning, long after the dollars are gone," he said.

McIntyre's school district was cited in the stimulus report as a success story for facilitating greater inclusion of students with disabilities into the regular educational setting.

The funds, according to the report, helped the district to add special education instructors in its middle and high schools, "while supporting needed training for teachers and aides who work with special education students."

Tennessee, McIntyre said, has been supportive in helping his school district plan and obtain stimulus money to "really invest in our people and hopefully invest in our kids for the long term."

The Department of Education report offered other examples that it said showed funding is working, such as:

"In several communities these dollars are being used to enhance information systems to help measure progress by both teachers and students in meeting educational standards," the report added.

CNNMoney.com's David Goldman contributed to this report.

@highlight

American Recovery and Reinvestment Act of 2009 signed in February

@highlight

Preliminary report finds stimulus plan saved 250,000 education jobs

@highlight

States have restored nearly all education budget shortfalls for 2009-10, report says

@highlight

Some states in trouble with feds for using money to fill gaps, not on required goals