(CNN)In a tragic echo of the catastrophic events in Haiti in 2010, a powerful earthquake struck one of the poorest nations on Earth today. The latest estimates from seismologists put the magnitude at 7.9, which would actually makes it about 40% larger than the 7.8 currently being reported. That's less than half the size of the previous major event nearby in 1934, which killed around 10,000 people.

Unfortunately, it is quite possible the number of dead in Kathmandu could rise to match it.

We knew this disaster was coming eventually. Geophysicists have long monitored how fast the Earth's plates are moving, and we know that the entire subcontinent of India is being driven slowly but surely underneath Nepal and Tibet at a speed of around 1.8 inches per year. It's the reason Everest exists.

Latest updates on Nepal earthquake

Over millions of years, the squeezing has crushed the Himalayas like a concertina, raising mountains to heights of several miles and triggering earthquakes on a regular basis from Pakistan to Burma. Saturday's quake was neither unusual nor unexpected, although it was larger than most.

In the 81 years since the 1934 Bihar earthquake, the land mass of India has been pushed about 12 feet into Nepal. Think of all that movement getting stored in a giant spring lying under Nepal. The spring is stuck on a broad, rough surface which we call a fault plane (a fault line is what we see when it emerges from the ground).

Fallen: Nepal's historic landmarks

Sometimes, energy stored in the spring gets big enough to slip catastrophically, releasing all that pent-up strain and generating shaking strong enough to destroy buildings and kill people over a huge area. The bigger the area that slips, and the larger the pent-up energy, the greater the damage.

Saturday's slip took place over an area about 1,000 to 2,000 square miles over a zone spanning the cities of Kathmandu and Pokhara in one direction, and almost the entire Himalaya mountain width in the other. A part of India slid about one to 10 feet northwards and underneath Nepal in a matter of seconds.

We have this kind of detailed data thanks to major advances in seismology over recent years. Using measurements of shaking recorded on seismometers scattered across the world and sent in near or real time to agencies like the U.S. Geological Survey and to universities such as Columbia, we can infer the location and magnitude of a big earthquake very quickly.

Avalanches hamper Everest rescue efforts

Not just that: we can now estimate the pattern and speed of rapid sliding across its fault surface. What used to take months of careful academic study now takes minutes of computation.

In Haiti in 2010, although the earthquake was more than 20 times weaker than Saturday's, well over 100,000 people are thought to have been killed around Port-au-Prince by the shaking and its after-effects. Yet despite some differences, the Nepal and Haiti earthquakes also share similarities -- both geological events were known to be approaching, and both struck areas afflicted by widespread poverty, rapid increases in population in urban areas, uncoordinated changes in building infrastructure and lack of adherence to improved building codes.

About 1.45 million people live in  Kathmandu, the majority in poorly constructed homes not designed to withstand the kind of shaking seen on Saturday. Nepal has a per capita income of around $1,350, only a notch above that of Haiti, and among the lowest in the world.

Meeting building codes in new construction, or taking on expensive retrofitting, is way beyond the means of most. To make matters worse, the valley itself appears to focus the destructive shaking of earthquake waves.

Studies have long predicted that the Kathmandu area was due a magnitude-8 earthquake, or higher -- one study predicted between 21,000 and 42,000 fatalities if a magnitude-8.1 earthquake had struck the area. (Fortunately, Saturday's shaking was half that intensity).

Still, this catastrophe comes at a delicate time for Nepal as it emerges from a long-running civil war and its economy has been improving steadily. We have to hope that recovery from both can somehow take place despite the enormous challenges ahead.

@highlight

A magnitude-7.8 earthquake struck Nepal on Saturday

@highlight

Colin Stark: We knew this disaster would come