(CNN) -- On Sunday a missile launched from a U.S. drone struck a house in Pakistan's remote tribal agency of North Waziristan, killing eight suspected militants, most of whom were loyal to the Pakistani Taliban commander, Hafiz Gul Bahadur. Bahadur has reportedly overseen multiple attacks against NATO troops in Afghanistan.

While the CIA drone war against al Qaeda in Pakistan is well known and is even, on occasion, publicly acknowledged by senior Obama administration officials, the strike against Bahadur's fighters is part of a lesser-known campaign to target Pakistani militants, who are less able to pose a threat to the U.S. homeland. This represents an expansion of the drone program that was overseen by President Barack Obama's administration.

In 2004 President George W. Bush authorized for the first time the covert lethal use of drones inside Pakistani territory. During his tenure, there were 45 drone strikes in Pakistan's Federally Administered Tribal Areas (FATA), according to data compiled by the New America Foundation.

But when President Obama took office in January 2009, the program ramped up quickly, accelerating from an average of one strike every 40 days to one every four days by mid-2011.

The New America Foundation maintains a database of every reported drone strike in Pakistan's tribal regions since 2004. We monitor reports about the strikes from reliable Western and Pakistani news sources, such as The New York Times, The Associated Press, CNN, Reuters, Express Tribune, Dawn, and Geo TV.

All told, the 307 drone strikes launched by the United States in Pakistan between June 2004 and June 2012 have killed an estimated 1,562 to 2,377 suspected militants, according to news accounts.

Pakistan to open supply routes into Afghanistan

Of those strikes, 70% have struck North Waziristan, home to factions of the Pakistani Taliban and the Haqqani Network, which has often launched operations in Kabul against civilian targets.

Over a third of these strikes have reportedly targeted members of the Taliban, with at least 10 of the strikes killing senior Taliban commanders, as well as hundreds of lower-level fighters.

The United States' aggressive drone campaign in Pakistan slowed considerably in 2011. There were 70 drone strikes in the tribal regions that year, down from 118 in 2010, which saw the peak number of strikes since the program began.

According to our data, 6% of the fatalities resulting from drone strikes in 2011 were civilians, up 1 percentage point from the figure in 2010. Over the life of the program we estimate that the civilian casualty rate is 16%.

Clearly, as the years have progressed, the drone strikes have become more precise and discriminating. In March 2011, Pakistani Maj. Gen. Ghayur Mehmood acknowledged this when he said "the number of innocent people being killed is relatively low" and that "most of the targets are hard-core militants," the first such public acknowledgment by a senior Pakistani military officer.

Similarly, President Obama made his first public comments about the covert drone program, when he told participants of a Google+ "hangout" on January 30, 2012, that the United States only conducts "very precise precision strikes against al Qaeda and their affiliates, and we're very careful in terms of how it's been applied."

Even if it is the case that there are relatively few civilians killed in the strikes, the drone program is quite unpopular in Pakistan. During the summer of 2010 the New America Foundation sponsored one of the few public opinion polls ever to be conducted in Pakistan's Federally Administered Tribal Areas and found that almost 90% of the respondents opposed U.S. military operations in the region.

The wider Pakistani public shares this sentiment: A June 2012 Pew Research Center poll found that about three quarters of Pakistanis consider the drone campaign to be unnecessary.

Opinion: Obama ramps up covert war in Yemen

Even so, the strikes may have contributed to a relative decrease in violence across Pakistan. There were 41 suicide attacks in Pakistan in 2011, down from 49 in 2010 and a record high of 87 in 2009. The 118 drone strikes carried out in 2010 coincided with an almost 50% drop in suicide attacks across Pakistan, according to the Pak Institute for Peace Studies, which monitors Pakistani militant groups.

(Another factor in the reduction in terrorism in Pakistan surely was the Pakistani military's own operations against the Taliban, particularly its 2009 campaigns in Swat and South Waziristan. Some 1,600 Taliban fighters were killed during "Operation Rah-e-Rast" in Swat while hundreds more surrendered to the government.)

Evidence of the drone strikes' impact can be found in the description provided by David Rohde, the former New York Times reporter held by the Taliban Haqqani Network for months in 2009, who called the drones "a terrifying presence" in South Waziristan.

Officials: U.S. may repay Pakistan

Key militant commanders reportedly started sleeping outside under trees to avoid being targeted, while Taliban militants regularly executed suspected "spies" in Waziristan accused of providing information to the United States, suggesting they feared betrayal from within.

Last month, a top Taliban commander in South Waziristan halted all polio eradication efforts in the area for fear that the health workers were, in fact, U.S. spies in disguise assisting the CIA drone program.

The CIA drone attacks in Pakistan have undoubtedly hindered some of the Taliban's operations, killed hundreds of their low-level fighters, and a number of their top commanders. But they have also slowed considerably since their peak in 2010, and have come under harsher scrutiny both in Pakistan and the West, rendering the program's future in the region uncertain.

The CIA strikes may also be fueling terrorism. Faisal Shahzad, an American citizen of Pakistan descent trained by the Pakistan Taliban, tried to detonate a car bomb in Times Square on May 1, 2010. The plot failed, but Shahzad subsequently claimed that the drone program had fueled his anger against the United States.

*

Here is a list of the Taliban leaders who have been killed in the CIA drone campaign, according to data compiled by the New America Foundation from reliable news reports :

June 18, 2004: Nek Mohammad, Taliban leader

August 13, 2008: Abdul Rehman, Taliban commander in South Waziristan

October 26, 2008: Mohammad Omar, close associate of Nek Mohammad

August 5, 2009:  Baitullah Mehsud, overall leader of the Pakistani Taliban

December 31, 2009:  Haji Omar, a key Taliban commander in North Waziristan

January 2010 (exact date unknown): Mahmud Mahdi Zeidan, Jordanian Taliban commander

February 24, 2010: Mohammad Qari Zafar, Taliban commander wanted in connection with a bombing in Karachi in 2006

December 17, 2010: Ibne Amin, Taliban commander in Swat

October 27, 2011:  Khan Mohammad, Deputy of Taliban commander Maulvi Nazir

March 13, 2012: Shamsullah and Amir Hamza Toji Khel, two of Maulvi Nazir's senior commanders

Read more about nation and global security at CNN's Security Clearance blog.

@highlight

Peter Bergen, Jennifer Rowland: Administration quietly targeting militants in Pakistan with drones

@highlight

They say attacks spiked on Obama's watch, from one every 40 days, to one every 4 days

@highlight

They say since 2004 1,562 to 2,377 suspected militants killed; but program decried in Pakistan

@highlight

Writers: Program seems effective, but anger over it may fuel terrorism