(CNN) -- MH370. MH17. Air Algerie 5017. And now AirAsia QZ8501.

The disappearance of AirAsia Flight 8501 between Indonesia and Singapore over the weekend -- and discovery of debris from the plane two days later -- caps a bizarre year in aviation.

But could 2014 be the worst year in recent aviation history?

Yes and no. Depends on how you define "worst."

Crashes

In terms of crashes, 2014 has seen the lowest number in more than 80 years, says the Geneva-based Bureau of Aircraft Accidents Archives, or BAAA.

With the AirAsia disappearance now counted as a crash, this year's number totals 111.

The last time the world had 111 crashes was in 1927.

"If you consider sheer numbers of aircraft crashes, flying today is safer," says Kane Ray, an analyst with the International Bureau of Aviation, a global aviation consulting group.

"However, there are more aircraft in the sky, so naturally the overall number may appear similar to previous decades and, in some categories of disaster, higher."

Fatalities

In terms of fatalities, the numbers paint a grimmer picture. Before AirAsia QZ8501, aviation disasters this year claimed 1,158 lives.

The AirAsia flight was carrying 162 people; authorities have not issued a statement on whether everybody died. If all the people on board died, this year would have the most aviation deaths -- 1,320 -- since 2005, according to BAAA.

Already, 2014 has put an end to a steadily improving global aviation safety record.

"Every 10 years or so, we have a year that is less safe than others. Unfortunately this year was one of those," said Ronan Hubert with the BAAA.

Last year, 265 people were killed in flight incidents, marking the safest year in aviation since 1945, the Aviation Safety Network said.

The Aviation Safety Network and the BAAA track their numbers differently.

The Aviation Safety Network says its figures on fatal aircraft accidents include only civil aircraft of which the basic model has been certified for carrying 14 or more passengers. The BAAA includes accidents of aircraft capable of carrying at least six passengers, besides the crew.

Another key difference: The Aviation Safety Network doesn't include fatalities from Malaysia Airlines Flight 17 because it does not count shoot-downs or acts of sabotage in its safety indicator numbers.

The BAAA statistics count "any event where aircraft suffered such damage that it is not in a position to be used anymore."

Bad year for Asia

Asia has endured a particularly brutal year.

Before 2014, Malaysia Airlines had an excellent safety record.

Then in March, Malaysia Airlines Flight 370 disappeared en route from Kuala Lumpur to Beijing with 239 aboard. Officials believe that plane is somewhere in the Indian Ocean. But, nine months later, MH370 hasn't been found.

In July, Malaysia Airlines Flight 17 was shot down over eastern Ukraine, killing all 298 aboard.

While AirAsia is based in Malaysia, the flight that crashed Sunday was operated by AirAsia Indonesia, an affiliate with hubs in Jakarta and Surabaya.

The wreckage was not found until Tuesday, creating a fear that two airliners had disappeared in the same year in the same part of the world. Search teams located AirAsia debris on Tuesday in the Java Sea.

AirAsia had a near flawless safety record, with no previous fatal accidents. But now that record has changed.

"This is my worst nightmare," AirAsia CEO Tony Fernandes tweeted as crews searched for AirAsia QZ8501.

(Two other disasters claimed dozens of lives, both in July. In Taiwan, 48 died on TransAsia Airways Flight 222. The cause of that crash is unclear.

The crash of Air Algerie Flight 5017 killed 116 people while en route from Burkina Faso to Algeria. The plane went down in Mali. The cause of that crash is also uncertain, but the plane changed flight paths because of bad weather.)

Still safe

When air disasters happen, they make news. But on the whole, far fewer people die in plane crashes than in cars.

About 1.24 million people die each year on the world's roads, the World Health Organization said last year.

By contrast, the deadliest year in aviation had 3,346 deaths, the BAAA said. That was in 1972.

Since then, technology has improved and airlines, insurance companies and regulators have worked to increase aviation safety levels to get closer to zero risk, said Hubert.

"Accidents are not always avoidable," he said, but "with each accident, we learn something new and improve."

According to the International Civil Aviation Organization, the number of commercial flight departures has grown in recent years to 30 million in 2011.

Despite the fatalities from this year, Goelz said, "that's a relatively low rate when you compare it to the massive numbers of people who are flying today."

CNN's Rene Marsh contributed to this report.

@highlight

2014 has had the lowest number of plane crashes in over 80 years, the BAAA says

@highlight

But 2014 had the most aviation deaths since 2005

@highlight

Statistics show flying is still far safer than driving