Washington (CNN) -- Justice Clarence Thomas is marking his two decades on the Supreme Court in his characteristic low-key manner. His former law clerks are organizing a reunion, a chance for him to get back in touch with his "kids," as he calls many of the young lawyers who served the prestigious one-year job under him.

He is prepared for the court's new term, having spent the summer as he always does, touring the country in his 40-foot-motor home, with his wife Virginia alongside. And there was a recent teaching stint at the University of Nebraska, where he remains a big Cornhuskers football fan, although he was never a student there.

All seems good for the 63-year-old jurist, a sharp contrast to the tumultuous weeks of his October 1991 confirmation hearings. The nationally televised drama delved deeply and embarrassingly into his private life, a spectacle that helped usher in an escalating focus on the federal courts -- and the often nasty politics that play out to this day.

"Like the Robert Bork confirmation hearings before them, the Thomas hearings were built on the flames of ideological fights," said Thomas Goldstein, a prominent appellate attorney and founder of Scotusblog.com. "He was regarded as extremely conservative, which he is, and liberal progressives were really very bent on trying to block him from getting on the Supreme Court. They failed initially and then, when the Anita Hill allegations came out, the whole process exploded."

For an institution that values continuity and experience, Justice Thomas now enjoys a professional renaissance of sorts, becoming a key behind-the-scenes force on the right-leaning bench.

"There are obviously some who agree with the mark that he's left and others who disagree," said Gregory Garre, a former U.S. solicitor general who has argued several cases before Thomas and the court. "But I think one thing is certain, and that is that he has left an important mark on the law."

_______________

Sources close to him say the memories of his wrenching Senate confirmation in October 1991 are not forgotten by any means, but the experience, they say, has given him a greater appreciation of the unique role he now occupies.

The Pin Point, Georgia, native was nominated to the high court by President George H.W. Bush to replace an icon -- Justice Thurgood Marshall. There were concerns raised by both Republicans and Democrats over whether Thomas would become the ideological opposite of the civil rights legend, since he had barely a year of judicial experience before being tapped for the Supreme Court.

Many people may not remember there were actually two Senate Judiciary Committee hearings for Thomas. The first session went pretty much to form, and with little judicial record to go on, lawmakers found little about which to criticize the nominee.

Then Anita Hill stepped forward. She was a lawyer who had been hired by Thomas to work in the Education Department and later at the Equal Employment Opportunity Commission, which he headed in the Reagan years.

She claimed Thomas made sexually suggestive comments on the job, which Hill considered sexual harassment. In stunning nationally televised testimony, the poised Hill offered lurid details and called Thomas' alleged actions "behavior that is unbefitting an individual who will be a member of the court."

Many senators offered both sympathy and skepticism to both Hill and Thomas. He received the final word, telling the committee, "This is a circus. It's a national disgrace. It is a high-tech lynching for uppity blacks who in any way deign to think for themselves."

He was confirmed 52-48, the narrowest margin for a high court pick in a century.

_____________

For most Americans, Thomas slipped into virtual anonymity after he took his judicial oath. He shuns interviews and rarely speaks during arguments. In fact, he has gone five years without speaking when cases are presented in the public sessions. That concerns some private lawyers, including those who count Thomas among their friends.

"I wish, candidly, he would ask the lawyers questions, just to give us an opportunity to at least say something about him," said Carter Phillips, who has argued 72 cases before the high court. "Because there almost invariably are issues in argument that are not briefed in the case, so you feel as though, in one sense, an important participant is kind of marching on a parallel path that's completely removed from your efforts and advocacy."

But those close to the justice say you don't know the real Clarence Thomas.

"Justice Thomas is known as being quiet and taciturn, and hasn't asked a question in years," said Carrie Severino, a 2007 law clerk who remains close to him. "He's actually an incredibly ... great storyteller. He could talk for hours very easily. If you do get into a conversation with him, it's normally a very long and engaging process."

Behind the closed marble hallways of the court, Thomas is well known for his booming voice, hearty laugh, and friendly manner. Colleagues say they are amazed he seems to know every one of the several hundred employees by their names, as well as their families and their problems.

He shatters the mold in many ways, and is especially close friends on the court with Justice Stephen Breyer, whose views are considered liberal. The two can often be spotted on the bench whispering in each other's ears, sharing an occasional laugh.

"There are a lot of people who don't like the fact that he breaks their expectations," Severino said. "They expect him as an African-American to be toeing the liberal line, and he's his own man. You know, he's his own man among conservatives. He's not following Justice Scalia, he's not following Chief Justice Roberts. He's going to do his own thing. And the people who might expect him to follow their lead are going to be disappointed."

Doing his own thing has often meant Thomas is a lone dissenter in cases big and small, in issues ranging from state-federal authority to executive immunity and government regulation.

The consistency of his conservative views has earned him a quietly influential power base among his colleagues, which only recently has begun to attract public notice.

"In several of the most important areas of constitutional law, Thomas has emerged as an intellectual leader of the Supreme Court," wrote CNN Senior Legal Analyst Jeffrey Toobin, in an essay for The New Yorker. "Since the arrival of Chief Justice John Roberts in 2005, and Justice Samuel Alito in 2006, the court has moved to the right when it comes to the free-speech rights of corporations, the rights of gun owners, and potentially, the powers of the federal government; in each of these areas, the majority has followed where Thomas been leading for a decade or more. Rarely has a Supreme Court justice enjoyed such broad or significant vindication."

But criticism -- personal and professional -- has not gone away. The latest complaints: calls from liberal lawmakers and advocacy groups for Thomas to pull out of deciding a monumental appeal over President Obama's signature accomplishment, health care reform.

Twenty Democratic lawmakers on Thursday formally asked the Justice Department to investigate the justice's appearances before conservative groups, and his failure over the years to publicly disclose about $700,000 of his wife's income, as required under federal law.

"To believe that Justice Thomas didn't know how to fill out a basic disclosure form is absurd," said Rep. Louise Slaughter, D-New York, on behalf of her colleagues. "I cannot determine guilt or innocence, but I can request that the government do our due diligence in investigating a situation that strikes me, and many members of Congress, as suspicious."

But even liberal activists say there may be little to force Thomas himself to pull out.

"It's really almost entirely self-enforced," said Doug Kendall, president of the Constitutional Accountability Center. "So recusal motions, if there is one filed in his case, go directly to Justice Thomas. And there's really no process for his colleagues or anyone to second-guess the decision whether he should recuse or not. So it really is his decision."

Many colleagues wonder whether going his own path in life has been worth it for Thomas. Sources close to him say he admits being concerned about his legacy, but more interested in doing his job as he sees fit, and ultimately being comfortable with the result.

Writing in his 2007 autobiography, the justice said his life was "the story of an ordinary man to whom extraordinary things happened. Putting it down on paper forced me to suffer old hurts, endure old pains, and revisit old doubts. ... Rightly or wrongly, I have an abiding faith that my story will be important to someone."

@highlight

Justice's former law clerks are arranging a reunion of his "kids"

@highlight

He is enjoying a professional renaissance of sorts on the right-leaning court

@highlight

He is known for not asking questions from the bench and for going his own way

@highlight

"Thomas has emerged as an intellectual leader," says CNN Senior Legal Analyst Toobin