(CNN) -- The music of Philadelphia International Records sounds effortless: the easygoing groove of the O'Jays' "Love Train," the triumphant horns of MFSB's "TSOP (The Sound of Philadelphia)," even the cocky declamations of Billy Paul's "Me and Mrs. Jones."

Leon Huff, left, and Kenneth Gamble founded Philadelphia International Records.

But forming a new R&B label in the early '70s -- particularly one leaning away from the funky, angular sounds of James Brown and Sly & the Family Stone popular at the time -- wasn't easy at all, says Kenneth Gamble, who co-founded the label with Leon Huff in 1971 after several years of producing and songwriting success.

"It was very, very hard to get information for us. It had pretty much been the norm for African-Americans to [be cheated] out of a lot of their music and their royalties," he said. "I think the industry, by closing us out of so many doors ... in order for us to make it, we had to do it on our own."

But, Gamble is quick to add, "on our own" didn't mean alone. There were independent distributors and radio stations, much more plentiful back then. There were disc jockeys, who were still allowed to have a say in the music they played. There was a major corporate label, Clive Davis' CBS, which supported PIR's work.

And, of course, there were the musicians: the Delfonics and Stylistics, O'Jays and Spinners, Teddy Pendergrass and Billy Paul, and especially the house band, MFSB, which helped make PIR into the top R&B label of the 1970s.

"This was music -- sweet, gritty, elegaic, sensuous -- that celebrated love, fomented activism, pressed for change, celebrated 'blackness' in a moment in which black America, in an urgent sense of what that might mean, was just blinking awake," Lynell George writes in the liner notes to a new box set, "Love Train: The Sound of Philadelphia" (Philadelphia International/Legacy).  Audio slideshow: Listen to "the sound of Philadelphia" »

It was all about family, Gamble says, something expressed in the name MFSB: Mother, Father, Sister, Brother. (Don't believe the urban legend that says it stands for something else, Huff adds.)

"We used the same musicians on all the productions that we did," Huff observed. "That sort of created a chemistry of sound, though none of the artists sounded the same."

That chemistry is evident on the box set, which collects the label's greatest hits with Gamble and Huff's pre-PIR productions -- including the Soul Survivors' "Expressway to Your Heart" and Jerry Butler's "Only the Strong Survive" -- and material from artists contracted to other labels and produced by PIR's Thom Bell, such as the Spinners.

The label is also the subject of a PBS special, also called "Love Train," which is scheduled to air Thanksgiving weekend.

PIR's sound was something different. It was often lushly orchestrated, with instruments such as French horns and vibraphones taking prominent roles, and its nimble bass lines and trebly percussion later became the cornerstone of disco.

Bell, a longtime Gamble-Huff pal who oversaw many of the arrangements, had trained as a concert pianist, giving it up because, he said, "I was tired of articulating someone else's music. I was tired of hearing it go the way I was hearing it. I was hearing chords and tones and colors and feelings and emotions going one way, but ... when the master's notes are set in stone, they cannot be changed."

Arranging and producing gave Bell the opportunity to put his musical education to work in a different way, he says.

"We experimented with a lot of different instruments, because we were always infatuated with trombones and French horns and vibes; we used the whole orchestra," Huff said. "We incorporated a lot of those instruments in our productions, and that turned out to be a different kind of approach."

Arranger Bobby Martin and Sigma Sound studios engineer Joe Tarsia were also key players in constructing the PIR sound.

The model was Motown, with its smooth-running songmaking machinery, though PIR's songs were deliberately designed for the PIR artists, notes Gamble.

"Most of the songs that we wrote ... were tailor-made for these artists," he said. "When we would sit down to write ... we would say, 'Who are we going to write for?' And then we'd lock that person into our minds."

As an example, he mentions Lou Rawls' "You'll Never Find Another Love Like Mine," which for Rawls was "like going into a tailor shop, and the tailor measured you up and put the coat on you, and it fit perfectly."

Rawls, who had been in a career trough, took the song to No. 2 in 1976.

Gamble, Huff and Bell, whose history together goes back to their 1950s teen years, are proud of the label's influence, and they still maintain ties to their hometown. Bell, who lives in northern Washington state, will be returning to the City of Brotherly Love to conduct its famed orchestra in 2009; Gamble has been active in building housing and schools there.

"Philly's a great city. It's the greatest city in America," Gamble said with pride. "It's the place where America begins." And the place where the "Love Train" chugged out to the world.

@highlight

Philadelphia International Records was influential 1970s label

@highlight

PIR, founded by Kenneth Gamble and Leon Huff, was home to O'Jays, others

@highlight

Label heads and producers "infatuated" with distinctive instruments, says Huff