(CNN) -- When Nelson Mandela stepped out of South Africa's Victor Verster prison a free man 20 years ago Thursday, he was his country's most famous freedom fighter.

Black South Africans and other opponents of apartheid lined streets to see him when he was released, cheering wildly and waving flags. He was a hero, imprisoned for 27 years for the crime of opposing a government that sought to enforce severe segregation laws with brutality.

Once free, Mandela worked with South Africa's white president, F.W. de Klerk to end those policies, knocking down the pillars of segregation one at a time. Three years after his release from prison, Mandela and de Klerk shared the Nobel Peace Prize.

The African National Congress -- once again legal after being banned in 1961 -- elected Mandela as its president, and he won South Africa's presidential election in a landslide in 1994, the country's first black president.

"We dedicate this day to all the heroes and heroines in this country and the rest of the world who sacrificed in many ways and surrendered their lives so that we could be free," he said in his inauguration speech. "Their dreams have become reality. Freedom is their reward. We are both humbled and elevated by the honor and privilege that you, the people of South Africa, have bestowed on us, as the first President of a united, democratic, non-racial and non-sexist government."

And he kept his promise to serve but one term.

Already in prison when convicted of treason in 1964 and given a life sentence, Mandela was a living symbol of the struggle against South Africa's racist apartheid system enacted when he was 30 years old.

But the African National Congress leader fought for justice long before the National Party's 1948 election and subsequent introduction of apartheid. And in his last public words before he was whisked off to jail, Mandela spoke of his own dream.

"I have fought against white domination, and I have fought against black domination," he said. "I have cherished the ideal of a democratic and free society in which all persons will live together in harmony, and with equal opportunities. It is an ideal which I hope to live for, and to see realized. But if needs be, it is an ideal for which I am prepared to die."

Rolihlahla Mandela was always meant for great things, but his name -- it means "pulling the branch of a tree" or, colloquially "troublemaker," in the Xhosa language -- foreshadowed how that greatness would manifest.

Born into a Thembu royal family -- but the wrong branch to be considered in line for the throne -- Mandela was the first of his family to attend school, where a teacher gave him the name "Nelson." He even went to college but was tossed out at the end of his first year for protesting school policies. And he ran away to Johannesburg, where he finished college and began law studies, to escape an arranged marriage.

But 1948 focused Mandela's life like nothing before. First organizing non-violent resistance to apartheid policies, Mandela and his ANC cohorts were nevertheless hounded -- arrested, beaten, followed, spied upon -- by the government. When the ANC was formally banned in 1961, the group realized that non-violence wasn't working.

"It was only when all else had failed, when all channels of peaceful protest had been barred to us, that the decision was made to embark on violent forms of political struggle," he said in court. " ... the government had left us no other choice."

Prior to his imprisonment, Mandela was anything but a free man, traveling incognito, organizing the business of the African National Congress without having to bring its members together in one place where they would be vulnerable to government action, spending days and weeks away from his family.

Even before his release, Mandela had moved beyond freedom fighter to statesman, a position he still holds despite retiring from public life in 2004 to spend more time with his family. He spoke out for democracy, human rights and peace. He fought against AIDS but admitted he probably could have done more to stop the spread of the disease. He created foundations to carry on his legacy, spoke around the world and tirelessly told the world that the end of apartheid was not his doing but the work of many others who shared the same dream.

But Mandela is not remembered simply for ending apartheid. He was also behind reconciliation, a painful and lengthy process that attempted to hold those responsible for the brutality accountable for their acts without alienating the other white South Africans.

In nearly every speech, Mandela pushed this concept. He urged black South Africans to support the South African national rugby team -- hated by many blacks because they viewed it as the sport of their oppressors -- in 1995. And when the team won the 1995 Rugby World Cup, team captain Francois Pienaar received the trophy from the president himself, wearing a duplicate of Pienaar's jersey.

Pienaar, after the release of the movie "Invictus" that tells the story, said of his first meeting with Mandela -- when the president described his plan to use the team to help bring white and black south Africa together -- "I left that first meeting with the feeling that we were in good hands in South Africa. I felt safe with him."

And Mandela was instrumental in bringing soccer's World Cup to South Africa -- finally arriving this year, six years after soccer's world body awarded the event.

Now 91, Mandela rests in the company of his family, including his third wife, Graca Machel. The accolades have been heaped upon him. He is a hero to his people, and to much of the world.

But 15 years into democracy, South Africa still faces rife poverty, unemployment and crime. Many people do not enjoy the benefits of freedom -- there is more to be done, but no one pretends otherwise.

"I've been amazed that they haven't said to hell with Mandela and Tutu and all these people who talk about reconciliation and go on a rampage," Anglican Archbishop Desmond Tutu said of the patience of South Africa's poor.

Tutu also won a Nobel Peace Prize -- in 1984 -- and was one of many who carried on Mandela's work through the late 1960s, the 1970s and the 1980s. He was chairman of the Truth and Reconciliation Committee and is now chairman of The Elders, a group he, Mandela and Machel founded to provide a mechanism for world leaders to share their wisdom.

F.W. de Klerk is not a member of that group. But he recognizes both the transformative work he and Mandela did in the 1990s and the troubles the country still faces.

"We have averted a catastrophe, the new South Africa with all these big problems is a much better place than it would have been had we not taken the initiatives we did in the early 1990s," he said. "We are back in the international community; we play a positive good role on the problematic continent of Africa. So life is good but not for the poor."

And no one is more keenly aware of those "big problems" than Rolihlahla Nelson Mandela, now known fondly in South Africa by his clan name, Madiba. He saw it clearly in 1994, when his autobiography, "Long Walk to Freedom," was published.

"I have traveled this long road to freedom," he wrote. "I trust I did not falter. I made missteps along the way. But I have discovered the secret that, after crossing a great hill, one only finds that there are many more hills to cross."

Twenty years ago, there was no freedom for Mandela, no freedom for black South Africans. There may be more hills to cross, but those black South Africans are no longer strangers to freedom.

@highlight

Mandela was convicted of treason in 1964, given a life sentence

@highlight

Mandela, de Klerk shared Nobel Peace Prize

@highlight

Mandela once said violent political struggle became rule after nonviolence failed

@highlight

Mandela was the first of his family to attend school