(CNN)  -- "Bull in the ring" is a drill almost as old as football.

Several members of the team form a ring around a single player. The player in the middle begins a nervous shuffle, eyes darting, arms tense, as his teammates, one at a time, fling their bodies toward him at full force. He is the target of tackle after tackle, and if he moves too slowly the hits can be punishing.

For many coaches, "bull in the ring" is an exercise in agility and mental fortitude. Others consider it violent.

Until recently, Carmen Roda, a youth football coach in Westport, Connecticut, did the drill with fifth-graders.

"Head to head, hammer to hammer," is how Roda, president of the Westport Police Athletic League, described players crashing into one another during the drill. "It's really more about aggression, not technique. The old school of coaching football is that aggression."

When his team chalked up 20 concussions during the 2009 season, Roda decided that he needed to usher in "new school" coaching, focusing more on technique and less on aggression. One of the first steps was getting rid of "bull in the ring."

"The game 20 years ago is not the game today, so why not teach it differently," said Roda, who has coached football for 15 years. "Coaches, especially at the youth level, have to be open to that because we're talking about kids."

Roda's revelation came after reading the book "Head Games, Football's Concussion Crisis," written by former Harvard University football player and WWE wrestler Chris Nowinski.

Nowinski said that while aggression is endemic to football, there are ways to make the game safer.

"Can you ever make football so that no one gets hurt? No. People are going to get hurt," said Nowinski, president of the Sports Legacy Institute. "But you can eliminate certain drills, you modify certain drills, minimize certain drills...eliminate dumb things like 'bull in the ring.'"

Nowinski is a passionate advocate in part because concussions ended his wrestling career in 2004.

Ex-NFL stars after concussion: Lives unraveled

Years later, when a mysterious, degenerative brain disease resembling dementia -- called chronic traumatic encephalopathy -- was described in athletes with repeated head trauma, Nowinski became a more outspoken advocate, especially for kids playing football.

The first described cases of CTE were in deceased former NFL players, but recently the Boston University Medical School Center for the Study of Traumatic Encephalopathy, which Nowinski co-founded, described CTE in the brain of an 18-year-old athlete.

"We have cases of teenagers, guys who never played pro sports, getting CTE and dying young," said Nowinski, who added that dramatic changes are needed in football.

Concussion extra dangerous to teen brains

"If we aren't talking about making relatively dramatic changes to the game in a public way...then people are OK with kids getting a degenerative brain disease from playing football," Nowinski said.

Roda addressed the concussion issue in the Westport league by requiring preseason concussion education courses for all coaches, players and parents. He also reduced the amount of tackling during practice.

"Our kids hit maybe once or twice a week for short periods of time," Roda said. "And in the beginning of the season, we go without helmets, moving through the mechanics of tackling and blocking because the brain's smart, right? As soon as kids see [the head is] going to get hurt, the head snaps back automatically."

Practicing without helmets, Roda said, conditions kids to tackle with the head up instead of leading into tackles helmet-first, which is more likely to cause brain injury. He also has a certified athletic trainer attend all practices and games to evaluate players when a concussion is suspected.

"If a kid came out [of a game], he got a hard hit, what we used to call a 'stinger' or a 'ding,' we would simply ask 'Are you OK?' and send him back in if he said yes," Roda said. "Now if we see a kid with a big hit, we're checking on them to see if they're OK, and we're asking different kinds of questions to get the answers."

Roda said parents and coaches were resistant at first to the new rules. They were concerned about "weakening" the game. But most came around when they realized what was at stake for the children and, according to Roda, when the team continued to win.

This past season, Roda's Westport Wreckers made it to the league championship game and had 50% fewer concussions.

"The dramatic thing was that they were still good," said Nowinski, who has conducted concussion safety presentations for parents and coaches in Westport. "It did not hurt the kids' ability to play the game. It just dramatically lowered their injury rate and their head trauma rate."

The new rules in Westport are part of a growing (although sometimes grudging) movement to make football safer for children -- whose brains are still developing and thus particularly susceptible to concussion.

Last year, the American Academy of Neurologists recommended immediately removing an athlete suspected of suffering a concussion from the game, not allowing players back on the field until they receive medical clearance, and having a certified trainer at every game.

Warner: Playing through concussion 'part of the game'

Similar rules appear in the Zackery Lystedt law, passed in Washington in 2009. It is named after a 17-year-old who suffered a devastating brain injury after returning to play too soon after a concussion. A handful of other states have passed similar legislation.

While Nowinski is encouraged by the progress, he said that many youth football coaches continue to teach aggression.

"You have to pose this question to people to get them to think about it: Are you OK with destroying a kid's brain for this game? If you are, then let's keep going exactly as we've been going," Nowinski said. "If you're not, let's really put our heads together with people who can actually make the changes and let's do it."

@highlight

Carmen Roda wants to usher in "new school" coaching

@highlight

Roda requires preseason concussion education courses for players and parents

@highlight

Parents concerned about "weakening" the game, he says