(CNN) -- An intense typhoon made landfall in the southern Philippines early Tuesday amid fears that it could be worse than a 2011 storm that killed more than 1,200 people.

Typhoon Bopha struck the southern island of Mindanao shortly before 4:45 a.m. (3:45 p.m. Monday ET), the National Disaster Risk Reduction and Management Center reported.

The storm packed top winds of 175 kph (110 mph) as it came ashore over the city of Baganga, and millions of people -- many of whom live in remote and unprepared communities -- were in the storm's path, Philippine authorities and aid groups said.

The tightly packed but powerful storm threatened to bring devastating flash floods and landslides. High winds could blast some homes into sticks, uproot trees and cut power for days, government officials warned.

The storm weakened slightly as it moved west across Mindanao during the course of the morning, the Philippine Atmospheric, Geophysical and Astronomical Services Administration said. There were no immediate reports of casualties.

The storm, dubbed "Pablo" in the Philippines, had blown up into a super typhoon at one point Monday, with sustained winds greater than 240 kph -- the equivalent of a Category 5 hurricane in the Atlantic Ocean, the Joint Typhoon Warning Center reported.

That wind speed is two and a half times the top winds of Severe Tropical Storm Washi, known in the Philippines as Sendong, whose heavy rains set off landslides that swept away entire villages in the same region a year ago.

"Many emotional people in (Mindanao) trying to prepare for Pablo with Sendong fresh in their minds," Carin van der Hor, the Philippines director for the children's charity Plan International, wrote Monday on Twitter.

In the fishing village of Hinatuan, officials had warned coastal and island residents to evacuate to government shelters in the final hours before the storm hit, CNN affiliate ABS-CBN reported.

At sea near the storm, waves reached as high as 52 feet, according to the Joint Typhoon Warning Center. On land, the outer bands of the storm had already begun to bring intense rain and high winds to coastal communities before landfall was made, according to the National Disaster Risk Reduction and Management Council.

Government agencies had moved millions of dollars worth of relief supplies into position for quick delivery to storm-hit regions and put emergency crews, the military and hospitals on standby.

School classes were suspended in many cities, and at least 80 flights were canceled, according to the disaster agency.

The threat to Mindanao comes just weeks ahead of the first anniversary of Washi, whose heavy rains set off flash floods in the middle of the night that swept away entire villages. More than 1,200 people died and hundreds of thousands were left homeless, prompting a humanitarian crisis.

Stormy weather in recent months also has caused death and destruction in other areas of the Philippines, where poor infrastructure leaves many communities highly vulnerable.

Severe flooding in the region of the capital, Manila, killed more than 80 people in August. And Tropical Cyclone Son-Tinh left at least 27 people dead after sweeping across the central Philippines in October.

Palau, a tiny island nation roughly 1,000 kilometers (600 miles) east of Mindanao, had a close shave with Bopha as the typhoon churned past, catching some outlying parts of the archipelago.

"It was headed right toward Palau," said Derek Williams, a meteorologist for the U.S. National Weather Service in Guam. But at the last minute, "it just turned to the west and fortunately went south of them," he said.

"I really think they escaped the brunt of the storm," Williams said in an interview with the Australian Broadcasting Corporation, noting that Palau doesn't usually get hit by strong typhoons.

Bopha nonetheless brought down a lot of trees and caused widespread power outages in Palau, according to Williams.

"The fast movement of the system really prevented a lot of flooding," he said. "I think probably only a few inches of rain fell, so that's certainly good news, because Palau itself is susceptible to mudslides."

CNN's Michael Pearson reported from Atlanta and CNN's Jethro Mullen reported from Hong Kong.

@highlight

NEW: Typhoon Bopha weakens slightly as it moves across Mindanao

@highlight

The storm hit the southern Philippine island early Tuesday

@highlight

Philippine authorities warn of flash floods and landslides

@highlight

The typhoon comes almost a year after a storm killed more than 1,200 people on Mindanao