London (CNN) -- Jerusalem may be steeped in thousands of years of history, but the much younger Tel Aviv in Israel is increasingly a draw for culture lovers.

This city by the sea is a draw to tourists seeking sun, young people looking to sample its impressive nightlife and culture vultures eager to explore its galleries and architecture.

A comparatively new city -- it was founded at the beginning of the 20th century -- its vibe is decidedly modern, with Bauhaus buildings and more recently built skyscrapers making up the urban landscape. Palm trees, meanwhile, decorate its boulevards and harbor.

Tel Aviv's so-called "White City" -- the part built between the 1930s and 1950s, and home to impressive examples of modernist architecture -- is a UNESCO world heritage site.

With its clement weather and laid-back, tolerant atmosphere, Tel Aviv is a worthwhile stop on any tour of Israel and a destination in its own right.

CNN selects some of the best spots to experience the cultural side of Tel Aviv, from museums and galleries to chic bars and restaurants.

Art: For modern and contemporary art, look no further than the Tel Aviv Museum of Art, with its impressive collection of modern European masterpieces and collection of Israeli art. Its temporary exhibitions are top-notch; currently, visitors can take in an exhibition of works by the city's prolific street artists, while November sees the inauguration of a new building with an exhibition of works by German artist Anselm Kiefer.

The city is also home to a number of contemporary art galleries, including Sommer Contemporary Art, which mounts shows by a roster of international artists as well as Israeli-born contemporary art stars, such as painter Tal R and video artist Yael Bartana.

Architecture and design: Lovers of early modern architecture can head to the Bauhaus Center, which organizes tours of the White City's collection of Bauhaus architecture. You can join a group or pick up a map and audio guide and traverse the city yourself.

Design buffs, meanwhile, should make the short journey to the Design Museum in Holon. Designed by Tel Aviv-born industrial designer, architect and artist Ron Arad, the sculpted building resembles a spool of red ribbon and is as much a destination as the exhibits it contains.

Performance: Tel Aviv boasts world-class theater, music and opera.

Visit the HaBima National Theater, Israel's national theater, which was founded at the beginning of the 20th century as a Hebrew-language theater company in Russia. The main building has undergone a costly renovation and should be open to the public again by the end of 2011.

The city is also home to the celebrated Israeli Philharmonic Orchestra, which is linked to some of the 20th century's great virtuosos, including conductor and composer Leonard Bernstein, the orchestra's one-time Laureate Conductor, and Tel Aviv-born violinist Itzhak Perlman, who performed as a soloist in the orchestra's historic visit to the former Soviet Union in 1990. Music lovers can also take in an opera at the Performing Arts Center.

For those wanting something a bit more avant-garde, head to the Nalaga'at Center in Jaffa Port, home to the world's first and only theater ensemble whose actors are all deaf, blind or both.

The center also has a cafÃ© whose waiters are deaf, inviting visitors to, according to its website, "communicate beyond words." According to Amelia Thomas, Lonely Planet author, "You'll experience your kosher meal -- including sophisticated offerings such as pistachio gnocchi and barramundi with black lentils - through touch, scent and taste alone."

Eating, sleeping, partying: Tel Aviv is often referred to as the "city that never sleeps," and is buzzing with bars and clubs for willing visitors to take in on balmy summer nights.

Worth a longer stop on any bar-hopper's itinerary is Betty Ford, a 1950s-inspired bar where DJs spin tunes while a fashionable, arty crowd sip cocktails. Alternatively, head to Sublet, a relaxed roof lounge with views to the sea.

Thomas also recommends exploring the many bars and live music joints in the southern Florentine neighborhood.

Tel Aviv is famous for its gay and lesbian scene, and has a yearly Gay Pride parade. As website Gay TLV Guide puts it, there is no single gay area in the city "because the WHOLE CITY is GAY." Bars to visit include Glitter and The Notorious G.A.Y.

Hotels in the city are plentiful, ranging from five star hotels with spas to smaller boutique hotels oozing charm.

Those looking for a luxe stay can opt for the David Intercontinental, with its spa and health and fitness center; or for a more intimate, but no less luxurious stay, head to boutique Montefiore hotel, which boasts just twelve rooms in a restored 1920s heritage building. Thomas particularly singles out its Vietnamese-inspired restaurant and "chic 1920s vibe, with its slow-moving fans, potted palms and impeccable service."

As for food, the city's many restaurants serve all cuisines but you may also want to sample delicious bites on offer at the city's famed street stalls.

And if the heat gets too much, Thomas suggests taking "a guided tour with a difference" -- a scuba dive in the city's Mediterranean waters, where you can explore caves and even the wreck of a former naval training ship.

@highlight

Tel Aviv is Israel's hippest young city

@highlight

Home to world-class theater, music and contemporary art

@highlight

"White City" area declared a UNESCO world heritage site for Bauhaus architecture

@highlight

Party-loving, tolerant atmosphere attracting more and more visitors