(CNN) -- Would the "first conservative" recognize modern conservatism?

The conservatism of recent days has been a conservatism of radical individualism: a politics that sees its job as protecting society's "makers" from society's "takers."

Yet the man most often credited as the founder of modern conservatism, the 18th-century British thinker-politician Edmund Burke, saw things very differently. Against the politics of "I want, I want, I want," he emphasized continuity, responsibility and community. That was a tough teaching 200 years ago, and it remains a tough teaching today. It's not a surprise that it often goes unheard. This year, however, Burke's tough teaching is again getting the articulation it deserves, thanks to two distinguished books by two rising conservative thinkers, one British, one American.

Jesse Norman is a British member of Parliament who strongly identified with Prime Minister David Cameron's modernizing conservatism. His book was first published in Great Britain under the title "Edmund Burke: Philosopher, Politician, Prophet" but then rereleased in the United States under the pithier "Edmund Burke: The First Conservative."

As Norman tells it, Burke was a thinker and politician who rejected the demands of "I want" in favor of the duties of "you should." In Burke's words:

"[T]he state ought not to be considered as nothing better than a partnership agreement in a trade of pepper and coffee, calico or tobacco, or some other such low concern, to be taken up for a little temporary interest, and to be dissolved by the fancy of the parties."

Burke rejected both the "I want, I want" of people who expect ever more generous social programs from government -- and the "I want, I want" of bankers and brokers who wish to be allowed to stake huge gambles with other people's money.

"Except in reaction to the most extreme necessity, [Burke's] politics is one of moderation. He was an early supporter of free markets, but only within a strong context of personal probity, law, market norms and trust."

Norman's Burke forcefully critiques the disintegration of society into personal atoms, each seeking only its own personal economic betterment. "[T]he individual is not simply a compendium of wants, human happiness is not simply a matter of satisfying individual wants, and the purpose of politics is not to satisfy the interests of people living here and now: it is to preserve an evolving social order which meets the needs of generations past, present, and future."

Make no mistake: Norman's Burkean politics is conservative politics. Burke defended free enterprise and private property rights. Burke's contemporary Adam Smith, author of "The Wealth of Nations" and founder of modern economics, saluted Burke as the only person whose ideas had corresponded with his own without any prior communication between the two. Burke favorably reviewed Smith's books, and the two men became friends.

Yet Burke could also forcefully denounce the abuse of economic power and the corruptions of wealth. Norman again: "[H]e regarded as his greatest achievement his campaign to restrain the influence, greed and self-dealing of the East India Company, and to insist on the accountability of private power to legitimate public authority."

Here is a conservative who has much to say in the era of predatory finance and selective bailouts.

A politician himself, Norman shrewdly appreciates that Burke's contributions emerged from an active career. Burke understood the limits of the possible because he himself had often bumped up against them -- hard.

Burke spent only a few months of his long political career in office; he passed most of his parliamentary career estranged from the government of the day and exerted almost all of his influence in writings and speeches from the back benches. Norman bumped up one of those limits himself. In September, he voted against his own party leadership on a proposed intervention in the Syrian civil war and was stripped of his party leadership position. In politics, yet separated from it -- that is the place and role to stimulate fresh political thought.

The author of this year's second great work on Burke, Yuval Levin, is located both closer to -- and simultaneously further from -- political power even than Norman. A former domestic policy adviser to President George W. Bush, Levin now edits the flagship conservative policy magazine, National Affairs. At the same time, he is one of the most influential advisers of Rep. Paul Ryan, the former GOP vice presidential nominee; you might say that Levin now holds the Irving Kristol chair as a one-man Republican brain trust.

Levin presents his new work on Burke as a study of a fierce debate that erupted in the 1790s between Burke and his one-time friendly acquaintance, Thomas Paine. Both men were migrants: Burke, Irish-born, had moved to England; Paine, English-born, moved to the American Colonies. Paine had given words to the American Revolution in his pamphlet "Common Sense," which became, after the Bible, probably the most widely read book in the America of the 1770s. Burke had urged compromise with the Americans in speeches in Parliament and then, after it was too late for reconciliation, urged peace and acceptance of independence.

Fifteen years later, however, those two former allies bitterly quarreled. Burke's 1790 book, "Reflections on the Revolution in France," eloquently and prophetically warned that revolution would end in blood and tyranny.

Paine wrote a rebuttal to Burke, "The Rights of Man," published in 1791. He transplanted himself to France to lend personal support to the new regime and was elected to the French National Assembly.

To his surprise -- but probably not to Burke's -- Paine ended up in a French prison cell when his preferred faction lost power in late 1793. But he was not guillotined, and he lived and kept writing, becoming probably the first writer in English to propose something prophetically like the modern welfare state.

In "The Great Debate: Edmund Burke, Thomas Paine, and the Birth of Left and Right," published in December, Levin argues that Paine deserves equal billing with Burke as a founder of our modern political debates. Levin sets each thinker as a standard and corrective for their modern descendants.

Yet as Levin himself seems well aware, it is the conservatives who have drifted further -- and who need correction more. Levin's Burke often seems to be debating -- not against his contemporary Paine -- but against our contemporaries of the libertarian right.

"Burke essentially denies the relevance (though not necessarily the existence) of abstract, individual, natural rights. He defines instead some practical rights to the benefit of society. And those benefits do not amount to freedom or power. In fact, some of the benefits of society to which men have a right involve restraints on their freedom and their passions."

And again:

"Human beings cannot live in society if they follow their wants and passions unrestrained, and so one of the rights of citizens is to have their passions brought under some control. Thus society guarantees some liberties and some restraints, and precisely how these are balanced is in normal times a matter of prudence, not absolute principle."

And once more, this time maybe most tellingly:

"Where Paine imposes on government the obligation to respect the freedom of action of each of its citizens, Burke imposes on government a much less exacting (if somewhat more demanding) obligation to meet the wants of the people and advance the interests of the complex social whole."

It is Paine, Levin's non-hero, who speaks the language of the tea party -- and Burke, Levin's hero, who rejects maximum individual rights in favor of a theory of social obligation. Burke sees, and Levin sees with him, that a politics of egoism and individualism leads to the dissolution of the institutions a conservative will want to protect.

As Levin concludes: "Today's conservatives are thus too rhetorically strident and far too open to the siren song of hyper individualism. ... They could benefit by adopting Burke's focus on the social character of man [and] from Burke's thoroughgoing gradualism."

These are wise and needed cautions -- and phrased with the cautious wisdom necessary to make them acceptable to conservatives who do not wish to hear what they most need to know.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

British thinker Edmund Burke often considered the "first conservative," David Frum says

@highlight

Yet Burke would differ from the radical individualism of today's U.S. conservatives, he says

@highlight

Frum says Burke saw the importance of community, continuity and responsibility

@highlight

Frum: Two new books show the need for taking Burke's philosophy seriously today