Tokyo (CNN) -- When the Japanese business community talks about the incredible bounce back of Japan's supply chain, the name Renesas Electronics is usually on the tip of their tongues.

You can see why. Their factory in the city of Naka is humming with life today, showing little signs of the devastation it suffered following the earthquake and tsunami a year ago. The remarkable part of Renesas' success story is not that it was achieved, but that the full recovery of its plant happened months ahead of schedule.

"I was wondering if this sterile room or this factory would ever be the same again," said Naka Plant general manager Takashi Aoyagi, pointing out the immaculate, sterilized production floor where the company's microchips are manufactured.

Aoyagi was at the plant when the magnitude 9.0 earthquake struck on March 11, creating a force so powerful that he was thrown across a room with the furniture.

Ceilings caved in, computers cracked and critical air filters were jammed with dust -- Renesas' computer chips rely on sterile, dust-free conditions for production. Aoyagi was looking at a clean-up operation unprecedented in the firm's history.

The worldwide auto industry was also looking at an unprecedented problem because of the damage to this one plant.

When 70% of all drivers in the world start their cars, the microchip inside the vehicle's computer whirls to life. This computer chip is essential to the car's functionality, though most vehicle owners have no idea of its existence or that it traces back to Renesas Electronics.

Drivers may still not know the name Renesas, but automakers got a jarring lesson in the importance of the company's role in the car parts supply chain.

The auto industry began to raise the alarm shortly after the earthquake -- production lines around the globe could grind to a halt without a rapid recovery at Renesas. The company, with its highly specialized technology, had forged a relationship with so many car manufacturers that the bulk of the industry relied on its microchip.

New auto sales plummeted 37% after disaster

"You have people outside of Japan who relied on most of components outside of Japan to not source from other countries. Thinking before, Japan would have been a very reliable source. Now understanding that it's not the case, even for Japan," said William Saito, a council member on national strategy and policy for Japan's government.

Automakers like Nissan say they learned that lesson and have diversified their supply chain. What that means for companies like Renesas Electronics is the company is looking at more competition and a demand for reductions from its buyers.

Renesas' president, Yasushi Akao, said the lessons of the supply chain break is another hurdle for Japanese companies, which already face economic headwinds of the strong yen and high production costs in Japan. But he believes his company can survive and even thrive amid the global economic pressure.

"I really believe it's part of our company's power," he said.

Akao points to the remarkable weeks after the quake. Thousands of workers descended on the Naka factory, working without electricity or running water in sub zero, winter weather. Half of the people working on rebuilding the company were volunteers from Renesas' customers and partners.

"They never complained," recalled plant manager Aoyagi, who still gets emotional thinking about the massive effort. He said the workers and volunteers organized themselves and even found ways to find water and food on their own, while focusing on getting the company back to pre-quake status.

He admits his company is facing new pressures and will have to deal with them, despite the fact that the Naka factory is a shining example of the supply chain's rebound. But he believes his company can do it.

Aoyagi then paused and looked out at the sterile production room, busy with the massive orders from his customers around the world. He has recent history as proof of what determination can do.

@highlight

Renesas Electronics, which makes microchips, suffered huge amount of damage

@highlight

Auto industry was also looking at an unprecedented problem because of the damage to this one plant

@highlight

When 70% of all drivers in the world start their cars, the microchip inside vehicle's computer whirls to life

@highlight

Thousands of workers descended on the Naka factory in the aftermath to clean up plant