The streets of Ashkelon were half empty when I arrived on a Monday afternoon. The latest war was under way, and Haaretz had just published a critical article I'd written about Israel's air force pilots and the grave consequences of their bombardment of Gaza.

I came to this southern Israeli town, not far from Gaza, to chronicle the fear spreading throughout Israeli communities near the border. As a columnist for the country's leading liberal newspaper, I am quite used to people being hostile towards my views, but this was something new.

As I arrived in the town center for a live interview with Channel 2, a crowd of people immediately swarmed around me, cursing me with an aggression that I've never seen before. The bullies encircled me, jumping in front of the camera in an attempt to prevent the interview from going on. The show's host cut the broadcast off. The mob hurled insults at me, calling me "garbage" and a "traitor" and accused me of claiming that Israeli pilots were murderers -- something I never said.

As the crowd's anger grew, I rushed to my car and drove out of the town center, the men's screams trailing off as I steered my way out of Ashkelon. But it wasn't just the street mobs. Leading figures in Israel have publically called me a traitor. Yariv Levin, a senior member of Prime Minister Benjamin Netanyahu's party, called on TV for me to be charged with treason during war time. Haaretz has hired a bodyguard to ensure my safety, and my life has been turned upside down by the incident.

They haven't succeeded in silencing me. I will continue to write about the brutality of this war, about the atrocities, the mass killing of civilians and the horrifying destruction in Gaza.

But I am not the story. The real tale to be told is of the unprecedented cracks in Israeli democracy that have been revealed in just one month of conflict. Years of nationalistic incitement by the Israeli government, of expressions of racism, of anti-democratic legislation, of price-tag actions against Palestinians in the West Bank, without anyone being brought to justice -- all of that intolerance has suddenly exploded in our faces.

Anti-war protesters have been assaulted in the streets by right-wing hooligans. People were reportedly fired from their jobs because of critical remarks they made on their private Facebook accounts. And social media was flooded with racist, nationalistic and exceptionally brutal and callous content, which was then spread to tens of thousands of Israelis.

Several weeks ago a university professor in Ramat Gan emailed his students to say he hoped that their families, whoever they might be, would be safe during these dark times. This simple act of kindness was enough for the dean of the faculty to try to have the professor apologize to his students, some of whom claimed to have been offended by his words. Failing to make a distinction between the value of Israeli and Palestinian blood is apparently enough to contravene the values of Israeli academia and cause a public scandal in Israel in 2014.

B'Tselem, an Israeli human rights organization, was concerned that Israeli media never mentioned the names of the Palestinian victims of Israel's offensive. So they produced a paid advertisement listing the names and ages of some of the children who had been killed in Gaza. But the Israeli broadcasting authority refused to air it, on the grounds that it was "politically controversial".

The list of examples could go on and on.

But the biggest problem is not the marginal extremist who cheers for the killing of Palestinian children in Gaza, or applauds every Israeli bomb that falls on a private residence. The biggest problem is the Israeli mainstream, which spoke with one voice during this war, and which had zero tolerance for any kind of dissent, or even the simplest human compassion with Palestinian sacrifice, suffering and bloodshed.

It is all about dehumanization. As long as Israelis don't perceive Palestinians as equal human beings, there will never be a real solution. Unfortunately, dehumanizing the Palestinians has become the best tool to strengthen the occupation, to ignore and deny its crimes and enable the Israelis to live in peace, without any moral dilemmas. If the Palestinians are not human beings, there is no question about human rights. This process climaxed in this war and this is the real basis for the moral blindness which has covered Israel.

One of Israel's greatest assets -- as well as the source of its greatest pride -- has been our liberal, democratic and free society. But what we're doing to ourselves now is a greater threat to our existence than Hamas' rockets could ever be. Israel likes to describe itself as "the only democracy in the Middle East," but it's really only a democracy for its Jewish citizens who are quick to fall in line with the mainstream every time Israeli tanks roll across the border.

It may not have always been this way, but I fear that this new phenomenon is here to stay. There is no one to stop it. The Israeli media, commercial and free, is collaborating with it; the legal and legislative systems are stepping back, and so is the political system.  We will carry the scars of this summer with us from now on. The people who were too afraid to speak out against Israeli aggression this time around won't be any more likely to stand up next time. Can you think of any worse news out of Israel?

@highlight

Levy: Unprecedented cracks in Israel's democracy have been revealed after month of Gaza conflict

@highlight

Levy: Biggest problem is Israeli mainstream's failure to tolerate dissenting voices

@highlight

Levy: Many Israelis no longer perceive Palestinians as equal human beings

@highlight

Levy: Dehumanization allows Israel to strengthen its occupation and deny Palestinians rights