RIO DE JANEIRO, Brazil (CNN) -- Automated messages sent from Air France Flight 447 just before it crashed Monday indicate the plane's systems were providing contradictory information about its airspeed, the jet's manufacturer said on Friday.

Friends and relatives of the 228 people aboard Air France Flight 447 attend a memorial service Thursday in Brazil.

That suggests the pilots may have been flying too fast or too slow through the violent weather they encountered before the crash, officials said.

In addition, investigators have said the plane's autopilot disengaged, cabin pressure was lost and there was an electrical failure before the disaster.

Airbus confirmed on Friday that in the wake of the crash it sent a Telex to operators of all Airbus models reminding them what to do when speed indicators give conflicting readings.

The spokesman said the notice does not mean there is any major flaw in the aircraft, but is simply a reminder to pilots about what to do in the cockpit if they get conflicting information about air speed.

Message transmissions from the aircraft in the final moments before it crashed Monday into the Atlantic Ocean show there was an "indicated inconsistency in measured air speeds," Airbus said. The company did not elaborate.

Experts said that could mean the pilot's and co-pilots' sensors were showing different speeds.

"If they're malfunctioning, it can give a false read that can be misinterpreted in the cockpit, and a disaster can follow," said Peter Goeltz, the former managing director of the U.S. National Transportation Safety Board.

While the pilots themselves sent no distress calls, the aircraft's computer system relayed about four minutes of automated messages indicating a loss of cabin pressure and an electrical failure, according to investigators.

Airbus said it sent the Telex Thursday night after the action was recommended by the French investigating agency, which plans to hold a news conference Saturday morning in Paris, France.  Watch as experts question whether recovery is possible »

Meanwhile, the hunt for debris continued Friday, a day after a Brazilian air force official said debris plucked from the ocean was not from the Air France jet.

A U.S Navy P-3 temporarily based in Brazil has flown three missions -- on Wednesday, Thursday and Friday -- in assisting the Brazilian government search for debris, but found nothing connected to the disaster, U.S. Southern Command spokesman Maj. Darryl Wright said.

Earlier Friday, Goeltz said the search for Flight 447's voice and data recorders is becoming more difficult as ocean currents disperse debris from the crash site.

"The clock's ticking" in the search for the plane's recorders, he said. "The batteries on these locator devices attached to the black boxes have a limited life span -- just 30 days," he said. "The longer time goes on, the further away from the actual crash site the debris floats."

All 228 passengers and crew aboard the Airbus 330 are presumed to have died when the plane disappeared northeast of the Fernando de Noronha Islands, an archipelago 355 kilometers (220 miles) off the northeast coast of Brazil. The flight originated in Rio de Janeiro, Brazil, and was en route to Paris.  Map of Flight 447's flight path »

While the ocean depth in the area where the plane is thought to have crashed presents a challenge, the challenge may not be insurmountable, Goeltz said. "We've recovered boxes as deep as 6- or 7,000 feet," he said. "We've recovered debris from as much as 10,000 feet."

Authorities have said the depth of the water in the area ranges from 3,000 meters (9,840 feet) to 7,500 meters (24,600 feet).

Cmdr. Christophe Prazuck of the French Ministry of Defense said Friday that a French research vessel was expected to arrive this weekend in the search area carrying a deep-diving submersible. The submersible would try to pinpoint the recorders, but must rely on another vessel to retrieve them, he said.

The submarine helped recover artifacts from the Titanic disaster.

Meanwhile, France's transportation minister warned that "extreme prudence" should be used in releasing information about why the plane crashed.

It is possible the plane experienced a total electrical failure, officials have said. Goeltz said it is possible the jet's speed indicator was faulty.

"That could really be disastrous and it's happened before," he said, speaking generally.

If it malfunctions, "it can give a false read into the cockpit that can be misinterpreted," he said.

Investigators also said the autopilot system may have failed.

A Spanish pilot reported seeing an "intense flash" near where the plane is believed to have crashed, the Spanish carrier Air Comet said on Thursday.

The co-pilot and a passenger on the flight from Lima, Peru, to Lisbon, Portugal, also said they saw a light. Air Comet said the pilot's report has been sent to Air France, Airbus and the Spanish civil aviation authority.

CNN's Mike Mount contributed to this story.

@highlight

French officials: Sub could find recorders; other vessel needed for their retrieval

@highlight

Airbus: Automated messages indicate contradictory info provided on airspeeds

@highlight

Such a problem "could really be disastrous," ex-U.S. aviation safety official says

@highlight

Expert: Finding where recorders lie on seabed harder as debris scattered