London (CNN) -- British Prime Minister David Cameron promised Wednesday that a vote will be held on Britain's membership in the European Union if his party wins the next election, in 2015.

Should Britain stay in the EU? What would the impact be if it left? Send us your thoughts.

Cameron said the British people should have a choice about whether to remain in the EU on the basis of a renegotiated settlement -- or to leave.

The referendum should not be held until it's clear how changes made after the crisis in the eurozone work out, he said, while giving a landmark speech on Europe.

But, he said, it is important to ask "difficult questions" about the future now. Otherwise, British people could "drift towards the exit" if Europe fails.

The key problems Europe faces are instability in the eurozone, a "crisis of European competitiveness as other nations across the world soar ahead," and a lack of democratic accountability, Cameron said.

"There is a gap between the EU and its citizens which has grown dramatically in recent years," he said.

As a result, "democratic consent for the EU in Britain is now wafer thin," he said, and public disillusionment is at an all-time high.

"It is time to settle this European question in British politics," he said. "I say to the British people: This will be your decision."

UK warned against 'cherry-picking' EU policy

The British prime minister insisted that he is not an isolationist, saying he would like Britain to remain part of Europe on the right terms, with the single market and competitiveness at the heart of the relationship.

And he set out a vision for an "updated" European Union that is "more flexible, more adaptable, more open, fit for the challenges of the modern age" -- and said all options should be on the table to negotiate a new deal.

He also warned that leaving the European Union would be a "one-way ticket" with no option of return.

"Over the coming weeks, months and years, I will not rest until this debate is won -- for the future of my country, for the success of the European Union and the prosperity of our peoples for generations to come," he concluded.

Cameron promised a vote in the first half of the next parliament, if his party -- which is currently in a coalition government with the Liberal Democrats -- wins the general election due in 2015.

The prime minister has been under concerted pressure from some members of his party to hold a referendum on Europe. The so-called Eurosceptics want to see Britain get some powers back from the EU, as well as a reduction in legislation they say holds back businesses.

However, others both in and outside the party warn that creating uncertainty about Britain's membership in the European Union risks undermining the confidence of businesses and industry at a critical time.

Fellow European nations may also be unwilling to renegotiate the terms of Britain's membership.

France and others have made it clear that Cameron cannot "cherry-pick" which elements of the European Union he signs up to, or risk unraveling the union to suit British interests.

French Foreign Minister Laurent Fabius told radio station France Info that the planned referendum "risks being dangerous for Britain itself because Britain outside of Europe, that will be difficult."

If Britain did decide to leave the European Union, France would roll out the red carpet for business leaders, Fabius added.

Italian Prime Minister Mario Monti, speaking at the World Economic Forum in Davos, Switzerland, predicted Britain would remain in the EU.

"I am confident that if there is to be a referendum one day, the UK citizens will decide to stay in the EU and contribute to shape its future," he said. "I think the EU does not need unwilling Europeans."

Britain is a net contributor to the European Union and an important player in the single market, which may give Cameron some additional sway -- but critics warn he is taking a big gamble.

Former Belgian Prime Minister Guy Verhofstadt warned against trying "hold the EU to ransom."

Verhofstadt, who leads the Alliance of Liberals and Democrats for Europe in the European Parliament, said Cameron's speech was "filled with inconsistencies" and showed "a degree of ignorance about how the EU works."

New year, same old problems?

"By holding out the prospect of renegotiating the terms of Britain's membership of the EU and subjecting it to a referendum, David Cameron is playing with fire," he said.

U.S. President Barack Obama last week told Cameron that "the United States values a strong UK in a strong European Union."

And Philip Gordon, the U.S. assistant secretary for European affairs, also made it clear that there would be consequences for Britain if it either left the EU or played a lesser role in Brussels.

"We have a growing relationship with the EU as an institution, which has an increasing voice in the world, and we want to see a strong British voice in that EU," he told reporters at the U.S. Embassy in London.

"That is in America's interests. We welcome an outward-looking EU with Britain in it."

Markets across Europe were flat Wednesday morning after Cameron's speech, including in London.

Labour leader Ed Miliband said ahead of Cameron's address that it would "define him as a weak prime minister, being driven by his party, not by the national economic interest."

Miliband said Tuesday that Cameron had rejected the idea of an "in/out" referendum on Europe in October 2011 because of the doubts it would foster.

"The only thing that has changed since then is he has lost control of his party and is too weak to do what is right for the country," Miliband said.

"Everyone knows that the priority for Britain is the jobs and growth that we need. We have had warning after warning from British business about the dangers of creating years of uncertainty for Britain."

Cameron also lacks the support of his party's coalition partner, the Liberal Democrats, for the move. Party leader and Deputy Prime Minister Nick Clegg told UK media that creating years of uncertainty over Britain's place in Europe was not in the national interest at this time.

Cameron's Conservative Party faces a growing domestic political threat from the UK Independence Party, or UKIP, which wants Britain to withdraw fully from the EU.

UKIP leader Nigel Farage, who is also a member of the European Parliament, said Cameron's speech Wednesday had "defined the national debate about our place in the European Union. No longer can the case for British withdrawal be confined to the margins. The genie is out of the bottle."

But Farage questioned whether Cameron is truly committed to reclaiming powers from the European Union, or is just seeking to win votes.

Daniel Wilsher, an expert in EU law at City University London, said Cameron will need to come up with "some convincing bargaining chips" if he wants to persuade other EU members to negotiate a new deal.

Cameron's threat to wield Britain's veto over treaty changes to deepen ties within the eurozone will not be enough, Wilsher said.

The British prime minister also focused on the importance of the single market, Wilsher said, but membership in this is tied to EU rules regarding workers' rights, consumer safety and environmental protection.

To opt out of certain laws, such as the EU directive on working hours, "is legally difficult and would disturb a premise of the single market," he said. "Overall, it would be very hard to change the fundamentals without allowing every country to pick on its own pet hates."

President of the European Parliament Martin Schulz had a similar view, tweeting: "#Cameron's Europe a la carte not an option. We have to focus on jobs & growth rather than getting lost in treaties discussions."

Cameron was due to give the speech on Europe last week but had to postpone its delivery because of the Algerian hostage crisis.

Medvedev: Russia is open for business

Should Britain stay in or leave the European Union? What would be the impact on you or your country if it left? Add your thoughts in the comments section below.

CNN's Claudia Rebaza contributed to this report.

@highlight

NEW: Italy's prime minister says he's sure Britain will remain part of the EU

@highlight

"We want to see a strong British voice in the EU," a U.S. diplomat says

@highlight

Cameron sets out options in a landmark speech on Britain's future in the European Union

@highlight

He wants a vote on Britain remaining in the EU on renegotiated terms -- or leaving