(CNN)The justices of the Supreme Court practice politics as much as law -- and that will be clearer than ever when the issue of same-sex marriage comes before the court on Tuesday.

Public opinion on same-sex marriage has turned upside down since the Supreme Judicial Court in Massachusetts first legalized the practice in 2003. Overwhelming opposition has turned into substantial majority support, especially among young people of all political persuasions. Even the name of the issue has changed -- to marriage equality.

Of course, the Constitution has not changed since 2003, a point that will surely be made by such opponents of same-sex marriage as Justice Antonin Scalia. To originalists like Scalia -- those who believe the Constitution should be interpreted only as it was originally understood by the framers -- the idea of a constitutional right to same-sex marriage is anathema.

To them, the Constitution means only what it meant to those who wrote it -- and James Madison (or the authors of the 14th Amendment, just after the Civil War) never gave a thought to whether they were granting gay people the right to marry.

But the Supreme Court has always been about a lot more than the intentions of the framers. And public opinion is just one of the extrajudicial factors that the justices sometimes take into consideration.

In 1954, the Supreme Court ruled unanimously that public schools could no longer segregate students by race, even though the authors of the 14th Amendment clearly considered segregated schools to be permissible.

Chief Justice Earl Warren, who wrote the opinion in Brown v. Board of Education, recognized that the world had changed, especially in light of the Cold War. Warren knew that segregated schools damaged the United States' reputation in the contest for hearts and minds around the world, and he steered the court accordingly.

Warren's motives had nothing to do with the framers' intentions, and little to do with the words of the Constitution itself, but these kinds of motivations have been common throughout the history of the Supreme Court.

There are risks, of course, when the justices are guided by more than the text and history of the Constitution. Like everyone else, the justices have imperfect instincts when it comes to measuring public attitudes.

Justice Ruth Bader Ginsburg is a fervent supporter of abortion rights for women, but she has expressed reservations about the court's decision in Roe v. Wade, the 1973 ruling that required all 50 states to legalize abortion. She has argued that the court interrupted a political process for legalization that was already underway, and that the case ignited a backlash that wound up hurting the cause of abortion rights.

Her position is debatable on several scores. Abortion rights were not ascendant everywhere in the '70s, and opponents were already well mobilized. But Ginsburg's misgivings about Roe have served as an important backdrop to the Supreme Court's consideration of same-sex marriage.

Still, when it comes to Supreme Court decisions, it is usually safe to bet that a majority of the justices will come down on the side favored by most of the public. In any case, as we head into the argument, it looks like most of the justices have already made up their minds.

After the court decided United States v. Windsor in 2013, which invalidated most of the 1996 law known as the Defense of Marriage Act, more than a dozen federal district courts around the county said the reasoning of that case required the legalization of same-sex marriage. These judges allowed these marriages to begin taking place around the country. Supporters of the existing laws went to the Supreme Court and asked for stays of the lower court rulings, because the justices themselves had not yet permitted the marriages to take place.

But in each case, the Supreme Court denied the stays and allowed same-sex marriages to proceed -- those marriages are now legal in 37 states and the District of Columbia. In a brief dissenting opinion from the failure to grant the stays, Justice Clarence Thomas suggested the issue had already been settled in the minds of his colleagues. "This acquiescence [in allowing marriages to proceed] may well be seen as a signal of the court's intended resolution of that question," Thomas wrote. "This is not the proper way to discharge our ... responsibilities."

But Thomas only drew Scalia to join his dissent, suggesting that even fellow conservatives Chief Justice John Roberts and Samuel Alito saw the writing on the wall.

In any case, at oral argument, we'll get a clue what the justices are thinking about the issue. But we already know that their decision, like so many in the court's history, will be based on a great deal more than the text of the Constitution.

@highlight

Jeffrey Toobin: SCOTUS to decide same-sex marriage as U.S. largely in favor. Did framers intend this? That doesn't always matter

@highlight

He says originalists on the court may hew to conservative view, but most of the justices have given clues that they see writing on wall