London, England (CNN) -- A detailed and well-preserved Roman parade helmet -- complete with fine facial features on its face mask, tight curly hair, and a griffin-topped cap -- sold at auction Thursday for 10 times its estimated amount.

The helmet sold at Christie's auction house in London for 2.28 million pounds ($3.6 million). It had been estimated at 200,000 to 300,000 pounds (about $316,000 to $475,000).

The buyer of the helmet was not immediately known.

The Tullie House Museum in Carlisle, near where the helmet was found in May by a person with a metal detector, had launched a public fundraising appeal to try to procure the helmet as the centerpiece for a new Roman gallery.

Christie's called the Crosby Garrett helmet -- so named for the village where it was found, about 45 miles south of the Scottish border -- an "extraordinary example of Roman metalwork at its zenith" and said it dates to the late 1st to 2nd century A.D.

"The Crosby Garrett helmet sets itself apart by virtue of its beauty, workmanship, and completeness, particularly the face mask, which was found virtually intact," Christie's says. "In addition, the remarkable Phrygian-style peak surmounted by its elaborate bronze griffin crest appears unprecedented."

The helmet is made of two sections: the tall pointed helmet and the face mask. The latter has openwork eyes, which would have allowed the wearer to see during the cavalry sports events -- known as hippika gymnasia -- when it would have been used.

The face has incised eyelashes on the upper and lower lids, herringbone eyebrows, and pierced nostrils, all framed by three rows of corkscrew curls.

At the peak of the cap is a small griffin, seated with its wings outstretched, revealing the incised feather detail. Its right paw is raised and rests on the rim of a small amphora.

Colorful streamers may have been attached to the helmet when it was worn, Christie's says.

Arrian of Nicomedia, a Roman provincial governor under Hadrian, wrote the only surviving contemporary source of information on cavalry sports events, according to Christie's. He describes cavalrymen divided into two teams that took turns to attack and defend, and suggests that wearing the helmets was a mark of rank or excellence in horsemanship.

"Participants would also carry a light, elaborately painted shield, and wear an embroidered tunic and possibly thigh-guards and greaves, all of which would contribute to the impressive spectacle," Christie's says. "These events may well have accompanied religious festivals celebrated by the Roman army and were probably also put on for the benefit of visiting officials. The displays would have been intended to demonstrate the outstanding equestrian skill and marksmanship of the Roman soldier and the wealth of the great empire he represented."

The helmet is one of only three that have been discovered in Britain complete with face masks, Christie's says. The first was found in 1796 and is now at the British Museum in London, and the other was found around 1905 and is at the Museum of Antiquities in Edinburgh, Scotland.

The helmet was offered for sale along with other antiquities, including Egyptian pottery and Etruscan and Greek gold jewelry.

Tullie House Museum said a benefactor pledged 50,000 pounds ($79,000) toward its fundraising appeal to bring the helmet back to the region, on condition the public matched the amount.

In all, the museum said it hoped to raise 80,000 pounds ($127,000) in order to obtain financing from other organizations for an auction bid.

"Tullie House's archaeology collections are extensive with a particularly important collection of Roman Cumbria material, especially from Carlisle and the Hadrian's Wall area," it said. "In the development of its collections, Tullie House prioritizes artifacts that are judged to be of high importance to the local heritage and to ensure that items remain or are returned to Cumbria."

Carlisle was an important military center in Roman times, when it was known as Luguvalium. The first Roman fort in Carlisle was built in 72 and 73 A.D. during the initial conquest of northern Britain, at a strategic point overlooking the confluence of two rivers, and just west of the main north-south road, which was used regularly by troops, according to the museum.

@highlight

The ancient headwear sold for $3.6 million

@highlight

The helmet dates to the late 1st to 2nd century A.D.

@highlight

It would have been used for military displays, not battles