(CNN) -- Gmail doesn't cost any money to use, but it's not free.

Google's popular online e-mail service, which turns 10 Tuesday, may not charge for its Gmail accounts. But the company is still collecting payment in the form of massive amounts of personal information about the people who use it.

With an estimated 500-plus million users, Gmail has grown to dominate the Web-mail world. It has also repeatedly found itself in hot water over privacy. Gmail is facing multiple privacy lawsuits in the United States and Europe, some accusing the company of illegal wiretapping for scanning the content of e-mails.

Google reported $16.86 billion in revenues for the last quarter of 2013 alone. One way it makes money from Gmail is by automatically scanning and indexing messages and using the data it mines to show relevant ads to its users.

"The basic premise of Gmail is, we'll give you a robust e-mail service and in exchange we want to display ads alongside our e-mail and we're scanning your e-mail to decide what ads are most relevant," said Eric Goldman, a professor at the Santa Clara University School of Law.

Scanning and ads

Gmail looks for keywords that identify topics of discussion based on things such as frequency and context, then matches the e-mail up with related ads. A conversation thread about meeting up at a spinning class, for example, might trigger an ad for a weight-loss product.

Data gathered through e-mail scanning can also be used to create user profiles for future ad targeting.

What many consumers don't consider is that companies such as Google can create a comprehensive profile of each user based on information from different products such as search, maps, e-mail and Google+, its social network.

"Nothing in life is free, and as a result it is important for people to understand what value they bring to a free service of any kind," said Behnam Dayanim, a partner at the law firm Paul Hastings LLP in Washington.

When people send and receive messages using a free e-mail service, they are sharing details about their interests, who their connections are and what their finances look like. That information might seem mundane on the surface, but when extracted and organized, it's incredibly valuable to marketers and advertisers.

All the major e-mail providers, including Microsoft Outlook and Yahoo, benefit one way or another from offering a free service. The provider might serve up general or targeted ads, generate a user base for marketing other services, or just use the e-mail service to build brand recognition.

And while Gmail may have popularized it, targeted ads based on user data has become the primary business model for many tech companies. It's how social media companies such as Facebook and search engines such as Bing make money as well as a huge number of apps that scrape contact and location information from users. It's also led to a number of similar privacy lawsuits against other companies, including LinkedIn, Yahoo and Facebook.

Any company that collects personal information has to advise its customers what it is doing with their information and comply with any relevant privacy laws, Dayanim said. These are usually laid out in the lengthy terms and conditions and privacy policies that customers barely skim before hitting "agree."

However, many of the details about how exactly Google's program works have been kept confidential. And critics say the service doesn't adequately disclose what it is doing with customers' information.

Legal action

When Gmail made its debut in 2004, it was upfront about the fact that it would show contextual ads targeted to match the topic of e-mail threads. People still lined up to be accepted as early beta users of the service because it was slickly designed, included ample amounts of storage, and was excellent at filtering out spam. And it didn't cost anything to sign up.

One problem is that not all the people affected have agreed to Google's privacy policy. One group of plaintiffs in a recent class-action lawsuit were non-Gmail users who sent messages to Gmail accounts. Google responded that non-Gmail customers had no expectations of privacy when sending e-mails to people who did use the service.

Google has defended its e-mail scanning program by pointing out that it's automated and handled by computers picking out keywords. Google's employees aren't personally reading through e-mails for the latest lovers' spat.

Google also says the scans are necessary to cut down on malicious e-mails and spam, and for features such as Priority Inbox and the tabbed view that filters e-mails into different categories.

A federal judge dealt a blow to the case this month, ruling it couldn't proceed as a class-action lawsuit because the different groups weren't cohesive enough. A class-action lawsuit could have cost Google trillions of dollars in damages.

A changing landscape

When Gmail debuted in 2004, the rules for collecting user information were looser. But the privacy landscape has changed drastically over the past 10 years.

Several U.S. states have passed laws that restrict the use of personal information, the Federal Trade Commission has been more active pursuing privacy violations, and the industry has adopted best practices about what's acceptable.

One thing that hasn't changed is the federal law with the biggest impact on how and when companies can share data with third parties. The Electronics Communication Privacy Act is a dusty piece of legislation passed in 1986, long before the era of cloud-based e-mail. Many legislators and technology companies (including Google) have lobbied to have the law updated to reflect the times.

Meanwhile, consumers must increasingly weigh the value of using a free e-mail service such as Gmail against their personal privacy.

@highlight

Google's Gmail has turned online e-mail service into a profitable business

@highlight

The company scans e-mails and uses data for targeted ads and user profiles

@highlight

Many users don't realize how much their personal information is worth

@highlight

Gmail has been the target of multiple privacy lawsuits