(CNN)A lawsuit that's stirring concern among drinkers of some California wine starts with a history lesson.

The deaths of Napoleon Bonaparte, Simon Bolivar, King George III, King Faisal I and other prominent figures have been attributed to arsenic poisoning, the first paragraph of the 30-page complaint says.

And, now, drinkers of some California wine have become "unwitting 'guinea pigs' of arsenic exposure," thanks to the negligent and misleading actions of dozens of California wineries, according to the class action complaint filed March 19 on behalf of two California couples.

The lawsuit does not include any allegations of physical injury or death due to arsenic consumption associated with drinking the wines named in the complaint. The plaintiffs are seeking monetary damages and a court order requiring the defendants disclose on the bottles the risks of consuming inorganic arsenic in wines and engage in "corrective advertising" regarding their conduct.

News of the lawsuit, which broke last week, struck fear in the hearts of frugal wine consumers nationwide, prompting many to share lists on social media of labels named in the lawsuit, all but declaring the outcome a foregone conclusion.

The complaint names 28 companies that represent 83 low-cost labels familiar to supermarket wine aisle shoppers: Cupcake, Franzia, Flipflop, Rex Goliath and Korbel, among others. Even the maker of Trader Joe's Charles Shaw Zinfandel varietal (affectionately known among fans as "two-buck Chuck"), was called out for allegedly failing to warn consumers that it contained "dangerously" high levels of inorganic arsenic.

But should consumers start looking to other winemakers or other wine-producing states for gallon-sized bottles of zinfandel? Or is the lawsuit a fearmongering tactic being used to drum up business for the beverage-testing company used for the lawsuit, as some defendants and industry insiders have insinuated?

Most of the defendants said their wine was safe to drink when contacted by CNN. Some declined to comment, citing the pending litigation. Others referred CNN to the Wine Institute, a California trade group that called the claims "false and misleading."

"We are concerned that the irresponsible publicity campaign by the litigating party could scare the public into thinking that wine is not safe to consume, which is patently untrue," said the group, which represents 1,000 California wineries, including 10 of the defendants.

The lawsuit alleges that three separate labs "skilled in arsenic testing" independently confirmed that the defendants produce wines containing "dangerously" high levels of inorganic arsenic, in some cases up to 500% more than what is considered acceptable.

"Put differently," the complaint states in bold letters, "just a glass or two of these arsenic-contaminated wines a day over time could result in dangerous arsenic toxicity to the consumer."

A spokesman from the public relations firm representing the plaintiffs and BeverageGrades, which performed the analysis, said the company is confident that its data is "based on sound scientific research." Because the company expects testing methodology to be at issue in litigation, it declined to reveal specific data or testing methods.

"We understand the public interest in this story and look forward to resolving the litigation to make these products safer for consumers. And we hope the winemakers will take these findings just as seriously and work to make sure their wines are safe," spokesman Rob Feldman said.

Without seeing the lab results, experts suggest reserving judgment based on the following issues to arise from the lawsuit:

Arsenic is found in air, soil and water throughout the world. Therefore, it can also found in grains, fruits, vegetables and seafood due to absorption through soil and water.

"Plants take up trace amounts of arsenic from the soil, and we have been ingesting these trace amounts for all of human history. Generally, these amounts are at levels well below that associated with either acute or chronic toxicity," said Cornell University's Gavin Lavi Sacks, director of undergraduate studies for the viticulture and enology program in the College of Agricultural and Life Sciences.

Arsenic occurs in inorganic and organic forms. The FDA describes organic or naturally occurring arsenic as "essentially harmless." Inorganic arsenic has been classified as a human carcinogen by the Environmental Protection Agency.

The first time the U.S. Food and Drug Administration set limits for arsenic levels in food or drink was in 2013, when it proposed to limit the amount of inorganic arsenic in apple juice to 10 parts per billion.

Long-term exposure to inorganic arsenic, mainly through smoking, drinking contaminated water, eating food prepared with contaminated water or eating food irrigated with arsenic-rich water, can lead to health risks such as cancer and skin lesions.

According to the lawsuit, inorganic arsenic makes up the "overwhelming majority" of arsenic in wines at issue, despite the winemakers' ability to limit inorganic arsenic through "responsible winemaking procedures" and "sophisticated testing equipment."

Without providing specific data, the plaintiffs said their analysis found inorganic arsenic "far in excess" of what's allowed in drinking water based on the EPA's standard for arsenic in drinking water: 10 parts per billion.

But the EPA limit for water is based on total arsenic, including both organic and inorganic forms, leading some to question whether it's the best basis for comparison.

This standard is set to protect consumers served by public water systems from the effects of long-term, chronic exposure to arsenic, EPA spokeswoman Tara Johnson said in an email. It's based on how much water people typically drink daily, which ranges from one to two liters, she said.

However, the EPA standard for arsenic in drinking water "is of limited use when considering any potential health risks related to arsenic in wine," FDA spokeswoman Lauren Sucher said in an email to CNN.

"People drink far more water than they do wine over their lifetimes, and they start drinking water earlier in life. Thus, both the amount and period of exposure are different and would require separate analyses," she said.

Seeing as the USDA recommends drinking about 10 cups of water a day and no more than two alcoholic drinks (about 1 cup of wine) a day, "a sensible concentration limit for arsenic in wine should be at least 10-fold higher than for drinking water, and possibly higher, since we also use water for cooking and cleaning," Sacks of Cornell University said.

This is roughly the case in countries that have established limits for arsenic in wine, which leads to the next point:

The U.S. Tax and Trade Bureau regulates the production of alcoholic beverages, and part of this process is testing wine for arsenic, said Erika Holmes, spokeswoman for Washington State University's Viticulture and Enology school.

Even though the FDA has not established a standard for acceptable levels of arsenic in wine, California wine exports are tested and found to be below the established limits for export, Holmes said in an email.

Countries that import California wine also test for arsenic using their own standards: 100 parts per billion in Canada and 200 parts per billion in Europe -- 10 to 20 times higher than the drinking water limit in the United States.

"It's certainly appropriate to look to other countries' regulations for guidance," Sacks said. "Their regulators are presumably looking at the same body of research that U.S. regulators would look to if they were to establish a mandatory limit for wine."

The day CBS News aired a segment on the lawsuit, the company that performed the analysis sent out a news release offering its services to provide "reassurance from arsenic in wine" through "a tool for screening their offerings to ensure the quality of their supply chain."

Neither BeverageGrades nor its CEO, Kevin Hicks, is a party to the lawsuit. But Hicks' appearance in the segment prompted detractors to cry conflict of interest.

In a statement to CNN, Hicks said it was concerning that some winemakers would point to this as a conflict of interest "instead of focusing on making sure their product contains the lowest amount of contaminants possible."

He also defended his company's right to offer its services to retailers, saying he will continue to do so.

"The arsenic data in my testing is based on years of scientific research and operating a commercial chemistry lab for over two years. As a commercial lab no one should be surprised that BeverageGrades has been offering lab testing services to the alcohol beverage industry since July 2013."

A previous version of this story incorrectly stated that the brand Barefoot was a named defendant in the lawsuit. It is not. This story has been corrected. CNN sincerely regrets the error.

@highlight

A class-action lawsuit alleges some California wines contain unsafe levels of arsenic

@highlight

Winemakers respond that their wines are safe and the suit amounts to fearmongering

@highlight

Arsenic can be dangerous in high concentrations