(CNN) -- At the risk of propagating a dodgy cliché, Africa remains one of the last frontiers of travel.

Non-air-conditioned travel, that is, i.e. the kind where you risk stubbing your toe occasionally or getting genuinely lost.

From gorilla sighting in the Ugandan highlands to skiing -- yes, skiing -- in Morocco, it promises untold travel wonders.

But new Africa hands should worry less about stocking up on viral jabs and safari suits than ditching their preconceptions.

For a start ...

Africa can be very cold indeed

It might straddle the equator but not everywhere in Africa is scorching.

Mt Kilimanjaro (Tanzania) and Mt Kenya both have glaciers and nights can be dangerously chilly in the desert, with temperatures dropping to as low as -10C.

It snows in places, too.

You can go skiing in the Atlas Mountains in Morocco, the Maloti Mountains, Lesotho and in the Eastern Cape Highlands, South Africa.

Alongside desert, there are mountains and rainforests

Africa does have vast swathes of desert and flat savanna but also mountainous and exceptionally green parts.

There are the sprawling rainforests of Uganda, Rwanda and the Democratic Republic of Congo (Zaire) and the soft green hill country of Senegal, Guinea and Tanzania.

For more cultivated greenness, South Africa's garden route, on the south-east coast, is so-named because of its lush vegetation and lakes.

And not every desert is a stretch of barren wilderness.

The Kalahari is known for its spring flowers, while the Namib, the oldest desert in the world, is home to desert-adapted elephant, rhino, giraffe and lion.

More on CNN: Touring Nelson Mandela's South Africa

Hippos are the big killers

You should worry less about lions and Nile crocodiles and instead keep an eye out for hippos.

They're the biggest people-killers on the continent.

Found in sub-Saharan Africa, the animal is aggressive, unpredictable and can charge at 28kph.

If you're in a boat (where many people will encounter them) hit the sides to signal your position.

If on foot, keep your distance and never get between a mother and her calf.

Hippos are most aggressive in the dry season when water levels are low and food supplies limited.

Listen out for oxpeckers since the birds issue warning calls if hippo are around.

You won't need every shot in the book

Your childhood vaccines should be up to date for an Africa trip but you don't need prevention against every disease going.

A rabies shot is advisable -- but plan it in advance as it's a series of jabs -- along with injections against hepatitis A, meningococcal meningitis and typhoid.

You may need yellow fever vaccination, too. For some countries, such as South Africa, it's an entry requirement.

Consult with your doctor about your specific travel plans and medical history. Find out more about virus protection while traveling at the Center for Disease Control and Prevention website.

French is useful -- African French even better

Africa's countless ethnic groups mean there are several hundred languages, many with distinct dialects, you could come across.

Former colonial languages -- English, French and Portuguese -- are common, but English may not be as widely spoken as you think.

French is almost essential in West or Central Africa and will probably come in useful in Algeria, Burundi, Djibouti, Rwanda and Tunisia.

African French, however, is very different from what you were probably taught at school -- while you should be able to make yourself understood, you might find it harder understanding others.

The informal "tu" is used much more frequently in Africa than it would be in France, but if you're dealing with officials it's perhaps safer to stick with "vous."

More on CNN: 10 of the best golf courses in Africa

You don't need countless visas ...

If you're traveling in West Africa, consider getting a Visa Touristique Entente (VTE) which covers Benin, Burkina Faso, Niger, Togo and Cote d'Ivoire all in the one document.

It costs around $50, is valid for up to two consecutive months and should save you time and money.

Embassies of Benin seem to issue these with the least amount of hassle, although theoretically they're available from any of the countries' embassies.

... But your car will need papers

If you plan to drive a hire car through Africa you may well need a carnet de passage or a triptyque (the former is for entry to multiple countries, the latter to one), although neither is required for Morocca, Algeria and Tunisia.

Carnets are issued by national motoring organizations and act as a guarantee that import duties will be paid if a vehicle is taken into a country and remains there.

Hire companies won't issue you with a carnet unless they have proof you can afford any duties, so you'll need insurance to cover this.

Some southern African countries don't demand a carnet, although they'll insist you buy a Temporary Import Permit at the border.

Find out more about vehicle documentation at the Fédération Internationale de l'Automobile website (page in English).

Karen Bowerman is a travel writer and former BBC broadcaster who specializes in conservation issues and adventure travel.

@highlight

What should every new Africa traveler ditch first? Their preconceptions

@highlight

It's not scorching everywhere -- there are glaciers

@highlight

Crocs and lions aren't the most lethal animals

@highlight

And you needn't have every virus shot in the book