When Garrett Peterson was born, nurses couldn't rotate his head from side to side. Doing so made him turn blue instantly.

"I will never forget seeing him for the first time like that," his mom, Natalie Peterson, said in a YouTube video posted by University of Michigan's C.S. Mott Children's Hospital. "That was hard."

Garrett was born with tetralogy of Fallot with absent pulmonary valve -- a fancy way of saying he had a hole between the lower chambers of his heart, which put extreme pressure on his lungs.

The pressure caused his airways to collapse; in essence, he was trying to breathe through tiny slits. This condition is called severe tracheobronchomalacia.

"In some ways the heart defect is relatively straightforward to fix," Dr. Richard Ohye, head of pediatric cardiovascular surgery at C.S. Mott Children's Hospital, said in the video. "It's the lung issues and the airway issues that are the bigger problem."

The Petersons spent months watching their son turn blue four or five times a day as hospital staff struggled to revive him, according to a university press release. Garrett was put on a ventilator and heavy medication to prevent him from fighting the breathing tube.

Then in May 2013, Garrett's father, Jake Peterson, read an article about another baby with a similar breathing problem.

Kaiba Gionfriddo had a rare obstruction in his lungs called bronchial malacia. Using an experimental technique never before tried on a human, Peterson read, doctors created a splint made out of biological material that effectively carved a path through Kaiba's blocked airway. The splint was created on a three-dimensional printer.

"It's magical to me," Dr. Glenn Green, an associate professor of pediatric otolaryngology at the University of Michigan, told CNN at the time. Green implanted the splint in Kaiba. "We're talking about taking dust and using it to build body parts."

Kaiba is now 2 years old and free of symptoms related to his bronchial malacia.

Read more about Kaiba's story

The Petersons decided to reach out to see if Green would be interested in helping Garrett.

Devices created with 3-D printers have not yet been approved by the Food and Drug Administration for use in humans. Green and his colleague, biomedical engineer Scott Hollister, had gotten emergency clearance from the FDA to try the treatment on Kaiba.

But by December, Garrett was in critical condition. His parents took him to the Michigan hospital, and Green obtained another emergency clearance from the FDA.

After doing a CT scan of Garrett's trachea and bronchi, Hollister used a 3-D printer to create a splint out of a biopolymer called polycaprolactone.

On January 31, Ohye sewed the splint around Garrett's right and left bronchi to expand his airway. The doctors say the splint will be absorbed by Garrett's body during the next three years as his airways grow stronger. In the meantime, Garrett is breathing easier and needs less help from the ventilator.

"It is a tremendous feeling to know that this device has saved another child," Hollister said in the press release. "We believe there are many other applications for these techniques, but to see the impact living and breathing in front of you is overwhelming."

"Severe tracheobronchomalacia has been a condition that has frustrated me for years," added Green. "I've seen children die from it. To see this device work, for a second time, it's a major accomplishment and offers hope for these children."

Green and Hollister will be participating in a Reddit "Ask Me Anything" Tuesday at noon ET.

Three weeks after the surgery, Garrett was smiling at his parents

"We haven't seen smiles for awhile, so getting smiles is very exciting," Natalie Peterson said in the video.

Doctors believe Garrett will be able to come off the ventilator fully within a matter of months. The couple plan to take their 18-month-old boy home for the first time then.

3-D printed hearts and lungs: The shape of medicine to come

@highlight

Toddler with severe tracheobronchomalacia saved by 3-D printed device

@highlight

Doctors at University of Michigan created a splint out of a biopolymer

@highlight

The splint is helping Garrett Peterson breathe easier with less assistance from ventilator

@highlight

The Petersons hope to take their son home soon