(CNN) -- Ramiz Rafizadeh was driving past Syria's famous Ummayad Mosque in December when another vehicle abruptly cut him off.

Two men got out and shot Rafizadeh to death in front of his deaf daughter, whom he had just picked up from her school in Damascus.

"People who live in the neighborhood and witnessed the shooting talked to my mother and sister and said that the shooters were sitting in the car, waiting," said Rafizadeh's cousin Masoud.

"The car was carrying pro-Assad slogans, similar to the cars used by Syrian intelligence."

Rafizadeh's family wondered whether he was targeted because another cousin, Majid, is a U.S.-based Middle East scholar who has spoken out against the regime of President Bashar al-Assad.

But that's not the only possibility.

5 reasons Syria's war suddenly looks more dangerous

"Even though the neighbors said the gunmen were pro-Assad, the government told us terrorists killed him," Masoud Rafizadeh said.

And that says much about the plight of Syria's Shiite community: a minority with many enemies, including an increasingly radicalized opposition that views them as outsiders and traitors and a desperate regime that questions their loyalty. The Alawite minority that dominates the Assad regime is an offshoot of Shiite Islam, but few Syrian Shiites are among its inner circle.

"The minorities in Damascus, they are completely quiet; they don't want to side with any group. The minorities want nothing but to go to their place of worship and practice their faith." Majid Rafizadeh tells CNN.

The Syrian government views minorities, including Shiites, Christians and Kurds, as a buffer against the rebels, who in turn have tried to recruit from among these groups. But many within the rebels' ranks are wary of the Shiites, suspecting some may have links to the Lebanese militia Hezbollah, whose fighters have begun appearing in Syria on the government's side.

"(Shiites) end up being victims of a proxy war between rebels and the regime and are viewed with suspicion on both sides," said Abbas Barzegar, a professor of Islamic studies at Georgia State University.

Barzegar says the Syrian revolution descended into civil war because of the sectarian nature of the opposition's rhetoric and its inability to control its sectarian tendencies.

"The religious diversity of Syria was once a point of pride, so the destruction of this ideal has been catastrophic," he said.

The Rafizadeh family's tale of horrors includes a niece and a nephew wounded in a car bomb blast, relatives turned refugees, assassinated cousins, kidnapped uncles and a family trapped by fear.

"As my uncle left a funeral of a family who lost a teenage son, armed men took him and his sons by force from their car. My cousin who tried to resist was punched," Masoud says.

Moyassar Saadi and his two adult sons were released after spending weeks as hostages of armed men claiming to be Free Syrian Army rebels. The family, however, believes the kidnappers were actually government forces posing as rebels in a bid to threaten Majid, the U.S.-based critic of the regime.

Two days after his release, the 65-year-old father of four died of a heart attack.

And it didn't end there.

Kerry announces more aid to Syria

"On the New Years Eve of 2013, our cousin Issam was killed. He was heading back home with groceries where he lived in Sidi Miqdad in Damascus suburbs when armed men approached and shot him dead." Masoud says.

"The government told us that the terrorist killed Issam, and those terrorists want to kill all Syrians. Issam was not a member of the public committees or pro-government militias, he was as innocent as Hamza al-Khateeb," Masoud says referring to the fatal torture and mutilation of a 13-year-old boy allegedly by Syrian intelligence during the outset of the uprising.

The atmosphere of chaos means many minorities simply cannot know who or what group has attacked their loved ones and why.

"You know, here in the U.S., we may ask, well, who did this? But for the families in Syria, it does not matter anymore. All they do is try and follow the kidnappers demands so they can get their relative back." Majid says.

More than 1 million Syrians are now registered refugees in neighboring countries. The Rafizadeh family longs to flee the violence but remains trapped in a capital under siege.

"I'm worried that the next target will be my mother or my sisters or my brother. I tried to get them out to Lebanon, but my mother is very sick and old; she can't walk." Majid says.

"I try to call my family every two days to make sure everything is OK. But when I call, and they don't answer, I think someone has broken into the house and taken them or something." he adds.

Majid and Masoud are Syrian Shiites of Iranian origin. Their family comes from a lower-class neighborhood in the Old City of Damascus.

"In the Old City, we were close to different religions. We had Christians, Jewish, Sunni, Shiite. Growing up there it was more like a communal and collective society. People were always visiting each other, so there were strong ties between the families." Majid says.

The brothers and their two sisters grew up in poverty during the secular regime of Hafez al-Assad. Members of his minority Alawite group were given top government and military positions, but Assad cultivated other minorities as a counterweight to the Sunni majority.

Dissent of any sort was not tolerated. While Hafez al-Assad ruled Syria, the Rafizadeh brothers' father was detained and tortured by Syrian security forces for his involvement in a human rights campaign.

Majid eventually escaped the crushing poverty and oppression, receiving a Fulbright teaching scholarship in the United States. Masoud remained in Damascus, quitting school by second grade to support his family by selling memorabilia and tea to tourists.

When Hafez al-Assad's British-educated son Bashar succeeded him in 2000, Syrians hoped for political and economic reforms. They never materialized, and in March 2011 came the first protests against the regime.

Six months later, a radical Sunni preacher issued dire threats against minority groups that did not support the uprising.

"By Allah we will chop up their flesh and feed them to the dogs," Adnan al-Arour said in one of his inflammatory broadcasts on satellite station al-Wesal.

As the civil war enters its third year, it is no longer a simple case of regime against rebels. There are overlapping and intersecting loyalties, foreign fighters and criminals taking advantage of chaos.

"Mounting tensions have led to armed clashes between different armed groups along a sectarian divide. Such incidents took place in mixed communities or where armed groups had attempted to take hold of areas predominantly inhabited by pro-Government minority communities." a recent U.N. report concluded.

"The people are being very cautious of all different groups. They are afraid of all groups. They are afraid of any group outside their home." Majid says.

"The minorities are scared because there are a lot of rumors that there are some extremist radical Sunni groups. They believe that they have distributed fliers saying if you kill one person from a minority, we will pay 100,000 Lira, and there are videos where they mutilate the person."

"The general view is very pessimistic for the minorities; the ones who can are leaving. They are immigrating to European countries. What they hope is that the opposition and Assad can reach an agreement. They don't care about the political structure. They just want the violence to stop," Majid adds.

But there is every sign that the violence is becoming more sectarian and even more vicious.

Earlier this year, fighters from the Sunni jihadist group Nusra Front, designated a terrorist organization by the United States sang "Just wait Allawi. We will come to slaughter you. Forget about any agreement ... We will come to slaughter you, Shiite."

The Rafizadeh family clings to the hope that a political solution can be found.

"I believe that most of the Syrians do not want to see violence in their homeland, and they want the safety and security to be back like it used to be. I don't get involved in politics and I don't want to. I want a normal life in Syria, and just want to live in peace," Masoud says.

@highlight

Shiite family in Syria has endured attacks from all sides in civil war

@highlight

One cousin was shot dead in front of his daughter; others held hostage

@highlight

It's unclear whether attackers were with the Assad regime or the rebels

@highlight

Neither the government nor the rebels trust Shiites in Syria