(CNN)Desperately pursuing a nuclear deal with Iran, scrapping old positions and offering new concessions at a mind-boggling pace, the Obama administration has lost sight of what this regime represents and why the United States and its allies have focused on its nuclear program to begin with.

For more than a decade, U.S. leaders vowed to prevent Iran from acquiring or developing the technology and know-how of nuclear weaponry for a simple reason: we did not want one of the world's most dangerous regimes to possess (and potentially use or distribute) the world's most dangerous weapons.

That's why, starting under President George W. Bush, Washington rallied the international community around increasingly tough sanctions that would remain in place until Tehran comes clean about its nuclear program and the world could rest assured that it would not develop nuclear weaponry. To his credit, President Barack Obama led global efforts to further tighten the screws on Iran, which threatened that nation with economic collapse and coaxed Iranian leaders to the negotiating table.

Nevertheless, the President now seems prepared to ink a deal that would put Iran on the cusp of nuclear weaponry and eventually lift all sanctions, raising the same specter of a very dangerous regime with the most dangerous weapons -- even though the regime has not changed its ideology, its motives, or its behavior in any significant way since the Islamic Republic was founded in 1979.

As Obama has suggested in public comments, the administration envisions that, with a nuclear deal, Iran can emerge from the isolation in which the sanctions have put it and take its rightful place as a responsible player in the Middle East, working with other nations to stabilize the region.

From its earliest days, however, and through two Supreme Leaders and multiple Presidents, the regime in Tehran has been expansionist in the region and beyond, destabilizing of its neighbors, murderous in its activities, and, most fundamentally, anti-American in its approach. "Death to America" has remained a popular chant at parliamentary sessions and government-orchestrated public rallies.

Nothing of late suggests that Tehran will change for the better after a nuclear deal. In fact, a deal of the kind that U.S. and Iranian negotiators are pursuing, which will delay the onset of Iranian nuclear weaponry rather than prevent it, will give the regime greater leverage to pursue its dangerous activities.

For starters, Iran remains the world's most aggressive state sponsor of terrorism, as our State Department continually attests, fueling the murderous efforts of Hezbollah, Hamas, Palestinian Islamic Jihad, and other groups that have killed Americans, Europeans, Israelis, and others. And according to London's Asharq Al-Awsat, it has worked with al Qaeda since 2007 to target U.S. interests in Saudi Arabia and Dubai. Under the emerging deal, Iran has not vowed to stop sponsoring those groups.

Indeed, nuclear weaponry will position Iran to even more effectively rebuff U.S. and other outside pressure to halt its terror sponsorship, and it will enable the regime, if it chooses, to put nuclear weapons in the hands of those groups.

Meanwhile, Iran's leaders continue to threaten to eliminate Israel, the region's lone democracy and America's closest ally, and, under the emerging deal, Tehran has not promised to halt those threats. Nuclear weaponry, when combined with Iran's growing ballistic missile program (which the emerging deal will not affect), will position Tehran to make good on its threats -- or to hold that threat over Jerusalem when it seeks to confront Iran-backed terrorists who are launching rockets, building tunnels, or killing soldiers across its borders.

Finally, Iran continues to pull out all stops to protect Syria's murderous dictator, Bashar al-Assad, by sending forces to help Syria's army fight the U.S.-backed rebels. It's also extending its reach in the region by, for instance, backing the anti-American Houthi rebels who recently overran Yemen's capital and forced its U.S.-backed President to resign. Iran, it seems, is unwilling to abandon its hegemonic dreams, which threaten America's position in the region.

By better protecting Iran from outside pressure, a nuclear deal also will strengthen the regime at home, enabling it to further crack down on activists who seek a more democratic government. That, in turn, will extend the time during which the world's most dangerous weapons will remain in the hands of a regime that's driven by fervent anti-Americanism.

By speeding blindly toward a deal, America's leaders are, put simply, ignoring the many real dangers that Tehran presents to U.S. interests.​

@highlight

Lawrence Haas: Nuclear deal would strengthen Iranian regime at home

@highlight

Nothing of late suggests Tehran will change for better after a nuclear deal, he says