(CNN)If there were an obvious takeaway for the 2016 hopefuls this year, it might as well have been the motto for the 1992 presidential campaign of Bill Clinton: "It's the economy, stupid."

So it is no wonder that many of Hillary Clinton's touchstones on the campaign trail this year have come straight from her husband's 1992 playbook — at times almost verbatim — a focus on rebuilding the middle class, addressing income inequality, and reviving the American promise that each generation should fare better than the last.

The echoes of the early 1990s in Clinton's speeches as she weighs a run for the presidency are no accident. In what amounted to her first major foray on the campaign trail in September at retiring Iowa Democratic Sen. Tom Harkin's steak fry, she spoke of restoring "the basic bargain of America" -- one her husband had proposed in the 1992 campaign -- that "no matter who you are or where you come from, if you work hard and you play by the rules, you deserve the opportunity, the same opportunity as anyone else, to build a good life for yourself and your family."

Flash back to Bill Clinton's speech in struggling Johnstown, Pa., in April of 1992. The American dream that he grew up with, Clinton said in a typical line from his stump speech, had been shattered for millions of Americans. "The idea," he said, "that if you worked hard and played by the rules you'd be rewarded, you'd do a little better next year than you do last year, and your kids will do better than you — that idea has been devastated."

If she runs for president, pundits will invariably argue for the next two years over whether a Hillary Clinton White House would look more like a third term of Barack Obama or Bill Clinton — and Democrats face a difficult challenge holding on to the White House given that it often flips to the opposing party after eight years of one-party control.

But when it comes to voter frustration and unease, Hillary Clinton may be on strikingly similar terrain to what she and her husband navigated in 1991 and 1992.

"You just look at the statistics now and they really do match up with 1992," said Chris Lehane, a White House adviser to Bill Clinton in the 1990s. Given that the Clintons left the White House in the midst of an economic boom with unemployment at about 4%, Lehane argues that there are only upsides for the former Secretary of State in associating herself with her husband's tenure.

"She benefits enormously from connecting herself to that time period, but it also requires putting out a vision that matches with today's challenges," Lehane said. "It really gets down to the basic idea of what needs to be in place in this day and age so that if you're a middle class family, your kids are actually going to have the opportunity to do better than you."

Heading into 2016, the economy has been steadily recovering with unemployment dropping below 6%; as Bill Clinton campaigned in 1991, the economy was in a backward slide (unemployment rose from 6.8% in 1991 to 7.5%). But the pessimism many Americans feel is eerily comparable to when Hillary Clinton first stepped out on the national stage.

Only about 23% of Americans said they were satisfied with the direction of the country in the 2014 Gallup survey, just a shade higher than what the polling firm measured in 1991 and 1992. In an August NBC News/WSJ poll, 60% of voters said they believed America was in a state of decline, compared with 63% who said that in December of 1991.

There has been even greater erosion in the sense of hopefulness about the prospects of the younger generation. In December of 1991 and 1992, the number of Americans who said they were confident that life for the next generation would be better than their own was between 41% and 44%. This August that number sank to 21%.

Aligning with Bill Clinton's early '90s riff on the fading American dream, the December 2014 New York Times/CBS poll found that only 64% of Americans believe it is possible to start poor in this country, work hard and become rich -- an even lower percentage than in the mid-1990s (70%).

Republican Pollster Whit Ayres noted that Bill Clinton won in 1992 by wrapping his middle-class focused message around a policy agenda with conservative elements that appealed to a broader audience.

"Bill Clinton in 1992 was running as a center-left Democrat who wanted to end welfare as we know it, he was for the death penalty, he ripped into Sister Souljah for saying we ought to have a week where we kill white people," Ayres said. By contrast, Hillary Clinton "is for all the touchstones of the left today," he said, and has yet to show how she would win over more moderate voters.

While Clinton ran as the candidate of strength and experience in 2008, Steve Schmidt, a Republican strategist who advised former President George W. Bush and 2008 Republican presidential nominee John McCain, said Clinton has yet to clearly outline a justification for her candidacy in 2016.

"I don't think it's readily apparent to anybody, including most every Democrat, what Hillary Clinton is running for president to do or to be, which was not ever the issue with Bill Clinton," Schmidt said. "There are change elections and there are 'more of the same' elections, and there was a lot of economic anxiety in the 1992 election and (Bill Clinton) was able to drive a change narrative."

"After eight years of Barack Obama, it's very difficult to understand what kind of change it is that Hillary Clinton's candidacy could represent," he said.

To the extent that Hillary Clinton has hinted at her policy agenda, she has not been shy about suggesting that she would build on her husband's legacy, which she took part in shaping as his informal strategist, sounding board and speech editor.

The central thread through many of Clinton's political speeches in recent months has once again been the idea of championing the middle class — the "invisible Americans" as she called them in 2008 — or "fighting for the forgotten middle class" as her husband's 1992 campaign brochure framed his version of that message.

When talking about expanding paid family leave, for example, she often notes that the Family and Medical Leave Act was the first bill her husband signed in the White House. She has also reminded audiences that he signed legislation that raised the minimum wage in 1996, as she makes the case for another increase.

When addressing economic angst while campaigning for Democratic hopeful Bruce Braley in Iowa in late October, she alluded to the Clinton White House years as a kind of golden era: "Millions of new jobs were created, more families made it into the middle class, and more families got lifted out of poverty," she said.

Moving beyond nostalgia, she has also tried out variations of the 1992 campaign lines. In seeking to connect, she has echoed the motto that her husband used in his 1992 convention speech: "I am a product of the middle class and when I am president, you will be forgotten no more."

"I am a product of the American middle class," she said at the Women in the World Conference in April, adding that she wanted other American children to have the opportunities she had.

At the Harkin Steak Fry, she lamented that American families "are working harder than ever" but finding that maintaining a middle class lifestyle is like "rolling a boulder uphill."

Cue the tape again to Bill Clinton's 1992 convention speech: "People are working harder than ever," he said, "and their incomes are still going down."

When she was by his side during a 1992 bus tour from New York to St. Louis, Bill Clinton sought to strengthen his connection with working class voters by saying he was "tired of the dignity being stripped from blue collar work in America."

When Hillary Clinton went to Pennsylvania in October, she carried that theme forward while campaigning for Democratic gubernatorial candidate Tom Wolf. "There is nothing but dignity in hard work," she said in that speech, calling for greater respect for the jobs held by her own generation and that of her parents.

If the winning strategy for any candidate in 2016 is to show an understanding of the economic angst that voters are feeling — and policies to address it — Republican strategists point out that Clinton's other hurdle will be that her husband was far more natural in showing his empathy for others as he delivered that message.

In anticipation of her run, Republicans have pounced on every opportunity to argue that it has been a long time since the Clintons were a struggling young couple in Arkansas — focusing on their wealth and her hefty speech fees.

"She has lived a pretty gilded life for the last couple of decades," said Republican strategist Katie Packer Gage, referring to the trappings of Clinton's various roles as First Lady, Senator and Secretary of State like her security detail. "When's the last time that she got into a cold car?"

Clinton's most notable stumble in that arena was when she told ABC's Diane Sawyer during her book tour that she and her husband were "not only dead broke, but in debt" when they left the White House, as they struggled to pay mortgages on several homes and their daughter's private school education.  She quickly sought to clarify her remarks on "Good Morning America."

"I fully appreciate how hard life is for so many Americans today," she said. "It's an issue that I've worked on and cared about my entire life."

In 2016, Republicans will be looking for every opportunity to make her prove it.

@highlight

Clinton's economic rhetoric is straight from husband's 1992 playbook

@highlight

She has spoken of restoring "the basic bargain of America"

@highlight

Voter frustration is reminiscent of what the Clintons navigated in 1991 and 1992