(CNN) -- The indigenous people of Alaska have stood firm against some of the most extreme weather conditions on Earth for thousands of years. But now, flooding blamed on climate change is forcing at least one Eskimo village to move to safer ground.

Floodwaters rip through the village of Newtok, Alaska, destroying its infrastructure.

The community of the tiny coastal village of Newtok voted to relocate its 340 residents to new homes 9 miles away, up the Ninglick River. The village, home to indigenous Yup'ik Eskimos, is the first of possibly scores of threatened Alaskan communities that could be abandoned.

Warming temperatures are melting coastal ice shelves and frozen sub-soils, which act as natural barriers to protect the village against summer deluges from ocean storm surges.

"We are seeing the erosion, flooding and sinking of our village right now," said Stanley Tom, a Yup'ik Eskimo and tribal administrator for the Newtok Traditional Council.

The crisis is unique because its devastating effects creep up on communities, eating away at their infrastructure, unlike with sudden natural disasters such as wildfires, earthquakes or hurricanes.

Newtok is just one example of what the United Nations Intergovernmental Panel on Climate Change warns is part of a growing climate change crisis that will displace 150 million people by 2050.  View a map showing Newtok's proximity to Alaska's Western shore »

The group says indigenous peoples in Asia, Central America and Africa are threatened by shifting environmental conditions blamed on climate change.

"We will not be able to survive"

Tom's ancestors have been living in the region for centuries, he said.

"Our land is our resource, our source of food; it's our country. We live off of it. If we go to another village or city, we will not be able to survive," Tom said.

The U.S. Army Corps of Engineers has estimated that moving Newtok could cost $130 million. Twenty-six other Alaskan villages are in immediate danger, with an additional 60 considered under threat in the next decade, according to the corps.

The village crisis is taking place as more than 400 indigenous people from 80 nations gather 500 miles (800 kilometers) away in Anchorage, Alaska, at the first Indigenous Peoples' Global Summit on Climate Change.

The conference aimed to address global issues effecting indigenous communities like the Yup'ik Eskimos. The five-day summit also hoped to raise global awareness about the crisis facing these indigenous communities and to help them speak with a more unified voice, said Patricia Cochran, chairwoman of the Inuit Circumpolar Council, which hosted the event.

U.N. scientists have long blamed increases in average global temperatures on the emission of excess greenhouse gases such as carbon dioxide by industry and the burning of petroleum-based fuel.

Summit delegates will work on a declaration outlining the climate change-related issues facing indigenous people. The declaration will be agreed upon Friday and presented at the Conference of Parties United Framework Convention on Climate Change in Copenhagen, Denmark, in December.

"On the international level, the meeting in Copenhagen at the end of the year is incredibly important, it will lay down the road map on how we tackle climate change and who gets to be involved," said Sam Johnston of Tokyo, Japan-based United Nations University, a co-sponsor of the summit.

"Climate change poses threats and dangers to the survival of indigenous communities worldwide, even though they contribute least to greenhouse emissions," United Nations General Assembly President Miguel D'Escoto said at the summit.

Worldwide threat

Climate change, conference delegates say, is threatening the traditional lifestyles of indigenous peoples around the world. Specific environmental threats include droughts, sea level rise, warmer temperatures; lack of rainfall, flooding and loss of biodiversity, climatologists say. The specific combination of threats varies by region.

For example, in the island nation of Papua New Guinea, an increase in population growth coupled with rising sea levels is decreasing the amount of crop land making farming very difficult for the indigenous people of the region, according to the U.N.

In the African nation of Kenya, the Samburu tribe is on the verge of a food and economic crisis, the U.N. said, as lengthy droughts kill livestock that provides income and sustenance for the community.

In Mexico, highland Mayan farmers are fighting to survive amid decreasing rainfall, unseasonal frost and unprecedented changes in daytime temperatures, the U.N. reported. These conditions are forcing the farmers to plant alternative crops and to search for other sources of irrigation.

"We are the ones that are the most effected" by climate change, said Saul Vicente-Vasquez, a Mexican economist and longtime human rights activist for indigenous peoples.

"Climigration" refers to the forced and permanent migration of communities because of severe climate change effects on essential infrastructure. This differs from migration caused by catastrophic environmental events such as hurricanes and earthquakes. The concept of "climigration" implies that there is no possibility of these communities returning home, said Alaskan human rights lawyer Robin Bronen, who coined the term.

"There needs to be a new institutional framework that is created, that's based in human rights doctrines ... that facilitates relocations," Bronen said.

Back in Newtok, village leaders continue to work with federal and state representatives while they plan to relocate.

"We have a new village, but we don't have all the funding that the village needs to move right now," said Sally Russell Cox planner with the Alaska division of community and regional affairs.

If the crisis worsens and forces an emergency evacuation, Cox said officials want to provide "a safe place to go if they need to get out of the village."

As for Tom, he said he's looking forward to getting it over with. "We hope to move to the new village site and be able to get on with regular life."

@highlight

Floods blamed on climate change forcing Alaskan village to move 9 miles away

@highlight

Twenty-six other Alaskan villages are in immediate danger, officials say

@highlight

Move comes as indigenous people hold Anchorage summit on the crisis

@highlight

UN: Climate change will force displacement of 150 million people by 2050