Atlanta, Georgia (CNN) -- Jennifer Thomas was looking at life with renewed energy: She had just survived a serious operation, and she was at a crossroads in her career.

After 20 years as a producer in the stressful business of TV news, the challenge wasn't there for her anymore. For eight weeks, as she recovered from the removal of a large noncancerous tumor from her uterus, Thomas thought about her next steps.

"I told myself I was going to work to do the things that I enjoy, things that are related to the news," she said. Thomas had recently conducted news production workshops for kids, so she already knew that she "loved people and talking to people about the news. That made me start thinking that if I could do it all the time and get paid for it, I'd really enjoy it."

Within a year, Thomas had left her job at CNN's HLN network to start a Georgia-based media consulting business with clients such as singer/actress Jennifer Holliday, former Bell Biv DeVoe singer Ron DeVoe, actor Boris Kodjoe, actress Nicole Ari Parker and former supermodel Beverly Johnson.

During her journey, Thomas learned that working for yourself often requires scary first steps, generous friends and mentors, and maintaining a healthy work-life balance.

She's the first to say that her story is not typical in any way, as she seemed to meet good luck at every turn.

After her surgery, Thomas, who also had worked at CNN and NBC, began saving money and planning her business. As if on cue, HLN offered her a buyout to leave the company as part of a downsizing.

"It was my light bulb 'a-ha' moment," Thomas said. "I was excited because in the back of my mind, it was what I had been praying for."

An opportunity to write a blog for a popular local women's magazine got her some local attention. A journalist friend e-mailed Thomas, saying that he had connected with Johnson and suggesting that they meet.

"She called out of the blue," Thomas said. " 'Hi, Jennifer! It's Beverly -- the model!' I was shocked."

Johnson needed no introduction. Thomas was very familiar with the first African-American model to win a cover on American Vogue magazine. In that year, 1974, Thomas said Johnson's beauty and status spoke volumes to her as a role model.

"When she called, I was like, 'shut up!' We were all like, 'no way!' I didn't think anything would come from it, but eventually, she said she would love to be my client."

Thomas made short work of helping Johnson successfully pitch her women's health campaign to CNN, NBC and ABC.

"It was huge for me," Thomas said. "It showed me that the skills I may have taken for granted were very valuable to others. Here I was doing what just came natural to me -- working with the media -- and I'm helping an iconic figure. It gave me such a feeling of gratification, and it gave me so much more confidence."

But snagging Johnson as her first client wasn't easy. She had to start with smaller steps -- and the first step was a doozy: dealing with the fear.

"For me, it was fear of failure," she said. "Anyone who has worked with me knows I am driven to succeed, and failure is not an option."

"But I'm a woman of faith," said Thomas, a preacher's daughter with strong ties to her church. "Friends told me that 'faith will give you the wings to fly when you jump off that cliff.' "

One way new consultants can boost their confidence is by compiling a list of experience and skills they've gained during the past five years -- including successful projects, implementations and innovations. Experts recommend referring to that list whenever confidence dips.

Thomas said she chose an area of consulting that was based on what she enjoys. "Ask yourself, 'What would I do if I had to work for free?' " she says. Another tip: Find a mentor. "Identify someone who's successful and ask for practical advice," she says. "I found my mentor at my church."

Set aside time and money for a vacation, and guard it like gold, Thomas advises. Also, she says, determine how much income you need to stay afloat each month, and focus on that target like a laser.

To be safe, experts advise aspiring consultants to start small, as a side business, while continuing to work elsewhere full time.

But during a recession, keeping a full-time job and easing into consulting work isn't always possible. Unemployment has prompted many experienced professionals to launch consultant operations simply to survive.

"With the way the market has gone recently, there's no shortage of people who are now saying that they're consultants -- and many of them are not qualified to be consultants," said Les Rubenovitch, president of Toronto-based Winning Edge Consultants Inc. "Working for a company as an employee is very different from working for a company as a consultant. The credibility factor is critical if someone is going to engage you."

Those looking to quickly build credibility or credentials to accompany work experience may consider offering to do speaking engagements at a local college or university.

Thomas showed her initiative by teaching herself to organize and lead an online seminar -- a Webinar -- aimed at showing doctors how to better communicate on TV.

Financial planning is key to the success of a new consultant operation, according to experts. Thomas set aside savings to live on during the initial phase of her business.

It took well into her first year for her business income to fully support her, Thomas says. That's better than most new consultant businesses, experts say. It's not unusual for new consultant businesses to take three years to make a profit.

Thomas says she's still not making as much money as she did in TV news, but she expects to reach that mark this year.

She works about the same number of hours now as she did as a journalist -- about 40 per week, if not more. "The big difference is, the hours aren't straight through -- they vary."

That's not to say that Thomas hasn't made mistakes. "Don't assume that things will come right away," she advises. "Realize that the opportunities that come to you may not be in the form of money -- but they're still valuable."

Also worth keeping in mind: Don't overwork yourself. "I'm still learning this," Thomas said. "I jumped in with both feet in the fire. Don't burn yourself out."

If she were launching her business all over again, she says, she would build more "me" time into her schedule. "I may take a day at the beginning of the week where I don't take clients and do paperwork -- or I just get a massage."

What's the best thing about being your own boss? Thomas laughs sheepishly. "I can sleep in if I want to -- and schedule an appointment for lunch instead of early morning."

@highlight

Journalist leaves TV to launch consulting business

@highlight

Clients include Beverly Johnson, Boris Kodjoe, Nicole Ari Parker, Ron DeVoe, Jennifer Holliday

@highlight

Her tips: Love your work, save money, find mentors, set goals, take breaks

@highlight

Expert: Unemployment has increased number of less-than-qualified consultants