WASHINGTON (CNN) -- U.S. Defense Secretary Robert Gates announced a 2010 Pentagon budget Monday that reflects major changes in the "scope and significance" of Defense Department priorities.

One of the high-profile programs on the chopping block is the 
Air Force's most expensive fighter, the  F-22 Raptor.

The proposed budget cuts several traditional big-ticket items while investing in programs designed to bolster the military's ability to wage an ongoing conflict against terrorists and other extremist elements in multiple regions at the same time.

Gates acknowledged that parts of the budget are likely to run into significant opposition on Capitol Hill, where lawmakers are concerned in part about preserving valuable defense contracts for their districts and states.

"This is a reform budget, reflecting lessons learned in Iraq and Afghanistan," Gates said. "There's no question that a lot of these decisions will be controversial."

He called on Congress to "rise above parochial interests and consider what is in the best interests of the nation as a whole."

House Armed Service Chairman Ike Skelton, D-Missouri, acknowledged that congressmen have concerns about job losses in their home districts but said that ultimately, "the national interest overrides anything."

"The buck stops with us," he said. "We still have a lot of hard work ahead of us."

Three key priorities are reflected in the changes, Gates said.

The priorities are a stronger institutional commitment to the military's all-volunteer force, a decision to "rebalance" defense programs to better fight current and future conflicts, and "fundamental overhauls" of the military's procurement, acquisition and contracting process.

Among other things, Gates called for production of the Air Force's most expensive fighter, the F-22 Raptor, to be phased out by fiscal year 2011.

He also called for terminating a proposed fleet of 23 presidential helicopters estimated to cost more than $13 billion. The proposed fleet, he noted, was originally projected to cost $6.5 billion. It "has fallen six years behind schedule and runs the risk of not delivering the requested capability," he said.

Gates maintained that a new fleet of presidential helicopters will still ultimately be necessary, however.  See a list of winners, losers and break-even programs »

At the same time, he said he did not want to pursue a development program for a new Air Force bomber "until we have a better understanding of the need, the requirement and the technology."

Gates did request 50 Predator and Reaper-class unmanned aerial vehicles by fiscal year 2011, translating to a 62 percent increase in capability over the current level and 127 percent from a year ago.

The Predator has been used extensively by the military in operations along the Afghanistan-Pakistan border region.

Turning to the military's overall troop levels, Gates proposed spending an additional $11 billion to complete a planned expansion of the Army and Marine Corps while halting reductions in the Air Force and Navy.

A planned 547,000 troop increase, while capping the growth of Army brigade combat teams at 45 as opposed to a previously discussed level of 48, will be sufficient to "ensure that we have better manned units ready to employ and help put an end to the routine use of stop-loss," Gates maintained.

"This step will also lower the risk of hollowing the force," he said.

Gates also proposed a reduction in the use of support service contractors from 39 percent of the Pentagon work force to a pre-2001 level of 26 percent.

The contractors, Gates added, would be replaced with full-time government employees.

To help create a more mobile, flexible force, Gates proposed boosting special operations personnel by 2,800, or 5 percent, as well as purchasing aircraft designed to provide greater lift mobility and rapid transportation of those forces.

Among other things, he cited a proposed increase in the purchase of "littoral combat ships, a key capability for presence, stability and counterinsurgency operations in coastal regions," from two to three ships.

The Pentagon's ultimate goal, he said, is to acquire 55 of these ships.

Another $500 million is directed toward boosting "global partnership capacity efforts" through enhanced initiatives for "training and equipping foreign militaries to undertake counterterrorism and stability operations."

In what may prove to be one of the most controversial aspects of his proposed budget, Gates announced the cancellation or reduction of key elements of the Pentagon's missile defense system, including the installation of additional ground-based interceptor missiles in Alaska.

The proposed overall missile defense system budget was trimmed by $1.4 billion.

A bipartisan group of senators released a letter during Gates' announcement that urged him "not to allow deep cuts in U.S. missile defense programs that are critically important to protecting our homeland and our allies against the growing threat of ballistic missiles."

"The threat from ballistic missiles is significant and on the rise. [It] has been underscored by Iran and North Korea's recent missile tests," they argued.

The letter was signed by both senators from Alaska -- Republican Lisa Murkowski and Democrat Mark Begich -- among others.

Although Gates was initially appointed Pentagon chief by former President George W. Bush, his overall budget received what appeared to be a mixed reception from congressional Republicans.

"Republicans appreciate Secretary Gates' effort to shape the Department of Defense so that we more effectively fight the wars our troops are engaged in today. However, we are concerned about the tradeoffs involved in re-balancing the Department," New York Rep. John McHugh, the ranking Republican on the House Armed Services committee, said in a written statement.

"It remains the Congress' responsibility to provide for the common defense," he warned.

Former Republican presidential candidate Sen. John McCain, however, said Gates' budget "is a major step in the right direction."

"It has long been necessary to shift spending away from weapon systems plagued by scheduling and cost overruns to ones that strike the correct balance between the needs of our deployed forces and the requirements for meeting the emerging threats of tomorrow," he said.

"I believe Secretary Gates' decision is key to ensuring that the defense establishment closes the gap between the way it supports current operations and the way it prepares for future conventional threats."

Georgia Republicans slammed President Obama for Gates' announcement about the phase-out of the F-22 Raptor, which is assembled in Cobb County, Georgia.

Rep. Tom Price, whose district includes the Raptor production facility, called the cut "outrageous" and said Obama's "priorities are deeply flawed." Georgia Sen. Saxby Chambliss said he was "disappointed" in the cuts and accused the administration of being "willing to sacrifice the lives of American military men and women for the sake of domestic programs."

Sen. Joe Lieberman, I-Connecticut, was also dismissive of the F-22 phase-out, although he said he generally supported Gates' moves to modernize the military. Some F-22 production takes place in Connecticut as well.

The proposed overall fiscal year 2010 Defense Department budget is almost $534 billion, or nearly $664 billion when including the costs of the conflicts in Iraq and Afghanistan. The current Pentagon budget totals slightly over $513 billion, or almost $655 billion including the Iraq and Afghanistan conflicts.

CNN's Adam Levine, Mike Mount and Alan Silverleib contributed to this report

@highlight

NEW: Budget receives mixed reception from congressional Republicans

@highlight

Defense Secretary Robert Gates calls for phasing out production of F-22

@highlight

Budget reflects "lessons learned in Iraq and Afghanistan," Gates says

@highlight

Budget includes stronger institutional commitment to military's all-volunteer force