New Delhi (CNN) -- The tragic case of the 23-year old woman who was brutally attacked, raped and left for dead by six men in New Delhi on December 16 has highlighted the unacceptable reality millions of women in India are facing. Violence against women is endemic -- more than 220,000 cases of violent crimes against women were reported in 2011 according to official statistics from the Indian government, with the actual number likely to be much higher.

If there has been a silver lining to this horrendous case, it has been the enormous outcry from Indian society. What started as student-led protests in New Delhi has grown to encompass Indians from all walks of life and from the whole political spectrum. Tens of thousands have taken to the streets with the clear message that something has to change, and that women should no longer have to live in fear.

Read more: End culture of rape in 2013

But amid the many reasonable and constructive calls on the authorities to address the situation, there is unfortunately a growing chorus of voices calling for the six alleged perpetrators to be executed, or even for mandatory death sentence in cases of sexual violence.

Five of the six suspects were formally charged in New Delhi on Thursday, with the authorities investigating whether the sixth suspect is under 18 and a juvenile. The five are expected to be charged with several offences including murder, which is punishable by death under Indian law.

Read more: New Delhi gang-rape suspects charged with murder, rape, kidnapping

The anger felt towards the suspects is completely understandable, as is the desire to impose stricter laws around sexual violence to ensure that what happened in Delhi in December never happens again. But imposing the death penalty would just perpetuate the cycle of violence.

Amnesty International opposes the death penalty in all circumstances, regardless of the circumstances or the nature of the crime. It is the ultimate cruel and inhuman punishment, and a violation of a fundamental human right -- the right to life.

There is no evidence to suggest that the threat of execution works as a special deterrent. This is reflected in a clear global trend moving towards the abolition of the death penalty. Today, 140 countries in the world have abolished executions in law or practice.

Read more: Opinion: India's rape problem needs a rewiring of society's attitude

Up until November 21, 2012, when the lone surviving gunman from the 2008 November Mumbai attacks, Ajmal Kasab was hanged, India had not carried out a single execution for almost eight years. Kasab's killing meant India took a significant step backwards and joined the minority of countries in the world that are still executing.

With hundreds of prisoners still on death row in India, this is a key moment for the country and its use of the death penalty. The Indian authorities must not let the Kasab, execution and the outrage around the Delhi rape trigger a resumption of executions on a larger scale.

What India needs now is not revenge, but to address the many underlying issues that are perpetuating endemic violence against women. The laws and the justice system must be reformed, and the definition of rape, which is currently far from adequate, should be amended.

Read more: Misogyny in India: We are all guilty

The woefully low conviction rate for these crimes must also be addressed, which today only perpetuates a culture of impunity. Imposing the death penalty for sexual assault cases would likely only worsen this situation, as judges would hesitate to give such an extreme sentence, and the legal process would become even lengthier and more complicated.

The Indian police force has to be better trained to deal with survivors of sexual violence, and there is a need to develop support systems for survivors. Many women are reluctant to report crimes, fearing humiliation and degrading treatment by the police, or the social stigma that comes from society at large. There are also still serious systematic failures in the Indian justice system that raise questions about its efficiency.

To even begin to talk about a method of punishment until these issues have been addressed is to seriously jump the gun. This sentiment has been echoed by many, including U.N. human rights chief Navi Pillay, who has called for legal reform while cautioning against the use of the death penalty.

After a year in which both Afghanistan and Pakistan resumed executions after relatively long moratoriums, India now has an opportunity to show real leadership on a key human rights issue in the region. There is no question that the country's women deserve much better legal protection, but the death penalty is not the answer.

Read more: New Delhi rape exposes the perils of being a woman in India

The opinions expressed in this commentary are solely those of Ananth Guruswamy.

@highlight

The New Delhi gang-rape and murder of a student on December 16 sparked outrage

@highlight

Many Indians are calling for harsher punishments or death penalty for convicted rapists

@highlight

Ananth Guruswamy says the death penalty is not the solution to the problem

@highlight

Guruswamy says that execution "would just perpetuate the cycle of violence"