(CNN) -- Shark attacks were up last year, according to the University of Florida, but before you put that New Smyrna Beach timeshare on the market, please realize the numbers, statistically, are kind of meaningless.

Then why on Earth is CNN writing about this, you ask? Because research shows you like sharks and are prone to consume stories about their more violent sides.

What is less clear is why. Despite the popularity of shark attack stories, the actual odds of a hammerhead latching on to your midsection during a morning swim are minuscule, especially when you consider that your toilet and the neighbor's dog pose far more risk to you.

You should also consider that if sharks had fancy news websites like CNN.com, their pages would likely be rife with ("Jaws"-dropping?) headlines about the estimated 30 million to 70 million of them that we kill every year.

To be sure, sharks killed seven of us worldwide last year, according to Monday's UF report.

"Shark attack as a phenomenon is extremely uncommon, considering the millions of hours humans spend in the water each year," George Burgess, director of the Florida Program of Shark Research at the state's Museum of Natural History, said in a news release.

Shark seriously injures California surfer

Let's have a look at the numbers, and we'll get back to the dangers of that toilet.

There were 80 unprovoked attacks last year worldwide. An unprovoked attack is one in which the shark strikes first, as opposed to a provoked attack that often comes when a fisherman is trying to land one of the beasts with a hook or net.

Eighty marked a slight uptick from 2011. However, in the United States, there were 53 attacks, the most since 2000. Also concerning to researchers is that for consecutive years there have been multiple attacks in western Australia (five in 2012) and off Reunion Island (three in 2012), located about 400 miles east of Madagascar.

Another startling statistic is that of the four attacks in South Africa last year, three were fatal. That's a 75% fatality rate, as opposed to a 22% rate worldwide and a 2% rate in the U.S., where most shark attacks occur.

It's not that South African shark varieties are any fiercer; the numbers are more likely a product of "superior safety and medical capabilities in the U.S.," Burgess said.

Surfer dies after shark attack

Here is a rundown of the U.S. attacks:

--Florida led the way at 26, with Brevard and Volusia counties tallying eight and seven, respectively;

--Then came Hawaii with 10;

--California and South Carolina were next with five each;

--North Carolina registered two;

--And Georgia, Massachusetts, New York, Oregon and Puerto Rico each had one.

"The numbers from an international standpoint were on target for the last couple of years because, in theory, each year we should have more attacks than the previous year owing to the rise of human population from year to year," Burgess said.

Most of those attacked, 60%, were surfers, while swimmers and divers composed another 30% of the incidents.

That doesn't mean you need to hang up your longboard or regulator.

"Shark attacks are rare and it doesn't matter whether you call them attacks or bites or bumps -- your chances of having any of them are slim," Burgess said.

How slim? The Florida Museum of Natural History has a host of phenomena that are more likely than a shark attack, and National Geographic in 2011 put together a list of things that are more likely to injure you. Among them:

--Since 1948, those in any U.S. state with alligators had a better chance of being killed by one of the reptiles, which had killed 18 people as of 2005, than they did of suffering a fatal shark attack. Conversely, those folks still had a slightly better chance of a nonfatal shark attack.

--Between 1985 and 2010, Floridians were almost 21 times as likely to be killed by a tornado (125 deaths) as by a shark (six). Between 1990 and 2009, the state also saw 2,272 bicycle deaths, compared to four from sharks.

--In the coastal U.S., lightning killed almost 76 times as many people (1,970) as did sharks (26) between 1959 and 2010.

--From 2001 to 2010, dogs killed more than 26 times the number of people (263) than did sharks (10) in the U.S.

--Between 1984 and 1987, New York City had almost 1,600 incidents annually of humans biting other humans. That's not really germane to this story so much as it is plain odd.

--Sand-hole collapses aren't generally considered among the greatest threats in the U.S., as they killed only 16 people between 1990 and 2006 -- but that's still five more people than sharks killed.

--In 1996, toilets injured 43,000 Americans, buckets and pails hurt almost 11,000 and room fresheners were responsible for 2,600 injuries in the nation. Sharks injured 13 people that same year. (There are a variety of toilet-related injuries: Seats can fall, smashing boys' genitalia mid-micturition; cracks in toilet seats can pinch a user's buttocks; and, as the ladies have explained time and time again, gentlemen, leaving the toilet seat up can cause folks to crash into the toilet bowl, damaging their buttocks and/or tailbones.)

While it can't always be said that you have a better chance of winning the lottery than being the victim of a shark attack -- it depends on which type of lottery and how many people are playing -- it seems certain you're better served watching out for that commode than for fins on the water.

Happy surfing.

@highlight

University of Florida issues new statistics, but numbers can be misleading

@highlight

You're more likely to be injured by a toilet or sand hole collapse than by a shark

@highlight

Dogs killed almost 26 times as many people as sharks in first decade of 21st century