EDGEWATER, New Jersey (CNN)  -- People steadily file into movie theater No. 4, but they're not carrying buckets of popcorn or soda -- instead, it's Bibles and coffee.

Worshippers sing at Joy Christian Fellowship, which meets at Edgewater Multiplex Cinemas in New Jersey.

The sign above the double door announces "The Proposal," the latest Sandra Bullock movie, but there's no romantic comedy playing on the screen -- instead, the lyrics to a Christian song fade in and out to the beat of the music: "We are here because of you, because of you."

On this Sunday morning, the approximately 200 people on hand aren't here to watch a movie but to worship God.

Some stand stoically as they sing, others sway back and forth with eyes closed, a few have their hands raised toward the ceiling. At the front of the theater below the screen is a six-piece rock band that continues to sing, "Oh, beautiful sound. The joy of heaven here."

And it's here -- at Edgewater Multiplex Cinemas -- where Joy Christian Fellowship has been meeting for the past two years.

"It's not a traditional church setting," said Danny Han, Joy Christian's senior pastor, "but we turn this theater auditorium into a worship place."

Reclining cushioned seats take the place of pews; the movie screen stands in for stained glass windows. An entertainment venue has turned out to be an unconventional yet conveniently popular religious venue, attracting a new crowd of worshippers deterred by the traditional church setting.

About 200 churches are renting theater space under a one-year contract with National CineMedia, a nationwide multiplex cinema chain. That's an increase from three churches six years ago.

"The economy has had clearly a positive impact," said Kurt Hall, the CEO of National CineMedia, about the trend of Sunday theater rentals, "as churches have found it more difficult to raise money to build their own buildings."

It's an alternative not only for small start-up churches that cannot afford space but also for large churches seeking to set up multiple locations. The movie theater offers a perfect setting: comfortable seats, state-of-the-art audio-visual technology, central air, ample parking, and prime locations. Joy Christian Fellowship leases two theaters from National Amusements, another multiplex cinemas chain, at $1,000 for 3 1/2 hours each Sunday.

National CineMedia has "Worship Solutions" packages with negotiable rates.

But what may have started as a practical and economical solution has surprisingly become a spiritual solution for boosting church attendance.

Only about four in 10 Americans say they attend religious services at least once a week, according to surveys conducted in recent years by the Pew Forum on Religion and Public Life.

In Indianapolis, Indiana, the Rev. Ethan Maple decided that since people weren't filling the church pews, he would go to them. In March he started The Movie Theater Church.

"We're reaching out to those who have no religious background and also people who have been hurt by the traditional church setting," Maple said. His vision is not to build a physical church but to build a church community in a comfortable and unintimidating place. "Everyone's gone to see a movie, and going to a theater to see worship is not a huge jump."

Courtney Gonzales said he had been in and out of churches all his life before he came to The Movie Theater Church.

"I really hadn't had a permanent church home and was always feeling sort of disconnected," he said, adding he was raised in a Catholic family but did not relate to the rituals. "I never really felt anything was getting through to me."

As soon as he walked into the movie theater, Gonzales said, he immediately connected. "I just felt comfortable, unlike when I had been at other churches."

Congregation members eat popcorn and drink soda while worshipping. The offering is collected in popcorn buckets. "Sunday best" is often sneakers, jeans and an untucked T-shirt. Song lyrics and movie clips that illustrate sermon points flash across the large screen. (And during normal theater hours, church ads are included in the movie previews.)

"Lots of pastors give us feedback that they've seen an increase in church attendance because they're in the movie theater," said Hall from National CineMedia, which has created a team of nine people exclusively focused on church-theater relations.

At The Movie Theater Church, attendance for this year's Easter service was 268 people, up from 91 last year, Maple said. "The numbers show that the congregation accepts this new church style."

It's a style these churches want to keep. According to National CineMedia, 67 percent of their church clients consider the movie theater to be a permanent facility.

"We wouldn't go any other way," said Chris Jarrell, a pastor National Community Church in the District of Columbia area. "We see this as a long-term strategy."

Four of National Community Church's five locations are movie theaters near subway stops, including the Phoenix Movie Theater on the lower level of Union Station.  Watch congregants talk about having services in a cinema »

However, Pastor Steve Kelly of Wave Church in Virginia said staying in a movie theater sends a certain message to the community. "The moment you define yourself as 'We're just going to rent this facility,' you're saying that you're not necessarily here to stay," he said.

His congregation has been leasing theater space for five years while they wait for more members and money to build a facility on 31 acres of already-purchased land.

Being a tenant comes with other drawbacks, such as the task of transforming the theater into a sanctuary every Sunday.

Kuen Doo, a member of Joy Christian Fellowship, is in charge of setting up for the 9:30 a.m. service. His morning begins at 7:30 a.m. at a storage location, which houses 14 large black boxes on wheels that contain everything from music stands to speakers, church signs to drum set.

"It takes about an hour to load everything, come to this movie theater, unload, and help set up," Doo said. At least 17 congregation members are devoted to setting up and breaking down each Sunday.

Joy Christian Fellowship has to clear out before noon, when the matinees begin, and theater No. 4 -- along with other movie theaters nationwide -- no longer belongs to the church.

@highlight

Idea appeals to small start-ups, big churches seeking to set up multiple locations

@highlight

At one cinema-based church, Easter attendance was up threefold from year before

@highlight

Pastor: Staying in a movie theater risks sending message that you won't stick around

@highlight

One big drawback: Setting up and breaking down sanctuary weekly is a lot of work