(CNN) -- As an ailing Nelson Mandela recuperates in a South African hospital, the world celebrated his 95th birthday Thursday, honoring his legacy in various ways, including performing 67 minutes of community service.

Voice from a Kenyan slum: Mandela saved my life

Schoolchildren sang "Happy Birthday" to the former president during morning assemblies while crowds left flowers and candles outside his Pretoria hospital. The day also marks 15 years since he married his wife, Graca Machel.

President Jacob Zuma said that Mandela, who has been hospitalized with a lung ailment since June, is "steadily improving." Zuma's latest assessment comes after weeks of describing Mandela's heath as critical but stable.

Read more: The six names of Nelson Mandela

The president wished Mandela a happy birthday.

"We are proud to call this international icon our own as South Africans and wish him good health," Zuma said. "We thank all our people for supporting Madiba throughout the hospitalization with undying love and compassion. We also thank all for responding to the call to give Madiba the biggest birthday celebration ever this year."

South Africans affectionately refer to Mandela as Madiba, his clan name.

The United Nations declared July 18 as Mandela Day four years ago to honor his role in reconciling a country torn apart by apartheid. It started as a call to promote global peace and encourage community service.

Read more: Mandela posters mark 95th birthday

His foundation is asking people to volunteer 67 minutes of public service on his birthday, a reference to the number of years he devoted to public service.

President Bill Clinton joins tributes

At an event in New York City, former U.S. President Bill Clinton was among the speakers to pay a heartfelt tribute to Mandela and his achievements.

Clinton, whose presidency coincided with Mandela's, recalled how they developed a personal friendship over the course of two decades after first meeting before Clinton's election to the White House.

He paid tribute to Mandela's life of service, saying the world could learn from his example, as an anti-apartheid campaigner, as South Africa's president and after leaving office.

Mandela's commitment to helping those with HIV/AIDS helped millions of people in the developing world gain access to medication, he said.

Clinton also recalled how Malala Yousafzai, the schoolgirl shot by the Taliban for promoting education for girls, had cited Mandela as an influence in her own address to the United Nations a week ago.

"Though he is old and frail and fighting for his life ... what is in his heart still glows in his smile and lights up the room," Clinton said, adding that Mandela had demonstrated that "none of us has to be in public office to be of public service."

Andrew Mlangeni, 87, who was imprisoned with Mandela, hailed his friend as "a modern day global icon, an embodiment of the values of justice, peace, selflessness and consideration."

The world's celebration of Mandela's birthday is also a celebration of the human values that the former leader represents, he said.

He said Mandela was "making very good progress " and appealed to those gathered to continue to pray for him.

The Rev. Jesse Jackson, the U.S. civil rights leader, praised Mandela's commitment to healing and equality and urged people to honor his courage.

The world "will never forget the living witness of Nelson Mandela," he said, describing him as a "giant of men."

'Path to justice'

U.S. President Barack Obama, who visited with Mandela's family in South Africa last month, also sent birthday wishes.

"People everywhere have the opportunity to honor Madiba through individual and collective acts of service," he said in a prepared statement. "Through our own lives, by heeding his example, we can honor the man who showed his own people -- and the world -- the path to justice, equality and freedom."

The frail icon has not appeared in public for years, but he retains his popularity as the father of democracy and emblem of the nation's fight against apartheid.

His defiance of white minority rule focused the world's attention on apartheid, the legalized racial segregation enforced by the South African government until 1994.

The raid that saw Mandela jailed for life: Liliesleaf 50 years on

His hospitalization has given his birthday a sentimental touch. The South African Embassy in the United States said it will be the biggest celebration since his birthday in 1990, the year he was freed from prison.

The festivities are not limited to South Africa. In the United States, the embassy said 18 cities, including the nation's capital, will hold various events to celebrate his birthday.

Family feud

Mandela's family has faced an anxious few weeks while the former president has been hospitalized.

His daughter, Zindzi Mandela-Motlhajwa, told the South African Press Association on Thursday that her father was making "remarkable progress" and that she looks forward to seeing him back home soon.

A public family feud over where three of Mandela's deceased children should be buried has added to their stress.

Last month, family members sued Mandela's grandson to return the remains to Qunu, the former president's childhood home.

The grandson, Mandla Mandela, exhumed the remains from Qunu two years ago, then reburied them in Mvezo, where he's built a visitor center. They were returned to Qunu this month after a court order.

The matter is back in court Thursday, said Freddie Pilusa, a spokesman for the grandson.

"Mandla does not want the graves repatriated, but he wants the decision forcing him to move them rescinded because it was based on incorrect information," he said.

Mandela, a Nobel peace laureate, spent 27 years in prison for fighting against oppression of minorities in South Africa. He became the nation's first black president in 1994, four years after he was freed from prison.

CNN's Nkepile Mabuse and Nana Karikari-apau contributed to this report.

@highlight

NEW: "What is in his heart still glows in his smile," says Bill Clinton of Mandela

@highlight

The United Nations declared July 18 as Mandela Day four years ago

@highlight

It started as call to promote global peace and encourage community service

@highlight

Dispute over burial of Mandela's children is back in court, a spokesman says