(CNN) -- In August Facebook revealed that its new headquarters in California, designed by Frank Gehry, will be, according to company founder Mark Zuckerberg, "the largest open floor plan in the world".

Over 3,000 people will work on moveable furniture in a space that stretches over 10 acres.

But are open plan offices better suited to the machinations of architects and needs of a company rather than to employees?

Open plan offices came out of a drastic rethinking of architecture, by mid-20th century proponents like Frank Lloyd Wright (who thought walls were "fascist") and Frank Duffy.

In the 1960s, Robert Propst, a designer for Herman Miller, noticed people had their best ideas or did their best thinking when they left their desks.

His Action Office furniture, released in 1968, introduced cubicles to the world, in an attempt to revitalize a landscape that Propst had described as "the daily scene of unfulfilled intentions and failed effort."

Research by MIT professor Thomas Allen in 2006 discovered that people communicate the most with those in a 50 meter radius, and that complex topics are best discussed face to face.

But there are problems with open plan offices. According to a study by Berkeley researchers conducted over a decade, most workers find "speech privacy" the biggest problem. As a result some suggest that rather than foster more useful conversations they may actually inhibit them.

A 2000 study by Dana Johnson and Gary Evans suggested that the constant distraction of colleagues' noise dampens employees' motivation.

Even Propst revised his initial thoughts on cubicles. In a 1998 he said "crass people" had managed to use his idea to "create hellholes". "They make little bitty cubicles and stuff people in them. Barren, rat-hole places," he told Metropolis magazine.

Yet just as it did for an expanding postwar workforce, today, adjustable workspaces make economic sense and account for much of their enduring popularity.

"You can put more people together in the same space and fill it up without separating walls," says Karsten Ifversen, architecture editor for Danish newspaper Politiken. He adds that open plan designs also allow more light into deep buildings, and are cheaper to heat.

10 technologies that will change your workplace

"For employers, it's very easy to rearrange the workstations to account for changing needs. It is especially well suited for temporary types of work. You easily share information using an open space -- you get to know what's going on, if you're working on the same project," he says.

"The client likes to build them that way, and the architects like to draw them because you can get more dramatic spaces when you're operating with one big scale instead of having to make a lot of repetition of small spaces".

In some ways, an open plan makes an organization transparent to itself. You can see your colleagues, and they can see you.

"That is quite important, to feel some kind of unity," says Ifversen. "You're part of something bigger than yourself when you're working in the open space."

However Ifversen believes that open plan offices suit managers better than employees, and suggests that the problem of noise spillage goes deeper than merely finding it difficult to concentrate.

"Most people feel stressed when they first move to an open space. You don't have a private sphere anymore, so you can't personalize your workdesk in the same way. You're deprived of your individuality."

Are cool offices the key to success?

When employees moved into Unilever's new headquarters in Hamburg, Ifversen says, "they had three psychologists working full time for them, just to accommodate the problems around the new office."

Ifversen notes that (not unlike Facebook's influence on society), open plan "changes the balance between private and public".

"It's okay to watch YouTube clips or read irrelevant pages out in public," he says.

"All these human inclinations, there's no need to hide them. We accept it."

But for other human inclinations -- such as the inclination to fight -- private space is still a necessity, says Ifversen. "You have to have a room where you can go and have an argument without everybody listening in. It's a problem if a building can't accommodate that."

8 ways to make your office life better

Like Propst, he believes workspaces should encourage creative thought, but he believes this is being addressed in a patronizing way -- "they have all these entertaining rooms, with perhaps a playground."

A more important consideration is to make employees feel important, "to somehow empower the employee so they feel that they are necessary for the product."

Ifversen believes an open plan office "sends a signal that you are interchangeable", and argues that, if employees don't have dedicated spaces they can personalize, they are more likely to feel that their job is temporary. "I think that is kind of a sad development."

@highlight

Facebook plans to build world's largest open plan office

@highlight

Popularity of open plan due to their adaptability

@highlight

Some suggest they do not foster better communication or work

@highlight

Unilever's open plan office in Hamburg, Germany, had three full time psychologists