(CNN) -- Australian researchers released an audio recording Wednesday of an underwater sound that they say could possibly be related to the final moments of missing Malaysia Airlines Flight 370.

It's a long shot, but researchers at Curtin University near Perth, Australia, have been studying records from underwater listening devices, including those meant to monitor for signs of underwater nuclear explosions, in an effort to help find the missing plane.

"One signal has been detected on several receivers that could be related to the crash," said Alec Duncan with the university's Centre for Marine Science and Technology (CMST).

Researchers have been analyzing the very low frequency sound for weeks to see if it was "the impact of the aircraft on the water or the implosion of parts of the aircraft as it sank," Duncan said. "But (the source of the noise) is just as likely to be a natural event."

Low frequency signals can travel thousands of miles through water under favorable circumstances, at about 1 mile per second, Duncan said. But "at the moment (the sound) appears to be inconsistent with other data about the aircraft position," he said.

That's because researchers at Curtin University believe the sound came from an area thousands of miles to the northwest of the current search area in the southern Indian Ocean. And even then, they haven't been able to pinpoint the source.

Duncan says his team has calculated an "uncertainty box" for the signal's origin. It's area that stretches some 2,485 miles in length from southeast to northwest across the Indian Ocean, and spans some 124 to 186 miles in width at its widest point.

The center of the long, narrow box is south of the tip of India, as shown in a map released Wednesday.

The university on Wednesday released an audio clip captured by one of the listening devices, off of Perth. Duncan says his team has sped up the recording 10 times to make it audible to the human ear.

It also shared charts of acoustic signal plots showing what various devices detected.

Searching in the right place?

The search for the missing Malaysia Airlines flight continues to focus along an arc hundreds of kilometers long, the area where investigators believe the Boeing 777 ran out of fuel, about 1,000 miles off the coast of Western Australia.

Martin Dolan, the chief commissioner with the Australian Transport Safety Bureau (ATSB), the organization leading the search into MH370 at the request of Malaysia, says an international team of experts continues to review the analysis of Inmarsat satellite data and aircraft performance.

In a television exclusive, Dolan told CNN's "Erin Burnett OutFront" he remains confident the final resting place of MH370 is somewhere along that arc, the so-called "partial handshake" with the satellite:

"We've seen all the data. We've seen all the calculations. We are reviewing the calculations and are also developing our own model to cross check and verify that information," Dolan told Burnett.

When asked last week about the underwater sound being analyzed by the team at Curtin University, along with Geoscience Australia, a government agency, Dolan was skeptical.

"We think that those detections may have been interesting from the point of view of the direction they came, but other characteristics make it unlikely that they are associated with MH370," he said. The ATSB first referenced these signals in a document posted on its website on May 26.

Listening below the surface

As was the case with the Inmarsat satellite -- a communications satellite whose data was analyzed by Malaysia Airlines MH370 investigators as a navigational aide -- the analysis of the underwater signals involves the use of technology for a different purpose than its original intent.

One of the devices, operated by Curtin University and located some 12 miles off Perth, is designed to listen to whales and other marine life. The other is for signs of underwater nuclear explosions, one of 11 operated worldwide by the U.N.-chartered Comprehensive Test Ban Treaty Organization (CTBTO) as part of the International Monitoring System.

Early in the search for Malaysia Flight 370, the United Nations reported it had not detected any explosions or plane crashes on land or water from its sensors around the globe. But the recent efforts involve pairing CTBTO data with other sources to see what can be gleaned, officials said.

"One can always be hopeful," said Mark Prior, a seismic acoustic analyst with the CTBTO.

The CTBTO's hydro-acoustic stations detect low frequency sound in the 0-100 Hz range, and can't detect black box "pings" in the 30-40 kHz range, officials said. "It's possible (to detect a plane crash), but the circumstances that would allow it would have to be very particular," said Prior.

Prior said some of those circumstances might include a sloping sea bed. Another possible scenario: the origin of the sound would need to be near the listening device.

The CTBTO's system near Cape Leeuwin, the southwestern-most point of Australia, regularly captures signals of ice breaking noise from Antarctica and seismic activity from Indonesia, he said. "There are other scenarios that would allow (the hydrophones to detect a crash). But it's not certain if there was an impact we would detect it," Prior said.

Attempts were made following the 2009 crash of Air France 447 in the southern Atlantic Ocean to see if underwater listening devices had detected the plane's impact. No data could be found.

Years later, after the plane was located, CTBTO again checked its data, and still was not able to identify signals related to the crash.

@highlight

An Australian university releases an audio clip and other information

@highlight

Researchers have studied records from underwater listening devices

@highlight

A sound that was picked up is not near the current search area for MH370

@highlight

The academics say it could be related to the missing plane, or just a natural event