(CNN) -- Russia looks set to slice off a part of Ukraine and keep it for itself.

With heavily armed Russian-speaking troops patrolling the streets, the Crimean Parliament voted Thursday to join Russia and put its decision to a referendum. The all-but-inevitable annexation of Crimea is moving forward, despite protests, warnings and threats from the U.S. and its allies.

We have entered a new Cold War.

The clash between Vladimir Putin's Russia and the forces arrayed in support of Ukraine's independence-minded leaders has crashed the vaunted "reset," ending hopes that Moscow and the West would smooth relations and work hand-in-hand toward common objectives.

Nobody can predict with certainty how this conflict will end. But the world can already glean important lessons. Unfortunately, most of those lessons are cause for deep concern. Here are five clear messages from the crisis in Ukraine.

1. Nobody's scared of America, but American and European values hold strong appeal.

Lest we forget, this all started over a move by the now-deposed Ukrainian president, Viktor Yanukovych, who broke his promise to sign a partnership agreement with the European Union in favor of closer ties with Moscow. Ukrainians were enraged, not just because they want more trade with Europe but because they have seen what Western standards can bring to a society.

They were fed up with corruption, authoritarianism and stagnation. They wanted their country to be free of Moscow's interference, and many gave up their lives to fight for an ideal of stronger democratic institutions, rule of law and fair play.

As strong as the pull of these values is, their principal advocate, the U.S., has lost much of its ability to stare down its foes in support of those who want to institute democratic principles in their countries. We saw it when President Barack Obama declared -- years ago -- that Syrian dictator Bashar al-Assad must step down. We saw it when then-Secretary of State Hillary Clinton was pelted with tomatoes in Egypt. And we saw it in Ukraine, when Obama warned Putin to respect Ukraine's territorial integrity, only to see the Russians capture Ukraine's Crimean Peninsula. America does not intimidate.

Its loss of influence means strongmen and dictators have a freer hand.

5 possible directions in Ukraine

2. You don't mess with Putin without paying a price.

Even if Moscow were to relinquish all control of Ukrainian territory today, Putin has already achieved a main goal. He has sent a clear message to countries that were once part of the Soviet Union -- and perhaps to the USSR's former Eastern European satellites -- that they cannot defy his wishes without paying a painful price. In that sense, Putin has won.

A top Putin aide warned last summer that Ukraine was risking "suicide" if it dared to defy Moscow. Now we know this was no bluff. Putin is serious about protecting Moscow's sphere of influence. It's not clear how closely he wants to control what are supposed to be independent countries.

Opinion: Did you expect Russia to ignore Ukraine chaos?

3. If you are a vulnerable state, you may regret surrendering nuclear weapons.

This may be the most dangerous of all the lessons from this crisis. Ukraine had a sizable nuclear arsenal at the end of the Cold War, but it agreed to give it up in exchange for security guarantees. In the 1994 Budapest Memorandum, Ukraine committed itself to dismantling the world's third-largest nuclear arsenal. Russia, in exchange, vowed to respect Ukraine's borders and its independence. Now, Russia has clearly violated those commitments. If Ukraine still had its atomic weapons, Moscow would have thought twice before seizing parts of Ukraine.

4. Don't expect support from all international peace activists (unless the U.S. invades).

To liberal activists in Ukraine and Russia, the reaction from international peace movement must be a hard pill to swallow. Parts of Ukraine have been captured at the point of a gun by a regime that actively suppresses dissent. When liberal Russians protested, police arrested hundreds of anti-war demonstrators.

While Russia's invasion of Ukrainian territory and its harsh crackdown on local protests have been criticized by some human rights activists, the reaction among some prominent "peace" activists has been astonishing. Several have mimicked Putin's line, blaming the U.S. for the crisis. Instead of taking a clear stance in support of a country with invading military forces on its soil, some so-called anti-war groups have taken the opportunity to dust off their anti-American vitriol.

A favorite line of discussion is whether Washington has any right to criticize Russia's invasion of Ukrainian territory after the U.S. invaded Iraq, a country that was ruled by one of the world's most brutal, genocidal dictators. However misguided America's Iraq invasion, even drawing the comparison is an insult to Ukrainians.

Opinion: Putin's Ukrainian endgame

5. The use of brute force to resolve conflicts is not a thing of the past.

One day, if history moves in the direction we all wish, countries will solve their disputes through diplomacy and negotiation. Sadly, that day has not arrived. John Kerry has expressed dismay at Putin's "19th-century" behavior, but power politics, forcible border expansion and brazen aggression have not been relegated to the history books; witness events in places like Syria, the Central African Republic and now in Ukraine.

Those are the first five lessons. But allow me to offer a bonus, a work in progress that could join as No. 6: When the stakes grow high enough, the U.S. and Europe may rise to the challenge.

Western nations seemed caught off-guard by Putin's "incredible act of aggression," as Kerry termed it. Some of Putin's gains (see No. 2) may be irreversible. But the U.S. and Europe have been shaken up by events, and they may yet send a message of their own, helping Kiev's government succeed and prosper as it sets out to chart a future of its own and limiting Putin's ability to replicate his acts of intimidation.

Kerry's visit to Kiev was a powerful moment. His unvarnished message to Putin, if backed by action, was a respectable start. The U.S. would prefer to see this crisis resolved through negotiations, he declared, but if Russia chooses not to do so, Washington's and its partners "will isolate Russia politically, diplomatically and economically." Already the EU is offering Ukraine an aid package comparable to the one Putin used to lure it away. Secretary of Defense Chuck Hagel is boosting ties with Poland and the Baltic States, and economic sanctions are under discussion.

If Putin wants another Cold War, he has one.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis says Russia looks ready to claim Crimea; it's a new Cold War

@highlight

Crisis shows that U.S., EU are not feared, but their values first prompted protests

@highlight

Other lessons? Mess with Putin at your peril; giving up nuclear weapons leaves you vulnerable

@highlight

Ghitis: Putin shows brute force still works, but U.S., EU may still rise to challenge