LONDON, England (CNN) -- If, by some extraordinary feat of filmic conjuring, you somehow spliced Death Race 2000, Back to the Future and Priscilla: Queen of the Desert, editing out the violence, time travel and transvestism, but keeping in the racing, futuristic cars and Australian scenery, you'd probably end up with something vaguely resembling the Panasonic World Solar Challenge.

Now celebrating its 20th anniversary, the Challenge is the world's premier long-distance race for solar-powered vehicles, with competitors traveling 3000 kms along the Stuart Highway from Darwin in the far north of Australia to Adelaide in the south in cars powered solely by sunlight.

In the process they not only pass through some of the most spectacular and inhospitable terrain on earth -- temperatures in the Australian outback can exceed 50 degrees Centigrade -- but also send out a strong environmental message, pushing forward the boundaries of green technology and promoting the benefits of solar power as an alternative energy source.

The fact that the race is also, in the words of one competitor, "a bloody good laugh," only adds to its appeal.

"It's a great adventure," the race director Chris Selwood told CNN, "One that allows the bright young people of the globe to come up with creative solutions to the problem of sustainable transport, while at the same time to drawing attention to the importance of lightening the environmental footprint of our personal transport needs."

First run in 1987, the race was the brainchild of Danish adventurer and environmental campaigner Hans Thostrup, who in 1982 designed and built "Quiet Achiever," the world's first ever solar-powered car.

The inaugural competition featured 23 teams, with the winning vehicle -- the General Motors-sponsored Sunraycer -- completing the distance at an average speed of 67 kilometers per hour (42 miles per hour).

Things have moved on somewhat since then. Thostrup sold the rights to the race to the South Australian Government in 1996, and what was initially a triennial event -- i.e. held every three years -- went biennial (every two years) in 1999.

The average speed has shot up to 103 kph (64 mph) -- in the 2005 race the winning car achieved a top speed of 147 kph (91 mph) -- while the competition has expanded to incorporate several different classes of vehicle: the Challenge and Adventure Classes for exclusively solar cars, and the Greenfleet Technology Class for other types of environmentally friendly, low-emission vehicles.

This year's race, which left Darwin on October 21, features teams from 18 countries, including entrants from as far afield as Venezuela, Senegal, Malaysia and Japan.  See photos of this year's cars »

There are 47 cars in all, 37 of them solar-powered -- 20 in the Challenge Class (maximum 6 square meters of solar panels) and 17 in the Adventure Class (eight square meters of panels) -- and 10 Greenfleet Competitors.

"It's not so much about how fast you can go," explains Selwood, "But rather how far you can go on limited energy.

"Unlike traditional motor racing the focus is on the cars themselves rather than the people who actually drive them."

It is very much a young person's adventure -- the majority of entrants represent schools and universities, with an average age in the early 20s -- although participation would be impossible without grants and corporate sponsorship.

"There's a $3000AUD ($2697) entry fee," explains Selwood, "And for a team of eight people it would typically cost about $30,000 AUD ($26,965) to mount their campaign once they've actually got to Australia.

"On top of that you've actually got to design and build the car, which could cost anything from $50,000 AUD ($44,944) to $2.5 million AUD ($2.25 million)."

In 2001, 2003 and 2005 the Challenge Class -- the competition's Blue Riband event -- was won by Nuon a team from the University of Delft in the Netherlands, and it is they who are currently leading this year's event.

"We've had eleven people working full time on the car since December 2006," says Nuon's Tine Lavrysen, "So we dearly want to win.

"There's a lot of pressure on us."

The race itself is lasts eight days, although faster competitors such as Nuon are expected to reach Adelaide in closer to five.

The cars set off each morning at 8 am, and drive until 5 pm, when they stop and camp at whatever point they have reached that day.

"Last time an all-girls school team camped by the road near the ranch of one of the richest men in Australia, who shall remain nameless," says Selwood.

"When he found out they were there he invited them all up to his mansion for dinner. That's the sort of thing that happens."

Each team carries an official observer with them, is allowed up to four drivers per vehicle, and is required to travel with a safety car both in front and behind to warn other traffic of their presence, although for much of the Stuart Highway there is little other traffic to warn.

"It's difficult to grasp the remoteness," says Selwood. "Especially in the Northern Territories. It's just a straight road with the occasional road-house (rest stop) and road-train (giant lorry), but very little else.

"Except, of course, the wonderful Australian scenery."

Since 1987 the original aim of the competition -- simply to design and build a solar-powered car that could cross Australia -- has had to be modified and adapted as technology has become increasingly sophisticated.

"The original challenge of creating a solar car that could cross the continent has been well and truly met," says Selwood.

"This year we have sought to re-establish the challenge and make things a little bit more difficult. We have introduced different classes of car, cut back the number of solar arrays that are allowed, and introduced other rules such as the driver having to sit upright in a normal driving position, and having to get in and out of the car unaided.

"It's all designed to get the teams thinking, see how far they can push the technology. That's what the competition is all about, giving kids an opportunity to be creative."

While the fruits of that creativity may not look especially car-like -- with their arrays of solar panels most of the entries resemble nothing so much as giant silicon chips on wheels -- they are nonetheless driving forward, quite literally, a quiet revolution in energy efficiency.

"A normal petrol engine is about 25 percent efficient in terms of energy use," explains Tine Lavrysen. "Even the best ones are only about 50-60 percent efficient. The motor on our solar car, on the other hand, is 95 percent efficient."

Although competition for the cherished World Solar Cup is fierce, it is the technological challenge posed by the event that really motivates the teams.

"In university you get to design a lot of things, but only on paper," says Lavrysen, who is studying industrial design engineering. "Here you can actually build something and run it, which teaches you an awful lot."

There's also the sheer enjoyment of taking part.

"It's an extremely fun, friendly competition," says Lavrysen. "Everyone gets on with everyone else, and helps out if anyone has problems.

"Although the Umicore team from Belgium are our main rivals at the moment, we had a barbecue with them last night, and lent them a drill when they had a problem with their steering column.

"It's all very good natured. Although we'll still be upset if we don't win."

........................................

Could solar cars replace petrol vehicles? What's the future for transport? Share your thoughts and read others' views in the Just Imagine forum.

@highlight

The Panasonic World Solar Challenge is currently crossing Australia

@highlight

Race involves cars powered exclusively by solar energy

@highlight

47 teams from 18 countries cover 3000 kms in 8 days

@highlight

Solar-powered cars reach speeds of up to 147 kilometers per hour