(CNN) -- If every generation has a moment where they adopt a rose-colored perspective of the people and pop culture of its past, the 20-somethings had their turn in 2011.

Those who came of age in the '80s and '90s now span the demographic that's exiting college or creeping into their 30s. As they do so, various cultural outlets are recreating or referencing the TV shows, movies, fashion and music on which they were raised.

This year, we were reacquainted with the staccato giggles of the animated "Beavis and Butt-Head," which returned to MTV after originally appearing on the network from 1993 to 1997. And then, in perhaps the biggest TV flashback, was TeenNick 's weekly late-night block of programming, "The '90s Are All That."

At the box office, 1994's "The Lion King" was re-released in 3-D in September, and we can now expect 1991's "Beauty and the Beast" and 1989's "The Little Mermaid" to be theatrically re-released in 3-D as well.

It's the same deal with James Cameron's 1997 blockbuster "Titanic," which will also be back in theaters in 3-D in the spring. Not to mention "The Muppets" being dusted off for another theatrical jaunt this year, courtesy of "How I Met Your Mother" star Jason Segel (a series that thrives on the theme of nostalgia and looking back).

This year was kind to the musicians of the '90s, as NKOTBSB -- the supergroup made up of New Kids on the Block and the Backstreet Boys -- pulled in $40 million with their tour, according to the Hollywood Reporter.

And if that wasn't enough, the very depiction of '90s whimsy, Lisa Frank, has added clothing to its swath of school supplies. Of course, they'd be remiss to not have adult sizes.

It seems that while the kids have grown up, a lot of the culture that surrounds them hasn't.

'You sort of want to relive your youth'

"Trends tend to be really cyclical, but we're also in the Facebook generation, and these are the people who are the most visible online and have the biggest presence," said Robyn Ross, staff editor for TVGuide.com. "As you come out of college and you're looking for a job, you're looking back at your childhood as the days when you didn't have to work and didn't have to think about a career; that's the perfect time to be nostalgic. You sort of want to relive your youth."

This theory could be especially applicable now, as young Americans are trying to navigate the murky waters of the economy and their future prospects. According to the U.S. Census Bureau, the proportion of young adults living at home with parents has increased between 2005 and 2011 with 19% of men ages 25-34 living with parents these days as compared with 14% in 2005. For women, that shift went from 8% to 10% in the same time frame.

It wouldn't be surprising if everyone wanted to go back to when Mayim Bialik was just "Blossom" instead of "The Big Bang Theory's" Amy Farrah Fowler. And to that extent, "executives are capitalizing on that," says TVGuide.com's Ross.

Indeed, Nickelodeon's TeenNick launched its '90s programming block in response to consumer demand. (A tagline on its website reads: "Remember when life didn't suck?")

Keith Dawkins, senior vice president and general manager of Nicktoons and TeenNick, recalled that it was about a year or so ago that execs first noticed the longing for programs that emerged in the early-to-mid-'90s such as "Doug," "Clarissa Explains It All," "Kenan and Kel" and "All That."

Today's social media calls for the 1990s

"We really started to notice digitally on social media sites -- Facebook, Twitter, various video based sites -- that there was this chatter and noise by fans that they wanted their '90s Nickelodeon back," Dawkins said. "There was even a Facebook page that was, 'I want my '90s Nickelodeon back.' "

Coupled with an army of interns in the same age range who could "put a face" to the online fans -- which Dawkins said they estimated to be some 15 million strong -- executives at the channel decided to go with it.

When the programming block bowed on July 25 at midnight, placed at that time period to indicate that this was for the adults who remembered the shows and not necessarily kids, it was a hit. Ratings for that 12 a.m.-2 a.m. time period, which was on a Monday, were around 500% higher in the 18-34 demographic, according to a statement from the network.

When these adults were kids, the expansive cable market we know today was just beginning to grow, and here they were at 7, 8, and 9 years of age with an entire network just for them, Dawkins said.

"This '90s Nickelodeon thing -- it's not just about the shows," he concluded. "It's about the environment, the packaging, and everything that was going on at that time. They view Nickelodeon [of the '90s] as the golden age, because they're so deeply emotionally connected to that time period."

Stars of yesteryear come back for second round

That strong emotional tie could also explain why, as TVGuide.com's Ross points out, some stars of the '90s are getting back into the spotlight. (And then, you also have to acknowledge that it hasn't been quite long enough for them to have fallen that far from our radar in the first place.)

In addition to Bialik on CBS' "Big Bang Theory," there's her former "Blossom" co-star Joey Lawrence, who has starred on ABC Family's "Melissa and Joey" with "Clarissa Explains It All" and "Sabrina, the Teenage Witch" star Melissa Joan Hart since 2010.

James Van Der Beek, he of "Dawson's Creek" fame, is expected to appear on ABC's "Don't Trust the B**** in Apartment 23" in 2012 in a role that essentially has him playing himself.

Even an event such as when Jonathan Taylor Thomas turned 30 this fall can cause the Internet to pause long enough to have a sustained fan-girl swoon, recalling crushes on the "JTT" of Tim Allen's '90s sitcom "Home Improvement."

"Fans are watching these [shows] because they're also remembering what they were like when they grew up watching them," Ross said. The actors themselves are "sort of playing on that, very successfully."

If it seems odd that we're wistful for that which doesn't feel quite that long ago, recall that: (a) more than 20 years have indeed passed since 1990, and (b) it could be because not a lot has changed.

Is nostalgia crimping creativity today?

"Digital technology has made it so much easier to access the past. You can YouTube almost any video, TV clip, or just the sound. It's used almost as an audio library," said Simon Reynolds, author of "Retromania." "Young people today know vastly more in terms of the history of music than I would have at their age, because I couldn't access it -- there were limits. Cassettes cost money. Now, you can listen to virtually anything for nothing, if you're willing to download illegally. You can school yourself on the whole history of music on YouTube. ... It's not so much about finding new things, but about finding old things that are new to you. "

Awareness and understanding of history is not a bad thing (far from it), and neither is being able to creatively use prior cultural events to help fuel new creations. But, Reynolds believes, our innovation seems to have comparatively slowed.

"[In] previous decades in pop culture, like the '60s and the '90s, there was a lot of emphasis on the new, on looking forward to the future, on innovation and change," he says. "The '60s was crazy for everything new and breaking tradition, and in the '90s there wasn't that as to the extent of the '60s, but there was information technology and a lot of things that seemed very new. And, they were both periods that were relatively economically prosperous."

But in the past decade, he suggests that forward-thinking view "seems to have really died away in culture, except with things like phones and personal communication technology. I think that's one of the reasons why people are so obsessed with Steve Jobs, because he was the one bringing the science fiction future into everyday life. "

Although it's arguable that the "mash-up" or the "remix," by which one would take references from pop culture of the past and reinterpret it for the present, is the innovation of today, Reynolds isn't buying it.

"So much pop culture has become archived in such an accessible way, you have young people who are nostalgic for things long before they were born," he said. "I think that's a bleak view, if that's the future, that culture will just keep recycling and recycling. Everything will get very familiar, at a certain point. People can do it very creatively, but I think at a certain point, things will seem kind of stale, and people would've seen it all before."

And yet, judging from the positive reaction consumers have had to the culture of their childhood being surfaced once again, having seen it all before seems to be exactly the way we want it.

@highlight

This year reacquainted us with plenty of '90s hits

@highlight

At the box office, 1994's "The Lion King" was re-released in 3-D in September

@highlight

Nickelodeon's TeenNick launched its '90s programming block in response to consumer demand

@highlight

It seems that while the kids have grown up, a lot of the culture that surrounds them hasn't