(CNN) -- Lately I've been hearing wailing sounds in the distance from members of what's been dubbed Generation X over the prospect of beginning their collective sixth decade in two years.

Their keening blends with that of their immediate predecessors, the baby boomers, who have for almost 20 years been grousing about their passage through and beyond their 50s. That's long enough to regret not only "being over," but to regard even the notion of being over as being over.

But what exactly is "over" when you're past 50? Unless you're, like, you know, dead.

Blame it on the veneration of youth that media and marketers have been feeding us from the time boomers began their fearsome march across this blue planet after World War II. To be young was to be exalted, embraced, catered to and, to bemused elders, feared. Once you were past 50, you were no longer as important as you once were to people selling beer, fast food and clothing, which implied you were no longer as important to the culture, with relatively little to contribute or to inspire in others.

But what's this? America's front pages now proclaim a 64-year-old woman as their newest hero? And she did what? Really?

Yes, really. After four previous attempts, all curtailed by some combination of bad weather, hostile seas and sea life, Diana Nyad finally completed a record-setting, 100-plus-mile, nonstop swim from Cuba to Florida. She was the first swimmer to make such an epochal trip without the aid of a shark cage, reaching the shores of Key West roughly 53 hours after leaving Marina Hemingway off the coast of Havana.

Two days and change seem like the proverbial drop in the ocean when compared with the 35 years, almost half her life, spent pursuing this grail. She had other things taking up her time: writing books, training athletes and breaking long-distance records. But the Cuba-to-Florida feat took its not-so-sweet time coming to pass. Even so, she didn't let age or time daunt or disqualify her. This was one bona fide baby boomer who was going to insist to all the subsequent generations that she, at least, wasn't over and done.

As galvanic as Nyad's triumph has been to the world at large, even those who don't care a whit about athletic pursuits, it's been especially gratifying to those of us who belong to the baby boom generation and believe that we still have worthwhile, even astonishing things to contribute to the global imagination. (And in case there's any doubt about her boomer creds, Nyad sharpened her focus during her arduous journey by keeping the music of her generation front and center in her head -- mostly Beatles songs and, if I've heard radio reports correctly, "The Ballad of Jed Clampett" from the 1960s TV sitcom "The Beverly Hillbillies.")

After Cuba-Florida feat, Nyad to swim 48 hours in New York

But Nyad is only confirming what those reaching middle age with more left to give have long been discovering. In fact, the past few weeks have brought comparably striking (though somber) reminders of how one's relevance can continue to ever more glowing terms past one's 20s and 40s.

Between August 18 and 20, we lost three notable artists, Albert Murray, Elmore Leonard and Marian McPartland. Murray and McPartland, both of whom were vitally connected with jazz music and education, were in their 90s, while Leonard, who was writing best-selling, critically acclaimed crime fiction as recently as a year ago, was 89.

As with Nyad, all three worked hard and made reputations for themselves up till their 40s and then outdid those accomplishments in the second stretch of their lives. The British-born McPartland first achieved cult status as a Manhattan nightclub pianist throughout the 1950s and 1960s, while Leonard spent most of those same decades writing Western novels and stories, some of which were made into Hollywood movies, including 1957's "The Tall T" and "3:10 to Yuma."

Murray spent much of his 19-year Air Force career studying literature and writing fiction. He didn't start writing full time until he retired in 1962 at age 46 and in 1970 published his first book of essays, "The Omni-Americans," when he was 54. For the next 30 years, Murray became one of the most influential of African-American novelists and men of letters, using an elegiac imagination, informed passion for jazz music and broad knowledge of 20th-century literature.

Leonard's reputation likewise grew during the 1970s as a crime writer blessed with mordant wit and a keen ear for American speech at all social levels. But it wasn't until 1985 that he, at 60, became a semi-regular fixture on the best-seller lists with the publication of "Glitz." He would continue to amaze readers as diverse as Stephen King and Saul Bellow. In his 80s, Leonard achieved even greater renown working on the FX TV series "Justified," based on his novels about a laconic, sure-shot U.S. marshal named Raylan Givens.

Diana Nyad's jellyfish-proof face mask

McPartland's reputation in the jazz world may have been firmly established by the time her weekly "Piano Jazz" interview series premiered on NPR in June 1978 when she was 60. But it was through the show's years -- through 2011, when she finally stepped down as the host -- that McPartland revealed herself as an illuminating, charming and incisive guide through the mysteries of improvisation and seemed to grow artistically from her weekly encounters with musicians ranging from Dizzy Gillespie and Sarah Vaughan to Cecil Taylor and Steely Dan.

So though one suspects Nyad's far from through in amazing the onlookers, add her to these recently departed as stirring exemplars of the second or even third wind. She's setting the pace for one generation -- and two years from now, the next generation of fiftysomethings should have sufficient reason to charge its own batteries for whatever wave comes by -- and wherever it takes them.

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Gene Seymour: Generation X soon to join baby boomers in grousing about getting older

@highlight

He says Diana Nyad's feat proves baby boomers have second wind

@highlight

He says each generation has late-in-life exemplars, such as Elmore Leonard

@highlight

Seymour: Nyad likely not done amazing us; coming generations should follow her example