BROWNSVILLE, Texas (CNN)  -- Hurricane Dolly weakened to a tropical storm Wednesday night after it made landfall on South Padre Island, Texas, leaving a trail of battered buildings and flooding.

Police patrol the streets of South Padre Island, Texas, on Wednesday as Hurricane Dolly approaches.

By 9 p.m. CT, Dolly's sustained winds had dipped to about 70 mph with higher gusts, according to the National Hurricane Center. A Category 1 hurricane has winds of at least 75 mph.

A tropical storm warning remained in effect from Brownsville to Port Aransas, Texas. Tropical storm warnings for other areas were lifted.

The eye of the storm made landfall as a Category 2 hurricane on South Padre Island, Texas, about 1 p.m. CT, tearing roofs off homes, flooding streets and sending residents scrambling for safety from wind gusts reaching 120 mph.

By 2 p.m., the hurricane was downgraded to Category 1, but in many areas along the southwest coastal region, the damage was already done.  Watch CNN's Gary Tuchman brace against Dolly's high winds »

At least one person was injured as sustained winds up to 100 mph downed power lines and tore observation decks off homes and condos, CNN affiliate KPRC reported.

A 17-year-old fell from a seventh-story balcony, sustaining head injuries, a broken leg and a broken hip. He is alert and receiving treatment on the island while authorities wait for the first opportunity to get him to the mainland, KPRC reported.

"When we heard the first bang, I thought it was one of the air conditioners flying," said Jacqueline Bell, who lives on South Padre Island. "Then we went outside, and we saw the debris, and we saw the neighbors leaving."

CNN meteorologist Chad Myers said persistent rainfall could cause flooding upstream in the Rio Grande as long as the storm stalled over the mountains of Mexico.  Watch Myers explain the threat of flooding upriver »

Myers said it could take two days for the rainwater to flow upstream and challenge the natural levees, which were holding for now.

"The levees are holding up just fine," said Johnny Cavazos, emergency coordinator for Cameron County, The Associated Press reported. "There is no indication right now that they are going to crest."

Even before Dolly made landfall, driving rain and wind gusts from its outer rings flooded streets and threatened to pour into homes while wind gusts shattered windows on the island popular with tourists.

The 2,400 residents began bracing for the storm Tuesday night, when strong winds forced the closure of South Padre Island's causeway to the mainland. Officials said the causeway is closed any time winds reach 39 mph.

Some chose to remain on the island and wait out the storm.

Steven Murphy took shelter with his girlfriend in his 65-foot double-decker fishing boat, Murphy's Law, and hoped for the best. Read about why Murphy decided to wait out the storm

Murphy, who owns a charter fishing company with his brother on the island, lived through a more powerful hurricane, where he saw boats bigger than his tossed onto land.

"I had nightmares about that last night," he said from his boat Wednesday.

He said the wind outside sounded like a tornado and added that he'd seen several items blow past the windows of his vessel.

"It's starting to tear it up real good," Murphy said.  See images and videos from affected areas »

On the mainland, people in the path of the storm stacked sandbags around their homes, nailed plywood over windows and prepared generators to keep power going in the event of a blackout.  iReport.com: Are you in Dolly's path?

Brownsville Mayor Pat Ahumada said that the storm downed trees and dumped 6 to 8 inches of rain but that emergency workers were ready to respond once the wind and rain died down.

Ahumada said reports that the city's levees are in danger of breaching were exaggerated.  Watch Mayor Ahumada explain the situation on the ground »

He said it would take 20 inches of rain to top nearly all of the city's levees, which had been reinforced to federal standards or above.

"People think we're facing a Katrina," he said. "That's not the case."

More than 13,000 customers were without power in Cameron County, where Brownsville is, utility company AEP Texas told The Associated Press.

Dolly's arrival also had the military scrambling. The Navy moved 89 aircraft from its Corpus Christi post to other locations in Texas and New Mexico.  See Dolly's projected path »

Texas Gov. Rick Perry issued a disaster declaration for 14 counties before Dolly arrived. The declaration "allows the state to initiate necessary preparedness efforts," according to a statement from Perry's office.

More than two dozen state agencies and organizations, including the Red Cross, are on standby to help with evacuations and other needs.

The National Guard has set up staging areas in Houston, Austin and San Antonio, officials said. As many as 1,200 National Guardsmen have been called to help, and 700 are deployed to targeted areas.

An incident management team has been pre-positioned in South Texas, including six UH-60 helicopters, to provide support to first responders.

CNN's Alex Walker, Barbara Starr and Ed Lavandera contributed to this report.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Rains persist as Dolly weakens to tropical storm

@highlight

Heavy rains and winds tore roofs off homes, flooded streets earlier in the day

@highlight

Eye of the hurricane reached South Padre Island, Texas, about 1 p.m. CT

@highlight

By 2 p.m., sustained winds had decreased from 100 mph to 95 mph