London (CNN) -- Standard Chartered, a British banking giant, has paid $340 million to settle allegations it was involved in money laundering for Iranian clients.

The settlement was reached with the New York State Department of Financial Services Tuesday, before a hearing due Wednesday. The hearing has now been adjourned.

Standard Chartered -- which faced the loss of its U.S. banking license alongside fines for alleged breaches -- had pre-tax earnings of $6.76 billion in 2011, and the fine is "easily manageable," according to a note by analyst Michael Symonds of Daiwa Capital Markets.

Banks: Too big to prosecute?

"Reaching an early settlement means that StanChart avoids the potentially awkward hearing with the NYDFS.... and, critically, eliminates the immediate risk that the bank could lose its New York banking licence," Symonds said.

However, investigations into the bank by other authorities including the Department of Justice and the Office of Foreign Assets Control continue, and "this lone settlement does not draw a line through the matter," Symonds said.

A statement from Standard Chartered said, "a formal agreement containing the detailed terms of the settlement is expected to be concluded shortly."

The group added that it "continues to engage constructively with the other relevant U.S. authorities."

What was Standard Chartered accused of?

Standard Chartered was accused of helping Iran avoid American sanctions by concealing $250 billion worth of transactions over nearly 10 years, according to banking regulators in New York.

More: Culture shift needed in banking?

The New York State Department of Financial Services accused the London-based banking group of concealing 60,000 transactions with Iranian clients, including the Central Bank of Iran, from 2001 to 2010. The department says there is also evidence of similar schemes to conduct business with other U.S.-sanctioned countries such as Libya, Myanmar and Sudan.

Why are there sanctions in place?

The U.S. and its allies have increased economic sanctions against Iran during the past few years in an effort to deter the Islamic Republic from developing its nuclear capabilities. Iran has argued that its goal is to produce energy and medical isotopes, but U.S. officials say the Iranians are developing weapons.

More: Age of irresponsibility in banks?

Standard Chartered allegedly falsified business and official records to mask transactions with Iranian customers that were subject to U.S. economic sanctions, the New York State Department of Financial Services said. In exchange, the global banking group reaped "hundreds of millions" of dollars in fees, according to an order issued by the New York authorities.

The regulators said the bank's actions left "the U.S. financial system vulnerable to terrorists, weapons dealers, drug kingpins and corrupt regimes, and deprived law enforcement investigators of crucial information used to track all manner of criminal activity."

How was Standard Chartered alleged to have violated the rules?

The regulators said Standard Chartered had a well-established policy to "repair" documents in so-called U-Turn transactions, in which offshore money passes through the U.S. financial system on its way to other offshore accounts.

Under federal law, banks are obligated to ensure that such transactions do not violate U.S. sanctions. But regulators say Standard Chartered's New York branch regularly manipulated wire transfers that would have identified Iranian customers in the U-Turn transactions.

More: Banking ethics "in question"

According to the order, an official in the bank's U.S. division warned top bank managers in London in 2006 that the bank could face "serious criminal liability," according to internal emails.

How was the warning received?

The warning was allegedly rejected by the recipient, who regulators say responded by writing in an email: "You f-ing Americans. Who are you to tell us, the rest of the world, that we are not going to deal with Iranians. [sic] "

According to the regulators, Standard Chartered's most senior management, "designed and implemented an elaborate scheme by which to use its New York branch as a front for prohibited dealings with Iran -- dealings that indisputably helped sustain a global threat to peace and stability."

The regulator had ordered executives of Standard Chartered -- which it says was operating as a "rogue institution" -- to appear in New York Wednesday to answer the charges.

How did Standard Chartered respond to the allegations?

Standard Chartered refuted the charges, saying "well over 99.9%" of the referenced transactions complied with U.S. regulations. It said it strongly rejected the position and portrayal of facts made by the U.S. regulator.

The statement said the group had approached U.S. agencies in January 2010 and informed them they had initiated a review of historic U.S. dollar transactions and compliance with U.S. sanctions.

It said the "group does not believe the order issued by the DFS presents a full and accurate picture of the facts," and "Standard Chartered ceased all new business with Iranian customers in any currency over five years ago."

How much will this damage Standard Chartered?

The large fine was expected and, as Symonds pointed out, is unlikely to significantly dent the bank's balance sheet.

However, pressure has come down on chief executive Peter Sands, who flew to New York City to deal with the allegations. Sands has been at the bank's helm since 2006 following four years as group finance director.

David Marshall, senior bank analyst at CreditSights, said in a note the fine was a "little underwhelming" given the strength of the original charges.

The bank has been "tarred" but immediate regulatory pressure will be "relieved for now," he said.

"It doesn't mean corporates will withdraw their business, but they will likely ask more questions," he added.

Standard Chartered shares rallied on news of the U.S. settlement.

@highlight

Standard Chartered pays $340M to settle allegations of money laundering for Iran

@highlight

U.S. regulators accused the London-based group of concealing 60,000 transactions with Iran

@highlight

Standard Chartered is accused of helping Iran avoid sanctions by concealing $250B of transactions

@highlight

The group refuted the charges, saying 99.9% of transactions complied with regulations