The French government has thrown down the gauntlet to the jihadists of Ansar Dine and their fellow travelers in Mali -- and insists its goal is nothing short of eradicating these militant groups.

It is a major undertaking, even with U.S. logistical and intelligence help and the prospect of reinforcement from African states. And the outcome is far from assured.

Operation Serval seeks to push Islamist groups out of northern Mali's key cities as well as smaller towns dotted through this vast region. But these groups have had nine months to establish defenses and a chain of command and improve their arsenals.

As I found out last summer on a journey north from the capital, Bamako, into the dusty heartlands of Mali, the seizure of the north by Islamist groups has traumatized tens of thousands of civilians. Many have fled their homes; others have endured hunger or cruel punishment for "offenses" that didn't exist before the Islamists arrived.

So ordinary Malians are welcoming the French intervention. But their enthusiasm may wear off, if the result is prolonged urban warfare and destruction.

On my trip up the RN15 last June, one of the few roads in Mali worthy of the description, I met Mohammed al-Mahmoud, a noted Tuareg artisan from Timbuktu.  At that point, Mali's security forces had melted away in the face of the Islamists' advance.

Al-Mahmoud told me he had seen no vestige of the state in Konna, a town of some 50,000 people, contradicting the assertion of a high-ranking military officer who assured me his forces were deployed there  -- precisely to deter a possible push southward by the Islamists.

In reality, Konna was in the middle of an ungoverned buffer-zone rather than a well-guarded front-line town.  And it stayed that way for months, perhaps lulling foreign governments and even the Malian army into a false sense of security. That is until last week, when militants of Ansar Dine made a sudden move southward to take the town and get within striking distance of the important town of Mopti and the airport at Sévaré.

That provoked the immediate arrival of French air and ground forces in Mali to help local troops push back the advancing jihadis. Over the weekend Mirage warplanes launched sorties against Léré, near the border with Mauritania, as well as the key hub of Gao and the town of Douentza. Now French armored personnel carriers are heading north from Bamako.

The United Kingdom is pledging to help the transport of troops from neighboring African states, and the United States will employ its vast technical capabilities to assist in the overall operations. But France will be the essential external actor in the conflict.

Mali's meltdown began in mid-January of last year when the National Movement for the Liberation of Azawad (MNLA), an ethnic Tuareg separatist outfit, and Ansar Dine, a newly formed Salafi-jihadi group, attacked the northeastern town of Menaka.

Following a succession of lighting raids by heavily armed rebel groups in late March 2012, Malian security forces evacuated three northern regions: Gao, Timbuktu and Kidal. Mali's army, national police and paramilitary gendarme force, who had been stationed in the north, relocated to the safety of garrisons and cinder-block station houses south of a rapidly created front line. And for a while the disparate rebel movements worked together in an ad hoc alliance despite their very different ideologies and goals.

But before long the highly divergent agendas of Ansar Dine and the MNLA led to clashes between them. Ansar Dine is led by a Tuareg by the name of Iyad ag Ghaly -- a veteran separatist-turned-Islamist. The jihadists prevailed.

However, Ghaly's Ansar Dine is just one of three Salafi-jihadi groups in northern Mali. His turban-clad men were soon joined by the Saharan contingent of the Algerian-led al Qaeda in the Islamic Maghreb (AQIM) and another hitherto unknown group, the Movement for Unity and Jihad in West Africa (MUJAO), believed to be run by a Mauritanian national named Hamada Ould Khairou. On December 7, 2012, the U.S. State Department listed Khairou as a "Specially Designated Global Terrorist."

The loss of the north -- and resentment among army officers that they were inadequately equipped to fight the rebellion -- led to a coup against the democratically elected President, Amadou Toumani Touré.  He was overthrown by a military junta led by an obscure army captain Amadou Sanogo, who accused him of appeasement when dealing with AQIM and Tuareg separatists.

The well-armed Islamist groups may have decided not to advance further south after their initial seizure of territory because they were occupied in consolidating their power in the areas already under their control. A fragile status quo left the international community with the illusion that there was sufficient time to plan for military action, while leaving room for negotiations that might lead to a political solution.

The French were the most bullish in supporting military intervention by ECOWAS (Economic Community of West African States), but the scale of the task was recognized as enormous. The Malian military was low on morale and equipment, the distances vast and the territory difficult. Mali's neighbors dithered with their own military planning as a series of fruitless, drawn-out talks with various rebel factions were led by Blaise Compaoré, Burkina Faso's longtime president and his foreign minister, Djibril Bassolé.

President Compaoré, a one-time confidant of the late Libyan dictator Moammar Gadhafi, has a reputation for meddling in the affairs of his West African neighbors, including past conflicts in Liberia, Sierra Leone, and Ivory Coast. Much to the consternation of pro-junta Malian hardliners, Burkina Faso invited the rebels to talks at a plush Ouagadougou hotel and  sent a high-level delegation to Gao and Kidal led by Bassolé.

Cheikh Modibo Diarra, the recently ousted transitional prime minister in Mali (and former NASA scientist) said in November that he was open to talks in Burkina Faso with both the MNLA and the jihadists of Ansar Dine on the condition that they were Malian citizens with a purely Malian agenda. Soon thereafter, he lost his job -- once again displaying the complete dysfunction of Malian politics. It seems Diarra's initiative ran afoul Captain Sanogo, who wields considerable influence despite formally handing over to a civilian president.

On December 20, the United Nations Security Council passed resolution 2085 under Chapter VII of the UN Charter, allowing for the eventual creation and deployment of international troops in Mali. The UN allowed for the creation of African-led International Support Mission in Mali (AFISMA) in concert with ECOWAS and the African Union. Members of the international community hoped for certain benchmarks to be met among Mali's political elites and the military junta that still wields considerable power.

But it seems Ansar Dine and MUJAO were operating on their own strategic timetable, catching many off guard -- including civilians who were forced to flee the fighting.

The U.S. has watched the deteriorating situation in Mali with concern -- but with no appetite for direct intervention. After the September attack on the U.S. diplomatic compound in Benghazi, Secretary of State Hillary Clinton seemed to suggest that there may have been a link between AQIM operating freely in Mali's ungoverned spaces and the tragedy in eastern Libya.

"They [AQIM] are working with other violent extremists to undermine the democratic transitions under way in North Africa, as we tragically saw in Benghazi," she said.

But it's been difficult to stitch together a coalition of African countries willing or able to go to war on behalf of Mali's weak civilian government. Many of Mali's neighbors were rightly concerned about the prospect of a wider regional conflict and the risk of terrorist blowback at home.

And they were concerned that a substantial part of Mali's population might not welcome them.

These are not states with well-trained Rapid Reaction Forces, nor the airlift or support to inject a sizeable presence into hostile territory. But now at least seven west African countries are ready to supply troops to a regional intervention force.

The two principle hawks on Mali have been French President Francois Hollande and Niger President Mahamadou Issoufou (who's offering soldiers to the ECOWAS force), two leaders who believe they may have the most to lose, should Mali's conflict worsen.

France still has a number of hostages in northern Mali, including four of its citizens captured by Mali-based militants in neighboring Niger in 2010 while working for Areva, the French uranium mining consortium. AQIM has been holding the men as bargaining chips and could potentially execute them in response to the French intervention.

In Niger, President Issoufou fears armed conflict (and a tide of refugees) could spill into the country's northern regions and re-ignite its own Tuareg troubles.

Despite the relatively small number of militant fighters, there is little simple about the French operation. The distances are huge, the geography difficult, and the risk of neighboring countries being dragged into Mali's crisis cannot be discounted. The French defense minister has acknowledged that the militants are a determined adversary that is well equipped. It will take more than a few air strikes to dislodge them.

@highlight

Operation Serval seeks to push Islamist groups out of northern Mali's key cities

@highlight

France insists its goal is nothing short of eradicating these militant groups

@highlight

Flood: Most ordinary Malians are welcoming the French intervention

@highlight

But enthusiasm may wear off if result is prolonged urban warfare, he says