(CNN) -- I took care of AIDS patients from 1981 to 1998 in a county clinic in Atlanta. By the time they showed up at the door, many of them had advanced disease. Most died within two years. Before they died, they suffered from untold painful physical conditions in addition to the unique brand of pain caused by the the pervasive social stigma of AIDS.

Without effective treatment of HIV, a physician couldn't offer much more than supportive care. Then, in 1995, a "cocktail" of three anti-retroviral drugs proved to be successful in fighting the virus -- not completely killing it, but reducing its numbers so its devastation of the immune system was minimized.

The treatment worked like a miracle. Patients got better and very quickly. Seeing the transformation of patients from close to death's door to living healthy lives was one of the most rewarding experiences I've had as a physician.

But the patients aren't cured. They must take drugs for their lifetime. Neither a cure for HIV nor a vaccine to prevent HIV has yet been developed.

Now, an HIV-infected baby who was treated with a combination of drugs from birth to 18 months and then not treated for a year was found to be free of HIV infection at 30 months. The child is considered cured.

This is the second reported HIV cure in history and the first in a child, and it is rightly making international news. We can all share the joy of a child cured and hope the treatment will bring a better life for infected babies in the future. Kudos to the clinician, Dr. Hannah B. Gay, whose expertise, instincts and treatment of the infant led to this remarkable outcome.

But there was another great advance against the HIV virus that did not make big headlines. A simple treatment with anti-retroviral drugs can prevent babies from being infected by their HIV positive mothers in the first place. Of course, a patient cure is much more visible than an infection prevented. Maybe that is why we celebrate cure in a way that we do not celebrate prevention.

Toddler's HIV cure offers global hope

Until the mid-1990s, pregnant women with HIV infection had a 30% chance of transmitting the infection to their newborn. A landmark study showed that treating HIV-positive pregnant women during their labor and delivery with intravenous zidovudine, or AZT, and then giving the infant AZT syrup orally for four to six weeks reduced the risk of HIV transmission to less than 2%. Successful prevention means the baby is free of HIV infection and will no longer need treatment.

We should also celebrate those babies who were not infected with HIV by virtue of treatment of mother and newborn with this drug regimen. Kudos to the thousands of clinicians who have treated HIV-infected pregnant mothers and their offspring.

How do we know the treatment was effective? We know only by the data meticulously collected by the Centers for Disease Control and Protection since AIDS was first recognized in 1981.

HIV transmission from mother to child during pregnancy, labor and delivery or breastfeeding is known as perinatal transmission. In 2012, the CDC reported that the combined mother/infant HIV treatment regimen resulted in a decline of perinatal transmission by more than 90% since the beginning of the HIV/AIDS epidemic.

AIDS in the '90s: 'I wasn't going to die miserably'

This incredible reduction was accomplished despite the fact that more women with HIV infection were giving birth. How far we have come.

Women with health care do not have a problem being tested for HIV. The problem lies with women who don't have health care and have not been tested. In 2005, the CDC recommended that if a women arrives in labor in the emergency room and has not had prenatal care, a rapid, 20-minute test for HIV should be done so preventive treatment can be started immediately.

Despite the existence of this treatment, babies are still born infected with HIV in the United States and worldwide. Prevention strategies are rarely perfect. That is why we need to have a Plan B for babies with HIV infection -- and the findings of Gay and her colleagues might be just that. The potential impact of this discovery will be far greater in developing countries -- especially in Africa, where thousands of HIV-infected babies are born each year.

Of course, what we desperately need to control HIV is a safe and effective vaccine for both infants and adults. Until then, let us celebrate each success. Each one gives hope that we will eventually conquer one of the most formidable of viruses.

The opinions expressed in this commentary are solely those of Mary Guinan.

@highlight

Mary Guinan one of the first to investigate AIDS, treated patients from 1981-1998

@highlight

She has seen the progress of AIDS as a death sentence to people living with HIV

@highlight

Guinan: Baby cured of HIV infection is great news, but infant didn't have to be infected

@highlight

She says anti-retroviral drugs can easily prevent transmission from mother to child