San Diego, California (CNN) -- The Supreme Court just did Latinos and African-Americans a big favor.

It showed the two minority groups most impacted by affirmative action the writing on the wall and prodded them to end their crippling dependence on a program that, while intended to help them when it was designed a half-century ago, now arguably does them harm.

On the surface, with its lopsided 7-to-1 ruling in Fisher v. The University of Texas, the Supreme Court resolved to do not that much.

The justices ducked the weightier constitutional concerns involved in the issue of whether colleges and universities can take an applicant's race or ethnicity into account. But they did scold the lower courts for their handling of the case and demand that they give the facts and the law another look.

Writing for the majority, Justice Anthony Kennedy pointed out that the Supreme Court had previously set a standard of "strict scrutiny" -- by which the burden lies on institutions of higher learning to show that they couldn't have gotten where they wanted to go in terms of achieving a diverse student body by using "race-neutral alternatives." The lower courts didn't hold the University of Texas at Austin to that standard, Kennedy said, and so they need a do-over.

The court's four most conservative justices agreed with Kennedy, but so did Justices Stephen Breyer and Sonia Sotomayor, who are more liberal.

Let's give the majority of the justices some credit for not getting too carried way with the notion of victimhood. They could have suggested, along with Justice Clarence Thomas, that Abigail Fisher -- the onetime applicant to the University of Texas at Austin who was at the center of the case -- is the modern-day equivalent of those African-Americans who, in the pre-civil rights era, were routinely discriminated against and denied admission to colleges and universities because of their race. Thomas essentially compared what the University of Texas at Austin does now to what the University of Mississippi was doing in 1963.

Seriously? Here's what really happened in the Lone Star State. When Fisher applied in 2008, the university set aside three-fourths of its available slots to students who graduated in the top 10% of their high school classes. (Today, it's 8%.)

Fisher's academics weren't strong enough to get her into that category; she graduated in the top 12%. And rather than admit that she should have earned better grades, she got angry with the university which doled out other slots under a process that weighed several factors including race and socioeconomic status.

After all, a diverse state deserves a diverse class of leaders. Texas is 12% African-American and 38% Latino while the student body at UT Austin -- with its 52,000 students -- is just 4.5% African-American and 18% Latino.

Curiously, Fisher blamed the university's policy -- rather than her own academic shortcomings -- for not getting into the University of Texas. And then, she filed a lawsuit. She found her way to Louisiana State University, and the case bearing her name quickly found its way to the Supreme Court, where it was welcomed onto the docket by five justices who were already itching to strike down affirmative action.

Despite what Justice Thomas would like to believe, Fisher is no victim. Had she worked a little harder in high school, she might have gotten into college on "the 10% rule" and saved us all a lot of drama. Besides, aren't conservatives the ones who are always talking about merit? Yet, here they went to bat for mediocrity.

It is simply not the case that white people are -- in the admissions process -- being subjected to some wholesale form of discrimination because they have long been considered inferior due to skin color. They don't need to link arms and sing: "We Shall Overcome."

Now, if you want to see real victims, look at African-American and Latino students who are being shortchanged by the public school system because those who teach them harbor low expectations. This is one of the most serious problems with racial and ethnic preferences -- that they camouflage what are often severe educational inequalities at the critical K-12 level. They can also lower standards, kill incentive, provide a crutch, attach a stigma to beneficiaries, and perpetuate a destructive spoils system that benefits a few at the expense of the many.

These programs should have come with an expiration date. It's been more than 50 years since President John F. Kennedy signed -- on March 6, 1961 -- Executive Order 10925, instructing U.S. government contractors to take "affirmative action to ensure that applicants are employed, and that employees are treated during employment, without regard to their race, creed, color, or national origin."

My parents' generation suffered real discrimination, and so it made sense to give it a leg up through affirmative action. But it makes no sense to transfer that privilege to my children, who are being raised with every advantage. When that sort of thing happens, it only makes the public more cynical and bitter.

The Supreme Court gave affirmative action in college and university admissions a reprieve this week, but it won't last long. The justices have another case on their docket for the fall.

The hour is late. Latinos and African-Americans have the chance to end their dependence on a program that is taking them nowhere, and the rest of us can focus on fixing a broken educational system so that more students of color can succeed on the natural and go anywhere they want to go.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette says affirmative action ruling is a signal

@highlight

He says court requiring universities to demonstrate justification for the program

@highlight

Navarrette: A generation ago, affirmative action was needed to remedy wrongs

@highlight

He says his children are being raised with every advantage