Atlanta (CNN) -- A medical plane whisked an American infected with Ebola from Liberia to Georgia on Saturday, the latest leg of a race to save the first known patient with the deadly virus to be treated on U.S. soil.

Shortly after the plane landed, an ambulance rushed Dr. Kent Brantly from Dobbins Air Reserve Base to Atlanta's Emory University Hospital. He's one of two Americans sickened by the deadly viral hemorrhagic fever last month while on the front lines of a major outbreak in West Africa.

Video from Emory showed someone in a white, full-body protective suit helping a similarly clad person emerge from the ambulance and walk into the hospital.

Hospital visitor: 'Oh, my God'

Emory has said it will treat Brantly, 33, and fellow missionary Nancy Writebol in an isolation unit.

The plane equipped with an isolation unit can only transport one patient at a time. It will now pick up Writebol in Liberia and bring her to Georgia early next week, said Todd Shearer, spokesman for Christian charity Samaritan's Purse, with which both Americans were affiliated.

Brantly's wife, parents and sister cried when they saw him on CNN walking from the ambulance into the hospital, another representative of Samaritan's Purse said on condition of anonymity. His wife, Amber, later said she was relieved that her husband was back in the United States.

"I spoke with him, and he is glad to be back in the U.S.," she said in statement. "I am thankful to God for his safe transport and for giving him the strength to walk into the hospital."

Brantly's wife visited with him from behind a glass wall for about 45 minutes, the Samaritan's Purse representative said. Kent Brantly was described as "in great spirits and so grateful."

Tennessee doctor who worked with Ebola patients quarantines self

Brantly, who has ties to Texas and Indiana, and Writebol, of North Carolina, became sick while caring for Ebola patients in Liberia, one of three West African nations hit by an outbreak.

Treatment in isolation

This will be the first human Ebola test for a U.S. medical facility. The patients will be treated at an isolated unit where precautions are in place to keep such deadly diseases from spreading, unit supervisor Dr. Bruce Ribner said.

Everything that comes in and out of the unit will be controlled, Ribner said, and it will have windows and an intercom for staff to interact with patients without being in the room.

Ebola is not airborne or waterborne, and spreads through contact with organs and bodily fluids such as blood, saliva, urine and other secretions of infected people.

There is no FDA-approved treatment for Ebola, and Emory will use what Ribner calls "supportive care." That means carefully tracking a patient's symptoms, vital signs and organ function and taking measures, such as blood transfusions and dialysis, to keep patients stable.

Dr. Sanjay Gupta: Ebola will go global

"We just have to keep the patient alive long enough in order for the body to control this infection," Ribner said.

Writebol was given an experimental serum this week, Samaritan's Purse said, though its purpose and effects weren't immediately publicized.

The Ebola virus causes viral hemorrhagic fever, which refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

Bruce Johnson, president of SIM USA, a Christian mission organization with which Writebol also is linked, said Saturday that both were seriously ill but stable.

"My last report (on Brantly) was yesterday. ... He was ambulatory, being able to talk, converse, and get up. So that was encouraging," Johnson said Saturday morning.

On Writebol, Johnson said: "She's responsive, and we're encouraged at how she's doing."

Emory's isolation unit was created with the Centers for Disease Control and Prevention, based down the road. It aims to optimize care for those with highly infectious diseases and is one of four U.S. institutions capable of providing such treatment.

The World Health Organization reports that the outbreak in Liberia, Sierra Leone and Guinea is believed to have infected 1,323 people and killed more than 729 this year, as of July 27.

Fear, conspiracy theories

As officials worked to bring the two Americans home, the idea of intentionally bringing Ebola into the United States has rattled many nerves.

"The road to hell was paved with good intentions," wrote one person, using the hashtag #EbolaOutbreak. "What do we say to our kids When they get sick& die?"

On the website of conspiracy talker Alex Jones, who has long purported the CDC could unleash a pandemic and the government would react by instituting authoritarian rule, the news was a feast of fodder.

"Feds would exercise draconian emergency powers if Ebola hits U.S.," a headline read on infowars.com.

Ribner repeatedly downplayed the risk for anyone who will be in contact with Brantly or Writebol.

"We have two individuals who are critically ill, and we feel that we owe them the right to receive the best medical care," Ribner said.

The fight against Ebola

All concerns about the United States pale in comparison to the harsh reality in the hardest-hit areas.

Even in the best-case scenario, it could take three to six months to stem the epidemic in West Africa, said Dr. Thomas Frieden, director of the CDC.

There's no vaccine, though one is in the works.

There's no standardized treatment for the disease, either; the most common approach is to support organ functions and keep up bodily fluids such as blood and water long enough for the body to fight off the infection.

The National Institutes of Health plans to begin testing an experimental Ebola vaccine in people as early as September. Tests on primates have been successful.

So far, the outbreak is confined to West Africa. Although infections are dropping in Guinea, they are on the rise in Liberia and Sierra Leone.

In the 1990s, an Ebola strain tied to monkeys -- Ebola-Reston -- was found in the United States, but no humans got sick from it, according to the CDC.

Experts: U.S. health care system well-prepared for Ebola

CNN's Chelsea J. Carter, Greg Botelho, Deanna Hackney, John Branch, Danielle Dellorto, Barbara Starr, MaryLynn Ryan and Ben Brumfield contributed to this report.

@highlight

Kent Brantly visited with his wife, separated by glass wall, for 45 minutes

@highlight

Brantly is first known Ebola patient in U.S.

@highlight

Both Americans infected with Ebola will be treated at Emory University Hospital

@highlight

Plane will head back to Liberia for the second American patient