(CNN) -- A growing number of Chinese are keeping their cash in their wallets this Lunar New Year as the traditional exchange of red packets of money is moving from the physical world into the digital space.

The tradition of giving cash gifts of "lucky money" ("hong bao" in Mandarin and "lai see" in Cantonese) goes back centuries and can be particularly lucrative for the young and the unmarried.

As the country increasingly embraces online transactions and e-commerce models, tradition is taking a back seat to convenience as more and more lucky money recipients prefer to receive their money via electronic means.

A recent study conducted by Shanghai-based Avanti Research Partner showed that 58% of respondents preferred their hong bao directly deposited into their accounts.

The country is becoming increasingly connected -- over 90% of 18 to 30 year olds in China own an internet-connected smartphone, according to a Global Times survey published last year.

Of course, China's internet giants have not been slow to capitalize on this trend, with Shenzhen-based Tencent last week launching their 'New Year Red Envelope' app, an add-on to its phenomenally popular WeChat messaging service.

The company's 600 million-plus WeChat users can send each other lucky money through their profiles, provided both the sender and recipient have signed up to the company's in-app payment service.

"I am really happy that I can use a new and fashionable way to send my holiday greetings to my family and friends, especially for people who have kids but live far away from us," said Mr. Cheng, a user of the service.

The service reportedly banked 18 million RMB ($2.9 million) worth of transfers in its first 24 hours, according to a report in the Beijing Youth Daily newspaper.

While Tencent's rival Alibaba also has a similar service, called Hong Bao, which launched last year, WeChat's app allows users to randomly distribute up to 200 yuan ($33) within a group of friends, adding a fun element of unpredictability to the process.

Some analysts believe that linking the payments to WeChat's in-app payment service could be a game-changer, as it streamlines the process of paying for microtransactions, potentially making users more likely to make in-app purchases in the future.

"The tradition of giving red packets is a symbolic gesture," said Steve Wang, Chief Economist, Reorient Group. "It's a way to get people more comfortable dealing with money online, and to expand their subscriber base. It leverages the old and the new, and is a great example of the kind of creative idea that we're seeing come out of China these days."

Other online money operations are looking to boost their business by tapping into the cash-giving tradition. In Hong Kong around $64,000 worth of bitcoin vouchers are being distributed by ANX, one of the city's biggest bitcoin exchanges.

It is billed as the biggest bitcoin giveaway to date, although each packet, distributed at certain shopping malls, will contain only a HK$10 ($1.29) voucher, which currently translates into 1.4 mBTC.

"The Hong Kong public is increasingly willing to embrace non-traditional ways for lai see," says Ken Lo, CEO of ANX.

"We are the first bitcoin lai see that we know about, but can definitely see this as a growing trend especially to give to other people that don't live in the same country.

"The responses so far have been very positive with many people being very happy to learn they have just received their first bitcoin."

While many of the city's residents remain unfamiliar with the finer points of bitcoins, the city is coming to terms with the online currency, as Hong Kong prepares to receive one of the world's first bitcoin ATMs.

@highlight

More 'lucky money' recipients prefer electronic transfer over traditional red packets of cash

@highlight

Smartphone apps allow easier lucky money transfer

@highlight

WeChat app adds an element of chance in sharing lucky money with friends

@highlight

Bitcoin giveaway in Hong Kong familiarizes public with the online currency