(CNN) -- Ever heard of a Balinese Tiger? How about a Javan Tiger?

No? That's not surprising. These two tiger sub-species went extinct decades ago thanks to massive habitat loss and poaching. The question is whether their cousins the Sumatran tigers, will soon join them.

The odds are not in their favor. As recently as 1978 more than 1,000 Sumatran tigers lived on Sumatra. But thanks to appallingly high deforestation and rampant poaching their numbers have dropped to around 400. The once-lush green island has lost more than half its forest cover since 1985.

According to TRAFFIC, the wildlife trade monitoring arm of WWF and IUCN, poachers kill at least 40 Sumatran tigers per year, and the killing is made that much easier as their habitat shrinks.

This also brings them into conflict with people, which often results in retaliatory killings when they attack livestock or villagers.

It's not hard to poach a tiger. A length of metal cable, a few strong branches and a little expertise in setting a snare can bag one pretty quickly.

As Philippe Cousteau demonstrates in the groundbreaking CNN series Expedition: Sumatra, these snares are simple but stunningly effective tiger killers. And there just aren't enough anti-poaching patrols to find all of the snares and the people who set them.

Read more: The battle to save Sumatra's elephants

So is there hope for the tigers of Sumatra?

In short, yes. Using camera traps, scat surveys and other scientific tools WWF and its partners are able to estimate the population size and distribution of tigers across Sumatra.

The camera traps are an especially valuable tool, allowing researchers to gather more precise data on individual tigers using their stripe patterns. Just like humans and fingerprints, no two tiger stripe patterns are the same.

Understanding tiger distribution allows scientists and forestry officials to designate protected areas and wildlife corridors that allow tigers to breed and disperse, and also to understand where best to patrol against poaching.

WWF's Tiger Protection Units patrol vulnerable areas, gather vital intelligence about poachers and remove poachers' snares. In places where they operate, poaching has dramatically declined. Tiger Protection Units also work with communities to help them better understand tigers and develop solutions to human-tiger conflict.

The longer-term solution is more complicated but just as critical. It all comes down to zoning and land use planning that benefits critical wildlife habitat and the needs of indigenous groups such as the Orang Rimba and Talang Mamak. It's tough to make the case for protecting tiger forests when faced with stiff competition from the highly profitable pulp, paper and palm oil industries. But one innovative solution may help make the case.

Read more: The devastation of Indonesia's forests

In Indonesia, most forest areas are owned by the government and leased out for commercial activities in long-term concessions. By rezoning critical tiger habitat currently slated for deforestation, mining or agriculture into ecosystem restoration concessions, the Indonesian government can protect wildlife, support local communities and ensure that the forests are managed sustainably.

One such joint venture is currently under consideration in the buffer zone outside Sumatra's Bukit Tigapuluh National Park, also known as 30 Hills. As documented on Expedition: Sumatra, this is an ambitious and forward thinking venture that could be the best last hope for the tigers of 30 Hills.

To find out how you can help, go to Change.org and add your name to a petition urging Indonesia to re-zone the areas around 30 Hills for conservation concessions.

If given enough habitat, plenty of prey and protection from poaching, tigers are breeding machines. Their populations can rebound from even the low numbers currently seen in Sumatran tigers. The weak link in all of this is humans. We can be their worst enemy or their best friend.

By rallying the political will to protect their habitat and stopping the relentless onslaught of poaching, we can be part of the solution and ensure that future generations will share a planet with these noble creatures.

@highlight

In 1978 more than 1,000 Sumatran tigers lived on Sumatra

@highlight

Thanks to deforestation and poaching the number has dropped to around 400

@highlight

WWF's Tiger Protection Units patrol vulnerable areas and remove poachers' snares