(CNN) -- I first became involved with the Elizabeth Glaser Pediatric AIDS Foundation (EGPAF) five years ago, when I traveled to Tanzania to take photographs and film a documentary about EGPAF's work in Africa.

Today, I continue to be inspired by the mothers, health workers, volunteers and government officials I met during my travels who remain dedicated to stopping this deadly virus from infecting another generation.

But more than an inspiration, my trip to Tanzania was an education. I learned that not only is pediatric HIV almost 100% preventable, but that we have tools available to achieve an AIDS-free generation within this lifetime. By giving an HIV-positive pregnant woman access to antiretroviral therapy (ART) during pregnancy and breastfeeding, we can almost ensure that her baby will be born and remain HIV-free.

Sadly, many of the women and children who need these crucial services still don't receive them. According to the 2013 UNAIDS Global Report, 700 children are infected with HIV every day. Most contract the virus from their mothers during pregnancy, childbirth or breastfeeding. And only one third of those children currently have access to the medications that will help them remain healthy.

Another UNAIDS report from 2012 says without ART, half of all HIV-positive children won't live past the age of 2 and 80% of them will die before their 5th birthday.

While these numbers are staggering, so is progress that has been made since Elizabeth Glaser first started her fight to help children with pediatric HIV more than 25 years ago.

Pediatric HIV has been virtually eliminated in the United States and Europe and thanks to programs such as the United States President's Emergency Plan for AIDS Relief (PEPFAR), we are closer than ever before to ending pediatric HIV in Africa and other resource-limited regions around the world.

We can see evidence of PEPFAR's positive impact firsthand in stories like that of Tatu Msangi, a woman I met during my trip to Tanzania.

Tatu discovered she was HIV-positive after becoming pregnant with her daughter, Faith, in 2004 -- when HIV/AIDS was killing millions of people each year and resources to treat and prevent the virus in Africa were very limited.

But, thanks to PEPFAR, Tatu received the medicine she needed to prevent transmitting HIV to her child.

Today, almost 10 years later, Faith is happy, healthy and HIV-negative. Tatu was so inspired by PEPFAR and EGPAF's work to help HIV-positive mothers and their children that she went back to school to become a nurse and now works at a clinic in Kilimanjaro.

This past June, Tatu and Faith joined U.S. Secretary of State John Kerry in Washington, DC to celebrate the fact that since PEPFAR began in 2003, 1 million babies, just like Faith, have been born HIV-free.

Preventing mother-to-child transmission of HIV is the first step toward achieving an AIDS-free generation.

I encourage everyone to take a few moments out of your day to learn more about the fight for an AIDS-free future. Tweet, post to Facebook, or even just talk to someone you know about pediatric HIV and what each of us can do to make sure that this generation is the last one to face this devastating epidemic.

@highlight

Photographer Nigel Barker is an ambassador for the Elizabeth Glaser Pediatric AIDS Foundation

@highlight

Foundation's mission is to create an AIDS-free generation

@highlight

More than 700 children are infected with HIV every day, most as a result of mother-to-child transmission