(CNN) -- How do Burmese punks keep their mohawks standing tall?

Why does cash in Myanmar need to be kept clean?

What does making a kissing sound in a Yangon restaurant get you?

As recently as a year ago, few people would have cared about the answers to any of these questions.

But newfound political freedom has brought a surge in tourism to the once isolated country, making Myanmar a 2013 traveler's hot spot, and a place worth getting up to speed on.

Fall in love with Burmese food

1. New Year celebrations last four days

The Burmese make a big deal of the New Year. Thingyan, known as the "water throwing festival," is celebrated in April. This year it takes place April 13-16.

Everything shuts down over the four-day New Year -- banks, restaurants, shops. The biggest celebrations are in Yangon and Mandalay.

During the New Year water-throwing frenzy everyone throws and sprays water at each other. Staying dry isn't an option. Water symbolizes the washing away of the previous year's bad luck and sins.

On New Year's Day, the fourth day of the festival, fish and birds are released as acts of merit and feasts are held for monks.

In recent years of privation, hard-core Burmese punks used leather glue to spike up their hair at New Year. The superstrong glue meant their mohawks stayed standing through the Water Festival, but when the party was over they had to shave their hair. These days, Burmese punks use hairspray.

Myanmar: Is now a good time to go?

2. Myanmar has fantastic beaches

Myanmar has 1,250 miles (2,000 kilometers) of coastline and some of the finest stretches of beach in Asia. Many beaches along the Bay of Bengal and Andaman Sea remain undiscovered by tourists and unspoiled by development.

Many of them face west, so they produce great sunsets.

The best known is Ngapali Beach, a 45-minute flight from Yangon, where almost two miles of white sand are lined with palm trees overlooking the Andaman Sea. Here, you'll find a number of large resorts.

Less developed is Ngwe Saung, a beautifully unspoiled beach that's a five-hour drive from Yangon. Also called Silver Beach, its eight-mile (13 kilometers) stretch makes it one of the longest beaches in Asia.

3. The Internet isn't censored anymore, but it's still slow

The Internet arrived in Myanmar in 2000, but high prices and slow connections mean it's still not widely used.

Under the former government, websites such as YouTube and Gmail were blocked, but restrictions have largely been lifted and last month Google chairman Eric Schmidt visited the country.

Far more popular than the Internet are mobile phones, though here, too, prices are high compared with other Asian countries. Local IT firms are lobbying to introduce cheaper SIM cards and a breakthrough is expected soon.

A U.S.$15 SIM card for mobile phones will be made available in June, in the run-up to the Southeast Asian Games to be held in Myanmar in December, but will be available only to foreigners.

4. You'll need plenty of cash -- and make sure it's clean

There are few ATMs in Myanmar, so visitors need to bring plenty of U.S. dollars. The higher the denomination, the better the exchange rate.

Your greenbacks should be squeaky clean -- that means no creases, stains, marks or tears. A note that's folded or even a little worn is worthless in Myanmar.

At present, credit cards are accepted only in five-star hotels and up-market shops and restaurants, usually with a 2-3% fee added to the bill. But this is changing. By the end of the year, credit cards should be more widely accepted.

The local currency is the kyat (pronounced "chat") and U.S.$1 will get you about 882 kyat. The new 10,000-kyat note (less than U.S.$12) is the highest denomination -- be prepared for a bulging wallet.

There's little worry about carrying a lot of cash. Crime against foreigners is rare and the Burmese -- the vast majority of whom are Buddhist -- are generally honest.

Myanmar records 1 million tourists, surge in tourism income

5. A kissing sound gets you a beer

When the Burmese want to get a waiter's attention they make a kissing sound, usually two or three short kisses. It's the sort of sound you might make if calling a cat.

Walk down 19 Street in Yangon's Chinatown and you'll hear that kissing sound a lot. This narrow, pedestrian-only street is where the Burmese come to drink.

Restaurants line either side of the street and chairs and tables are set out in front.

The local brew is Myanmar Beer and it's cheap -- about 60 cents for a glass of draught.

This is prime people-watching territory and if you keep an eye out you'll spot Yangon's hip-hop royalty on the prowl.

Just don't expect to see any females. Most Burmese women -- married and single -- stay home in the evening. That's not to say Western women aren't welcome. It's understood that foreigners have different customs.

6. Hotels are expensive

Room rates shot up 350% last year, which means that a room that cost U.S.$25 a night in 2011 now goes for almost U.S.$100.

It's a simple matter of supply and demand. Since the country opened up, business travelers and tourists have been packing flights to Myanmar. There are a lot more visitors -- more than a million last year -- but roughly the same number of hotels.

More hotels are on the way, but they take time to build and the hotel shortage is expected to continue five to 10 years. Book accommodation well ahead.

A lot of hotels are renovating and since they don't want to miss out on the visitor boom, they're staying open while upgrading. When making a reservation it's worth checking to see if any work is in progress and, if so, requesting a room away from the noise.

Myanmar hit by severe hotel shortage

7. The men wear skirts

The traditional Burmese dress is the longyi, a wraparound skirt worn by men and women. Men tie theirs in the front and women fold the cloth over and secure it at the side.

NLD Leader Aung San Suu Kyi is known for her beautiful longyis and tailored tops. Her high-profile appearances have helped boost the popularity of the traditional dress among young women in Myanmar.

As for what's worn underneath, that's a matter of personal preference. In the cities, Burmese men usually wear underwear beneath their longyis when they go out, but at home wear it as the Scots wear their kilts.

In the countryside, underwear is much less common -- for men and women. As one man jokingly put it: "Longyi are great. Free air-conditioning." That's a plus, especially when the summer temperature tips 104 F (40 C).

It's completely acceptable for a foreigner to wear a longyi and can be a conversation starter.

8. The food is exceptional

It's considered rude to eat with the left hand as this is the hand used for personal hygiene. To spell that out -- the left hand does the job of toilet paper.

So eating -- as well as giving money -- is always done with the right hand.

A typical Burmese meal includes steamed rice, fish, meat, vegetables and soup and all the dishes arrive at the same time.

The Burmese use their fingertips to mold the rice into a small ball and then mix it with various dishes.

As is the norm, Buddhists usually avoid eating beef and the Muslims don't eat pork.

Meals are served with plenty of condiments -- from sweet to savory -- and everyone has their preferred way of customizing a dish.

Myanmar vs. Burma. Which do you prefer?

9. The trains are seriously bumpy

The poor condition of railway tracks means carriages get shaken about. This makes for a bouncy ride, but trains are still a great way to see the country.

Myanmar's trains are slow and have a reputation for running late. The most reliable route, Yangon to Mandalay, takes about 16 hours, assuming no delays.

On overnight trains, there's more chance of getting some shut-eye in an upper class seat than in a sleeper. It can get surprisingly cold a few hours after dusk, so it's smart to bring something warm to wear.

Buses are usually a faster option, but they're often crowded. Domestic flights are the most comfortable way to cover long distances and relatively cheap.

10. Yangon has a newspaper vendor on every street corner

After five decades under a repressive military regime, the Burmese are enjoying their newfound press freedom and showing a healthy appetite for news.

In the past, all publications had to submit their stories to the Press Scrutiny and Registration Division for approval. Censorship was gradually phased out in 2012 and at the beginning of this year the bureau was formally abolished.

Under the former ruling military junta, Myanmar had a reputation for jailing anyone who dared voice opposition; that included many in the media. Last year was the first year since 1996 that no journalists were jailed.

Burmese journalists who fled the country and were forced to live in exile are slowly returning.

April 1 was a landmark for the country's media. For the first time since 1964, daily newspapers were permitted. It's a big step for press freedom, but there are concerns that some of the popular weekly newspapers will struggle to make the transition to daily circulation.

11. The people with red teeth aren't vampires

Chewing betel nut is a national pastime. Small street stalls selling the palm-sized green leaves are everywhere.

The leaves are filled with hard squares of betel nut, spices and sometimes a pinch of tobacco and then folded up and popped in the mouth and chewed.

You have to chew a while before you feel the mild narcotic effect of the betel nut.

At about 6 cents a wrap it's a cheap hit, but there's a downside. Not only does betel nut stain your teeth a reddish-brown, the little packages are spat out on the floor when finished -- making for messy sidewalks.

It's also highly addictive.

This article first appeared for Anthony Bourdain: Parts Unknown

@highlight

Book accommodations early -- Myanmar's hotel room shortage is expected to last 5-10 years

@highlight

With more than 1,000 miles of coastline, the country has some of Asia's best beaches

@highlight

Newfound press freedom has led to explosion in newspaper popularity

@highlight

Bring crisp, new cash -- old, dirty and creased bills are often rejected by money changers