Editor's note: The staff at CNN.com has been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. Motherboard.tv is Vice's site devoted to the overlap between culture and technology. The reports, which are being produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (Motherboard.tv) -- It can't be very hard for Bertrand Piccard to explain to his family why he wants to fly around the world with only sunlight for fuel.

In the 1930s, his grandfather, physicist and inventor Auguste Piccard, applied his excitement and interest in ballooning to designing a high-flying balloon attached to a pressurized aluminum gondola. The first of its kind, Auguste's flying machine completed a record-breaking climb more than 50,000 feet into the air, gathering valuable data about the Earth's upper atmosphere along the way.

Fitting that Bertrand, for what it's worth, defeated the notorious Sir Richard Branson by becoming the first man to circumnavigate the globe in a balloon in 1999.

His grandfather's pioneering principles of balloon technology were eventually applied to allow descent into the deep ocean, which informed the work of his father, Jacques Piccard, an oceanographer and engineer who made history in 1960 as part of the first and only manned exploration of the Challenger Deep, the deepest place in the ocean.

The work of his family would provide the vision -- and the name -- for Gene Roddenberry's Captain Jean-Luc Picard, who would seem to exercise some influence over the real Piccard too. Bertrand's enthusiasm for adventure, morally sound intuition and haircut seem directly taken from Roddenberry's description of the fictional spaceship captain.

Bertrand believes that as much as the world is locked into short term ways of thinking, there are positive and optimistic solutions that are profitable, protect the environment, create jobs and help economic growth. To fulfill his own vision, Bertrand has applied his and his family's pioneering spirit and brilliance to develop Solar Impulse, a solar-powered long-range glider to fly around the world and to harness an unlimited form of renewable energy using technologies that won't contribute to daunting environmental concerns. Think of him as Icarus in reverse.

Watch the rest of Solar Plane at Motherboard.tv

Bertrand's dream is already coming to fruition. Last July, the Solar Impulse became the first solar-powered airplane ever to fly through a complete daylight cycle. The goal is to one day be able to develop a solar plane capable of carrying multiple passengers, but don't try to book a flight just yet. Andre Borschberg, who's been working with Bertrand since 2003, says that while it's possible to make it around the world with one person on board the Solar Impulse now, "it will take more time for new technologies to allow passengers to fly without [creating] any pollution."

With a more than 200-foot wingspan and weighing in at less than 4000 pounds -- the weight of a mid-sized car -- the Solar Impulse has been designed entirely with energy conservation in mind. In fact, the remarkably resourceful aircraft uses roughly the same amount of energy that the Wright brothers' illustrious flying machine required to power in 1903.

Its state of the art propulsion system is made up of four motors containing polymer lithium batteries and a heat management system designed to conserve heat at high altitudes. Coupled with an onboard computing system that gathers and analyzes flight management procedures, the Solar Impulse's likeness to the Wright Flyer is only superficial. It's hard to imagine what the look on Orville and Wilbur's faces would be if only they could see what their design has inspired.

In the sixth episode of Motherboard's Upgrade! series, we travel back to Geneva, Switzerland, to talk to Bertrand about his vision for Solar Impulse, the impact it could have on the world and why, if we can't think and act sustainably, generations to come will be forced to face the growing dilemma our current way of life is creating in our increasingly fragile environment.

@highlight

Solar Impulse aircraft is a solar powered, long-range glider

@highlight

In July it became the first solar-powered airplane ever to fly through a complete daylight cycle

@highlight

Plane illustrates potential to fly lager aircraft, with passengers, using no fuel