(CNN) -- As I research my family history, preparing a book about my grandmother Madeleine Edison Sloane, "Edison's Daughter," I occasionally come across holiday pictures of Glenmont. This was my great-grandfather Thomas Edison's home in West Orange, New Jersey, and in the pictures it's decorated for the Christmas and New Years' Holidays. Thanks to his invention, the home bursts with light in those pictures; the radiance is almost palpable.

All the bulbs were incandescent, of course. There wasn't any other kind, and candles would have been way too dangerous. Light and safety, and low cost, were all great features of Edison's light bulbs.

But come January 1, when a light-bulb law setting new efficiency standards is set to take effect, it's out with those old incandescents and in with the new. My great grandfather's 100-watt incandescent will be replaced with new energy-efficient versions, including CFLs, LEDs, and -- yes -- new and improved incandescent bulbs. When better lighting is fully implemented throughout our country, we'll be saving $13 billion a year in electricity costs and we'll eliminate the need for 30 large power plants, according to the Natural Resources Defense Council, an environmental advocacy group.

And my great-grandfather wouldn't have it any other way.

For the record, Thomas Edison was a patriot, he was a futurist, and he was green. Edison's concern after the turn of the last century was with pollution and nonrenewable resources, not with freezing technological change at the level of 1879.

He wanted the Swiss to harness water power in 1911; he wanted Ford and Firestone to recognize that oil was nonrenewable but the sun was infinite and free; he wanted to use goldenrod—a roadside weed—to serve as a cheap and independent source to replace imported foreign rubber. He wanted everything that today's eco-opposition want to undercut with ill-considered political posturing.

Edison would have spurned the recent sleight of hand by Congress that leaves the new lighting standard -- under the Energy Independence and Security Act of 2007-- on the books but takes away its funding for nine months. How can inventor-entrepreneurs like Edison make a profit if every time they try to make a technological advance some nut in Congress pulls the rug out from under the them and their breakthroughs? And if investors are going to put their bets on more efficient technology, they have to know that a congressional holiday on common sense will not come along to undercut demand for their product.

Thomas Edison would have been the first to support technological advances, that's the real, obvious message of his 1,000-plus patents. Let's invent the future. He would have embraced new tough standards as a way to move our antiquated energy policies forward, helping people save money when they most need it, and reducing carbon pollution that puts our future at risk.

So where would Edison be tonight? He'd be in the lab inventing a better light bulb. Engineers sharing Edison's legacy are working on these better bulbs now—and with the advances in chemistry and materials since Edison's time—they're creating better lights and lower costs with more efficiency and far less pollution.

Let's also not forget that most old incandescent bulbs manufactured today are imports from China. You remember them: The same folks who sent Louisiana and Mississippi polluted sheet-rock to rebuild their hurricane-ravaged houses and are using the profits to buy up American debt.

Domestic sources of light would have been Edison's first priority. Upon his winter visit to the Edison winter home in Florida, Seminole Lodge, he would have heralded news of unemployed former NASA scientists being scooped up by Florida's Lighting Science Group to advance initiatives in LED technology. More jobs would have been another good result of technology in Edison's point of view.

The future of the light bulb is bright. You can take that as straight goods from Edison's own great-grandchildren. Drop by my house and enjoy the two lighted deer on my porch roof. They sparkle with light. They are cheap to run. The lights are LEDs. And I love them. To my eye, they are just as bright as the ones in the Edison family's Glenmont home at Christmas, maybe brighter.

When Edison died in 1931, the world found that it could not turn off the electricity to honor him for even a minute because it had grown so dependent on electricity in Edison's lifetime—they had to settle for just dimming the lights.

As you turn off your lights December 31, remember that when you switch on the lights in 2012 they will be brighter and cheaper than ever, and safer. And they will also help America reclaim its place as a leader in technology, invention, and entrepreneurialism. That's Edisonian.

Let's do our best in 2012 to help his technological children succeed in doing just that.

The opinions expressed in this commentary are solely those of David Edward Edison Sloane.

@highlight

David Sloane says his great-grandfather, Thomas Edison, would have liked efficient bulbs

@highlight

He says new efficiency law to take effect January 1, was in line with Edison's futurism

@highlight

He says Edison would have disdained Congress' recent vote to defund law for nine months

@highlight

Sloane: Technological, green, entrepreneurial advances are Edisonian