Mitt Romney is in a bind over binders.

The Republican presidential nominee is being challenged about the details of hiring women for top government positions when he won election as governor of Massachusetts in 2002, giving a possible late boost to efforts by President Barack Obama's campaign to strengthen its support among female voters.

Less than three weeks before Election Day, the battle for the women's vote -- a demographic Obama won easily in 2008 and needs again this year to secure re-election -- appeared to be tightening.

Then comments by Romney in Tuesday's second of three presidential debates raised questions about what actually happened when he was governor and provided an opening for Obama's team to challenge whether he understands the role of women in the workplace and the economy.

Did Romney lose ground with women?

"I had the chance to pull together a cabinet and all the applicants seemed to be men," Romney said at the debate in answer to a question about equal pay for women. "And I went to my staff, and I said, 'How come all the people for these jobs are all men?' They said, 'Well, these are the people that have the qualifications.' And I said, 'Well, gosh, can't we find some women that are also qualified?'"

That led to a "concerted effort to go out and find women who had backgrounds that could be qualified to become members" of his cabinet, he continued, saying: "I went to a number of women's groups and said, 'Can you help us find folks?' And they brought us whole binders full of women."

Romney added that a university study later concluded that Massachusetts under his leadership "had more women in senior leadership positions than any other state in America."

The "binders full of women" reference prompted a huge response on social media, becoming the third-fastest rising Google search during the debate and getting a Twitter hashtag, a series of memes on Tumblr and a Facebook page with more than 8,000 members by Thursday morning.

With the attention came attempts by Obama and other Democrats to gain political advantage.

"We don't have to order up some binders to find qualified, talented, driven young women who can learn and excel," Obama told a campaign event Thursday in New Hampshire. He quickly pivoted to the first bill he signed into law -- the Lilly Ledbetter Fair Pay Act -- by saying he wanted new women graduates "to receive equal pay for equal work."

On Wednesday, Vice President Joe Biden characterized Romney's perspective on women as a "1950s time warp" in keeping with the Obama campaign's efforts to focus the debate on women's issues to topics involving personal choice, such as abortion and contraceptives, as well as equal opportunity.

At a campaign stop on Thursday in Nevada, Biden repeated his warning that a Romney presidency was certain to bring more conservative Supreme Court justices who would overturn the Roe v. Wade ruling that legalized abortion.

A USA Today/Gallup poll of registered voters in 12 swing states found that more women considered abortion the most important election issue over jobs and the economy.

Romney's team frames its pitch to women voters as an economic choice, arguing that high unemployment and sluggish growth under Obama particularly hurt women and families.

"This president has failed America's women," Romney told a campaign event Wednesday in Virginia. "As I go across the country and ask women what can I do to help, what they speak about day in and day out is help me find a good job, or a good job for my spouse. And help my kid, make sure my children have a bright future, better schools and better job opportunities. That's what the women of America are concerned about and the answers are coming from us and not from Barack Obama."

Asked Thursday about boosting jobs for women, Romney's running mate -- conservative House Budget Committee Chairman Paul Ryan of Wisconsin -- launched a lengthy response with a succinct summation: "Get the economy growing."

Obama "took his eye off the ball of growing the economy, and as a result, the poverty rate among women is at a 17-year high," Ryan told a campaign event in Florida. "Over 5 million women have just left the work force.  Fewer women are working today than when he took office. And so of the people who have been hit the hardest, it's women."

Hillary Clinton says no to another run

Meanwhile, disputes arose about Romney's account of what he did in Massachusetts.

Jesse Mermell, a Democratic local official in Brookline, Massachusetts, who was executive director of the Massachusetts Women's Political Caucus from 2004 to 2008, took exception to Romney's statement that he initiated the search for qualified women for his cabinet.

A program her group oversaw provided Romney's transition team in 2002 with resumes of qualified women, Mermell told a conference call with reporters Wednesday.

"Mitt Romney did not request those," Mermell said, explaining that the program called MassGAP approached Romney and his Democratic opponent before the election to get their commitment for hiring women to state positions in proportion to the female population. "Then after the election, our group approached the Romney transition team with the resumes, or the so-called binders full of women."

She also cited a study that showed Romney initially hired 14 women among 33 appointments to his cabinet -- 42% of the total -- but by the end of his four-year term, the number of women in his administration was 25%, lower than the previous or subsequent governors.

"At the time Romney paid lip service to the public about hiring more women in senior positions, and treated it like a quota," Mermell said. "But like with so many other things that are Mitt Romney, the facts did not match the rhetoric."

Mermell and Ledbetter, the woman for whom the equal pay legislation was named, told reporters that Ryan voted against the measure and Romney also opposes it. Romney has yet to clearly state his position on the law that strengthens the ability of women to sue employers over unequal pay.

David S. Bernstein, a staff writer for the Phoenix in Boston, told CNN on Wednesday that Romney also had issues involving judicial appointees, noting 17 of the first 19 judges he appointed were men.

"After some unfavorable press about that, he began appointing more women," Bernstein said.

By comparison, the Obama White House had women holding just under 40% of jobs paying $75,000 or more in 2011. Obama also chose women for his two Supreme Court justice appointments -- Sonia Sotomayor and Elena Kagan -- and made the fair pay act named for Ledbetter his administration's first new law.

Ledbetter said the law bearing her name "has caused a lot of employers, a lot of large employers, to look at their procedures and their process, and to look at all employees and their staffers to see if everybody's being treated equitably and fairly."

Republican surrogates for Romney sought to play down the magnitude of the flap over his debate comments.

Virginia Gov. Bob McDonnell told CNN on Thursday that the "binders full of women" response was good for "a laugh or two," but wasn't the main issue of what he called "a serious campaign."

"Despite all the rhetoric and all the attempts of the Obama administration to separate men from women over social issues -- largely contrived, I think -- what men and women care about in this election is the economy, getting us back to work and getting us out of debt," McDonnell said. "Mitt Romney's point was that he actually affirmatively went out to make sure that he had great, competent, qualified women in his cabinet."

Citing a Gallup poll that showed Romney catching up with Obama among women voters in an aberration from other polling so far, McDonnell said: "I'm glad the Obama administration is having fun with it, but the point is that this race is now clearly going in the way of Mitt Romney because he's a serious candidate."

@highlight

Questions arise over Mitt Romney's account of hiring women in Massachusetts

@highlight

Women voters are a key demographic in the November election

@highlight

President Obama focuses on abortion and equal pay to appeal to women voters

@highlight

Romney and Republicans say Obama's economic record hurts women