Editor's note: Carlos del Rio, MD, is the Hubert Professor and chair in the global health department at the Rollins School of Public Health and professor of medicine in the division of infectious diseases at Emory University's School of Medicine. Del Rio is a native of Mexico and was executive director of the National AIDS Council of Mexico from 1992 through 1996.

Dr. Carlos del Rio says U.S. and Mexican authorities deserve credit for their responses to the swine flu outbreak.

ATLANTA, Georgia (CNN) -- The swine flu outbreak that started less than a month ago has caused more than 150 deaths in Mexico and more than 60 confirmed cases across the United States, Canada and the United Kingdom, with suspected cases in France, Spain, Israel and New Zealand.

It is clear that a new virus has emerged that is different enough that the population's previous exposure to influenza viruses and vaccines do not provide immunity.

So far, public health authorities are meeting this challenge with strength and preparedness. The Mexican and American federal governments deserve credit for their thorough responses.

The major control strategy that has been implemented in Mexico is social-distancing, a range of nonquarantine measures that attempt to reduce contact between persons, such as closing schools, canceling cultural and sports events, and closing museums and parks. In addition, countries are strengthening surveillance, releasing antiviral stockpiles and issuing travel advisories.

In the United States, federal officials are working closely with and providing guidance to state and local public health authorities, who have to make decisions about whether to close schools or prevent other large-scale gatherings.

The cross-border nature of this outbreak is a strong argument for why the United States should cooperate with and support competent institutions of government in other countries, even during a period of economic uncertainty.

The first case of swine flu in the United States during the current outbreak was identified in San Diego County by part of a surveillance program connected with the Naval Health Research Center there, which only began monitoring influenza in 2005.

In this program, physicians collect nasal swabs from patients at community clinics on both sides of the border. Only when Centers for Disease Control and Prevention scientists sent a suspect sample to the mass spectrometer did they discover the new variety of swine flu, according to an article describing the techniques in Science magazine.

Two critical questions remain. Why have mortality rates been higher in Mexico? And how should preparations for the regular flu season later this year be modified?

Reports from Mexico that the virus has primarily struck otherwise healthy young adults are alarming because seasonal influenza typically affects the very young and very old. Still, preliminary genetic analysis shows that the virus strains isolated from patients in California are identical to those seen in severely ill Mexican patients.

It is possible that some of the patients in Mexico, many of whom are dying of pneumonia, are succumbing to secondary infections. Medical historians believe that a large proportion of those who died of the Spanish flu pandemic in 1918 were not killed by the flu virus, but by secondary bacterial pneumonia, which was difficult to treat before the introduction of antibiotics.

Thus, enhancing vaccination against pneumonia may prove to be a critical strategy in decreasing influenza mortality during future outbreaks. Additional investigation of those who have died is however, urgently needed to determine the best response strategy.

An issue that keeps coming up is the idea of closing the U.S.-Mexico border. Already at various border crossing points, customs authorities are having people who appear sick taken to a secondary inspection area for further evaluation. More systematic monitoring at border crossing and airports such as mouth swabs has been proposed.

Is that a good strategy? I would argue that it is not. The U.S.-Mexico border is one of the busiest in the world with millions of people and goods crossing each day. Many items that we routinely use in the United States are produced in Mexico and closing the border would have a crippling effect to the United States.

For example, in the event of a serious flu outbreak in this country there would be a need for mechanical ventilator deployments to hospitals. The national stockpile has sufficient ventilators, but the necessary circuits that are needed to operate them are not produced in the United States but in Mexico, so having them come across to this country is critical for taking care of critically ill patients in the United States.

The second issue is how to prepare for the coming flu season. During the flu pandemic of 1918, cases began in the spring and then faded away during the summer, only to come back with a vengeance in the fall and winter. Thus, we need to be prepared for an even worse outbreak of swine flu this winter and should not declare victory too soon.

Considerable evidence has accumulated that the practice of producing seasonal vaccines in chicken eggs is cumbersome and sometimes ineffective. There is an urgent need for the development of more modern techniques of vaccine production.

The National Institutes of Health has been putting its research resources into the fight. In 2007, the NIH created six Centers of Excellence for Influenza Research and Surveillance, located at Emory University, Mount Sinai School of Medicine, St Jude Children's Research Hospital, UCLA, University of Minnesota and University of Rochester.

Sunday's emergency declaration signaled for these centers to devote their resources to monitoring and responding to the swine flu outbreak. Researchers at these centers have developed alternatives to chicken eggs and new delivery methods.

Now is the time to put these alternatives to the test, so that countries around the world are fully prepared for the coming flu season and future outbreaks.

The opinions expressed in this commentary are solely those of Carlos del Rio.

@highlight

Dr. Carlos del Rio: U.S. and Mexico have responded well to swine flu outbreak

@highlight

He says cross-border cooperation is crucial to successful battle against flu

@highlight

Key question is why Mexico's illnesses have been more deadly, he says

@highlight

Del Rio: One factor may be presence of pneumonia in those who died