(CNN) -- Are you the kind of person who likes to squeeze in a quick round of golf in between business meetings?

You're in luck if you happen to be heading to one of these cities for your next work trip.

From pro-designed courses to holes inspired by Snoopy, these urban fairways prove that you don't need to go on vacation to experience some challenging, beautiful greens.

Steenberg Golf Club (Cape Town, South Africa)

Located in the beautiful Steenberg wine estate just 20 minutes from the city center, this 18-hole course has several unique features, including the largest green in Africa.

You'll find the 76-meter (249 feet) beast on the 14th hole. It also has a rather unusual hazard -- a mound of greenery shaped to resemble the mountains in the background.

"Steenberg is a wonderful golf club," says Francois Pienaar, keen golfer and former captain of the South African rugby team.

"The course is an absolute pleasure to play and a nice challenge for the amateur."

Steenberg Golf Club, Steenberg Estate, Steenberg Road, Cape Town, South Africa; +27 21 713 2221

Highland National Golf Course (Saint Paul, Minnesota)

Our favorite bit of the 18-hole Highland National golf course?

The Snoopy-shaped 15th hole, which is a tribute to Peanuts creator Charles M. Schulz, who learned to play golf here.

The course reopened in 2005 after extensive refurbishment and is ripe with history -- baseball player and Minnesota local Joe Mauer is another golfer who learned to play at Highland.

Highland National Golf Course, 1403 Montreal Ave., Saint Paul, Minnesota, United States; +1 651 695 3774

Yas Links (Yas island, Abu Dhabi)

Located next to Yas Island's marina and only meters from the Grand Prix circuit, this 18-hole golf course is built entirely on reclaimed land -- the product of two million cubic meters of dredged sand.

It took two years to build and is the first Middle East course designed by renowned course architect Kyle Phillips.

"I love Yas Links for the fantastic views and the variety of challenges it presents," says Yas Links men's captain, James Duggan.

"Each hole is different and all are memorable, but the final stretch from 15 to 18 embeds itself in the memory forever. The windy par 3 17th hole has to be regarded as the signature hole and the tricky Par 5 18th has wrecked many a good golf card!"

Yas Links, Yas island, Abu Dhabi; +971 2 810 7777

Audubon Park Golf Course (New Orleans, Louisiana)

New Orleans' beautiful 18-hole course, which opened in 1898, is the only one in the United States that can be accessed via streetcar -- in this case, the New Orleans streetcar, which was recently named a national landmark.

"It's the course of the future,'' says Stan Stopa, who's been Audubon's golf pro for the past 32 years.

"While it's shorter, easier to navigate and plays faster, it's still a challenge. You can use every club in your bag."

According to a popular urban legend, the rock on the 18th fairway is a meteor.

In fact, it's a chunk of iron ore that was on display during the 1884-1885 World's Industrial and Cotton Centennial Exposition, which took place on what is now the golf course.

Audubon Park Golf Course, 6500 Magazine St., New Orleans, Louisiana; +1 800 774 7394

Windsor Golf Hotel and Country Club (Nairobi, Kenya)

This urban golf course, which is one mile above sea level, includes incredibly varied terrain and winds through Nairobi's coffee farms and indigenous forests, although course designer Tom Macauley claims that Scotland's famous Gleneagles course was his inspiration.

"What makes the course unique is the fact that it's carved out of a tropical rainforest," explains local golfer Mike Macharia.

"In a typical round, one encounters monkeys, an array of birds and the occasional dik dik (small antelope). My favorite hole is number 14, which is designed to wind round like the river below it. You can choose to play your ball then go over the river or simply meander your way around it."

Windsor Golf Hotel and Country Club, Kigwa Road, Ridgeways off Kiambu Road, Nairobi, Kenya; +254 722 203 361

The Royal Melbourne Golf Club (Melbourne, Australia)

The Royal Melbourne is the oldest golf club in the country, but the course isn't for beginners -- the maximum handicap to play is 27 for men and 36 for women.

US Golf Digest ranked the course as one of the top 10 in the world and it's the only course outside the U.S. to be selected by the PGA tour to host the Presidents' Cup more than once.

Its notorious hazards include vast expanses of tea tree scrubs and cavernous bunkers.

The Royal Melbourne Golf Club, Cheltenham Road, Black Rock Victoria, Australia; +61 3 9598 2600

Del Mar Country Club (San Diego, California)

This year, San Diego's 18-hole Del Mar Country Club golf course dropped its members-only policy and is opening its doors to the public for the first time.

The course is located in the heart of a beautiful private development home to celebrities such as Bill Gates.

We recommend the "after dark" golf events, which include putting competitions with glow-in-the-dark balls.

"Playing Del Mar Country Club is a real treat," says keen local golfer Ryan Hyslop. "It's beautiful and challenging, and you get a different experience every time you play. The course is always in fantastic condition -- I never miss an opportunity to play there."

Del Mar Country Club, Rancho Santa Fe, California; +1 858 759 5500

Meadow Lake Golf Course (Whitehorse, Canada)

Why let the sun dictate the length of your game?

At this nine-hole Canadian golf course, located within Whitehorse's city limits, games in summer often extend well into the night, thanks to the famous midnight sun, and tee times regularly start at 9 p.m.

"Meadow Lakes is an incredibly scenic course, set in natural surroundings with the best greens in Yukon," says local golfer Denny Kobayashi. "It's locally-owned and operated and the views of the Yukon River Valley are extraordinary."

Meadow Lake Golf Course, Alaska Hwy, Whitehorse, Yukon, Canada; +1 867 668 4653

Golf Lounge Hamburg (Germany)

This urban golf spot might not have meandering fairways or beautiful water features, but the focus at the Golf Lounge Hamburg is very much on perfecting your swing.

There are 40 covered, heated tee boxes spread over three levels, which makes it one of the few golf options where bad weather won't spoil your fun.

There's a high-tech Golf Lab where players can learn how to improve their technique with the help of radar-enabled technology, and a Putt Lab, where 2,500 sensors analyze every aspect of your swing.

Afterwards, golfers can practice what they've learned on a nine-hole putting course.

Golf Lounge Hamburg, Billwerder Neuer Deich 40, Hamburg, Germany; +49 40 819 78 79 0

ITC Grand Bharat golf resort (Delhi, India)

The spectacular 27-hole golf course at the newly opened ITC Grand Bharat, on the outskirts of Delhi, is the first golf course in south Asia designed by Jack Nicklaus.

The course is ideal for players of all abilities because it's actually made up of three shorter nine-hole courses -- the Canyon, Ridge and Valley courses -- which can be played individually or together.

ITC Grand Bharat golf resort, Village Dadu, Tehsil Tauru, Manesar, Gurgaon, India; +91 1267 285 500

Yanggakdo International Hotel golf course (Pyongyang, North Korea)

We couldn't sign off without paying tribute to what was once the world's most bizarre inner-city golf course -- the Yanggakdo International Hotel golf course in Pyongyang, North Korea, where (at least according to his former advisers) the country's late leader Kim Il-Sung scored countless hole-in-ones.

The course was located on the same island as the hotel it was named after, which was one of the few hotels in which foreign guests could stay.

Hotel and course were knocked down without warning last year and although we're not sure what will replace it, there are sure to be many golfers out there who would've loved the bragging rights offered by playing this one.

@highlight

Minnesota's highland National Golf Course has a Snoopy-shaped 15th hole

@highlight

Golfers can check out monkeys and an array of birds while playing at Nairobi's Windsor Golf Hotel and Country Club

@highlight

Summer games at Canada's Meadow Lake Golf Course can extend into the night thanks to the midnight sun