Rome, Italy (CNN) -- Italian prosecutors' decision to seize Vatican Bank funds as part of an investigation into possible money-laundering was correct, an Italian court ruled Wednesday.

The Vatican expressed "surprise" that its appeal had been rejected and stood by its position that the investigation was the result of a misunderstanding.

Italian prosecutors last month froze Vatican Bank transactions for the first time ever, after the bank failed to provide all the information required by anti-money laundering rules.

Prosecutors seized 23 million euros (about $30 million) in Vatican Bank transactions "as a cautionary measure," prosecutor Nello Rossi told CNN in September.

Pope Benedict XVI personally told the director of the Vatican Bank that he trusted him and appreciates the work he is doing, the Vatican said the day after they met on September 26.

Ettore Tedeschi, the bank head, was among the faithful meeting Benedict that day after the pope's weekly Angelus address.

Tedeschi kissed the pope's hand and gave him a copy of his book "Money and Paradise," and they exchanged a few words, the Vatican said.

Tedeschi told CNN before the meeting with the pope that he was incredulous and "humiliated" when he learned Italian investigators were looking into money-laundering allegations against the bank.

He said the probe was the result of a "misunderstanding."

"My first reaction was of incredulity and afterwards, that of feeling humiliated in the intense work that, along with [bank] Director-General [Paolo] Cipriani and all of the institute's managers, I've been carrying out," Tedeschi told CNN by e-mail September 24.

"After discussing with Dr. Cipriani the actions that spurred the inquiry, I was relieved, and I've realized that we had to immediately take action in explaining the facts to various levels and places," he said.

Tedeschi said he also realized the need to speed up the process of getting the Vatican Bank on the "white list" of banks that comply with internationally agreed standards, "to prevent other misunderstanding events like the one that just happened."

This is not the first time Italian prosecutors have investigated the bank, but probes are extremely rare, Rossi said.

The probe began after another Italian bank informed Bank of Italy investigators of two Vatican Bank transactions that did not appear to comply with anti-money-laundering requirements, the Bank of Italy said.

When Bank of Italy investigators told legal authorities about the transactions, they were told that judicial authorities were already investigating the Vatican Bank, a source close to the investigation said.

The Vatican Bank is "the most secret bank in the world," author Jeffrey Robinson said after the funds were seized, and he said there is no way to find out how much money it controls.

The Vatican's sources of income include its vast real estate holdings, explained Robinson, who wrote "The Laundrymen," which looks at money laundering worldwide.

The Bank of Italy investigation was prompted by two wire transfers that the Vatican Bank asked Credito Artigiano to carry out, the Bank of Italy said.

The Vatican Bank did not provide enough information about the transfers -- one for 20 million euros (about $26 million) and one for 3 million euros (about $4 million) -- to comply with the law, prompting the Bank of Italy to suspend them automatically, it said.

It is not entirely clear how much legal authority Italian officials have over the Vatican Bank, since the Vatican is a sovereign state.

They had the power to seize the money and stop the transactions because they took place on Italian soil, said Rossi, the prosecutor.

An effort by Holocaust survivors to sue the Vatican Bank in the United States failed in 2009 when a U.S. court ruled that the Vatican Bank had "sovereign immunity" and was not subject to lawsuits filed in the United States.

A lawsuit against related entities is still in court.

The Vatican Bank was created by an order of the pope "to carry on activities that are for pious causes," according to expert testimony related to the Holocaust suit.

It accepts deposits only from top Catholic Church officials and entities, Settimio Caridi testified in U.S. District Court in 2006.

It uses its funds "for designated pious purposes" and is "an autonomous pious foundation," he said.

Caridi, a top Italian legal scholar who was called to testify by Vatican lawyers, said the bank is an integral part of the Vatican, a "central entity under the oversight of the Holy See."

It is ultimately overseen by a commission of five cardinals -- the top position in the Vatican hierarchy below the pope -- which is headed by the Vatican secretary of state.

The Vatican Bank is subject to particularly stringent anti-money-laundering regulations because Italian law does not consider it to be operating within the European Union.

It must supply more detailed information about transactions than European Union banks have to give.

CNN's Hada Messia in Rome and Richard Allen Greene in London, England, contributed to this report.

@highlight

Prosecutors seized about $30 million in transactions last month over money-laundering fears

@highlight

The Vatican says there was a misunderstanding and appealed against the seizure

@highlight

Pope Benedict XVI is standing by the head of the bank, the Vatican says

@highlight

It's "the most secret bank in the world," says a money-laundering expert