Tokyo (CNN) -- Students in many districts across Japan brushed off their uniforms and shouldered their bookbags for the first day of the new school year on Wednesday.

But while most were worried about meeting their new teachers or what their class schedules might be, some were facing the threat of nuclear contamination or the loss of former classmates.

In Tokyo, a group of students evacuated from the Fukushima area began the school year in a new city and a new classroom.

Keisuke Takahashi, 7, is one of several children staying at a youth center in Japan's capital as their parents in the north work or take care of worse-off family members.

"I just got a letter from my mom," he said. "It says that she is hurting because we're separated. But she says don't worry, we will go home together after the nuclear power plant settles down."

"I haven't got used to the life yet, because I have to live separately from my mom," he said walking into the Minamisuna Primary School. "I miss her."

Up in northern Japan, where the worst devastation from last month's tsunami occurred, the new school year has been delayed several weeks. Dozens of schools were wiped out or too badly damaged to reopen in Miyagi prefecture.

Governments and educators are scrambling to repair schools, round up teachers and cope with the tens of thousands of displaced people.

A different set of problems in Fukushima, where authorities have begun testing schools, kindergartens and playgrounds across the prefecture after parents expressed worries about high levels of radiation.

Teams of researchers will monitor 1,428 locations over three days ending Thursday to try to reassure the public about safety outside the 20-kilometer exclusion zone around the damaged Fukushima Daiichi nuclear power plant.

The testing coincides with the beginning of the new school year in the prefecture, as tens of thousands of students return to classes.

"As the elementary schools starts on April 6th, we've heard many of the concern from the parents whether the schools are safe enough to have their children to attend," an officer at Fukushima Disaster Management told CNN.

"In response to it, we conduct to check radiation level to secure the (safety) of the children."

Authorities have announced repeatedly that there is little danger of contamination in the region, but there are monitoring stations across the country on watch.

Government surveys are being taken several times daily by authorities from the area directly surrounding the damaged reactor, focusing on radiation "hot spots" such as ponds, low spots and drains where snow runoff and wind would naturally concentrate radiation.

The spots with the highest levels of radiation Wednesday were just northwest of the plant, outside the 20-kilometer zone, with one spot registering 50.9 microsieverts. In comparison, the J-Village emergency site where workers are stationed at the cusp of the 20-kilometer zone showed a reading of just 1.1 microsieverts.

A person in a developed nation is naturally exposed to about 3,000 microsieverts a year.

The readings fluctuate over the day and change with wind patterns, but could also be showing that small amounts of radiation from debris and dust continue to come from the reactor site.

No information is being released for sites inside the exclusion zone.

The information, compiled by the Ministry of Education, Culture, Sports, Science and Technology (MEXT), may eventually help create a "minefield map" of spots and transportation routes that are better to be avoided or closed off to the public.

And in Tokyo, the radiation level has been dropping over recent days, as low wind speeds have limited the scattering of radiation from the north.

CNN's Junko Ogura, Whitney Hurst and Greg Botelho contributed to this report

@highlight

Some students evacuated from the Fukushima area start school in Tokyo

@highlight

Dozens of schools in northern Japan are wiped out or too badly damaged to reopen

@highlight

Some parents stay in northern Japan to work or take care of worse-off relatives