Dresden, Germany (CNN) -- Wouldn't it be great if you could simply grab carbon dioxide from the air and turn it back into fuel?

According to Germany-based renewable energy start-up Sunfire, you can.

"In fact, the idea has been around since at least the 70s," says Christian von Olshausen, the company's Chief Technology Officer. But the process is expensive. "For as long as fossil fuels have been cheap and readily available, there's not been sufficient demand," he adds.

Now -- with the world's finite stock of crude oil on the wane, and amidst pressure to reduce global carbon dioxide (C02) emissions -- the idea of converting those very carbons back into what Olshausen calls "synthetic fuels" is becoming more financially viable.

"The combustion of synthetic fuel does not increase the amount of C02 in the atmosphere," he explains. "This is because the carbon is being continuously recycled."

Synthetic fuel can come in the form of everything from diesel to gasoline to wax. But while the process is simple in theory (see factbox), it is unwieldy in practice -- demanding ultra-high temperatures which gobble up electricity.

"The operation is only practical now that we have relatively cheap sources of renewable electricity to power it," says Olshausen.

Using conventional electricity was never an option, he adds, after all "what's the point of turning carbon into fuel if the electricity you're using to do it burns up more carbon than you started with?"

But this highlights an uncomfortable fact: Sunfire's synthetic fuel contains only 70% of the energy that goes into making it, as heat is lost during the process.

So, why waste hard-won green electricity to produce old-fashioned petrol?

Dr. Jeff Hardy is head of the UK's National Energy Research Network (NERN). He says that, while all efforts should be made to reduce our dependence on liquid fuels, it may not be possible for some industries:

"The thing with fuel is that it offers very high density energy storage ... for areas like long haul aviation, it's hard to see what could replace it."

According to the CIA World Factbook, global oil consumption is currently about 30 billion barrels a year. Hardy points out that, even if we reduce our thirst for fossil fuels to just one or two percent of this figure over the next century, we may still need millions of barrels for things like commercial flight that are unable to use electricity for power.

Could synthetic fuel really plug that gap? At present, Sunfire is moving out of the lab and is talking to car and aircraft-makers in the hope of increasing fuel production to an industrial scale. They are aiming for production to hit one barrel a day within the next few years.

If that doesn't sound like a lot, that's because it's not.

"This is going to be a long process," admits Olshausen. "I'd estimate that it will take between one to two decades before we can replace a single digit percent of current demand (for fuel)."

The problem, he says, is developing materials that can resist extraordinarily high temperatures for long periods of time without degrading.

"But we'll do it," insists Olshausen. "Many innovations in the past century, like the car or the computer, have had to overcome seemingly impossible thermodynamic obstacles."

Swiss engineer Dominique Kronenberg is certainly hoping that companies like Sunfire will be successful in the long run. He is chief operating officer of Climeworks, a firm that specializes in capturing carbon from the air.

"The question is, what do we do with the carbon once we've got it?" he asks. "At present, the main markets are quite niche -- things like carbonated fizzy drinks, computer cooling systems and industrial greenhouses."

It's no surprise then that Kronenberg and his team have been working with Sunfire to flesh out the logistics of a future partnership. The potential market, he says, is a huge and "much more profitable than storing the carbon underground, that's for sure."

@highlight

German company created process to turn carbon dioxide from air into liquid fuel

@highlight

Theory has been around since 1970s, but implementation too costly until now

@highlight

Process requires ultra-high temperatures, industrial production a long way off

@highlight

Technique could also be used to store electricity captured from wind, solar power