(CNN) -- A teenage girl may have gotten lost in a cave looking for water, nearly 13,000 years ago. Naia, as she's known today, likely fell to her death in a deep, dark pit.

Now, her remains are shining a light on the genetic heritage of what we believe are the first people in the Americas.

Researchers have discovered Naia's bones in a pit in an underwater cave system in Mexico's Yucatan Peninsula. Her skeleton, described in the journal Science this week, is one of the oldest of any humans found in the Americas. She comes from a group of ancient people anthropologists call Paleoamericans.

Genetic analysis of her remains suggests that Naia is related to modern Native Americans. It's a clue to resolving the issue of whether the group we call Native Americans are indeed related to the first settlers of this land mass.

This study promotes the view that "Native Americans and Paleoamericans share a homeland," said James Chatters of Applied Paleoscience, who was the lead author of the study.

That homeland is called Beringia, also called the Bering Land Bridge, that connected what is now Siberia and Alaska. The new research goes against the idea that the first Americans may have come over in separate migrations from Europe and Asia.

Other genetic evidence from both modern Native Americans and ancient skeletons indicates that people of Siberia landed in eastern Beringia between 26,000 and 18,000 years ago, the study said. They seem to have moved south after 17,000 years ago.

So how do we know who this girl was?

Naia's genetic lineage was analyzed through mitochondrial DNA. This is genetic material that is passed from mothers to children, and is stored in the mitochondria, a part of a cell that is essential for energy production and is sometimes thought of as a "power plant."

Scientists are able to characterize genetic lineages by looking at mitochondrial DNA. It's important to note, however, that this does not reveal as much information about a person's heritage as nuclear DNA, which is stored in the cell's nucleus and contains material from both parents. Researchers are planning to look at Naia's nuclear DNA also, Chatters said.

Researchers found that the 12,000- to 13,000-year-old teenager's mitochondrial DNA belongs to Haplogroup D1, a category only found in the Americas these days but which originally came from an Asian lineage. Some South American populations today have this genetic signature: 29% of indigenous people of Chile and Argentina have it; so do 11% of Native Americans, said Deborah Bolnick, assistant professor of anthropology at the University of Texas at Austin.

Through her maternal line, the girl in the cave seems to have been related to modern Native Americans as well as their ancestors, Bolnick said.

Why doesn't she look like Native Americans?

But wait -- Naia's physical features are very different from that of modern day Native Americans. Flat, broad faces with flaring cheekbones, and short, round heads are typical of Native Americans, Chatters said. By contrast, Naia had an angular head, and a small, relatively narrow face.

Naia's features are more similar to other ancient populations and isolated hunter-gatherer populations in such places as the Philippines, Chatters said.

"Paleoamericans -- those earliest people with the distinctive skull and facial features -- could have come from Siberia too," Bolnick said. "It therefore seems more likely that differences between Paleoamericans and Native Americans today are due to evolutionary changes that occurred in Beringia and the Americas over the last 9,000 years."

Some scientists believe a population entered Beringia, became geographically isolated, and then experienced evolutionary changes in their mitochondrial DNA during several thousand years, Chatters said.

From there, multiple migrations may have taken people out of Beringia and to the Americas.

"What this study is presenting for the first time is the evidence that Paleoamericans with those distinctive features can also be directly tied to the same Beringian source population as contemporary Native Americans," Bolnick said.

Facial features may have evolved over time in response to such factors as changing climates and diets, Chatters said.

Paleoamericans also have characteristics such as facial projection -- features such as mouth and eyes protruding from the skull -- that are related to aggression, a behavior that would be favorable in a migrating population, Chatters said. As groups settle down, however, docility tends to be advantageous.

Why was Naia at the bottom of a pit?

The near-complete skeleton, dated to between 12,000 and 13,000 years old, was discovered in a pit that lies in an underwater cave system in a crevice the jungle floor about five miles from the Caribbean Sea.

Traversing through a flooded tunnel, divers discovered this chamber that was so dark it seemed to absorb their underwater lights, Alberto Nava of Bay Area Underwater Explorers said at a press conference. They called it Hoyo Negro, which means Black Hole in Spanish.

"The floor disappeared under us, and we could not see across to the other side. We pointed our lights down and to the sides. All we could see was darkness," said Nava, who is the co-director and lead diver for the Hoyo Negro Project.

Nava's team found many of Naia's bones, as well as "a small cranium laying upside down with a perfect set of teeth and dark eye sockets looking back at us." They made this discovery in 2007.

Most of the bones are still underwater, Chatters said. Scientists conducted the DNA analysis and age estimate based on one of Naia's wisdom teeth.

"Recently, to protect the skull and some bones damaged by unauthorized visitors, we recovered them from the cave, but studies of those pieces have not yet begun," he said.

This cave site was probably dry until about 10,000 years ago, when it flooded because of glacial melting, researchers said. There is evidence from the way that the bones are distributed in the cave, and iron oxide on the walls, that it contained "an ephemeral pool of water" that may have been filled by storms, Chatters said.

We may never know why Naia died, but Chatters said it looks like she took a great fall into the pit, fracturing her pelvis. She would not have entered the cave system through a crevice in the jungle, as the divers did, but rather from a ground-level entrance, as the "ground" was lower than it is today.

The name Naia comes from the Greek word for "water nymph," researchers said. Even if we don't know what she called herself, further investigation may uncover more about her roots and life.

Follow Elizabeth Landau on Twitter at @lizlandau

CNN's Justin Lear contributed to this report.

@highlight

Study suggests first Americans came from Beringia

@highlight

Beringia was a land mass between Siberia and Alaska

@highlight

Skeletal remains were found in underwater cave in Mexico