(CNN) -- The contents of your pocket gleam up at you from the Newport, Rhode Island sidewalk like a sarcastic wink. You sit on the curb, surrounded by police cars, cuffs slicing your wrists, passersby whispering. You've told the cops you're an FBI agent.

You'd been debriefing your supervising officer two states away at the time they allege you committed the crime. They check your ID what seems like a hundred times. They even look at it upside-down. Yet here you are, still waiting on them to finish checking out your story.

You are, of course, black.

You've heard folks say, "If black folks would just take responsibility, stop blaming slavery, maybe they wouldn't be getting arrested and killed in the numbers they are." But how much more personal responsibility can you take? You grew up without a dad and still became an undercover FBI agent.

After the above incident, M. Quentin Williams, author of the upcoming "A Survival Guide: How Not to Get Killed by the Police," went on to become a federal prosecutor, then in-house counsel for the NFL and NBA.

How much more responsibility could Professor Henry Louis Gates, Jr. have taken -- beyond becoming one of the world's pre-eminent intellectuals -- that would have stopped officers arresting him at his own front door?

How much more responsibility could President Barack Obama have taken -- beyond making history and achieving policy goals unrealized by his white predecessors -- that would stop some people from portraying him with a bone through his nose and calling him a terrorist?

Where was St. Louis County Prosecutor Bob McCulloch's personal responsibility to say, "call a prosecutor from the other side of the state to build the case against a local officer?" Where was the personal responsibility of Officer Daniel Pantaleo to stop choking Eric Garner when he kept saying he couldn't breathe? Why did he arrest him for the finable offense of selling loose cigarettes, or "loosies?"

It's racism, whether we want to admit it as a society or not, that says: "It's legal to kill unarmed black men." The people marching aren't making it up. This is real.

I know because I'm married to a black man. A man, who numerous times, has had an officer's gun on him, though he attended Harvard and has never been accused of committing a crime.

The impunity with which officers (and even members of the neighborhood watch) can brutalize and kill black people reeks of the past. I can't sleep thinking my mixed-race girls will grow up in a society that values their lives less than mine.

Still, I have friends and family who are officers. I see what they sacrifice to serve. I respect them and I need their protection. We have nowhere to go if each side paints the other with a broad and tainted brush. Dialogue is the only way forward. So I spoke to Williams, as well as to a white officer, Graham Campbell, a high school classmate of mine who became an NYPD officer in Harlem.

Campbell vouches convincingly for the vast majority of officers: "In the Academy, my lieutenant said to us: 'Ten percent of you are born to be officers. For 80%, this is a job. Ten percent of you are criminals.' "

Quentin Williams corroborates this: "Ninety-nine-point-nine percent of cops are good." He adds a caveat: "But there are bad cops, like in any other profession. You should be able to indict a bad officer. With video evidence, you (should) get an indictment probably 100% of the time."

"I don't think he meant to kill Eric Garner," Campbell says. "Guys say they can't breathe all the time, especially if there's a crowd. It's a tactic."

This difference in perception makes me curious: Is there racial tension within the police force itself? Campbell states, "There's no silent war between races on the job."

Williams parses the matter: A few minority officers "might put their heads in the sand, but from my experience, a vast majority understand the issues very well" and they're very concerned. But minority officers have to approach these issues with "some sensitivity" for fear of being "accused of using the 'race card,' " he said.

Campbell admits that occasionally, he would hear casual use of the word "animals." He elaborates: "No matter where you work, you're going to end up resenting that community because you play referee far more often than you end up playing police officer."

He adds: "There are criminal cops. I wouldn't hesitate to report them: Cops who abuse, cops who steal and do drugs. But a cop who ends up spinning scenes up? I might not want him at my crime scene ... but I'm not going to ask him to be indicted."

But isn't it criminal to lose control to the point of killing an unarmed citizen? Not indicting officers who kill the civilians they've vowed to protect sends a message that they're above the law they've sworn to enforce. To make matters worse, when black people protest injustice, they're further vilified.

The night of McCulloch's announcement of the Grand Jury decision, Campbell posted on Facebook that Ferguson dispatch said a white male with a flag bandana had set fire to a police car. Meanwhile, on the news, all I saw were images of black kids walking up to convenience stores with uncertain intent. Campbell acknowledges that the white male could have set fires to frame black protestors. We'll never know. The point is, white people overwhelmingly get the benefit of the doubt from our society, while black people's benefit to society gets doubted.

When pressed if he thinks profiling exists, Campbell replies, " If anything, it looks like white folks get the benefit of much more discretion. If you got locked up, you could have your parents call a high-powered attorney to get you out. ... Whereas if you're locked up in the bullpen with a public defender," it's a diferent story.

A racial double standard exists in policing practices. According to ProPublica, black men are 21 times more likely to be killed by police than white men. White America must face how its own prejudices inform whom they perceive as criminals and whom as victims.

Campbell nails the heart of where white and black America diverge: "In these discussions we don't have: 'If I stop a black guy on a drug block because I think he's buying, and he wasn't doing anything, it wounds his soul.' This is me doing my job. I don't think about the impact because it's not an impact I have to live with."

Williams admits that a certain amount of profiling is part of any police work, but holds firm that law enforcement leadership must do more to create an environment of sensitivity to -- and accountability for -- injustice.

Meanwhile, the wound to the man's soul, we ignore at our peril. It has a history. It has a future. African-American culture disproportionately constitutes the soul of America.

In wounding the souls of black folk, we wound our own. If we don't acknowledge those wounds, and officially atone for the crimes that caused them, we'll keep killing for loosies and putting the victims on trial.

Note: An earlier version of this article gave an incorrect location for the incident described in the first paragraph.

Join us on Facebook.com/CNNOpinion.

@highlight

Lucia Brawley: The responsibility for ending killings by police is shared by many

@highlight

She says black males, even FBI agents, are often the target of unfair police actions

@highlight

Law enforcement must do more to remedy inequities and injustice, she says