(CNN) -- When is a garden not a garden? When it's an avant garden.

Designers of the past -- who were concerned with verdant lawns, traditional flowerbeds and tasteful ornaments -- would barely recognize the experimental gardens of today.

"Garden design has always been quite a traditional discipline, says Madison Cox, a garden designer and part of the team behind a new book, The Gardener's Garden.

"Gardens are in a constant state of flux, and you can only do what the plants allow you to do. So it changes less rapidly than painting, sculpture or architecture, as it takes longer to experiment."

Plant vocabulary

There have been other restrictions, too. In the past, garden design was limited by the plants available, as it was difficult to access plants that did not grow indigenously.

But now, says Cox, the "plant vocabulary" has increased.

"Go to any garden center in England, Italy, America or elsewhere, and you'll find plants from all over the world," he says.

This -- together with the influence of radical breakthroughs in the disciplines of painting, sculpture and music -- has allowed a new generation of gardeners to create spaces that owed more to the imagination than tradition.

The birth of a new experimental art form

It started with experiments like Lotusland, an extravagant garden in Santa Barbara, California that was created in the latter half of the 20th Century by Madame Ganna Walska, an eccentric opera singer. It contains exotic plants from all over the world, set in fantasy contexts.

"It's completely mad," says Cox. "The section called the Blue Garden, for instance, has many blue plants and blue-colored slag from a Coca-Cola bottling plant on the ground. The effect is this weird, underwater, blue light, that is at the same time eerie and soothing."

Similarly, Marjorelle -- a public garden in Marrakech, Morocco, that attracts about 730,000 visitors a year -- showcases plants that are almost completely devoid of vivid color, and resembles a world of grays, light greens and pale blues.

"The only color comes from things that are not natural, like painted surfaces and pottery," says Cox.

Taking design to the next level

In Kent, England, the garden that belonged to movie director Derek Jarman eschews grass and traditional trees to embrace flotsam, weeds and found objects, creating a space that is in many ways closer to a movie set than a garden.

Modern experimental designers have been taking things to another level. The Red Sand Garden in the Royal Botanic Gardens in Melbourne, Australia, resembles a martian landscape, complete with rock circles, curving escarpments and striking forms and foliage.

However, modern avant garde designers are not completely free from all constraints. "In today's world, we have other pressing environmental issues, such as water conservation," says Cox. "Designers need to consider what is appropriate to the specific climatic conditions they are working in. This is of vital importance."

The heart of any garden

Ultimately, he says, a garden is a garden if it represents a retreat from the world.

"In recent years there has been an explosion of creativity," he says, "but we have never lost that sense that garden is a paradise, a retreat from the world, and an alternative to our normal surroundings and chaotic lives.

"That has always been the point of a garden, and that will never change."

One hundred years since the 'Golden Age' of posters began

The enduring allure of steam trains: A nostalgic journey back in time

9 maps that reveal London's secret history, from Shakespeare till today

@highlight

The Gardener's Garden showcases some of the most beautiful gardens from around the world

@highlight

A new generation of gardeners are creating experimental spaces

@highlight

Modern avant garde designers are considering climate change and water conservation