While about a quarter of adults in the United States suffer from some form of mental illness, most of them are not getting adequate treatment, if any.

In the age when there's an app for everything, it's no surprise that there are a lot of smartphone tools out there claiming to help people cope. From informational resources to interactive mental wellness programs, there's plenty out there to choose from.

And even if you don't have a diagnosed mental illness, you may benefit from recognizing the triggers of bad moods or creating ways to enhance positive thinking.

Don't mistake your phone for a therapist, but some mental health professionals are encouraging their patients to use mobile apps as a way to supplement their care.

"You can definitely utilize and capitalize on the smartphone technology to create tools that people have with them all the time," said Kristen Mulcahy, a psychologist in Falmouth, Massachusetts.

Mulcahy came up with the idea for an app for people with obsessive-compulsive disorder that is a fully comprehensive tool with versions for children and adults.

Patients with OCD have unwanted thoughts and anxieties that trigger repetitive behaviors.

The Live OCD Free app for iPad or iPhone makes use of a well-tested treatment for OCD called exposure and response prevention.

The technique forces patients to face their fears head-on without engaging in compulsions. Users can practice this with, for instance, leaving the house without checking the door lock multiple times, over a given time period. If they give in before the timer is up, there's a "Just Gave In" button.

The user can also create an audio recording of an obsessive thought to listen to on loop, in order to practice enduring it without doing a repetitive behavior.

More than just a tool to use on your own, the app can help the user's therapist see progress over time by generating charts that can be e-mailed.

"It holds (patients) a lot more accountable, because they know I'm going to be able to see everything they are or aren't doing," she said. The price tag is steep at $79.99, but it may help patients cut back on their more expensive in-person sessions a lot faster, Mulcahy said; the app is a "surrogate therapist."

Tracking your body with technology

For less than a dollar, there are a variety of tools available to address other aspects of mental health.

Dr. Rakesh Jain, psychiatrist at the University of Texas Medical School at Houston, uses a free mood tracking app called Moody Me by MedHelp. Users can upload photos that correspond with different moods, from "manic" and "excellent" to "horrible" and "depressed."

You can delve deeper into what's causing the mood by with a list of relevant emotions, symptoms and events. Users who are taking medications can also note them in their daily mood entries. The app also creates graphs of moods over time so users can detect patterns.

Moody Me also has a social feature, where users can share their moods with their friends. There are "Ask a Doctor" forums with advice from real experts on a variety of topics and communities for discussions around specific mental disorders.

Jain also gets his patients to use a body weight tracker called BMI by NutriSystem to track their body mass index, since depression is a mind-body disorder. Although BMI is an imperfect indicator of health, studies have shown that depression and BMI are linked.

His favorite app is called Live Happy, which costs 99 cents. It was developed in collaboration with Sonja Lyubomirsky, a psychologist at the University of California, Riverside, and the company Signal Patterns.

The app offers happiness-boosting activities wherever you go. For example, the "Best Possible Self" activity asks you to take 15 to 30 minutes in a quiet place and reflect on what your life will be like ideally in five years, including the life goals you want to accomplish. There's a "Strive" section where you can identify goals and characterize them, too.

Part of this app is also expressing gratitude. You can call, text or e-mail a person whom you appreciate. A "gratitude journal" allows you to jot down things that you are thankful for in your life. The "Replay Happy Days" activity leads you through the exercise of remembering happy moments to replay positive emotions.

"It is extremely scientifically based and (an) unusually powerful app," Jain said.

If you aren't sure whether what you're feeling could be classified as depression or anxiety, there's a free tool called depressioncheck. This app offers a three-minute screening for anxiety and depression. Of course, it's not meant to replace a real mental health professional's evaluation; you should seek consultation with a licensed therapist before trying to make any diagnoses on your own.

For those who have bipolar disorder, there's an app called Bipolar Disorder Connect. This free app is a gateway into a community of people living with bipolar disorder. Users ask each other questions and talk about treatments.

Finally, the National Center for Telehealth and Technology, part of the U.S. Department of Defense, has put out an intriguing suite of mental health apps as well.

PTSD Coach, co-created by the VA's National Center for post-traumatic stress disorder, includes a PTSD self-assessment and information about the condition. Relaxation skill tools and anger management techniques are part of the program. It is intended for veterans and military service members.

And for a simple guided relaxation program, check out Tactical Breather, from the same group. A voice guides you through inhalations and exhalations that, according to the website, "can be used to gain control over physiological and psychological responses to stress." It was developed for combat situations but can be used by anyone for stress management at any time.

@highlight

The Live OCD Free app makes use of OCD therapy techniques

@highlight

Live Happy encourages positive thinking and goal-setting

@highlight

Many mental health apps are free or cost less than a dollar