Washington (CNN) -- We're approaching the 100th anniversary of the birthday of Ronald Reagan: February 6, 2011. It's time to begin thinking seriously about an appropriate national commemoration of this good man and great president.

To date, the main attempts to honor Reagan in the nation's capital have gone askew. A government office building second in size only to the Pentagon? An airport from which Washingtonians cannot fly to California? These do not seem very appropriate monuments to a president who fought bureaucracy and yearned for home.

The other ideas that sometimes circulate in Congress seem equally misplaced: Placing Reagan on the currency or building a giant statue somewhere in Washington. More than most presidents, Reagan would have wanted to be remembered for his ideas, not his image. The right commemoration would honor those.

Let me suggest something: A museum in Washington dedicated to the victims of communism.

The struggle against communism impelled American foreign policy for almost half a century. That struggle was also the central concern of Ronald Reagan's political life. As much as Reagan cared about the geopolitics of the struggle, he cared even more about the human victims of communism's brutal totalitarian ideology.

The countries of Eastern Europe are now memorializing their terrible experiences under communism.

A particularly impressive museum has opened in Budapest, Hungary. But Eastern Europe did not suffer alone. Cambodia, China, Cuba, Ethiopia and  Afghanistan also have their stories to tell.

A "Ronald Reagan Museum of the Victims of Communism" in Washington would ensure that these stories were kept alive and made vivid for future generations.

The United States Holocaust Memorial Museum in Washington offers an outstanding example to emulate.

The Holocaust Museum has emerged as one of Washington's most-visited sites. It offers a message that is purposeful as well as mournful. It's a message propounded from the National Archives to the Lincoln Memorial -- and a message to which Ronald Reagan devoted his political life:

The principles on which the United States is built are not mere preferences. Reject those principles, and you are embarking on a nightmare that can culminate in the ultimate horrors of human injustice, oppression, cruelty and violence.

As yet, the crimes of communism are appallingly minimized, excused or even condoned in the places where they were ordered, places such as Moscow, Havana, Beijing and Hanoi. Earlier this year, I had the chance to visit the one and only public remembrance of the Cultural Revolution in all China, a small museum in a park on the outskirts of a provincial city.

What could be more fitting than to remember those crimes in the city that we called the capital of the free world during the struggle against communism? And in the name of the president who not only spoke so eloquently against those crimes, but who issued the challenge that presaged communism's downfall?

So there's my proposal for the new Congress. Introduce a bill to authorize the development of the museum on February 6, with a view to completing work in time for Reagan's 110th birthday in 2021. Instead of a statue, remember this president who so valued the individual with a monument that will restore the individuality of wronged, imprisoned and murdered millions.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

The 100th anniversary of Ronald Reagan's birth is February 6, 2011

@highlight

David Frum says Washington has honored him inappropriately, with a building, an airport

@highlight

He says the real monument to Reagan would be a museum honoring victims of communism

@highlight

Reagan's great cause was to fight against communist regimes, Frum says