New York (CNN)Screeds seized at the 2011 raid in which Osama bin Laden was killed outlined plans to unleash terror attacks in the U.S. heartland -- with hopes of pressuring "300 million Americans" to demand an end to what al Qaeda called the "unjust wars" against the Muslim world.

"Striking America at home is of the highest and top importance and is the main way to reach what we want," one letter said. "The impact on Americans from a strike inside America cannot be compared with hitting them outside the country."

In a Brooklyn, New York, courtroom, a federal jury this week was the first to hear the contents of the letter and other documents seized during the bin Laden raid in Pakistan.

The documents were read at the terrorism trial of a man named Abid Naseer, 28, who was arrested in 2009 in Manchester, England, where he had been living on a student visa. They were penned by senior al Qaeda operatives, according to prosecutors.

Brooklyn federal prosecutor Celia Cohen described Naseer to the jury as a "key member" of a broad scheme to "take innocent lives" during a series of alleged failed attacks at a Manchester shopping center, a newsroom in Copenhagen and the subways of New York.

Naseer is not mentioned in the al Qaeda documents.

"I had no involvement in the activities mentioned in those documents," Naseer told the jury Thursday.

The release of the al Qaeda papers coincides with the arrests Wednesday of three Brooklyn men accused by the federal government of attempting to join ISIS and of fostering separate plans to kill President Barack Obama and shoot law enforcement officers.

The declassified documents at times read like jihadi training manuals -- detailing operational tactics for terrorist assaults throughout the world while, at the same time, invoking the name of Allah. Written in Arabic, the documents were translated by an FBI linguist.

Other letters stress the importance of strikes to not only hurt the American economy but the nation's sense of security.

"One of the most important tasks of the organization is to carry out operations that can directly affect the security and economy of the American people as a whole," one document said.

"Therefore, operations inside America and targeting oil overseas, especially in the countries that export it, will have the strongest and fastest impact on the people and will push them to exert pressure on the politicians."

There are references to American history, particularly the large protests generated by the huge loss of U.S. soldiers during the Vietnam War.

"We must put under direct pressure our enemy's Operations Room, which includes the Administration in the White House, Congress, and the Pentagon, and which is used to wage the war against us," said one letter.

Another stated, "One large operation inside America affects the security and nerves of 300 million Americans, whereas killing one thousand soldiers during eight years or more has a weak effect on their mental strain as a whole."

The 1941 attack on the naval base at Pearl Harbor occurred on an island far from the U.S. mainland, one letter noted.

"They have inherited the concept of security and the idea that no one would dare to attack them inside their home," it said of Americans. "Their sense of security is very sensitive with regard to military operations inside their country, and for this reason it is easy for the matter to be magnified in their eyes, causing them to become angry, to rebel against their politicians, and to mobilize to stop the reasons behind their loss of security."

A document included an oath of loyalty that al Qaeda recruits swore to bin Laden.

"I accept your allegiance on behalf of Sheikh Osama, to listen and obey, in hardship and ease, and to follow whomever Sheikh Osama assigns to be my amir on the jihad for the sake of God, for the establishment of the religion of God, and to memorise secrets of the group and to be where I am ordered to," it said.

Targets for operations included Britain and Russia.

"We had sent a number of brothers to Britain, Russia and Europe," one document said. "We had confidence in them. These were Russia (hitting the gas line or the US Embassy) and Britain (several targets -- the brother determines what suites him in line with what materials he can get)."

The hazards of the terror trade were noted.

"We have many brothers who had spent a long time with us and who are ready to work anywhere," one letter said. "Likewise, many brothers with security problems where the main deterrent is the issue of official documents."

Old and new ways to spread fear and carry out attacks were considered.

"Guide the brothers towards new methods like using the simplest things such as household knives, gas tanks, fuel, diesel and others like airplanes, trains and cars as killing tools," said a document, under the section headed "execution."

"Try to benefit from the brothers with previous criminal conviction to obtain weapons," it said.

The al Qaeda papers released in the Naseer trial were found in the walled and fortified compound in Abbottabad, Pakistan, where Osama bin Laden was killed in 2011 by a group of U.S. forces, including Navy SEALs.

Naseer is accused of providing and conspiring to provide material support to al Qaeda and conspiracy to use a destructive device in relation to the British plot. He faces a maximum sentence of life imprisonment if convicted.

Prosecutors allege that Naseer received terrorist training in Pakistan and communicated with al Qaeda about the alleged plot using coded email messages under online addresses that appeared to belong to a female.

The bearded defendant, who is representing himself, took the stand this week. He told the jury the charges against him were false and that he  concocted the email addresses to play pranks on friends and to meet women online. He said his emails were innocent and not coded.

Naseer said he was in Britain looking for a wife, not planning an attack. He told jurors that he has "no extremist or jihadi views" or affiliation with any terrorist network.

"I do not condone 9/11," he said of the September 11, 2001 attacks on the United States. "The events of 9/11 are not justified in the name of Islam... I have never met Osama bin laden."

A major operation Naseer is accused of plotting was to happen on the 10th anniversary of 9/11, prosecutors said.

The operation involved a bomb on the New York subway. The plot originated with a man named Najibullah Zazi, who allegedly cooperated with Naseer and pleaded guilty to terrorism charges. Zazi was the first witness in Naseer's trial.

Naseer's 2009 arrest in England was part of a massive sweep in connection with an alleged plot to carry out bomb attacks in Britain. He was extradited in January 2013.

A number of British intelligence agents -- disguised with makeup and wearing wigs -- testified that they tracked Naseer in 2009 as he visited a Manchester mall that was to be attacked.

Another witness was an FBI official who was in Afghanistan and oversaw the trove of evidence collected in the bin Laden raid.

The counterterror official, Alexander Otte, testified that he saw bin Laden's body as it arrived at a military hangar.

"I knew who he was," he said. "I recognized him immediately."

CNN's Laura Ly and Deborah Feyerick contributed to this report.

@highlight

Federal jury in Brooklyn is first to hear about the contents of evidence from bin Laden raid

@highlight

Al Qaeda documents outlined plans to unleash terror attacks in the heart of the U.S.