(CNN) -- Watching CNN's town hall with Hillary Clinton on Tuesday, I found the former secretary of state, senator, first lady and potential 2016 presidential candidate thoroughly enjoyable and at times even captivating and compelling.

I sincerely appreciated the passion and clarity with which she addressed topics such as gun control ("A minority of people hold a viewpoint that terrorizes the majority of people"), marriage equality ("I'm very, very proud to state that I'm a full supporter of marriage equality right now") and voting rights ("I deplore the efforts by some to restrict the right to vote"). And she was downright funny when she joked that she hadn't smoked pot yet and wasn't about to start anytime soon.

But otherwise, as in most of her time in the public eye in general, Clinton was predictable and plain and, I'm sorry to say, kind of boring.

Her answer on what to do about the millions of families who continue to be ripped apart by deportation was noncommittal. Clinton said that if Congress still continues to fail to pass comprehensive immigration reform, she would support "more leeway and more discretion for the executive branch." But Congress isn't passing reform any time soon, so real leadership on this issue now requires a more concrete -- and bold -- response.

And then Clinton went on to mirror Republican talking points about border security and the need to "send a clear" message to would-be migrants, including children who "should be sent back." Clinton was carefully trying to echo immigrant-rights sentiments while toeing a conservative line on policy -- the opposite of bold leadership.

When the question of Benghazi came up, Clinton carefully defended herself to such an extent that she almost seemed to be reading a script. What she didn't do was use the opportunity to go after those who continue to politicize Benghazi to try to damage her potential candidacy.

In fact, she even gave their ongoing concerns credence in suggesting she still has questions about what happened that night -- this despite dozens of hearings and briefings and millions of taxpayer dollars wasted in political fishing expeditions. Again, Clinton walked the safe and predictable line here but definitely not one interesting to voters looking for decisive closure on Benghazi, or for those of us in the chattering class.

I confess I already have a chip on my shoulder about the prospect of a Hillary Clinton presidency. She is far too centrist on economic issues and hawkish on foreign policy, not only for my personal taste but arguably for the majority of American voters today.

At a time when most Americans still want Wall Street held accountable for crashing our economy, President Hillary Clinton would likely be cozier with big banks than Barack Obama has been. And at a time when the majority of Americans are strongly regretful about the Iraq War -- and are deeply wary of another one -- it's worth remembering that Clinton voted for the war, even if she did later change her mind.

Even as tea party-ish Republicans are thumping the drums of economic populism, Clinton is literally and figuratively the candidate of the establishment.

Of course I think Clinton would be better for America than any number of Republican alternatives. I'll take pro-corporate, mushy centrism over pro-corporate, right-wing extremism any day. But that doesn't mean I'm excited. When it comes to economic and social policy, Clinton is no passionate, populist progressive.

Fine, so at the very least I'd like to be wowed by rhetoric. That's what Obama did. I didn't like his centrist record and policy agenda either, but I'll admit I was dazzled by the way he wrapped his mushy Democratic status quo-ness in lofty ideals and imagery.

For us progressives, national elections generally require settling for the lesser of two evils. At least Obama made us rhetorically feel we were voting for something different. We hoped for change, even if we deep down knew we wouldn't get it.

In what was presumably a dig at Obama, Clinton said during the CNN town hall, "Some people can paint a beautiful vision. And, thankfully, we can all learn from that, but then, can you -- with the tenacity, the persistence, the getting-knocked-down/getting-back-up resilience -- can you lead us there?"

The implication is that she is no beautiful vision painter, she's the get-er-done-er -- batting cleanup on the unfinished business of Obama and to an extent Bill Clinton as well. And while I genuinely suspect that with her longer exposure to the slings and arrows of right-wing political attacks and both the thicker skin and bare-knuckle tactics she has developed in response, Hillary Clinton might indeed be able to get more done than Obama, even when faced with the same utterly unfathomable and childish Republican intransigence, I just can't get excited.

But at the end of the day, that lack of excitement may be Clinton's best asset if she chooses to run. After all, we live in a 24/7 scandal cycle where political candidates flame out with one misstep of a tweet. (And some would agree with Jessica Valenti that Clinton has no choice but to be boring, given that "any emotion that Hillary Clinton shows has always been used against her, and it has become a kind of stand-in for the many reasons women are said to be oh-so-unfit to lead.")

Opinion: What Clinton doesn't get on immigration

The downside to Clinton being so careful and calculated is also an upside; she's not likely to make any serious mistakes anytime soon. And while political leaders who make bullheaded (and factually misleading) arguments that lead our country to war or those who stand firmly and consistently on the other side are certainly more exciting, we need more leaders who are willing to see both sides of an argument and occasionally admit when they're wrong -- as Clinton did on Iraq.

Not exciting but refreshing and important. And certainly, given the inability of Republicans to identify a front-runner at this point, let alone their track record of producing an astonishing rate of disqualifying gaffes, simply by not rocking the boat, Clinton may sail into the White House. Inevitability is boring, but who cares if it works?

What was exciting about the CNN town hall was the format, the superb moderating by Christiane Amanpour, the probing questions from the diverse audience, the online interaction via Tumblr and the opportunity for ordinary Americans directly to engage a historic figure on live, national television. What wasn't exciting was Clinton. But who needs exciting when you get to be president?

@highlight

Sally Kohn: At CNN's town hall, Hillary Clinton was cautious and at times compelling

@highlight

She says the former secretary of state took a centrist stance at odds with growing populism

@highlight

Kohn says she doesn't find Clinton's points of view exciting or inspiring, as were Obama's

@highlight

Kohn: Being safe might be the price of winning the White House for Clinton