New York (CNN) -- Rick Perry is calling for a flat tax to stop his campaign from flatlining. But it might be just what he needs to revive his presidential ambitions. Because a flat tax is not just a big idea; it could prove to be both good politics and good policy.

After all, tax simplification is both needed and polls well, and the flat tax promises a simpler approach to paying taxes. And at a time when President Obama is campaigning against the fact that Warren Buffett and his secretary pay different rates, the flat tax idea might just have met its moment for broader-based appeal.

Its virtue is its simplicity. The current tax code contains more words than the Bible, and Americans spend 6 billion hours each year trying to comply with the code. That's time that can be more productively spent elsewhere. In contrast, a flat tax could be calculated during the seventh-inning stretch of a ballgame.

And although the idea might sound like a radical change, the reality is that the flat tax -- popularized by Alvin Rabushka and Robert Hall of the Hoover Institution -- has been implemented successfully in 37 countries, including Russia, many of the thriving Baltic States and the newest nation on Earth, the Republic of South Sudan.

Perry's flat-tax plan, the details of which will be announced this week, may help him regain the enthusiasm of his initial tea party supporters who lately have flocked to Herman Cain.

Dick Armey, a former congressman and chairman of FreedomWorks, has been a longtime advocate of the flat tax, and his organization has helped fund many of the tea party rallies and given shape to the movement. This policy move will, in turn, help convince many tea partiers that Perry really is their man. It might also help reignite a spark of support from center-right think tanks that have long supported such a tax-reform but had growing doubts about Perry's commitment to fiscal conservative policy ideas outside bumper-sticker bromides.

Cain deserves credit for moving forward the policy debate in this presidential field. His 9-9-9 plan, a flat tax combined with a national sales tax, captured the imagination of the primary electorate and catapulted him to the top of the poll rankings.

In turn, it created pressure on other candidates to propose fiscal plans of their own, providing at least some details in place of play-to-the-base bumper-sticker slogans. Ron Paul put forward a trillion-dollar deficit cut, Rick Santorum proposed eliminating corporate taxes on manufacturing companies, and now Perry has gotten into the game with plans to unveil his own bold proposal.

The flat tax is certainly more tried and true than the 9-9-9 plan and avoids its most regressive elements, like the 9% national sales tax. The flat tax as proposed by one-time presidential candidate and Perry supporter Steve Forbes contains a family exemption for the first $36,000 for a family of four, effectively exempting the poorest Americans.

This doesn't need to be a polarizing idea on partisan grounds; it was advocated by California Gov. Jerry Brown, a Democrat, in his 1992 presidential campaign. And while more Americans would pay taxes under this plan, by broadening the base, we would stop the potentially destabilizing dynamic under which nearly half of Americans don't pay federal income taxes.

Making ideological peace with the idea of broadening the tax base could also help some conservatives move from anti-tax absolutism to a broader conversation about tax reform that could help get crippling long-term budget imbalances under control. We could lower rates to stimulate economic growth while remaining revenue neutral at a roughly 19% flat tax rate, and if it was pegged slightly higher, we could start putting a serious dent in the deficit and debt.

The fact that the flat tax has been backed by a prominent presidential candidate will help shape the national debate and perhaps provide some urgency to the idea of tax reform. Obama talked about tax simplification on the '08 campaign trail, and Speaker John Boehner and House Budget Chairman Paul Ryan have long advocated it as well.

Even famed Democratic strategist and CNN contributor James Carville said on "OutFront with Erin Burnett" on Wednesday that he'd be fine with a progressive flat tax with three rates and allowances for a few core deductions while closing most loopholes.

On balance, I'd prefer a graduated flat tax along the lines Rudy Giuliani proposed when he was running for president (and I was helping run his policy team), the FAST form: an optional one-page tax form with three rates and six deductions, including charitable donations, interest on home mortgage, as well as state and local taxes. But perfect is never on the menu, and a flat tax is better than the current system we have in place. It is simple, fast and fair.

Even if Perry's plan is only a base-pleasing opening bid in a larger round of tax reform, it is a step in the right direction. We need to have a serious national conversation about tax simplification that can spur economic growth. By taking the risk of putting forward a big idea, Perry just might agree: Good policy is also good politics.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

Rick Perry, whose poll numbers dropped sharply, is planning to propose a flat tax

@highlight

John Avlon says it could boost Perry's fortunes and it would be good policy

@highlight

A new tax system would save time and encourage economic growth, Avlon says