Researchers may be getting closer to an effective way of preventing age-related macular degeneration, one of the leading causes of vision loss among older Americans.

A new study found that vitamins B6, B12 and folic acid may help prevent age-related macular degeneration.

A new study finds that women who took a combination of B6 and B12 vitamins along with a folic acid supplement had lower risks of developing age-related macular degeneration. The women who got the supplements, compared with those taking a placebo, had a 34 percent lower risk of developing any form of AMD, and a 41 percent lower risk of more severe forms of AMD.

Epidemiologist and study author William G. Christen, Sc.D., of Brigham and Women's Hospital and Harvard Medical School, expects that if these findings are successfully replicated in future studies, "the combination of these vitamins might become the first prevention method of early stages of age-related macular degeneration other than avoiding cigarette smoking."

Christen also noted that although the study was conducted among women age 40 and older, there is no particular reason to believe the same results would not hold true in a similar group of men.

Christen and his colleagues examined the role of vitamins B6 and B12 and folic acid in AMD partly because previous studies have shown these vitamins are known to lower levels of homocysteine, an amino acid found in the blood that when elevated has been associated with higher risks of AMD.

The 5,442 women who participated in the randomized, double-blind clinical trial already had heart disease or at least three risk factors for cardiovascular disease. The majority of them did not have AMD at the start of the study, which lasted more than 7 years. Christen explains that the underlying mechanism of AMD likely involves the vascular system, and researchers widely believe that cardiovascular disease and AMD share common risk factors.

Age-related macular degeneration is a vision disease common among people older than 60, involving the deterioration of tissues in the macula, the central part of the retina. The condition impedes the performance of critical everyday functions such as reading and driving because it affects the ability to see items that a person is looking at directly, as opposed to items even a few degrees off to either side of the direct line of vision.

"If you affect that central part of your vision, no one goes blind from it but it really interferes with your quality of life," explains Dr. Roy Rubinfeld, ophthalmologist and spokesperson for the American Academy of Ophthalmology.

There are two types of macular degeneration: wet and dry. Wet forms of AMD are caused by abnormal blood vessels growing beneath the macula, which can rupture and bleed. The dry form is generally caused by cells in the macula degenerating over time and thus losing function.

While some treatments do exist for the wet form of the disease (including laser surgery, photodynamic therapy and injections into the eye), there is currently not much in the way of treatments for the more common dry form.

When asked if the study results mean that people at high risk for AMD should begin taking a vitamin supplement that provides vitamins B6, B12 and folic acid, retina specialist Dr. Robert Frank of the American Academy of Ophthalmology suggests probably not yet.

"If you do anything, I would take a supplement of antioxidant vitamins containing high doses of vitamins A, E, C and zinc," suggests Frank, who has no financial interest in the vitamin supplement industry. These antioxidant vitamins were found to prevent the progression of age-related macular degeneration in the 10-year Age-Related Eye Disease Study conducted by the National Eye Institute of the National Institutes of Health.

However, Frank does say that while it still remains to be seen whether people currently taking a multivitamin containing the B vitamins and folic acid will be able to prevent early AMD from developing -- answers which will probably not be found for several years, after a large-scale clinical trial is begun -- there is little risk for most people in taking a daily multivitamin.

@highlight

Study: B vitamins may help prevent age-related macular degeneration

@highlight

Women taking B6, B12, folic acid had 34 percent lower risk of getting AMD

@highlight

Study findings need to be replicated

@highlight

Only prevention now is avoiding smoking; antioxidant vitamins prevent progression