Joe Paterno, whose tenure as the most successful coach in major college football history ended abruptly in November amid allegations that he failed to respond forcefully enough to a sex abuse scandal involving a former assistant, died Sunday, his family said. He was 85.

The longtime Penn State head coach was diagnosed with what his family had called a treatable form of lung cancer shortly after the university's Board of Trustees voted to fire him.

He had been hospitalized in December after breaking his pelvis in a fall at his home and again in January for what his son called minor complications from his cancer treatments.

"It is with great sadness that we announce that Joe Paterno passed away earlier today," the family statement said. "His loss leaves a void in our lives that will never be filled."

Paterno died at 9:25 a.m. Sunday, surrounded by his family, State College's Mount Nittany Medical Center said in a statement.

Paterno, who was affectionately known as "JoePa" by generations of his players and football fans alike, was widely admired in football circles for what he called his "Grand Experiment" -- his expectation that big-time college football players could succeed on the field while upholding high academic and moral standards away from the gridiron.

Outpouring of grief at Penn State

Under his leadership, the Nittany Lions won two national championships, went undefeated five times and finished in the top 25 national rankings 35 times, according to his official Penn State biography.

At the same time, the program never fell under NCAA sanctions for major infractions while producing 13 Academic All-Americans since 2006. In 2009, according to the university, the Nittany Lions posted an 85% graduation rate.

"The acclaim for Joe Paterno has stemmed largely from the contrast between the high academic and moral standards he has tried to exemplify and the shameless conduct that often embarrasses and dishonors the college sport he cherishes," author Michael O'Brien wrote in a 1999 biography of Paterno, "No Ordinary Joe."

How will you remember him?

Penn State's board of trustees and President Rodney Erickson said in a statement, "We grieve for the loss of Joe Paterno, a great man who made us a greater university. His dedication to ensuring his players were successful both on the field and in life is legendary and his commitment to education is unmatched in college football. His life, work and generosity will be remembered always."

Dignitaries offer condolences

The university is "considering appropriate ways" to honor Paterno's legacy, the statement said, and its athletics department is "consulting with members of the Penn State community on the nature and timing of the gathering."

Paterno was born in 1926 in Brooklyn to second-generation Italian immigrants, according to O'Brien's book.

He attended Brown University, where he played quarterback and cornerback, according to another Penn State biography.

When Paterno decided to forgo a career in law and make coaching his career, his family said Sunday, his father, Angelo, had one command: "Make an impact."

"As the last 61 years have shown, Joe made an incredible impact. That impact has been felt and appreciated by our family in the form of thousands of letters and well wishes along with countless acts of kindness from people whose lives he touched."

Paterno coached at Penn State as an assistant from 1950 to 1965 and became head coach in 1966.

Decked out in his soon-to-become trademark thick glasses, white socks and sneakers, Paterno quickly became a memorable fixture on the football field, leading the Nittany Lions to undefeated seasons in 1968, 1969 and again in 1973 and the first national championship of his tenure in 1982.

Named National Coach of the Year five times, Paterno was added to the College Football Hall of Fame in 2006, but his induction was delayed until 2007 because of injuries he suffered in a sideline collision.

He became the winningest coach in major college football history in 2011 with 409 victories.

Paterno "died as he lived," the family statement said Sunday. "He fought hard until the end, stayed positive, thought only of others and constantly reminded everyone of how blessed his life had been. His ambitions were far reaching, but he never believed he had to leave this Happy Valley to achieve them. He was a man devoted to his family, his university, his players and his community."

Read family statement

In addition to his exploits on the sidelines, Paterno had a significant impact on the university's academic programs.

Paterno and his wife, Suzanne, donated more than $4 million to the university over the years for faculty endowments, scholarships and building projects, according to the university.

"Penn State has been very good to both Sue and me," he said in 1998, according to his university biography.

"He has been many things in his life -- a soldier, scholar, mentor, coach, friend and father," the family statement said. To his wife, "he was and is her soul mate, and the last several weeks have shown the strength of their love. To his children and grandchildren he is a shining example of how to live a good, decent and honest life, a standard to which we aspire."

Honored with glowing words of praise from players and presidents alike -- President Ronald Reagan said Paterno never forgot that "he is a teacher who's preparing his students not just for the season, but for life," according to a university biography --  he received the National Football Foundation and College Football Hall of Fame Distinguished American Award in 1991.

In doing so, he became the first active coach to do so, according to the biography.

"What are coaches?" he said at the dinner celebrating his award, according to his university biography. "Number one, we're teachers and we're educators. We have the same obligation as all teachers at our institutions, except we probably have more influence over our young people than anyone other than their families," he said.

It was his perceived failure to meet those obligations that led to his downfall as the only coach many Penn State football fans had ever known.

In October, state authorities charged two university officials with misleading investigators and failing to report alleged sexual abuse in 2002, after a Penn State assistant told a grand jury he saw former assistant coach Jerry Sandusky performing what appeared to be anal sex on a boy in a shower at the football complex.

The assistant reported it to Paterno the next day, who said he passed the report along to then-Athletic Director Tim Curley and Gary Schultz, a university vice president who oversaw campus police.

Curley went on leave and Schultz retired shortly after the grand jury report was revealed. The next month, the university fired Paterno and Penn State President Graham Spanier.

Curley and Schultz, who have pleaded not guilty to charges including perjury and failing to report the alleged 2002 incident, issued statements Sunday expressing their sorrow at Paterno's death.

"Joe has been an integral part of my life for more than 35 years," Curley said. "Joe coached me, mentored me, taught me what it meant to compete with integrity and honor, and above all demonstrated with each day that he lived, the power of humility."

At the time of his firing, Paterno said in a statement released by his son, Scott Paterno, that he was "distraught" over the sex abuse scandal.

A timeline of Penn State child sex abuse scandal

In an interview with the Washington Post published January 14, Paterno said that he felt inadequate to deal with the allegations.

"I didn't know exactly how to handle it and I was afraid to do something that might jeopardize what the university procedure was," the Post quoted him as saying. "So I backed away and turned it over to some other people, people I thought would have a little more expertise than I did. It didn't work out that way."

SI column: Legacy more than final chapter

Sandusky, who faces more than 50 counts involving sexual acts with 10 boys since 1994, has pleaded not guilty.

"Nobody did more for the academic reputation of Penn State than Joe Paterno," Sandusky said in a statement Sunday. "He maintained a high standard in a very difficult profession. Joe preached toughness, hard work and clean competition. Most importantly, he had the courage to practice what he preached. Nobody will be able to take away the memories we all shared of a great man, his family, and all the wonderful people who were a part of his life."

Bill O'Brien, who was named Penn State's head football coach following Paterno's firing, said Sunday, "The Penn State Football program is one of college football's iconic programs because it was led by an icon in the coaching profession in Joe Paterno. There are no words to express my respect for him as a man and as a coach. To be following in his footsteps at Penn State is an honor. Our families, our football program, our university and all of college football have suffered a great loss, and we will be eternally grateful for Coach Paterno's immeasurable contributions."

Paterno's family said Sunday he died "with a peaceful mind, comforted by his 'living legacy' of five kids, 17 grandchildren, and hundreds of young men whose lives he changed in more ways than can begin to be counted."

In lieu of flowers or gifts, the family requests that donations be made to the Special Olympics of Pennsylvania or the Penn State-THON, a charity dance marathon held by Penn State fraternities and sororities.

@highlight

Paterno's family says he "fought hard until the end"

@highlight

Paterno had been diagnosed with lung cancer

@highlight

He was known as "JoePa" by players and football fans

@highlight

Paterno was fired in November over allegations he failed to respond to sex abuse allegations