(CNN) -- If you are reading this on a tablet, smart phone or computer monitor, then you may be holding a product of forced labor.

Verité's two-year study of labor conditions in electronics manufacturing in Malaysia has found that one in three foreign workers surveyed was in a condition of forced labor.

Because many of the most recognizable brands source components of their products from Malaysia, almost any device you purchase may have come in contact with modern-day slavery.

Many customers have never heard the stories that most of the migrant workers living in Malaysia can recite by heart.

One such story goes like this. In 2011, a Nepali man named Bishal (not his real name) applied for a job with a Malaysian electronics company.

He was told he could only be employed if he first paid a $1,266 fee -- about double the average annual income in Nepal.

Since Bishal didn't have savings, he borrowed the funds from a moneylender at a monthly interest rate of 5%, using his family land as collateral.

After calculating the promised monthly salary, he was confident he would be able to pay back the loan and save money to send home for his family.

When he arrived in Malaysia, Bishal was faced with additional fees and realized he'd been deceived about his salary.

After purchasing food and transport, he had about $90 left over each month to pay down the loan and send home to his family.

This will be Bishal's reality for the two years that he estimates it will take him to pay off his loan.

The debt isn't the only thing keeping Bishal in Malaysia. He was also forced to surrender his passport to his Malaysian employment manager.

He cannot leave. He is a modern-day slave. And he is not alone.

For the past two years, Verité has met with workers in the Malaysian electronics sector, collecting 500 of their stories.

These laborers work long hours in poor conditions to produce the components for the electronic devices bought and sold on the U.S. and European markets.

Many of them become heavily indebted to obtain their jobs, and then work between one and two years in conditions of virtual debt bondage to pay off their recruitment fees.

The workers we spoke with are often stuck in the supply chains of major brands that you would instantly recognize.

Electronics is Malaysia's leading manufacturing industry and a key driver of the economy, contributing to 33% of exports and generating 27% of all jobs in 2013.

Many companies from the U.S., Europe, and Asia use Malaysia as their manufacturing base. Foreign investment in the industry is extremely high, with 87% (roughly $2.6 billion) originating from foreign sources in 2013.

Businesses and consumers worldwide share in the shame of Malaysia's forced labor problem.

This new and conclusive evidence of forced labor ought to disturb major electronics companies that outsource their production to Malaysia.

As stewards of international trade with the ability to influence global policy and affect consumer behavior, these companies have the power and responsibility to push for meaningful reforms and combat forced labor in the countries that supply their products.

While the factors underlying modern-day slavery in Malaysia are complex, the solutions are at hand.

First and foremost, multinational companies must implement strict policies to ensure that workers in their supply chains have not paid fees to get jobs and that they have easy access to their identity documents throughout their employment.

To do this, multinational companies must extend their current social assessments to include inquiries about worker debt and passport retention.

They must ensure that recruiters reimburse any illegal fees they have collected from workers.

Companies must also conduct due diligence on the business practices of recruiters who find, place or otherwise manage workers in their suppliers' facilities.

Forced labor is prohibited by the internal codes of conduct of virtually all multinationals, yet it is common in the supply chains of the most sophisticated businesses in the world.

No multinational company intentionally relies on exploitation as part of its business model, yet many overlook forced labor practices that would shock their consumers.

Some companies have addressed the problem, including by strictly limiting fees and even reimbursing workers for overcharges. But it's clear that we need a much larger, industry-wide effort.

It's time that multinational electronics companies took strict, comprehensive and measurable steps to put forced labor in Malaysia and other countries out of business.

@highlight

Workers are being lured to work in factories producing electronic goods but have to pay a fee to secure the job.

@highlight

After that they are in debt and have to work to pay it off, sometimes being forced to surrender travel documents.

@highlight

Malaysia is a major manufacturer of electronics but supply chains are not properly regulated, says Dan Viederman of Verité.

@highlight

He wants all companies to end forced labor in their supply chains.