(Health.com) -- Gradual hearing loss is a common symptom of aging, but in some people it may also be an early sign of Alzheimer's disease or other types of dementia, a new study suggests.

The risk of dementia appears to rise as hearing declines. Older people with mild hearing impairment -- those who have difficulty following a conversation in a crowded restaurant, say -- were nearly twice as likely as those with normal hearing to develop dementia, the study found. Severe hearing loss nearly quintupled the risk of dementia.

Health.com: 25 signs and symptoms of Alzheimer's Disease

It's unclear why the loss of hearing and mental function might go hand in hand. Brain abnormalities may contribute independently to both conditions, but it's also possible that hearing problems can help bring on dementia, the researchers say. Hearing loss may lead to social isolation (which itself has been linked to dementia), for instance, or it may interfere with the brain's division of labor.

"The brain might have to reallocate resources to help with hearing at the expense of cognition," says the lead researcher, Frank R. Lin, M.D., an ear surgeon at Johns Hopkins Hospital in Baltimore. That may explain in part why straining to hear conversations over background noise in a loud restaurant can be mentally exhausting for anyone, hard of hearing or not, he adds.

The findings suggest that poor hearing is a "harbinger of impending dementia," says George Gates, M.D., a hearing expert at the University of Washington in Seattle, who was not involved in the new study but whose own research has demonstrated a link between the two conditions.

"We listen with our ears but hear with our brains," Gates says. "It is simply not possible to separate audition and cognition."

Health.com: 9 foods that may help save your memory

In the study, which appears in the Archives of Neurology, Lin and his colleagues followed more than 600 dementia-free adults between the ages of 36 and 90 for an average of 12 years. A little less than 30 percent of the study participants had some hearing loss at the start of the study.

Overall, 9 percent of the participants went on to develop Alzheimer's disease or another form of dementia. Mild, moderate, and severe hearing loss were associated with a two-fold, three-fold, and five-fold higher risk of later dementia, respectively, in comparison to normal hearing.

People with moderate hearing loss generally struggle to communicate even in quiet settings, and those with severe hearing loss are near deaf.

Lin says that hearing loss has an enormous impact on the lives of his patients and their family members. "Yet because it is such a slow and insidious process, it is often left ignored and untreated."

Whether hearing aids or other treatments (such as cochlear implants) can help stave off dementia is the "50 billion dollar question," Lin adds. Thirty million Americans currently have impaired hearing and 1 in 30 are predicted to suffer from dementia by 2050, so if those treatments prove to be helpful, their impact would be felt widely.

Health.com: Aging workforce means dementia on the job could rise

There is no cure for dementia, and there are no surefire ways of preventing it. Gates isn't optimistic that restoring hearing can affect the course of dementia. However, if treatments and prevention strategies for dementia do become available in the future, he says, hearing loss could play an important role in early detection.

Lin and his colleagues have begun researching the effect of hearing aids on the risk of dementia. "Whether or not it can help dementia, we don't know yet," he says. "But in the meantime, there's no reason not to take your hearing loss seriously and pursue some type of treatment."

Copyright Health Magazine 2011

@highlight

In some people, gradual hearing loss may also be an early sign of types of dementia

@highlight

"We listen with our ears but hear with our brains," a source says

@highlight

30 million Americans have impaired hearing; dementia predicted for 1 in 30 by 2050