Hong Kong (CNN) -- Many of Hong Kong's foreign residents will have to think twice before buying a new home in this Asian financial hub.

In a surprise move last month to curb skyrocketing property prices, the Hong Kong government announced the immediate implementation of a 15% property tax on all home purchases -- by foreigners.

The fallout has been fast.

"I think it's a harsh measure," says Brock Little, an Australian who has called Hong Kong home the past six years.

Little, a realtor with local agency Island Property, says the anti-foreigner tax has priced some of his western clients out of the market.

"Some of them who've been here for three to five years...now they basically see Hong Kong as not very welcoming, not really accommodating, to setting up permanently," he says.

Little adds the tax fails to match Hong Kong's image as a world-class city and that some of his clients are now thinking about leaving.

But the Hong Kong government sees the tax as a necessary policy to protect the city's economy from an inflating property bubble -- fueled not just by foreign investment but also by low interest rates linked to protracted quantitative easing by the U.S. Federal Reserve and limited supply of new housing on the market.

In just the first nine months of this year, average property prices in Hong Kong jumped 20%. Since the start of 2010, the price ballooned 50%.

This has made Hong Kong's property sector a dream for established homeowners but a nightmare for potential buyers.

"Hong Kong is the most expensive of our cities in which to purchase property," wrote Savills, a global real estate services provider, in its Spring 2012 World Cities Review. The city is pricier than Singapore, London, Tokyo and Paris, Savills found.

Savills added Hong Kong's property market "is in a league of its own."

Mainland Chinese targeted

While Hong Kong's new tax affects a broad swath of Hong Kong's foreign population, property experts say the real bull's-eye is on the backs of a more specific group of buyers flush with new wealth from right across the border in China.

"I think it's mainly focusing on mainland buyers," says Buggle Lau, chief analyst for Midland Realty, one of Hong Kong's largest real estate companies.

He says he does not totally agree with the new tax policy, but that it is something the government has to do.

"Over the past two years and three quarters, we roughly estimate about 9% of the buyers (of Hong Kong property) are from the mainland," says Lau.

In absolute terms, it may not sound like much, but Lau asserts it is "a pretty big chunk compared to the annual supply of residential units in Hong Kong."

He says just 8,000 to 10,000 new residential units come online every year -- a supply bottleneck that keeps the city's property prices climbing.

With the tax in force, Lau forecasts a 2% to 3% drop in the number of mainland Chinese investors in Hong Kong property. This figure is expected to be 5% in the next six months.

"Unfair"

Jason Liang, 27, is one of the first mainland Chinese in Hong Kong to be hit by the new tax.

Two years ago, he moved to the city as a student, then parlayed his diploma into a financial relations job after graduation.

Liang and his wife planned to buy his first Hong Kong home in December and had already prepared a 20% down payment. The new tax dashed their dreams, literally overnight.

"It is unfair, emotionally it is unfair for me," he said. "It's a surprising policy because I think Hong Kong is a very free market (and) they don't want to curb any investments."

Liang stressed that he is different from other mainlanders, many of whom are believed to be speculators driving the city's property bubble.

"Most of the speculators are from mainland China," he says. "For me, I'm also from mainland China, but I'm [part of] the people who work here, have a stable salary, and I just want to buy affordable houses, instead of renting a place at a high price."

But he understands the new tax does not differentiate based on intent - only on immigrant status.

Interest rates, property supply

Looking ahead, Lau, the real estate analyst, predicts Hong Kong's anti-foreigner property tax may stay in effect through 2015 when the city's interest rates may rebound and when new property is expected to become available, according to government estimates.

But he cautions against any expectations of a price crash saying "property prices will remain flat or soften a little bit" over the next six months.

In the meantime, many would-be buyers will wait out the life of the tax, sitting on their money until the policy ends.

Liang says he plans to stay in Hong Kong for the long haul.

"Comparing with mainland China, it is still a better place," Liang says. "It is still a free market for me. So I love it here, I still love it here."

Vivian Kam contributed to this report.

@highlight

Foreigners are taxed additional 15% for purchasing new homes in Hong Kong

@highlight

New property tax comes after 9% of home purchases by mainland Chinese

@highlight

Chinese would-be home buyer calls new policy "unfair"