Beijing (CNN) -- You can see them each night on street corners or public squares of Beijing, hundreds of Chinese couples ballroom dancing to music blaring from makeshift speakers.

Some have this down to a fine art, twirling and sweeping across the pavement. This is entertainment for the armies of migrant workers who have flocked to China's cities over the past 20 years on the promise of a better life.

For so many of them the dream has come true. China's breakneck economic growth -- inspired by former leader Deng Xiaoping's call "to get rich is glorious" -- has turned one time peasant farmers into factory hands, construction workers, sales people and shop assistants. Some have indeed become rich starting companies or riding the property boom.

For the Communist Party, the country's unelected supreme leaders, this is the source of their legitimacy and authority: keep the engines of growth turning, and the people busy and prosperous. It has worked, so far. But strains are appearing. The gap between rich and poor is widening and the economy itself is weakening. The growth figures for the latest quarter are at 7.4 %, the slowest in three years.

China's GDP growth slides to 7.4%

As the party prepares for its leadership change in November, it is also faced with reforming an economy that can longer rely on cheap labor, high exports and big investment. It needs to switch to domestic consumption - no easy task, according to some analysts.

"It will take generation to get to remodel that growth formula. It is easier said than done, to make sure that people feel that they are safe to spend," says Victor Chu, chairman of First Eastern Investment Group.

Chu has faith in China's leaders -- they have more tools in their box than the rest of the world, he says.

Other big thinkers in the world of business agree. Faced with the potential of a "hard landing" of plummeting growth, many foresee a "soft landing" -- a controlled slowdown leading to more quality growth.

"The last 10 years developed a very good track record of economic management," says John Quelch, dean of the China Europe International Business School. "Obviously there are global challenges affecting the China growth path. China needs to rebalance towards domestic consumption, but I'm pretty confident that the quality of the management in Beijing, financially speaking, is very very good."

As the world's second biggest economy -- and many economists predict that one day, not far away, China is destined to overtake the United States at number one -- what happens here is now felt around the world.

It's become a hot button issue during the U.S election campaign. Candidates Mitt Romney and Barack Obama have used the presidential debates to try to "out-tough" each other on China. China is accused of not playing fair, keeping its currency low to gain an export advantage and taking American jobs. If elected, Governor Romney says he would declare China a "currency manipulator" on the first day of his presidency. President Obama says he's lodged successful cases against China at the World Trade Organization.

U.S. debate: Tough talk on China

China's Foreign Ministry has hit back, saying that U.S politicians need to treat China fairly and that trade should be a win-win.

Sir Martin Sorrell, CEO of advertising giant WPP, does a lot of business in China. He says the rest of the world can't blame Beijing for its ills.

"We have mismanaged our economy, not the Chinese," Sorrell says. "Look back in the history, we've been here before, early 19th Century, China and India were 40-50% of worldwide GNP. They are going be again ... the only question is when."

But economists point out China's leaders should be under no illusions about the task ahead.

The gap between rich and poor is widening, and poor Chinese complain that the opportunities are drying up. Then there are questions about social cohesion, the rule of law and human rights.

In many ways China's incoming rulers are in a race against time. Reform the economy before the people turn against the Party.

"The whole legitimacy of this one party rule depends on the ability to deliver. And in the last 30 years, hundreds of million have been brought above the poverty line. So going forward is going to be challenging, but the only way they can survive is to deliver," warns Victor Chu.

Tonight the ball room dancers will be back on the streets, but the question remains what will become of them if the music stops.

@highlight

China's explosive growth is slowing as economy expands at lowest level in three years

@highlight

Growth is the source of legitimacy and authority for China's Communist Party

@highlight

There is a growing prosperity divide as Beijing tries to move economy toward domestic consumption

@highlight

Victor Chu: "The whole legitimacy of this one party rule depends on the ability to deliver"