(CNN) -- The annual report of national college rankings published by U.S. News & World Report is, regrettably, one of the most powerful forces in American higher education.

I say "regrettably" because the list of rankings, although comprising data, surveys and statistics, doesn't even begin to express the quality, comprehensiveness and special character of the more than 4,000 colleges and universities in the country.

The report is so powerful that an administrator at Claremont McKenna College, a small, elite liberal arts school in California, submitted inflated data in order to enhance the college's standing.

Is anyone surprised by this revelation? Just as athletes use steroids and gambling happens at Rick's, colleges and universities succumb to their own set of pressures, including the desire to be on top in the rankings.

U.S. News & World Report has been highly successful at inducing far too many high school students and their families to think that there are only a handful of colleges worth attending in the entire country, and by extension saying that if a student doesn't get into one of the 'select' few, then life will never be worth living. Attending a Tier 3 school doesn't make you a Tier 3 person, nor does enrolling at Princeton make you a prince.

Ironically, we know from a survey of human resource managers (these are the people who actually hire college graduates) that the colleges they recruit from most enthusiastically are not necessarily the same as the ones U.S. News implies students should strive to enter.

A college degree has become a 21st-century economic necessity. Getting into the "best" college is a national obsession. Many believe it's a passport to a golden future. Let's play a numbers game: 100 high school seniors each apply to 10 colleges; 1,000 applications are now in play. Each college hopes to enroll 10 students; 100 freshman spots are in the air. All of the 100 students will have a place to go to college but not every one will get into his or her first choice, nor will every college get its highest-ranked applicant.

Students strive to make themselves extremely attractive to specific colleges, and colleges work hard to make themselves more appealing to specific students. The game is afoot.

To stand out from the crowd of applicants, students try to game the system. They take prep courses to improve their SAT scores; enroll in "easy" classes to get higher grades; search out exotic internships; and play sports or music, or master additional foreign languages -- not because they necessarily want to but because they believe they have to in order to look outstanding. This is an unfortunate outgrowth of an overwrought system.

And it should not be surprising to learn that schools also game the system by slicing and dicing their numbers in a fashion that makes them appear more appealing in one or more U.S. News category, and thus more attractive to potential students and their families.

But gaming the system and providing enhanced data are two entirely different things. The first is, as I said before, regrettable, and the later -- providing inflated information -- is "extremely regrettable." My mother would call it lying.

Americans love lists and rankings. And if a person can start out at the top, then all the better. For many people, scarcity breeds adoration: Everyone wants to go to Harvard because not everyone can go to Harvard (nor should they).

As Super Bowl season comes to a close, we will sneak up on March Madness. There is an inexplicable correlation between the NCAA Final Four participants and increases in applications to those four schools. Everyone loves a winner. This is parallel to product placement in TV shows or movies. See James Bond drive an Aston-Martin and perhaps you'll come in to the showroom for a test drive. See Duke play basketball and perhaps you'll come to campus to meet Coach K.

The rankings aren't going away. U.S. News & World Report has a highly profitable mare in its stable: The rankings are about making money. The business of U.S. News is to sell magazines -- online and in print. It is secondly about mission: providing consumers with a public service product in return for money.

Colleges must do a better job of educating applicants to the limits (and some values) of the rankings "racket." The public must remember that there is no 'best' college for any one student. After an hour's conversation, I'll give a student a list of 20 schools where he or she will (a) get an excellent education (b) have a wonderful time (c) be able to afford the tuition, and (d) graduate. And I'm pretty sure my list of 20 and U.S. News' list of 20 are not necessarily the same.

Is vichyssoise better than chicken soup with matzoh balls or just more satisfying to some people than to others? Frequently, it's a matter of taste more than nutrition.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Stephen Joel Trachtenberg.

@highlight

Stephen Trachtenberg: Magazine's college rankings are powerful

@highlight

One college submitted inflated data in order to enhance standing

@highlight

Trachtenberg: Americans love rankings; these aren't going away

@highlight

He notes there is no 'best' college for any one student