(CNN) -- The European Union forged a political agreement on Monday to list the military wing of Hezbollah as a terrorist organization, a European diplomat told CNN.

The Iranian-backed Lebanese Shiite group, which is a strong force in Lebanese politics, already is regarded as a terrorist organization by the United States and Israel.

Hezbollah leader acknowledges fighters' presence in Syria town

There had been political pressure to put the entire group on the terror list amid developments in Bulgaria and Cyprus. The designation would put asset freezes on Hezbollah entities.

"Legal details need to be worked on in the coming days," the diplomat said.

The Bulgarians cited evidence that Hezbollah's military wing was involved in a terrorist attack last year that killed five Israeli tourists and a Bulgarian bus driver.

In Cyprus this year, a court found a Hezbollah member guilty of assisting in the planning of an attack on Israel. Lately, its fighters have sided with Syrian President Bashar al-Assad in that country's civil war.

Terrorism at a moment of transition

The European Union agreed to target just the military component, the diplomat said. Critics of such an approach say designating part of an entity isn't effective or practical.

Israeli Justice Minister Tzipi Livni's spokeswoman called the decision "correct and just," adding that it "puts an end to the wrong argument" that Hezbollah's military activities are absolved by the group's political status.

"Even if Hezbollah is a political party, that does not whitewash and make legitimate their terrorist activities," the spokeswoman said.

Positive reaction

U.S. Secretary of State John Kerry said the move "will have a significant impact on Hezbollah's ability to operate freely in Europe by enabling European law enforcement agencies to crack down on Hezbollah's fundraising, logistical activity and terrorist plotting."

"As Hezbollah has deepened its support for the brutal Assad regime and worked to expand its global reach through increased involvement in international criminal schemes and terrorist plots around the world, a growing number of governments are recognizing Hezbollah as the dangerous and destabilizing terrorist organization that it is," Kerry said.

"We call on other governments to follow the EU's lead and to take steps to begin reining in Hezbollah's terrorist and criminal activities."

White House spokesman Jay Carney cited Hezbollah's support for the al-Assad regime in Syria.

"The United States is proud to stand with the European Union on this front," Carney said.

British Foreign Secretary William Hague said the agreement sends "a clear message" that the European Union "stands united against terrorism."

"It shows that no organization can carry out terrorist acts on European soil, such as the appalling attack in Bulgaria one year ago, without facing the consequences. European nations have rightly come together in response," he said.

U.S. Sen. Robert Menendez, the New Jersey Democrat who chairs the Senate Foreign Relations Committee, praised the EU move, noting the Bulgarian and Cyprus developments and Hezbollah's role in Syria underscore its terrorist identity.

"While I believe that the entire Hezbollah organization unabashedly qualifies for a place on the European Union list of terrorist organizations, today's decision will send a clear message to Hezbollah, and to their primary backer Iran, that Europe is not a safe haven for terrorists," Menendez said.

Donilon: Hezbollah not 'responsible political actor'

Hezbollah was formed after Israel invaded Lebanon in 1982 to go after the Palestine Liberation Organization and has been accused of high-profile terror attacks over the years.

Opinion: Time for G8 to make Hezbollah statement

"Hezbollah first gained notoriety in 1983 after it bombed the United States Embassy in Beirut -- an attack that killed 63 people. Shortly thereafter, Hezbollah bombed the American and French Marine Barracks in Beirut, killing 241 Americans and 58 French service members with one of the largest explosive devices ever detonated during a terrorist attack," Tom Donilon, President Barack Obama's former national security adviser, wrote in a New York Times column this year.

"Throughout the 1980s and 1990s, the group conducted kidnappings and airplane hijackings, two bombings in Buenos Aires, several in Paris and an attempted bombing in Bangkok. In 1996, it assisted in the Khobar Towers attack in Saudi Arabia, which killed 19 Americans. Thanks to this bloody record, in 1997 Hezbollah was among the first groups added to the State Department's list of foreign terrorist organizations."

Donilon said the group has tried to portray itself as a political entity focused on social services and defending the country.

"But it is an illusion to speak of Hezbollah as a responsible political actor. Hezbollah remains a terrorist organization and a destabilizing force across the Middle East," he said.

Renewed Israeli-Palestinian talks planned

The latest EU move comes amid two diplomatic developments last week: its own intention to ban funding to Israeli entities in the West Bank and East Jerusalem, and serious diplomatic wrangling over peace in the Middle East.

Kerry is working to bring Israelis and Palestinians together for peace talks.

Opinion: Europe, name Hezbollah in terror

EU foreign policy chief Catherine Ashton noted that the European Union published a document reiterating "the long-held position that bilateral agreements with Israel do not cover the territory that came under Israel's administration in June 1967."

The move prompted criticism out of Israel and from some U.S. lawmakers, who called it "counterproductive."

She said the "specific provisions" of the guidelines covering Israel-EU "funding instruments" won't be implemented before January 1.

"This is meant to clarify the EU's position in advance of negotiations of agreements with Israel during the forthcoming financial perspective commencing in 2014. In no way will this prejudge the outcome of peace negotiations between Israelis and Palestinians. It has been the EU's long-held position that it will recognize changes made to the borders once agreed," Ashton said.

She said the European Union is "deeply committed" to peace negotiations.

Hezbollah has been a staunch opponent of Israel. The Jewish state and Hezbollah also fought a war in 2006 after the military group kidnapped and killed Israeli soldiers.

CNN's Nick Paton Walsh reported from Beirut and CNN's Joe Sterling reported from Atlanta. CNN's Tom Cohen in Washington contributed to this report.

@highlight

NEW: White House says U.S. "proud to stand" with EU on the matter

@highlight

This comes amid a new initiative for Israeli and Palestinian talks

@highlight

Hezbollah has been supporting Syria's Bashar al-Assad

@highlight

Israel's justice minister calls the decision "correct and just"