BAGHDAD, Iraq (CNN) -- Five U.S. contractors detained inside Baghdad's Green Zone now face the Iraqi judicial system, which critics say is rife with problems.

The case of five Americans detained in Iraq is likely to be handled by the Central Criminal Court of Iraq.

The five were taken into custody early Wednesday in connection with the killing of another American contractor, James Kitterman, according to an Iraqi official involved in the investigation and another source with knowledge of the case.

As of Monday, none of the five had been charged. However, under the Iraqi system of justice, they would not be charged until after an investigative judge examines the evidence and decides whether to refer the case to court for trial.

The men appeared before an investigative judge Sunday and Monday and will appear again Tuesday, Iraqi government spokesman Ali al-Dabbagh told CNN.

They were told to expect a decision Tuesday on whether they would be freed or stand trial, a source close to the suspects told CNN.

Under Iraqi law, an investigative judge is assigned to a case when a person is detained. The judge questions the accused, takes statements, and examines and assesses evidence to build a case. The judge also can ask for additional investigators.

The law says that detainees must meet with the judge within 24 hours of being detained. However, the current strain on the criminal justice system -- a large number of detainees and a shortage of judges -- means that in reality, the meeting rarely takes place within a day.

A murder charge carries a potential death penalty in Iraq, and suspects can be detained indefinitely, according to the law -- "as long as necessary for the investigation to proceed until the examining magistrate or criminal court issues a decision on the case on completion of the preliminary or judicial investigation or the trial." Many Iraqi detainees are held for long periods without charges.

Once the investigation is complete, the case can be dismissed if the judge decides the evidence against a suspect is insufficient. If the judge deems the evidence strong enough, the judge refers the case to the trial chamber of the court. The chamber can accept the case or send it back for further investigation.

If the chamber accepts the case, a three-judge panel is assembled for trial and charges the suspect. In the Iraqi legal system, as in several other countries, jury trials do not exist. But as in most systems, the accused have a right to defense attorneys and attorneys are appointed for them if necessary.

Cases like these would be handled by the Central Criminal Court of Iraq. The court has recently come under fire from Human Rights Watch, which in a report issued in December said the court "is seriously failing to meet international standards of due process and fair trials."

Defendants are detained for long periods before trial with no judicial review, according to the human rights organization, and "are not able to pursue a meaningful defense or challenge evidence against them. Abuse in detention, typically with the aim of extracting confessions, appears common." In addition, defendants sometimes have substandard counsel, and the court frequently relies "on the testimony of secret informants and confessions likely to have been extracted under duress."

In addition, the United Nations last month urged Iraq to impose a moratorium on the death penalty, saying its justice system could not guarantee fair trials.

Iraqi Interior Ministry spokesman Abdul Karim Khalaf, however, told CNN that if the evidence against the men warrants it, they will receive a fair trial and will have the right to defend themselves with "as many lawyers as they like," either Iraqis or Americans.

Those convicted of murder are executed by hanging. Death sentences, as well as sentences of life in prison, are automatically appealed.

CNN's Mohammed Tawfeeq contributed to this report.

@highlight

Five detained American contractors appear in Iraqi court Monday, official says

@highlight

None has been charged; in Iraqi system, judge will decide whether case goes to trial

@highlight

Critics say Iraqi court system fails to provide "due process and fair trials"

@highlight

The five are being held in connection with death of another contractor, sources say