(CNN) -- As millions of Iranians cast their ballots Friday in the Islamic Republic of Iran, Iranian-Americans in the U.S. are also turning out in record numbers to vote.

Iranian-Americans say they are excited about the election being held in Iran on Friday.

"I am passionate about voting because of my bloodline," said 26-year-old Los Angeles, CA resident Shahdad Kelishadi.

"Even though I am not in Iran, my heart never left Iran, and it is my duty to help Iranians in any way possible if it will bring positive results to the country," added Kelishadi.

From New York to California, there are 41 designated voting locations in cities across the country where Iranians citizens can cast their absentee ballots and participate in this democratic process.

In order to vote, Iranian citizens living in the United States or those who are dual citizens must be over the age of 18 and present a valid Iranian passport.

Many young people both in and outside of Iran's borders have played an instrumental role in mobilizing masses of Iranians, encouraging them to get involved in the dialogue around Friday's presidential election.

"For most of us, part of our identity is back in Iran. We want to know that we've done something to make a difference," said Kiana Karimi, an industrial design student at the Academy of Art University in San Francisco, California.

And making a difference they are. In addition to using their savvy technical skills to fuel their political enthusiasm on sites such as Facebook, Twitter and YouTube, young Iranian-Americans are also taking a grassroots approach to reach members of their local Iranian communities.

"E-mails, phone calls, word of mouth. We are contacting people who want to help Iran to come out and vote on Friday," said Kelishadi, who is also the publisher of the Middle Eastern magazine "Coexistence."

Born in Los Angeles, California, Shahdad -- like many other Iranian-Americans who grew up in America -- hopes that with a new president, the international world will begin to look at Iran and Iranians in a more positive light.

"I am passionate to get the word out," said Ehsan Zahedani, a 27-year-old UCLA student and president of the organization Iranian Future Leaders.

"It's time to take action and participate actively in the government that makes decisions that affect my life and my image in the world," added Zahedani.

Events in Iran leading up to the 1979 Islamic Revolution left a professional, personal and political scar on many Iranian-Americans. Three decades later, they are still at a cultural crossroad. While these Iranian-American youth want to express their national pride and hold on to their ancestral heritage, they also seek to redefine their social image apart from the rhetoric of the Islamic Republic of Iran.

"In the 1970s you had a lot of political activism against the shah, by the students who were here in the U.S.. But then after the hostage crisis, the Iranian-American community took an extremely low profile as tensions between the United States and Iran increased," said Dr. Trita Parsi, president of the North American Iranian Council.

"It wasn't terribly uncommon that people changed their names to John and Mo and remained extremely low key about their Iranian background," said Parsi.

Though Iranian-Americans have historically excelled in business, academia and the sciences, they have traditionally shied away from participating in American politics or other civic activities.

In 1997, reformist Mohammed Khatami came into power in Iran. He presented a completely different image of Iran, which gave the Iranian-American community hope that perhaps some change was possible.

When the Iranian-American community came under scrutiny after the 9/11 terrorist attacks, despite having no ties to the tragedy, many realized that the strategy of keeping a low political profile was backfiring. Since then, there has been a gradually increasing pace of political participation, said Parsi.

According to the 2000 Census and other independent surveys, there are an estimated 1 million Iranian-Americans living in the U.S., with the largest concentration -- about 72,000 people -- being in Los Angeles. Other large communities include New York; New Jersey; Washington, D.C.; Seattle, Washington; and Houston, Texas.

"What we are witnessing is a sea change in Iranian political culture and political discourse that cannot be ignored if [incumbent Iranian President Mahmoud] Ahmadinejad comes to power, nor should it be too expecting of massive changes if [challenger Mir Hossein] Moussavi comes into power," said Dr. Hamid Dabashi, professor of Iranian Studies and Comparative Literature at Columbia University in New York City.

Every four years the Iranian electorate ups the ante, Dabashi said. Should Ahmadinejad be re-elected, he cannot ignore this massive outpouring, defiance, and condemnation of his policies, added Dabashi.  Watch how high turnout could affect the election »

Still, many Iranians living in America remain hopeful that Iranian-American relations can improve under the Obama administration, seeing Friday's election as an opportunity for progress.

"There has been a change in tone by the American government and I think the Iranian government acknowledges this change. I do believe that with President Obama in office, great change could take place in bettering relations," said Pouneh Behin, a prospective voter and a recent graduate of UCLA.

But not all Iranian-Americans hold the same sentiments.

"I fully respect anyone who wants to vote, but I don't believe in this election, so I am not going to vote," said Dr. Ali Nayeri, professor of theoretical physics at the University of California at Irvine.

Nayeri identifies himself as a national secularist. His neutral stance should not be mistaken for indifference, he said. But he adds that none of the four candidates -- Ahmadinejad, Moussavi, Mohsen Rezaie or Mehdi Karrubi -- are in a position to make the appropriate transition that Iran needs in moving into the future.

"When it comes to addressing issues such as Iran's nuclear program or Iranian-American relations, I do not expect to see any drastic changes since the majority of the power in the Islamic Republic of Iran rests in the hands of the supreme leader, Ayatollah Ali Khamenei," said Nayeri.

As dictated by the Iranian constitution, at any given time the elected president holds roughly 20 percent to 25 percent of the political power, added Nayeri. iReport.com: Moussavi supporters fill Tehran streets

Yet other Iranian-Americans voters say that despite the potential political changes they anticipate seeing in the next four years, the memories of the Iran they grew up in might only remain a dream in their mind's eye.

"The Iranian culture that I remember may not exist there anymore," said Dr. Mitra Sioshansi, a retired Chrysler engineer who has hopes of one day visiting Iran after leaving 28 years ago.

But Sioshansi, like many other Iranian women, is optimistic that the increasing involvement of women in Iranian politics will be instrumental in initiating a change both internally and abroad.  Watch how women could influence Iran voting »

Whether they decide to vote or not, Iranian-Americans will be anxiously waiting to see where the fate of their country lies after Friday's elections.

"Whatever political position we may have, be it for the Islamic Republic, Moussavi or Ahmadinejad, we have to recognize the extraordinary grassroots origin of this democratic movement," said Dabashi.

"We should celebrate it and be happy to have come from a country that is capable of this incessant march toward democratic ideals," he added.

@highlight

Thousands of Iranian-Americans in the U.S. cast their absentee ballots

@highlight

Iranian-American youth use social networking sites to spur voting

@highlight

There are an estimated 1 million Iranian-Americans living in the U.S.

@highlight

Iranian-Americans anxiously wait to see direction their homeland will take