Washington (CNN) -- Karl Rove, often described as President George W. Bush's brain, defended the former president in a new book against claims that he lied to the American public in order to invade Iraq in 2003.

"[D]id Bush lie us into war? Absolutely not," Rove wrote in his 516-page book, "Courage and Consequence: My Life as a Conservative in the Fight."

The book highlights Rove's life and career and his time working for Bush.

Rove, a long-time political advisor who joined Bush in the White House after the 2000 campaign, said the U.S. wouldn't have gone to war with Iraq if the administration knew that weapons of mass destruction wouldn't be found.

"Would the Iraq War have occurred without WMD? I doubt it," he wrote. "Congress was very unlikely to have supported the use-of-force resolution without the threat of WMD. The Bush administration itself would probably have sought other ways to constrain Saddam, bring about regime change, and deal with Iraq's horrendous human rights violations."

Iraqi leader Saddam Hussein, Rove argued, may have destroyed most of his WMD stockpiles or possibly moved them to other countries such as Syria before the war.

"But I am under no illusions; the failure to find stockpiles of WMD did great damage to the administration's credibility," he wrote. "Our weak response in defense of the president and in setting the record straight, is, I believe, one of the biggest mistakes of the Bush years."

He goes on to say, "So who was responsible for the failure to respond? I was. I should have stepped forward, rung the warning bell, and pressed for full-scale response. I didn't."

Enhanced Interrogation

Rove discusses the Bush administration's support for the controversial interrogation technique known as waterboarding, which Democrats and others have described as torture.

He defends the use of enhanced interrogation techniques (EITs), arguing they were authorized by the Department of Justice in August 2002 and signed off by then-CIA director George Tenet. He also disputes claims that the administration failed to brief members of Congress on the use of these techniques.

"When these techniques were first authorized, Democratic leaders had been briefed about them. Their silence made them complicit in their use," he wrote. "Nonetheless, when political winds shifted and memories of 9/11 faded, some Democratic leaders claimed that they had never been told about the techniques and that the Bush administration used EITs only in secret."

He singled out House Speaker Nancy Pelosi, D-California, who charged in July 2009 that the CIA misled Congress in a secret briefing she received in 2002. Pelosi said the CIA failed to inform her and others at the briefing about harsh interrogation techniques being used on terrorism suspects.

The CIA responded by saying Pelosi was told about the harsh techniques, including waterboarding, at the classified 2002 briefing.

As for whether the techniques were actually torture, Rove says the president "never authorized torture," but rather "did just the opposite" by making sure the techniques "did not cross the legal line into torture."

"What's more, EITs did help our intelligence agents gather critical information to thwart future attacks," he added.

Hurricane Katrina

Bush and his administration have been criticized for their response to Hurricane Katrina, which devastated much of the Gulf Coast in 2005. One incident Rove addresses in the book involves Bush flying over Louisiana in Air Force One rather than landing and surveying the damage.

Rove says he was "one of the people responsible for this mistake," and argued that the president shouldn't land in New Orleans in the immediate aftermath so as not to hinder relief efforts, but rather come back days later.

Rove notes that while the decision did not help out Bush politically, it was the right thing to do so as not to take away vital resources that were needed for the relief effort.

Bush DUI

Rove cites a particularly touchy subject that emerged during the 2000 presidential campaign: Bush's 1976 arrest for driving while under the influence of alcohol. Rove said that while Bush told a few people about it,  including himself, the governor didn't want it to be made public.

The DUI disclosure, which came out shortly before Election Day, was "suspicious," Rove says. He points a finger at Vice President Al Gore's campaign spokesman, Chris Lehane, as a possible source of the information getting out.

"[W]e had our suspicions and they centered on Lehane," Rove writes. "He had been raised in Kennebunk, was one of the Democratic Party's best opposition researchers, had run the Maine campaign for Clinton-Gore, worked on the White House rapid-response team handling scandals during the Clinton years, played around in Maine Democratic politics ..."

Cheney as a running mate

Dick Cheney, a Defense Secretary under President George H.W. Bush and former Wyoming congressman, was tasked to help then-candidate Bush picking a running mate.

Some of the potential running mates that Bush and his campaign considered included former Sen. John Danforth of Missouri, former Gov. Lamar Alexander of Tennessee, along with Sens. Jon Kyl of Arizona and Chuck Hagel of Nebraska, among others.

But it would be Cheney's name that would resonate with Bush at the time. Rove says the governor was "starting to feel that Cheney was as good as any" to fill the role.

"Bush had become impressed with Cheney's thoroughness as head of the VP search and the intelligence and insights he offered in meetings ... Bush liked Cheney's straightforward manner and his ability to question the fundamental premise of an argument," Rove writes.

Rove also confronts rumors in the book that Cheney picked himself, saying that accusation is "far-fetched."

"I saw the man squirm as Bush pressed him to accept," he wrote.

Valerie Plame

Rove writes that the low point for him personally during the Bush presidency was when reporters were camped out at his home and he faced a possible indictment over leaking CIA operative Valerie Plame's name to the media -- an accusation he denies in the book.

Upon finding out that prosecutor Patrick Fitzgerald was not likely to charge him, he says he "placed the receiver in its cradle and wept."

John Edwards

Rove also wrote that he was most worried in the 2004 re-election campaign about then-Sen. John Edwards, who unsuccessfully sought the Democratic presidential nomination that year.

"He was a fresh face, articulate and engaging, and attractive to the point of being almost too pretty," Rove wrote. "He was a product of the South, which had helped Bill Clinton a dozen years before."

But Rove also charged that Edwards was unprincipled, flip-flopped on issues and was somewhat vain.

"Edwards also seemed inordinately in love with his looks, his voice, with himself," Rove said.

Rove's memoir goes beyond the Bush years, his criticism of the media and Democrats. He also takes readers back to his childhood and opens up about how he dealt with his mother's suicide.

@highlight

In new book, Karl Rove says U.S. would not have gone to war if WMDs wouldn't be found

@highlight

Rove defends use of enhanced interrogation techniques, claims they prevented terror attacks

@highlight

Rove opens up about Bush's response to Hurricane Katrina, Dick Cheney