(CNN) -- How big a threat do foreign fighters in Syria and Iraq pose to the West? It's a question that has been much on the mind of policymakers and commentators, especially since U.S. President Barack Obama announced the United States was ramping up its military role in the region. Will such fighters return with dangerous new skills and experience that they are determined to use against their home country? Or is the potential threat by these fighters overhyped?

The answer depends on what the Islamic State of Iraq and Syria decides to do with them. So far, jihadi groups in Syria have not been sending foreign fighters on attack missions in the West in any sort of systematic way. But if the group decides to "weaponize" its fighters, we will have a much bigger problem on our hands.

Since 2011, around 3,000 Western Muslims have gone to Syria, where many have joined the most radical elements of the insurgency. And there is no question that some of these individuals will pose a terrorist threat when they return. We know this because it has already happened -- Syria veterans are suspected of involvement in one successful and at least six unsuccessful alleged attacks in Europe and Australia over the past year.

Yet there is no reason to expect all -- or even a majority -- of these people to try to attack us in the future. During my research, I have found that of all Western Muslims who joined conflict zones before 2011, no more than one in nine moved on to terrorism in the West. In fact, this estimate is probably at the high end -- the real historical average may be closer to one in 15 or 20.

This suggests that the more helpful question is therefore not whether the foreign fighters in Syria are a threat, but what proportion of them will be.

Can we not simply assume that somewhere between one in nine or one in 20 of the fighters in Syria will become terrorists, and try to plan accordingly? Unfortunately, it's not that simple because the "blowback rate" -- the proportion of outgoing fighters who later return to attack -- varies significantly between destinations.

Take the conflict in Somalia, for example, which attracted hundreds of Western foreign fighters in the previous decade, but produced few attacking returnees. In contrast, of those who went to Afghanistan and Pakistan in the same period, a substantial proportion plotted attacks on their return.

So, how can we determine whether Syria will produce foreign fighters that are more like Somalia or more like Afghanistan and Pakistan in terms of blowback?

It largely depends on whether you have a group in the theater of conflict that strategically targets the West. For example, the Afghanistan-Pakistan area has a high blowback rate because it is home to the so-called al Qaeda Central, a group whose sole preoccupation is to mount attacks in the West. Al Qaeda excelled at taking foreign fighters who had come to fight with the Taliban and persuading them to undertake attacks in Europe or the United States instead.

Most other jihadi groups, even al Qaeda's own affiliates, are not equally invested in this strategy. True, they all spout anti-American rhetoric and may even dabble in anti-Western extremist actions. But they invest the bulk of their resources in local operations.

And so far, that has been true of ISIS, too. Of course, if you look for anti-Western statements and links to potential international plots, you will find them. But these indications actually make up a small proportion of the group's overall ideological production and military operations. The fact is that there is little to suggest that ISIS has had a sustained and centrally directed global operations program.

This is one of the reasons why the blowback rate from Syria has so far been low, several plots notwithstanding. Six plots involving a total of, say, 10 or 20 Syria veterans make for a blowback rate of one in 150 or one in 300. Yes, it is still early in the conflict, and several plots may have gone unreported. But Syria is still looking like a low blowback foreign fighter destination.

There is, however, the question of whether Western intervention in Iraq and Syria will cause ISIS to go global. Certainly, the group has taken a more anti-Western posture over the past few months. It has repeatedly threatened to attack the United States, and it has beheaded American hostages in Syria.

In a noteworthy statement, for example, ISIS spokesman Abu Muhammad al-Adnani recently called on supporters worldwide to attack members of the coalition in any way possible. So we should not be surprised if ISIS embarks on a limited but sustained external operations effort, along the lines of al Qaeda in the Arabian Peninsula in Yemen, which combines a primarily local agenda with a small global side operation.

Ultimately, though, ISIS is unlikely to go all in on global operations the way al Qaeda Central has. The organization is not designed for that, and such a strategy is not compatible with its state-building ambitions. Besides, ISIS' threats have so far differed in tone from those of al Qaeda Central. Where the latter says, in effect, that "we're coming at you regardless," ISIS has basically been saying, "We'll come at you if you attack us." It's a somewhat more reluctant declaration of war.

None of this is to suggest that some foreign fighters in Syria won't come back and do bad things regardless of what ISIS' leaders choose to do -- they undoubtedly will. And it is also important to remember one more thing, namely that although the early signs suggest that the threat from foreign fighters returning is low, the potential for attacks is still there.

Indeed, if ISIS starts to "weaponize" its Western recruits in a strategic way, then the foreign fighter threat will take on a more significant -- and more deadly -- complexion than it has so far.

@highlight

Likelihood of foreign fighters planning attacks in West varies by where they were, writer says

@highlight

ISIS less interested in planning attacks overseas than al Qaeda, Thomas Hegghammer says

@highlight

ISIS is unlikely to go all in on global operations the way al Qaeda has, he says