LONDON, England (CNN) -- With every click of his camera, Japanese photographer and activist Shuuichi Endou hopes to draw attention to the plight of Tuvalu, a remote nation of people whose home is slowly disappearing.

Tuvalu is the world's fourth smallest country behind Vatican City, Monaco and Pacific Ocean neighbor Nauru.

He's taking 10,000 photos, one of each person who lives there, to show the world the human face of climate change.

"Tuvaluans do not ask much, neither goods nor money," he says.

"In Japan, people sacrifice their time and life to get more goods and money. I hope the viewers see the contrast by looking at the photos. We're sacrificing peaceful Tuvalu."

At first glance, Tuvalu is an island paradise, 26 square kilometers of white sand and lush foliage in the Pacific Ocean, north of Fiji.

But the sea level is rising, so much so that the nation's water has become too salty to drink and to grow vegetables, especially taro, a vegetable that was once the island's staple food.

"As they don't have water and food, they began to import food from overseas, says Endou, who set up the NGO Tuvalu Overview to highlight their cause.

"As they began to import, their consumption has been increasing. As a result, more and more products began to be imported. This changed Tuvaluans' diet and increased the amount of waste."

A global appeal

Tuvalu's government considers the situation so urgent it has allocated some of the nation's meager budget to pay for its own permanent ambassador to the United Nations in New York.

Afelee Pita took up the job in December 2006 and within months had given perhaps the most important speech ever made by a Tuvaluan: an address to a Special Session of the United Nations Security Council on Energy, Climate and Security.

"That was my very first statement that I issued and it was also a challenging one because it had never been done before, particularly at that level at the Security Council," Pita says.

He told the assembled dignitaries: "The world has moved from a global threat once called the Cold War, to what now should be considered the 'Warming War'. Our conflict is not with guns and missiles but with weapons from everyday lives -- chimney stacks and exhaust pipes." click here for the full speech

New York is a long way from home for the native Tuvaluan.

Back on the island he'd be more likely to go for an early morning canoe ride than negotiate thousands of commuters on the subway.

"Living in New York is totally different compared to where we come from. Life is not that easy of course. You have so many strangers. At home, you know everybody [and] whatever you do everybody knows," he laughs.

Securing a future

While he'd much rather be at home -- "Definitely there's nothing like home" -- Pita feels that his time in New York is vital in helping to secure the future of the islands.

"My ultimate objective is to contribute as much as I can in terms of trying to establish relations with as many member states in the UN as possible, and more importantly to secure some sort of commitment from the international community in terms of development projects and any kind of assistance they can provide to us."

The Tuvalu nation wants to invest in renewable energy projects, to reduce the island's own reliance on fossil fuels for energy.

"Sometimes you have to clean your own house first before you look outside," Pita says.

In English, Tuvalu means "eight standing together". On the issue of climate change, Tuvalu hopes the world will stand together with them.

"To me it's not an easy issue to solve, particularly in terms of trying to get the commitment of rich countries," Pita says.

"I can, of course, understand their reasoning and how they look at the issue but I think what we need to do is to continue raising our concerns and hopefully one day the community will listen and try to commit something."

@highlight

Pacific nation Tuvalu feeling the effects of climate change, sea level rising fast

@highlight

Japanese activist drawing attention to its plight by taking photos of islanders

@highlight

Tuvalu sent its own ambassador to the United Nations to raise awareness

@highlight

Island nation seeking aid to invest in renewable energy, infrastructure