(CNN) -- Can beauty be defined by age, gender, color, body shape or size? Who gets to decide?

Multibillion-dollar beauty and fashion industries both shape and depend on the cult-like worship of what physical attributes the public sees as beautiful. And most women feel the effects of those decisions.

The photo exhibition "Beauty Culture" at the Annenberg Space for Photography in Los Angeles, with 175 pictures by iconic photographers, is aimed at starting people thinking and talking about female beauty. It also peeks into the underbelly of the beauty industry, including its relation to celebrity, plastic surgery, the faux-perfection of airbrushing of advertising and even child beauty pageants.

There are a lot of hot-button issues as to how the media and the beauty and fashion worlds depict whole groups of people, why they show them in a particular way or barely notice them at all.

However, there's been a major shift when it comes to diversity in beauty advertising and magazine beauty editorial spreads.

Supermodel Veronica Webb, L'Oreal's corporate diversity director Jean-Claude Le Grand, fashion insider Bethann Hardison, Marie Claire's beauty editor Erin Flaherty and others share their thoughts on the evolving and increasingly inclusive take on gorgeousness.

America's changing definition of beautiful

Several studies suggest that many equate beauty with symmetry, but even within that equation, "Each time has its own standard (of beauty)," said photographer Melvin Sokolsky during his lecture at the Annenberg.

View more than 30 former Miss USA Pageant queens

A photographer, an editor or a casting director may be subject to his or her personal predilections of what beauty is and foist them upon the public, leading entire societal likes and dislikes to shift, too.

And that standard in America is changing rapidly. Today, the number of marriages between people of different ethnicities is surging. Back in 1993, Time magazine's cover story "The New Face of America," featuring a computer generated face consisting of a mix of several ethnicities, is indeed more in line with what most of us now consider beautiful, according to Allure's 20th Anniversary Beauty Survey. "Sixty-four percent of all our respondents think women of mixed race represent the epitome of beauty," the survey says.

And of those respondents who said they wished to change their skin color, "70% reported that they wanted it to be darker." Full lips and curvy bodies are also coveted.

That's a far cry from 1991 when most Allure respondents chose blonde haired, blue-eyed Christie Brinkley as the ideal beauty. The all-American look today is much more of a hybrid.

One model's story

Model, writer and television personality Veronica Webb (former co-host of "Tim Gunn's Guide to Style" on Bravo) experienced this transition from the front lines of the beauty industry.

Although Beverly Johnson was the first African-American on the cover of Vogue in 1974, Webb was the first African-American to win a major cosmetics campaign when she signed on with Revlon in 1992.

"For me personally it was like almost the impossible dream of the fashion industry," says Webb of her Revlon campaign. "The biggest reward, the most money you could make, the highest level of commercial validation. And you know a barrier -- a real barrier, a glass ceiling that existed forever -- got broken.

"And the ideal of beauty, and who represents beauty, and what beautiful is changed so quickly and so radically right after that, that by the time I had my children they can't even recognize the world of fashion and beauty that I came up in."

Webb says that in any business when you qualify and can perform on every level, "but you're rejected out of hand because of your skin color ... not even your skin color, but the perception of your 'race,' there's nothing more frustrating than that," says Webb.

But today there's a whole spectrum of women who've helmed beauty campaigns from blonde to brunette, from fair skinned to deep, including celebrities such as Jennifer Lopez, Beyoncé, Freida Pinto, Eva Mendes, Taylor Swift, Kerry Washington, Aishwarya Rai, Drew Barrymore, Gwen Stefani and models such as Liu Wen, Liya Kebede, Christy Turlington and Adriana Lima.

A global perspective = good business

Time has shown the beauty industry that embracing a world of beauty isn't just good karma, it's also good for the bottom line.

"For us, the more you are diverse, the more you are successful," says Le Grand. L'Oreal Group is the world's largest beauty company and includes 23 international brands, including L'Oreal Paris, Lancôme, Maybelline and Garnier.

If you are to be a leader, Le Grand says that you have to understand "there is a link between beauty and diversity." And that includes understanding the vision of beauty in places such as China, India, Africa and Europe as well the United States.

"If it's only one vision of beauty and not a diverse one, you are out. ... We have to reflect everyone from the model to the employee."

Flaherty, Marie Claire's beauty editor who also once worked at Jane, says that she's been lucky to work at magazines that are all about a global perspective, diversity and unusual beauty.

Diversity, of course, can be expresses a myriad of ways, be it featuring women with freckles, who are curvier or who are 45 and older.

An element in the beauty world that changed things, "was the Dove campaign," says Flaherty. "Using many different types of models and reflecting what women really look like."

The campaign's stated goal is to "free ourselves and the next generation from beauty stereotypes" and contribute to building self-esteem for young women and others through marketing campaigns featuring women of different shapes, sizes, ages and hues as well as partnering with groups such as the National Eating Disorders Information Center and the Girl Scouts.

Bethann Hardison has been a model, modeling agent and recently Vogue Italia editor-at-large.

"I'm an advocate of the fashion model," says Hardison, who laments models losing jobs to actors and singers.

But she does see big changes in advertising in that it better reflects American demographics.

Hardison points out that the beauty industry has a large consumer base, speaks to a broader group of people, and so is more democratic and shifts faster than the fashion world.

But as the global economy shifts, so too will fashion with the help of newspaper editors who call out inequities and magazine editors, casting directors, advertising agencies and designers committed to inclusiveness, as well as the public.

"The word beauty is such a controversial word," says Hardison. "I think that the more that there's exposure (of different kinds of looks), and as long as you expose them consistently, you give people a chance to see what could also be beautiful besides what came before."

The "Beauty Culture" exhibition opened May 21 and runs through November 27.

@highlight

The Beauty Culture exhibit opened in May at the Annenberg Space for Photography

@highlight

The exhibit looks at cultural ideals as well as American standards of beauty

@highlight

Looking at the global perspective for beauty is enlightening for everyone