(CNN) -- Humberto Leal Garcia Jr., a Mexican national convicted of raping and killing a 16-year-old girl in 1994, was executed by lethal injection Thursday evening in Texas.

The case's flurry of legal appeals and pleas for clemency were prompted by an international dispute over the rights of the foreign-born on American death rows.

The Supreme Court earlier denied a stay of execution for the convicted killer, despite opposition from the Obama administration and the Mexican government.

Leal was pronounced dead at 6:21 p.m. CT (7:21 p.m. ET), according to a corrections spokeswoman.

"I am sorry for everything I have done," Leal said at the Huntsville facility before he was executed. "I have hurt a lot of people. Let this be final and be done. I take the full blame for this."

Leal then shouted "Viva Mexico," followed by "I'm ready warden, let's get the show on the road."

His last meal consisted of fried chicken, pico de gallo, tacos, two colas and a bowl of fried okra.

What made Leal's conviction unusual was that he was not informed about his right to contact the Mexican consulate upon his arrest -- a right guaranteed under a binding international treaty. Leal's appellate lawyers argued such access could at the very least have kept Leal off death row.

Mexico strongly condemned the execution, saying it violated an International Court of Justice ruling ordering the United States to review capital convictions of Mexican nationals.

Leal, 38, was convicted of raping Adria Sauceda, a 16-year-old girl in San Antonio, and then fatally strangling and bludgeoning her with a 35-pound piece of asphalt in 1994.

The Supreme Court justices split 5-4 along conservative-liberal lines in denying a stay of execution. In an unsigned opinion by the majority, the court refused to delay the execution until Congress could pass pending legislation giving federal courts the authority to hear similar claims from foreign inmates.

"We decline to follow the United States' suggestion of granting a stay to allow Leal to bring a claim based on hypothetical legislation when it cannot even bring itself to say that his attempt to overturn his conviction has any prospect of success," said the majority.

In dissent, four justices led by Stephen Breyer urged a delay in moving ahead with Leal's execution. "It is difficult to see how the State's interest in the immediate execution of an individual convicted of capital murder 16 years ago can outweigh the considerations that support additional delay, perhaps only until the end of the summer," said Breyer, who was supported by Justices Ruth Bader Ginsburg, Sonia Sotomayor, and Elena Kagan.

Sandra Babcock, lead appellate attorney, said, "it is shameful that Mr. Leal will pay the price for our inaction. The need for congressional action to restore our reputation and protect our citizens is more urgent than ever."

"This case was not just about one Mexican national on death row in Texas," Babcock said in a statement. "The execution of Mr. Leal violates the United States' treaty commitments, threatens the nation's foreign policy interests, and undermines the safety of all Americans abroad."

The state's Board of Pardons and Parole ruled that Leal did not deserve to have his death sentence commuted to life in prison without parole.

The victim's mother, Rachel Terry, had called for the execution.

"A technicality doesn't give anyone a right to come to this country and rape, torture and murder anyone, in this case my daughter," she told CNN affiliate KSAT in San Antonio. Terry described her daughter as "a beautiful, bright, vibrant young woman, full of hope and aspirations."

"It's been difficult for myself and her family members," she added. "She certainly was taken away from us at a very young age. We just want closure."

Leal's lawyers argued the consulate access violation was more than a technicality. Babcock told CNN that Mexican officials would have ensured Leal had the most competent trial defense possible, if they had been able to speak with him right after his felony arrest.

"I think in most of these cases it was not a deliberate thing. Local police lack training" on the Vienna Convention, Babcock said, referring to the international agreement that includes consular access.

Leal's backers say he had learning disabilities and brain damage, and suffered from sexual abuse at the hands of his parish priest, and that consul officials would have assisted in such a defense. They say those factors should have been considered at the sentencing phase of the trial.

Leal claimed he did not learn of his consular access right until two years after his capital conviction. He said he learned of the right not from any official, but from a fellow prisoner.

Eventually, between 2010 and 2011, Leal was visited by a representative of the Mexican government more than 10 times, said Judy Garces, press relations spokeswoman with the Mexican Consulate in San Antonio.

The state argued that Leal -- who has lived in the United States since age 2 -- never revealed his Mexican citizenship at the time of arrest, and his defense team never raised the consular access issue at or before trial.

Prosecutors also said the evidence against him was indisputable. The victim was tortured, and a bite mark on her body was matched to Leal. A bloody shirt belonging to Sauceda was discovered at the suspect's home. The two had attended a party separately earlier that evening. The girl's nude body was found on a dirt road.

Leal was one of 40 Mexican citizens awaiting lethal injection in U.S. prisons.

The issue turned on what role each branch of government plays in giving force to international treaty obligations.

Three years ago, the Supreme Court justices concluded Texas could execute another Mexican man sentenced to death for murder. Jose Medellin was given a lethal injection by the state a few months later.

The question then and now is whether the state has to give in to a demand by the president that the prisoner be allowed new hearings and sentencing. In the 2008 case, President George W. Bush made that demand reluctantly after an international court concluded Medellin was improperly denied access to his consulate before his original prosecution, a violation of the treaty signed by the United States decades ago.

The Mexican government filed a supporting appeal with the high court in Washington this past week, asking the justices to block Leal's execution, citing Bush's previous executive action.

On Friday, the Obama administration asked Texas to delay the execution.

"This case implicates United States foreign policy interests of the highest order," including protecting U.S. citizens abroad and promoting good relations with other countries, new Solicitor General Donald Verrilli Jr. said.

Congress has also stepped in. Sen. Patrick Leahy, D-Vermont, chairman of the Judiciary Committee, introduced a bill in June to formally grant federal courts the power to review these kinds of appeals.

"This case is not an isolated instance; the issue of consular notification remains a serious diplomatic and legal concern," Leahy said Thursday.

Texas Republican Gov. Rick Perry's office countered that a federal appeals court had already given Leal the judicial scrutiny the Obama administration and the United Nations seek, ultimately rejecting his claims.

"If you commit the most heinous of crimes in Texas, you can expect to face the ultimate penalty under our laws," Katherine Cesinger, spokeswoman for the governor, told CNN. "Congress has had the opportunity to consider and pass legislation for the federal courts' review of such cases since 2008, and has not done so each time a bill was filed."

Ted Cruz, the state's former solicitor general who argued the 2008 Supreme Court case for Texas, said Leal waited too long to raise these issues.

"The question is not should a foreign national have the right to contact their consulate," Cruz told CNN. "The question is, years later, after they have been tried, after they have been convicted, after it has been clear like Humberto Leal that they are a vicious child rapist and murderer, should you come in and set aside that conviction. You can't come back years later and try and set aside your trial with some additional claim you wish you had raised."

Cruz is now running for the U.S. Senate as a Republican candidate.

The Supreme Court appeal is Leal v. Texas (11-5001).

Journalist Jocelyn Lane contributed to this report.

@highlight

NEW: Mexico condemns execution of Humberto Leal Garcia Jr. in Texas

@highlight

The U.S. Supreme Court denied a stay of execution

@highlight

Leal was not informed of his right to contact the Mexican consulate upon his arrest

@highlight

Obama administration officials and others asked for a reprieve