(CNN) -- For many years, I had a pretty good working definition of cool: It was the thing that I was not.

I was a chubby, bespectacled kid with a bowl haircut and my nose buried in the nearest book. When it came time to choose up sides for sports, they assigned me to the team with the best players — as a handicap. The cool kids came to school in Jordans and Polo. I rocked Keds and fake Sanrio T-shirts my aunts sent to us from Taiwan.

And that, of course, pointed to the biggest and most insurmountable obstacle standing in the way of my joining the ranks of the cool — the fact that I was one of just four Asian kids in my entire school, a tally that included my younger sister. The cool kids were all white, except for a handful of black and Latino athletes. My fellow Asian students, meanwhile, were to varying degrees just like me: We were seen as permanently different, always out of sync with the shifting tides of style and status. Not quite outcast, but never part of the in crowd either.

So when the phenomenon of Asian cool first arrived, I was caught off guard, and frankly, more than a little suspicious.

When I was in college, Japanese and Hong Kong pop culture were first catching fire at the fringes; they'd attracted plenty of enthusiasts, but those fans were no cooler than I was. (Possibly less cool.) By the time I was working as a young journalist, I found myself on a beat covering anime and action cinema, J-rock and Cantopop, gadgets and gaming — all things I was personally fascinated by, but couldn't quite believe had attracted the attention of the so-called mainstream. And I secretly thought that it couldn't last. The popularity of Asian pop culture was a fad, and like all fads would eventually fade.

I wasn't entirely wrong. After 1997 and reunification with mainland China, Hong Kong's star ebbed. Anime and manga remain hugely popular, but have lost the dominant position they once held among youth. Japan's once unassailable titans of technology — Sony, Panasonic, Toshiba — have seen their products fall out of place as the must-haves among mobile millennials.

And yet, even as Hong Kong and Japan have moved out of the centerpoint of cultural cool, another Asian nation has stepped into the spotlight: South Korea — the origin point of Samsung, "Snowpiercer," Girls Generation and "Gangnam Style."

The surging popularity of Korean pop culture can be seen in the booming attendance at KCON, the annual California-based gathering for fans of Korean music, TV and cinema, which opens its doors this weekend at the Los Angeles Memorial Sports Arena.

"Our numbers have doubled each year," says Angela Killoren, chief marketing officer of the event's organizer, the North American subsidiary of Korean entertainment giant CJ E&M. "We had 10,000 fans at the first KCON 2012, 20,000 in 2013, and expect 30, around 40,000 to 50,000 persons overall enjoying the KCON experience this year" — which includes the appearance of major TV drama stars, a head-to-head pro gaming throwdown, a talent contest called SuperstarKCON and a concert featuring chart-busting idols Girls Generation and G-Dragon as headliners.

But even if Korea is the king of pop-culture cool now, can Korea hold onto the crown better than its Asian predecessors? That's a question Euny Hong addresses in her new book, "The Birth of Korean Cool: How One Nation Is Conquering the World Through Pop Culture."

"I think it can," she says. "The difference between cool Korea and earlier Asian pop culture waves is that Korea has been working to make this happen for almost two decades. Korea is cool because it decided to be cool — it's the first country in history that has made being cool a massive policy priority, backed by the Korean government to the tune of billions of dollars."

The fact is, the machine of Korean pop culture is as sleekly designed, systematically engineered and massively marketed as any Samsung gadget. It's not just a gigantic money-making industry, it's also the primary source of "soft power" by which the nation seeks to shorten its path from war-torn, third-world country to the top ranks of world influencers.

"Koreans have a deep-seated desire to see the nation recognized and validated," Hong says. "We study harder than anyone in the world, we work more hours, and it's all because of this need to see us finally come on top."

Japanese cool is quirky, the sum of the nation's eccentricities. Hong Kong cool is frenetic, representative of the society's freewheeling striving spirit. American cool is casual: It's cool that's anchored in doing without trying, it's about being quintessentially effortless.

By contrast, Korean cool could not be more effort-ful. The hypnotic appeal of K-pop videos are not just their candy-colored, otherworldly aesthetic, it's also because their performers — sometimes numbering in the dozens — are invariably dancing in perfect sync, with a level of precision possible only because candidates for K-pop glory are recruited as adolescents and trained for years in groups that are required to live, take classes, eat, sleep and rehearse together until they've achieved a transcendent level of harmony.

It all underscores the fact that the rise of Korean cool was hardly an accident — and that it could well have staying power.

American pop is often seen by nations around the world as an invading force, crushing native alternatives with the unfair-to-the-point-of-being-weaponized scale of its marketing budgets. Korean cool, by contrast, is recognized as the product of hard work and ingenuity, developed by a nation that just a few generations ago was newly bisected by war and mired in desperate poverty. In the fastest-growing markets in the world — Southeast Asia, Latin America, Africa, the Middle East — K-pop is aspirational in part because it holds out hope that they, too, will someday be able to join the ranks of the global economy's cool kids.

Which means that lifelong nerds like myself might not be a completely lost cause, either. Back to practicing my precision dance routines.

@highlight

Jeff Yang: For many years, I was never one of the cool kids, part of the in crowd

@highlight

Yang: I was surprised when Japanese and Hong Kong pop culture became popular

@highlight

He says South Korea is now hot -- with K-pop, Samsung, "Gangnam Style," movies

@highlight

Yang: Latest Korean cool can be sampled at KCON this weekend in Los Angeles