Five years ago Monday, the Supreme Court dealt a devastating blow to a hardworking woman from Queens, New York.

Evelyn Coke, a single mother of five and immigrant from Jamaica, worked nearly every day for more than two decades in the homes of the elderly and the infirm, feeding, bathing, carrying them, administering their medications and tending to their needs.

Coke loved her work but grew unhappy that she was paid less than minimum wage and never for overtime. She often worked three consecutive 24-hour shifts, or more than 70 hours a week.  After many years of quietly taking it, she stood up and brought her case to court.

Her case went all the way to the nation's highest court.  On June 11, 2007, the Supreme Court unanimously decided that Coke -- and millions of home care workers like her -- are not protected by federal minimum wage and overtime laws, even if they're employed by for-profit home care agencies.

Why? Because through a legislative loophole, federal regulations exempt so-called "companions" from the basic labor protections that most everyone else takes for granted. It's up to the Labor Department to change the rules, the court said.

Coke passed away three years ago at age 74. Today, home care workers remain woefully underpaid. They're excluded from federal protections and covered by minimum wage or overtime laws in only 21 states. The average national wage of $9.40 per hour for this occupation means that one in five workers lives below the poverty line. In 34 states, the average hourly wages are low enough to qualify workers for public assistance.

The efforts of Coke and those who have carried forward her cause haven't been all for naught, however. The Labor Department is finally revising the rules so that all home care workers will be covered by federal wage and hour laws. But it's not a done deal, and lobbying from industry groups concerned about their profits could cause the new rules to be shelved.  That would be a shame and an injustice to everything for which Coke fought.

Today, low wages and long hours undermine home care work. Long hours can lead to worse care for patients as caregivers working 60- to 70-hour weeks face fatigue and stress in performing what is a hard job under any circumstances.  Studies have shown turnover rates among home care workers of between 44% and 65% per year, threatening continuity of care.

The agency Coke sued claimed it would suffer "tremendous and unsustainable losses" if made to pay overtime.  But such claims are belied by the fact that home care employers have managed to stay in business and are profitable in the 21 states that already mandate minimum wage or overtime pay, with no reported decline in the amount or the quality of care provided.

One of our nation's fastest-growing industries, home care work now employs roughly 2.5 million Americans and is expected to add another 1.3 million jobs by 2020 as demand for in-home care continues to rise.  By 2050, an estimated 27 million Americans will need direct home care. But unless working conditions improve, the industry will have a tough time recruiting new workers to replace its aging and often injured work force.

More Americans are living longer than ever before. Home care workers enable our elders -- parents and grandparents -- to stay in their homes and live independent lives. If we don't change the industry, we'll soon face a crisis that touches us all.

Coke didn't live long enough to see any reforms come to fruition. And the sad irony is that, after a lifetime of caring for others, when she needed care most as a result of kidney failure, she couldn't afford it.

Today, the best way we can honor Evelyn Coke's legacy --- and help our nation's well-being -- is by following through on the promise of new rules that will finally extend minimum wage and overtime protections to home care workers.

@highlight

Home care workers are not protected by federal minimum wage and overtime laws

@highlight

Catherine Ruckelshaus: The Labor Department must change the rules

@highlight

Demand for in-home care will continue to rise, she says

@highlight

Ruckelshaus: Unless we improve industry conditions, we won't have enough workers