They know your name, your phone number, where you live, your buying habits and, in many cases, what you are interested in buying -- sometimes even before you do.

Meet Acxiom, sometimes described as "the biggest company you've never heard of." But they've heard a lot about you.

Acxiom is one of the largest data-brokering firms in the world. It is just one of hundreds of companies who are peering into your personal life, collecting data that is generated from everything you do online, and much of what you do in the real world.

The company recorded $1.1 billion in sales last year offering "analytical services" on 144 million households. And that's just a fraction of the evolving -- some say loosely regulated -- big-data industry.  Data is now a $300 billion-a-year industry and employs 3 million people in the United States alone, according to the McKinsey Global Institute.

Acxiom Chief Executive Officer Scott Howe agreed to speak with CNN in his first television interview since taking the top job at the company a year ago.  The former Microsoft executive wants to "demystify" what companies like Acxiom do and how they collect information.

"Companies like Acxiom are trying to get intelligent about what you might be interested in and who you are. Such that we can deliver more relevant advertising to you, and we can deliver offers and products and services in which you might have interest," Howe told CNN. "All the information we collect and utilize is secure, appropriate, and legal."

Howe said Acxiom's clients range from small businesses to large Fortune 500 companies. He envisions "Big Data" companies helping consumers by helping to eliminate the spam that clogs our inboxes and the ads that clutter websites.

"I don't think there is a person in the world who wouldn't agree that data generates tremendous value for both people and for businesses," he said. Howe said he believes his company's marketing platform has a dramatic impact on the economy, both for consumers and for businesses.

"I get access to free content, relevant offers.  Advertising is more like education, all useful and relevant," Howe said. He said this detailed marketing information is critical in breathing success into business.

"We collect things like contact information, demographics and your preferences on things. And we'll aggregate that information to try to discern a picture of what people want," Howe explains.

Critics of data-brokering companies say that the average consumer has no idea that their intimate personal details are up for sale on these sites. They argue that having this information one click away could be a privacy risk.

"The other side of the coin is that important decisions are being made about you, the real you, based on the virtual 'you' that's made up of all this data," said Sarah Downey, a privacy analyst with Abine.com, an online-privacy company based in Boston. "Decisions like your credit score, your insurance rates, or even if you get a job. And these things are serious, they have serious import in people's lives and sometimes they are wrong."

There are hundreds of companies specializing in collecting marketing data and creating profiles of millions of consumers across the country. But unlike the national Do Not Call List, which gives consumers a one-stop location to have their telephone numbers removed from telemarketing databases, data marketing does not have a universal opt-out system.

Abine.com created a subscription service called "Delete Me" that removes people's information from the web. For $99 per year, they will coordinate to remove all of your information from data-broker sites. It's a tremendous amount of work because each data broker site has a different procedure to remove personal information: phone calls, e-mails, faxes, and/or certified letters. And many times these companies require users to submit more personal information just to opt out.

Don Jackson, a security researcher for Dell SecureWorks, warns that data mining could open the door to hacking, identity theft and stalking.

"I don't think anybody is being intentionally malicious, but from a security standpoint you want to know how the data is being used, Jackson said.    "That information becomes powerful at that point, and it can be misused. We have seen cases where just basic information, just very few pieces from social networks, can lead predators to potential victims, for example. That's a common scenario, actually."

Currently, there is no comprehensive federal regulation for data brokers. Last March, the Federal Trade Commission issued a report on protecting consumer privacy in which they recommended that Congress consider legislation overseeing online privacy, data security and breach notification, and data brokers.

President Barack Obama has said updates to U.S. laws are urgently needed to keep pace with the many threats that Americans face in cyberspace.  But the Senate's most recent cybersecurity legislation stalled this summer on a procedural vote.

Howe says Acxiom supports effective regulation, and that his was the first data-brokering company to employ a chief privacy officer. But "if regulation has unintended consequences, it can be really damaging to our economy," he said.

Clearly, the collection of big data is raising big questions. And even though Acxiom knows a lot about you, Howe isn't convinced you need to know a lot about them.

"Do people need to know who Acxiom is? I don't know. I withdrew money from the ATM this morning and I didn't know who made the ATM. But that didn't mean that I didn't trust I wasn't going to get my money," he said. "I think people are far more concerned with, 'does this generate value for them?'

"Is the world a better place due to data? I can't see there being any debate about the fact that data is good."

@highlight

Data is now a $300 billion-a-year industry and employs 3 million people in the U.S.

@highlight

Acxiom Chief Executive Officer Scott Howe agreed to speak with CNN

@highlight

Howe believes detailed marketing information helps breathe success into business

@highlight

Critics of data-brokering companies say they pose privacy risks