BAGHDAD, Iraq (CNN) -- Iraq's Anbar province -- once dominated by Sunni insurgents but now a bastion of tribal opposition against the militants -- will soon be run by the Iraqi military.

Iraqi soldiers will soon be responsible for running the once militant-riven province of Anbar.

The U.S. military said it would transfer security responsibility for Anbar this week to the Iraqi military, a bellwether event that illustrates what Iraq and the United States describe as a profound stride in their efforts to foster stability.

Anbar is the 10th of the 18 provinces where Iraqi forces have taken charge of security control since the U.S.-led invasion in 2003 and the first largely Sunni Arab province to do so. The other provinces to take charge are in the Shiite south and the Kurdish north.

"We have seen a dramatic increase in security there," said Rear Adm. Patrick Driscoll, Multi-National Forces spokesman, speaking to reporters in Baghdad on Sunday.

"I think that the trend now in Anbar is to move from the violent kinetic to the rebuilding process," he said.

Anbar province -- west of Baghdad -- is a vast territory where Iraq shares borders with Syria, Jordan, and Saudi Arabia.

Much of the region is desert, and most of the people there live in in the towns and cities -- such as Falluja and Ramadi -- along the Euphrates River.

Sunni Arabs, such as those in Anbar, became politically marginalized when the Shiites and Kurds took over the new Iraqi government from the toppled Hussein regime, which had been dominated by and was most amenable to Sunnis.

Many Sunni Arabs in Anbar became active in the insurgency, and foreign fighters made their way into Anbar via Syria.

As a result, the Euphrates River valley region was a hotbed of insurgent activity in the early years of the Iraq war.

U.S. Marines launched several offensives against the militants, including a large-scale push in late 2004 in Falluja. Al Qaeda in Iraq and other militants eventually developed a strong foothold in many towns.

Major changes occurred in Anbar over the last two years, however, with the emergence of the awakening, the grass-roots tribal movement that opposes al Qaeda in Iraq.

That movement aided efforts by the U.S. military and Iraqi security forces to fight al Qaeda in Iraq (AQI), and violence there has dropped dramatically in the last two years.

While Sunni tribes in Iraq were natural allies for the insurgency when it started in 2003, many locals eventually became disenchanted with what it regarded as al Qaeda in Iraq's brutality, corruption and hard-line enforcement of sharia law.

The tribal movement in Anbar has developed into a political force and has helped spawn another development: U.S.-backed Iraqi militias -- such as Sons of Iraq and Awakening Councils -- formed in the Sunni regions of Iraq over the last couple of years.

The Pentagon's June report to Congress on developments in Iraq said that in Anbar, the "average number of security incidents remained at five incidents per day over a 90-day period, accounting for less than 4 percent of the attacks in all of Iraq."

"This represents a 10-fold reduction compared to the summer of 2006 and is half of the rate of the last few months of 2007."

AQI "continues efforts to regain footholds" in the valley, the report said.

But the Sons of Iraq and U.S. and Iraqi troops "continue to hinder AQI's ability to obtain resources or operate effectively in population centers, forcing AQI to operate and conduct attacks from remote locations in the province."

At present, the other provinces that have transitioned to Iraqi security control are Duhuk, Irbil and Sulaimaniya in the Kurdish region, and Karbala, Najaf, Muthanna, Thiqar, Basra, and Maysan in the Shiite south.

The other province to change over to Iraqi security control this year is Qadisiya in the south.

@highlight

Iraqi military set to run the once militant-riven Anbar province

@highlight

U.S. military transferring responsibility for Anbar to Iraqi military this week

@highlight

Sunni tribes helped U.S. and Iraqi troops turn the tide against militants