New York (CNN) -- On the same day he was released from a hospital after undergoing a heart procedure, former President Clinton told reporters he has no plans to slow down.

"I have to keep working -- that's what my life is for," he said outside his home in Chappaqua, New York, on Friday. "You know I was given a good mind, a strong body, a wonderful life and it would be wrong for me not to work."

"I even did a couple of miles [walking] on the treadmill today," he said.

On Thursday, Clinton, 63, underwent a procedure at New York-Presbyterian Hospital's Columbia campus to implant two stents in a clogged coronary artery.

Clinton has "no evidence of heart attack or damage to his heart," and his prognosis is excellent after undergoing the procedure, according to Dr. Allan Schwartz, the hospital's chief of cardiology.

Schwartz said the procedure was "part of the natural history" of Clinton's treatment after his 2004 quadruple bypass surgery and "not a result of either his lifestyle or diet, both of which have been excellent."

Have you gone through heart surgery? Share your story.

Clinton called the procedure "kind of a repair job" and said he's "actually doing very well." He said he began feeling tired around Christmas and traveled several times in recent weeks to Europe and Haiti.

"I didn't really notice it until about four days ago when I felt a little bit of pain in my chest, and I thought I had to check it out," he said.

Earlier Friday, Clinton, the U.N. special envoy for Haiti, issued a statement marking the passing of one month since a massive earthquake devastated the impoverished nation. He also has visited the island nation twice since the earthquake, a fact he noted on Friday.

"I will continue to work with the Haitian government and people, international donors and multilateral organizations, the Haitian Diaspora, NGOs [nongovernmental organizations], and the international business community to fulfill unmet needs," Clinton said in the statement, released Friday.

"Haiti still has a chance to escape the chains of the past and the ruins of the earthquake," he said. "But we all will have to do what we can today."

Clinton said he had helped collect 200,000 donations for Haiti through his partnership with former President George W. Bush -- the Clinton Bush Haiti Fund -- and through the Clinton Foundation Haiti Relief Fund, calling those efforts "especially impressive." He said he has helped allocate $7 million in relief.

The 7.0-magnitude quake of January 12 leveled most of Port-au-Prince, Haiti's capital, killing more than 212,000 people and injuring 300,000, according to Haitian government estimates. It left more than a million homeless.

Clinton underwent a procedure called angioplasty, the hospital said, in which a balloon catheter is threaded through an artery to the blocked vessel in the heart. When inflated, the balloon opens the vessel and restores blood flow. Many times, a scaffolding-like structure called a stent is left in place to keep the artery open.

How stents open arteries

President Obama called Clinton on Thursday evening and wished him a speedy recovery so he can continue his work on Haiti and other humanitarian efforts, a senior administration official said.

Schwartz said Clinton began experiencing "pressure or constriction" in his chest several days ago, episodes he described as "brief in nature but repetitive."

An initial electrocardiogram and blood test showed no evidence of heart attack, Schwartz said. Subsequent pictures of Clinton's arteries revealed that one of the bypass grafts from his 2004 surgery was "completely blocked," prompting the stent procedure, which took about an hour, Schwartz said.

Schwartz said Clinton was up and walking about two hours after the surgery.

Clinton's daughter, Chelsea, and his wife, Secretary of State Hillary Clinton, were with him at the hospital Thursday night, Schwartz said.

Hillary Clinton was scheduled to leave Friday on a planned trip to the Middle East, but her departure has been delayed until Saturday, a senior U.S. official said.

Bill Clinton has maintained an active schedule since leaving the White House in 2001, devoting much of his time to global philanthropic interests and speeches.

Friends have expressed concerns that his "frenetic pace" was taking a toll on his health, sources told CNN.

Clinton maintained that frenetic schedule all the way up to the surgery, said Terry McAuliffe, a longtime Clinton friend and former chairman of the Democratic National Committee.

In fact, as doctors were wheeling Clinton into the operating room, Clinton's phone had to be taken out of his hand, said McAuliffe.

"He was on a conference call dealing with Haiti," McAuliffe told CNN Friday morning. "And I guarantee as soon as he gets back today he's going to be back on the phone. He's passionate about helping the folks down there."

In addition to his trips to Haiti, Clinton attended the World Economic Forum in Davos, Switzerland, in January.

David Gergen, CNN senior political analyst, said Clinton was exhausted and had a cold after returning from his second trip to Haiti earlier this month.

But Schwartz stressed Thursday that Clinton's lifestyle has nothing to do with his hospitalization.

"He has really toed the line in terms of both diet and exercise," Schwartz said, adding that he told Clinton he could be back in the office Monday.

Dr. Spencer King, who has not treated Clinton, rejected as outdated suggestions that the former president needs to slow down.

"This is kind of a '50s concept," he said Thursday. "Now we've got a lot of fantastic ways to prevent progression of heart disease -- medications, things that can be done. The outlook for people is totally different."

"If he slows down, he slows down," said King, president of St. Joseph's Heart and Vascular Institute in Atlanta, Georgia. But he added, "It would be very hard to show any data that would tell you he'll have more trouble if he hangs it up."

Clinton's 2004 surgery was performed at the same hospital where he was admitted Thursday. Doctors in 2005 operated again on Clinton to remove scar tissue and fluid that had built up after his bypass surgery.

Schwartz said Thursday that the type of bypass graft used in Clinton's 2004 surgery "has a 10 [percent] to 20 percent failure rate after five or six years."

King said Thursday's stent procedure may not be the end of Clinton's heart woes.

"The problem there is that that vein graft is developing disease, and sometimes it goes on and develops more," he said. "There's a substantial chance over the next three, four, five years that it could close up again."

CNN's John King, Ed Henry, Jessica Yellin, Elise Labott and Tom Watkins contributed to this report.

@highlight

NEW: "I have to keep working -- that's what my life is for," former President Clinton says

@highlight

Clinton out of New York hospital after cardiac procedure

@highlight

Angioplasty-stent procedure opens one of Clinton's blocked coronary arteries

@highlight

Busy schedule not a factor in heart trouble, doctor says