London (CNN) -- For all the recent scaremongering about the viability of an independent Scotland, it's easy to understand why the chance to reclaim a country's sovereignty offers its citizens an exciting prospect.

Scotland is, after all, culturally distinct from the rest of the British Isles.

And for those Scots aged 16 and 17, who will be given the vote for the first time, the opportunity of creating their own Scottish identity after three centuries of largely English rule must certainly have its own idealistic appeal.

But Scotland's bid for freedom will ultimately come down to money -- namely which currency it would use as an independent country. Scotland has four options -- each with their own risks and unknowns.

Those who want the country to vote "yes" for independence have made clear they wish to keep the pound with the UK's blessing, in a move that would keep the nation inside a stable currency union and also give it a say on interest rates.

However this idea has been staunchly rejected by both the British government and the Bank of England, which presumably would be loath to backstop Scotland's massive banks without having a say on their loan books.

A separate Scotland could use the UK's currency without its consent -- much in the way that Panama employs the U.S. dollar and similar to how Ireland once pegged itself to the pound. But this strategy could be fraught with dangers. Why? Because Scotland would have no say over borrowing costs that might be out of step with its economic cycle.

If Scotland can't keep its place in its existing monetary bloc, it could try to find a place in another one.

If the country goes it alone, it can sign up for the euro but Brussels has made it clear that Scotland would have to apply for EU membership first, joining the queue behind places like Serbia and Kosovo.

Moreover, independence agitators in Spain's semi-autonomous provinces like Catalonia wouldn't make Madrid look favorably on giving Scotland a spot inside the EU. And -- given the pain we've seen in countries like Spain -- no one knows if the euro will still be around by the time that Scotland does eventually make it into the club.

Perhaps the best option for a prosperous Scotland, in the long run, would be the creation of its own currency.

Suggestions that have been put forward include reviving the Scottish Ryal -- a coin struck to commemorate Mary Queen of Scots' marriage -- or reintroducing the Groat, in circulation during James III's time.

Having their own money wouldn't just give the Scots the full independent identity they crave, it would also give them the financial flexibility a nascent state would need.

Still, establishing its worth would be tricky. What's more, Scottish people would have to be convinced of its true worth. And, with almost $200 billion of debt on the line, markets would have to be confident in the country's fiscal planning to lend to it at decent rates.

Either way, the value of a new Scottish currency would initially be extremely weak, hitting the people in the pocket first as goods get more expensive.

Which is why big names like the ratings agency Standard & Poor's and the French bank Societe Generale have suggested that although a "Yes" vote could create a successful Scotland in the long term, for now, a swift, sharp recession could ensue.

At least five major banks have drawn up contingency plans to move their legal entities south, with billions under management at stake.

Ironically money and politics are supposed to go hand in hand.

But when it comes to the Scotland's future as an independent land, they may have to go in opposite directions.

Read more: Scotland's vote on independence -- what you need to know
Opinion: Scottish 'Yes' vote will see democracy reborn
Opinion: Scotland, you want out? We'll take your place

@highlight

Scotland's bid for freedom will ultimately come down to which currency it would use, Nina dos Santos writes

@highlight

Scotland has four options -- each with their own risks and unknowns

@highlight

It could keep on using the pound -- with or without the UK government's blessing

@highlight

It could also seek to join the euro or create its own currency