(AOL Autos) -- With the explosive growth of the light truck segment as well as the impending onslaught of winter, I thought it would be fitting to write about four-wheel drive systems. There are a few different types available; and there are special maintenance practices that might cause some confusion. So let's get enlightened!

Four-wheel drive systems can make driving safer on wet road conditions.

4WD systems can be classified as Part Time 4WD, Full Time 4WD, and Permanent 4WD.

Part Time 4WD is the most basic of all 4WD systems. It gives the driver the choice of driving in two-wheel drive or 4WD. That sounds pretty good!

However, the downside is that you shouldn't engage the 4WD on pavement unless it's very slippery. That's because, with this system, when you engage 4WD you lock the front and rear wheels together through the transmission and transfer gearbox. This is great for straight-ahead traction and very slippery surfaces.

However, on dry pavement it makes for odd cornering, and handling characteristics. Also you can harm the drive train components by driving in 4WD for extended periods of time on dry pavement. Consequently, you may find yourself having to stop the vehicle to engage or disengage, depending on the road conditions. AOL Autos: Top 5 SUVs

So why choose this type of system? Two good reasons:

• It's less costly to build and therefore to buy

• It's very durable under heavy stress (generally more durable than the other 4WD systems, since it has fewer components)

Full Time 4WD is the most commonly used system on the market. Full Time 4WD offers both two-wheel drive mode and 4WD, depending on road conditions (driver must engage and disengage the 4WD).

In addition, the 4WD mode offers both a high and low mode for when the going really gets tough (driver shifts to high or low). AOL Autos: Top 5 crossover vehicles

Besides a transmission and transfer gearbox, a center differential couples the front and rear wheels. This differential allows the front and rear wheels to turn at different speeds as needed (unlike Part-Time 4WD system) for better handling. When the wheels start to spin due to slippery road conditions, the system reacts to wheel spin by progressively locking the front and rear wheels together to optimize traction.

Although Full-Time 4WD requires the driver to engage it, once engaged it offers more "control" through the high and low mode selection (based on road conditions) and better cornering and handling on varying road conditions due to the differential. AOL Autos: Best luxury wagons

Permanent 4WD is similar to Full-Time 4WD but it has no two-wheel drive mode. The vehicle is always in 4WD, so you don't have to determine whether conditions are right to engage it. AOL Autos: Cars with best Blue Book values

We still have transmission, transfer gearbox and center differential coupling the front and rear wheels. The only difference is that torque (or power) is constantly being applied to all the wheels, giving maximum traction in all weather and road conditions. Current systems have high and low modes for when the going gets tough; however, most importantly, the system does the thinking for you ... it automatically applies as much lock up (to all the wheels) as necessary for maximum traction. AOL Autos: Best-selling trucks and SUVs

Next, a few definitions of common 4WD-drive terms that you may have heard of:

Locking Differential - locks both wheels on the axle, forcing them to turn together to allow maximum traction

Limited-Slip Differential - detects slippage in one wheel and sends torque to the other wheel that is not spinning. It operates is automatically.

On-The-Fly-Shifting - allows the 4WD to be engaged while driving the vehicle (many systems require that you stop the vehicle in order to engage the 4WD).

Manual Hubs - In order for 4WD to work, you must have a means of engaging the front wheel drive mechanism. This is done through the front hubs. On vehicles equipped with manual hubs, the operator must manually "lock in" the front wheels by turning a mechanical switch.

Automatic Hubs - Instead of manually "locking in" the front wheels in order to drive in 4WD, automatic hubs "lock in" the front wheels by a simple flip of an electrical switch in the comfort of your warm, cushy, SUV or pickup.

Transfer Gearbox - an auxiliary gearbox attached to the transmission, which allows you to shift into a high and low range of 4WD for serious pulling or hauling.

4WD Maintenance Tips

4X4s have a transfer case, locking hubs, and front and rear differentials (some have an additional center-coupling differential). The maintenance of the transfer case is the same as on a standard transmission.

Therefore, when checking the fluid, you are checking for (1) proper level, (2) the presence of moisture, (3) the presence of wear particles... either in the form of metal or friction material. A small amount of wear material is acceptable. However, excessive wear material can be an indication of a problem.

One of three types of lubricants is used, depending on the carmaker. These lubricants are: ATF (Automatic Transmission Fluid), 30W motor oil, or 90W-gear oil. The maintenance interval (which involves changing the lubricant) for transfer cases that use ATF and 30W motor oil is every 50,000 miles. For 90W gear oil the recommended interval is 80,000 miles.

In regards to the locking hubs, maintenance is extremely critical. Locking hubs come in two forms: automatic and manual. Regardless of which one you have, they must be disassembled, cleaned and lubricated every two years or 24,000 miles. Snow, ice, water, salt, and mud usually find their way into these mechanized units, rendering them useless and costing the owner big bucks! By keeping up the maintenance on them you minimize expense and downtime.

With respect to differential maintenance, there's not a whole lot to do except check the fluid level every oil change and visually inspect for any leakage. The technician should check the gear lubricant for proper level, color, and consistency. Low lubricant level indicates a leak; a milky color indicates moisture in the lubricant; and the presence of metal in the lubricant indicates mechanical wear. Check your owner's manual for the recommended fluid change intervals.

And check your owner's manual for specific operating instructions of your 4X4 system because the various systems function differently.

There you have it, four wheeling made easy. Now go out and climb a mountain!

Tom Torbjornsen is a veteran of 37 years in the auto service industry, an automotive journalist registered with IMPA.

@highlight

Vehicles can have Part Time 4WD, Full Time 4WD or Permanent 4WD

@highlight

Part Time 4WD: Don't drive for extended time on dry pavement with 4WD engaged

@highlight

Full Time 4WD offers both two-wheel drive mode and 4WD

@highlight

Maintenance is extremely critical for locking hubs on 4WD vehicles