(CNN) -- May 25, National Missing Children's Day, is a day on which we honor and remember missing children. This date was chosen specifically because it is the date in 1979 when 6-year-old Etan Patz went missing on his way to school in New York.

The Patz case has resurfaced as a result of some potential new leads and an arrest that hopefully will result in the case finally being solved. I have the greatest respect and empathy for the parents of Etan, who are going through what is clearly one of the greatest nightmares any parent can experience -- never again seeing and not knowing what happened to one's own child.

Just as the Lindbergh case in the 1930s became a landmark case for increased national awareness concerning ransom kidnapping, the Patz case became a landmark case for increased national awareness concerning "stranger abduction." Each of these cases played a major role in creating laws, but they also fueled some confusing stereotypes.

When I joined the FBI in 1970 and someone talked about child abduction, you immediately assumed it was a ransom-motivated case. In less than 20 years, the attitude drastically changed to almost immediately assuming any child abduction involved a sexual predator. Either assumption is obviously not always correct.

Because of his young age and other case factors, it can be reasonably assumed that Etan was most likely abducted. However, children can be missing for a wide variety of reasons (e.g., runaway, lost or injured, benign episode, family abduction) other than nonfamily abduction. Children can also be abducted by nonfamily members for a variety of reasons (e.g., to solve a personal problem, ransom/profit, to kill, miscellaneous criminal activity, political) other than sexual gratification.

Most missing children are not abducted and most abducted children are not missing. The typical child abduction is a relatively brief event in which the child is usually returned before anyone had time to note the child was missing.

The best research data we have indicate that only a very small percentage of missing children were abducted by a nonfamily member. Of these cases, most of the abducted children were teenagers. And of the nonfamily-abducted children, almost all of them were returned alive and relatively uninjured a short time later. Understanding that the terms missing and abducted are not synonymous and interchangeable is important in awareness and prevention efforts.

In addition, sexually motivated nonfamily abduction is probably the only aspect of sexual victimization of children that people think occurs more often than it actually does. People tend to underestimate the likelihood that a family member or trusted acquaintance will sexually victimize their child, but overestimate the likelihood of stranger abduction. I am aware of no research that indicates that children today are any more likely to be abducted by sexual predators than they were 50 years ago.

Many adults love to reminisce about an idealistic childhood during which they did not lock their doors and could play outside with no fear of abduction, but believe that today they cannot let their children out of their sight. However, nonfamily members abduct less than a few hundred children each year in a manner that fits our stereotypical image of an abducted and missing child. The danger of sexual victimization of children comes predominantly from family members and acquaintances, not strangers.

On this important day, we should remember the reality of missing children such as Etan Patz, but not at the expense of ignoring or misunderstanding other types of victimization of our children.

The opinions expressed in this commentary are solely those of Kenneth V. Lanning.

@highlight

May 25 is National Missing Children's Day, chosen because of Etan Patz

@highlight

Kenneth Lanning: Children can be missing for a wide variety of reasons

@highlight

He says most missing children are not abducted, most abducted children are not missing

@highlight

Lanning: Awareness about missing vs. abducted children will help prevention efforts