(CNN) -- President Obama has characterized his 2014 budget, released Wednesday, not as his ideal vision for how much the federal government ought to tax and spend, but rather as a compromise that aims to respect the priorities of Democrats and Republicans. He has insisted that congressional Republicans see the policy options laid out in his budget as a package deal, not as a menu of policy options from which to choose.

And so the president's budget includes reductions in the planned growth of Social Security and Medicare spending, to appeal to conservative advocates of spending restraint, and a number of tax increases, the bulk of which are designed to affect high-earners, a high priority of the president's congressional allies.

House Speaker John Boehner and other leading congressional Republicans have made their opposition to further tax increases clear. But President Obama's tax proposals nevertheless merit close attention, as they tell us a great deal about his priorities.

One of the ways the Obama administration seeks to raise revenue is to have the federal government adopt chained CPI, a method of calculating consumer price inflation that factors in the fact that consumers tend to substitute some goods for others in response to rising or falling prices.

Chained CPI has been discussed primarily with regards to its impact on federal outlays, and particularly Social Security spending, as it is expected to lead to somewhat lower cost-of-living adjustments that in turn will lead to somewhat lower Social Security benefit levels.

Yet chained CPI will also lead tax brackets to be adjusted more slowly than they are under the federal government's current inflation index. This adjustment is expected to yield roughly $100 billion in new tax revenues over the next decade.

In addition, the president has revived two proposals that figured prominently in his 2013 budget: the so-called "Buffett Rule," which requires that households earning $1 million or more pay a minimum of 30% of their income in federal taxes, after allowing for charitable giving, and a limit on tax deductions for the highest-earning 2% of households.

The Buffett Rule essentially raises taxes on millionaires who earn long-term capital gains, as Alan Viard of the conservative American Enterprise Institute has explained.

The downside of the Buffett Rule, according to Viard, is that it might discourage capital investment and increase reliance on debt financing. The limit on tax deductions, meanwhile, reduces the value of itemized deductions to the 28% tax rate for households.

That is, even as a household enters the 33, 35, and 39.6% tax brackets, the value of its itemized deductions will remain at the lower 28% rate. The president's budget also calls for substantial increases in federal taxes on tobacco products, which are designed to fund new preschool efforts.

President Obama's tax proposals illustrate how difficult it will be to raise tax revenues by a substantial amount while shielding middle-income households from tax increases. Chained CPI and tax increases on tobacco products will almost certainly affect some number of households earning less than $250,000 a year, yet the Obama administration also intends to increase the size of the Earned Income Tax Credit and the Child Tax Credit, which will tend to mitigate any harmful effect.

Capping the value of itemized deductions will raise a substantial amount of revenue. But it won't do as much as more ambitious proposals to limit individual tax expenditures, like converting tax preferences tied to marginal tax rates to nonrefundable tax credits. This approach, however, also runs into political pitfalls, as it will raise taxes on at least some middle-income households, even as it reduces them for large numbers of low- and middle-income non-itemizers.

If President Obama hopes to build momentum for a substantial revenue increase, he would be well advised to cheer on the efforts of Sen. Max Baucus, D-Montana, and Rep. Dave Camp, R-Michigan, the chairmen of the tax-writing committees of the Senate and House respectively, as both are working toward a larger, more ambitious tax overhaul.

Though Camp and his Republican allies are resistant to tax increases, they might prove more amenable if comprehensive tax reform results in lower rates. Back in 2011, for example, the center-left Progressive Policy Institute released its "Modified Zero Plan," which eliminated all tax expenditures but the Earned Income Tax Credit and the Child Tax Credit and lowered rates to 12, 22, and 28%.

Despite these substantially lower rates, revenues would increase, in part because capital income would be subject to the same tax rates as ordinary income. Of course, measures like the Buffett Rule would increase effective taxes on capital income even further. If Baucus and Camp converge around something like the Modified Zero Plan, the tax debate might finally break out of its current grim stalemate.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

Reihan Salam: President is casting his budget as one with bipartisan appeal

@highlight

He says Obama still wants to target high income earners for tax increases

@highlight

Parts of the Obama plan will affect middle-income taxpayers, too, he says

@highlight

Salam: Budget shows difficulty of raising revenues without hitting middle class