(CNN) -- By the end of last week, congressional Democrats and a few moderate Republicans succeeded in requiring most employers to include contraception as part of health insurance coverage, in spite of deep opposition from the GOP majority. Across the Potomac in Virginia, Democrats and, again, a few Republican moderates were able to soften or kill GOP bills that would have put into place humiliating obstacles to abortion. These are good things.

Thousands of ordinary women across the country have been writing letters, sending e-mails, leaving phone messages, and buttonholing state and national lawmakers in support of cheaper contraceptive methods and greater access to abortion.

Though they didn't get everything they want, many are, I suspect, thankful for the partial victories so far.

But I have to ask -- where in these recent debates are the voices of ordinary men? Why aren't we hearing publicly even now from husbands who are not ready to have children they would have to support? Or from boyfriends who do not have the means to support a child?

Why don't we hear more from fathers who are working two jobs so that their daughters can attend college and, if they wish, start on a career unencumbered by child-raising responsibilities?

Other than female-friendly lawmakers and a handful of TV news/comedians, older men have been curiously slow to publicly support women's reproductive freedom.

Do they really want their sons and daughters to have to take a second or third job in order to pay the costs of raising an unplanned child, or have to decide whether to risk an abortion?

The truth is, many men of the baby boom generation would prefer not to talk about pregnancy. Fetuses are not exactly what they chat about with the mechanic who's fixing their car.

For baby boomer women, on the other hand, the ability to control when or if you have a baby is nothing short of a miracle. We remember, as if it were yesterday, when the pill became available and the diaphragm was improved. We happily took charge of preventing pregnancy or resolving an unplanned pregnancy. And as a friend of mine remembers, it never occurred to us to talk to the men in our lives about contraception.

As I've gotten older, I've realized there were consequences of not including male partners early in such discussions. At my college reunion a couple of years ago, a former male classmate confessed privately that when we were students, his girlfriend, also a student, had gotten pregnant twice. Both times, she had traveled hundreds of miles to New York, at that time one of a few states where abortion was legal.

"Weren't either of you using birth control?" I asked him. He muttered something that sounded like "No," his eyes staring at some point over my shoulder. Had he accompanied her to Manhattan? He looked surprised by the question, and then shook his head. He had the good sense not to appear cavalier about it all. But it was clear that he had never thought of birth control or abortion as a guy thing. I suspect his girlfriend hadn't either.

Could such cluelessness or discomfort help explain -- though by no means exonerate -- the silence of men of a certain age when male lawmakers introduce downright abusive bills relating to female reproduction?

I strongly suspect that conservative lawmakers will continue to attempt to control a conversation that many of us thought had been settled, and they have the money and party support to get re-elected. When I read how Texas and other states are passing bills that, in the words of columnist Nicholas Kristof, "are treating women in ways that are patronizing and humiliating," I despair. Then I remember that many of these legislators are part of a generation that is moving off the stage of public life.

I have hope that the generation that succeeds them will be different. Men in their 20s and early 30s had more sex education in school than their fathers did, often in coed classes. They are more involved in sexual decision-making with their partners than previous generations. Polls show that the majority of them, like the majority of young women, support contraception and legalized abortion.

I recently talked to one woman in her early 20s who said her boyfriend keeps up with advances in birth control as much as she does. Their decision about which method to use is always made together, she said. Another young woman said she and her partner debated methods for more than a year, sometimes heatedly. They recently married, and she is happily pregnant.

A young man told me that in the beginning of his current relationship, he and his girlfriend split the cost of her birth control pills. When he cut back on his hours at work in order to start graduate school, his girlfriend picked up his share because she was earning more money than he was. Once he's earning more money again, he'll resume paying part of the tab.

It's only fair, he said, adding, "Women may have to give up a little control, but men can share the burden."

Join us at Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Laura Sessions Stepp.

@highlight

Laura Stepp: As lawmakers try to restrict birth control, little is heard from men who support it

@highlight

Stepp says thousands of women have protested plans, but men aren't coming forward

@highlight

Stepp asks: Where in this debate are the husbands and boyfriends not ready for kids?

@highlight

Baby boom men were clueless about birth control, Stepp says, but younger men are involved