(CNN) -- After four fatal shark attacks in seven months, beachgoers on the south coast of Western Australia are understandably anxious about entering the water.

"Dawn and dusk are perceived to be the worst times for encounters so you see less people going out early morning and late evening," said long-time surfer Jack Carlsen, who is also a professor at the Sustainable Tourism Center at Curtin University.

"I still go out surfing, but I'm a lot more cautious," said Carlsen, who had his own encounter with a Great White in the same waters several years ago. "A lot of the shark experts say it's the one you don't see that will get you. And luckily, I saw it," he said.

The stretch of water along Western Australia's southern coast is now one of the world's most deadly for shark attacks. More people were killed by sharks there than anywhere else in the world in 2011, according to the International Shark Attack File.

The latest victim was 33-year-old Peter Kurmann, a father of two, who was taken on Saturday morning while diving with his brother Gian about one nautical mile off Stratham Beach.

Gian Kurmann is reported to have used his diving knife to try to fight off the shark, which he told police was about four meters long.

Experts later confirmed Kurmann was likely taken by a Great White, the fourth victim of an unprecedented string of attacks by the predators in West Australian waters.

"There is no scientific evidence to suggest that the shark related fatalities in WA are a reflection of an increase population size of white sharks. It is more likely that a combination of factors, including more people in the water and white sharks being present around the south west coast this time of year," said Ryan Kempster, a shark biologist and founder of Support Our Sharks.

After Saturday's attack, beaches were closed while authorities dispatched aerial and ocean patrols to scan the seas. A spotter plane sighted a three to four meter shark the same afternoon, but attempts to catch it failed and were aborted altogether when bad weather moved in.

It's become a familiar and unwelcome drill for local authorities who are trying to prevent any further attacks and reassure worried beachgoers that efforts are being made to protect them.

After three people were mauled in the water in September and October, WA Fisheries Minister Norman Moore announced a $14 million five-year plan to reduce the risks of shark attacks.

It included $2 million for the Shark Response Unit which will on Saturday start an intensive three to four week tagging program to attach acoustic transmitters to Great Whites.

"The longer it's in the better, which is why with this tagging trip (we) will actually be internally inserting the tag inside the shark," said Michael Burgess, of the Shark Response Unit.

"We catch the shark. Turn it upside down. It'll go into a state of paralysis. That give will us the opportunity to make a small incision on the underside and insert it in its gut cavity and then give it some sutures and away it goes."

The State Government has ruled out a mass cull of white sharks to reduce numbers, although if a shark had been caught soon after the attack on Saturday it's likely it would have been destroyed.

The elusive nature of Great White sharks makes them difficult to find and catch, especially in the sea off Western Australia where Burgess said they are "very transient" and "very mobile."

"The success of tagging white sharks anywhere else in the world has always been around seal colonies and where white sharks do aggregate, like the Neptune Islands in South Australia, such as over in South Africa, and likewise off the coast of Mexico and California," he said.

Off Western Australia, the tagging team will be using long lines and bait to try to hook the sharks.

"Our target is somewhere around 100, but this is only very early days in this program we're implementing. (We want) as many as we can get, obviously," Burgess said.

The difficulty of tagging great whites is evident in the government's admission that no sharks were successfully tagged in 2011. Eleven were tagged in the previous two years, and are feeding information to offshore receivers about the sharks' behavior.

"By next month there should be 121 acoustic receivers in the water in the southwest and south coast and that's in addition to the 39 that we've got off the metropolitan coast of Perth," Burgess said.

Only 20 of those transit the information to satellites which is then sent to West Australian Water Police to generate an SMS warning. The vast majority store the information, which is later downloaded and used to chart the sharks' past movements.

People who see sharks are urged to call the Water Police, but Jack Carlsen said many sightings by locals who spend a lot of time on the water are not being reported.

''Surfers get complacent. They might tell a few mates but they won't make it widely known that they saw a shark off a surf beach," he said. "(And) we know, for example, that commercial fishermen see them all the time, but don't always report sightings."

Carlsen plans to launch a "sharkwatch" website in the next few months, which he says will give approved subscribers an easy way to report sightings. Messages would be sent by SMS or on Twitter or Facebook, alerting subscribers to potentially dangerous sharks along the coast.

The idea duplicates in part efforts by the government to issue alerts through the state's Surf Life Saving body, and Burgess, from the Shark Response Unit, has expressed concern that a separate reporting system could leave authorities out of the loop.

"Already there's issues with people not reporting shark sightings appropriately, so that's a real big message we need to get out. People need to report shark sightings to the Water Police," he said.

As the weather gets colder, authorities are hoping that fewer people in the water will reduce the risk of further attacks.

Shark biologist Ryan Kempster said that while the government was doing a "fantastic" job with its "non-lethal shark mitigation measures," individuals needed to take responsibility for their own safety.

"Shark bite incidents are a rare occurrence and almost impossible to predict," he said. "People need to realize that when they enter the water they are taking a risk -- albeit minimal --of encountering a large predatory shark."

@highlight

Sharks have killed four people off Western Australia since September 2011

@highlight

33-year-old diver Peter Kurmann was killed Saturday by a Great White

@highlight

Government spending $14M on five-year plan to reduce risk of attacks

@highlight

"Intensive" shark tagging program to begin on Saturday, culling ruled out