(CNN) -- New Delhi strains under the weight of its own UNESCO World Heritage sites. What with the towering minaret of Qutb Minar, the glorious Humayun's tomb and the imposing Red Fort Mughal palace, visitors can feel swamped by the sheer abundance of history on display.

But India's capital city provides more than just awe-inspiring spectacles of its ancient past. With a preponderance of market stalls, bazaars, shopping malls and street vendors, New Delhi is a consumer paradise, lending a much-needed retail counterpoint to all that earnest sightseeing.

To help you separate the glad rags from the plain old rags, here's CNN's at-glance-guide to shopping your way through New Delhi.

Before you start

If the city is just one port of call on an India-wide shopping spree (with a few sights thrown in for good measure), bear in mind that you can arrange for most things -- large or small -- to be shipped back, so that it's waiting patiently on your doorstep when you return home. There are international couriers everywhere, and most hotels can help you arrange shipments for an almost disconcertingly small fee.

Dilli Haat

For the most authentic and down-to-earth shopping experience head to "Dilli Haat" in south-west Delhi. Modeled around a traditional rural marketplace (a "haat"), it features some 200 individual stalls that form a permanent al-fresco arts-and-crafts bazaar.

This is a great place to buy original hand-made items directly from the producers themselves, with artisans from across the country selling everything from panel-beaten silver jewelry to brightly colored linens and vast decorative ornaments.

Be aware, the stalls operate on a rotating basis -- so, if you see something you like, buy it on sight, as the vendor may have disappeared by tomorrow. Dilli Haat is not for the hesitant consumer and haggling the best price is standard practice.

Crafts Museum

Those keen to combine consumer therapy with a bit of heritage should wander over to the National Handicrafts and Handlooms Museum -- one of the largest crafts museums in India.

The 20,000 or so exhibits feature centuries-old textiles, rare metal works and intricately crafted clay pots. But the souvenir shop is almost equally as impressive, with ink drawings on parchment, handmade Himalayan shawls, mirrored fabrics and many other quintessentially Indian arts and crafts available for purchase. In addition, there are often live demonstrations by craftsmen, whose wares go on sale hot off the production line.

Read related: New fashions inspired by New Delhi

Sarojini Nagar Market

A pilgrimage site for bargain-hunting fashionistas, the Sarojini Nagar Market stocks all the latest couture designs before they hit European and American boutiques with eye-popping mark-ups.

Export surpluses and last-minute canceled lines are dumped here en-masse, so check for holes, faulty zips, stains and missing buttons before handing over your cash.

There are no changing rooms as it's not much more than a long road with make-shift shops on both sides. That said, prices are so low that buyer's remorse is a rare experience, with entire wardrobes bought for less than the price of a few beers.

State Government Emporiums

If you're fearful of tourist traps and you're just not the haggling type, then the government-run emporiums dotted across the capital offer fixed pricing and quality-assured "India PLC" produce.

Each emporium tends to have its own specialism, showcasing products from different states. For instance, head to Himachal for blankets and shawls; Tamil Nadu for sandalwood products; Uttar Pradesh Emporium for the incredible stone-inlay work popularized by the Taj, as well as copper, brasswork and leather items; Kashmir Emporium is the place for carpets; and Orissa for fabrics and traditional paintings.

If you've only time for one, however, then the Central Cottage Industries Emporium Central Cottage Industries Emporium is the place to go. -- a six-storey Aladdin's cave selling everything from giant ornamental Gods to packets of exquisitely scented Darjeeling tea.

Khan market

If the rag-tag pandemonium of New Delhi's more traditional bazaars and market stalls is taking its toll, or you hanker for the sight of some familiar shops, then the row of upscale designer boutiques, cosmetic outlets and chain stores in Khan Market will be just the ticket.

With the ex-pat market in mind (the diplomatic enclave is a stone's throw away) the shops here offer home-sick holiday makers the reassurance of popular brands such as the Body Shop and Nike -- and there's even a Subway for the culinarily incurious.

But this is also the place to pick up fine gourmet groceries -- such as Italian pesto and French baguettes -- that will otherwise be difficult to source in other parts of town. Beware, prices are sometimes more upmarket than the goods on offer.

Chandni Chowk

No self-respecting shopper could visit New Delhi without taking the rickshaw ride down to Chandi Chowk, the old city's famously frenetic merchant district.

Spilling over with shops peddling luminous candies, vividly-colored saris and shawls, homecare products, discount electrical goodies, and much, much else besides, this traffic-choked thoroughfare is worth a trip for the atmosphere alone. Haggling like your life depends on it is just part of the fun.

@highlight

With a history that spans millennia, New Delhi is replete with ancient monuments and wonders of the world

@highlight

The city's bazaars and street vendors also make it a bargain-hunter's paradise.

@highlight

From traditional market stalls to upscale boutiques, read CNN's shopping guide to New Delhi