SAN FRANCISCO, California (CNET) -- The fact that you now can explore the ocean through Google Earth isn't going to make Google much money directly. But the move is nonetheless smart.

The new Google Earth 5.0 software allows users to explore the ocean depths from their computers.

Google generated early-stage goodwill from being the best answer to the online search problem. But the company is large and getting larger, especially as it shows a better ability to withstand the recession than rivals, and that goodwill won't last forever.

Google Earth, though, gives the company a new way to bring its brand to the world, notably with students for whom the software will help supplant atlases and encyclopedias.

And in the long run, as Google Earth and Maps -- either as standalone software or used through a browser -- will likely become a widely used virtual window on the real world. Google will control the technology and commercialization of that portal.

Will the visibility of the ocean depths on Google Earth make money directly? Not likely. But it adds incrementally to the overall utility of the software, which in the long run keeps it relevant.

"The near-term opportunity is in local search," for example people looking for restaurants or hotels, said John Hanke, director of Google Earth and Maps, in an interview.

Google has begun experimenting with advertisements on Google Maps and Google Earth, added Peter Birch, product manager of Google Earth, at the launch event.

Since people often need to discover information about a place before going there, Google Earth and Maps could prove a lucrative endeavor. It may take years to get there, and it'll cost Google dearly in server hardware and network bandwidth, but Google has shown patience in subsidizing long-term projects.

Though Hanke wouldn't reveal the expense of Google's geographic services, some of the economics are in the company's favor. Just as Google's search engine takes advantage of innumerable information that others put on the Internet, Google Earth is a platform that houses information supplied by outsiders that Google doesn't have to pay. It's the Internet's user-generated content story, but this time it's data that can be overlaid on a map of the Earth.

And in the case of the ocean work, there are prestigious users generating high-quality content. Many ocean researchers gathered at the Google Earth 5.0 launch, and several showed there's pent-up demand for a way to conveniently display their data somewhere. And it's not just to share sea surface temperature data with fellow Ph.D.s, but also to try to educate the public.

Ken Peterson, communications director for the Monterey Bay Aquarium, was excited about his layer in Google Earth that shows the location of various types of fish -- along with ratings for people about whether they should eat those varieties or substitute others.

Barbara Block of Stanford University and Patrick Halpin of Duke University were eager to show the tracks of shark travels recorded by radio transmission to satellites. Ross Swick of the University of Colorado-Boulder showed a Google Earth animation of the gradually shrinking Arctic ice cap over the last 29 years.

And Philip Renaud of the Living Oceans Foundation has supplied underwater video of the Red Sea as part of the foundation's mission to chronicle the state of coral reefs.

Hanke envisions much broader information, though, including consumer-oriented material such as the best dive spots and kite-surfing areas. Ultimately, he wants "every single location" on Earth, land or sea, to have information.

"We're trying to encourage our users to annotate all the places in the world. Part of what we're doing is seeding that ecosystem of spatial information," Hanke said.

"That creates an opportunity for Google to provide location services on phones, mobile devices, in cars in the future, to guide people to the best places. Being a valued guide, the go-to source of information about the best places to go -- that will be a powerful and valuable thing for Google."

Think of it as a second Internet in a way, only instead of using abstract names to locate information, you can use actual locations to locate information. Some refer to the idea as the "geographic Web."

The clearest illustration of the indirect benefits Google Earth can bring is the fact that the company could persuade former Vice President Al Gore, whose climate change documentary won him an Oscar and a Nobel Peace Prize, to bear the Google Earth standard. In effect, he provided an eco-halo that can offset the more down-to-earth capitalistic realities of Google's operation.

Google seems to share the altruistic, educational motivations of many researchers. But it's also got business in mind with Google Earth.

"We try to create products people love to use," Birch said. "We create value, then think of appropriate ways of monetization."

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Imaging the ocean depths via the new Google Earth 5.0 is a smart move for Google

@highlight

It adds to the overall utility of the software, which in the long run keeps it relevant

@highlight

Ocean researchers attended Google's launch and are eager to display their data

@highlight

Eventually, Google wants to provide data on "every single location" on Earth