(CNN) -- Adam Wilson posted two messages on Twitter on April 15. The first one, "GO BADGERS," might have been sent by any University of Wisconsin-Madison student cheering for the school team.

The brain-computer interface allows people to compose a tweet by focusing on the desired letter.

His second post, 20 minutes later, was a little more unusual: "SPELLING WITH MY BRAIN."

Wilson, a doctoral student in biomedical engineering, was confirming an announcement he had made two weeks earlier -- his lab had developed a way to post messages on Twitter using electrical impulses generated by thought.

That's right, no keyboards, just a red cap fitted with electrodes that monitor brain activity, hooked up to a computer flashing letters on a screen. Wilson sent the messages by concentrating on the letters he wanted to "type," then focusing on the word "twit" at the bottom of the screen to post the message.

The development could be a lifeline for people with "locked-in syndrome" -- whose brains function normally but who cannot speak or move because of injury or disease.

Wilson and his supervisor, Justin Williams, made the breakthrough last month after hearing a question posed on the radio.  Watch a demonstration of the technology »

"Wouldn't it be great if you could Twitter just by thinking about it?"

That query sparked what Williams called the "a-ha moment."

"We can do that," said Williams, an assistant professor and the principal investigator at the lab in Madison, Wisconsin. "We can do that tomorrow."

In the end, it wasn't quite "tomorrow," Williams said, but Wilson had written the software to link existing technology with Twitter "within a couple of days" of starting on the project in March.

He sent Williams his first "tweet" -- or message -- from the brain-computer interface on March 31.  Watch Dr. Gupta explain how it works »

"I had set up my phone to get Twitter updates, and I walked in my door and got this message, and I knew it was really possible," he told CNN by phone. "My wife was sitting there, and I showed her the message and she immediately got excited about it -- and it's rare that I come home from work and she gets excited about what I have been doing."

That's because using the brain to post Twitter messages is potentially much more than an academic exercise or a party trick -- it could help paralyzed people communicate.

"These are people who have ALS, like Stephen Hawking, or they have a brainstem stroke, or a high spinal-cord injury," Williams explained. "There is nothing wrong with these people's brains. It's a normal person, locked into a lifeless, useless body." (The British physicist Hawking has ALS, amyotrophic lateral sclerosis, which is also known as Lou Gehrig's disease.)

Hundreds of thousands of people suffer from locked-in syndrome, Williams estimated.

Many of them want just the kind of ability the brain-Twitter project seems to offer, said Kevin Otto, an assistant professor of biomedical engineering at Purdue University in Indiana.

"The interesting thing about this project is they are directly addressing some of the patient desires," he said. "A lot of people think [locked-in patients] want to walk and want fancy prosthetics, but a lot of times what they want are bladder control and basic communication skills."

Otto, who was not involved in the University of Wisconsin project, called it "a very important incremental step to take two existing technologies and marry them together like this."

Williams had been working on brain-computer interface technology "for many years," he told CNN, before the idea to use Twitter.

"The technology we were developing was 10 or more years down the line, so we started wondering, 'Is there something we can do now?' "

His lab at the University of Wisconsin -- like those at Brown University, Purdue and the Wadsworth Center in Albany, New York, among others -- is developing ways for locked-in people to communicate. Projects range from manipulating a cursor on a computer screen to operating a robotic arm, and they can include devices physically implanted into a brain.

But the Twitter project has a lot of advantages, Williams said.

"Twitter fits so many of our needs and patients' capabilities," he said. "Their first interest is in being able to communicate in a normal fashion, and at a distance."

Twitter is simpler than e-mail, he said.

"If I am locked in and I want to e-mail someone, the format is all wrong. You have to be able to select recipients and group them, copy, paste, send. ... We don't think about that much as normal people, but it can become unmanageable.

"Twitter takes care of all those things. They just have to get [the message] to a location where people can come and find it," he said.

Locked-in people communicating by tweet might have followers who don't even realize they are disabled, Williams said.

"Nobody's going to notice that the person at the other end is disabled. They might not have any idea. And that might be very empowering for people," he said.

The interface is not unlike the method the French journalist Jean-Dominique Bauby used to dictate his novel "The Diving Bell and the Butterfly" -- later turned into a movie -- after a massive stroke left him paralyzed except for his left eyelid. Bauby's caregivers recited letters of the alphabet; he blinked when he heard the one he wanted and they wrote them down.

The brain-Twitter application flashes letters on a screen while the user, wearing a cap fitted with electrodes, concentrates on a letter.

"When the letter that you are concentrating on flashes, we can pick that up," Williams said.

Williams declined to say how soon the interface could be available commercially, noting it has not yet been used by anyone with locked-in syndrome.

"I'd hate to speculate about things being on the market," he said. "Adam [Wilson] is going to graduate in May, and his next role is to start preclinical trials with subjects in New York and Germany."

But Williams said he is excited about the development.

"We were interested in seeing what we could do right now to help people," he said. "The field has come far enough that we need to start getting to people in their homes."

CNN senior medical producer Shahreen Abedin contributed to this report.

@highlight

Doctoral student develops a way to post messages on Twitter using mind

@highlight

Brain-computer interface uses electrical impulses generated by thought

@highlight

Twitter simpler than e-mail, and format is good fit for new technology, prof says

@highlight

Development could be a lifeline for people with paralysis, "locked-in" syndrome