Wander the historic streets of the Bahian capital of Salvador, and you're never far from one of the region's most moving traditions: its powerful rhythms.

Whether it's the local axe pop music powered by freight-train percussion or street musicians and blocos afro pounding out hypnotic riffs, big beats power Bahia in a way they do nowhere else in Brazil, maybe even the world.

A state on Brazil's coast, Bahia is the center of the country's Afro-Brazilian culture, and the heartbeat of that is the drum.

The state is home to percussion ensembles such as Ile Aiye and Olodum, a group of several thousand members famed for their work with Paul Simon, that make Carnival in Salvador one of the top attractions in Brazil.

Percussionist Carlinhos Brown rose from drumming on empty water bottles in the streets of a poor neighborhood in Salvador to become one of Brazil's top hit makers and artists, not to mention a judge on "The Voice Brasil."

Brown founded the mostly percussion band Timbalada, a Carnival favorite, which takes its name from the conical hand drum known as a timbal.

Saude! Ice-cold caipirinhas in Bahia

Brash bashers

"From the time kids here are very young, they play drums," says Gabi Guedes, one of Bahia's top percussionists.

Guedes has played with fellow Bahiano Gilberto Gil and Margareth Menezes, as well as Jamaican reggae legend Jimmy Cliff, and is a member of Orkestra Rumpilezz, a 20-piece Afro-Brazilian group.

"You hear all sorts of percussion growing up, all kinds of samba, samba afro, samba de roda," says Guedes. "All this music is connected to the drum. It's in the blood. It's passed down from the grandfathers."

Like their grandfathers, Bahia's modern musicians are known for a brash style that mixes rhythms from around Brazil and the Caribbean.

The hyperkinetic music style known as axe (pronounced "AH-shay"), which blends speed-pop with fiery Afro-Brazilian percussion, has produced pop superstars such as Ivete Sangalo, Daniela Mercury and Claudia Leitte.

Samba reggae is another made-in-Bahia style that bends rhythmic traditions in a popular way.

"Bahia is a rhythmic laboratory," says Chris McGowan, co-author of "The Brazilian Sound: Samba, Bossa Nova and the Popular Music of Brazil" and a just-released ebook of interviews with top Brazilian artists of the MPB (Musica Popular Brasileira) and bossa nova era, "The Brazilian Music Book."

"It's a place where Afro-Brazilian rhythms and the latest sounds coming from the Caribbean and elsewhere are mixed together to create new danceable hybrids," says McGowan. "Samba, ijexa, reggae, rock, merengue, lambada, soca, salsa, zouk and other styles are energetically shaken and stirred together."

Godly beats

Drums are also at the heart of the Afro-Brazilian religious tradition of Candomblé, which blends African beliefs with Catholic influences and has its origins in Salvador, where the first Candomblé terreiro (house of worship) was founded.

Candomblé is widely practiced in Bahia and has followers throughout Brazil.

In worship ceremonies, devotees commune with deities known as orixas through dance, chants, offerings and music rituals in which drumming plays a prominent role.

The beat of tall, conga-like drums, and atabaques, a conical hand drum that comes in three sizes, calls forth the deities and creates a trance-like mood for encountering the divine.

"The drum is very powerful to bring the orixas close to us," says Guedes, "and to help us worship them."

Guedes got his percussion training as a youth in the Gantois house of Candomblé, where he lived and studied with the most famous head priestess of Candomblé, Mae Menininha, celebrated in songs by pop icons Caetano Veloso and Dorival Caymmi and whose fans included the writer Jorge Amado.

Bloc parties

Candomblé also figures in another percussion-oriented tradition in Bahia, afoxe, a procession that brings Candomblé music, songs and rhythms into the streets.

Afoxe groups march to the beat of an ijexa rhythm tapped on atabaques, gongues (a double-bell agogo) and a gourd shaker familiar to African music also called afoxe.

The most famous afoxe group, the Filhos de Gandhy, began parading at Carnival in the late 1940s, inspired by the nonviolence of Mahatma Gandhi.

During Carnival in Brazil, people who aren't part of their city's featured parade form their own neighborhood groups, or blocos, so everyone can get in on the celebration.

In the 1970s, a tradition of blocos afro, all Afro-Brazilian drumming groups, developed in Bahia, led by a bloco called Ile Aiye.

Over the years Ile Aiye has grown to a couple thousand members, blazing a percussion trail of thundering bass drums (surdos) and tenor drums (repiques) with powerful songs about African roots and black pride.

Today, the best-known bloco afro is Olodum, originally an all-percussion group based in the historic heart of Salvador in the Pelourinho district.

The group has recorded a number of successful albums and touched off the samba-reggae style of music so popular in Bahia and across Brazil.

If you're in Brazil and want to get closer to the real Bahian experience, the path is easy to find: Just follow the beat.

@highlight

A state on Brazil's coast, Bahia is the center of the country's Afro-Brazilian culture

@highlight

Home to percussion ensemble Olodum, famed for its work with Paul Simon

@highlight

"From the time kids here are very young, they play drums," says a top Brazilian percussionist

@highlight

Drums are at heart of the Afro-Brazilian religious tradition of Candomblé