BOGOTA, Colombia (CNN) -- Colombian military intelligence used the Red Cross emblem in a rescue operation in which leftist guerrillas were duped into handing over 15 hostages, according to unpublished photographs and video viewed by CNN.

What seems to be part of a red cross is seen on a bib worn by a man involved in the rescue in this official image.

Photographs of the Colombian military intelligence-led team that spearheaded the rescue, shown to CNN by a confidential military source, show one man wearing a bib with the Red Cross symbol.

The military source said the three photos were taken moments before the mission took off to persuade the Revolutionary Armed Forces of Colombia  rebels to release the hostages to a supposed international aid group for transport to another rebel area.

Such a use of the Red Cross emblem could constitute a "war crime" under the Geneva Conventions and international humanitarian law and could endanger humanitarian workers in the future, according to international legal expert Mark Ellis, executive director of the International Bar Association.

"It is clear that the conventions are very strict regarding use of the symbol because of what it represents: impartiality, neutrality. The fear is that any misuse of the symbol would weaken that neutrality and would weaken the [Red Cross]," Ellis said. Watch possible misuse of emblem »

"If you use the emblem in a deceitful way, generally the conventions say it would be a breach. [Based on the information as explained to me,] the way that the images show the Red Cross emblem being used could be distinguished as a war crime, " he added.

The unpublished video and photos of the mission, hailed internationally as a daring success, were shown to CNN by a military source looking to sell the material. CNN declined to buy the material at the price being asked; it was therefore unable to verify the authenticity of the images.

Colombian President Alvaro Uribe and his top generals have categorically denied that international humanitarian symbols were used in the July 2 rescue mission that freed the prized hostages, who included former presidential candidate Ingrid Betancourt, three U.S. military contractors and 11 Colombian police and soldiers.

The hostages had endured years of harsh captivity and deprivation in jungle camps since being captured or kidnapped. Some were held for as long as 10 years.

The rescue ruse also included bogus communications, sent electronically and by human couriers, to convince FARC rebels that superiors were ordering them to hand over hostages to the group posing as aid workers for transfer to another rebel camp.

On Monday, government and military spokesmen reiterated that all logos and emblems used in the operation had been invented and that no genuine symbols had been used.

Misuse of the Red Cross emblem is governed by articles 37, 38 and 85 of Additional Protocol One to the Geneva Conventions, the international rules of war. The articles prohibit "feigning of protected status by the use of ... emblems" of neutral parties and say that such misuses are considered breaches of international humanitarian law that qualify as a "war crime."

Colombia signed the Geneva Conventions in 1949.

That prohibition was put in place to protect the neutrality of the International Committee of the Red Cross and the United Nations in an armed conflict and to guarantee their access to all sides. Use of those emblems by one side of a conflict, for example, could endanger aid workers because those on another side might no longer trust that symbols they see really represent those humanitarian organizations.

An ICRC spokesman in Bogota said the organization had been in "an ongoing confidential dialogue" with the Colombian government about the report that the emblem may have been used in the operation.

Among the photos shown to CNN are some bearing a date stamp of July 2, taken at an unidentified landing site in the jungle alongside a farm house.

In one of those photographs, about 15 members of a Colombian military intelligence-led team pose for a photo alongside a helicopter. One of the members, dressed in a dark red T-shirt or polo shirt, khaki cargo pants and a black-and-white Arab-style scarf, also wears a bib of the type worn by Red Cross workers.

The bib bears the Red Cross symbol in the center of two black circles on a white background. In the space between the two black circles appear in capital letters the French words "Comite International Geneve" (International Committee Geneva).

The same man is standing in the doorway of the helicopter, a Russian-made MI-17 painted white and orange, in another photo. In a third photo, he is pictured walking near the helicopter still wearing the bib.

The same man pictured in the photos can be seen fleetingly in a heavily edited video of the rescue mission issued to the media by the Defense Ministry two days after the hostages were freed. In one frame, part of what appears to be the Red Cross bib is visible as the man wearing it stands in a jungle clearing alongside guerrilla commanders Gerardo Antonio Aguilar, alias Cesar, and Alexander Farfan, known as Enrique Gafas, who were captured in the operation.

The red blur of a Red Cross can be seen and part of the two black circles of the emblem and the capital letters "EVE". Those are also the last three letters of word Geneve (Geneva), which appears on the official ICRC emblem and bib.

In two other frames of the officially released video, the same man, dressed in the same clothes as in the pre-departure photos, can be seen still wearing the predominantly white bib tied at the sides. In those shots the ICRC logo is not visible.

The unpublished video also reveals an emblem that bears the Spanish words "Mision Internacional Humanitaria" (International Humanitarian Mission) and a stylized red bird made up of wavy red lines above two curved branches of blue leaves. In the 3½-minute video of the operation issued by the military, emblems pasted on the side of the rescue helicopter cannot be seen. But in the unpublished video and photos shown to CNN, emblems measuring about one square meter (one square yard) are pasted onto the outside of the chopper.

The same emblem appears on the Web site for Mision Internacional Humanitaria, which describes itself as a non-governmental organization based in Barcelona, Spain, that "works to improve the processes of development to guarantee equality of opportunity for individuals and peoples."

Although the site says the group is registered with the Spanish Interior Ministry and the regional Department of Justice, the site is littered with misspellings, and the telephone number that's listed is 000000000. CNN was unable to contact the group to verify its existence.

The group's Web site could not be accessed early Tuesday.

Additional video clips show how the emblems on the side of the helicopter were stripped off and burned once the rescue mission had been completed. The fate of the bib is not clear from the clips.

In a brief statement Monday, the media spokesman for the Red Cross mission in Bogota reiterated that the group had not been officially involved in the rescue operation.

"The International Committee of the Red Cross cannot confirm that its logo and/or the Red Cross emblem were used," the spokesman said. "The ICRC maintains an ongoing confidential dialogue with the Colombian authorities on a variety of humanitarian issues, including news reports that the Red Cross emblem may have been used in this operation."

Uribe, Colombian Defense Minister Juan Manuel Santos, armed forces chief Gen. Freddy Padilla and army chief Gen. Mario Montoya all categorically stated immediately after the rescue operation that no genuine international humanitarian emblems had been used or misused.

In a nationally televised news conference, Uribe asked Betancourt whether she had seen any emblems on the helicopter that came to pick her and the other hostages up. She replied that she had not and that the lack of markings had puzzled her.

"After all these years of guerrilla war, we have become experts in identifying who is before us," she answered. "That's why I said it was very strange to me. I said, 'Well, what is this? A helicopter, a white helicopter. Red Cross? No. France? No.' There was no flag. There was nothing; there was no sign anywhere."

In the official video released by the military, the man wearing what appeared to be a Red Cross bib is standing alongside Betancourt and another rescued hostage just before they board the rescue helicopter. That is in the part of the video in which the logo is blurred and not readily identifiable.

Both of Colombia's two main guerrilla armies, the FARC and the smaller National Liberation Army, have been known to misuse the Red Cross symbol, sometimes transporting fighters in ambulances. The Colombian government frequently makes international denunciations of rebel violations of international humanitarian law.

The International Committee of the Red Cross and the Red Cross and Red Crescent societies around the world are highly respected international and national organizations, especially for their work in combat zones. Their statutes establish a position of strict neutrality in a conflict, which guarantees their ability to bring humanitarian aid to all sides in a conflict. Other national and international aid organizations do not have such strict rules on neutrality and operating procedures.

International humanitarian law, partly enshrined in the Geneva Conventions, is seen as a systematic attempt to establish certain rules of war and limit the savagery of conflict. The laws seek to set clear distinctions between warring factions, neutral parties and civilians and what rights and responsibilities each of these has in a combat zone.

Additional Protocol One and the articles referring to the misuse of international emblems technically refers to international armed conflicts. But signatory nations as well as the International Committee of the Red Cross also consider it a benchmark for internal conflicts, such as the four-decade-old war in Colombia.

Other photos shown to CNN indicate how little was done to disguise equipment used in the rescue. The two military MI-17 helicopters used in the rescue were repainted white and orange without removing armor-plated panels positioned around the outside of the cockpit. Another shot shows the pilots wearing what appear to be military pilots' helmets that have been repainted white with orange or red V-shaped stripes. The helmets still have prominent mounts on the front used for attaching night vision goggles.

One other video clip shows the two guerrilla commanders, who had boarded the helicopter with their hostages, carried out of the chopper over the shoulders of two men the CNN source identified as plain-clothes military personnel. The rebels were blindfolded and partially stripped. As they were dumped on the ground, they appeared groggy and stunned.

Before the departure of the operation, two soldiers in camouflage uniforms can be seen on the farm where the helicopters were staged, chasing a chicken and stunning it with a stun gun.

@highlight

Photos from miltary source show man wearing bib with Red Cross logo

@highlight

Such misuse of symbol could be violation of Geneva Conventions

@highlight

Expert says misuse of Red Cross emblem could endanger real aid workers

@highlight

Colombia has denied using international symbols in its July 2 rescue ruse