(CNN) -- People have used animal imagery in their decorating since they were painting ancient beasts on cave walls.

There's nothing new about the look, Elle Decor interiors editor Robert Rufino said, but there is a modern approach trotting through homes.

The current way to use animal prints, figurines, imagery, hides and bones in home decor is full of whimsy, he said. It takes the old-world tradition of stately trophies to a very fun place.

"People have learned to pare down," he said. "More people are spending more time at home, and there's a freedom," in the way modern homebodies are decorating.

"It looks like someone lives there. It has personality."

He keeps two antique, mounted deer heads in his country home in New York. "I think they are absolutely beautiful. I love their antlers," he said. And when he's greeted at the door by one of those handsome stags, Rufino said, "it's like, 'Hi! How are you?' "

Personality is what Walton and Chatham Creel's Birmingham, Alabama, loft exudes. They're charmed by deer, birds and other woodland creatures, and they've displayed a taxidermy peacock and fox as well as some of Walton Creel's original artwork -- deer, owl and opossum figures shaped from bullet holes.

"The opossum is the most divisive of all the animals," Walton Creel said of the animal decor in their home. "Some people are thrilled by it, but others can't stand it."

And that's where use of animals in decorating gets controversial, Rufino said.

Taxidermy animals, deer antlers and animal skin rugs, although considered high style, are not necessarily as accepted today as they were a century ago, Rufino said. In the same way that people choose not to wear a fur coat, he said, people might choose not to decorate with organic animal parts.

"Everyone has their phobias," he said.

That's partially why reproductions and abstract versions -- animal print textiles, ceramic sculpture and "fauxidermy," for example -- are in vogue, Rufino said.

"I think the problem that people have with taxidermy is when it does not make sense," Creel said. "When you see a random animal head on a wall it usually looks out of place, but when you go to a museum of natural history, the animals are presented in a scene. We have tried to do that," he said of his loft's menagerie.

One of the focal points in the Creels' living room is their collection of antique deer antlers. "We started buying antlers at flea markets and antique stores," Creel said. "We thought about placing them on a wall in a hunting lodge presentation, but then we found an antique baby wash tub and thought they would make a great centerpiece."

"Everyone has liked them," he said, "or they have been too nice to say otherwise."

So how can you take advantage of modern animal trends in home decor? Here are some lessons from this week's Open House contributors:

Animal prints are the new beige

"I've used animal prints in pretty much every room. I feel like animal prints are a neutral and I tend to use them in their natural color or off-white." -- Laurie Jones

"I love animal prints such as leopard and zebra because they act as a neutral and go with virtually any color scheme and style. It brings a global feel to a room while somehow managing to add whimsy and sophistication at the same time." -- Krista Byers

Take animals seriously, but play with decor

"I love animals and I love having them in my home. Of course it's all faux decor because I don't want any animals to get hurt to be in my home. It's the perfect addition of quirkiness and I need it in every room." -- Julia Konya

"Foxes are very much the new owl. The woodlands is a great decor trend to follow because it can vary from super sweet and playful to a more dark and mysterious side of the spectrum." -- Walton Creel

Remember that a little goes a long way

"I think it's important when designing a space with animal prints, just as in fashion, to pair the piece with more subdued patterns or solid colors. You want the print to pop and not compete with other decor elements." -- Jana Bek

"My updated-cottage style living room needed a new chair and I wanted something unique. The chair already had cool ball and claw feet, which inspired my choice for animal print upholstery." -- Sarah Macklem

Enjoy rugs for their durability and unique shape

"I specifically wanted to use a cowhide rug for its durability. It doesn't stain! You can spill red wine and not worry about it! That makes it an ideal choice for a room where eating is the primary purpose." -- Jae Vinson

"I often recommend animal hide rugs -- Jonathan Adler has gorgeous faux ones if you wanta cruelty-free option -- because the organic shape can bring interest to any space. Real hide rugs are completely stain repellent so are perfect for high traffic areas or city living." -- Jana Bek

Consider sentiment and stories

"I purchased the white ceramic dog because it looks just like my dog, Jack. The ceramic dog is sitting on top of my late grandparents' 1920s buffet in our dining room. Since the buffet has a very antique look to it, I wanted to use more modern looking accessories." -- Chelsea McDonnough

"One morning while searching my usual favorite categories on (Craigslist), I typed in 'antlers' thinking fall was on the way and some loose antlers would be nice accessories. To my surprise, this huge mounted pair was listed, 'free to a good home.' After I rushed over to pick them up, the man told me that the family story was that his grandfather had acquired the antlers in Alaska in 1910." -- Jennifer Griffin

@highlight

Animal hides and bones have been a part of decor since ancient times

@highlight

Modern versions involve cruelty-free animal decor, like "fauxidermy"

@highlight

iReporter: "Some people are thrilled by it, but others can't stand it"

@highlight

For the next Open House assignment, show us your Halloween vignettes.