Watsonville, California (CNN) -- Sitting at the kitchen table in his small house, Steven Butler has trouble even with a very simple question. He cannot tell you the day of the week or the month, and he has to have the help of a calendar to tell you the year.

"Once a moment is gone, it's gone," said his brother and caregiver, David Butler says in an interview to air on tonight's "Campbell Brown". "He can't remember any good times, birthday parties, Christmas, any event."

On October 7, 2006, Steven Butler, by his own admission, was drunk and disorderly. He refused an order from a police officer in his hometown to get off a city bus. The officer used his Taser ECD (officially, an "Electronic Control Device") three times.

According to doctors, Butler suffered immediate cardiac arrest. He was revived by emergency medical technicians who happened to be close by, but his attorneys say his brain was deprived of oxygen for as long as 18 minutes. He is now permanently disabled.

Butler and his family have filed a lawsuit -- not against the police, but against the maker of the weapon, Taser International.

John Burton, a lawyer based in Pasadena, California, says he can prove that when the weapons are fired directly over the chest, they can cause and have caused cardiac arrest. In addition, Burton says he can prove Taser knew about that danger.

"Well, we can prove that by early 2006," said Burton, "but we suspect they had all the necessary data since 2005, since they were funding the study."

The study Burton mentions was published in early 2006 by the American College of Cardiology Foundation. Funded by Taser, it focused on pigs struck by Tasers, with the conclusions, according to the study, "generalized to humans."

The authors wrote that being hit by a Taser is unlikely to cause cardiac arrest, but nevertheless recommended Taser darts not be fired near the heart to "greatly reduce any concern for induction of ventricular arrhythmias."

Dr. Douglas Zipes, a cardiologist based outside Indianapolis, Indiana, plans to testify against Taser in any lawsuit regarding what happened to Butler. In plain English, he says, that recommendation is a clear warning.

"I think Taser has been disingenuous and certainly up to 2006 -- the case we are talking about -- Taser said in their educational materials that there was no cardiac risk whatsoever," Zipes said. "That Taser could not produce a heart problem, that there was no long lasting effect from Taser."

Medical experts say that if a person is hit by a Taser dart near the chest, one result is a dramatic increase in the subject's heartbeat -- from a resting 72 beats a minute to as many as 220 beats a minute for a short period of time. In its court filings, the company says the "peak-loaded" voltage from a Taser at impact ranges up to 40,000 volts but it's a 600-volt average for the duration of the firing.

In an e-mail, a spokesman for Taser said the company would not comment on any ongoing litigation. But in a court filing seeking to dismiss the Butler lawsuit, it said Taser devices "are repeatedly proven safe through testing, in human volunteers, in controlled, medically approved studies." There's no evidence, the company says, that being hit with a Taser causes cardiac arrest in humans.

But the company has significantly changed its recommendations for how Tasers should be used. Officers, it said, should no longer aim for the chest when using the device, instead targeting the arms, legs, buttocks.

Why the change?

A company document said "the answer has less to do with safety and more to do with effective risk management for law enforcement agencies."

In other words, say lawyers who have sued Taser, it means police are less likely to be sued if they avoid hitting subjects in the chest. In court papers, Taser says the risk of cardiac arrest is "extremely rare and would be rounded to near zero," but it adds: "However, law enforcement is left defending a lawsuit and disproving a negative, which is difficult to do."

"Out of one side of their mouth, they publish this warning, saying, 'Don't hit people in the chest if you can avoid it,'" said Dana Scruggs, an attorney representing Steven Butler. "And on the other side, in the lawsuit and in their public statements, they deny that their device can affect the human heart."

Nearly every big-city police department in the United States uses a Taser device. According to the company, more than 14,000 law enforcement agencies worldwide employ Tasers and more than 1.8 million people have had the weapon used on them since it was introduced into general law enforcement use in the 1990s. The human rights organization Amnesty International estimates more than 400 people have died as a result of Taser strikes.

Officially, it's not a gun. As an electronic control device, Tasers are not classified as a firearm. The devices are regulated by the Consumer Product Safety Commission.

"There's one thing that's undeniable -- that if I use my firearm, the chances are that you will suffer extreme injuries or death," said George Gascon, the newly installed police chief in San Francisco, California. "The chances are much greater of reducing injuries with a Taser."

San Francisco is one of three big-city police departments in the United States that don't use Tasers (The others are Detroit, Michigan, and Memphis, Tennessee). Gascon wants to change that. He supports use of the device but says to call it "nonlethal" is inaccurate.

"We have referred to the Tasers for many years as a less-lethal weapon," he said. "In the San Francisco experience, which we have to concentrate on, I have not said once that this is a nonlethal device because I believe it can be a contributing factor in causing death."

Taser International is growing. Its latest earnings report says the firm made more than $100 million in profits last year by selling Tasers to both law enforcement and to individual consumers. And the company says even more police and sheriff's departments are lining up to purchase the weapon every day.

The company argues in Steven Butler's case that simply being in a stressful situation with police can bring on heart problems, and there's no link between being being hit with a Taser and the cardiac arrest.

For Steven Butler, greeting the mailman now is a highlight of his day. He doesn't dispute that he was drunk and disorderly when the officer tried to get him off the bus, but he and his family blame Taser for what happened to him. He says he's not frustrated or angry, just resigned to spending the rest of his life trying to remember what happened.

After CNN first reported this story, Taser International, which had previously declined all comment, sent us what it called a "fact sheet" about the Steven Butler case.

The company said the 2006 Taser study CNN quoted produced no cardiac arrests in animals.

While the company says cardiac arrests in people are rare, Taser insists it does not claim a "zero" possibility of cardiac arrest.

Taser also claimed Steven Butler had a pre-existing heart condition and that his blood alcohol level made him vulnerable to cardiac arrest. Butler's medical and legal teams told CNN he had no documented heart problems., and alcohol levels played no role in his cardiac arrest.

@highlight

Man claims Taser brought on cardiac arrest that starved his brain of oxygen

@highlight

Lawyers say Taser-funded research shows heart risk from Taser strikes

@highlight

Taser International insists no link between Taser and cardiac arrest

@highlight

More on the dangers tasers may pose on tonight's "Campbell Brown", CNN 8pm ET