(CNN) -- The U.S. Army Corps of Engineers on Thursday breached the third and final portion of a levee on the Mississippi River to help offset catastrophic floods in communities across several states.

The Corps opened the final crevasse in the Birds Point-New Madrid levee, under a plan that blasted holes in the structure with hopes of easing unprecedented flood pressure, said Col. Vernie L. Reichling Jr., commander of the Memphis district.

"It acted as designed," Maj. Gen. Michael J. Walsh, president of the Mississippi River Commission, told reporters about the breaching. "We reduced the gauges at Paducah (Kentucky) 3.1 feet. At Cairo (Illinois), it's 3.3 feet."

The Corps started the plan on Monday. Some who live where the Ohio and Mississippi Rivers meet said it has helped.

The Ohio River level at Cairo, Illinois, has dropped nearly 2 feet since Monday afternoon. Officials said they believe the levels would be up to 3 feet higher now if the levee had not been detonated.

Still, the town of Cairo was under a mandatory evacuation order and six other communities were under voluntary evacuation notices, said Patti Thompson, spokeswoman for the Illinois Emergency Management Agency.

The decision to breach the Birds Point-New Madrid levee was controversial. Missouri officials took the Corps to court over the plan, questioning the agency's authority to intentionally breach the levee. The state argued the floodwater would deposit silt on about 130,000 acres, and it would take years, along with millions of dollars, to fix the damage.

Maj. Gen. Michael Walsh, commander of the Corps' Mississippi River Valley Division, made the decision to order the breach. He warned that without punching a hole in the levee, massive flooding would threaten to inundate communities throughout the Mississippi and Ohio river valleys.

The U.S. Supreme Court declined to intervene in the case on Sunday, clearing the way for Walsh to blow up part of the levee.

Despite the plan, many areas were inundated as the Mississippi River spilled out across huge swaths of farmland, creating massive flooding from Minnesota to Louisiana.

The water was coursing across an area of farmland that Missouri Gov. Jay Nixon described as "literally the most productive part of our continent."

Missouri Sen. Claire McCaskill said the Corps' decision was a tough one for them to make.

"Clearly, this is an epic flood," she told CNN, adding that the flooding of the farmland is "an economic devastation to that part of my state."

The sight makes you "sick to your stomach," said farmer Bryan Feezor as he surveyed his submerged fields.

"Farming is all I ever have done ... and it's under water," he told CNN affiliate KPLR.

The flooding has been triggered by heavy rains and meteorologists say it's not expected to fully relent until early June.

More than 20 miles of westbound Interstate 40 in eastern Arkansas was closed due to flooding, state police reported early Thursday.

The closure was between the towns of Hazen and Brinkley, according to Lt. Jackie Clark, who said he expects the eastbound lanes to close later in the day.

On Thursday, 11 Mississippi counties along the Mississippi River were declared federal disaster areas in anticipation of major flooding, Gov. Haley Barbour said.

"This will be a monumental flood, and I ask residents to take this risk seriously and make evacuation plans," Barbour said.

The state's department of transportation prepared a list of possible road closures, but as of Thursday afternoon, only one road was closed, Mississippi State Route 465 in Warren and Issaquena counties between U.S. Highway 61 and Eagle Lake, the agency said.

"There is no exact science to this, so it's imperative that state and federal agencies work closely to lead us through this crisis," Central District Transportation Commissioner Dick Hall said in a prepared statement.

In Tunica County, Mississippi, officials are expecting the the river to crest at 48 feet on Tuesday -- which will be a record since the levee was built along the county's riverbanks in the mid-1930s, county spokesman Larry Liddell told CNN.

Then the river will flow above the 40 feet mark for 40 days, Liddell said.

Those heights are still well below the 60 feet needed to push the water over the levee, Liddell said.

But the heights are sufficient enough to force the temporary closure, as a precautionary measure, of the county's nine casinos near the levee, Liddell said.

Residential areas by the levee have been evacuated, and about 10,000 sand bags have been deployed, he said. About 40 people are being sheltered in a recreation center, and 34 dogs and 16 cats are now in the Paul Battle Arena, sometimes used for horse or livestock shows, he said.

The casinos' closure for 40 days would amount to a major economic hit to Tunica County, Liddell said. The gambling centers are the closest casinos available, at 16 miles away, for gamblers from Memphis, Tennessee, a state that doesn't have such facilities, Liddell said.

"It's not a happy mood, but we're happy that we got the levee," Liddell told CNN. "It's a rural county with agriculture No. 1 and casinos No. 2, and now we don't have casinos. We don't know how long it is going to last. We hope it doesn't last too long."

Before the flood, "we were actually 21% down from last year with the casinos up and running. Now that they're shut down, we're 100% down from last year," Liddell said. "We're just holding on."

CNN's Michael Martinez contributed to this report.

@highlight

Eleven Mississippi counties are declared federal disaster areas

@highlight

Sen. Claire McCaskill calls it "an epic flood"

@highlight

Water from the Mississippi River floods hundreds of square miles of farmland

@highlight

Heavy rains have caused massive flooding from Minnesota to Louisiana