(CNN) -- As U.S. President Barack Obama set a January deadline for proposals to deal with gun violence, new details emerged Wednesday about the mother of the gunman who killed 27 people in a Connecticut shooting rampage last week.

A day before her son killed her, Nancy Lanza was on vacation alone at a luxury resort in New Hampshire, friends said Wednesday.

Lanza checked in to the Omni Mount Washington Resort & Hotel in Bretton Woods last Tuesday and checked out Thursday afternoon, the hotel said. Less than a day later, authorities say, her son Adam Lanza killed her and then opened fire in Sandy Hook Elementary School, killing 20 children and six adults there.

Road trips alone were not uncommon for Nancy Lanza, according to her friends, who said she seemed to be in good spirits during the trip and felt comfortable leaving her 20-year-old son unsupervised in recent years.

Authorities have said the shooter took three of his mother's weapons -- two handguns and a Bushmaster AR-15 rifle -- to the elementary school Friday.

His deadly shooting rampage has ignited renewed national debates over gun control, mental health care and school safety.

Speaking five days after the massacre, Obama said Wednesday that a new group led by Vice President Joe Biden is charged with developing "concrete proposals" for dealing with gun violence "no later than January." The group will include some Cabinet members and outside organizations.

"This is not some Washington commission. This is not something where folks are going to be studying the issue for six months and publishing a report that gets read and then pushed aside," Obama said. "This is a team that has a very specific task to pull together real reforms right now."

While politicians continued to call for action, singer Paul Simon offered a tribute to a beloved Sandy Hook teacher who died trying to save her students. A statement from Simon's publicist said teacher Victoria "Vicki" Soto's parents were family friends.

At their request, on Wednesday he sang "The Sound of Silence" at her funeral.

Read more: NRA breaks silence

Pushing Congress

No single law or set of laws can prevent gun violence, Obama said Wednesday, but the complexity of the issue "can no longer be an excuse for doing nothing."

Authorities must work to make "access to mental health care at least as easy as access to a gun," and the country needs to tackle a "culture that all too often glorifies guns and violence," he said.

Speaking at a news conference, Obama called for quick action from Congress.

"A majority of Americans support banning the sale of military-style assault weapons. A majority of Americans support banning the sale of high-capacity ammunition clips. A majority of Americans support laws requiring background checks before all gun purchases so that criminals can't take advantage of legal loopholes to buy a gun from somebody who won't take the responsibility of doing a background check at all," he said.

Sen. Dianne Feinstein, D-California, has said she will introduce legislation to reinstate the assault weapons ban that expired in 2004. White House spokesman Jay Carney said Tuesday that the president supports that effort.

Obama said Wednesday he believes the Second Amendment does guarantee individuals the right to bear arms. And, he added, "This country has a strong tradition of gun ownership that's been handed down from generation to generation."

After last week's shooting, some have said future tragedies can be avoided by arming teachers.

Larry Pratt, executive director of Gun Owners of America, said if more guns had been at Sandy Hook Elementary School, most victims would be alive.

Even though all states allow concealed carry, "we have laws that say not in schools," Pratt said. "And so in the very places that have been sought out by monsters such as the murderer of these adults and children, we're saying, no, we don't want you to be able to defend yourself. It's better that you just sit there and wait to be killed. And we find that morally incomprehensible."

Meanwhile, Newtown United, a newly formed group in the stricken town, held a meeting Wednesday evening to discuss what it calls "sensible gun legislation."

"We are not looking to ban guns," said Lillian Bittman, former chairwoman of the Newtown Board of Education. "We are looking for a civil discussion of gun control, mental health, school safety and school facilities, so that we as a nation can work together to come up with a solution."

Last week's school shooting is a tipping point, she said.

"We have 20 children that are trying to point us the way," she said. "And if we don't follow their lead, then their deaths are in vain."

Read more: Newtown United tries to tackle gun policy

Newtown buries the dead

Residents of the close-knit community have been braving cold, rainy weather and waiting for up to five hours to pay their respects to the victims of last week's shooting, Bittman said.

"It's an assembly line of wakes and funerals," she said. "We can't even figure out which ones to go to, there are so many."

On Wednesday, a police honor guard saluted Soto, a first-grade teacher who died trying to shield her students from bullets, as bagpipers played outside the Lordship Community Church in Stratford, Connecticut. The church set up more than 100 chairs outside the building to accommodate the overflow of people paying their respects.

"You were an angel to those 19 children you protected, to the 19 families and the community," Soto's sister Jillian said at the service.

Soto, 27, wanted to be a teacher since she was 3 years old.

She "instinctively went into action when a monster came into her classroom and tried to protect the kids that she loved so much," cousin James Wiltsie said. "We just want the public to know that Vicki was a hero."

U.S. Education Secretary Arne Duncan traveled to Newtown to pay his respects to the family of school principal Dawn Hochsprung and "to hear from educators on how we can help," he said on Twitter.

Hochsprung's family had calling hours scheduled for Wednesday. Her funeral will be private on Thursday and held outside of Connecticut.

Several students were honored in funerals Wednesday:

-- Seven-year-old Daniel Barden, whose "fearless" pursuit of happiness earned him ripped jeans. Taking after his musician dad, Daniel formed a band with his brother and sister, playing the drums. "He embodied everything that is wholesome and innocent in the world," Daniel's family said.

-- Six-year-old Caroline Previdi's relatives were saying their final goodbyes Wednesday. Even after her death, 6-year-old Caroline continued to touch the lives of others. A Facebook page called "RIP Caroline Previdi -- Sandy Hook Massacre Victim" had more than 5,400 "likes" on Wednesday morning.

-- Six-year-old Charlotte Bacon also had a burial scheduled for Wednesday. Charlotte was a beaming bundle of energy under bright red curls.

Black hearses with caskets will continue driving through Newtown for days to come.

Some cities across the country are planning a moment of silence Friday morning, marking a week since the massacre.

Remembering the victims

Read more: First-responders recount initial chaos

HLN journalist Rita Cosby and CNN's Catherine E. Shoichet, Jessica Yellin, Dave Alsup, Susan Candiotti, Sandra Endo and Daphne Sashin contributed to this report.

@highlight

Friends say Nancy Lanza vacationed alone the week of the shooting

@highlight

Obama vows to push "without delay" a set of proposals that will be due by January

@highlight

No single law or set of laws can prevent gun violence, the president says

@highlight

Newtown United holds an open meeting on "sensible gun legislation"