Tripoli, Libya (CNN) -- Britain's decision to expel Moammar Gadhafi's diplomats from London ensures that the bloody test of wills in Libya will grind on for weeks, if not months to come.

Barely 15 days ago, there was optimism from regime insiders here in Tripoli that a deal was in the works to resolve the five-month conflict. Perhaps this was because the Muslim holy month of Ramadan was fast approaching, and with it, an anticipated slow-down in fighting on the front-lines. Also, the regime was engaged in talks on multiple fronts with its European, American, and Libyan opponents.

Developments over the last two weeks appear to have killed those hopes.

First, the United States joined the growing list of countries officially declaring the rebel council based in Benghazi the "legitimate governing authority for Libya."

A day after Secretary of State Hillary Clinton made the announcement in Istanbul, Turkey, the message was personally delivered during a round of secret talks in Tunisia. The Americans said they had one message for the Libyans, "Gadhafi must go."

At roughly the same time, the Benghazi-based rebels mounted an attack on the eastern front, against the long-contested oil town of al-Brega.

Gadhafi's main spokesman accused the NATO military alliance of assisting rebels in the assault. He also drew a rhetorical line in the sand around al-Brega, declaring dramatically, "We will kill, we will die for oil. You come to get our oil, we will destroy you."

Since then, the rebel advance on al-Brega has slowed, reportedly due to deadly fields of land mines.

The rebels admit hundreds of their fighters were killed and wounded during a week of fighting around al-Brega, which Ibrahim grandiloquently re-branded "Libya's Stalingrad."

Meanwhile, the Tripoli regime has been staging large rallies in support of its embattled leader.

Enthusiastic, flag-waving crowds thronged the central squares of different regime-controlled towns and cities. Partisans swore allegiance to Gadhafi and defiantly fired volleys of gunfire in the air. State TV provided blanket coverage of the events, labeling them "million man marches."

The size of the rallies has been the subject of heated debate between foreign journalists and government officials.

But there is no question that Tripoli has been shoring up popular support for the man who has ruled this country for more than 40 years.

Government officials argue that the rallies prove Gadhafi is the democratic choice of the Libyan people, a position that the rebels have fought and bled to refute.

Therein lies the main sticking point. The regime insists cease-fire first, then talks, while also adding that Gadhafi's position as "Brother Leader" is non-negotiable. Benghazi and NATO say no talks until Gadhafi goes.

In recent days, both the rebels and officials in Paris, London and Washington softened their demands. They indicated one possible way out of the stalemate could include Gadhafi remaining in Libya, rather than going into exile.

But Wednesday's announcement by Britain's top diplomat marked yet another escalation against Gadhafi and his cohorts. William Hague announced he would hand over Tripoli's embassy -- as well as some of its frozen funds -- to the rebels in Benghazi.

Gadhafi has never been this internationally isolated, even in the dark days of the eighties when Ronald Reagan famously labeled him "mad dog of the middle east."

Turkey and even Germany, which abstained from the U.N. resolution authorizing the NATO operation in Libya, have both pledged to hand over hundreds of millions of dollars worth of regime assets to the rebels. Even tiny Malta, long described as the "gateway to Libya," has all but broken with the Tripoli regime.

This week, the United Nations special envoy to Libya seemed to kill all hope for peace. After yet another round of shuttle diplomacy between the rebels and the regime, Abdul Ilah al-Khatib offered this grim assessment: "Both sides remain far apart on reaching agreement on a political solution."

A senior Muslim cleric told CNN that in the month to come, loyalist soldiers could break their daily Ramadan to better fight against what the regime calls "the colonialist, crusader aggression."

Ramadan begins in just a few days. Expect Libya's holy month to be a bloody one.

@highlight

There was optimism recently from regime insiders in Tripoli that a deal was in the works

@highlight

British move seen as escalation against Gadhafi

@highlight

Libya insists that a cease-fire must come first

@highlight

Rebels and their Western allies say Gadhafi must go