It's for just one congressional seat for about eight months, but Tuesday's special election in Florida has taken on huge political significance.

National Republicans are framing Tuesday's special election as a referendum on Obamacare. But their message -- plus a flood of outside spending by Democrats focused on the issue of Social Security -- is drowning out other issues in the race, Republican candidate David Jolly says.

His Democratic opponent, Alex Sink, isn't shying away from the health care debate, touting the law's benefits and saying she's open to improvements.

Both parties are looking at this race as a testing ground for their messages going into the midterm elections. Florida's 13th District is one of a small number of competitive ones, and Republicans and Democrats say the tight race here will come down to which campaign gets its supporters out.

Both sides have spent more than $11 million on media and direct mail, according to data from the Sunlight Foundation. The bulk of that spending comes from outside groups hoping to shape two very different narratives.

Eight things to watch between now and Election Day

Republican groups and Jolly's campaign have concentrated on tying Sink to Obamacare and its rocky rollout and to President Barack Obama and House Democratic Leader Nancy Pelosi, who have low approval ratings among independent voters.

Jolly thinks the health care law is a top issue for voters, but the message he was trying to deliver last week at a senior center focused heavily on local issues. "There is a lot more going on here that just Obamacare," he said.

Jolly served as a longtime aide to GOP Rep. Bill Young, whose death last October after representing the area for more than 40 years prompted the special election.  At the senior event, Jolly pointed out his connection to Young and the federal resources the late congressman helped to deliver for the district, saying Young was "nearly a father to me."

Borger: Congress takes the year off

But Democrats are trying to make Jolly's work as a Washington lobbyist after he left Young's staff the driving issue in the campaign, arguing he backed changes to Social Security that could cut benefits.

The district has one of the highest concentrations of voters over age 65 in the country. Talk about changing retirement benefits or any concerns that Obamacare provisions could affect health care coverage resonate strongly with voters here.

Pre-emptive strategy on Obamacare

Standing next to former Florida Democratic Sen. Bob Graham at an event with seniors at her campaign office, Sink called the current programs "an American promise" and said, "those programs were put in place for a good reason, and I'm going to fight to protect the integrity of the Social Security and Medicare programs for all of us."

Sink, who served as Florida's chief financial officer and ran unsuccessfully for governor in 2010, recognizes that Obamacare is a major issue.  She acknowledges that the Obama administration's proposal to cut the popular Medicare Advantage is a major worry among older voters, who she says will make up half of the electorate in the race.  Other Democratic candidates tend to avoid the O-word, but Sink talks about the law's benefits and argues she won't go back to the old system.

Crist: Democrats 'ought to strengthen up' and support Obamacare

Sink's strategy on Obamacare appears to be pre-emptive: she stresses how the health care law will help people but also notes it has some major flaws that need fixing.

She said she is open to Republican-backed plans to change the law's current requirement that employers provide health insurance to employees who work more than 30 hours a week. She also said Obamacare's current requirement that businesses with more than 50 employees offer health insurance is "an arbitrary number" and says she wants to work across party lines to adjust the law to avoid any "unintended consequences," such as keeping businesses from expanding.

Obama: Democrats 'sleepy' during midterms

Jolly reiterates the Republican mantra that Obamacare must be repealed altogether. Because his own campaign hasn't raised nearly as much money as Sink's, the bulk of the ads and direct mail attacking Sink are from the National Republican Campaign Committee and other allies like the U.S. Chamber of Commerce and the American Action Network, which backs GOP candidates in House races.

Although he concedes it's not likely to happen, Jolly says he remains committed to getting rid of Obamacare entirely.  He ticks through his plan to cover younger workers with a small government program and says he wants to make sure those with pre-existing conditions can always obtain insurance.

Some Republicans worry about repeal-Obamacare strategy

He said Obamacare shows "two very different views of government.  We can talk about specific health care solutions, but it really comes down to a view of government that says we need more government in individual lives.  We need individual mandates and we need more interference between government and families versus a view of government that says no, we don't. That's wrong. "

Some Republicans worry that the bright line the party is drawing about repealing Obamacare isn't the right tactic.

Bob Sikora, a resident at the Regency Oaks senior community who supports Jolly, told CNN he thinks the GOP should be talking about improving the law instead of scrapping it entirely.

"I would certainly think personally if I were in charge of his campaign, I would not have said, 'I'm out to repeal it' -- he's been forced to say that by some of the party higher-ups that control the tea party, which is controlling what Republicans are saying right now," Sikora said.

Sink told CNN the concerns about the health care law are lower on the priority list for people in the district.  She puts it as "fifth" on the list of things voters raise with her at forums, after homeowners' worries about the skyrocketing costs of flood insurance, veterans issues, and the fear that any plans to start offshore drilling could hurt the tourism industry in this beach community.

But one Sink supporter, Julie Meyer, who runs a retail shop in St. Petersburg, told CNN she thinks voters and the candidates should be talking about Obamacare.

"I would like the conversation. I think there are blatant lies about what is being said about Obamacare and that's very, very unfortunate, because people should be able to decide with the real information," Meyer said.

Texas kicks off first primary of 2014

Democrats had a head start

Democrats had the advantage going into the race because they did not have to spend time and money on a primary.  Jolly endured a contentious primary in January and didn't have any significant resources going into the general election.  With no primary opposition, the Sink campaign went to work against Jolly early and stuck with the line of attack that electing him would send someone to Washington who wanted to cut Social Security.

The Democratic Congressional Campaign Committee and outside groups have spent millions to drive that message home and link it to Jolly's lobbying history. House Majority PAC, an outside group that backs Democratic candidates, has spent close $750,000 on one ad that says Jolly "lobbied for a special interest that wanted to privatize Social Security."

Jolly insists that Sink has misrepresented his position on the issue and says he would vote against the House Republican budget authored by Budget Committee Chairman Paul Ryan because of the changes it would make to Social Security and Medicare.

"They spent a million dollars painting me as an extremist and a million dollars on Social Security and Medi-scare and Social Security claims that are false," the GOP candidate told CNN.

Poll: Anti-incumbent feelings at all-time high

Jolly reiterates he opposes the proposals to privatize retirement accounts or alter how Medicare benefits are structured.

"I think the current reform plans are too aggressive, and I don't think we should pursue them," Jolly said.

Republicans privately acknowledge that Sink's ability to start her ads early, combined with the fact that her campaign and the outside groups supporting her are outspending them, has hurt.

David Wasserman, who analyzes House races for the Cook Political Report, told CNN that "Democrats have been more consistent with their message in this race, building a narrative about Jolly as a lobbyist who operates behind closed doors, and that has clearly helped."

District is evenly split

This district is split down the political middle -- 37% of those registered to vote are Republicans, about 35% are Democrats and 28% are unaffiliated or back a third-party candidate.  There is a libertarian candidate, Lucas Overby, competing in the race, and he has participated in the three major debates. But it's unclear what kind of impact he'll have in drawing votes away from Jolly or Sink.

Florida allows absentee voting by mail, and well over half of those who were mailed ballots have returned them.  In past election cycles, Republicans have traditionally posted a stronger return rate of absentee ballots, but the Pinellas County supervisors office reports that the GOP holds about a 4-point edge over Democrats sending in their ballots.

Voters here frequently mention their distaste for the gridlock in Washington, and supporters of both Sink and Jolly told CNN they aren't sure that their candidate will be able to change much.

Tami Simms, a registered independent who backed Young in the past and works as a Realtor in St. Petersburg, told CNN she's voting for Sink.  But she's unsure a new, more junior representative will deliver the same results.

"I know there are some concerns that no one is going to have (the) power that Congressman Young had from his tenure and from his longtime experience. There was more than just his tenure that allowed him to move funding for projects in this area."

If Jolly wins on Tuesday, Republicans will certainly say retaining this competitive seat is a validation of their plan to make Obamacare the central issue this fall.

A Democratic victory could have other candidates across the country adopting Sink's approach to discussing health care with a "fix-it" attitude.

House Speaker John Boehner made it clear that even if the Democrats manage to pick up this seat, his party's midterm strategy won't change.  Asked if a loss in this special election could alter the GOP message of repealing Obamacare, Boehner replied simply, "No."

@highlight

Both parties are testing messages for fall midterms in Tuesday's special election

@highlight

Republicans trying use Obamacare to frame midterm elections

@highlight

Republican candidate says outside anti-Obamacare ads are drowning other issues

@highlight

Democrat is confronting Obamacare debate, saying there's room for improvement