(CNN) -- The search for debris that could belong to missing Malaysia Airlines Flight 370 evokes different emotions for relatives of the passengers.

Some just want closure; others might have their hopes of seeing their loved ones alive dashed.

The objects, seen in satellite images taken Sunday, have not been confirmed to be parts of the missing plane. The first search plane to fly over the area found no sign of debris.

Still, Malaysia's interim transportation secretary called it a "credible lead."

So the hopes and fears of the passengers' families are once again floating to the surface as they await a definitive answer on the newest clue.

"It strikes me as just one more lead that may or may not come true," said Sarah Bajc, the partner of American passenger Philip Wood. "So it's enough to make us all anxious again after a couple of days of quiet, but you know, I'm cautiously pessimistic that it's not a piece of the plane."

Bajc's intuition is that the passengers are alive, the victims of a hijacking plot in which their return remains a possibility.

"So if this debris is indeed part of that plane, then it kind of dashes that wishful thinking to pieces," she told CNN's Chris Cuomo. "So I really hope it's not a part of the plane, but, you know, if it is, then at least we can go down another path of deciding that maybe we need to start preparing for another scenario instead."

Officials from Malaysia Airlines met with passengers' families in Kuala Lumpur behind closed doors for about two hours Thursday.

They were shown the satellite images that were used to pinpoint the debris but also told that there is no confirmation that it is the plane.

The families, for now, were reserving judgment on what the new development may bring.

Many who entered the meeting were stoic, doing their best to stay composed in stressful times.

Relatives waiting at a Beijing hotel watched on TV as Australian Prime Minister Tony Abbott briefed the Australian Parliament on the "new and credible" information about the two objects in the southern Indian Ocean that could be from the plane.

The families' mood was tense as they watched Abbott report the new findings. A heavy sigh punctuated the attentive atmosphere, giving voice to their frustrations.

As they listened to a Chinese translation of the news conference, the relatives hung on every word, sitting up straight or edging forward.

Psychologists attending to the relatives in Beijing are worried that when definitive news comes out, it could be overwhelming for the families. Some of the elderly have reported suicidal thoughts because their only children -- products of China's one-child policy -- were on Flight 370.

It could be just as hard on the families if the debris turns out to be a false lead.

"I firmly that believe my son, together with everyone on board, will all survive," said Wen Wancheng, a missing passenger's father.

"This is the first time in my life to experience something like this," he said. "In the past I just watched other peoples' stories on the news. I watched explosions, ships sink and plane accidents. Those were other peoples' stories. This time, it is my turn for bad luck. It is my turn to actually experience this. This is not watching news; it is living it."

At the hotel in Beijing where the briefings are held, a message board was put on a wall and, within a few hours, was overflowing with notes.

"Dear dad, I miss your face, I miss holding your hand, I miss hearing your teachings and your wisdom," one message said.

Malaysian acting Transportation Minister Hishammuddin Hussein said he understands that the news about the debris will be foremost on the families' minds.

"We do care about them, and we understand what they are going through," he said.

"For the families around the world, the one piece of information that they want most is the information we just don't have: the location of MH370," he said.

Bajc disagreed that the relatives are a priority for the officials.

"I don't necessarily think the people investigating the situation are particularly caring about what the families feel like. They're caring about finding the plane, and that's probably as it should be," she said.

In Kuala Lumpur, where Flight 370 originated, families had the same mixed feelings as those in Beijing and elsewhere.

Selamat Bin Omar, the father of one of the passengers, said he hopes those on board are still alive but is ready to acknowledge that the plane may have met another fate.

"My feeling is, personally, I am grateful to the Australian government for finding it," he said. "Both governments, Australia and Malaysia. I thank them. If it's true, I will accept that."

Malaysia Airlines said it won't be sending representatives or family members to Australia unless the objects are confirmed as plane debris.

LIVE: Latest updates on the missing Malaysia Airlines jetliner

If this is the debris of Malaysia Airlines Flight 370, what happens next?

Anger as relatives confront officials

Difficulties may hamper Flight 370 search

Searching for the plane truth -- amid speculation

CNN's Atika Shubert contributed to this report from Kuala Lumpur, and Pauline Chiou, Yuli Yang and David McKenzie contributed from Beijing. Mariano Castillo wrote the story in Atlanta.

@highlight

NEW: "This is not watching news; it is living it," says father of one passenger

@highlight

Australian authorities say satellites spotted debris that could belong to Flight 370

@highlight

There is no confirmation that it is part of the plane

@highlight

But the news has elicited varying emotions from relatives of the passengers