(CNN) -- In one of the clinics in Arsal, a young fighter asks that we conceal his identity, going simply by the name Ahmed.

Three years ago, when Syria's revolution had not yet morphed into the brutal war it is today, the 20-year-old was still in high school. His ambition in life was to be a doctor, but a year-and-a-half ago that all changed.

"We reached a point where if we don't fight, we will get killed, it was the only option," Ahmed tells us, one hand rubbing against the bandages swathed around his waist. "If I don't fight for my country then who is going to?"

Ahmed was wounded during the fighting for the town of Yabroud, just across the border.

"It's a strategic area, it's a main access route to get the wounded out and the medical and other aid in," Dr. Kasem Zein explains, as he checks Ahmed's wounds.

Pleas for mercy

In pre-revolution Syria Dr. Zein was a gastroenterologist, hardly equipped to deal with war wounds ranging from bullets to severed limbs.

The doctor is a familiar face, known to us in the media and the world from countless YouTube videos during the fighting for the town of Qusair.

Often overwhelmed by the sheer numbers of casualties Dr. Zein would broadcast impassioned pleas for mercy, for help, but none came.

He spent more than two years apart from this family. Over the summer when Qusair, due to an influx of hardened Hezbollah fighters fell back to the regime, Dr. Zein fled to Lebanon.

"It's not just a war with weapons -- it's a war on our soul, our psyche," he says. "It's all death, but at least here it is slightly more gentle."

Increasing tensions

Arsal was once a sleepy border town tucked amidst the mountainous terrain of Lebanon's eastern frontier with Syria. The flow of Syrian refugees has seen the town's population roughly triple, makeshift camps seeping into any open space or empty lot.

Lebanon hit the one million registered Syrian refugee mark last week. The number is on track to hit 1.5 million, according to the UN.

This in a country whose own population is 4.4 million. Aid agencies can offer little. The United Nations' refugee agency, the UNHCR, says it only has $242 million of the $1.89 billion needed just for the Syrian refugee crisis in Lebanon alone.

Some towns house more Syrians than Lebanese, and while many Lebanese sympathize with the plight of the Syrians, the strain being put on this tiny nation is unsustainable and tensions are increasing.

Lives forever scarred

Arsal finds itself in the crosshairs of the Syrian war, a Sunni enclave in Lebanon's Shi'a Bekka valley -- Hezbollah's stronghold.

Hezbollah dispatched its fighters to battle alongside the Assad regime, its hardened fighters allowing the Syrian government to reclaim key towns and territory close to the Lebanese border, choking-off key supply lines for the rebels, and sending masses streaming into Lebanon.

Lives lost, lives forever scarred, a population that hardly recognizes its homeland or in many cases even itself, thrown into the midst of unimaginable violence, adapting to survive.

In one of the newest refugee camps on the outskirts of Arsal, under a rusty Ferris wheel, the youngest residents dart through large chunks of limestone. The men gather around us, angry, desperate, frustrated.

"Is this a way to live?" one man demands. "If we were animals the world would have more compassion."

@highlight

The Lebanese town of Arsal lies just across the border from war-torn Syria

@highlight

Since the Syrian conflict broke out, the flow of refugees has roughly tripled Arsal's population

@highlight

A million Syrian refugees are now registered with the U.N.'s refugee agency in Lebanon

@highlight

The U.N. says it has just $242M of the $1.89B it needs for the crisis in Lebanon alone