Vatican City (CNN) -- Call him Pope Francis, the pontiff of firsts.

When Jorge Bergoglio stepped onto the balcony at the Vatican on Wednesday to reveal himself as the new leader of the world's 1.2 billion Catholics, he made history as the first non-European pope of the modern era, the first from Latin America, the first Jesuit and the first to assume the name Francis.

What do you think about the new pope? Tell us.

The new pope then quickly made another kind of history, breaking with tradition in his first public act before the 150,000 people packed into St. Peter's Square. Rather than bless the crowd first, he asked them to pray for him.

"Let us say this prayer, your prayer for me, in silence," he told the cheering crowd.

The willingness by Francis to dispense with tradition was interpreted by a Vatican spokesman as a sign he will be willing to chart his own path in other ways.

Pope's name choice 'precedent shattering'

"We have a pope who probably upset some people tonight by not following the formula," the Rev. Tom Rosica said.

The pontiff also broke with another tradition by refusing to use a platform to elevate himself above the cardinals standing with him as he was introduced to the world as Pope Francis.

"He said I'll stay down here," Cardinal Timothy Dolan, archbishop of New York and the president of the U.S. Conference of Catholic Bishops. "He met each of us on our own level."

Francis, wearing white papal robes, appeared on a rain-soaked night to the throngs shortly after being elected by cardinals in what apparently was the fifth round of voting on the second day of the conclave.

"As you know, the duty of the conclave was to appoint a new Bishop of Rome," he said.

"It seems to me that my brother cardinals have chosen one who is from faraway. But here I am. I would like to thank you for your embrace."

As pope, Bergoglio takes the helm of a Catholic Church that has been rocked in recent years by sex abuse by priests and claims of corruption and infighting among the church hierarchy.

First Latin American pope 'very exciting'

Conservative reformer

The 76-year-old Bergoglio, who served as the archbishop of Buenos Aires, is the first pope to take the name in honor of St. Francis of Assisi, revered among Catholics for his work with the poor. St. Francis is viewed as a reformer of the church, answering God's call to "repair my church in ruins."

The pontiff is considered a straight shooter who calls things as he sees them, and a follower of the church's most social conservative wing.

As a cardinal, he clashed with the government of Argentine President Cristina Fernandez de Kirchner over his opposition to gay marriage and free distribution of contraceptives.

Latin America is home to 480 million Catholics. By choosing Bergoglio, the cardinals sent a strong message about where the future of the church may lie.

According to a profile by CNN Vatican analyst John Allen and published by the National Catholic Reporter, Francis was born in Buenos Aires to an Italian immigrant father.

5 things to know about the new pope

He is known for his simplicity. He chose to live in an apartment rather that the archbishop's palace, passed on a chauffeured limousine, took the bus to work and cooked his own meals, Allen wrote.

Francis has a reputation for being a voice for the poor.

World reacts

Word of the election of Pope Francis, who was not considered a front-runner among analysts, quickly spread around the globe, with everyone from U.N. Secretary-General Ban Ki-moon to U.S. President Barack Obama offering congratulations.

"As the first pope from the Americas, his selection also speaks to the strength and vitality of a region that is increasingly shaping our world, and alongside millions of Hispanic Americans, those of us in the United States share the joy of this historic day," Obama said.

World reacts to new pope

Ban said the new pope shares common goals with the United Nations, from the promotion of peace to social justice.

"We also share the conviction that we can only resolve the interconnected challenges of today's world through dialogue," he said.

Nowhere was the reaction to Bergoglio's selection as pope more surprising than in Latin America.

"I am truly still very surprised ... not just that a Latino pope came out, but that he is an Argentinian from Buenos Aires," the Rev. Eduardo Mangiarotti told CNN en Espanol.

Calling Benedict

The new pope called his predecessor, Benedict XVI, after he was elected, Rosica said.

Francis plans to visit with Benedict on Thursday ahead of an evening Mass with the cardinals in the Sistine Chapel, according to the Vatican

Francis participated in the conclave that elected Benedict in April 2005. He was widely reported to be a runner-up to Benedict in the election.

The new pontiff will deliver the traditional Angelus blessing from the Vatican on Sunday, Rosica said.

Francis will be formally installed as pope at a Mass on Tuesday, according to the Vatican.

What's in a name?

Bergoglio's selection of the name of Pope Francis is "the most stunning" choice and "precedent shattering," Allen said. "The new pope is sending a signal that this will not be business as usual."

The name symbolizes "poverty, humility, simplicity and rebuilding the Catholic Church," Allen said.

St. Francis of Assisi was born in 1181 or 1182 the son of a rich Italian cloth merchant, according to the Vatican website.

After "a carefree adolescence and youth," Francis joined the military and was taken prisoner. He was freed after becoming ill, and when he returned to Assisi, Italy, a spiritual conversion began, and he abandoned his worldly lifestyle.

In a famous episode, Christ on the cross came to life three times in the small Church of St. Damian and told him: "Go, Francis, and repair my Church in ruins," Pope Benedict XVI said, according to Vatican's website.

CNN's Richard Allen Greene and Hada Messia reported from Vatican City, and Chelsea J. Carter wrote and reported from Atlanta. CNN's Dana Ford, Catherine E. Shoichet, Mariano Castillo and Greg Botelho contributed to this report.

@highlight

Pope Francis refused to stand on an elevated platform, a cardinal says

@highlight

Francis will meet with his predecessor on Thursday, Vatican says

@highlight

Jorge Bergoglio, breaks with tradition, asks crowd to pray for him

@highlight

Request is a break with tradition, the Vatican says