MALE, Maldives (CNN) -- The new president of the Maldives wants to relocate -- his entire country.

Much of Male, capital of the Maldives, was flooded following the 2004 tsunami.

Mohamed "Anni" Nasheed, a former political prisoner, was sworn in Tuesday after he unseated Asia's longest-serving leader in the country's first multi-party elections two weeks ago. He inherits an island nation with several problems.

Foremost among them: the very likely possibility that the Maldives will sink under water if the current pace of climate change keeps raising sea levels.

The Maldives is an archipelago of almost 1,200 coral islands located south-southwest of India. Most of the islands lie just 4.9 feet (1.5 meters) above sea level.

The United Nations' Intergovernmental Panel on Climate Change has forecast a rise in sea levels of at least 7.1 inches (18 cm) by the end of the century.

The island was badly hit by the December 2004 tsunami, which killed an estimated 273,800 people and left thousands missing across Asia and Africa.

In the Maldives itself, at least 82 people were killed and 26 unaccounted for from a population just over 270,000, according to the Maldives Disaster Management Center. Sixty-nine islands were completely flooded and a further 30 islands half flooded.

The capital of Male was also flooded, although sea walls protected it from further devastation. The government has calculated that creating a similar barrier around the rest of the country would cost too much.  Watch Maldives president vow to save the nation. »

And so the tourist nation, which has white sandy beaches that lure well-heeled Westerners, wants to set aside some of the $1 billion a year it receives from tourism and spend that money on buying a new homeland.

"We will invest in land," Nasheed said. "We do not want to end up in refugee tents if the worst happens."

Nasheed's government has said that it has broached the idea with several countries and found them to be "receptive."

Lands owned by Sri Lanka and India are possibilities because the countries have similar cultures, cuisine and climate as the Maldives. Australia is also being considered because of the vast unoccupied land it owns.

Climate change is not the only challenge the new president will have to tackle, though. Other thorny issues include rising unemployment, corruption and a staggering drug epidemic.

By some estimates, one of every three Maldivian youth uses drugs.

Maldivians also worry that their tiny secular nation of 370,000 Muslims could fall prey to the reach of Islamic radicals. A bombing in Male, attributed to Islamic extremists, wounded 12 tourists in September 2007.

"We have made many pledges," Nasheed said in his inaugural address. "The citizens gave their majority vote to us to implement these."

Nasheed said he will work to bring affordable housing and medical care for everyone. Twenty-one percent of the population lives below the poverty line.

Nasheed, a 41-year-old one-time journalist, was among the fiercest critics of former President Maumoon Abdul Gayoom, who came to power in 1978 and ruled the Maldives for 30 years. He won the six previous elections as the only candidate on the ballot.

Nasheed contended that Gayoom ruled with an iron fist, crushing dissent, amassing wealth and stacking his administration with friends and relatives.

Gayoom's critics say his government enforced a system of 'apartheid' tourism that banned most Maldivians from nearly 90 luxury resorts.

Shortly before election day, an auditors' report said that millions of dollars were improperly accounted for by Gayoom's government. He disputed the findings.

Nasheed was arrested several times in the last 15 years and held as a political prisoner.

Five candidates challenged Gayoom for the presidency in elections held on October 9.

Gayoom said he needed a seventh five-year term to see through the reforms he put in place. But critics said Gayoom instituted democratic reforms -- and legalized political parties -- only after violent protests in 2004 and 2005.

Nasheed and Gayoom ended up in a runoff -- with Nasheed winning 54 percent of the votes to Gayoom's 46 percent in the October 28 race.

"No other citizens in the world in modern times have changed a 30-year-old regime so peacefully," Nasheed said in address.

As the clock struck 12 a.m. Tuesday, Gayoom quietly exited the presidential office.

"I deeply regret any actions on my part ... (that) led to unfair treatment, difficulty or injustice for any Maldivian," he said in a farewell speech.

"From anyone who had had to face any such unfair treatment, difficulty or injustice, I sincerely seek forgiveness."

Maldivians took to the streets in a celebration that carried into the wee hours of the morning. Residents danced to the beats of local bands and feasted on rice and mutton.

They decked the cobbled roads of Male with the red-and-green flag of the Maldives and the yellow banner of Nasheed's Maldivian Democratic Party.

"We cannot believe that this is happening. I have spent more than half my life in exile in Sri Lanka," said Nasheed's close confidant Mohammed Naseem.

Journalist Sumon K. Chakrabarti in Male and CNN's Saeed Ahmed in Atlanta contributed to this report.

@highlight

Newly sworn-in Maldives president vows to buy land to relocate entire nation

@highlight

Climate change-threatened Indian Ocean islands could sink under rising sea levels

@highlight

Maldives is considering land in Sri Lanka, India and Australia

@highlight

Island was badly hit by tsunami of 2004, with more than 100 people dead or missing