(CNN) -- Ever since he was a young boy, Kenyan artist Cyrus Kabiru has envisaged breathing new life into his surroundings.

"When I woke up every morning, the first thing I'd see was trash," recalls Kabiru, whose childhood home faced a garbage heap where all of Nairobi's waste was dumped. "I used to say to my dad that when I grow up, I want to give trash a second chance."

And that's exactly what he went on to do.

A self-taught sculptor and painter, Kabiru is crafting visually striking artworks from abandoned refuse he collects from the streets of the Kenyan capital.

The talented artist is best known for his "C-Stunners," a series of eye-catching handmade spectacles. In Kabiru's hands, cast-aside bolts, wires, spoons and bottle tops gain a new lease of life as vital components of whimsical pieces of art.

Stripped of their original value, the recycled materials are transformed into steampunk, one-of-a-kind creations that transcend traditional forms and challenge stereotypes.

"I don't see trash as waste," says Kabiru. "I just see the trash as a chance for creativity."

Early struggles

The resourceful artist's fascination with glasses started at a very young age, inside the small two-bedroom house he shared with his parents and five siblings.

He wanted to have a pair of his own spectacles, but his glasses-wearing father refused to give him his or get him any new ones. Back in the 1960s, Kabiru's father was beaten by his mother after accidentally destroying a pair of expensive glasses she'd bought him. That incident stayed with Kabiru's father, who told his young son that if he wanted to have eyewear, he should make it himself.

Read this: 3D cartoon sees Kenya's politicians battle like 'Transformers'

Kabiru took his father's words to heart. Soon after, he started crafting his own frames using cutlery, plastic and any other materials he could find in his house. Uninterested in studying, Kabiru would stay up at nights to sculpt and paint; at school, he'd use his creations to barter with his classmates.

"I never did exams, I never did homework," explains Kabiru. "I used to exchange: 'you'll do my homework, I'll give you my artwork, you'll do my exam, I'll give you my artwork,' so that's how I survived in school."

After finishing high school, Kabiru's father wanted him to study electronic engineering, like most members of his family.

Kabiru, however, had no desire to study. His rebellious attitude, coupled with his refusal to adhere to any norms, didn't go down well with his family or community.

"I grew up being a bad example," says Kabiru. "Grownups used to tell their kids, 'you need to work hard or you'll be end up like Cyrus.'"

International recognition

Without any support from his family, Kabiru took his artwork and moved from his house to embark on his artistic journey.

He rented a studio where, apart from his arresting spectacles, he started working on colorful and satirical paintings, as well as sculptures -- all made of recycled materials collected while roaming the streets of Nairobi.

"I love nature," says Kabiru. "I walk every day, I can't survive without walking," he adds. "I don't know how to sit idle."

Today, Kabiru's remarkable creations and commitment to the environment are increasingly earning him international recognition. He's been invited to speak at major events such as the TED2013 conference in California and Milan Fashion Week, while his work has been featured in many shows across the world.

Read this: Boy's flashy invention scares off lions

Closer to home, Kabiru says things are changing as well -- his perseverance and hard work have now turned him into a "good example" for youth in his community. Earlier this year, Kabiru's father also visited his studio for the first time and was amazed by his son's work.

"[It made me] very proud," says Kabiru. "They are now understanding me, so I'm very happy."

"Selling poverty"

It's been an arduous journey for the soft-spoken artist, now in his 20s. "It's hard to be an artist in Kenya," he admits.

But Kabiru doesn't want to dwell on the struggles of the past or the problems he's currently facing. Too many Kenyan and African artists, he says, are interested in "selling poverty instead of creativity."

"You get people saying, 'I grew up in the Kibera slum, I grew up in this place and this place, buy my art,'" says Kabiru.

"I want to change that -- not telling people about my problems, the poverty," he adds. "I think it's good to sell the creativity you have done, telling people you have this place [so they can come] to buy your work and see your ideas."

Promoting art

When he's not crafting compelling artwork in his studio, or scouring the streets for materials, Kabiru is visiting rural communities in Kenya as part of his "Outreach" initiative, aimed at encouraging creativity and raising awareness about ecological issues in his country.

In these areas, he holds workshops and teaches people how to create art with the materials surrounding them in an environmentally friendly way. He says he targets older generations because they are the ones who can have an impact in their communities.

"If I teach grandmothers something about deforestation or taking care of nature, it's easier for grandmothers to teach their children," he says.

And even though Kabiru's art is winning more and more admirers of all ages both home and abroad, there's still one older person who needs convincing.

"My grandmother is, up to now, keep looking for a good job for me," says Kabiru. "When you visit my grandmother, she asks you whether you work," he adds. "If you say you're working, she'll ask you whether you can get an extra job for me."

@highlight

Cyrus Kabiru is a Kenyan self-taught sculptor and painter

@highlight

He crafts artworks from found objects he collects in the streets of Nairobi

@highlight

He is best known for his series of eye-catching handmade spectacles

@highlight

Kabiru has been invited to speak at TED2013 conference and has shown his work around the world