Beijing (CNN) -- Walking down the streets of Beijing, it's hard to avoid seeing red slogans lining the sidewalks. Switching on a TV at home, almost every channel hosts a gala show performed on a red-colored stage.

Such things are all part of a country-wide "red" campaign that China has promoted for several months in preparation for its big red-letter day, July 1. On that day, the Communist Party of China (CPC) celebrates its 90th birthday.

The campaign ranges from impromptu singing sessions of "red songs" in city squares to touching personal stories of "red stars" in Chinese newspapers; from showing red movies in theaters to red tours of former party leaders' hometowns.

A focus of the campaign has been on historical sites of the Revolution. According to CCTV, more than 8 billion yuan (US$1.2 billion) has been spent sprucing up famous places like Mao Zedong's hometown since 2004, and thousands of young professionals are encouraged to visit these sites.

In his hometown, Mao a source of pride

In Beijing, preparation for the big day is intense. A giant emblem of the Communist Party, the hammer and sickle, was erected at the heart of Tiananmen Square. Huge flower displays of the number 90 are at all major intersections. Banners with slogans congratulating the Party's achievement hang at pedestrian overpasses.

'Red Songs' campaign

The current fervor originated in Chongqing when Bo Xilai became the Party chief of China's biggest city. The municipality launched its "red song" campaign in June 2008 as the start of the Red Culture Movement. Bo promoted 45 red songs "by any means necessary," hoping they would replace pop songs in the hearts of the people.

"Red songs" refers to the pro-revolutionary songs that were popular during the country's revolution, reconstruction and reform period, according to Xinhua news agency which quoted music professor Fan Zhuyin.

Soon, the red song movement took one step further in Chongqing. The Chongqing satellite TV station suspended all crime shows and soap operas during prime hours TO show classic revolutionary dramas and musicals instead.

It didn't take long for Chongqing, in the south-west, to earn the nickname "Tomato," or "Xi Hong Shi" in Chinese -- the same pronunciation as "west red city".

Nostalgia

The Chinese central government praised the red song movement as a wonderful example, encouraging other cities to follow suit. And they did. More and more organized singing and Red competitions are happening in all different corners of China.

"I could sing these songs in the past and they can be dated back to my childhood," 62-year-old Lu Zhichun told CNN in Beijing. "My feelings toward these songs have not changed at all." Lu and a group of senior citizens gather in Beijing's Jingshan Park once a week to sing red songs. They said that all the red songs give them a sense of nostalgia.

"The government would like to see the nostalgia of the revolutionary era through songs many can identify as a means of increasing social cohesion," explains Wenran Jiang, associate professor at University of Alberta in Canada.

Communists, 90 years later, still fighting corruption

"It hopes that people can unite under common themes of building a better society, a strong country with the CPC still as its leadership in the many decades ahead," Jiang says.

Painful flashbacks

But to some Chinese, the red culture movement is not just another political campaign of the government. The feverish propaganda style and the enthusiasm it requires many painful flashbacks to Mao's Cultural Revolution and the ensuing political violence where tens of thousands died.

Blogger Kun Yun Shan Fang wrote recently, "Today's red song movement, to many people, brings back pain and trauma, and memories of being senseless and crazy which remind me of our wasted youth."

The red campaign has given rise to a heated debate on Mao's legacy. The 82-year-old economist Mao Yushi (no relation to Mao Zedong) declared in an article last month that Mao was one of the last century's greatest murderers and should no longer be regarded as a god by the Chinese people.

In response, conservative website garnered more than 50,000 signatures for a petition to have Mao Yushi prosecuted, and they have sent the petition to the National People's Congress, China's parliament.

At the recent press conference, when asked whether red song chorales springing up nationwide indicate an ideological return to the past, Wang Xiaohui, a senior official at the CPC Central Committee, said the red song fever does not signal an ideological shift.

Read more of CNN's China coverage

He Bing, a law professor at the Chinese University of Political Science and Law posted a critical comment that has been circulated all over the Chinese web: "This is a very absurd time: they encourage you to sing revolutionary songs, but don't encourage you to have a revolution; they encourage you to see the movie 'The Founding of the Party,' but don't encourage you to found a party."

"It is an obvious effort by the CPC to mobilize popular support in Chinese society at the 90th anniversary. It is further intended to boost the CPC's legitimacy before next year's party congress when younger and less known leaders take over," said Wenfang Tang, professor at the University of Iowa.

"What will be interesting to observe is how the younger generations (post-1980) react to such a propaganda campaign," Tang says.

"Their attitude toward the CCP is the key to China's political future," Tang explains.

Michelle Philips contributed to this report.

@highlight

Months-long campaign has promoted "red" culture throughout county

@highlight

Campaign comes ahead of celebrations of the Communist Party's 90th birthday on July 1

@highlight

Campaign has included sessions of "red" songs in city squares, showing of "red" movies

@highlight

Government is said to be hoping the nostalgia of the revolutionary era will increase social cohesion