(CNN) -- The Tea Party movement is trying to define politics in 2010, but its founding arguments can be traced to at least 1964 -- in a famous campaign speech given on Barry Goldwater's behalf by a Hollywood actor named Ronald Reagan.

• "This is the issue of this election: whether we believe in our capacity for self-government or whether we abandon the American revolution and confess that a little intellectual elite in a far-distant capital can plan our lives for us better than we can plan them ourselves."

• "No nation in history has ever survived a tax burden that reached a third of its national income. ... We've raised our debt limit three times in the last 12 months, and now our national debt is one and a half times bigger than all the combined debts of all the nations of the world. We have $15 billion in gold in our treasury; we don't own an ounce."

• "Our natural, unalienable rights are now considered to be a dispensation of government, and freedom has never been so fragile, so close to slipping from our grasp as it is at this moment."

The nationally televised address, known as "A Time for Choosing," is a classic -- smart, funny and still so resonant that the rhetoric Reagan used more than 50 years ago echoes in Tea Party protests today.

Reagan tried to raise the stakes of the election with a vision of apocalyptic ideological conflict, pitting heroic defenders of the Founding Fathers' vision against big-state bureaucrats, willfully wasting taxpayer dollars on counterproductive do-gooder programs that are dragging America toward socialism.

Consistent with the Tea Party's self-image, it was primarily an economic speech, advancing a small-government libertarian economic philosophy, making statistics come alive with talk of fallen empires and American history, arguments aided by the added urgency of global conflict with communism. There is the specter of growing government power eclipsing the Constitution, the perverse incentives of the welfare state as an insult to hardworking individuals, all culminating in a citizens' resistance against elite liberals ruling by fiat from Washington.

It is compelling stuff, with the pitch-perfect delivery of a trained actor finally getting to recite his own lines. Speakers echo its themes from stages today almost like a tribute band. But, of course, times have changed a lot since 1964 -- and so some questions arise.

First, if America's past was as idyllic as many Tea Party protesters seem to believe, how come Reagan was warning about America's eclipse back when the "Andy Griffith Show" was still in prime time? Well, the top marginal tax rate was a whopping 70 percent then -- almost double what it is today, and down from 90 percent just a year earlier. That's cause for a serious debate about socialism. It's a reminder that the past was never pure and simple -- though some Americans might remember it that way because they were children then.

Second, Reagan's speech did not mention civil rights, despite the fact that it was one of the dominant issues of that election. Both Reagan and Goldwater opposed the Civil Rights Act on constitutional grounds, and it was this rift that Kentucky Senate candidate Rand Paul was referring to when he awkwardly affirmed libertarians' opposition to civil rights legislation. That does not mean that Reagan or Goldwater were racist -- just as it is mistake to label the Tea Partiers of today racist -- but that heroic fight wasn't their primary or even secondary concern, nor was it that of their conservative constituents. Not coincidentally, the former Confederate states of the South realigned in 1964, with traditionally Democratic Mississippi voting 87 percent for the Republican Party.

Another key difference between Reagan's rhetoric and today is the comparative civility. Reagan never attacks then-President Lyndon Johnson by name, and he is even careful to use the phrase "our liberal friends" when slapping the domestic left. He does not question their patriotism or call them communists -- after all, the Cold War was still on, and that insult seemed more idiotic and offensive than it does now.

There is a final irony -- the Reagan who was elected governor of California in 1966 and ran for president in 1980 would have a hard time getting the GOP nomination today. The self-appointed sentinels of conservatism would have taken issue with the fact that as governor, Reagan raised taxes by a billion dollars to close a budget gap and increased the size of the state workforce by 50,000. He also raised taxes as president.

Social conservatives might not have liked the fact that he opposed a bill to ban gays and lesbians from teaching in public schools -- a legislative fight depicted in the movie "Milk" -- and they would have hated that he signed the nation's most liberal abortion bill into law. Reagan wouldn't have been alone in his isolation from contemporary conservative absolutists -- even Barry Goldwater could be painted as liberal today because of his support for gays in the military and the fact that his wife co-founded Planned Parenthood in his home state of Arizona in the 1930s.

Goldwater lost the 1964 campaign by an unprecedented margin, winning only six states and 38 percent of the popular vote. Apparently, most Americans did believe that extremism in defense of liberty was a vice. But by 1966, a Great Society backlash was in full effect, and the excesses of the radicalized so-called "New Left" ushered in a 40-year Republican revival on the presidential level, punctuated only by Jimmy Carter and Bill Clinton.

It is strange that despite the conservative movement's decades in power, Reagan's rhetoric is still used without much adjustment or abridgement. Is that because conservatives failed to tame the beast they warned about, or because the arguments worked so well on an emotional level that they exist separately from any era's political reality?

The arguments in "A Time for Choosing" work best when it is a rallying cry of a party out of power -- in part because a belief in government's corruptibility is less compelling when you control it. But America's character does not change dramatically with a new president, no matter what party or ideology he represents. LBJ did not represent a mortal threat to the American experiment, and Reagan deepened the deficits he warned were in danger of bankrupting the nation. Both men upheld their oath to protect and defend the Constitution while helping our nation fight and ultimately defeat communism.

By uncovering the roots of the Tea Party's rhetoric, we can see it with a dose of perspective. America is still faced with great challenges, but our country is no closer to constitutional apocalypse now than it was then -- and in most respects our country has gotten better since 1964, evolving just a bit closer to our ideals of liberty and equality.

The opinions in this commentary are solely those of John P. Avlon.

@highlight

John Avlon: Tea Party's roots in 1964 speech given by Reagan for Goldwater campaign

@highlight

In speech more civil than today's, Reagan envisioned lost freedoms, he writes

@highlight

Avlon says that time not as idyllic as some think and U.S. is more conservative today

@highlight

Avlon: Conservatives today would call Reagan, Goldwater, liberal on social views, taxes