(CNN) -- Al Qaeda fighters in Syria have seized another town on the border with Turkey, consolidating their grip on a swath of northern Syria.

The Islamic State in Iraq and the Levant (ISIL) took control of the town of Atimah at the end of last week, further tilting the balance away from more moderate factions of the Free Syrian Army.

If ISIL's record elsewhere is any guide, the people of Atimah can expect the imposition of strict Islamic customs, with women and girls being coerced to dress more conservatively and Sharia, or religious, courts being established to dispense justice.

Opposition activists say ISIL has cut down a famous landmark -- an ancient oak tree -- near Atimah. The militants claimed people had been worshipping the tree rather than God, an allegation rejected by locals, according to the Syrian Observatory for Human Rights.

Rebels: Syrian airstrikes kill at least 40

The loss of Atimah will make it more difficult for brigades of the Free Syrian Army to bring in supplies from Turkey and get wounded fighters across the border to hospitals. It also may worsen the plight of internally displaced Syrians who have swollen the population of this northern corner of the country.

Another jihadist group now controls one of Syria's main oilfields, according to the Observatory. It says Jabhat al Nusra (JaN) took over the al Omar field over the weekend, though an industry source said the rebels' lack of technical expertise and damaged infrastructure would make it difficult for them to extract the crude.

ISIL and JaN have made substantial gains in Syria in recent months. In an article for the forthcoming edition of Sentinel, the journal of the Combating Terrorism Center, Brian Fishman argues that ISIL and other jihadist groups are more dangerous in Syria than they ever were in Iraq -- "more likely to sustainably control territory, project power around the region, possibly sponsor global terrorist attacks, and catalyze a new generation of jihadist insurrection."

They "now include up to 12,000 fighters combined," Fishman says. "The ISIL is also bringing in much larger numbers of foreign fighters, including approximately 900 Europeans, many of whom are learning to use sophisticated weapons and small unit tactics."

He adds: "Not only are far more foreign fighters entering the conflict, they are playing much more complex roles as fighters and commanders rather than simply as fodder for suicide attacks. Considering that the most important role of a veteran jihadist is as a trainer and motivator, this outflow is worrisome."

ISIL's videos posted online highlight the contribution of foreign fighters from Chechnya, Kosovo and across the Arab world and Europe. Last week, it posted a photograph of a 17-year-old French citizen killed while fighting in its ranks.

Its rise to prominence will not upset the Syrian government. President Bashar al Assad has frequently characterized the rebels as terrorists associated with al Qaeda, and infighting among rebel groups, Islamists and Kurdish militia in the north works in the regime's favor. Activists say the group that had previously held Atimah, Suqur al Islam, had spent so much effort battling other FSA factions that it was helpless to defend the town.

For the United States and other western governments, ISIL's expansion to north and eastern Syria, especially Idlib and Aleppo provinces, is alarming. Seven years ago, the United States committed tens of thousands of troops and billions of dollars to rolling back al Qaeda in Iraq. The famous 'surge' succeeded in buying time and space for more moderate forces, but the militants -- battered and bloodied -- clung on. Now they have space in Syria, where U.S. Special Forces and military technology are absent.

Fishman, who is a fellow at the New America Foundation, says, "Although the worst fears of Iraq in 2006 were avoided, they have the potential to be realized in Syria," not least because jihadist groups benefit from the tolerance or even support of "close U.S. allies such as Turkey, which has allegedly backed JaN skirmishes against Kurds in Syria, and Qatar."

Syria's brutal war within a war gains momentum

Both ISIL and JaN have been involved in attacks against Kurdish militia in northern Syria, with several vehicle-borne suicide attacks in recent days. But Fishman says Turkey's policy of using jihadist groups as a counterbalance to Kurdish ambitions in Syria is "inane."

"Obviously Turkey has had a long fight with Kurdish groups, but toleration of al-Qaeda is always a bad idea," he says. "These groups cannot be controlled, and they contain elements that measure success in completely brutal ways."

ISIL seems supremely confident of its destiny and has even defied the overall leader of al Qaeda, Ayman al Zawahiri, who earlier this year instructed it to confine its operations to Iraq. Rather than cede the lead role in Syria to al Nusra, as Zawahiri ordered, ISIL last week called for "all jihadist leaders and soldiers and people to accelerate in joining the project of the Islamic State of Iraq and the Levant."

Its "project" is Islamic rule in areas it controls. ISIL has posted videos online showing its members staging games for children and providing social services, but it has also coerced women and girls into wearing the veil and gloves in public. According to the Syrian Observatory for Human Rights, it has introduced Islamic dress for schoolchildren and banned men from teaching girls. Fishman says the group has used "internal discipline and good PR efforts to control the darker aspects of its nature, but that is a temporary fix. The group continues to espouse radical ideological concepts (even by al-Qaeda standards)."

Fishman told CNN that while ISIL and JaN collaborate on the battlefield, they have different aims and ideologies. "JaN represents the newest breed of al-Qaeda franchises, which tend to blend nationalist and jihadi goals," he said. "ISIL on the other hand is the most direct descendant of Abu Mus'ab al-Zarqawi and the violence-first, absolutist strain of al-Qaeda. The conflict between these groups is indicative of larger tensions in the al-Qaeda enterprise."

Jabhat al Nusra has joined forces with other Islamist groups both to strengthen itself against ISIL and because it "wants to win Syria. ISIL wants to win globally and the Syrian borders mean far less to it," Fishman told CNN.

Within the fractured and increasingly discouraged rebel movement, both jihadist groups are assuming larger roles, with disturbing implications for Syria's future.

Al-Qaeda-linked rebels mistakenly behead fellow fighter, rebel group say

@highlight

Terrorist groups are consolidating power in northern Syria, watch groups say

@highlight

Al Qaeda offshoot took Atimah on Turkish border, which will impede Free Syrian Army

@highlight

Group is imposing strict Islamic law; takeover benefits Assad regime