(TIME.com) -- At every election, California's ballot is filled with initiatives, but none received more attention this year than Proposition 37.

After the polls closed, Prop 37 -- also known as the "Right To Know" initiative to require labeling of foods that have been genetically modified -- failed to pass. If approved, California would have been the first state to require such labeling for foods sold in the state, and would have prohibited products containing genetically modified ingredients to be labeled or marketed as "natural."

Although the issue was ostensibly about food, the debate over Prop 37 quickly became political in recent months, with grassroots-based food purists supporting the measure and a well-funded agriculture and industry opposition campaigning against its passage. As the San Francisco Chronicle reports, Prop. 37 opponents, largely from industry and agriculture, raised over $45 million while the Vote Yes campaign, which was largely backed by consumer groups and the organic industry, raised about $6.7 million.

TIME.com: Prop. 37: Why California's ballot initiative on GM food is about politics more than science

"We've said from the beginning of this campaign that the more voters learned about Prop 37, the less they'd like it. We didn't think they'd like the lawsuits, more bureaucracy, higher costs and loopholes and exemptions. It looks like they don't," the No on Prop. 37 spokeswoman Kathy Fairbanks told the Associated Press.

Prop 37 supporters argued that citizens have the right to know what's in their food and make educated decisions on what to feed their families, especially since long-term health effects are hazy. They wanted to see labeling, according to the ballot initiative, either on the front or back of packages "if the food is made from plants or animals with genetic material changed in specified ways."

Opponents from the biotech industry and Big Ag companies like Monsanto called the labeling deceptive and argued it would stigmatize foods that scientific evidence shows is not harmful. They also estimated that the cost of the labeling requirement would trickle down to California households, forcing families to pay $400 more in grocery bills each year. As TIME's EcoCentric noted, however, that figure, which became a highly debated part of the campaign, assumes manufacturers would be replacing currently unlabeled genetically modified (GM) products rather than slapping new labels on them.

TIME.com: Making sense of food labels

In the end, however, public health experts hope that it was the science that helped voters to make their decision. So far, there is little evidence suggesting that GM foods pose any harms to people that would warrant a label informing them of the modification.

Major medical groups like the World Health Organization and the American Medical Association, in addition to the American Association for the Advancement of Science note that people have been eating genetically modified foods (about 85% of corn sold in the U.S. are man-made hybrids) for nearly 20 years with no serious adverse effects.

So what is the push for labeling really about? In California in particular, it may be about a new-found appreciation for issues that many of us take for granted, including sustainable farming and animal rights.

Opinion: Kids take up fight for 'real food'

In the New York Times Sunday Magazine, writer Michael Pollan says the movement has "revitalized local farming and urban communities and at the same time raised the bar on the food industry, which now must pay attention (or at least lip service) to things like sustainable farming and the humane treatment of animals." He also admits the movement still has hurdles before it can establish itself as a campaign that will appeal to enough people to pass as a ballot initiative.

But despite the defeat, the Prop 37 supporters see the campaign as a victory of sorts. "Prop 37 is a really important and historic opportunity for an emerging food movement. It will fundamentally change the conversation about food and agriculture here in the U.S.," says Dave Murphy, founder of Food Democracy Now. "It will also change how food companies have to respond to the millions and millions of Americans across the country who want to know what they're eating."

TIME.com: Vital farms: Raising the ultra-organic egg

Murphy says the campaign has highlighted Americans' increasing distrust of the food industry and the lack of transparency surrounding what goes into the food they eat. Given that 50 countries already label GM foods in Europe, Australia, Japan, Russia and China, he hopes American skepticism will continue to hold food manufacturers accountable.

"We have a massive social movement for change to achieve labeling of genetically engineered foods in the United States. We understand that [this] loss...that's politics. The largest, most powerful corporations have spent millions of dollars to deceive the California voters," he says. More states will consider labeling laws in coming years, and Washington state and Oregon will likely have ballot propositions in the next two years.

"We will go to Washington and demand labeling from the next administration. We are not going away. We are just getting started," says Murphy.

This story was initially published on TIME.com.

California fails to pass GM foods labeling initiative

@highlight

The debate over Proposition 37 became political in recent months

@highlight

Supporters argue citizens have the right to know what's in their food

@highlight

Opponents say it would stigmatize foods evidence shows are not harmful