Farnborough, England (CNN) -- As one of the world's leading aviation marketplaces, the Farnborough International Airshow is usually an opportunity for airline executives to reach for their checkbooks. This year some might also be reaching for the stars.

You told us: Top 5 spots for plane geeks

For six days from July 9, the airshow, will transform a small town to the west of London into a major aviation hub, attracting 250,000 visitors with its unique mix of big business and aerial entertainment.

With the UK and other major European markets wallowing in recession or serious debt problems, industry experts warn the show -- now in its 64th year -- could lack some of the sparkle of its predecessors.

Billions of dollars are still expected to change hands as passenger jets, cargo planes, fighter jets and unmanned drones are snapped up. But with no traditional aviation launches or announcements scheduled, the main attraction will be a spacecraft.

A version of Virgin Galactic's SpaceShipTwo -- a two-pilot, six-passenger craft capable of sub-orbital travel -- is scheduled to make its European debut at the show.

Reports suggest Virgin boss Richard Branson will use the event to reveal design changes to the craft, which could be carrying its first passengers into orbit next year. So far 500 people -- including movie star Ashton Kutcher -- have signed up for a $200,000 flight.

Where planes go to die

Branson may also announce that Virgin Galactic is reviving plans for a satellite-launching service, possibly spurred on by the commercial SpaceX Dragon spacecraft, which successfully docked with the International Space Station earlier this year.

With 1,400 aviation companies from 40 different countries attending the show, conventional air travel will remain the overall focus -- but don't expect too many surprises.

See also: Infographic on the global state of aviation

"This year won't be a show for aircraft debuts or actual hardware that we'll be seeing for the first time," Murdo Morrison, editor of Flight International magazine, told CNN. "There's nothing there which will be new and terribly exciting. It will be more about the business."

And business is likely to be brisk. Major manufacturers can expect to take significant bookings for their newest aircraft. Airbus will be touting its A380 superjumbo while rival Boeing will be seeking orders for its giant 747-8 and its super-efficient 787 Dreamliner.

In 2010, Farnborough witnessed sales of 157 Boeing and 133 Airbus aircraft. Among these was an $9.1 billion order from Dubai-based Emirates for 30 Boeing 777s. In total, orders worth $47 billion were placed.

However, says Morrison, overall sales this year may suffer because of the squeeze that the economic downturn is putting on European civil and defense aviation budgets, which usually account for a major slice of the trade at Farnborough.

These people really love to fly

This, he says, is doing little to help the airshow maintain its relevance at a time when the difficulties of holding a major aviation event near London are making it less viable. U.S. defense giant Northrup Grumman is among several big names missing from this year's show.

"Farnborough remains an important platform for the industry to meet, for the supply chain to get together and for the companies to meet their customers," he said. "It's also still an important platform for companies to make media announcements.

"But on the negative side, its a big, costly show and some of the logistics are challenging, particularly for those people staying and traveling from London.

"It also struggles a little bit against some of the more niche competitors aimed at smaller parts of the industry. And it struggles because Europe is not a growth market -- the growth markets are Asia, South America, the Middle East and even Africa."

Where dead airplanes come back to life

In addition to a glimpse of the Virgin Galactic exhibition, those who do brave the traffic congestion and unpredictable British summer weather will also be rewarded with the noisy aerial displays that are a trademark of the Farnborough show.

These will include an appearance by a Qatar-outfitted Boeing 787 Dreamliner -- the first time the much-delayed flagship has appeared in airline livery. Unconfirmed reports suggest the 787 may make a fly-past, ending Boeing's long absence from aerial display at Farnborough.

Says Morrison, the displays at Farnborough (which opens up to the public for its final two days) often prove to be a distraction from the business side of the show, but they are also a key attraction. Among those wowing spectators with their aerial agility will be the Royal Air Force Red Arrows squadron, the Breitling Jet team, the Blades, RedHawks and Breitling Wingwalkers.

"It's really two shows. During the week it's a trade exhibition and at the weekend it is more about showing aviation to the public. This shows UK taxpayers what their money is being spent on and it engages young people in a possible aerospace career -- so there is a plus side," he added.

Plane spotters seek 'Wayne's World' thrills

@highlight

Virgin Galactic's Space Ship Two to make its European debut at Farnborough

@highlight

Billions of dollars in aircraft orders are expected to be placed at UK show

@highlight

Boeing's long-delayed 787 Dreamliner is expected to make an appearance in Qatar colors