(CNN) -- A new variation of bird flu that the WHO says has caused at least 11 deaths in China has genetic characteristics that make it well-adapted to infect people.

In a report published late Thursday in the New England Journal of Medicine, samples from three patients -- all of whom died -- had mutations that have previously been shown to increase transmissibility, and to help the virus grow in a mammal's respiratory tract.

The analysis comes amid a modest but steady stream of human cases since the end of March. Saturday, China reported a 7-year-old Beijing girl is the latest person to become infected with the H7N9 flu strain, bringing the total to 44.

The strain is normally found in birds, and until last month was never known to infect people.

"The H7N9 situation is evolving very quickly," said Nancy Cox, director of the Influenza Division at the U.S. Centers for Disease Control and Prevention. "One thing of concern is the pace at which we are seeing the identification of cases."

Another death in China bird flu crisis as Hong Kong goes on alert

On a more reassuring note, investigators have found no evidence that the virus has passed directly from person to person. More than a thousand "close contacts" of the patients are being monitored by Chinese health officials, according to the World Health Organization.

One concerning mutation, known as "Substitution Q226L," was found in two of the first three victims. Past experiments have shown it to make viruses -- including the H5N1 bird flu virus -- more likely to infect ferrets, which are commonly used in flu research. The same mutation was also found in the viruses that caused the 1957 and 1968 flu pandemics.

A second mutation, known as "PB2 E627K," was found in all three virus samples.

According to Dr. Ron Fouchier, a Dutch virologist, this mutation allows the virus to reproduce at much lower temperatures than a standard avian influenza virus. The change lets it grow in a human respiratory tract, which is cooler than the virus' natural home: a bird's gastrointestinal tract.

In mice, Fouchier said, the mutation makes the infection as much as 1,000 times more virulent.

A number of other mutations were found as well, including changes that are characteristic of viruses found in mammals.

China's bird flu mystery

"Known normal bird viruses have to adapt substantially to infect people, but not these," said Fouchier, who said the changes are enough that he would no longer call the H7N9 strain "bird flu."

The first three patients to be identified are an 87-year-old man and a 27-year-old man from Shanghai, and a 35-year-old housewife from Anhui.

The woman had visited a chicken market about a week before falling ill. The younger man was a butcher who worked in a market where live birds were sold, although he did not butcher any birds. The 87-year-old had no known exposure to live birds.

All three died after suffering severe respiratory symptoms, including acute respiratory distress syndrome and eventually septic shock and multiple organ failure.

In a commentary that ran with the article, Cox and Dr. Tim Uyeki, a physician with the CDC, noted that patients were not given antiviral medication until their illness became severe.

Oseltamivir (Tamiflu) or zanamivir (Relenza) should be administered as soon as possible to patients with a suspected or confirmed H7N9 infection, the two wrote.

Cox said it remains unclear whether the severe illnesses are typical of H7N9 infection or simply the tip of a large iceberg in which a large number of mild cases are going unnoticed.

"As surveillance has expanded, we're also seeing individuals with milder cases," said Cox. "We're still seeing very severe disease in some cases, but overall I think it's somewhat reassuring."

The CDC is in the final steps of refining a diagnostic test to identify H7N9 in patients, and Cox said it should be available for distribution in a matter of days. A widely available diagnostic test would allow faster identification of patients who actually have the infection, and would also help disease detectives zero in on how people are being exposed.

Work has begun on a vaccine, although Cox and others said that even if it is eventually needed, a vaccine likely won't be available for several months.

While the overall picture is concerning, flu experts urged calm.

"I wouldn't say a pandemic is more likely than it was a year ago," Fouchier said. "The only thing we can do as virologists right now is to point out the interesting characteristics of the virus, try to get to the bottom of this story and try to stop further infections."

@highlight

A new bird flu variation has caused 11 deaths in China

@highlight

The H7N9 flu strain is responsible for 44 human cases

@highlight

Experts are concerned by some of the virus mutations found