Data from communications between satellites and missing Malaysia Airlines Flight 370 was released Tuesday, more than two months after relatives of passengers say they requested that it be made public.

But criticism quickly emerged suggesting that the information provided lacks important elements that would help outside experts put the official version of events to the test.

Malaysian authorities published a 47-page document containing hundreds of lines of communication logs between the jetliner and the British company Inmarsat's satellite system.

The information provided isn't the whole picture but is "intended to provide a readable summary of the data communication logs," the notes at the beginning of the document say.

In the weeks following the plane's March 8 disappearance, a team of international experts used the satellite data and other information, including radar data and engine performance calculations, to conclude that the aircraft ended up in a remote area of the southern Indian Ocean.

Some passengers' families, unsatisfied by the official explanation of the plane's fate, say they want an independent analysis of the complex information, a process that could take some time.

Michael Exner, one of the most vocal experts among those calling for the release of the data, said a very preliminary review suggested that there were gaps in the notes explaining the data.

The explanatory notes at the start of the document "answer a few of the questions we have had, but leave many questions unanswered," he told CNN.

CNN safety analyst David Soucie said certain key elements, which would allow independent experts to fully test the official conclusion, are missing from the data in the document.

"There's not enough information to say whether they made an error," he said. "I think we're still going to be looking for more."

Inmarsat CEO Rupert Pearce acknowledged Tuesday that the company didn't release the model to which it applied the data to estimate the plane's path -- and said the decision on whether to release the model lies with the Malaysian government, which is leading the search.

"We'd be perfectly happy to put that model out," Pearce told CNN's "New Day."

But Pearce also told CNN that the released data is enough -- along with engine and radar data -- for experienced third parties to plug into their own models and reach their own conclusions.

"You shouldn't read anything into any gaps in the data," Inmarsat Senior Vice President Chris McLaughlin told CNN's "Erin Burnett OutFront" on Tuesday. "This is a very goodwill and focused way that we're trying to communicate our best impression of what happened."

Sarah Bajc, whose partner, Philip Wood, was on the missing jet, said she was "annoyed" that Inmarsat and Malaysian authorities hadn't released everything they used to reach their conclusions.

"I see no reason for them to have massaged this before giving it to us," she said.

Is Inmarsat right?

Data guided search

For weeks, Inmarsat said it didn't have the authority to release the data, deferring to Malaysian authorities, who are in charge of the search for the plane that disappeared over Southeast Asia while on a scheduled flight from Kuala Lumpur to Beijing.

Last week, the two sides announced that they would aim to make the information available to the public.

The satellite signals -- called "handshakes" -- with MH370 were part of a larger set of data that investigators have used to try to establish the whereabouts of the missing Boeing 777 with 239 people on board.

The handshakes continued to take place for roughly six hours after the aircraft dropped off radar screens.

Months of searching by dozens of planes and ships in the southern Indian Ocean has so far turned up no wreckage, and investigators have not been able to say for sure where the remains of MH370 might be.

The underwater search for the missing plane will effectively be put on hold this week, and may not resume until August at the earliest, according to Australia's top transport safety official.

Analysts have said the release of the satellite data could help discount some theories about what happened to the jetliner, and potentially fuel new ones.

Relatives of people who were on the passenger jet, scientists studying its disappearance and media covering the search have become increasingly critical about the lack of public information about why the search has focused on the southern Indian Ocean.

"I think far too much has been left to experts who have remained behind the curtain," said K.S. Narendran, whose wife, Chandrika Sharma, was on the flight.

Inmarsat confident

Even though more than 80 days have passed without searchers finding any wreckage from the plane, Inmarsat officials say they remain confident in their data.

"Yes, to a high degree of probability, we are certain that our data is right," McLaughlin said Tuesday.

In an exclusive interview with CNN's Richard Quest last week, Inmarsat's vice president of satellite operations said the company's calculations have been tested by other people.

"No one has come up yet with a reason why it shouldn't work with this particular flight when it has worked with others," Mark Dickinson said. "And it's very important this isn't just an Inmarsat activity. There are other people doing investigations, experts who are helping the investigation team, who have got the same data, who made their own models up and did the same thing to see if they got the same results and broadly speaking, they got roughly the same answers."

Experts came to the conclusion that the plane had ended up in the southern Indian Ocean by piecing together three types of information, he said.

"We have actually the messages from the ground station to the plane and back again. That essentially tells you the terminal is switched on and powered up. We have some timing information and in addition to that there were some frequency measurements," he said.

The timings told them the distance between the plane and the satellite, enabling them to map out arcs. Then they factored in frequency differences, determining that the plane had headed south.

'The right work'

It was a startling conclusion -- and Dickinson says investigators made sure to repeatedly check their calculations before sharing them.

"You want to make sure when you come to a conclusion like that, that you've done the right work, the data is as you understand it to be," he said.

Now, Dickinson says he's well aware that the entire weight of the search rests on the Inmarsat data.

"This is all the data we have for what has happened for those six or so hours," he said. "It's important we all get it right and particularly that everyone looking at the data makes the best judgments on it and how it's used. And particularly for the families and friends of the relatives on board, try and make sure that we can help bring this sad incident to a close."

Quest said he thinks the expertise of the Inmarsat team and the level of testing to which their work was subjected justifies their confidence in their conclusions.

"It is up to the detractors and doubters to come up and say why they believe it's wrong," he said. "Not the other way around."

Bajc acknowledged that independent analysis of the data may support Inmarsat's conclusions.

"That would be a fine outcome as far as I'm concerned," she said.

But if the independent experts come up with alternative flight paths based on the data, Bajc said, then "those need to be investigated."

The wait for data

The issue of making the satellite data public has become the cause of confusion and contradictory statements.

Bajc said the families had first asked for the data more than two months ago.

"It seemed a relatively innocent request" at the time, she said, but authorities refused to release it.

Malaysian officials told CNN earlier this month that their government did not have the data. But Inmarsat officials said the company provided all of it to Malaysian officials "at an early stage in the search."

"We've shared the information that we had, and it's for the investigation to decide what and when it puts out," McLaughlin said earlier this month.

But a senior Malaysian official told CNN that the government needed Inmarsat's help to pass on the data to families "in a presentable way."

"We are trying to be as transparent as possible," the official said. "We have no issues releasing the data."

Bajc said the delay only added to questions surrounding the information.

"It's a little curious to me why this had to become such a big deal," she said Tuesday.

Did Inmarsat data point Flight 370 searchers in wrong direction?

Cannes: Movie maker courts controversy with MH370 thriller

@highlight

"You shouldn't read anything into any gaps in the data," Inmarsat official says

@highlight

Inmarsat CEO: We didn't release model we used to crunch data; it's up to Malaysian government

@highlight

The information is lacking important elements, a CNN safety analyst says

@highlight

A passenger's partner says she's annoyed more information wasn't released