(CNN) -- Some Web designers are staging an online revolt against an old version of Microsoft's Internet Explorer browser, which they say is hampering the ability of the Web to move forward in a cool and interactive way.

Some Web developers are trying to weed an old version of Internet Explorer from peoples' computers.

The designers say Internet Explorer 6, which was released in 2001 and since has been updated twice by Microsoft Corp., is crippling the Internet's potential and slowing down the online experience. They also blame IE 6 for giving webmasters a collective headache, because they have to write special "hacks" into Web code to accommodate an outmoded browser.

An estimated 15 to 25 percent of people still use IE 6 as their portal to the Internet, according to two Web monitors.

In recent months, several Web companies have launched sites devoted to the idea of undermining or killing Internet Explorer 6. The most recent site, called "IE 6 No More," has gained momentum this week on social-media sites like Twitter and Digg in part because a number of respected Internet start-up companies have signed onto the campaign.

The "IE 6 No More" site provides Web developers with a piece of code -- an online hurdle, essentially -- they can install to encourage Internet users to download a new browser before coming back to the site.

"As any Web developer will tell you, working with IE 6 is one of the most difficult and frustrating things they have to deal with on a daily basis, taking up a disproportionate amount of their time," an introduction on the site says. "Beyond that, IE 6's support for modern Web standards is very lacking, restricting what developers can create and holding the Web back."

On the surface, the campaign against IE 6 may seem like a cult of disgruntled techies who are angry at Microsoft or want to gripe about people who lag behind the technological curve.

But that analysis is too simplistic, said Dan Oliver, editor of .net, a UK magazine about Web design.

"This isn't an anti-Microsoft campaign," he said. "Microsoft makes some fantastic products. The latest version of their browser is a good browser. But with regards to IE 6 ... [it] is an awful browser and no one should be using it."

He added: "Ultimately, we've kind of waited long enough. That's why there's a big movement of support for it because the geeks out there have known about this for years and have been waiting for big sites to jump on and push it forward."

In a statement to CNN, Microsoft said it also wants people to turn away from IE 6.

"Microsoft has consistently recommended that consumers upgrade to the latest version of our browser," the company said. "Internet Explorer 8 offers improvements in speed, security and reliability as well as new features designed for the way people use the Web."

Oliver said his magazine started an anti-IE 6 Web site about three months ago. The movement has been growing among savvy Web developers for years, he said, but has hit a groundswell since bigger-name Internet companies jumped aboard.

YouTube, for instance, now sends a message to Internet Explorer 6 users who visit the site, asking them to upgrade to another browser like Internet Explorer 8, Mozilla Firefox or Google Chrome.

The video-streaming site will continue to function in a basic way for IE 6 users, according to a statement sent to CNN by YouTube.

But bigger problems for IE 6 may be on the horizon as the Web becomes more complicated.

Developers are already working with a new Web language -- called HTML 5 -- that is expected to make Web sites able to display flashier video, save documents to computers more easily and act more like traditional computer applications.

When that shift comes, IE 6 will doubtlessly perish, said Ben Parr, a writer for the social-networking news blog Mashable.

"We're about to hit a breaking point where innovation will be stifled if Web sites must continue to cater to this browser," he wrote in a post titled, "IE 6 Must Die for the Web to Move On."

The browser's popularity is declining as newer versions of Internet Explorer become more widely used. But it's unclear whether everyone who continues to use IE 6 does so by choice.

Many businesses have built computer applications that run on the browser, and upgrades to those systems can be costly and difficult.

That makes campaigns that tell people to switch their browser ineffective, Mark Trammell, a Digg employee, wrote on the company's blog.

"Giving them a message saying, 'Hey! Upgrade!' in this case is not only pointless; it's sadistic," he wrote, also noting that Digg likely will stop supporting IE 6 for some of the site's functions.

That leaves some Web sites trying to find a middle ground. They want to be cutting-edge, but they also don't want to alienate IE 6 users and business clients.

Justin.tv, which lets people stream video live online, is among the sites trying to strike a balance.

The company is backing an anti-IE 6 Web site, but Evan Solomon, the site's vice-president for marketing, said the best thing that will come out of this discussion is that more people will become aware that there are alternatives in Web browsers.

It's also important to know how much those browsers control a person's Internet experience, he said.

"It sucks for us if someone comes to the site and has a bad experience and the reason that happens is because they use a browser that was developed 10 years ago," he said.

@highlight

Some Web developers are trying to rid Internet Explorer 6 from peoples' computers

@highlight

They say the 8-year-old browser is stalling future development of the Web

@highlight

Still, IE 6 is among the most common ways for people to access the Internet

@highlight

Other free browsers like IE 8, Firefox and Chrome are far better, experts say