"Looper," this past weekend's mind-bending futuristic thriller from writer/director Rian Johnson, follows "The Terminator's" time traveling mantra: There's no fate but what we make.  The destiny audiences forged helped "Looper" land at the box office in second place, earning the film a cool $21.2 million. Not bad for an R-rated action flick whose big questions would have made sci-fi novelist Philip K. Dick smirk.

In the film, bottom barrel assassins are handpicked to do the future mobster's dirty work by killing targets in 2044, 30 years before time travel is even invented.  Unfortunately, the hit men collecting silver bounty off of bodies sent to the past tend to die young (sort of).  They retroactively commit suicide by murdering their future selves, giving them three decades to live life to the fullest. It's also full of space-time paradoxes. What if you could change the future by altering the past?  That's precisely what happens when Joe the looper, played by Joseph Gordon-Levitt, makes the mistake of letting his future form, played by Bruce Willis, escape.

Time travel is obviously a sci-fi staple, but sometimes it's best to keep things simple.

"We'll be sitting here all day making diagrams with straws," Bruce Willis yells at his younger self after being hounded by questions about the history of things to come. But believe it or not, there are scientists who study the real world possibilities of time travel, and it's a lot of information to sip up.

Combating bad pop culture time travel

Edward Farhi is a theoretical physicist from MIT who works with equations in a lab.  Naturally, he has a pretty good understanding of the special and general theories of relativity that illuminate the legitimate possibilities of time travel.  However, his studies also discredit the entire premise of being able to go back in time.

"The laws of physics were smart enough to not allow a causality violation," Farhi says. "That means that you put the effect before the cause, which is what you do when you time travel backward."  An example of this would be lighting a match near a gas canister and having it explode: You can't have an explosion without the lit match because that would be a causality violation.

However, causality violations lead to some of "Looper's" most terrifying, gruesome and memorable moments.  One scene in particular features the bodily breakdown of a looper sent to the past.  Scars act as notes on a looper's body as they're being carved into the past version of his being.  Soon afterward, his limbs, tongue and nose disappear.  As his 2044 self is being tortured, we witness a paradox made of nightmares.

Farhi was able to further prove his point by showing that if someone wanted to construct a device that would warp space enough to go back in time, they would need to assemble and collect half of the mass of the universe. In "Looper," the time machine is just a shoddy mechanical sphere covered in coils.

"We wrote a paper called 'An Obstacle to Building a Time Machine' in the laboratory," Farhi says.  "It would require a huge warping of space-time and have huge cosmological effects." These effects are dramatic enough that they would have serious consequences for the entire universe.

Theoretical physicist and Nobel Prize winner Gerard 'T Hooft further studied what could happen if one tried to travel back in time, Farhi explains. "He showed that before you had enough time to go back to the past, the entire universe would collapse so that the universe would end in a big crunch, the opposite of the Big Bang," Farhi says. "That really meant to me without really much further investigation that the laws of physics abhor time travel backward."

Farhi also doesn't favor the belief that one could jump into the past of a parallel universe.  "I'm not usually a fan of describing the ultimate universe," he says. "Maybe if you go back in time you end up in another universe and you somehow cannot affect what happens in the future."

'Looper': A smart but confusing thriller

In theory, there would be different outcomes in different universes. "I have trouble understanding that, but one of the things that bothers me about that is this: How come in our universe we never see time travelers?"

Albert Einstein introduced the idea in 1905 that the amount of time that elapses between two occurrences can depend upon the speed of the observer.  "He was talking about the actual flow of time," Farhi says.  "These texts only become really dramatic when you move close to the speed of light."

This means that while time travel to the past is virtually impossible, hopping into the future is an entirely different matter.

If you managed to hop on a rocket and travel around Earth at the speed of light and one year has elapsed according to your clocks, you could return to find that it's actually a thousand years in the future.  "You may wonder if that's science fiction or if it's real, but we believe it's real because every prediction that the special theory of relativity has ever made has been born out of experiment," Farhi says. "These effects aren't dramatic if you're moving slowly, but they're still there."

A less dramatic effect of this is the use of GPS. The clocks in satellites that triangulate where you need to go move at a different rate because they're moving at a high speed. "They're not moving fast, but they're moving at a speed relative to you on Earth," Farhi says. "There's enough of an effect that if they didn't correct for the slowing of the clock that you would not be driving on the road."

If you couldn't travel at light speed on a rocket as a shortcut to the future, a hypothetical alternative would have you creating a strong gravitational force replicating a black hole.

"I could put you on a rope, and I could lower you into the very strong gravitational field of the black hole," Farhi explains. But there's a certain point that couldn't be passed. "Once you get too close to a black hole, there's no force that can overcome the force of the gravitational force, and you're doomed."

The proposition is scary: "You can just hover near the boundary where doom occurs," Farhi says. "If you were hovering there, then your clocks would be running slower than mine." Being closer to the black hole would allow one to age less and experience time differently.

"We could have a reality TV show," Farhi proposes.  "A whole day would go by for me, and I would just see you reaching for your breakfast."  Technically, the subjects of this time travel experiment could stay in touch through electromagnetic waves.

"Finally, we could come together and I could pull you out of the strong gravitational field," he says.  "You could see that you hadn't aged very much and I've aged a lot, but you wouldn't be surprised because we've kept in touch the entire time."

Long story short: If you have the ability to travel at light speed or a strong gravitation field, taking a short path to the future is possible.  However, "Looper" presents a one-way trip to the past aside from montage sequences that show what's happening to Bruce Willis in the year 2070.

That begs the question: If we're unable to go back to the past, how can the past exist?

"The past exists as memory," Farhi says.  We have books, we have movies, and we have memories.  "The past exists in the present because it has an imprint on the present, but the future doesn't," he says.

But we do have the ability to see the past.  "You just need to look at the light from a distant galaxy," Farhi points out.  "It depends on how far the galaxy is, but it could be a billion years ago. Astronomers are looking at ancient images all the time."

Despite whatever causality violations and problematic backward time traveling devices Rian Johnson presents, "Looper" is a strong sci-fi depiction of time travel. The audience holds the ultimate key to its plausibility: The suspension of disbelief.

If you could time travel, where would you go and what would you do? Let us know in the comments below.

@highlight

The sci-fi film "Looper" explores the concept of time travel

@highlight

Physicist from MIT discredits being able to travel back in time

@highlight

While time travel to the past is virtually impossible, hopping into the future is a different matter