(CNN) -- The push to plug the plumbing problem from hell at Fukushima Daiichi is about to get some help from a U.S.-built robot designed to search for leaks from one of the Japanese nuclear plant's crippled reactors.

Built in Colorado by California-based nuclear cleanup contractor Kurion, the refrigerator-sized robot will stick a 15-foot mechanical arm through a hole in the main floor of the reactor building.

The arm is equipped with radiation-shielded cameras and capable of lifting 100 pounds. It can also carry cutting tools -- either a set of heavy-duty shears or a high-pressure water jet that can cut steel.

Kurion custom-built the device to peer into the basement of the Unit 2 reactor building, most of which remains off-limits to humans. The reactor is believed to be leaking highly radioactive coolant water through a rupture in a donut-shaped chamber at the base of the reactor.

Matt Cole, Kurion's engineering director, said the arm will be used to inspect three areas around that chamber, known as the suppression pool, for suspected leaks. If found, other robots -- some still to be developed -- will be dispatched to repair the damage, he said.

"I think it certainly will solve part of that mystery," Cole said. "They know there is a leak because of the balance of water, but they don't know exactly where that leak is."

A nearly 50-foot wall of water slammed into Fukushima Daiichi in the historic earthquake and tsunami that struck eastern Japan in March 2011. The wave flooded the plant and knocked out power to the cooling systems of the three reactors that were running at the time.

The result was the world's worst nuclear accident since the Chernobyl disaster in 1986, as the reactors overheated and spewed radioactive particles into the environment. Though no deaths have been directly attributed to the Fukushima Daiichi accident, about 138,000 people who were forced to flee homes as far as 25 miles away are still living in temporary housing.

The damage to reactors 1 and 3 was dramatically visible, as massive hydrogen explosions blew apart their concrete housings in the first days of the accident. But what happened in No. 2 has largely remained a mystery.

Four days after the tsunami, operators reported hearing a bang from deep within the reactor, probably from another hydrogen explosion, and a spike in radiation levels. The unit's turbine plant soon filled with water that was loaded with nuclear wastes, backing up through service tunnels and spilling into the neighboring Pacific Ocean.

"Some places, the radiation is too high, so people cannot get in," said Mayumi Yoshida, a spokeswoman for The Tokyo Electric Power Company, which owns the plant. In other parts, workers who go in "have to come out within a few minutes," she said.

Three years later, operators are still having to pump more than four tons of water an hour -- 26,000 gallons every day -- into each reactor to keep them cool, Yoshida said. That water builds up in the basements of the reactor buildings, along with hundreds of tons of groundwater that seeps in every day.

TEPCO has had to collect and store thousands of tons of radioactive water in tank farms around the site and is struggling to keep it from leaking back into the environment.

Robots have been able to explore some of the buildings, but have yet to get a good picture of what happened to the suppression pool, Yoshida said. Estimates provided to Kurion indicate that dozens of gallons per hour are escaping from the leak its robot was designed to locate, Cole said.

The device was designed to fit through doors in the damaged building and be installed in a first-floor space where radiation levels are elevated, but still accessible to workers, Cole said. From there, it will reach through the floor and into a basement where hourly radiation exposure would be dozens of times higher than what a typical person receives in a year, according to TEPCO figures.

"Success for us would be to get clear confirmation of where the leaks are, so that the next phase of the work can be planned," Cole said.

Engineers eventually want to fill the primary containment vessel surrounding the No. 2 reactor with water, but to do that, they have to fix the leaks, Yoshida said.

The device was shipped to Japan in early May and is expected to be in operation by late summer, Kurion says. The company already has built a system that chills and filters long-lived radioactive cesium out of the reactor coolant -- a mechanism it boasts of having put into operation within five weeks.

Residents cleared to return home amid ongoing contamination fears

How Fukushima changed world's attitudes to nuclear power

@highlight

Robot to poke its arm into basement of ruined Japanese nuclear reactor

@highlight

The arm can lift 100 pounds and cut steel

@highlight

The goal is to find a long-suspected coolant leak in Fukushima's No. 2 reactor

@highlight

"I think it certainly will solve part of that mystery," engineer says