(CNN) -- If you love movies there is a different, and perhaps pleasingly preferable, way to spend Sunday evening other than watching the Academy Awards presentation.

This will involve answering a three-part movie question. More on that in a moment.

It has always been a little puzzling: why people reflexively flock to their television sets for awards programs, the Academy Awards being the oldest and most prominent. Why spend long hours watching people giving other people prizes?

If you liked some of the movies that came out last year, that's fine and good -- but if you bought a pair of shoes that you liked last year, would you spend a Sunday evening in the only life you'll ever lead observing shoe manufacturers presenting awards to each other?

A Reuters/Ipsos poll released last week reported that 67% of Americans haven't seen any -- not even one -- of the movies nominated for Best Picture at this year's Oscars. That would seem to indicate a certain indifference, yet millions of people will be sitting in front of their TV sets Sunday.

There is an alternate, and arguably more fulfilling, way for film lovers to affirm their appreciation for the magic of movies on Academy Awards night.

From the time the multitude of pre-Oscars specials and red carpet coverage begins on various television channels late Sunday afternoon to the time the last of the post-Oscars analysis goes off the air, enough hours will pass for you to watch three feature films.

We are in the golden age of being able to see, at home, the most outstanding movies ever made from every era of film history. It used to be, if you wanted to watch any movie other than what was currently in theaters, you were pretty much at the mercy of the over-the-air broadcast networks or of local stations that sometimes ran old movies very late at night.

But today, with Netflix, with Amazon Prime, with various streaming services, with YouTube, with iTunes, with classic-movie channels such as TCM, with DVRs, with tablets, you have an unprecedented opportunity to all-but-effortlessly program your own home theater with wonderful movies from every era of cinema. The variety is breathtaking and endless. Sometimes we take that for granted.

Roger Ebert, before he became a television presence and was still a young newspaper movie critic, used to urge his colleagues at the paper to accompany him to a seen-better-days theater in Chicago called the Clark. It was operated by a fellow named Bruce Trinz, who revered movies and who, every day of the year, would book a different double feature of classic, long-out-of-general-release films.

At the beginning of every month he would mail out a leaflet with a calendar of each day's movies (he would describe them in rhyming couplets). He selected and showed 730 movies a year; the Clark was open 22 hours a day. It was a rare chance to immerse yourself in the best of movies from down through the generations.

The Clark Theater is long gone, but today each person has far more movie-programming choices than the Clark ever offered. You are able to routinely stumble across movies that haven't seen the inside of a theater in years, but that can jolt you with their moments of brilliance and insight into the human condition and the mysteries of the yearning heart. Or you can just sit back and enjoy the talent and artistry in front of you; each motion picture, by its nature, offers its own enchantments, and the fact that people today can so easily make individual choices about what to see democratizes the viewing experience in a way that simply was not possible until recent decades.

Years ago, when the idea of such choices sounded like a fantasy, I asked people to hypothetically consider what would happen if they were stranded on a desert island for the rest of their lives with only a movie projector and five films. What movies could they stand to watch over and over, with nothing else to keep them company? But now the options for people deciding on their own what to view are real, and, just as significant, they're infinite.

So, as the Academy Awards ceremonies approach, here is a cordial invitation:

Name the three movies that, for you, would make the perfect triple feature to watch tonight. Movies that you've seen during your lifetime that have meant the most to you.

Your choices don't necessarily have to be your nomination for the three greatest or most important or influential movies ever made (although they certainly could be). Just three movies that, tonight, you think would do for you the thing that movies have always done best: bring pleasure and entertainment, provoke thoughts, provide inspiration or laughter or comfort or tears.

In other words: three movies to watch back-to-back-to-back tonight that will serve, better than the Academy Awards, to remind you of why you started to love movies in the first place.

If you'd like, feel free to include the reasons why: What is it about your three movies that make them feel absolutely right to you?

My own triple feature for tonight? I think I'll go with "High Noon," the 1952 Western starring Gary Cooper and Grace Kelly, about the power of quiet courage when it seems there's no one in the world willing to help; "Hoosiers," the 1986 movie starring Gene Hackman, about a basketball team in small-town Indiana that triumphs over every obstacle; and "That Thing You Do!", the deliriously joyful 1996 movie written and directed by Tom Hanks, about a one-hit-wonder rock band from Erie, Pennsylvania, that briefly, in 1964, makes it to the top of the charts.

Your three movies will be different. But if you decide to spend Academy Awards night watching them, by the end of the evening you will be the one who feels rewarded.

And you won't even have to stand up and thank your agent.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Why spend long hours watching people giving other people prizes?

@highlight

Greene: Yet millions of people will watch the Academy Awards show on Sunday night

@highlight

He says instead, pick three movies that have meant the most to you for a triple feature

@highlight

Greene: They will remind you of why you started to love movies in the first place