(CNN) -- Turkey is changing its military rules of engagement and will now treat a military approach toward its borders by Syria as a potential threat that "will be dealt with accordingly," Turkish Prime Minister Recep Tayyip Erdogan said Tuesday.

The announcement is a significant escalation of rhetoric after Syria shot down a Turkish plane last week.

Erdogan criticized Syria harshly on Tuesday for shooting down the Turkish fighter jet, saying: "Even if the plane was in their airspace for a few seconds, that is no excuse to attack."

"It was clear that this plane was not an aggressive plane. Still it was shot down," he said.

War of words over downed jet

He said Syrian choppers have strayed into Turkish airspace five times in 2012. But, the Turks say, the government never escalated the situation despite the border violations. That could change under the new policy.

The shooting down of the Phantom F-4 jet on Friday raised even more tension between Turkey and Syria, two heavily armed regional powers.

Relations between the two neighbors have deteriorated during the uprising against Syrian President Bashar al-Assad's regime. Erdogan has repeatedly called on al-Assad to step down.

Turkey has withdrawn its diplomats from Damascus. More than 30,000 Syrian refugees have spilled onto Turkish soil and Turkey is hosting Syria opposition groups.

NATO condemned the shoot-down "in the strongest terms," Secretary-General Anders Fogh Rasmussen said after the alliance met Tuesday at Turkey's request. Both sides say the jet strayed into Syrian airspace, but Turkey says the incursion was accidental and quickly corrected.

Rasmussen refused to comment on what intelligence Turkey had presented to NATO about the incident at the alliance's headquarters in Brussels, Belgium. He called on Syria to "avoid such events in the future" and said he did not expect the situation to escalate.

NATO did not promise any action in response to the incident, and Turkey did not invoke the NATO article calling for collective defense of members, Rasmussen said.

The NATO consultations were held under Article 4 of the North Atlantic Treaty Organization's founding charter. The article allows any member to call for consultations "whenever, in the opinion of any of them, their territorial integrity, political independence or security is threatened," the charter says.

France's Foreign Ministry called the shootdown an "attack" on Tuesday and said it "constitutes a violation of international law."

It's a reminder, the ministry said, that the regime "is threatening international peace and security. It is consistent with the regime's escalating violence against its own population."

Alexander Lukashevich, the Russian Foreign Ministry's official representative, expressed Moscow's concern on Tuesday.

"In our opinion, it is important that the incident not be seen as a provocation or a deliberate action that could lead toward destabilizing the situation," he said.

White House spokesman Jay Carney said the United States commends Turkey for its measured response and stands with the government and the other NATO allies. Washington plans to work with Turkey and others to hold the al-Assad regime accountable and to pursue a democratic transition in Syria, he said.

Carney added that the regime's continued use of airpower reflects al-Assad's desperate attempt to maintain control.

Security Clearance: Can Turkey force U.S., NATO to attack Syria?

The United States and many other countries have been vocally opposed to military intervention in Syria and are unlikely to encourage Turkey to press the issue. After Syrian troops shelled refugees on the Turkish side of the border earlier this year, U.S. Secretary of Defense Leon Panetta made clear that the bar is high for Turkey to claim the need for a collective self-defense.

Syria raised the stakes Monday in the war of words over the incident.

Syrian Foreign Ministry spokesman Jihad Makdissi said the plane was shot down in Syrian airspace, disputing Turkey's claim that it was downed over international waters after briefly straying into Syrian airspace by mistake.

"What happened was a violation of Syrian airspace. Even Turkey says Syrian sovereignty was violated. Regardless of whether it was a training mission, a reconnaissance mission, it was a violation," Makdissi said.

He insisted that Syria was the wronged party, not Turkey.

Also Monday, a spokesman for the Turkish Foreign Ministry told CNN that Syria fired Friday on a second Turkish plane that was part of a search-and-rescue mission sent in after the jet was shot down. The plane, which entered Syrian airspace in search of the jet, was not hit, said Selcuk Unal.

"There was no injury, nobody was harmed. But that plane immediately returned to Turkish airspace. And through military diplomatic channels we informed them: 'What's going on?' " Unal said.

The Turkish Foreign Ministry said Sunday that it considered the shooting to be a hostile act. Turkey delivered the message in a diplomatic note to the Syrian consulate in Istanbul, Unal told CNN.

In addition to NATO, Turkey also submitted a letter about the incident to the U.N. Security Council. The country made no request for action, but outlined its version of events.

"This attack at the international airspace, causing possible loss of two Turkish pilots, is a hostile act by the Syrian authorities against Turkey's national security. Thus, we strongly condemn it," read the letter, dated Sunday.

It identified the downed plane as a Turkish RF-4 reconnaissance aircraft, a version of the McDonnell Douglas F-4 Phantom II. It was flying alone, without arms, in international airspace when it was shot down, the letter read.

Turkish search-and-rescue teams found the wreckage of the jet in the Mediterranean Sea on Sunday, about 1,300 meters (4,260 feet) underwater, Foreign Ministry spokesman Unal said.

Report: 33 Syrian army members defect to Turkey

Tension between Syria and Turkey escalated sharply in the 1990s over Kurdish militancy.

Turkey was angry that the Syrian regime harbored Kurdish militant Abdullah Ocalan.

Ocalan founded the Kurdistan Workers' Party, the PKK. The group, regarded as a terrorist organization by Turkey and the United States, has been fighting the Turkish government for Kurdish autonomy.

Syria eventually expelled Ocalan and the hostility eased. Syrian-Turkish political and economic ties grew after Erdogan became prime minister in 2003. But over the last year, Erdogan's government grew disgusted with the al-Assad regime over the government's brutal crackdown against Syrian citizens during the uprising.

Some observers believe Syria is now supporting the PKK.

CNN's Ivan Watson and journalist GÃ¼l TÃ¼ysÃ¼z contributed to this report.

@highlight

Turkey will consider any military approach from Syria a potential threat, its PM says

@highlight

Turkish-Syrian ties have deteriorated during the uprising

@highlight

The countries had sharp tensions in the 1990s over Kurdish militancy

@highlight

NATO condemns the shooting down of the plane, but does not act