(CNN) -- It doesn't matter that they can be feverishly hot. Or that crowds make for long food lines or the tickets may be hard to come by.

Bassist and vocalist Esperanza Spalding performed at this year's New Orleans Jazz Fest.

Music festivals worldwide attract thousands of fans wanting to hear their favorite artists live or discover under-the-radar musicians.

Each major festival has its own special twist, specific to the event and city that hosts it.

From the notorious mud baths at Glastonbury, England, to the breath-taking mountains surrounding Fuji Rock in Naeba, Japan, these are events that festival-goers wait for all year.  Experience the New Orleans Jazz Fest »

Our guide prepares music fans worldwide for the best festivals this summer and later in the year.

GLASTONBURY, Somerset, England June 24-28 ($255)

Glastonbury has been around since dairy farmer Michael Eavis first held a free two-day festival on his farm in 1970, and it's long been the festival in England for seeing the biggest and best bands in the world. It also may be the muddiest -- heavy rain in several years, most notably 1997, turned Glastonbury into a muddy bog. Everyone from Radiohead to Jay-Z has headlined the festival, and with more than 700 acts each year, there is something for everybody. Some of the proceeds from the festival go to Oxfam and Greenpeace. This year's headliners include Franz Ferdinand, Blur, and Bruce Springsteen.

ROCK AL PARQUE, Bogota, Colombia June 27-29 (free)

The Rock al Parque festival, launched in 1995, has become South America's biggest rockfest in recent years -- some 320,000 people traveled to Simon Bolivar Park in 2006 for a weekend of Colombia's top rock bands and renowned international headliners. Funded by Colombia's culture secretary, the free festival has included some of rock's biggest names, including Black Rebel Motorcycle Club, Manu Chao, and Bloc Party. In the days leading up to Rock al Parque, the festival organizers host a series of panel discussions on music production, management, and the recording industry.

ROSKILDE, Denmark July 2-5 ($220)

Since 1971, the rock festival in Roskilde has hosted the top names in music, from Bob Marley to Bob Dylan. It is the biggest summer festival in northern Europe, and the "Arena" stage boasts a 17,000-capacity tent, the largest in Europe. The festival has a daily newspaper and a 24-hour live radio station and is also home to the annual "Naked Run," where the first naked person to cross the finish line receives a free ticket for next year's festival. Some 80,000 will travel to Roskilde to see headliners including Coldplay, Oasis and Nine Inch Nails.

EXIT, Novi Sad, Serbia July 9-12 ($105)

Created in 2000 by three university students as a protest against former Serbian president Slobodan Milosevic, the electro-focused festival in the heart of Serbia was named Europe's best festival in 2007 by fans voting in the UK Festival Awards. Over 200,000 people attended Exit last year, dancing at all-night raves in the gorgeous surroundings of Petrovaradin Fortress, an 18th-century castle near the Danube River. Some of techno's biggest names will be on hand to celebrate Exit's 10-year anniversary, including Moby, Kraftwerk, and The Prodigy.

THISDAY, Abuja/Lagos, Nigeria Dates tba

The THISDAY festival in Nigeria -- launched in 2006 by the editor-in-chief of Thisday newspaper, Nduka Obaigbena, to celebrate the 200th anniversary of the end of slavery -- is the biggest music and fashion festival in Africa. According to Obaigbena, the festival is meant to highlight the positive progress being made in Africa, and find sustainable solutions for the continent's problems. The theme of last year's festival was "Africa Rising," and it showcased some of the world's best-known artists including Jay-Z, Rihanna, and Usher. Stay tuned for this year's lineup.

FUJI ROCK, Naeba, Japan July 24-26 ($410)

Japan's biggest outdoor festival takes its name from Mt. Fuji, the site of the first festival in 1997. Fuji Rock has been set amongst the cool forested mountains of the Naeba ski resort for the past ten years -- gondolas and hilly trails transport people from stage to stage, and the streams and forests between them are the reason why Fuji Rock has been called the most beautiful festival in the world. It's not just about the scenery, though -- over 100,000 people will trek through the mountains to see headliners Franz Ferdinand, The Killers, and Weezer.

LOLLAPALOOZA, Chicago, Illinois, U.S.A. August 7-9 ($190)

Rocker Perry Farrell began Lollapalooza in 1991 as a farewell tour for his band, Jane's Addiction. The biggest grunge rock festival during the '90s disappeared for awhile around the turn of the century, but it was revived in 2005 as a more traditional "big weekend" destination festival in Chicago. The past few years at Grant Park have been marked by hot summers, huge crowds, and even bigger bands. The anticipated crowd of nearly 200,000 is staggering, as are this year's headliners: Kings of Leon, Tool, Depeche Mode, and Beastie Boys, just to name a few.

BESTIVAL, Isle of Wight, England September 11-13 ($205)

The trendy Bestival, the original boutique weekend festival on the Isle of Wight, is the best way to end the summer festival season in Europe. Bestival boasts a yearly fancy dress competition -- last year's was "30,000 freaks under the sea," and 2009 is the year of "Outer Space," so make sure to dress accordingly. Thousands of Bestival-goers will witness an eclectic lineup including Lily Allen, Massive Attack, and MGMT in the picturesque surroundings of Robin Hill Park. For family fun, look no further than Camp Bestival, a three-day family festival at a castle by the sea in July.

PARKLIFE, Australia Late September-Early October

The Parklife series of one-day music festivals kicks off the summer festival season across Australia. The dance-focused fests have featured heavyweights Justice, MIA, and Muscles over the past two years. The day-long festivals are followed by an official "After Life" party that runs until the early hours of the morning, so be prepared for a long one if you're one of the estimated 100,000 people attending a Parklife gig in one of several cities across Australia at the end of September.

WOODSTOCK, Johannesburg, South Africa November 27-30  When people think of Woodstock, South Africa isn't necessarily what comes to mind. But for the past decade, the festival has been the biggest youth music event in that country, hosting a variety of both well-known and upcoming mainstream and hip-hop acts -- not to mention a variety of extreme sports stunt acts, paintballing, and flea-market stalls. Woodstock may not have the star power of the legendary American festival -- but with the wide range of music and outdoor activities it presents, its promoters aren't lying when they say that boredom simply isn't an option.

SUNBURN, Goa, India  December

Sunburn Festival launched in December 2007 as South Asia's first electronic music festival, and featured heavyweights like Carl Cox and John 00 Fleming. Located seaside in Goa, on India's west coast, the festival has its roots in "Goa Trance," a type of pulsing, transcendental electro music that became popular in the early 1990s. Sunburn again treated more than 5,000 electro revelers to a three-day party by the beach in December 2008. The festival's founder has said Sunburn will always be free to attend, and it is not to be missed if you happen to be in India in December.

@highlight

CNN has put together a list of some of the best upcoming music festivals

@highlight

You can dress to kill at England's Bestival's fancy dress competition

@highlight

Enjoy the music, comedians and silent disco at Bonnaroo in Tennessee

@highlight

Dance all weekend in the shadows of a 300-year-old Serbian castle