(CNN) -- On the last episode of reality ...

"Guiding Light," a mainstay of CBS' daytime schedule for decades, airs its final episode Friday.

Jon left Kate and his eight children and took up with the party girl Hailey. Audrina got a restraining order against an alleged stalker. NeNe got into an argument with Kim during a photo shoot. And Rachel was attacked -- yet again -- by one of the city tabloids.

With plot points like this, who needs soap operas?

Certainly not most of America. In the past decade, the audience for soap operas has dwindled, as has the number of what broadcasters call "daytime dramas." Younger viewers, in particular, have gravitated toward reality shows, which feature the melodrama and outsized characters of soaps; it's perhaps no coincidence that the co-creator of MTV's "The Real World" and several other reality shows, Mary-Ellis Bunim, started as a soap writer and producer.

The latest soap victim, CBS' "Guiding Light" -- a show that began on NBC Radio in 1937 -- went out Friday after 72 years on the air.  Watch how "Guiding Light" became an institution »

On the final episode, long-entwined characters Reva Shayne and Josh Lewis decided to "go on an adventure" together, in Lewis' words. Other characters also received their moments.

Fans have lamented the passing of the show, which has followed the Springfield clans of the Bauers, Spauldings, Coopers and Lewises for decades.

"I've been watching 'Guiding Light' for the past 20 years," says Ashley Dos Santos, an account executive and pop culture expert with the Washington-based public relations firm Crosby-Volmer. "I think it's really, really sad."  Gallery: Stars who started on soaps »

But, as a (well) realist, she adds, "not surprising." She knows the trends, and the trend for soap operas is going in the wrong direction. Read a short history of soap operas

"It's very difficult to see how it could have survived," she says, noting that even she's ceased to follow "GL" in the past few years. With the multichannel universe, particularly the alternatives of talk shows, judge shows and reality shows, "I feel that a lot people, if they have to make a choice, they'd rather see 'Ellen.' "

Michael Sands, a Southern California-based media consultant, is blunter. "Soaps are passe ... old-fashioned," he says. "They're boring and stale. The public thrives on real-life drama. I'm surprised soaps lasted this long."

Not so long ago, such a dismissal would have been unfathomable. In the three-network arrangement that dominated for decades, soaps ruled daytime -- there were 19 in 1969-70 -- and even spawned prime-time variations, such as "Peyton Place" and "Dallas."

"The 1960s and '70s were an unmatched era for soaps, with women at home and just three or four [network] choices," says Sam Ford, an analyst with the communications firm Peppercom. He has a book on the genre due out next year.

Soaps developed a formula: slow-moving, multiple plotlines; multigenerational casts, gathered in seaside towns or local hospitals. Some even broke ground, airing taboo subjects -- abortions, homosexuality, marital rape -- before prime-time shows.

But events have conspired to kill off daytime dramas. With more women in the workplace, there are fewer at home to watch the soaps. The genre was slow to adjust to new technologies; even now, with the SoapNet cable channel and Internet streaming, effective promotion is lacking, says Dos Santos, who observes that soaps fly under the radar compared to reality shows. "The networks aren't trying hard enough to make [soaps] relevant," she says.

There's also the loss of family watching, a handoff from mother to daughter to granddaughter, that used to assure a continuity of viewers. Dos Santos watched with her mother; Ford's mother and grandmother were fans.

But the fall-off in soaps tends to boil down to two limited resources: time and money.

"We don't have the time to invest in soaps as they exist now," says Mimi Torchin, a TV columnist and the founding editor of Soap Opera Weekly. "Even with alternatives to TV viewing ... it's still five hours a week. In the old days, you could miss two or three days and it was easy to catch up. They don't do that anymore."

Moreover, a soap opera is a big investment, like any scripted show. Bob Boden, now the vice president of programming for the Fox Reality Channel, was at CBS' daytime division in the '80s and '90s.

"The decline of the soap opera as is much a factor of the business model as it is of the creative," he says. "It was designed to be 52 weeks a year of original product, no repeats. In today's business model for network television, that's not an efficient model anymore."

To begin a soap, a producer has to put together performers, a writing staff, a bible of characters and plots -- and has to plan things out for months or years, as opposed to a handful of weeks. "That's not really the mentality of network programming anymore," Boden says. "I think a lot of it is about quick fixes, and about maintaining an ever-shrinking audience, and giving them something unique, and attracting a younger demo[graphic]."

Increasingly, the "quick fix" -- particularly for cable channels looking to hook viewers -- comes in the form of reality programming. There are a number of similarities in the forms: melodrama, over-the-top characters, extreme situations. But reality shows can have a limited run -- soaps are open-ended by design -- and offer a voyeuristic thrill soaps can't provide, creating new celebrities in the process, something the news media has seized upon eagerly.

"People like to emulate people on TV," says Sands, who has advised some reality stars. And, he adds, "people get to feel superior" to misbehaving reality show stars.

Torchin, however, can't stand reality shows.

"They're voyeurism of the lowest order," she says. Soaps, she believes, offer some of the art that writing and acting can provide: "They have adventure and heart," she says, singling out "GL's" "compelling characters." "They're more real than what reality shows can do."

She's aware that soaps have been criticized for far-out plot devices, such as evil twins, long-lost children and bizarre coincidences. On "Guiding Light," a character drove her car off a bridge; a few years later, she turned up alive, little worse for the wear.

"Some of those outlandish things hurt the genre," she says, noting that bringing back characters was a way to placate upset audience members, who were known to fire off angry letters to networks and sponsors. "I always felt that convention [of restoring "dead" characters] always hurt soaps, because you were never invested in an event that should have been of great poignancy."

Soaps aren't dead, of course. Even with "GL's" demise, there are still seven soaps on the air, each with passionate fans. Also, the elements of the genre are plainly visible in prime-time dramas such as "Grey's Anatomy" and "Desperate Housewives."

"Everything is a soap now," says Torchin. "The secret of a show that works is that you're involved with the characters, you're in their lives. Everything else is just diversion."

Dos Santos believes that shrewder marketing -- helped by new media -- can help the genre make a comeback. And, indeed, Torchin observes that a "GL" star, Crystal Chappell, is launching a Web soap, "Venice," in November. The Internet program is an outgrowth of the popularity of a "GL" storyline featuring Chappell's character in a lesbian relationship -- a relationship that many fans felt was handled poorly by the broadcasters.  Watch Chappell go over her plans »

"I think the ratings will be better than cable," says Torchin.

Is she correct? Will soaps live to rise again? Will reality shows conquer daytime and nighttime?

Tune in tomorrow.

@highlight

"Guiding Light" goes off the air Friday after 72 years on radio and TV

@highlight

Soaps in general are declining; other genres, such as reality shows, have taken over

@highlight

Some observers hopeful soaps will cross to the Web and have success