(CNN) -- How do living organisms become conscious of what is happening to them and around them?

How is it that I as well as you, reader of these words, can be conscious of our respective existences and of what is going on in our minds — in my case, ideas about how the brain generates consciousness, about the fact that I was asked to prepare this particular text for a specific deadline, along with the fact that I happen to be in Paris, at the moment, not Los Angeles, and that I am writing this on a cold January day.

The biological mechanisms behind the phenomena of consciousness remain unclear although it is fair to say that recently our understanding has made remarkable progress. What are we are certain of understanding and where is it that our understanding fails?

On the side of understanding, we can point to the process of sensory representation as an important part of consciousness. Most of what we are conscious of (conceivably all that we are conscious of) consists of representations of objects and events in the sensory modalities in which our brains trade, for example, vision, hearing, touching, smelling, taste, sensing the state of our body's interior. Mapping, in other words.

Our brains, at all the levels of their organization, are inveterate makers of maps, simple and not so simple, and as far as I can gather, we only become conscious of the things and actions that the sensory systems help us map.

We depend, for the business of consciousness, on constructing maps of the most varied features and events. We construct those maps in brain regions that serve as platforms for this natural process of cartography.

These are regions where signals about topographic and topological relationships among components of objects and actions can be broken down and assembled in a manner that corresponds to the way in which they happen in the objects and actions themselves.

But while mapped representations are a necessity for consciousness, as far as I can imagine, they are not sufficient for consciousness to occur. For example, several orders of computers aboard a Boeing 747 represent with great fidelity many parts of the airplane body — moving parts of the wings, undercarriage, rudder — not to mention outside temperature, wind speeds, levels of fuel, and so forth. And yet we do not expect even the most integrated computer among the 747's computer family to be "conscious" of what goes on in the plane, except in a metaphorical sense. That top computer knows a lot about the plane's behavior but it does not "know," in the sense that the reader and I know, at this very moment, that we are alive and puzzling over the mysteries of consciousness.

What is different about us? Plenty, I would say. Beginning at the top of the scale of differences, the 747 lacks a self in the sense that you and I have one. I have proposed that selves are built from, but not limited to, myriad, integrated representations of the structure and operations of our bodies, and of the sum total of memories of what has happened to our own body in its history. The 747 does not have the equivalent of that part of a self for the very good reason that it does not need one to comply with the demands of its captain. But we do.

There is an even deeper difference, however, that has to do with the issue of feeling. An integral part of the notion of self, beginning at the lowest level of self — the primordial self and present all the way up to the autobiographical self — is the fact that we feel the living body to which experiences are happening. We feel our body as it lives in the world and wanders in it.

We experience everything we map through our senses because we feel the body that is the site of all the mappings. Or to put it more clearly, when we move about or see an object, or hear a voice, we feel the changes that such actions and perceptions caused in our organism.

I believe to be conscious of our perceptions is to have ongoing representations of streams of events that affect our bodies, cause feelings, and become felt representations. Representing and feeling are dovetailed phenomena that sit at the rock bottom of experience.

As we unravel the biological mechanisms behind feeling I suspect we will come to uncover their origins at the level of single neurons.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Antonio Damasio.

@highlight

Antonio Damasio asks: How do we become conscious of the things around us?

@highlight

In a TED Talk, he describes scientific findings about the nature of consciousness

@highlight

Our minds make maps of all the things we see, hear and sense, he says

@highlight

Damasio: We need more than the maps; it takes a sense of self to be fully conscious