(CNN) -- When I first heard about the shooting rampage in a Colorado theater, I was shocked and horrified. It was like reliving the Virginia Tech shooting all over again.

News: Remembering the Colorado shooting victims

On April 16, 2007, Virginia Tech experienced the largest mass shooting on a college campus, with 32 students killed and 17 wounded. Our typical serene spring morning was bombarded with continuous screeching of rescue and police sirens alerting everyone that a terrible situation was at hand. As news spread, our community responded swiftly, but with a sense of bewilderment, grief and anger. There was no doubt that this was a life changing experience for the survivors as well as families of the victims.

Timeline: Worst mass shootings in U.S.

The campus disaster response network immediately sprung into action to assist families directly affected by the shooting. The day after the incident, a network of professionals met to begin the task of planning an ongoing mental health response to the tragedy. This group included university personnel, counselors, clinical psychologists, community agencies and the local mental health association.

On the day after the attack, a candlelight vigil was held for the entire university. It was quite moving to observe the thousands of candles burning, signifying the great loss. That night, 6-foot walls of plywood and paper provided the opportunity to record Bible verses, sentiments and vows to remember those who died. This proved quite cathartic. A website, Hokie United, encouraged people to bring mementos to the drill field as an expression of love and support.

Convocation took place in Cassell Coliseum and Lane Stadium. This event was well attended by about 35,000 students, faculty and staff. The service was a major step in communal healing. The attendance of President George W. Bush, first lady Laura Bush and Gov. Tim Kaine was an important source of support. The resolve to engender hope was eloquently voiced by the final words of professor and poet Nikki Giovanni, "...We are the Hokies, We will prevail, We will prevail, We will prevail ....We are Virginia Tech."

By all indications, it appears that Aurora, Colorado, engaged in many similar steps to meet the immediate demands of the traumatized victims. The SWAT team, police and rescue personnel reacted quickly. It appears that the clergy, mental health professionals and the Red Cross were all responsive in timely and meaningful ways. As the days pass, people in the community have been offering condolences to the families with flowers, candles and mementos.

News: Colorado shooting: Stories of survival

The memorial service demonstrates the community's show of genuine care. President Obama meeting with the families as a group and as individuals was a powerful acknowledgment of their pain and hopefully served as a tremendous sign that the nation stands behind them.

Perhaps the most unfortunate consequences of both the Virginia Tech and Aurora tragedies is that the families of the deceased, the injured and others most exposed to the shooting (including first responders) often do not seek help.

The stigma associated with mental health interventions prevents individuals from obtaining much needed assistance. It is too frequently the case that individuals wait for years to take advantage of the effective mental health treatments targeting traumatic experiences. Months and years of pain, anxiety, confusion as well as loss of relationships and lack of effectiveness in the classroom or workplace is tolerated until "breaking points" are reached. Those affected by the shooting should not be afraid to ask for help; they should not wait and suffer silently and alone.

News: How to help the victims

It is my hope that the resilience and communal strength displayed by the Hokie Nation in the days, months and years after the Virginia Tech shooting will serve as a model for everyone affected in that Aurora movie theater.

The adage "out of darkness comes light" is a reminder for those who endure tragedy that there is always hope.

The opinions expressed in this commentary are solely those of Russell T. Jones.

@highlight

Russell Jones: Hearing about the Aurora shooting was like reliving the Virginia Tech shooting

@highlight

Jones: Virginia Tech community responded quickly, with support for the victims' families

@highlight

He says families of the deceased, the injured and others should not be afraid to seek help

@highlight

Jones: Aurora community, the entire nation is standing behind you in this time of tragedy