(CNN) -- "But if we know enough to be hung, we know enough to vote. If the Negro knows enough to pay taxes to support the government, he knows enough to vote; taxation and representation should go together. If he knows enough to shoulder a musket and fight for the flag, fight for the government, he knows enough to vote ... "

-- Frederick Douglass ("What the Black Man Wants," 1865)

Yet another milestone of great American historical importance has come to pass with embarrassingly little tribute. And much like the election of President Barack Obama, many of us also thought we would never live to see this racial ceiling broken.

But unlike the election and re-election of the first black president, the media has paid remarkably little notice to news that might well have more impact on the political trajectory of this country over the next decade than the election of a single president.

According to a new Census Bureau report, "In 2012, blacks voted at a higher rate (66.2%) than non-Hispanic whites (64.1%) for the first time since the Census Bureau started publishing voting rates by the eligible citizenship population in 1996."

Now, given the innumerable battles to secure this most important right of democracy -- from the blood-soaked battlefields of the Civil War to the halls of Congress and courts, to the strife-torn streets of the Civil Rights era -- few things in our collective political history has borne so heavy a toll on our democracy as the enfranchisement of the African-American.

That the group for which so many hurdles have been thrown upon to block the vote has for the first time become the group most likely to vote is something like a big deal.

Over a century ago, in the final days of the Civil War and of President Abraham Lincoln's administration, Congress passed the 13th Amendment. And on this past November 6, our first African American president, hailing from the state of Illinois and a Lincoln devotee, rode to victory on the power of an expanding black electorate.

It is the sum of all hopes and all fears given birth by black enfranchisement. Those who feared the black vote from the very beginning -- those architects of Jim Crow -- understood that it could give birth to transcending possibilities that were once unimaginable, such as the electing of a black guy with a name like Obama as president.

Unfortunately, the battle to minimize the impact of African-Americans increased participation is already underway -- and it's both typical and predictable.

Demographer William Frey from the Brookings Institution, who did a study on the subject for the Associated Press, asserts Mitt Romney would be president had the 2012 turnout looked more like it did in 2004. Well duh. It was our job to make sure it didn't look like 2004.

And Nate Cohn writes in the New Republic that Frey's calculations are flawed, but yet still manages to draw the erroneous conclusion that regardless of whether or not there's been an increase in the black electorate, higher turnout by African-Americans was not responsible for Obama's victory.

Soooo, regardless of garnering the lowest share of the white vote in a competitive presidential race in modern history, Obama could have won without expanding the black share of the electorate ? This debate is hard to understand.

Despite losing whites in Virginia by an even larger margin in 2012 than 2008, by a staggering 24 points, the black vote really doesn't make any difference?

In 2008, Obama won Ohio by 4 points (51.2% to 47.2%), and the drop in Democratic support among whites from 2008 to 2012 was 5 points.

Nevertheless, the president remained victorious because of an increase in support among black voters, who increased their share of the electorate from 11% to 15%, resulting in a 2-point victory (50.1% to 48.2%). Similar patterns can be seen in other battleground states. But even in many of the so-called reliable blue states such as New Jersey, for example, Obama's white share of support dropped from 2008 -- losing white voters there by 13 points in 2012.

So yeah, I can see the logic in arguments against the importance of the black vote share. GOP pollsters, keep using the same turnout models that you used in 2012; it will be fine. You didn't get it wrong -- the electorate did.

At a time when the black electorate is lighting the way and giving new energy to the quintessential Democratic value of participation and empowering the memory and sacrifices of our forefathers (who fought wars in the name of democracy while not being granted it here, who marched and where beaten and attacked with fire hoses and police dogs for the right to vote), the last thing we need is a media brawl over arcane statistics casting doubt on the achievements of ordinary voters as they blaze a trail that that has been in the making since 1865.

Now, of course, the question is will this higher voter turnout last beyond Obama being on the ticket?

To say I'm hopeful would be a lie. The obstacles are many: a Republican Party that instead of believing in competing in a free market of ideas thinks the best way to compete is by manipulating what the marketplace looks like through voter ID laws and other restrictions, and then there is the self-serving apathy of a Democratic Party consulting cabal whose ol' boy establishment class is almost as dangerously entrenched and insular as that of the Republicans.

However, we are at a watershed period of political history where African-Americans have participated at higher rates than others in the presidential election and by doing so changed political reality in a country historically torn by racial strife, making the impossible possible.

If the African-American community also sees the power of the ballot to overcome other historical obstacles such as entrenched poverty, widening wealth, education gaps and safer streets where it's not as easy for a criminal to get a gun as it is to buy a cigarette, then this expansion of its voting power will be a more permanent fixture on the political scene. And it will be a fixture that politicians of both parties will need to better pursue.

Candidate Obama often said it wasn't about him on the campaign trail going back to 2008; let's see how well the African-American voter was listening.

The opinions expressed in this commentary are solely those of Cornell Belcher.

@highlight

Census report confirms African-American turnout rate exceed white turnout in 2012

@highlight

Cornell Belcher says the fact is a huge milestone in the story of enfranchising African Americans

@highlight

Will high turnout persist after Barack Obama leaves office?

@highlight

Belcher: If African-Americans see power of the ballot to effect change, turnout will stay high