(CNN) -- He's known as the "Merchant of Death" and the "Lord of War," -- an alleged international arms dealer straight out of a cloak-and-dagger spy novel who eluded authorities for years and inspired Hollywood villains.

But in reality, according to those who have seen or met Viktor Bout, he is a somber man, sometimes nattily dressed, a wheeler-dealer who has insisted he is innocent of the allegations leveled against him.

Bout, a Russian citizen and former military officer, speaks six languages "and I could see him bargaining in all six at the same time," wrote CNN's Jill Dougherty in 2008, recalling her meeting with Bout in 2002 in Moscow, Russia.

Bout arrived in New York late Tuesday after being extradited from Thailand. He faces charges in the United States of conspiring to kill U.S. nationals, conspiring to kill U.S. officers or employees, conspiring to acquire and use an anti-aircraft missile and conspiring to provide material support or resources to a designated foreign terrorist organization. American law enforcement officers have spent years pursuing him, and the extradition process from Thailand was an arduous one for them.

Bout is accused of supplying weapons to war zones around the world, from Sierra Leone to Afghanistan. Before his 2008 arrest, U.S. Drug Enforcement Administration agents led a sting operation by posing as members of the Revolutionary Armed Forces of Colombia (FARC), officials said.

"His early days are a mystery," said Douglas Farah, a senior fellow at the International Assessment and Strategy Center who co-authored a book on Bout. Farah told Mother Jones magazine in 2007 that according to his multiple passports, Bout was born in 1967 in Dushanbe, Tajikistan, the son of a bookkeeper and an auto mechanic.

A pro-Bout website -- Farah said Bout put it up himself -- says he was born into an "average home and an average family" and that his parents were employees in the "administrative and accounting fields."

But, Farah said, some reports are that Bout's parents were involved in intelligence. "His mother was supposedly very high in the KGB," Farah said, adding that Bout has consistently denied that.

"He graduated from the Military Institute on Foreign Languages, a well-known feeder school for Russian military intelligence, and is known to have a true gift for languages," Farah told Mother Jones.

Bout has said that he worked as a military officer in Mozambique. Others have said it was actually Angola -- which would make sense, as Russia had a large military presence there at the time, Farah told CNN.

He said Bout's rise stemmed from the end of Communism and the rise of capitalism in the early 1990s in the former Soviet bloc.

"He was a Soviet officer, most likely a lieutenant, who simply saw the opportunities presented by three factors that came with the collapse of the USSR and the state sponsorship that entailed: abandoned aircraft on the runways from Moscow to Kiev, no longer able to fly because of the lack of money for fuel or maintenance; huge stores of surplus weapons that were guarded by guards suddenly receiving little or no salary; and the booming demand for those weapons from traditional Soviet clients and newly emerging armed groups from Africa to the Philippines," Farah told the magazine.

"He simply wedded the three things, taking aircraft for almost nothing, filling them with cheaply purchased weapons from the arsenals, and flying them to clients who could pay."

"He knew the African market," Farah said Wednesday. "He was clearly aware of who [Russia's] past clients had been ... I think he had foresight, and I think he understood the world changes much more than the average Soviet bloc person."

He first became known when the United Nations began investigating him in the early-to-mid 1990s and the United States began to get involved, Farah told CNN.

Bout's website, which spells his name Victor, says he became notorious because of a smear campaign, "fictitious tales and stories which were generated from one source -- a corrupt United Nations contractor who was generously paid for the U.N. contracts he arranged with the help of others for Victor's companies, and then became mad for vengeance when Victor refused to continue paying him."

The site said the United States case against him is based on "lies" and paid informants.

Attempts by CNN to contact Bout's wife were unsuccessful Wednesday.

Ironically, the United States is also among Bout's clients, even indirectly, Farah said Wednesday. Bout companies were used to fly for government contractors in Iraq. Most of those flights -- estimated in the hundreds -- occurred after then-President George W. Bush had signed an executive order making it illegal to do business with Bout because he represented a security threat to the United States, Farah told Mother Jones.

"The State Department, under a congressional inquiry initiated by Sen. Russell Feingold, found it had used Bout companies, acknowledged it, and stopped," Farah told the magazine. "...Despite the public revelation, the congressional inquiry, the executive order and a subsequent Treasury Department order freezing the assets of Bout and his closest associates, the flights continued for many months, at least until the end of 2005."

The United States did not have the airlift capacity to go in at the time, Farah said Wednesday. But Bout had planes close by, in the United Arab Emirates, and "he was willing to fly without insurance. He paid pilots a flat rate."

At one point, the State and Treasury departments were going after Bout while the Department of Defense continued to pay him. "It was one of those contradictory situations," Farah said.

Farah told CNN he believes the trial against Bout will be quick, as he doesn't believe anyone wants Bout to tell what he knows -- because he knows a lot. His knowledge could potentially embarrass not only Russia, but the United Nations, the United States and Britain, among others, he said. "I don't think they're going to have a wide-ranging free-for-all."

And so far, "he's apparently been a stand-up guy to the Russians," and hasn't threatened to turn on them, Farah said. For one thing, they have his family, which is "considerable leverage" -- Bout is widely known to be a family man, Farah wrote in August in Foreign Policy magazine.

"He endured more than two years in a Thai prison, losing more than 70 pounds and never showing any signs of doubting he would ultimately walk away," Farah wrote in the article. "He has been, so far, a soldier's soldier."

That's largely in line with how Bout views himself, Farah said Wednesday -- as a soldier and a businessman.

"I think everyone agrees on a personal level, he's very charming. He's very articulate, very sort of well-mannered and obviously a very smart guy," he said, adding Bout has never considered himself as a "trigger-puller or bad guy."

"I don't think he views himself as having any blood on his hands," he said.

In addition, Bout approached the CIA and the FBI through an intermediary just after the September 11, 2001 attacks on New York and Washington, offering to help oust the Taliban if paid tens of millions, Farah told Mother Jones. "Negotiations were serious and lasted several months, but we do not know what, if any, parts of the deal he offered were accepted."

But in 2002, when he met with Dougherty, Bout was interested in setting the record straight. He traveled with a bodyguard and a female aide, Dougherty said, and was "dressed in a well-cut dark jacket with gold buttons, grey trousers, white shirt and basket-weave-patterned silk tie." He also sported a wool topcoat.

"His English was quite good," Dougherty recalled. "He seemed intelligent, canny; serious but nervous."

She said he was "tall, heavy-set, a bit rough around the edges, but he acted like a man who has been wronged."

She asked him about allegations against him -- did he sell arms to the Taliban? To al Qaeda? Did he supply rebels in Africa and get paid in blood diamonds? -- and he denied each one.

"It's a false allegation and it's a lie," he said. "I've never touched diamonds in my life and I'm not a diamond guy and I don't want that business."

"I'm not afraid," he told Dougherty. "I didn't do anything in my life I should be afraid of. And all this looks to me like a witch hunt. Look, I'm coming to your office, I have no problem. And I said, 'Hey, who's looking for me?' I'm here. I'm not hiding from nobody. And I don't want this story going on."

Dougherty asked him if he had ever met Osama bin Laden, and he said no, adding that if he had, he might have helped prevent the 9/11 attacks.

Farah believes Bout's downfall was insisting on closing the supposed "deal" with FARC himself. "He was more than happy to say he knew the weapons would be used to kill Americans," he said Wednesday.

Meanwhile, Bout himself -- who reportedly has used names including "Victor Anatoliyevich Bout," "Victor But," "Viktor Butt," "Viktor Bulakin" and "Vadim Markovich Aminov" -- is thought to have been the inspiration for the arms-dealer character played by Nicolas Cage in the 2005 movie "Lord of War."

"Someone will undoubtedly write a book about this case some day, and I can tell you that it will read like the very best work of Tom Clancy, only in this case it won't be fiction," Michael Braun, then assistant administrator and chief of operations for the DEA, told CNN in 2008.

Much of what Bout is alleged to have done is morally reprehensible, but not illegal, Farah said, noting there are no penalties for violating UN weapons sanctions.

"Our book ends saying, 'They'll never catch him,'" he said.

@highlight

NEW: Author doesn't believe nations want Viktor Bout to tell what he knows

@highlight

NEW: Little is known about Bout's early days

@highlight

NEW: Bout sees himself as a soldier and businessman