(CNN)In the azure waters off the rocky coast of Antikythera, a remote island in the Mediterranean with a population of less than 50, an international team of archaeologists has recovered new treasures from one of the most mysterious shipwrecks of all time.

The group of maritime archaeology experts have been at the site since mid-September and armed with the most advanced marine technology available, they have conducted the first-ever scientific excavation of the Antikythera wreck.

Despite facing fierce winds and choppy seas during the 30-day mission, the reclaimed items include tableware, anchors and other maritime components, as well as a giant spear, which they believe once belonged to a life-sized bronze warrior statue.

The recovered artifacts have been described as "very promising" by project co-director Theotokis Theodoulou in a press release from Woods Hole Oceanographic Institute (WHOI). The U.S.-based WHOI worked with Theodoulou and the Hellenic Ephorate of Underwater Antiquities in Greece to lead the expedition. He added: "We have a lot of work to do at this site to uncover its secrets."

World's first computer found at wreck

In 1900, sponge divers from the Greek island of Symi anchored along the eastern coastline of the island while waiting for a ferocious storm to pass. What they would stumble upon would stun the world.

Underneath the crystalline waters, lay the incredible wreck undiscovered for thousands of years. And as the site was explored over the next year, they would uncover life-size bronze statues and remarkable artifacts. But it was the 1902 recovery of a clump of calcified stone with mysterious inscriptions that would push the wreck into archaeological lore.

The heavily corroded bronze fragments would turn out to be what has been described as the world's earliest known "computer," designed in the first century BC -- the Antikythera Mechanism. Built to track the astronomical calendar and lunar movements, later radiographic image analysis of the mechanism revealed 30 intricate gear wheels.

Famed underwater explorer Jacques Cousteau visited the site in 1976 to film a documentary and returned from below the surface with treasures galore. Since then, the site had remained dormant under the aegis of the Hellenic Ministry of Culture for almost 40 years.

"The Antikythera shipwreck is maybe the most important, most famous shipwreck from antiquity," Brendan Foley, an archaeologist from WHOI and co-director of the expedition told CNN before the dive began in September. "We are hardcore scientists and archaeologists. We hate to speak of treasure but in this case, it's actually a treasure ship and there are just no two ways about it."

Shrouded in mystery

Analysis of the reclaimed artifacts has dated the vessel to the first century BC, while a horde of gold coins retrieved from the water suggests the boat's origins lie east, from Asia Minor. But no one knows for certain how big it is, what it was doing there or why it went down. Yet.

Foley said: "This not just an everyday trader. This is probably one of the largest, most expensive ships that was sailing in the first century BC. The 1901 sponge divers reported that the artifacts were spread among an area about 52 meters along the seafloor. And that corresponds nicely with what we've observed in our dives on the site."

Supported by the Hellenic Navy, Foley and his 32-man team have been provided with research vessels capable of raising artifacts weighing up to five tons straight off the seabed.

"You never want to speak about absolutes or guarantees but I've never felt more confident in a shipwreck that there is going to be something interesting on it," Foley said. "In the 1901 and '76 operations, they were getting gemstones, gold stones and human remains. And human remains almost never come up from ancient shipwrecks. So with modern ancient DNA analysis, there are all kinds of questions that can now be posed if we recover some."

With the location at around 55 meters deep, it's not particularly hard to get to.

Foley explained: "This shipwreck is close to the shore. It's only about 70 meters off the cliff face so it makes it very difficult to bring in a big ship to support any kind of robotic systems so we came up with a plan and have been putting it into practice over the last three years -- incrementally training on new technology so that we could get and do very vigorous science.

"At the most basic level, if we can come away from this important shipwreck site with a very, very good map and a much better understanding of the layout of the wreck, from that data we can begin to pose new questions to drive forward the research," explained Foley, who has worked with the Ministry of Culture in Greece for the last decade.

The international expedition started by mapping out the site using "Sirius," an autonomous underwater vehicle (AUV) from the Australian Centre for Field Robotics. The AUV conducted a high-resolution survey of the wreck site to create precise 3D documentation of the expansive debris field. Meanwhile, technical divers equipped with metal detectors scanned the seafloor to determine the extent of the wreckage under the sediment before test trench excavations were able to begin.

Underwater "Iron Man"

The team also arrived in Greece with a next-generation diving suit that could revolutionize the future of ocean exploration. Looking like something straight out of "Iron Man," the Exosuit is an atmospheric diving system, created by Vancover-based Nuytco Research, originally designed for offshore exploration of oil fields. Repurposed for the expedition, Foley explained it offers the team extensive bottom time at the site.

"The system itself for the Exosuit has life support for something like 40 hours if all went to hell. I mean, really, it's when you get tired and sore, and want to have a sandwich and use the toilet, that you come up," he said.

And the best part is the simplicity of the technology, revealed its creator Phil Nuytten.

"You can literally operate the Exosuit after a few hours of training. The majority of the training is spent in emergency drills. But the actual functioning of it is as simple as learning to drive a golf cart," said Nuytten, a pioneer in deep-sea exploratory technology.

"The suit is controlled by footpads that can tilt forward, backwards or from side to side."

Aside from Exosuit's ease, Nuytten also highlighted how the suit negates some of the side effects of conventional saturation diving, like decompression sickness and prolonged, unnecessary dive times.

"In the Exosuit, you jump into it and the compression time is zero. You're down to 1,000ft within 10 minutes and you can spend six to eight hours there and then come back in 10 minutes instead of 10 days."

But for the dive team, it's the opportunity for exploration that is the biggest pull of Exosuit.

"We figure by the end of the first two days with Exosuit, we'll have more time on the Antikythera shipwreck than any other dive put together that's gone before it," said Foley.

A doomed dowry?

It's been a mammoth undertaking and with a bill at over €2 million (over $2.5 million), the team was hoping the Mediterranean would yield some of its secrets. Prior to this scientific dive, the archaeologists had little to go on and were left to come up with theories based on the little historical evidence at hand.

When human remains -- including a skull that was 80% intact -- were recovered in '76, a treasure trove of jewelry, perfume bottles and other female-related trinkets were found close by.

"One of our pet theories is that maybe this ship was carrying a really wealthy woman from Asia Minor, and she was going to be married and this cargo was her dowry. It's impossible to prove but it's a nice romantic notion," said Foley.

With such a long passage of time between when the ship sank and the present day, and so many unanswered questions, the scientists and archaeologists expect to be working on the project for at least the next five years. And it's a journey Foley is excited to have embarked on.

"I like to think of shipwrecks as books, books in a library. The seafloor is a vast library and with every single shipwreck, there is a book telling us about the past and the artifact that we raise is like a page in that book.

"So if we want to try to recreate the ancient past and figure out who we are, who we came from, why we live in this modern world, then the only way to do that is to look at the physical remains of past cultures."

@highlight

Divers have recovered new items from 2000-year-old wreck site

@highlight

Items found include a bronze spear from a life-size statue, tableware and anchors

@highlight

Co-director Theotokis Theodoulou: "We have a lot of work to do at this site to uncover its secrets"

@highlight

Earlier dives returned with gems, gold, life-size statues and human remains