(CNN) -- Each year, bright, optimistic Africans leave home to earn an education or seek a better economic life abroad for themselves and their families. With fewer opportunities in their home country, many never return home.

The African Diaspora is broadly defined by the African Union Commission as "peoples of African origin living outside the continent, irrespective of their citizenship and nationality and who are willing to contribute to the development of the continent and the building of the African Union."

Globally, Africans in the diaspora are spread out across the continents. In North America, there are 39 million from the African Diaspora; 113 million in Latin America; 13.6 million in the Caribbean; and 3.5 million in Europe, the World Bank estimates.

The African Diaspora is not a monolithic group -- some were born and reared outside of their home country; many migrated to Europe, the United States and other parts of the world at a young age; while others arrived to attend college.

No matter how they arrived in their adopted country, diasporans bring a distinct perspective to the discourse on Africa because they have experienced both worlds and can serve as a bridge in fostering greater understanding between the continent and their adopted country.

Read this: Africa's most exciting photographers

My personal story is that I have lived most of my life as an African diasporan. I was born in the Democratic Republic of Congo. Yet, in my father's pursuit to attain a higher education and better career opportunities, my family moved to Japan, the United States, and then Liberia. I returned to the United States for my undergraduate and post-graduate degrees, and remained in the States to build my career.

We live in an interconnected world. My life embodies this interconnection. I love my adopted country of America and all that it has to offer; and Africa is where my roots are and where my heart and passion live. With this duality, I try to marry these worlds the best way that I can in my daily life.

The organization that I lead, The Africa-America Institute (AAI) has served as a bridge between continents for 60 years. As African nations were gaining independence from colonial rule in 1953, AAI was founded to build human capacity on the continent by providing opportunities for African students to pursue academic degrees at top universities in the United States.

After receiving their degrees, more than 90% of our alumni returned home to become leaders in the public, non-profit, and private sectors in Africa, where they contributed to strengthening the foundation for African development.

Read this: 'New wind of change is blowing through Africa'

With 23,000 AAI alumni worldwide, we proudly count prominent alumni such as Wangari Maathai, the late Kenyan environmental and women's rights activist and Nobel Laureate; Prime Minister H.E. Nahas Angula of Namibia; and President Joyce Banda of Malawi, among other distinguished African leaders.

Today, AAI offers rigorous professional development and leadership training programs through our African partner institutions to women and men who exhibit talent and leadership in key fields -- and who display a deep commitment to advancing to Africa's development.

Indeed, Africans in the diaspora have so much to offer the continent, boosting one of the world's fastest-growing economic regions -- six of the 10 fastest growing markets in the world are in sub-Saharan Africa.

By leveraging the skills, ingenuity and resources that the African Diaspora possesses, diasporans are uniquely positioned to contribute to boosting economic growth and prosperity in Africa.

Firstly, diasporans can help dispel myths and stereotypes about Africa to change the narrative about the continent. All diasporans can serve as "brand ambassadors" to bring a new vision and inspiring ideas for Africa.

By and large, the three "Ds" about Africa -- death, despair and disease -- still prevail in the minds of many people in the Western world. African diasporans, especially young people, can become the face of a "new Africa" -- educated, optimistic, and actively working to transform and shape Africa's future.

Secondly, diasporans can help shape foreign policy. Since many in the African Diaspora still maintain strong connections to the continent, diasporans can help influence foreign policy priorities by offering informative analysis of on-the-ground realities in African nations and sharing under-reported success stories of progress taking place, as well as solutions to development challenges.

Lastly, diasporans can bring their talent, energy, skills and technological know-how to furthering economic progress in Africa. Many Africans in the diaspora want to eventually go back home after living abroad. However, one of their biggest challenges is finding suitable employment once they return.

The demand for talent is high in Africa, yet the wide skills gap is a sobering reality. A McKinsey Global Institute Report estimates that 122 million people will be added to Africa's labor force between 2010 and 2020, creating a burgeoning labor force of more than 500 million across the continent.

Skilled professionals from the African Diaspora are recognizing the tremendous opportunities that exist in Africa and are repatriating home in greater numbers to fill top positions at multinational corporations and organizations on the continent. They are also investing in Africa's emerging markets and launching African-led businesses and enterprises to create well-needed jobs and spur economic growth.

Harnessing the talents and expertise of the African Diaspora can help to bolster Africa's workforce development. Recognizing this tremendous asset, AAI hosted a Talent Summit where mid-career professionals from the diaspora learned about the challenges and opportunities of launching a career in Africa or at leading Africa-focused organizations in the United States. Attendees left the summit armed with information to plan a possible career transition.

Mobilizing the full participation of Africans in the diaspora is a win-win for Africa, and can foster stronger connections between continents to accelerate Africa's social and economic development.

The opinions expressed in this commentary are solely those of Amini Kajunju.

@highlight

African Diaspora can boost continent's prosperity, says Amini Kajunju

@highlight

They can dispel myths about Africa and help shape foreign policy, she says

@highlight

Skilled diasporan professionals are investing in Africa