LOS ANGELES (CNN) -- The tears begin and her voice trembles as Ruth Martinez remembers the first few days of her new world.

CNN's John King talks to Ruth Martinez and her son Jacob.

She would leave work, pick up her son Jacob at school and drive aimlessly, sometimes sneaking back to the office, "to watch TV there without my boss knowing."

Her husband had lost his job, and the stress drove them apart. Then Martinez was evicted. Suddenly, her car was her home. And she was afraid to ask for help.

"We just prayed," Martinez told us. "And I was embarrassed because a Hispanic Latina does not ask for help. The way I was raised, you put your pride to the side and did what you had to do."

Rudy Salinas finds them in cars, under bridges, in abandoned homes, and even in protected trenches artfully dug by the military veterans who put survival skills learned in Iraq and Afghanistan to use in America's inner cities.

Salinas has been working to help the homeless here for eight years now, driving the streets every day looking for people hiding under bridges and in abandoned properties. More and more of late, there are people in business clothes, heading off to work. More and more, they are women with young children.

"In my eight years of doing this I have never come across as many people who've told us they have never been homeless before," said Salinas, the director of community outreach for People Assisting the Homeless. "It's quite different from what I have seen in the past."

Estimates of the problem vary widely. A 2007 survey by the Los Angeles Homeless Service Authority estimated there were more than 73,000 homeless people in Los Angeles County. Activists like Salinas who walk the streets say the number has grown in the past year as the recession has deepened, and that more and more they encounter families.

The ingredients for this growing problem are a troubling mix: double-digit employment, in the 20 percent or higher range in poorer African-American and Latino communities, high foreclosure rates and budget cuts to social service programs including homeless assistance.

"A lot of folks who just recently lost their job, and a few folks that were telling us they were living and paying the rent -- following everything they had to do -- but the owner of the property was foreclosed and they had to be moved out," Salinas said. "So we've seen a combination and it's pretty much balanced between the two right now. But we're seeing more now than I have seen in the past eight years."

Martinez is one of the new faces among the homeless.

The government told her it couldn't help because she had a job and didn't qualify.

Finally, LAHSA, a homeless advocacy group, offered a voucher for a hotel. It was, in Martinez's words, "very, very low class." Her purse was stolen. Then her car. Drug dealers roamed the grounds. But it was a roof over Jacob's head. "I was willing to deal with it because I had nowhere else to go."

The agency that gave her the voucher then referred her to People Assisting the Homeless and before too long Martinez and Jacob were assigned a room at a Los Angeles shelter. It is cramped; bunk beds against the wall and a thin mattress on the floor where Jacob prefers to sleep.

No chairs. No windows. No TV. No complaints.

"PATH is an awesome place," Martinez tells us after giving us a tour of the shelter, which has a common kitchen area and family room with a single TV, and a small outdoor play area for the children. Families are in one section, single women another across the hall. Men are sheltered upstairs.

She has been here six weeks and can stay six months. Those given rooms must agree to set aside some of their earnings in a savings account to help build enough money to rent an apartment, and there are strict curfews and rules of conduct.

Martinez still goes to work every day. She still picks up her son at school, and makes sure he keeps his grades up. It wouldn't dawn on any passerby outside that she is homeless -- and she sees a powerful lesson in that.

"The person next to you at times could be homeless and little do you know that they are. So when people see homeless, I wish society would try to help ... I wish society would be more gentle with words sometimes."

Across town, in a motel whose better days were long ago, Dina Acevedo huddles on one of two twin beds lined against the walls. Her three daughters sit closely at her side, though the youngest, 3-year-old Citially, from time to time gets up to wander the small room or play with a small stuffed Dalmatian.

"I am homeless because we cannot afford an apartment," Acevedo says. "Renting is very expensive here."

She is divorcing a husband she said was abusive. After taking off, he is now paying some child support because of the efforts of the Los Angeles District Attorney's Office.

The girls were born in the United States and are citizens, but Dina cannot work because she is here illegally, applying now for legal status after being told a nonprofit she believed was helping her for years had lost her paperwork. At times in the past, she has worked in the underground economy, cleaning homes and doing other odd jobs. But a back injury makes that work more difficult, and she says there are fewer jobs because of the economy and more and more prospective employers who demand to see immigration documents.

"They request all the time for papers to work," she said.

"I have been waiting for my immigration papers since 2000," she said. She could afford a small studio or one-bedroom, but no one will rent such a small place to a family of four, so she lives in a tiny motel room.

Her church is part of her lifeline.

"They support us spiritually and with pantries for food," Acevedo said. "The church is like our second home and we are so happy there."

In June it will be one year in these cramped quarters. To cook, the family goes down the hall to a shared kitchen. There is just one bathroom for the four of them. To bathe or shower, there is an additional, though welcome, complication: two tiny turtles, who spend most of their day wandering the bathtub.

Acevedo said she will stay here until her immigration status is resolved, and then plans to move to Louisiana where she has friends and relatives, and where she said there are more jobs and a lower cost of living.

For Martinez, Los Angeles is home, and she hopes by the end of her six months in the People Assisting the Homeless shelter to have set aside enough money to get an apartment.

Still, as urgent as her need to save, she often gives a few dollars away on the ride back to the shelter at night.

"When I get off the freeway I see a gentleman there all the time," she said. "If I have a couple of dollars I give it to him. Even though I am homeless, I would rather give the last dollar I have to the person who I see needs it more than me."

@highlight

Ruth Martinez worked in an office, but lived in her car

@highlight

Dina Acevedo left her husband but had no job or place to go

@highlight

Both are being helped by aid agencies in Los Angeles, California

@highlight

Aid worker says lately he finds more women with children are homeless