Los Angeles (CNN) -- Just when you thought the nation's entertainment capital couldn't deliver a new surprise ending, a camera-wielding resident reveals how this week's Pacific storm sent Los Angeles a tornado.

The rare twister was captured on tape: roofs obliterated, shingles hurled like leaves, and the amateur videographer gasping in profane disbelief. Friday's melee even damaged the steel of a billboard.

"It was crazy. It was crazy," Jamie Mena told CNN affiliate KABC after shooting a video of bent-over palm trees and his rooftop flying off. "I am shaken up."

Before Friday, the last time a twister made big news in Los Angeles was 1983, slamming into the downtown Los Angeles Convention Center, though there have been a few tornadoes since then around the area.

"They are pretty rare, but not as rare as you might think, though," said National Weather Service meteorologist Scott Sukup of the Los Angeles-Oxnard office.

Los Angeles hasn't seen a tornado for the past few years, but a study in the 1990s showed that "the amount of tornadoes we get in the L.A. basin is comparable to what they get in the Midwest but it's much weaker," Sukup said.

"Most of the ones we get out here are EF0's, whereas out in the Midwest, they get the EF3's and larger," Sukup said.

On a tornado damage scale, an EF0 is the weakest, with three-second gusts between 65 and 85 mph, according to the service. The worst of tornadoes is ranked EF5, with the winds exceeding 200 mph. An EF3 has such gusts between 136 and 165 mph.

That means Friday morning's twister in south Los Angeles struck with winds between 65 mph and 85 mph, ripping two residential roofs and knocking over trees, the service said.

The tornado was born out of a Pacific storm that pummeled much of the coast from Wednesday to Friday.

What to know about tornadoes

More tornadoes ahead?

One of the more memorable tornado seasons in Los Angeles was the 1997-1998 winter when a strong El NiÃ±o weather phenomenon brought several storms and weak twisters, Sukup said.

An El NiÃ±o event involves the warming of the central and eastern Pacific Ocean and influences the jet stream where storms track.

"We might be going into a weak El NiÃ±o this year, but it doesn't tell us how wet of a year we're going to have or how many storms we're going to have," Sukup said.

More rain will fall on Southern California beginning late Sunday, and Los Angeles may received a quarter- to a half-inch of rain on Monday, with a chance of showers through the week, Sukup said.

Rain resumes next week

But next week's rainfall shouldn't cause the kind of disasters seen this past week, Sukup said.

At a minimum, those rains will help slake a historic drought that's been drying up California the past three years.

"It doesn't look like it's going to be a major deal, more of a beneficial rain," Sukup said of next week's forecast.

The recent storms flooded and ravaged the West Coast: homes fell into the sea in Washaway Beach, Washington; schools closed pre-emptively in San Francisco and Oakland; a landslide buried houses in Camarillo; and a long balcony of second-floor apartments collapsed upon ground-level storefronts in Long Beach.

No one in California was killed, but falling trees killed two people in Oregon and left a third seriously injured, authorities said.

Now comes the cleanup

On Saturday, California experienced lingering damage and sporadic power outages, but for the most part, the state had recovered, said Kelly Huston, deputy director of the California Governor's Office of Emergency Services.

"Widespread outages are pretty much gone," Huston said Saturday. "What we're seeing is the cleanup part of the process for us.

"It was a bad storm for us," Huston said. "Luckily, we didn't suffer as many of the impacts as we thought we might have."

California rescuers saved people trapped in a mobile home park, in the Los Angeles River and a few other spots.

Northern California got the worst of the storm Thursday, as evidenced by swaying Bay Area bridges, halted ferry and cable car services around San Francisco and blizzard-like conditions in the Sierra Nevada mountains.

On Friday, it was more Southern California's turn. Several spots in the region had record rainfall for the day, including 2.36 inches in Oxnard and 1.54 inches at Long Beach's airport.

A storm like this -- the biggest to hit the area in years -- leaves a big mess behind, from flooded roadways to damaged houses to lives disrupted or turned entirely upside down.

Thankfully, in California at least, the vast majority of the once 300,000 customers left in the dark now have their power back on. And Huston said that, as bad as this storm was, "it was not quite as bad as we expected."

Even then, there's still a lot to do Saturday to get things back to normal. But this time, at least, Mother Nature should cooperate.

"We're looking pretty good," Huston told CNN. "We're hoping for some sunshine today here in California, and that will (help in) the cleanup process going on in several parts of the state."

@highlight

NEW: Tornadoes are rare in Los Angeles but not as scarce as you think, meteorologist says

@highlight

NEW: When twisters do strike L.A., they are typically the weakest grade

@highlight

NEW: It's unclear whether El Nino event will bring storms strong enough for more tornadoes

@highlight

NEW: More rain will fall upon California next week, but major damage isn't expected