(CNN) -- The threat of terrorism, the potential for protest, shoddy accommodation and even a lack of snow.

Just four of the problems faced by organizers of the Sochi 2014 Winter Games, which came to a glittering conclusion on Sunday.

After 16 days of competition, and a record 98 gold medal events, can Russia's first ever Winter Olympics be labeled a success?

"Russia delivered all what it had promised," said International Olympic Committee (IOC) president Thomas Bach in his speech at the closing ceremony.

"What took decades in other parts of the world, was achieved here in Sochi in just seven years."

It followed comments Bach had made in his earlier press conference, when he posed the question: "Let's ask those who criticized the Games if they are ready to change their opinion."

With the Olympic cauldron now extinguished, CNN takes a look at whether the country's $50 billion budget was money well spent.

Accommodation

When the world's journalists arrived in Sochi the readiness of the resort's accommodation was the subject of widespread coverage and some ridicule.

Broken curtain rails, orange tap water and a shortage of available rooms dominated the pre-Games coverage.

But as the Olympians arrived in the Black Sea, the reviews became altogether more positive.

"After five days I have no problems," Russian speed skater Ekaterina Lobysheva told CNN. "The accommodation has been great."

The village, however, wasn't quite as advertised.

Swimming pools were empty as the athletes began filing in and the landscapes around the blocks had not been developed as intended.

"In the brochure the organizers provided to the teams, this area was meant to be a bird sanctuary, but I don't think they were able to plant the trees in time," Team Great Britain's short-track speed skater Charlotte Gilmartin told CNN.

"But apart from that everything else has been great," she said.

IOC chief Bach applauded the welcome Russia had afforded to the Olympians.

"I spent four nights in different Olympic villages and had an opportunity to learn the opinions of those sportsmen who are important to me," he told reporters.

"None of the athletes uttered a word of complaint to me," he said.

And as the Games continued, any accommodation worries went out of the window as athletes became increasingly interested in each other.

The dating app Tinder, which matches makes people based on their location, reported a 400% day-over-day increase of new users in Sochi at one point during the Games.

Some athletes including Slopestyle gold medal winner Jamie Anderson even admitted she had to delete the app in order to focus on competition.

Weather

Would there be enough snow? Would it be too warm?

Just two of the questions frequently asked about the weather in sub-tropical Sochi ahead of Russia's first Winter Games.

Those fears proved wide of the mark with the conditions largely agreeable over the competition's two weeks.

Organizers were able to make enough of the white stuff and while a thick fog descended and forced the postponement of biathlon and snowboard cross events, on the whole the competitions were able to take place as planned.

However, warming temperatures did lead to the deterioration of the halfpipe, the standout event of snowboarding's Winter Olympic program.

Before and during the Games, boarders expressed concerns over the condition of the pipe.

Hannah Teter, a three-time Olympian and a halfpipe gold medal winner in 2006, was particularly outspoken and even suggested the event be pushed back.

But it went ahead as planned, despite Teter's worries that the conditions prevented boarders from demonstrating the best of their sport.

Sporting success

Slopestyle's Olympic debut was the highlight of an Olympic Games which showcased extreme winter sports like never before.

The snowboarders and skiers who took to the snow at the Rosa Khutor Extreme Park captured the imagination of sports fans across the globe.

The Dutch dominance of the speed skating events at the newly-built Adler Arena, where the Netherlands won eight golds and 23 total medals. of 12 gold medals on offer, is also worthy of note.

But the Games didn't pass without controversy, notably in the women's figure skating competition.

The gold medal went to Russia's Adelina Sotnikova, with many dismayed as to why it wasn't awarded to South Korean defending champion Kim Yuna.

An online petition was started to overturn the result which has so far attracted over two million signatures.

"The The International Skating Union (ISU) is strongly committed to conducting performance evaluations strictly and fairly and has adequate procedures in place to ensure the proper running of the sporting competitions," said the ISU.

"The officiating judges were selected by random drawing from a pool of 13 potential judges. All judges in an event represent different ISU member federations.

"The Ladies' free skating panel included judges from Canada, Estonia, France, Germany, Italy, Japan, Russia, Slovakia and Ukraine.

And as no official protest was lodged with the International Skating Union, the decision stood.

Doping

Six athletes tested positive for banned substances during Sochi 2014, most notably Swedish ice hockey star Nicklas Backstrom.

That is in contrast to the one positive test recorded during the Vancouver Games in 2010.

Backstrom's positive test was announced hours after he played for Sweden in a 3-0 defeat to Canada in the gold medal match on the final day of the Games.

Austrian cross-country skier Johannes Duer was also chucked out of the men's 50km, which took place on the final day of the Games, after testing positive for the banned substance EPO.

"The number of cases for me is not really relevant," IOC chief Thomas Bach told reporters on Sunday.

"What is important is that we see that the system works. It shows that the IOC is serious with zero tolerance because the athletes have been disqualified from the Games."

Terrorism

Two separate suicide bombings in the city of Volgograd, 420 miles north east of Sochi, sparked security fears ahead of the Winter Games.

But those fears never materialized.

Russia's "ring of steel" around Sochi and the increased police presence -- including 400 specially recruited Cossack soldiers -- prevented an attack in the region during the Games.

CNN's National Security Analyst Robert Baer suggests the calm in Russia during Sochi 2014 was due to the Federal Security Service (FSB).

"They have enormous power in Russia," said Baer. "They did a bunch of raids, they locked down villages.

"They went to organized crime groups, Chechen in particular, and convinced them -- with money -- to close these people down.

"The Russians, when they want to do a lockdown, know how to do it."

Protest

The Games weren't without protests, most notably by punk rock protest band Pussy Riot.

A video released last week showed members of the band being beaten by security officials in Sochi as they tried to record a music video.

The incident took place one day after two members of the band, Maria Alyokhina and Nadezhda Tolokonnikova, as well as journalists and Russian human rights activists were held in a police station just miles from the Olympic Park.

A prominent Italian gay rights activist Vladimir Luxuria claimed to have been arrested during the Games.

Luxuria, who become Europe's first openly transgender parliamentarian when she was elected to the Italian chamber of deputies, was allegedly detained after displaying a banner which read "Gay is OK" while watching the action in Sochi. Russian officials said there was no record of her detention.

"I think it is important (to have) the opportunity to talk internationally about these things because otherwise these things happen in Russia and nobody knows, nobody cares," Luxuria told reporters.

"They think: 'Well, it's not in our country, it's far away, it's in Russia, who cares?'"

@highlight

Sochi 2014 came to a spectacular close with Sunday's closing ceremony

@highlight

A Winter Games record of 98 medal events were held in Russia

@highlight

A reported $50 billion was spent in the hosting of Russia's first Winter Olympics