(CNN) -- President Barack Obama doesn't have much to look forward to in November.

While a president's first midterm election rarely goes well for his party, second term presidents don't fare any better. The opposition party, even when struggling in the polls, has traditionally been able to use these elections to mobilize its base. The result has been that second term midterms create great congressional obstacles for the president in his final years in office. And, based on current polls, 2014 could well fit the pattern.

Take a look at how midterms have affected second-term presidents:

1918: GOP gains in wartime

In the midst of World War I, Republicans rebounded in the midterm elections.

President Woodrow Wilson had a number of major achievements under his belt. He had moved a sweeping domestic agenda through Congress, including the creation of the Federal Reserve and the creation of the progressive income tax. The president had also been able to mobilize support for American intervention in World War I.

Although Wilson strenuously campaigned to convince voters that electing Democrats would help in the war effort, warning voters that Republicans "sought to take the choice of policy out of my hands and put it under the control of instrumentalities of their own choosing," his argument didn't persuade.

Republicans gained control of Congress. In the House, the GOP exited the election with a 240 to 192 margin while in the Senate, after picking up six seats, they controlled the upper chamber 49 to 47. The impact would be significant.

Senate Republicans would successfully use their power and control of the committees to oppose Wilson's request to ratify the Treaty of Versailles based on their opposition to the U.S. entering into a League of Nations. They ultimately blocked ratification.

1938: Backlash against FDR

Following his landslide victory in 1936, Franklin Roosevelt and the Democrats seemed unbeatable. Roosevelt had transformed the federal government with his New Deal policies. In doing so, he had also formed a powerful coalition of industrial workers, farmers, progressive business leaders and intellectuals.

But the sense of power was fleeting. In 1937, Roosevelt tried to expand the size of the Supreme Court so that he could appoint more liberals and prevent the court from knocking down any more of his programs; he also pushed a plan to reorganize the executive branch by granting the president's staff more sweeping power over Congress.

The proposals triggered a fierce backlash. Democrats lost 72 seats in the House and seven in the Senate. A conservative coalition of Southern Democrats and Midwestern Republicans formed in response and did extremely well in the midterm elections. Given that Southern Democrats controlled most of the major committees, the coalition would be able to block many of FDR's domestic proposals and remain the dominant force in congressional politics for decades to come.

1958: Start of a liberal force in Congress

Republican Dwight Eisenhower was an enormously popular president who coasted to an easy re-election victory against Democrat Adlai Stevenson in 1956. But two years after his success, Democrats scored huge victories in the midterm elections. They retained control of both chambers and vastly increased their numbers.

The Democratic seats in the Senate rose to 65, from 49, and 283 in the House, up from 232. It was not just the numbers but the fact there was an influx of liberal Democrats. The new members pushed domestic politics in a more liberal direction for the remainder of Eisenhower's term and put issues such as health care, civil rights, and federal aid to education onto the national agenda. They would be the backbone of Lyndon Johnson's coalition in 1964 and 1965 as he moved forward with the Great Society.

1986: Democrats stymie Reagan's final years in office

Ronald Reagan struggled in 1986. Although he seemed to be on the road to victory after his decisive defeat of Walter Mondale in 1984, Democrats rebounded and in 1986 regained control of the Senate with a nine-seat increase in their numbers, thus controlling both houses of Congress. The next two years would be extraordinarily difficult for the President as Democrats were able to protect domestic programs and even push Reagan toward accepting measures, such as a tax increase, that went against his ideals.

More important, the Democratic Congress launched an investigation into the Iran Contra scandal, which severely damaged Reagan's standing and weakened his political position. Reagan would rebound by negotiating a major treaty with the Soviet Union, but his ability to move forward with any big ideas was severely hampered.

1998: Clinton leads Democrats to gains despite impeachment

President Bill Clinton was the only recent president to do relatively well in his second set of midterm elections. For a while, Clinton seemed to be on the ropes after his re-election. Republicans retained control of Congress, and in 1998, House Republicans were conducting an impeachment proceeding against the President for having lied about his affair with an intern. But public sentiment went against the Republicans, not against the Clinton.

Riding the wave of a booming economy, Democrats gained five seats in the House though they failed to regain control.

2006: Bush suffers a "thumping"

President George W. Bush was feeling strong after having mounted a successful campaign against John Kerry in 2004, drawing on the theme of national security. However, public frustration with Bush was mounting. Democrats pounded on the administration for his mistakes in handling Hurricane Katrina and revelations about interrogations of terror suspects caused trouble overseas. Many Republicans were blasting Bush as a big government conservative who had led the nation into an unnecessary war in Iraq.

On the domestic front, Bush tried to use his political capital from 2004 to privatize Social Security, but the plan backfired.

In 2006, Bush suffered a "thumping," as he called it. For the first time since 1994, Democrats regained control of the House and Senate. Democrats wound up with a majority of the House by 232 to 203. The split in the Senate was 49 to 49. But two independents caucused with the Democrats, giving them a majority. In the coming years, the Democrats used their position to change the national debate and to place immense pressure on the White House to redirect Bush's policy in Iraq.

In short, other than Clinton, presidents have suffered greatly in their second terms in the past century. The elation and momentum from the president's re-election fades quickly.

The problems and burdens that come from being in office, especially after an entire term of controversial decisions, never disappear. As with all midterms, partisans turn out to vote much more eagerly than moderates and independents who sit these contests out.

Perhaps Obama will be able to pull off what Clinton achieved given the unpopularity of Congress, but it's not likely. The continued controversy over the President's health care policies and general frustration with Congress will make things difficult for Democrats. A recent wave of retirements won't make things any easier. And so it's conceivable that Republicans could even regain control of the Senate while expanding their majority in the House.

If so, the tough road that Obama has faced will only get that much harder.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Most presidents fare poorly in their second set of midterm elections

@highlight

He says Wilson, FDR, Eisenhower, Reagan and George W. Bush all suffered reverses

@highlight

In past century, only Bill Clinton was able to gain strength from second midterm, he says

@highlight

Zelizer: Obama's final years in office could be shadowed by midterm results