NEW YORK (CNN) -- Global markets were reeling Monday after a historic day on Wall Street that saw two famous names become the latest victims of the credit crunch.

The leading U.S. investment bank Lehman Brothers filed for bankruptcy and brokerage Merrill Lynch was the subject of a $50 billion buyout by Bank of America.

The fate of other big name financial institutions remained in doubt and stock prices plunged in Asia, Europe and the United States.

In New York, the Dow Jones Industrial Average closed 504 points down, or about 4.4 percent.

The Nasdaq composite lost 3.6 percent, its worst single-session percentage decline since March 24, 2003. It left the tech-fueled average at its lowest point since March 17 of this year.

In Europe, FTSE index in London declined 3.92 percent while the Paris CAC 40 was down 3.78 percent. It was the worst day for the index since the 9/11 terror attacks in 2001.

Major Asian indexes were closed but India's Sensex fell 5.4 percent, Taiwan's benchmark dropped 4.1, Australia's key index dropped 2 percent and Singapore fell 2.9. Check markets

The turmoil at Merrill Lynch and Lehman is bound to mean job losses in the already hard-hit financial services industry, but so far neither company has indicated how many will be cut.

"This crisis is clearly deeper than anybody had imagined only a short time ago," Peter Stein, an associate editor at the Wall Street Journal in Asia, told CNN.

The chaos followed a roller-coaster weekend for a Wall Street already concussed by woes at other major financial firms and mortgage-financing titans Fannie Mae and Freddie Mac.

Sound off: What do you think?

At one point the U.S. Federal Reserve was forced to step in, announcing plans to loosen lending restrictions to the banking industry in an effort to calm markets, while a consortium of 10 leading domestic and foreign banks agreed a $70 billion fund to lend to troubled financial firms.

U.S. President George W. Bush said Monday he is confident that the markets are resilient and can deal with the latest financial blows. "We are working to reduce disruptions and minimize the impact these financial market developments on the broader economy."  Watch what went wrong »

He added: "In the short run, adjustments in the financial markets can be painful for people worried about their investments and for employees of the firms."

U.S. Democratic presidential candidate Barack Obama said eight years of Bush "brought us the most serious financial crisis since the Great Depression."

His Republican rival said John McCain said he was happy the federal government decided not to use taxpayer dollars to bail out Lehman Brothers.

In an effort to calm market jitters, the European Central Bank on Monday said it has pumped $42.6 billion into money markets. The Bank of England in London also took steps, offering nearly $9 billion in a three-day auction.

In another development, American International Group, the world's largest insurer, was reportedly struggling to secure billions of dollars in capital after months of seeing its share values slide.

Police cordoned off Lehman's headquarters in New York on Sunday as staff, some in suits, others in casual clothes, left the building with cardboard boxes while tourists and onlookers gathered to watch the spectacle.

The 158-year-old bank, which has weathered previous financial upheavals and saw its offices destroyed in the September 11 World Trade Center attacks, filed for Chapter 11 bankruptcy, which grants protection while it works out a plan to pay back creditors.

The collapse of Lehman came after shares declined 94 percent in the space of a year, prompting speculation over its fate. It took a turn for the worse Sunday when Bank of America and British bank Barclays, both viewed as potential "white knights," pulled out of deal talks, sources told CNNMoney.com.

Both Lehmans and Merrill have been caught with huge exposures to unsecured mortgages, the bad debts at the heart of the so-called credit crunch that has devalued the U.S. housing market and sent financial shockwaves worldwide. Analysis: Different rules for different names »

Lehman's collapse and the sale of Merrill reduces the number of independent firms on Wall Street to two -- Morgan Stanley and Goldman Sachs -- following the sale of Bear Stearns to JP Morgan at a bargain price earlier this year.

"Acquiring one of the premier wealth management, capital markets and advisory companies is a great opportunity for our shareholders," Bank of American Chairman and Chief Executive Officer Ken Lewis said in a statement Monday.

"Together our companies are more valuable because of the synergies in our businesses."

Like Lehman, Merrill Lynch has been suffering from bad real estate bets, and its stock price lost 27 percent last week -- shares are down 65 percent this year.  Watch why Bank of America thinks Merrill is the opportunity of a lifetime »

Merrill, known for with its famous bull logo, has been an icon of Wall Street and investing. But billions of dollars in losses in the last year due to fallout in the U.S. mortgage market proved too much for the 94-year old firm.

David Ellis of CNNMoney.com contributed to this report

@highlight

U.S. investment banking giant Lehman Brothers to file for bankruptcy

@highlight

Merrill Lynch agrees to be taken over by Bank of America

@highlight

Job losses certain but numbers not yet known

@highlight

NEW: Dow Jones suffered worst day since 9/11; Asia, Europe markets tumbled