(CNN) -- Percy von Lipinski figures he flies about 100,000 miles a year. He knows he's going to see a healthy share of flight delays regardless of where he goes.

A new study says delays will continue to frustrate fliers like this man at Washington's Dulles International Airport.

But he especially anticipates them at the larger airports, such as Chicago's O'Hare International -- "You can't possibly put that many planes there and not have a delay," he said -- and New York's John F. Kennedy International. So when he has a choice between two connecting cities, he said he'll generally choose the smaller one.

Delays at the larger airports, he said, are compounded by other hassles such as longer distances between terminals.

"There's wear and tear on your travel psyche -- which bus you need, which terminal you should be at," said von Lipinski, a 54-year-old Vancouver, British Columbia, resident who owns businesses around the globe. "By the time you get to your destination, you're bound to come up frazzled."

Delays contribute to that frustration, and there may be more of it to go around these days.

Though the percentage of delayed U.S. flights has dipped recently because fewer planes are flying during the recession, there's been a 20-year trend of increasing delays, and the increases should continue once economic growth returns, a study released Thursday by the Brookings Institution said.

The average length of U.S. flight delays rose from 40.9 minutes in 1990 to 56.5 minutes in June 2009, according to the study, "Expect Delays: An Analysis of Air Travel Trends in the United States."

It also found that among delayed flights, the share of those that landed at least two hours late more than doubled from 4.3 percent in 1990 to 10.1 percent in May 2009.

And in a 12-month period ending in June 2009, the majority of delays was concentrated in 26 metropolitan areas, or hub cities, the study said. Of these 26 hub cities, six had worse-than-average, on-time percentages for both arrivals and departures: New York; Chicago, Illinois; Philadelphia, Pennsylvania; Miami, Florida; Atlanta, Georgia; and San Francisco, California.

The nationwide on-time arrival rate was 78.9 percent, and the departure rate was similar, study co-author Robert Puentes said. New York's on-time arrival rate, 66.3 percent, was worst in the nation, said the study, which analyzed air travel between metro areas rather than airports.

Delays are going to get worse, study co-author Adie Tomer said.

"On-time performance has improved recently because the number of people flying is at its lowest point since 9/11, but as the economy bounces back, air passenger levels will grow, and on-time performance will likely resume its decline."

The hub cities that did better than the national average for both arrivals and departures were Salt Lake City, Utah; Phoenix, Arizona; Detroit, Michigan; and Washington.

The study said on-time performance generally decreases as air travel increases. In 1990, with more than 400,000 domestic passengers nationwide, the country's on-time flight percentage was just under 80 percent. In 2007, with nearly 700,000 domestic passengers, the on-time rate was around 74 percent.

The authors recommend Congress and other authorities use the findings to help decide where to invest in high-speed rail projects and other measures to ease airport congestion.

Michael Boyd, president of Colorado aviation consulting firm Boyd International Group, is critical of the recommendation, saying the country could handle the current flight demand -- and cut delays -- by improving its air traffic control system.

The old system, he said, is outdated, doesn't use all of the sky and directs planes to fly farther and longer than they need to.

"Instead of saying, 'Let's get a system that can handle the traffic,' Brookings wants to lessen the demand. That's a caveman mentality," Boyd said.

Deron Lovaas, transportation policy director for the Natural Resources Defense Council, said the study "hit the nail on the head in terms of the opportunity" to promote alternative modes of transportation.

"The planes waste a lot of fuel idling on the tarmac and during takeoff and landing cycles of flight. So the lowest-hanging fruit available for reducing emissions -- beyond changing plane designs and changing the fuel mix in planes -- is to reduce congestion at airports and to go after short haul flights, where a greater percentage of the flight is made up of takeoff and landing cycles, where most of the emissions are," Lovaas said.

Airplane passengers can take steps to cushion the impact of a delay or lower the chance of getting on a delayed flight, Boyd said. Passengers should only choose connection flights that depart at least an hour after their first plane's scheduled landing, he said.

Also, he said, people who book a flight just a day or two in advance should look at weather forecasts.

"If there's bad weather in Chicago, don't go through Chicago" if you don't have to, Boyd said.

Von Lipinski's recommendation, besides trying to avoid busier airports, is to treat airline workers with respect.

"The agents have a lot of discretion, and they're human beings. If you treat them like dirt and are screaming [because of a delay], you know what the result is going to be," he said. "If you [treat them well], you'll probably find they'll be willing to help you."

CNN's Jim Kavanagh contributed to this report.

@highlight

Major hub cities are bottleneck for air traffic, Brookings Institution study says

@highlight

Frequent flier advises connecting through smaller cities when possible

@highlight

Aviation expert says there's plenty of room for streamlining existing system

@highlight

Study's authors advocate using high-speed rail to alleviate runway congestion