(CNN)Thousands gathered in Riyadh on Friday to say farewell to Saudi Arabia's King Abdullah bin Abdulaziz al Saud, a cautious reformer who succeeded in securing broader freedoms in the conservative kingdom, but fell short in gaining greater independence for women.

Abdullah died early Friday, several weeks after the state-run Saudi Press Agency said he was suffering from pneumonia and had been admitted to a hospital. The royal court didn't release an exact cause of death. He was 90.

To ensure a smooth transition, the kingdom quickly appointed his 79-year-old half-brother, Salman bin Abdulaziz, to the throne. His half-brother Prince Muqrin, a decade younger, is the new crown prince.

Who is Salman bin Abdulaziz?

After Friday afternoon prayers at Riyadh's Imam Turki Bin Abdullah Grand Mosque, the body of Abdullah, wrapped in a pale shroud, was carried from the mosque toward a cemetery, followed by a solemn procession of Saudi men in traditional dress.

He was later laid to rest after a simple, swift ceremony. Those present at the graveside -- the royals closest to the late king -- were then to move on to a royal palace, where they were to pay their respects to the new monarch.

The ceremony of "al Bayaah," or pledging of allegiance to the new king, followed the funeral.

Condolences and remembrances poured in from all corners of the globe.

"To God we belong and indeed to him we shall return," said the homepage of the English-language Saudi newspaper Arab News.

Bahrain, Jordan and the Palestinian territories, among others, declared days of mourning. The U.N. secretary-general praised Abdullah for his Arab Peace Initiative to end the Arab-Israeli conflict. U.S. Vice President Joe Biden said he would lead a delegation "in the coming days" to pay respects.

"King Abdullah's life spanned from before the birth of modern Saudi Arabia through its emergence as a critical force within the global economy and a leader among Arab and Islamic nations," U.S. President Barack Obama said in a statement.

Speaking to CNN's Richard Quest in Davos, Switzerland, U.S. Secretary of State John Kerry said he expects no changes in his government's relations with Saudi Arabia.

"I don't anticipate anything based on the conversation we have had, no," he said.

In an address to the nation -- his first televised appearance since becoming king -- Salman offered his condolences to the Saudi people.

"We will, with God's will and power, adhere to the straight path this country followed since its establishment by King Abdulaziz and his sons after him, and will not deviate at all from it, since our constitution is the book of Allah (Quran) and the teachings of Prophet Mohammed," he said.

He also spoke of the "desperate need" for unity and solidarity among the followers of Islam, saying Saudi Arabia would continue to promote that.

He had already issued six royal decrees Friday, the Saudi Press Agency reported, including appointing Prince Mohammed bin Naif bin Abdulaziz as the deputy crown prince.

Salman, who has 1.33 million followers on Twitter but follows no one, changed his Twitter handle  to @KingSalman.

Abdullah became king of the oil-rich nation, a key U.S. ally in the Middle East, in August 2005. But he had been running Saudi Arabia since 1996, after half-brother King Fahd's stroke.

In the context of the kingdom's conservative circles, Abdullah was seen as a reformer and often came up against more hardline clerics.

After ascending to the throne, Abdullah took steps toward broader freedoms and invested some of the country's vast oil wealth in large-scale education and infrastructure projects.

"He was really quite (an) extraordinary figure. He was probably the most progressive and liberal-minded king of Saudi Arabia since King Faisal, which is a long time ago, in the early 1970s," CNN's Fareed Zakaria said about Abdullah, whom he described as "much loved."

"I had the opportunity to meet with him once, and what you got a sense of was somebody who really was determined to move his country forward," Zakaria said. "It's a conservative country and a conservative society -- and he kept emphasizing that to me -- but he was very clear in the direction he wanted to go."

However, resistance from conservative factions hindered some of his efforts, leaving many women, in particular, disappointed by a lack of progress toward greater independence.

King Abdullah's legacy: 5 things to know

Under Abdullah's leadership, the country slowly squashed al Qaeda, capturing or killing its leaders in the kingdom, forcing the remnants underground and sidelining radical preachers.

It also took a more prominent role in international affairs.

Last year, it became the lead Arab nation in a U.S.-led coalition to eradicate the ultraradical ISIS group in Iraq and Syria.

Analysts are predicting a smooth political transition despite the many challenges facing Saudi Arabia, including Iran, the rise of ISIS, the crisis in Yemen and the drop in oil prices.

Saudi Arabia has 16% of the world's known oil reserves, according to the U.S. Energy Information Administration. The country is widely seen as the leader of OPEC and has a large influence on energy prices and political stability in the Middle East.

"Remember, the last time the price of oil fell like this, the Soviet Union collapsed," said Zakaria. "That said, the successor is a very competent man."

He added: "I don't expect any major shift, but it marks a big change, and we'll have to see what the new king is like."

People we've lost in 2015

CNN's Dana Ford, Salma Abdelaziz and Yousuf Basil contributed to this report.

@highlight

King Abdullah has been buried in Riyadh

@highlight

The kingdom quickly appointed his brother Salman to the throne

@highlight

New king speaks of need for unity, solidarity among followers of Islam