LONDON, England (CNN) -- "Oh, the humanity." When these three words were uttered by aghast radio journalist Herbert Morrison -- as the LZ129 Hindenburg airship crashed and burst into flames in New Jersey in 1937 -- it was seen as the end of airships. The other remaining Zeppelin-class dirigible, the Graf Zeppelin II, was destroyed by the Nazi administration who felt the materials could be put to better use with more conventional aircraft.

The Aeroscraft ML866 is a prototype for future cargo vehicles that could have a payload of up to 60 tonnes

But, 70 years on, could the Hindenburg-style airship be experiencing a renaissance?

There are two types of craft that are commonly called "airships." The first is basically a balloon filled with a lighter-than-air gas, with an attached pod for the pilot and passengers, and tilting propellers to aid with descent and maneuvering. These are known as 'blimps' and are commonly used for promotional activities, for filming sporting events and by law enforcement agencies for surveillance. But their limited payload make them unsuitable for other purposes.

The other type of airship is the dirigible. Like a blimp, a dirigible airship is filled with lighter-than-air gas but it has an internal skeleton. This greater rigidity allows dirigible airships to carry larger payloads than blimps.  See pictures of airships through the ages. »

While the Hindenburg crash dented public confidence in the dirigible airship concept, the principal cause of the disaster wasn't bad design but propaganda. The Germans were desperate to show off their technical achievement. But the United States, the world's primary supplier of the inert gas helium (which was used to inflate and lift the airships), had imposed a military embargo on the gas. So the Hindenburg was filled with the massively explosive gas, hydrogen.

And it exploded. Massively.

In recent years the concept of the dirigible airship has been reevaluated because of the environmental need to find lower-carbon methods of freight transportation; and the military and humanitarian need to deliver supplies to remote locations not served by airports.

One failed attempt to resuscitate the airship content came from the German company Cargolifter AG in the mid 1990s. It planned a large airship, the CL160, to be used as a transporter for large and heavy loads. A giant hangar, one of the world's largest structures, was built in Brand, near Berlin in Germany, for storage and manufacture of these giant craft. But Cargolifter became insolvent in 2002. The hangar was sold for a fraction of its construction cost and now houses an indoor water park.

In 2005 the Aeros corporation of Montebello, CA. resurrected the airship concept. Responding to the Defense Advanced Research Projects Agency (DARPA)'s "Walrus" program the company was given a $3.2 million grant to develop: "a very large airlift vehicle concept designed to control lift in all stages of air or ground operations including the ability to off-load payload without taking on-board ballast other than surrounding air."

What distinguishes a "Walrus" craft from a Hindenberg-style airship is that it would not be lighter than air. Rather it would generate lift from a combination of aerodynamics, propellors and gas buoyancy. This would allow for a quicker descent without the expulsion of lift gas, for instance.

DARPA terminated the Walrus program but Aeros is continuing to develop the technology with a view to creating an enormous civil airship utilizing a glass-fiber and carbon-fibre semi-monocoque envelope structure.

The planned Aeroscraft ML866 could be the next generation of corporate transportation. With more than 465 square meters (5000 square feet) of interior floor space, the ML866's interior could house a floating boardroom or an opulent flying home. Because it would be flying at a lower altitude than a passenger jet (6,000 to 12,000 feet, as opposed to 25,000 to 35,000 feet) the cabin would not be pressurized.

The technological legacy of the Walrus program is the COSH (control of structural heaviness) system. By compressing and decompressing stored helium, the aircraft can become lighter for take-off and heavier for landing.

If Aeros secure funding to develop the ML866, it would be offered with a choice of turboprop engines (for either greater speed or heavier payload).

But could large airships supplement the role of large passenger aircraft? Flight International's technical reporter Rob Coppinger is skeptical:

"Whether it is cargo, corporate or mass transpiration I think the issues with airships are; can [airships] carry enough people/cargo between two popular destinations and do it fast enough to carry a sufficient volume of cargo/people to generate enough revenue to pay for the development, certification and running costs?

"I think if it were easy to financially justify, they would exist already."

Coppinger concedes, however, that airships could have potential military applications.

Aeros plans to begin testing a non-rigid airship, the Aeros 40D, in 2008 to demonstrate the helium compression and decompression system. Production of a prototype Aeroscraft ML866 has begun, with a test flight planned for 2010.

......................................

Are dirigibles just a load of hot air? Would you travel by airship? Share your views and read others' thoughts in the Just Imagine forum.

@highlight

Airship concept all-but abandoned after 1937's Hindenburg disaster

@highlight

New-style airships will be heavier-than-air and use helium, not hydrogen

@highlight

Aeros hopes to have a prototype of its "floating boardroom" flying in 2010