(CNN) -- The steep rock walls of Thailand's Hellfire Pass symbolize the slavery, starvation, torture and lost lives of thousands of POWs and Asian civilians during World War II, when Japan forced them to build the infamous Death Railway to boost its invasion of Burma.

At today's Hellfire Pass Memorial Museum, visitors can share the misery and memories of those years, and learn from survivors who tell what happened and why.

Recently named the best museum in Thailand and ranked among the top five in Asia by TripAdvisor, the haunting site and museum are called a "must" by the travel website.

Fifty miles away, in the town of Kanchanaburi (about 75 miles west of Bangkok, near Thailand's border with Myanmar), evocative ceremonies take place annually from November 28 to December 7 during River Kwai Bridge Week, commemorating the Allied bombing of the area, which began on November 28, 1944.

Events include cultural performances, plus a sound and light show portraying the history of the Death Railway, which crossed the so-called Bridge on the River Kwai on its route through Hellfire Pass.

More than 16,000 enslaved British, Dutch, Australian and American POWs perished at these sites.

More than 90,000 Asians also died from starvation and disease during their forced labor, according to the United Kingdom's Forces War Records.

Together, the sites make this corner of jungle in Thailand one of the most sobering and evocative places on the planet for travelers with an interest in the horrifying events of World War II.

Fatal railway

"Hellfire Pass" and "Death Railway" are terms coined by POWs whose fate was sealed in a sinister, deadly agreement.

In August 1942, Thailand's prime minister Field Marshal Phibun Songkhram signed an agreement with Japan to allow the laying of a single-meter-gauge railway track toward British colonial Burma (now Myanmar).

In October 1943, Japan began transporting troops and supplies on that finished railway through newly carved Hellfire Pass, to support its 1942 Burma invasion.

For slave labor, Tokyo used more than 60,000 POWs -- 30,000 British, 18,000 Dutch, 13,000 Australians and 700 Americans.

Most were captured when Britain surrendered its colonial hold on Singapore in February 1942, while other POWs were seized in Britain's Malaysia and Dutch-held Indonesia.

About one-fifth of the POWs died from untreated diseases and starvation -- they were given watery gruel rations and sadistic punishments while building Hellfire Pass and the Death Railway. Executions of prisoners and laborers were common.

Tokyo was in a brutal rush, so its commanders in Thailand forced up to 180,000 Indians, Malayans, Singaporean Chinese, Tamils and other Asians to labor at the sites under similar conditions, according to the Forces War Records.

The railway totaled 260 miles (415 kilometers), including 190 miles (304 kilometers) in Thailand from Nong Pladuk to Hellfire Pass on the Thai-Burma border, plus 70 miles (111 kilometers) to reach Thanbyuzayat inside Burma, where it linked trains to Rangoon.

When the Allies began bombing the railway in November 1944 and 1945, they killed some POWs laboring there.

Allied aerial bombing during 1945 also destroyed almost every railway bridge throughout Thailand.

Some railroad tracks near Kanchanaburi survived the war, but Hellfire Pass disappeared amid jungle growth.

Visiting Hellfire Pass

In the 1980s, a handful of Australian survivors rediscovered the overgrown Hellfire Pass section of the route and campaigned to turn it into a memorial.

Guided tours are now available, but many people prefer to linger on their own.

While most tourists visit the River Kwai bridge and main POW cemetery at Kanchanaburi, others say they experience stronger and more profound feelings at Hellfire Pass.

Taxis and local buses are available between the sites.

You can walk through Hellfire Pass's narrow 85-foot-deep (26 meter) trench in the Tenasserim Hills along its 1,640-foot-long (500 meter) track.

POWs and forced laborers painstakingly hacked open the mass of solid rock using hand tools, making it wide enough for the train to slide through.

Nearby, the TripAdvisor top-rated and air-conditioned Hellfire Pass Memorial Museum is run by the Office of Australian War Graves. It offers videos, photographs, drawings, tools and testimony.

The highly recommended portable audio headset includes the voices of survivors who describe atrocities they endured, which you can listen to while wandering between Hellfire Pass's stone walls.

From the museum, a walking trail of a few hundred yards leads to Hellfire Pass, also called the Konyu Cutting, and you can continue walking down the abandoned railway line for a couple of miles.

That route reveals a gorgeous valley, other rock "cutting" railway passes and a couple of trestle bridges.

The jungle is often hot and humid, with voracious mosquitoes. Visitors unprepared to deal with either usually find the going uncomfortable.

Nearby WWII attractions

Back in town, the manicured Kanchanaburi "Don Rak" War Cemetery includes most of the POWs' remains recovered from nearby mass graves.

POWs are also interred at nearby Chungkai, and in Myanmar at Thanbyuzayat.

The excellent Thailand-Burma Railway Center, next to the cemetery, displays research by an Australian who was a Commonwealth War Graves Commission manager of the Kanchanaburi and Chungkai war cemeteries.

The center includes extensive details about the railway, Hellfire Pass, POW camps and cemetery sites in Thailand, plus biographies and artifacts.

Visitors can also tour Kanchanaburi's Thai-owned JEATH Museum and World War II Museum.

Managed by a Thai Buddhist temple, the JEATH "Wat Tai" Museum's design is similar to the bamboo-and-thatch shacks where POWs were housed, and displays POW testimonies and paintings, plus news reports and other objects.

Scary, painted wooden effigies show life-sized prisoners being tortured, dying and laboring on the railway, alongside statues of Hitler, Tojo, Stalin and other wartime leaders.

The acronym JEATH indicates the countries of Japan, England, Australia, Thailand and Holland, which were intertwined in the Death Railway's creation.

Nearby was the so-called "Bridge on the River Kwai," a POW-built steel and concrete structure with 11 curved spans.

Next to that was a wooden trestle railway bridge, still partially preserved.

Both bridges were completed in 1943, and repeatedly bombed by British and U.S. warplanes.

Today, tourists can take a short train ride across a fully functional, duplicate "Bridge on the River Kwai" closer to Kanchanaburi -- built to resemble the obliterated original.

You can also walk across the bridge and take boats on the river below.

Hellfire Pass in popular culture

The Death Railway's main structure was immortalized in the partially fictional 1957 movie classic, "The Bridge on the River Kwai."

In 2013, Colin Firth and Nicole Kidman starred in "The Railway Man," portraying Death Railway survivor and former POW Eric Lomax.

On October 14, Australian author Richard Flanagan, 53, won Britain's Booker Prize for his novel titled, "The Narrow Road to the Deep North," describing his father's experience as a POW who survived after laboring on the Death Railway.

Hellfire Pass Memorial Museum and walking trail, Kanchanaburi, Thailand; open daily 9 a.m.-4 p.m.

Thailand-Burma Railway Center and Kanchanaburi "Don Rak" War Cemetery, Sangchuto Road, Kanchanaburi, Thailand; +66 3451 2721; open daily 9 a.m.-5 p.m.; entry fee THB120 ($4)

JEATH War Museum, inside Wat Chai Chumphon Temple, near the bridge in Kanchanaburi, Thailand; open daily from 8:30 a.m.-4:30 p.m.; entry fee THB30 ($1)

Richard S. Ehrlich has reported news for international media from Asia since 1978, based in Hong Kong, New Delhi and now Bangkok.

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

Named the best museum in Thailand, Hellfire Pass Memorial Museum commemorates the notorious Death Railway

@highlight

During World War II, thousands of POWs and workers died building a railway for Japanese military

@highlight

Visitors can walk along the narrow trench of Hellfire Pass and other WWII monuments nearby

@highlight

Audio headset includes voices of survivors who describe atrocities they endured