United Nations (CNN) -- The U.N. Security Council's sanctions committee has approved a U.S. request to unfreeze $1.5 billion in Libyan assets to be used for humanitarian and civilian needs.

"We felt the need was urgent; that the (National Transitional Council) had to start paying its bills and to start establishing a track record as a clean, democratic organization," a senior administration official said.

The money will start flowing "in a few days," the official said.

The money will be allocated in three equal amounts, the U.S. State Department said in a statement. Up to $500 million will be transferred to international humanitarian organizations; up to $500 million will be transferred to suppliers for fuel and other goods intended for civilian use; and up to $500 million will be transferred to a temporary finanical mechanism established to assist the Libyan people's food and other humanitarian needs.

South Africa had held up the release, expressing concern that no individual body should yet be declared the sole legitimate authority in Libya. The administration compromised by replacing references to the National Transitional Council with "relevant Libyan authorities," the official said.

"This money will go toward meeting the needs of the people of Libya," said U.S. Secretary of State Hillary Clinton, in a prepared statement. "We urge other nations to take similar measures.  Many are already doing so."

She called for the National Transitional Council to move quickly toward building a democracy "that protects the universal human rights of all its citizens." She added, "There can be no place in the new Libya for revenge attacks and reprisals."

The U.S. military is looking at options for delivering humanitarian assistance to Libya and helping with the return of refugees. A senior U.S. military official with direct knowledge of the effort said there had been no requests for assistance, but the military was doing "prudent planning" to be prepared if asked.

U.S. President Barack Obama's policy of ruling out any U.S. troops on the ground remains in effect, he said, but military officials have indicated military aircraft and ships might deliver aid to airfields and ports.

The NTC, which is expected to function as an interim government, was offering few details about its needs, the official said.

Any U.S. assistance would likely take place within a broader post-conflict NATO effort under a United Nations umbrella, a senior NATO official told CNN. NATO military officials have begun planning efforts to be ready if they are asked for help, the senior official said.

That would include planning for humanitarian aid, air and maritime security, and the possibility of training Libyan military forces at locations outside the country, the senior official said. Arab allies such as Qatar, Jordan and perhaps others are expected to join in any post-conflict effort in order to keep it from looking like NATO nations are running the show, the senior official said.

Meanwhile, the Libya Contact Group -- an alliance of countries -- met Thursday in Istanbul to discuss how to help rebuild Libya's infrastructure.

U.S. Assistant Secretary of State Jeffrey Feltman, on the sidelines of the meeting, said the Arab League was expected to officially "seat" the transitional council at league headquarters in Cairo on Saturday.

Feltman said part of the proposed $1.5 billion in assets, once unfrozen, will help pay oil bills to keep the electricity on in Libya.

State Department spokeswoman Victoria Nuland said participants were looking forward to a high-level meeting of allies in Paris next week.

Italy will unfreeze about $505 million in Libyan assets that have been held in Italian banks, Italian Prime Minister Silvio Berlusconi said Thursday.

The rebels have already gotten some support. Mustafa Abdul Jalil, chairman of the transitional council, revealed that Turkey had sent $300 million to the rebels since July.

The expected release of financing for humanitarian aid came as a few signs appeared on the streets of the capital that indicated a lessening of tensions in some neighborhoods. For the first time in days, a few stores opened and more residents were out on the streets.

But fighting continued in pockets as the rebels hustled to consolidate power and much of the city remained a no-go zone. Weapons littered the streets in some areas.

Around one intersection, a dozen bodies lay on the ground, their hands bound behind them. Rebels said they had been executed by Gadhafi's men, but that was not clear. The victims were black Africans, who composed a large part of Gadhafi's army, raising the specter of the revenge killings that Clinton has cautioned against.

The opposition has posted a $1.4 million bounty for Gadhafi's capture or death. Though he hasn't been reported seen since rebel forces began advancing last weekend into the Libyan capital, he appeared to have issued another audio message in which he exhorted his followers to fight for control of the capital.

"Tripoli is for you, men and women," the speaker said. "Go out, go out and free Tripoli. Destroy them wherever they are, fight them. Let the crowds from everywhere march to Tripoli."

The speaker added, "Libya is for you" and not for France or its president, Nicolas Sarkozy. France is a leader in the NATO mission in Libya.

"Do not leave Tripoli for the rats, do not leave them. Fight them, destroy them. You are the overwhelming majority, you have marched in millions. March with the same millions but fight this time. Fill the streets and the fields," the speaker said. Gadhafi has previously described his adversaries as rats.

"Do not be afraid of bombing, you will not be hit. Do not be afraid at all. They are just stun grenades to scare you. Do not be afraid at all, do not surrender Tripoli."

CNN cannot independently confirm who was speaking in the recording.

Special forces from Britain, France, Jordan and Qatar -- on the ground in Libya -- have stepped up operations in support of the rebels in Tripoli and other cities. But a senior opposition official said much of the capital's southern neighborhoods remained dangerous.

"We have 80% of Tripoli liberated," said Hisham Abu Hajer, the coordinator of the rebels' brigades in Tripoli. "The two suburbs of Abu Salim and Al Hadba al Khadra remain contested and fierce fighting with Gadhafi forces continues."

Witnesses told CNN that fighting between rebels and Gadhafi loyalists erupted Thursday at the embattled leader's compound, the scene of a number of clashes in recent days.

A giant plume of smoke rose from the compound in Bab al-Aziziya two days after it was seized by rebels.

Rebels controlled Tripoli's international airport, but were struggling to secure an area east of it.  Gadhafi loyalists destroyed an empty Libyan airline passenger plane parked at the airport Thursday -- the third plane destroyed in 24 hours.

"The Tripoli airport is under the control of the rebels, but it is still being shelled by Gadhafi forces with Grad missiles," Abu Hajer said.

NATO is trying to learn how many surface-to-air missiles and launchers may still be operational inside Libya and who controls them, a NATO official told CNN Thursday.

Several months ago, the U.S. military estimated Libya had an arsenal of 20,000 SAMs, but it was not clear how many may have been destroyed during the conflict and who has control of the remaining missiles.

The State Department's Nuland also said the 10 tons of mustard gas stored at the Waddan Ammunition Reservation in Libya are secure "inside massive steel containers within heavy bunkers."

But Nuland also referred to discussions with the transitional council about taking over external security of the facility, raising the question about who is now watching over them.

A U.S. official said the same Libyan government unit that had been guarding the mustard gas stockpile is still doing so, an indication that Gadhafi security forces were still present. But the official said monitoring of the facility has determined "they have neither abandoned their posts, nor tried to gain access to the materials." The materials "are secure, guarded and not disturbed," said the official.

At hospitals across Tripoli, overwhelmed doctors and nurses attempt to care for the wounded. Robin Waudo, a spokesman for the International Committee of the Red Cross, said two surgical teams were en route from Europe with the first scheduled to arrive Friday.

In Gadhafi's hometown of Sirte, the NTC said it was negotiating with the longtime ruler's tribal leaders for their surrender without bloodshed.

Abu Hajer said the process of moving government ministries from the opposition base in Benghazi to the capital has inched forward, with about four or five ministerial level officials of the NTC already in Tripoli.

In the oil-rich city of al-Brega, several crude oil storage tanks continued burning more than six days after they were set ablaze by retreating Gadhafi troops, said Ramadan Shalash, the refinery fire chief.

CNN's Joe Vaccarello, Richard Roth, Jack Maddox, Dan Rivers, Sara Sidner, Arwa Damon, Raja Razek, Jomana Karadsheh, Hada Messia, Kareem Khadder, Richard Allen Greene, Barbara Starr, Pam Benson, Moni Basu, Tom Cohen and Salma Abdelaziz contributed to this report.

@highlight

$1.5 billion expected to be released soon for humanitarian aid

@highlight

U.N. sanctions committee worked out language to mollify South Africa

@highlight

Fighting is still fierce in some areas of south Tripoli, a Gadhafi stronghold

@highlight

Purported Gadhafi message to followers: "Do not leave Tripoli for the rats"