(CNN) -- Until death do us apart and beyond ...

I sent him a text message from holiday saying: "Having a great time in Spain. I am riding an authentic Arabic horse." His reply came within seconds saying: "Well, if that horse knew how to speak Spanish he would have gone to the police and complained." He was referring to my weight. It is exactly this kind of response that I miss most. I miss his promptitude and presence of mind.

They say war brings the worst out of people but what about prison? Especially if it was a prison run and supervised by the Syrian security apparatus?

Over the course of the Syrian revolution I read and heard of many horrific stories about the grave situation in the prisons. I never imagined it could be this bad. When he was arrested in January this year I knew that getting him released would not be easy. I realized all too well the struggle ahead of us. I panicked; at one point I wished that he was killed but not arrested. No human being would want to be a guest in one of those prisons.

Nonetheless I, along with my family and friends, tried my best to reach to him. We paid an endless number of bribes and gifts to those people misleadingly called security men. They are anything but security men. Heartless, cold, and vile are more fitting terms.

We are not alone in this struggle; thousands if not hundreds of thousands of Syrian families are suffering the agonizing pain of having loved ones behind the bars of one of the security branches. The Assad legacy in brutality is most evident in those branches. The late dictator, Hafez Assad, the father of the current dictator, made a point of creating more security branches in Syria than olive tree branches. Our journey to find my loved one and help him, or at least lessen his suffering, has uncovered ugly realities that we never acknowledged before.

Torture is not a new phenomenon to us but I didn't realize how widespread and vile it is. When one of his fellow inmates was released he came to visit us and told us that the prison he was in was a hell hole. Forty men are crammed in an extremely small room, stripped naked except for underwear and forbidden from showering. He said every day a ruthless commander would come in and call few names then declare: "Come with me to be executed." This was enough to keep every one of these men on edge every night.

I think he spent his nights thinking if he will ever live the following day. According to his released fellow inmate, the dirty and unhygienic place led to a weird skin disease spreading between inmates. The food was very poor and the heat was overwhelming. Despite the rather disturbing details of his situation we experienced a sense of relief because he was definitely alive.

We tried everything, everyone and every possible route but we had no luck. He wasn't involved in the events; he wasn't an activist so his arrest was a puzzle for us.

We were naÃ¯ve to try establishing the reason for his arrest; after all, you don't have to do anything to be arrested in Syria. Some people reported some of their family members were arrested and never returned over an argument with neighbors who were well connected. Others said their relatives were taken by the security men for no apparent reason other than being from a liberated village or city, even if they weren't involved themselves in the events. The released inmate said he was arrested because he had an argument with a passenger who hired his taxi. When they got to one of the security barriers spread all over Syria, the passenger said to the security men that he was insulting the regime. That was enough to arrest him.

The world is most concerned about the number of dead and refugees because their suffering is more evident. From my own experience I can say that those unjustly arrested men and women are suffering immensely, probably much more than refugees. In addition to torture, humiliation and degrading treatment, they are forbidden from seeing their families or having any form of communication with them. And for those families outside, the wait cannot be more excruciating. I spent most of the last few months fighting the sense of helplessness and incapability. Can you imagine knowing your loved one is going through so much pain and suffering and you cannot do anything about it?

I prayed, cried, and sometimes tried to forget about him but I couldn't. After a series of lies and misleading stories we were told that he was about to be released because of a presidential pardon. I felt slightly better but continued to try to find ways to get in touch with him or secure his release because I never trusted Assad before all of this brutality and won't ever trust him.

My brother wrote that day on his Facebook page: "Pray for the prisoners, they have been given another lease of life." This couldn't be more true. Those who come out of these places often say it feels like being born again. One prisoner sent a message to his mom through one of his released inmates to pray that he dies because he couldn't take it anymore. She did and he died.

A report issued recently by a human rights violation watchdog outlined the torture methods used in the Syrian security branches. I couldn't finish it. Nobody can if they have one of their loved ones inside. The most shocking element of this report was that when a prisoner dies, his body sometimes is left with the inmates and nobody is allowed to touch him. One prisoner was hanged from his hands for a long time during which he witnessed the body of his friend decay on the floor and insects come in and out of his body for days. He died later, probably in front of other observers.

I thought what we were going through was the ultimate pain. I was wrong.

I was in the kitchen making coffee and felt that everybody around me was acting funny. There was an unexplained, awkward feeling among us. They knew the news and were finding the best way to break it to me. They knew how much I loved him. I made it even more difficult when I mentioned him exactly at that time and said that I missed him and looked forward to seeing him again.

After many failed attempts, one of them plucked the courage and told said to me that he was dead.

The regime had killed him.

The pain was so sharp and immense, I felt as if somebody had physically stabbed me. I gasped for air and sat down. Then a crazy feeling overcame me. I felt a sense of relief. He is not in pain anymore. He is not being tortured, he is not beaten until he bleeds, he is not being made to say that Bashar is the only god.

After the initial shock had elapsed I started asking questions. When? How? Funeral? Then it hit me. This regime is capable of hurting us even after death.

First of all he died two weeks before we knew about it and we only found out about it by chance. We bribed somebody to check his name and he found his name on the dead list. The bribed informer called one of our family members and asked her to go and collect his ID and the death statement. Forty years under the emergency law which allows security men to arrest anybody anywhere has made Syrians obsessed with their IDs, hoping they don't get arrested due to errors in names.

Then a bitter horrible feeling crept over my entire body. The corpse? Where is his body? They wrote in clear Arabic text on the death statement "The body shall not be given to the family." They didn't bother to write the cause of death.

I knew all along that this regime is capable of everything and anything, nothing is too brutal or ruthless. But for a split second I hoped they'd give us the body to bury.

I understand them now all too well. Not only does this regime cause you pain and suffering in knowing that your loved ones are probably wishing they die sooner than later, but it can also strip away from you the sense of closure you so much need in such case.

I wanted to bury him. Is this too much to ask? I wanted to say goodbye and probably hug his body one last time. I wanted to lay him in peace.

Another bribe and we learnt he was buried in a mass grave.

While the world debates whether to strike the Syrian regime or not, this kind of suffering will continue.

@highlight

Author tells of trying to free someone she loves from a Syrian jail

@highlight

She hears of sickening accounts of torture in prisons

@highlight

The author tried bribing officials to get her loved one free