A Dallas apartment where the first person diagnosed with Ebola in the United States had stayed is finally getting a thorough cleaning, days after the diagnosis left four people quarantined there with soiled towels and sweat-stained sheets from the Ebola patient.

After some delays, the first of three phases to clean the apartment began Friday afternoon. While the process will take days, at least sheets and towels that Ebola patient Thomas Eric Duncan used have been removed.

Also out are the four people -- the partner of the Ebola patient Thomas Eric Duncan, her 13-year-old son and her two 20-something nephews -- who'd been stuck there for days.

They had been ordered to stay inside the apartment until October 19. By that point, enough time should have passed to determine if any of them contracted Ebola or if they're in the clear.

Judge Clay Jenkins, director of the county's Homeland Security and Emergency Management, said Friday that Duncan's partner slept last night on a couch pillow on the living room floor. But now she and the others have a new place to call home in the meantime: a private 4-bedroom residence in Dallas, which was arranged with the help of someone in the local faith-based community.

"They were very glad to be going and very pleased when they got there," Jenkins said. "(One of them) got a big grin on his face, and he said, 'I wish somebody would get me a basketball.' So we're going to see if we can't take care of that."

The move added to a busy day for the quartet, who until then had gotten little more than brief stops from a health official and were told not to go more than a few steps outside. On Friday, they were visited by a hazardous materials team wearing masks, boots and yellow protective gear, as seen in photos tweeted by Dallas city spokeswoman Sana Syed. A large tarp was laid out, and several oil-drum like containers were on site.

Some have criticized the fact that it took so long to start the process, given that health officials announced three days ago that Duncan had Ebola. At that time, four people Duncan had stayed with in the Texas city were ordered not to leave the apartment because of possible lingering effects of Duncan, from his clothes to toilets to silverware.

Additionally, the Dallas hospital where Duncan is being treated has come under fire for how it handled his first visit there eight days ago.

Duncan's partner, identified only as Louise, told CNN's Anderson Cooper that hospital medical staff were twice told that Duncan, who was suffering with fever and abdominal pain, had recently arrived from West Africa -- key information that could have been a tipoff for Ebola, yet was never properly relayed. Instead, he was released with an antibiotic only to come back by ambulance even sicker on Sunday.

Dr. Anthony S. Fauci, the director of the National Institute of Allergy and Infectious Diseases, acknowledged to reporters Friday that "there were missteps" in Dallas as to how Duncan's case was initially treated. But he also insisted that "there were a lot of things that went right and are going right."

And Fauci stressed that, while there may be a case here and there, what's happened with Ebola in West Africa -- where more than 3,400 people have died and public health infrastructures have become overwhelmed -- won't happen in the United States.

"Our health care infrastructure in the United States is well-equipped to stop Ebola in its tracks," Fauci said.

Official: 50 being monitored

Until this week, Ebola's impact on the United States has been confined to preemptive measures at airports and elsewhere to stop its spread, the deployment of U.S. military and other resources to West Africa to help corral the outbreak there, and the treatment of a select few Americans who contacted the virus in Africa and were flown back home to get well.

But Duncan changed all that.

He landed in Dallas on September 20, started feeling sick days later, then made his initial visit to Texas Health Presbyterian Hospital late on September 25. He went back three days later and was quickly isolated, with a blood test confirmed he had Ebola on Tuesday.

If he gets healthy, Duncan could be in trouble: Some in Liberia have accused him of lying on a pre-flight questionnaire about his contact with Ebola sufferers, leading to threats of charges by authorities there and prompting the Dallas County district attorney's office to announce it is "looking into whether or not (he) knowingly and intentionally exposed the public to a deadly virus -- making this a criminal matter."

For now, though, any future legal battles are overshadowed by Duncan's fight for his life -- in isolation, in serious condition, at Texas Health Presbyterian.

No one he'd come in contact with has shown symptoms of Ebola, though officials were watching them -- 50 people in all -- just in case.

These 50 are people Duncan came in contact with while he was contagious. Monitoring means a public health worker visits the contacts twice a day to take temperatures and to ask if they are experiencing any symptoms.

Dr. Beth Bell of the CDC said officials are casting a wide net.

"We have a low level of concern about the vast majority of these people that we're following," she said.

That sentiment was echoed Friday night by Dallas Mayor Mike Rawlings, who pointed out "there is only one person" -- Duncan, who is in isolated in a hospital -- "that is actively showing" signs of Ebola. Only those showing symptoms of Ebola are contagious.

"We're a little anxious, but there is no fear in our eyes," Rawlings said of local residents. "We will be safe, and we will get this done in the appropriate way."

Ebola in spotlight elsewhere in U.S.

Duncan isn't the only person being talked about in the United States with real or possible Ebola.

Howard University Hospital in Washington has admitted a low-risk patient with symptoms "that could be associated with Ebola," hospital spokeswoman Kerry-Ann Hamilton said Friday. The patient, who was not named, recently traveled to Nigeria and presented with the symptoms upon his or her return, she said. The patient is in stable condition.

"In an abundance of caution, we have activated the appropriate infection control protocols, including isolating the patient," Hamilton said. "Our medical team continues to evaluate and monitor progress in close collaboration with the CDC and the Department of Health."

Officials in Georgia also said they isolated a man with flu-like symptoms who'd recently been in Africa shortly after his arrest early Friday for suspected drunken driving. But "so far all of his labwork is negative" and "we have no reason to believe that he has Ebola," Georgia Department of Public Health commissioner Dr. Brenda Fitzgerald said.

But there is one American confirmed with the virus: Ashoka Mukpo, a freelance cameraman for NBC News who was diagnosed in Monrovia on Thursday

Dr. Mitchell Levy said his son, Mukpo, remembers getting some fluid in his face while helping to disinfect a chair inside a clinic where he was filming.

Mukpo, 33, a freelance cameraman for NBC News, started feeling achy and tired Wednesday, and he quarantined himself. A day later, a test at a Doctors Without Borders facility in Monrovia confirmed that he had Ebola. NBC News has said the entire team will return to the U.S. soon aboard a private charter plane.

Levy said that his son will be heading to Nebraska Medical Center, which is the same facility where Dr. Rick Sacra was recently treated.

Official: U.S. focusing on 'source countries'

As intense as the media attention is in the United States, the issues here are nothing compared to West Africa, where Ebola continues to spread through the living and the dead and where health facilities have often been unable to keep up with the outbreak.

The U.S. government has been involved in trying to help countries like Liberia, with more help possibly on its way.

Pentagon spokesman Rear Adm. John Kirby said Friday that the U.S. military could send as many as 4,000 troops to the Ebola-afflicted countries. About 200 U.S. troops are there now, and Washington had previously committed to sending 3,000 troops.

The U.S. troops will not treat patients, but will help establish health facilities and medical treatment units "so that the health care workers can do their jobs," Kirby said.

Paying attention to West Africa, whether it's getting Ebola patients well there or doing things to prevent infected people from leaving the country, is a national security priority for the United States, said Lisa Monaco, President Barack Obama's homeland security and counterterrorism adviser.

Monaco said Friday: "We are taking steps to address the source, the people coming from the source counties and we think those are the most effective steps we can take."

@highlight

DA's office: A "criminal matter" if Duncan "knowingly ... exposed" public to Ebola

@highlight

Crews have begun cleaning the apartment where Thomas Eric Duncan stayed

@highlight

County official: 4 quarantined were "very pleased" to move into 4-bedroom home

@highlight

U.S. official: "The United States is well-equipped to stop Ebola in its tracks"