At Dragsholm Castle, on the northwestern coast of Denmark's Zealand island, they once chased ghosts.

Now, along the beautiful forest paths that surround the 800-year-old castle, they chase edible flowers, wood sorrel and other wild ingredients that in recent years have pushed the country's restaurants to the forefront of global gastronomy.

Dragsholm now stands as a beacon of Nordic terroir cooking, largely thanks to Claus Henriksen, a former chef at Copenhagen's world-beating Noma restaurant, who was drafted in seven years ago to head up its two restaurants.

Today the castle is considered one of the truest representations of soil-to-plate dining.

Add water, dunes, fields and forest to that equation and you get an idea of the rich and rewarding natural surroundings the chefs get to work with.

Anyone spending the night here can practically pop down in their dressing gown and slippers to pick wild herbs for morning tea.

It's well worth spending the night.

The castle's historic rooms have been beautifully restored as hotel facilities.

Baroque salons

Most of the suites are located along the corridors in between baroque salons and dining halls, and with views of the moat, garden or courtyard.

They're fitted for modern comfort with whirlpool baths and distinctive period features such as canopy beds or chandeliers.

There are no TVs to spoil the occasion, but coming to Dragsholm to watch television is missing the point.

"The habitat here is really fascinating," says Jorgen Stoltz, a forest ranger who organizes foraging safaris around the fields, waters and woodland near Dragsholm.

The castle is located in the region of Odsherred, an area designated by UNESCO as a Geopark.

"There is a tension field between the geology created by the ice age, with clay and calcium-rich soil, and then the elevated seabed which came later," says Stoltz.

"We have all types of nature. You have sand dunes, which have been overgrown with juniper berries and thyme, and you can walk through lush forests full of ramsons (wild garlic)."

Foraging safaris take place from early spring until autumn.

Stoltz preps novice foragers by giving them plant samples a set of photo fact sheets.

He never picks or shows anything potentially toxic.

"If people see me holding a poisonous plant they will mistake it for being edible," he says. "Some people are so keen and quick on the trigger to collect that they will pick up anything."

Beach herbs

Stoltz guides visitors through the soft forest ground, brimming in spring with wood sorrel and ramson, past the black cheery trees, which Henriksen uses in the castle kitchen for making breads and tea, and down the fields scattered with juniper bushes.

From the elevated castle grounds there are views of nearby Nekselo bay where beach herbs peer up through the dunes and banks.

"In the summer there is arrowgrass, which tastes of coriander," says Stoltz. "All year round we find scurvy grass, which is what the Vikings used to bring around Europe as a medicinal herb. We also call it wasabi wort because of its intensity, just like horseradish."

On a good day, glasswort, beach mustard and saltbush can also be found.

Anyone here on a Wednesday morning might spot Henriksen lurking around the beach, scouring for ingredients and getting a firsthand briefing from nature of what his menu is going to look like.

Dragsholm's first-floor restaurant, Spisehuset, has a relaxed bistro feel.

One of its lunchtime favorites is potato salad and house-made ramson sausages sprinkled with wild herbs from the beach and forest.

Downstairs in the cellar restaurant, underneath the whitewashed stones that arch over designer wooden tables, Henriksen realizes his idea of a gourmet experience dictated by seasons and produce.

"I try to create a cuisine that reflects the nature surrounding us," says Henriksen. "It should represent this very moment in time.

"We are being very conscious about it, trying to keep it in tune with nature's rhythm."

Hubba Bubba flowers

While Henriksen has a basic blueprint for the food he's cooking, the weekly excursions to the beach and the woods is where he finesses his dishes.

"We might have veal tongues or sweetbreads as our starting points, but then we go out and see what we can find to pair it with," he says.

On a recent autumn morning, Henriksen went to the fields to find wild violet flowers ("they taste like Hubba Bubba bubble gum"), which he put together with caramel mousse, thyme and rye bread.

He used reduced seawater from the bay, rather than salt, to season the caramel.

Down by a water hole in the forest, he stumbled on a bed of wild mint.

"It's completely crazy but it's not too minty," says Henriksen. "If you made mojitos with it, it would be a disaster because it wouldn't add what you expected. Its aroma is very subtle and elegant.

"I use it to marinate meat, like a carpaccio, because it's not too perfumed or too overpowering."

Henriksen and Stoltz sometimes go on their own private foraging sessions where they talk tastes, plants and new ideas.

When Henriksen was serving grilled breads on a stick -- a Danish children's favorite known as snobrod -- Stoltz suggested he try using branches from a black cherry tree.

This, said Stoltz, would add almond flavor.

Henriksen was so impressed that he ended up putting the branches through a wood chipper and used them to cook a syrup.

"You also have to evolve as a chef," said Henriksen. "There might be some things you didn't initially like but all of a sudden you get into it. It changes all the time."

"I still get blown away by what's here."

Dragsholm Castle, Dragsholm Alle, 4534 Horve, Denmark; +45 59 65 33 00

Foraging trips run from April to October.

@highlight

Dragsholm Castle is at the forefront of Denmark's world acclaimed Nordic natural cuisine revolution

@highlight

Foraging safaris take guests on ingredient gathering expeditions around the 800-year-old building

@highlight

Former Noma chef Claus Henriksen forages his ingredients for the castle's two restaurants from the area