(CNN) -- Jerry goes through test after test, only to be told he has "chest pain." "Why can't my doctors tell me what's wrong?" he says.

Danielle has a headache. Her doctor orders a CAT scan and spinal tap. "Do I really need these tests?" she asks.

We are two ER physicians who see our patients becoming increasingly frustrated at getting more tests, but fewer answers.

Jerry's doctors are taught to not tell him what he has; Danielle doesn't necessarily need invasive tests, but she does need her doctor to listen to her.

The skyrocketing cost of health care is in the news every day: $2.7 trillion spent on health care, 18 cents of every dollar, with up to a third of medical costs wasted.

But the problem goes much deeper than cost. More than 100,000 Americans die from medical error every year, with the majority of error attributed to mistakes in diagnosis.

Every day, patients are going undiagnosed or misdiagnosed despite doctors' increasing reliance on tests, a large number of which are probably unnecessary.

10 shocking medical mistakes

Patients feel increasingly out of control and out of touch with their own health. Well-intended doctors try their best, but they, too, are trapped in a dysfunctional system, which, at least on the surface, appears to reward "cookbook medicine," which regards all individuals as alike, and punish good judgment.

How can we move past this stalemate? We believe that patients hold the key.

The patient empowerment movement has traditionally been focused on getting information to make better treatment decisions.

But taking control of your health care begins with something even more fundamental: You have to advocate for getting the diagnosis right. To do this, you have to speak up and be heard, so that your doctor can hear your story and partner with you to arrive at an accurate diagnosis.

The next time you are at the doctor, try our approach to building this partnership -- the 8 Pillars to Better Diagnosis:

1. Tell your whole story. Studies have shown that more than 80% of diagnoses can be made based on history alone. Unfortunately, doctors sometimes seem to want to steer you toward a cookbook "chief complaint" or a series of "yes/no" answers. Learn to tell a succinct, effective story. Prepare and rehearse it.

2. Assert yourself in the doctor's thought process. Find out what your doctor is thinking as you recount your history, and let your doctor know what's on your mind. If you're not starting out on the same wavelength, it's hard to develop that crucial partnership.

3. Participate in your physical exam. If you're being examined, make sure you know what the doctor is looking for. Don't be afraid to ask about the implications of any findings.

4. Make a differential diagnosis together. A "differential diagnosis" is just the list of all the possible diagnoses that could explain your symptoms. Make sure you and your doctor come up with a thorough list, with some estimate of the likelihood of each possible diagnosis. Keep asking what else could be going on.

5. Partner in the decision-making process. Devise a strategy with your doctor for narrowing down the list of possible diagnoses. By partnering with your doctor, you can often arrive at a working diagnosis without a lot of tests.

6. Apply tests rationally. If you do need to undergo further testing, you should understand how a particular test will help narrow down your differential and what the risks and alternatives are. Look out for "cookbook medicine," and make sure your doctor is tailoring an approach that works for you.

7. Use common sense. You shouldn't leave the doctor without a working diagnosis that makes sense to you. Don't just assume the doctor must be right. If the picture doesn't add up, go back to the drawing board.

8. Integrate diagnosis into the healing process. Talk through your diagnosis with your doctor and make sure you understand its predicted course. What treatment options do you have, and what risks and benefits do they carry? If your working diagnosis turns out to be wrong, what warning signs should you be on the lookout for?

Our "8 Pillars" approach empowers patients to participate with their doctors in the diagnostic process.

Opinion: Is your hospital hurting you?

To be sure, doctors need to be more effective communicators, and we need a health care system that appropriately rewards partnerships with patients.

But patients can't afford to wait for doctors to improve and the health care system to be reformed. Your health, and that of your loved ones, is on the line.

It's up to you to take an active role and ensure that your doctor is listening. You can be, and must be, your own best advocate when it comes to partnering with your doctor and getting to the right diagnosis.

The opinions expressed in this commentary are solely those of Dr. Leana Wen and Dr. Joshua Kosowsky.

@highlight

Patients are getting frustrated at more tests and fewer answers

@highlight

Authors say doctors are trapped in a dysfunctional system that values "cookbook medicine"

@highlight

Using 8 Pillars to Better Diagnosis can help you work with your doctor