Obesity shaves two to four years off the average lifespan, while being very obese can shorten your lifespan by 8 to 10 years, according to a new analysis of 57 studies including nearly 900,000 people.

Men and women with BMIs between 22.5 and 25 were the least likely to die during the study's follow-up period.

"This is scary and something that we should pay close attention to," says Ali Mokdad, Ph.D., a professor of global health at the Institute for Health Metrics and Evaluation at the University of Washington in Seattle. The new findings actually underestimate the true impact of obesity on society because they don't address the costs of obesity-related illness and other factors, says Mokdad, who was not involved with the current study.

The study, published online March 18 in the journal The Lancet, was conducted in part by the eminent epidemiologist Sir Richard Peto of the University of Oxford. Peto and his colleagues in the Prospective Studies Collaboration, a team of dozens of researchers from around the world, say they did the new study to figure out exactly how body mass index (BMI) relates to mortality. Researchers also investigated how smoking influenced this relationship and how excess weight affected death risk from specific causes.

Their analysis included 894,576 people, mostly from North America and Western Europe. Most were age 46 when the study started and were recruited in 1979; the average BMI for all participants was 25. The researchers eliminated deaths during the first five years of their analysis to avoid including people who were excessively thin because of illness.

A BMI of 18.5 to 24.9 is normal (that translates to weighing between 114 and 149 pounds if you're 5 feet 5 inches tall); overweight is 25 to 29.9 (150 to 179 pounds if you're 5 feet 5 inches tall); and obese is 30 or more (180 pounds-plus on a 5-foot-5-inch frame.) You can figure out your BMI at the National Institutes of Health Web site.

Men and women in the new analysis who had BMIs between 22.5 and 25 were the least likely to die during the follow-up period, which averaged eight years. But every additional 5 BMI points boosted mortality risk by 30 percent. The increase was strongest for deaths due to cardiovascular disease, diabetes, kidney, and liver disease; cancer deaths also went up with increasing BMI, but not as much as other diseases. Health.com: How to find your healthiest body mass index

People with BMIs below 22.5 had a higher mortality risk during the study than those who weighed slightly more, largely because of respiratory illnesses, such as lung cancer. The researchers say this is probably the result of skinny people who were smokers.

The researchers calculate that having a BMI of 30 to 35 takes to two to four years off the average lifespan compared with having a BMI of 22.5 to 25. Having a BMI between 40 and 45 (for example, being 5 feet 5' and weighing 240 to 270 pounds), they say, reduces one's lifespan by eight to 10 years. This reduction in lifespan is on par with being a heavy smoker. Health.com: Dietary fats can help -- or harm -- your heart

This isn't too far out of line with research conducted by Katherine M. Flegal, Ph.D., a senior research scientist and distinguished consultant with the Centers for Disease Control and Prevention's National Center for Health Statistics.

In a 2005 study, Flegal and her team reported that while being obese (having a BMI of 30 or above) shortened lifespan, those who were overweight (a BMI of 25 to 29.9) were at no greater risk of death, and may actually have had a lower mortality rate in a given time period than their normal-weight peers. Health.com: How to cut up to 900 calories with simple substitutions

While the study kicked up a lot of controversy -- some people thought the findings minimized the health effects of excess weight -- several other studies have also found no greater mortality risk associated with being overweight (but not obese), and possibly lower mortality, Flegal notes.

Given the difficulty of losing weight, the authors of the new study say, it may be best if people are motivated to prevent the weight gain in the first place. For example, a person who held their BMI steady at 28 rather than going up to 32 (typical of the increase seen in middle age) could extend their life by two years, the researchers say, while a young adult who maintained a BMI of 24 rather than going up to 32 could add three years to his lifespan. Health.com: BMI success story: How one woman lost 44 pounds

For this to happen here, Mokdad notes, the United States government is going to have to do a much better job of supporting prevention efforts. A "bailout" for such efforts that translated to healthier American and workers could be a pretty effective economic stimulus, he added.

Try a FREE TRIAL issue of Health - CLICK HERE!

Copyright Health Magazine 2009

@highlight

Study: Obesity shortens life by 2-4 years; the very obese could lose up to 10 years

@highlight

Higher mortality because of diabetes, cardiovascular, kidney and liver disease

@highlight

Cancer deaths also went up with increasing BMI, but not as much as other diseases

@highlight

Another study had found that being overweight, but not obese, didn't shorten life