Nihiwatu, Sumba, Indonesia (CNN) -- "This has been voted one of the best left-hand breaks on the planet. But watch out for the reef if you get dumped -- try and shallow fall."

The surfing instructor knows who he's dealing with -- an uncoordinated, naturally ungifted sportsman on the wrong side of fit and very embarrassed at being Australian yet unable to surf.

And totally in awe of the view back to the beach and surrounding coastline while floating impressively ungainly between wave sets.

A scene like this, of the beach, gardens and hillside of the unassuming Nihiwatu resort on Indonesia's eastern island of Sumba island, makes a morning of shallow falling (read: tumbling like a drunken cat in a washing machine) totally palatable.

The beauty is immense and the urge to dole out "paradise"-riddled cliches is equally immense.

Yet, there's something more tranquil about this setting, a sense of harmony in the way the resort blends in effortlessly with its surroundings -- even with this surfer wannabe in the frame.

Finding the 'perfect place'

The hotel is the remarkable result of a vision of colorful resort founder Claude Graves, who in 1984 with his wife, Petra, packed up their life in Africa to go in search of the perfect wave.

The ambition, he says, was to create a "perfect place" around that perfect experience.

It has so far proven a story well worth retelling.

"I wanted to create something totally experiential that didn't detract from the area," says Grave. "The best travel is around the best experiences."

After four years, and finding what has become known locally as The Wave, he and Petra ended up here in Nihiwatu on the southern coast of the relatively unknown Sumba, an island about an hour's flight east of Bali.

Land time almost forgot

The couple camped on the beach, an idyllic 2.5-kilometer-long stretch of sand.

The beach is still difficult to access for anyone other than local villagers, and thus serves as something of a private beach for guests.

It's hard to imagine this same sand was the scene, barely six months before the Graves' arrival, of a massive battle between 2,000 local tribesmen.

Indeed, Sumba could be easily labeled an island that time almost forgot.

That clash was an illustration of the fiercely traditional, territorial and tribal nature of Sumbanese culture -- reinforced by the swords the village men strap to their sides to this day.

It's also, by Western standards, incredibly poor with little to no utilities access and infrastructure for many, if not most, villages.

This lack of standard resources posed a challenge for Graves and his plans.

Becoming Sumbanese

Through years of assimilation, negotiation, trust and countless pig sacrifices, Graves ingrained himself with the local community.

"We always said that if we found and developed a place, it had to be inclusive," says Graves, who confesses to not being a "hotel man."

"Tourism has the best potential economically in Sumba but if locals are not connected to it, it will be a big disaster.

"We couldn't imagine building a hotel here without including the locals so that all would benefit."

Claude began building what became the only resort on the island -- training and employing locals from various tribes and encouraging inter-tribal marriages, to assist in easing tensions.

The hotel soft opened in 2001 and had its first full year in 2005.

Keen to protect the highly regarded surf spot from the overuse and abuse displayed in places like Bali, Graves restricted the number of surfers allowed at the hotel at any one time.

He eventually acquired around 600 acres but developed only a small portion of that, impacting as little of the environment as he could.

The Sumba Foundation

Quickly, the location became something of a surf icon, attracting to this day those chasing that perfect wave. A natural reef provides a clean, rolling break.

It also drew Sean Downs, a U.S. businessman who was so taken by the location, the people of Sumba and their needs, that he established the Sumba Foundation with Graves in 2001.

The foundation now impacts and supports around 120 square miles around the hotel and has directly reduced malaria infection rates by 85% in the 400-plus villages in that area.

There are now five health clinics as well as malnutrition programs in the area, created from some of the approximate $5 million donated to the foundation so far.

The foundation supports several schools and has built more than 60 water wells and around 250 water stations.

The latter has been key in helping to empower communities, says Rudi Weru, the on-the-ground manager and part of a team of around three dozen full-time Sumba Foundation staff.

"Now people don't have to spend their whole day traveling to fetch water. Instead, children for instance can go to school and learn," Weru says.

The Sumba Foundation is independent financially from the hotel, but draws on donations from Nihiwatu guests, the wealthier of which account for a high percentage of donations and thus impact directly the tens of thousands of locals the foundation supports.

"More and more these days people want to have a purpose with traveling. It's not enough where people go and lie down on the beach and have a drink," says Dr Claus Boch, the foundation's health program director.

"You can't just come and enjoy the beauty of the place without giving back. So I think it really works extremely well between the hotel, the foundation and what we do."

Due to its association with the foundation and integration with the environment and local communities and customs, the hotel has won a raft of responsible and sustainable tourism awards.

Graves hopes his model is transferable elsewhere.

"Places like this that are leading the way will influence older hotels and sections of the industry. Clients will demand it. People will say I am not going to that hotel and instead go to where they feel their money is being well spent," Graves says.

The hotel is the largest employer on the island with around 300 full-time Subanese staff plus 150 daily workers -- making up more than 90% of its total workforce.

Dato Daku is among the original employees.

For him the experience at Nihiwatu -- from a daily worker to gardener to restaurant waiter -- is easily summed up.

"I want to die here," the father of three boys and three girls told CNN during a visit to Sumba last year.

"In Sumba it is difficult to find a job. It has helped a lot of local people find work.

"I can send my brothers and sisters and children to university or other parts of Indonesia now."

More than surfing

The hotel has 22 exceptional open-plan villas, designed to be low impact, drawing on Graves' philosophy and vision of integration by utilizing local designs, materials and construction techniques.

Experiences for Nihiwatu guests can include trips to nearby villages and clinics or programs the Sumba Foundation runs or supports.

"You can go into the villages, you can experience daily life, you can go to the markets and you can contribute if you want. And most do because they want to and it's not a tough sell. They really want to be a part of it and they really want to keep coming back to see the good work they've done," says James McBride, managing partner at Nihiwatu.

The Wave remains the most famous draw card, luring surfers from the world over, and limits itself to 10 surfers at the break per day.

Another 10 villas are due to be completed by March 2015 -- part of a plan to host those keen on more than just surfing.

Indeed, for those like this writer, not able to ride a board, there's a lot more to Nihiwatu than surfing.

The range of activities available includes a full range of spa options, waterfall hikes, biking, scuba diving and snorkeling, yoga, day trips and horseback riding.

A stand up paddleboard trip to nearby Wanukaku river is thoroughly recommended, but be warned of smiling local kids who dive bomb paddlers at every opportunity.

Graves recently stepped back from his role at the hotel, selling it to new owner Chris Burch, who has partnered with shareholder and established hotel manager, McBride.

Graves is in and out of Sumba and still focused on the Foundation now that there are a regular batch of guests that keep returning -- many of them keen to see the continued progress their support for the foundation has made.

"We've proven that if you get it right, guests will come back. Guests get involved and it is beneficial for all," Graves says.

And this guest just might even be able to surf next time around.

How to get there

All profits from Nihiwatu go to the Sumba Foundation. You can make donations or find out more about the foundation here.

Rates are all inclusive (food, drinks, activities) with some optional extras.

Accommodation starts at $495 per person per night for the rest of 2014, based on double occupancy and are exclusive of VAT and service charges.

From March 2015, full board rates (food and non-alcoholic drinks) start at $900 per room per night based on the size of the villa. Activities are at an additional cost.

There's a minimum stay of three or seven days, depending on the season (high season runs mid-June to mid-October).

Nihiwatu is closed January and February.

There are three flights daily to Sumba's Tambolaka airport on the west of the island (plus a weekly charter flight) and the hotel will organize transfers.

Flight connections are made via Bali's Ngurah Rai International Airport in Denpasar.

Click here for more Nihiwatu villa and reservation/rate details.

CNN's Amanda Sealy and Scott Clotworthy contributed to this story.

@highlight

Nihiwatu resort in Indonesia overlooks one of the best surf breaks in the world

@highlight

The hotel co-exists with the Sumba Foundation, which supports local communities

@highlight

The integration of the resort with the community has led to various eco- and sustainability awards