(CNN) -- Hot, thirsty, frustrated and exhausted, British adventurers Alastair Humphreys and Leon McCarron were already feeling despair set in.

At this early stage of their expedition to trek across the Arabian Peninsula's forbidding and desolate Empty Quarter, however, the pair had got no further than the wet sands of the English seaside town of Margate.

Humphreys had hit on the idea of dragging their 300 kilograms of water and supplies for the 45-day 1,000-mile (1,609 km) expedition on a homemade steel cart, but as the pair labored to heave the heavily laden cart through the boggy sands of Margate on a test run, doubts were starting to set in.

"The purest way to have done the trip would have been camels but we couldn't afford it, so that ruled that out," Humphreys told CNN. "I liked the aspect of the cart because it made it a physical challenge which appeals to me.

Read more: Milking the desert in Saudi sands

"The cart in theory was the right idea, but the cart in practice was absolutely terrible," he said.

With no steering mechanism, the wrong sized wheels and a fundamentally flawed design, just six weeks later the pair flat-packed the conveyance to begin the long walk from Salalah in Oman to Dubai in the United Arab Emirates.

Undaunted, Humphreys and McCarron undertook the arduous journey with a budget of just Â£2,000 ($3,270) and made modifications to the cart on the road.

"I think it was a good demonstration that the main thing is to get out there and make stuff happen," he said. "We could have spent a whole year in the UK to get sponsorship for some carbon fiber cart and we still wouldn't have done the trip."

If nothing, he said, the cart added to the comedy value of his film "Into the Empty Quarter", which was released last month.

In the footsteps of Thesiger

The aim of the expedition was to retrace the footsteps of one of the legends of desert exploration, British adventurer Wilfred Thesiger, who in the 1940s on two separate trips charted vast tracts of the Empty Quarter -- or Rub' al Khali as it is known in Arabic -- a sea of sand dunes and flat featureless plains that spans modern day Oman, Yemen and Saudi Arabia.

In his book "Arabian Sands" Thesiger wrote about his time in the Empty Quarter traveling with the tribal Bedu; tough men who lived by a desert code of honor, vengeance and intense loyalty.

Read more: Will the world be wowed by Dubai's expo?

Thesiger's books documented a vanishing way of life where survival depended on finding desert wells before camels died, avoiding the murderous raiding parties of other Bedu who had lost their herds and where water was sometimes so sparse that herders were known to drink camel vomit to survive.

A changed landscape

Humphreys -- who could only follow part of Thesiger's journey in the Empty Quarter because they did not have visa access to Saudi Arabia - says the legendary explorer would not recognize the area today with its roads, oil installations and, at one point, even hamburger and kebab stands.

"Right from the start we were clear that weren't trying to exactly replicate his route -- it was purely a journey inspired by Thesiger," Humphreys said.

"If we'd really wanted to retrace his footsteps we would have ended the journey in Abu Dhabi rather than Dubai but we chose Dubai because it seemed like the complete antithesis of everything Thesiger appreciated about the desert and it really epitomizes the total transformation of that part of the world in the last 70 years."

Nevertheless, he says the pristine and crystalline beauty of the desert remains.

"I've been to quite a lot empty places and earlier that year I'd rowed across the Atlantic Ocean which sounds, on the surface, like two very different experiences but the two were actually very similar.

Read more: Oxford, Yale or Abu Dhabi?

"We were a tiny bubble of life with all of our life -- food and water -- in this cart and our lives depended on our cart and each other.

"The landscape of the desert and the ocean seemed to me be on pause; they were completely unchanged for millions of years. It's a huge contrast to most of the environments we're used to in daily life which have been molded by mankind.

"In the desert, I felt that once we moved camp in the morning and our noise had moved on then that spot would be silent for thousands more years."

People of the desert

Like Thesiger, the micro-adventurers -- as Humphreys and McCarron like to call themselves -- said the landscape was made up of people as much as it was by sand dunes and harsh rocky plains.

"The locals we met were quite possibly the kindest, friendliest and most welcoming people I've ever met in the whole world -- they were just unbelievably generous -- but they thought what we were doing was completely crazy," Humphreys says.

As passers-by stopped to take cell phone pictures, give them food or even sometimes press cash on the weary travelers, he said that contact with people on the ground confounded many of the negative stereotypes of the Middle East.

"It was very safe," Humphreys said. "Before I went a lot of people were thinking "Oh you're going to the Middle East you'll definitely be killed by Islamic terrorists" but it was so much safer than even the United Kingdom."

Ultimately, he said they left with a deep respect for the people of the region some of whom were descended from the type of people that may have traveled with Thesiger.

"Only three generations might separate these people from the ones who accompanied Thesiger -- and they might get around now in air-conditioned SUVs -- but they haven't been removed from the desert long enough to think that going out into it and having a miserable time is a good idea.

"They thought we were complete idiots."

@highlight

Two British adventurers attempted to cross the Empty Quarter of the Arabian peninsula

@highlight

Tracing the exploits of British explorer of 1940s Wilfried Thesiger

@highlight

Duo could not afford camels so pulled a home-made cart

@highlight

The area has been transformed beyond recognition in many parts since Thesiger's adventure