(CNN) -- When the holidays bring heartache instead of joy, I think they do so because they stand as an unforgiving yardstick against which we measure our losses and troubles.

If no one reminds us, we can sometimes overlook the fact that loved ones are gone, or that our lives are filled with painful conflict in exactly the intimate areas that should be sources of strength and comfort for us. But then along come the holidays, imposing upon us once again a template for what happiness and interpersonal success is expected to look like.

It can be hard to measure up. It is far easier to overlook the death of loved ones when you don't have to stare across the holiday table at their empty places. It is far easier to pretend that family trauma or conflict don't exist when you are far away and on your own.

But the holidays force us to either return to painful family interactions or to fully own our isolation and spend the season alone.

It is a terrible choice. I've treated many patients over the years who reliably became depressed during the holidays out of dread of having to interact with their families. On the other hand, the silence of Christmas morning on one's own carries its own unique pain.

I never cease to be amazed at how often both emotional well-being and mental illness hinge on how we negotiate these types of impossible choices. Because the choices really are often insoluble and the losses are often so actual, we in the mental health professions frequently try to find "a third way" to help people cope. In the end, these "third way" approaches usually come down to helping people reframe their issues so they that seem less hopeless and painful. Or we provide people with medications such as antidepressants to make their brains and bodies less reactive to stress. Or we do both.

Reframing

I've given many interviews over the years regarding strategies for helping people cope emotionally with the holidays. For people truly overwhelmed, I often recommend exploring ways to neutralize Christmas negativity by changing how they approach the holidays. For example, if someone develops a major depression every year before or after going home to see her family, I encourage her to explore what would happen if she abandoned this painful pattern and instead proactively planned a Christmas vacation somewhere beyond the reach of her memories and holiday associations that generate symptoms of depression.

Sometimes this type of strategy works beautifully. Often other family members are equally miserable and join the exodus, providing strength in numbers. Sometimes the person's absence leads the family to re-evaluate itself and change in positive ways. But sometimes, the attempt to flee Christmas is met with such anger and guilt production from the family that the patient actually ends up doing worse. Everyone's holiday situation is unique.

This type of approach toward reframing Christmas follows what I sometimes call the "who says" rule. Many times we torture ourselves with ideas of how things should be, or would be if we were somehow smarter, richer, different. To which I often ask, "Who says?" "Who says things have to be the way you think they should be?" "Who says you have to suffer over a painful fantasy of what you think Christmas ought to be?"

We cling tightly to our fantasies -- good and bad. But sometimes when we can loosen their grip on us, we can see new possibilities for how to be at peace with our lives and find a little joy.

Medications

This holiday season I've been thinking a lot about Christmas 1987, because it was four days later, on December 29, that fluoxetine, better known by its brand name Prozac, received FDA approval for use in the United States. The approval of Prozac launched one of history's greatest run of "third way" approaches to trauma and loss.

With Prozac came a growing belief that medicines might hold promise as the ultimate solution, not just to clinical depression, but perhaps to heartache more generally.

Having once believed this myself, I find that now, 25 years later, I am far more cautious in my appraisal of what the coming of Prozac actually meant for the world's emotional well-being. I've seen repeatedly with my own eyes how modern antidepressants like Prozac can help depressed people get their lives back. And I've seen people who had struggled with negative thoughts and feelings for years find that they were different -- and more successful -- with the addition of an antidepressant in their lives.

But in the last several years it has become increasingly clear that antidepressants are not, and probably will never be, a cure-all for heartache, in any of its forms clinical or mundane. For one thing, our best current data suggest that antidepressants only work adequately for 40% to 60% of depressed people, with the percentages varying depending on what one thinks of as "adequate."

More recent evidence suggests that antidepressants can actually worsen depressive symptoms in a sizable minority of people who take them. Perhaps this shouldn't surprise us. Chemotherapeutic agents that increase the probability of surviving cancer also increase the risk of developing a second cancer in the future. And yet despite this fact, and despite the dread we feel at the mere mention of the word "chemotherapy," most of us embrace chemotherapeutic treatment when diagnosed with cancer, understanding that despite the manifold limitations and horrendous side effects, it's the best that we've got.

Perhaps the most concerning recent debate in the antidepressant literature revolves around the question of whether taking these medications increases the risk of having a depression relapse when the antidepressant is discontinued. This issue is complex and hotly debated. But if the weight of the evidence eventually suggests that antidepressants carry this risk it will further complicate the clinician's task. Still, as with chemotherapy, they're the best that we've got.

Finding more solutions

This year, with Christmas upon us, I am more convinced than ever that we who work clinically or conduct research in the realm of mental health must redouble our efforts to find new and better "third ways" to help deal, not just with clinical depression, but also with the ubiquitous heartache and anxiety that are so prevalent in the modern world.

Although I personally research biological approaches to treating depression, I suspect that part of our movement forward will come from better integrating older ways of wisdom into our treatment protocols. Many wisdom traditions point toward the same thing -- that full healing requires not just reframing or biology, but an inner transformation that embraces suffering itself as a means of escape from our suffering.

Read more: Losing can be hazardous to your health

@highlight

Dr. Charles Raison: Changing how you approach the holidays may help curb negative feelings

@highlight

Some people feel depressed over family issues during the holidays

@highlight

Fluoxetine (Prozac) received FDA approval in December 1987

@highlight

Raison: Full healing requires an inner transformation