(CNN) -- A combative debate on Thursday between Vice President Joe Biden and Republican challenger Paul Ryan came down to the issue of trust.

They challenged each other's facts and claims and offered starkly different visions for the direction of the country.

Biden achieved his goal of bringing the fight to his Republican challenger in battling Ryan to a draw, boosting the spirits of Democrats disheartened by President Barack Obama's lackluster performance last week in the first of three presidential debates.

Ryan made a positive impression with his command of both domestic and foreign policy issues that showed him to be a formidable national candidate after a career of local congressional races in his native Wisconsin.

A snap CNN-ORC International poll showed voters who watched Thursday's debate narrowly favored Ryan over Biden by 48%-44%, a statistically even result after GOP presidential challenger Mitt Romney scored a clear debate victory over Obama.

Ryan repeatedly said the Obama administration has taken the nation in the wrong direction, asserting it has hindered economic recovery and weakened U.S. influence around the world.

What would you have asked?

"The choice is clear: a stagnant economy that promotes more government dependency or a dynamic, growing economy that promotes opportunity and jobs," Ryan said. "Mitt Romney and I will not duck the tough issues, and we will not blame others for the next four years."

He also repeated several times, in reference to the recent terrorist attack on a U.S. diplomatic compound in Libya and other anti-American protests, that "what we are watching on our TV screens is the unraveling of the Obama foreign policy."

Biden called several of Ryan's remarks "malarkey" and challenged Americans to trust their common sense when judging proposals by the Republican challengers.

The tax and entitlement reforms proposed by Romney and Ryan would harm the middle class and favor the wealthy, Biden said in seeking to depict Republicans as protectors of the privileged.

"You think these guys are going to go out there and cut those loopholes?" Biden asked about unspecified moves promised by Romney and Ryan to balance broad tax cuts they propose.

First ever 'Catholic' debate

On the topic of reforming the Medicare program for senior citizens, which Romney and Ryan seek to partially privatize, Biden referred to a Ryan proposal to provide partial government payment for seniors in the future to buy private health care.

"Folks, use your common sense. Who do you trust on this?" Biden asked, saying Ryan's plan would increase Medicare costs to recipients by $6,000 a year. Ryan disputed the claim, which was based on a proposal that he has since altered.

The lone vice-presidential debate before the November 6 election pitted Biden, 69, and his almost four decades of experience in national politics against the 42-year-old Ryan, a 14-year congressional veteran who rose to the chairmanship of the powerful House Budget Committee.

Despite Biden's more extensive experience, CNN polling showed 55% of respondents expected Ryan to win the debate, and both campaigns tried to downplay expectations for their candidate ahead of time.

Privately, senior Democrats told CNN they believed a strong showing by Biden could help the Democratic ticket, but wouldn't be enough to erase problems created by Obama's self-admitted bad debate performance against Romney.

Complete coverage: Presidential debates

Obama and Romney will square off again Tuesday in New York and October 22 in Florida.

Polling after the first presidential debate showed Romney tightening the race nationally and in some of the nine battleground states considered vital to either candidate's chances of garnering the 270 electoral votes needed to win the White House.

"I do think Joe Biden did his boss a lot of good tonight," CNN Senior Political Analyst David Gergen said after Thursday's debate. CNN Chief Political Analyst Gloria Borger said Biden's job "was to right the ship, and he did it."

Both analysts criticized Biden for his tendency to smile and roll his eyes in response to some of Ryan's comments, especially early in the debate, with Gergen saying Ryan won on style but the debate was even with regard to substance.

Biden also was more aggressive in his demeanor, repeatedly cutting off Ryan and sometimes talking at the same time as his rival to challenge specific comments.

At one point, Ryan told Biden that "I know you're under a lot of duress to make up for lost ground, but I think people would be better served if we don't keep interrupting each other."

Biden responded: "Well, don't take all the four minutes then" in reference to how much time the candidates had to respond to a particular question. Overall, Biden spoke for about a minute more than Ryan during the 90-minute-debate.

Republican strategist Alex Castellanos, a CNN contributor, said Biden "had to buy his boss a week until the next debate, and he did that tonight."

"He wasn't charming Joe Biden tonight, that wasn't his mission," Castellanos said.

Ryan repeatedly sought to focus the debate on the Obama-Biden record of the last four years, arguing the administration's policies hindered economic recovery and weakened the nation's standing and influence in the world.

For his part, Biden tried to frame the election as a choice between differing directions for the country by contending policies of the Romney-Ryan ticket would hurt the middle class and move the nation backward on social issues such as gay rights and abortion.

Martha Raddatz of ABC News aggressively moderated the debate, challenging both candidates on some claims and moving on to various topics covering both domestic and foreign policy.

Unlike Obama last week, Biden made sure to mention Romney's controversial comments secretly recorded at a May fundraiser in which the former Massachusetts governor spoke of 47% of Americans who depend on government benefits and won't vote Republican.

"Romney points out 47% of the people won't take responsibility," Biden said. "... He's talking about the people that have built this country. All they're looking for is an even shot."

In the biggest laugh line of the night, Ryan conceded Romney didn't express the thought exactly as he wanted at the fundraiser, then needled the gaffe-prone Biden by saying: "I think the vice president very well knows that sometimes the words don't come out of your mouth the right way."
Biden immediately responded "but I always say what I mean," later adding that if anyone thought Romney's "little soliloquy on the 47%" was just a misstatement, "then I think you're ... I've got a bridge to sell you."

Ryan, the conservative congressman from Wisconsin, criticized Obama's administration for its failure to protect four Americans killed in the Libya attack last month, and for mixed messages about what transpired.

Where they stand: Candidates and issues

"This Benghazi issue would be a tragedy in and of itself. But unfortunately it's indicative of a larger problem," Ryan said, adding that illustrated an unraveling of the administration's foreign policy.

Biden smiled and shook his head as Ryan delivered his criticism, then responded that "not a single thing he said was accurate."

On Iran, widely backed international sanctions pushed by Obama and backed by allies have devastated the Tehran economy, Biden said. He rejected assertions that Obama failed to work closely with Israeli Prime Minister Benjamin Netanyahu, and that the United States lacked commitment to a possible military strike to prevent Iran from becoming capable of developing a nuclear weapon.

"This president doesn't bluff," Biden said.

Ryan, however, insisted that Iran was closer now to having a nuclear weapon than it was four years ago, blaming the administration for allowing that to happen. He bluntly said that Tehran must not be allowed to become a nuclear power.

Biden to stump in Ryan's backyard after debate

"This is the world's largest sponsor of terrorism," he said. "And if they get nuclear weapons, other people in the neighborhood will pursue nuclear weapons as well. We can't live with that."

Opinion: Ryan should speak for the millennials

Last week, Obama was chided for being passive, and polls conducted after the debate indicate the White House race is now extremely tight ahead of the election.

Key surveys indicate that Obama and Romney are knotted up in the battleground states of Virginia, Florida, Ohio, Wisconsin and Colorado. Most experts believe that nine swing states will determine the next president.

Video: #Malarkey is trending

@highlight

NEW: A snap CNN/ORC International poll shows Paul Ryan with slight edge, but result statistically even

@highlight

Ryan slams the Obama administration on Libya, Iran and the economy

@highlight

Vice President Joe Biden fights back, criticizing Republican claims as untrue

@highlight

The Kentucky debate was the only one between the vice presidential candiates