(CNN) -- Anyone who's ever read a nutrition label knows that our food supply is full of hard-to-pronounce chemicals. Most are generally recognized as safe, as the Food and Drug Administration likes to say, but a few have given scientists cause for concern.

Azodicarbonamide, for instance. Subway announced last week that it would be removing the controversial chemical from its bread. Generally used for strengthening dough, azodicarbonamide is also found in yoga mats and shoe soles, according to the Centers for Science in the Public Interest. One of the breakdown products is a recognized carcinogen.

Though Subway is going to remove azodicarbonamide, there's a long list of other chemicals used in its bread: calcium carbonate, calcium sulfate, ammonium sulfate, DATEM, sodium stearoyl lactylate, potassium iodate and ascorbic acid, according to the restaurant's website (PDF).

And Subway certainly isn't alone. What other chemical additives are commonly found in your food? Here are seven, picked at random as good practice for the upcoming CNN Spelling Bee (just kidding).

1. Tartrazine and other food dyes

When Kraft announced last year that it would be removing Yellow No. 5 (tartrazine) and No. 6 from certain varieties of its Macaroni & Cheese products, advocates rejoiced. Blue 1, Green 3, Red 40 and others have been loosely linked to everything from hyperactivity in children to cancer in lab animals. Generally found in candy, beverages and baked goods, color additives are also used in cosmetics.

But you knew that, right? Did you also know about the ground-up insects in your drinks? Cochineal extract is an approved artificial dye derived from a small bug that lives on cactus plants in Mexico and South America. As long as you're not allergic, you're safe to drink up, according to the Centers for Science in the Public Interest. Mmmm ...

2. Butylated hydroxyanisole (BHA)

Well, that's a mouthful. BHA is used to preserve some cereals, chewing gum and potato chips, according to the centers. It's also used in rubber and petroleum products.

Butylated hydroxyanisole is "reasonably anticipated to be a human carcinogen," according to the National Institutes of Health (PDF), because of animal studies that have shown that the chemical can cause tumors in rats' and hamsters' forestomachs (something humans don't have) and fish livers.

3. Propyl gallate

Propyl gallate is often used in conjunction with BHA and a chemical called butylated hydroxytoluene, or BHT. These antioxidant preservatives protect oily products from oxidation, which would otherwise cause them to go bad. Propyl gallate can be found in mayonnaise, dried meats, chicken soup and gum, as well as hair-grooming products and adhesives.

Some scientists believe that propyl gallate is an "endocrine disruptor (PDF)," meaning it can interfere with humans' hormones. Endocrine disruptors can lead to developmental, reproductive and/or neurological problems, according to the National Institutes of Health, including fertility issues and an increased risk of some cancers. But the link between propyl gallate and the endocrine system needs to be studied further.

4. Sodium nitrite

Sodium nitrite is most often used in the preservation and coloring of meats, such as bacon, ham, hot dogs, lunch meat and smoked fish. Without it, these products would look gray instead of red.

Sodium nitrite is also found naturally in many vegetables, including beets, celery, radishes and lettuce. But the nitrite found in vegetables comes with ascorbic acid, which prevents our bodies from turning nitrite into nitrosamines.

Nitrosamines are considered potentially carcinogenic to humans. So some companies are adding ascorbic acid to their meat products to inhibit nitrosamine formation, according to the Centers for Science in the Public Interest.

However, the American Meat Institute points out the National Toxicology Program conducted a multi-year review in which rats and mice were fed high levels of nitrate and nitrite in drinking water, and a panel reviewed the findings and concluded that nitrite is safe at the levels used and not a carcinogen.

5. TBHQ (tert-Butylhydroquinone)

This chemical preservative is a form of butane that is used in crackers, potato chips and some fast food. It can also be found in varnish, lacquer and resin. It helps prolong the shelf life of food and, if it's consumed at low levels, is considered safe.

In higher doses -- above what the FDA says manufactures can use in food prep -- TBHQ has been found to cause "nausea, vomiting, ringing in the ears, delirium, a sense of suffocation, and collapse," according to "A Consumer's Dictionary of Food Additives." It may also cause restlessness and vision problems.

6. Silicon dioxide, silica and calcium silicate

Silicon dioxide, also known as silica, is a naturally occurring material (PDF) made up of shells of tiny single-celled algae. You might also recognize it as sand, the kind that gets stuck in your suit at the beach.

Silicon dioxide is used in dry coffee creamer, dried soups and other powdery foods. It is also used as an insect repellent, removing the oily film that covers an insect's body, causing them to dry out and die.

The EPA concluded that the human health risk is low and "not unreasonable." In rat studies, high-dose exposure has caused some lung problems. Another study of Chinese workers who were heavily exposed to the chemical showed a disproportionate number of deaths related to respiratory diseases, lung cancer and cardiovascular diseases. Silicon dioxide has also been associated with the risk of developing autoimmune diseases -- again only after heavy exposure.

7. Triacetin (glycerol triacetate)

Triacetin, also known as glyceryl triacetate, has been approved and generally recognized as safe by the FDA as a food additive.

In food, it is used as a plasticizer for chewing gum and gummy candy. It can be used to keep food from drying out and in some cookies, muffins and cakes. It is also used in perfume, cosmetics and cigarette filters and in drugs like Viagra.

@highlight

Subway is removing azodicarbonamide from its bread; other chemicals remain

@highlight

There are seven color additives approved by the FDA for use in foods

@highlight

Propyl gallate, BHA and BHT are used to preserve oily products such as mayonnaise

@highlight

Silicon dioxide is used in coffee creamer, dried soups and insect repellent