(CNN)American suburbanites who can do all their shopping without getting wet, driving from point-to-point or looking for a new place to park, can give much of the credit to Alfred Taubman.

Taubman, a real estate developer who helped change the face of suburban life by popularizing upscale indoor shopping malls, died Friday at the age of 91. The announcement was made by his son, Robert Taubman, the chairman, president and chief executive officer of Taubman Centers Inc., the company his father founded 65 years ago.

A. Alfred Taubman -- his first name was Adolph -- was born January 31, 1924, in Michigan to German Jewish immigrants who hit hard times during the Great Depression.

"I started working when I was 9," he told an interviewer in 2007. "I really wanted to make some money."

An Army Air Force veteran of World War II, he studied architecture at the University of Michigan and Lawrence Institute of Technology near Detroit, and worked for an architectural firm, but decided that drawing wasn't the path to success. "I wanted to build."

In his autobiography, "Threshold Resistance: The Extraordinary Career of a Luxury Retailing Pioneer," Taubman said that when he "looked over the horizon, I saw that there was money to be made by people who could build and own stores or, better yet, groups of stores."

He founded the Taubman Co. in 1950 and began to demonstrate what the company's website calls an "ability to assess and overcome threshold resistance -- a phrase he coined to describe the psychological and physical barriers that keep a shopper from entering a store."

As the post-war growth of suburbia continued, retail developers like Taubman began to consider what that might mean: More and more people needed places to shop.

Taubman embarked on multi-store developments in the 1950s, in places like Flint and Taylor, Michigan, and in 1961 broke ground on his first large mall, the 350,000-square-foot Arborland project in Ann Arbor.

"Demographically, I looked at the numbers, and as far as I was concerned we couldn't miss," he recalled in 2007. "And we didn't."

Indeed not. This year, Forbes estimated his net worth at $3.1 billion, and the company's U.S. malls generate average annual sales of $809 per square foot, according to the company's website.

But if Alfred Taubman gained fame and amassed billions as one of the people who helped define suburban life, he gained notoriety along the way, as well.

In 1983, he bought the renowned international auction house Sotheby's. And in 2002 he was jailed following a conviction for conspiring with rival auction house Christie's to fix auction house commission rates to maximize profits.

He was released in 2003 after having served nine months in prison. He always maintained his innocence, saying one of his underlings had lied about him to keep from going to prison herself.

Taubman was renowned for his attention to detail, knowledge of design and for developing some of the best-known malls in the United States.

He first project was a freestanding bridal shop in Detroit.

Over more than six decades, his company operated nearly 20 properties in the continental U.S., including well-known developments such as the Beverly Center in Los Angeles, The Mall at Short Hills in New Jersey and The Shops at Crystals, in Las Vegas.

His designs evolved over the years to include not only enclosed malls but various styles of open-air developments. And his influence stretched far from the American soil and into the thriving markets of China and South Korea.

People we've lost in 2015

Taubman remained active until the end of his life. He devoted much of his energy in his later years to philanthropic activities. And, just over three weeks before his death, he attended the grand opening of The Mall of San Juan in Puerto Rico with his sons Robert and William.

According to a statement by Robert Taubman, the patriarch had dinner in his home in Bloomfield Hills, Michigan, on Friday, then died of a heart attack.

In addition to his sons, Robert and William, he is survived by a daughter, Gayle Taubman Kalisman, who is co-chair of the A. Alfred Taubman Medical Research Institute's advisory board, two stepchildren, and his second wife, Judith Mazor Rounick, a former Miss Israel.

CNN's Cameron Tankersley contributed to this report.

@highlight

Alfred Taubman, who died Friday, was active in philanthropy and worth an estimated $3.1 billion

@highlight

Amid suburban boom of the '50s, he realized people would need places to shop: "...we couldn't miss"

@highlight

We was convicted in 2002 of trying to rig auction house commissions; he maintained he was innocent