(CNN) -- Federal intelligence officials are looking at whether more could have been done to prevent the Boston Marathon attacks, President Barack Obama said Tuesday, though he added that he's not aware of any missteps.

"Based on what I can see so far, the FBI performed its duties. The Department of Homeland Security did what it was supposed to be doing," Obama said. "But this is hard stuff."

The president called the review by the Director of National Intelligence's office "standard procedure," but it comes amid withering criticism from some lawmakers of how well law enforcement, intelligence analysts and the administration handled a 2011 request by Russian officials to investigate one of the two bombing suspects, Tamerlan Tsarnaev.

That year, Russian authorities alerted the United States to concerns that Tsarnaev was becoming increasingly radical. The Russians also raised questions about Tsarnaev's mother, Zubeidat Tsarnaev, according to several sources.

But the FBI found no evidence of extremist activity and closed the case. The names of both Tsarnaev and his mother were placed in a terror database, however.

Still, Tsarnaev was allowed to travel the next year to a restive Russian region rife with Islamist terror groups, and he returned to the United States after six mysterious months abroad.

Investigators have said they are looking at possible links between Tsarnaev and those groups during his time in the region.

Information sharing

In the days following the attacks, Republican Sen. Lindsey Graham of South Carolina led criticism of the administration's handling of the Russian reports -- questioning whether intelligence and law enforcement agencies properly shared information that could have prevented the April 15 bombings.

Three people died in the attack and more than 260 were wounded, 20 of whom remained hospitalized Tuesday. Authorities say Tamerlan Tsarnaev and his younger brother, Dzhokhar, killed a police officer a few days after the attack.

Photos: Galleries from the attack and aftermath

"I just find it really unnerving that we could have had him in FBI custody in 2011 and did a whole profile of him, and after the attack that his name did not surface, that we didn't check the database or the database had him missing," Graham had said of the older Tsarnaev.

He continued his criticism Tuesday, after Obama's remarks, comparing the Boston attack with one last year at the U.S. consulate in Benghazi, Libya, which left four Americans dead. Both attacks, he said, suggesting warning signs were ignored and communication among intelligence and law enforcement agencies was flawed.

Obama said the intelligence review into how Tsarnaev's case was handled, while not prompted by the criticisms, would "leave no stone unturned."

"We want to see, is there in fact additional protocols and procedures that could be put in place that would further improve and enhance our ability to detect a potential attack," he said.

At the same time, the president rejected Graham's criticisms, saying "it's not as if the FBI did nothing."

"They not only investigated the older brother, they interviewed the older brother," the president said. "They concluded that there were no signs that he was engaging in extremist activity."

Criminal investigation

Tamerlan Tsarnaev's body, meanwhile, remained Tuesday in the hands of the Massachusetts Medical Examiner's Office.

His widow, Katherine Russell, released a statement Tuesday evening stating that the medical examiner's office "is prepared to release" the slain suspect's remains. If and when they do, it won't be to Russell, the mother of his young child.

"It is Katherine Russell's wish that his remains be released to the Tsarnaev family, and we will communicate her wishes to the proper authorities," her lawyers said in a statement.

Through her attorneys, Russell has denied any knowledge of her husband's involvement in the bombings. She will meet in the coming days with law enforcement, "as she has done for many hours over the past week, and provide as much assistance to the investigation as she can," the lawyers said.

The FBI took DNA samples at her Rhode Island home on Monday -- the same day law enforcement sources told CNN that a woman's DNA had been found on a fragment of one of the pressure cooker bombs used in the bombings.

The sources cautioned that this doesn't necessarily mean a woman might have conspired with brothers. And an official said that, even if Russell's DNA matches that from the bomb fragment, it doesn't necessarily mean she participated in the bomb's construction.

The DNA could also be from a victim, Lawrence Kobilinsky, a DNA expert at the John Jay College of Criminal Justice in New York, told CNN's Erin Burnett.

As of Tuesday, there was no known match for the DNA found on the bomb fragment. Nor was there a match from at least one fingerprint found in the Boston bomb debris, a law enforcement official with knowledge of the investigation told CNN's Susan Candiotti.

Very preliminary talks

While the elder Tsarnaev died April 19 after a firefight with police, his 19-year-old brother Dzhokhar is being held at a federal Bureau of Prisons medical center in Devens, Massachusetts, on a charge of using a weapon of mass destruction. He faces a possible death penalty if convicted.

Bombing suspect Dzhokhar Tsarnaev's new cell

On Monday, a federal judge appointed prominent defense lawyer Judy Clarke to represent him.

Clarke has represented Ted Kaczynski, the Unabomber; Eric Rudolph, the 1996 Atlanta Olympics bomber, and Jared Lee Loughner, who pleaded guilty in the Tucson, Arizona, shooting that killed six and left then-U.S. Rep. Gabrielle Giffords seriously wounded.

Federal prosecutors and the defense team of Dzhokhar Tsarnaev have had some very preliminary talks over the "past few days" to potentially allow the surviving suspect to resume providing information to investigators, possibly in exchange for eliminating the possibility of a death penalty if he is convicted, two government sources told CNN on Tuesday.

The communications are in the very early stages, and not a sign lawyers for either side is ready to make a deal, said one source, who did not want to be identified because of the sensitive nature of the private discussions. The source stressed these are not formal talks -- with a U.S. Justice Department official saying it would not be accurate to refer to the conversations as negotiations.

Prosecutors have not said they will definitely seek the death penalty in the case, but it is an option under the federal law the 19-year-old is accused of violating. Attorney General Eric Holder would have the final say.

These kinds of conversations are not unusual in such high-profile cases, legal sources say.

Russian cooperation, links

Over the weekend, news emerged that Russian authorities had intercepted a phone call in early 2011 from one of the Tsarnaev brothers in the United States to their mother in Dagestan. The call included a vague discussion of jihad, an official with knowledge of the investigation told CNN.

That information didn't make its way to the FBI before the bombings, the official said.

Last week, Russian President Vladimir Putin said he had regrets Russian intelligence wasn't able to provide more information to U.S. officials before the bombing, and said he hoped the incident would spark greater cooperation between U.S. and Russian counterterrorism officials.

Russia has been "very cooperative with us since the Boston bombing," Obama said Tuesday.

"Obviously, old habits die hard," he said. "There's still suspicions sometimes between our intelligence and law enforcement agencies that date back in some cases 10, 20, 30 years, to the Cold War."

Another possible investigative development tied to Russia relates to possible links between Tamerlan Tsarnaev and a Canadian jihadist killed by Russian troops in 2012, a source being briefed on the investigation said.

William Plotnikov and six others died in a firefight with Russian forces in the southwestern republic of Dagestan in July 2012 -- while Tsarnaev was visiting the region, the source said. The 23-year-old Plotnikov was born in Russia, but his family moved to Canada when he was a teenager.

Why did Tamerlan go to Russia?

Tsarnaev flew out of Dagestan two days after Plotnikov's body was prepared for burial, according to the source. Investigators are looking into the possibility he left because of Plotnikov's death, the source said.

Like Tamerlan Tsarnaev, Plotnikov was once a boxer.

Investigators also are looking into whether Tsarnaev had any contact with another militant named Mahmoud Mansur Nidal, who was killed by Russian forces in May 2012 during a gun battle in Dagestan's capital, the source said.

Suspects' mother describes her last conversation with her sons

CNN's Deborah Feyerick, Bill Mears, Susan Candiotti, Ashleigh Banfield, Paula Newton, Drew Griffin, Dave Alsup, Greg Botelho, Carol Cratty, Brian Todd, Ben Brumfield, Josh Levs and Barbara Starr contributed to this report.

@highlight

NEW: Suspect's widow wants his remains released to her in-laws

@highlight

President Obama defends FBI probe, calls review of Boston intel "standard procedure"

@highlight

He defends FBI investigation of bombing suspect, though a GOP senator remains critical

@highlight

Investigators find a fingerprint in bomb debris; no match yet, official says