(CNN) -- Washington and Beijing may be facing the most tense and delicate moment in their bilateral relationship since the 1989 Tiananmen crackdown. The reported escape from house arrest of dissident lawyer Chen Guangcheng and his apparent flight to the U.S. Embassy in Beijing, while not yet officially confirmed, would greatly complicate the Obama administration's efforts to keep relations on an even keel in a year already fraught with bilateral irritants.

Both leaderships want stability in the relationship, given the confluence of a U.S. presidential election and the once-in-a-decade leadership transition in Beijing scheduled for this fall. But this desire has been put to the test. There have been tiffs over China's early support for the Assad regime in Syria and North Korea's failed satellite launch and presumed follow-on nuclear test. And there was the bungled attempt by the erstwhile security chief of a senior Chinese Politburo member to seek refuge in a U.S. diplomatic facility on the eve of a visit to Washington by China's putative next leader. And now this.

On many levels, the parallels to 1989 are striking. After the June 4 bloody crackdown on student demonstrators in Tiananmen Square, another famous Chinese dissident, Fang Lizhi, became a living symbol of the bilateral conflict over human rights by spending a year in the U.S. Embassy before finally being allowed to leave the country.

Today's top Chinese leadership, though not yet as deeply divided as its 1989 antecedent, is struggling to maintain unity following the purge of one of its rising Politburo stars for his connections to the security chief's botched flight and lurid allegations of the murder of a British national. Recent apparent leaks and counter-leaks to the Western media detailing leadership infighting underscore the charged political atmosphere in Beijing as party heavyweights jockey for advantage in the wake of the scandal.

Another wrinkle now is the absence of a revolutionary-credentialed paramount leader — manifest in the personage of Deng Xiaoping in 1989 — to arbitrate among the competing leadership constituencies.

Add to this cauldron the scheduled arrival in Beijing next week of a Cabinet-level U.S. delegation — led by Secretary of State Hillary Clinton and Treasury Secretary Timothy Geithner — for the fourth round of the U.S.-China Strategic and Economic Dialogue (S&ED). If Chen is holed up in the U.S. Embassy, it is hard to fathom how the two sides will stay focused on the many pressing geostrategic and economic challenges in the relationship -- especially as they will undoubtedly face a frenzy among accompanying media over Chen's status.

Moreover, the Chinese leadership certainly will view the visit through the prism of another pivotal moment in the Tiananmen drama, the state visit to China of then-Soviet leader Mikhail Gorbachev, which emboldened the demonstrators and deepened divisions among the leadership.

Of course a game changer from 1989, and one that seems to constantly surprise the Chinese leadership, is the power of social media and the Internet. Despite a large contingent of foreign media in Beijing to cover Gorbachev's visit in 1989, the regime still was largely able to pull the plug on the world's ability to witness the ensuing massacre in real time. It is learning in recent weeks that such control is virtually impossible now.

But this challenge can be a two-way street. If media accounts are accurate that Chen Guangcheng entered the U.S. Embassy on Thursday evening, then U.S. diplomats had less than 24 hours between his arrival and the story's explosion on the Internet. This hardly left sufficient time to seek instructions from Washington and to approach Chinese officials about the possibility of orchestrating a face-saving way to end the potential standoff. The problem is made worse by the likelihood that many in the Chinese elite will assume the United States deliberately leaked the information to embarrass the Chinese government on the eve of the S&ED.

The Chinese Communist Party's liberal wing also is trying to exploit the downfall of its Politburo archenemy to revive its long-diminished fortunes and push for a new wave of economic and political change. Their hard-line opponents, however, will see an opportunity in the Chen Guangcheng affair to blunt any reformist tide. Coming on the same day the White House will have tweaked Beijing's neuralgia about Taiwan by advising Congress that it will take a second look at potential sales of new fighter aircraft to the island. The news about Chen completes the circle for those eager to paint the United States as bent on stifling China's rise.

In the past, such cries of "hostile foreign forces" meddling in China's internal affairs frequently have taken the wind out of the reformists' sail.

Against this backdrop, the stage is set for a sudden increase in bilateral tension. Initially presumed to be largely inconsequential, next week's S&ED meetings may prove the most critical test of U.S.-China relations the Obama administration has faced to date.

The opinions expressed in this commentary are solely those of Christopher Johnson.

@highlight

Christopher Johnson: D.C., China face tense moment over dissident's apparent flight to U.S. protection

@highlight

He says it has echoes of Tiananmen Square era; reflects nations' human rights differences

@highlight

He says recent tiffs have tested nations' ties; incident comes on eve of U.S.-China talks

@highlight

Johnson: China's internal conflicts, rise of internet, help make situation fraught