(CNN) -- Turkey's peripatetic Foreign Minister Ahmet Davutoglu spent last Thursday in Tehran in negotiations with leading Iranian officials. Davutoglu's visit comes at a very critical juncture in U.S.-Iran relations, as saber-rattling dangerously escalates over the United States' ever-more stringent sanctions and Iran's threat to close the Strait of Hormuz.

Davutoglu's visit also comes as Shia-Sunni tensions in Iraq rise in the wake of the American withdrawal. These tensions threaten the very survival of Iraq as a united country and have the potential to adversely affect Iran-Turkey relations -- in light of Iran's strong support of the Shia in Iraq and Turkey's sympathy for the Sunni cause.

Iran and Turkey's divergent stances on Syria as well as Turkey's decision to host a NATO anti-missile radar facility close to the Iranian border have added even more to the strain. Reports suggest that much of the talks between Davutoglu and his Iranian counterparts were devoted to ironing out some of these bilateral differences.

A major objective of the Davutoglu visit, however, was to kick-start negotiations between Iran and the P5+1 over Iran's nuclear enrichment program. The group comprises the permanent five members of the U.N. Security Council: France, the UK, China, Russia and the United States, plus Germany. Major Western powers believe the enrichment program is part of Iran's clandestine ambition to acquire nuclear weapons capability.

Negotiations between Iran and the P5+1 have dragged on for years, with Iran insisting on its right under the Nuclear Non-Proliferation Treaty to enrich uranium for civilian purposes and the Western powers demanding that it suspend its enrichment program to allay fears that it is covertly engaged in building nuclear weapons.

The most recent International Atomic Energy Agency report, issued on November 8, 2011, brought the dispute to a boiling point by stating for the first time that it had documentation that led it to believe nuclear weapons work had been done under a "structured program" up to 2003, and that "some may still be ongoing."

While this information was not new, the report provided the United States and its European allies the excuse to impose even more stringent sanctions on Iran. The proposed sanctions could seriously damage prospects for Iran's energy exports by targeting the Central Bank of Iran and preventing it from carrying on financial transactions abroad. They are thus aimed at hitting Iran where it really hurts, although the prospect of Iran's oil exports being forced off the market also threatens to drastically increase the price of crude internationally.

Iran's ruling elite perceives sanctions that target Iran's export of crude as existential threats. Iran has, therefore, threatened to block the Strait of Hormuz, through which a fifth to a quarter of the world's oil passes, if sanctions are imposed on its export of crude. Iran's capacity to block the strait for any length of time might be debatable, but it is clear that threats and counter-threats have reached a point where a shooting war cannot be ruled out completely.

This is the last thing Turkey wants to see, caught as it is between its NATO membership and its dependence on energy supplies from Iran. Ankara is fully aware that the cost of a war with Iran would far exceed that of the American invasion and occupation of Iraq. Turkey realizes that Iran is no Iraq, and that Tehran can inflict major damage on American interests and those of its allies, including Turkey, in the Middle East.

In this context, it becomes clear that it was Davutoglu's primary mission in Tehran to persuade the Iranians to resume negotiations with P5+1. He delivered a note from the European Union's foreign policy chief, Catherine Ashton, inviting Iran to resume such talks, and Iranian Foreign Minister Ali Akbar Salehi apparently responded positively.

It is worth noting that Iran's chief negotiator on nuclear issues, Saeed Jalili, announced a few days ago that Iran was willing to resume negotiations with P5+1 on the nuclear enrichment issue. Salehi suggested in his news conference with Davutoglu that Turkey would be the ideal venue for these negotiations, a suggestion that is likely to be accepted by Ashton. Istanbul was the venue for the last round of negotiations a year ago and it appears logical that the parties reconvene there.

It is likely these negotiations will be re-started, and with Turkey facilitating and providing a venue for them, Turkey could be primarily instrumental in preventing a catastrophe in the Middle East. It could even help ease Western sanctions against Iran, especially the most recent threatening financial transactions with Iran's Central Bank, which could hurt Turkey's ability to pay for its energy supply purchases from Iran.

It would also help put Iran-Turkey relations, recently mired in disputes surrounding Syria and NATO's radar facilities in Turkey, on a more even keel and help defuse tensions between these two most important political actors in the Middle East.

The opinions in this commentary are solely those of Mohammed Ayoob.

@highlight

Mohammed Ayoob: Turkey's minister visits Iran as tensions rise between West, Iran

@highlight

Ayoob notes Western nations vow stricter sanctions on Iran over nuclear program

@highlight

Iran vows to close Strait of Hormuz; he says Turkey caught in the middle of disputes

@highlight

Turkey holding talks between West, Iran, he says, might head off confrontation