(CNN) -- Nearly 12 years after Congress debated and subsequently voted for American military action in Iraq, another debate over that Middle Eastern country is roiling Washington.

This debate is not taking place on the floors of the House or Senate; it is taking place in the media. Members of Congress and even the former vice president who helped plan the U.S. invasion of Iraq more than a decade ago took to the Sunday political talk shows to voice their positions.

As militants, which President Barack Obama said Sunday on CBS News' "Face the Nation" poses a "medium and long-term threat." continue to gain ground in Iraq, we'll get you up to speed on what top officials in Washington said in the Sunday political shows.

Lacking intelligence

Now that Obama has announced his plans for Iraq, which includes sending up to 300 military "advisers" to the country, the blame game on how Iraq dissolved into chaos continues.

Sen. Dianne Feinstein, D-California and chairwoman of the Senate Intelligence Committee, said the intelligence community was not fully aware of the scope of the Islamic State in Iraq and Syria. She said intelligence did "know about" ISIS in Syria, but it did not adequately account for the possibility that the group could overtake a third of Iraq so quickly.

"This is a difficult culture," Feinstein said on CNN's "State of the Union." "It is very difficult to pierce."

She added that U.S. intelligence has holes in places other than Iraq, including North Africa and Yemen.

"The world is a big place," she said, "and this is extraordinarily difficult to do."

Her counterpart in the House, Chairman Mike Rogers, disagreed, insisting intelligence gathering did not fail.

In Iraq, militants press on toward Baghdad

View from Baghdad: Answering your questions about Iraq crisis

The blame game

Everyone points fingers. And they're all pointed in a different direction.

It "was a policy failure," Rogers said on CBS News' "Face the Nation."

Rogers said Obama's inaction is what led to the quick rise of ISIS in Iraq, insisting that not "dealing with" ISIS earlier "has got us a bigger problem."

"We didn't do anything in Syria; we didn't do anything when they took Falluja; we didn't do anything when they took Mosul; they got into Tikrit and said, 'Hey this is a problem,' " he said.

4 western Iraqi towns fall to advancing ISIS militants

That's a sentiment expressed by former Vice President Dick Cheney.

After writing a scathing op-ed slamming Obama for "being "so wrong about so much," Cheney came out swinging again, this time on ABC's "This Week."

"I think he's dead wrong in terms of the course he's taken this nation, and I think we're in for big trouble in the years ahead because of his refusal to recognize reality and because of his continual emphasis upon getting the U.S. basically to withdraw from that part of the world," Cheney said.

During the G.W. Bush administration, Cheney played a key role in urging the U.S.-led invasion of Iraq in 2003 to search for weapons of mass destruction, a hunt that ultimately proved fruitless. Cheney has remained a supporter of the war in Iraq.

He said Obama "left a big vacuum" by not agreeing to a deal with the Iraqi government to leave American troops behind after the war ended.

Like Cheney, Kentucky Sen. Rand Paul also said the U.S. has "created a vacuum." But that's where their agreement ends.

Paul said, "I do blame the Iraq War on the chaos that is in the Middle East. I also blame those who are for the Iraq War for emboldening Iran." He said Iran has benefited from Sunni and Shiite conflict in the region.

"What's going on now, I don't blame on President Obama," he added on NBC's "Meet the Press."

Sen. Barbara Boxer, D-California, who was one of 23 senators who voted against going to war with Iraq in 2002, said on CBS News' "Face the Nation" that Cheney's vocal input is "a nightmare come back to haunt me."

"The fact is what you're seeing now is an outgrowth of that bad policy the neocons got us in -- that crowd on false pretense that said, 'Go in there.' "

As ISIS advances toward Baghdad, a call for fighting volunteers is answered

The role of Syria

As ISIS gained strength and clout by fighting in Syria's civil war against President Bashar al-Assad, Boxer dismissed argument made by many in the Republican Party that a hands-off approach in Syria is what emboldened ISIS.

"The hawks are saying the President knew that ISIS was in Syria and didn't want them to get control of the weapons," Boxer said.

But Paul said the limited U.S. role in Syria was too much and that's what emboldened ISIS. He said the minimal weapons, vehicles and communications equipment the U.S. sent to ISIS gave them greater capability.

"Here's the anomaly. We're with ISIS in Syria. We're on the same side of the war. So, those who want to get involved to stop ISIS in Iraq are allied with ISIS in Syria. That is the real contradiction to this whole policy," Paul said on CNN's "State of the Union."

Iraq history facts

Middle East borders will never be the same

American action

Obama has received a mixed response from those in Congress as well as outside observers for his measured response to the crisis, including sending military advisers who "will be prepared to take targeted and precise military action if and when we determine that the situation on the ground requires it." He also sent Secretary of State John Kerry to Europe and the Middle East to engage allies and interested parties in the crisis.

Emphasizing Kerry's diplomatic trip, Obama said in a portion of an interview aired Sunday that the U.S. is not going to deal with Iraq unilaterally. He also said the U.S. has to have a "more focused, more targeted strategy" as extremist groups are active throughout the Middle East and North Africa.

"[What] we can't do is think that we're just going to play Whac-a-Mole and send U.S. troops occupying various countries wherever these organizations pop up," Obama said on CBS News' "Face the Nation," echoing remarks he made in a news conference Thursday.

Cheney, however, wants troops -- and more of them.

"When we're arguing over 300 advisers when the request had been for 20,000 in order to do the job right, I'm not sure we've really addressed the problem," he said on "This Week."

And Cheney said if it were up to him, he would assist the Iraqi army with training and provide Shiites with weapons "to be able to do a more effective job."

Rogers criticized the President's overall philosophy on the region.

"And it's not Whac-a-Mole, this is in our national security interest. Bumper sticker phrases aren't gonna win this thing," Rogers said. "We've gotta be dug in for the long haul because they're dug in for the long haul."

Opinion: Obama's sensible Iraq plan is likely doomed

Opinion: Can Obama avoid mission creep?

Obama, however, has his supporters.

"I think the President is doing the right thing," Feinstein said. "He's being a bit circumspect. He's being thoughtful."

Rep. Michael McCaul of Texas, chairman of the House Homeland Security Committee, said the President's actions are "a little late," but he added, "I do think they're on the right track now in terms of this dual strategy."

Boxer said she agrees with the President. "We're not going to go back into that war again, ever," she said on CBS News' "Face the Nation."

Paul, who doesn't believe ISIS is an immediate threat to the United States, said he'd be cautious about any further action, wanting to see whether the Shiites are going to stand up and fight.

"[Am] I willing to send my son to retake back a city, Mosul, that they weren't willing to defend themselves? I'm not willing to send my son into that mess," Paul said on "State of the Union."

Florida Sen. Marco Rubio, a member of the Intelligence and Foreign Relations committees but also a potential contender for the 2016 presidential race, differentiated himself from Paul, a possible presidential challenger. He said on "Face the Nation" that he hopes Obama's plan is "not simply a symbolic measure" but "the first step in a multistep process."

Rubio advocated for a plan similar to Cheney's that included airstrikes to cut off ISIS's supply lines from Syria and to "potentially" hit ISIS's command structure.

"The reason that al Qaeda was able to carry out the 9/11 attacks is because they had a safe operating space in Afghanistan that the Taliban had given them. And now history is trying to repeat itself here," Rubio said.

Obama said ISIS fighting "could spill over into some of our, you know, allies like Jordan."

Rogers was more direct: "It's not that they may have designs on Jordan, they do have designs on Jordan."

Kerry: U.S. would communicate with Iran, not work with it, against ISIS

@highlight

Sen. Dianne Feinstein said intelligence wasn't fully aware of the swift capabilities of ISIS.

@highlight

Rep. Mike Rogers said intelligence isn't to blame, policy is.

@highlight

Former VP Dick Cheney said Obama is "dead wrong" on Iraq

@highlight

Sen. Rand Paul blamed the Iraq War for creating chaos in the region