FORT HOOD, Texas (CNN) -- The bumper sticker reading "Allah is Love" was torn off and the car was keyed.

A police report was filed in the August 16 incident involving Maj. Nidal Malik Hasan's Honda, and a neighbor was charged with criminal mischief. But what kind of impact that incident, and possibly others, had on Hasan remains a mystery.

While few official details have been released about Hasan, his family and others have given some insight into the man accused of killing 13 people and wounded 38 others in Thursday's massacre at Fort Hood Army Post in Texas.

Relatives say Hasan, a U.S.-born citizen of Palestinian descent, was a "calm" individual who had been taunted after the terrorist attacks of September 11, 2001. Others describe him as a vocal opponent to the war on terror whose rhetoric concerned colleagues.

The bumper sticker incident at Hasan's apartment complex in Killeen, Texas, is the first known example of harassment that has surfaced since the shooting. Apartment manager John Thompson said Friday that he reported the situation to police after the girlfriend of then-resident John van de Walker told him that he did it. Thompson said he saw van de Walker apologize to Hasan and that a police report was filed.

He added that the bumper sticker said "Allah is Love" in Arabic, but that van de Walker knew that Hasan was Muslim before seeing it. Thompson said the last time he asked Hasan about the incident, Hasan said he was still waiting for reparations for damage to his 2006 Honda Civic.

Efforts to reach van de Walker on Friday were unsuccessful.

Hasan's cousin, Mohammad Munif Abdallah Hasan, said the Army major had wanted to leave the military because he felt disrespected over his religion.

"There was racism towards him because he's a Muslim, because he's an Arab, because he prays," the cousin said in a CNN interview in the Palestinian city of Ramallah. "They used to see him dress in traditional Muslim clothing, so he was a bit irritated because of this. Also, the fact that they wanted to send him to Iraq. He decided to leave the Army for good and hire a lawyer because of this matter."

"They wouldn't treat him as if he is one of them. He was a major in the Army and other majors wouldn't treat him equally as a major should be treated," the cousin said. " 'Yes, you are a major in the U.S. Army, but you are still an Arab, a Muslim, you have your own traditions and values and we have ours.' He was bothered by that a lot. He wasn't respected as he should have been."

The cousin added that he wanted to leave the Army, especially after getting deployment orders.

Army officials have indicated that Hasan was to deploy to Afghanistan to work with a unit already there as part of behavioral health support. It wasn't clear when Hasan was scheduled to go overseas for what would have been his first deployment.

Dr. Val Finnell, a former medical school classmate of Hasan's, described him as "a very outspoken opponent of the war" in the classroom and in public settings.

"He equated the war against terror with a war against Islam," Finnell said.

He added that he was shocked by Thursday's shooting.

"However, that said, given the things that Maj. Hasan has said to me in the past and to other people, I am not surprised."

There are about 3,500 Muslims in the U.S. Army, less than 1 percent of the total number of soldiers. The investigation into the shootings is ongoing, and Army officials have not indicated any evidence of Hasan being harassed among the ranks.

Hasan's cousin said that despite the concerns over discrimination, a motive behind the shootings still was incomprehensible.

"If he had killed one or two, I could say that he was defending himself. I could say that there could have been a problem between two sides which led to the use of weapons. But for one to kill 13 people and injure more than 30, I personally don't think that it was because someone was bothering him. There is a bigger reason that this happened and no ones knows it besides Nidal."

Mohammad Hasan remembered his cousin's trip to Jerusalem, 6 miles from Ramallah, 15 years ago to learn about his roots. "He acted normal."

More recently, Nidal Hasan may have attended a lecture in January at George Washington University involving the Israeli ambassador to the United States and other officials discussing Israel's offensive into Gaza last winter. Video from the lecture shows a person who appears to be Hasan dressed in military fatigues seated in the audience taking notes.

In a statement Friday, Hasan's family in the United States said, "We are mortified with what has unfolded and there is no justification, whatsoever, for what happened. We are all asking why this happened -- and the answer is that we simply do not know.

"We cannot explain, nor do we excuse what happened yesterday. Yesterday's violence in no way reflects the feelings, beliefs, or principles of our family," the statement continued, adding that the family is cooperating with authorities.

Hasan's neighbors on Friday said he cleaned out his apartment the morning of the shootings and gave copies of the Quran to several residents.

His next-door neighbor, Patricia Villa, said he gave her his furniture and paid her $60 to clean his apartment hours before the shooting.

"He told me he was leaving for Iraq or somewhere," Villa said. "I didn't think much of it."

Another neighbor, Willie Bell, said Hasan had helped him set up his laptop and regularly tapped into Bell's wireless service. Bell, a maintenance man at Fort Hood who didn't show up for work Thursday, said he was interviewed by the FBI for four hours that day and the laptop was seized. He said he received two calls from Hasan early Thursday, one at 2:37 a.m. asking Bell to turn on the wireless service and again at 5 a.m. to say he was moving.

An owner of a 7-Eleven convenience store at Fort Hood said Hasan, whom he knew as "Maj. Nidal," came in for coffee and hash browns most mornings, including the morning of the shootings. Surveillance video from the store obtained by CNN shows a man who the store owner said is Hasan at the cashier's counter about 6:20 a.m. Thursday -- about seven hours before the shooting -- carrying a beverage and dressed in traditional Arab garb.

While the owner said he was too busy to chat with Hasan on Thursday, he said that through his brief talks with Hasan he learned the officer didn't speak Arabic well. He added that Hasan didn't wear a wedding ring and joked several times about whether the owner knew a bride for him.

Hasan would also ask the owner whether he planned to attend Friday prayers, a mainstay of Islam, to which the owner would say that he was too busy.

Hasan was known to attend Friday prayers in Bethesda, Maryland, before he arrived at Fort Hood this year, said Imam Yahya Hendi, the Muslim chaplain at the National Naval Medical Center.

"I met him a few times and I saw him at services ... he appeared to be a very loyal American," Hendi told CNN's "Situation Room." "I know he told me once that he joined the military because he wanted to do something for America in the aftermath of September 11.

"He also told me once that he believed that Muslims who speak a language of exclusivity should not have room in the Muslim community -- that we must reject them," the chaplain continued. "And that's why for me, when I saw the footage yesterday about him, I said, 'Wait a minute -- is this the same guy I met a few years ago?' "

@highlight

Maj. Nidal Malik Hasan taunted for being a Muslim, family says

@highlight

"Allah is Love" bumper sticker torn off Hasan's car, apartment manager says

@highlight

Cousin says Hasan didn't receive the respect due to officer of his rank