(CNN) -- Eight months after the release of a landmark U.N. Commission of Inquiry report on human rights in North Korea, the United Nations is finally deliberating how to address what were described as Pyongyang's crimes against humanity.

Commendably, the European Union is taking a leading role in drafting a resolution to respond to those crimes. At the same time, the Commission of Inquiry's report also tells us that European nations, both EU and non-EU, have continued to sell the Kim Jong Un regime luxury goods in violation of several U.N. Security Council resolutions. By doing so, Europe has effectively contributed, and still contributes, to North Korea's heinous treatment of its population.

The Commission of Inquiry -- citing reports that a famine that ravaged North Korea in the mid- to late-1990s killed between 450,000 and 2 million North Koreans -- leaves little question about the culpability for this tragedy.

Every one of those deaths was needless. What Kim Jong Il, the current leader's father, spent during the famine years -- on weapons, luxury goods and a mausoleum for Kim Il Sung, the nation's founder and the current leader's grandfather -- could have fed every last one of the victims. The fact that a disproportionate number of those sacrificed came from the lower levels of North Korea's political caste system adds a sinister layer to this horrific man-made disaster, in a fraternal nod to the Khmer Rouge's malevolent axiom, "To keep you is no benefit, to destroy you is no loss."

What may be less known is the way European states have abetted this tale of vast human misery. In 2006, too late to save the victims of the famine, a unanimous U.N. Security Council resolution banned Pyongyang from importing "luxury goods." The Security Council has since reaffirmed that sanction, and the EU has duly enacted it into regulation. Yet many European states, both EU member states and nonmembers, have enforced it poorly in practice, permitting what amounts to a "don't ask, don't tell" trade in luxury goods for the benefit of Pyongyang's elites.

The practical effect of this "open-minded" business practice is to empower Kim's cronies as they purchase banned European luxury goods for the elite who help Kim cling to power through repression.

In some cases, North Korea purchased its European luxuries through intermediaries, but in many other cases, it bought them directly from European suppliers. For the duration of the famine, Swiss manufacturers reportedly sold Kim Jong Il millions of dollars' worth of watches each year. Meanwhile, according to Kim Jong Il's former sushi chef, Kim's personal shoppers flew to Denmark for pork and to the Czech Republic for beer, and Kim Jong Il was able to purchase luxury cars and cognac from European suppliers. In 2010, according to Radio Free Asia, Kim Jong Il distributed 160 Mercedes-Benz sedans to his cronies.

According to statistics released by a South Korean lawmaker, Pyongyang's luxury goods expenditures have tripled since Kim Jong Un's succession in 2011, to several times what the regime spent on importing food for the hungry.

Dennis Rodman, the former NBA star who has visited North Korea several times, described Kim's private island and a 200-foot yacht that is a "cross between a ferry and a Disney boat." He reportedly added that Kim only served the finest liquor, just as a U.N. survey found that 84% of North Korean households have poor or "borderline" food consumption.

And last year, a reporter for The Telegraph identified "Canadian snowmobiles, Swedish snow-blowers and Italian and German snow ploughs" in photographs of Kim's new ski resort. Swiss authorities refused to allow the sale of ski lifts for the resort, a decision Pyongyang denounced as a "serious human rights abuse."

Too often, advocates of "engagement" with North Korea have overlooked such ethical questions about what this trade has done to its people. In fact, the legacy of the last two decades of engagement with Pyongyang increasingly resembles state capitalism -- the rich and powerful have grown richer, while denying the silent, expendable majority the means to survive by cracking down on smuggling, markets, and private agriculture.

According to the United Nations, North Korea -- an industrialized, urbanized, literate society -- has one of the 10 worst cases of food insecurity in the world today, along with predominantly agrarian states in sub-Saharan Africa where illiteracy hovers around 50%. This state of affairs is not the consequence of lack of resources, but of Pyongyang's deliberate choices.

As commendable as the EU's leadership at the U.N. may be, it does not absolve European nations of their legal duty to improve their own enforcement of U.N. sanctions -- or their moral duty to force Kim Jong Un to make better decisions about how he spends North Korea's wealth.

UN Watch, a Swiss group that monitors the U.N., recently published a call by 20 North Korean defectors, including survivors of North Korea's gulags, for the Swiss government to freeze Kim regime bank accounts. Switzerland should listen to them, and European governments should gradually make those funds available for the purchase of food, provided that Pyongyang permits reliable monitoring of its delivery to those in need.

Finally, Europe's SWIFT network, a key processor of financial transactions that recently stopped processing transactions for sanctioned Iranian banks, should also stop processing payments for U.N.-sanctioned North Korean banks.

For once, the civilized world should demand that the North Korean state's wealth be used to feed its enslaved and hungry people instead of its privileged and well-nourished elites.

@highlight

U.N. report on North Korea in February noted crimes against humanity

@highlight

European countries must do more to enforce sanctions, authors say

@highlight

Luxury goods expenditures tripled since Kim Jong Un's succession, they say