The Ferguson police officer who shot Michael Brown didn't stop him because he was suspected in a convenience-store robbery, but because he was "walking down the middle of the street blocking traffic," the city's police chief said Friday.

Ferguson Police Chief Thomas Jackson -- hours after documents came out labeling the 18-year-old Brown as the "primary suspect" in the store theft --  told reporters the "robbery does not relate to the initial contact between the officer and Michael Brown."

So why did Ferguson police opt to release surveillance video of the convenience-store incident Friday -- the same day they named, six days after the shooting, the white police officer who fatally shot the African-American teenager -- if the two situations aren't related?

Jackson said he distributed the store videotape "because the press asked for it," noting he couldn't withhold it indefinitely.

The chief added "we needed to release that at the same time we needed to release the name of the officer involved in the shooting," though he didn't elaborate on why. Identifying the officer was one key demand of demonstrators, along with pressing for other details on the shooting amid allegations of a police coverup.

The flurry of details Friday added intrigue and, in some ways, anger to a case that's spurred protests in the St. Louis suburb and beyond among those upset by Brown's shooting and what they decry as a heavy-handed police response afterward.

Brown's family wasn't told ahead of time anything about the robbery or store surveillance video, family lawyer Benjamin Crump told CNN's Jake Tapper. Regardless, whatever happened there doesn't matter, said Eric Davis, a cousin of Brown's mother.

"It's a diversion, and it's an attempt to smear Michael's character," said Davis, who added the family has "not been happy" with the Ferguson police department's handling of the case. "... It (should be) more about what happened on Canfield Drive, where Michael was executed."

The man heading security in Ferguson amid the unrest -- Missouri State Highway Patrol Capt. Ron Johnson -- stated the robbery and shooting of Brown "are separate issues."

"I told (Chief Jackson) I think both of those being released today was not needed and was not the way that we needed to go," he told CNN on Friday evening. "Today is about taking care of this incident here, getting to those facts that are there, and Michael Brown and his family."

Hours earlier, in video captured by CNN affiliate KSDK, Johnson emphasized authorities have an obligation to be upfront, not to say "some things and now everybody says, 'what does that mean?'"

"I think if we're going to give answers, we need to not give hints," Johnson said. "We need to say it."

5 things to know about Michael Brown's shooting

Chief: Police officer involved in shooting 'a gentleman'

Police identified the officer who shot Michael Brown as 28-year-old Darren Wilson -- a six-year police veteran, including four years with the Ferguson force. Authorities had refused to name him, citing threats to his safety.

The fact they have now done so satisfies a major demand of protesters. But many remain perturbed that additional details have not come out about Brown's shooting.

What the police chief did do on Friday was express "every confidence" in Wilson, who had one side of his face swollen in his encounter with Brown, according to authorities.

"He (is) a gentleman ... a quiet officer," Jackson said. The entire situation is "devastating, it's absolutely devastating" to Wilson.

Much more information was provided about the reported convenience store robbery.

That includes the surveillance video, which shows a large African-American man pushing aside a smaller man who seemingly tries to stop him, then leaving the store. Crump said the larger man "appears to be" Michael Brown.

Newly released police documents claim the teenager roughly handled a clerk trying to stop him before walking out of the store with the box of Swisher Sweets.

Read the police documents

The cost for the box of cigars, according to the documents: $48.99.

Jackson, the Ferguson police chief, told CNN that Wilson confronted Brown for being in the road, not the robbery.

"I guess that is when he might have seen ... evidence and connected it" to the robbery, Jackson said -- without explicitly tying the two incidents together himself.

Relative: Actions 'fueled the distrust' toward police

A key complaint of protesters has been -- while police have said the shooting occurred during a struggle for the officer's gun -- witnesses say the officer shot Brown as the teenager stood with his hands in the air.

Tiffany Mitchell, who saw what happened, told CNN that "it looked as if Michael was pushing off and the cop was trying to pull him in." Instead, a shot went off, the teen broke free, and the officer got out of the vehicle and ran about 20 feet in pursuit, she and co-worker Piaget Crenshaw said.

Another man, Dorian Johnson, said he was with Brown at the time of the shooting and that police shot Brown without provocation.

"We wasn't committing any crime, bringing no harm to nobody, but my friend was murdered in cold blood," he told CNN affiliate KMOV.

Jackson confirmed to reporters Friday that Johnson, at least, "did not commit a crime and was not complicit in a crime."

The information released Friday seems unlikely to quell the anger in the eastern Missouri city or elsewhere. Eric Davis, speaking for Brown's family, expects the opposite will be the case -- even as he stressed that any protests must remain peaceful.

"This (police) chief ... is just inciting the crowd and making everybody angry," Davis said. "It just fueled the distrust that was already out there for the Ferguson police department."

Yet there were also some who said the robbery is not necessarily irrelevant to what happened next.

"A robbery doesn't justify shooting Mike Brown, but it definitely changes your perspective on his mindset at the time of police encounter," read one Twitter post from @OneTermTooMany.

Complete coverage of the Ferguson shooting

'Police chiefs are watching'

The full, complicated story has stirred an intense, nationwide discussion on race in the United States, and on the shooting itself as well as the response to demonstrators afterward. Accusers accused some protesters of violence and looting, while many on the other side have ripped what they call an over-the-top, militarized police response.

So what's next?

There's still the possibility that action -- including, potentially, criminal charges -- could be taken against Officer Wilson. Then there's the potential for political fall-out affecting Missouri Gov. Jay Nixon or Ferguson's police chief.

And there's still a lot of anger about the shooting and the ensuing police response, and there are many angry people on the streets. A major rally is set for Sunday to demand action by authorities.

"This situation has been handled very badly," civil rights leader Jesse Jackson said Friday from Ferguson. "People here must turn their pain into power."

Undeterred by rain, people still made their voices heard Friday night on the streets of Ferguson -- some raising their hands up high, like they say Brown did before being shot dead by Officer Wilson.

"It's tragic what happened, but we're all united and working together," said Tiffany Greene. "It's not a race thing, it's a right-or-wrong thing."

The scene -- which mixed in chants and sign-holders with live music -- was a stark contrast to earlier in the week. Police used tear gas, rubber bullets and armored equipment, and accused some protesters of throwing rocks and Molotov cocktails.

One demonstrator, Charla Griffin, noted the peaceful and communal nature of Friday's gatherings, saying, "We're having a good time in the name of Michael Brown."

It's seemingly no coincidence that things calmed calmed significantly Thursday, which was the day the state highway patrol took over security. Rather than confront protesters, Johnson figuratively and literally has embraced them.

Talking later to CNN, the highway patrol captain said he thinks this whole ordeal -- as it relates to race relations between communities and law enforcement, as well as how authorities respond to protests -- "will create change throughout our nation." For example, he expects there will be talk about diversity training and tactics.

"This is all over the world, and I think police chiefs are watching -- deciding what they need to do and what they need to do better," he said.

Opinion: How many unarmed people have to die?

@highlight

Woman: Protesters "united," says cause is "not a race thing, it's ... right or wrong"

@highlight

Police ID the officer who fired fatal shot as Darren Wilson; chiefs calls him "gentleman"

@highlight

The same day, they release video documents tying Michael Brown to store robbery

@highlight

Brown's family, activists criticize how the Ferguson police have handled the case