(CNN) -- To resolve America's ongoing, bruising battle over the debt and deficit, House Republican Paul Ryan and Senate Democrat Patty Murray announced a deal on December 10 to halt spending cuts -- mostly in defense -- and lock in a two-year budget agreement to avoid another government shutdown on January 15.

But in eagerly seeking agreement with the Republicans who shut the government down in October, Democrats risk hurting the economy's fragile recovery by accepting too much budget austerity embedded in the newly adopted budget.

President Obama and the Democrats won big over the Republicans in October's budget fight. Instead of pressing their advantage, Democrats took tax increases for the rich off the table, agreed to cut federal pensions and did not get unemployment benefits extended. The Democrats basically threw away their political gains.

The deal repeals less than half of the sequestration cuts planned for 2014. If Obama and Congress continue their shortsighted obsession with austerity and budget cuts, they ignore the big economic lesson from the past several years: Austerity hurts prosperity.

The Congressional Budget Office estimated that repealing the entire 2013-2014 spending cuts would increase Gross Domestic Product by $113 billion and create 900,000 additional jobs next year. The October 2013 government shutdown took another $24 billion out of the GDP. Unemployment remains stuck around 7%. Though the deal reduces a bit of fiscal uncertainty, it hardly affected the U.S. growth forecasts for big banks, despite bank economists citing some pessimism because of "austerity shock" from spending cuts and "uncertainty shock" from Washington's continued fiscal battles.

Republicans bargain for more cuts and fewer taxes, but cutting military spending makes them nervous, so they attack Social Security and Medicare. The Wall Street-affiliated Democratic group Third Way is helping. It launched an attack on Sen. Elizabeth Warren, D-Massachusetts, and others who rightly refuse to cut Social Security as part of a long-term budget solution.

We all know that Republicans like to defend the wealthy and slash government. But why does austerity, especially cuts to old-age programs, have credibility with Obama and other Democrats?

Advocates of "grand bargains," cutting programs to balance the budget, wrongly presume the budget is a fixed quantity. They imagine it like a fixed pie. Programs for the young, like education, must be paid for by cutting other programs, like Social Security. But their belief that a dollar taken from the old will be spent on the young is not only divisive, mean and fierce -- it is wrong.

In his December 6 speech on inequality, Obama talked about the sky-high and stubborn child poverty rate: more than 24%. But cutting Social Security and Medicare will only destabilize the economy and increase the elderly poverty rate.

In many countries, programs for elderly people are not traded off against help for the young. When support for old-age programs increases, so does spending on children. Advanced democratic countries' spending on the elderly is positively correlated with education spending. One analysis shows that a 10% increase in spending on education is correlated with a 7.3% increase in spending on pensions.

The Congressional Budget Office warns that long-term deficits can hurt the economy. Want to reduce the debt and deficit? Tax the wealthy, which won't hurt the economy. Economists Emmanuel Saez and Thomas Piketty estimate that raising the tax rate for the top 1% as high as 80% would generate far more revenue.

Sen. Tom Harkin, D-Iowa, and Rep. Peter DeFazio, D-Oregon, propose a transactions tax -- a three-penny charge on every $100 traded in the stock market, which the Congressional Budget Office estimates would raise $352 billion over 10 years. This small tax would also reduce stock churning by speculators, creating a nice secondary benefit.

Want to find even more savings? Sen. Harry Reid, D-Nevada, wisely put tax loopholes that cost the Treasury almost a trillion dollars per year on the table. For example, Reid called for eliminating the small, but noxious, tax break for buying yachts and the $17 billion break that comes from taxing private equity, real estate and hedge fund profits as "carried interest" rather than at the ordinary income rate of 39.6% instead of the capital gains rate of 20%.

There is one piece of good news: The deficit is coming down, from 9.2% when Obama took office to 4.1% of GDP in 2017. Faster economic growth would shrink the deficit more rapidly. In contrast, further spending cuts will slow the economy and deficit reduction along with it.

So, this is no time for Obama to accept a lower budget path, or to consider cuts in Social Security and Medicare. The small budget deficit reductions in this deal -- less than one-half of 1% of the total debt or $23 billion -- would almost pay for extended unemployment benefits for one year at $25 billion.

Democrats are flinching under continued pressure from Republicans playing out their long game as they ready for another bitter fight when the debt limit is reached next spring. But the President and the Democrats have a winning economic and political strategy: Raise revenues and keep Social Security and Medicare strong. Don't throw October's hard-won victory away; it won't help the elderly, it won't help children, and it won't help the economy.

The opinions expressed in this commentary are solely those of Rick McGahey and Teresa Ghilarducci.

@highlight

Democrats and Republicans reach a deal on the budget

@highlight

Rick McGahey, Teresa Ghilarducci: Austerity in budget will hurt our economy

@highlight

They say President Obama should not make cuts to programs like Social Security

@highlight

McGahey, Ghilarducci: Taxing the wealthy would generate revenue and cut deficit