Washington (CNN) -- Mitch McConnell could soon get a taste of just how daunting it is to run the Senate after years of slamming Democrats for mismanaging the chamber.

If he wins his re-election battle in Kentucky and Republicans take control of the Senate in next week's elections, McConnell will be the next majority leader. But the celebrating might not last long.

If he wants to get anything done, McConnell will need to corral an ideologically diverse caucus -- and seek a truce with at least some out-of-power Democrats -- in a narrowly divided chamber where compromises might be tough to reach. Most bills won't advance without 60 votes -- a threshold Republicans are unlikely to reach in next week's election.

And he'll have to do it against a backdrop of the looming 2016 elections when both the Senate and the White House will again be up for grabs. That could be especially challenging for McConnell since several members of his conference -- including Ted Cruz, Rand Paul and Marco Rubio -- could launch presidential bids next year and will face competing political priorities.

"It might be somewhat dysfunctional," said American University Prof. James Thurber, a congressional expert, who explained that because of this "permanent campaign" it will be very hard for McConnell to get anything passed. "It's not going to be pretty, in my opinion."

In their perfect world, Republicans -- who have not controlled the Senate since 2006 -- would use their new power to showcase to voters they can pass legislation and run the chamber smoothly and with bipartisan input. That means getting enough Democratic votes to pass budgets, spending bills and other GOP priorities -- such as the Keystone XL pipeline, a slew of House-passed jobs bills and changes to Obamacare -- with a 60 vote filibuster-proof threshold. Doing so would help Republicans argue they should stay in charge after the next election.

"The basic functions of Congress are gone and we'd like to restore that," a Republican aide said.

McConnell, whose soft-spoken demeanor masks the hardball political fighter within, is in many ways the perfect leader for such a cause. He is known as a smart legislative tactician, who cuts deals with Democrats when needed, even though he has poor personal relations with his Democratic counterpart, Harry Reid, and President Barack Obama.

But cutting deals might be more difficult next year because of powerful conflicting forces in the Senate GOP caucus.

There is a large group of Republican senators from purple or blue states -- including Rob Portman of Ohio and Pennsylvania's Pat Toomey -- who are up for re-election and need to appeal to a broader base of voters. They might see compromise as the best way to hold their seats and keep Republicans in power.

But the party also includes three tea party senators with presidential ambitions -- Cruz, Paul and Rubio -- who are likely to oppose efforts by McConnell to move bills that don't meet their strict ideological standards.

Democrats marvel at the prospects of McConnell trying to reconcile these forces.

"They'll be crawling all over each other to get further and further to the right and there is no way that doesn't impact what's going on in the Senate," said one Democratic aide about the impact of potential tea party presidential candidates. "McConnell is going to have to deal with the general tea party strengths that have existed the last several years and it's only going to be stronger on the Senate floor when you have three of their guys clamoring for that part of the vote in a presidential primary."

Before McConnell can become majority leader he must stave off a robust challenge in his Kentucky Senate race from Democrat Allison Grimes if he is to win a sixth term. That race appears headed to the wire.

If he wins control of the chamber, McConnell will have to deal with the likes of Cruz and Paul, who have been thorns in the side of Harry Reid, the current Senate majority leader. They have commandeered the floor in high-profile fights against Obama's policies.

As a sign that might continue under GOP control, Cruz already has warned Senate leaders that he will oppose efforts in the post-election lame duck session to move anything but must-pass legislation. He wants to leave other issues for the newly elected Congress, even though some Republican leaders would like to clear as many pending matters as possible so Republicans can get started with a clean slate in January.

In the upcoming 2016 election cycle, Republicans will have defend 24 seats while Democrats will have to protect just 10. About 14 GOP-held seats are from purple or blue states such as North Carolina, Ohio, New Hampshire, and Florida that Democrats think they can win back. Republicans worry Democrats will do whatever they can do make Republicans look like they are unfit to govern.

"The Democrats see an opportunity to keep the White House in 2016 and pick up seats and get the majority back in," the GOP aide said. "The Dems see this and they are going to do everything they can over the next two years so we can't get accomplishments."

"If they put forward reasonable bills, I'm sure they will earn some Democratic support," the Democratic aide said. "But I think the tea party folks are so absolutist it's a real risk for McConnell and his leadership to move anything toward the middle and pick up Democratic votes."

One open question is whether the McConnell-led GOP conference will try to restore changes in filibuster rules put in place by Democrats this Congress. Right now, aides say a decision hasn't been reached. The rule change made it easier for Democrats to confirm the president's nominees. Republicans condemned it as a power play that damaged the long term health of the Senate. The disagreement poisoned the already sour relationship between McConnell and Reid.

McConnell often notes that divided government -- where one party controls Congress and the other the White House -- has led to some of the biggest deals on some of the thorniest issues in recent decades, including reforms of welfare, Social Security and the tax code.

"If you have one party in the Congress and one party at the White House, there is no incentive for them to attack each other because they're both involved and it makes it easier to do something, assuming both sides want to get involved," the GOP aide said.

But the Democratic aide wasn't as optimistic: "My gut tells me that the bad feeling that run on both sides sort of make both sides leery of coming together on something big," the aide said.

@highlight

Mitch McConnell is in line to be the next Senate Majority Leader if Republicans control the chamber

@highlight

McConnell will face challenges keeping his members together