(CNN) -- Is the three-year-old eurozone sovereign debt crisis nearing its end?

The very fact that such a question is being asked with increasing frequency by investment strategists speaks volumes about the dramatic improvement in market sentiment towards the eurozone of late. Psychologically speaking, the end of 2012 is a far cry from the dark days of November 2011 when nervousness about the eurozone was at its highest.

What accounts for this shift in sentiment and is it justified? Mario Draghi, the president of the European Central Bank (ECB), deserves most, if not all, of the credit. By promising in late July to "do whatever it takes" to save the eurozone, Draghi significantly reduced the threat of Europe's single currency area breaking up.

Read more: Greece: When anger goes beyond despair

The results speak for themselves. Spain, the focal point for market anxiety for much of this year, is now seeing foreign capital trickle back into its economy after months of outflows. The yield on Spanish benchmark 10-year bonds, which many investors treat as a proxy for risk in the eurozone as a whole, now stands at just under 5.4%, sharply down from 7.6% as recently as July 24.

As for Italy, whose bond market was collapsing late last year and which is gearing up for a crucial parliamentary election that could take place as early as March 10, investors have never been more sanguine about the country since it got sucked into the eurozone crisis in July 2011. Italy is now selling 10-year bonds at pre-crisis yield levels.

Yet what if Draghi hadn't pledged to do what's necessary to prevent the eurozone from breaking apart? Would Spanish and, to lesser extent, Italian interest rates have fallen so sharply without the promise of bond-buying from the ECB? Definitely not. The recent improvement in sentiment towards the eurozone stems almost entirely from the actions of one man - Draghi.

Read more: The eurozone's reluctant leader

I would not underestimate the determination of the ECB to shore up the debt markets of southern Europe. So successful has Draghi's bond-purchasing pledge been in driving down Spanish and Italian yields that some foreign investors now see Italian bonds as an attractive buying opportunity.

Yet if the risks in the eurozone are receding, why are investors still parking most of their money in "safe haven" German bonds -- and even paying Berlin for the privilege of lending it money as the negative yields at recent auctions of short-term German bonds illustrate?

The answer's clear: Investors rightly believe the eurozone crisis is still far from being resolved and could yet flare up again.

Market commentators should stop focusing solely on government bond yields and start paying more attention to Europe's deteriorating economic fundamentals and its messy politics. There's a reason why Draghi had to step in to stem the panic: Because eurozone politicians keep dithering instead of putting in place measures to secure the financial and economic stability of Europe.

In a nutshell, there's an enduring standoff between a French-led group of member states wary of ceding more sovereignty and a German-led one wary of sharing more risks.

To make matters worse, Germany is even reluctant to share more sovereignty when it comes to allowing the ECB to start supervising its banks -- in particular its weaker regional lenders known as the Landesbanken - as the first stage in plans to set up a banking union across Europe.

It's the politics of the eurozone crisis which matter most now. The big issues in Europe -- establishing a banking union, shoring up Spain, agreeing on a new seven-year European Union budget and, last but by no means least, keeping Greece in the eurozone -- are in the hands of politicians, and not of the ECB.

So when you hear about how successful Spanish and Italian bond auctions have been of late, bear in mind that bond yields are just one gauge --- and by no means the most important -- of whether the eurozone crisis is nearing its end.

The opinions expressed in this commentary are solely those of Nicholas Spiro.

@highlight

Improvement in sentiment is largely a result of actions taken by ECB head Mario Draghi

@highlight

Market commentators should pay more attention to fundamentals and less to fluctuating bond yields

@highlight

The end of 2012 is a far cry from the dark days of 2011 when nervousness about the eurozone was at its highest