(CNN) -- A Danish entrepreneur is trying to end poverty in Africa through microcredit -- funding African businesses by connecting them with investors from around the world.

Tim Vang is the co-founder of MYC4, a web-based marketplace that lets investors bid to provide loans to small and medium-sized African businesses.

Bidders compete in an online auction, with those offering money at the lowest interest rates financing the loan. Typically, around 50 investors will part fund a single loan. All the businesses applying for a loan have been vetted and judged to have good growth prospects.

MYC4 says the model gives African entrepreneurs access to credit at low interest rates, while allowing lenders to make a profit from the interest. It's a system MYC4 claims can help eradicate poverty in Africa by building its economies from the bottom up.

Over 18,000 investors from 107 countries have so far invested more than €12 million in 6,346 African businesses, according to MYC4.

Vang discussed his business-oriented approach to fighting poverty with CNN's Max Foster.

CNN: In terms of where you got the idea from, what were the needs you discovered?

Tim Vang: Six years ago, I met the other co-founder Mads (Kjær) in a cab in London by coincidence and he had been working the last two decades within and for Africa, whereas I hadn't.

We actually got inspired by how we can help Africa -- we read everywhere that Africa is growing, the GDP growing 5% a year, but actually the access directly to these small and medium-sized enterprises is hard, so we said "could we create an infrastructure that was investing directly in African entrepreneurs?"

We will have a completely different story -- it's not about waiting for the U.N. and others to save the world, it is about you and I having a tool at our fingertips to be able to help and save the world, make it a better world.

CNN: So we get the story of someone that is looking for some finance and then you can offer a loan. Explain how that works through the site.

TV: Round numbers -- an entrepreneur is looking for €1,000, we're 10 people each with €100 and we go in and bid. There's a Dutch auction -- so you come with a very attractive offer of 3%, I'm trying to optimize my bid and come with a 28% and altogether the average weighted interest is that it fulfills the borrower's need -- and then person number 11 comes in and says, "Tim, you are too expensive," and kicks me out with a lower interest rate and I can come back into the auction.

CNN: So someone with some money can offer a loan and the one with the cheapest rate at the end gets to give the loan.

TV: Yes, not just one, there could be several. We've seen loans with one lender, we've also seen several hundred lenders within each loan.

CNN: And how do we know a borrower isn't using some of the money that your businesses lent him on a project which isn't the project that you think you are investing in?

TV: We have providers which are our partners in Africa, financial institutions, that are doing the vetting of the business, looking at their business plan  -- can they repay? Do they have the ability? Also we run spot checks, ensuring that the loan they are asking for is also used for the business growth.

CNN: How do I know that is safe? Because you are not a bank, so you are not regulated like a bank. Where does the regulation come from?

TV: We work together with banks, we are, popularly said, a platform on top of banks, meaning your money will never be in our platform, it will be in a bank and that bank will transfer it to another bank in the local country that is being disbursed.

CNN: What are you appealing to in terms of the loan givers? You are offering them a chance to get involved in charity, or is it just pure business in an economy which will inevitably grow?

TV: I think it is a combination; these two things go hand in hand. A smart two liner would be business must be for profit, but profit must be for a purpose.

For some it is an obvious "I want to make a profit," for others it is clearly the social upside of helping other people.

@highlight

Tim Vang co-founded MYC4, a platform helping African entrepreneurs find money

@highlight

It works to improve access to credit for small and medium-sized businesses

@highlight

The web-based marketplace says it has helped more than 6,000 businesses