(CNN) -- He's back. Having kept a relatively low profile since being forced to step down as Italy's premier last year, Silvio Berlusconi, the bad boy of Italian politics, has decided to run for the fourth time as the centre-right's prime ministerial candidate in a keenly awaited parliamentary election likely to take place in February.

Italy needs a Berlusconi comeback like it needs a hole in the head. The scandal-plagued Berlusconi, who was recently sentenced to four years in prison for tax fraud but has a knack of successfully appealing against his convictions, epitomizes the dysfunctional nature of Italian politics, with its discredited leaders and unstable governments.

Read more: Is the eurozone crisis almost over?

Over the past year or so, Mario Monti, Italy's respected technocratic prime minister, has drawn attention away from these failings by restoring credibility to Italian policymaking. The problem was that Monti, who took over from Berlusconi in November 2011 in the face of a bond market crisis, was always dependent on the parliamentary support of Berlusconi's People of Liberty (PdL) party to govern.

He now no longer has the PdL's backing and says he'll resign as soon as next year's budget is passed. So what next for Italy, and is a "Berlusconi sell-off" in the bond market in the offing?

To be sure, Berlusconi's comeback is not entirely unexpected and is more about the implosion of, and dramatic loss of support for, the PdL (not to mention its dependence on Berlusconi for most of its funding) than anything else.

Read more: The eurozone's reluctant leader

The real question, therefore, is whether investors have become too complacent about Italy in their expectation that policy continuity under the next government - which may yet include Monti - is more or less assured. I suspect they have to a degree and are now staring at the uncertain prospect of a post-Monti political landscape in Italy.

Fortunately for Italy, the bond-buying programme of the European Central Bank (ECB) is providing a powerful counterweight to concerns about Italian politics. If Berlusconi's party had withdrawn its support for Monti's government before ECB president Mario Draghi promised in late July to "do whatever it takes" to save the eurozone, Italian yields would have already risen sharply.

This is not to say that investors won't start to reprice Italian credit risk in the coming days and weeks. Rather, it suggests that the scope for a sharp and disorderly sell-off akin to the one Italy suffered in November 2011 is quite limited.

Still, Monti's decision to stand down as premier once parliament approves the 2013 budget provides the first big test for Italy's bond market since the ECB-driven rally in Italian debt began in late July. Having shone mostly on Spain over the past few months, the spotlight of the markets is now shifting to Italy.

The most important priority for Italian policymakers is to maintain confidence in the country's huge stock of government debt, the largest in the eurozone in absolute terms and the second-largest as a share of GDP after Greece. This is why Italy's upcoming government bond auctions will be scrutinized for any sign that investors are losing confidence in Italian debt - particularly since foreign buyers of Italian debt are already few and far between.

Perhaps the most salient point about the latest developments in Italy is that investors should start paying more attention to idiosyncratic, or country-specific, risks. Just because the ECB is prepared to intervene forcefully in Italian and Spanish bond markets does not mean that the underlying problems of the eurozone's third and fourth-largest economies respectively are being addressed.

Indeed, quite the opposite. Italy remains mired in recession and now faces weeks of political uncertainty at a time when it can least afford it.

The opinions expressed in this commentary are solely those of Nicholas Spiro.

@highlight

Silvio Berlusconi is making a fourth run for Prime Minister in Italy's upcoming parliamentary elections

@highlight

Monti leaving is the first big test for Italy's bond market since the ECB vowed to save the eurozone in July, Spiro says

@highlight

Spiro says developments in Italy show investors should start paying more attention to country-specific risks