Syria denied Monday a report that its forces have been using cluster bombs in its civil war.

"The General Command of the Army and the Armed Forces stressed on Monday that the misleading media outlets have recently published untrue news claiming the Syrian Arab Army has been using cluster bombs against terrorists," the government's term for rebels, the state-run Syrian Arab News Agency reported.

"In a statement, the General Command said the Syrian Army does not possess such bombs, stressing that those news (reports) are untrue and come in the framework of misleading media which is aimed at diverting the public opinion from the practices of the armed terrorist groups against civilians."

The report came a day after the publication of a human rights report that accuses the Syrian air force of using Russian-made cluster bombs.

Citing videos and witness accounts, Human Rights Watch said Syrian government forces were using the bombs. The report says the cluster bombs are Soviet-made, but it also says it's unclear how or when Syria may have acquired them.

"Syria's disregard for its civilian population is all too evident in its air campaign, which now apparently includes dropping these deadly cluster bombs into populated areas," said Steve Goose, arms director at Human Rights Watch. "Cluster bombs have been comprehensively banned by most nations, and Syria should immediately stop all use of these indiscriminate weapons that continue to kill and maim for years."

Russia questioned the report's veracity. "There is no confirmation to this," Foreign Minister Sergey Lavrov said, according to Russia's state-owned RIA Novosti news agency. "There are loads of weapons in this region, including in Syria and other countries of the region, and arms are supplied there in large quantities and illegally."

The bombs are particularly dangerous because they explode in the air, sending dozens or hundreds of smaller bombs over an area the size of a football field, Human Rights Watch said.

"These bomblets often fail to explode on initial impact, leaving duds that act like landmines and explode when handled," the group said.

More than 70 countries have signed a treaty banning the use of cluster bombs; neither Syria nor the United States is among them.

"Cluster munitions have demonstrated military utility," the U.S. State Department says on its website. "Their elimination from U.S. stockpiles would put the lives of its soldiers and those of its coalition partners at risk. Moreover, cluster munitions can often result in much less collateral damage than unitary weapons, such as a larger bomb or larger artillery shell would cause, if used for the same mission."

In other developments:

Turkey searches Syria-bound plane

For the second time in a week, Turkish officials on Monday searched a civilian plane that had been headed to Syria.

Armenian and Turkish diplomats told CNN that an Armenian cargo plane that had been en route to Aleppo stopped first on Monday morning in the Turkish city of Erzurum for an inspection of its cargo.

The move appeared to be part of Turkey's enforcement of a newly adopted blockade against the Syrian government.

Unlike last week's grounding of a Syrian passenger plane flying from Moscow to Damascus, Monday's airplane inspection appeared to have been agreed to ahead of time by Armenian and Turkish authorities.

After the search, which lasted at least five hours, the Armenian cargo plane was allowed to continue to Syria.

"The plane is transporting humanitarian aid to Syria and its stop in Turkey was planned," Armenian Foreign Ministry spokesman Tigran Balayan told CNN in an e-mail.

"The Turks, from our perspective, are taking a measured and appropriate posture with regard to these things," U.S. State Department spokeswoman Victoria Nuland told reporters.

Syria and Turkey have closed their airspace to each others' aircraft.

The heightened tension between the two countries has alarmed U.N. Secretary-General Ban Ki-moon, Jeffrey Feltman, U.N. undersecretary for political affairs, told the Security Council on Monday.

Also Monday, the Council of the European Union strengthened its sanctions against the Syrian government, adding 28 people deemed responsible for violence against the civilian population to a list of those subject to a travel ban and an asset freeze. That brings the total to 181 people and 54 entities.

The council, in its 19th round of sanctions against Damascus, also banned EU nationals and businesses "from supplying financial services to Syrian arms exports, including insurance and re-insurance," it said in a statement.

"We call on all states to refrain from delivering arms to Syria and to follow the EU in stopping the supplies that fuel the fighting," EU High Representative for Foreign Affairs and Security Policy Catherine Ashton said in a statement.

In addition, the council denied Syrian Arab Airlines access to EU airports.

Diplomatic front: Special envoy to Syria visits Iran and Iraq

Seeking to forge a solution to Syria's bloody civil war, international envoy Lakhdar Brahimi visited the country's key ally in the region, Iran, before heading Monday to Iraq.

Brahimi met with Iranian President Mahmoud Ahmadinejad and called for an end to the flow of arms to both sides of the conflict, Brahimi's spokesman said.

Rebel fighters have accused Iran of sending advisers to help Syrian President Bashar al-Assad put down the popular uprising.

Before Brahimi departed Iran, Foreign Minister Ali Akbar Salehi handed him a "written and unofficial proposal" for resolving the Syrian crisis, Iran's IRNA news agency reported Monday. Details of the plan were not publicized.

In Baghdad, Brahimi met with Prime Minister Nuri al-Maliki. "Iraq fully supports the joint U.N. and Arab efforts in order to reach a political solution to the deepening crisis in Syria," al-Maliki said in a statement issued by his office.

Brahimi, the U.N.-Arab League joint special envoy to Syria, is visiting key countries in the region, including Egypt and Saudi Arabia. Over the weekend, he met in Istanbul with Turkish officials and with Syrian opposition leaders in an effort to broker a cease-fire.

Turkish Prime Minister Recep Tayyip Erdogan has repeatedly denounced al-Assad, accusing him of massacring his own people and calling for his resignation.

Turkey is hosting about 100,000 Syrian refugees, and cross-border shelling that killed five Turkish civilians has led to a heightened confrontation between the two neighbors.

Syria has berated its former ally, accusing Turkey of arming and funding Syrian rebels. CNN journalists have witnessed assault rifles, rocket-propelled grenades and machine guns being taken from Turkey to rebels inside Syria.

The violence is showing no sign of abating. On Monday, 100 people were killed nationwide, the opposition Local Coordination Committees in Syria said, including 34 in and around Damascus and 29 in Aleppo.

The World Health Organization condemned attacks on health facilities in Syria, saying they have damaged such facilities across the country, "limiting access and the provision of essential health services."

It added, "almost 67% of public hospitals have been affected as a result of the conflict and 29% of those affected are out of service."

Background

The opposition says more than 30,000 people have been killed since March 2011, when anti-government protesters took to the streets calling for political reform and an end to four decades of Assad family rule. The government responded with a violent clampdown, spawning an armed conflict that has spiraled into a civil war.

CNN cannot independently confirm reports of casualties in Syria because the government has restricted access by international journalists.

@highlight

100 people are reported dead around Syria on Monday, an opposition group says

@highlight

Human Rights Watch says the Syrian government is using Soviet-made cluster bombs

@highlight

The claims are "untrue," a report from Syria's state-run news agency says

@highlight

Cluster bombs release dozens of smaller bombs, which can maim or kill long after impact