The Israeli-Palestinian peace talks beginning in Jerusalem proceed within a framework of assumptions that merit careful thought.

One prevailing assumption is that there are two options: either a two-state settlement will be reached, or there will be a "shift to a nearly inevitable outcome of the one remaining reality -- a state 'from the sea to the river'," an outcome posing "an immediate existential threat of the erasure of the identity of Israel as a Jewish and democratic state" because of what is termed "the demographic problem," a future Palestinian majority in the single state.

This particular formulation is by former Israeli Shin Bet (Israel Security Agency) chief Yuval Diskin, but the basic assumptions are near universal in political commentary and scholarship. They are, however, crucially incomplete. There is a third option, the most realistic one: Israel will carry forward its current policies with full U.S. economic, military, and diplomatic support, sprinkled with some mild phrases of disapproval.

The policies are quite clear. Their roots go back to the 1967 war and they have been pursued with particular dedication since the Oslo Accords of September 1993.

The Accords determined that Gaza and the West Bank are an indivisible territorial entity.  Israel and the U.S. moved at once to separate them, which means that any autonomy Palestinians might gain in the West Bank will have no direct access to the outside world.

A second step was to carry forward the creation of a vastly expanded Greater Jerusalem, incorporating it within Israel, as its capital. This is in direct violation of Security Council orders and is a serious blow to any hope for a viable Palestinian entity. A corridor to the east of the new Greater Jerusalem incorporates the settler town of Ma'aleh Adumim, established in the 1970s but built primarily after the Oslo Accords, virtually bisecting the West Bank.

Corridors to the north including other settler towns divide what is to remain under some degree of Palestinian control -- "Bantustans," as they were called by one of the main architects of the policy, Ariel Sharon, in a reference to the territory set aside for black South Africans during the apartheid era.

Meanwhile Israel is incorporating the territory on the Israeli side of the "separation wall" cutting through the West Bank, taking arable land and water resources and Palestinian villages.

Included are the settlement blocs that "will remain part of Israel in any possible future peace agreement," as stated by Israeli government spokesman Mark Regev as the current negotiations were announced.

The International Court of Justice ruled that all of this is illegal, and the Security Council had already ruled that all of the settlements are illegal. The U.S. joined the world in accepting that conclusion in the early years of the occupation. But under Ronald Reagan, the position was changed to "harmful to peace," and Barack Obama has weakened it further to "not helpful to peace."

Israel has also been clearing the Jordan Valley of Palestinians while establishing Jewish settlements, sinking wells, and otherwise preparing for eventual integration of the region within Israel.

That will complete the isolation of any West Bank Palestinian entity. Meanwhile huge infrastructure projects throughout the West Bank, from which Palestinians are barred, carry forward the integration to Israel, and presumably eventual annexation.

The areas that Israel is taking over will be virtually free of Arabs. There will be no new "demographic problem" or civil rights or anti-apartheid struggle, contrary to what many advocates of Palestinian rights anticipate in a single state.

There remain open questions. Notably, pre-Obama, U.S. presidents have prevented Israel from building settlements on the E1 site -- a controversial area in the West Bank that Israel hopes to develop -- which would complete the separation of Greater Jerusalem from Palestinian-controlled area. What will happen here is uncertain.

As the negotiations opened, Israel made its intentions clear by announcing new construction in East Jerusalem and scattered settlements, while also extending its "national priority list" of settlements that receive special subsidies to encourage building and inducements for Jewish settlers.

Obama made his intentions clear by appointing as chief negotiator Martin Indyk, whose background is in the Israeli lobby, a close associate of negotiator and presidential adviser Dennis Ross, whose guiding principle has been that Israel has "needs," which plainly overcome mere Palestinian wants.

These developments bring to the fore a second common assumption: that Palestinians have been hindering the peace process by imposing preconditions. In reality, the U.S. and Israel impose crucial preconditions. One is that the process must be in the hands of the United States, which is an active participant in the conflict on Israel's side, not an "honest broker." A second is that the illegal Israel settlement activities must be allowed to continue.

There is an overwhelming international consensus in support of a two-state settlement on the internationally recognized border, perhaps with "minor and mutual adjustments" of this 1949 cease-fire line, in the wording of much earlier U.S. policy. The consensus includes the Arab states and the Organization of Islamic States (including Iran). It has been blocked by the U.S. and Israel since 1976, when the U.S. vetoed a resolution to this effect brought by Egypt, Jordan, and Syria.

The rejectionist record continues to the present. Washington's most recent veto of a Security Council resolution on Palestinian territory was in February 2011, a resolution calling for implementation of official U.S. policy -- an end to expansion of Israel's illegal settlements. And the rejectionist record goes far beyond the Security Council.

Also misleading is the question whether the hawkish Israeli Prime Minister Benjamin Netanyahu would accept a "Palestinian state." In fact, his administration was the first to countenance this possibility when it came into office in 1996, following Yitzhak Rabin and Shimon Peres, who rejected this outcome.  Netanyahu's associate David bar-Illan explained that some areas would be left to Palestinians, and if they wanted to call them "a state," Israel would not object -- or they could call them "fried chicken."

His response reflects the operative attitude of the U.S.-Israel coalition to Palestinian rights.

In the region, there is great skepticism about Washington's current revival of the "peace process." It is not hard to see why.

@highlight

Noam Chomsky: Israel will continue its current policies with U.S. support

@highlight

Chomsky: Since 1993 Israel has sped up plan to divide, isolate Palestinian territory

@highlight

Netanyahu associate: Some land will be left to Palestinians if they want to call it a state