(CNN) -- The Brits called it the "Great War." To the Yanks, it was the "World War." No one wanted to think there could be a second. Though World War I, which began 100 years ago next month, devastated lives and landscapes, its effect on language was almost paradoxically positive. It spawned hundreds of new words and popularized scores of old ones. Many of them survive today -- there are "cooties," "camouflage," "scrounge" and "dud," for example -- but many have lost their once-widely recognized associations with the war that was hoped would "end war."

Total war, as the world twice found out in the past century, is a turbulent time. It is for language, too. As new concerns, new methods, new technologies and new experiences multiply, vocabulary by necessity tries to keep up.

Obscure old words can get a new lease on life. World War I gave the English language new terms as varied as "blimp" and "Boches" and "devil dog" and even "D-Day." It popularized military slang like "doughboy" and "fed up." It dragooned older terms for wider application, such as "Yank" and "no-man's land."

Some words prominent in 1914-18 have pretty much fallen from use. Others remain as well-known as the war's idealistic slogans, like H. G. Wells' call for "a war to end wars" and Woodrow Wilson's to make the world "safe for democracy."

As a multilingual war, it promptly enriched the English language with terms of international origin. Air reconnaissance made military and naval "camouflage," another French word, a necessity. The same might be said of the French 75 cocktail, named for the war's most effective artillery piece. And historians writing in English still use the Gallic "poilu" for a French combat soldier and "Boches" for the Germans.

Older terms and nicknames sometimes gained new popularity that guaranteed they'd remain in English long after soldiers returned home. George M. Cohan's smash hit "Over There" (1917) was the catchiest American patriotic song ever, and when he wrote that "The Yanks are coming," he followed the British, not the American, use of the Civil War term to encompass all Americans, north and south of the Mason-Dixon Line.

"Doughboy" was a new one on most people, but it had meant an infantryman since the Mexican-American War of the 1840s, for no very clear reason; now, it's the usual synonym for the American soldier of the First World War. "Leatherneck," which also looked new but wasn't, denoted the U.S. Marine, whose 19th-century uniform had featured a high leather collar that sailors ridiculed.

Opinion: How a century-old war affects you

A Wisconsin newspaper claimed in 1918 that the Germans thought American Marines fought like Teufelhunden, or "devil dogs"; the supposedly German word sounds ersatz, but the English version is still heard in the Corps. (Sailors were "gobs"; fliers were "birdmen"; pals were "buddies": all pre-war, all truly mainstream for the first time in 1914-18.) "G.I.," which meant only "galvanized iron" and "government issue" in World War I, eventually became the World War II term for a U.S. soldier.

The everyday life of those soldiers spawned many words and expressions. When kids talk of "cooties," they don't realize what everyone knew by 1918: It was a new term for lice, which burrowed into the clothes of any and all who served on the front lines. "Chow," for food, owes its popularity mostly to the U.S. military of World War I. From the British came the expressions "to scrounge" (to search for and, if necessary, pilfer), "cushy" (enviably comfortable) and "fed up" (disgusted with it all), three salient soldier concepts in any war.

Trench warfare became a sinister science, as front-line troops of every army hunkered down for hundreds of miles in conditions of appalling filth and danger. Playwright George Bernard Shaw, an opponent of the war, popularized the once-uncommon phrase "cannon fodder," which suggested that soldiers of all nations had been impersonally requisitioned to feed the guns or duped into enlisting by interchangeably imperialist rulers.

To name what lay between the entrenched armies, modern English enlisted a phrase from the Middle Ages: "no-man's land." The shell-pocked muck between the opposing trenches, bounded by rotting sandbags and rusted heaps of barbed wire, gave the 14th-century meaning of "unowned or uninhabited territory" a much grimmer connotation.

Before World War I, a "dud" was anything or anybody unsatisfactory, but by the time the conflict ended, "dud" referred chiefly to an unexploded shell or bomb, as it does to this day. The British began speaking of defensive "foxholes," dug not by foxes but by soldiers on the battlefield, a word that now may seem as old as shooting wars themselves.

The adjustment of a rifle's battle-sight was "zeroing in," a metaphor today's English can't do without. Then there's "D-Day": the very first was September 26, 1918, the starting date of the war-ending Allied offensive in the Argonne Forest.

Familiar now as an advertising platform, the helium-filled "blimp" was invented for naval observation in 1915. The British came up with the armored "tank" and named it arbitrarily to keep the weapon secret before its surprise appearance in the Battle of the Somme in 1916.

The threat of "chemical warfare" and "chemical weapons" had been discussed in the press, but their actual use by Germany in 1915, first in Poland and then in Belgium, raised the war's quotient of barbarism. The Allies quickly followed suit. "Air raids," which began on a small scale in 1914, were carried out by four-winged bombers and German Zeppelins.

The idea of bomb-laden squadrons of Zeppelins over London may seem like something from Victorian science fiction, and it was novelist H.G. Wells (author of "War of the Worlds") who invented the most ominous phrase of all.

In 1914, he imagined a device that might appear within a generation, whose destructive power would change everything forever. Wells warned that eventually "any little body of malcontents could use it." As though in prophecy of the long shadow the 1914-18 war would cast on the 20th century, Wells coined a now-familiar term for his imaginary superweapon that he believed could easily "wreck half a city."

He called it "the atomic bomb."

@highlight

Jonathan Lighter: World War I brought slew of new words into use to express the turbulent time

@highlight

"Cooties," "tanks," "doughboy", "fed up," "dud," "trench warfare" and many more, he says

@highlight

Lighter says H.G. Wells invented most ominous phrase of all: "the atomic bomb"