Not so long ago, it was a regular part of my job as a journalist covering Capitol Hill to stand in the hallways for hours waiting for bipartisan negotiations to conclude on a bill, and a deal to be announced.

These days, there is rarely any standing around, because such bipartisan meetings almost never even happen anymore.

This is just one illustration of the extent of today's dysfunction in Congress - and it shows how the notion of horse-trading that is required to reach compromise is becoming a lost art.

It's not just that the extreme wings of both parties are emboldened.  It is also about experience - or lack thereof, in that art of legislating -- knowing what it means to give a little to get a little.

Yet over the past several months, while much of Congress was on the campaign trail trying to get re-elected, there were bipartisan discussions quietly taking place on significant legislation - one to fund the government for the next year. That bill morphed into what is now widely known as the "Cromnibus" - a  $1.1 trillion,1,603-page bill that funds and sets the priorities for nearly all of the federal government.

Even this small breakthrough mostly serves as a reminder of how messy the process has become. There are supposed to be 12 individual spending bills that pass Congress and go to the President's desk -- not one monster-sized bill.

Even House Appropriations Chair Hal Rogers, a chief GOP negotiator, says "it's too big of a bite to digest and members generally aren't familiar with what's in all those bills."

Still, in today's fractured times, a so-called "omnibus" is a step up from the way things had been going - careening from fiscal crisis to fiscal crisis - then kicking the can down the road year to year with a continuing resolutions keeping the government running.  The "omnibus" may be unruly, but at least lawmakers sat down in a bipartisan way for the first time in a while and tried to reset how America spends its money, and by extension, its priorities on everything from new threats like Ebola to fundamental needs like infrastructure, defense, and government assistance for the needy.

Reaching bipartisan agreement on funding so many different aspects of the federal government, in which the parties have fundamental differences in philosophy, requires real compromise. Finding that compromise really is an art - the art of legislating.  To practice that art, you have to be willing to give things up.

"We worked across the aisle. We worked across the dome. We practiced civility. We argued. We debated. We fought. You know, sometimes you give a little, you take a little, but you stand up for them all," explained Sen. Barbara Mikulski, Senate Appropriations Chair and principal Democratic negotiator.

One of the most partisan political figures in recent times was the late Sen. Ted Kennedy, D-Mass, but he was also one of the most successful legislators in the history of the Senate. He knew that achieving his goals took time and patience, and he was willing to give a little to Republicans to get a little for Democratic priorities. There were lots of Republicans who did the same.

With the influx of so-called Tea Party Republicans over the past four years came a number of lawmakers with an all or nothing attitude. That has made it nearly impossible for House Speaker John Boehner, a legislator at heart, to cut deals.

Over the past few days, the same issue has emerged on the left. Freshman Sen. Elizabeth Warren, a liberal icon, has been rallying progressive Democrats against the "cromnibus" spending bill because it includes what she calls a poison pill - repealing a key reform intended to protect consumers post-financial meltdown.

Warren, like so many of her colleagues, knows no other way to do business on Capitol Hill. When the new Congress is sworn in next month, more than 40 senators will only have served since 2011. That's more than 40 percent of the most deliberative body in the world, with only four years' experience deliberating - at most.

"Some of the members here have never known what it's like to go through a normal legislative process, so they've got a lot to learn," explains Sen. John McCain.

Another reason there is less horse-trading is that there aren't as many horses to trade.  Earmarks on spending bills, otherwise known as pork barrel spending, was the most valuable currency on Capitol Hill.  But bringing home the bacon became abused so often that pork became a dirty word and now earmarks are banned in a bipartisan way. That makes it hard for party leaders to force compromise by giving reluctant lawmakers some buy in.

Those of us who demand and value transparency may have also contributed to the demise of compromise by going through legislation and uncovering what was slipped in to seal the deal. This is not a bad thing - but lawmakers' fear about issues hidden inside a bill coming to light has had an undeniable effect on legislating.

Talk to those who actually negotiated the "Cromonibus" bill and they will say this is how a democratic legislature is supposed to work - giving and taking. Sources in both parties say Republicans were demanding six provisions to roll back Wall Street reforms, and Mikulski got them down to one - the so-called derivative swaps change. Warren is up in arms, but Mikulski, her fellow Democrat known as dean of the Senate women, considered it a victory.

Mikulski can barely contain her frustration.

"For hours after hours after hours, and the last several days, I have heard what's wrong with this bill," said an animated Mikulksi on the Senate floor.

"Now we've got to start talking about the good aspects of the bill, and why we did this bill in the first place," she said.

But for all the chaos surrounding the final hours of this 113th Congress, there are some senators walking the hallways who have hope that things will get better.

"We have lost some of our sharpness in legislating," said Sen. Johnny Isakson.

"But I think that's going to come back."

@highlight

The art of compromise is being lost on Capitol Hill

@highlight

The extreme wings of both parties are emboldened

@highlight

Many legislators are unfamiliar with traditional negotiations