Gay-rights activists in Uganda warned Monday of mounting violence against homosexuals after parliament passed controversial legislation last week that would make some gay acts punishable with life in prison.

"The witch hunt had already started, and now it has been legitimized by the parliament of Uganda, which is very scary," said Clare Byarugaba, coordinator for the Ugandan Civil Society Coalition on Human Rights and Constitutional Law, an umbrella gay-rights group. "We don't know how brutal the police will be now that the bill has passed. With this legitimization, it's going to get worse."

Homosexuality is illegal in most African countries, where sodomy laws were introduced during colonialism. Currently in Uganda, homosexual acts are punishable by 14 years to life in prison, according to rights activists. But lawmakers in the conservative nation sought tougher legislation, saying the Western lifestyle risks destroying Ugandan family units.

Gay activists in Uganda are regularly detained, blackmailed and harassed in what they say has been an ongoing campaign led by religious and political leaders in the conservative East African country.

"What we are convinced and sure of is that nobody can in one's right conscience and consciousness choose to be homosexual," said Simon Lokodo, Uganda's minister for Ethics and Integrity. "This must be under pressure or conditions because we know that the natural tendency is always for a male to go for a female and vice-versa."

The moral fervor has even impacted the expatriate community in Uganda. A retired British man is facing up to two years in prison over the possession of a gay sex video. The man says the images were stolen along with his laptop in a break-in at his home. Images from the video were later published in a local tabloid newspaper notorious for outing gays.

Bernard Randall, 65, was scheduled to appear in an Entebbe court last week, but his case has been postponed until January 22.

Randall was arrested and released on bail last month and is charged with "trafficking obscene publications," which carries a sentence of up to two years. His partner, Ugandan Albert Cheptoyek, was arrested and will stand trial alongside him, facing a more serious charge for "gross indecency," which carries a sentence of up to seven years.

"There certainly seems to be a ramping up of pressure from the state here against homosexuals," said Randall, citing a string of arrests and trials against gay activists in recent months. "I'm still very concerned if they drop the case or if I'm found not guilty."

Early this year, another British national, David Cecil, faced up to two years in prison for staging a play with a gay character without government permission. Though the charges against him were dropped for lack of evidence, he was deported from Uganda one month later. Cecil has since filed an appeal against his deportation at the High Court in Uganda, but those proceedings have also stalled.

The bill, which in its original form prescribed the death penalty for cases of "aggravated homosexuality" -- for instance if someone is infected with HIV -- was reduced before the vote to life imprisonment.

Clauses that criminalize the "promotion" of homosexuality could cause activists and even doctors treating gay patients with HIV to face prison time.

Member of parliament David Bahati praised the bill's passage on Friday, thanking the speaker "for the courage and defending the children of Uganda and the cause for humanity, to protect our marriages, to defend culture and to defend the future of our children."

The International HIV/AIDS Alliance said in a statement that the bill will have a "disastrous impact on the country's HIV response." Uganda is one of only two countries in Africa with a rising AIDS rate, after being hailed for its early success in fighting the epidemic in the 1990s.

President Yoweri Museveni still has to assent to the bill for it to become law -- "So our only hope now is with the president of Uganda -- and we plan to put as much pressure as necessary to ensure that this bill doesn't pass into law," said Byarugaba, who is also a winner of the U.S. State Department's 2011 Human Rights Defender Award.

To become law, it requires Museveni's signature within 30 days.

Human rights groups are also on high alert and outspoken about the recent measures.

"President Museveni must veto this wildly discriminatory legislation, which amounts to a grave assault on human rights and makes a mockery of the Ugandan constitution," said Aster van Kregten, deputy Africa director at Amnesty International. "Passing the Anti-Homosexuality Bill was a retrograde step for Uganda's Parliament, which has made some important progress on human rights in recent years, including criminalizing torture. It flies in the face of the Ugandan government's stated commitment to ensure all legislation complies with human rights."

Gay activist Frank Mugisha said that he has been verbally and physically attacked since the bill's passing and that  many Ugandans think the bill has already become law.

The 2011 Robert F. Kennedy Human Rights Award winner told journalists at a news conference in Kampala Monday that gay-rights activists will be challenging the bill in constitutional court.

The activists say they will contest the lack of a quorum in parliament, which Prime Minister Amama Mbabazi has also noted, saying the House did not have the necessary number of MPs for the bill to be passed.

According to a parliamentary statement, the Prime Minister tried to defer consideration of the bill, saying that government was involved in "negotiations" over the proposed legislation.

"I was not aware that this bill was coming up for debate. There are some issues on which we are still consulting," Mbabazi was quoted as saying.

However the bill has public backing from the parliamentary speaker, Rebecca Kadaga, who last year had promised to pass the bill as a "Christmas gift" to Ugandans, but it was carried into the current session.

The bill has also brought condemnations from the international community, which could lead to Uganda losing millions in donor aid. Last year, Germany cut off aid to Uganda, citing the bill as one of the reasons. UK Prime Minister David Cameron has also threatened to cut aid to Uganda over the bill.

EU foreign policy chief Catherine Ashton last week urged the Ugandan government "to ensure respect of the principle of non-discrimination, guaranteed in the Ugandan Constitution, and to preserve a climate of tolerance for all minorities in Uganda."

@highlight

The bill calls for life in prison for "aggravated homosexuality"

@highlight

President Yoweri Museveni still has to assent to the bill for it to become law

@highlight

Gay-rights activists fear police brutality will increase with the bill's passage

@highlight

Homosexuality is illegal in most African countries