Editor's note: Michael C. Dorf is Robert S. Stevens Professor of Law at Cornell Law School and co-author (with Laurence Tribe) of "On Reading the Constitution," and the author of "No Litmus Test: Law Versus Politics in the 21st Century." A former law clerk for Supreme Court Justice Anthony M. Kennedy, he blogs at Dorf on Law.

Michael Dorf says judges have a big leg up in dealing with complex Supreme Court issues.

(CNN) -- With the nomination of Sonia Sotomayor to the Supreme Court, President Obama has hit the trifecta: As a summa cum laude graduate of Princeton and an editor of the Yale Law Journal, Judge Sotomayor clearly has the intellectual chops to handle the work of the high court.

Born and raised in a Puerto Rican family in the South Bronx, Sotomayor's personal story is an inspiring tale of personal achievement. And as someone originally appointed to the federal district court by the first President Bush, she will be perceived as, and in fact is, a moderate liberal who should easily win confirmation by a Democratic Senate.

The nomination will nonetheless disappoint some critics who worry that every justice, including Sotomayor, if confirmed, will have come directly from the federal appellate bench. None of the current justices has ever held any major elective office.

Yet former politicians have served with distinction on the Supreme Court. Sandra Day O'Connor was a state legislator. Hugo Black was a U.S. senator. Earl Warren and Charles Evans Hughes were governors. And William Howard Taft was president before becoming chief justice.

It is not difficult to see why political experience would be very valuable for a Supreme Court justice. The issues with which the court deals frequently have political ramifications, and some legal tests incorporate elements of public opinion.

For example, in determining whether some punishment is constitutionally barred as "cruel and unusual," the justices ask whether it comports with society's "evolving standards of decency." Experience going before the people in an election would be useful in gauging public values.

Accordingly, presidents in recent years have sometimes flirted with the idea of naming a politician to the Supreme Court. President Bill Clinton was prepared to nominate former New York Gov. Mario Cuomo. Harriet Miers was not an elected official, but her experience in politics appealed to President Bush, until her nomination was scuttled by questions about her qualifications and ideology.

Obama was rumored to have considered Michigan Gov. Jennifer Granholm for Justice David Souter's seat. In the end, however, every vacancy on the court since O'Connor's appointment in 1981 has been filled by a sitting federal appellate judge. Why?

Part of the answer is that a federal appeals court judge has already been confirmed by the Senate once, and so is unlikely to have skeletons in the closet. But the deeper reason may be that so much of the work of the Supreme Court is extremely technical.

Consider a case decided earlier this month involving allegations by taxpayers that their tax consultants had given them faulty advice, thereby subjecting them to penalties owed to the IRS.

As the case reached the Supreme Court, the issue presented was this: "Does Section 16(a)(1) of the Federal Arbitration Act confer appellate jurisdiction over an appeal from a motion to stay proceedings under Section 3 of the FAA when appellants are non-signatories to the arbitration agreement?" Serving as an elected official is unlikely to prepare someone even to understand, much less provide an informed answer to, that sort of question.

Questions of the sort just described make up more than half of the work of the Supreme Court. To say that they are "technical" is not to say that they do not involve real people or that they lack any political overtones.

For example, just today, the court divided 5-4 along ideological lines over the seemingly technical question of whether a state law that barred state court jurisdiction over certain categories of cases could also be applied to bar a lawsuit arising under federal law.

The ideological split no doubt resulted from the fact that the liberal justices, who gained a majority in the case, are more sympathetic to civil rights lawsuits than the conservative justices are. But without a thorough grounding in the minutiae of the law governing jurisdiction, a justice would not even know where to begin in such a case, regardless of his or her values.

Thus, Obama's statement that he would look for Supreme Court nominees with empathy for their fellow human beings must be understood in context. The president never said that empathy was a sufficient quality for a Supreme Court justice.

Rather, the ability to understand the human consequences of decisions about seemingly technical legal questions enables a judge to achieve justice within the framework of the law, but only if he or she first has a thorough grasp of that framework. That prior step of technical expertise is itself essential.

It is possible for a legally trained politician to get up to speed on the law's technical dimensions and serve as a competent or even great Supreme Court justice. But if one is looking for a predictor, nothing beats distinguished service on a federal appeals court.

When one adds to that Sotomayor's compelling story and her work as a prosecutor, private practice lawyer and trial judge, it is easy to see why the president decided that his best choice for this appointment was to think "inside the box."

The opinions expressed in this commentary are solely those of Michael C. Dorf.

@highlight

Michael Dorf: Sonia Sotomayor pick is strong on personal, professional grounds

@highlight

He says some had hoped Obama would pick someone not an appellate judge

@highlight

Dorf: The Supreme Court's work has gotten so technical, it requires expertise