(CNN) -- Thousands marched in Washington this weekend to call for action to counter climate change.

With organizers estimating 35,000 people filling the National Mall, the Forward on Climate Change march was said to be the biggest demonstration thus far in support of this issue.

"While they were fighting for equality," the Rev. Lennox Yearwood told the crowd, comparing them to those who took part in the March on Washington for civil rights in 1963, "we are fighting for existence."

The protesters have support from President Barack Obama, who announced that he wants to make climate change a major issue in his second term. During his inaugural and State of the Union addresses, the president did not shy away from this controversial subject. But persuading Congress to pass this kind of legislation will be extremely difficult.

Photos: 40,000 rally to stop Keystone pipeline

Standing Tuesday before visibly unhappy House Speaker John Boehner, Obama pointed to the recent natural disasters we've seen and spoke about the science of the environment, calling on Congress to act -- or threatening to do so himself if they refuse:

"We can choose to believe that Superstorm Sandy, and the most severe drought in decades, and the worst wildfires some states have ever seen were all just a freak coincidence. Or we can choose to believe in the overwhelming judgment of science -- and act before it's too late." Democrats applauded. Republicans kept their hands in their pockets.

If Obama can persuade Congress to take action on climate change, it would be one of the biggest accomplishments of his administration. But unlike some of the other issues that he has tackled -- including health care -- climate change is extraordinarily difficult since the benefits to voters are not immediate and not necessarily visible.

His mission could be made more difficult if he decides to approve the proposal for the Keystone XL pipeline, which would run from Canada to the Gulf of Mexico. Environmental groups that backed the president's re-election strongly oppose the project.

To break through the gridlock on this issue and to persuade some of the congressional Republicans to start clapping, Obama will need more than crisis and science. The march this weekend must be the first of more organized grass-roots protests, not just on the mall in Washington but in the districts and states of key members of Congress.

Most of the biggest policy breakthroughs in recent history have depended on strong grass-roots mobilization.

In 1935, Congress passed the Wagner Act, which created the National Labor Relations Board and legitimated unions. This mobilization of industrial workers who would form the CIO was pivotal in providing President Franklin Roosevelt with the strength he needed to take on business with enormously controversial legislation.

Several decades later, the Civil Rights Act of 1964 and Voting Rights Act of 1965 only came about because local activists, led by prominent leaders such as Rev. Martin Luther King Jr., forced the White House and Congress to deal with the issue of racial equality over their deep political reservations.

While both Presidents John F. Kennedy and Lyndon Johnson were concerned about the huge risks that pushing for civil rights posed for the Democrats' stronghold in the South -- still the electoral base of the party back then -- both were finally moved to take action because of the valiant efforts of grass-roots activists who placed pressure on them and on uncommitted legislators. The civil rights movement changed public opinion and made inaction politically unacceptable.

Conservatives have also depended on the grass roots to mobilize support for their issues.

President Ronald Reagan's drive for deficit-inducing tax cuts and deregulation might not have worked if it were not for the grass-roots conservative activism of the 1970s that pushed national debate to the right. In the past few years, tea party activists have succeeded in moving the GOP toward an agenda of deficit reduction even at a moment when the key problem is generating economic growth and lowering unemployment rates.

Environmental organizations have created a vast organizational infrastructure since the 1970s and remain a huge presence in Washington. But in recent years, they have been less effective at developing the same level of grass-roots energy as earlier movements, including their own in the 1970s.

Climate change has too often been an issue that is Washington-focused rather than grass-roots focused. Instead of having former Vice President Al Gore be the face of efforts to counter climate change, Obama needs the images of local protesters gathering to make sure that Congress deals with the issue.

Obama, a former community organizer, knows this as much as anyone. He has seen the profound effect tea party activists have had on the Republican Party, much to his consternation.

As Harvard political scientist Theda Skocpol has written, "To counter fierce political opposition, reformers will have to build organizational networks across the country, and they will need to orchestrate sustained political efforts that stretch far beyond friendly congressional offices, comfy board rooms and posh retreats ... insider politics cannot carry the day on its own, apart from a broader movement pressing politicians for change."

Skocpol explains convincingly that one of the reasons for the failure of cap and trade legislation was that climate reformers focused their energy on Beltway lobbying rather than mobilizing support in local communities.

Members of Congress know that climate change legislation doesn't offer tangible benefits to voters, so they're unlikely to act unless they feel pressure from activists in their districts.

Sens. Bernie Sanders, I-Vermont, and Barbara Boxer, D-California, have taken the lead on the issue by putting forth a bill to impose a tax on the country's largest polluters, requiring them to pay $20 per ton of carbon and methane emissions, a sum that would rise over time.

Under their bill, the government would invest the money in developing renewable fuel and more efficient energy policies, including a plan to weatherize more than a million homes.

If the administration is going to build support for a version of this legislation, it will need support from the bottom, not just the top, in swaying and pressuring senators who will be leery about taking on this issue.

The opinions expressed in this commentary are solely those of Julian Zelizer

@highlight

Thousands marched in Washington to seek action on climate change

@highlight

Julian Zelizer: President Obama called action on issue a priority in last week's speech

@highlight

Convincing Congress to pass a bill on climate change is a heavy lift, Zelizer says

@highlight

Zelizer: Grass-roots organizing will be crucial to passage of a bill