New York (CNN) -- Ted Turner, the 72-year-old media mogul turned environmentalist and philanthropist, has decided that nuclear power may not be the answer to the world's energy woes, but it's still better than coal.

"I'd rather have nuclear power than coal," he told an audience at the 92nd Street Y in New York City on the first day of the U.N. General Assembly meeting.

"One will kill you for sure, and the other might. I'll take 'might' over 'sure.' "

Still, last March's nuclear disaster at Japan's Fukushima Daiichi plant soured him on the technology as a replacement for coal and a cure for climate change, he said.

Agency OKs building of a nuclear power plant in Alabama

That's because nuclear power is costly and dangerous, he said. "You've got the problem of what to do with the spent fuel, and nobody wants it. So it's being stored all over the world."

Those storage places include a number of locations that could prove dangerous, since they tend to be near power plants, and the plants tend to be located near population centers, he said.

Turner is an investor in alternative-energy projects, the largest of which is a 250-acre solar array in Cimarron, New Mexico, that powers 9,000 homes, he said.

His partner in the project is Southern Co., the largest utility in the South and the biggest customer of coal, which he derided for increasing the incidence of asthma.

But alternative energies still have a long way to go, he acknowledged. The next big challenge akin to creating the interstate highway system will be to create the technology to move the power created by wind and solar energy to where it is needed, he said. "We need a whole new digital transmission across the country," he said.

But the Obama administration is not in a position to help much, he said. "Health care was so divisive and controversial and complicated that it completely polarized the government, and we've had basically a lockup situation since then where very little has occurred," he said.

Turner called for more resources worldwide to be invested in projects like health care and funding for the United Nations, to which he himself pledged $1 billion to create the U.N. Foundation.

He critiqued the U.S. media for what he described as a narrow vision that does not include much international news. "I need to know what's going on in the whole world," he said. "That's why I think the U.N. is so important; that we have a place where we can get organized and deal with problems -- overfishing, pollution of the atmosphere, deforestation, global climate change, refugees, world hunger. Those are things that one country cannot solve by itself, not even the United States."

Turner said he keeps abreast of world events by reading The Economist magazine, a British publication, on the Internet. Asked about the future of print, he said, "Gone. Long gone. It was great. Like coal and oil, they served us well."

But that doesn't mean there is no future for paper. "What would we do without toilet paper?" he said to laughter. "We still need that."

Turner said he depends on his sense of humor to "make it through" and credited his ability to make friends for the success of CNN, which he founded in 1980 but no longer is involved in.

"I studied history and it looked to me like the people who did the best in life were the ones who made the most friends," he said. "The ones who made the most enemies did not do well. That's what happens when you bomb people. You don't make people like you when you bomb people."

When he was at the helm of CNN, everyone in the world was a potential customer, so he went out of his way to make friends with the likes of former Cuban President Fidel Castro and "the godless Communists in Russia and China," he said. "The next thing you know, they were friends."

Rather than sending troops abroad, the United States should consider trying to make friends by sending doctors and engineers instead, he said. "People don't terrorize people who are their sponsor."

Turner said he would like to see the world cut military expenditures over 10 years by 10% per year, which would give countries enough time to find things for the current crop of military personnel to do and save enough money to "eliminate poverty and solve most human problems."

War has come close to bankrupting the nation, and there is no reason for it, he said. "It made good sense back in the Middle Ages, when there was nothing else to do. We didn't have TV and there was no NFL, no Olympics. The only thing to do to keep from being bored to tears was to go out and fight."

But "We've got other things to do now," he said, citing the sex aid Viagra as one of them, then adding, "That's what I mean about a sense of humor."

Turner refused to offer advice to those in his audience searching for the key to success. But, reflecting on the 2001 AOL merger that resulted in his losing some 90% of his money, he said, "Being poor and then rich and facing the prospect of being poor again is not a very pleasant prospect. Rich is better. Don't let anybody tell you otherwise. It's nice to be able to afford dessert."

Turner predicted his point of view on the environment would prevail over those of "Republicans and tea party people who don't believe in global warming -- we're just going to outwork them and outlast them."

After his speech, he told a reporter that he likes President Barack Obama, but thinks he has "a tough job." Asked how he thinks Obama is handling that job, Turner said, "It's hard to be critical of the way someone is doing a job you don't want yourself."

@highlight

Environmentalist says nuclear power is costly, dangerous

@highlight

But alternative energy not ready for prime time yet, he says

@highlight

U.S. government not in strong position to help, Turner says

@highlight

World needs to spend more on health care, U.N. funding, he says