Washington (CNN) -- The U.S. government's drug strategy should focus more on treating addiction and less on imposing harsh prison sentences, the White House said Tuesday.

"Outdated policies like the mass incarceration of nonviolent drug offenders are relics of the past that ignore the need for a balanced public health and safety approach to our drug problem," Gil Kerlikowske, director of the Office of National Drug Control Policy, said in a statement.

The office's annual report to Congress suggests a "new national approach" that includes criminal justice system reforms aimed at stopping "the revolving door of drug use, crime, incarceration, and rearrest," officials said in a statement.

"The policy alternatives contained in our new strategy support mainstream reforms based on the proven facts that drug addiction is a disease of the brain that can be prevented and treated and that we cannot simply arrest our way out of the drug problem," said Kerlikowske, who is known as the nation's "drug czar."

Since U.S. President Barack Obama tapped him for the job in 2009, Kerlikowske has made it clear that the United States needs to do a better job of treating addicts to try to reduce the demand for narcotics.

Tuesday's report builds on an approach administration officials have promoted since 2010, Kerlikowske, U.S. Attorney General Eric Holder and U.S. Secretary of Health and Human Services Kathleen Sebelius said in a joint statement posted on the White House website.

"It outlines ways to break the cycle of drug use, crime, incarceration, and arrest by diverting nonviolent drug offenders into treatment, bolstering support for re-entry programs that help offenders rejoin their communities and advancing support for innovative enforcement programs proven to improve public health while protecting public safety," the statement said.

Overall drug use in the United States has "dropped substantially" over the past 30 years, the policy office said Tuesday. Cocaine consumption in the United States had decreased 40% from 2006 to 2010, and methamphetamine use had dropped 50% in that same period, the office said.

But in the report, President Obama said "serious drug-related challenges remain," including prescription drug abuse and the large number of people who need treatment for substance abuse but do not receive it.

"Young people's perceptions of the risks of drug use have declined over the past decade, and research suggests that this often predicts future increases in drug use," Obama wrote.

The report's release came two days after the end of the Summit of the Americas in Cartagena, Colombia, where Western Hemisphere leaders agreed that the Organization of American States would begin a study examining alternatives for fighting drug-fueled organized crime.

The war on drugs drew some of the sharpest distinctions among leaders at the two-day gathering.

On Saturday, leaders debated how to address drug trafficking and violence in the hemisphere, with several calling for new approaches -- something Obama said he was open to, though he closed the door on legalization.

CNNMexico.com and CNN's Catherine E. Shoichet and Mariano Castillo contributed to this report.

@highlight

Drug czar: Incarceration of nonviolent drug offenders is an "outdated" policy

@highlight

"We cannot simply arrest our way out of the drug problem," he says

@highlight

The White House says drug use in the U.S. has "dropped substantially"

@highlight

"Serious drug-related challenges remain," Obama says